Page de démarrage

Page de démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Manuels

Drivers

Guides

© 2013 Ing. Punzenberger COPA-DATA GmbH.


Manuels

Manuels

Ici, vous trouverez le manuel de zenon.

Autres sujets abordés dans ce chapitre

Le fil rouge de l'aide - aperçu

Famille de produits zenon

Développez efficacement vos projets avec zenon

Aide dans le Runtime

Assistants

Attributions

Batch Control

Bureau distant (Remote Desktop)

Changement de langue

Clavier

Coloration Automatique des Lignes (CAL) - Topologie

Commandes temporisées

Contrôles

Unit conversion (Conversion d'unités)

Conversion de projet

Création de rapports

Diagnosis Viewer (Outil de diagnostic)

Diagnostic automate (PLC Diagnosis)

Développement distribué

Éditeur

Energy Edition (Produit Energie)

Equipment modeling (Modélisation d'équipements)

Extended trend (Tendance étendue)

Fonctions

Gestion de messages

Gestion de moniteur

Gestion des alarmes

Gestion des états

Gestion utilisateurs

Gestionnaire de groupes de recettes

Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM)

Historian - Serveur d'archives

Historique des modifications

Import - Export

Industrial Performance Analyzer

Installation et mises à jour

Interface SAP

Interfaces de programmation

Licence

Liste chronologique d'événements (CEL)

Liste des références croisées

Menus

Module Energy Management System (EMS)

MultiTouch

Outils

Passerelle de procédé (Process Gateway)

Planning

Production and Facility Scheduler (PFS)

Projet et espace de travail

Recettes standard

Réseau

Runtime

Sauvegarde projet

Scripts

Serveur OPC

Serveur Web de zenon et serveur Web Pro de zenon

Simulation de driver

Simulation de projet

Structure des fichiers

Synoptiques

Transport à distance

Variables

Verrouillages (Interlockings)

Vue globale

zenon Logic

zenon Operator

zenon - Projet de démonstration

zenon Science Package for Lego MINDSTORMS 2.0


Le fil rouge de l'aide - aperçu

Manuels -> Le fil rouge de l'aide - aperçu

Plus le système de contrôle est puissant, plus l'aide est volumineuse.

À la différence de tous les autres chapitres, où les fonctionnalités sont expliquées, ce chapitre doit vous permettre de vous guider à travers l'aide.

Autres sujets abordés dans ce chapitre

Quels chapitres pour démarrer

Mise à jour en ligne de l'aide de zenon

Guide à travers l'aide

L'aide en ligne : je trouve ce dont j'ai besoin


Quels chapitres pour démarrer

Manuels -> Le fil rouge de l'aide - aperçu -> Quels chapitres pour démarrer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

info Info

Ce chapitre a été pensé pour tous ceux qui utilisent zenon pour la première fois et se demandent quelles rubriques d'aide sont utiles pour commencer. Ici vous pouvez apprendre les étapes nécessaires pour un projet de base simple. Des liens renvoyant vers les informations correspondantes dans les guides et les manuels sont fournis à chaque étape.

Autres sujets abordés dans ce chapitre

L'Éditeur

Créer un projet

Gabarits et synoptiques

Drivers et variables

Fonctions

Démarrer le Runtime

Possibilités avancées


L'Éditeur

Manuels -> Le fil rouge de l'aide - aperçu -> Quels chapitres pour démarrer -> L'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon :

zenon est constitué de deux éléments :

1. Éditeur
(système d'exploitation) : Ici les projets sont créés.

2. Runtime
: Ici vous pouvez faire le suivi et les opérations sur les équipements créés.

Structure de l'Éditeur :

L'interface utilisateur de l'Éditeur est constituée de différents éléments :

L'élément

Contenu

01 - Barres d'outils :

Un ensemble de barres d'outils destinées à l'Éditeur et ses modules. Elles sont disponibles pour :

  • Fenêtre ancrables
  • Alignement
  • Synoptiques / Symboles
  • Profils de l'Éditeur
  • Éléments
  • Barre de menus
  • Production & Facility Scheduler
  • Transport à distance
  • Générateur de rapports
  • Fichiers Runtime
  • Niveaux de visibilité
  • macros VBA

02 - Gestionnaire de projet :

Vue en arborescence du gestionnaire de projet.

03 - Vue de détail du gestionnaire de projet :

Détails du module sélectionné dans le gestionnaire de projet.

04 - Fenêtre principale :

Espace de travail principal ; ici, les documents tels que les synoptiques ou les rapports sont affichés.

05 - Barre d'outils Éléments :

Barre d'outils des éléments de synoptique (éléments vectoriels et dynamiques).

06 - Propriétés

Affiche les propriétés d'un objet sélectionné. Trois modes sont disponibles et peuvent être sélectionnés dans la barre d'outils Propriétés.

07 - Aide des propriétés :

Affiche des messages d'aide courts relatifs aux propriétés des synoptiques, des variables, des fonctions et autres éléments pouvant être configurés.

08 - Fenêtre de sortie

Les messages sont affichés ici si des projets ont été compilés et transmis au Runtime.

09 - Barre d'état :

Affiche des informations d'état concernant la disponibilité de l'Éditeur et les synoptiques.

10 - Barre d'outils Propriétés :

Définit les options d'affichage et de tri des propriétés, et affiche l'aide des propriétés.

11 - Liste de références croisées :

Vous choisissez les fenêtres devant être affichées :

  • Dans la liste déroulante sous Options ;

La disposition des fenêtres peut être configurée individuellement. Seule la fenêtre principale ne peut pas être masquée.

L'étape suivante :

De façon à en apprendre plus sur la création d'un projet, cliquez sur le lien suivant.

seealso Voir également :

Créer un projet


Créer un projet

Manuels -> Le fil rouge de l'aide - aperçu -> Quels chapitres pour démarrer -> Créer un projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Créer un espace de travail :

L'espace de travail peut contenir un ou plusieurs projets.
Comment créer un nouvel espace de travail est décrit dans le Guide de base.

Créer un projet :

Ensuite, un nouveau projet est créé dans l'espace de travail. Un projet est une entité autonome et exécutable, et qui contient les éléments développés (par exemple, les synoptiques, les variables, les fonctions, etc.).
Vous trouverez plus d'informations sur la création de projets dans le Guide de base.

info Info

Maintenant, vous être capable de créer un projet.

L'étape suivante :

Votre projet doit aussi contenir des synoptiques. Cliquez sur le lien suivant.

seealso Voir également :

Gabarits et synoptiques


Gabarits et synoptiques

Manuels -> Le fil rouge de l'aide - aperçu -> Quels chapitres pour démarrer -> Gabarits et synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Créer une gabarit :

Les gabarits définissent des zones dans l'écran qui contiendront les synoptiques. Chaque synoptique est basé sur un gabarit.
Vous trouverez plus d'informations sur comment créer un gabarit dans le Guide de base et au chapitreGabarits.

Créer un synoptique :

zenon propose différents types de synoptique prédéfinis, dont le plus simple, le "standard", où les écrans peuvent être définis librement. Pour le design graphique des synoptiques, il n'y a pratiquement aucune limitation.
Sélectionnez simplement les éléments prédéfinis pour représenter schématiquement vos équipements dans les synoptiques.

Améliorer les synoptiques avec les éléments graphiques :

zenon propose des éléments de synoptique vectoriels et dynamiques prédéfinis, qui peuvent être liés à des fonctions ou des variables.
D'autres informations concernant les éléments image sont disponibles dans le Guide de base ; les différentes formes des éléments de synoptique prédéfinis sont décrits de manière détaillée au chapitre Éléments de synoptique.
Une autre possibilité pour gagner du temps dans la phase de développement est d'utiliser nos symboles prédéfinis dans la bibliothèque de symboles. Vous trouverez plus d'informations sur les symboles dans le chapitre Symboles.

info Info

Vous pouvez créer maintenant un nouveau projet avec des synoptiques et des éléments graphiques.

L'étape suivante :

Vos éléments de synoptique doivent afficher des valeurs réelles, et vous souhaitez pouvoir surveiller vos équipements dans zenon. Cliquez sur le lien suivant.

seealso Voir également :

Drivers et variables


Drivers et variables

Manuels -> Le fil rouge de l'aide - aperçu -> Quels chapitres pour démarrer -> Drivers et variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélection d'un driver

Les variables sont fondées sur les drivers ; un driver doit donc d'abord être sélectionné. Habituellement, lors de la phase de développement, un des drivers de simulation est utilisé. Ensuite il est remplacé par le driver correspondant à l'automate. En tant que système indépendant, zenon est compatible avec plus de 250 pilotes ; vous trouverez pour chacun d'eux la documentation correspondante. Elle se trouve en ligne dans la section Drivers ou sur le CD/DVD fourni, sous forme de fichier PDF que vous pouvez imprimer.

Création d'une variable

Les variables sont l'interface vers les données du procédé et représentent des valeurs de mesure ou des états. De façon à avertir les opérateurs en cas d'événements critiques sur le procédé, des limites peuvent être définies sur les variables.
Vous trouverez plus d'informations sur comment créer une variable dans le Guide de base. Vous trouverez une descriptions complète des types de données et des matrices de réaction dans le chapitre Modèle des données du procédé et définition des variables.

Affichage de valeurs dans les éléments de synoptique

Les éléments de synoptique peuvent être liés à des variables pour afficher les valeurs entrantes.
Vous trouverez plus d'informations concernant la liaison de variables aux éléments dynamiques dans le Guide de base. Au chapitre Éléments de synoptique, vous trouverez un lien vers les éléments dynamiques et les éléments vectoriels des synoptiques de zenon.

info Info

Vous avez maintenant un bon aperçu de comment utiliser les variables et les drivers.

Étape suivante

Vous n'avez pas seulement besoin de faire un suivi du procédé mais vous voulez aussi le contrôler. Des fonctions doivent être créées et liées pour pouvoir contrôler zenon.

seealso Voir également :

Fonctions


Fonctions

Manuels -> Le fil rouge de l'aide - aperçu -> Quels chapitres pour démarrer -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Créer une fonction :

Les fonctions constituent la base de l'utilisation de l'équipement dans le Runtime. Ils vous permettent par exemple de basculer entre les différents synoptiques de procédés ou de modifier des valeurs.
Plusieurs fonctions peuvent être combinées et enchaînées dans un script. Vous trouverez plus d'informations sur les scripts dans le chapitre Scripts.

Lier une fonction à un élément dynamique dans un synoptique :

Vous trouverez plus d'informations dans le Guide de base. zenon propose un grand nombre de fonctions différentes ; celles-ci sont recensées et expliquées au chapitre Présentation des fonctions. De plus, vous trouverez une description rapide dans la boîte de dialogue Nouvelle fonction.

info Info

Maintenant, vous être capable de créer un projet simple. Vous pouvez créer un synoptique, lier des variables et des fonctions à des éléments de synoptique, mais également afficher les dépassements de limites.

L'étape suivante :

Il est temps maintenant de visualiser ce qui a été développé. Cliquez sur le lien suivant.

seealso Voir également :

Démarrer le Runtime


Démarrer le Runtime

Manuels -> Le fil rouge de l'aide - aperçu -> Quels chapitres pour démarrer -> Démarrer le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

De l'Éditeur au Runtime

Ce qui a été développé dans l'Éditeur peut être activé dans le Runtime . Donc quittons l'environnement de développement (l'Éditeur) et démarrons le Runtime.
Vous trouverez plus d'informations sur comment démarrer le Runtime dans le Guide de base et au chapitreRuntime.

info Info

Maintenant, vous pouvez développer vos projets et faire le suivi et/ou le contrôle de vos équipements.

Plus ?

Ceci est bien sûr seulement un court aperçu des possibilités de zenon. Si vous voulez en savoir plus ? Cliquez sur le lien suivant.

seealso Voir également :

Possibilités avancées


Possibilités avancées

Manuels -> Le fil rouge de l'aide - aperçu -> Quels chapitres pour démarrer -> Possibilités avancées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ici, vous trouverez de nombreuses possibilités que vous pouvez mettre en œuvre avec zenon :

Vous voulez ... | Pas de problème !
... attirer l'attention lors d'événements critiques sur le procédé (dépassements de limites) ? | Configuration des alarmes
... analyser les alarmes ? | Industrial Performance Analyzer
... tracer les événements du procédé et les événements système ? | Liste chronologique d'événements
... tracer les modifications dans le projet ? | Historique des modifications
... enregistrer et concentrer les données du procédé ? | Le serveur d'archives
... colorer de façon dynamique des lignes ? | Coloration Automatique des Lignes (CAL)
... créer une gestion d'utilisateurs (système de mots de passe) conforme à la norme FDA ? | Gestion utilisateurs
... analyser des fichiers de traces ? | Outil de diagnostic : Diagnosis Viewer
... afficher des valeurs du procédé sous forme de courbe ? | Extended Trend
... gérer les données de maintenance des machines ? | Industrial Maintenance Manager (Gestionnaire de maintenance industrielle)
... envoyer des messages ? | Gestion de messages
... créer un réseau client / serveur ? | Réseau
Environnement de développement | Éditeur
... importer ou exporter des parties du projet ? | Import / Export
... exécuter des actions à des heures définies ? | Production & Facility Scheduler
... créer des rapports ? | Générateur de rapports
... créer des listes de paramètres pour les valeurs prescrites et les commandes ? | Recettes
... définir une séquence de fonctions ? | Gestion des scripts
... exécuter des fonctions à des heures définies ? | Commandes temporisées
... changer la langue des textes affichés dans le Runtime ? | Changement de langue
... contrôler l'accès à certains objets zenon dans le Runtime à l'aide de variables ? | Verrouillages
... programmer des tâches cycliques ? | Moteur de Contrôle Procédé
... se familiariser avec l'intégration de zenon Logic ? | Espace de travail zenon Logic
Échange de données au niveau ERP ? | Interface SAP


Mise à jour en ligne de l'aide de zenon

Manuels -> Le fil rouge de l'aide - aperçu -> Mise à jour en ligne de l'aide de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fichiers PDF et l'aide en ligne sont mis à jour en ligne.

À cette fin, dans le dossier de programme de zenon, dans le sous-dossier Documentation 7.11, vous trouverez le programme Documentation Download Tool. Celui-ci fonctionne de manière similaire à la fonction Rechercher les mises à jour de Windows.

Paramètres

Description

Version :

Sélectionne la version (disponible à partir de zenon 6.51).

Langue :

nom de la langue du téléchargement souhaité.
Les langues suivantes sont actuellement disponibles :

  • Allemand
  • Anglais
  • Français
  • Italien

Information :

affiche les fichiers disponibles après sélection de la version et de la langue.

Démarrer le téléchargement

Démarre le processus de téléchargement.

Une fois la version et la langue sélectionnées, les fichiers disponibles sont affichés dans la fenêtre principale du programme Documentation Download Tool.
Cliquez sur le bouton Démarrer le téléchargement pour mettre l'aide à jour.

Les contenus suivants sont disponibles sous forme de fichiers PDF et d'aide incorporée, respectivement :

  • Manuels
  • Driver
  • Guides
  • Glossaire

info Info

Les droits d'administrateur sont nécessaires pour exécuter le programme Documentation Download Tool.

Pour définir le démarrage avec des droits d'administrateur :

  • cliquez avec le bouton droit sur l'icône du programme Documentation Download Tool.
  • Dans le menu Propriétés, sélectionnez :
  • Accédez à l'onglet Compatibilité dans la fenêtre suivante
  • Sélectionnez l'option Exécuter en tant qu'administrateur, puis
  • confirmez la configuration en cliquant sur OK.


Guide à travers l'aide

Manuels -> Le fil rouge de l'aide - aperçu -> Guide à travers l'aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

info Info

Ici, vous trouverez un aperçu des chapitres de l'aide en ligne et une courte introduction à la terminologie de zenon.

Paramètres

Description

Configuration des alarmes

Événements critiques du procédé
L'utilisation d'alarmes dans tout le système permet d'attirer l'attention de l'utilisateur sur les événements critiques des procédés, et de lui offrir une assistance pour leur localisation et leur élimination.

Historique des modifications

Documentation du développement, protocole d'audit
L'historique des modifications fournit une documentation complète de la phase de développement. Les modifications effectuées (e.g. changements, suppression, création) peuvent être enregistrées par le système.

Equipment modeling (Modélisation d'équipements)

Représente la structure et les équipements et permet d'attribuer correctement des détails au niveau inférieur (par ex. machines, recettes et procédés) et de visualiser la relation. Conforme aux standards ISA S88 et S95.

Le serveur d'archives

Enregistrer les données du procédé
L'objectif de l'archivage consiste à assurer l'enregistrement et la synthèse libre à plusieurs niveaux (moyenne, total, maximum et/ou minimum) des données du procédé par l'intermédiaire d'une interface de définition souple et conviviale, intégrée au système.

Coloration Automatique des Lignes (CAL)

Comportement dynamique des lignes
Le module de Coloration Automatique des Lignes permet de définir un effet dynamique automatique sur les tubes ou lignes utilisés dans différentes technologies, comme dans la distribution d'énergie (pour l'électricité).

Gestion utilisateurs

Le système de gestion des mots de passe de zenon prend en charge la gestion des utilisateurs pour l'Éditeur (chapitre Projet) et les opérations en ligne (Runtime). Avec son système de mots de passe, il supporte les exigences la FDA (Food and Drug Administration, 21 CFR Part 11).

Création d'un synoptique

Les synoptiques représentent l'élément principal d'un projet ; leur but consiste à fournir à l'opérateur un ensemble d'informations le plus complet possible sur les installations en cours d'exploitation.

Liste chronologique d'événements

Journal des opérations, protocole d'audit
La totalité des événements système et du procédé, ainsi que les saisies effectuées par l'utilisateur peuvent être consignées dans la liste chronologique d'événements.

Contrôles

Intégration de vos commandes d'utilisateur .NET et d'éléments ActiveX et WPF. Permet d'accéder à l'API de zenon.

Structure des fichiers

Informations pour les administrateurs système qui voudraient éditer directement les fichiers .ini.
Fichiers système, zenon6.ini, project.ini, nbflist.ini, fichiers de variables, fichier d'import dBase

Outil de diagnostic : Diagnosis Viewer

Outil de création de rapports
>Permet de lire les fichiers journaux existants de zenon, d'activer la journalisation en ligne, d'enregistrer la vue actuelle et de configurer les services Diagnosis Client et Diagnosis Server.

Éléments dynamiques de synoptique/Éléments vectoriels de synoptique

Éléments vectoriels (statiques) et les éléments dynamiques
zenon; propose deux types d'éléments de synoptique : les éléments vectoriels (statiques) et les éléments dynamiques. Tous les éléments peuvent être 'dynamisés'.

Éditeur

Environnement de projet
Le système de contrôle est composé d'un Éditeur et d'un Runtime. L'environnement de développement, l'Éditeur, et l'affichage en ligne, le Runtime. Les projets sont créés dans l'Éditeur, puis exécutés et suivis dans le Runtime.
Description détaillée du système de développement zenon, l'Éditeur.

Energy Edition

Suite contenant des fonctions spéciales pour les technologies de l'énergie et des procédés (par ex., la coloration automatique des lignes).

Système Energy Management System (EMS)

Utilisé pour la gestion de l'alimentation en électricité des petites et moyennes entreprises de fourniture d'énergie, mais également des firmes industrielles dont l'alimentation en électricité est régie par des contrats spéciaux.
Utilisable avec les fonctionnalités de prévision et d'optimisation.

Extended Trend

Représentation des valeurs sous forme de courbes
La fonction Extended Trend permet de représenter des valeurs en ligne (gestion HD) et historiques (archives) des variables de procédé et variables dérivées.

Fonctions

Macros prédéfinies pouvant être facilement utilisées et configurées par des ingénieurs, puis utilisées pour apporter des modifications dans zenon
Les modifications apportées par l'utilisateur dans zenon sont mises en œuvre par le biais de fonctions de projet définies par l'utilisateur. Toutes les fonctions utilisées dans un projet sont basées sur les fonctions système existantes.

HTML

Affichage de pages HTML
L'utilisation d'un synoptique pour l'affichage de pages HTML offre toutes les possibilités du logiciel Microsoft Internet Explorer.

Import / Export

Des sections d'un projet peuvent être importées dans zenon ou exportées depuis zenon. Le format des fichiers d'export du projet est le XML.

Industrial Maintenance Manager (Gestionnaire de maintenance industrielle)

Gestion des tâches de maintenance
Le module Industrial Maintenance Manager (IMM) aide à gérer les machines et les données de maintenance. Des périodes de maintenance peuvent être planifiées et gérées facilement. D'un coup d'œil, on peut voir sur quel matériel, équipement, machine, etc. doit être effectuée une maintenance aujourd'hui, cette semaine, le mois prochain etc. De plus, les travaux de maintenance effectués sont enregistrés et donc, tout le travail déjà réalisé peut être visualisé.

Industrial Performance Analyzer

Évaluation des alarmes
Le module Industrial Performance Analyzer (IPA) localise et minimise les points faibles (temps de panne) des équipements.

Installation et mises à jour

Informations concernant l'installation de zenon sur différents systèmes d'exploitation (tels que Windows CE, Embedded, etc.)

Keyblock Runtime Start

Ce programme démarre le Runtime de zenon et bloque toutes les touches système de Windows.
Les utilisateurs travaillent dans le Runtime de zenon et n'ont pas accès au niveau système d'exploitation.

Clavier

Clavier virtuel
L'utilisation d'un synoptique de type Clavier permet de créer et définir librement un clavier virtuel qui permet à l'opérateur de saisir les valeurs sur l'écran, sans avoir besoin de clavier réel.

Fichier

Journaux et fichiers texte
Le synoptique Liste affiche les fichiers journaux et fichiers texte résultant de requêtes de base de données ou de fichiers texte.

Licence

Pour pouvoir utiliser zenon en tant qu'éditeur et/ou Runtime, vous devez disposer d'une licence pour le produit.
zenon s'exécute en mode démo jusqu'à ce qu'il dispose d'une licence.

Unit conversion (Conversion d'unités)

Autorise la conversion et le basculement d'unités de base en unités de conversion, par exemple de mètres en yards ou de mètre en décimètres, centimètres et millimètres.
Pour les unités de conversion, un facteur, un décalage et un déplacement du point décimal peuvent être définis pour les unités de conversion en fonction de l'unité de base correspondante.

Gestion des menus

L'Éditeur de menus permet de créer des menus "style Windows".

Gestion de messages

Envoi de messages SMS, messages vocaux ou e-mails
Ce module se charge d'envoyer les messages à différents destinataires.

Gestion de moniteurs

Système multi-moniteurs
A travers la gestion de moniteurs de zenon, vous pouvez définir pour chaque poste si le système cible du projet est équipé d'un ou plusieurs moniteurs.

MultiTouch

Dans zenon, les gestes MultiTouch permettent également d'actionner les écrans tactiles. Les fonctions MultiTouch de zoom et de défilement sont adaptées à la navigation dans la vue globale sur les écrans tactiles.

Réseau

Modèle client serveur
Le système de contrôle fonctionne de manière analogue à un système client/serveur ou à un système à niveaux hiérarchiques multiples comportant des sous-stations, des stations principales et des stations centrales dans un environnement en réseau.

Serveur OPC

Le serveur OPC rend les variables d'un projet accessible pour des clients OPC standard.

Diagnostic automate (PLC Diagnosis)

Avec le programme PLC Diagnosis, des détails sur un automate peuvent être visualisés directement dans un synoptique du système de contrôle. Selon l'automate, différentes fonctionnalités sont disponibles. Pour le moment, la fonction Simatic S7 Graph Step Chain Analysis (Analyse des séquences d'étapes Simatic S7 Graph) permet l'affichage des informations concernant les automates S7, tandis que la fonction zenon Logic Monitoring Viewer permet l'affichage de tous les programmes exécutés par le Runtime de zenon Logic.

Moteur de Contrôle Procédé

Programmation de tâches cycliques
Le module Process Control Engine (PCE) offre la possibilité de développer des applications cycliques en VB Script ou JavaScript. Le PCE est particulièrement adapté pour les fonctions longues qui tournent en tâche de fond (e.g. nombreuses fonctions d'export). Contrairement à VBA, les scripts VB supportent le multi-thread.

Process Gateway - Passerelle de procédé

Le Process Gateway permet de se coupler à des systèmes de plus haut niveau. Des parties du synoptique de procédé zenon provenant d'autres applications peuvent être mises à disposition et mises à jour.

Production & Facility Scheduler

Plannings, changement d'heure
Le module Production & Facility Scheduler (PFS) permet l'exécution d'actions (par ex. changement de valeurs de variables, exécution de fonctions) à des heures définies ou conformément à un calendrier.

Interfaces de programmation

Différentes interfaces d'intégration de vos programmes ou d'automatisation des plannings sont disponibles dans zenon :

Sauvegarde projet

Sauvegarde et restauration de projets existants.
Les sauvegardes de projets peuvent ensuite être restaurées sur le même ordinateur ou sur un autre. Il est également possible d'effectuer un suivi de version des sauvegardes de projets.

Conversion de projet

Informations concernant la compatibilité, et notamment des instructions pour la conversion correcte depuis les versions plus anciennes de zenon.

Simulation de projet

Autorise la commutation entre les modes Simulation et Matériel. Dans le mode Simulation, les actions de commutation sont exécutées, les recettes sont transmises, les valeurs prescrites sont définies et ainsi de suite, sans que ces opérations ne soient réellement transmises au procédé (à un contrôleur, par exemple).

Configuration du projet

Informations sur la création de projet, gestion de projet.
Sauvegarder et restaurer des projets, projets globaux, configuration, module Remote Transport.e

Modèle des données du procédé et définition des variables

Les variables sont l'interface entre les données source (automates, but de terrain, etc.) et zenon.
Variables, types de données, drivers, matrices de réaction.

Liste des références croisées

Vue d'ensemble du projet.
La liste des références croisées permet de générer un aperçu du projet sous forme de tables. Par exemple, il est possible de voir quelles variables sont utilisées dans les différents synoptiques dans la liste de références croisées.

Remote Desktop (Bureau distant)

L'outil Remote Desktop permet d'établir une connexion distante à un ordinateur cible distant, afin de gérer facilement un ordinateur distant.
Le bureau de l'ordinateur apparaît exactement tel qu'il est sur le système cible.

Le module Remote Desktop offre deux types de connexions : un pour visualiser seulement et un pour utiliser le système distant.

Transport à distance

Le Transport à Distance est utilisé pour transférer les fichiers Runtime sur un système cible. Ceci garantit le transfert de tous les fichiers nécessaires vers le système cible.
D'autres fonctions (telles que la copie incrémentée ou le transfert d'état) sont disponibles.

Générateur de rapports

Le générateur de rapports (option) sert à la création de rapports qui peuvent montrer les données en ligne et / ou archivées.

Recettes

Listes de paramètres pour les valeurs prescrites et les commandes
Les recettes permettent la création de listes de saisie de valeurs prescrites et de commandes, qui sont exécutées via un appel de fonction dans le mode de fonctionnement en ligne.

Gestionnaire de groupes de recettes

Le gestionnaire de groupes de recettes offre plus de fonctionnalités que les recettes standard, comme par exemple le formatage libre ou le groupement libre.

Runtime

Opérations en ligne, Runtime.
Le système de contrôle est composé d'un éditeur et d'un Runtime. L'environnement de développement, l'Éditeur, et l'affichage en ligne, le Runtime. Les projets sont créés dans l'Éditeur, puis exécutés et suivis dans le Runtime.
Ici sont décrites les opérations en ligne dans le Runtime.

aide Runtime

zenon offre la possibilité de créer une aide contextuelle pour les projets exécutés dans le Runtime.

Interface SAP

zenon et SAP communiquent à l'aide d'une interface bidirectionnelle.
Le système de contrôle transmet les messages destinés aux procédés (par exemple, la gestion de stocks en temps réel) à l'application SAP.

Planning

Appels de fonction temporisés
Le module Planning est chargé si le module PFS ne comporte pas une licence. Son utilisation est similaire à celle du module PFS, mais est toutefois plus limitée. Le module Planning permet l'exécution automatique d'actions à des heures définies.

Polices

Les polices de caractères définies dans le système d'exploitation peuvent être utilisées dans zenon.

Science Package for Lego MINDSTORMS 2.0

L'application zenon Science Package for LEGO MINDSTORMS 2.0 autorise la programmation d'objets LEGO Mindstorms NXT 2.0. Les programmes sont créés dans zenon Logic et exécutés sur le contrôleur LEGO avec straton.
zenon Logic est un environnement de programmation intégré à zenon.

Gestion des scripts

Séquence de fonctions
Pour appeler plusieurs fonctions définies par l'utilisateur en séquence, vous devrez les associer dans un script.

Changement de langue

La commande de changement de langue permet de configurer l'affichage d'informations textuelles dans différentes langues durant le fonctionnement en ligne. Cette fonctionnalité est essentielle pour la réalisation de projets internationaux.

Outil Startup Tool

nnnnn

Gestion des états

Attributs des variables
Avec le module de gestion d'états, il est possible de définir vos propres attributs pour chaque variable. Vous pouvez définir jusqu'à 32 états/attributs. Les plus courants sont l'état spontané, invalide, valeur manuelle et valeur de remplacement.

Runtime zenon Logic

Le Runtime de zenon Logic interprète le code compilé (code automate) produit par l'espace de travail de zenon Logic. Le Runtime s'exécute sur les plate-formes Windows Vista, 7, 8 et Embedded, ainsi que sur les plates-formes Windows CE.

Espace de travail zenon Logic

zenon Logic est un environnement de programmation IEC 61131-3. Avec l'environnement de développement de zenon Logic, appelé espace de travail, les automates programmables peuvent être configurés et programmés dans les cinq langages définis par la norme IEC 61131-3.

Simulation de driver

Si le procédé sous-jacent n'est pas disponible lors de la configuration, celui-ci peut être simulé et testé à l'avance.

Variables

Les variables, également appelées variables de procédé ou points de données, sont l'interface entre les données source (automates, but de terrain, etc.) et zenon. Elles représentent certaines valeurs mesurées ou des états du matériel, et notamment des propriétés telles que les changements d'échelle, les valeurs limite, etc.

VBA

Extension de zenon
Vous pouvez utiliser le VBA pour étendre les fonctions de zenon.
Les possibilités offertes par VBA dans zenon sont décrites sous forme d'exemples de solutions à des besoins particuliers.

Verrouillages

Contrôle des accès
Les verrouillages contrôlent l'accès à certains objets zenon durant le Runtime, par l'intermédiaire de variables.

Développement distribué

Gestion multi-utilisateurs, capacité de coordination d'espaces de travail multiples
La fonctionnalité multi-utilisateurs de zenon permet à plusieurs utilisateurs de travailler simultanément sur un même projet.

Vidéo

Fichiers .avi dans zenon
En utilisant un synoptique spécifique pour l'affichage de vidéos, il est possible d'afficher des enregistrements vidéo (*.avi) en ligne ou enregistrés.

Que propose zenon sous CE ?

Le Runtime CE de zenon peut s'exécuter sur différentes plates-formes matérielles CE. De façon générale, la version CE de zenon offre les mêmes possibilités que la version PC de zenon ; cependant, elle comporte des limitations dues aux capacités matérielles plus restreintes.

Serveur Web et serveur Web Pro

Le serveur Web permet de montrer les projets à travers intranet ou internet. Aucune adaptation n'est nécessaire sur le projet pour ce transfert. Contrairement au Serveur Web Pro, le Serveur Web n'offre que les fonctionnalités de visualisation.
Web Server Pro offre des fonctionnalités de visualisation et de contrôle complètes. Il est possible d'accéder directement aux procédés à travers le Web.

Vue globale

Défilement de grands synoptiques
L'utilisation d'un synoptique de type Vue globale permet à l'utilisateur de faire défiler des synoptiques standard dont la taille est supérieure à la résolution d'écran. Dans ce cas, il est aussi possible d'agrandir ou réduire l'affichage et, selon les pas du zoom, d'afficher ou de masquer certains détails du synoptique. (Zoom, défilement, désencombrement)

Assistants

Assistants, aide au développement
De façon à prendre en charge certaines tâches répétitives de développement, facilement et pour gagner du temps, zenon propose des assistants. Les utilisateurs peuvent créer des assistants pour des tâches indépendantes.

Commandes temporisées

Les commandes temporisées permettent de définir tous les appels de fonctions devant être exécutés à un moment défini (ou de manière cyclique.

Attributions

Transfert de valeurs
La transmission de la valeur actuelle depuis une variable de procédé vers une autre variable, pour un même driver ou entre différents drivers, s'effectue au moyen d'attributions.


L'aide en ligne : je trouve ce dont j'ai besoin

Manuels -> Le fil rouge de l'aide - aperçu -> L'aide en ligne : je trouve ce dont j'ai besoin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il est possible que l'information se trouve dans l'aide en ligne mais vous n'arrivez pas à la trouver avec l'onglet de recherche.
Voici ici quelques indications pour vous aider à réussir vos recherches pour trouver l'information dans notre aide en ligne.

Stratégies de recherche

  • Par défaut, l'aide s'ouvre sur l'onglet Contenu. Vous trouverez ici la documentation complète (aide en ligne, guides et documentation des drivers) sous forme de structure d'arborescence.
  • L'onglet Rechercher permet la recherche de certains termes en les saisissant dans le champ de recherche.
  • Vous pouvez enregistrer vos chapitres d'aide favoris dans l'onglet Favoris. Affichez le chapitre désiré dans l'onglet Sommaire ou recherchez-le dans l'onglet Rechercher ; double-cliquez dessus, puis basculez vers l'onglet Favoris. Le chapitre est proposé dans Rubrique en cours ; cliquez sur "Ajouter" pour l'enregistrer en tant que favori.

Chercher des mots et des phrases :

Paramètres | Description
Mot simple | par exemple : alarme. Les chapitres contenant le mot « alarme » sont affichés. Les différentes formes grammaticales du mot sont aussi recherchées.
Phrase | par exemple : « Gestion des alarmes ». Les chapitres qui contiennent la phrase « gestion des alarmes » sont affichés. Sans les guillemets, tous les chapitres contenants les mots "gestion" ou "des" ou "alarmes" sont affichés.
Extensions | par exemple : alarm*. Tous les chapitres qui contiennent des mots commençant par « alarm » sont affichés. Le caractère * peut également se trouver devant le mot à rechercher (par exemple : *alarme).
Liens | AND Les deux mots doivent apparaître dans le même chapitre. par exemple : Alarme AND CEL Les chapitres contenant ces deux mots sont affichés.
 | OR Au moins un des deux mots doit se trouver dans le chapitre pour qu'il soit affiché. Par exemple, Alarme OR CEL Les chapitres qui contiennent le mot "alarme" ou le mot "CEL" ou les deux seront affichés.
 | NOT Le mot précédé de NOT ne doit pas se trouver dans le chapitre pour qu'il soit affiché. Par exemple, Alarme NOT CEL Les chapitres contenant le mot "alarme" mais ne contenant pas le mot "CEL" sont affichés.
 | NEAR Les deux mots doivent se trouver dans le même chapitre, proches l'un de l'autre. Exemple : alarme NEAR CEL Les chapitres contenant les termes « alarme » et « CEL », séparés par 8 mots maximum, sont affichés.


Famille de produits zenon

Manuels -> Famille de produits zenon

En tant que logiciel d'automation pour HMI, SCADA et de création de rapports, zenon propose de très nombreuses fonctions intégrées de développement, ainsi qu'un Runtime indépendant des plates-formes.

Avec zenon, vous pouvez :

  • Créer, distgribuer, modifier et exécuter des projets d'automation
  • Utiliser l'automate logiciel intégré zenon Logic
  • Collecter et évaluer des données concernant vos équipements depuis de très nombreuses sources

attention Attention

Les liens renvoyant au manuel de zenon désignent en général zenon Supervisor et zenon Operator.

zenon est galement disponible dans deux éditions spéciales :

  • Energy Edition : dédiée aux entreprises d'infrastructure et de production d'énergie
  • Pharma Edition : dédiée à l'industrie pharmaceutique

Ces éditions sont optimisées pour l'application correspondante et contiennent des éléments spéciaux tels que les symboles, les assistants, etc.

Autres sujets abordés dans ce chapitre

zenon Supervisor

zenon Operator

zenon Logic intégré

zenon Analyzer


zenon Supervisor

Manuels -> Famille de produits zenon -> zenon Supervisor

?zenon Supervisor est un outil complet permettant de créer et exécuter des projets d'automation. Il est constitué de l'Éditeur et du Runtime et autorise la création rapide de réseaux d'automation – également par le biais d'une connexion Web –, et peut être utilisé sur tous les systèmes d'exploitation Windows actuels.

Une version dotée de fonctionnalités limitées, appelée zenon Operator, est également disponible pour les systèmes d'exploitation de machines.


zenon Operator

Manuels -> Famille de produits zenon -> zenon Operator

zenon Operator est un produit économique, adapté à l'utilisation de machines. Sa fonction principale est conforme à celle de zenon Supervisor. Comparé à zenon Supervisor, Operator dispose de fonctions limitées.

zenon Operator inclut l'Éditeur et le Runtime et peut être utilisé avec les systèmes d'exploitation PC et CE.


zenon Logic intégré

Manuels -> Famille de produits zenon -> zenon Logic intégré

zenon Logic est l'environnement de programmation conforme au standard IEC 61131 inclus dans zenon. Il est disponible dans l'Éditeur et le Runtime (automate logiciel) pour zenon Supervisor et zenon Operator.


zenon Analyzer

Manuels -> Famille de produits zenon -> zenon Analyzer

Le module zenon Analyzer propose, via des systèmes d'analyse à l'échelle du système, des fonctionnalités de gestion et de contrôle sur toutes les données disponibles en ligne et hors ligne. Il rassemble les tâches qui étaient jusqu'alors séparées et élimine les problèmes de "friction" liés à la configuration, la maintenance et la coordination en parallèle de différents systèmes informatiques. Le module zenon Analyzer :

  • rassemble et ordonne les données provenant de différentes sources, dans différents formats
  • organise les données de façon proportionnelle les unes par rapport aux autres
  • affiche les résultats sous forme graphique

L'utilisation du module zenon Analyzer ne nécessite pas d'interrompre le procédé de production. Le module zenon Analyzer peut être mis en oeuvre dans un système de production existant, et ne nécessite aucune modification du système. Le système de production fonctionne sans incident durant l'enregistrement des données et la création de rapports. L'infrastructure existante est intégrée par le module zenon Analyzer à la fonctionnalité de création de rapports, indépendamment du fabricant.

Pour accéder aux évaluations, seul un navigateur Internet standard de Microsoft est nécessaire. Aucune installation, configuration ou maintenance de logiciel n'est requise. L'évaluation peut être incorporée à l'intranet d'une entreprise, sans composants ou plug-ins supplémentaires. Des rapports standard sont déjà inclus dans la livraison du module zenon Analyzer. Vous pouvez créer, enregistrer ou distribuer vos propres évaluations à tout instant.

D'autres informations concernant le module zenon Analyzer sont disponibles dans la documentation complémentaire du module zenon Analyzer, ou auprès de votre partenaire commercial COPA-DATA : sales@copadata.com.


Développez efficacement vos projets avec zenon

Manuels -> Développez efficacement vos projets avec zenon

Utilisez-vous zenon pour la première fois ?
Vous trouverez ici des informations qui vous aideront à utiliser zenon efficacement. Nous vous recommandons de lire ce chapitre, même si vous avez déjà acquis de l'expérience avec d'autres systèmes de contrôle de procédés. Vous apprendrez ici des notions fondamentales de zenon et de son fonctionnement, et découvrirez comment et pourquoi zenon vous aide à travailler plus facilement et rapidement.

Un aperçu de zenon

zenon est constitué de l'Éditeur et du Runtime.
Les projets sont créés dans l'Éditeur. L'utilisation et la surveillance s'effectuent dans le Runtime. L'Éditeur et le Runtime sont compatibles à compter des versions 6.20 et ultérieures. Par exemple, un projet créé avec la version 6.50 est également compatible avec la version 6.22 du Runtime, et inversement.

zenon diffère principalement des autres systèmes par les caractéristiques suivantes :

  • Simplicité d'utilisation : de nombreuses actions peuvent être réalisées en quelques clics, tandis que les assistants rendent votre travail plus rapide et plus simple. Vous pouvez également travailler en effectuant des manipulations de glisser-déplacer avec la souris, ou en utilisant le clavier – à votre convenance.
  • Orientation objet concrète : vous travaillez continuellement avec des objets que vous pouvez paramétrer rapidement, au lieu de passer des heures à programmer vos équipements. Une fois définis, les objets peuvent être utilisés dans différents projets. Vous pouvez utiliser les fonctions d'héritage de propriétés, et modifier les propriétés en un clin d'œil.
  • Excellente capacité de réutilisation des objets et éléments configurés : de nombreux éléments, des variables individuelles jusqu'aux projets entiers, peuvent être réutilisés très facilement et efficacement dans zenon.
  • Réseau intégré : le développement distribué sur le réseau et la redondance totale ne demandent plus un effort démesuré. Vous pouvez créer des réseaux en cochant la case concernée. De cette manière, vous pouvez également constituer un réseau de projets autonomes individuels pour développer des systèmes redondants efficaces.

Conseils et astuces

Vous trouverez des conseils utiles sur le forum de www.copadata.com. La meilleure manière d'apprendre à profiter pleinement des capacités de zenon consiste à assister aux séminaires de formation et aux ateliers de COPA-DATA, adaptés à vos priorités et vos projets. Votre distributeur peut vous fournir d'autres informations ; vous pouvez également nous écrire à l'adresse sales@copadata.com.

Autres sujets abordés dans ce chapitre

Simplicité d'utilisation

Orientation objet

Réutilisation d'éléments

Réseau intégré


Simplicité d'utilisation

Manuels -> Développez efficacement vos projets avec zenon -> Simplicité d'utilisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon facilite la configuration grâce à de nombreux petits agréments, et augmente ainsi votre productivité. En utilisant zenon, vous découvrirez que vous pourrez résoudre de nombreux problèmes à votre convenance. Par exemple :

Favoris

Vous pouvez définir vos propres favoris dans les propriétés des objets et les boîtes de dialogue des fonctions. Vous pouvez effectuer votre choix au début des listes de propriétés. De cette manière, vous pouvez rapidement accéder aux propriétés dont vous avez le plus fréquemment besoin.

Utilisation générale du clavier dans l'Éditeur

L'Éditeur peut être facilement contrôlé grâce aux symboles et aux menus actionnables avec la souris ; vous pouvez également utiliser le clavier de façon universelle. Les raccourcis-clavier de Windows fonctionnent également dans zenon. Par exemple :

  • Ctrl+C et Ctrl+V pour copier et coller.
  • Insér crée de nouveaux objets.
  • Suppr supprime les objets sélectionnés.
  • Le pointeur de la souris permet de se déplacer parmi les vues.
  • Échap termine l'action en cours.
  • Retour arrière remonte d'un niveau dans l'arborescence des répertoires.
  • Ctrl+Z annule les dernières actions, à l'exception des opérations sur bases de données.

Pour plus d'informations à ce sujet, reportez-vous au chapitre Raccourcis-clavier.

Glisser & Déposer

Dans l'Éditeur, vous pouvez travailler plus efficacement en utilisant des manipulations de type glisser-déplacer. Par exemple :

  • Modifier l'ordre des entrées de menus
  • Lier des polices à des éléments dynamiques tels qu'une réglette universelle, une horloge, un élément combiné etc.
  • Modifier l'ordre des éléments structurels pour les données de type structure.
  • Modifier l'ordre d'éléments dans un script.
  • Copier ou déplacer des fonctions à l'aide de différents scripts.
  • Copier des scripts en les déplaçant vers le nœud principal.

Assistants intelligents pour l'exécution de tâches complexes.

Les assistants intégrés à zenon vous aident à créer un projet de base en un clin d'œil, ou à réaliser des ajustements complexes. Nous vous recommandons d'utiliser les assistants pour la configuration de réglettes universelles, d'éléments combinés et d'archives, plus particulièrement si vous n'êtes pas encore familiarisé avec le logiciel.

Info-bulles pour les éléments et les propriétés

Si vous positionnez le pointeur de la souris sur un élément d'affichage (par exemple, un bouton de texte) ou une propriété liée (par exemple, la fonction liée à un bouton de texte), une info-bulle s'affiche à l'écran. Elle contient des informations relatives aux éléments liés, telles que la fonction liée et ses paramètres.

Possibilités de dessin étendues

L'Éditeur graphique offre une vaste gamme de fonctions pouvant faciliter le dessin d'équipements, et vous offre également de nombreuses possibilités : du zoom sans incrément et redimensionnement en un clic, verrouillage des coins d'éléments ou distribution automatique d'éléments suivant des règles. Vous trouvez plus de détails au chapitre Images.

Accéder à l'élément lié

Pour tous les éléments graphiques, fonctions, variables et autres éléments, vous pouvez accéder directement à l'élément lié. Par exemple, vous pouvez cliquer sur un élément d'affichage pour afficher directement la variable liée ; si vous cliquez à nouveau dessus, vous pouvez accéder directement aux types de données utilisées et même afficher l'unité employée. Le cas échéant, vous pouvez facilement annuler toutes ces étapes et revenir au point de départ en l'espace de quelques clics.


Orientation objet

Manuels -> Développez efficacement vos projets avec zenon -> Orientation objet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

COPA-DATA envisage l'automation d'un point de vue pragmatique, selon une orientation objet. C'est ainsi que fonctionne zenon ; de plus, ce programme peut lui-même être largement automatisé. zenon ne nécessite aucun langage de programmation ; vous n'aurez pas à programmer la moindre ligne de code. Au lieu de cela, vous attribuez des propriétés à des objets à l'aide de la souris. Cela fonctionne non seulement avec les objets individuels, mais également de manière centrale, pour un projet entier, et d'un objet à l'autre également.

Si la perspective de ne pas pouvoir personnaliser zenon et de vous retrouver entièrement dépendant des propriétés des objets vous inquiète, voici une bonne nouvelle : vous pouvez bien évidemment adapter la configuration de zenon individuellement. Pour cela, utilisez préférablement VBA ou l'environnement de développement VSTA (.NET). En outre, zenon propose de nombreuses interfaces permettant de communiquer avec des équipements et des logiciels, et fournit zenon Logic avec une logique SCADA intégrée.

Trois principes de base importants pour vous aider à utiliser zenon

Trois principes centraux simplifient et facilitent le développement et la maintenance de projets dans zenon :

  1. Paramétrer au lieu de programmer :

    Définissez facilement les paramètres requis, au lieu de programmer ou d'adapter des scripts.

  2. Global et central plutôt que local :

    Définissez des objets une fois et réutilisez-les aussi souvent que vous le souhaitez, même dans différents projets, au lieu de rédiger ou copier des scripts indéfiniment.

  3. Paramétrage orienté objet :

    profitez de tous les avantages de la réflexion orientée objet.

Autres sujets abordés dans ce chapitre

Paramétrer au lieu de programmer

Global et central plutôt que local

Paramétrage orienté objet


Paramétrer au lieu de programmer

Manuels -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrer au lieu de programmer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Quel avantage vous offre le paramétrage de projets plutôt que leur programmation ?

Vous évitez de créer du code susceptible de contenir des erreurs et gagnez en flexibilité ; votre projet dispose de structures claires, est plus rapide et offre une plus grande capacité de réutilisation. Quatre éléments font particulièrement pencher la balance en faveur du paramétrage :

  1. Les modules prédéfinis offrent un gain de temps ;
    zenon comporte de nombreux modules prédéfinis. Au lieu de programmer des scripts vous-même, vous choisissez le module adéquat et le configurez en sélectionnant les propriétés et les paramètres de votre choix. Cela vous permet de créer des projets exécutables en un clin d'œil.
  2. Le produit fourni par le fabricant est déjà arrivé à maturité ;
    le concepteur se concentre sur ses projets. Le logiciel est développé et testé par le fabricant ; les concepteurs n'ont pas besoin de rédiger leur propre code. Il est donc très simple d'utiliser zenon – même pour les employés ne possédant aucune expérience du développement de logiciels.
  3. Maintenance et adaptation simples du projet :
    zenon opère selon une logique strictement orientée objet. Associée à la philosophie consistant à paramétrer plutôt qu'à programmer, cela signifie une maintenance et une adaptation simples. Pour les modifications et le contrôle, il vous suffit de contrôler ou modifier les propriétés des objets individuels au lieu de devoir lire et adapter de longues lignes de code. Tout au long de la durée de vie du projet, cela garantit :
    • Une structure claire : les projets peuvent être recréés plusieurs années plus tard, même par des employés inexpérimentés.
    • Sécurité : les scripts et la programmation, susceptibles de dissimuler des erreurs, sont évités.
    • Un gain de temps : la configuration, l'adaptation et la maintenance peuvent être réalisés beaucoup plus rapidement.
  4. Adaptation facile sur différentes machines :
    zenon peut être adapté facilement et rapidement sur des machines nouvelles ou modifiées. Les adaptations de projets peuvent être effectuées en quelques clics seulement.

Adaptez zenon

Le paramétrage évite que les erreurs contenues dans des scripts ne soient reproduites à l'infini. Il évite les laborieuses opérations de modification de scripts individuels lorsque vous souhaitez simplement adapter quelques détails. Toutefois, cela ne signifie pas que vous devez être inflexible ! zenon vous offre également de nombreuses possibilités d'étendre et d'adapter votre système.

  • VBA/VSTA :
    Grâce au langage de scripts intégré Visual Basic for Applications et à C# et VB.NET, vous pouvez exécuter n'importe quel code dans le Runtime. Ceci autorise l'exécution de tâches d'automation, de tâches logiques et de tâches de gestion d'interfaces, à l'image des accès aux bases de données.
  • zenon Logic:
    Cet environnement de contrôle entièrement intégré vous permet, grâce à sa logique SCADA, d'utiliser les cinq langages de programmation IEC 61131-3. Grâce à lui, vous pouvez exécuter vos calculs et résoudre tous vos problèmes logiques.
  • PCE :
    Le moteur de contrôle de procédés intégré vous permet d'utiliser VB-Script et Java Script dans le cadre de vos tâches d'automation.
  • Contrôles Active X :
    Vous pouvez intégrer des contrôles standard, tels que Flash Player, Acrobat Reader etc. à zenon. L'interface est évidemment visible, ce qui vous permet d'y inclure vos propres contrôles ActiveX.
  • Éléments WPF
    L'intégration directe du format Windows Presentation Foundation de Microsoft vous permet d'intégrer directement dans les images de zenon des éléments graphiques, tels que des boutons, des pointeurs et de nombreux autres éléments utilisant ce nouveau format graphique. Ces éléments peuvent être librement liés à des variables et des fonctions, qui vous permettent de mettre en œuvre les effets graphiques de votre choix.
  • Interface COM :
    Vous disposez d'un accès externe à zenon via l'interface COM entièrement visible. Différents langages de programmation, tels que C++, .NET, Delphi etc. sont fournis aux fins des communications.


Global et central plutôt que local

Manuels -> Développez efficacement vos projets avec zenon -> Orientation objet -> Global et central plutôt que local

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les propriétés peuvent être définies de nombreuses manières dans zenon, en fonction de la tâche :

  • Directement sur l'objet
  • De manière centrale
  • De manière globale

Bien entendu, dans zenon, vous pouvez ajuster tous les paramètres directement au niveau de l'objet. Toutefois, cela n'est pas toujours la solution la plus intelligente.

Définir les propriétés de manière centrale

Il est souvent logique de définir les paramètres une fois seulement, de manière centrale. De cette manière, les nouveaux objets proposent les propriétés souhaitées dès le départ. Les modifications sont très faciles à mettre en œuvre : la propriété souhaitée est modifiée de manière centrale, à un endroit seulement ; tous les objets concernés l'adoptent automatiquement. Cela signifie un clic seulement, au lieu d'innombrables lignes de code ou de nombreux clics de souris.

Ces paramètres centraux peuvent être localisés avec facilité depuis n'importe quelle position dans l'Éditeur. Tout objet recevant directement ses paramètres d'un emplacement central offre la possibilité de les afficher directement. Il vous suffit simplement de suivre une liaison pour voir immédiatement de quelle manière ces éléments sont liés.

Toutefois, si vous pouvez définir les propriétés de manière centrale pour un projet, vous pouvez également les définir globalement.

Gestion de projet globale

zenon vous permet de gérer plusieurs projets simultanément – et ainsi d'économiser votre ressource la plus précieuse : les heures de travail. Par exemple, il est très facile d'utiliser les mêmes polices de caractères dans tous vos projets. Une fois définies, les propriétés telles que les polices ou les tailles de polices sont instantanément disponibles pour tous les projets d'un domaine de travail. Si vous avez besoin d'une autre police de caractères pour tous vos projets, il ne vous faudra que quelques secondes pour la modifier dans le projet global. Et si vous souhaitez fournir un projet avec une police de caractères différente ? Dans ce cas, il vous suffit de modifier la police concernée de manière centrale dans le projet.

info Info

Dans le projet global, utilisez un système de numérotation différent du système employé dans les projets individuels. zenon privilégie toujours les paramètres locaux si les nombres sont identiques.

De plus, veillez à utiliser des noms uniques pour les listes de polices, et veillez à ce que l'utilisation de ces noms soit cohérente dans le projet global et les projets individuels. De cette manière, vous veillez à ce que toutes les polices soient bien retrouvées en cas de changement de langue.

Aperçu des relations entre objets

Vous disposez en outre d'un aperçu de vos projets et des relations entre les objets grâce à ces éléments :

  • Liste des références croisées :
    cette liste présente les références croisées dans un projet et vous permet de rechercher facilement l'utilisation des variables et des fonctions.
  • Assistant documentation
    Crée automatiquement une documentation complète pour votre projet. Vous pouvez configurer exactement ce que vous souhaitez inclure, jusqu'à la moindre propriété.


Paramétrage orienté objet

Manuels -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrage orienté objet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le paramétrage orienté objet constitue la philosophie fondamentale de zenon. Cette philosophie permet d'organiser le travail de manière claire, et de consacrer davantage de temps à la création et la gestion de variables.

Chaque variable dans zenon repose sur deux éléments :

  • Drivers
  • Type de données

Autres sujets abordés dans ce chapitre

Drivers

Types de données

Conseils relatifs à l'adressage et à l'importation/exportation


Drivers

Manuels -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrage orienté objet -> Drivers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les drivers ne sont pas directement intégrés à zenon ; ils sont mis en œuvre via un type d'objet de driver. Ce type d'objet de driver définit le domaine du PLC concerné par l'adressage.

Types d'objets driver

Il existe de nombreux types d'objets de drivers, par ex. les marqueurs d'automates standard, les blocs de données, les entrées, les sorties, les compteurs etc. – mais également des types spéciaux, tels que les alarmes ou les variables de drivers.

Le type d'objet de driver détermine :

  • Le domaine de l'automate
  • La granularité du driver dans ce domaine
  • Il définit les types de données pouvant être créés dans la zone de mémoire.

Conseil : tous les types de données ne peuvent pas être créés dans un domaine. Par conséquent, suivez toujours les instructions fournies lorsque vous créez une variable :

  • D'abord, le driver,
  • Puis, le type d'objet de driver et...
  • Enfin, le type de données.

Un autre aspect : la granularité

La granularité joue un rôle particulièrement important dans la programmation d'automates à adressage numérique, tels que les Siemens S7. Tous les automates ne possèdent pas la même résolution, et tous les domaines d'un automate ne possèdent pas non plus la même résolution.

Par exemple, le domaine de blocs de données d'un automate Siemens S5 est orienté mot, tandis que son domaine de marqueurs est orienté octet. Cela signifie que la plus petite unité pouvant être adressée est soit un octet, soit un mot. Maintenant, si vous voulez écrier un bit dans l'un de ces domaines, vous devez lire au moins un octet ou un mot entier, marquer le bit souhaité, le modifier, puis écrire à nouveau l'octet ou le mot entier dans l'automate.

Les mêmes informations sont requises lors de l'adressage des domaines, appelés "offset". Vous commencez par zéro et continuez à compter en incréments par octets/mots. Si vous utilisez l'adressage automatique dans zenon, la granularité est automatiquement prise en compte. La granularité ne dépend donc pas du driver, mais du type d'objet de driver.

Variables des drivers

Les variables de drivers sont proposées par tous les drivers, et offrent de nombreux avantages en termes de développement. Elles ne communiquent pas avec l'automate, mais lisent une zone de la mémoire interne du driver contenant principalement des informations statistiques. Toutefois, vous pouvez également contrôler des fonctions spéciales à l'aide des variables, à l'image des numéros de téléphone de connexions modem ou des commandes de numérotation/de fin de connexion.

Vous trouverez plus d'informations au chapitre Variables des drivers.

Un fichier dBase contenant les plus importantes variables de drives est inclus sur le CD d'installation de zenon. Vous pouvez l'utiliser pour importer ces variables simplement et efficacement dans tous les drivers, au lieu de les créer manuellement.


Types de données

Manuels -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrage orienté objet -> Types de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les types de donnés sont au cœur même du paramétrage orienté objet. Puisque vous ne pouvez rien modifier dans les ‑types d'objet de drivers, ces derniers ne peuvent pas être utilisés dans le cadre de l'orientation objet. Les types de données, en revanche, offrent de nombreuses possibilités.

On distingue trois types :

  • Types de données simples
  • Types structure
  • Eléments de structure

Autres sujets abordés dans ce chapitre

Types de données simples

Types de données de structure - Éléments de structure - Structure


Types de données simples

Manuels -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrage orienté objet -> Types de données -> Types de données simples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les types de données simples sont toujours des types de données IEC, ce qui signifie les types de données définies par l'institut IEC dans le standard 61131-3 (par ex. BOOL, INT, USINT, UDINT, STRING, WSTRING, etc.). Ces données aident à définir la taille d'une zone ; par exemple, grâce à
BOOL : 1 bit 1 Bit
INT : 16 bits non signés
UINT : 16 bits non signés

Les types de données dans zenon autorisent non seulement l'utilisation des types de données IEC ; de nombreuses autres propriétés sont disponibles. Celles-ci possèdent la même description que les propriétés des variables :

  • Identification
  • Unité
  • Plage de valeurs
  • Limites

Pourquoi cette "double comptabilisation" ?

La raison est simple :
à l'image des éléments dynamiques, qui reprennent le type et la taille de la police de caractères liée, la variable reprend le calcul de la valeur, l'unité et les limites provenant du type de données sur lequel elle est fondée.

Orientation objet

Contrairement à la liaison d'éléments dynamiques et de polices de caractères, nous envisageons ici une orientation objet : les données de type objet transmettent leurs propriétés à la variable. La différence ?

Les propriétés liées/dérivées de la variable peuvent être séparées/écrasées. Cela fonctionne pour chaque propriété individuellement, mais également pour toutes les propriétés à la fois. Cela signifie que vous pouvez reprendre l'unité provenant du type de données de manière centrale, mais également remplacer l'identification ou l'adresse directement au niveau de la variable. Voici comment cela marche :

  • Modifiez la valeur concernée de la variable lorsque la liaison est interrompue.
    Vous pouvez vérifier cela en consultant les propriétés : la coche n'est plus présente.

Vous pouvez utiliser d'autres fonctions via le menu contextuel :

  • Lier la propriété au type de données :

    Si vous avez interrompu la liaison, vous pouvez la rétablir.

  • Dissocier la propriété :

    Vous pouvez dissocier une propriété unique sans devoir modifier la valeur. Si vous modifiez ultérieurement la valeur du type de données, la variable ne sera pas modifiée par cette action. Cela vous permet de définir exactement l'élément auquel doit être appliqué le concept d'héritage.

Une option utile : vous pouvez également lier ou dissocier toutes les propriétés du type de données en un clic. Cela vous permet de basculer très rapidement vers et depuis l'état original (héritage de toutes les propriétés). En quoi est-ce que cela vous est bénéfique, en tant qu'utilisateur ?

Flexibilité accrue : si vous utilisez de nombreuses variables possédant la même limite, par ex. une alarme pour la valeur 1, vous pouvez simplement définir la limite au niveau du type de données. La limite réelle et les autres paramètres facultatifs peuvent alors être définis séparément pour chaque variable. Vous n'avez plus besoin de créer et d'actualiser la limite pour chacune des variables, ce qui augmentera très significativement l'efficacité du développement. Le type de données par défaut BOOL possède une limite prédéfinie à 0 et 1 !

Si vous n'utilisez pas une limite pour chaque variable BOOL, vous n'avez pas besoin de veiller à désactiver manuellement la limite pour chaque variable. Au lieu de cela, vous pouvez utiliser une fonction extrêmement pratique de zenon et créer votre propre type de données BOOL. Suivez les instructions qui vous sont fournies :

  • Laissez le type de données standard tel quel.
  • Cliquez sur le bouton New data type (Nouveau type de données).
  • Vous verrez alors s'afficher la liste contenant les types de données déjà existants.
  • Choisissez Standard BOOL (BOOL standard) :
  • Spécifiez un nom, par ex. MyBOOL.
  • Toutes les propriétés du nouveau type de données sont automatiquement reprises par l'ancien type.
  • Supprimez les limites dans MyBool.

Utilisez ce nouveau type de données MyBool pour créer toutes les variables BOOL qui ne doivent pas comporter de limites ; cela supprime toutes les limites inutiles. Les autres limites, que vous souhaitez conserver, ne seront pas affectées.

Vous pouvez évidemment créer d'autres types de données BOOL personnalisés, et autant que vous le souhaitez. Toutes les variables utilisant des paramètres identiques pour la plupart de leurs propriétés reçoivent un type de données spécifique. Si l'une des propriétés change, vous pouvez effectuer les modifications de manière centrale, et toutes les variables dérivées seront automatiquement mises à jour (exceptées celles dont vous avez dissocié les liaisons).


Types de données de structure - Éléments de structure - Structure

Manuels -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrage orienté objet -> Types de données -> Types de données de structure - Éléments de structure - Structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Types structure

Le type de données de structure désigne un groupe de types de données dont l'ordre et l'organisation sont définis avec exactitude. Par exemple, une structure Moteur peut inclure les éléments Régime actuel (tr/min) et Alimentation.

Une structure peut également être imbriquée, et différents niveaux hiérarchiques sont possibles.

Avec les types de données Structure, vous pouvez développer votre ensemble de variables exactement tel qu'il existe dans l'automate ou dans la réalité.

Élément de structure

Un type de données de structure est en réalité une simple "coque" qui porte le nom de la structure, mais ne comporte aucune propriété propre.

Les propriétés seront uniquement attribuées après que les éléments de structure aient été ajoutés au type de données de structure. On distingue les types suivants :

  • Type de données de structure liées :

    Référence à un type de données existant. Toutes les propriétés sont reprises, à l'exception du nom.

    Avantage : si l'élément structure fournit de nombreuses propriétés d'un type de données existant, celles-ci peuvent être réutilisées. Vous pouvez évidemment toujours modifier chacune des propriétés des variables, ou les dissocier du type de données.

  • Type de données de structure embarqué :

    Autorise la configuration de paramètres d'adressage individuels. Ce nouveau type de données est uniquement valide dans cette structure.

info Info

Orientation objet avantageuse : si la structure est modifiée d'une manière ou d'une autre, il suffit de modifier le type de données de structure afin qu'il s'adapte automatiquement à toutes les variables dans cette structure.

Toutes les caractéristiques peuvent être modifiées :

  • Les propriétés simples, telles que l'unité du type de données
  • Les propriétés complexes, telles que l'ajout ou la suppression de limites
  • La modification de l'ensemble de la structure, par ex. en modifiant l'ordre des éléments ou en ajoutant/en supprimant des éléments de structure uniques dans le type de données de structure.

Structure

Si plusieurs machines sont concernées, l'utilisation d'une structure est recommandée.

Par exemple : 100 pompes au lieu d'une pompe.
Il vous suffit de changer les variables de structure en structure. D'un simple clic, 100 variables deviennent 100 variables de structure.

Suivant notre exemple, nous devons créer 12 variables pour chacune de nos pompes, ce qui produit un total de 1200 variables. La méthode du paramétrage orienté objet autorise cela en quelques clics seulement. Par ailleurs, elle offre l'avantage de fournir des variables prédéfinies. Chacune des variables inclut déjà les propriétés dont elle a besoin, telles que l'unité, le calcul de valeur, les alarmes, les entrées de liste chronologique d'événements etc.

info Info

Les types de données de structure sont également adaptés à la réutilisation de variables.

Autres sujets abordés dans ce chapitre

Exemple d'une pompe :


Exemple d'une pompe :

Manuels -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrage orienté objet -> Types de données -> Types de données de structure - Éléments de structure - Structure -> Exemple d'une pompe :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Exemple d'une pompe :

Situation initiale

Une pompe est constituée de deux moteurs. Chacun de ces moteurs possède des variables telles que :

  • Régime actuel (tr/min)
  • Consommation électrique
  • Affichage
  • etc.

Chaque moteur comporte une réglette avec les variables suivantes :

  • Régime nominal (tr/min)
  • P-share
  • I-share

Construisez cette constellation comme indiqué ici :

  1. Créez une structure réglette à partir d'un type de données pour :
    • Régime nominal (tr/min)
    • P-share
    • I-share
  2. Créez une structure moteur comportant ces types de données :
    • Régime actuel (tr/min)
    • Consommation électrique
    • Affichage
    • etc.
  3. Intégrez la réglette à la structure moteur.
  4. Enfin, créez la structure de la pompe et intégrez le moteur à celle-ci.

    Puisque la pompe comporte deux moteurs, il vous suffit d'ajouter deux fois le type de données moteur à votre structure pompe.

  5. Créez une variable reposant sur ce type de données de structure :
    • Créer une nouvelle variable
    • Choisissez le type de données de structure pompe

    Les éléments individuels de cette variable de structure sont appelés éléments de structure. Vous pouvez utiliser chacun de ces éléments à tout endroit dans zenon – sur les synoptiques, comme alarmes, dans les archives, dans les recettes, etc.


Conseils relatifs à l'adressage et à l'importation/exportation

Manuels -> Développez efficacement vos projets avec zenon -> Orientation objet -> Paramétrage orienté objet -> Conseils relatifs à l'adressage et à l'importation/exportation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Exemples pratiques :

  • Adressage
  • Import / Export

Adressage :

Grâce aux commandes numériques, vous pouvez décider si l'adressage doit être automatique ou semi-automatique. Toutes les propriétés décrites ici peuvent également être atteintes par l'intermédiaire de VBA/VSTA et être ainsi utilisées aux fins de la configuration automatique.

Adressage automatique :

L'offset et, le cas échéant, les adresses d'octet et de bit, sont calculés automatiquement pour les éléments de structure, sur la base de la position des éléments de structure, pour une structure comme pour un ensemble de structures. Si vous avez créé la même structure dans l'automate et dans zenon, tout fonctionnera parfaitement et vous n'aurez pas à vous préoccuper de l'adressage.

Adressage semi-automatique :

Ici, les adresses de départ uniques attribuées comportent déjà un type de données. Les autres adresses sont ensuite déterminées en fonction de ces adresses. Vous pouvez évidemment les modifier ultérieurement. Vous trouverez plus de détails au chapitre Adressage automatique.

Pour les automates comportant un adressage à base de symboles, vous devez utiliser le même nom dans zenon et dans l'automate.

Importation et exportation au format XML :

Les informations telles que les types de données, les structures, les propriétés héritées etc. sont également incluses lors de l'importation ou de l'exportation. Cela signifie qu'une fois définies, les types de données de structure et les variables de structure peuvent être facilement exportées, puis importées dans d'autres projets pour être réutilisées ou adaptées, selon le besoin.


Réutilisation d'éléments

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La première fois qu'un projet est créé, vous devez prévoir du temps pour créer les variables, fonctions, synoptiques et liens associés. Ce temps peut toutefois être considérablement réduit lors des projets ultérieurs. zenon vous offre en effet la possibilité de transférer facilement les éléments créés vers d'autres projets.

Par exemple, dans de nombreux projets, vous devez créer les composants standard de tous les projets, tels que les synoptiques d'état du système ou les synoptiques détaillés des composants matériels utilisés de manière récurrente (pompes, vannes, moteurs, etc.).

Il existe différentes manières de réutiliser les composants :

Topic | Réutilisation de :
Remplacement de variables et de fonctions | Eléments
Symboles | Synoptiques
Types structure | Variables
Matrices de réaction | Variables
Projet global | Éléments centraux d'un projet
XML | Importation et exportation de composants de projets
Assistants | Importation ou personnalisation de synoptiques et d'éléments
Réutiliser des projets | Projets

info Info

Pour réutiliser efficacement des éléments, lors de la création de variables, de fonctions et de synoptiques, assurez-vous de les nommer de manière claire.

Autres sujets abordés dans ce chapitre

Remplacement de variables et de fonctions

Symboles

Types structure

Matrices de réaction

Projet global

XML

Assistants

Réutiliser des projets


Remplacement de variables et de fonctions

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Remplacement de variables et de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables et fonctions conservées sous forme d'éléments dynamiques peuvent être remplacées de manière automatique. Cette opération peut être effectuée de différentes manières :

  • Remplacement des liens d'un synoptique
  • Remplacement des liens lors des appels de synoptique
  • Remplacer les indices
  • D'autres informations concernant le remplacement de variables et de fonctions sont également disponibles dans le manuel consacré aux synoptiques de la section Remplacement des liens de variables et de fonctions.

Autres sujets abordés dans ce chapitre

Conventions d'affectation de noms

Possibilités de remplacement


Conventions d'affectation de noms

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Remplacement de variables et de fonctions -> Conventions d'affectation de noms

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour autoriser le remplacement sûr des variables et autres éléments, l'affectation de noms doit être systématique et standardisée, dans la mesure du possible. Ceci facilite la réutilisation des variables et autres éléments, mais également les opérations de maintenance et de développement inverse.

Différents systèmes sont disponibles pour faciliter l'affectation de noms systématique.

Par exemple : Industrie électrique

Allemagne

  • KKS (Kraftwerk-Kennzeichen-System – Système de classification des centrales électriques) ; pour plus de détails (en allemand), consultez la page http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem.
  • La norme DIN 6779 (Kennzeichnungssystematik für technische Produkte und technische Produktdokumentation – Système de classification des produits techniques et documentations de produits techniques) ; pour plus de détails (en allemand), consultez la page http://de.wikipedia.org/wiki/DIN_6779.
  • AKZ (Anlagenkennzeichnungssystem – Système de classification d'équipements) ; pour plus de détails (en allemand), consultez la page http://de.wikipedia.org/wiki/Anlagenkennzeichnungssystem.

Paramètres régionaux

  • KKS (Système de classification des centrales électriques) ; pour plus de détails, consultez la page (en allemand) http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem.

Ces standards existent dans tous les secteurs de l'industrie. Nous vous recommandons d'utiliser les conventions d'affectation de noms correspondantes.

Dans le système de classification des centrales électriques, par exemple :

Dans un projet de centrale électrique, les variables doivent être nommées conformément au système KKS. Une variable correspondante avec l'intitulé C01_MDY10-QA001_QA07 indique :

  • Équipement éolien C01 (rang C, no. 1)
  • Contrôleur de turbine éolienne MDY10, référence de pièce QA001
  • Dispositif de protection de puissance QA07.


Possibilités de remplacement

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Remplacement de variables et de fonctions -> Possibilités de remplacement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction de remplacement peut être utilisée à différents points dans un projet :

  • Remplacement des liens d'un synoptique : les synoptiques sont copiés, et les liens sont remplacés dans le synoptique copié.
  • Remplacement des liens lors des appels de synoptique : un seul synoptique est utilisé pour différents automates ; les liens sont adaptés lors de l'appel de synoptique.
  • Remplacement d'indices : remplacement des variables dans un synoptique de procédé sur la base de la valeur des variables d'indices.

Autres sujets abordés dans ce chapitre

Remplacement des liens d'un synoptique

Remplacement des liens lors des appels de synoptique

Remplacer les indices


Remplacement des liens d'un synoptique

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Remplacement de variables et de fonctions -> Possibilités de remplacement -> Remplacement des liens d'un synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si des variables sont associées à un synoptique, elles peuvent facilement être remplacées par le biais d'une boîte de dialogue de remplacement. Éléments requis :

  • Une convention d'affectation de noms claire pour les variables.

Celle-ci permet de copier et coller, puis continuer à utiliser les synoptiques créés. Le remplacement est exécuté par le biais du menu contextuel :

  • Cliquez avec le bouton droit sur l'élément de synoptique.
  • Cliquez sur Remplacer les liens.

La boîte de dialogue de remplacement est alors ouverte.

Exemple

Dans notre exemple, le projet comporte plusieurs variables issues de différents éléments de l'équipement. Les éléments suivants sont présents dans le synoptique de procédé :

  • 10 variables provenant du contrôleur de turbine éolienne MDY10, liées aux éléments dynamiques
  • Des boutons d'appel de synoptique sont présents à différents emplacements dans MDY10

En effectuant une manipulation copier-coller, la personne configurant le projet compte réutiliser le synoptique dans sa forme exacte pour le contrôleur de turbine éolienne MDY11 et remplacer les variables et/ou les fonctions par les variables et fonctions correspondantes provenant du nouvel automate. Pour cela :

  1. Les éléments dynamiques auxquels les variables et fonctions sont liées sont affichés en surbrillance
  2. La boîte de dialogue de remplacement s'affiche

  3. Dans le champ Source, l'identifiant d'équipement *MDY10* est saisi
    (Les premier et dernier caractères * sont des opérateurs)
  4. L'expression MDY11 est saisie dans le champ Cible
  5. Déclencher la procédure de remplacement en cliquant sur Accepter, puis fermer la boîte de dialogue de remplacement en cliquant sur OK

Le synoptique peut maintenant être utilisé pour le nouvel automate.


Remplacement des liens lors des appels de synoptique

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Remplacement de variables et de fonctions -> Possibilités de remplacement -> Remplacement des liens lors des appels de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec cette méthode, le synoptique d'origine est toujours utilisé et appelé dans le Runtime avec différentes variables et fonctions. Le synoptique contient différentes variables, comme dans l'exemple Remplacement des liens de synoptiques. Le remplacement est effectué durant l'appel de synoptique. Pour cela :

  1. Plusieurs fonctions d'appel de synoptique sont configurées sur ce synoptique.
  2. Cette fonction est disponible lors de la création d'une boîte de dialogue de remplacement.
  3. Chaque fonction contient un procédé de remplacement propre.

Une variante de ce procédé permet de n'utiliser qu'un appel de synoptique : le remplacement d'indices dans les arrays.


Remplacer les indices

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Remplacement de variables et de fonctions -> Possibilités de remplacement -> Remplacer les indices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans les arrays, le remplacement de variables peut être effectué par le biais des variables d'indices.

Comme avec le remplacement des liens lors des appels de synoptiques, le synoptique est utilisé une fois seulement. Les variables liées sont remplacées durant la commutation. Les appels de synoptique ne sont configurés qu'une fois (contrairement à la procédure de remplacement des liens de synoptiques), et peuvent être réutilisés plusieurs fois par le biais d'une variable d'indice.

Exemple

Un appel de synoptique est exécuté sur un synoptique de procédé contenant 10 variables pour le contrôleur de turbine éolienne MDY10. L'objectif de l'opérateur configurant le projet consiste à réutiliser le synoptique à l'échelle 1:1, car les contrôleurs de turbine éolienne MDY11, MDY12 et MDY13 comportent le même nombre de variables.

Règle de gestion des indices :

  • Source : C01 MDY10 QA001*
  • Cible : C01 MDY{X01} QA001

Effet :

  • Lors de l'appel de synoptique, la fonction est informée qu'elle doit utiliser la valeur de variable de l'indice du contrôleur de turbine éolienne X01 dans les noms de variables.

    Exemple : si cette variable comporte la valeur 12, le synoptique de procédé est affiché avec toutes les variables de contrôleur de turbine éolienne MDY12 lors de l'appel de synoptique.


Symboles

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les symboles offrent une grande capacité de réutilisation. Ils peuvent être créés sous des formes très complexes, et autorisent l'héritage. Les symboles peuvent être incorporés ou liés. En cas de liaison, la modification à un endroit suffit pour mettre à jour tous les synoptiques utilisant ce symbole. Les symboles peuvent également être liés à d'autres symboles.

Exemple d'une barre d'outils

Un symbole (rectangle vide) est lié en tant que base de tous les boutons.

Les propriétés librement accessibles permettent de créer chaque bouton avec différents éléments graphiques. Si la forme ou la couleur des boutons doit être modifiée, le symbole de bouton vide doit être modifié. Tous les boutons acceptent automatiquement la forme et/ou la couleur nouvelles.

Autres sujets abordés dans ce chapitre

Propriétés d'accès libre

Remplacement par des symboles

Bibliothèque globale du système


Propriétés d'accès libre

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Symboles -> Propriétés d'accès libre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les symboles liés transmettent leurs propriétés aux objets auxquels ils sont liés. Toutefois, les propriétés individuelles peuvent être libérées de la notion d'héritage, à l'image des éléments graphiques affichés sur un bouton. Si l'héritage est annulé, cette propriété peut être définie individuellement pour chaque objet. Les modifications apportées à ce détail dans l'élément initial n'ont plus d'incidence sur les autres objets.

Réutilisation de synoptiques

L'association de symboles et de propriétés libérées peut être une solution efficace à la réutilisation de synoptiques de procédé.

Exemple

Une boîte de dialogue centrale de configuration des paramètres d'un projet est utilisée pour la configuration de différents paramètres. Cette fonctionnalité étant utilisée dans différents domaines, il est également important que certaines adaptations (telles que les couleurs d'arrière-plan, les synoptiques...) soient possibles.

Copier et coller :

  1. Créez un synoptique de procédé contenant cette boîte de dialogue de configuration des paramètres.
  2. Créez une copie du synoptique en effectuant un copier-coller.
  3. Les synoptiques de procédé qui ont été dupliqués peuvent être adaptés graphiquement aux besoins du projet.

Toutefois : L'héritage des propriétés n'est pas possible ici. Si l'opérateur configurant le projet souhaite ultérieurement effectuer des modifications de manière centralisée (par rapport à la structure de base de la boîte de dialogue de configuration de paramètres), ils doivent d'abord faire glisser ces éléments individuellement vers chaque synoptique de procédé.

Approche de l'utilisation des symboles avec des propriétés non héritées :

  1. La boîte de dialogue de configuration des paramètres est créée avec un symbole.
  2. Les éléments devant être adaptés à différents points de paramètres sont dissociés du concept d'héritage par le biais des propriétés non héritées.
  3. Le symbole est lié, positionné et adapté aux synoptiques correspondants.

  4. Si la personne configurant le projet décide de modifier l'apparence générale de la boîte de dialogue, elle doit effectuer cette modification de manière centrale dans le symbole. Cette modification affecte alors tous les éléments auxquels le symbole est lié.

  5. Les symboles globaux peuvent être adaptés individuellement, à l'aide des propriétés non héritées et de la fonction de remplacement correspondante.

  6. Dans ce cas, l'opérateur configurant le projet a décidé de modifier l'interface utilisateur graphique générale de la boîte de dialogue de configuration des paramètres. Cette modification est mise en œuvre de manière centrale, via le symbole de configuration des paramètres. Les propriétés individuelles des boîtes de dialogue de configuration des paramètres individuels restent inchangées ; seules les propriétés contenues dans l'héritage sont présentes.


Remplacement par des symboles

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Symboles -> Remplacement par des symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le procédé décrit dans la section Remplacement de variables et de fonctions peut également être effectué pour les symboles. Ici aussi, il est impératif de réfléchir à l'd'affectation de noms des objets.

Lors du remplacement de symboles, il est important de distinguer deux approches différentes : un symbole issu d'une bibliothèque (de projet ou globale) peut être :

  • Incorporé dans un synoptique de procédé.
  • Lié à un synoptique de procédé.

Selon l'approche choisie, différentes boîtes de dialogue sont affichées pour le remplacement des variables et fonctions.

Symboles embarqués

Dans ce cas, les variables sont directement remplacées par le biais de la boîte de dialogue de remplacement. La boîte de dialogue offre la possibilité de sélectionner des variables, par le biais d'une boîte de dialogue de sélection de variables. L'utilisation de symboles de cette manière n'est idéalement pas adaptée à la réutilisation.

Symboles liés

Ce procédé permet d'effectuer les opérations avec des chaînes de remplacement. Ces chaînes sont remplacées par les variables correspondantes durant la compilation. Si cela n'est pas possible par le biais de la boîte de dialogue affichée, les remplacements peuvent être effectués par le biais d'une boîte de dialogue de sélection de variables. L'opérateur configurant le projet utilise ici des chaînes de remplacement individuelles, séparées par un point-virgule (;).

Le symbole associé à cette boîte de dialogue de remplacement peut maintenant être réutilisé dans différents éléments de l'équipement. Cet exemple suppose que des variables et fonctions similaires sont utilisées dans chaque élément de l'équipement (différenciées uniquement par l'abréviation de l'équipement dans le nom), et que celles-ci peuvent être remplacées rapidement, et avec une vue d'ensemble claire.

Vous trouverez d'autres informations concernant le remplacement de symboles dans le manuel consacré aux synoptiques, dans la section Symboles liés.


Bibliothèque globale du système

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Symboles -> Bibliothèque globale du système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les symboles peuvent être gérés dans la bibliothèque de symboles du projet ou la bibliothèque de symboles globale. La principale différence est la suivante :

Bibliothèques de symboles

Propriété

Bibliothèque globale du système

Les symboles sont disponibles dans tous les projets. Le nœud Bibliothèque de symboles globale se trouve dans le gestionnaire de projet, sous les projets actuellement chargés.

Les symboles globale sont enregistrés dans le dossier du programme zenon, et sont uniquement mis à jour lors du démarrage de l'Éditeur. Ces symboles ne sont pas enregistrés durant la sauvegarde du projet.

Bibliothèque de symboles du projet

Les symboles sont uniquement disponibles dans le projet actuel.

Les symboles sont enregistrés dans le dossier du projet. La bibliothèque de symboles du projet se trouve dans le projet actuel, dans le nœud Synoptiques, et est sauvegardée lors de la sauvegarde du projet.

Exemple

un point de configuration central compile une collection de symboles devant être utilisés par les points de configuration distribués dans différents projets individuels dans le monde entier. Par exemple, les symboles complexes affichant les parties importantes de synoptiques de procédés sont affichés. Cette collection de symboles est un dossier ou un fichier, par exemple Global_Used_Symbols.SYM. Si des modifications graphiques centrales sont apportées à cette collection globale de symboles, Global_Used_Symbols.SYM est simplement transmis à tous les points de configuration, où le remplacement est effectué. L'adaptation individuelle est effectuée par le biais des propriétés non héritées et de la fonction de remplacement.

Il n'est pas toujours nécessaire de distribuer la collection entière de symboles. Une procédure d'exportation/importation de données XML peut également être utilisée pour distribuer des symboles individuels sélectionnés.

attention Attention

L'utilisation de la bibliothèque de symboles globale doit être régie par des règles claires : les points de configuration locaux ne doivent pas modifier les symboles de la collection de symboles. Toute modification serait remplacée lors de la prochaine mise à jour.


Types structure

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Types structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables peuvent être réutilisées avec des types de données de structure. Des structures complexes peuvent ainsi être créées en utilisant les avantages de la fonction d'héritage.

Exemple

Le type de données de structure Moteur comprend trois éléments :

  • État
  • Vitesse
  • Température

Les éléments diffèrent selon le type d'héritage :

  • les données État et Vitesse proviennent du type de données INT, mais leur héritage a été interrompu par le procédé d'incorporation.
    Ceci signifie : Que les mises à jour ultérieures du type de données INT n'a aucune incidence sur ces deux éléments.
  • Les données "Température" proviennent également du type de données INT ; l'héritage est préservé.
    Ceci signifie : Que les modifications ultérieures apportées au type de données INT ont également une incidence sur cet élément de structure.

Si, par exemple, 20 moteurs sont maintenant configurés, des variables reposant sur le type de données "Moteur" généré automatiquement peuvent être créées. Ceci peut, par exemple, se produire lors de la création d'un array avec ce type de données. L'affichage graphique est déterminé par un symbole, dans cet exemple.

Lorsque ce symbole est lié à dans un synoptique de procédé, les variables de renseignement du symbole sont remplacées par un type de données de structure créé automatiquement. Il est important que la convention d'affectation de noms utilisée soit bien réfléchie dès le début.

Si un synoptique de procédé est créé pour fournir une vue d'ensemble de tous les moteurs, le symbole inséré peut être facilement dupliqué par une manipulation copier-coller. La variable cible doit encore être remplacée par le numéro de séquence correspondant à chaque symbole :

Si les valeurs limite de la donnée Vitesse doivent être ajoutées ultérieurement, vous bénéficiez entre-temps de la relation d'héritage existante entre le type de données créé automatiquement et les variables créées résultantes. Pour la modification planifiée, une nouvelle valeur limite est créée pour l'élément de structure Vitesse, du type de données Moteur. Cette modification apportée à une position affecte la totalité des 20 variables de moteur créées.

L'opérateur configurant le projet est entièrement libre de modifier cette relation d'héritage. Une valeur limite pour la donnée Vitesse peut être modifiée pour une des 20 variables de moteur créées.

Remarque : les propriétés individuelles ou toutes les propriétés d'une variable sont déconnectées du type de données.

info Info

Vous pouvez lire des conseils relatifs à l'utilisation des types de données de structure dans la section Types de données de structure – Éléments de structure – Array de Structure et dans le manuel consacré aux variables de la section Types de données de structure.


Matrices de réaction

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Matrices de réaction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les matrices de réaction permettent de veiller à ce qu'une variable reste inchangée tout au long du projet. Contrairement aux valeurs limites, elles utilisent une approche centralisée : une matrice de réaction est configurée une fois, puis attribuée à n'importe quel nombre de variables. Toutes les variables liées à la matrice de réaction réagissent de la même manière. Cela vous offre l'avantage d'une maintenance centralisée et simple.


Projet global

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Projet global

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un projet global permet de définir des standards pour certains projets. Ceci permet de définir certains modules ou éléments pour des emplacements standard, tandis que les projets locaux définissent des paramètres individuels.

Les éléments suivants peuvent être configurés dans un projet global :

  • Gestion d'alarmes :

    Déclaration des groupes d'alarmes, des classes d'alarmes et des zones d'alarmes à utiliser à l'échelle globale.

  • Equipment modeling (Modélisation d'équipements) :

    cette fonctionnalité autorise la configuration centralisée de projets, car elle autorise la division d'un projet en deux "usines". Dans ce cas, toutefois, vous devez clairement définir les éléments de configuration provenant du point de configuration central et ceux provenant du point de configuration local.

  • Utilisateur :

    si un standard doit s'appliquer à certains utilisateurs globaux, ceux-ci peuvent être définis par le biais d'un projet global.

  • Fichiers :

    les éléments graphiques peuvent être régis par un standard, par exemple, qui concerne les projets individuels. Ces éléments peuvent être accessibles globalement.

  • Cadres :

    Ces éléments définissent la disposition du synoptique de procédé et la taille des projets à développer. Par exemple, il peut être défini clairement dans certaines directives que les nouveaux synoptiques peuvent uniquement être créés avec des cadres provenant d'un projet global. Ceci permet de créer une apparence graphique uniforme et globale.

  • Polices et palettes de couleurs :

    Pour créer un affichage de texte et des couleurs uniformes, un ensemble prédéfini de listes de polices et/ou de palettes de couleurs peut être défini pour une utilisation globale.

  • Tables de langues :

    Si l'application d'un standard entraîne la définition d'un ensemble de conditions et de déclarations à utiliser dans une configuration, il est possible de définir ces éléments à l'aide des tables de langues définies et de réaliser, dans le même temps, les traductions correspondantes.

Exemple

Un point de configuration central définit les standards concernant les couleurs, les polices, les gabarits, etc. par le biais d'un projet global, pour toutes les personnes procédant à la configuration du projet. Le projet global est distribué à toutes les équipes sous forme de sauvegarde de projet. Les équipes peuvent alors l'importer dans leur espace de travail. Une directive doit clairement stipuler que les points de configuration locaux ne doivent pas apporter de modifications à un projet global, car celles-ci seraient remplacées à chaque mise à jour provenant du point de configuration central.

Exemple d'un modèle d'équipement

Un modèle d'équipement simple, qui fait uniquement une distinction entre un groupe de configuration central et local. Dans un projet individuel, cette distinction peut désormais être utilisée à des fins d'assistance lors de la visualisation du projet dans l'Éditeur. Dans le détail, cela donnerait l'impression que chaque élément configuré dans l'Éditeur a été associé à un groupe d'équipements correspondant.

Les synoptiques de procédé existants sont affichés après l'attribution des équipements.

Par conséquent, un point de configuration local peut clairement identifier les synoptiques mis à jour depuis un point de configuration central, au moyen d'une procédure d'importation au format XML. Les opérateurs procédant à la configuration locale d'un projet peuvent également facilement distinguer les synoptiques qu'ils ne sont pas autorisés à modifier. En effet, chaque modification apportée à un synoptique global est remplacée lors de la mise à jour suivante.

Conseil : pour mettre un projet global à jour, il n'est pas toujours nécessaire de créer et d'importer une sauvegarde de projet complète. Les modifications individuelles peuvent également être mises à jour localement, via l'exportation et l'importation de données au format XML.


XML

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'importation et l'exportation via l'interface XML offrent plusieurs possibilités de réutilisation de composants de projets.

attention Attention

Les éléments existants portant le même nom sont remplacés durant l'importation.

Dépendances durant l'importation

Si plusieurs éléments d'un projet doivent être importés, plusieurs fichiers XML files avec différents contenus doivent être utilisés. Pour accepter le contenu de différents fichiers XML, les dépendances existantes doivent être prises en compte :

Si, par exemple, un écran est importé et ses variables associées n'existent pas dans le projet, les liens ne pourront pas être recréés ! Pour créer toutes les variables correctement, il peut être nécessaire d'importer deux fois un synoptique ou des variables.

Exemple pour un synoptique au format XML :

La méthode la plus exhaustive consiste à exporter un synoptique, car le fichier XML ainsi créé contient non seulement le synoptique et les éléments contenus, mais également le cadre, les variables et les fonctions associés – tous les éléments visibles sur le synoptique et directement liés à celui-ci.

Sur le synoptique A, nous utilisons un bouton pour exécuter une fonction B, qui rouvre le synoptique A.

  • La fonction B nécessite le synoptique A pour que celui-ci puisse effectivement être lié à la fonction B.
  • Le synoptique A nécessite la fonction B pour que celle-ci puisse effectivement être liée au bouton.

Vous devez donc :

  1. D'abord, importer la fonction,
  2. puis le synoptique, et ensuite
  3. importer une nouvelle fois la même fonction ; dans le cas contraire, la relation avec le synoptique ne pourra pas être créée dans la fonction.

Harmonisation de projets au sein d'usines

La fonction d'exportation/importation au format XML est également utile pour garantir l'uniformité des projets au sein d'une usine. Si une entreprise décide que certains composants d'un projet doivent être conçus de manière uniforme, les éléments uniformes sont les suivants :

  1. Configuration centrale
  2. Exportation sous forme de fichier XML
  3. Distribution sous forme de fichier XML
  4. Acceptation par chaque équipe locale par le biais de l'importation au format XML

Une autre méthode consiste à effectuer l'exportation et l'importation par le biais d'un assistant spécifique.

Parce que les éléments existants sont remplacés durant l'importation au format XML, ces éléments uniformes doivent être nommés de manière claire, conformément à une convention obligatoire. Toute modification locale de ces éléments sera remplacée lors de la prochaine importation.

Assistants

zenon propose un assistant pour aider l'utilisateur à accomplir les tâches d'importation. L'assistant permet à l'utilisateur de sélectionner ce qu'il souhaite importer en le guidant dans ses décisions. Une des méthodes d'utilisation de l'assistant consiste à créer une bibliothèque au format XML contenant différentes variantes des synoptiques et fonctions, sous la forme de données individuelles.

Personnalisation à l'aide d'un assistant

Un assistant peut également être utilisé pour configurer des fonctions standard, présentes au format XML. Une fonction est importée au format XML, puis adaptée aux exigences spécifiques du projet par le biais de la modification de certaines propriétés variables selon les objets. Par exemple, une fonction d'appel de synoptique au format XML peut être réutilisée plusieurs fois, grâce à la personnalisation des propriétés.


Assistants

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Assistants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les assistants simplifient la réutilisation d'éléments et de composants du projet. Voici quelques exemples de situations dans lesquelles l'utilisation d'assistants est recommandée :

  • Création de projets de gabarit :

    Un assistant permet de créer certains composants d'un nouveau projet en quelques clics. Contrairement au simple chargement d'une sauvegarde de projet complète du projet de gabarit, l'opérateur configurant le projet dispose d'une plus grande capacité d'individualisation.

    Par exemple, un assistant peut créer différents types de projet, selon la machine concernée.

  • Création de projets prédéfinis:

    Les assistants peuvent également faciliter la création de certains éléments d'un projet.

    Par exemple : Création d'un élément de projet "Moteur".
    ?L'assistant crée des éléments prédéfinis dans cet élément. De cette manière, les synoptiques, fonctions, variables, etc. peuvent être configurés en quelques clics. Outre les délais de configuration réduits, vous pouvez également obtenir une apparence uniforme, car les assistants sont programmés depuis un point de configuration central et utilisés par les points de configuration locaux.

  • Configuration à l'aide de bases de données ou fichiers prédéfinis :

    Les bases de données ou fichiers prédéfinis peuvent également faciliter la création ou l'extension de projets. Dans ce cas, les éléments à configurer sont décrits dans une base de données ou un fichier Excel (nom de fonction, type de fonction, paramètres de fonction, nom de variable, offset, etc. Ces éléments sont lus à l'aide de l'assistant, et les configurations correspondantes sont réalisées dans zenon.

D'autres informations concernant les assistants et leur création sont disponibles dans le manuel Assistants.


Réutiliser des projets

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Réutiliser des projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les projets peuvent également être réutilisés de différentes manières. Dans ce cas, les mécanismes présentés dans le chapitre consacré à la capacité de réutilisation jouent parfois un rôle significatif.

Sauvegarde projet

Enregistrer sous

Gestion multi-projets

Autres sujets abordés dans ce chapitre

Sauvegarde projet

Enregistrer sous

Gestion multi-projets


Sauvegarde projet

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Réutiliser des projets -> Sauvegarde projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les sauvegardes de projets permettent d'accepter des projets complets.

Par exemple, un projet peut être distribué à toutes les équipes sous forme de gabarit. Ces gabarits créent une sauvegarde de projet et personnalisent le projet.

attention Attention

Cette méthode n'est pas adaptée au transfert des modifications de projet, car toutes les configurations locales sont remplacées lors de leur acceptation.

Pour assurer la maintenance de projets créés de cette manière au niveau de toutes les équipes, nous vous recommandons d'utiliser la fonction d'exportation/importation de données XML.

Notez que les éléments existants portant le même nom sont remplacés lors de l'importation. Durant la configuration, les éléments configurés pouvant être remplacés durant l'importation doivent être clairement identifiés. Par exemple, l'utilisation d'un suffixe correspondant au nom de l'élément est envisageable, tout comme la procédure d'utilisation de groupes d'équipements (reportez-vous à la section projet global).


Enregistrer sous

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Réutiliser des projets -> Enregistrer sous

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Enregistrer sous créer une copie d'un projet, sous un nouveau nom et avec un nouveau GUID, dans la zone de travail active.

Exemple

Les projets individuels associés à différents types de machines doivent être créés sur la base d'un projet de gabarit. Pour cela :

  1. Une sauvegarde de projet du projet de gabarit doit être chargée
  2. Plusieurs projets portant des noms différents sont créés dans l'espace de travail actif, à l'aide de la fonction Enregistrer sous (par exemple, Machine 1, Machine 2, etc.).

Chaque projet de machine comporte une situation de projet initiale identique. En revanche, les projets ne sont plus liés à un projet de gabarit. Les modifications apportées à un projet de gabarit ne sont plus automatiquement acceptées dans les projets copiés. Toutefois, les modifications apportées au gabarit peuvent être introduites dans les projets individuels par le biais de la fonction d'exportation/importation au format XML.

Notez que les éléments existants portant le même nom sont remplacés lors de l'importation. Durant la configuration, les éléments configurés pouvant être remplacés durant l'importation doivent être clairement identifiés. Par exemple, l'utilisation d'un suffixe correspondant au nom de l'élément est envisageable, tout comme la procédure d'utilisation de groupes d'équipements (reportez-vous à la section projet global).


Gestion multi-projets

Manuels -> Développez efficacement vos projets avec zenon -> Réutilisation d'éléments -> Réutiliser des projets -> Gestion multi-projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les projets peuvent être compilés dans un espace de travail de la gestion multi-projets de zenon, dans le cadre d'un projet d'intégration. De cette manière, un projet peut être modifié de manière centrale, tandis que la configuration locale est effectuée dans un autre projet.

Exemple

Les éléments graphiques peuvent être réutilisés dans un projet local par le biais d'un point de configuration central, afin de créer une interface utilisateur uniforme à l'échelle globale. Pour cela, la configuration centrale crée un projet de gabarit, qui constitue la base graphique utilisée par toutes les autres équipes de configuration. Toutefois, si une modification est apportée à la conception de l'interface utilisateur à l'échelle centrale, celle-ci doit être mise en œuvre sur tous les sites du projet. Cette opération peut être effectuée à l'aide de la fonction de gestion multi-projets : un projet contient les éléments devant être gérés de manière centralisée, tandis qu'un autre projet contient la configuration locale.

Procédure :

  1. Un projet de gabarit est initialement transmis à toutes les équipes de configuration.
  2. Il est ensuite transféré vers l'espace de travail actif.
  3. Un deuxième projet vide, contenant les modifications spécifiques, est créé localement.
  4. Deux projets sont maintenant présents dans l'espace de travail ; le projet de gabarit et le projet personnalisé.
  5. L'organisation multi-hiérarchique des projets est effectuée à l'étape suivante.
  6. Le projet de gabarit devient le projet d'intégration ; le projet individuel devient le sous-projet.

info Info

Cette méthode n'est pas adaptée aux projets devant être exécutés sous Windows CE, car un seul projet peut être démarré à la fois sous CE.


Réseau intégré

Manuels -> Développez efficacement vos projets avec zenon -> Réseau intégré

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Grâce à zenon, le développement distribué sur le réseau et la redondance totale ne demandent plus un effort démesuré ; vous pouvez créer des réseaux en cochant la case concernée dans les propriétés du projet. La création de systèmes redondants, formant un réseau efficace, à partir de projets autonomes isolés est tout aussi simple.

Si vous possédez un réseau TCP/IP Windows, zenon propose automatiquement des fonctions réseau accessibles d'un clic, ainsi qu'un modèle client/serveur ou un système à hiérarchies multiples comportant des sous-stations, des centres d'espace de travail et des centres. Celui-ci

  • permet de créer plusieurs projets - qui peuvent comporter plusieurs utilisateurs - simultanément sur le réseau.
  • Garantissez la protection de vos équipements grâce à la redondance circulaire totale de zenon.
  • Installez des systèmes distribués sans la moindre difficulté.
  • Disposez d'un accès distant aux postes.
  • Suivez et contrôlez vos équipements via un serveur Web.
  • Pouvez consulter les données de procédé sur tous les postes en temps réel.
  • Pouvez afficher les actions définies sur un poste de travail (par ex. l'acquittement d'alarmes) sur tous les autres postes.
  • Microsoft Report Designer :
  • Pouvez utiliser les données de procédé instantanément pour les systèmes ERP, tels que SAP.

zenon assurera automatiquement la synchronisation horaire requise sur tous les ordinateurs participants.


Aide dans le Runtime

Manuels -> Aide dans le Runtime

zenon offre la possibilité de créer une aide contextuelle pour les projets exécutés dans le Runtime. Cette aide-Runtime est basée sur des pages HTML compilés dans des fichiers CHM.

L'aide-Runtime est disponible pour :

Paramètres | Description
Menus principaux | Le texte de l'aide est accessible directement par l'intermédiaire du menu principal.
Les éléments dynamiques | Pour le menu contextuel de chaque élément dynamique, une page d'aide séparée peut être définie.
Fonction Ouvrir l'aide | Fonction Ouvrir l'aide

L'aide du Runtime permet d'utiliser les principaux formats graphiques (par exemple, *.jpg, *.bmp, *.gif, *.png, etc.), formats texte et
autorise la navigation en avant et en arrière.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Autres sujets abordés dans ce chapitre

Préparatifs

Configuration dans l'Éditeur

Afficher de l'aide

Fonction Ouvrir l'aide

Aide du Runtime dans CE

Ouverture d'un document EPLAN depuis l'aide


Préparatifs

Manuels -> Aide dans le Runtime -> Préparatifs

Installer le HTML Help Workshop

Le HTML Help Workshop compile des fichiers HTML dans un fichier CHM. L'aide-Runtime est basée sur ces fichiers CHM. HTML Help Workshop est disponible sur le DVD d'installation de zenon.

Créer un projet d'aide :

Il existe de nombreux outils différents pour créer des fichiers HTML. Il est aussi possible d'enregistrer les textes en format HTML avec MS Word.

Un projet d'aide standard (RT_Help.hpp) est disponible sur le DVD d'installation, sous \Predefined\RT_Help\Language. Vous pouvez copier le projet standard d'aide que vous voulez dans un dossier approprié. Les fichiers HTML pour l'aide doivent être copiés dans le même dossier.

Tous les paramètres nécessaires sont déjà définis dans ce projet standard d'aide.

Préparatifs dans le HTML Help Workshop :

Après le lancement du HTML Help Workshop sur le projet standard d'aide il est chargé. Avec le bouton Add/Remove Topic Files (Ajouter/supprimer des fichiers à la rubrique), des fichiers HTM(L) peuvent être insérés dans le projet d'aide.

Cliquer sur le bouton "Save and Compile" ou "Compile" crée un fichier RT_Help.chm dans le dossier du projet d'aide. Tous les fichiers HTML pour ce projet d'aide sont inclus dans le fichier CHM.

S'il y a des changements ultérieurs sont effectués dans les fichiers HTM(L), le projet d'aide doit être recompilé.

Fichiers d'aide multiples :

Si l'aide Runtime doit être séparée en plusieurs fichiers, les fichiers doivent être copiés dans un nouveau dossier pour le fichier d'aide suivant. Ensuite le projet d'aide peut être renommé et les fichiers HTML peuvent être remplacés par les nouveaux. Une nouvelle compilation du projet d'aide crée le nouveau fichier d'aide.

Préparatifs concernant l'aide multilingue :

Une fois que le projet a été créé pour une langue, tous les fichiers du dossier doivent être copiés dans le dossier de la langue suivante. Puis les fichiers HTML peuvent être remplacés par ceux de la nouvelle langue. Après le lancement du HTML Help Workshop, la langue doit être changée dans "International Settings". Une nouvelle compilation du projet permet de créer l'aide pour la nouvelle langue.

Les noms des projets d'aide (*hpp, *.chm) et les noms des fichiers HTML (*.htm) doivent être identiques dans toutes les langues.


Configuration dans l'Éditeur

Manuels -> Aide dans le Runtime -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu contextuel de la section Fichiers/Aide du Gestionnaire de projet permet d'insérer des fichiers CHM. La langue standard est insérée directement dans ce dossier. Si aucun fichier standard n'est inséré ici, ensuite vous ne pourrez pas sélectionner de fichier d'aide dans la suite du développement du projet.

Autres sujets abordés dans ce chapitre

Changement de langue

Mise à jour des fichiers d'aide

Aide dans un menu principal

Aide sur les éléments dynamiques

Aide pour les alarmes


Changement de langue

Manuels -> Aide dans le Runtime -> Configuration dans l'Éditeur -> Changement de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour les projets dont la langue doit être changée en ligne, un sous-dossier séparé pour chaque langue doit être créé. Les fichiers d'aide de chaque langue sont insérés dans chaque sous-dossier. Étapes nécessaires :

  • Dans le menu contextuel de la section Fichiers/Aide, créez un sous-dossier pour chaque langue, par exemple Allemand et Anglais.
  • Traduisez les entrées du fichier d'aide
  • Compilez à nouveau l'aide dans HTML Help Workshop
  • Créez un fichier RT-Help.chm dans le dossier de chaque langue
    • Sélectionnez Ajouter fichier... dans le menu contextuel
  • Tous les fichiers d'aide doivent alors être insérés dans la version locale, par le biais du menu contextuel


Mise à jour des fichiers d'aide

Manuels -> Aide dans le Runtime -> Configuration dans l'Éditeur -> Mise à jour des fichiers d'aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si durant le développement les fichiers d'aide existants doivent être remplacés par des nouveaux, ceci doit être fait manuellement. Les nouveaux fichiers CHM doivent être copiés dans le répertoire correspondant du projet. Dans l'éditeur, les commandes Autoriser modifications et Accepter les modifications permettent également de mettre à jour la base de données du projet avec les nouveaux fichiers.


Aide dans un menu principal

Manuels -> Aide dans le Runtime -> Configuration dans l'Éditeur -> Aide dans un menu principal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après avoir sélectionné le menu principal à modifier, vous pouvez créer une nouvelle entrée pour l'aide. Si cette entrée est sélectionnée, les propriétés peuvent être définies dans la fenêtre des propriétés :

Paramètres | Description
Menu contextuel : Type action | Le type d'action doit être positionné sur Aide, sinon les paramètres suivants ne sont pas accessibles.
Élément dynamique : Fichier d'aide | Ici vous sélectionnez le fichier d'aide (*.chm) correspondant à la langue standard. Cette entrée est utilisée s'il n'y a pas de fichier spécifié sur l'élément dynamique.
Élément dynamique : Chapitre d'aide | Ici vous sélectionnez la page d'aide correspondante du fichier d'aide. Les pages d'aide ont toujours le nom du fichier HTM(L) correspondant. Cette entrée est utilisée s'il n'y a pas de chapitre spécifié sur l'élément dynamique.


Aide sur les éléments dynamiques

Manuels -> Aide dans le Runtime -> Configuration dans l'Éditeur -> Aide sur les éléments dynamiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour chaque élément dynamique, un menu contextuel peut être sélectionné. Si le menu contextuel comporte une entrée avec le type d'action Aide, une aide contextuelle est affichée pour l'élément dynamique.

Autres sujets abordés dans ce chapitre

Définir le menu contextuel

Définir les éléments dynamiques


Définir le menu contextuel

Manuels -> Aide dans le Runtime -> Configuration dans l'Éditeur -> Aide sur les éléments dynamiques -> Définir le menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après avoir sélectionné le menu contextuel de votre choix, vous pouvez créer une nouvelle entrée pour l'aide. Les paramètres suivants sont nécessaires dans les propriétés :

Paramètres | Description
Menu contextuel : Type action | Le type d'action doit être positionné sur Aide, sinon les paramètres suivants ne sont pas accessibles.
Élément dynamique : Fichier d'aide | Ici vous sélectionnez le fichier d'aide (*.chm) correspondant à la langue standard. Cette entrée est utilisée s'il n'y a pas de fichier spécifié sur l'élément dynamique.
Élément dynamique : Chapitre d'aide | Ici vous sélectionnez la page d'aide correspondante du fichier d'aide. Les pages d'aide ont toujours le nom du fichier HTM(L) correspondant. Cette entrée est utilisée s'il n'y a pas de chapitre spécifié sur l'élément dynamique.

Le menu contextuel peut être utilisé sur différents éléments dynamiques.


Définir les éléments dynamiques

Manuels -> Aide dans le Runtime -> Configuration dans l'Éditeur -> Aide sur les éléments dynamiques -> Définir les éléments dynamiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres suivants dans les propriétés de l'élément dynamique sont nécessaires :

Paramètres | Description
Menu contextuel | Ici vous pouvez sélectionner le menu adéquat dans la liste de menus contextuels proposés.
Fichier d'aide | Ici vous sélectionnez le fichier d'aide (*.chm) correspondant à la langue standard. Si aucun fichier d'aide n'est spécifié pour l'élément dynamique, les paramètres définis dans le menu contextuel sont utilisés.
Chapitre d'aide | Ici vous sélectionnez la page d'aide correspondante du fichier d'aide. Les pages d'aide ont toujours le nom du fichier HTM(L) correspondant. Si aucun chapitre d'aide n'est spécifié pour l'élément dynamique, les paramètres définis dans le menu contextuel sont utilisés.


Aide pour les alarmes

Manuels -> Aide dans le Runtime -> Configuration dans l'Éditeur -> Aide pour les alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour chaque alarme, une page d'aide contextuelle peut être affichée. Le paramétrage se fait directement sur l'alarme. Cette aide est appelée depuis le synoptique d'alarmes (synoptique de Liste d'alarmes). Après avoir sélectionné une entrée dans la liste d'alarmes et cliqué sur le bouton Aide, la page d'aide correspondante est affichée.

Les paramètres suivants dans les propriétés de l'élément Valeurs limites d'une variable sont nécessaires :

Paramètres | Description
En tant qu'alarme | Cette propriété doit être activée sinon les propriétés suivantes ne sont pas accessibles.
Fichier d'aide | Ici vous sélectionnez le fichier d'aide (*.chm) correspondant à la langue standard.
Chapitre d'aide | Ici vous sélectionnez la page d'aide correspondante du fichier d'aide. Les pages d'aide ont toujours le nom du fichier HTM(L) correspondant.


Afficher de l'aide

Manuels -> Aide dans le Runtime -> Afficher de l'aide

L'affichage d'aide peut être fait de deux façons :

  1. Externe : via l'aide au format HTML du système d'exploitation.
    Tenez compte des restrictions concernant le changement de langue !
  2. Au niveau Interne : via l'aide du synoptique HTML

Autres sujets abordés dans ce chapitre

Aide HTML du système d'exploitation

Aide dans un synoptique de type HTML


Aide HTML du système d'exploitation

Manuels -> Aide dans le Runtime -> Afficher de l'aide -> Aide HTML du système d'exploitation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce type d'affichage est utilise par défaut. Aucun paramétrage supplémentaire n'est nécessaire.

attention Attention

En règle générale, le changement de langue est impossible avec l'aide au format HMTL des systèmes d'exploitation de Microsoft. Les systèmes d'aide autorisant les changements de langue doivent être configurés au moyen d'un synoptique de type HTML.

Exception : Aide sous Windows CE.


Aide dans un synoptique de type HTML

Manuels -> Aide dans le Runtime -> Afficher de l'aide -> Aide dans un synoptique de type HTML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si un synoptique de type HTML existe et porte le nom HTML-Help, il est utilisé à la place de l'aide au format HTML du système d'exploitation. Le nom du synoptique est sensible à la casse (minuscules/majuscules).

L'aide est affichée dans l'élément de contrôle Naviguer.

info Info

Changement de langue : Si la langue est modifiée sous Windows Vista après la fermeture de CHM Viewer, la nouvelle langue sera affichée la prochaine fois que l'aide sera appelée.


Fonction Ouvrir l'aide

Manuels -> Aide dans le Runtime -> Fonction Ouvrir l'aide

Avec cette fonction, un site d'aide peut être ouvert, par exemple pour les menus, les limites et les éléments dynamiques.

  1. Dans le menu contextuel du nœud Fonction, sélectionnez la commande Nouvelle fonction
  2. Accédez à Application
  3. Sélectionnez Call help (Afficher l'aide)
  4. La boîte de dialogue de configuration s'affiche.

Paramètres | Description
Fichier d'aide | Fichier d'aide (*.CHM) à partir duquel une page doit être affichée. Cliquez sur le bouton ... pour ouvrir l'Explorateur et sélectionner un fichier CHM.
Chapitre d'aide | Page d'aide à afficher. Saisie manuelle du nom de fichier du chapitre avant la compilation du fichier avec l'extension de nom de fichier htm. Format : Nom_fichier.htm

Tous les appels à la fonction Ouvrir l’aide peuvent être configurés :

  • Association du nom du fichier CHM et d'un fichier HTM inclus.
  • Nom du fichier HTM seul, suivi d'un indice correspondant à un fichier HTM inclus.

info Info

Dans la structure d'une présentation au format HTML, chaque page HTM doit comporter un intitulé explicite, car celui-ci sera affiché dans Windows CE.


Aide du Runtime dans CE

Manuels -> Aide dans le Runtime -> Aide du Runtime dans CE

Sous Windows CE, le fichier CHM est décompressé et le fichier HTM(L) est affiché dans Internet Explorer ou sur un synoptique de type HTML.

Pour les périphériques CE, aucun caractère spécial (trémas, accents etc.) n'est autorisé. Toutes les références aux objets de l'aide de Windows CE doivent être contenues dans la plage de caractères suivante :

  • A à Z
  • a à z
  • 0-9

info Info

Changement de langue : Contrairement aux autres systèmes d'exploitation Microsoft Windows, le changement de langue dans le Runtime sous Windows CE est également compatible avec l'aide au format HTML du système d'exploitation.

Remarque : chaque appel de l'aide dans Windows CE entraîne la fermeture de toutes les autres fenêtres Internet Explorer ouvertes par un utilisateur.


Ouverture d'un document EPLAN depuis l'aide

Manuels -> Aide dans le Runtime -> Ouverture d'un document EPLAN depuis l'aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un document EPLAN peut également être ouvert en cas d'alarme (dépassement de valeur limite).

attention Attention

La connexion EPLAN doit comporter une licence dans zenon. Vous pouvez obtenir des licences auprès de votre interlocuteur chez zenon ou auprès de info@copalp.com.

Pour ouvrir des documents EPLAN depuis zenon dans le Runtime :

  1. Saisissez le chemin d'accès au programme EPLAN dans le fichier zenon6.ini.
  2. Dans l'Éditeur de zenon, dans l'aide des propriétés associée aux variables correspondantes, accédez au sous-groupe Aide dans le groupe Valeurs limites.
  3. Dans le champ de la propriété Fichier d'aide, saisissez la séquence de caractères $PRG:xxxxxx
    (xxxxxx correspond aux paramètres d'ouverture du document souhaité ; pour plus de détails, reportez-vous à la section Paramètres d'ouverture de documents EPLAN)
  4. Saisissez le caractère souhaité dans le champ de la propriété Chapitre d'aide
    (cette propriété est ignorée, mais ne doit pas rester vide)

Le document EPLAN configuré est ouvert lorsque l'aide est ouverte dans le Runtime.

info Info

Cette fonctionnalité peut, en principe, être utilisée pour d'autres types de documents, tels que les fichiers PDF.

Configuration du fichier zenon6.ini.

Dans le fichier zenOn6.ini, saisissez le chemin d'accès au fichier W3u.exe. Le fichier W3u.exe est le fichier exécutable de l'afficheur EPLAN. La version 1.7.11 (ou une version ultérieure) est requise.

Pour cela :

  1. Accédez à l'entrée [PATH] ou créez-la
  2. Saisissez EDOC_PATH =[chemin]

    Par exemple : EDOC_PATH=C:\\Programme\EPLAN\View\1.7.11\BIN\W3u.exe

info Info

Le fichier zenon6.ini se trouve dans le chemin suivant :

Windows Vista/7/8: %ProgramData%\COPA-DATA\System\

Paramètres d'ouverture des documents EPLAN

Une destination de lien associée à des paramètres doit être fournie pour ouvrir un document EPLAN depuis l'aide du Runtime.

Syntaxe : edit /[chemin du projet EPLAN] /[DEVICENAME:= (nom de la vue/la page dans le projet)]

Paramètres

Description

Nom du projet

Nom du projet et chemin d'accès complet.

  • Accès depuis la ligne de commande : L'indication PROJECTNAME doit être fournie. Vous pouvez également procéder ainsi : L'indication ProjectAction doit avoir été précédemment utilisée. Dans le cas contraire, l'erreur exceptionnelle System.Argument Exception est déclenchée.
  • Ouverture depuis l'interface utilisateur : il n'est pas nécessaire de fournir cette indication en cas d'appel via un script ou depuis la barre d'outils, par exemple. Le projet sélectionné est utilisé, même si l'indication n'est pas fournie.

PAGENAME

Nom de la page à consulter (facultatif).

Obligatoire si X et Y sont utilisés comme paramètres de positionnement du curseur.

DEVICENAME

Nom d'un composant (facultatif).

Exemples :

  • Ouvrir un projet :
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk
  • Ouvrir une page :
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /PAGENAME:=AP+ST1/7
  • Ouvrir la page et placer le curseur dans la position X, Y :
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /PAGENAME:=AP+ST1/7/X:200/Y:100
  • Ouvrir la page avec BMK :
    edit /PROJECTNAME:C:\Projects\EPLAN\PLAN100.elk /DEVICENAME:=AP+PT1-G1

Exemple d'ouverture depuis une page d'aide de zenon :

edit /PROJECTNAME:"D:\##Projects\EPLAN\EPLAN_AlarmConnection\P8_DEMO.elk" /DEVICENAME:=UNIT+PP-B1

Vous trouverez d'autres informations concernant la configuration dans EPLAN dans la documentation d'EPLAN.


Assistants

Manuels -> Assistants

Pour gérer facilement et rapidement certaines tâches de développement répétitives, zenon propose des assistants adaptés aux différents domaines d'ingénierie.

Les utilisateurs peuvent également créer leurs propres assistants.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Démarrer un assistant

Pour démarrer un assistant :

  • Choisir, dans la liste déroulante de Fichier , Assistants...

    ou

  • Appuyez sur les touches Alt+F12.

L'assistant de création de projet est automatiquement proposé lors de la création d'un nouveau projet.

Paramètres du fichier zenon6.ini

Pour que des assistants soient affichés, les paramètres du code VBA et/ou VSTA doivent être correctement définis dans le fichier zenon6.ini :

[VBA]

ON=1

[VSTA]

ON=1

Si les assistants VSTA ne s'affichent pas, bien que les paramètres soient corrects, définissez l'entrée LOADED= sur 1 dans la section [VSTA].

Autres sujets abordés dans ce chapitre

Rubriques

Création et adaptation d'assistants

Mettre à jour les assistants


Rubriques

Manuels -> Assistants -> Rubriques

Les assistants suivants sont disponibles dans zenon :

  • Import - Export
    • Assistant d'importation FactoryLink
    • Assistant d'importation
    • Assistant d'importation PDiag
    • Assistant d'exportation XML
  • Table de langues
    • Assistant Traduction linguistique
    • Assistant Textes système VSTA
    • Assistant pour les textes système
  • Projet
    • Assistant de projet VBA
    • Assistant de projet VSTA
    • Assistant Documentation
  • Variables et fonctions
    • Assistant fonctions
    • Assistant de création de variables système
    • Assistant de création de variables

Autres sujets abordés dans ce chapitre

Analyzer Export Wizard

Import - Export

Language Table

Pharmacie

Projet

Variables


Analyzer Export Wizard

The zenon Analyzer Export Wizard supports the export of metadata from zenon from version 7.0 SP0 for the zenon Analyzer.

The following can be exported:

  • Data from the global project
    • equipment models
    • Alarm/event classes
    • alarm/event groups
    • User
  • Data from selected projects:
    • Archives
    • Variables

Note: The wizard is only available in English.

Compatibility:

The Analyzer Export Wizard works with zenon from Version 7.00 SP0 and with zenon 6.51 with some limitations.

Autres sujets abordés dans ce chapitre

Install and call up wizard

Start window

Configuration

Exit wizard


Install and call up wizard

Manuels -> Assistants -> Rubriques -> Analyzer Export Wizard -> Install and call up wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The wizard is automatically installed together with zenon.

If a manual installation is necessary:

  1. Open the workspace in zenon
  2. Select, in the File menu, the Update wizards command
  3. In the Additional folder for VSTA Wizards folder, click on the ... button
  4. In the file browser, navigate to the installation medium
  5. There, select the folder [Installation medium]\Setup\Wizard\zenon7.11\WizardsVSTA
  6. Select wizards.ini
  7. Start the update
  8. The Wizard was entered into the folder of the wizard and can be started

Note: If the wizard is not displayed, add the following reference to the workspace add-in: system.core

Calling up the wizard

Pour que des assistants soient affichés, les paramètres du code VBA et/ou VSTA doivent être correctement définis dans le fichier zenon6.ini :

[VBA]

ON=1

[VSTA]

ON=1

Si les assistants VSTA ne s'affichent pas, bien que les paramètres soient corrects, définissez l'entrée LOADED= sur 1 dans la section [VSTA].

To call up the wizard:

  1. In zenon, open the File
    menu or press the key combination Alt+F12
  2. Select Wizards...
  3. The selection dialog is opened
  4. Navigate to the Analyzer node
  5. Select the Analyzer Export Wizard

  6. Start the wizard by clicking on OK


Start window

Manuels -> Assistants -> Rubriques -> Analyzer Export Wizard -> Start window

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

When the wizard is opened, you receive an overview page that lists all exportable objects.

The individual objects are configured for export in their own respective tabs.

Click on the button with the arrow to navigate through the configuration of the export.


Configuration

Manuels -> Assistants -> Rubriques -> Analyzer Export Wizard -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

When exporting with the Analyzer Export Wizard, all modules selected in the Settings tab are offered in sequence for detailed configuration. You get to the next level by clicking on the button with the right arrow. You can also select tabs directly by clicking on the title of the tab.

The following tabs are available for configuration of the export:

  • Settings: Options to collect the metadata
  • Equipment model: Export of the model groups from the global project
  • Alarm_event classes: Alarm/Event classes from global project
  • Alarm_event groups: Alarm/event groups from global project
  • Users: User from global project
  • Projects: Projects from workspace
  • Historian: Archives of the selected projects
  • Variables: Variables of the selected projects
  • Finish: Start of the export and output of the result

Attention: Only one global project can be exported to the database! Workspaces with projects that are to be exported to the database must include this global project.

Autres sujets abordés dans ce chapitre

Navigation

Settings

Equipment model

Alarm/event classes

Event groups

Users

Projects

Historian

Variables

Finish


Navigation

Manuels -> Assistants -> Rubriques -> Analyzer Export Wizard -> Configuration -> Navigation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Navigation through the tabs is carried out by means of the navigation bar in the lower area of the wizard window:

Button

Description

Column left

Goes back one tab in the wizard process.

Column right

Goes forward one tab in the wizard process.

Export

Exports the data to the Analyzer database.

Is only active if the Finish tab is opened.

Cancel

Closes the wizard without exporting.

When closing, a dialog asks if the configuration is to be saved

  • Yes: writes the settings configured in the Settings tab to the registry and closes the wizard; the wizard is opened with these settings the next time it is restarted
  • No: closes the wizard without saving the configuration

The configuration is saved for each specific user.

Individual tabs can also be selected by clicking directly on the title of the tab.


Settings

Manuels -> Assistants -> Rubriques -> Analyzer Export Wizard -> Configuration -> Settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

In this tab:

  1. You define the database to which the wizard connects
  2. You define general options for exporting
  3. You start the data readout

Parameters

Description

Settings

Information and notes on current export processes.

Database settings

Connection settings to the Analyzer server.

DB host

Computer on which the database is located.

DB name

Name of the database.

DB instance

Database instance

Authentication

Type of authentication:

  • Windows Authentication: Windows login information is used.
  • SQL Server Authentication: Login with data from an SQL server user.

User name

Entry of the user name.

Only for login with SQL Server Authentication. Display only with Windows Authentication.

Password

Entry of the password.

Only for login with SQL Server Authentication. No input possible with Windows Authentication.

Remember password

Password is saved for next connection.

Only for login with SQL Server Authentication. Inactive for Windows Authentication.

Options

General settings for the export:

Load every project of this workspace into the memory

Active: Loads all projects present in the workspace, even if they are not active and not set to Keep project in memory.

Keep the existing data in the Analyzer database

Active: Only entries from the workspace are written to the database.

Inactive: Entries in the database are also updated or deleted.
Exception: Projects are not deleted

Preselect existing Analyzer database content

Active: Entries already present in the database are preselected in the individual areas.

Load Data

Load Data

Clicking on the button loads, depending on the Load every project of this workspace into the memory parameter - the data from the currently loaded project into the wizard.

In doing so, a check is made to see if data is present in the Analyzer database. Pre-existing data is combined with the data from the workspace and loaded into the wizard. In the event of naming conflicts, a dialog to rectify the error is called up.

If the loading of data has been successfully concluded, the export can be configured in the following tabs.

Renaming objects

Objects must always be named the same in the Analyzer database and in zenon. If objects that are already present in the database are renamed in zenon, these changes can be accepted or rejected when the data is combined. Rejection of the changes leads to the wizard being closed, because only objects with identical names can be handled correctly.

Dialog for renaming

In the event of conflicts in the naming of objects, a dialog for dealing with the error is opened:

Parameters

Description

List of amended objects

Contains all objects that were changed. Previous name and new name are displayed. The following renamed objects are displayed in the list:

  • Equipment model group name
  • Names of the alarm/event classes
  • Names of the alarm/event groups
  • Project name
  • Variable name

Exceptions:

  • Users are always recreated
  • Archive names are only created once in the database as a visual name and can be overwritten in the Analyzer

Rename

Renames all objects listed in the database, closes the dialog and stops reading in data.

Cancel

Leaves the previous name in the database, finishes reading in data and closes the wizard.


Equipment model

Manuels -> Assistants -> Rubriques -> Analyzer Export Wizard -> Configuration -> Equipment model

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration of the model groups to be exported from the global project.

attention Attention

Each equipment group in zenon may only be assigned to one individual time model.

If several time model groups are assigned, the Analyzer Wizard Export uses the first that it finds and exports this to the metadata of the Analyzer. Other time model groups are ignored.

Parameters

Description

Equipment modeling

Information and notes on exporting.

Selection of equipment/medium

Drop-down list to select what is offered in List of equipment models/media for configuration:

  • Plant: displays equipment models
  • Media: displays media

List of equipment models/media

List field with the possibility to select equipment models and model groups or media. To select an entry, activate the check box in fornt of the entry.

In the list field, the name is always displayed in the individual nodes as it is stored in the database. If the name is changed, the original name from the zenon project is displayed in brackets.

Equipment groups that were deleted in the global project are no longer displayed.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.


Alarm/event classes

Manuels -> Assistants -> Rubriques -> Analyzer Export Wizard -> Configuration -> Alarm/event classes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration of the alarm/event classes to be exported from the global project.

Parameters

Description

Alarm/event classes

Information and notes on exporting.

List of the alarm/event classes

List field with the possibility to select the alarm/event classes. To select an entry, activate the checkbox in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

Alarm/event classes that were deleted in the global project are no longer displayed here.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the in the list and deactivates the check boxes.


Event groups

Manuels -> Assistants -> Rubriques -> Analyzer Export Wizard -> Configuration -> Event groups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration of the alarm/event groups from the global project to be configured.

Parameters

Description

Alarm/event groups

Information and notes on exporting.

List of the alarm/event groups

List field with the possibility to select alarm/event groups. To select an entry, activate the check box in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

Alarm/event classes that were deleted in the global project are no longer displayed here.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the in the list and deactivates the check boxes.


Users

Manuels -> Assistants -> Rubriques -> Analyzer Export Wizard -> Configuration -> Users

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration of the users to be exported from the global project.

Parameters

Description

Users

Information and notes on exporting.

List of users

List field with possibility to select users. To select an entry, activate the checkbox in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

If a user was renamed in zenon they are considered new and recreated in the project. The previous user is deleted.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the in the list and deactivates the check boxes.


Projects

Manuels -> Assistants -> Rubriques -> Analyzer Export Wizard -> Configuration -> Projects

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration of the local projects to be exported. The names for the server and standby-server can be changed here. To do this:

  1. Highlight the project in the list of projects
  2. Enter the desired name for the server and standby-server

If the name of the server or standby server is changed in the zenon project, then this is only updated in th analyzer database if the Réseau actif setting was activated in the project properties.

Parameters

Description

Projects

Information and notes on exporting.

Project list

List field with possibility to select for projects. To select an entry, activate the checkbox in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Server

Address of the server for the project selected in the list window.

Standby

Address of the standby server for the project displayed in the list window.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the in the list and deactivates the check boxes.


Historian

Manuels -> Assistants -> Rubriques -> Analyzer Export Wizard -> Configuration -> Historian

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Selection of the archive from the selected projects. Only the main archive is displayed. Subsequent archives are not displayed in the list, but are also selected with the main archives and written to the database.

Parameters

Description

Historian

Information and notes on export.

Archive list

List field with possibility to select for archives. To select an entry, activate the checkbox in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the in the list and deactivates the check boxes.


Variables

Manuels -> Assistants -> Rubriques -> Analyzer Export Wizard -> Configuration -> Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration of the variables to be exported from local projects. When selecting variables, the entries offered can be prefiltered.

Parameters

Description

Variables

Information and notes on exporting.

Variable Filter

Selection of the variable filters:

  • Show all: all variables are displayed
  • Historians only: only historian variables are displayed
  • Equipment groups only: only variables that are in the selected equipment models are displayed.

Filter row

Input of alphanumerical characters according to which the List of variables is to be filtered.

List of variables

List field with possibility to select variables. To select an entry, activate the checkbox in front of the entry.

Sorting: Clicking on the column identifier sorts the entries after this column upwards or downwards.

Multiple selection: If several rows are highlighted, a click in the check box sets the options for all selected rows.

If, in the Settings tab, the option Keep the existing data in the Analyzer database was selected, amended objects in the database are deleted or updated.

Select all

Selects all entries in the list and activates the checkboxes.

Deselect all

Selects all entries in the in the list and deactivates the check boxes.


Finish

Manuels -> Assistants -> Rubriques -> Analyzer Export Wizard -> Configuration -> Finish

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

To export the configured data:

  1. In the Finish tab, click on the Export button

  2. the export is started
  3. The exported elements are shown in the output window with the attendant success and error messages

  4. Click on Close to close the wizard

Reconfiguring the wizard

To reconfigure the wizard:

  1. Open the Settings tab
  2. click on button Load data
  3. Configure the tabs


Exit wizard

Manuels -> Assistants -> Rubriques -> Analyzer Export Wizard -> Exit wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

To close the wizard:

  • Click on the Cancel button
  • A dialog asks if the configuration should be saved
    • Clicking on Yes writes the settings configured in the Settings tab to the registry and closes the wizard; the wizard is opened with this configuration next time it is started
    • Clicking on No closes the wizard without saving the configuration


Import - Export

Manuels -> Assistants -> Rubriques -> Import - Export

Assistants d'exportation et d'importation de données.

Autres sujets abordés dans ce chapitre

Assistant d'importation FactoryLink

Assistant d'importation PDiag

Assistant d'importation WinCC

Assistant d'exportation XML de VSTA

Assistant d'importation au format XML


Assistant d'importation FactoryLink

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation FactoryLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'assistant d'importation FactoryLink est un assistant qui aide l'utilisation à transférer un projet FactoryLink vers zenon.

attention Attention

La langue de l'Éditeur de zenon doit être définie sur Anglais, afin de garantir que le projet FactoryLink est importé avec un nombre d'erreurs aussi limité que possible.

Autres sujets abordés dans ce chapitre

Exportation des données du projet de FactoryLink

Importation du projet

Liste de projets pouvant être importés


Exportation des données du projet de FactoryLink

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation FactoryLink -> Exportation des données du projet de FactoryLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les données du projet FactoryLink sont exportées via le menu Affichage - Library Converter (Convertisseur de bibliothèque) de l'application ClientBuilder. Ici, les bibliothèques souhaitées et toutes les données de projet à convertir doivent être sélectionnées.

attention Attention

Le format de destination sélectionné doit être ASCII.

En outre, tous les fichiers bitmap utilisés dans le projet doivent être accessibles. Tous les fichiers doivent être conservés dans la structure de fichiers créés par FactoryLink.


Importation du projet

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation FactoryLink -> Importation du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une boîte de dialogue de sélection s'affiche lorsque vous sélectionnez l'option de menu Fichier - Assistants..., qui affiche tous les assistants disponibles dans zenon. L'assistant d'importation de FactoryLink se trouve dans le groupe Assistants - Export/import (Exporter/Importer) - FactoryLink Import Wizard (Assistant d'importation FactoryLink).

Autres sujets abordés dans ce chapitre

Bienvenue

Préparation

Sélection de balises

Sélection de schémas synoptiques

Événements


Bienvenue

Bienvenue

Sur la première page des assistants, le procédé et les pages suivantes des assistants sont brièvement décrits.


Préparation

Préparation

Des informations de base concernant l'exécution des assistants sont disponibles sur cette page. Afin d'exclure toute possibilité de dédoublement des noms de synoptiques et de gabarits lors de l'importation, nous vous recommandons de créer un nouveau projet dans zenon. Cliquez sur Create empty project (Créer un projet vide) pour afficher la boîte de dialogue de création de nouveaux projets de zenon si vous ne souhaitez pas que le projet actuellement reste vide.

attention Attention

Une fois la création du nouveau projet terminée, la boîte de dialogue de sélection d'assistant de zenon s'ouvre automatiquement. Cette boîte de dialogue de sélection doit être fermée, car l'assistant d'importation de FactoryLink reste actif en tâche de fond.


Sélection de balises

Sélection de balises

Sur cette page, vous devez sélectionner le fichier imltags.asc du projet FactoryLink à importer. Toutes les informations concernant les variables du projet sont importées dans zenon lorsque vous cliquez sur Import! (Importer !). L'assistant ouvre le fichier contenant les informations de variable et lit les noms, les types et les descriptions des variables. Le driver interne est utilisé en tant que driver standard dans zenon.

info Info

Lorsque les variables ont été importées, les drivers utilisés dans zenon peuvent être modifiés en sélectionnant Propriétés -> Adresse -> Connexion au driver -> Driver.


Sélection de schémas synoptiques

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation FactoryLink -> Importation du projet -> Sélection de schémas synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Sélection de schémas synoptiques

Sur cette page, tous les dossiers dans lesquels sont conservés des données d'images, des gabarits, des fichiers bitmap et des symboles de projet doivent être sélectionnés.

Outre l'importation normale sous forme de symbole d'image, vous pouvez également créer un symbole dans l'assistant. Dans ce cas, l'assistant crée un synoptique comportant tous les symboles contenus dans le projet. Ces symboles doivent maintenant être copiés manuellement dans la bibliothèque de symboles locale du projet zenon. Si le projet contient des animations FactoryLink (par exemple, "Symbols Bit Group") dans lesquelles sont liées des variables comportant des symboles, l'assistant peut transférer ces animations vers un élément combiné zenon.


Événements

Événements

Un récapitulatif des conversions est affiché sur cette page. La liste peut être filtrée pour certains événements, le cas échéant.


Liste de projets pouvant être importés

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation FactoryLink -> Liste de projets pouvant être importés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Importation des noms, des descriptions et des types de variables, transfert des connexions FactoryLink vers le driver interne de zenon.
  • Importation et création des gabarits et schémas synoptiques de FactoryLink.
  • Importation de fichiers bitmap de FactoryLink dans le dossier d'images du gestionnaire de projets de zenon
  • Importation et création d'éléments image statiques :
  • Rectangle
  • Lignes
  • Rectangle arrondi
  • Cercle/ellipse
  • Texte
  • Polygones
  • Polylignes
  • Schémas en secteur
  • Bitmaps
  • Importation de textes multilingues (MultiLang) depuis les éléments textuels dans les tables de langue de zenon
  • La taille des polices des projets FactoryLink est adaptée à celles des polices standard du projet existant.
  • Possibilité de créer un symbole contenant tous les symboles utilisés pour l'importation manuelle dans la bibliothèque de symboles locale
  • Importation de symboles de FactoryLink sous forme de symboles de zenon
  • Importation alternative de symboles depuis la bibliothèque de symboles de zenon, si une procédure d'importation manuelle a été exécutée
  • Conversion d'animations CB (ColorBit) sous forme d'éléments combinés de zenon
  • Conversion d'animations CB (ColorBit) sous forme d'éléments combinés de zenon
  • Conversion d'animations DR (Display Register) sous forme d'éléments textuels de zenon
  • Conversion d'animations SR (Send Register) sous forme de boutons texte de zenon


Assistant d'importation PDiag

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation PDiag

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'assistant d'importation PDiag de zenon prend en charge les messages PDiag durant l'importation. Cet assistant peut également servir de gabarit pour vos propres expansions à cet égard.

L'assistant d'importation PDiag est uniquement disponible en anglais.

Autres sujets abordés dans ce chapitre

Minimum requis

Paramètres

Importation de messages


Minimum requis

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation PDiag -> Minimum requis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'assistant importe un fichier XML exporté depuis le module de diagnostic de procédé (PDiag) Simatic. Cette exportation peut être effectuée via l'option de menu Process diagnosis (Diagnostic de procédé) | Export (Exporter) dans Simatic Manager.

Le fichier XML créé de cette manière est importé dans zenon avec l'assistant. De cette manière, les variables reposant sur les driver S7-TCP du type d'objet de driver Alarme S sont créées. Chaque message et chaque valeur concomitante correspondent à une variable de zenon.

Seules les variables UINT sont importées sous forme de valeurs concomitantes. De cette manière, le texte du message est analysé à la recherche des identifiants Simatic PDiag "@1X%2d@", "@1X%3d@" et "@1X%4d@", et adapté en conséquence pour zenon. Il est également possible d'utiliser la table de langue pour les textes dynamiques. Dans ce cas, les textes extérieurs à l'assistant doivent être transférés vers zenon.

Cet assistant importe également les messages S7 Graph, qui sont générés automatiquement et donc contenus dans le fichier XML.


Paramètres

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation PDiag -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour démarrer l'assistant :

  1. Sélectionnez Assistants... dans le menu Fichier.

    Vous pouvez également procéder ainsi : Utilisez la combinaison de touches Alt+F12

  2. La boîte de dialogue de sélection des assistants de zenon s'affiche
  3. Ouvrez le nœud Export/Import (Exporter/Importer).
  4. Sélectionnez PDIAG wizard (Assistant PDIAG).

L'assistant ouvre les onglets

  • Bienvenue
  • Paramètres
  • Terminer

pour vous permettre d'importer un fichier XML.

Autres sujets abordés dans ce chapitre

Bienvenue

Configurer les barres d'outils

Terminer


Bienvenue

Bienvenue

L'onglet Bienvenue contient une brève explication du fonctionnement et des exigences de l'assistant.

Pour accéder à l'onglet Paramètres, cliquez sur le menu Paramètres ou sur la flèche affichée en bas à gauche de l'écran.


Configurer les barres d'outils

Configurer les barres d'outils

Vous pouvez ajuster les paramètres d'importation dans l'onglet Paramètres.

Paramètre

Description

Driver

Sélection du driver S7-TCP dans le projet actif pour lequel va être effectuée l'importation.

Fichier XML PDIAG

Sélection du fichier XML à importer.

Identification

Entrée facultative pour l'identification des variables. Cette entrée peut être filtrée dans la liste des variables.

Adresse réseau

Définit l'adresse réseau pour l'adressage de variable de zenon. L'adresse réseau valide apparaît dans la configuration du driver.

Groupe d'alarme

Définit le groupe d'alarmes/d'événements des messages à importer.

Attention : l'assistant ne crée pas de classes d'alarmes/d'événements indépendantes dans >CD_PRODUCTNAME<. Ces derniers doivent être créés manuellement, avant l'importation.

Dans le module IPA

Actif : définit la propriété Enregistrer dans la base IPA pour les variables. Ceci transfère les messages au module Industrial Performance Analyzer.

Get Alarm Class (Obtenir la classe d'alarmes)

Actif : la priorité du message définie dans Simatic Manager est interprétée comme une classe d'alarmes/d'événements de zenon.

Attention : l'assistant ne crée pas de groupes d'alarmes/d'événements indépendants dans >CD_PRODUCTNAME<. Ces derniers doivent être créés manuellement, avant l'importation.

L'importation démarre lorsque vous cliquez sur le bouton Terminer. Ce bouton est uniquement actif dans l'onglet Terminer. Cliquez sur Terminer dans le menu ou sur la flèche affichée en bas à gauche de l'écran.


Terminer

Terminer

Pour démarrer l'importation, cliquez sur le bouton Importer.


Importation de messages

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation PDiag -> Importation de messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Des messages sont affichés durant l'importation :

Une fois l'importation terminée, un message indique le nombre de variables importées.

Messages importants

Message | Description
Message text too long (Texte du message trop long) | Le texte d'alarme est trop long et sera tronqué à la longueur valide dans zenon.
Création d'une variable d'attribut pour le texte de limite dynamique | Outre la variable de message, une variable de valeur concomitante est créée pour le texte de limite dynamique.


Assistant d'importation WinCC

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation WinCC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'assistant WinCC Import Wizard importe des composants sélectionnés d'un projet WinCC existant dans le projet zenon actuellement chargé. L'importation des données du projet WinCC est effectuée à l'aide de deux programmes :

  • Outil WinCC Graphics Converter : exporte les synoptiques, les cadres et les symboles WinCC sous forme de fichier XML
  • Assistant WinCC Import Wizard : importe
    • directement les blocs de données (balises de structure), les balises, les alarmes et les archives
    • Les synoptiques, cadres et symboles par le biais de fichiers XML précédemment créés à l'aide de l'outil WinCC Graphics Converter

Autres sujets abordés dans ce chapitre

Installation

Outil WinCC Graphics Converter

Assistant d'importation WinCC


Installation

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation WinCC -> Installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour exécuter l'assistant d'importation de WinCC, vous devez d'abord installer tous les composants.

info Info

Notez que zenon ne doit PAS être installé sur le même ordinateur que WinCC.

Installation de l'outil WinCC Graphics Converter

Pour accéder aux informations dans WinCC, vous devez installer l'outil WinCC Graphics Converter sur l'ordinateur sur lequel s'exécute le projet. Le programme se trouve sur le support d'installation de zenon, dans le dossier \Additional Software\WinCC Graphics Converter.

Après l'installation, vous trouverez l'outil de conversion des différentes versions de WinCC sous Démarrer - Tous les programmes - COPA-DATA - WinCC Graphics Converter. Démarrez toujours l'outil correspondant à la version utilisée.

info Info

Pour pouvoir utiliser le convertisseur, vous devez installer .NET Framework 3.5. Lors de l'installation du convertisseur, le programme d'installation vérifie si .NET Framework 3.5 est disponible. Si ce n'est pas le cas, l'installation est annulée. Dans ce cas, installez d'abord .NET Framework 3.5, puis redémarrez l'installation du convertisseur.

Installation de l'assistant dans zenon 7.0 et versions ultérieures

L'assistant est automatiquement installé avec l'Éditeur de zenon. Aucun autre paramètre n'est requis. Vous pouvez démarrer l'assistant immédiatement dans l'Éditeur de zenon, en sélectionnant Fichier - Assistants..., puis Export/Import (Exporter/Importer).

Installation de l'assistant dans zenon 6.51

Puisque l'assistant ne forme pas partie de la version 6.51 SP0, vous devez effectuer les étapes suivantes pour l'installation :

  • Installez au moins la version Build 6 de zenon 6.51. Vous pouvez demander la version Build 6 auprès de votre distributeur ou de l'assistance de COPA-DATA.
  • Installez l'assistant avec l'outil WinCC Graphics Converter. Ce programme installe l'outil WinCC Graphics Converter, ainsi que l'assistant, si zenon 6.51 SP0 est installé. Vous pouvez demander la version Build 6 auprès de votre distributeur ou de l'assistance de COPA-DATA.
  • Après l'installation, démarrez l'Éditeur de zenon. La boîte de dialogue de mise à jour de l'assistant s'affiche. L'option Démarrer la mise à jour permet d'ajouter l'assistant à l'espace de travail VSTA.
    Si vous souhaitez exécuter cette étape ultérieurement, vous pouvez revenir à cette boîte de dialogue dans l'Éditeur de zenon, via le menu Fichier - Mettre à jour les assistants....

  • Démarrez l'Éditeur VSTA dans l'Éditeur zenon, en sélectionnant Fichier - Ouvrir éditeur VSTA..., puis sélectionnez le nœud Références dans la fenêtre Project Explorer (Explorateur de projet). Sélectionnez l'option de menu Add Reference... (Ajouter une référence...) du menu contextuel pour ajouter les deux références manquantes :
    • MSDASC: dans la boîte de dialogue Add Reference (Ajouter une référence), cliquez sur l'onglet COM et ajoutez le composant Microsoft OLE DB Service Component 1.0 Type Library au projet.
    • ADODB: dans la boîte de dialogue Add Reference (Ajouter une référence), cliquez sur l'onglet Parcourir. Accédez au dossier C:\Program Files (x86)\Microsoft.NET\Primary Interop Assemblies et sélectionnez le fichier adodb.dll.

  • Dans la fenêtre Project Explorer (Explorateur de projet), vous pouvez sélectionner le nœud WorkspaceAddin et compiler l'extension en sélectionnant l'option Build (Compiler) dans le menu contextuel.

Une fois la compilation terminée, vous pouvez démarrer l'assistant dans l'Éditeur de zenon, en sélectionnant Fichier - Assistants..., puis Export/Import (Exporter/Importer).


Outil WinCC Graphics Converter

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation WinCC -> Outil WinCC Graphics Converter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'outil WinCC Graphics Converter permet de sélectionner des synoptiques, des cadres et des symboles dans les projets WinCC, et de les exporter sous forme de fichiers XML.

info Info

À l'heure actuelle, des fichiers XML peuvent être créés à partir de projets WinCC, versions 7.0 et 7.0 SP1.

Autres sujets abordés dans ce chapitre

Bienvenue

Select .pdl files (Sélectionner les fichiers .pdl)

Select output folder (Sélectionner le dossier de résultats)

Convert (Convertir)


Bienvenue

Bienvenue

L'outil WinCC Graphics Converter vous permet de convertir les fichiers graphiques de WinCC (PDL) dans un format XML, lisible par l'assistant d'importation de WinCC. Les informations graphiques existantes sont enregistrées sous forme de fichiers PNG et WMF avec les fichiers XML, et enregistrées dans un dossier sélectionné.

Pour exécuter le convertisseur :

  1. Cliquez sur Démarrer
  2. Sélectionnez COPA-DATA -> WinCC Graphics Converter
  3. Démarrez l'outil WinCC Graphics Converter
  4. Suivez les instructions de l'assistant


Select .pdl files (Sélectionner les fichiers .pdl)

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation WinCC -> Outil WinCC Graphics Converter -> Select .pdl files (Sélectionner les fichiers .pdl)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Select .pdl files (Sélectionner les fichiers .pdl)

Sur cet onglet, vous sélectionnez les fichiers PDL devant être exportés depuis le projet WinCC. Pour cela :

  1. Cliquez sur le bouton Select .pdl files (Sélectionner les fichiers .pdl)
  2. Accédez au dossier du projet contenant les fichiers PDL.

    Remarque : pour que les fichiers puissent être sélectionnés, le projet WinCC doit être chargé sur l'ordinateur !

  3. Sélectionnez les fichiers souhaités.
  4. Tous les fichiers PDL sélectionnés sont affichés dans la fenêtre d'aperçu.


Select output folder (Sélectionner le dossier de résultats)

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation WinCC -> Outil WinCC Graphics Converter -> Select output folder (Sélectionner le dossier de résultats)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Select output folder (Sélectionner le dossier de résultats)

Sur cet onglet, vous sélectionnez le dossier dans lequel doivent être enregistrés les fichiers exportés. Pour cela :

  1. Cliquez sur le bouton Select output folder (Sélectionner le dossier de résultats)
  2. Accédez au dossier dans lequel vous souhaitez enregistrer les fichiers exportés
  3. Remarque : vous pouvez créer un nouveau dossier dans la boîte de dialogue de sélection


Convert (Convertir)

Convert (Convertir)

Cet onglet vous permet d'exécuter la conversion.

Après l'exportation, copiez le dossier vers l'ordinateur sur lequel se trouve le projet zenon dans lequel doivent être importées les données, ou assurez-vous que l'ordinateur sur lequel se trouve le projet zenon a accès aux données d'exportation.


Assistant d'importation WinCC

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation WinCC -> Assistant d'importation WinCC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'assistant d'importation WinCC est démarré par le biais de la boîte de dialogue de l'Éditeur, et peut être utilisé pour importer les éléments suivants de WinCC :

  • Importation de synoptiques (les fichiers XML créés avec l'outil WinCC Graphics Converter sont convertis en cadres, synoptiques et symboles dans zenon)
  • Importation des balises de WinCC (S7 TCP uniquement)
  • Importation des balises de structure de WinCC (S7 TCP uniquement)
  • Importation des limites des alarmes
  • Importation des balises d'archives

Démarrage de l'assistant

Pour que des assistants soient affichés, les paramètres du code VBA et/ou VSTA doivent être correctement définis dans le fichier zenon6.ini :

[VBA]

ON=1

[VSTA]

ON=1

Si les assistants VSTA ne s'affichent pas, bien que les paramètres soient corrects, définissez l'entrée LOADED= sur 1 dans la section [VSTA].

Pour démarrer l'assistant :

  1. Dans zenon, ouvrez le menu Fichier
    ou appuyez sur la combinaison de touches Alt+F12.
  2. Sélectionnez l'entrée Assistants....
  3. La boîte de dialogue de sélection s'affiche.
  4. Accédez au nœud Export/Import (Exporter/Importer)
  5. Sélectionnez l'option WinCC Import Wizard (Assistant d'importation WinCC)
  6. Cliquez sur OK pour démarrer l'assistant.

L'assistant comporte différentes sections :

  • Bienvenue : vue d'ensemble de l'assistant.
  • Paramètres : paramètres de la connexion au projet WinCC. Une fois la connexion établie, les onglets d'importation directe sont affichés :
    • Data blocks (Blocs de données) : balises de structure de WinCC
    • Balises : balises de WinCC
    • Alarm Limits (Limites des alarmes) : classes d'alarmes et alarmes de WinCC
    • Archive Tags (Balises d'archives) : fichiers d'archive de WinCC
  • Synoptiques : importation de synoptiques depuis WinCC via l'outil WinCC Graphics Converter

Autres sujets abordés dans ce chapitre

Bienvenue

Configurer les barres d'outils

Data blocks (Blocs de données)

Balises

Alarm Limits (Limites des alarmes)

Archive TAGs (Balises d'archives)

Synoptiques


Bienvenue

Bienvenue

La page de démarrage de l'assistant vous informe sur les autres étapes de l'importation :

L'importation directe de données est uniquement possible lorsque vous avez configuré la connexion au projet WinCC dans l'onglet Paramètres.


Configurer les barres d'outils

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation WinCC -> Assistant d'importation WinCC -> Configurer les barres d'outils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Configurer les barres d'outils

Sur cet onglet, vous configurez la connexion avec le projet WinCC dont les données doivent être importées.

Paramètres | Description
WinCC DB connection (Connexion à la base de données de WinCC) | Configuration de la connexion à la base de données de WinCC.
Connected with (Connecté à) | Affichage de la connexion active.
Connect (Connexion) | Établit une connexion.
Nouvelle connexion | Ouvre la boîte de dialogue de configuration d'une nouvelle connexion.
Driver selection (S7 TCP) (Sélection de driver [S7 TCP]) | Configuration des drivers de zenon.
Driver | Sélection d'un driver de zenon dans la liste déroulante.
Créer un nouveau driver | Ouvre la boîte de dialogue de création d'un nouveau driver.

attention Attention

Pour pouvoir établir une connexion, le projet WinCC doit être actif ou ouvert dans l'Explorateur WinCC, sur l'ordinateur auquel doit être établie la connexion.

Configuration de la connexion

Pour établir une connexion :

  1. Cliquez sur le bouton New connection (Nouvelle connexion)
  2. La boîte de dialogue des paramètres de connexion s'affiche à l'écran.

  3. Sur l'onglet Fournisseur, sélectionnez le fournisseur Microsoft OLE DB Provider for SQL Server.
  4. Sur l'onglet Connexion :
    1. Dans Server name (Nom du serveur), saisissez l'instance de SQL Server dans laquelle se trouve le projet WinCC, Par exemple : HOSTNAME\WINCC
      Important: l'instance de SQL Server (sqlsrv.exe) de WinCC doit être autorisée dans le pare-feu.
    2. Dans Logon information (Informations de connexion), saisissez vos identifiants d'accès. Vous devez d'abord créer les identifiants d'accès dans SQL Server Management Studio, dans l'instance de SQL Server.
      Important : activez l'option Allow saving password (Autoriser l'enregistrement du mot de passe).
    3. Dans Database (Base de données), sélectionnez le projet de l'Éditeur de WinCC Editor. Il s'agit du nom de la base de données, sans le suffixe _R
      Note : le projet doit être chargé et en cours d'exécution dans l'Éditeur de WinCC. Dans le cas contraire, le projet ne sera pas disponible sur le serveur SQL.
    4. Test de la connexion
  5. Fermez la boîte de dialogue en cliquant sur OK.
  6. Vous pouvez ensuite établir la connexion au projet WinCC dans l'assistant, en cliquant sur le bouton Connect (Connexion).
  7. Sélectionnez un driver de zenon.

Une fois la connexion établie et la sélection du driver de zenon effectuée, les onglets d'importation directe sont affichés.


Data blocks (Blocs de données)

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation WinCC -> Assistant d'importation WinCC -> Data blocks (Blocs de données)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Data blocks (Blocs de données)

Sur cet onglet, vous sélectionnez les blocs de données affichés sous Data Blocks (Blocs de données) dans l'Explorateur de WinCC, puis importés comme types de données dans zenon.

Les blocs de données de WinCC sont regroupés en fonction des drivers, et sont triés en fonction du type et du nom du bloc.

Pour importer des blocs de données :

  1. Sélectionnez les blocs de données souhaités.
  2. Cliquez sur Import Data Blocks (Importer les blocs de données).

Résultat

Blocs de données dans WinCC :

Types de données dans zenon


Balises

Balises

Sur cet onglet, les balises (S7) sont sélectionnées et importées sous forme de variables de zenon, qui sont affichées dans la section Tag Management (Gestion des balises) dans l'Explorateur de WinCC. L'exportation peut être effectuée directement vers zenon, ou sous forme de fichier CSV.

Pour importer des balises :

  1. Sélectionnez les balises de votre choix.
  2. Cliquez sur Import Tags (Importer les balises ou Import to CSV (Importer au format CSV).

Résultat

Balises dans WinCC :

Variables dans zenon :


Alarm Limits (Limites des alarmes)

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation WinCC -> Assistant d'importation WinCC -> Alarm Limits (Limites des alarmes)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Alarm Limits (Limites des alarmes)

Sur cet onglet, les classes et limites des alarmes sont importées :

  • Import Alarm Classes (Importer des classes d'alarmes) : importe des classes d'alarmes dans un projet global existant.
  • Importer des alarmes : importe des classes et groupes d'alarmes dans le projet zenon local, et crée des variables pour les limites.

Importation de classes d'alarmes

Importe des classes d'alarmes depuis WinCC dans un projet global dans zenon. Le projet global doit déjà exister et être actif dans zenon.

Pour importer des classes d'alarmes :

  1. Sélectionnez les classes d'alarmes souhaitées
  2. Cliquez sur Import Alarm Classes (Importer des classes d'alarmes)

Résultat

Classes d'alarmes dans WinCC :

Classes d'alarmes dans zenon:

Importation d'alarmes

Cette fonction permet d'importer tous les groupes d'alarmes et classes d'alarmes dans le projet zenon. Les textes de limite de WinCC sont remplacés par des variables de limite.

Pour importer des alarmes :

  1. Sélectionnez les alarmes de votre choix.
  2. Cliquez sur Import Alarms (Importer les alarmes).

Résultat

Alarmes dans WinCC :

Alarmes dans zenon :


Archive TAGs (Balises d'archives)

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation WinCC -> Assistant d'importation WinCC -> Archive TAGs (Balises d'archives)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Archive TAGs (Balises d'archives)

Sur cet onglet, les balises définies dans la section de Tag Logging (Journalisation de balises) dans l'Explorateur de WinCC peuvent être sélectionnées importées. L'import se déroule dans l'une des deux nouvelles archives, BINARY ou ANALOG, dans le projet zenon.

attention Attention

Les balises sont uniquement créées dans l'archive de zenon si elles ont préalablement été importées sous forme de balises.

Pour importer les balises d'archives :

  1. Sélectionnez les balises d'archives souhaitées
  2. Cliquez sur Import Archive Tags (Importer les balises d'archives).

Résultat

Balises d'archives dans WinCC :

Archives dans zenon :


Synoptiques

Synoptiques

Sur cet onglet, vous pouvez importer les fichiers XML créés avec l'outil WinCC Graphics Converter dans le projet zenon actif. Dans zenon, les cadres, les synoptiques et les éléments de synoptique standard sont créés en fonction des informations enregistrées dans les fichiers XML, sur la base des fichiers WMF et PNG stockés dans le dossier.

Paramètres | Description
Liste de fichiers | Affiche tous les fichiers existants dans le dossier sélectionné.
Select Folder (Sélectionner un dossier) | Ouvre la boîte de dialogue de sélection du dossier contenant les fichiers à importer.
Sélectionner tout | Sélectionne tous les fichiers existants affichés à l'écran.
Importer XML | Démarre l'importation.

Pour importer les synoptiques :

  1. Sélectionnez les fichiers XML souhaités
  2. Cliquez sur Importer XML.

Résultat

Synoptiques dans WinCC :

Synoptiques dans zenon :

Quels éléments de synoptiques de WinCC sont créés automatiquement dans l'Éditeur de zenon ?

Éléments de synoptique standard

  • Ligne
  • Polygone
  • Ligne brisée
  • Ellipse
  • Cercle
  • Segment d'ellipse
  • Segment de diagramme en secteur
  • Arc d'ellipse
  • Arc de cercle
  • Rectangle
  • Rectangle arrondi
  • Texte statique

Objets tubulaires

  • Tube polygonal
  • Élément en T
  • Double élément en T
  • Tube courbe

Objets intelligents

  • Champ d'E/S
  • Objet graphique
  • Objets Windows
  • Bouton

Pour tous les autres objets de WinCC, un opérateur est créé dans zenon.

Dépannage

Les erreurs lors de l'importation de synoptiques sont affichées dans la fenêtre de sortie de zenon lors de la création des fichiers de Runtime.

Message d'erreur | Dépannage
Le symbole n'a pas été trouvé dans la bibliothèque de symboles ! | Un opérateur correspondant à des éléments non interprétables a été inséré dans le synoptique. Explication : Un symbole lié est créé dans le synoptique pour chaque élément non interprétable, à l'aide de l'assistant. Il n'est toutefois pas présent dans la bibliothèque de symboles. Vous pouvez donc vérifier si tous les éléments (opérateurs) d'un synoptique doivent encore être modifiés.
WRN:(FDV_RECETTE_TUNNEL_TPOS_DETAILS_FOU2->(ZONE_CNS0)Variable : introuvable dans le projet ! | Désigne les noms de variables conservés dans WinCC dans l'élément Champ d'E/S, mais non créés sous forme de variables (dans WinCC également).


Assistant d'exportation XML de VSTA

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'exportation XML de VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'assistant d'exportation XML permet d'exporter tous les modules souhaités d'un projet vers le dossier de votre choix. Un fichier XML indépendant est créé pour chaque module.

L'assistant est uniquement disponible en anglais.

Autres sujets abordés dans ce chapitre

Démarrage de l'assistant

Sélection de fichiers XML

Exporter


Démarrage de l'assistant

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'exportation XML de VSTA -> Démarrage de l'assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour démarrer l'assistant :

  • Cliquez sur Fichier -> Assistants....
    • Vous pouvez également appuyer sur les touches Alt+F12.
  • La fenêtre de sélection s'ouvre et affiche les assistants disponibles.
  • Sélectionnez le dossier Export/Import (Exporter/Importer).

  • Dans ce dossier, sélectionnez XML export wizard (Assistant d'exportation XML).

  • Cliquez sur OK
  • L'assistant démarre en affichant la page d'accueil, et affiche les indications suivantes :
    • Quelques instructions
    • La version de zenon
    • Le nom du projet depuis lequel est effectuée l'exportation
    • GUID du projet
    • chemin du projet

  • Les touches fléchées vous guident tout au long de l'assistant.
    • Vous pouvez également cliquer sur un onglet pour ouvrir le paramètre correspondant.
  • Pour activer le bouton Exporter, ouvrez la page Export XML progress (Progression de l'exportation au format XML).


Sélection de fichiers XML

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'exportation XML de VSTA -> Sélection de fichiers XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez le module du projet à importer :

  • Cliquez sur Select Directory (Sélectionner un répertoire) pour définir le dossier pour l'exportation.
  • Sélectionnez les modules et les éléments à exporter en cochant les cases correspondantes (faites défiler la liste vers le bas, si nécessaire).


Exporter

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'exportation XML de VSTA -> Exporter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour démarrer l'exportation :

  • Cliquez sur le bouton Exporter.
  • Les modules souhaités sont exportés.
  • La fenêtre de sortie affiche les modules exportés, avec indication de la réussite de la procédure.
  • L'assistant se ferme automatiquement trois secondes après la fin de l'exportation.


Assistant d'importation au format XML

Manuels -> Assistants -> Rubriques -> Import - Export -> Assistant d'importation au format XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cet assistant permet d'importer des variables, des fonctions, des synoptiques et des scripts à partir de fichiers XML.

attention Attention

Cet assistant ne supporte pas le développement multi-utilisateurs et n'est donc pas disponible dans ce contexte (projet multi-utilisateurs).


Language Table

Manuels -> Assistants -> Rubriques -> Language Table

Wizards for language switching.

Autres sujets abordés dans ce chapitre

Language Table Wizard

Assistant Textes système


Language Table Wizard

Manuels -> Assistants -> Rubriques -> Language Table -> Language Table Wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The Language Table Wizard replaces the old Language Change Wizard (VBA).

The Wizard

  • Searches the active projects for translatable texts or key words (text marked with a "@") and
  • writes this
    • either to the selected language table in the active project or
    • in the global project as an option.

For reference purposes, at least on table (ZENONSTR.TXT) must be selected for the import.

If texts without as "@" character are found, these can be set as a key word in a project. To do this, a "@" is written at the start of the text.

Note: The wizard is only available in English.

Autres sujets abordés dans ce chapitre

Calling up the wizard

Start window

Settings

Finish


Calling up the wizard

Manuels -> Assistants -> Rubriques -> Language Table -> Language Table Wizard -> Calling up the wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The wizard can also be selected directly in the dialog for starting wizards.

To start the wizard manually:

  1. Click on File-> Wizards...

    or press the short cut Alt+F12

  2. The selection window with the available wizards opens
  3. Select the Language Table folder
  4. Select Language Table Wizard there
  5. click on OK
  6. The wizard starts with the welcome page


Start window

Manuels -> Assistants -> Rubriques -> Language Table -> Language Table Wizard -> Start window

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

When opening the wizard, you get an overview page with English-language documentation for the wizard.

The navigation through the wizard is done by clicking on the individual tabs or step by step by clicking on the arrow keys.

Click on Cancel to close the wizard.


Settings

Manuels -> Assistants -> Rubriques -> Language Table -> Language Table Wizard -> Settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Import options

It is possible to select the following in the "Import options" group:

  • Whether existing texts are to be overwritten in the selected language table,
  • Whether translatable texts found are to be set as key words in the project (texts are marked in the project with a @) and
  • whether the language tables are to be used by the global project.

Select language tables

In the "Select language tables", depending on the setting of the "Add keywords to language table global project" option, the language tables of the active project or the global project are displayed. The key word is entered in the selected language tables as a text. At least one table must be selected.

Project options

In the "Project options" grouping, it is possible to select which project-related texts of key words are to be searched for.

Screen elements

In the "Screen elements" grouping, it is possible to select which screen elements are to be searched.


Finish

Manuels -> Assistants -> Rubriques -> Language Table -> Language Table Wizard -> Finish

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The search for translatable text and key words can now be started on this tab. To do this, click the Finish button.

After this, a search is carried out and it is possible to write to the selected language tables.


Assistant Textes système

Manuels -> Assistants -> Rubriques -> Language Table -> Assistant Textes système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'assistant Textes système autorise l'importation de textes système dans la table de langues. Les textes système sont des textes de Runtime utilisés dans les boîtes de dialogue et les menus de zenon, et qui ne peuvent pas être modifiés par l'utilisateur. Pour que ces textes, qui sont prédéfinis par zenon, soient compatibles avec la fonction de changement de langue, ils doivent d'abord être importés dans la table de langues à l'aide de cet assistant. Le nombre de mots-clés et de textes importés peut être limité dans les paramètres.

Remarque : L'assistant est uniquement disponible en anglais.

Autres sujets abordés dans ce chapitre

Affichage de l'assistant

Fenêtre de démarrage

Configurer les barres d'outils

Terminer


Affichage de l'assistant

Manuels -> Assistants -> Rubriques -> Language Table -> Assistant Textes système -> Affichage de l'assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'assistant peut également être sélectionné directement dans la boîte de dialogue de démarrage des assistants.

Pour démarrer l'assistant manuellement :

  1. Cliquez sur Fichier -> Assistants....

    Vous pouvez également appuyer sur les touches Alt+F12.

  2. La fenêtre de sélection s'ouvre et affiche les assistants disponibles.
  3. Sélectionnez le dossier Table de langues.
  4. Dans ce dossier, sélectionnez Assistant Textes système.
  5. Cliquez sur OK
  6. L'assistant démarre en affichant la page d'accueil.


Fenêtre de démarrage

Manuels -> Assistants -> Rubriques -> Language Table -> Assistant Textes système -> Fenêtre de démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'ouverture de l'assistant, une page de présentation de la documentation en langue française s'affiche à l'écran.

Pour naviguer dans l'assistant, cliquez sur les étapes individuelles ou progressez étape par étape, en cliquant sur les boutons fléchés.

Cliquez sur Annuler pour fermer l'assistant.


Configurer les barres d'outils

Manuels -> Assistants -> Rubriques -> Language Table -> Assistant Textes système -> Configurer les barres d'outils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres d'importation des textes système sont regroupés dans l'onglet Paramètres.

Paramétrage du projet

Les paramètres généraux peuvent être modifiés dans l'onglet « Paramètres du projet ». L'option « Remplacer la table de langues existante » indique si les textes contenant des mots clés existants doivent être remplacés. « Ajouter le mot-clé à un projet global de table de langue » indique si les textes système sont écrits dans le projet actif dans zenon (case non cochée) ou dans un projet global de zenon (case cochée). Selon l'option sélectionnée dans le groupe « Sélectionner une langue », les tables de langue existantes peuvent être sélectionnées.

Sélectionner une langue

Les langues prises en charge par zenon sont disponibles dans le groupe « Sélectionner une langue ». Cocher la case correspondante sélectionne la langue à écrire dans la table de langues. Il est possible de sélectionner plusieurs articles durant ce processus. La table de langue concernée peut être sélectionnée dans la liste déroulante. Ces tables de langues doivent avoir été préalablement configurées dans zenon.

Sélectionner une catégorie

Les textes système peuvent être activés en fonction des modules dans le groupe « Sélectionner une catégorie ».


Terminer

Manuels -> Assistants -> Rubriques -> Language Table -> Assistant Textes système -> Terminer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez sur le bouton Terminer pour démarrer l'importation avec les paramètres spécifiés. Ces paramètres peuvent ensuite être enregistrés après la fermeture de l'assistant.


Pharmacie

Manuels -> Assistants -> Rubriques -> Pharmacie

Assistants pour l'industrie pharmaceutique.

Autres sujets abordés dans ce chapitre

Assistant pharmaceutique


Assistant pharmaceutique

Manuels -> Assistants -> Rubriques -> Pharmacie -> Assistant pharmaceutique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'assistant pour l'industrie pharmaceutique autorise la gestion des projets validés pour l'industrie pharmaceutique. Il récapitule les paramètres nécessaires dans le cadre d'un projet conforme aux Bonnes Pratiques de Fabrication (BPF). Ces paramètres peuvent être gérés et modifiés dans l'assistant. Les paramètres sont chargés dans l'assistant par le biais d'un projet existant ou de fichiers de configuration.

Les paramètres suivants sont gérés :

  • General project settings (Paramètres généraux du projet)
  • Gestion des utilisateurs
  • Groupes d'utilisateurs
  • Paramétrage de la liste chronologique des événements
  • Paramètres de la liste d'alarmes
  • Modèle XML

Les paramètres configurés dans l'assistant peuvent être :

  • Réécrits dans le projet actif
  • Enregistrés dans un nouveau projet
  • Enregistrés dans un fichier de configuration spécial
    Ces fichiers de configuration créés dans l'assistant peuvent être utilisés et réutilisés indéfiniment, et peuvent également être améliorés. Toutefois, ils peuvent uniquement être lus et modifiés dans l'assistant.

Autres sujets abordés dans ce chapitre

Démarrage de l'assistant

Bienvenue

Configurer les barres d'outils

propriétés du projet

Gestion des utilisateurs

Groupes d'utilisateurs

Liste CEL et liste d'alarmes

Templates I (Modèles I)

Templates II (Modèles II)

Terminer


Démarrage de l'assistant

Manuels -> Assistants -> Rubriques -> Pharmacie -> Assistant pharmaceutique -> Démarrage de l'assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour démarrer l'assistant :

  1. Cliquez sur Fichier -> Assistants....

    Vous pouvez également appuyer sur les touches Alt+F12.

  2. La fenêtre de sélection s'ouvre et affiche les assistants disponibles.
  3. Sélectionnez le dossier Pharmaceutical (Pharmaceutique).
  4. Sélectionnez ensuite Pharmaceutical Wizard (Assistant pharmaceutique).

  5. Cliquez sur OK
  6. L'assistant démarre en affichant la page d'accueil.


Bienvenue

Manuels -> Assistants -> Rubriques -> Pharmacie -> Assistant pharmaceutique -> Bienvenue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'onglet Welcome (Bienvenue) vous informe sur le fonctionnement et l'utilisation de l'assistant.

Pour naviguer dans l'assistant, cliquez sur les étapes individuelles ou progressez étape par étape, en cliquant sur les boutons fléchés.

Cliquez sur Annuler pour fermer l'assistant. Toutes les modifications apportées à un fichier ou un projet depuis le dernier enregistrement sont abandonnées.


Configurer les barres d'outils

Manuels -> Assistants -> Rubriques -> Pharmacie -> Assistant pharmaceutique -> Configurer les barres d'outils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet :

  • Vous chargez les paramètres
  • Vous adaptez les descriptions de projets

Paramètres

Description

Configuration

Définition du projet en cours d'édition.

Load from active project (Charger depuis un projet actif)

Charge les paramètres du projet actif dans l'espace de travail dans l'assistant.

Load from configuration file (Charger depuis un fichier de configuration)

Charge les données provenant d'un fichier de configuration enregistré (*.cof). Le fichier est sélectionné dans la liste. La liste affiche tous les fichiers de configuration disponibles dans le dossier sélectionné (Select directory [Sélectionner le répertoire]).

Info : les fichiers de configuration créés peuvent uniquement être lus, créés et édités avec l'assistant.

Select directory (Sélectionner le répertoire)

Ouvre la boîte de dialogue de sélection permettant de sélectionner le dossier dans lequel se trouvent les fichiers de configuration (*.cof) souhaités. Les fichiers sont affichés dans la liste située sous le bouton.

Gabarits

Paramètres des modèles XML et XRS.

Description projet

Informations concernant le projet, telles qu'elles sont définies dans la propriété Description projet de la boîte de dialogue.

Celles-ci sont reprises par le projet chargé et peuvent être modifiées. Pour faciliter la vérification, toutes les modifications sont affichées sur l'onglet Terminer.

Auteur

Auteur du projet.

Responsable

Responsable du projet.

Société

Entreprise.

Commentaire

Commentaire.


propriétés du projet

Manuels -> Assistants -> Rubriques -> Pharmacie -> Assistant pharmaceutique -> propriétés du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres :

  • Réseau
  • Autorisation sur le réseau
  • Historique des modifications

Paramètres

Description

Réseau

Réseau

Propriétés pour l'utilisation du projet en réseau

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Actif

Réseau actif

Cochée: le projet est utilisé dans un réseau. Dans ce cas, un serveur doit être défini.
Non-cochée : le projet est seul.
Par défaut : non cochée.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Nom du serveur

Serveur

Disponible uniquement si la propriété Réseau actif est active.
L'ordinateur qui établit la connexion au matériel lors de projets en réseau et gère les données du projet. Les clients se connectent à cet ordinateur.

Conseil : l'adresse IP n'est pas suffisante ; vous devez saisir le nom de l'ordinateur. le nom "localhost" ne doit pas être utilisé pour le serveur.
Si le nom est modifié, il ne peut pas être actualisé. Il ne sera mis à jour qu'après le redémarrage du Runtime.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Nom du serveur redondant

Réseau actif

Cochée: le projet est utilisé dans un réseau. Dans ce cas, un serveur doit être défini.
Non-cochée : le projet est seul.
Par défaut : non cochée.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Type de redondance

Type de redondance

Disponible uniquement si un ordinateur a été spécifié dans la propriété Redondant.

zenon prend en charge deux types de redondance :

Redondance logicielle : ce système se compose d'un automate et de deux ordinateurs redondantes du système de contrôle. Les deux ordinateurs doivent disposer d'une connexion à l'automate. Les deux ordinateurs communiquent avec le contrôle et actualisent simultanément les données provenant du contrôle. Les communications bidirectionnelles avec le contrôle sont gérées par l'ordinateur jouant le rôle de serveur. Le serveur établit des communications bidirectionnelles, le système redondant établit des communications unidirectionnelles. En cas de défaillance du serveur, le serveur redondant prend en charge les communications bidirectionnelles avec l'automate.

Redondance matérielle : le système se compose de deux automates redondants et de deux ordinateurs redondants. Chaque serveur établit une communication bidirectionnelle avec un automate. Les deux ordinateurs et les deux automates synchronisent leurs données. Si un composant du premier système subit une défaillance, le deuxième composant prend le relais.

Par défaut : Redondance logicielle

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Autorisation du réseau

Autorisation d'accès

Propriétés pour les autorisations d'accès en réseau

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Actif

Autorisation en réseau active

Disponible uniquement si la propriété Réseau actif est active.
La gestion des autorisations sur le réseau garantit qu'une seule station connectée au réseau peut exécuter une opération active (par ex., modification de valeurs prescrites) à un instant donné. L'accès passif (en lecture seule) est toujours possible, indépendamment de l'option choisie.
Actif : un seul ordinateur peut intervenir sur le projet à un instant donné (par ex., acquittement d'alarme, écriture de valeurs prescrites).
Inactif : plusieurs stations peuvent actionner le projet à la fois.
Par défaut : inactive.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Délai d'attente avant expiration des requêtes [s]

Timeout pour requête [s]

Disponible uniquement si la propriété Autorisation en réseau active est active.
Si l'autorisation sur le réseau est bloquée par une station, elle peut être demandée par un autre ordinateur. La réponse à la demande doit être reçue dans la limite de temps définie ici. En cas d'expiration du délai d'attente de la réponse, la station demandeuse reçoit automatiquement l'autorisation.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Délai d'attente avant expiration des acquittements [s]

Timeout pour autorisation [s]

Disponible uniquement si la propriété Autorisation en réseau active est active.
L'ordinateur (client) possédant l'autorisation doit répondre au serveur avant expiration de ce délai. Si cet événement ne se produit pas, l'autorisation est automatiquement accordée.
Attention : cette valeur doit être inférieure au délai défini dans la propriété -.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Historique des modifications

Historique des modifications

Paramétrage de l'historique des modifications.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Actif

Historique des modifications actif

Coché : les changements dans le projet sont tracés.
Non-coché : les changements dans le projet ne sont pas tracés.
Par défaut : non cochée.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Niveaux de détail

Niveau de détails

Disponible uniquement si la propriété Historique des modifications actif est active.

Sélection du niveau de détails souhaité dans la liste déroulante.

  • Object : seuls les noms d'objet des objets modifies sont enregistrés. Les détails concernant les propriétés qui ont été modifiées ainsi que leurs valeurs ne sont pas affichés dans l’historique des modifications.
  • Propriétés : outre les noms d’objet, les propriétés modifiées ainsi et les nouvelles valeurs sont affichées dans l’historique des modifications.
  • Modifications de valeurs : Ce paramètre correspond au niveau de journalisation le plus détaillé. Non seulement les nouvelles valeurs des propriétés sont affichées mais aussi les anciennes. Ce qui permet de tracer complètement les modifications.

Par défaut : Propriétés

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""


Gestion des utilisateurs

Manuels -> Assistants -> Rubriques -> Pharmacie -> Assistant pharmaceutique -> Gestion des utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres de gestion des utilisateurs :

Paramètres

Description

Gestion des utilisateurs

Gestion utilisateur

Paramètres projet spécifiques à l'administration des utilisateurs.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Suppression d'utilisateurs

Supprimer utilisateurs

Cochée : la suppression d´un utilisateur est permise pendant le runtime.
Non-cochée : l´utilisateur est seulement marqué comme supprimé. L'utilisateur reste dans la liste des utilisateurs mais n'est plus valide en runtime (selon les normes FDA).
Par défaut : cochée.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

La longueur minimale du mot de passe

Longueur min. mot de passe

Nombre de caractères minimum pour un mot de passe.
Minimum : 0.
Maximum : 20.
Par défaut : 6.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Durée de validité du mot de passe [jours]

Mot de passe - période de validité [j]

Saisissez une période (en jours) définissant la validité d'un mot de passe. Après expiration du délai d'attente, vous devez saisir un nouveau mot de passe.
Minimum : 0 – le mot de passe n'expire jamais ; il n'est pas nécessaire de le renouveler. Pour ce paramètre, la valeur 2147483647 est écrite dans la variable du driver du système Days until password expires (Jours avant expiration du mot de passe).
Maximum : 4294967295.
Par défaut : 0.
Attention : pour les productions conformes aux directives de la FDA, la valeur 0 n'est pas autorisée, car la réglementation de la FDA nécessite la modification cyclique du mot de passe.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Nombre de tentatives de saisie d'un nom d'utilisateur non valide

Longueur min. mot de passe

Nombre de caractères minimum pour un mot de passe.
Minimum : 0.
Maximum : 20.
Par défaut : 6.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Nombre de tentatives de saisie d'un mot de passe non valide

Nb max d'erreurs mot de passe

Nombre d'entrées incorrectes pour le mot de passe.
Si ce nombre est dépassé, l'utilisateur est verrouillé (i.e. il ne pourra plus se loguer). Une entrée est généré dans le CEL. L'utilisateur ne pourra être déverrouillé que par un administrateur.
Minimum : 0.
Maximum : 65535.
Par défaut : 3.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Stockage de la gestion des utilisateurs

Enregistrement de la gestion des utilisateurs

Stockage d'utilisateurs sélectionné

Sélectionnez l'emplacement auquel vous souhaitez enregistrer la gestion des utilisateurs :

  • Projet
  • Active Directory (AD)
  • Active Directory Application Mode (ADAM)

Chaîne de connexion d'ADAM

Connexion ADAM/AD-LDS

Chemin de connexion à ADAM ou AD LDS.

Vous devez saisir le chemin de connexion au format suivant : [Nom du PC]:[port]/[organisation]

Exemple : w3k:50000/O=711,c=com

Pour plus d'informations sur AD LDS, reportez-vous à l'aide en ligne.

Pour plus d'informations sur ADAM, reportez-vous à l'aide en ligne.

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Identifiant d'utilisateur ADAM

Identification utilisateur ADAM/AD-LDS

Nom d'utilisateur d'un utilisateur local du PC ADAM/AD LDS possédant des droits d'administration.

Pour plus d'informations sur AD LDS, reportez-vous à l'aide en ligne.

Pour plus d'informations sur ADAM, reportez-vous à l'aide en ligne.

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Mot de passe ADAM

Mot de passe ADAM/AD-LDS

Mot de passe de l'utilisateur local du PC ADAM/AD LDS.

Pour plus d'informations sur AD LDS, reportez-vous à l'aide en ligne.

Pour plus d'informations sur ADAM, reportez-vous à l'aide en ligne.

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Déconnexion/Connexion

Propriétés de connexion et de déconnexion

Activation de la déconnexion automatique

Activer logout automatique

Cochée : un logout automatique de l'utilisateur est effectué s'il n'y a eu aucune action utilisateur pendant le temps défini.
Non-cochée : pas de logout automatique.
Par défaut : non cochée.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Activation d'une connexion temporaire

Login temporaire actif

Actif : si un utilisateur n'est pas connecté et tente d'actionner un élément nécessitant une autorisation utilisateur, il doit saisir ses nom d'utilisateur et mot de passe.
Inactif : si un utilisateur n'est pas connecté et tente d'actionner un élément nécessitant une autorisation utilisateur, il reçoit un message indiquant qu'il ne dispose pas de l'autorisation requise.
Par défaut : active.

Remarque : vous pouvez définir la position et la taille du masque de connexion dans le fichier zenon6.ini, dans la section [Befehlsgabe] Position =.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Style des boutons verrouillés

Boutons protégés

Disponible uniquement si la propriété Login temporaire actif est inactive.
Détermine l'apparence des boutons verrouillés en fonction de la configuration des autorisations de l'utilisateur. Dans le Runtime, cet élément est associé à la propriété Boutons verrouillés (Apparence graphique) pour autoriser l'utilisation des touches.

Formats possibles :

  • Gris
  • Normal
  • Invisible

Par défaut : Normal

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Définition des noms pour les niveaux d'autorisation

Conforme à la propriété -.

Vous pouvez attribuer un nom à chacun des 128 niveaux d'autorisation. Cliquez dans la colonne droite pour activer la fonction de changement de nom.


Groupes d'utilisateurs

Manuels -> Assistants -> Rubriques -> Pharmacie -> Assistant pharmaceutique -> Groupes d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous attribuez des niveaux d'autorisation aux différents groupes d'utilisateurs.

Paramètres | Description
Groupes d'utilisateurs | Liste des groupes d'utilisateurs
Niveaux des groupes d'utilisateurs | Liste des niveaux d'autorisation
Supprimer | Supprime l'objet sélectionné sans affichage d'un message de confirmation.

Cliquez sur un groupe d'utilisateurs pour afficher le niveau d'autorisation associé. Cliquez sur le niveau concerné pour le modifier. Le nom est adapté automatiquement. Cliquez sur un niveau vide pour insérer un nouveau niveau d'autorisation.

En cliquant sur Supprimer, vous pouvez supprimer à la fois les groupes et les niveaux d'autorisation attribués. Lors de la suppression, aucun message de confirmation n'est affiché.


Liste CEL et liste d'alarmes

Manuels -> Assistants -> Rubriques -> Pharmacie -> Assistant pharmaceutique -> Liste CEL et liste d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration de la liste chronologique d'événements et de la liste d'alarmes.

Paramètres

Description

Liste chronologique d'événements et liste d'alarmes

Liste chronologique d'événements

Propriétés pour la gestion des évènements (CEL).

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

CEL actif

Gestion des événements active

Actif : la liste chronologique d'événements (CEL) est active dans le Runtime. Les événements sont consignés et la liste CEL est disponible.
Inactif : aucun événement n'est enregistré.
Par défaut : Actif

Remarque : les modifications prennent effet après le redémarrage du Runtime.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Mettre à jour automatiquement

Mettre à jour automatiquement

Disponible uniquement si la propriété Gestion des événements active est active.
Actif : lorsque la liste CEL est ouverte dans le Runtime, de nouveaux événements sont immédiatement ajoutés lorsqu'ils se produisent.
Inactif : lorsque la liste CEL est ouverte, aucune nouvelle entrée n'est ajoutée. Les nouvelles entrées sont ajoutées lors de la prochaine ouverture de la liste CEL.
Par défaut : Actif

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Imprimer les messages système

Imprimer messages système

Disponible uniquement si la propriété Gestion des événements active est active.

Actif : lors de l'impression en ligne, les messages système sont également imprimés.
Inactif : lors de l'impression en ligne, les messages système ne sont pas imprimés.
Par défaut : Actif

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Textes de limite longs pour le CEL

Textes de limite dynamiques longs pour les événements

Détermine si le champ de commentaires des textes de limite dynamiques est disponible. La limite dynamique vous permet d'insérer les valeurs actuelles d'autres variables dans le texte de limite d'une variable.

Actif : les contenus dynamiques sont stockés dans un fichier au format de fichier D*.CEL. Il est conservé avec le fichier C*.CEL. Le champ peut être utilisé pour la saisie de commentaires. Les textes de limite dynamiques peuvent comporter une longueur maximale de 254 caractères.

Inactif : le champ de commentaires est utilisé pour les textes de limite dynamiques et n'est donc pas disponible pour les commentaires. Longueur maximale : 80 caractères.
Par défaut : inactive.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Texte de signature éditable

Texte de signature éditable

Cochée : en runtime une boite de dialogue est ouverte pour saisir le texte de signature.
Non-cochée : la signature ne peut pas être saisie en runtime.
Par défaut : non cochée.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Stockage des données CEL

Stockage des événements

Propriétés pour le stockage des événements (CEL) en mémoire et sur le disque dur.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Taille de la mémoire circulaire

Taille de la mémoire circulaire (buffer circulaire)

Disponible uniquement si la propriété Gestion des événements active est active.
Taille de la mémoire circulaire de la liste CEL. En cas de dépassement de capacité de la mémoire circulaire (cel.bin), les entrées sont transférées vers l'archive CEL (*.cel).
Minimum : 1
Maximum : 32767
Par défaut : 100

Remarque : dans le Runtime, il est possible que le nombre d'entrées affiché soit supérieur au nombre défini, car les anciennes entrées sont uniquement supprimées de la liste CEL lors de la mise à jour de la liste.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Enregistrer les données du CEL

Enregistrer les événements

Disponible uniquement si la propriété Gestion des événements active est active.
Ring buffer and historic data (Mémoire circulaire et données historiques) : toutes les entrées de la liste CEL (*.cel) sont enregistrées.

Only ring buffer (Mémoire circulaire uniquement) : seul un nombre défini d'entrées de la liste CEL (cel.bin) sont enregistrées. Ce nombre est défini par le biais de la propriété Taille de la mémoire circulaire (buffer circulaire).
Par défaut : sur les plates-formes CE, seule la mémoire circulaire (cel.bin) est enregistrée sur le disque dur ; sur PC, les entrées historiques (*.cel) sont également enregistrées.
Par défaut : Par défaut
Les fichiers (cel.bin et *.cel) sont enregistrés dans le répertoire \répertoire du projet\nom de l'ordinateur\nom du projet.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Save ring buffer on change (Enregistrer la mémoire circulaire en cas de modification)

Sauvegarder buffer circulaire de manière spontanée

Disponible uniquement si la propriété Gestion des événements active est active.

Actif : chaque modification des données de la liste chronologique d'événements déclenche l'enregistrement des données (cel.bin).
Remarque : dans ce cas, la totalité de la mémoire circulaire est enregistrée à chaque enregistrement. Ceci peut exercer une charge significative sur le système, particulièrement dans le cas des lecteurs Flash.
Inactif : les données de la liste chronologique d'événements (cel.bin) sont uniquement enregistrées lors de l'arrêt du Runtime ou de l'exécution de la fonction d'enregistrement de la mémoire circulaire des listes AML et CEL. Cette option est recommandée en cas de baisse des performances. Les données historiques (*.cel) peuvent être enregistrées indépendamment à chaque modification de la valeur.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Création de traces (log)

Enregistrements (log)

Propriétés générales pour le CEL.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Acquittement d'alarmes

Acquittement d'alarme

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Actif : si une alarme est acquittée, une entrée est créée dans la liste chronologique d'événements (CEL).
Inactif : l'acquittement d'une alarme ne déclenche pas une entrée dans la liste chronologique d'événements.
Par défaut : inactive.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Fonction envoi valeur prescrite

Fonction envoi valeur prescrite

Disponible uniquement si la propriété Gestion des événements active est active.
Actif : en cas d'écriture réussie des valeurs sur le matériel, l'entrée correspondante est insérée dans la liste CEL.
Inactif : l'écriture réussie des valeurs n'est pas consignée dans la liste CEL.
Par défaut : inactive
Conseil : pour utiliser ces propriétés, vous devez exécuter une écriture de valeur prescrite par le biais de la fonction Spécifier valeur prescrite.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Envoyer les recettes

Envoi de recettes

Disponible uniquement si la propriété Gestion des événements active est active.
Pas de traitement : l'écriture de recettes standard et de recettes dans le module Gestionnaire de groupes de recettes (RGM) n'est pas consignée dans la liste CEL.
Enregistrer les recettes : en cas d'écriture modification d'une recette, celle-ci est enregistrée avec le nom de la recette dans la liste CEL.
Enregistrer les recettes et valeurs : en cas d'écriture d'une recette, celle-ci est enregistrée avec le nom de la recette et le nom des anciennes et nouvelles valeurs des variables dans la liste CEL.
Par défaut : Pas de traitement

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Modifier la recette

Modification de recettes

Disponible uniquement si la propriété Gestion des événements active est active.
Pas de traitement : la modification de recettes standard et de recettes dans le module Gestionnaire de groupes de recettes (RGM) n'est pas consignée dans la liste CEL.
Enregistrer les recettes : en cas de modification d'une recette, celle-ci est enregistrée avec le nom de la recette modifiée dans la liste CEL.
Enregistrer les recettes et valeurs : en cas de modification d'une recette, celle-ci est enregistrée avec le nom de la recette modifiée et le nom des anciennes et nouvelles valeurs des variables modifiées dans la liste CEL.
Par défaut : Pas de traitement

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Groupes d'alarme

Groupes d'alarmes/d'événements

Ajouter

Ajoute la chaîne de caractères saisie dans le champ de saisie en tant que nouveau groupe d'alarmes/d'événements. L'ajout peut également être effectué en appuyant sur la touche Entrée.

Supprimer

Supprime le groupe d'alarmes/d'événements sélectionné.

Classes alarme

Classes d'alarmes/d'événements

Ajouter

Ajoute la chaîne de caractères saisie dans le champ de saisie en tant que nouvelle classe d'alarmes/d'événements. L'ajout peut également être effectué en appuyant sur la touche Entrée.

Supprimer

Supprime le groupe d'alarmes/d'événements sélectionné.


Templates I (Modèles I)

Manuels -> Assistants -> Rubriques -> Pharmacie -> Assistant pharmaceutique -> Templates I (Modèles I)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous pouvez modifier les éléments suivants :

  • Synoptiques
  • Type de données
  • Palettes de couleurs
  • Matrices de réaction

La liste affichée à droite permet d'afficher et d'éditer les fichiers XML existants dans le fichier de configuration actuel de l'élément.

Boutons

Fonction

Liste affichée à droite

Exporter

Ouvre la boîte de dialogue d'exportation de fichiers XML créés dans l'Éditeur, via la commande Exported selected XML (Exporter les fichiers XML sélectionnés).

Importation

Ouvre la boîte de dialogue d'importation de fichiers XML créés dans l'Éditeur, via la commande Exported selected XML (Exporter les fichiers XML sélectionnés). L'importation est effectuée dans le dossier %ProgrammData%\Copa-Data\zenon700\Templates\PharmaWizard.

Supprimer

Supprime les fichiers XML créés dans l'Éditeur, via la commande Exported selected XML (Exporter les fichiers XML sélectionnés).

Liste affichée à gauche

Ajouter

Ajoute les modèles provenant de la liste affichée à gauche. Vous pouvez également double-cliquer sur le modèle de votre choix.

Sélectionnez l'onglet Terminer pour enregistrer la configuration dans le projet actuel ou dans un autre projet.

Supprimer

Supprime les modèles de la liste.


Templates II (Modèles II)

Manuels -> Assistants -> Rubriques -> Pharmacie -> Assistant pharmaceutique -> Templates II (Modèles II)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous pouvez modifier les éléments suivants :

  • Symboles
  • Rapports provenant du Générateur de rapports

La liste affichée à droite permet d'afficher et d'éditer les fichiers XML existants dans le fichier de configuration actuel de l'élément. Les rapports sont enregistrés sous forme de fichiers XRS.

Boutons

Fonction

Liste affichée à droite

Exporter

Ouvre la boîte de dialogue d'importation de fichiers XML créés dans l'Éditeur, via la commande Exported selected XML (Exporter les fichiers XML sélectionnés).

Importation

Ouvre la boîte de dialogue d'importation de fichiers XML créés dans l'Éditeur, via la commande Exported selected XML (Exporter les fichiers XML sélectionnés). C:\\ProgrammData\Copa-Data\zenon700\Templates\PharmaWizard.

Supprimer

Supprime les fichiers XML créés dans l'Éditeur, via la commande Exported selected XML (Exporter les fichiers XML sélectionnés).

Liste affichée à gauche

Ajouter

Ajoute les modèles provenant de la liste affichée à gauche. Vous pouvez également double-cliquer sur le modèle de votre choix.

Sélectionnez l'onglet Terminer pour enregistrer la configuration dans le projet actuel ou dans un autre projet.

Supprimer

Supprime les modèles de la liste.


Terminer

Manuels -> Assistants -> Rubriques -> Pharmacie -> Assistant pharmaceutique -> Terminer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet :

  • La description du projet est saisie
  • Vous définissez de quelle manière doivent être enregistrées les modifications de la configuration

Paramètres

Description

Description projet

Informations concernant le projet, telles qu'elles sont définies sur l'onglet Paramètres. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune modification n'est possible.

Auteur

Nom de l'ingénieur.

Responsable

Nom du responsable.

Société

Entreprise.

Commentaire

Commentaires relatifs au projet.

Enregistrement des paramètres de la configuration

Options d'enregistrement des modifications apportées par l'assistant.

Champ de messages

Messages de réussite/d'échec des actions d'enregistrement.

...in current project (...Dans le projet actuel)

Tous les paramètres sont chargés dans le projet actuel.. Avec cette option, les paramètres du projet sont remplacés.

...as a new project (En tant que nouveau projet)

Un nouveau projet est créé avec les paramètres définis et les cadres sélectionnés. Vous devez d'abord sélectionner un nom de projet.

...as fíle (Sous forme de fichier)

Un nouveau fichier de configuration est créé avec le nom de fichier *.cof. S'il possède le même nom qu'un fichier de configuration existant, il est remplacé.

Attention : les fichiers de configuration créés peuvent uniquement être lus, créés et édités avec l'assistant.

Nom

Nom du fichier de configuration.


Projet

Manuels -> Assistants -> Rubriques -> Projet

Assistants de :

  • Création de projets
  • Comparaison de sauvegardes de projet
  • Création d'une documentation de projet

Autres sujets abordés dans ce chapitre

Comparaison de projets

Project Wizard

Assistant Documentation


Comparaison de projets

Manuels -> Assistants -> Rubriques -> Projet -> Comparaison de projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'assistant permet de comparer les sauvegardes de projets. Il analyse pour cela les objets et éléments supprimés, ajoutés et/ou modifiés. Le résultat peut être enregistré et affiché sous forme de fichier XML ou HTML.

Minimum requis

L'assistant peut lire et comparer les sauvegardes de projets :

  • Enregistrées sous forme de fichier zip
  • Créées avec la fonction de suivi des versions
  • Créées avec la fonction d'exportation au format XML

Pour activer le suivi des versions et l'exportation au format XML :

  1. Ouvrez le nœud Général dans les paramètres du projet.
  2. Accédez à la section Gestion de version.
  3. Activez la propriété Gestion de version active.
  4. Activez la propriété Export XML actif.

Fichiers temporaires

Durant la comparaison, l'assistant décompresse la sauvegarde du projet dans un dossier temporaire intitulé BackUpComparisonWorkingFolder. Celui-ci est créé à l'emplacement C:\Users\Public\Documents\zenon_Projects\Worspace. Ce dossier temporaire est supprimé lors de la fermeture de l'assistant.

Autres sujets abordés dans ce chapitre

Démarrage de l'assistant

Bienvenue

Configurer les barres d'outils

Compare (Comparer)

Documentation


Démarrage de l'assistant

Manuels -> Assistants -> Rubriques -> Projet -> Comparaison de projets -> Démarrage de l'assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour démarrer l'assistant :

  1. Cliquez sur Fichier -> Assistants....

    Vous pouvez également appuyer sur les touches Alt+F12.

  2. La fenêtre de sélection s'ouvre et affiche les assistants disponibles.
  3. Sélectionnez le dossier Projet.
  4. Sélectionnez ensuite Backup Comparison Wizard (Assistant Comparaison de sauvegarde)

  5. Cliquez sur OK
  6. L'assistant démarre en affichant la page d'accueil.


Bienvenue

Manuels -> Assistants -> Rubriques -> Projet -> Comparaison de projets -> Bienvenue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'onglet Welcome (Bienvenue) vous informe sur le fonctionnement et l'utilisation de l'assistant.

Pour naviguer dans l'assistant, cliquez sur les étapes individuelles ou progressez étape par étape, en cliquant sur les boutons fléchés.

Cliquez sur Annuler pour fermer l'assistant.


Configurer les barres d'outils

Manuels -> Assistants -> Rubriques -> Projet -> Comparaison de projets -> Configurer les barres d'outils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, les deux sauvegardes de projet devant être comparées sont sélectionnées, ainsi que les modules de zenon devant être intégrés à la comparaison.

Paramètres

Description

Select project backups (Sélectionner les sauvegardes de projet)

Sélection des fichiers de sauvegarde.

Latest version (Version la plus récente)

Version la plus récente. Cliquez sur le bouton .... Ouvre la boîte de dialogue permettant de sélectionner un dossier de projet.

Remarque : par défaut, les sauvegardes de projet se trouvent dans le dossier %ProgramData%\COPA-DATA\SQL2008R2\BACKUP\[Projet] ; la fonction d'exportation permet toutefois de les conserver dans n'importe quel dossier.

Older version (Version plus ancienne)

Version plus ancienne. Cliquez sur le bouton .... Ouvre la boîte de dialogue permettant de sélectionner un dossier de projet.

Select project modules (Sélectionner les modules du projet)

Sélection des modules devant être comparés. La sélection se déroule en cochant les cases adjacentes aux noms de modules.

Ces paramètres sont enregistrés individuellement pour chaque utilisateur, et sont à nouveau disponibles lorsque l'assistant est redémarré.

Touches fléchées du clavier

Cliquez sur le bouton pour accéder à l'onglet précédent ou suivant.

Annuler

Ferme l'assistant.


Compare (Comparer)

Manuels -> Assistants -> Rubriques -> Projet -> Comparaison de projets -> Compare (Comparer)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous pouvez comparer des sauvegardes de projets sur la base des modules sélectionné.

Paramètres

Description

Liste

Lorsque vous cliquez sur le bouton Comparer, les différences entre les sauvegardes de projets sont affichées dans le champ de liste.

Contenu des colonnes :

  • Modules : nom de la variable.
  • Résultat : Nom de l'objet.
  • Elément : affichage et description de l'élément.
  • Paramètre : nom du paramètre modifié.
  • Old (Ancienne valeur) : valeur précédente d'un paramètre modifié.
  • New (Nouvelle valeur) : nouvelle valeur d'un paramètre modifié.

Code de couleurs :

  • Bleu : nouveaux objets et éléments
  • Rouge : objets et éléments supprimés
  • Vert : objet et éléments modifiés
  • Noir : objets et éléments non modifiés.

Navigation

Éléments de navigation dans la liste.

Éléments modifiés

Actif : Cliquez sur le bouton comportant une flèche verticale pour passer au précédent ou au prochain élément modifié.

Éléments supprimés

Actif : cliquez sur le bouton comportant une flèche verticale pour passer au précédent ou au prochain élément supprimé.

Nouveaux éléments

Actif : cliquez sur le bouton comportant une flèche verticale pour passer au précédent ou au prochain élément nouveau.

Show only differences (Afficher uniquement les différences)

Actif : lorsque vous cliquez sur le bouton Comparer, seules les différences sont affichées avec un code de couleurs ; les éléments non modifiés ne sont pas affichés.

Si cette option est modifiée, vous devez redémarrer la comparaison en cliquant sur Comparer.

Compare (Comparer)

Compare les sauvegardes de projet en fonction de la sélection, et les affiche dans le champ de liste.

Boutons avec deux flèches verticales

Cliquez sur le bouton pour accéder au module précédent ou suivant.

Boutons avec une flèche verticale

Cliquez sur le bouton pour passer au résultat précédent/suivant du même type, selon le paramètre.

  • Éléments modifiés
  • Éléments supprimés
  • Nouveaux éléments

Touches avec des flèches horizontales

Cliquez sur le bouton pour accéder à l'onglet précédent ou suivant.

Annuler

Ferme l'assistant.

Exemple de comparaison de projets :

Tous les objets :

Quelques modifications :

Au niveau des synoptiques des modules :

  • Le synoptique batch a été supprimé.
  • Sur le synoptique SYSTEM_2, un élément de texte a été modifié.
  • Sur le synoptique START, un bouton intitulé Button_1 a été ajouté.
  • Sur le synoptique ALARM, rien n'a été modifié.

Seules différences :

Les modifications sont visibles de la même manière que sur la capture d'écran précédente. Les objets et les éléments qui n'ont pas été modifiés sont masqués.


Documentation

Manuels -> Assistants -> Rubriques -> Projet -> Comparaison de projets -> Documentation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous pouvez afficher et enregistrer le résultat de la comparaison de sauvegardes du projet sous forme de fichier XML ou HTML.

Paramètres

Description

Configurer les barres d'outils

Paramètres de type de documentation.

Create XML (Créer XML)

Actif : un fichier XML est créé.

Create HTML (Créer HTML)

Actif : un fichier HTML est créé.

Save Path (Chemin d'enregistrement)

Chemin du dossier dans lequel est enregistré le fichier. Affichage uniquement. La sélection est effectuée en cliquant sur le bouton Comparer.

Create documentation (Créer la documentation)

Cliquez sur le bouton :

  • Pour ouvrir le navigateur de fichiers : sélectionnez l'emplacement de sauvegarde et spécifiez un nom pour le fichier de documentation.
  • La documentation est enregistrée au format souhaité et affichée dans le champ de liste.

Champ de liste

Afficher la documentation.

Bouton fléché

Cliquez sur le bouton pour accéder à l'onglet précédent.

Annuler

Ferme l'assistant.

Exemple de fichier XML

Affichage dans l'assistant :

Afficher sous forme de fichier XML :

Exemple de fichier HTML

Lors de la création d'un fichier HTML, des fichiers XML et XSLT sont également créés à l'emplacement de sauvegarde. Ces deux fichiers sont utilisés pour générer le fichier HTML de manière dynamique :

Structure du fichier HTML :


Project Wizard

Manuels -> Assistants -> Rubriques -> Projet -> Project Wizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cet assistant permet de créer des objets basiques pour de nouveaux projets. Vous pouvez configurer les éléments suivants :

  • Informations concernant le projet :
  • Drivers et variables de driver
  • Paramètres graphiques
  • Synoptiques de base avec symboles, éléments WPF, liste AML, liste CEL, informations du système et aperçu des variables de simulation
  • Navigation

Les paramètres modifiés dans l'assistant sont enregistrés dans le profil de l'utilisateur du système d'exploitation et chargés lors de la prochaine ouverture du projet par le même utilisateur.

L'assistant est exécuté en anglais ; la langue du projet correspond à celle de l'Éditeur de zenon ouvert. Cet assistant est automatiquement exécuté lors de la création d'un nouveau projet.

Autres sujets abordés dans ce chapitre

Démarrage de l'assistant

Bienvenue

Infos projet

Pilotes

Graphic settings (Paramètres graphiques)

Sélection de synoptique

Terminer

Exemples dans le Runtime


Démarrage de l'assistant

Manuels -> Assistants -> Rubriques -> Projet -> Project Wizard -> Démarrage de l'assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cet assistant est automatiquement exécuté lors de la création d'un nouveau projet. Il peut également être sélectionné directement dans la boîte de dialogue de démarrage des assistants.

Attention : si l'assistant est démarré dans un projet existant, les objets existants peuvent être modifiés ou remplacés.

Pour démarrer l'assistant manuellement :

  1. Cliquez sur Fichier -> Assistants....

    Vous pouvez également appuyer sur les touches Alt+F12.

  2. La fenêtre de sélection s'ouvre et affiche les assistants disponibles.
  3. Sélectionnez le dossier Projet.

  4. Dans ce dossier, sélectionnez VSTA Project Wizard (Assistant de projet VSTA).

  5. Cliquez sur OK
  6. L'assistant démarre en affichant la page d'accueil.

Si vous appelez l'assistant depuis un projet existant, un message d'avertissement s'affiche :

Cliquez sur Oui pour confirmer que vous acceptez les modifications de votre configuration actuelle.


Bienvenue

Manuels -> Assistants -> Rubriques -> Projet -> Project Wizard -> Bienvenue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'onglet Welcome (Bienvenue) vous informe sur le fonctionnement et l'utilisation de l'assistant.

Pour naviguer dans l'assistant, cliquez sur les étapes individuelles ou progressez étape par étape, en cliquant sur les boutons fléchés.

Cliquez sur Fermer pour fermer l'assistant.

Cliquez sur Remplacer pour créer le projet en remplaçant les éventuels objets existants. Actif uniquement si l'onglet Terminer est affiché à l'écran.


Infos projet

Manuels -> Assistants -> Rubriques -> Projet -> Project Wizard -> Infos projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous configurez les paramètres généraux du projet et les paramètres de suivi des versions et d'historique des modifications.

Paramètres

Description

Auteur

Auteur du projet.

Responsable

Responsable ou superviseur.

Société

Entreprise.

Commentaire

Commentaires relatifs au projet.

Propriétés de sauvegarde

Paramètres de suivi des versions.

Suivi des versions

Gestion de version active

Active: Project versioning is used. Every project backup is saved with an own version number.

Inactive: no versioning of the project backup.

Default: inactive

More in the online help.

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Exportation au format XML active

Export XML actif

Disponible uniquement si la propriété Gestion de version active est active.

Active: At each project backup an zip file (version.zip) is inserted. It includes 24 XML files with the backups of the individual modules.

Note: For multi-user projects only for local backups.

Default: inactive

More in the online help.

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Historique des modifications

Paramètres de l'historique des modifications.

Actif

Historique des modifications actif

Coché : les changements dans le projet sont tracés.
Non-coché : les changements dans le projet ne sont pas tracés.
Par défaut : non cochée.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Niveaux de détail

Niveau de détails

Disponible uniquement si la propriété Historique des modifications actif est active.

Sélection du niveau de détails souhaité dans la liste déroulante.

  • Object : seuls les noms d'objet des objets modifies sont enregistrés. Les détails concernant les propriétés qui ont été modifiées ainsi que leurs valeurs ne sont pas affichés dans l’historique des modifications.
  • Propriétés : outre les noms d’objet, les propriétés modifiées ainsi et les nouvelles valeurs sont affichées dans l’historique des modifications.
  • Modifications de valeurs : Ce paramètre correspond au niveau de journalisation le plus détaillé. Non seulement les nouvelles valeurs des propriétés sont affichées mais aussi les anciennes. Ce qui permet de tracer complètement les modifications.

Par défaut : Propriétés

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Touches fléchées du clavier

Se déplacer en avant ou en arrière d'un onglet.

Overwrite (Remplacer)

Crée le projet et remplace, le cas échéant, les objets existants. Actif uniquement si l'onglet Terminer est affiché à l'écran.

Fermer

Ferme l'assistant.
Les modifications effectuées peuvent être enregistrées pour l'utilisateur actuel.


Pilotes

Manuels -> Assistants -> Rubriques -> Projet -> Project Wizard -> Pilotes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, les drivers zenon nécessaires sont sélectionnés.

Paramètres

Description

Liste des drivers

Liste de drivers zenon. La sélection est effectuée en cliquant sur le driver.

Informations sur le driver

Affichage des informations concernant le driver sélectionné.

Nom du driver

Nom du driver, tel qu'il devrait être affiché dans le projet. Saisie de texte libre.

Désignation

Nom unique du driver.
zenon identifie le driver à l'aide de ce nom, et non à l'aide du nom de fichier. Il est ainsi possible de charger le même driver plusieurs fois. Cela s'avère par exemple nécessaire lorsque vous devez accéder à des types de contrôles identiques, connectés à plusieurs interfaces série différentes.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Ajouter

Ajoute le driver sélectionné à la liste de drivers à créer.

Supprimer

Supprime le driver sélectionné de la liste de drivers à créer.

Liste de drivers à créer

Liste de drivers à créer avec indication du nom, description et nom de fichier.

Create screen with driver statistic variables (Créer un synoptique avec les variables statistiques des drivers)

Actif : Pour chaque driver, un synoptique contenant les variables de driver est créé.

Touches fléchées du clavier

Se déplacer en avant ou en arrière d'un onglet.

Overwrite (Remplacer)

Crée le projet et remplace, le cas échéant, les objets existants. Actif uniquement si l'onglet Terminer est affiché à l'écran.

Fermer

Ferme l'assistant.
Les modifications effectuées peuvent être enregistrées pour l'utilisateur actuel.


Graphic settings (Paramètres graphiques)

Manuels -> Assistants -> Rubriques -> Projet -> Project Wizard -> Graphic settings (Paramètres graphiques)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous configurez la résolution et les paramètres du Runtime et des écrans tactiles.

Paramètres

Description

General project settings (Paramètres généraux du projet)

Paramètres graphiques généraux du projet.

Current primary monitor size (Taille du moniteur principal actuel)

Affichage de la résolution d'écran actuelle. Sur les systèmes multi-moniteurs, la résolution de l'écran principal est affichée.

Résolution d'écran

Sélection de la résolution d'écran souhaitée dans la liste déroulante.

Titre Runtime

Driver invisible

Actif : les drivers démarrés ne sont pas affichés dans la barre des tâches de Windows dans le Runtime.

Inactif : les drivers démarrés ne sont pas affichés dans la barre des tâches de Windows dans le Runtime.

Par défaut : inactive.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Qualité d'affichage graphique

Qualité graphique

Paramètre de qualité de l'affichage graphique.
DirectX offre une qualité supérieure à celle des modes Windows Basic (Windows de base) ou Windows Enhanced (Windows optimisé). L'affichage DirectX est uniquement pris en charge dans le Runtime. En règle générale, il est préférable d'utiliser l'option DirectX Hardware (Matériel DirectX) et de n'utiliser l'option DirectX Software (Logiciel DirectX) qu'en cas d'absolue nécessité.

Sélection possible :

Windows Basic (Windows de base) : paramètres graphiques basiques. Paramètre recommandé lorsque les ressources du matériel sont limitées.

Windows Enhanced (Windows optimisé) : offre des fonctions d'affichage graphique amélioré, nécessite davantage de ressources.

DirectX Software (Logiciel DirectX) : le calcul de l'affichage graphique est effectué par le processeur et peut entraîner une charge élevée au niveau du processeur.

DirectX Hardware (Matériel DirectX) : certains calculs graphiques sont effectués par la carte graphique. Si le système n'est pas compatible avec le paramètre, le paramètre DirectX Software (Logiciel DirectX) est sélectionné automatiquement.

Par défaut : Windows Enhanced (Windows optimisé)

Attention : Les paramètres Windows Enhanced (Windows optimisé) et DirectX ne sont pas disponibles sous Windows CE.

Conseils :
un léger décalage des pixels peut apparaître en cas de changement de mode durant le développement. Par conséquent, définissez cette propriété avant de créer les synoptiques.
Lors de l'activation de l'option Windows Base (Windows de base) pour tous les types de ligne utilisant un paramètre Epaisseur de ligne [Pixels] > 1, tous les types de ligne sont définis sur Ligne continue.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Menu position (Position du menu)

Sélection de l'emplacement du menu dans la liste déroulante.

Configuration du Runtime

Paramètres du Runtime.

Alarm status active (État des alarmes actives)

Ligne d'état active

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Actif : dès qu'une alarme se produit, une ligne d'état rouge présentant des informations sur l'alarme est affichée en haut de l'écran dans le Runtime. Dans cette ligne d'état, l'alarme peut également être acquittée avec un double-clic droit si l'utilisateur connecté dispose des autorisations correspondantes.
Inactif : aucune ligne d'état n'est affichée.
Par défaut : Actif

Avertissement concernant la gestion multi-projet : la configuration dans le projet d'intégration définit le comportement des sous-projets, indépendamment de la configuration des sous-projets. La ligne d'état des alarmes du projet de niveau supérieur est toujours utilisée dans le Runtime.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Remarque : cet assistant active automatiquement la propriété Gestion d'alarmes active.

Driver invisible

Driver invisible

Actif : les drivers démarrés ne sont pas affichés dans la barre des tâches de Windows dans le Runtime.

Inactif : les drivers démarrés ne sont pas affichés dans la barre des tâches de Windows dans le Runtime.

Par défaut : inactive.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Touch operation (Fonctionnement tactile)

Paramètres des fonctionnalités tactiles.

MultiTouch

Multi-Touche actif

Actif : Les gestes MultiTouch peuvent être utilisés. Les mouvements de raccourci (mouvements rapides) et le clic droit (appui long) sont désactivés.
Minimum requis : Tous les drivers et périphériques correspondants sont disponibles. Le périphérique doit être connecté et mis sous tension.

Plus de détails dans l'aide en ligne.

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Pointeur de souris visible :

Curseur visible

Active : Le curseur est visible en runtime.
Inactive : Le curseur n'est pas visible en runtime. Ainsi dans les projets tournant sur des écrans tactiles, le curseur peut être rendu invisible.
Par défaut : active.

Attention : Cette fonctionnalité ne marche que dans les éléments du système de contrôle (synoptiques, éléments, ...) mais pas sur les éléments standards de Windows (barres de titre, menus, barres de défilement, ...) Pour les éléments Windows, le curseur doit être désactivé directement dans le système d'exploitation.

Reportez-vous au manuel en ligne pour plus d'informations.

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Clavier automatique

Clavier automatique

Dans les projets avec écran tactile,
Cochée : un clavier virtuel est automatiquement affiché pour toute saisie de l'opérateur (par exemple, pour rentrer une valeur ou pour se loguer).
Non-cochée : aucun clavier virtuel n'est affiché.
Par défaut : non cochée.

Plus de détails dans l’aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Create keyboard screen (Créer un synoptique de clavier)

Actif : crée un synoptique DIALOGKBD pour la saisie alphanumérique et un synoptique SETVALUEKBD pour la saisie numérique. Pour plus de détails, reportez-vous au chapitre Création d'un synoptique de type Clavier. Pour qu'il soit utilisable dans le Runtime, vous devez activer l'option Clavier automatique.

Taille du clavier (%)

Taille du clavier [%]

Définit la taille, en pourcentage de la taille d'origine, d'affichage du clavier automatique dans le Runtime.
Minimum : 50 %
Maximum : 300 %
Par défaut : 100 %

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: ""

Touches fléchée

Se déplacer en avant ou en arrière d'un onglet.

Overwrite (Remplacer)

Crée le projet et remplace, le cas échéant, les objets existants. Actif uniquement si l'onglet Terminer est affiché à l'écran.

Fermer

Ferme l'assistant.
Les modifications effectuées peuvent être enregistrées pour l'utilisateur actuel.


Sélection de synoptique

Manuels -> Assistants -> Rubriques -> Projet -> Project Wizard -> Sélection de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous pouvez sélectionner les synoptiques devant être créés dans le projet.

Attention : les fonctions d'appel de synoptique des synoptiques sélectionnés sont configurées avec les paramètres par défaut. Aucun paramètre spécial, à l'image des filtres, des variables etc. n'est configuré.

Paramètres

Description

Types de synoptique

Configuration du synoptique.

Champ Sélection

Sélection du type de synoptique dans la liste déroulante.

List de cadres

Sélection du cadre du synoptique. La taille et l'aperçu sont affichés.

Largeur

Largeur du synoptique.

Affichage uniquement.

Height (Hauteur)

Hauteur du synoptique.

Affichage uniquement.

Aperçu

Aperçu du type de synoptique sélectionné, avec le cadre sélectionné. Le champ Standard est affiché comme vide.

Champ de saisie Nom

Saisie au choix du nom du synoptique.

Ajouter

Ajout le synoptique sélectionné à la liste de synoptiques.

Supprimer

Supprime le synoptique sélectionné de la liste de synoptiques.

Liste de synoptiques

Affiche la liste de tous les synoptiques configurés avec les noms, les types de synoptiques et les tailles.

Au maximum, 14 synoptiques peuvent être créés.

Projet démo

Paramètres d'un exemple de projet.

Create demo screens (Créer des synoptiques de démonstration)

Actif : Des exemples de synoptiques sont créés pour faciliter la configuration du projet. Sélection des synoptiques de démonstration :

  • Demo pages (Pages de démonstration) : exemples de pages (toujours créées)
  • Liste d'alarmes : AML
  • Liste chronologique d'événements : CEL
  • Information système pages comportant des informations sur le système ; le nombre varie selon la résolution.

Touches fléchées du clavier

Se déplacer en avant ou en arrière d'un onglet.

Overwrite (Remplacer)

Crée le projet et remplace, le cas échéant, les objets existants. Actif uniquement si l'onglet Terminer est affiché à l'écran.

Fermer

Ferme l'assistant.
Les modifications effectuées peuvent être enregistrées pour l'utilisateur actuel.

Exemple de configuration


Terminer

Manuels -> Assistants -> Rubriques -> Projet -> Project Wizard -> Terminer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, le projet est créé.

Cliquez sur le bouton Remplacer pour créer le projet conformément aux paramètres affichés sur les onglets. Les éventuels objets existants sont remplacés. L'assistant reste ouvert, vous permettant de modifier la configuration si nécessaire. Pour fermer l'assistant, cliquez sur le bouton Fermer.


Exemples dans le Runtime

Manuels -> Assistants -> Rubriques -> Projet -> Project Wizard -> Exemples dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous trouverez ci-dessous deux exemples de la manière dont la configuration définie dans l'assistant affecte l'affichage dans le Runtime.

  • Exemple 1 : avec option Create demo screens (Créer des synoptiques de démonstration) active.
  • Exemple 2 : sans exemples de synoptiques.


Avec synoptiques de démonstration

Avec synoptiques de démonstration

Page de départ :

Navigation :

Informations SIMUL :

Module Report Viewer :

AML :

CEL :

SystemInfo_1 (1 à 3 synoptiques pour chaque résolution d'écran) :

SystemInfo_2 (1280x1024) :

Driver :


Sans synoptiques de démonstration

Sans synoptiques de démonstration

Page de départ :

Navigation :


Assistant Documentation

Manuels -> Assistants -> Rubriques -> Projet -> Assistant Documentation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cet assistant vous guide tout au long de la création d'un document HTML pour le projet actuel.

Vous pouvez définir quels modules doivent être inclus dans la documentation.

L'assistant peut être édité.


Variables

Manuels -> Assistants -> Rubriques -> Variables

Assistants pour les variables.

Autres sujets abordés dans ce chapitre

Assistant de création de variables

Simulation de driver


Assistant de création de variables

Manuels -> Assistants -> Rubriques -> Variables -> Assistant de création de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cet assistant permet de créer plusieurs variables rapidement.

attention Attention

Cet assistant ne supporte pas le développement multi-utilisateurs et n'est donc pas disponible dans ce contexte (projet multi-utilisateurs).


Simulation de driver

Manuels -> Assistants -> Rubriques -> Variables -> Simulation de driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'assistant créé un programme <CA_PROD_EMBEDDED> spécifique à chaque driver dans le projet zenon pour lequel un projet de simulation de driver est créé. Ce programme <CA_PROD_EMBEDDED> simule, pour chaque paire de variables du driver pour lequel s'applique une règle de substitution, l'attribution directe d'une variable de commande à une variable de réaction.

Exemple

  • Variables de zenon :
    • Test_CO : USINT
    • Test_RV : USINT
    • Switch_CO : USINT
    • Switch_RV : LREAL
  • Règles de substitution :
    • *_CO -> *_RV
  • Résultats dans <CA_PROD_EMBEDDED> :

Autres sujets abordés dans ce chapitre

Démarrage de l'assistant

Bienvenue

Configurer les barres d'outils

Rebuild (Reconstruire)


Démarrage de l'assistant

Manuels -> Assistants -> Rubriques -> Variables -> Simulation de driver -> Démarrage de l'assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour démarrer l'assistant :

  1. Cliquez sur Fichier -> Assistants....

    Vous pouvez également appuyer sur les touches Alt+F12.

  2. La fenêtre de sélection s'ouvre et affiche les assistants disponibles.
  3. Sélectionnez le dossier Variables.
  4. Sélectionnez ensuite Driver Simulation Wizard (Assistant Simulation de driver)

  5. Cliquez sur OK
  6. L'assistant démarre en affichant la page d'accueil.


Bienvenue

Manuels -> Assistants -> Rubriques -> Variables -> Simulation de driver -> Bienvenue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'onglet Welcome (Bienvenue) vous informe sur le fonctionnement et l'utilisation de l'assistant.

Pour naviguer dans l'assistant, cliquez sur les étapes individuelles ou progressez étape par étape, en cliquant sur les boutons fléchés.

Cliquez sur Fermer pour fermer l'assistant.


Configurer les barres d'outils

Manuels -> Assistants -> Rubriques -> Variables -> Simulation de driver -> Configurer les barres d'outils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous créez les règles de substitution.

Paramètres

Description

Execute wizard when compiling straton project (Exécuter l'assistant lors de la compilation du projet straton)

Actif : Dès que l'action Créer des fichiers Runtime est exécutée dans zenon, l'assistant est également exécuté.

Remarque : la logique de création du projet <CA_PROD_EMBEDDED> s'exécute en tâche de fond. L'interface utilisateur de l'assistant n'est pas affichée.

Drivers with simulation project (Drivers avec un projet de simulation)

Affiche la liste de tous les drivers du projet zenon actuellement actif dans l'Éditeur zenon pour lesquels un projet de simulation de driver était créé. Si un driver est sélectionné dans cette liste, les règles de substitution définies pour ce driver sont affichées dans la section Replacement pattern (Motif de remplacement).

Replacement pattern (Motif de remplacement)

Règles de substitution.

COMMAND variable (Variable COMMAND)

Variable de commande.

Un seul opérateur (*) est autorisé.

RESPONSE variable (Variable de réponse)

Variable de réponse.

Un seul opérateur (*) est autorisé.

Ajouter

Ajoute les règles à la liste de règles.

Modifier

Permet de modifier les règles sélectionnées.

Supprimer

Supprime les règles sélectionnées de la liste de règles.

Liste de règles

Dresse la liste des règles définies.

Touches fléchées du clavier

Passe à l'onglet précédent ou suivant.

Fermer

Ferme l'assistant.

Si les règles sont modifiées, le logiciel vous propose de recréer le projet de simulation lorsque vous fermez la boîte de dialogue. Dans ce cas, une boîte de dialogue s'affiche :

Remarque : confirmez cette boîte de dialogue en cliquant sur Yes si toutes les règles de substitution sont supprimées pour un driver. Les projets de simulation sans règles de substitution ne sont pas pris en compte lors de la création automatique des fichiers de Runtime dans zenon.


Rebuild (Reconstruire)

Manuels -> Assistants -> Rubriques -> Variables -> Simulation de driver -> Rebuild (Reconstruire)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cet onglet permet de déclencher la reconstruction de tous les projets de simulation de <CA_PROD_EMBEDDED>.

Cliquez sur le bouton Rebuild (Reconstruire) pour démarrer la reconstruction du projet de simulation de driver pour tous les drivers correspondants dans le projet.


Création et adaptation d'assistants

Manuels -> Assistants -> Création et adaptation d'assistants

Les assistants sont des formulaires VBA ordinaires, qui contiennent certaines fonctions dans le code. Les formules sont ainsi identifiées comme un assistant de zenon.

Les assistants fournis avec zenon peuvent former la base de vos propres assistants.

Vos propres assistants peuvent être conservés dans vos propres dossiers. Toutes les informations requises doivent être saisies dans le fichier appelé wizards.ini. Celles-ci peuvent être incluses lors de la mise à jour de l'assistant.

Assistants VBA et VSTA

Pour créer des assistants, VBA et VSTA doivent disposer des informations suivantes :

  • Nom
  • Description
  • Catégorie
  • Affichage dans la boîte de dialogue
  • Numéro de version

Ces fonctions sont lues par zenon pour identifier les formules comme des assistants et afficher les informations correspondantes dans la boîte de dialogue de l'assistant.

Pour plus de détails concernant la création d'assistants VSTA, reportez-vous au chapitre Détails des assistants VSTA.

Nom

Indique le nom de l'assistant, tel qu'il est affiché dans la boîte de dialogue de l'assistant.

Exemple : Assistant de projet VSTA

VBA | VSTA
Public Function GetWizardName() As String GetWizardName = "Assistant de projet" End Function | GetWizardName (chaîne)

Description

Contient la description de l'assistant, telle qu'elle est affichée dans la section Description de la boîte de dialogue.

Exemple : cet assistant crée un projet zenon simple (V.1)

VBA | VSTA
Public Function GetWizardInfo() As String GetWizardInfo = "Assistant de création de projet" End Function | GetWizardInfo (chaîne)

Catégorie

Indique la catégorie dans laquelle est classé l'assistant.

Par exemple : Projet

Conseil : vous pouvez utiliser les catégories existantes. Les assistants VBA et VSTA peuvent être classés dans la même catégorie.

VBA | VSTA
Public Function GetWizardCategory() As String GetWizardCategory = "Projet" End Function | GetWizardCategory (chaîne)

Affichage dans la boîte de dialogue

Définit si l'assistant est affiché ou non dans la boîte de dialogue. Ceci vous permet de masquer un assistant sans supprimer toutes les fonctions, ni les supprimer de l'extension :

= true : affichage actif

= false : affichage inactif

VBA | VSTA
Public Function IsZenOnWizard() As Boolean IsZenOnWizard = True End Function | IsZenOnWizard (bool)

Numéro de version

Indique le numéro de version affiché dans la description. Le numéro de version est utilisé pour gérer la mise à jour des assistants.

Exemple : (V.1)

Remarque : une même classe d'assistants ne doit pas comporter différentes fonctions portant le même nom. Ceci est également vrai lorsque des paramètres différents sont renvoyés.

VBA | VSTA
Public Function GetWizardVersion() As Integer GetWizardVersion = 6 End Function | GetWizardVersion (entier)

Autres sujets abordés dans ce chapitre

Détails Assistant VSTA


Détails Assistant VSTA

Manuels -> Assistants -> Création et adaptation d'assistants -> Détails Assistant VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Assistant VSTA

#region Wizard_Identification

/// <summary>
/// Cette méthode statique renvoie le nom de l'assistant,
/// qui sera affiché dans l'arborescence des assistants.
/// </summary>
/// <returns></returns>

static public string GetWizardName()
{
string strValue = "Name of the wizard";
return strValue;
}

/// <summary>
/// Cette méthode partagée renvoie une description de l'assistant,
/// qui sera affichée au bas de la boîte de dialogue des assistants.
/// </summary>/// <returns></returns>
static public string GetWizardInfo()
{
string strValue = "A more detailed description of the wizard.";
return strValue;
}

/// <summary>
/// Cette méthode partagée renvoie le nom de la catégorie de l'assistant,
/// qui sera utilisé en tant que nom de nœud dans l'arborescence des assistants.
/// </summary>
/// <returns></returns>

static public string GetWizardCategory()
{
string strValue = "Wizard category";
return strValue;
}

///<summary>
/// Cette méthode partagée renvoie une valeur booléenne permettant d'activer ou désactiver
/// 'l'assistant dans la boîte de dialogue des assistants (false= l'assistant n'est pas affiché dans l'arborescence).
/// </summary>
/// <returns></returns>

static public bool IsZenOnWizard()
{
bool bValue=true;
} return bValue;

/// <summary>
/// Cette méthode statique renvoie la version de l'assistant.
/// indiquée au bas de la boîte de dialogue de l'assistant.
/// </summary>
/// <returns>wizard version</returns>

static public int GetWizardVersion()
{
int nValue = 1;
return nValue;
}

/// <summary>
/// Cette méthode est appelée lorsque l'assistant a été sélectionné dans
/// la boîte de dialogue des assistants, puis confirmé avec "OK".
/// </summary>

public void StartWizard()
{
this.Show();
}
#endregion

VB.Net

'Cette méthode partagée renvoie le nom de l'assistant,
'qui sera affiché dans l'arborescence des assistants.

Public Shared Function GetWizardName() As String
GetWizardName = "Name of the wizard"
End Function

'Cette méthode partagée renvoie une description de l'assistant,
'qui sera affichée au bas de la boîte de dialogue des assistants.

Public Shared Function GetWizardInfo() As String
GetWizardInfo = "Une description plus détaillée de l'assistant."
End Function

'Cette méthode partagée renvoie le nom de la catégorie de l'assistant,
'qui sera utilisé en tant que nom de nœud dans l'arborescence des assistants.

Public Shared Function GetWizardCategory() As String
GetWizardCategory = "Wizard category"
End Function

'Cette méthode partagée renvoie une valeur booléenne permettant d'activer ou désactiver
'l'assistant dans la boîte de dialogue des assistants (false= l'assistant n'est pas affiché dans l'arborescence).

Public Shared Function IsZenOnWizard() As Boolean
IsZenOnWizard = True
End Function

'Cette méthode partagée renvoie la version de l'assistant,
'qui sera affichée au bas de la boîte de dialogue des assistants.

Public Shared Function GetWizardVersion() As Integer
GetWizardVersion = 1
End Function

'Cette méthode est appelée lorsque l'assistant a été sélectionné dans
'la boîte de dialogue des assistants, puis confirmé avec "OK".

Public Sub StartWizard()
Me.Show()
End Sub

Espace de travail C#

Pour que l'Éditeur crée dynamiquement une instance de la classe VSTA, vous devez ajouter une fonction supplémentaire au code "Default" (par défaut) de l'espace de travail. Ce segment de code doit exister pour que l'assistant soit affiché après avoir été sélectionné dans la boîte de dialogue. Ce segment de code ne doit pas être modifié !

#region Assistant

/// <summary>
/// Cette routine autorise la création dynamique d'assistants VSTA.
/// </summary>
/// <param name="strClassname"></param>

public void StartWizard(string strClassname)
{

//Récupérer ClassType selon Typename:

Type t = Type.GetType(strClassname);
if(t!=null)
{

//Puisque ClassType a été trouvé, nous allons le créer.
// L'assistant de ClassType %strClassname% est nécessaire
// pour utiliser un élément Constructor avec un paramètre ZenWorkspace !

object[] Params = new object[] { this.ZenWorkspace };
object Wizard = Activator.CreateInstance(t, Params);
if (Wizard != null)
{
t.InvokeMember("StartWizard", BindingFlags.Public | BindingFlags.Instance | BindingFlags.InvokeMethod, null, Wizard, null);
}
}
}
#endregion

Et pour configurer l'espace de travail VB.Net, procédez comme ceci this:
'Cette routine autorise la création dynamique d'assistants VSTA,
'et ne doit pas être modifiée ou supprimée !

Public Sub StartWizard(ByVal strClassname As String)
Dim obClassType As Type
Dim obWizard As Object
Dim obParams(0) As Object
obClassType = Type.GetType(strClassname)
If (Not obClassType Is Nothing) Then
obParams(0) = Me.ZenWorkspace
obWizard = Activator.CreateInstance(obClassType, obParams)
If (Not obWizard Is Nothing) Then
obClassType.InvokeMember("StartWizard", System.Reflection.BindingFlags.Public Or System.Reflection.BindingFlags.Instance Or ystem.Reflection.BindingFlags.InvokeMethod, obWizard, Nothing, Nothing)
End If
End If
End Sub


Mettre à jour les assistants

Manuels -> Assistants -> Mettre à jour les assistants

Lors de l'installation des Service Pack de zenon, un assistant de mise à jour est automatiquement proposé.

Les assistants existants ne sont pas remplacés par le programme d'installation. Il peut donc être nécessaire de procéder à l'importation et la mise à jour manuelles des assistants.

Demande de mise à jour

Une mise à jour peut également être déclenchée manuellement à tout instant ; sélectionnez pour cela Mettre à jour les assistants dans le menu Fichier.

Paramètres

Description

Liste d'assistants

Dresse la liste de tous les assistants VBA et VSTA présents dans l'extension en cours d'exécution.

  • Nom

Nom de l'assistant.
  • Nom d'objet

Nom de l'objet VBA/VSTA.
  • Previous version (Version précédente)

Version actuellement utilisée.
  • Nouvelle version

Version vers laquelle est effectuée la mise à jour.
  • Information

Informations d'état et informations concernant l'action en attente :

  • Nouveau : l'assistant n'existe pas dans le fichier VBA.
  • Modifié : une nouvelle version est disponible.
  • No longer supported (Plus pris en charge) : l'assistant existant est obsolète et va être supprimé
  • Type

VBA ou VSTA
  • User-specific (Défini par l'utilisateur)

L'assistant a été créé ou modifié par l'utilisateur.

Data sources (Sources de données)

Permet de définir votre propre dossier ou vos propres assistants. L'emplacement d'enregistrement des fichiers wizards.ini individuels est saisi.

Les entrées dans ce fichier sont enregistrées dans le fichier zenon.ini, dans la section [VSTA] ou [VBA], sous WIZARDPATH=.

Additional folder for VSTA wizards (Dossier supplémentaire pour les assistants VSTA)

Emplacement d'enregistrement individuel pour vos assistants VSTA.

Additional folder for VBA wizards (Dossier supplémentaire pour les assistants VBA)

Emplacement d'enregistrement individuel pour vos assistants VBA.

Me faire un rappel ultérieurement

La boîte de dialogue s'ouvre à nouveau lors du prochain démarrage de l'éditeur.

Démarrer la mise à jour

Les assistants sélectionnés dans la liste des assistants sont mis à jour.

Annuler

La boîte de dialogue se ferme sans que la mise à jour ne soit effectuée, et ne s'ouvrira à nouveau qu'après la prochaine installation d'un Service Pack.

Assurez-vous que tout est à jour.

Dans la mesure où les objets inexistants lors de l'ouverture de la boîte de dialogue ne sont pas vérifiés, certains objets sont toujours disponibles pour une mise à jour. Ceci vous permet de vous assurer que vous n'utilisez pas des versions obsolètes. Les versions affichées dans la boîte de dialogue de mise à jour sont uniquement des informations destinées aux services de conseil et de développement.

Distribution des assistants au sein de l'entreprise

Si vous avez créé vos propres assistants et souhaitez les mettre à la disposition d'autres utilisateurs, vous pouvez utiliser cette méthode.
Pour cela, exportez l'assistant depuis votre environnement de développement VBA/VSTA et placez de préférence les fichiers exportés sur un lecteur réseau valide. Les fichiers .ini sont utilisés pour contrôler les procédures d'importation. Ces fichiers doivent être créés, le cas échéant, et enregistrés sur le réseau.
Vous trouverez une description des fichiers ici : pour VBA et pour VSTA.

Il vous suffit désormais de montrer à vos collègues l'emplacement auquel sont enregistrés les fichiers pour que les assistants les importent facilement dans l'éditeur. Si vous utilisez des assistants modifiés ou nouveaux, il vous suffit d'exporter le nouvel état, de l'enregistrer et d'augmenter le numéro de version. Vous pouvez ainsi distribuer facilement des assistants au sein de votre entreprise.

Erreurs possibles lors de la mise à jour des assistants VSTA

Erreurs

Causes possibles

Aucun assistant VSTA n'est affiché dans la boîte de dialogue de mise à jour
  • Seuls les assistants présents dans l'extension à cet instant sont affichés dans la liste.
    Si les assistants VSTA ne sont pas affichés, l'extension VSTA doit être activée à l'aide de l'outil Start Editor. Pour cela, dans zenon6.ini, dans la section [VSTA], définissez LOADED= sur 1.
  • Si l'espace de travail ne peut pas être compilé en raison d'erreurs dans le code, aucun assistant n'apparaît dans la liste.

Vous pouvez lire comment les sorciers originaux sont repris dans le Reprend des assistants originaux sectionnent.

Un assistant spécifique n'est pas affiché.
  • L'assistant n'est pas compatible avec les méthodes requises.
  • L'espace de travail n'a pas été compilé après la mise en œuvre de l'assistant ; l'extension en cours de fonctionnement ne contient pas l'assistant.

Les assistants créés par l'utilisateur ne sont pas affichés.
  • Le chemin d'accès configuré est incorrect.
  • Le fichier wizards.ini désigné dans le chemin configuré est obsolète ou défaillant.

Reprendre les assistants originaux

Si les sorciers ne sont pas affichés dans la liste des assistants, vous pouvez reprendre les assistants originaux. Pour cela :

  1. Terminer l'Éditeur de zenon.
  2. Naviguer au dossier : %ProgramData%\COPA-DATA\zenonxxx\VSTAWorkspace (xxx représente le zenon version)
  3. Renommer le dossier complet
  4. Redémarrez l`Éditeur
  5. Le dossier et les assistants sont recréés

Autres sujets abordés dans ce chapitre

Création du fichier wizards.ini


Création du fichier wizards.ini

Manuels -> Assistants -> Mettre à jour les assistants -> Création du fichier wizards.ini

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Création du fichier .ini pour l'administration de l'assistant dans VSTA et VBA.

info Info

Ce document est uniquement disponible en anglais.

Autres sujets abordés dans ce chapitre

VSTA wizards.ini

Fichier wizards.ini pour VBA

Méthodes de mise à jour requises


VSTA wizards.ini

Manuels -> Assistants -> Mettre à jour les assistants -> Création du fichier wizards.ini -> VSTA wizards.ini

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

[DEFAULT] : contient les paramètres généraux.

COUNT : nombre d'assistants inclus dans le fichier .ini (doit être modifié lors de l'ajout/de la suppression d'assistants dans le fichier .ini).

[MYWORKSPACE] : contient les paramètres du fichier .cs de l'espace de travail.

VERSION : la version actuelle

[WIZARD_X] : contient les paramètres d'un assistant.

NAME : nom, tel qu'il est indiqué dans la boîte de dialogue de mise à jour.

CLASSNAME : nom de la classe de formulaire représentant l'assistant.

VERSION : Numéro de version

PATH : extension du chemin d'accès pour localiser les fichiers.

DELETE : indiquez 1 si l'assistant doit être supprimé de l'espace de travail.

FILES : le nombre de fichier inclus dans cet assistant.

FILE_X : le nom d'un fichier inclus dans l'assistant.

TYPE_X : le type de fichier (requis pour les fichiers Form.cs et Resx)

DEP_X : le nom d'un fichier dont dépend ce fichier.

Exemple

[DEFAULT]

COUNT=3

[MYWORKSPACE]

VERSION=1

[WIZARD_1]

NAME=Assistant d'importation

CLASSNAME=Wizard_Exportxml

VERSION=3

PATH=\Wizard_Exportxml

DELETE=0

FILES=3

FILE_1=Wizard_Exportxml.cs

TYPE_1=Form

FILE_2=Wizard_Exportxml.Designer.cs

DEP_2=Wizard_Exportxml.cs

FILE_3=Wizard_Exportxml.resx

DEP_3=Wizard_Exportxml.cs

TYPE_3=EmbeddedResource

[WIZARD_2]

NAME=Wizard_Project

CLASSNAME=Wizard_Project

VERSION=1

PATH=\Wizard_Project

DELETE=0

FILES=3

FILE_1=Wizard_Project.cs

TYPE_1=Form

FILE_2=Wizard_Project.Designer.cs

DEP_2=Wizard_Project.cs

FILE_3=Wizard_Project.resx

DEP_3=Wizard_Project.cs

TYPE_3=EmbeddedResource

[WIZARD_3]

NAME=Assistant de démo

CLASSNAME=Wizard_Demo

VERSION=1

PATH=\Wizard_Demo

DELETE=0

FILES=3

FILE_1=Wizard_Demo.cs

TYPE_1=Form

FILE_2=Wizard_Demo.Designer.cs

DEP_2=Wizard_Demo.cs

FILE_3=Wizard_Demo.resx

DEP_3=Wizard_Demo.cs

TYPE_3=EmbeddedResource


Fichier wizards.ini pour VBA

Manuels -> Assistants -> Mettre à jour les assistants -> Création du fichier wizards.ini -> Fichier wizards.ini pour VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

[DEFAULT] : contient les paramètres généraux.

COUNT : nombre d'assistants inclus dans le fichier .ini (doit être modifié lors de l'ajout/de la suppression d'assistants dans le fichier .ini).

[MYWORKSPACE] : contient les paramètres du fichier .cs de l'espace de travail.

VERSION : version actuelle.

[WIZARD_X] : contient les paramètres d'un assistant.

NAME : nom, tel qu'il est indiqué dans la boîte de dialogue de mise à jour.

VERSION : version actuelle.

PATH : extension du chemin d'accès pour localiser les fichiers.

VB_NAME : nom de l'objet VBA représentant l'assistant.

VB_TYPE : 0=formulaire, 1=classe.

DELETE : indiquez 1 si l'assistant doit être supprimé de l'espace de travail.

Exemple

[DEFAULT]

COUNT=3

[MYWORKSPACE]

VERSION=3

[WIZARD_1]

NAME=Assistant de création de variables

VERSION=8

PATH=\CreateVariables\frmCreateVariables.frm

VB_NAME=frmCreateVariables

VB_TYPE=0

DELETE=0

[WIZARD_2]

NAME=Assistant de document

VERSION=12

PATH=\DocuWizard\frmDocuWizardEx.frm

VB_NAME=frmDocuWizardEx

VB_TYPE=0

DELETE=0

[WIZARD_3]

NAME=Assistant d'importation

VERSION=3

PATH=\ImportWizard\frmImportWizard.frm

VB_NAME=frmImportWizard

VB_TYPE=0

DELETE=1


Méthodes de mise à jour requises

Manuels -> Assistants -> Mettre à jour les assistants -> Création du fichier wizards.ini -> Méthodes de mise à jour requises

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Exemple de méthodes requises pour que l'assistant s'affiche dans la boîte de dialogue de mise à jour :

VBA

'Les méthodes suivantes définissent le formulaire comme un assistant du système de contrôle. Si IsZenOnWizard est défini sur False (Faux),

'l'assistant n'apparaît pas dans la boîte de dialogue Assistant et n'influe pas sur la boîte de dialogue de mise à jour de l'assistant.

Public Function GetWizardName() As String

GetWizardName = "Assistant vide"

End Function

Public Function GetWizardInfo() As String

GetWizardInfo = "<A FAIRE : ajouter une description ici>"

End Function

Public Function GetWizardCategory() As String

GetWizardCategory = "<A FAIRE : ajouter des informations de catégorie ici>"

End Function

Public Function IsZenOnWizard() As Boolean

IsZenonWizard = False

End Function

Public Function GetWizardVersion() As Integer

GetWizardVersion = 6

End Function

VSTA

#region Wizard_Identification

/// <summary>

/// Cette méthode statique renvoie le nom de l'assistant,

/// qui sera affiché dans l'arborescence des assistants.

/// </summary>

/// <returns></returns>

static public string GetWizardName()

{

string strValue = "Demo Wizard";

return strValue;

}

/// <summary>

/// Cette méthode statique renvoie la description de l'assistant,

/// qui sera affiché au bas de la boîte de dialogue de l'assistant.

/// </summary>/// <returns></returns>

static public string GetWizardInfo()

{

string strValue = "Ceci est notre assistant de démonstration";

return strValue;

}

/// <summary>

/// Cette méthode statique renvoie le nom de catégorie de l'assistant,

/// qui sera utilisé comme nom de nœud dans l'arborescence des assistants.

/// </summary>

/// <returns></returns>

static public string GetWizardCategory()

{

string strValue = "Wizard VSTA";

return strValue;

}

/// <summary>

/// Cette méthode statique renvoie une valeur booléenne, qui peut être utilisée pour activer ou désactiver l'assistant

/// dans la boîte de dialogue de l'assistant (false=l'assistant n'est pas affiché dans l'arborescence).

/// </summary>

/// <returns></returns>

static public bool IsZenOnWizard()

{

bool bValue = false;

return bValue;

}

/// <summary>

/// Cette méthode statique renvoie la version de l'assistant,

/// indiquée au bas de la boîte de dialogue de l'assistant.

/// </summary>

/// <returns>version de l'assistant</returns>

static public int GetWizardVersion()

{

int nValue = 1;

return nValue;

}

/// <summary>

/// Cette méthode est appelée lorsque l'assistant a été sélectionné dans la

/// boîte de dialogue de l'assistant et confirmé par "OK".

/// </summary>

public void StartWizard()

{

this.Show();

}

#endregion


Attributions

Manuels -> Attributions

Les attributions permettent d'affecter la valeur actuelle d'une variable à une deuxième variable, dans le driver ou hors de celui-ci.

Dans

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

zenon, il est possible d'écrire les valeurs provenant du contrôleur directement dans une base de données SQL, ou d'écrire les modifications de valeurs d'un driver à un autre lorsqu'elles se produisent. Vous pouvez aussi faire des attributions entre projets.

Attention : les attributions entre projets ne sont exécutées que lorsque tous les projets ont été chargés.

Transfert

Une attribution transfère la valeur, l'état et l'horodatage de la variable source à la variable cible.

Remarque : actuellement, les informations d'état et d'horodatage peuvent uniquement être traitées par les drivers suivants :

  • Driver interne
  • driver SQL
  • driver AK (SICAM 230)

Les états Temps réel externe (T EXTERN), Temps réel interne (T INTERN) et Annonce heure d'été/heure standard (T CHG A) ne sont pas transférés. Ils sont définis par l'horodatage.

La résolution du signal doit, en conséquence, posséder les mêmes limites pour les deux variables (comportement de dépassement).

Le transfert de la valeur intervient en cas de modification d'une valeur : chaque fois que la valeur de la variable source change, la valeur de la variable cible change aussi. S'il est nécessaire de modifier la valeur de la variable cible indépendamment de celle de la variable source, la variable cible possédera dans ce cas une valeur différente aussi longtemps que la variable source ne sera pas modifiée.

info Info

Les attributions aux variables internes sont en outre exécutées uniquement sur le serveur.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouvelle attribution | Insère une nouvelle attribution dans la liste.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des fichiers XML.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Configuration dans l'Éditeur

Barre d'outils et menu contextuel de la vue de détail Attribution

Variable de déclenchement et type de déclenchement


Configuration dans l'Éditeur

Manuels -> Attributions -> Configuration dans l'Éditeur

Pour définir les attributions :

  1. Sélectionnez le sous-nœud Attributions dans le nœud Variables du Gestionnaire de projet.
  2. Les attributions existantes sont affichées dans la vue de détail.
  3. Sélectionnez l'action souhaitée dans le menu contextuel ou la barre d'outils, par exemple Nouvelle attribution.
  4. La nouvelle attribution est affichée et peut être modifiée dans la fenêtre des propriétés.

Une attribution nécessite, de manière implicite :

  • Un nom unique
  • Une variable source
  • Une variable cible

Lors de la sélection de la propriété Variable source ou Variable de destination, la liste de variables correspondantes est affichée ; sélectionnez la variable souhaitée. Vous pouvez sélectionner n'importe quelle variable (exceptée une variable String (Chaîne)) de n'importe quel driver en tant que variable source. La variable de destination doit être accessible en lecture et en écriture.

Chaque modification de valeur de la variable source est immédiatement transmise à la variable cible de l'attribution.

Le menu contextuel disponible dans l'affichage détaillé du gestionnaire de projet vous permet de faire du copier, couper, coller, supprimer sur les attributions existantes.


Barre d'outils et menu contextuel de la vue de détail Attribution

Manuels -> Attributions -> Barre d'outils et menu contextuel de la vue de détail Attribution

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu contextuel

Élément de menu | Action
Nouvelle attribution | Insère une nouvelle attribution dans la liste.
Couper | Copie les entrées sélectionnées vers le presse-papiers et les supprime de la liste.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Editer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Remove filter (Supprimer filtre) | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Variable de déclenchement et type de déclenchement

Manuels -> Attributions -> Variable de déclenchement et type de déclenchement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour les attributions, une variable de déclenchement et un type de déclenchement peuvent être définis. Ceci permet de définir des attributions événementielles. Les valeurs ne sont pas attribuées automatiquement, mais uniquement lorsque la valeur de la variable de déclenchement change.

Les configurations possibles sont les suivantes :

Variable de déclenchement | Type de déclenchement | Résultat
non défini |  | Chaque modification de la variable source provoque l'attribution de la variable source à la variable de destination.
Définie | Front | L'attribution n'est exécutée que si la variable de déclenchement passe de 0 à 1. Seul le front montant de la variable booléenne déclenche l'attribution. L'attribution n'est plus déclenchée automatiquement si la valeur de la variable source change.
Définie | Niveau | Tant que la valeur de la variable de déclenchement est égale à 1, l'attribution est exécutée. Chaque fois que la valeur de la variable source change, l'attribution est exécutée et la valeur est écrite dans la variable source. L'attribution reste active jusqu'à ce que la variable de déclenchement reprenne la valeur 0.


Batch Control

Manuels -> Batch Control

The module Batch Control offers the possibility to automate batch-orientated manufacturing processes for lot products. The module complies to ANSI/ISA–88.01–1995 also know as ANSI/ISA–S88.

For Batch Control there are two different editors available in the Runtime.

  • PFC editor: For complex recipes with sequence selection.
  • Matrix editor: For simple, sequentially or parallel running recipes.

Depending on the license, both or only one editors is available to you.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client). Licensing distinguishes after use of:

  • PFC editor
  • Matrix editor
  • both editors

Editor:

For the engineering in the zenon Editor one of the Batch editors must be licensed.

Runtime:

For the execution in the Runtime one of the two Batch editors must be licensed in order to fill the list of recipes. Creating and editing recipes is only possible for the licensed editor.

Network:

In the network the license of the Server counts. Stand-alone licenses of the Clients are ignored in network operation.

attention Attention

Hints in the property help about VBA keywords and XML export are not functional at the moment.

Autres sujets abordés dans ce chapitre

Introduction

Terminology

Procedure

Conversion

Function authorizations

Engineering in the Editor

Configure and control in the Runtime

Behavior in the network

Reporting

Formula editor

communication errors

Error treatment


Introduction

Manuels -> Batch Control -> Introduction

The module Batch Control consists of three parts:

  1. The engineering environment in the zenon Editor:
    There all units (ISA nomenclature, chapter 4.2.5: units) with their phases (ISA - 5.1.2.4: phases) and reactions are created. The phases must have an equivalent in the control (ISA: equipment control) which is called process action according to ISA.
    Batch Control reflects the physical model in accordance with ISA 4.2 as flat hierarchical level based on units.
    The other levels of the model such as process cell, area, plant, etc. were deliberately forgone. When creating the batch recipes too, only the lowest level (phases) of the ISA structure model 5.1 and operations were implemented. Additional levels such as unit procedures and procedures are not available.
  2. PFC editor and Matrix editor:
    With the help of these editors, master recipes in zenon Runtime (ISA: master recipes) are created. They form the base of the control recipes which can be executed (see also ISA 5.3.1.). During the process the exact status of the Batch recipe is displayed in the respective editor and you can interfere in the recipe process.
  3. Recipe Execution Engine (REE):
    The REE is directly integrated in the zenon Runtime and executes a Batch recipe automatically in the background. Via commands such as Start, Pause, Stop etc. the user can control the REE. There are three possible modes: Au tomatic, S emi-automatic and M anual.

Special features of module Batch Control:

In contrast to most other zenon modules, a large part of the engineering - the recipe creation - is done in the Runtime and not in the Editor. This entails special features which are dealt with in the respective chapter. So for example changed phases are no longer transferred to an already released master recipe in order to prevent unwanted data changes.

The module is designed in a way which makes it completely independent of the control. This means that the data communication take place via all available zenon drivers with any PLCs or even RTUs. They only execute the process actions. The entire recipe processing is done at the computer in the REE. For changes on the Batch recipe or for new master recipes, no modifications are necessary in the PLC code.

The module strictly follows the division between the processing of the Batch recipe (ISA: Procedural Control Model) and die execution of the process actions (ISA: Process Model) as described in ISA-S88 chapter 5.2.1.

Principle structure of the communication

For the communication with the process standard zenon variables are used. As variable names often have cryptic label, an additional abstraction level was introduced. It contains the tags which are available in two types:

  • Command tag: They are used to transfer set values to the PLC when a phase is executed.
  • Return tags: They are used to return values from the PLC for evaluation.

With both tag types values can be both written (e.g. in reactions) and also read (e.g. in conditions).

The PLC communicates with the zenon driver. The driver communicates with the zenon Runtime. The Runtime sends the values to the REE where they are processed. The REE internally works asynchronously to the zenon Runtime in a 100 ms cycle.

Network

The module Batch Control is fully capable of using a network in terms of Client/Server technology. This means that Batch recipes can be created, duplicated, edited, deleted, etc. on a Client. The whole recipe management remains always on the server. Likewise the whole process control such as start recipe, pause recipe, stop recipe, etc. can be done from the Client. Also mode changes and manual operations such as jump are possible.

attention Attention

Module Batch Control does not support redundancy. There is no synchronization between Standby-Server. When the Server breaks down, the executed Batch recipes are not continued seamlessly on the Standby!


Terminology

Manuels -> Batch Control -> Terminology

In the zenon module Batch Control the following terms are used:

Term | Definition
Unit | Physically available machine or equipment part with which phases can be carried out.
Releasing the unit | Element of module Batch Control which cancels the allocation of a unit in the unit manager. With this the unit can be allocated by another recipe again.
Unit allocation | Element of module Batch Control which causes the allocation of a unit in the unit manager. An allocated unit can only be used by phases with the recipe. With this the unit is locked for phases of other recipes which are executed parallel.
Unit manager | Internal management mechanism which manages the unit allocation for all REEs in the Runtime.
Action | Used in Batch Control: all commands which are used for editing a recipe e.g. inserting basic functions, testing recipes etc.
Begin simultaneous sequence | Element which ensures the separation of the recipe process in two or more branches.
Begin sequence selection | Element which makes it possible to separate a recipe in two or more branches of which only one can be active at a time. Each following branch must start with a transition. The transition defines which branch is executed in the recipe process.
Begin element | Element of module Batch Control with which every recipe begins.
Active element | Position in a recipe in the batch control module where the processing is interrupted in a semi-automatic and manual mode and the active elements are put into a pause status. With the command "next step" the process is resumed from this position.
Batch Control | Tool for creating master recipes and creating and executing control recipes in accordance with ISA-S88.
Batch procession | Automatic and sequential processing of a stack of single operations.
End simultaneous sequences | Element which brings together the branches to one branch.
End sequence selection | Element which brings together a branch started by a begin branch element.
End element | Element of module Batch Control with which every recipe ends.
Phase | Predefined process consisting of input interlocking, command and return tags, a phase done condition, event reactions, etc...
Command | Used in Batch Control: a command which intervenes in the recipe process e.g start, stop, mode change etc.
Matrix recipe | Recipe in the Batch Control module which was created with the Matrix editor.
Simultaneous sequence | Area of module Batch Control. A parallel branch starts with a begin parallel branch element and is brought together with an end parallel branch element to one execution branch. Between there are at least two branches which are executed parallel.
PFC recipe | Recipe in the batch control module, which was created with the PFC Editor
REE - Recipe Execution Engine | Part of module Batch Control for process control of recipes. The engine executes a control recipe and manages the entire process of the recipe.
Recipe | In recipes related data such as machine parameters or format data are summed up. This data can be transferred from the control system to the control and vice versa in one step. We differentiate between standard recipes and RGM recipes. The procedure is defined additionally to data in Batch Control Module in a recipe. It is distinguished between Matrix recipe and PFC Recipe.
Jump target | Element of the batch control module which allows a direct jump to a defined location of a branch
Control recipe | Part of the batch control module. Contains the sequence of a production process on the basis of a batch process according to the ISA S88 standard. A control recipe is always derived from a template recipe and can be implemented once only. (ISA 88 Control Recipe)
Operation | Recipes can be divided into individual parts within the batch control module . Operation management takes place via a central library. Instances of operations can be added within the recipe. Parameters of the applied basic functions can be edited, the structure can only be edited in the operation template.
Transition | Element of module Batch Control which contains a condition. The element is used after phases in order to ensure a defined transition from one phase to another.
Connection line | Part of the connector in the Batch Control module: positions the connection point of the element.
Connection point | Part of the connection element in the Batch Control module. Connects two elements with eachother (e.g. basic funtion with basic funtion or basic function with line). It changes color when the mouse pointer is on it.
Connection element | A possibility in the Batch Control of connecting elements with one another. It consists of a connection point and a connection line.
Sequence selection | Area of module Batch Control which ensure a separation in two or more branches of which only one can be active at the recipe process. It is an either/or branch.A branch always starts with a begin branch element and ends with an end branch element.
Master recipe | Part of the batch control module.Contains the contents of the production process based on the batch procedures according to ISA S88 standards. A recipe consists of the follwing components: basic functions, transitions,parallel circuits etc (ISA 88: Master recipe). Template recipes serve as templates for control recipes.
Branch | Part of the batch control module.Contains the contents of the production process based on the batch procedures according to ISA S88 standards. A recipe consists of the follwing components: basic functions, transitions,parallel circuits etc (ISA 88: Master recipe). Template recipes serve as templates for control recipes.


Procedure

Manuels -> Batch Control -> Procedure

The engineering and the use of module Batch Control takes place in three main steps:

  1. Engineering in the zenon Editor
  2. Recipe creation in the Batch editor (PFC or matrix) in the Runtime
  3. Recipe execution in the Runtime

Engineering

The engineer depicts the existing physical world in the Editor. He defines and creates units and assigns phases with tags to them.

Recipe creation

In the Runtime the recipe creator defines the master recipes on base of the presets from the Editor. They define the process. At this only the units, phases and tags defined in the engineering environment can be used.
Exception: If you activate property Modifiable dans recette in group Spécifier valeur prescrite in the Editor, you can modify the corresponding tag. This is only possible for command tags.

Recipe execution

The operator executes the recipe in the Runtime. For this he starts a control recipe which is based on a released master recipe. Each control recipe can only be started and used once. With this it can be assigned to a lot unambiguously. Recipe either run automatically, semi-automatically or manually.

The operator cannot influence the recipes.
Exception: If the recipe creator activates option Changeable in the control recipe, the operator can edit tags in the Runtime.


Conversion

Manuels -> Batch Control -> Conversion

If the version of zenon is changed, all recipes must be ended before converting the project.

Recipes that are running continue to be executed after a restart. The restart only functions within the same zenon version.


Function authorizations

Manuels -> Batch Control -> Function authorizations

For changes in the Editor and in Runtime, the corresponding function authorizations can be issued to users. A warning is displayed if operations are executed for which there are no corresponding rights. Exception: No warning is displayed when editing.

Users can also log in temporarily for the execution of operations for which they have no special authorizations. For details on this, see the Permanent and temporary login section in the User administration manual.

You can find details on the individual authorizations in the User administration chapter, most of all in the Function authorizations section.

Hints:

  • These function authorizations are only available if Batch Control is licensed on the computer.
  • Operation instances always use the user rights of the recipe in which they are embedded.


Engineering in the Editor

Manuels -> Batch Control -> Engineering in the Editor

To use module Batch Control in the Runtime, you must do the following in the Editor:

  • create units, phases and reactions
  • create a screen of type Batch Control
  • create a screen switch function for the screen of type Batch Control

Detail view

In module Batch Control the detail view divided in two:

  • The left part features the unit tree. The entry Unit is the starting point of the tree.
    On the next level the existing units are displayed. The phase belonging to each unit follow. Each phase has the subitem reactions.
  • In the right part a flat list of the units, phases, tags or reactions is displayed depending on what level is chosen on the left side.

Autres sujets abordés dans ce chapitre

Job variables

Units

Phases

Conditions

Reactions

Parameter

Keyboards

Input interlocking

Create screen of type Batch Control

Screen switch Batch Control

zenon functions


Job variables

Manuels -> Batch Control -> Engineering in the Editor -> Job variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Job variables can be linked in the Editor. Job variables make it possible to assign job IDs to Batch productions. In order to ensure that the variable value is available immediately, the job variable is inserted into the global connection and registered when Runtime is started. The variable is requested again on reloading.

Job variables defined in the Variable de tâche individuelle property can be allocated using a function. Otherwise the global Variable de tâche is used.

Global job variables

To link a global Variable de tâche:

  1. navigate to the Général/Variable de tâche node in the module
  2. Link a variable in the Variable de tâche property
  3. Select, from the drop-down list of the Appliquer la valeur de la variable de tâche property, the type of transfer to Runtime:
    • When creating the control recipe:

      When creating the control recipe, the current value of the variables is transferred into the control recipe. the value is displayed in the control recipe configuration dialog The value must not be empty, otherwise the recipe cannot be created.

    • When starting the control recipe:

      In Runtime, the content of the variables is written to the recipe when the control recipe is started. The value must not be empty.

    Note about value changes: The value transferred by the variables is always changed into a string, regardless of the type of variables. When changing from real to string, five decimal points are taken into account. Zeros at the end are cut off.

  4. You can also define a Variable de tâche individuelle if you wish

In Runtime, the allocated job ID can be displayed in the list of control recipes.

Individual job variable

To link a Variable de tâche individuelle:

  1. navigate to the Général/Variable de tâche node in the module
  2. Link one or more variables in the Variable de tâche individuelle property
  3. When configuring zenon functions, select the desired variable and the type of allocation


Units

Manuels -> Batch Control -> Engineering in the Editor -> Units

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

To create a new unit:

  1. in the project manager go to node Batch Control
  2. in the detail view select Unit
  3. in the context menu select menu item New unit
  4. a new unit is created in the detail view

Autres sujets abordés dans ce chapitre

Tool bar unit tree

Project tree - context menu unit

Context menu units

Context menu unit X

Detail view units

Detail view unit X

Information in Runtime


Tool bar unit tree

Manuels -> Batch Control -> Engineering in the Editor -> Units -> Tool bar unit tree

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The tool bar corresponds to the complete unit tree. Depending in the selected element symbols are available or deactivated.

Parameter

Description

Rename

Opens the name filed of the selected element for renaming.

Not available for main node Units.

Delete

Deletes selected element after confirmation message.

Not available for main node Units.

Expand all

Displays the entire tree structure.

By clicking on the arrow you receive a drop-down list in which you can select on of the following commands:

  • Expand all: expands all nodes
  • Collapse all: collapses all nodes
  • Expand selected: expands all selected nodes
  • Collapse selected: collapses all selected nodes

A click on the button always expands all elements.

Via double click on the superordinate entry elements can also be expanded or collapsed.

Help

Opens the online help.


Project tree - context menu unit

Manuels -> Batch Control -> Engineering in the Editor -> Units -> Project tree - context menu unit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Parameter | Description
New unit | Creates a new unit.
Editor profile | Opens the drop-down list which includes pre-defined Editor profiles.
Help | Opens the online help.


Context menu units

Manuels -> Batch Control -> Engineering in the Editor -> Units -> Context menu units

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Right click the main entry Unit in the unit tree to open a context menu:

Menu item | Action
New unit | Creates a new unit.
Help | Opens the online help.


Context menu unit X

Manuels -> Batch Control -> Engineering in the Editor -> Units -> Context menu unit X

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Right click on a created unit in order to open the context menu:

Menu item | Action
New phase | Creates a new phase.
Rename | Makes it possible to rename the selected unit.
Delete | Deletes selected unit from the tree after a confirmation message.
Help | Opens online help.


Detail view units

Manuels -> Batch Control -> Engineering in the Editor -> Units -> Detail view units

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu item | Action
New unit | Creates a new unit in the detail view.
Copy | Copies selected entries to the clipboard.
Paste | Pastes the contents of the clipboard. If an entry with the same name already exists, the content is pasted as "Copy of".
Delete | Deletes selected entries.
Remove all filters | Removes all filter settings.
Edit selected cell | Opens the selected cell for editing. The binocular symbol in the header shows which cell has been selected in a highlighted line.
Replace text in selected column | Opens the dialog for searching and replacing texts.
Properties | Opens the property window.
Help | Opens the online help.


Detail view unit X

Manuels -> Batch Control -> Engineering in the Editor -> Units -> Detail view unit X

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Parameter | Description
New phase | Creates a new phase in the detail view.
Copy | Copies selected entries to the clipboard.
Paste | Pastes the contents of the clipboard. If an entry with the same name already exists, the content is pasted as "Copy of".
Delete | Deletes selected entries.
Remove all filters | Removes all filter settings.
Edit selected cell | Opens the selected cell for editing. The binocular symbol in the header shows which cell has been selected in a highlighted line.
Replace text in selected line | Opens the dialog for searching and replacing.
Properties | Opens the property window.
Help | Opens the online help.


Information in Runtime

Manuels -> Batch Control -> Engineering in the Editor -> Units -> Information in Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Information on individual units can be called up and displayed using variables. Each element to be allocated initializes the values of the linked variables with 0 or empty text. The information comes from the recipe that was the first to allocate the unit. Variables are always only filled in the event of a change.

The variables for the information desired in Runtime is configured in the unit properties in the Information runtime group for:

  • Recette 'maître': Information on ID, name and description of the master recipe.
  • Recette de contrôle: Information on ID, name and description and job ID of of the control recipe.
  • Exécution: Information on the number of active recipes and execution status and mode, numerically and as a text respectively.

    Note: The value for Nombre de recettes actives is generally 0 or 1. If a higher number is displayed, then the start of other recipes was forced manually.

  • Phases: Information on active phases. If the phase is in an operation, the name of the operation is displayed in brackets.
  • Erreur: Errors are shown visually in Runtime and saved in logs. A process error in the unit is shown visually this way and the absolute number of historical procedure errors is also displayed. The counter is increased by 1 as soon as a procedure error occurs. If the phase is restarted, the historic error goes from the display; it is no longer signalized visually. The logged information is retained however. The same applies to communication failures: Symbols only display active errors; counters also inform you of historic errors.

Execution status values

The variable linked at Etat d'exécution (numérique) is coded as follows:

State | Return | Remark
Idle | 0 |
Running | 1 |
Executed | 2 | Is never displayed, because a completed recipe does not allocate the unit.
Stopping | 3 |
Stopped | 4 | Is never displayed, because a stopped recipe does not allocate the unit.
Pausing | 5 |
Paused | 6 |
Holding | 7 |
Held | 8 |
Aborting | 9 |
Aborted | 10 | Is never displayed, because an aborted recipe does not allocate the unit.
Restarting | 11 |

The variable linked at Mode d'exécution (numérique) is coded as follows:

Mode | Return | Remark
Ignore | 0 | No recipe runs
Automatical | 1 |
Semi-automatic | 2 |
Manual | 3 |


Phases

Manuels -> Batch Control -> Engineering in the Editor -> Phases

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The phase is the execution object of a recipe - and therefore its main component. Each phase in module Batch Control must stand facing a Technological function in the control.

Example: You want to heat up a tank. For this you need:

  1. The corresponding equipment: a heating in the tank.
  2. A temperature sensor which measures the actual temperature in the tank. Connect this sensor with a control.
  3. In the control a program which controls the heating until the set temperature is reached.
    This control program is the process action in the PLC. It
    • has an input tag: a set temperature - which is implemented via a command tag in Batch Control
    • needs an output tag - also a set temperature - which must be reached and which is implemented via a return tag in Batch Control

To inform the control about the progress of the recipe, you need corresponding status information which is transferred to the control. For this you use reactions and conditions for the response.

A phase therefore consists of:

Type | Description
Command tags | The set values which should be transferred to the control
Return tags | The response values which inform the REE about the status of the process action in the control. They can be evaluated in conditions and transitions.
Reactions | REE events can be used on the one hand to inform the process action in the control about the state of the REE and on the other hand to inform the user about errors (e.g. time outs, invalid tag values).
Conditions | Are used for the evaluation of the return tags: The state of the process action in the control is evaluated.
Times | Time critical processes can be monitored with this. If the engineered time is exceeded, an event is triggered on which you can react with a reaction.

Engineering

To create a new phase:

  1. select the unit for the phase or first create the desired unit
  2. in the context menu select menu item New phase
  3. a new phase is shown in the detail view
  4. the subitem Reactions is automatically added to the phase

info Info

If several phases are selected in the Editor at once whose formulas are identical but whose tags are different, this is not displayed by color coding the different values.

Autres sujets abordés dans ce chapitre

Context menu phase

Detail view phase


Context menu phase

Manuels -> Batch Control -> Engineering in the Editor -> Phases -> Context menu phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Right click on a created unit in order to open the context menu:

Menu item | Action
New phase | Creates a new phase.
Rename | Makes it possible to rename the selected unit.
Delete | Deletes selected unit from the tree after a confirmation message.
Help | Opens online help.

Context menu phase X

Right click on a created phase in order to open a context menu for creating the tags:

Parameter | Description
New command tag | Creates a new command tag.
New return tag | Creates a new return tag.
Rename | Makes it possible to change the name of the currently selected phase.
Delete | Deletes the currently selected phase after a confirmation message.
Help | Opens the online help.


Detail view phase

Manuels -> Batch Control -> Engineering in the Editor -> Phases -> Detail view phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Parameter | Description
New command tag | Creates a new command tag in the detail view.
New return tag | Creates a new return tag in the detail view.
Copy | Copies selected entries to the clipboard.
Paste | Pastes the contents of the clipboard. If an entry with the same name already exists, the content is pasted as "Copy of".
Delete | Deletes selected entries.
Remove all filters | Removes all filter settings.
Edit selected cell | Opens the selected cell for editing. The binocular symbol in the header shows which cell has been selected in a highlighted line.
Edit text in selected line | Opens the dialog for searching and replacing.
Properties | Opens the property window.
Help | Opens the online help.


Conditions

Manuels -> Batch Control -> Engineering in the Editor -> Conditions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The conditions are used to inform the REE about the status of the process action in the control. For evaluating the conditions formulas are used which where created with the formula editor.

Hint: Use a single status tag (return tag) which takes on different values in order to transmit the status of the process action in the control to the phase. You can find an example in chapter Example for status parameter.

Engineering

To create a new condition:

  1. click on the corresponding phase
  2. in the properties select the desired conditions from node Général orCondition des états transitoires
  3. click in the field for the value or on button ...
  4. the formula editor is started
  5. define the formula for the condition

Note: The counterpart to the conditions are the reactions. With them the status of the REE is transmitted to the process actions in the control.

Transient states

As transitions the following properties are available

  • En pause
    Within the phase the process stops at:
    • Waiting for Finished
    • Waiting for allocation
    • Waiting for interlocking
    • Waiting for Phase finished
    • Check for parallel execution
  • Figé
    Within the phase the process stops at:
    • Waiting for Finished
    • Waiting for allocation
    • Waiting for interlocking
    • Waiting for Phase finished
    • Check for parallel execution
  • Arrêté
  • Annulé
  • Redémarré
    Phase is completely restarted.
  • Condition de sortie (échap)
    If this condition is met, the current execution step is stopped and the phase is exited. You can find details in the Exiting a phase chapter.

Variables

Transition conditions can be linked with a binary variable which defines when the phase changes its status. The status changes is delayed until:

  • the value of the variable is defined
  • the value of the variable is 1
  • the status of the variable is not invalid.

If no variable is defined, the status change is always allowed.

All variables for the status change are requested at the advising of the variables in order to receive a value as soon as possible. The values for a variable which define a status change are read on the change to the transient status. A possible pulse must have value TRUE within the waiting period in order to be recognized.

Note: When closing the Runtime, it is not waited for the variable for the status change from stopping to stopped as at this time all variables are already signed off.

Autres sujets abordés dans ce chapitre

Waiting periods


Waiting periods

Manuels -> Batch Control -> Engineering in the Editor -> Conditions -> Waiting periods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The recipe creator can define waiting periods. The configuration of waiting periods (time outs) prevents that time-critical processes take too long because of unforeseen events. If the condition is not fulfilled within the defined waiting period, a corresponding event is triggered. With the reactions you can react on the event and influence the recipe process.

For all waiting periods the following is true:

  • If 0d 00:00:00 is defined as waiting period, the event is not triggered.
  • The waiting periods are independent of the recipe status (e.g. Recipe paused) and continue to run even when the Runtime is closed and restarted.
  • If a phase is held and restarted, the waiting periods are also restarted.
  • If a phase is passed through several times, the waiting periods are started again for every pass.
  • Waiting periods themselves do not influence the process. They are simply used to generate an event. The reaction must be defined in the event. After the event is triggered, it is still waited for the fulfillment of the condition.


Reactions

Manuels -> Batch Control -> Engineering in the Editor -> Reactions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Reactions are the most important piece to influence the recipe process and to communicate with the control. Reactions are always based on events. This can be events of the REE (e.g.: Phase started) and also general events (e.g. Exit Runtime initiated). With the help of reactions you can e.g. tell the control when a phase has been started or finished in the REE and when all command tags have been written.

Likewise you must transfer the status of the phase to the control with the help of the reactions. Otherwise the control has no information about the process of the recipe.

Example: If you stop the REE or the phase, the event Status change: stop will be triggered. As reaction you can transfer this status change as set value input to the control. Only then can the control react and stop the process action. You can find an example in chapter Example for status parameter.

Note: The counterpart to the reactions are the conditions. With them the states of the process action in the control is transferred to the REE.

Engineering

With each phase the node Reactions is created automatically. In this node you can created any reactions. To create a new reaction:

  1. click on reactions
  2. in the context menu select menu item New reaction
  3. a new reaction is shown in the detail view
  4. in the detail view click on the entry in column Event
  5. select the desired event from the drop-down list and define the desired reaction type in the property window.

For each reaction type several reactions are possible. They are sorted at the triggering and are executed in accordance to their priority. At this 1 is the highest priority. Reactions of the same type can only be re-sorted using the toolbar or context menu.

Some of the reactions are triggered only once in the process - e.g. time outs. If the phase is restarted, these reactions are also retriggered if necessary.

Reactions can only use tags of their own phase If reactions are copied from other phases, they try to use tags with the same name of the name phase.

Values of the reactions are logged in the CEL.

Autres sujets abordés dans ce chapitre

Context menu reactions unit tree

Detail view reactions

Events

Reaction types


Context menu reactions unit tree

Manuels -> Batch Control -> Engineering in the Editor -> Reactions -> Context menu reactions unit tree

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Tag | Description
New reaction | Creates a new reaction in the detail view.
Help | Opens online help.


Detail view reactions

Manuels -> Batch Control -> Engineering in the Editor -> Reactions -> Detail view reactions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Parameter | Description
New reaction | Creates a new reaction in the detail view.
Execution order: Earlier | For reactions of the same type: Moves the reaction forward in the execution order.
Execution order: Later | For reactions of the same type: Moves the reaction backward in the execution order.
Execution order: Change places | Only active if exactly two reactions are chosen. The two selected reactions change their places in the execution order.
Copy | Copies selected entries to the clipboard.
Paste | Pastes the contents of the clipboard. If an entry with the same name already exists, the content is pasted as "Copy of".
Delete | Deletes selected entries.
Remove all filters | Removes all filter settings.
Edit selected cell | Opens the selected cell for editing. The binocular symbol in the header shows which cell has been selected in a highlighted line.
Edit text in selected line | Opens the dialog for searching and replacing.
Properties | Opens the property window.
Help | Opens the online help.


Events

Manuels -> Batch Control -> Engineering in the Editor -> Reactions -> Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Each reaction is a reaction to an event. The event is defined in property Evénement. For each event several reactions can be defined. The execution order can be defined in the detail view.

When validating the recipe in Runtime, the name of the event is displayed in the event of an error.
Syntax: (event name.x) whereby event name corresponds to the Evénement. x is a number that indicates the position in the execution sequence.

From the drop-down list you can select the following events:

Event

Description

Unit allocation not possible

Is triggered if the unit was not allocated successfully at first try.

Escape condition fulfilled

Is triggered if the Condition de sortie (échap) for exiting from a phase is met.

Escape condition started

Is triggered if the Condition de sortie (échap) for exiting from a phase is started.

Finished writing command tags

Is triggered if all command tags have been written. It cannot be guaranteed however that really all tags arrived at the control. It depends on the communication and the respective driver. It can however be assumed.

Recommendation: Use this event to tell the PLC that the phase has written all command tags and the PLC can start processing the process actions.

Command tag without value

Is triggered if the command tag should be toggled and the variable linked to the tag doe not have a valid initial value.

Input interlocking blocked

Is triggered if the input interlocking was blocked at the first check.

Makes only sense if property Condition de verrouillage was configured.

Phase deactivated

Is triggered if the phase was started and now is finished.

Phase activated

Is the first event which is triggered.

With this event, you tell the PLC that the phase has been activated in the REE and that the phase is expected to be started soon.

Phase started

With this event you tell the PLC that the phase has been started in the REE and that it is likely that the command tags will be written soon.

Other events can be executed before the event if the Permettre l'exécution avant l'événement de départ has been activated for the corresponding event. For details, see the Allow execution started before phase started section.

Phase started multiple times

A phase can only be active once. If it is activated several time in parallel, this event is triggered.

Communication reestablished

This event reports that communication is functional again after an interruption.

Loss of communication

This event reports that communication has been interrupted.

Loss of communication fixed

This event reports that the communication failure has been rectified.

REE mode change: Automatical

The REE switched to mode Automatic.

REE mode change: Manual

The REE switched to mode Manual.

REE mode change: Semi-automatic

The REE switched to mode Semi-automatic.

Exit Runtime initiated

Is triggered if the Runtime is exited. This is an especially critical state for module Batch Control as the recipe process does not stop in the control immediately. Therefor exiting the Runtime is prevented as long as module Batch Control saved all data. A process image is created which can later be used as starting point.

Likewise it is made sure that the tags of action Write set value safely arrive at the control. Internally the phase is paused only when the writing confirmation from the driver ensued.

For more details about existing the Runtime see chapter: Exit and restart Runtime

At this event no reaction types of group Influencing the recipe are possible.

Runtime restart

The Runtime was restarted.

Status change

When the phase changes its status, the correspondingreaction is activated.

Status change: Aborting

The phase is aborted at the moment.

Status change: Aborted

The phase was aborted.

Status change: Executed

The phase is finished.

Status change: Held

The phase was stopped.

Status change: Holding

The phase is held at the moment.

Status change: Resuming

The phase is resuming after a break.

A status change in the object from Paused to Running triggers the events Resuming and Running.

Status change: Stopped

The phase was stopped.

Status change: Running

The phase is executed.

Status change: Restarting

The phase is restarting at the moment.

Status change: Pausing

The phase is switched to Paused at the moment.

Status change: Paused

The phase is paused.

Status change: Stopping

The phase is stopping at the moment.

Linked variable interrupted
  • If the value of a variable with status INVALID should be used, this event is created once per invalid variable and phase.
  • If the variable status changed from INVALID to not INVALID and back to INVALID, the reaction is again triggered when the variable is used.
  • If the phase is restarted, the event is triggered again when an invalid variable is used.

At the following activities it is checked for invalid variable:

  • Source variable in reaction
  • Variable for phase done condition
  • Variable for input interlocking
  • Write command tag inversely
  • Variables for status change at transient states allowed
  • Note: INVALID events are not processed in the sequence that they occur. If an INVALID event occurs whilst processing another event, this event can go before the one that is being executed.

Waiting period unit allocation exceeded

Is triggered if the waiting duration for the unit allocation runs. Can also occur during Paused and Held.

Waiting period input interlocking exceeded

Is triggered if the waiting duration (time out) for the input interlocking expired.

Makes only sense if a Condition de verrouillage was defined.

Waiting period following condition exceeded

Is triggered if the phase was not finished within the scheduled waiting duration (time out) although the phase done condition was fulfilled.

Maximum waiting period phase done condition exceeded

Is triggered if the waiting duration (time out) for waiting for the phase done condition (Finished) was exceeded.

Phase done condition completed

Is triggered if the phase is finished. This event is the last reaction of the phase and independent of the reason of the finishing. With this the phase done condition is fulfilled.

This event is also triggered at a restart.

Allow execution before "Phase started"

Events can be also be approved before the phase started event. To do this, the Permettre l'exécution avant l'événement de départ property must be activated for the corresponding event. This property can only be configured for events that are possible both before and after phase started. The value is automatically set according to type for all other events.

The following events are approved before and after "phase started":

  • REE mode change
  • Status change
  • Exit from a phase
  • Exit Runtime initiated
  • Restart Runtime
  • Linked variable interrupted
  • Phase deactivated (can occur before if the phase was exited before phase started)
  • Waiting period for subsequent conditions (can occur before if the phase was exited before phase started)
  • Communication failures (however only from the point at which the values for the Perte de communication property are waited for)

The following events are only approved before "phase started":

  • Phase activated
  • Unit allocation
  • Phase started more than once (exclusive execution)

All other events are only approved after the Phase started event.


Reaction types

Manuels -> Batch Control -> Engineering in the Editor -> Reactions -> Reaction types

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

In the properties of the reactions the reaction types more precisely defined and engineered. In group Réactions the following reaction types are available:

Reaction type

Description

valeur prescrite tag

Influences command and return tag directly. All tag data types can be used.
Attention: The value must be within of the set value limits of the variables which are linked at the tag. If this is not the case, an error message is created during the validation.

Entrée dans la liste d'événements

Creates entries in the CEL and log files. With this the reaction can be documented and the recipe process can be tracked later. For this property Créer une entrée dans la liste des événements must be activated. The text for the CEL is defined in property Texte événement.

Fonction

Makes it possible to link any zenon function.

With this you can e.g. call up a pop-up in order to inform the user about a certain status or start a data backup.

Note: In the network the function is always executed at the server.

Attribuer tag

Makes it possible to perform a value assignment from Tag source to another Tag cible. You can use both command tags and return tags. The data type of source and target tag must be identical otherwise an error is displayed at the validation of the recipe.

Influence de recette

Make it possible to:

  • change the REE mode
  • execute REE commands
  • execute phase commands

With this you can react on serious events such as Waiting duration exceeded or Linked variable invalid.

Note: Use this reaction type carefully as this reaction type influence the entire recipe process.

For each event you can only once:

  • set the Mode REE and
  • write a single Commande

Because e.g. it does not make sense to pause and hold the recipe at the same time with the same event.

You can read more about commands in the commands and actions chapter.


Parameter

Manuels -> Batch Control -> Engineering in the Editor -> Parameter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tags are the communication interface to the control. With them all values are transferred to the control and also read back. To not have to work with complex and for the user incomprehensible variable names in module Batch Control, the abstract level is used. Each tag consists - for each phase - of an unique name and a description. With this the engineer can give the recipe creator or user a description for what the tag is used or which effects it has.

You can add any number of tags to a phase. We distinguish between command tags and return tags. Each tag can be switched between command and return tag at any time.

Autres sujets abordés dans ce chapitre

Context menu tag unit tree

Detail view tag

Command tags

Return TAGs

Example for status tag

Execution period


Context menu tag unit tree

Manuels -> Batch Control -> Engineering in the Editor -> Parameter -> Context menu tag unit tree

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Right click on a created phase in order to open a context menu for creating the tags:

Parameter | Description
New command tag | Creates a new command tag.
New return tag | Creates a new return tag.
Rename | Makes it possible to change the name of the currently selected phase.
Delete | Deletes the currently selected phase after a confirmation message.
Help | Opens the online help.


Detail view tag

Manuels -> Batch Control -> Engineering in the Editor -> Parameter -> Detail view tag

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Parameter | Description
New command tag | Creates a new command tag in the detail view.
New return tag | Creates a new return tag in the detail view.
Copy | Copies selected entries to the clipboard.
Paste | Pastes the contents of the clipboard. If an entry with the same name already exists, the content is pasted as "Copy of".
Delete | Deletes selected entries.
Remove all filters | Removes all filter settings.
Edit selected cell | Opens the selected cell for editing. The binocular symbol in the header shows which cell has been selected in a highlighted line.
Edit text in selected line | Opens the dialog for searching and replacing.
Properties | Opens the property window.
Help | Opens the online help.


Command tags

Manuels -> Batch Control -> Engineering in the Editor -> Parameter -> Command tags

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Command tags contain the set values which should be transferred to the control. When executing the phase, all command parameters are saved in the control unit. You can find the exact description in chapter: Process of a phase in detail.

Command tags can also be used in transitions, conditions and reactions.

Command parameters have a number of properties which can be defined via the property window. Each tag must be linked with a variable. The data type of the variable must comply with the data type of the tag and the set value limits of the parameters must be within the set value limits of the variable. If this is not the case, error messages are created during the validation.

Hint to property Modifiable dans recette: With this you define whether the value of the command tag may be modified by the creator of the master recipe. If e.g. machine tags should not be changeable in the recipe but defined fixedly, you must deactivate this property.

Engineering

To create a new command tag:

  1. select the desired phase
  2. in the context menu select menu item New command tag
  3. a new command tag is created in the detail view


Return TAGs

Manuels -> Batch Control -> Engineering in the Editor -> Parameter -> Return TAGs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The return tags contain the return values with which the process action of the REE communicate its status. Normally the value is set by the control and evaluated by the REE. Return tags can be evaluated in transitions and conditions.

Likewise they can be used in reactions and can also be written there. For this the are listed as target tags at Attribuer tag and valeur prescrite tag.

Engineering

To create a new return tag:

  1. select the desired phase for which you want to create a new return tag
  2. in the context menu select menu item New return tag
  3. a new command tag is created in the detail view


Example for status tag

Manuels -> Batch Control -> Engineering in the Editor -> Parameter -> Example for status tag

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

To be able to communicate with the control, you normally need two status tags:

  • one in write direction and
  • one in read direction

The variable behind these parameters should have a numeric data type such as USINT or UINT.
We recommend that you execute both parameters as return parameters. This may seem illogic for commands in write direction at first glance but has the following background: At the execution of the phase, all command tags are written. With this they are visible in the list of command tags and can therefore be deleted accidentally. This makes no sense for a command for the control. The goal is not just to communicate a single value to the control as command but to transmit the status of the phase in the the recipe.

Especially at the writing of a command tag it makes sense to not simply inform the PLC about the writing but the status when all values have been written and the PLC therefore can start to process the process action.

For this it is best to use the reaction to event Finished writing command tags. At reactions to an event you can also write values to an return tag. Therefore it is better to use return tags for both status tags.

Here is an example about which values the tags can take on:

Status tag in write direction (to the PLC): Commands

Value | Name of the event
0 | not defined
1 | Phase started
2 | Finished writing command tags
3 | Phase finished: Phase done condition fulfilled and Durée minimum d'exécution reached (if engineered)
4 | Phase deactivated
5-9 | Reserve
10 | Status change: Pausing
11 | Status change: Resuming
12 | Status change: Holding
13 | Status change: Restarting
14 | Status change: Stopping
15 | Status change: Aborting
16-19 | Reserve
20 | REE mode change: Automatical
21 | REE mode change: Semi-automatic
22 | REE mode change: Manual
23-29 | Reserve
30 | Exit Runtime initiated
31 | Runtime restart
32 | Unit allocation not possible
33 | Waiting period unit allocation exceeded
34 | Input interlocking blocked
35 | Waiting period input interlocking exceeded
36 | Maximum waiting period phase done condition exceeded
37 | Waiting period following condition exceeded
38 | Phase started multiple times

You can find the exact meaning of the events in chapter Event type.

For each entry in the table you define a corresponding reaction for writing the status value at the phase.
Hint: Use the same tag label for all phases; e.g. StatusPhase. Then you only have to engineer the reaction at one phase and can then transfer it to all phases via copy & paste. You can of course also copy the tags. Do not forget to correct the variable. They must match the respective phase.

Tag in read direction (from the PLC): Return Values

Value | Description | Linked in property
0 - 1 | Not defined |
2 | Process actionfinished | Condition de phase effectuée
3 - 9 | Reserve |
10 | Process action paused | En pause
11 | Reserve |
12 | Process action held | Figé
13 | Process action restarted | Redémarré
14 | Process action stopped | Arrêté
15 | Process action aborted | Annulé

Link the values with a formula in the respective property.

Hint: You can copy the formula and just change the respective value. If you make this setting at the beginning of the engineering of the first phase, you can copy the entire phase and with that have this settings for all phases.


Execution period

Manuels -> Batch Control -> Engineering in the Editor -> Parameter -> Execution period

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The execution duration is controlled via two independent properties. Their values must not complement one another.

Maximum execution duration

The Durée maximum d'exécution refers to Phase deactivated and therefore to the process. It is not connected to the Minimum execution duration.

Minimum execution duration

Property Durée minimum d'exécution defines how long zenon waits after writing the command tag independent of the check of the phase done condition. During the execution the maximum execution duration is checked. An event is triggered if this is exceeded. This can be linked to a reaction. This happens regardless of whether the phase still checks its Condition de phase effectuée or only waits for the Durée minimum d'exécution.

The length of the minimum execution duration can exceed the maximum execution duration.

Example

  • There is a phase: Start mixing. The confirmation that the mixer runs must not take longer than 5 seconds before a warning of an error is displayed.
    Engineering: Property Durée maximum d'exécution gets value 5 seconds with corresponding reaction.
  • The mixer however should run 15 minutes before the next phase is executed.
    Engineering: Property Durée minimum d'exécution gets value 15 minutes.

With this the minimum execution duration is 15 minutes and the maximum execution duration 5 seconds.


Keyboards

Manuels -> Batch Control -> Engineering in the Editor -> Keyboards

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Parameters can be amended in Runtime. Adapted keyboards are available for this.

Keyboards for Batch Control

You define keyboards for use in the Batch Control module in general in the properties for the module in the Editer variable/Claviers group. Define the desired keyboards for:

  • Variable binaire
  • Variable numérique
  • Variable chaîne
  • Variable de durée

With the Justification de la modification de valeur nécessaire property, you can also stipulate that each value change must have a reason. If this property is active, a dialog to enter the reason is opened before the change is made.

Keyboard for writing set value for parameter

You define keyboards for writing set values for individual parameters in the properties of the respective parameter in the Spécifier valeur prescrite/Claviers group. To do this:

  1. Navigate to the Spécifier valeur prescrite group in the parameter properties.
  2. Activate, in the Claviers subgroup, the Utiliser le synoptique clavier property
  3. In the Synoptique clavier property, define which keyboard screen is to be called up in Runtime

Using a keyboard

Values can be edited in the master recipe and in the control recipe if the recipe status and the parameter settings allow this. The minimum and maximum can only be changed in the master recipe and only for numerical parameters and duration parameters.

The following applies for the use of keyboards Batch Control screens:

  • Only one keyboard can be active at a time. If a new one is called up, the previous one is closed.
  • If the keyboard is active and the mouse is double-clicked with the pointer in a column in which nothing can be changed, nothing happens.
  • The following is applicable to value, minimum and maximum of a parameter:
    • If a parameter itself is linked to a keyboard, this is used.
    • If no keyboard is linked to the parameter, the keyboard this is generally linked to Batch Control in the Editer variable group is used.
    • If a keyboard is linked to the parameter, but this is no longer available, the keyboard that is also generally linked to Batch Control in the Editer variable group is used.
    • No keyboard is opened if this also does not exist.
  • Keyboards for binary inputs can be provided using the On, Off and Toggle keys.
  • When switching the units of measurement, the min/max values and the unit names are sent to the system variables again.
  • For the Changeable in control recipe property, the keyboard for Variable binaire defined in the Editer variable group is searched for. If none is linked, then a search is carried out for a keyboard with the standard name SETBOOLKBD. No keyboard is opened if this also does not exist.
  • Keyboards that are directly linked to the parameter can no longer be changed after a recipe has been approved. If the keyboard linked to the parameter is deleted, only the keyboard defined in the Editer variable group can be used.


Input interlocking

Manuels -> Batch Control -> Engineering in the Editor -> Input interlocking

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

With the help of an input interlocking the phase is only executed in the Runtime when the condition for the input interlocking is fulfilled.

The input interlocking is configured via property Condition de verrouillage. Via the formula editor the condition is defined which the input interlocking must fulfill. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can also be used. The formula returns TRUE or FALSE as result. The condition can be displayed in the Runtime but cannot be changed there. The waiting period for the input interlocking is configured with the help of property Période d'attente entrée de verrouillage.

If an input interlocking was defined, the phase is executed as soon as the following conditions are fulfilled:

  • the phase is active
  • the unit is allocated
  • the phase is not active twice
  • the phase is not already executed
  • the input interlocking is fulfilled

If no input interlocking is linked, the phase is executed when:

  • the phase becomes active
  • the unit is allocated
  • the phase is not executed twice
  • the needed variables all have a value

info Info

You can find more information about input interlockings in chapter Processing a phase in detail.


Create screen of type Batch Control

Manuels -> Batch Control -> Engineering in the Editor -> Create screen of type Batch Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

In screen of the type Batch Control master recipes and/or control recipes can be:

  • created
  • managed
  • executed in the Runtime

The display size of the screen depends on the selected template size.

To create a screen of type Batch Control:

  1. in node Screens in the context menu select menu item New screen
  2. in column Screen type select Batch Control from the drop-down list
  3. in the menu bar Control elements select one of the three default settings:
    • Insert template: provides templates for different resolutions and selection of only master recipes or default (master and control recipes)
    • Default master recipe: adds selected elements for a master recipe
    • Default control recipe: adds selected elements for a control recipe
  4. the default elements for the desired setting are created
  5. if needed you can add additional control elements from menu Control elements
  6. create a screen switch in order to display the screen in the Runtime

Element

Description

Insert template

Inserts control elements for master recipes and/or control recipes on predefined locations on the screen. These control elements can be supplemented, reduced and positioned newly.

Default (master recipes)

Inserts control elements for master recipes on predefined locations on the screen. These control elements can be supplemented, reduced and positioned newly.

Default (control recipes)

Inserts control elements for control recipes on predefined locations on the screen. These control elements can be supplemented, reduced and positioned newly.

Recipe Editor

Adds the licenses editor for creating master and control recipes.

Recipe control

Control elements for the recipe control.

Execution commands of the recipe

Control elements for recipe commands:

  • Start recipe
  • Recipe pausing
  • Recipe resuming
  • Recipe holding
  • Restart recipe
  • Recipe stopping
  • Recipe aborting

Execution commands of the phases

Control elements for phase commands:

  • Phase pausing
  • Phase resuming
  • Phase holding
  • Restart phase
  • Escape phase

Switch execution mode

Control elements for control REE modes.

  • Switch to automatic mode
  • Switch to semi-automatic mode
  • Switch to manual mode

Execution navigation

Control elements for navigation in recipes:

  • Continue recipe only at selected execution position
  • Continue recipe at all execution positions
  • Skip active condition

General

General control elements:

  • Check recipe for errors
  • Edit element
  • Display grid
  • Colors for background and grid

Partial recipe navigation

Control elements for navigation in operations:

  • Change to partial recipe template
  • Switch to main recipe

Master recipes

Control elements for master recipes.

Master recipes list

In this list all master recipes can be displayed. The display can be limited by filters to an individual selection.

The filtering can be preset in the zenon Editor in the screen switch function. Online filtering is also possible. These filters are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.

The recipes in the list cannot be edited directly in the list. Renaming, changing the description or changing the recipe status is only possible with the corresponding commands.

Column selection master recipe...

Opens a dialog in order to determine which columns should be displayed.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Format columns master recipe...

Opens a dialog to edit the column settings.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

New master recipe...

Opens dialog for creating a new master recipe.

Rename master recipe

Only active if exactly one master recipe was selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Editable.
Also use this function in order to changed the description of the control recipe.

When renaming a recipe, a CEL entry is created.

Duplicate master recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically receives status Editable and can be edited further.

When duplicating a recipe, a CEL entry is created.

Delete master recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.

Deleting is only possible if there are no control recipes which are based on the master recipe. First you must delete all control recipes.
Recipes which are currently executed in test mode (master recipe status: Test in execution) cannot be deleted. First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. FDA regimented environment - we recommend not to engineer this button or to give it an appropriated Groupe autorisation.
When deleting a recipe, a CEL entry is created.

Open master recipe

Opens the selected master recipe in the recipe editor if screen element Recipe editor exists in the screen. Each selected master recipe is opened in a separate tab of the recipe editor.

Switch master recipe to edit mode

Changes the master recipe status of the selected recipes to Editable. In this status recipe can again be edited completely.
Only recipes in Test mode can be set back to Editable.

Switch master recipe to test mode

Changes the master recipe status of the selected recipe to Test mode. Only faultless recipes can be switched to test mode. If error occur during the validation, you must first fix them.

Recipes in the test mode can be executed but no longer reengineered. For details about the states see chapter Recipe types and recipe states.

Release master recipe

Changes the master recipe status of the selected recipes to Released. Only recipes without errors can be released. If error occur during the validation, you must first fix them.
Only recipes in status Test mode and Editable can be released.

Released recipes can no longer be edited. Control recipes can only be created from released recipes.
For details about the states see chapter Recipe types and recipe states.

When releasing a recipe, a CEL entry is created.

Highlight master recipe as outdated

Changes the status of the recipe to outdated. The recipe can no longer be edited or approved. No control recipe can be created on the basis of this recipe.

Display associated control recipes in list

Displays all control recipes that are based on the selected master recipe and that comply with the set filter criteria.

Dynamically update control recipe list.

Deactivate the button Display associated control recipes in list. When selecting a master recipe, all attendant control recipes are displayed automatically.

Filter for displaying the control recipe

Makes it possible to filter control recipes for the following criteria:

  • Currently executed control recipes:
    Displays only control recipes which are currently executed. Only takes effect as soon as you click on Show associated control recipes in list.
  • Prepared control recipes:
    Display only control recipes which are prepared for execution. Only takes effect as soon as you click on Show associated control recipes in list.
  • Completed control recipes:
    Displays only control recipes which have already been executed. Only takes effect as soon as you click on Show associated control recipes in list.
  • Outdated control recipe

Control recipe

Control elements for control recipes.

List control recipes...

In this list all control recipes can be displayed. The display can be limited by filters to an individual selection.

Per default the list is empty. For filling the list you must:

  • select master recipes
  • Set the currently-executed control recipes,
    prepared control recipes and
    completed control recipes
    filters
  • click button display associated control recipes in list

In addition to the filters mentioned above, you can filter the list itself. The filtering can be preset in the zenon Editor in the screen switch function. Online filtering is also possible. These filters are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.
The recipes in the list cannot be edited directly in the list. Renaming, changing the description or starting the recipes is only possible with the corresponding commands.

Column selection control recipe...

Opens a dialog in order to determine which columns should be displayed.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Format columns control recipe...

Opens a dialog to edit the column settings.
Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

New control recipe...

Opens the dialog for entering a unique name and a description for the control recipe. The uniqueness of the name is also checked in the zenon network. The name must only be unique within the master recipes. Control recipes which are based on other master recipes may have the same name. The uniqueness within module Batch Control is achieved by always referencing the master recipe name and the control recipe name.

When creating a control recipe, a CEL entry is created.

Rename control recipe

Only active if exactly one control recipe was selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Prepared.
Also use this function in order to changed the description of the control recipe.

Duplicate control recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically gets the status Prepared and can therefore be edited and started. The REE status of the duplicate is set to automatic.

When duplicating a recipe, a CEL entry is created.

Delete control recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.

Deleting is only possible if all selected recipes are not executed (control recipe status: In execution). First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. FDA regimented environment - we recommend not to engineer this button or to give it an appropriated Groupe autorisation.
When deleting a recipe, a CEL entry is created.

Open control recipe

Opens the selected control recipe in the recipe editor if screen element Recipe editor exists in the screen. Each selected control recipe is opened in a separate tab of the recipe editor.

Start control recipe

Starts the selected control recipe in the defined REE mode. The recipes are executed invisibly at the Server. It is not necessary that the recipe is opened in the recipe editor.

Tag lists

List box for the display of parameters.

Two list boxes can be created. These are configured in the screen switching.


Screen switch Batch Control

Manuels -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

To use Batch Control in the Runtime, engineer a screen switch function to a screen of type Batch Control:

  1. in node Functions in the context menu select menu item New function
  2. select function Screen switch
  3. select the screen of type Batch Control
  4. the filter dialog is displayed
  5. configure the
    1. Settings for the list of the master recipes/control recipes including prefiltering
    2. Variable allocations
    3. Tag list settings
  6. link the function with a button on the screen in order to switch in the Runtime

Autres sujets abordés dans ce chapitre

Recipe list settings

Variable assignment

Tag list settings


Recipe list settings

Manuels -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Recipe list settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The settings are configured for:

  • List of master recipes
  • List of control recipes
  • Prefilter

Parameter

Description

List of master recipes

Configuration for master recipes.

Prefilter

Select from a drop-down list whether master recipes should be pre-filtered when called up. Possible settings:

  • No prefiltering: Recipes are not pre-filtered.
  • Recipe ID: Recipes are filtered according to ID. Filter condition is defined in the Variable property.
  • Recipe name: Recipes are filtered according to recipe name. Filter condition is defined in the Variable property.

Variable

Definition of the variables that provide the values for the prefiltering. Click the button ... and a dialog opens to configure the variables.

Apply column settings from calling screen

Active: The column settings are accepted by the screen that is calling them up in Runtime. The corresponding properties can no longer be configured in the Editor.

List box

Display of the configured columns.

Column selection

Opens the dialog for selecting the columns

Column format

Opens a dialog to format the columns.

Open found recipes in recipe editor

Active: The recipes found are opened in the recipe editor.

Note: The first 20 recipes found is the maximum that can be opened.

List of control recipes

Configuration for control recipes.

Filter control recipe for status

Settings for the filtering of the control recipes according to their status.

Apply filter from calling screen

Active: The filter is accepted from the calling screen.

Use this filter

Selection of criteria for the status of a recipe that is to be called up. Several statuses can be selected by selecting the corresponding checkbox:

  • Prepared
  • Currently executed
  • Executed
  • Outdated

Filling the list of the control recipes at calling the screen

Settings for the filling of the list when called up. Select an option.

  • No filling
  • Apply and use selection of the master recipes from calling screen
  • Use all active master recipes

Prefilter

Select from a drop-down list whether control recipes should be prefiltered when called up. Possible settings:

  • No prefiltering: Recipes are not pre-filtered.
  • Recipe ID: Recipes are filtered according to ID. Filter condition is defined in the Variable property.
  • Recipe name: Recipes are filtered according to recipe name. Filter condition is defined in the Variable property.

Job ID: Recipes are filtered according to job ID. Filter condition is defined in the Variable property.

Variable

Definition of the variables that provide the values for the prefiltering. Click the button ... and a dialog opens to configure the variables.

Dynamic filling of the control recipe list

Settings for dynamic filling of the list.

Selection of the master recipe fills list of control recipes automatically

Active: When calling up in Runtime, the master recipes selected in the calling screen fill the list of the control recipes.

Apply column settings from calling screen

Active: The column settings are accepted by the screen that is calling them up in Runtime. The corresponding properties can no longer be configured in the Editor.

List box

Display of the configured columns.

Column selection

Opens the dialog for selecting the columns

Column format

Opens a dialog to format the columns.

Open found recipes in recipe editor

Active: The recipes found are opened in the recipe editor.

Note: The first 20 recipes found is the maximum that can be opened.

Show this dialog in the Runtime

Active: This dialog is opened in Runtime when the screen is called up. Changes to the settings can be made.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

Help

Opens the online help.

Note for variable selection using name or ID: For the selection of variables according to name or ID, numerical variables and string variables can be selected respectively. The data types are converted to the respective correct form.

Autres sujets abordés dans ce chapitre

Column selection

Column format

Prefilter


Column selection

Manuels -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Recipe list settings -> Column selection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Options

Bouton | Fonction
Ajouter | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter tout | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Flèche vers le haut | Déplace l'entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques ; les sélections multiples ne sont pas autorisées dans ce cas.
Flèche vers le bas | Déplace l'entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques ; les sélections multiples ne sont pas autorisées dans ce cas.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Abandonne les paramètres et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Note: These settings are only used in Runtime for dockable windows if there is no Runtime profile available for the user who is logged in.

Examples of column selection

Column selection for list of the master recipes:

Column selection for list of the control recipes:

Column selection for list of the operations (only available in Runtime):

Column selection for Tag lists


Column format

Manuels -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Recipe list settings -> Column format

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

In this dialog you define the column format:

Paramètre

Description

Colonnes disponibles

Liste de colonnes disponibles avec la fonction de sélection de colonnes. La colonne sélectionnée ici est configurée à l'aide des paramètres de la section Paramètres.

Paramètre

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l'intitulé de colonne. Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, insérez le caractère @ devant le nom de l'intitulé.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement.

Paramètres possibles :

  • Justifié à gauche : le texte est justifié contre le bord gauche de la colonne.
  • Centré le texte est centré dans la colonne.
  • Justifié à droite : le texte est justifié contre le bord droit de la colonne.

Désactiver le filtre sur les colonnes dans le Runtime

Actif : le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Contrôle de batch
  • Synoptique Extended Trend
  • Gestion de messages
  • Gestionnaire de groupes de recettes

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Note: These settings are only used in Runtime for dockable windows if there is no Runtime profile available for the user who is logged in.


Prefilter

Manuels -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Recipe list settings -> Prefilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

To eliminate the need for all recipes to always be loaded in the recipe list in Runtime, you can define filters for master recipes and control recipes in the screen switch function. Then, the only recipes that appear in the list of master recipes and the control recipes are those that correspond to the configured filter conditions. If activated, these recipes are also opened in the recipe editor.

If you want it to be impossible for users to remove the filters in the runtime environment:

  1. Deactivate the Show this dialog in Runtime option.
  2. Block the column filter: Open the Column format... dialog and activate the Block column filter in the process screen option. With this the user cannot modify the filters in the Runtime and therefore does not get the recipes, which e.g. he is not allowed to modify, not displayed.

Filtering for master recipes

Configure:

  1. Prefilter

    Stipulate if recipes are to be prefiltered. You can filter according to name or ID. The filter condition is queried in Runtime using a variable.

  2. Column settings
    1. in the screen switch function click on column filters for the List of the master recipes or the List of control recipes
    2. enter the desired filter text; wildcards (*) are allowed
    3. confirm the filter text with Return for it to be applied.
  3. Automatic recipe switching

    Stipulate if the recipes found when switching are also to be opened in the Recipe Editor straight away.

    Note: The first 20 recipes found is the maximum that can be opened automatically.

info Info

When reloading Runtime, the filter settings of the prefiltering for master recipes are applied again. This also applies if the value of the filter variables changes or new recipes are added to the list that do not correspond to the filter. The list is always recreated exactly after reloading.

Filtering for control recipes

Configure:

  1. Recipe state

    Filter the control recipes according to their status. You can select several states using checkboxes or accept the filter from the calling screen.

  2. Filling the recipe list

    Stipulate if and how the list of control recipes is to be filled when called up.

  3. Prefilter

    Stipulate if recipes are to be prefiltered. You can filter according to ID, name or job ID. The filter condition is queried in Runtime using a variable

  4. Column settings
    1. in the screen switch function click on column filters for the List of the master recipes or the List of control recipes
    2. enter the desired filter text; wildcards (*) are allowed
    3. confirm the filter text with Return for it to be applied.
  5. Automatic recipe switching

    Stipulate if the recipes found when switching are also to be opened in the Recipe Editor straight away.

    Note: The first 20 recipes found is the maximum that can be opened automatically.

info Info

When reloading Runtime, the filter settings of the prefiltering for control recipes are applied again. Instead, all control recipes that correspond to the current filter in Runtime are displayed (master recipes, status, column filter).


Variable assignment

Manuels -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

You link variables to elements in the recipe in this tab. This way you can display the statuses of a phase or an operation in another screen and react to these. The execution status of the recipe and the selected object can be displayed by means of string variables or numerical variables. Numerical variables are suitable, for instance, for linking to a combined element. For details on the status, see the Coding of the execution status section.

To display statuses:

  1. Create a new screen with the desired elements.
  2. Link the elements to variables
  3. Link these variables in the screen switching filter to the corresponding objects

Link variables

To link a variable:

  1. Click on the ... button
  2. The dialog for selecting a variable is opened
  3. Select the desired variable

Display

The following are displayed:

  • For the recipe that is in focus:
    • Name
    • Description
    • State
    • REE mode
    • REE status
    • Recipe type
  • For the object in the recipe that is in focus (phase or operation):
    • Name
    • Description
    • Unit
    • Type
    • State
    • Internal state
    • Start time
    • Time of the end
    • Execution counter
    • Execution period

Parameter

Description

Master recipe

Variable linkings for the master recipe.

Status is displayed if the recipe has the focus or a phase or operation is highlighted.

The following can be linked:

  • Name
  • Description
  • Status (text)
  • Status (numeric)

Control recipe

Variable linkings for the control recipe.

Status is displayed if the recipe has the focus or a phase or operation is highlighted.

The following can be linked:

  • Name
  • Description
  • Status (text)
  • Status (numeric)
  • Job ID (text)

Operation

Variable linkings for the operation.

Status is displayed if the recipe has the focus or a phase or operation is highlighted.

The following can be linked:

  • Name
  • Description

General

Variable linkings for general information.

Status is displayed if the recipe has the focus or a phase or operation is highlighted.

The following can be linked:

  • REE mode (text):
  • REE mode (numeric):
  • REE status (text):
  • REE status (numeric):
  • Recipe type (text)
  • Recipe type (numeric)

Selected object

Variable linkings for the selected object (phase or operation).

Status is displayed if a phase or an operation in the recipe is highlighted.

The following can be linked:

  • Name
  • Description
  • Unit
  • Type (text)
  • Type (numeric)
  • Status (text)
  • Status (numeric)
  • Internal state (text)
  • Internal state (numeric)
  • Start time
  • Time of the end
  • Execution counter
  • Execution period

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

Help

Opens the online help.

Note: No information is displayed if several objects are highlighted.

Autres sujets abordés dans ce chapitre

Coding of the execution status


Coding of the execution status

Manuels -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Execution states

The execution state (both for the recipe and the selected object) is coded with different information:

  • Byte 0: Execution states
  • Byte 1: Status bits for the status
  • Byte 2: Type of object that is part of the status

If no recipe is opened then the string variables are empty and the numerical variables have the value 0.

Byte 0

Execution states.
The values that are possible are determined by the object type.

Value for string variable | Value for numeric variable
 | Decimal | Binary
Idle | 1 | 1
Running | 2 | 10
Executed | 3 | 11
Pause (starting from state: running) | 4 | 100
Paused | 5 | 101
Hold (starting from state: running) | 6 | 110
Hold (starting from state: Paused) | 7 | 111
Hold (starting from state: Restart) | 8 | 1000
Held | 9 | 1001
Restarting (starting from state: Held) | 10 | 1010
Stopping (starting from state: running) | 11 | 1011
Stopping (starting from state: Paused) | 12 | 1100
Stopping (starting from state: Held) | 13 | 1101
Stopped | 14 | 1110
Abborting (starting from state: running) | 15 | 1111
Abborting (starting from state: Paused) | 16 | 10000
Abborting (starting from state: Held) | 17 | 10001
Aborted | 18 | 10010

Byte 1

Status bits for the status.
The text is added to the string variable. The corresponding bits are set in the numerical variables

Value for string variable | Value for numeric variable
n elements in different states | 0b00000001
Waiting for n element(s) | 0b00000010

Byte 2

Type of object that is part of the status.
For numerical variables only.

Value for numeric variable |  | Meaning
Decimal | Binary
1 | 1 | Recipe
2 | 10 | Phase
3 | 11 | Operation object in the recipe

Autres sujets abordés dans ce chapitre

Master recipe

Control recipe

Operation

General

Selected object


Master recipe

Manuels -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> Master recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Master recipe

Name

Name of the currently-opened master recipe or the master recipe that belongs to the currently-opened control recipe or operation.

Description

Description of the currently-opened master recipe or the master recipe that belongs to the currently-opened control recipe or operation.

Status (text and numeric)

Status of the currently-opened master recipe or the master recipe that belongs to the currently-opened control recipe or operation.

Value for string variable | Value for numeric variable
 | Decimal | Binary
No recipe in active view | 0 | 0
Creation (not visible) | 1 | 1
Edit mode | 2 | 10
Released | 3 | 11
test mode | 4 | 100
Test running | 5 | 101
Terminated with error | 6 | 110


Control recipe

Manuels -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> Control recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Control recipe

Name

Name or selection of the control recipe. The recipe must be open and have the focus. Is filled in the control recipe and in the operation instance in the control recipe.

Description

Description of the currently-selected control recipe. The recipe must be open and have the focus. Is filled in the control recipe and in the operation instance in the control recipe.

Status (text and numeric)

Status of the currently-selected control recipe or the recipe must be open and have the focus. Is filled in the control recipe and in the operation instance in the control recipe.

Value for string variable | Value for numeric variable
 | Decimal | Binary
no control recipe active | 0 | 0
Creation (not visible) | 1 | 1
Prepared | 2 | 10
Running | 3 | 11
Executed | 4 | 100
Terminated with error | 5 | 101


Operation

Manuels -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> Operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Operation

Name

Name of the operation currently open. Is filled in the operation template and in the operation instance.

Description

Description of the operation currently open. Is filled in the operation template and in the operation instance.


General

Manuels -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> General

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
General

REE mode (text and numeric)

Currently-set execution mode for the currently-selected recipe. Is filled for all recipe cycles.

Value for string variable | Value for numeric variable
 | Decimal | Binary
Automatical | 1 | 1
Semi-automatic | 2 | 10
Manual | 3 | 11

REE status (text und numeric)

Status of the recipe

Byte 0

Value for string variable | Value for numeric variable
 | Decimal | Binary
Idle | 1 | 1
Running | 2 | 10
Executed | 3 | 11
Pausing (starting from state: running) | 4 | 100
Paused | 5 | 101
Holding (starting from state: running) | 6 | 110
Held | 9 | 1001
Restarting (starting from state: Held) | 10 | 1010
Stopping (starting from state: running) | 11 | 1011
Stopped | 14 | 1110
Abborting (starting from state: running) | 15 | 1111
Aborted | 18 | 10010

Byte 1

Value for string variable | Value for numeric variable
n elements in different states | 0b00000001
Waiting for n element(s) | 0b00000010

Byte 2

Object type. For the numerical value only

Value for numeric variable |  | Meaning
Decimal | Binary
1 | 1 | Recipe

Recipe type (text and numeric)

Recipe type of the current recipe. Is filled for all recipe cycles.

Value for string variable | Value for numeric variable
 | Decimal | Binary
Master recipe | 1 | 1
Control recipe | 2 | 10
Operation template | 4 | 100
Operation instance in the master recipe | 9 | 1001
Operation instance in the control recipe | 10 | 1010


Selected object

Manuels -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Variable assignment -> Coding of the execution status -> Selected object

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Selected object

The variables for the selected object always contain data if a single phase or a single operation was selected in the currently-selected operation. It is filled for all recipe types. If no object or several objects are selected, then the string variables are empty and the numerical values are 0.

Name

Is filled with the name of the phase or the operation.

Description

Is filled with the description of the phase of the operation.

Unit

Is filled with the name of the unit of the selected phase.

Type (text and numeric)

Value for string variable | Value for numeric variable
 | Decimal | Binary
Phase | 3 | 11
Operation | 13 | 1101

Status (text and numeric)

Is filled with the current execution status of the element.

Value for a phase

Byte 0

Value for string variable | Value for numeric variable
 | Decimal | Binary
Idle | 1 | 1
Running | 2 | 10
Executed | 3 | 11
Pausing (Starting from state: running) | 4 | 100
Paused | 5 | 101
Holding (Starting from state: running) | 6 | 110
Holding (Starting from state: Paused) | 7 | 111
Holding (Starting from state: Restarting) | 8 | 1000
Held | 9 | 1001
Restarting (Starting from state: Held) | 10 | 1010
Stopping (Starting from state: running) | 11 | 1011
Stopping (Starting from state: Paused) | 12 | 1100
Stopping (Starting from state: Held) | 13 | 1101
Stopped | 14 | 1110
Aborting (Starting from state: running) | 15 | 1111
Aborting (Starting from state: Paused) | 16 | 10000
Aborting (Starting from state: Held) | 17 | 10001
Aborted | 18 | 10010

Byte 1:

Always empty.

Byte 2:

Object type. For the numerical value only

Value for numeric variable |  | Meaning
Decimal | Binary
2 | 10 | Phase

Value for a operation instance

Byte 0

Value for string variable | Value for numeric variable
 | Decimal | Binary
Idle | 1 | 1
Running | 2 | 10
Executed | 3 | 11
Pausing (Starting from state: running) | 4 | 100
Paused | 5 | 101
Holding (Starting from state: running) | 6 | 110
Held | 9 | 1001
Restarting (Starting from state: Held) | 10 | 1010
Stopping (Starting from state: running) | 11 | 1011
Stopping (Starting from state: Paused) | 12 | 1100
Stopping (Starting from state: Held) | 13 | 1101
Stopped | 14 | 1110
Aborting (Starting from state: running) | 15 | 1111
Aborting (Starting from state: Paused) | 16 | 10000
Aborting (Starting from state: Held) | 17 | 10001
Aborted | 18 | 10010

Byte 1

Value for string variable | Value for numeric variable
n elements in different states | 0b00000001

The bit is always set if there are objects in the operation with a different status to that of the operation. Idle and finished are not included in this.

Byte 2:

Object type. For the numerical value only

Value for numeric variable |  | Meaning
Decimal | Binary
3 | 11 | Operation in the recipe.

Internal status (text and numeric)

Is filled with the internal execution status of the element.

Composition of the internal status:

  • Byte 0: Status
  • Byte 1: Status Bits
  • Byte 2: Object type

Value for a phase

Byte 0

Internal status. The text can be different for other objects.

Value for string variable | Value for numeric variable
 | Decimal | Binary
Idle | 1 | 1
Waiting for phase to be ready for starting | 2 | 10
Waiting for unit allocation | 3 | 11
Waiting for the unit allocation - timeout | 4 | 100
Waiting for exclusive execution | 5 | 101
Waiting for input interlocking | 6 | 110
Waiting for the input interlocking - timeout | 7 | 111
Waiting for phase done condition | 8 | 1000
Waiting for phase done condition - timeout | 9 | 1001
Waiting for phase done condition - error writing value | 10 | 1010
Waiting for minimum execution period | 11 | 1011
Wait until recipe has status "running" | 12 | 1100
Waiting for following conditions | 13 | 1101
Waiting for following condition - timeout | 14 | 1110

Byte 1

Status. For numeric variable only

Value for numeric variable |  | Meaning
Binary | Decimal
00000001 | 1 | There is an execution error.
00001000 | 8 | There is a communication error.
00010000 | 16 | Loss of communication fixed.
01000000 | 64 | Communication reestablished.

With the phase, only one of the bits can be active for the communication error. With an operation a bit is always set if it is relevant to at least one internal phase.

Byte 2

Object type. For the numerical value only

Value for numeric variable |  | Meaning
Decimal | Binary
3 | 11 | Operation in the recipe.

Possibilities for phase

Byte 0

All possibilities.

Byte 1

All possibilities.

Byte 2

Value for numeric variable |  | Meaning
Decimal | Binary
2 | 10 | Phase

Possibilities for operation instances

Byte 0

Value for string variable | Value for numeric variable
 | Decimal | Binary
Idle | 1 | 1
Execution of the internal objects | 8 | 1000
Waiting for following conditions | 13 | 1101

Byte 1

Always empty.

Byte 2

Value for numeric variable |  | Meaning
Decimal | Binary
3 | 11 | Operation in the recipe.

Start time

Time at which the execution of the selected object has started.

Time of the end

Time at which the execution of the selected object has finished.

Execution period

Time period that has expired during the execution.

Execution counter

Number denoting how often the element was executed


Tag list settings

Manuels -> Batch Control -> Engineering in the Editor -> Screen switch Batch Control -> Tag list settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Two parameter lists with identical options are available. These can be configured and used individually.

The parameter lists are created in the screen and configured in screen switching.

Parameter

Description

Tag list 1

Display of the configured lists. The columns can:

  • be filtered
  • have their width changed by dragging the column title with the mouse
  • arranged by dragging & dropping with the mouse

Column selection

A dialog for choosing the columns which shall be displayed is opened

Column format

Opens a dialog to format the columns.

Display command tag

Selection of the command parameters which should be displayed. Possible selection:

  • none: No command parameters are displayed.
  • all (default): All command parameters are displayed.
  • Changeable in the master recipe: Only command parameters for which the changeable in the recipe option has been set in the Editor are displayed.
  • Changeable in the control recipe: Only command parameters for which the changeable in the recipe option has been set in the master recipe are displayed.
  • changeable in the current recipe type: Only command parameters that can be changed in the current recipe type are displayed.

Display return tag

Active: Return parameters are displayed:

Variable for displaying the number of entries

Displays the maximum number of entries that is possible with the current pre-filtering of the screen filter. It is independent of the filtering in the columns and groupings.

A click on button ... opens the dialog for selecting variables.

Tag list 2

Parameter list 2 with identical configuration possibilities to Parameter list 1.

OK

Applies all changes in all tabs and closes the dialog.

Cancel

Discards all changes in all tabs and closes the dialog.

Help

Opens the online help.

The parameter lists are recreated in Runtime if:

  • The phase was edited
  • The recipe was saved (even if the client has saved it)


zenon functions

Manuels -> Batch Control -> Engineering in the Editor -> zenon functions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

With zenon functions, control commands can be sent to the batch execution and pre-defined control recipes can be created:

  • Execute recipe command or mode switch: sends control commands to batch execution
  • Create control recipe function: creates, in Runtime, a recipe that has been pre-defined in the Editor

Autres sujets abordés dans ce chapitre

Execute recipe command change or mode change

Create control recipe function


Execute recipe command change or mode change

Manuels -> Batch Control -> Engineering in the Editor -> zenon functions -> Execute recipe command change or mode change

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

You can send control commands to the batch execution with this function. To create the function:

  1. In the zenon Editor, navigate to the Functions node
  2. select New Function
  3. Go to the Batch Control in the function selections
  4. select Execute recipe command change/mode change
  5. the dialog for configuring functions is opened

Parameter

Description

Use recipe filter for

Selection of what the recipe filter is applied to:

  • Master recipe
  • Control recipe

Master recipe

Active: It is filtered on Master recipes.

Control recipe

Active: It is filtered on control recipes.

Note: The attendant master recipes must also be selected. If no master recipe has been selected for the control recipe, th filer cannot find the recipe being searched for in Runtime.

Hint: If the master recipe is not known, filtering of all master recipes with a placeholder is recommended.

Action

Selection of the action to be executed:

  • Command
  • Mode

Command

Selection of the command to be executed from drop-down list:

  • Ignore
  • Start recipe
  • Recipe pausing
  • Recipe resuming
  • Recipe holding
  • Restart recipe
  • Recipe stopping
  • Recipe aborting

Mode

Selection of the mode to which the recipe is to be switched:

  • Ignore
  • Automatic
  • Semi-automatic
  • Manual

Recipe filter

Configuration of the recipe filter

Master recipe

Parameters for the selection of the master recipe. Select from drop-down list:

  • Name with wildcards:
    A name with placeholder can be entered into the input field. Filtering according to this name is carried out.
  • Name from variable:
    The name of the master recipe is defined by a variable in Runtime. A click on button ... opens the dialog for selecting variables.
  • ID from variable:
    The ID of the master recipe is defined by a variable in Runtime. A click on button ... opens the dialog for selecting variables.

Apply to found recipes

Definition of which master recipes the filter is applied to. Select from drop-down list:

  • All
  • Only oldest ID
  • Only newest ID

Control recipe

Parameters for the selection of the control recipe. Select from drop-down list:

  • Name with wildcards:
    A name with placeholder can be entered into the input field. Filtering according to this name is carried out.
  • Name from variable:
    The name of the control recipe is defined by a variable in Runtime. A click on button ... opens the dialog for selecting variables.
  • ID from variable:
    The ID of the master recipe is defined by a variable in Runtime. A click on button ... opens the dialog for selecting variables.
    Precisely one recipe can be found if the variable value at the time of execution is a valid ID of a control recipe.
  • Job ID from variable
    Finds control recipes that belong to the master recipes already found and which have the given job ID. Any type of variable can be linked. The value is automatically converted into STRING.

Apply to found recipes

Definition of which control recipes the filter is applied to. Select from drop-down list:

  • All
  • Only oldest ID
  • Only newest ID

Recipe state

Definition of which recipe status the filter is applied to. Select from drop-down list:

  • All
  • Prepared
  • Running

OK

Applies settings and closes the dialog.

Cancel

Discards changes and closes dialog. the function is created however.

Help

Opens online help.


Create control recipe function

Manuels -> Batch Control -> Engineering in the Editor -> zenon functions -> Create control recipe function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

With the help of the function Create control recipe, a pre-defined control recipe can be created in the Editor by means of a button in Runtime. To create the function:

  1. In the zenon Editor, navigate to the Functions node
  2. select New Function
  3. Go to the Batch Control in the function selections
  4. Select Create control recipe
  5. the dialog for configuring functions is opened

Parameter

Description

Recipe filter

Configuration of the recipe filter

Master recipe

Parameters for the selection of the master recipe. Select from drop-down list:

  • Name with wildcards:
    A name with placeholder can be entered into the input field. Filtering according to this name is carried out.
  • Name from variable:
    The name of the master recipe is defined by a variable in Runtime. A click on button ... opens the dialog for selecting variables.
  • ID from variable:
    The ID of the master recipe is defined by a variable in Runtime. A click on button ... opens the dialog for selecting variables.

Apply to found recipes

Definition of which recipes the filter is applied to. Select from drop-down list:

  • All
  • Only oldest ID

Control recipe name

Configuration of the name of the control recipe.

Control recipe name

Selection of the naming from the drop-down list:

  • Automatic name: Name is automatically issued on creation
  • Name from variable: Name is taken from a variable. Click on button ... in order to open the dialog for selecting a variable.
    If there is already a recipe with the name that has been transferred from the variable, no new control recipe is created.

Job ID

Configuration of the Job ID.

Link individual job variable

Active: A job variable can be linked. The variable must already be configured. Selection of the variable from the drop-down list:

Apply value from job variable

Definition of the time at which the job ID is transferred. During:

  • Starting control recipe
  • Creating control recipe

OK

Applies settings and closes the dialog.

Cancel

Discards changes and closes dialog. the function is created however.

Help

Opens online help.

Note for variable selection using name or ID: For the selection of variables according to name or ID, numerical variables and string variables can be selected respectively. The data types are converted to the respective correct form.


Configure and control in the Runtime

Manuels -> Batch Control -> Configure and control in the Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The entire management, creation and processing of the recipes is done in the Runtime. Editing in the zenon Editor is not possible.

Note: Runtime files up to and including version 7.00 SP0 are not compatible with subsequent versions. Versions from version 7.10 and later are compatible.

Synchronization

When loading, opening, duplicating and approving a recipe or operation, a check is made to see if the configuration of units, phases etc. has been changed in the superordinate instance, such as the Editor. For details, see the Synchronization chapter.

Selection procedure in lists:

  • Ctrl+A: selects all elements
  • Ctrl+mouse click: adds master recipe to the existing selection
  • Key Shift+mouse click: Extends selection from the currently selected master recipe to the clicked master recipe

Autres sujets abordés dans ce chapitre

User interface

Commands and actions

Engineering rules for recipes

Status line

Recipe types and recipe states

Master recipes

Validate recipe

Operations

Control recipe

Synchronization

Manage recipes

Recipe Execution Engine (REE)


User interface

Manuels -> Batch Control -> Configure and control in the Runtime -> User interface

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The user interface of the editor in Runtime can be configured with tool bars and dockable windows.

Example: User interface with list of the master recipes, list of the control recipe, list of the operation and PFC editor:

Autres sujets abordés dans ce chapitre

Editor operating elements


Editor operating elements

Manuels -> Batch Control -> Configure and control in the Runtime -> User interface -> Editor operating elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The following are available for the editor:

  • Tool bars (can be hidden)
  • Tabs
  • Dockable windows

Toolbars

There are independent toolbars available in the Editor for each type of recipe and the different status. For details, see the Matrix recipe toolbars and Toolbars and PFC recipe context menu chapters. All actions of the individual symbols can also be engineered using their own buttons in the screen. If the tool bars are thus not needed, they can be displayed or hidden using the settings in the zenon Editor.

To show/hide tool bars:

  1. In the zenon Editor, highlight the Recipe editor comment area in the Batch Control screen
  2. go to property group Affichage\Affiche les éléments de contrôle de l'éditeur
  3. Activate or deactivate the Barres d'outils checkbox

Autres sujets abordés dans ce chapitre

Tabs in the Editor

Dockable windows


Tabs in the Editor

Manuels -> Batch Control -> Configure and control in the Runtime -> User interface -> Editor operating elements -> Tabs in the Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

If several recipes are open in the editor, these are represented with tabs. Recipes can be displayed and opened in two groups next to each other or underneath each other. To open a recipe in a new group:

  1. Select, in the context menu of the recipe, the horizontal neighboring group or vertical neighboring group command
  2. Select the type of display:
    • Move
    • Open in parallel

The control elements are always only applicable to the active recipe of the active group.

  • The active group is emphasized in color.
  • The active tab is emphasized with bold font. Information on the active tab is shown in the title bar of the editor.
  • Tabs can be moved and arranged by dragging & dropping, including between groups.

Tab context menu

Parameter

Description

Save

Saves changes in the recipe.

Close

Closes the recipe.

Close all others

Closes all other open recipes. Only the recipe in which the context menu was activated remains open.

Group horizontally

Opens the recipe in a new group below the other recipes.

  • Move display: The recipe is moved and the upper group is removed.
  • Move display in parallel: The recipe is displayed in parallel in both groups.

Group vertically

Opens the recipe in a new group to the right of the active group.

  • Move display: The recipe is moved and removed from the left group.
  • Open display in parallel: The recipe is displayed in parallel in both groups.


Dockable windows

Manuels -> Batch Control -> Configure and control in the Runtime -> User interface -> Editor operating elements -> Dockable windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

In the recipe editor, three windows can be shown, positioned and docked as desired:

  • List of master recipes
  • List of control recipes
  • List of the operations

For details on the selection and positioning, see the Selection and positioning chapter.

The settings are saved individually for each computer and user.

Show/hide list

The list of dockable windows can be displayed or hidden by means of settings in the zenon Editor.

To show/hide the list:

  1. In the zenon Editor, highlight the Recipe editor comment area in the Batch Control screen
  2. go to property group Affichage\Affiche les éléments de contrôle de l'éditeur
  3. Activate or deactivate the Fenêtres ancrables checkbox

Examples

Additional list of the operations shown in the Recipe Editor:

Additional list of master recipes, control recipes and operations shown in the Recipe Editor:

Lists of master recipes, control recipes and operations shown in the Recipe Editor:

Autres sujets abordés dans ce chapitre

Selection and positioning


Selection and positioning

Manuels -> Batch Control -> Configure and control in the Runtime -> User interface -> Editor operating elements -> Dockable windows -> Selection and positioning

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Selection and positioning

To show and dock the window in the Editor:

  • Select the desired window using the drop-down list of the Selection of dockable windows
  • move the window to the desired position
  • Locate this with the positioning aid

The Selection of dockable windows is located at the right edge of the status bar of the Editor. Clicking on the symbol opens the list of dockable windows. Selection is carried out by means of activation/deactivation of the checkboxes.

Aides au positionnement

Lors du déplacement de fenêtres depuis l'interface de l'Éditeur, les aides au positionnement sont affichées. Celles-ci représentent les fenêtres ou leurs bordures.

Cet élément représente la zone d'une fenêtre dans l'Éditeur.

Cet élément représente la bordure d'une fenêtre dans l'Éditeur.

Positionner la fenêtre

Pour positionner un élément en tant qu'élément ancré :

  1. A l'aide de la souris, déplacez l'élément vers la zone souhaitée...
  2. L'aide au positionnement est affichée.
  3. Ceci représente une fenêtre et ses zones :
    1. Centre : fenêtre entière
    2. Haut : moitié supérieure
    3. Bas : moitié inférieure
    4. Droite : moitié droite
    5. Gauche : moitié gauche

    ...Ou vers la bordure de l'Éditeur.

  4. Déplacez la souris vers l'aide au positionnement centrale ou vers une aide au positionnement située sur la bordure de l'Éditeur, puis déplacez-la vers la zone souhaitée.
  5. La zone de l'Éditeur dans laquelle l'élément a été placé lorsque le bouton de la souris a été relâché est colorée en bleu.
  6. Déplacez la souris dans l'aide au positionnement jusqu'à atteindre la zone souhaitée, affichée en bleu
  7. Relâchez le bouton de la souris pour placer l'élément.

Si une fenêtre est placée sur une fenêtre existante, les deux fenêtres sont affichées au même emplacement, à l'aide d'onglets.

Note: You can read more about positioning in the chapter on the zenon Editor in the User interface/Positioning windows section.


Commands and actions

Manuels -> Batch Control -> Configure and control in the Runtime -> Commands and actions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

In the Runtime the following commands and actions are available:

  • Commands effect the recipe process.
  • Actions make it possible to edit recipes.

Commands

For a command to be accepted by the phase, the following requirements are necessary:

  • The REE must run.
  • The phase must be active.
  • The phase must be in a state in which the command is allowed.

Via multi-selection the command can be sent to several phases in the same execution cycle.

Command | Description
Start recipe | Starts the recipe process.
Recipe pausing | Pauses the recipe process.
Recipe resuming | Resumes a held or paused recipe.
Recipe holding | Holds the recipe process.
Restart recipe | Restarts the recipe.
Recipe stopping | Stops the recipe.
Recipe abborting | Aborts the recipe.
Phase pausing | Pauses the phase.
Phase resuming | Resumes the phase.
Phase holding | Holds phase.
Restart phase | Restarts the phase.
Switch to automatic mode | Switches the REE to automatic mode.
Switch to semi-automatic mode | Switches the REE to semi-automatic mode.
Switch to manual mode | Switches the REE to manual mode.
Continue recipe only at selected execution position | Continues a recipe at the selected position.
Continue recipe at all execution positions | Continues a recipe on every available position.
Skip active condition | Skips an active condition. Only possible in the manual mode.

Permitted commands

Execution conditions apply to recipe commands and phase commands. For example, the control recipe can no longer be stopped if it has the status of Cancel.

Note: The Reset command is not implemented in zenon Batch Control.

Overview of commands in Batch Control

Note: This overview has been taken from the ANSI/ISA-S88 standard (illustration 18).

Action on stop command

After a stop command, the phases, transitions and end simultaneous sequence immediately go to stopped status, even if other elements are still waiting for a condition for stopping. Further subsequent commands such as cancel are ignored. The stopped status remains displayed.

Actions

Action | Description
Check recipe for errors | Checks the recipe for errors and displays error messages.
Edit element | Opens the corresponding dialog for editing the selected element.
Show/hide grid | Toggles the grid for the PFC editor on/off.
Change background color and grid color | Opens the dialog for changing the background color and grid color.
Duplicate recipe | Copies the selected recipe and adds it as copy to the list.
Create control recipe | Creates a control recipe on the basis of the approved master recipe.
New master recipe | Opens the dialog for creating a new recipe.
Save master recipe | Saves all changes which were done since the last saving.
Delete | Deletes the selected element.
Exchange phase | Opens the dialog for selecting a phase. The present phase is replaced by the newly selected phase.
Edit mode | Switches the mouse cursor from adding an element to edit mode. The switch back to the edit mode can also be achieved by pressing the Esc key.
Insert phase | Occupies the mouse cursor with a phase. It can be added to any allowed, free location via click.
Insert transition | Occupies the mouse cursor with a transition. It can be added to any allowed, free location via click.
Insert begin simultaneous sequence | Occupies the mouse cursor with a begin simultaneous sequence. It can be added to any allowed, free location via click.
Insert end simultaneous sequence | Occupies the mouse cursor with an end simultaneous sequence. It can be added to any allowed, free location via click.
Insert begin sequence selection | Occupies the mouse cursor with a begin sequence selection. It can be added to any allowed, free location via click.
Insert end sequence selection | Occupies the mouse cursor with an end sequence selection. It can be added to any allowed, free location via click.
Insert unit allocation | Occupies the mouse cursor with a unit allocation. It can be added to any allowed, free location via click.
Insert jump target | Occupies the mouse cursor with a jump target. It can be added to any allowed, free location via click.
Switch recipe to test mode | Switches recipe to the test mode.
Release recipe | Releases the recipe. With this a control recipe can be created.


Engineering rules for recipes

Manuels -> Batch Control -> Configure and control in the Runtime -> Engineering rules for recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

At the engineering the rules defined in standard ANSI/ISA-S88 are generally true.

Important principles:

General

  • For all elements all connection points must be connected.
    Exception: Jump target element. Here at least the output connection point and one input connection point must be connected.
  • The begin element is always present only once with PFC recipes and marks the beginning of the process. It is not visible with matrix recipes.
  • The end element is always present only once with PFC recipes and marks the end of the process. It is not visible with matrix recipes.
  • Phases can be inserted anywhere. You can also place several phases in succession.
  • At least one active phase must be present in the recipe.

Transitions

  • Transitions only exist in PFC recipes.
  • Two transitions may not lie one after the other.

Branches

  • Branches only exist in PFC recipes.
  • The first element after an begin sequence selection must be a transition.
  • The individual branches which start at begin sequence selection must all end in an end sequence selection never in an end simultaneous sequence. Outside of a simultaneous sequence a branch can also end in a jump target element. Any element can be placed between begin and end of a branch even simultaneous sequences as long as they are closed before the end sequence selection element.
  • It is not necessary to have an end sequence selection for each begin sequence selection. You can for example have two begin sequence selection elements ending in one end sequence selection or the other way round.
  • It is not necessary to have an end sequence selection for a begin sequence selection. It can simply end in a line. If for example you have a begin sequence selection element with two paths and one of the paths ends in a jump target, it does not make sense to have an end sequence selection.
  • End sequence selection elements can be used in the same way as jump target elements.
    Limitation: The element must not be followed by a transition.

Simultaneous sequences

  • Each simultaneous sequence must contain at least one phase.
  • The first element after a Begin simultaneous sequence must no be a transition.
  • The individual branches that start at a begin simultaneous sequence must all end in end simultaneous sequence, but must never end in a end sequence selection. You may use any elements between begin simultaneous sequence and end simultaneous sequence even branches as long as they are closed before the end simultaneous sequence.
  • Not all branches which were started in a begin simultaneous sequence must end in an end simultaneous sequence. It is enough when all branches converge over an end parallel objects. Equally branches from different begin simultaneous sequence objects may converge in a single end simultaneous sequence.
  • Simultaneous sequences can be embedded in simultaneous sequence. For this, the following applies:
    • each embedded simultaneous sequence must unite to the superordinate simultaneous sequence
    • embraced interlacing is not supported

Lines in the PFC editor

  • Lines may be used as connections between any objects. It is allowed to add any number of lines after another.
  • Lines must not be used to connect two equal connection points.
    For example: The both inputs of two phases must not be connected directly with a line. In the engineering this connection is allowed. It is however displayed in red (error) and in the validation an error message is displayed.

Jump targets

  • Jump targets only exist in PFC recipes.
  • Jump targets are used to
    • jump between branches,
    • jump out of branches
    • engineer loops

    For this, the following applies: A path which ends in a jump target must have started with a begin sequence selection. Otherwise the end is not reached.

  • Jump targets consist of tree inputs and one output. At least one input and the output must be connected. At this it makes no difference which input connection point is connected.
  • Jump targets may be interlaced consecutively.
  • Jumps are prohibited:
    • between simultaneous sequences
    • to jump out of a simultaneous sequence
    • to jump in a simultaneous sequence.

Reactions

  • Reactions can appear in each object state.
  • For each reaction type several reactions are possible. They are sorted at the triggering and are executed in accordance to their priority. At this 1 is the highest priority.
  • Variables which are used in the tags of the reaction as source are registered at the driver for reading. If a value is needed at a reaction but is not yet available or invalid, the alternate value is written. The writing of the value is done without write confirmation.
  • Some of the reactions are triggered only once in the process - e.g. time outs. If the phase is restarted, these reactions are also retriggered if necessary.
  • If as an reaction to a status change a command was triggered which triggers an immediate status change (command to REE), the command of the second reaction is processed directly after processing the first. Commands processed.

Execution period

  • Property Durée minimum d'exécution defines how long it is waited after writing the command tag independent of the check of the phase done condition.
  • During the execution the minimum execution duration is checked. If the value is not 0, an event is triggered after it has expired.

Read more about execution duration in chapter Execution duration.


Status line

Manuels -> Batch Control -> Configure and control in the Runtime -> Status line

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The status line is automatically adapted to each recipe that contains the focus and initialized with its data. The the status line the following is displayed:

  • Mode of the recipe
    • Edit mode
    • Manual mode
    • Semi-automatic mode
    • Automatic mode
  • Status of the recipe:
    • Ready for start
    • Error: Currently there is an error in the recipe. The number of errors is also displayed.
    • Historical error: During the execution at least one error occurred. Currently not error exists.
    • No error: Until now the execution runs faultless.
  • Current status of the REE during the execution
  • Mouse cursor position and changes such as moving the connection line
  • Deleting, adding or selecting of elements
  • Approval of a recipe
  • Finished without errors
  • Zoom level of the current view; this can also be controlled here

The global statuses of the main recipe are also displayed when executing operations.


Recipe types and recipe states

Manuels -> Batch Control -> Configure and control in the Runtime -> Recipe types and recipe states

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Basically we distinguish between the following recipe types:

  • PFC recipe for free, complex processes. They are created with the PFC editor.
  • Matrix recipe for simple sequential/parallel processes. They are created with the matrix editor.

For both recipe types its true that they are available in the following characteristics:

  • Master recipes:
    Form the basis for the control recipes. The created in status Editable. If they are in status Released, they can no longer be modified.
  • Control recipes:
    Are recipes which can be executed once. Each control recipe is based on a master recipe. Control recipes can be modified concerning the process. The process is defined by the master recipe. Changeable are only command tags for which option Changeable in control recipe was activated.

Status for master recipes

Master recipes can have the following states:

  • Editable: In this state everything can be changed. Each new master recipe is created in this status.
  • Test mode: In this status the recipe behaves similar as a control recipe. As them the process cannot be modified. It can be executed and all commands, actions, modes, etc. are available. You can also change all command tags for which option Changeable in recipe was activated.
    Exception: If a phase is active at the moment, changes are not possible. Decisive for this is the status at clicking button OK. If the phase is active, the value changes are not taken over and an error message is displayed.
    In test mode recipes can be executed consecutively several times. This is not the case for control recipes. Changes from the Editor are taken over after a reload or after a Runtime restart.
  • Released: In this status no changes to the recipe are possible
    Note: Also changes to the phases or to the reactions in the Editor are not transferred to a master recipe. The status at the release are frozen.
    Exception: Changes to variable and function are not considered by these protection mechanisms. This can lead to a master recipe and all control recipes based on it becoming invalid. If e.g. the data type of a variable is changed from Bool to String, the validation function is no longer run through and the recipe can no longer be used as long as the error is not fixed in the Editor. Likewise the units themselves are not protected as they are used recipe-spanning. If a unit name is changed in the Editor, it immediately takes effect after reloading or a Runtime restart on all phases which are based on it.

    To be able to release a master recipe, the recipe must be validated without errors. The validation is done automatically during the release and and cannot be avoided. Control recipes can only be created from released recipes.

    If a master recipe with status Release should be modified, you must create a copy of the master recipe via command duplicate. The copy gets status Editable.

Status for control recipes

Control recipes can have the following states:

  • Prepared: A newly created control recipe has this status. In this status it can be started and command tags, for which option Changeable in control recipe was activated, can be changed.
  • running: The control recipe was started and is processed. It remains in this status until it is Completed, Stoppedor Canceled. Via the REE Status you can learn the exact state of the recipe.
    In this status command parameters, for which option Changeable in control recipe was activated, can be changed.
    Exception: If a phase is active at the moment, changes are not possible. Decisive for this is the status at clicking button OK. If the phase is active, the value changes are not taken over and an error message is displayed.
  • Finished: The recipe reached its final state. It can no longer be restarted and it also cannot be changed. Changes to command tags are not possible. Finished control recipes can be duplicated and deleted.


Master recipes

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Master recipe are the basis of control recipes. With the help of master recipes you define and test the recipe process. After a master recipe is released, its content and structure can no longer be changed.

For the creation of master recipes two editors are available. Depending on the license only one of them or both can be used.

Autres sujets abordés dans ce chapitre

Create master recipe

Tool bar and context menu for master recipe list view

PFC recipe

Matrix recipe

Master recipe - test mode

Release master recipe

Highlight recipe as outdated


Create master recipe

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Create master recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

A click on button Create master recipe opens the dialog Configuration master recipe.

Parameter

Description

Matrix recipe

Activate this radio button if you want to create a matrix recipe.

Note: Only possible if the corresponding license is available.

PFC recipe

Activate this radio button if you want to create a PFC recipe.

Note: Only possible if the corresponding license is available.

Name

Unique name for the recipe. The name must not contain a dot (.), a question mark (?), a @ or an asterisk (*).

Maximum length: 256 characters.

Note: When you copy a recipe the existing name is complemented with the prefix "Copy of". If the maximum length is exceeded by this, the name is shortened to the allowed length starting from the last character.

The uniqueness is checked in the entire network. Therefore it can happen that you cannot take over the name as another user on another computer in the zenon network already has used the same name and you do not see the recipe in the list of the master recipes yet.

The recipe names can be changed later but only as long as the recipe is in status Editable.

Description

Optional description for the recipe which should be created.

The description can be changed later but only as long as the recipe is in status Editable. To change the description select the symbol Rename master recipe.

OK

Applies all settings and created a new recipe.

Cancel

Closes the dialog without creating a recipe.


Tool bar and context menu for master recipe list view

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Tool bar and context menu for master recipe list view

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Toolbar

Symbol | Description
New master recipe | Opens the dialog for creating a new master recipe.
Open master recipe in Editor | Opens the selected recipe in the recipe editor.
Rename master recipe | Opens dialog to rename the selected recipe.
Duplicate master recipe | Creates a copy of the selected recipe and opens the dialog to rename the duplicate.
Delete master recipe | Deletes selected recipes.
Switch master recipe to test mode | Switches selected recipe to test mode after requesting confirmation.
Switch master recipe to edit mode | Switches selected recipe to edit mode after requesting confirmation.
Release master recipe | Approves selected recipe after requesting confirmation.
New control recipe | Opens the dialog for creating a new control recipe.
Include running control recipes in the display | Includes running control recipes in the display.
Include prepared control recipes in the display | Includes prepared control recipes in the display.
Include finished control recipes in the display | Includes finished control recipes in the display.
Include outdated control recipes in the display | Includes outdated control recipes in the display.
Display list of attendant control recipes in control recipe list | Shows all control recipes that belong to approved control recipes.
Column selection | Opens the dialog for selecting the columns which should be displayed.
Column format | Opens the dialog for configuring the column formats.

Context menu

Command | Description
New master recipe | Opens the dialog for creating a new master recipe.
Open in Recipe Editor | Opens the selected recipe in the recipe editor.
Rename | Opens dialog to rename the selected recipe.
Duplicate | Creates a copy of the selected recipe and opens the dialog to rename the duplicate.
Delete | Deletes selected recipes.
Switch to edit mode | Switches selected recipe to edit mode after requesting confirmation.
Switch to test mode | Switches selected recipe to test mode after requesting confirmation.
Release | Approves selected recipe after requesting confirmation.
Highlight as outdated | Marks the selected recipe as outdated.
New control recipe | Opens the dialog for creating a new control recipe.
Display associated control recipes in list | Shows all control recipes that belong to selected approved control recipes.


PFC recipe

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

If you selected PFC recipe in dialog Configuration master recipe and exited the dialog with OK, the newly created recipe opens on a new tab in the PFC editor.

As each recipe needs a begin and an end element, these two elements already exist in the recipe and cannot be deleted from it.

Add the desired phases, transitions, sequence selections, simultaneous sequences and unit allocations to your recipe. Fields which are unsuitable for adding an element turn red when you move the element above it.

Autres sujets abordés dans ce chapitre

PFC editor

Tool bar and context menu PFC recipe

Settings diagram

Begin element

Allocate and configure unit

Add and configure phase

Insert operation

Lines

Transition

Sequence selections

Jump target

End element


PFC editor

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> PFC editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

In the PFC editor you can create your recipes graphically.

Technical details

  • Sheet size:
    • Default: 10 x 10 cells
    • Minimum: 5 x 5 cells
    • Maximum: 500 x 1000 cells
  • Cell size
    • Default: 155 x 111 pixels
  • Outside edge: 100 pixel
  • Grid: is displayed by default; can also be hidden
  • Scroll bar: Is displayed if the document is larger than the frame.
  • Scrolling via mouse wheel: up and down or if you press and hold Shift left and right.
  • Zooming: Ctrl + mouse wheel
  • Selecting elements: left mouse click
  • Multiple selection: Ctrl + mouse click
  • Move symbol: Click element and move it over the diagram while holding the left mouse button pressed. Content can be dropped to cells with green background. If a cell turns red when you move over it, you cannot drop the content.


Tool bar and context menu PFC recipe

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Tool bar and context menu PFC recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tool bar PFC editor: Edit mode

Parameter

Description

New master recipe...

Opens the dialog for creating a new master recipe.

Save master recipe

Saves the master recipe which is open for editing.

Show/hide grid

Shows/hides the grid.

Change background color and grid color

Opens the dialog for changing the color of the background and the grid.

Delete

Deletes the selected elements from the diagram.

Multiple selection via Ctrl+mouse click.

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Replace phase/operation

Opens dialog to select a phase or an operation and replaces the existing phase with the newly-selected one or the existing operation with a newly-selected one. Several phases or operations can be selected and replaced together.

Shortcut: Shift+double click

Edit mode

Toggles between insert mode and edit mode.

Insert phase

Adds a phase.

Insert transition

Adds a transition.

Insert begin simultaneous sequence

Adds a begin simultaneous sequence.

Insert end simultaneous sequence

Adds an end simultaneous sequence.

Insert begin sequence selection

Adds a begin sequence selection.

Insert end sequence selection

Adds an end sequence selection.

Insert unit allocation

Adds a unit allocation.

Insert jump target

Adds a jump target.

Insert operation

Adds an operation.

Switch recipe to test mode

Switches recipe to the test mode. For this the recipe must be without errors.

Release recipe

Releases the recipe. With this a control recipe can be created.

Note: Insertions remain active until you change to the edit mode using the Edit mode symbol, the Esc key or you change to another insert option via a symbol for adding a new element.

Tool bar PFC Recipe test mode

Parameter | Description
Start recipe | Starts the recipe process.
Recipe pausing | Pauses the recipe.
Recipe resuming | Resumes paused recipe.
Recipe holding | Holds recipe.
Restart recipe | Restarts held recipe.
Recipe stopping | Stops the recipe.
Recipe abborting | Aborts the recipe process.
Phase pausing | Pauses the phase.
Phase resuming | Resumes the process of a paused phase.
Phase holding | Holds phase.
Restart phase | Restarts held phase.
Escape phase | Starts process to exit from the phase.
Check recipe for errors | Starts recipe validation.
Edit element | Opens the corresponding dialog for editing the selected element.
Show/hide grid | Shows/hides the grid.
Change background color and grid color | Opens the dialog for changing the color of the background and the grid.
Switch to automatic mode | Switches process to automatic mode.
Switch to semi-automatic mode | Switches process to semi-automatic mode.
Switch to manual mode | Switches process to manual mode.
Continue recipe only at selected execution position | Continues a recipe at the selected position.
Continue recipe at all execution positions | Continues a recipe on every available position.
Skip active condition | Skips an active condition. Only possible in the manual mode.
Edit mode | Switches from test mode to edit mode.
Release recipe | Releases the recipe. With this a control recipe can be created.

PFC recipe tool bar: approved

Parameter

Description

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

The dialog is opened in write-protected mode, because it is no longer possible to edit approved recipes.

Show/hide grid

Shows/hides the grid.

Change background color and grid color

Opens the dialog for changing the color of the background and the grid.

Duplicate recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

Create control recipe

Creates a control recipe on the basis of the approved master recipe.

info Info

The functions of the individual symbols can also be configured using buttons and thus be made touch-operable. Tool bars can therefore also be hidden.


Settings diagram

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Settings diagram

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

A click on the symbol for the color configuration in the tool bar opens the dialog for configuring the color for the background and grid.

Parameter | Description
Background color | Defines the background color of the diagram. Click on the color in order to open the palette for selecting a color.
Grid color | Defines the line color of the grid. Click on the color in order to open the palette for selecting a color.
OK | Applies all settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.


Begin element

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Begin element

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

First element in the process. It is automatically created in the editor when a recipe is created and it cannot be deleted.


Allocate and configure unit

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Allocate and configure unit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

To allocate a unit:

  1. in the tool bar select the symbol for Insert unit allocation
  2. move the mouse to the desired position
  3. place the unit
  4. the unit is added

To configure the unit allocation:

  1. double click the unit
  2. The dialog for configuration is opened

Configuration

In a configuration dialog you can select the units which exist in the batch recipe for the Runtime. It is distinguished between allocation and release. Releases can be set selectively and globally. Units which were selected before and no longer exist in the recipe, are displayed with an appropriate note.

Parameter

Description

List units

Displays existing units and their assigned actions.

Action

Assigns an action to the unit selected in the list.

Allocation of the unit.

Allocates the unit.

Release of the unit.

Releases the unit:

  • Release of the last allocation: The last allocation is released.
  • Recipe-spanning release: All allocations in the recipe are released.

OK

Applies settings and closes the dialog.

Cancel

Discards changes and closes dialog.

Allocate and release units

The allocation of a unit by element unit allocation or by a phase is only possible if the unit is not yet allocated or only in the same recipe. Allocation and release of units is always done in a cycle. It is always waited until all units which should be allocated are released. Then all allocations and releases are down at the same time. Phases which are located in front of an element unit allocation remain active until the allocation was successful.

Unit allocations remain in place as long as the phase is active. When the recipe is finished and there are still allocations of elements Unit allocation active, they are released implicitly.

Note: A phase with the paused or held status does not attempt to allocate the unit. This also applies if the phase is switched to paused or held whilst waiting. An attempt to allocate the unit is only made after a restart. But: In manual mode you can force the allocation of a unit by another recipe. The recipe with the first allocation keeps the control and takes priority at the execution. If this recipe withdraws its main allocation, the recipe with the longest active forced allocation takes over the main allocation.

Actions

For each unit which is used in the recipe, you can define an action:

  • no action
  • allocate
  • release

Tooltip

In the tooltip of element Unit allocation all units are displayed which are marked for allocation or release. During the execution the Execution duration is stated and all units for which you must wait are color-coded. You must wait for units if they are allocated in another recipe.


Add and configure phase

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Add and configure phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

To add a phase:

  1. in the tool bar select the symbol for Insert phase
  2. move the mouse to the desired position
  3. locate the phase
  4. the dialog for selecting a phase is opened
  5. select the desired phase

To configure a phase:

  1. double click the phase
  2. The dialog for configuration is opened
    (if an element has not yet been assigned a phase, double-clicking opens the dialog to select a phase)

Note: The shift key plus a double click always opens the dialog to select a phase.

Configuration

Parameter | Description
Phase active in this step | Active: Phase is active in this step
Name | Name of the phase. Only display.
Description | Comment about the phase. Only display.
Unit | Unit on which the phase is carried out. Only display.
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.

Configuration of the tabs see chapter:

  • General: Display and configuration of the settings for the phase
  • Tag: Configuration of the tags

The entry of a reason can be requested in order to make changes. To do this, either the Justification de la modification de valeur nécessaire property must be activated in the Editer variable node for the module in general, or the Justification de la modification de valeur nécessaire property in the Général group for individual functions.

Rules for editing a phase

A phase can be edited:

  • In a master recipe in edit mode: If the user has sufficient rights.
  • In a master recipe in test mode: If the user has sufficient rights and the phase is not active.
  • In a control recipe with prepared status: If the user has sufficient rights and the Changeable in the control recipe option has been activated.
  • In a control recipe with running status: If the user has sufficient rights, the Changeable in the control recipe option has been activated and the phase is not active.

The phase can no longer be edited in pre-configured control recipes and in approved master recipes.

Autres sujets abordés dans ce chapitre

Selection phase

General

Parameter

Edit tag

Column selection

Column format


Selection phase

Selection phase

If a phase is added, the dialog for selecting a phase is opened.

Parameter | Description
Project tree | Displays the current project from which the phases can be selected.
List field phases | In the list all phases engineered in the Editor are displayed. This list can be filtered. The filtering is case-sensitive. Placeholders * and ? can be used.
Arrow keys | Move selected phases up or down.
No selection | Deletes already selected phases from the element.
OK | Applies settings and closes the dialog.
Cancel | Discards all changes and closes the dialog.

All settings of the dialog are saved user-specifically when the dialog is closed.


General

General

The properties of tab General are set in the Editor with the exception of Changeable in the control recipe. The values can changed in the master recipe. A symbol indicates whether the value in the dialog matches the value in the Editor. For different values you can again apply the value defined in the Editor.

Meaning of the symbols next to the values:

Parameter | Description
 | Value in the dialog and the value in the Editor match.
 | Value in the dialog and the value in the Editor do not match.
 | Only active if the values in the recipe and Editor do not match. Click on button to apply the value from the Editor. It overrides the value in the master recipe.

For information about the base data on these tabs see chapter Add and configure phase.

Parameter

Description

Waiting period unit allocation

Time in days, hours, minutes and seconds which is waited for the allocation of the unit. The waiting period can be changed in the Runtime as long as the recipe has status Editable.

After the defined period has exceeded, the event Waiting period unit allocation exceeded is triggered and the element is highlighted. Additional actions must be defined by the engineer. If no further actions take place, the waiting is continued.

Maximum: 9999d 23:59:59
Default: 0d 00:00:00

Note: A unit can only be allocated by a single recipe with status In execution at a time.

Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Interlocking condition

Defines conditions for input interlocking. Click on button ... or an entry to open the formula editor for defining the condition.
If an input interlocking is configured, the phase is only executed in the Runtime when the condition for the input interlocking is fulfilled. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used. The formula returns TRUE or FALSE as result. The condition can be displayed in the Runtime but cannot be changed there.
The waiting period for the input interlocking is configured with the help of property Période d'attente entrée de verrouillage.

Waiting period input interlocking

Period in days, hours, minutes and seconds in which the condition defined in property Condition de verrouillage must return value TRUE. The waiting period begins with the beginning of the check of the input interlocking. If the condition is not fulfilled within the waiting period, the event Waiting period input interlocking exceeded is triggered and the waiting is continued. If no reaction was defined for the event which forces another behavior, it is waited until the condition is fulfilled.

If 0d 00:00:00 is defined as waiting period, the event is not triggered.

  • Minimum value: 0d 00:00:00
  • Maximum value: 9999d 23:59:59
  • Default: 0d 00:00:00

Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Phase done condition

Defines the condition for phase done. Click on button ... or an entry to open the formula editor for defining the condition.
The condition can be displayed in the Runtime but cannot be changed there. The period which is waited for the fulfillment of the condition is defined via property Durée maximum d'exécution.

Maximum execution duration

Period in days, hours, minutes and seconds in which the condition defined in property Condition de phase effectuée must return value TRUE. The waiting period begins when writing of the command parameter. If the condition is not fulfilled within the waiting period, the event Maximum execution period exceeded is triggered and the waiting is continued. If no reaction was defined for the event which forces another behavior, it is waited until the condition is fulfilled.

Note: Time keeps running when the recipe/the phase is paused.

If 0d 00:00:00 is defined as waiting period, the event is not triggered.

  • Minimum value: 0d 00:00:00
  • Maximum value: 9999d 23:59:59
  • Default: 0d 00:00:00

Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Makes only sense if property Condition de phase effectuée was configured.

Read more about execution duration in chapter Execution duration.

Minimum execution duration

Minimum execution duration of the phase.

  • >0: Period which is at least waited after the writing of the command tag regardless of whether the phase done condition is fulfilled.
  • 0: Execution duration is not checked

Minimum execution duration can exceed Durée maximum d'exécution. Value is predefined in the Editor and can be changed here as long as the recipe is not released.

Changeable in the control recipe if option Changeable in the control recipe was activated in the master recipe.

Read more about execution duration in chapter Execution duration.

Changeable in the control recipe

Active: Property can be changed in the control recipe.

Waiting period following condition

Period in days, hours, minutes and seconds in which the phase must be deactivated. The waiting period begins when the phase done condition is reached. If the condition is not fulfilled within the waiting period, the event Waiting period following condition exceeded is triggered and the waiting is continued. If no reaction was defined for the event which forces another behavior, it is waited until the condition is fulfilled.

If 0d 00:00:00 is defined as waiting period, the event is not triggered.

  • Minimum value: 0d 00:00:00
  • Maximum value: 9999d 23:59:59
  • Default: 0d 00:00:00

Note: If the following condition exists depends on the recipe structure. Therefore the configuration of a waiting period should not be done in the Editor but in the Runtime. Value is predefined in the Editor and can be changed here as long as the recipe is not released.

For more information see chapters Times and Following conditions.

OK

Applies all changes on all tabs and closes the dialog.

Cancel

Discards all changes on all tabs and closes the dialog.


Parameter

Parameter

For information about the base data on these tabs see chapter Add and configure phase.

Parameter | Description
List tag | Displays the tag configured in the Editor. Tags can be filtered and sorted according to columns. Click on symbol Edit tag, double click the tag, menu item in the context menu or press Return to open the dialog for editing a tag.
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.

Tool bar

Symbol | Meaning
Edit tag | Opens the dialog for editing the tag.
Display all command tags | Toggles between the display of the changeable tags and all tags.
Display return tag | In addition to the command tags also displays the return tags or hides them.
Column selection | Opens the dialog for selecting the columns which should be displayed.
Column format | Opens the dialog for formating the columns.


Edit tag

Edit tag

To edit a tag in the Runtime:

  1. in dialog Edit phase select tab Tag
  2. highlight the desired tag
  3. open the dialog for editing the tags via a click on symbol Edit tag, the context menu, a double click on the tag or press Return
  4. the dialog for editing is opened

For each data type an own dialog is opened:

  • Numerical
  • Binary
  • String
  • Time period

The properties are normally configured in the Editor and only displayed in the Runtime. Exceptions are values of the data type. They can be adapted if property Modifiable dans recette was activated in the Editor.

Numeric tag

Parameter

Meaning

Parameter

Name of the tag. Only display.

Description

Free description of the tag. Only display.

Type

Type of the tag: Command or Return. Only display.

Data type

Data type of the tag. Only display.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • the tag is of type command
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: ). Modifiable dans recette).

Minimum

Minimum value for the tag.

Default from the Editor can be changed when property Modifiable dans recette was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

Minimum variable

Allowed minimum value of the variable.

Value

Name of the tag.

Default from the Editor can be changed when property Modifiable dans recette was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

Unit

Unit of the value.

Maximum

Maximum value for the tag. Only display.

Default from the Editor can be changed when property Modifiable dans recette was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

Maximum variable

Allowed minimum value of the variable. Only display.

Variable

Variable which is linked to the tag. Only display.

Data type variable

Data type of the variable. Only display.

Driver

Driver of the variable. Only display.

Driver name

Description of the driver of the variable. Only display.

Arrow keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Accept

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.

Binary tag

Parameter

Meaning

Parameter

Name of the tag. Only display.

Description

Free description of the tag. Only display.

Type

Type of the tag: Command or Return. Only display.

Data type

Data type of the tag. Only display.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • the tag is of type command
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: ). Modifiable dans recette).

Off

Status: Off.

Default from the Editor can be changed when property Modifiable dans recette was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

On

Status: On.

Toggle

Toggles between the states.

Variable

Variable which is linked to the tag. Only display.

Data type variable

Data type of the variable. Only display.

Driver

Driver of the variable. Only display.

Driver name

Description of the driver of the variable. Only display.

Arrow keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Accept

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.

String tag

Parameter

Meaning

Parameter

Name of the tag. Only display.

Description

Free description of the tag. Only display.

Type

Type of the tag: Command or Return. Only display.

Data type

Data type of the tag. Only display.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • the tag is of type command
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: ). Modifiable dans recette).

String

Alphanumeric character string.

Default from the Editor can be changed when property Modifiable dans recette was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

Possible length is limited by the Longueur String engineered in the variable.

String length

Defines possible length of the string. Only display.

Variable

Variable which is linked to the tag. Only display.

Data type variable

Data type of the variable. Only display.

Driver

Driver of the variable. Only display.

Driver name

Description of the driver of the variable. Only display.

Arrow keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Accept

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.

Time period

Parameter

Meaning

Parameter

Name of the tag. Only display.

Description

Free description of the tag. Only display.

Type

Type of the tag: Command or Return. Only display.

Data type

Data type of the tag. Only display.

Changeable in the control recipe

Active: Value of the property can be changed in the control recipe.

Only available if:

  • the tag is of type command
  • it was configured in the Editor that the tag can be changed in the Batch recipe (property: ). Modifiable dans recette).

Minimum

Minimum value for the tag in format:
d hh:mm:ss

Default from the Editor can be changed when property Modifiable dans recette was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

Minimum variable

Allowed minimum value of the variable.

Duration

Value of the parameter in the format:
T hh:mm:ss.

Default from the Editor can be changed when property Modifiable dans recette was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

Unit

Unit of the value.

Maximum

Maximum value for the tag in format:
d hh:mm:ss.

Default from the Editor can be changed when property Modifiable dans recette was activated in the Editor.
If the value is changed, it is marked with the symbol on the right side of the value. Changed values can be overwritten with the default from the Editor with the help of the button right next to it.

Maximum variable

Allowed minimum value of the variable. Only display.

Variable

Variable which is linked to the tag. Only display.

Data type variable

Data type of the variable. Only display.

Driver

Driver of the variable. Only display.

Driver name

Description of the driver of the variable. Only display.

Arrow keys

Navigating through the tags.

They are displayed in the order of the list. At this only tags are displayed which are visible with the current filter and grouping.

If changes were done, there is a prompt before you can change to another tag whether the changes should be applied or discarded. If changes should be applied, the input is checked before advancing.

Accept

Applies all changes if the check of the changes was successful. The dialog remains open for further editing.

OK

Applies all changes and closes the dialog if the check of the changes was successful.

Cancel

Discards all changes which have not been taken over yet and closes the dialog.


Column selection

Column selection

Bouton | Fonction
Ajouter | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter tout | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Flèche vers le haut | Déplace l'entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques ; les sélections multiples ne sont pas autorisées dans ce cas.
Flèche vers le bas | Déplace l'entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques ; les sélections multiples ne sont pas autorisées dans ce cas.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Abandonne les paramètres et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Column format

Column format

Parameter

Description

Available columns

List of columns available using column selection. The column selected here is configured using the settings in the Parameters section.

Parameter

Settings for selected column.

Text

Name for column title. The column title is online language switchable. For this you must enter character @ in front of the name.

Width

Width of the column in characters.
Calculation: Number time average character width of the selected font.

Alignment

Alignment.

Possible settings:

  • Left-justified: Text is justified on the left edge of the column.
  • Centered: Text is displayed centered in the column.
  • Right-justified: Text is justified on the right edge of the column.

OK

Applies settings and closes the dialog.

Cancel

Discards settings and closes the dialog.


Insert operation

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Insert operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

To insert an operation:

  1. in the tool bar select the symbol for Insert operation
  2. move the mouse to the desired position
  3. place the operation
  4. the dialog for selecting a template for the operation is opened
  5. select the desired operation
  6. The operation is inserted


Lines

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Lines

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lines connect elements via free connection points. To connect connection points with each other:

  1. Activate a point with the help of the mouse:
    The connection point turns green. Red means that the connection point is already taken.

  2. Drag a line to another connection point:
    A yellow arrow shows the direction of the line.. Green fields can be crossed. Red fields may not be crossed by the line.

  3. As soon as the yellow tip of the line touches the next connection point, the line is created.

Using trend curves

Lines:

  • are dragged with the mouse
  • can be moved (press and hold key Ctrl)
    At this all existing connections are separated and it is tried to reconnect the line if there are objects with connections points in the right direction at the target.
    If several lines are highlighted, the line, in whose cell the mouse cursor is, is moved.
  • can be deleted by highlighting them an pressing Del
  • are deleted when re-dragging them from beginning to end
  • have a tool tip displaying its ID.

If a line reaches a connection point of an object, the connection point becomes active. If a connection is possible, it turns green otherwise red. Connections connecting two connections points of the same type - two inputs, two outputs, etc. - are not allowed. The line can be added in any case. Not allowed connections are displayed in red and trigger a corresponding error message at testing.

The connection points of the elements are always displayed in the edit mode even if the connection point in question is connected. In status "Release" no connection points are displayed.

Properties connection point:

  • connected: highlighted red; connection is separated when the line is dragged and a new connection point can be chosen
  • open: highlighted green; at dragging a new line is created


Transition

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Transition

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Transitions are used after phases in order to ensure a defined transition from one phase to another. Transitions display their internal status during the process and inform via a tool tip about status and process duration.

For details about transitions see section Engineering in the Editor in chapter Transitions.


Sequence selections

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Sequence selections

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Recipes can branch A branch offers the possibility to execute one of several possible ways. For this it is necessary that the first element at the beginning of a branch is a transition. This means that Begin sequence selection can only be followed by a transitions. and run in simultaneous sequences.

Branches and simultaneous sequences consist of:

  • single/double horizontal lines
  • Connection pieces (consisting of connection line and connection point)

Create a sequence selection

To create a sequence selection:

  1. select the symbol Insert begin sequence selection
  2. put the sequence selection on the desired location
  3. connect the input connection point with a output connection point of the preceding object
  4. connect both output connection points with the desired following objects
  5. close a sequence selection with object Insert end sequence selection

Insert simultaneous sequence

To create a simultaneous sequence:

  1. select the symbol Insert begin simultaneous sequence
  2. put the sequence selection on the desired location
  3. connect the input connection point with a output connection point of the preceding object
  4. connect both output connection points with the desired following objects
  5. close a simultaneous sequence with object Insert end simultaneous sequence

Modify and move

Branches and simultaneous sequences can be moved and changed in size.

Move

To move an object:

  1. click on the object
  2. keep the mouse button pressed
  3. move the object to the desired position

Change size

In this way object Begin/end sequence selection/simultaneous sequence can be extended and shortened. To change their size:

  1. move the mouse cursor over the object until it turns into a double arrow
  2. press and hold the left mouse button and move the mouse in the desired direction:
    • away from the object to extend it
    • into the object to shorten it
  3. at extending a new connection piece is added;
    • all fields which are concerned by the extension are marked green
    • to add several need connection pieces the process must be repeated
  4. at shortening all corresponding connection pieces are deleted

Autres sujets abordés dans ce chapitre

Sequence sequence selection

Parallel branch

Split up and combine sequence selection


Sequence sequence selection

Sequence sequence selection

A branch offers the possibility to execute one of several possible ways. For this it is necessary that the first element at the beginning of a branch is a transition. This means that Begin sequence selection can only be followed by a transitions.

Procedure:

  • The path is chosen for which the transition is TRUE first.
  • Then it is waited until all transitions have a value.
  • If several transitions are TRUE at the same time, always the leftmost path for which the transition is TRUE is selected.

For begin and end the following is true: If there is a phase in front of the element and a transition behind, the phase remains active until the transition was completed.

In a sequence selection the objects are processed sequentially. Each sequence selection processes its objects independent of other branches.


Parallel branch

Parallel branch

At the parallel branch an execution path parts into several execution paths which are executed in parallel during the process. For the activation of the different elements within a parallel branch you cannot define a certain order.

In the process the respective intermediate area of the end parallel branch is also colored. The color matches the coloring of the phase.

Phase completed is displayed as active as soon as the first previous element has been completed. This means that a phase is Finished or a transition is passed. Transitions are marked as completed as soon as they are passed. Phases wait at Phase completed until the end parallel branch is completed. Completed means that either the following phase is active or the following transition is inactive.

During the execution the status is color-coded.


Split up and combine sequence selection

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Sequence selections -> Split up and combine sequence selection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Split up and combine sequence selection

For simultaneous sequences the sequence selection splits up a Begin simultaneous sequence and combines the single sequence selections at End simultaneous sequence. The paths of the parallel objects are independent branches. Only at End simultaneous sequence all branches are synchronized.

The possible branches are defined by the engineering. If the separate branches are allocated or released, arises in the Runtime. A branch is active as long as an object on it is active.

The object types Begin sequence selection, End sequence selection and Jump target do not allocate and release branches as these objects are processed in the same branch. Combining branches is not allowed.

End simultaneous sequences

An End simultaneous sequence combines the branches of the connected paths. The object after End simultaneous sequence is activated when all paths reaches End simultaneous sequence with their process.

The left path is ready. Therefore End simultaneous sequence is already active. The transition after End simultaneous sequence is not yet active as the right branch is not yet completed.

When the right branch is also completed:

The transition after End simultaneous sequence is activated. All objects which were active before are still active. Instead of the transition there could also be another End simultaneous sequence.

A little more complex alternative:

The areas highlighted in green are a branch.

Cascaded End simultaneous sequence:

The areas highlighted in green are a branch.


Jump target

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> Jump target

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Adds a jump target.

Jump targets make it possible to

  • jump between branches
  • jump out of branches
  • engineer loops

Jump targets consist of tree inputs and one output. At this the output is always at the bottom and the inputs are located at the top and the sides. You can connect any input connection points. A path which ends in a jump target must have started with a begin sequence selection. Otherwise the end is not reached. Jump targets are not allowed for simultaneous sequences.

During the editing all connection points are visible. In the checking mode only the connection points which are connected are displayed.


End element

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> PFC recipe -> End element

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Last element in the process. It is automatically created in the editor when a recipe is created and it cannot be deleted.


Matrix recipe

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

If you selected matrix recipe in dialog Configuration master recipe and exited the dialog with OK, the newly created recipe opens on a new tab in the matrix editor.

Autres sujets abordés dans ce chapitre

Matrix editor

Tool bars matrix recipe

Name steps

Add and configure phase

Insert operation


Matrix editor

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Matrix editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

In the matrix editor you can create your recipes and operations in a matrix.

Technical details

  • Matrix:
    • Columns contain phases and operations:
      Phases are inserted by clicking on the symbol above the diagonal
      Phases are inserted by clicking on the symbol below the diagonal
    • Lines contain steps with active/inactive phases.
  • Insert column/row
    Clicking on the plus sign inserts a new line or column with a phase or operation into the matrix.
  • Delete column/row Press Del to delete the highlighted line or column.
  • Move lines/columns: Lines and columns can be moved via drag & drop with the help of the mouse. Individual labels of steps remain; the step number is adapted automatically.
  • Border cells:
    • Double click on phase: opens the dialog for configuring the phase.
    • Double click on step: opens the dialog for labeling the step.
  • Selection of lines/columns:
    • left mouse click in border cell: selects a line/column.
    • Ctrl+mouse click in border cell: selects additional lines/columns.
  • Cells:
    • left mouse click: selects empty cell.
    • Shift + click: activates/deactivates phase.
    • Ctrl+click: selects several cells.
    • Double click on cell: opens the dialog for configuring the phase.
  • Scroll bar: Is displayed if the document is larger than the frame.
  • Scrolling via mouse wheel: up and down or if you press and hold Shift left and right.


Tool bars matrix recipe

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Tool bars matrix recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tool bars matrix recipe: Edit mode

New master recipe...

Opens the dialog for creating a new master recipe.

Save master recipe

Saves the master recipe which is open for editing.

If another recipe is opened, the current recipe is saved automatically.

Change background color and grid color

Opens the dialog for changing the color of the background and the grid.

Delete

Deletes the selected elements from the diagram.

Multiple selection via Ctrl+mouse click.

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Activate selected phase

Activates the selected phase.

Deactivate selected phase

Deactivates the selected phase.

Move selected column to the left or selected step up

Moves the selected column to the left by one position or moves selected step up by one position.

Move selected column to the right or selected step down

Moves the selected column to the right by one position or moves selected step down by one position.

Switch recipe to test mode

Switches recipe to the test mode. For this the recipe must be without errors.

Release recipe

Releases the recipe. With this a control recipe can be created.

Tool bars matrix recipe: test mode

Parameter | Description
Start recipe | Starts the recipe process.
Recipe pausing | Pauses the recipe.
Recipe resuming | Resumes paused recipe.
Recipe holding | Holds recipe.
Restart recipe | Restarts held recipe.
Recipe stopping | Stops the recipe.
Recipe abborting | Aborts the recipe process.
Phase pausing | Pauses the phase.
Phase resuming | Resumes the process of a paused phase.
Phase holding | Holds phase.
Restart phase | Restarts held phase.
Escape phase | Starts process to exit from the phase.
Check recipe for errors | Starts recipe validation.
Edit element | Opens the corresponding dialog for editing the selected element.
Show/hide grid | Shows/hides the grid.
Change background color and grid color | Opens the dialog for changing the color of the background and the grid.
Switch to automatic mode | Switches process to automatic mode.
Switch to semi-automatic mode | Switches process to semi-automatic mode.
Switch to manual mode | Switches process to manual mode.
Continue recipe only at selected execution position | Continues a recipe at the selected position.
Continue recipe at all execution positions | Continues a recipe on every available position.
Skip active condition | Skips an active condition. Only possible in the manual mode.
Edit mode | Switches from test mode to edit mode.
Release recipe | Releases the recipe. With this a control recipe can be created.

Matrix recipe tool bar: approved

Parameter

Description

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Show/hide grid

Shows/hides the grid.

Change background color and grid color

Opens the dialog for changing the color of the background and the grid.

Duplicate recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

Create control recipe

Creates a control recipe on the basis of the approved master recipe.

info Info

The functions of the individual symbols can also be configured using buttons and thus be made touch-operable. Tool bars can therefore also be hidden.


Name steps

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Name steps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Steps in the matrix editor can be named individually. Double click on the cell to open the dialog for entering an individual name.

The name can have up to 100 characters and is language switchable is preceded by a @.


Add and configure phase

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Add and configure phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

To add a phase:

  1. Click on the plus sign above the diagonal in the last column of the matrix
  2. the dialog for selecting a phase is opened
  3. select the desired phase

To configure a phase:

  1. double click the matrix filed with the desired phase
  2. The dialog for configuration is opened

Configuration

Parameter | Description
Phase active in this step | Active: Phase is active in this step
Name | Name of the phase. Only display.
Description | Comment about the phase. Only display.
Unit | Unit on which the phase is carried out. Only display.
OK | Applies all changes on all tabs and closes the dialog.
Cancel | Discards all changes on all tabs and closes the dialog.

Configuration of the tabs see section PFC editor/chapter:

  • General: Display and configuration of the settings for the phase
  • Tag: Configuration of the tags

Rules for editing a phase

A phase can be edited:

  • In a master recipe in edit mode: If the user has sufficient rights.
  • In a master recipe in test mode: If the user has sufficient rights and the phase is not active.
  • In a control recipe with prepared status: If the user has sufficient rights and the Changeable in the control recipe option has been activated.
  • In a control recipe with running status: If the user has sufficient rights, the Changeable in the control recipe option has been activated and the phase is not active.

The phase can no longer be edited in pre-configured control recipes and in approved master recipes.


Insert operation

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Matrix recipe -> Insert operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

To insert an operation:

  1. Click on the plus sign below the diagonal in the last column of the matrix
  2. the dialog for selecting a template for operation is opened
  3. select the desired templates
  4. A new operation is inserted


Master recipe - test mode

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Master recipe - test mode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The test mode is used to test master recipes without releasing it and creating control recipes. In addition in the test mode changes in the Editor can be applied directly via reloading the Runtime.
Exception: During the execution of a recipe, the reloading of a recipe is delayed. Not until the recipe is finished, stopped or aborted, the reloading process is executed.

In test mode you cannot can the principle recipe process. You can only change values of the command tags. Changes are directly saved in the master recipe. It is not necessary to save explicitly.

Parameters

Description

Start recipe

Starts the recipe process.

Recipe pausing

Pauses the recipe.

Recipe resuming

Resumes paused recipe.

Recipe holding

Holds recipe.

Restart recipe

Restarts held recipe.

Recipe stopping

Stops the recipe.

Recipe abborting

Aborts the recipe process.

Phase pausing

Pauses the phase.

Phase resuming

Resumes the process of a paused phase.

Phase holding

Holds phase.

Restart phase

Restarts held phase.

Check recipe for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Show/hide grid

Shows/hides the grid.

Change background color and grid color

Opens the dialog for changing the color of the background and the grid.

Switch to automatic mode

Switches process to automatic mode.

Switch to semi-automatic mode

Switches process to semi-automatic mode.

Switch to manual mode

Switches process to manual mode.

Continue recipe only at selected execution position

Continues a recipe at the selected position.

Continue recipe at all execution positions

Continues a recipe on every available position.

Skip active condition

Skips an active condition.

Only possible in the manual mode.

Switch recipe to edit mode

Switches from test mode to edit mode.

Release recipe

Releases the recipe. With this a control recipe can be created.


Release master recipe

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Release master recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

You can release a master recipe by selecting it and clicking button Release master recipe. Several recipes can also be selected and approved together. Approval must be confirmed by means of a dialog.

As soon as a recipe has been approved, the dialog to allocate the unit can no longer be opened. All information about the unit is displayed in the tooltip. Dialogs for transitions and phases can continue to be opened as write-protected.

info Info

Only master recipes without errors can be released. A released master recipe can no longer be edited.

For each recipe you can create a copy of the released master recipe by clicking on button Duplicate recipe. This copy can then be edited.

Recipes can only be approved if all operations contained therein have also been approved.


Highlight recipe as outdated

Manuels -> Batch Control -> Configure and control in the Runtime -> Master recipes -> Highlight recipe as outdated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Recipes that are no longer valid but have not been deleted should be marked as outdated. If a recipe is set to this status, it can no longer be edited or approved. No control recipe can be created on the basis of this recipe either. The recipe can however be duplicated and thus be used as the basis for new master recipes.

Only recipes that have the status approved can be marked as outdated. The following applies for attendant control recipes:

  • Control recipes that are currently being executed continue to be executed
  • Control recipes with the prepared status can no longer be executed


Validate recipe

Manuels -> Batch Control -> Configure and control in the Runtime -> Validate recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Recipes can be checked for error during the engineering. To validate a recipe click on the corresponding symbol in the tool bar of the recipe editor in the Runtime (green tick - Check recipe for errors). With this the recipe is checked for functionality according to internal rules. The following is especially checked:

  • Syntax (all lines connected, processable from begin to end, etc.)
  • Variables
  • Data types

The result of the check is displayed as pop-up in plain text. Found errors are also saved in the log file which can be analyzed with the Diagnosis Viewer.

Rules which must be adhered to during the engineering can be found in chapter Engineering rules for recipes.


Operations

Manuels -> Batch Control -> Configure and control in the Runtime -> Operations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Operations form a substructure that can be embedded in recipes. This can provide a better overview in complex recipes. Operations are created in a similar manner to matrix recipes or PFC recipes. The operations are created on the basis of templates and as an instance in existing matrix recipes or PFC recipes.

Creating an operation

To create a new operation:

  1. In the Recipe Editor switch the list of operations to visible (activate checkbox)
  2. Select, in the tool bar or context menu of the list, the New operation command
  3. The dialog for configuring an operation is opened

Parameter

Description

Matrix recipe

Activate this radio button if you would like to create an operation on the basis of a matrix recipe.

Note: Only possible if the corresponding license is available.

PFC recipe

Activate this radio button if you would like to create an operation on the basis of a PFC recipe.

Note: Only possible if the corresponding license is available.

Name

Unique name for the operation. The name must not contain a dot (.), a question mark (?), a @ or an asterisk (*).

Maximum length: 256 characters.

Note: When you copy an operation the existing name is complemented with the prefix "Copy of". If the maximum length is exceeded by this, the name is shortened to the allowed length starting from the last character.

The uniqueness is checked in the entire network. Therefore it can happen that you cannot take over the name as another user on another computer in the zenon network already has used the same name and you do not see the recipe in the list of the operations yet.

The recipe names can be changed later but only as long as the recipe has the status editable.

Description

Optional description for the operation which should be created.

The description can be changed later but only as long as the operation has the status editable. To change the description select the symbol Rename operation.

OK

Applies all settings and created a new operation.

Cancel

Closes the dialog without creating an operation.

Configuration in the Recipe Editor is similar to the creation and configuration of PFC recipes and Matrix recipes.

changes to operations are only visible for the user in the operation instance if the operation instance has been saved.

Opening operations

Existing operations can be opened by:

  • Double-clicking on an operation in the list of the operations
  • The Open in Recipe Editor command in the context menu of an operation
  • Clicking on the Open symbol in the tool bar

Using operations

Operations can be inserted in recipes in the matrix editor or in the PFC editor and used as part of the recipe there.

You insert operations:

  • In the PFC editor using the Insert operation symbol
  • In the matrix recipe using the Add operation symbol

Phases and commands can be executed within operations. The position of the object in the recipe is also given in the CEL when a command is executed.

When inserting an operation into a recipe, the currently-saved version is always inserted. If the operation is open for editing, all unsaved changes are thus also not part of the inserted instance.

Saving operations

Operations are, as instances, always part of the master recipe in which they are integrated. If an operation is saved, the attendant master recipe is also saved automatically.

Tooltip

Operations have a tooltip. The following are displayed as soon as they have been executed once:

  • Execution status:
    Contains current status and original status (status from which the operation comes). The original status is evident from the visual coloring and does not always correspond to the actual last status.
  • Execution counter
  • Error:
    Shows the number of objects that currently have an error status and the number of objects that have had an error status. Each object is always only used for one error.
  • Exit from phase:
    Number of objects that are being exited from or have been exited from
  • Overall duration with time when it was deactivated and deactivated
  • Information about the status of the internal objects: Number of objects with the respective status (except idle)

Autres sujets abordés dans ce chapitre

Toolbar and context menu operations

Selection of the template for an operation

Status operation

Symbol for execution


Toolbar and context menu operations

Manuels -> Batch Control -> Configure and control in the Runtime -> Operations -> Toolbar and context menu operations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tool bar list

Parameter | Description
New operation | Creates a new operation.
Open operation in Editor | Opens the selected operation in the recipe editor.
Rename the operation | Opens the dialog to name a recipe.
Duplicate operation | Duplicates the selected operation.
Delete operation | Deletes the selected operation.
Release operation | Checks the selected operation and approves it if no errors were found.
Column selection | Opens the dialog to select a column.
Column format | Opens the dialog to format a column.

Context menu

Parameter | Description
New operation | Creates a new operation.
Rename | Opens the dialog to name a recipe.
Duplicate | Duplicates the selected operation.
Delete | Deletes the selected operation.
Open in Editor | Opens the selected operation in the recipe editor.
Release | Checks the selected operation and approves it if no errors were found.

Tool bar PFC editor: Edit mode

Parameter

Description

New operation...

Opens the dialog for creating a new operation.

Save operation

Saves the master recipe which is open for editing.

Show/hide grid

Shows/hides the grid.

Change background color and grid color

Opens the dialog for changing the color of the background and the grid.

Delete

Deletes the selected elements from the diagram.

Multiple selection via Ctrl+mouse click.

Check operation for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

Phase

Opens dialog for selecting a phase and replaces the existing phase by the newly selected phase. Several phases can be selected and replaced together

Shortcut: Shift+double click

Edit mode

Toggles between insert mode and edit mode.

Insert phase

Adds a phase.

Insert transition

Adds a transition.

Insert begin simultaneous sequence

Adds a begin simultaneous sequence.

Insert end simultaneous sequence

Adds an end simultaneous sequence.

Insert begin sequence selection

Adds a begin sequence selection.

Insert end sequence selection

Adds an end sequence selection.

Insert unit allocation

Adds a unit allocation.

Insert jump target

Adds a jump target.

Release operation

Releases the operation. With this a control recipe can be created.

Note: Insertions remain active until you change to the edit mode using the Edit mode symbol, the Esc key or you change to another insert option via a symbol for adding a new element.

PFC recipe tool bar: approved

Parameter

Description

Check operation template for errors

Checks recipe for errors and displays found errors in an information window. For several errors the first errors are displayed.

The error message contains the error number, the ID of the element, its location and a message in plain text.

Edit element

Opens the corresponding dialog for editing the selected element.

The dialog is opened in write-protected mode, because it is no longer possible to edit approved recipes.

Show/hide grid

Shows/hides the grid.

Change background color and grid color

Opens the dialog for changing the color of the background and the grid.

Duplicate operation

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.


Selection of the template for an operation

Manuels -> Batch Control -> Configure and control in the Runtime -> Operations -> Selection of the template for an operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Operations can be inserted into recipes as an instance. When inserting an operation into a matrix recipe or a PFC recipe, the dialog to select a template for an operation is opened. This contains all previously-configured operations:

Parameter

Description

List workspace

In the standard dialog to display the projects present in the workspace. No function in Batch Control, because operations can always be selected from the respective active project.

Hint: Drag this area down to the minimum size. It is then only displayed as minimized* in the future.

Operation list

Contains all operations that have been created. Any desired operations (matrix or PFC) can be selected for both editors (matrix and PFC).

Entries can:

  • be sorted by clicking on the column title; another click inverts the sorting
  • be filtered into filter rows by alphanumeric entries (wildcards can be used)

Arrow keys

Move the selection:

  • up
  • down

Status line

Display:

  • Number of entries
  • Number of filtered entries displayed
  • Number of selected entries

No selection

Cancels existing selection for existing operation and closes the dialog.

OK

Accepts selection, closes dialog and inserts operation.

Cancel

Discards selection and closes dialog without selecting or amending a template.

*workspace minimized:


Status operation

Manuels -> Batch Control -> Configure and control in the Runtime -> Operations -> Status operation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The status shown for an operation always represents the status of the object with the highest priority in the operation.

The following applies to the colored identification:

  • Non-transient status: the whole operation is colored
  • Transient status: Original status and target status are displayed
  • Holding as original status: Running (green) is always displayed

Priority

Priority of the objects in an operation, starting with the highest priority:

  1. ABORTING
  2. ABORTED
  3. STOPPING
  4. STOPPED
  5. RESTARTING
  6. HOLDING
  7. HELD
  8. PAUSING
  9. PAUSED
  10. RUNNING
  11. COMPLETE
  12. IDLE


Symbol for execution

Manuels -> Batch Control -> Configure and control in the Runtime -> Operations -> Symbol for execution

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The symbols correspond to the symbols generally used the REE. Operations are symbolized in the REE by triangles in the left and right corner.

Symbol

Description

Tooltip

No symbol

Idle:

No object is active in the operation.

Idle

Running:

A symbol is always displayed whilst an operation is running.

If objects are still running in the operation, the progress symbol is shown.

Execution of the internal objects.

Phase finished:

If objects are already active after the operation, the symbol for following condition is displayed.

Waiting for Following conditions.

If an object has a different status within the operation, then a symbol is also displayed on the right.

There is a different status if an object has an empty status within the operation that does not correspond to the status of the operation and is not idle or complete.


Control recipe

Manuels -> Batch Control -> Configure and control in the Runtime -> Control recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Control recipes control the progress of a recipe in the Runtime.

Autres sujets abordés dans ce chapitre

Create control recipe

Tool bar and context menu for control recipe list view

Control recipe edit mode tool bar

Execute control recipe


Create control recipe

Manuels -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Create control recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

You can create control recipes only based on released master recipes. Select the released master recipe in the list of the master recipes, which should serve as basis for your control recipe and click on button New control recipe....

Parameter

Description

Matrix recipe

Active: A matrix control recipe is created.

Only display.

PFC recipe

Active: A PFC control recipe is created.

Only display.

Job ID

The job ID provided by the job variables.

Name

Unique name for the control recipe. The name must not contain a dot (.), a question mark (?), a @ or an asterisk (*).

The uniqueness is checked in the entire network. Therefore it can happen that a name is not accepted as another user already used the same name on another computer in the zenon network at the same time.

You can change the name afterwards as long as the recipe has status Prepared.

Description

Optional description of the recipe.

OK

Accepts configuration and closes dialog.

Cancel

Discards entries and closes the dialog.

If the control recipe was created using the symbol in the toolbar, then it is automatically opened in a new tab in the recipe editor provided this has been configured in the screen. If the control recipe has been created using the context menu, it is not opened in the recipe editor.

The newly created recipe is also displayed in the list of control recipes even if it does not match the set filter criteria.


Tool bar and context menu for control recipe list view

Manuels -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Tool bar and context menu for control recipe list view

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Toolbar

Symbol | Description
Open control recipe in Editor | Opens the selected recipe in the recipe editor.
Rename control recipe | Opens dialog to rename the selected recipe.
Duplicate control recipe | Creates a copy of the selected recipe and opens the dialog to rename the duplicate.
Delete control recipe | Deletes selected recipes.
Start control recipe | Starts selected control recipe.
Column selection | Opens the dialog for selecting the columns which should be displayed.
Column format | Opens the dialog for configuring the column formats.

Context menu

Command | Description
Open in Recipe Editor | Opens the selected recipe in the Editor.
Rename | Opens dialog to rename the selected recipe.
Duplicate | Creates a copy of the selected recipe and opens the dialog to rename the duplicate.
Delete | Deletes selected recipes.
Starting | Starts selected control recipe.


Control recipe edit mode tool bar

Manuels -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Control recipe edit mode tool bar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Parameter

Type

Description

Start recipe

Command

Starts the recipe process.

Recipe pausing

Command

Pauses the recipe.

Recipe resuming

Command

Resumes paused recipe.

Recipe holding

Command

Holds recipe.

Restart recipe

Command

Restarts held recipe.

Recipe stopping

Command

Stops the recipe.

Recipe abborting

Command

Aborts the recipe process.

Phase pausing

Command

Pauses the phase.

Phase resuming

Command

Resumes the process of a paused phase.

Phase holding

Command

Holds phase.

Restart phase

Command

Restarts held phase.

Escape phase

Command

Starts process to exit from the phase.

Check recipe for errors.

Action

Starts recipe validation.

Edit element

Action

Opens the corresponding dialog for editing the selected element.

Show/hide grid

Action

Shows/hides the grid.

Change background color and grid color

Action

Opens the dialog for changing the color of the background and the grid.

Switch to automatic mode

Command

Switches process to automatic mode.

Switch to semi-automatic mode

Command

Switches process to semi-automatic mode.

Switch to manual mode

Command

Switches process to manual mode.

Continue recipe only at selected execution position

Command

Continues a recipe at the selected position.

Continue recipe at all execution positions

Command

Continues a recipe on every available position.

Skip active condition

Command

Skips an active condition.

Only possible in the manual mode.

Duplicate recipe

Action

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically gets the status Prepared and can therefore be edited and started. The REE status of the duplicate is set to automatic.

When duplicating a recipe, a CEL entry is created.


Execute control recipe

Manuels -> Batch Control -> Configure and control in the Runtime -> Control recipe -> Execute control recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Control recipes can be started:

  • after selecting a control recipe in the list of the control recipes:
    • via click on button Start control recipe
    • via click on menu item Start in the context menu
  • via click on symbol Start control recipe in the tool bar if the control recipe is opened

PFC control recipe:

Matrix control recipe:

Change values

If in the master recipe property Changeable in the control recipe was activated, certain values can be adapted in the control recipe as long as the phase i snot active yet. In this case a button for synchronization is displayed next to the value. A click on this button take over the defined value from the master recipe.

No more values can be changed in control recipes that have already been executed.

Meaning of the symbols next to the values:

Symbol | Description
 | Value in the control recipe and in the master recipe match.
 | Value in the control recipe and in the master recipe are different.
 | Click on button to apply the value from the master recipe. It overrides the value in the control recipe. Only active if the values in the control recipe and the master recipe do not match.

Tooltip

A tool tip informs you about the current and historical events of an element.

The following is displayed:

  • Element name
  • General information about status and number of executions.
    Note: The counter becomes active if the phase is reactivated, including if the status is restarting, but the restart condition has not yet been run through.
  • Error
  • Total duration including times in status Paused.
  • Timing


Synchronization

Manuels -> Batch Control -> Configure and control in the Runtime -> Synchronization

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Checking for changes in the Editor

When loading, opening, duplicating or approving a recipe, a check is made to see if the configuration of the unit, phase, etc. was changed in the Editor. If a change is detected, it is taken over in the object to which the function concerned is assigned. Settings that were overwritten in Runtime are retained. When the recipe was changed, it is shown via an asterisk (*).

At reloading the recipe is also checked.

info Info

Only recipes in edit mode or test mode are updated. Recipes in test mode that are currently running are only updated after execution has ended.

If a changed recipe should be release which was not yet saved, a prompt is displayed with the following possibilities:

  • to approve the current recipe
  • to approve the saved recipe
  • cancel the release process

attention Attention

Changes to phases in the Editor are taken over without warning message when the recipe is releases in the Runtime. For all data which are not overwritten in the Runtime, the Editor is the leading system.

Synchronization of phases

Editing of phases and their parameters is possible at the four following levels:

  • in the zenon Editor
  • In the template of the operation
  • in the master recipe
  • in the control recipe

When instancing, the data form the level above is always used. Synchronization and comparison in the editing dialogs also always relates to the previous level.

Origin of data for comparison or synchronization:

Position of phase | Phase that provides comparison data
in the zenon Editor | No data to compare.
in the master recipe | Phase configured in the zenon Editor.
in the control recipe | The phase from the master recipe.
In the template of the operation | Phase configured in the zenon Editor.
In the instance of the operation in the master recipe | The phase from the template of the operation.
In the instance of the operation in the control recipe | The phase from the instance of the operation in the master recipe.

You can find information on the origin of the comparison data in the tooltips of the control elements for synchronization.

Recipes and operations

The following is always the case when synchronizing operations:

  • Master recipes are always synchronized with the editor data
  • Then the instances of operations are synchronized with the data from their templates

Synchronization is carried out if:

  • A recipe is opened,
  • loaded,
  • An operation template is saved and a recipe is opened that has an instance of this template

Values in phases and parameters correspond to the values in the templates as standard and can be overwritten locally.


Manage recipes

Manuels -> Batch Control -> Configure and control in the Runtime -> Manage recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The entire recipe management is done in the Runtime with the help of one or several screens of type Batch Control. Due to suitable filter settings you can achieve already filtered views for master recipes and/or control recipes.

In the screen different control elements (buttons, lists, editors) are available for different tasks. The screen is separated in three main areas which can be used and engineered in part completely independent of each other:

  • Area master recipes: Consists of a list and buttons for managing. The area can be used completely independently.
  • Area control recipe: Consists of a list and buttons for managing. The area can be used only together with the list of the master recipes as a master recipe must be selected first before the appertaining control recipes are displayed in the list.
  • Recipe editors: Depending on the set recipe type the PFC editor or the matrix editor is used. The recipe editor needs either List master recipe or both lists for a recipe to be opened in it.

Autres sujets abordés dans ce chapitre

Manage master recipes

Manage control recipes

Saving on the hard disk and backup scenarios


Manage master recipes

Manuels -> Batch Control -> Configure and control in the Runtime -> Manage recipes -> Manage master recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

List and list formating

List/action

Description

Master recipes list

In this list all master recipes can be displayed. The display can be limited by filters to an individual selection.

The filtering can be preset in the zenon Editor in the screen switch function. Online filtering is also possible. These filters are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.

The recipes in the list cannot be edited directly in the list. Renaming, changing the description or changing the recipe status is only possible with the corresponding commands.

Hint for ideal configuration of the list:

The list can be designed diversely concerning content and look:

  • Content: The displayed columns can be selected, the column format (column width, alignment, label) can be changed and you can define filters. These settings can be edited in Editor and Runtime.
  • Look: At the settings of the list in the Editor you can find diverse setting possibilities in areas Affichage, Ascenceurs and Couleur. With these properties you can even design the list ready for touch operation.

Actions for list management

Action | Description
Column selection master recipe... | Opens a dialog in order to determine which columns should be displayed. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.
Format columns master recipe... | Opens a dialog to edit the column settings. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Actions for recipe management

Action

Description

New master recipe...

Creates a new and completely empty master recipe in status Editable. The dialog for entering a unique name and a free description is displayed. The uniqueness of the name is also checked in the zenon network.
Depending on the license you can also select the recipe type: Matrix recipe or PFC recipe. If only one of these recipe types is licensed, the licensed recipe type is fixedly set. The selected recipe type cannot be changed afterwards.

When creating a master recipe, a CEL entry is created.

Duplicate master recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.
The copy of the recipe automatically receives status Editable and can be edited further.

When duplicating a recipe, a CEL entry is created.

Delete master recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.
Deleting is only possible if there are no control recipes which are based on the master recipe. First you must delete all control recipes.
Recipes which are currently executed in test mode (master recipe status: Test in execution) cannot be deleted. First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. FDA regimented environment - we recommend not to engineer this button or to give it an appropriated Groupe autorisation.
When deleting a recipe, a CEL entry is created.

Rename master recipe

Only active if exactly one master recipe was selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Editable.
Also use this function in order to changed the description of the control recipe.

When renaming a recipe, a CEL entry is created.

Open master recipe

Opens the selected master recipe in the recipe editor if screen element Recipe editor exists in the screen. Each selected master recipe is opened in a separate tab of the recipe editor.

Release master recipe

Changes the master recipe status of the selected recipes to Released. Only recipes without errors can be released. If error occur during the validation, you must first fix them.
Only recipes in status Test mode and Editable can be released.

Released recipes can no longer be edited. Control recipes can only be created from released recipes.
For details about the states see chapter Recipe types and recipe states.

When releasing a recipe, a CEL entry is created.

Test master recipe

Changes the master recipe status of the selected recipe to Test mode. Only faultless recipes can be switched to test mode. If error occur during the validation, you must first fix them.

Recipes in the test mode can be executed but no longer reengineered. For details about the states see chapter Recipe types and recipe states.

Edit master recipe

Changes the master recipe status of the selected recipes to Editable. In this status recipe can again be edited completely.
Only recipes in Test mode can be set back to Editable.

Highlight master recipe as outdated

Changes the status of the recipe to outdated. The recipe can no longer be edited or approved. No control recipe can be created on the basis of this recipe.

New control recipe...

Opens the dialog for entering a unique name and a description for the control recipe. The uniqueness of the name is also checked in the zenon network. The name must only be unique within the master recipes. Control recipes which are based on other master recipes may have the same name. The uniqueness within module Batch Control is achieved by always referencing the master recipe name and the control recipe name.

When creating a control recipe, a CEL entry is created.

Actions for filling the control recipe list

As each control recipe can be executed only once, we assume that there are very many control recipes. As during the loading of the list of the control recipes each control recipe is opened on the hard disk, it makes sense to not display all control recipes. Therefore control recipes cannot be opened automatically. They must be called up manually and via filters:

  1. Provide the fitting filter options.
  2. Select the desired master recipes.
  3. Click on button Display associated control recipes in list.
  4. All control elements complying with the filters and the selection are displayed in the list of the control recipes.
Action/filter | Description
currently executed control recipes | Opens only control recipes that are currently being executed. Control recipe status: Running
prepared control recipes | Opens only control recipes which are prepared for execution. Control recipe status: Prepared
finished control recipes | Opens only control recipes which have already been executed. Control recipe status: Executed
Display associated control recipes in list | Displays all control recipes that are based on the selected master recipe and that comply with the set filter criteria.


Manage control recipes

Manuels -> Batch Control -> Configure and control in the Runtime -> Manage recipes -> Manage control recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

List and list formating

List/action

Description

Control recipe list

In this list all control recipes can be displayed. The display can be limited by filters to an individual selection.

Per default the list is empty. For filling the list you must:

  • select master recipes
  • Set the currently-executed control recipes,
    prepared control recipes and
    completed control recipes
    filters
  • click button display associated control recipes in list

In addition to the filters mentioned above, you can filter the list itself. The filtering can be preset in the zenon Editor in the screen switch function. Online filtering is also possible. These filters are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

All commands are also possible in the context menu of the list. The commands for list management can be called from the header of the list. The commands for recipe management can be called at editing one or more recipes.
The recipes in the list cannot be edited directly in the list. Renaming, changing the description or starting the recipes is only possible with the corresponding commands.

Hint for ideal configuration of the list

The list can be designed diversely concerning content and look:

  • Content: The displayed columns can be selected, the column format (column width, alignment, label) can be changed and you can define filters. These settings can be edited in Editor and Runtime.
  • Look: At the settings of the list in the Editor you can find diverse setting possibilities in areas Affichage, Ascenceurs and Couleur. With these properties you can even design the list ready for touch operation.

Actions for list management

Action | Description
Column selection master recipe... | Opens a dialog in order to determine which columns should be displayed. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.
Format columns master recipe... | Opens a dialog to edit the column settings. Attention: These changes are discarded when the screen is called up again. A permanent definition is only possible in the zenon Editor.

Actions for recipe management

Action

Description

Duplicate control recipe

Only active if exactly one recipe is selected.
Created a copy of the selected recipe. At the creation of the copy, the version of the recipe saved on the hard disk is used. If the recipe is just edited in another computer and the changes have not yet been saved, the changes are not applied. The dialog for the input of a unique name and the description is opened.

The copy of the recipe automatically gets the status Prepared and can therefore be edited and started. The REE status of the duplicate is set to automatic.

When duplicating a recipe, a CEL entry is created.

Delete control recipe

Deletes the selected recipes irrevocably. If the recipe is opened on another computer for editing, it is automatically closed there.
Deleting is only possible if all selected recipes are not executed (control recipe status: In execution). First they must be finished, stopped or canceled.

If recipes must not be deleted - e.g. FDA regimented environment - we recommend not to engineer this button or to give it an appropriated Groupe autorisation.
When deleting a recipe, a CEL entry is created.

Rename control recipe

Only active if exactly one control recipe was selected.
The dialog for the input of a unique name and the description is opened.
Recipes can only be renamed if they are in status Prepared.
Also use this function in order to changed the description of the control recipe.

Open control recipe

Opens the selected control recipe in the recipe editor if screen element Recipe editor exists in the screen. Each selected control recipe is opened in a separate tab of the recipe editor.

Start control recipe

Starts the selected control recipe in the defined REE mode. The recipes are executed invisibly at the Server. It is not necessary that the recipe is opened in the recipe editor.


Saving on the hard disk and backup scenarios

Manuels -> Batch Control -> Configure and control in the Runtime -> Manage recipes -> Saving on the hard disk and backup scenarios

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Master recipes

Each master recipe has a unique ID under which it is saved on the hard disk with file extension .MR; e.g. 9.MR
Each recipe conforms to one file. The ID of the recipe can be read from the list of the master recipes. For this column Master recipe ID must be visible.
The folder for the master recipes is a sub folder of Dossier runtime: \RT\FILES\zenon\system\BatchRecipes

For the recipe management file Recipe.unique is responsible which is located in the same folder. It makes sure that the recipe names are unique.

Note: If you delete a recipe manually via the file explorer and therefore outside of the Runtime and the module Batch Control, you must delete file Recipe.unique for its content to be correct again. For example if you delete a control recipe manually, you cannot delete the respective master recipe in module Batch Control as the control recipe still exists according to module Batch Control. Only after a reinitialization of file Recipe.unique the master recipe can be deleted.

Backing up master recipes

The .MR files - and with this all master recipes - can be backed up at any time. For example you can use function File operations.

Restoring master recipes

The restoring should only be done if absolutely necessary as more current data is overwritten. Proceed as follows:

  1. Exit the Runtime.
  2. Save all existing master recipes.
  3. Rename file Recipe.unique or delete it. It automatically re-created at the Runtime start from the .MR files.
  4. Restore the .MR files from an earlier backup.
  5. Restart the Runtime.

Control recipe

Each control recipe has a unique ID under which it is saved on the hard disk with file extension .CR; e.g. 9.CR
Each recipe conforms to one file. The ID of the recipe can be read from the list of the control recipes. For this column Control recipe ID must be visible. Control recipes are always based on a master recipe and are therefore always assigned to it. The ID number circles are therefore only unique with regards to the underlying master recipe.
Example: The master recipe with ID 9 has the control recipes with IDs 1 and 2. The master recipe with ID 10 has the control recipes with IDs 1 and 2.

Therefore each master recipe has a sub folder in which the control recipes are saved. The name of the folder is always: <Master recipe ID>.crd. In our example there is the folder 9.crd with files 1.CR and 2.CR and the folder 10.crd with files 1.CR and 2.CR.

The folder for the command recipes are sub folder of Dossier runtime: \RT\FILES\zenon\system\BatchRecipes\. In this folder the individual control recipe folders have been created. In each control recipe folder there is the file Recipe.unique. It makes sure that the recipe names are unique.

Backing up and restoring control recipes

Proceed in the same was as for the master recipes only that you now need to backup all .CR files and the appertaining folder structure. At restoring you must delete all Recipe.unique files. They are also restored automatically.


Recipe Execution Engine (REE)

Manuels -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The REE (Recipe Execution Engine) executes recipes in the Runtime. You can start any number of recipes.

Autres sujets abordés dans ce chapitre

Symbols and Color

Create image

Behavior of elements in Runtime

Mode and mode change

The REE states

Step-by-step execution of a recipe and jumps in the recipe

Process of a phase in detail

Escape phase

Restart phase

Secure writing of the command parameters

Exit and restart Runtime


Symbols and Color

Manuels -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Symbols and Color

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The states during the process of a phase are displayed with the help of different symbols. Some symbols are also used for transitions and end simultaneous sequence.

Symbols and what they mean:

Symbol

Meaning

Phase starts.

Waiting for unit allocation. The unit of the phase is already being used in another recipe.

Whilst waiting for the input interlocking.

  • During the execution of a phase and the waiting for Reaction finished.
  • With transitions: Whilst running and waiting for transition condition.
  • With end simultaneous sequence: Waiting for all branches combined.

In preparation for start. After a restart when waiting for the restart conditions.

  • Reaction finished recognized; waiting for Reaction completed.
  • With transitions: Waiting for transition condition met.
  • With end simultaneous sequence: Waiting for simultaneous sequence finished and waiting for following condition.

Waiting for Durée minimum d'exécution procedure.

Waiting for exclusive execution.

Time out for unit allocation expired.

Time out for input lock expired.

Waiting too long for value for writing.

Time out for Reaction completed expired.

Time out for Reaction ended expired.

If an error occurs during a phase, the phase is marked as faulty until it is restarted.

State

The execution status of phases, transitions and end simultaneous sequence is signaled in color:

State

Color

Idle:

white

Running:

green

Finished:

blue

Stopping:

Two colors:

  • yellow
  • Original color

Stopped:

yellow

Pausing:

Two colors:

  • orange
  • Original color

Paused:

orange

Holding:

Two colors:

  • grey
  • Original color

Held:

grey

Aborting:

Two colors:

  • red
  • Original color

Aborted:

red

Restarting:

Two colors:

  • green
  • Original color

Force:

(phases or transitions only)

Violet border

Timeout:

red border

Action on stop command

After a stop command, the phases, transitions and end simultaneous sequence immediately go to stopped status, even if other elements are still waiting for a condition for stopping. Further subsequent commands such as cancel are ignored. The stopped status remains displayed.


Create image

Manuels -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Create image

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

At closing the Runtime an image file Image of the running recipe is created. This image contains the images of the REEs, the order of the allocation and all reactions which are needed for the restart. The image can also be created cyclically during Runtime operation.

REE images are stored in the project folder with the following naming convention: Batch[Version-Hex].REE

With the file extension .REE, image files are read in when Runtime is started and the most recent version is identified. The most recent version is the image to be loaded and remains as a file after restarting. All other files with the extension .REE are deleted.

Ending the image in Runtime

If the Trigger end of Runtime event is triggered, the ending of Runtime is prevented until the Batch Control module has backed up all data. A process screen is created that represents the initial status for the restart. Likewise, it is ensured that the parameters of the Write set value action arrive at the control unit securely. Internally the phase is paused only when the writing confirmation from the driver ensued. Find out more information in the chapter Exit and restart Runtime

Cyclic image writing

An image can also be written cyclically during Runtime. As soon as Activer écriture cyclique is activated, an image is created in the given cycle.

To activate cyclical writing:

  1. Go, in the properties of the Batch Control module, to the Ecriture image cyclique group.
  2. Activate the propertyActiver écriture cyclique
  3. In the Temps de cycle [s] property, create the time period for the writing of the image; the minimum time period is 30 seconds
    Note: If the cycle time is changed and reloaded, then the next time to which an image is written is recalculated.

With cyclical writing, the last two image files are always retained. Older ones are deleted. Writing is a two-stage process:

  1. The image is written to the TemporaryImg.REE file.
  2. If this was successful, the next version number is issued and the temporary file is renamed to the new version.

Saving the current recipe to the image

With cyclically-created images, all recipes that are currently running are saved in the image. This ensures that the recipe is appropriate to the execution status on restarting. To do this, the recipe from the image overwrites the recipe in Runtime when restarting. It is only possible to restart if the recipe in question still exists and is still in an execution status. The recipe is not restarted if the recipe has already ended after the image has been created.


Behavior of elements in Runtime

Manuels -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Behavior of elements in Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Phases

All phases paused

In manual mode, it is possible to assign all phases the status paused.
For example: The branch continues to be gone through before the end simultaneous sequence after the end of this. The active element is thus after the end simultaneous sequence and before the next phase. All phases before the end simultaneous sequence have the status paused. These phases are now only set to hold and then to restart. The other phases remain paused. If the restarted phase is ended, there is only one active element. If this is activated with next step, then all phases are paused and there are no more active elements.

Solution: Resuming of the paused phases.

Pause and Resume

The following applies to pausing and resuming:

  • Pausing and resuming with active element: A paused phase that is active for an active element is not continued.
  • Switching from manual REE mode to automatic: All phases that are active for an active element are resumed.
  • If a phase is paused in manual mode and the REE is switched to automatic, the phase remains paused. A global resumption would also not put this phase back to the status of resume, because the phase was paused in manual mode.
    • A Pause phase command, followed by a global pause and a global resumption, sets phases that were paused using the Pause phase command to the status resume.
    • Phases that were paused in manual mode can be set to the status of resume with the Resume phase command.
  • The recipe status changes to running after global pausing and resumption. However phases with active elements remain paused and the active element remains unchanged.
  • The recipe status remains as running after local pausing and resumption. The recipe is resumed at the active elements. This also applies if the active element has been moved.

Sequence selections

The following applies in branchings:

  • As long as the left transition does not have a value, the right transition is ignored.
  • If the transition condition is met for both transitions, the left branch is selected.

Stopping elements

If an end simultaneous sequence is stopped, it becomes inactive immediately and does not react to any more REE commands such as cancel. Therefore is also does not change to the status aborted after a cancel command. The same applies to transitions. In contrast, phases may wait after stopping for further conditions to be met.

Transitions

  • A transition before an end simultaneous sequence remains active, including the phase before the transition after it has been run through, if the transition is active after the end simultaneous sequence but has not yet been run through.
  • In simultaneous sequences, impulses for a transition are ignored for as long as the transition to the left of the transition concerned does not have a valid value.
  • Transitions are deactivated with hold and restart. The active element is activated again in manual or semi-automatic mode.


Mode and mode change

Manuels -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Mode and mode change

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The REE can run in three modes:

  • Automatic: The recipe runs entirely automatically.
  • Semi-automatic: The recipe is executed manually. Conditions cannot be jumped.
  • Manual: Each step in the recipe or operation is executed manually; conditions that are being waited for can be skipped (forced).

To execute a recipe manually or semi-automatically, you can use the operation types Step-by-step execution of the recipe and Jump.

When switching to automatic mode, all execution positions are removed. Global commands are only executed in branches that have no execution positions.

info Info

To react on serious events, you can change the mode during the running process via reaction type influencing the recipe.


The REE states

Manuels -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> The REE states

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The following states are possible:

State

Description

Idle

The REE is in idle state.

Running

When starting a control recipe, it changes to the status running.

Executed

As soon as the execution is finished, the recipe changes to status Finished. In this status execution is not possible.

Pausing

The recipe changes to status Paused.

Paused

Within the phase the process stops at:

  • Waiting for Finished
  • Waiting for Allocation
  • Waiting for Interlocking condition
  • Waiting for Phase finished
  • Check for parallel execution

Holding

The object changes to Held and does not carry out any allocations anymore. When restarted, the object is restarted and changes to running.

Held

Within the phase the process stops at:

  • Waiting for Finished
  • Waiting for Allocation
  • Waiting for Interlocking condition
  • Waiting for Phase finished
  • Check for parallel execution

Restarting

Phase is restarting.

Restarted

Phase is completely restarted.

Stopping

Stops the process and changes to Stopped.

Stopped

The object was stopped.

Aborting

Aborts the process and changes to Aborted.

Aborted

Recipe process was aborted.

If a recipe cannot be restarted in the image at the restart, its status automatically changes to Aborted.

Prepared

Prepared for execution.

Execution position and jump targets

State

Description

Resumption

If an object is paused and after the object an execution position is located, Resume has the same effect as Next step. This also includes jumps.

At a phase command the command only effects a jump in the same branch.

Held

Removed

  • With phase: execution positions in the branches
  • With global: all execution positions

Pause

Has now effects for jump targets. Already defined targets remain.

Others

Always causes the deletion of the jumps.

For a phase command only the jump in the area of the phase is deleted.


Step-by-step execution of a recipe and jumps in the recipe

Manuels -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Step-by-step execution of a recipe and jumps in the recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Step-by-step execution of a recipe

A recipe can be executed step-by-step if:

  • The recipe is in either semi-automatic or manual mode
    and
  • The status of the recipe is running.

For the step-by-step execution the execution is held as soon as an element is finished with its execution. The holding is done via command Pause to the concerned execution path. As soon as all active elements in this path reached status Paused, the execution position is marked by an red arrow. Operations are treated like all other objects of a recipe.

The execution is resumed with:

  • a selective step: selection of the corresponding arrow (green)
  • a global step: all positions with arrows for possible resuming are started

Communication error with step-by-step execution

If an communication error occurs with a phase whilst this is waiting for an active element, the active element is no longer displayed until the problem is rectified. However, if in the meantime, the execution is switched to automatic mode, then the phase is no longer paused and must be continued. This also applies if a switch to manual or semi-automatic mode is made again.

Commands

Global commands

For global commands all execution positions are deleted as the execution cannot be resumed from there.

Exceptions: Pause and Resume. The execution positions remain as they are.

Phase commands

  • Hold for a phase The execution position is deleted from the execution path of the phase.
  • Resume: If an execution position exists, a selective next step is executed in this execution path.

Special cases:

Phase command hold and restart in a simultaneous sequence for active end simultaneous sequence

If you hold in this example (images from left to right) a simultaneous sequence and restart it, then you will reach after a step-by-step execution the already paused end simultaneous sequence. To resume the execution from here, the left phase must receive command Resume.

Only one path in a simultaneous sequence with an active phase before step-by-step execution

If, in a simultaneous sequence with a phase before, only one path is executed completely and waiting is taking place in one of the other simultaneous sequences (phase before is running), no active element is displayed in the simultaneous sequence. To get them in the other path, the phase must be paused with a phase command. After that it is possible to execute the path completely.

If then however the simultaneous sequence with the execution position is still executed, the phase before the simultaneous sequence is deactivated. With this the left path remains in Paused and without execution position. As there is not active phase, the execution can only be resumed with a global Pause and Resume.

Jump

Jump means to move from one position to another, distant position during execution in order to continue the execution there.

To jump:

  1. select an execution position with the mouse cursor
  2. move it to one of the offered targets
  3. execute the next step

All active elements in front of the source pointer are deactivated and the object after the target is activated.

If a jump is registered for which source and target are analogously the same (jumps over lines, jump targets or end sequence selection objects), this jump is ignored and a simple step is executed.

Jumping in simultaneous sequences

If, in parallel sequences, a jump is made in first simultaneous sequence via the phase, then the first phase before the simultaneous sequence is deactivated. Therefore no phase is active. Phases cannot be skipped if this means that no phase would be active in the recipe. The following behavior when skipping leads to an error:

  • Recipe with simultaneous sequence

  • A global step activates the phase before begin parallel sequence.

  • After the next step, the active element is before the phase in the simultaneous sequence.

  • The active element is moved behind this phase.

    Rule when jumping: Objects before a begin parallel sequence become inactive as soon as objects become active after this.
    Thus the first phase becomes inactive when jumping. The skipped phase in the simultaneous sequence never became active, nor did the following phases.
    Thus no phase is still active in the recipe:


Process of a phase in detail

Manuels -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Process of a phase in detail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

A phase is always processed sequentially after the same pattern. To break down the exact process, you also need a following condition. For this display we use a transition as following condition. We give the phase the name Phase 1. You can find additional special process behavior with following condition in chapter Following condition.

Phase | Transition | Event
Phase is activated |  | Phase activated
All variables of the phase are registered at the drivers. |  |
Unit allocation is started and Waiting period unit allocation is started. |  | If the unit allocation was not successful in the first try: Unit allocation not possible
Optional: Unit allocation possible within the waiting period. |  | Waiting period unit allocation exceeded
Check is started whether phase isn't already executed. This can happen if the phase is already active in a simultaneous sequence or if the unit allocation was skipped manually and the phase is already executed in another recipe. |  | Phase started multiple times
Start phase |  | Phase started
Check of the input interlocking is started and Waiting period input interlocking is started. |  | If the checking of the input interlocking was not successful in the first try: Input interlocking blocked
Optional: Condition of the input interlocking not TRUE within the waiting period. |  | Waiting period input interlocking exceeded
Writing the command tag |  | When all command tags were written: Finished writing command tags
Checking of the phase-done condition is started and time for Minimum execution duration and Maximum execution duration is started. |  |
Optional: Phase-don condition fulfilled but Minimum execution duration not reached. |  |
Optional: Condition of the Phase-done condition not TRUE within the Maximum execution duration. |  | Maximum waiting period phase done condition exceeded
Optional: Waiting for restart of the whole execution. If the execution is still restarting (for other phases in the recipe the restart condition is not yet fulfilled), it is waited here. This guarantees that the following element is activated after the recipe changes to running. |  |
Phase-done condition is TRUE and minimum execution duration is reached or exceeded. Waiting period following condition is started. | Transition is activated | Phase finished
 | All variables of the transition are registered at the drivers. | Waiting period following condition exceeded
Optional: Following condition not within waiting period TRUE | The transition condition is checked. |
The next phase is activated. The following condition can be composed from several objects (e.g. transition + unit allocation). No till the next phase is reached (or the end of the recipe), the following condition counts as fulfilled. |  |
Phase is informed that the following condition is fulfilled. | Transition condition is TRUE. | Phase deactivated
All events of the phase are deactivated. |  |
All variables of the phase are signed off from the drivers. | All variables of the transitions are signed off from the drivers. |
The phase is deactivated. | The transition is deactivated. |

Rule for values of transitions

If a transition has value TRUE for the phase-done condition during the waiting period, it is marked as finished. If its value should later change to FALSE, the execution of the recipe is not influenced.

Global pausing and continuation if there is a communication error

If a phase is paused and there is a communication error, this cannot be simply continued. Phase commands are prevented, recipe commands are circumvented. If the recipe is paused, a Continue recipe recipe command can be sent. As a result of this, the recipe changes to the status running, but the execution path of the phase concerned remains unaffected.

Autres sujets abordés dans ce chapitre

Following condition


Following condition

Manuels -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Process of a phase in detail -> Following condition

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

A phase is active as long as the following condition is fulfilled. Only once the following condition is fulfilled is the phase is deactivated. The phase completed event is triggered and the phase is deactivated. Before it is deactivated, the event reactions are executed. Se also Process of a phase in detail

The following condition can be very different. Here some examples:

  • Phase 1 followed by a phase 2:
    As soon as the phase done condition (and optional the Minimum execution duration) is fulfilled for phase 1, phase 1 is completed and phase 2 is activated.
  • Phase 1 followed by a transition:
    Only when the transition condition is fulfilled, phase 1 is completed.
  • Phase 1 and phase 2 parallel followed by an end simultaneous sequence:
    Not before the phase done condition (and optional the minimum execution duration) is fulfilled for both phases, both phases are completed.
  • Phase 1 and phase 2 parallel followed by an end simultaneous sequence followed by a transition:
    Only when the transition condition is fulfilled, both phases are completed.


Escape phase

Manuels -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Escape phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

It is possible to exit a phase during execution. Execution after the phase is then continued without having to run through the outstanding steps of the phase. It is only possible to exit a phase in manual mode. In the Editor, it is also possible to configure a condition in the Condition des états transitoires/Condition de sortie (échap) property.

It is also possible to exit if the phase is in this status:

  • Running
  • Pausing
  • Paused
  • Holding
  • Held
  • Restarting

If the exit command has been reached, the current execution step is canceled and checking of the Condition de sortie (échap) starts immediately. If the condition exiting is met, all necessary steps are instigated so that the object changes back to the status of running:

  • Restarting: The normal procedure is continued from the Wait until the recipe has the status "running". That means: All steps between instigating the exit and Wait until the recipe has the status "running" are not executed.
  • Running: The normal procedure continues to be executed after the phase or the phase waits for the pause condition to be met.

No more transient conditions are checked from the start of the check for the exit of a phase. Only after a switch to stopping or aborting is the checking of Condition de sortie (échap) interrupted.

Behavior when exiting from the phase depending on the execution status:

  • Exit from the phase from holding or from held :
    A restart is only carried out internally when switching back to running. The execution data is retained with the object. This also applies if a restart is carried out during the checking Condition de sortie (échap).
  • Exit from the phase if the recipe status is not running or restarting:
    If there is a different recipe status, once the condition has been met, waiting continues until the recipe status changes to running or restarting. This also makes it possible to exit with a different recipe status.
    For example: The recipe has the status held. The exit action is carried out for a phase. Then the end of the exit is only reached if the user executes a global restart command. This also makes it possible to exit if the recipe has the status held, without using the normal mechanism for a restart.

info Info

If an error occurs with communication to the PLC, the check of the exit conditions is postponed until the error has been rectified.

Suppression of reactions when exiting

Most events for the status change and mode change are suppressed whilst a phase is exited. The checking of the Condition de sortie (échap) has priority and the status change is also carried out without the condition being checked. Exceptions to this are stopping and aborting, as well as End Runtime triggered and Runtime restart, because these have a higher priority than Exit without phase. These events are triggered, as well as the event for Linked variable invalid.


Restart phase

Manuels -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Restart phase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Phases can be restarted. In doing so, all connected active objects are deactivated, including connected simultaneous sequences. A phase always carries out a series of event for activation activation, start and finished, regardless of the number of restarts. Events that have already been carried out are skipped on restarting. Transient conditions are only checked after the start event.

Deactivation

At the restart of a phase, all active objects are deactivated in principle, however only if they are linked. Isolated active objects are not deactivated.

Sequence of deactivation

The deactivation starts from the object which has been active the longest. After the restart this object is also going to be activated. If this object is deactivated, it also deactivates all branches to which it can establish a connection via an active object.

Isolated branch

A branch is isolated if it is not connected to another branch via an active object. The deactivation only takes place between connected branches. As long as an object does not have status Completed, there is not active connection to the following object.

Restart of selected phases

One or more phases can be selected and restarted. For the selection of several phases, they must be in separate branches.

The oldest object is restarted in the selected branch. With this all active objects in the connected branches are deactivated.

Global restart

The global restart carries out a restart for all phases. The restart is done for the oldest active object and with this all connected, active objects are deactivated. All remaining active objects are in an isolated branch. Here also the oldest object is restarted until all active objects were dealt with.


Secure writing of the command parameters

Manuels -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Secure writing of the command parameters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The command parameters are written to the PLC securely. The waiting time can be configured in the Editor.

Procedure

The following applies when writing command parameters:

  1. Waiting occurs until all parameters to be written as inverted have a value
    • If this is not possible within the configured waiting period, 3 attempts are made.
    • If there are still parameters with no value, no parameter is written, not even those with a value.
  2. Command parameters are written.
    • Waiting occurs until the parameters written have been confirmed.
    • If the confirmation is not made within the waiting period, the values are rewritten.
    • If a write is confirmed as negative, the values are written again. There is a maximum of 3 repetitions.
  3. The actual values are compared to the written values.
    • After a positive write confirmation, waiting occurs until the variables to which they were written can be read again. All written values must be active at the same time. If the waiting period has expired, writing starts again. There is a maximum of 3 repetitions.
  4. If all attempts have been unsuccessful, the Command parameter without value event is triggered.
  5. If secure writing is unsuccessful, a communication failure event is triggered. That means:
    • The error must be acknowledged.
    • The phase must be put back to the status "running".
    • Writing is restarted once continued.
    • The execution of the function is restarted in the event of a restart.
  6. The procedure can be paused, held etc. using commands whilst secure writing is being carried out. If the phase has the status paused and it is then continued, the writing is also restarted. In doing so, the values to be inverted are recalculated for a command parameter to be toggled.
  7. Writing of the command parameters can also be skipped.
  8. If Runtime is ended whilst writing the command parameters, these are rewritten when Runtime is started. Parameters to be toggled are recalculated.

Duration, start time and end time of the writing are displayed in the tooltip of the phase.

Configuring the waiting period

To configure the waiting period for secure writing:

  1. Navigate to the Général/Ecriture protégée group in the properties of the Batch Control module.
  2. Enter the desired waiting period in the Time out pour la protection d'écriture property

info Info

The waiting period includes all waiting processes in the whole write process:

  • Waiting for values for all parameters to be written
  • Waiting for confirmation of the written parameters
  • Waiting for reading of the variables

If the standard value of 20 seconds is used, all wait processes within 20 seconds must be concluded positively. If the waiting period has expired without a positive result, writing is started over.


Exit and restart Runtime

Manuels -> Batch Control -> Configure and control in the Runtime -> Recipe Execution Engine (REE) -> Exit and restart Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

At closing the Runtime an image file of the running recipe is created. It contains the images of the REEs, the order of the allocation and all reactions which are needed for the restart.

Allocations

After the restart the allocations match the state before the finishing. It is saved who allocated a unit and who forced an allocation in which order. If a recipe cannot be restarted (e.g. because of failed validation), the allocations for this recipe are removed.

Reactions

Reactions which were triggered by the process are also incorporated in the image if they are active. They are then executed after the REE is restarted. This guarantees that the reaction is always executed as a whole either before the image file is created or after the restart.

The Exit Runtime reaction is always executed and can never be incorporated in the image.

Synchronous writing

The REE manages the confirmation for all variables whose write set value should be executed synchronously. The time out for this is defined by the time within which the Runtime must be closed. For each write acknowledgment the time out is restarted. A time out is written in the log file.

Variables which don't access a driver are always written without an acknowledgment even if an acknowledgment is requested. Internal drivers do not support acknowledgments.

Allocate tag

As during the start of the Runtime all drivers are also started, it is possible that they do not provide valid values if they are needed at the restart. During the restart it is not waited for the value update. This does not ensure that the value is written as expected. If no value is available, the alternate value is used.

It is waited for the values of the internal driver if they are available within 2 cycles.

Checking for a communication error

A check is also made for communication errors when restarted if this has been configured.


Behavior in the network

Manuels -> Batch Control -> Behavior in the network

The module Batch Control is fully capable of using a network in terms of Client/Server technology. This means that Batch recipes can be created, duplicated, edited, deleted, etc. on a Client. The whole recipe management remains always on the server. Likewise the whole process control such as start recipe, pause recipe, stop recipe, etc. can be done from the Client. Also mode changes and manual operations such as jump are possible.

attention Attention

Module Batch Control does not support redundancy. There is no synchronization between Standby-Server. When the Server breaks down, the executed Batch recipes are not continued seamlessly on the Standby!

For using Batch Control in a network the following is true:

Allocation

  • The forcing of allocations can be carried out be Server and Client.

Functions

Functions are always carried out at the Server.

Phases

  • Editing phases in the master recipe:
    • Edit mode: Changes are done locally at the Client.
      If during the editing the recipe is saved on another computer in the network, the current configuration is lost. An appropriate message is displayed and the editing dialog is closed. The new data from the server are displayed.
    • Test mode: Changes are done at the Server.
  • Control recipe: Changes are done at the Server.
  • If a recipe is saved in the network, all Clients using this recipe are updated.
  • If a recipe is opened on a client, the current version on the server is always displayed, even if it has not yet been saved there.
  • If a recipe is deleted on a computer, a message is displayed on all computer on which the recipe is opened that the recipe has been deleted.

Mode

  • The mode (automatic, semi-automatic, manual) can be switched by the Server and the Client.
  • Jumps in the recipe and step-by-step progress of a recipe can be done from Server and Client.

Recipes

  • Recipes can be started and controlled from Server and Client.
  • If parameters in a recipe are changed whilst the recipe is saved on a different client, the change to the parameters is refused and not carried out.
  • If a communication error occurs when deleting a recipe or an operation template, the deletion is refused with an error message.

Web client

With a standard web client:

  • The settings for grid and color can be changed
  • No recipes can be created or edited
  • The size of the editing area cannot be changed
  • In the tool bar, all symbols that are not permitted are deactivated; it is not possible to select the corresponding objects.

The web client PRO is not affected by these restrictions.


Reporting

Manuels -> Batch Control -> Reporting

Reports for configuration of the recipes can be created with the Report Viewer integrated into zenon.

When switching to a Report Viewer screen:

  • it is possible to filter for recipes
  • Datasets for Batch Control reports can be created:
    • Master recipe
    • Control recipe
    • Recipe screens
    • Matrix cells
    • PFC structure
    • Phases
    • Parameter
    • Transitions
    • Unit allocations
    • Operation instance

Autres sujets abordés dans ce chapitre

Filtre de recette du Contrôle de Batch


Filtre de recette du Contrôle de Batch

Manuels -> Batch Control -> Reporting -> Filtre de recette du Contrôle de Batch

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'appel d'un synoptique de type Report Viewer, un filtre peut être défini pour les recettes provenant du module Batch Control. Pour filtrer en fonction des recettes :

  1. Ouvrez l'onglet Définition de rapport pour l'appel de synoptique
  2. Accédez à la section Filtre.
  3. Dans l'onglet Filtre spécifique au module, cliquez sur Batch Control: filtre de recette.
  4. La boîte de dialogue de configuration du filtre s'affiche à l'écran.

Paramètre

Description

Utilisation du filtre de recette pour

Sélection du type de recette appliqué au filtre :

  • Recette 'maître'
  • Recette de contrôle

Recette 'maître'

Actif : le filtrage est effectué sur la base des recettes principales.

Recette de contrôle

Active: It is filtered on control recipes.

Note: The attendant master recipes must also be selected. If no master recipe has been selected for the control recipe, th filer cannot find the recipe being searched for in Runtime.

Hint: If the master recipe is not known, filtering of all master recipes with a placeholder is recommended.

Paramètres du filtre de recette

Options du filtre de recette

Appliquer la sélection de la liste de recettes de l'écran 'Contrôle de Batch'

Actif : Dans le Runtime, la première recette sélectionnée sur l'écran de batch depuis lequel est appelé le synoptique Report Viewer est utilisée. Les paramètres individuels de cette boîte de dialogue sont alors indisponibles.

Inactive : Les paramètres de filtre sont modifiés individuellement dans cette boîte de dialogue.

Recette 'maître'

Parameters for the selection of the master recipe. Select from drop-down list:

  • Name with wildcards:
    A name with placeholder can be entered into the input field. Filtering according to this name is carried out.
  • Name from variable:
    The name of the master recipe is defined by a variable in Runtime. A click on button ... opens the dialog for selecting variables.
  • ID from variable:
    The ID of the master recipe is defined by a variable in Runtime. A click on button ... opens the dialog for selecting variables.

Résultat de filtre pour

Sélectionnez l'identifiant devant être sélectionné lors du filtrage de noms en choisissant l'une des options suivantes dans la liste déroulante :

  • Seulement l'ID le plus ancien
  • Seulement l'ID le plus récent

Un rapport peut uniquement être utilisé pour une recette ; il est donc impossible de filtre « toutes les recettes ».

Recette de contrôle

Parameters for the selection of the control recipe. Select from drop-down list:

  • Name with wildcards:
    A name with placeholder can be entered into the input field. Filtering according to this name is carried out.
  • Name from variable:
    The name of the control recipe is defined by a variable in Runtime. A click on button ... opens the dialog for selecting variables.
  • ID from variable:
    The ID of the master recipe is defined by a variable in Runtime. A click on button ... opens the dialog for selecting variables.
    Precisely one recipe can be found if the variable value at the time of execution is a valid ID of a control recipe.
  • Job ID from variable
    Finds control recipes that belong to the master recipes already found and which have the given job ID. Any type of variable can be linked. The value is automatically converted into STRING.
    Remarque : Si la variable ne comporte aucune valeur, aucune recette n'est transmise au module Report Viewer.

Résultat de filtre pour

Sélectionnez l'identifiant devant être sélectionné lors du filtrage de noms ou de tâches en choisissant l'une des options suivantes dans la liste déroulante :

  • Seulement l'ID le plus ancien
  • Seulement l'ID le plus récent

État de recette

Sélectionnez l'état de la recette dans la liste déroulante :

  • Tout
  • Préparée
  • En cours d'exécution
  • Exécutée
  • Terminée avec des erreurs
  • Obsolète

OK

Applique toutes les modifications, crée le filtre et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Note for variable selection using name or ID: For the selection of variables according to name or ID, numerical variables and string variables can be selected respectively. The data types are converted to the respective correct form.


Formula editor

Manuels -> Batch Control -> Formula editor

The formula editor is automatically opened if you need to enter or edit a formula. Above all:

Editor:

  • Phases
  • Interlocking conditions
  • all conditions for transitions
  • Phase done condition

Runtime:

  • Phase done condition and interlocking when editing a phase
  • Editing transitions

Note: If the phase referenced in the formula is removed and a new phase is added, the operands are reassigned in the case of operands. To do this, the same phase must be reinserted. Parameters from a different phase are not automatically linked.

Enter formula

The following input is accepted:

  • Constant as decimal number
  • Hexadecimal number if it is preceded by an x
  • Dot as decimal separator; the following is true:
    • Comma is automatically converted into a dot: 23,000 to 23.000
    • Decimal places which are only zeros are removed: 23.000 to 23

Parameter

Description

Tag list

List of the tags which can be used for the formula.

Each entry contains of:

  • a basis node for the label
  • a value
  • a status
  • the bits for value and status

A symbol at the first node displays whether it is a command or return tag.

The short indetifier at the beginning of the name is used for the formula.

Add

Opens the dialog for adding a parameter. For this, the following applies:

  • The following can be added: numeric and binary tags and tags for time duration. Values for duration are converted to seconds
  • For conditions of the phase only the tags created for it can be added.
  • Tags can be added multiple times.

Replace

Makes it possible to replace a tag. The short identifier remains the same at replacing.

Remove

Removes the highlighted tag. For a tag to be deleted:

  • the formula must be correct
  • the selected tag must not be used in the formula

Logical operators

Via the buttons for operators, operators are added to the formula.

AND

logical 'AND'

OR

logical 'OR'

XOR

logical 'EXCLUSIVE OR'

NOT

Negation

Syntax

The operator buttons add the string shown on them to the formula.

(

Open parenthesis

)

Close parenthesis

Bit by bit and relational operators

&

And

|

Or

>

greater than

>=

Greater than or equal

<

less than

<=

Less then or equal

=

equal

<>

less or greater

Condition

Configuration and display of the formula.

Copy

Copies the whole formula:

  • All configured tags from the tag tree
  • Formula from the field

Paste

Pastes a formula from the clipboard. At this all already configured elements are deleted and replaced by the copied formula.

When copying formulas between phases, it is tried to resolve the operands via their names. For tags which are not found invalid entries are created in the operands list. Their point of use in the formula remain the same.

OK

Applies formula and closes the dialog.

For this the formula must be correct.

Cancel

Discards all changes and closes the dialog.

info Info

You can link up to 99 tags in a formula. X01 to X99. The length of the formula must not exceed 4096 characters.

The meaning of the bits:

Parameter | Description
Value bits | 32 value bits (von 0 -31) are available. They describe the tag value bit by bit. For binary tags only bit 0 is of importance, for SINT and USINT only the bits from 0 - 7, etc.
State bits | Here you find the most commonly used status bits. You find the exact definition and use of the status bits in the Status Bits List.
Value and status | In the formulas, all values (value bits and status bits) are treated as binary values and can be logically linked with AND, OR, etc. The total value and overall status are an exception to this. In order to get a Boolean result this total value has to be ORed with a constant bitwise. For this, we use the operator &. For the result 0 (false) of this logical ORing we get the binary value 0 (false), otherwise 1 (true). Example: see chapter Example bit by bit ORing

info Info

The status bits NORM and N_NORM are only available in the formula editor and cannot be engineered via the status.

info Info

Les formules comportant des valeurs X binaires et des liens de niveau bit peuvent être utilisées avec 2 valeurs binaires maximum. Si d'autres valeurs sont requises, la liaison doit être établie sans valeurs X binaires.

Exemple :

X01.Value & X02.Value -> fonctionne

X01.Value & X02.Value & X03.Value -> ne fonctionne pas

Toutefois :

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> fonctionne

Autres sujets abordés dans ce chapitre

List of status bits

Logical operators

Bit formula

Comparison operators

Examples for formulas


List of status bits

Manuels -> Batch Control -> Formula editor -> List of status bits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | État utilisateur 1 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélection sur le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En cours d'utilisation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | VAL_M;valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | RG;Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Non valide | _VSB_I_BIT
19 | T_CHG_A | Annonce heure été/hiver | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel externe | _VSB_RT_E
22 | T_INTERN | Horodatage temps réel interne | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | MM_TR;Message de marche du transfo | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | VALR;valeur de remplacement Si aucune valeur n'a été transférée, la valeur de remplacement définie est utilisée ; dans le cas contraire, la dernière valeur valide est utilisée. | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Non mis à jour | _VSB_ACTUAL
30 | T_STD | Heure standard | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission, bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission, bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission, bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission, bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission, bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission, bit 6 | _VSB_TCB5
38 | N_CONF | Pas d'acceptation du mode Select par le matériel (IEC 60870) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | DEVNORM;État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : bloqué | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substitué | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : non topique | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : dépassement | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : sélectionné | _VSB_SE_BIT
49 | T_INVAL | Temps invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | RES52 | réservé | non défini
53 | RES53 | réservé | non défini
54 | RES54 | réservé | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Info

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états


Logical operators

Manuels -> Batch Control -> Formula editor -> Logical operators

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Liens logiques : seule la valeur logique '0' sera recherchée dans les variables ; si la valeur n'est pas égale à '0', elle sera considérée comme égale à '1'.

Contrairement aux formules bit, la portée technique peut être modifiée au moyen d'un facteur d'étirement -> (différent de '0' ou '1').

Opérateur | Signification
AND | ET logique
NOT | Négation
OR | OU logique
XOR | OU EXCLUSIF logique

Les opérateurs possèdent la priorité suivante dans le calcul de la formule :

Priorité | Opérateur
1 | & (opérateur des formules bit)
2 | NOT
3 | AND
4 | XOR/OR

Informations concernant info

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99.

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.


Bit formula

Manuels -> Batch Control -> Formula editor -> Bit formula

Les formules Bit comportent uniquement un état logique haut ou bas. Contrairement aux formules logiques, la valeur brute est déjà prédéfinie (0,1).

Opérateur | Description
& | AND
| | OU

Autres sujets abordés dans ce chapitre

Example bit by bit OR function


Example bit by bit OR function

Manuels -> Batch Control -> Formula editor -> Bit formula -> Example bit by bit OR function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous voulez savoir si l'un des bits d'état utilisateur 1 à 8 (M1 ... M8) de la variable X01 est défini :

Formule classique :

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8.
Cette requête peut être considérablement simplifiée en utilisant la condition logique OR sur l'état général.

Interrogation OR logique :

X01.Status & 0xFF

La constante peut être saisie au format hexadécimal, comme ci-dessus.

0xFF en décimal vaut 256, et correspond aux huit premiers bits d'état (en binaire, 11111111). Si l'un de ces bits est défini sur 1, le résultat de l'application de la condition logique ORing au niveau des bits est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Si, par exemple, tous les bits d'états utilisateur sont à tester sauf le bit M7, la formule binaire serait : 10111111. Le bit 7 est sans intérêt, et est donc défini sur 0. Ceci correspond à 0xBF en hexadécimal. L'expression de la formule est alors : X01.Status & 0xBF.

A la place d'une comparaison de bits avec OR à l'aide d'une constante, la valeur peut également être comparée directement à un nombre décimal. Si la comparaison est fausse, la valeur binaire sera égale à 0 (False) ; dans le cas contraire, elle prendra la valeur 1 (True).

Exemple :

Si vous voulez savoir si la valeur est égale à la constante 202 : La formule est alors :

X01.value = 202

Si la valeur est égale à la constante 202, le résultat de la formule est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Remarque : avec le caractère OR (|), la condition logique OR au niveau des bits fonctionne de la même manière que dans cet exemple.


Comparison operators

Manuels -> Batch Control -> Formula editor -> Comparison operators

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les opérateurs de comparaison permettent de comparer directement deux valeurs numériques. Le résultat des comparaisons est une valeur binaire. "0" si la condition est fausse et "1" si la condition est vraie.

Opérateur | Description
< | inférieur
> | supérieur
<= | Inférieur ou égal à
>= | Supérieur ou égal à
= | Égal
<> | Différent de

À gauche et à droite de l'opérateur de comparaison doivent se trouver des valeurs complètes ou des états complets ; des bits simples ne peuvent pas être utilisés.

A droite d'un opérateur de comparaison, vous pouvez également utiliser une constante (les constantes ne peuvent être que des entiers. La comparaison avec un nombre réel flottant n'est pas possible).
Ces constantes sont saisies sous forme de valeurs hexadécimales ou de valeurs décimales dans l'élément combiné. Les chiffres hexadécimaux sont automatiquement convertis en valeurs décimales lorsque vous cliquez sur OK (par exemple, 0x64 égale 100 en chiffres décimaux).

Example Exemple

X01.valeur >= X02.valeur
Le résultat est 1, si la valeur de X01 est supérieure ou égale à la valeur de X02

X01.valeur = 0x64
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 (= hex 0x64)

(X01.valeur = 0x64) OR (X01.valeur = 0x65)
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 ou 101 (= hex 0x64 ou hex 0x65)


Examples for formulas

Manuels -> Batch Control -> Formula editor -> Examples for formulas

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Liaison logique AND simple entre deux valeurs de bits

Example Exemple

Formule : X01.03 AND X02.03

Cette formule vaut TRUE si le bit 3 de la variable 1 et le bit 3 de la variable 2 sont tous deux égaux à 1.

Comparaison d'une valeur analogique ou de l'état d'une variable

Example Exemple

(X01.Value > X02.Value)

Comparaison de valeurs analogiques sur une base logique

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value)

Comparaison à l'aide de bits de valeur et de bits d'état

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value) OR (X01.03 = X02.03)

Comparaison d'une valeur avec une valeur décimale ou hexadécimale

Example Exemple

Formule : (X01.Value = 111)

Formule : (X01.Value = 0x6F)

Si une valeur hexadécimale est utilisée, cette dernière est convertie en valeur décimale lorsque vous cliquez sur OK. Si une valeur décimale est saisie et confirmée, la valeur reste affichée au format décimal après la réouverture.

Informations concernant info

Il n'est pas possible d'utiliser une virgule ou un point lors de la saisie d'une valeur.


communication errors

Manuels -> Batch Control -> communication errors

If communication errors occur, these can be detected in Runtime using a formula configured in the editor. In the event of a communication error, the phase concerned is paused or held (depending on configuration). In addition, a reaction to the communication error event can be configured.

Detection of problems can be specially configured for each phase, because phases can also run on different PLCs. The reaction to a communication error is defined globally for all phases.

To configure the detection of communication errors:

  1. highlight the desired phase
  2. Click, in the communication error property group, on the Perte de communication property
  3. In the formula editor that opens, define the condition for detecting communication errors
  4. click on property Erreur de communication acquittée
  5. Define the condition to detect the reestablishment of communication
  6. Navigate to the properties for the Batch Control module
  7. In the Général/Perte de communication group, open the Action pour la perte de communication property
  8. Select the desired reaction to a communication error from the drop-down list
    • Phase holding
    • Phase pausing

Checking in Runtime

When starting a phase or when restarting Runtime, 60 seconds is waited for values for the formula to check communication. If no values are received within this waiting time, a communication error is assumed.

Another check for communication errors is made if the phase is in a new step.

When restarting Runtime, the waiting for values can be in many steps, because the communication is started again in the middle of the process. A check for communication failures is also made at areas where a check for faults is made.

Reestablishment

Checking the formula for reestablishing communication

A loss of communication to the PLC is determined if the value of the formula for the Perte de communication property is TRUE. Waiting is carried out until communication has been reestablished, i.e. the value of the formula is FALSE. After this, waiting is continued until the value of the formula for the Erreur de communication acquittée property is TRUE or empty. The execution of the object can be continued from this time only.

In the time between the loss of communication and reestablishment of communication:

  • No phase commands can be sent to the phase concerned
  • If the status is changed directly, transient conditions are not checked
  • No reactions are triggered for a status change
  • the procedure path of the phase concerned remains the same when a continue or restart global command is executed
  • The subsequent execution positions are offset until the communication to the phase has been reestablished

Skipping the reestablishment of communication

In the event of a communication error, this can be skipped both whilst the error is active and whilst communication is being reestablished. In both cases, the communication is considered reestablished. All reactions to the skipped steps are triggered. The skipping is displayed in the tooltip.

If a communication error has been skipped, then a new one cannot occur until the value of the formula for the Perte de communication property has not changed to FALSE.

Counter for the recipe and operation for reestablished communication

In the status line of the recipe editor, there is information about errors in the recipe available above the symbol of the error display and its tooltip. Only the information with the highest priority is shown. Active errors and historical errors are not shown at the same time.

Prioritization and coding of the error display in the tooltip:

Priority | Color | Description
1 | red | Currently x errors active.
2 | red | Currently x communication errors not yet acknowledged.
3 | yellow | Errors were present.
4 | green | faultless

Note: "Currently x errors active" counts both procedure errors and communication errors.


Error treatment

Manuels -> Batch Control -> Error treatment

Warnings and error messages are written in log files and can be analyzed with the Diagnosis Viewer. For this you must activate module Batch Control in the filter settings.

System driver variable

Batch Control provides the system driver SYSDRV with information via system driver variables. For information about there messages see manual SYSDRV in chapter Topic - Batch Control.

Reconstruction of index files

If the index file is not read when Runtime is started or it does not exist, it is reconstructed upon starting. During this time, requests from clients that need an ID or are processing an ID cannot be processed. Modifications are rejected, queries are answered after the index has been created.


Bureau distant (Remote Desktop)

Manuels -> Bureau distant (Remote Desktop)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'outil Remote desktop permet d'établir une connexion distante à un ordinateur cible distant, et de gérer facilement un ordinateur distant. Ceci signifie que vous pouvez établir une connexion virtuel depuis votre PC vers un autre PC ou une plate-forme CE. Vous voyez le Bureau de la plate-forme cible comme il est sur celle-ci.

L'outil "Remote Desktop" offre deux types de connexions : un pour visualiser seulement et un pour agir sur le système distant.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Différence entre un réseau et le service Remote Desktop de Windows

Le service Remote Desktop ne remplace aucunement un réseau >CD_PRODUCTNAME>. Ce n'est rien de plus qu'une transmission de données d'écran. Ceci signifie que tous les ordinateurs connectés montreront le même écran. Avec le réseau zenon, vous pouvez afficher différents écrans sur tous les clients.

L'avantage du "Remote Desktop" par rapport au "Windows Remote Desktop" est que plusieurs ordinateurs peuvent se connecter au système cible en même temps. A tout moment, le système de contrôle reste complètement opérationnel, même si une connexion distante est active. Avec le "Windows Remote Desktop", vous pouvez travailler seulement sur le PC distant ou sur le système cible à un instant donné.

Activation

Pour des raisons de sécurité, Remote Desktop est désactivé lorsque le système de contrôle est installé sur un PC. Pour pouvoir l'utiliser, vous devez l'activer (voir Configuration). Sous Windows CE, vous devrez démarrer le service Remote Desktop zenVNCSrvCE.exe manuellement ou par le mécanisme de démarrage de windows CE.

Lorsque zenon est désinsallé, le programme d'installation ne désinstalle pas le Remote Desktop. Il reste sur le PC. Voir le chapitre Désinstallation pour les instructions nécessaires à sa désinstallation.

attention Attention

Le "Remote Desktop" est configuré avec des mots de passe standard. Nous recommandons de modifier ces mots de passe avec le logiciel de configuration ! Reportez-vous au chapitre Configuration.

Autres sujets abordés dans ce chapitre

Structure

Configuration

Établir une connexion

Limitations

Conditions requises / problèmes

Désinstallation


Structure

Manuels -> Bureau distant (Remote Desktop) -> Structure

L'outil Remote Desktop est composé de trois parties :

Paramètres

Description

Le service Remote Desktop

Le service Remote Desktop transfert les informations du bureau par le réseau pour le logiciel de visualisation. Le service n'a pas d'interface utilisateur sur le PC. Il tourne en tâche de fond comme un programme Windows invisible. Il n'est pas démarré en tant que service Windows.
Sous Windows CE, le service peut être vu dans la barre des tâches.

Le service Remote Desktop est aussi un serveur web HTTP intégré. Ce serveur web est utilisé comme point de connexion pour n'importe quel type de navigateur web. Vous pouvez démarrer une connexion Remote Desktop visuelle directement dans votre navigateur.

L'outil de configuration du Remote Desktop

Le logiciel de configuration permet de modifier le comportement du service.

Le logiciel de visualisation Remote Desktop

Le logiciel de visualisation permet de visualiser le bureau distant depuis votre PC. Il y a deux types différents de ce logiciel :

Un logiciel de visualisation standard Windows, que vous pouvez démarrer depuis le Transport à distance dans l'éditeur ou depuis le menu Démarrer de Windows.

Une connexion directe avec un navigateur web standard sans avoir besoin de logiciel supplémentaire. Dans ce cas, le bureau distant sera visualisé directement dans le navigateur web.


Configuration

Manuels -> Bureau distant (Remote Desktop) -> Configuration

La configuration de l'outil "Remote Desktop" (Bureau distant) permet d'adapter ses paramètres de connexion selon vos besoins.

Paramètre

Description

Autoriser le service Remote Desktop

Active le service Remote Desktop.

Si le service est désactivé, il sera désinscrit et ne sera plus disponible. Vous ne pourrez le réactiver qu'avec ce logiciel de configuration.

En cas d'utilisation d'un serveur HTTP actif, vous devez modifier le mot de passe avant la désactivation.

Autoriser le serveur HTTP intégré

Active le serveur HTTP intégré (built-in HTTP Server). La page d'accueil affichée est figée et ne peut être changée.

Attention : Si vous avez désactivé le serveur HTTP, vous pouvez toujours accéder à la page de connexion par une réactualisation du navigateur.
La page sera alors redirigée du port HTTP normal (5600) vers le port du Remote Desktop (5610). De cette façon, vous pouvez toujours vous connecter et avoir un accès complet. Pour éviter tout accès, modifiez le mot de passe ou bloquez le port 5610 dans Remote Desktop.

Mot de passe primaire

Autorise un accès en écriture à l'ordinateur.

Traitement du mot de passe :

  • Le mot de passe par défaut après la première installation est SCADA-ALL.
    Nous recommandons de changer le mot de passe standard pour éviter des accès non autorisés..
  • La taille du mot de passe est limitée à 8 caractères.
    Vous pouvez toutefois saisir le mot de passe par défaut, SCADA-ALL.
  • Vous pouvez modifier le mot de passe à tout instant, même si vous ne connaissez pas le mot de passe actuel.
  • Si vous ne saisissez pas un mot de passe, un message d'avertissement s'affiche dès que vous cliquez à l'extérieur du champ.

Mot de passe de visualisation seulement

Lors de l'établissement d'une connexion, vous devez entrer ce mot de passe pour avoir un accès de visualisation seulement au bureau.

Traitement du mot de passe :

  • Le mot de passe par défaut après la première installation est SCADA.
    Nous recommandons de changer le mot de passe standard pour éviter des accès non autorisés..
  • La taille du mot de passe est limité à 8 caractères.
  • Vous pouvez modifier le mot de passe à tout instant, même si vous ne connaissez pas le mot de passe actuel.
  • Si vous ne saisissez pas un mot de passe, un message d'avertissement s'affiche dès que vous cliquez à l'extérieur du champ.

Enregistrer les informations dans zenVNC.log

Le service Remote Desktop écrit des informations d'analyse dans le fichier zenVNC.log. Ce fichier se trouve dans le répertoire Temp. C:\Users\Default\AppData\Local\Temp

Vous ne voyez ces dossiers que si vous avez activé l'option Afficher les fichiers et dossiers cachés par le menu "Outils / Options des dossiers" depuis l'explorateur Windows.

Enregistrer les informations de débogage détaillées

Le service Remote Desktop écrit des informations détaillées concernant les erreurs et le débogage dans le fichier zenVNC.log. Cette option est uniquement disponible aux fins de l'analyse détaillée des erreurs.

Bloquer les événements distants entrants

Si vous ne voulez pas autoriser l'accès complet depuis l'extérieur, même si le mot de passe primaire est connu, vous pouvez activer cette option. Les accès en écriture depuis des PC distants sont bloqués. Seul l'accès en visualisation est possible.

Bloquer les entrées distantes par activité locale

S'il y a une activité locale sur le poste (avec le clavier ou la souris), cela ne peut pas agir depuis un PC distant. Les opérations distantes seront autorisées à nouveau après le temps configuré.

attention Attention

Si vous ne modifiez pas les mots de passe, n'importe qui pourra accéder à votre PC !!

Entrer un mot de passe vide est possible mais non recommandé. Un mot de passe vide permet un accès complet à votre PC pour tout le monde.

info Info

Toutes les modifications s'appliquent après avoir cliqué sur OK. Ceci engendre un redémarrage du service Remote Desktop. Les ordinateurs connectés sont déconnectés.


Établir une connexion

Manuels -> Bureau distant (Remote Desktop) -> Établir une connexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez établir une connexion avec le Remote Desktop en utilisant l'une des méthodes suivantes :

Intégré au module Remote Transport :

Remote Desktop est directement intégré à zenon. Vous pouvez établir une connexion à l'aide de l'icône "Démarrer la connexion au bureau distant" dans la barre de bouton "Transport à distance". Le système cible configuré dans le transport à distance sera utilisé automatiquement. Si aucun ordinateur n'a été spécifié, c'est le poste serveur sélectionné dans la partie réseau qui est utilisé.

Veuillez noter que TCP/IP est le moyen de transport qui doit être configuré dans le Transport à distance.

La connexion est établie de la même façon que si cela avait été fait à partir du menu Démarrer. Mais ici, vous n'avez pas à définir le nom du poste distant.

Par le menu Démarrer :

Si vous voulez établir une connexion par l'outil Remote Desktop à un système cible, vous pouvez utiliser le lien "Démarrer - COPA-DATA - ToolsXX - Remote Desktop" par le menu Démarrer de Windows.

Paramètres | Description
Serveur | Entrer le nom ou l'adresse IP du poste distant.
Connection profile | Le "connection profile" détermine la bande passante requise pour le réseau. Plus la bande passante est petite, plus la compression des données d'image sera élevée et plus la qualité de l'image sera faible. Cette option peut seulement être configurée au démarrage de la connexion et ne peut pas être changée par la suite. Si vous voulez la modifier, vous devez d'abord vous déconnecter.
Options | Ouvre la boîte de dialogue des Options de connexion. Vous pouvez aussi modifier les options de connexion alors que la connexion est active. Vous trouverez une description des options dans le chapitre Options de connexion.

En cliquant sur "Connect", la connexion est établie.

Par le navigateur web :

Vous pouvez aussi établir une connexion par un navigateur web standard. Ceci nécessite le Java Runtime sur votre PC. Vous pouvez obtenir la version courante depuis le site Java : http://www.java.com. Vous pouvez aussi utiliser le programme d'installation Java fourni sur le DVD d'installation du système de contrôle. Insérer le DVD et démarrer le programme d'installation (start.exe). Dans 'Outils', vous pouvez démarrer l'installation du Runtime Java.

Démarrez votre navigateur web et entrez le nom ou l'adresse IP du poste distant, suivi par '5600', par ex. : http://MonPCDistant:5600.

info Info

Pour toutes les connexions, ce qui suit est vrai : il est impossible d'établir une connexion au PC local !

Si vous avez des problèmes de connexion, veuillez consulter le chapitre Conditions requises.

Autres sujets abordés dans ce chapitre

Authentification

Logiciel standard de visualisation

Logiciel de visualisation web


Authentification

Manuels -> Bureau distant (Remote Desktop) -> Établir une connexion -> Authentification

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Logiciel standard de visualisation

Lors de l'établissement de la connexion, vous verrez une boîte de dialogue qui vous permet de vous assurez que vous vous connectez bien au bon système cible.

Dans cette boîte de dialogue, vous avez simplement besoin de saisir le mot de passe de connexion. Un nom d'utilisateur n'est pas requis.

Interface web :

_

Dans cette boîte de dialogue, vous avez simplement besoin de saisir le mot de passe de connexion. Dans la barre de titre, vous pouvez voir le bureau distant auquel vous êtes connecté.

Gestion utilisateurs

Vous avez besoin de connaître les mots de passe de connexion pour établir une connexion. Le mot de passe Primaire vous donne l'accès complet au système distant. Le mot de passe Visu seule vous donne un accès uniquement de visualisation. Selon le mot de passe saisi, l'un ou l'autre mode sera démarré. La taille du mot de passe est limité à 8 caractères. (pour plus de détails, reportez-vous au chapitre Configuration)

attention Attention

Si l'option "Bloquer les événements entrants distants" a été activée dans le logiciel de configuration de l'outil Remote Desktop, vous ne pourrez pas agir sur le système distant, même si vous avez saisi le mot de passe primaire.

info Info

Par défaut, le mot de passe Primaire est SCADA-ALL et le mot de passe Visu seule est SCADA. Vous pouvez modifier les mots de passe à tout instant dans le logiciel de configuration installé sur le système distant (voir le chapitre Configuration).


Logiciel standard de visualisation

Manuels -> Bureau distant (Remote Desktop) -> Établir une connexion -> Logiciel standard de visualisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après avoir établi une connexion, le logiciel de visualisation montre l'écran du bureau distant.

D'autres paramètres peuvent être définis via la barre d'outils, le menu contextuel ou la liste déroulante. Même si la barre d'outil n'est pas visible, vous pouvez utiliser le menu contextuel en cliquant avec le bouton droit de la souris sur la barre de titre du logiciel de visualisation ou sur le symbole dans la barre des tâches. Si vous êtes en mode plein écran, vous devez d'abord désactiver ce mode en utilisant le raccourci-clavier <Ctrl><Alt><Maj><F>.

La barre d'outils et le menu contextuel offrent les options suivantes :

TAG

Description

Fermer

Ferme la connexion et quitte le programme.

Options de connexion ...

Ouvre la boîte de dialogue permettant l'édition des options de la connexion. Voir le chapitre Options de connexion

Info connexion

Ouvre une boîte de dialogue qui montre des informations concernant la connexion courante.

Actualiser écran

Ceci entraîne l'actualisation et le rafraîchissement d'écran du service Remote Desktop.

Plein écran

Bascule en mode plein écran.

  • Si l'ordinateur distant et le PC local utilisent la même résolution d'écran, l'image du poste distant remplira l'écran local.
  • Si l'ordinateur distant utilise une résolution plus faible, le bureau distant sera centré et entouré d'une bordure noire.
  • Si l'ordinateur distant utilise une résolution supérieure à celle du poste local, vous ne verrez qu'une partie du bureau distant. Avec la souris, vous pourrez alors déplacer les zones de l'écran non visibles dans la partie visible.

Vous pouvez utiliser le raccourci clavier <Alt><Tabulation> pour basculer entre le poste distant et le poste local.

Vous pouvez terminer le mode Plein écran en utilisant le raccourci clavier Ctrl+Alt+Maj+F.

Afficher la barre d'outils

Actif : la barre d'outils est affichée

Envoi Ctrl-Alt-Suppr

Cette action n'a pas d'effet.

Envoi Ctrl-Échap

Ouvre le menu Démarrer sur le bureau distant.

Touche Ctrl enfoncée

Enfonce la touche Ctrl sur le poste distant. Cliquez une nouvelle fois pour relâcher la touche Ctrl.

Touche Alt enfoncée

Enfonce la touche Alt sur le poste distant. Cliquez une nouvelle fois pour relâcher la touche Ctrl.

Nouvelle connexion ...

Ouvre la boîte de dialogue pour une nouvelle connexion à un poste distant. Voir Etablir une connexion. La connexion existante sera fermée.

Enregistrer info connexion sous ...

Enregistre un lien vers cette connexion dans un fichier RDC (Remote Desktop Communication). Vous pouvez ensuite mettre ce lien sur votre bureau par exemple. Lors de l'enregistrement, on vous demandera si vous voulez sauvegarder le mot de passe dans le fichier.
Remarque : stocker le mot de passe dans le fichier constitue un risque par rapport à la sécurité.

En double-cliquant sur le lien, vous établissez la connexion vers le poste distant configuré sans avoir à redéfinir un nom d'ordinateur (et un mot de passe, si vous avez choisi de le stocker dans le fichier).

Remarque : L'option de transfert de données Transfer files (Transférer les fichiers) est uniquement disponible jusqu'à la version 6.22SP1 Build 7.

Autres sujets abordés dans ce chapitre

Options de connexion


Options de connexion

Manuels -> Bureau distant (Remote Desktop) -> Établir une connexion -> Logiciel standard de visualisation -> Options de connexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez configurer les options suivantes sur l'onglet Connexion :

Paramètres | Description
Redimensionner | Redimensionne l'affichage du bureau distant à la taille configurée. Cette option est utile si le poste distant a une résolution supérieure à celle du poste local.
Mode plein écran | Bascule en mode plein écran. Vous pouvez terminer le mode Plein écran en utilisant le raccourci clavier <Ctrl><Alt>Maj<F.
Désiconifier sur événement bip distant | Ce paramètre n'a pas d'effet.

Vous pouvez configurer les options suivantes sur l'onglet Global :

Paramètres | Description
Montrer les barres d'outils par défaut | Montre la barre d'outils. Si vous avez désactivé la barre d'outil, vous pouvez la réactiver en utilisant le menu contextuel.
Avertissement lors du passage en mode Plein écran | Si vous basculez en mode plein écran, vous aurez un message vous expliquant comment quitter ce mode.
Nombre de connexions à mémoriser | Le logiciel de visualisation peut se "rappeler" les connexions récentes. Lorsque vous établissez une connexion, vous pouvez la choisir depuis une liste de connexions récentes. Ici vous configurez combien de connexions sont à mémoriser.
Vider la liste des connexions enregistrées | Supprime la liste des connexions enregistrées
Curseur point | Le curseur local de la souris est affiché sous la forme d'un point noir au dessus du curseur de la souris distante.
Curseur petit point | Le curseur local de la souris est affiché sous la forme d'un petit point noir au dessus du curseur de la souris distante.
Flèche normale | Le curseur local de la souris est affiché sous la forme du curseur de souris standard Windows au dessus du curseur de la souris distante.
Pas de curseur local | Seul le curseur de la souris distante est affiché.


Logiciel de visualisation web

Manuels -> Bureau distant (Remote Desktop) -> Établir une connexion -> Logiciel de visualisation web

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez utiliser les options suivantes dans l'interface du navigateur :

Paramètres | Description
Déconnecter | Ferme la connexion. La navigateur web reste ouvert.
Options | Ici vous pouvez configurer plusieurs options de connexion. Ces options ne sont pas documentées. Nous vous recommandons de garder les paramètres d'origine. Les modifications ne sont pas sauvegardées. Si vous faites des changements, les paramètres d'origine seront restaurés lors de la prochaine connexion.
Presse-papier | Permet de récupérer le texte sauvegardé dans le presse-papier du Remote Desktop ou d'envoyer du texte dans le presse-papier. La boîte de dialogue montre le presse-papier du Remote Desktop. Si vous modifiez le texte, il sera envoyé vers le presse-papiers de Remote Desktop après avoir cliqué sur Close.
Envoi Ctrl-Alt-Suppr | Ce paramètre n'a pas d'effet.
Actualiser | Rafraîchit le contenu de l'écran.


Limitations

Manuels -> Bureau distant (Remote Desktop) -> Limitations

L'outil Remote Desktop tourne dans le contexte de l'utilisateur. Il est démarré lorsque l'utilisateur se connecte à Windows.

Ceci signifie qu'une connexion distante ne peut être établie que si un utilisateur s'est connecté. Une connexion distante avec Ctrl-Alt-Suppr n'est pas possible. Si l'utilisateur se déconnecte, le service Remote Desktop sera aussi arrêté. Tous les logiciels de visualisation connectés seront déconnectés.

Si l'ordinateur distant est verrouillé, il ne sera pas non plus possible d'établir une connexion. L'ordinateur est aussi verrouillé s'il y a un écran de veille actif avec l'option A la reprise, protéger par mot de passe.

Si plusieurs utilisateurs sont connectés en même temps sur le poste distant (pour un basculement rapide d'utilisateur), le service Remote Desktop sera aussi démarré plusieurs fois. Cependant, le logiciel de visualisation ne pourra se connecter qu'au service qui a démarré en premier. Si le premier utilisateur n'est pas actif, la connexion sera établie, mais après la saisie du mot de passe, elle sera fermée immédiatement.

La connexion sera aussi fermée si l'utilisateur qui s'est connecté en premier clique sur "Changer d'utilisateur", car il devient inactif.


Conditions requises / problèmes

Manuels -> Bureau distant (Remote Desktop) -> Conditions requises / problèmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour établir une connexion à un système distant, les conditions suivantes doivent être remplies :

  • zenon (version 6.22 ou ultérieure) doit être installé.
  • Le service Remote Desktop (zenVNCSrv.exe) doit être activé sur le PC. Vous pouvez l'activer dans le logiciel de configuration du Remote Desktop (voir Configuration). Vous pouvez vérifier si le service tourne en utilisant le gestionnaire des tâches de Windows.
  • Un utilisateur doit être connecté sur le PC distant et le PC ne doit pas être verrouillé. Voir le chapitre Limitations.
  • Sous Windows CE, vous devrez démarrer le service Remote Desktop zenVNCSrvCE.exe manuellement ou par le mécanisme de démarrage de Windows CE. Veuillez consultez la documentation de votre plate-forme pour savoir comment activer les options de démarrage. Vous pouvez vérifier si le service tourne en utilisant le gestionnaire des tâches de Windows CE (si disponible).
  • Le service doit être enregistré dans le pare-feu Windows et dans tous les autres pare-feu. Les ports 5600 (port http) et 5610 (port du Remote Desktop) doivent être enregistrés. Vous pouvez vérifier si ces ports sont enregistrés et activés en établissant une connexion Telnet depuis un autre PC vers les ports 5600 et 5610. Pour cela, démarrez une Invite de commande (cmd.exe) et entrez la commande suivante :
    telnet RemotePCName 5610.
    Si la connexion réussit, une fenêtre noire apparaît.
    Sous Windows Vista, Telnet n'est pas installé par défaut. Vous pouvez l'installer en exécutant les étapes suivantes :
    Menu Démarrer > Paramètres > Panneau de configuration > Programmes et fonctionnalités, puis 'Activer ou désactiver des fonctionnalités Windows'.
    Cochez la case 'Client Telnet' dans la liste montrée et cliquez sur OK.
  • Les ports 5600 et 5610 ne doivent pas être utilisés par d'autres programmes. S'ils sont utilisés par d'autres programmes, le système va aléatoirement sélectionner d'autres ports. Vous pouvez vérifier l'assignation des ports avec la commande Windows netstat -n -a -o dans l'invite de commande. Vous pouvez connaître le Process ID du service Remote Desktop zenVNCSrv.exe dans l'onglet "Processus" du gestionnaire de tâches. Si l'ID n'est pas visible, vous pouvez activer la colonne "PID (Identificateur de processus)" dans le menu "Affichage - Sélectionner les colonnes...".
  • Si vous établissez une connexion depuis l'éditeur, assurez-vous que TCP/IP a été sélectionné comme moyen de transport dans le Transport à distance. Vous devez aussi entrer un ordinateur comme système cible soit dans le Transport à distance soit en tant que serveur dans la partie Réseau.
  • Le changement rapide d'utilisateur sur Vista n'est pas supporté. Cela entraîne une déconnexion. Voir le chapitre Limitations.

info Info

Serveur HTTP désactivé :

Si vous avez désactivé le serveur HTTP, vous pouvez toujours accéder à la page de connexion par une réactualisation du navigateur.
La page sera alors redirigée du port HTTP normal (5600) vers le port du Remote Desktop (5610). De cette façon, vous pouvez toujours vous connecter et avoir un accès complet. Pour éviter tout accès, modifiez le mot de passe ou bloquez le port 5610 dans Remote Desktop.


Désinstallation

Manuels -> Bureau distant (Remote Desktop) -> Désinstallation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'outil Remote Desktop n'est pas désinstallé avec zenon car il peut être utilisé pour différentes versions de ce dernier. Le programme d'installation ne peut pas vérifier quelles sont les versions de zenon sont utilisées.

Si vous voulez supprimer le Remote Desktop, vous devez suivre les étapes suivantes :

Démarrez le logiciel de configuration, décochez l'option Enable Remote Desktop service et cliquez sur OK. Ceci arrête et désenregistre le service Remote Desktop.

Maintenant vous pouvez supprimer les fichiers zenVNCSrv.exe, zenVNCcfg.exe et oem.dll dans le dossier C:\Program Files\Fichiers communs\COPA-DATA\zenVNCSrv.


Changement de langue

Manuels -> Changement de langue

Cette fonctionnalité est essentielle pour la réalisation de projets internationaux. Par exemple, dans les cas suivants :

  • Livrer un projet en différentes langues
  • Services centraux accessible depuis différents pays.
  • Equipement décentralisé accessible depuis le monde entier
  • Equipements pour lesquels la langue est configurable

La fonction de changement de langue permet de basculer à tout moment les informations textuelles dans différentes langues, dans le cadre du fonctionnement en ligne. Dans le cadre du développement, créez une table de langues contenant les fichiers de langue nécessaires dans le nœud Fichiers de langue de la vue de détail.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
New language file... (Nouveau fichier de langue) | Ouvre la boîte de dialogue de création d'une nouvelle table de langue.
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Textes compatibles avec la fonction de changement de langue

Vue de détail de la barre d'outils et du menu contextuel Changement de langue

Mots clés

Table de langues

Modification externe de fichiers de langues

Polices

Mots-clé prédéfinis - Textes système dans la liste CEL

Chemins de la fonction de changement de langue pour l'aide du Runtime

Exportation de traductions

Fonction Changement de langue


Textes compatibles avec la fonction de changement de langue

Manuels -> Changement de langue -> Textes compatibles avec la fonction de changement de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le changement de langue peut être utilisé pour :

  • Textes est affichée dans le Runtime.
    Par exemple, les textes de limites, les identifications de variables
  • Polices de caractères :
    Par exemple Arial Unicode.
  • Textes de la liste d'alarmes, la liste chronologique d'événements et du module IPA :
    Textes d'état et messages système dans la liste d'alarmes, la liste chronologique d'événements et le module Industrial Performance Analyzer.
  • Groupes d'alarmes/d'événements et classes d'alarmes/d'événements
    Noms de groupes et de classes.
  • Runtime dialogs :
    par exemple, Fenêtre standard de Login, boîte de dialogue de filtres sur les alarmes
  • aide Runtime :
    La langue de l'ensemble de l'aide relative au Runtime peut être modifiée en ligne (Préparatifs pour l'aide multi-langue).
  • Chemin de fichiers :
    Changement des textes dans un synoptique de type Liste ou des pages HTML pour les synoptiques de typeHTML.
  • Chemin pour les fichiers Media :
    Changement de langue des dossiers des fichiers graphiques, des fichiers d'aide, des fichiers multimédia, des textes et des informations de mise en forme et des informations de l'application Report Viewer.
  • Grafcet S7 :
    Changement de langue des éléments dynamiques et statiques.

La fonction de changement de langue offre les possibilités suivantes :

Paramètres | Description
Eléments graphiques | Texte
 | Elément texte
 | Bouton texte
 | Elément combinaison multiple
 | Elément combiné
 | Réglette universelle
 | Liste de choix
Variables | Identification (le nom n'est pas modifiable)
 | Unité
 | Texte de limite Le texte de limite dynamique permet d'insérer la valeur actuelle d'une variable dans le texte de limite d'une autre variable. Des mots-clés provenant d'un fichier de langue peuvent être liés à ce texte fixe via un index. Pour plus de détails, reportez-vous au chapitre : Texte de limite dynamique et Utiliser des mots-clé des tables de langues dans le manuel Variables.
Synoptiques | Nom du synoptique
Recettes standard | Nom de recette
Menus | Menus
Générateur de rapports | Textes standards
IPA | Textes
Gestion des alarmes/ Liste chronologique d'événements | En-têtes de liste (intitulés de colonnes), noms de groupes d'alarmes/d'événements et noms de classe d'alarmes/d'événements
Maintenance de l'archive | Ligne d'entête (Nom des colonnes)
Runtime | boîtes de dialogue du Runtime
Matrices de réaction | Texte de valeur limite
Info bulle | Partout où des textes de signature d'éléments dynamiques ont été définis.
Texte de signature | Partout où des infos bulle peuvent être utilisées

Les éléments suivants ne peuvent pas être changés selon la langue :

Type | Description
Variables | Les noms de variables (l'identification est paramétrable), les chaînes de caractères de remplacement
Fonctions | Nom de la fonction
Polices | Nom
Cadres | Nom
Pilotes | Nom (ne peut être défini que lors de la sélection du driver)
Type de données | Nom
Matrices de réaction | Nom
Attributions | Nom
Script | Nom
Archive | Description
Commandes temporisées | Nom
Moteur de contrôle de procédés (PCE : Process Control Engine) | Noms des tâches
Verrouillages | Nom
Menus | Nom


Vue de détail de la barre d'outils et du menu contextuel Changement de langue

Manuels -> Changement de langue -> Vue de détail de la barre d'outils et du menu contextuel Changement de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Élément de menu

Action

Nouvelle table de langue

Insère un nouveau fichier de langue vide dans la table.

Créer une fonction standard

Crée une fonction Changement de langue et ouvre la boîte de dialogue de configuration.

Changement de langue

Pour les projets multi langues, cette fonction bascule le Runtime dans la langue sélectionnée.

Plus de détails dans l'aide en ligne

Enregistrer

Enregistre la table de langue.

Copy file (Copier le fichier)

Copie le fichier sélectionné vers le presse-papiers.

Copy key (Copier la clé)

Copie la clé sélectionnée vers le presse-papiers.

Coller

Colle le contenu du presse-papiers (fichier ou clé) dans la table de langues. Le fichier collé est visible après l'actualisation de l'affichage dans l'Éditeur.

Supprimer un fichier

Supprime les fichiers de langue sélectionnés de la table de langues.

Delete key (Supprimer la clé)

Supprime la clé sélectionnée de la table de langues.

Retour à l'élément de départ

Si vous avez saisi la liste via la fonction Éléments liés, le symbole vous ramène à l'élément de départ.
Uniquement disponible dans le menu contextuel lorsque tous les éléments liés sont ouverts.

Fichier d'exportation

Exporte le fichier de langue sélectionné au format TXT.

Ajouter fichier

Importe un fichier au format TXT.

Import/export étendu

Options d'exportation au format CSV et d'import à partir du format CSV.

Rechercher

Ouvre la boîte de dialogue de recherche d'entrées dans le fichier de langue actif.

Remplacer

Ouvre la boîte de dialogue permettant de rechercher et remplacer des entrées dans le fichier de langue actif.

Police pour le fichier de langue sélectionné

Ouvre la liste déroulante permettant de sélectionner la police de caractères.

  • Sélection : la boîte de dialogue de sélection de polices s'affiche à l'écran.
  • Police par défaut : la police par défaut est utilisée.

Fichier de langue pour l'éditeur

Ouvre la liste déroulante de sélection du fichier de langue pour l'Éditeur.

Supprimer tous les filtres

Supprime toutes les expressions de filtre des colonnes.

Table de caractères

Ouvre la table de caractères de Windows.

Mettre à jour la version locale

Disponible uniquement dans le cadre du développement distribué.

Synchronise la copie locale du fichier de langue avec la base de données du serveur, et la met à jour.

Permettre les modifications

Disponible uniquement dans le cadre du développement distribué.

Empêche la modification des fichiers de langue par l'utilisateur.

Accepter les modifications

Disponible uniquement dans le cadre du développement distribué.

Transfère les modifications locales vers la base de données du serveur, et déverrouille le fichier de langue pour les autres utilisateurs.

Annuler les modifications

Disponible uniquement dans le cadre du développement distribué.

Abandonne toutes les modifications locales et déverrouille le fichier de langue pour les autres utilisateurs.

Aide

Ouvre l'aide en ligne.

info Info

Les procédés d'exportation de fichier, de copie, de recherche et de remplacement désignent tous le fichier de langue actif. Actif signifie :

Lorsque vous cliquez sur la table, le fichier correspondant à la colonne sur laquelle vous cliquez est défini comme actif. Le nom du fichier actif est affiché dans la fenêtre des propriétés, et une icône représentant des jumelles apparaît dans la fenêtre de propriétés et l'en-tête de la colonne correspondant au fichier.


Mots clés

Manuels -> Changement de langue -> Mots clés

Définition de mots-clé

Les mots-clés sont identifiés par le caractère @.

Dans ce cas, les dispositions suivantes s'appliquent :

@Texte

Le texte complet sera traduit.

Texte

Ce texte ne sera pas traduit.

@Texte

Le texte entre les deux caractères @ sera traduit.

Détails : après un nombre impair de caractères @, le texte sera traduit (le comptage démarre au début de l'entrée).

Par exemple :@utilisateur@Dupont

  • Le terme utilisateur est traduit
  • Le terme Dupont n'est pas traduit

Le texte entre le premier et le deuxième caractère @ est traduit ; le texte entre le deuxième et le troisième caractère @ ne l'est pas!

Liaison

La liaison d'éléments de texte devant être traduits et ne devant pas être traduits est donc possible.

@L'utilisateur@ Dupont @est déconnecté.

@Texte1@ Texte2 @Texte3

  • Texte 1 : sera traduit.
  • Texte 2 : Ce texte ne sera pas traduit.
  • Texte 3 : Ce texte ne sera pas traduit.

Affichage de mots-clé dans le Runtime

Si le mot-clé est lié à une traduction, le texte traduit est affiché dans le Runtime.

Si un mot-clé n'est pas lié à une traduction, aucun texte n'est affiché en Runtime.

Les textes pas encore traduits peuvent être affichés comme des mots-clé. Pour cela :

  1. Accédez à Apparence graphique -Généralités runtime > dans les paramètres du projet
  2. Activez la propriété Montrer les mots-clé non-traduits.
  3. Les textes non traduits sont affichés sous la forme @mot-clé dans le Runtime


Table de langues

Manuels -> Changement de langue -> Table de langues

Pour configurer un changement de langue, vous devez créer une table de langues dans le Gestionnaire de projet. Cette table de langues est basée sur un fichier texte.

Dans ce cas, les dispositions suivantes s'appliquent :

  • La table contient toujours la colonne des mots-clé.
  • La colonne ZENONSTR.TXT est créée automatiquement. Ce fichier ne peut pas être détruit. Lorsque le Runtime démarre ce fichier est chargé automatiquement.
  • Chaque langue reçoit une colonne spécifique dans la table de langues.
  • Pour chaque colonne, un fichier de langue spécifique est créé. Dans la colonne, le mot-clé est enregistré avec sa traduction. Le mot-clé et la traduction sont séparés par un caractère de barre verticale |.
  • Si un mot-clé est saisi dans la table de langues, toutes les colonnes de cette ligne sont automatiquement renseignées avec le mot-clé. Ce mot-clé est ensuite remplacé par la traduction dans la langue correspondante.
  • Si aucune traduction n'est disponible, le mot-clé est affiché dans le Runtime.

Autres sujets abordés dans ce chapitre

Créer une nouvelle table de langue

Affichage et gestion

Mots-clé dans la table de langues


Créer une nouvelle table de langue

Manuels -> Changement de langue -> Table de langues -> Créer une nouvelle table de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un nouveau fichier de langue :

  1. Ouvrez le menu contextuel de l'entrée Fichier de langue dans le Gestionnaire de projet
  2. Sélectionnez l'entrée Nouveau.
  3. La boîte de dialogue d'ouverture d'un nouveau fichier de langue s'affiche à l'écran.

  4. Spécifiez le nom de votre choix.

    Remarque : les caractères spéciaux ne sont pas autorisés ; l'extension de fichier *.txt est ajoutée automatiquement.

  5. Confirmez en cliquant sur le bouton OK.
  6. Le nouveau fichier de langue est ajouté à la table de langues, sur le côté droit de l'écran.

Lors de la création d'un nouveau fichier de langues, les sous-dossiers dépendants des langues portant le nom du nouveau fichier sont créés dans le dossier des fichiers binaires externes :

  • Graphiques
  • Aide
  • Multimédia
  • Textes et formats
  • Module de visualisation de rapports


Affichage et gestion

Manuels -> Changement de langue -> Table de langues -> Affichage et gestion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Affichage multiligne

Les textes-clé et les traductions peuvent être affichés en mode "multiligne".

Pour définir la hauteur de chaque ligne individuellement :

  1. Placez le pointeur de la souris sur l'en-tête situé sur le côté gauche de la colonne mot-clé
  2. Placez le pointeur de la souris sur la ligne séparatrice entre les lignes ; le pointeur de la souris devient une croix.
  3. Maintenez le bouton gauche de la souris enfoncé, puis faites glisser la ligne jusqu'à atteindre la hauteur souhaitée.

Pour personnaliser la hauteur de chaque ligne individuellement

  1. Placez le pointeur de la souris sur l'en-tête situé sur le côté gauche de la colonne mot-clé
  2. Placez le pointeur de la souris sur la ligne séparatrice entre les lignes ; le pointeur de la souris devient une croix.
  3. Double-cliquez sur la ligne séparatrice
  4. La hauteur de ligne est automatiquement adaptée au contenu ; les sauts de ligne des textes sont insérés en fonction de la largeur des colonnes.

Remarque : les hauteurs de ligne définies ne sont pas enregistrées lorsque vous quittez la liste.

Rechercher et remplacer

Il est possible de chercher un texte ou un morceau de texte dans la table de langue. Pour cela, des opérateurs peuvent être utilisés. Cette fonction permet également de remplacer des références. La fonction rechercher et remplacer est toujours valide pour la colonne dans laquelle se trouve le curseur.

Pour utiliser la fonction Rechercher ou Remplacer :

  1. Activez la colonne de votre choix
  2. Cliquez dessus avec le bouton droit de la souris
  3. Dans le menu contextuel, sélectionnez Rechercher ou Remplacer.

Recherche incrémentale

  1. Appuyez sur une touche alphanumérique dans la liste pour lancer une recherche par incrément :
  2. La prochaine ligne de la colonne active dont le texte correspond au critère de recherche spécifié est sélectionnée.
  3. La recherche fait toujours référence au premier caractère de la ligne. Par exemple :

    r trouve la ligne commençant par rouge, mais pas la ligne commençant par vert

Trier

Pour trier la table :

  1. Cliquez sur l'en-tête de la colonne que vous souhaitez trier.
  2. La colonne est triée, l'ordre de tri (croissant/décroissant) étant indiqué par une flèche située au-dessus de l'intitulé de la colonne.
  3. Cliquez une nouvelle fois sur l'en-tête de la colonne pour modifier l'ordre de tri.

Filtre

La table de langues peut être filtrée. Pour cela, saisissez l'expression de filtre dans l'en-tête de la colonne que vous souhaitez filtrer. Toutes les lignes qui ne correspondent pas au critère de filtre sont supprimées de la liste. Dans l'expression de filtre, vous pouvez utiliser les opérateurs * (plusieurs caractères) et ? (un caractère). Vous pouvez associer plusieurs filtres.

Pour réinitialiser le filtre, supprimez l'expression de filtre de l'en-tête ou sélectionnez la commande Supprimer tous les filtres du menu contextuel.

Copier et coller

Le menu contextuel vous permet également de copier le fichier actif vers le presse-papiers, à l'aide de la commande Copy files (Copier les fichiers). Pour coller un fichier du presse-papiers, sélectionnez la commande Coller dans le menu contextuel.

La fonction Coller fait une différence entre votre projet et un projet extérieur :

  • Lorsque vous collez un élément dans le même projet, un nouveau fichier portant le nom "Copie n de xxx.txt" est collé :
    • n = numéro de la copie
    • xxx = nom du fichier copié
  • Lorsque vous collez un élément dans un autre projet, le programme recherche un fichier de langue possédant le même nom.
    • Si un fichier de langue possédant le même nom existe déjà, une demande de confirmation de remplacement du fichier est affichée à l'écran.
    • Si le fichier de langue n'existe pas, il est inséré dans le projet, avec le nom du fichier copié.

Remarque : les textes-clé peuvent également être copiés et collés à l'aide des raccourcis Ctrl+C et Ctrl+V. Cela n'est en revanche pas possible pour les fichiers de langue.

Renommer

Le nom de fichier du fichier actif est affiché dans la fenêtre des propriétés, sous la propriété Nom de fichier. Ici, vous pouvez modifier le nom du fichier de langue (colonne). Lorsque vous renommez un fichier de langue, les sous-dossiers de langues correspondants dans les dossiers de fichiers binaires sont également renommés (reportez-vous au chapitre Créer un nouveau fichier de langue).

Utilisation de tables de langues dans l'Éditeur

Les mots-clés peuvent être traduits et utilisés pendant le développement dans l'Éditeur. Vous pouvez ainsi, sans redémarrer le Runtime, vérifier si la longueur du fichier de texte est suffisante pour toutes les langues.

Pour utiliser un fichier de langue dans l'Éditeur :

  1. Dans le menu contextuel, sélectionnez l'entrée Fichier de langue pour l'Éditeur.
  2. Sélectionnez le fichier souhaité dans le sous-menu.
  3. Le fichier de langue actif dans l'Éditeur est identifié par des caractères verts dans l'en-tête de colonne

Polices

Vous pouvez également modifier la police de caractères utilisée pour l'affichage d'une table de langues dans l'Éditeur par le biais du menu contextuel de la table de langues.

Vous pouvez créer des polices globales dans le projet global. Les entrées définies dans le projet global sont utilisables dans tous les projets dans l'espace de travail.

info Info

Si la police ne s'affiche pas correctement dans la vue de liste, vous devez activer la police Arial Unicode dans le Panneau de configuration.

Autres sujets abordés dans ce chapitre

Rechercher

Remplacer


Rechercher

Manuels -> Changement de langue -> Table de langues -> Affichage et gestion -> Rechercher

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour rechercher et remplacer des textes dans la table de langues, cliquez avec le bouton droit sur la colonne souhaitée et sélectionnez la commande Rechercher dans le menu contextuel.

Paramètres

Description

Rechercher

Saisissez l'expression de recherche.

Only whole words (Mots entiers uniquement)
  • Actif : seule l'expression de recherche spécifiée dans le champ de saisie est renvoyée.
  • Inactif : les expressions contenant l'expression de recherche sont également renvoyées.
    Exemple : "Text" renvoie également "Texture".

La casse (majuscules/minuscules)
  • Actif : la fonction de recherche tient compte des minuscules et majuscules.
    Exemple : "Text" renvoie "Texte", mais pas "texte".
  • Inactif : la prise en compte des lettres minuscules et majuscules est désactivée.

Search direction (Direction de la recherche)

Définit la direction de la recherche.

Flèche vers le haut

Actif : la recherche est effectuée vers le haut, en partant de la cellule sélectionnée.

Flèche vers le bas

Actif : la recherche est effectuée vers le bas, en partant de la cellule sélectionnée.

Rechercher le suivant

Trouve et surligne la référence suivante.

Annuler

Ferme la fonction de recherche


Remplacer

Manuels -> Changement de langue -> Table de langues -> Affichage et gestion -> Remplacer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour rechercher et remplacer des textes dans la table de langues, cliquez avec le bouton droit sur la colonne souhaitée et sélectionnez la commande Remplacer dans le menu contextuel.

Paramètres

Description

Rechercher

Saisissez l'expression de recherche.

Remplacer par

Saisissez l'expression devant remplacer l'expression de recherche.

Only whole words (Mots entiers uniquement)
  • Actif : seule l'expression de recherche spécifiée dans le champ de saisie est renvoyée.
  • Inactif : les expressions contenant l'expression de recherche sont également renvoyées.
    Exemple : "Text" renvoie également "Texture".

La casse (majuscules/minuscules)
  • Actif : la fonction de recherche tient compte des minuscules et majuscules.
    Exemple : "Text" renvoie "Texte", mais pas "texte".
  • Inactif : la prise en compte des lettres minuscules et majuscules est désactivée.

Rechercher le suivant

Trouve et surligne la référence suivante.

Remplacer

L'expression trouvée est remplacée.

Remplacer tout

Toutes les expressions de recherche dans la colonne active sont remplacées automatiquement.

Annuler

Ferme la fonction de recherche


Mots-clé dans la table de langues

Manuels -> Changement de langue -> Table de langues -> Mots-clé dans la table de langues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les mots-clé des textes compatibles avec la fonction de changement de langue sont identifiés par le caractère @ dans zenon. Dans la table de langues, les mots-clé sont saisis sans caractère @. Les caractères de contrôle @ existants sont supprimés automatiquement.

Pour les entrées de la table de langue :

  • Pour chaque caractère @, un ensemble est créé
  • Ces caractères doivent être insérés individuellement dans la table de langues.

    Exemple : Le texte compatible avec la fonction de changement de langue "@L'utilisateur@ Dupont @est déconnecté." comporte deux entrées dans la table de langues :

    • Ligne 1 : L'utilisateur
    • Ligne 2 : est déconnecté.
  • Après l'importation, chaque fichier de langue reçoit initialement les mots-clés qu'il comportait avant l'importation.
  • Dès qu'une modification est apportée à la table de langues (par exemple, saisie d'un nouveau mot-clé), tous les mots-clé dans toutes les langues sont synchronisés.
    • Chaque fichier de langue contient alors tous les mots-clé.
  • Tous les mots-clé récemment saisis dans la table sont toujours fournis dans toutes les langues disponibles.

attention Attention

L'importation peut produire de nouveaux mots-clés, pour lesquels aucune traduction n'est disponible dans le fichier de langues existant. Dans ce cas, les mots-clé sont affichés dans le Runtime.

Ajout de nouvelles clés

Les nouvelles clés sont saisies dans la dernière ligne (vide). Lors de la saisie d'une nouvelle clé, toutes les traductions de la ligne sont renseignées avec le texte de la nouvelle clé.

Si vous appuyez sur la touche Insér,

  1. La dernière ligne est sélectionnée indépendamment de la position du curseur
  2. La cellule est ouverte pour modifier le mot-clé

Modification de clés et de traductions

Pour modifier une cellule dans la liste, cliquez sur une cellule dans la ligne sélectionnée. Si vous appuyez sur la touche F2, la cellule actuellement sélectionnée est modifiée.

Suppression de clés et de traductions

Vous pouvez supprimer des traductions uniques ou des clés entières contenant toutes les traductions.

Pour supprimer un mot-clé contenant toutes les traductions :

  1. Sélectionnez la ligne.
  2. Appuyez sur la touche Suppr ou sélectionnez l'option Delete key (Supprimer la clé) dans le menu contextuel.
  3. Le mot-clé est supprimé avec toutes les traductions, sans demande de confirmation.
  4. Vous pouvez sélectionner et supprimer plusieurs lignes à la fois (Ctrl+ clic ; Maj + clic)

Pour supprimer des traductions :

  1. Sélectionnez la ligne.
  2. La colonne des mots-clé ne doit pas être active.
  3. Maintenez la touche Maj enfoncée et appuyez sur Suppr.
  4. La traduction de la colonne active est supprimée.

Copier et coller

Pour copier les mots-clé :

  1. Sélectionnez la ligne souhaitée (sélection multiple possible).
  2. Appuyez sur Ctrl+C ou sélectionnez l'option Copy key (Copier la clé) dans le menu contextuel.
  3. Les mots-clés sont copiés vers le presse-papiers.

Pour coller les mots-clé :

  1. Cliquez dans la table de langues.
  2. Appuyez sur Ctrl+V ou sélectionnez l'option Coller dans le menu contextuel.
  3. Les mots-clé et les traductions sont collés dans la liste à partir du presse-papiers.
  4. Si une clé copiée existe déjà dans la liste, une nouvelle clé appelée Copie n de xxx est créée.
    • n = numéro de la copie
    • xxx = nom de la clé copiée


Modification externe de fichiers de langues

Manuels -> Changement de langue -> Modification externe de fichiers de langues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fichiers de langues peuvent également être modifiés de façon externe. Pour cela, vous devez les exporter. L'exportation peut être réalisée aux formats suivants :

  • Fichier TXT : modifiable dans un éditeur de texte
  • Fichier CSV : Editer avec Microsoft Excel

Pour modifier un fichier de langue :

  1. Exportez le fichier de votre choix
  2. Selon le type d'exportation, effectuez les modifications souhaitées avec les outils suivants :
    • Éditeur de texte ou
    • Microsoft Excel
  3. Importez à nouveau le fichier dans l'Éditeur

attention Attention

Remarque concernant les modifications externes :

  • Lors de l'importation, le nouveau fichier n'est pas simplement remplacé, mais fusionné avec le fichier disponible dans le projet actuel. Pour plus de détails, reportez-vous au chapitre : Exportation/importation de fichiers de langue
  • Les modifications affectent uniquement le mot-clé et la langue sélectionnée. Toutes les autres langues restent inchangées ou vides.

Autres sujets abordés dans ce chapitre

Exportation/importation de fichiers de langue

Édition dans un fichier de texte

Édition dans MS Excel


Exportation/importation de fichiers de langue

Manuels -> Changement de langue -> Modification externe de fichiers de langues -> Exportation/importation de fichiers de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Exporter

Pour exporter un fichier de langue :

  1. Cliquez dans la colonne souhaitée (pour l'exportation au format TXT)
  2. Ouvrez le menu contextuel en cliquant avec le bouton droit
  3. Sélectionnez le type d'exportation souhaité :
    • Fichier export : exporte la table au format TXT.
      Particulièrement adapté à l'envoi de fichiers à d'autres utilisateurs et à l'importation dans d'autres projets. Concerne uniquement le fichier de langue sélectionné.
    • Enhanced import/export ->CSV export all (Importation/exportation avancée - Exporter tout au format CSV) :
      exporte toutes les tables existantes au format CSV Concerne tous les fichiers de langue d'une table de langues.
  4. La boîte de dialogue permettant de sélectionner l'emplacement de sauvegarde et le nom de fichier s'affiche.
  5. Enregistrez le fichier d'exportation.
  6. Un message vous informe que l'exportation a été effectuée, et vous propose d'accéder au dossier d'exportation.
    • Cliquez sur le bouton Oui pour ouvrir le dossier d'exportation et fermer la boîte de dialogue.
    • Cliquez sur le bouton Non pour fermer la boîte de dialogue.

Importation

Pour importer un fichier de langue :

  1. Cliquez dans la table de langues.
  2. Ouvrez le menu contextuel en cliquant avec le bouton droit
  3. Sélectionnez le type d'importation souhaité :
    • Ajouter fichier : importe un fichier au format TXT
    • import/export étendu -> CSV import (Importation/exportation avancée -> Importer au format CSV) : importe le fichier au format CSV
  4. La boîte de dialogue de sélection de fichiers s'affiche à l'écran.
  5. Cliquez sur OK pour importer le fichier.

attention Attention

L'importation peut produire de nouveaux mots-clés, pour lesquels aucune traduction n'est disponible dans le fichier de langues existant. Dans ce cas, les mots-clé sont affichés dans le Runtime.

Importation de fichiers TXT

Les fichiers de texte doivent correspondre au format de la table de langues pour l'importation : Texte-clé + | + Traduction

Lors de l'importation, le nouveau fichier n'est pas simplement remplacé, mais fusionné avec le fichier disponible dans le projet actuel.

  • Les entrées présentes dans le fichier d'importation et dans le projet sont remplacées par les entrées d'importation.
  • Les entrées uniquement présentes dans le projet ne sont pas modifiées.
  • Les entrées uniquement présentes dans le fichier importé sont ajoutées.
  • Si un fichier de langue du fichier d'importation n'existe pas encore dans le projet, un nouveau fichier portant un nouveau nom est créé.

Importation de fichiers CSV

Les fichiers CSV doivent correspondre au format de la table de langues pour l'importation :

  • Des séparateurs de colonnes valides doivent être utilisés :
    • Barre verticale (|)
    • Point-virgule (;)
    • Tabulation (->)

    Si d'autres caractères sont utilisés en tant que séparateurs de colonnes, un message d'erreur s'affiche.

  • La première ligne doit contenir une liste de fichiers, tandis qu'un opérateur correspondant à la colonne de mots-clé doit être inséré à la première place.
  • Le fichier doit comporter l'extension .csv. Si ce n'est pas le cas, un message d'erreur est affiché.
  • Les lignes supplémentaires contiennent les textes-clé et les textes des traductions correspondantes, séparés par le séparateur de colonne. Le texte-clé doit toujours se trouver dans la première colonne.
  • Si un fichier de langue mentionné dans un en-tête de colonne n'existe pas encore, un nouveau fichier portant le nom indiqué est créé.
  • Les fichiers existants sont fusionnés à partir d'un fichier de texte, de la même manière que lors de l'importation.

Example Exemple

Structure des fichiers CSV :

Mot-clé|ZENONSTR.TXT|FRENCH.TXT|ENGLISH.TXT|GERMAN.TXT

A1004|A1004|F1004|E1004|D1004

A14|A14|F14|E14|D14

A25|A25|F25|E25|D25


Édition dans un fichier de texte

Manuels -> Changement de langue -> Modification externe de fichiers de langues -> Édition dans un fichier de texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Édition dans un fichier de texte

Les remarques suivantes s'appliquent aux fichiers de langues :

  • Le contenu est saisi sous forme de texte dans l'ordre chronologique.
  • Le séparateur entre un mot-clé est un terme traduit est le symbole de barre verticale |.
  • Seul le terme situé après la barre verticale est traduit.

Example Exemple

|

eins|un

zwei|deux

drei|trois


Édition dans MS Excel

Manuels -> Changement de langue -> Modification externe de fichiers de langues -> Édition dans MS Excel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'édition dans MS Excel est également possible. Pour modifier un fichier de langues dans MS Excel :

  1. Exportez la table de langues sous forme de fichier CSV comportant l'extension de fichier .csv.
  2. Ouvrez le fichier avec MS Excel (double-cliquez sur le fichier).
  3. Le fichier d'exportation est automatiquement importé dans Excel.
  4. Les données sont affichées comme suit :
    • Colonne A : Mots-clé
    • Colonnes supplémentaires : traduction ; une traduction par colonne
    • Un séparateur n'est pas affiché
  5. Modifiez les textes à votre convenance
  6. Enregistrez le fichier sous forme de fichier CSV.

Pour utiliser le fichier de langue modifié dans zenon, importez le fichier CSV dans zenon.


Polices

Manuels -> Changement de langue -> Polices

Lors du changement de langue, il peut être nécessaire d'utiliser différentes polices, par exemple, une police Unicode pour les caractères d'Asie de l'est.

Définition via les listes de polices

Définissez les polices et les listes de polices dans Synoptiques/Polices. Les listes de polices créées ici peuvent être sélectionnées via la fonction Changement de langue.

Remarque : vous trouverez des détails concernant les polices et les listes aux chapitres Polices du manuel Synoptiques.

Attribution directe d'un type de police à la table de langue

Les types de polices peuvent être attribués directement aux tables de langue. Toutefois, cela définit uniquement l'affichage visuel dans la table de langue. L'affichage des textes traduits dans l'éditeur et le Runtime n'est pas affecté. L'affichage est défini via les listes de polices.

Pour attribuer un type de police à une table de langue :

  1. Sélectionnez une colonne de la table de langue.
  2. Sélectionnez Police pour la table de langue sélectionnée/Sélection dans le menu contextuel.
  3. La boîte de dialogue standard de sélection de polices de Windows s'ouvre.
  4. Sélectionnez la police que vous souhaitez attribuer.

    Remarque : les paramètres supplémentaires de la boîte de dialogue standard, tels que la couleur de la police, n'affectent pas l'affichage dans zenon.

info Info

Le type de police et la table de langue peuvent déjà être utilisés et affichés dans l'éditeur. Sélectionnez les options suivantes dans le menu contextuel :

  • De la table de langue : Table de langue pour l'Éditeur -> Sélectionnez la table de langue souhaitée
  • De la liste de caractères : Liste de polices pour le fichier de langue sélectionné -> Sélectionnez la liste souhaitée

attention Attention

Des polices de texte statique peuvent également être incorporées au niveau des éléments vectoriels. Elles ne peuvent en revanche pas être modifiées via la table de langue.


Mots-clé prédéfinis - Textes système dans la liste CEL

Manuels -> Changement de langue -> Mots-clé prédéfinis - Textes système dans la liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il y a des mots-clé prédéfinis pour tous les textes qui sont utilisés par défaut dans le Runtime.

Vous trouverez les mots-clés prédéfinis dans le fichier CEL_Keys.txt, dans le répertoire [Installation de zenon]\Wizards_NotSupported\Additional.

Recommandation : durant le développement, utilisez l'assistant de tables de langues.

Attention : Les modifications probables seront écrasées lors de la mise à jour de zenon. Nous vous recommandons donc de sauvegarder ce fichier ailleurs et de le copier au même endroit après la mise à jour.

Les mots-clés étant définis en anglais, la langue du Runtime doit être définie sur Anglais pour que la fonction de changement de langue influe sur les boîtes de dialogue ou utilise les mots-clé prédéfinis de la liste chronologique d'événements.

Les textes utilisés dans les en-têtes de colonnes de la liste chronologique d'événements et la fonction de gestion des alarmes peuvent être configurés dans les paramètres du projet. Pour afficher la boîte de dialogue, sélectionnez Liste chronologique d'événements -> Paramétrage colonnes liste d'événements ou Liste d'alarmes -> Paramétrage colonnes alarmes dans la fonction Appel de synoptique correspondante.

Appel de synoptique

Cette fonction ouvre le synoptique sélectionné. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne

La procédure est la même que pour les textes. Le caractère @ situé au début du message autorise le changement de langue.


Chemins de la fonction de changement de langue pour l'aide du Runtime

Manuels -> Changement de langue -> Chemins de la fonction de changement de langue pour l'aide du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour les fichiers nécessaires au changement de langue, lors de la création d'un fichier de langue, les entrées correspondantes sont automatiquement créées dans un sous-dossier contenant les fichiers requis :

  • Graphiques
  • Aide
  • Multimédia
  • Textes et formats
  • Module de visualisation de rapports

Lors de la configuration de la fonction Changement de langue, le dossier correspondant peut être sélectionné :

attention Attention

Les fichiers doivent avoir les mêmes noms quelque soit la langue mais stockés dans des répertoires différents.

Les chemins par défaut sont donnés dans l'éditeur. Si la fonction "changement de langue" est exécutée, le chemin est changé. Il est aussi possible de créer des dossiers individuels sous l'entrée Fichiers de l'arborescence du projet.

info Info

Il est possible de créer plusieurs niveaux de sous-dossiers dans le nœud Fichier. Dans la fonction de changement de langues, vous pouvez uniquement sélectionner les dossiers situés au premier niveau.

Si le changement de langue n'est pas activé, les chemins par défaut sont les dossiers standard.

attention Attention

En règle générale, le changement de langue dans le Runtime est impossible avec l'aide au format HTML des systèmes d'exploitation de Microsoft. Les systèmes d'aide autorisant les changements de langue doivent être configurés au moyen d'un synoptique de type HTML.

Exception : Aide sous Windows CE.


Exportation de traductions

Manuels -> Changement de langue -> Exportation de traductions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour exporter des textes aux fins de la traduction :

Exportez la table de langues au format CSV

Faites traduire les textes

Importez le fichier CSV modifié

N'oubliez pas que lors du développement distribué, vous devez activer l'option Autoriser les modifications pour le fichier de langue pour pouvoir le modifier.

attention Attention

Dans les projets multi-utilisateurs, les textes-clé et leurs traductions ne peuvent être modifiés que si les modifications sont autorisées pour les fichiers. Les textes de traductions de fichiers pour lesquels les modifications n'ont pas été autorisées ne peuvent pas être sélectionnés ou modifiés.

Les textes-clé peuvent uniquement être modifiés si les modifications sont autorisées pour tous les fichiers. Lors de la saisie de nouvelles clés, les clés sont uniquement saisies dans les fichiers pour lesquels les modifications sont autorisées.


Fonction Changement de langue

Manuels -> Changement de langue -> Fonction Changement de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet de basculer les informations textuelles – par exemple, les informations textuelles concernant les boutons – dans une langue différente dans le Runtime. Lors de la création d'un nouveau fichier de langue, un sous-dossier spécifique à la langue est créé dans les fichiers correspondant aux éléments graphiques, aux rubriques d'aide, aux informations multimédia, aux textes et aux informations de mise en forme, ainsi qu'aux informations de l'application Report Viewer. Ces fichiers reçoivent le même nom que le nouveau fichier de langues. Les fichiers respectifs sont conservés dans ce dossier. Le sous-dossier actif peut être basculé à l'aide de la fonction Changement de langue. Si aucun fichier portant le nom fourni n'est présent dans le dossier, le programme tente de charger le fichier depuis le dossier de niveau supérieur, même s'il n'est pas spécifique à la langue.

Changement de langue

Pour les projets multi langues, cette fonction bascule le Runtime dans la langue sélectionnée.

Plus de détails dans l'aide en ligne

Pour configurer la fonction :

  1. Sélectionnez Nouvelle fonction...
  2. Accédez au nœud Application.

    Application

    Ce groupe contient les fonctions pour la gestion du projet.

    Plus de détails dans l'aide en ligne

  3. Sélectionnez Changement de langue.
  4. Configurez le changement de langue dans la boîte de dialogue qui s'affiche à l'écran.

Paramètres | Description
Fichier de langue | Ouvre le gestionnaire de fichier afin d'autoriser la sélection d'une table de langue.
Liste de polices | Liste déroulante contenant les polices de caractères définies dans l'éditeur.
Dossier Switching (Commutation) | Contient les chemins des fichiers requis.
Graphiques | Liste déroulante contenant des sous-dossiers spécifiques aux langues, destinés aux éléments graphiques.
Aide | Liste déroulante contenant des sous-dossiers spécifiques aux langues, destinés aux fichiers d'aide (.chm) du Runtime.
Multimédia | Liste déroulante contenant des sous-dossiers spécifiques aux langues, destinés aux fichiers multimédia.
Textes et formats | Liste déroulante contenant les sous-dossiers spécifiques aux langues contenant les textes et les informations de mise en forme.
Fichiers de définition de rapports | Liste déroulante contenant les sous-dossiers spécifiques aux langues pour l'application Report Viewer.
OK | Accepte la configuration, crée la fonction et ferme la boîte de dialogue.
Annuler | Abandonne les paramètres, ferme la boîte de dialogue et crée les fonctions avec la cible.
Aide | Ouvre l'aide en ligne.


Clavier

Manuels -> Clavier

Les claviers dans zenon sont utilisés en tant que claviers virtuels autorisant la saisie sur des équipements sans clavier physique dans le Runtime. Les claviers sont définis à l'aide d'un synoptique de type Clavier. zenon fournit des claviers générés automatiquement, qui peuvent être configurés par l'utilisateur.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Clavier automatique

Les claviers automatiques sont générés par le système, par exemple pour la saisie de valeurs prescrites, et sont chargés automatiquement. Ils ne peuvent pas être modifiés par l'utilisateur. Les claviers configurés par l'utilisateur peuvent être librement définis.

Chaque élément dynamique et chaque valeur dans le gestionnaire de groupe de recettes comporte son propre clavier automatique.

Barre des tâches dans le Runtime

Si un clavier est chargé dans le Runtime, il reste ouvert, même lorsque le Runtime est réduit. Dans la barre des tâches du système d'exploitation, une liste déroulante est affichée pour le clavier.

attention Attention

Dans certaines circonstances, des synoptiques de type Clavier personnalisés peuvent ne pas fonctionner correctement dans le navigateur Mozilla Firefox.

Pourquoi : Mozilla Firefox charge de nouvelles fenêtres en arrière-plan, mais ne bascule pas vers celles-ci. Or, les synoptiques de type clavier personnalisés sont fermés lorsqu'ils n'ont plus le focus.

Solution : utilisez un autre navigateur, tel que Microsoft Internet Explorer, Apple Safari ou Google Chrome.

Les claviers automatiques ne sont pas affectés !

Utilisation simultanée de claviers physiques et de claviers virtuels

Les claviers virtuels se comportent comme des claviers physiques dans le système d'exploitation. Si des claviers virtuels sont utilisés conjointement à des claviers physiques, ils s'affectent réciproquement. La configuration des claviers physiques - par exemple, l'utilisation de la touche Maj - affecte les claviers virtuels, et inversement.

Exemples :

  • Si la touche Verr. Maj. est actionnée sur le clavier physique, cela s'applique également au clavier virtuel. Dans ce cas, il est impossible de saisir des chiffres via le clavier automatique.
  • Si vous appuyez sur la touche Verr. num. du clavier physique pour désactiver le pavé numérique, le pavé numérique du clavier est également désactivé.

Autres sujets abordés dans ce chapitre

Créer un synoptique de type Clavier

Clavier du gestionnaire de groupes de recettes

Clavier automatique


Créer un synoptique de type Clavier

Manuels -> Clavier -> Créer un synoptique de type Clavier

Pour créer un synoptique de type Clavier :

  1. Sélectionnez la commande Nouveau synoptique dans le menu contextuel du gestionnaire de projet, sur les écrans d'affichage des nœuds.
  2. Choisissez le synoptique de type Clavier dans la liste déroulante de la vue de détail du nouveau synoptique.
  3. Dans les propriétés du groupe, choisissez Général en tant que Nom clavier prédéfini, ou spécifiez un nom encore non attribué :

    Attention : les synoptiques de type Clavier possédant des noms réservés sont prioritaires sur les synoptiques possédant des noms définis par l'utilisateur.

  4. Ajoutez les éléments de clavier souhaités provenant des éléments de contrôle du menu.
  5. Conseil : Si un synoptique de type clavier est invoqué sur l'ensemble de l'écran plutôt que Dialogue modal, certains menus peuvent être masqués. Dans ce cas, prévoyez une fonction Fermer le gabarit permettant de fermer le cadre de clavier ouvert.

    Fermer le gabarit

    Cette fonction ferme le synoptique couramment ouvert d'un gabarit donné.

    Plus de détails dans l'aide en ligne

attention Attention

Utilisez uniquement l'élément de contrôle Spécification de valeur prescrite pour les claviers créés aux fins de la saisie de valeurs prescrites (SETVALUEKBD, SETSTRINGKBD). Le clavier est automatiquement connecté à la variable de l'élément dynamique devant récupérer la valeur prescrite. Lors de l'utilisation d'un clavier normal, des résultats imprévus peuvent se produire.

Il est impératif que les claviers utilisés pour la définition de valeurs prescrites disposent de l'élément de contrôle Spécification de valeur prescrite. Dans le cas contraire, il sera impossible de saisir des valeurs ou de transmettre des valeurs prescrites.

Intitulés de touches

Les intitulés du clavier peuvent être soit librement définis, soit définis par le système d'exploitation. Pour cela, activez ou désactivez les propriétés Texte automatique du synoptique dans le nœud Général. Dans ce cas, les dispositions suivantes s'appliquent :

  1. Actif :
    • Dans l'Éditeur, les caractères, les nombres et les touches fléchées ne peuvent plus être modifiés. It remains possible to label function keys such as shift or tab individually.
    • La gestion de l'intitulé des touches est assurée par les paramètres du système d'exploitation dans le Runtime.
  2. Inactif :
    • Les intitulés des touches peuvent être adaptés dans l'Éditeur.
    • Dans le Runtime, l'intitulé alternatif est affiché.
  3. L'intitulé du pavé numérique du clavier n'est pas défini automatiquement et peut être adapté à tout instant dans le Runtime, indépendamment de la configuration de la propriété Texte automatique.

Noms réservés

Pour les synoptiques de type clavier, les noms suivants ont été réservés :

Nom

Description

DIALOGKBD

Si un synoptique existe avec ce nom, il sera ouvert automatiquement en Runtime chaque fois qu'une boîte de dialogue est ouverte, par exemple, pour saisir le nom d'une recette dans le gestionnaire de groupe de recettes.

Attention : DIALOGKBD ne doit pas être utilisé avec l'élément de contrôle Saisie valeur, et n'est pas compatible avec celui-ci. L'utilisation de cette combinaison peut provoquer des erreurs dans le Runtime.

SETBOOLKBD

Si un synoptique possédant ce nom existe, il sera utilisé dans le Runtime à chaque fois que la saisie de variables binaires est requise.

SETSTRINGKBD

Si un synoptique possédant ce nom existe, il sera utilisé dans le Runtime à la place de la boîte de dialogue standard pour les variables de chaîne.

SETVALUEKBD

Si un synoptique possédant ce nom existe, il sera utilisé dans le Runtime à la place de la boîte de dialogue standard pour les valeurs numériques. L'élément de contrôle Saisie valeur doit être inséré dans le clavier.

Attention :
Lorsque la touche Verr. maj. est activée, vous ne pouvez rien saisir à l'aide d'un clavier de type SETVALUEKBD, car des caractères spéciaux seraient saisis à la place des chiffres correspondants.Exception: sur les claviers français, la touche Maj ou la touche Verr. maj. doivent être utilisées pour la saisie de chiffres.

Les synoptiques de type clavier possédant des noms réservés sont prioritaires sur les autres synoptiques de type clavier, et notamment le synoptique Clavier automatique destiné aux écrans tactiles.

attention Attention

Si, dans le projet :

  • un synoptique de type Clavier avec le nom DIALOGKBD est disponible
  • Avec un synoptique de type Connexion
  • Et la propriété Clavier automatique est active dans le groupe Clavier

Les synoptiques ne doivent pas être conçus autour du même cadre.

Dans ce cas, le synoptique DIALOGKBD sera automatiquement utilisé.


Clavier du gestionnaire de groupes de recettes

Manuels -> Clavier -> Clavier du gestionnaire de groupes de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sous Eléments de contrôle -> Spécifiques au gestionnaire de groupes de recettes, vous trouverez les éléments suivants, qui sont disponibles pour la fonction Clavier du gestionnaire de groupes de recettes :

Élément

Description

Envoyer valeur

La valeur prescrite est transmise à la variable et le clavier est fermé.

Enregistrer la recette

La recette concernée est enregistrée et le clavier est fermé.

Envoyer valeur et enregistrer recette

La valeur prescrite est transmise à la variable, la recette est enregistrée et le clavier est fermé.

1 à 32

Les claviers peuvent être liés à des limites provenant des matrices de réaction. Pour cela, la variable correspondante

  • doit être liée à la une matrice de réaction de type Numérique ou une matrice de réaction de type Chaîne et
  • les états égale doivent être inclus

Dans le Runtime, les touches utilisées sont représentées. Cliquez sur la touche pour écrire la valeur liée en tant que recommandation de limite dans la fenêtre de saisie.


Clavier automatique

Manuels -> Clavier -> Clavier automatique

Les claviers automatiques sont créés par le système et sont automatiquement affichés dans le Runtime durant la saisie. Ils ne peuvent pas être modifiés par l'utilisateur. Si un clavier portant le nom réservé DIALOGKBD existe, il est affiché à la place du clavier automatique.

attention Attention

Les claviers automatiques ne sont pas affectés !
Solution : Create your own keyboard and activate it using a button. It is therefore also possible to enter a profile name using your own, manually-activated keyboard.

Position définie

Pour le clavier automatique, vous pouvez définir un élément Position favorite et un élément Position alternative complémentaire. La configuration des paramètres de ces éléments intervient dans les propriétés du projet, dans la section Clavier.

S'il n'y a pas assez de place pour le clavier à la position préférée, il sera affiché à la position alternative. S'il n'y a pas assez de place non plus à cette position, alors la position est définie par le système. Vous définissez la position à l'aide de quatre valeurs.

Propriété | Description
Horizontal | Gauche (par défaut) positionne le bord gauche du clavier par rapport au coin supérieur gauche ou inférieur gauche de l'élément. Droite positionne le bord droit du clavier par rapport au coin supérieur droit ou inférieur droit de l'élément.
Mouvement horizontal [pixel] | Distance horizontale (en pixels) de l'élément sélectionné pour la position préférée du clavier automatique. Les valeurs positives déplacent le clavier vers la droite, les valeurs négatives le déplacent vers la gauche. Par défaut : 2.
Vertical | Avec haut (par défaut) ou bas, vous positionnez le clavier au-dessus ou au-dessous de l'élément.
Mouvement vertical [pixel] | Distance verticale (en pixels) de l'élément sélectionné pour la position préférée du clavier automatique. Les valeurs positives déplacent le clavier vers le haut, les valeurs négatives le déplacent vers le bas. Par défaut : 2.


Coloration Automatique des Lignes (CAL) - Topologie

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La coloration topologique des lignes permet d'attribuer un effet dynamique automatique aux tubes des composants technologiques (médias) et aux lignes de distribution d'énergie (pour l'électricité). Ainsi la coloration de réseaux topologiques, contrôlée par le procédé peut être réalisée facilement.

Parce que la structure des tubes est définie dans les synoptiques avec tous ses éléments technologiques (par exemple, les réservoirs et les vannes ou les générateurs, les commutateurs et les consommateurs d'énergie), elle est émulée en tant que modèle et le flux est affiché dans le Runtime.

Pour permettre les modèles de chevauchement dans les synoptiques, la conception et la configuration intégrales sont toujours gérées globalement au niveau du projet. Vous disposez ainsi d'un modèle topologique complet, utilisé pour la simulation des états des tubes et, finalement, pour la coloration des tubes.

La topologie entière est générée automatiquement à partir de la conception graphique. Aucune autre action de développement n'est nécessaire.

info Info

L'algorithme du module CAL s'exécute une fois seulement, depuis une source commençant au niveau de chaque interrupteur.

Synoptiques de détail

Pour afficher des synoptiques individuels, une section partielle peut être sélectionnée dans le réseau topologique et affichée individuellement, au moyen d'alias. Un synoptique de détail peut donc être affiché avec les données provenant de différents composants d'équipements, tels que des sorties ou des réseaux partiels.

Licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (autonome, serveur, veille). Aucune licence n'est nécessaire pour le client de Runtime. La gestion des licences est assurée par le module zenon Energy Edition.

  • CAL : inclus dans la licence du module Energy Edition ; fournit des propriétés de coloration de lignes de base.
  • Pack Topologie : nécessite l'ajout de licences au niveau du serveur (pas du client) et étend le module CAL avec les fonctions suivantes :
    • Alimentation multiple
    • Alimentation sécurisée
    • Verrouillages topologiques
    • Éléments topologiques transformateur et séparateur
    • Détection d'erreur (version 6.50 et ultérieures)

Autres sujets abordés dans ce chapitre

Éléments CAL

Configuration

Change ALC source color (Modifier la couleur source de la fonction CAL)

Synoptiques de détail

Détection d'erreurs sur les réseaux électriques

Détection des erreurs par impédance et calcul de la répartition de charge


Éléments CAL

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction de Coloration automatique des lignes (ALC) permet de colorer les lignes indépendamment de l'état du procédé. L'élément combiné est utilisé comme élément de procédé. Le module de Coloration automatique des lignes permet de définir automatiquement un effet dynamique pour les tuyaux, tubes ou lignes dans le secteur des technologies (pour les médias), ainsi que dans les réseaux topologiques (pour l'électricité).

Ingénierie

Pour la configuration, on distingue deux types d'éléments de synoptique avec différentes fonctions. Il s'agit d'une part d'éléments de procédure (source, interrupteur/disjoncteur, drain, transformateur et/ou liaison) et, d'autre part, de lignes.

Dans ce contexte, les éléments techniques comportent une fonction et une couleur (source et transformateur). Si les éléments de procédure sont actifs, les lignes connectées adoptent la couleur de ces éléments à la source et au transformateur, ou adoptent la couleur de la ligne d'entrée de l'élément pour l'interrupteur et la liaison. Si les éléments de procédure sont inactifs, la couleur des lignes est reprise de la définition dans l'Éditeur.

Les différentes fonctionnalités des éléments sont attribuées dans les propriétés de l'élément combiné.

Exemple

Une source a une ligne connectée. Un interrupteur est connecté à la ligne. Et une seconde ligne est connectée aussi. Si la source est active, la première ligne est colorée avec la couleur de coloration automatique des lignes définie pour la source, jusqu'à l'interrupteur. L'autre ligne n'est pas colorée avant la fermeture de l'interrupteur.

Source inactive

Source active

Interrupteur fermé

Non défini ou non valide

info Info

Si l'état de l'élément de procédure est Non défini ou Défaillance, cet état est détecté automatiquement. Toutes les lignes connectées et tous les éléments suivants sont affichés dans la couleur de la source prédéfinie non définie, dans les deux états.

Nombre de commutateurs fermés en série

Pour garantir le bon fonctionnement de l'algorithme CAL, il est important de tenir compte du nombre de commutateurs fermés connectés en série.

Recommandation : ne pas dépasser 256 commutateurs fermés en série entre la source et le drain.

Autres sujets abordés dans ce chapitre

Éléments procéduriels

Lignes

Vérification du projet


Éléments procéduriels

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduriels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les éléments procéduriels sont créés dans zenon à l'aide d'un élément combiné. Leur état détermines la coloration de la ligne connectée.

Les paramètres suivants sont disponibles :

Propriété

Description

Le type de fonction

Cela définit le type technologique de l'élément combiné.
  • Conclusion

Pour les côtés barre omnibus. Bloque l'affichage du message d'erreur Line only connected on one side (Ligne connectée d'un côté seulement) lors de la compilation dans l'Éditeur.
  • Source...

Transmet sa couleur. Si la source est active (valeur : 1), toutes les lignes connectées pour lesquelles l'option Couleur définie par CAL est définie dans les propriétés de l'élément reçoivent la couleur de la source. Les couleurs des sources sont définies dans les propriétés du projet. (par ex. cuves ou générateurs). Une source est un pôle unique auquel est associé un numéro de source unique. La source peut être commutée en fonction de l'état de sa variable principale. En règle générale, les sources sont considérées comme synchrones avec le réseau et amovibles.
  • Générateur

Un générateur se comporte généralement comme une source, mais il est considéré comme indépendant et non synchrone.
  • Commutateur

Avec ceci, les lignes peuvent être interrompues. Si l'interrupteur est fermé/actif (valeur : 1), la connexion entre les deux lignes est fermée et la ligne est colorée avec la couleur définie pour la source jusqu'au prochain interrupteur. Dans ce cas, un interrupteur transmet la couleur de la source de la ligne d'entrée vers la ligne de sortie.

Si l'état de l'interrupteur est défini sur Défaillance, Non défini ou INVALID, la couleur de la ligne devient la couleur UNDEFINED spécifiée dans la configuration de la fonction CAL dans les propriétés du projet. Ainsi, un interrupteur transmet le numéro de source 0 (UNDEFINED) au niveau de sa sortie (connexion 2), au lieu du numéro de la source entrante.

Exemple : se reporter à la section Exemple d'interrupteur - Couleurs de la fonction CAL.
  • Sectionneur

Un sectionneur se comporte généralement comme un interrupteur. En revanche, un sectionneur ne peut pas être connecté dans le modèle topologique. Son état (marche, arrêt, position intermédiaire, défaillance) est déterminé par sa variable principale.
  • Réglette

Une réglette (vanne) se comporte de la même manière qu'un commutateur, à ceci près qu'elle est utilisée pour les conduites d'eau et de gaz.

Valeur de la variable principale :

Interrupteur DÉSACTIVÉ : valeur 0 -> vanne fermée -> pas d'écoulement d'eau

Réglette ACTIVE : valeur 1 -> réglette entièrement fermée -> pas d'écoulement d'eau

Réglette DIF : valeur 2 -> vanne partiellement ouverte -> écoulement d'eau

Réglette STO : valeur 3 -> défaillance de la vanne
  • Drain (Évacuation)

Ceci définit la fin de la ligne. Le drain n'influence pas la coloration ; il est uniquement utilisé pour permettre l'affichage du modèle en totalité. Si un programme externe (par exemple VBA) voulait accéder au modèle, alors le drain serait probablement nécessaire pour pouvoir faire d'autres calculs, et donc il doit être inséré.
Dans les projets du module Energy, le drain est utilisé pour représenter les consommateurs. Ces consommateurs sont pris en compte pour le calcul des verrouillages (groupes de commandes) Consommateur sous-alimenté de la fonction CAL.
  • Transformateur

Un transformateur est un drain et une source en même temps. Donc avec un transformateur, la couleur d'entrée (source d'entrée) peut être transformée en une nouvelle couleur de sortie (couleur source du transformateur).
La connexion de sortie est active uniquement si le transformateur est activé. Mais la ligne de sortie ne prend pas la couleur de la ligne d'entrée comme avec un interrupteur, mais la couleur source du transformateur. Donc une source doit être définie pour chaque transformateur. Un transformateur ne peut pas être activé ou désactivé, il est toujours actif.

Transformateur compatible avec une production réversible :

Pour obtenir un transformateur compatible avec une production réversible, vous devez sélectionner une source autre qu'UNDEFINED [0] pour l'élément Source pour alimentation inverse. Cela signifie que le transformateur se comporte de la même manière dans les deux directions : de l'entrée vers la sortie (en avant), mais également de la sortie vers l'entrée (en arrière). La seule différence est que la propriété Source pour alimentation inverse est utilisée pour la distribution ultérieure du numéro de source, et non la propriété Source.

Remarque : les états défaillants du réseau ou les configurations manquantes, à l'image d'un signal provenant de l'entrée et de la sortie en même temps ou d'un court-circuit à l'entrée et à la sortie, ne sont pas colorés de manière particulière. Cela signifie que le transformateur capable d'assurer une production réversible se comporte comme deux transformateurs commutés de manière antiparallèle, qui ne sont pas capables d'assurer une production réversible.
  • Lien

Avec un lien, une ligne peut être continuée à un autre emplacement. Si un lien est "affecté" par une ligne, tous les autres liens avec le même numéro de lien sont aussi "affecté" par cette ligne. Ici, peu importe si les liens sont sur le même synoptique ou dans d'autres synoptiques du projet. De cette façon, des lignes indépendantes des synoptiques peuvent être définies. Il est possible d'avoir plus de 2 liens connectés au même numéro de lien dans un projet.

Les liaisons peuvent être alimentées par plusieurs lignes en même temps, et peuvent également alimenter plusieurs lignes. En principe, il n'y a pas de différence entre les entrées et les sorties. L'information source est toujours transmise à toutes les lignes connectées.
Attention : deux éléments de liaison ne peuvent pas être connectés directement à une ligne. Entre les deux, il doit exister au moins un autre élément procéduriel (commutateur/sectionneur ou transformateur).
Un lien ne peut pas être activé ou désactivé ; il est toujours actif.

Numéro de lien

Seul le numéro de liaison est saisi pour une fonction de liaison. Tous les numéros de lien identiques d'un projet sont corrélés. Description détaillée dans le type de fonction "Lien".
Cette propriété est accessible uniquement si le type de fonction est "Lien".

Source...

Ici une source peut être assignée à un élément. Dans la liste, on trouve toutes les sources définies dans les propriétés CAL du projet. Tous les noms de sources sont affichés.
Cette propriété est uniquement accessible si le type de fonction sélectionné est Source, Transformateur ou Générateur.

Une variable IEC de type BOOL ou entier doit être liée à l'élément en tant que variable principale pour que le commutateur recevoir l'état (ouvert, fermé, non valide). De la même façon, une source obtient son état (actif/inactif) à partir de cette variable.

Pour les types de fonction "Source" et "Transformateur", le numéro de source défini est transmis aux consommateurs (drains) par le biais de commutateurs ouverts ou fermés. Les états et les couleurs de toutes les lignes connectées sont calculés à partir de la somme superposée de numéros de sources d'alimentation et des éléments de procédure.

info Info

Seuls les deux premiers bits sont pris en compte pour la commutation. Le premier bit correspond à la commutation. 0 signifie désactivé et 1 égale 1.

Le deuxième bit est le bit d'erreur. Aucune erreur n'est présente lorsque ce bit est égal à 0.

États

  • Un interrupteur et une source sont activés si la valeur de la variable liée est 1.
  • Un interrupteur est non valide si la valeur de la variable liée est >1 ou comporte un état INVALID.
    Un interrupteur non valide fournit le numéro de source 0 (non défini) à sa sortie (connexion 2) au lieu de la saisie du numéro de source. Dans la direction vers l'entrée, l'interrupteur fonctionne normalement.

    Remarque : si la variable (d'acquittement) possède l'état INVALID, l'ensemble du réseau suivant est INVALID, car l'état du réseau est inconnu. L'état INVALID est transmis (acheminé) par le biais des interrupteurs fermés suivants.

attention Attention

Si dans la définition de l'état dans l'élément combiné, on choisit que la couleur de contour et la couleur de remplissage proviennent des définitions du CAL, les éléments de procédure sont colorés selon l'état des lignes connectées dans le Runtime.

Autres sujets abordés dans ce chapitre

se reporter à la section Exemple d'interrupteur - Couleurs de la fonction CAL.

Points de connexion des éléments de procédure

Entrée/sortie d'interrupteur


se reporter à la section Exemple d'interrupteur - Couleurs de la fonction CAL.

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduriels -> se reporter à la section Exemple d'interrupteur - Couleurs de la fonction CAL.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Exemple 1

Élément combiné avec l'état de valeur 00 et coloration de ligne de la fonction CAL :

  1. Configuration dans l'Éditeur :
    • Élément combiné avec l'état de valeur 00
    • Coloration de ligne de la fonction CAL active

  2. Résultats suivants dans le Runtime :
    • Couleur de la source : vert
    • Couleur sans tension : blanc
    • État de l'interrupteur : désactivé/ouvert (valeur 0)

Exemple 2

Élément combiné avec l'état de valeur 01 et coloration de ligne de la fonction CAL :

  1. Configuration dans l'Éditeur
    • Élément combiné avec l'état de valeur 01
    • Coloration de ligne de la fonction CAL active
    • Couleur de remplissage de la fonction CAL active

  2. Résultats suivants dans le Runtime :
    • Couleur de la source : Vert :
    • Couleur sans tension : Blanc
    • État de l'interrupteur : activé/fermé (valeur 1)

Exemple 3

Élément combiné avec l'état de valeur 00 sans coloration de ligne de la fonction CAL :

  1. Configuration dans l'Éditeur :
    • Élément combiné avec l'état de valeur 00
    • Coloration de ligne de la fonction CAL inactive

  2. Résultats suivants dans le Runtime :
    • Couleur de la source : Vert :
    • Couleur sans alimentation et couleur de construction de la ligne : Blanc
    • Ligne définie et couleur de remplissage de l'élément combiné : noir.
    • État de l'interrupteur : désactivé/ouvert (valeur 0)

Exemple 4

Élément combiné avec l'état de valeur 01 sans coloration de ligne de la fonction CAL :

  1. Configuration dans l'Éditeur
    • Élément combiné avec l'état de valeur 01
    • Coloration de ligne de la fonction CAL inactive
    • Coloration de remplissage de la fonction CAL inactive

  2. Résultats suivants dans le Runtime :
    • Couleur de la source: vert
    • Couleur sans alimentation et couleur de construction de la ligne : Blanc
    • Ligne définie et couleur de remplissage de l'élément combiné : noir.
    • État de l'interrupteur : activé/fermé (valeur 1)


Points de connexion des éléments de procédure

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduriels -> Points de connexion des éléments de procédure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la configuration, une ligne est connectée à un élément de procédure (élément combiné) par le chevauchement des tracés sur le synoptique aux points de connexion de l'élément combiné. Une seule ligne peut être connectée au même point de connexion en même temps. Toutes les lignes dont les origines se trouvent dans la zone définie ci-dessous sont connectées (topologie extraite du graphique).

attention Attention

Les éléments de CAL doivent uniquement être utilisés sans rotation, car :

Le calcul du modèle topologique du CAL dans l'Éditeur repose sur la position des éléments sans rotation et sans prise en compte d'éléments dynamiques.

Dans l'illustration suivante, tous les points de connexion possibles sont représentés de manière détaillée :

X = 1/3 largeur

Y = 1/3 largeur (max. 10 pixels)

Z = 1/3 hauteur

W = 1/3 hauteur (max. 10 pixels)

info Info

Si une ligne se trouve hors de la zone représentée ci-dessus, il n'existe aucune connexion et, par conséquent, aucune coloration. Et donc il n'y aura pas non plus de coloration des lignes suivantes.

En règle générale, tous les points de connexion décrits peuvent être utilisés avec les sources, les drains et les liaisons.

attention Attention

Avec les sources et les drains, un seul point de connexion doit être utilisé à la fois ; peu importe lequel. Si différents points de connexion sont utilisés en même temps, des états non définis peuvent se produire.

Des éléments du type lien peuvent également employer plusieurs points de connexion à la fois. Les informations relatives à la couleur entrante sont transmises à toutes les lignes.

Dans le cas des interrupteurs, sectionneurs, réglettes et transformateurs, la connexion 1 (entrée) se trouve à gauche ou sur le dessus et la connexion 2 (sortie) se trouve à droite ou en bas. Cette couleur d'arrière-plan peut être modifiée avec la propriété Commuter entrée/sortie.

info Info

Aux interrupteurs et transformateurs, il convient de veiller à n'utiliser qu'une connexion d'entrée et une connexion de sortie. L'utilisation simultanée de plusieurs points de connexion d'entrée ou de sortie produit des incohérences, et n'est donc pas fiable.

info Info

Pour tous les éléments de procédure, ce qui suit est vrai : Une seule ligne peut être connectée à un point de connexion. Les jonctions ne peuvent pas être établies directement sur un élément ; elles doivent être dessinées avec des lignes.


Entrée/sortie d'interrupteur

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduriels -> Entrée/sortie d'interrupteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si un transformateur, un sectionneur ou un interrupteur est configuré, l'entrée et la sortie peuvent être inversées. Pour cela :

  1. Sélectionnez le transformateur, le sectionneur ou l'interrupteur en tant que Type de fonction.
  2. Cochez la case Commuter entrée/sortie.

L'entrée est alors placée à droite ou en bas, et la sortie est placée à gauche ou en haut.

Aperçu

Equipement configuré | Entrée | Affichage
normal | Gauche | Droite
normal | Haut | bas
inversée | Droite | Gauche
inversée | bas | Haut


Lignes

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Lignes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les lignes sont représentées par des éléments vectoriels Ligne, Ligne brisée et Tube.

Si l'option Couleur définie par CAL est cochée pour une ligne, la couleur provient de la configuration de la fonction CAL. Les lignes sont colorées automatiquement par le système selon l'état des éléments de procédure et les paramètres CAL.

Ici, la couleur provient habituellement de la source la plus prioritaire dont le flux circule dans la ligne ou reste "vide/non alimentée", telle qu'elle est définie dans le synoptique avec des couleurs statiques ou dynamiques.

Vous définissez le type d'affichage à l'aide de listes déroulantes :

  • Priorité pour l'affichage
  • Affichage alimentations multiples
  • Affichage alimentation sécurisée

Les options suivantes sont disponibles dans les propriétés des lignes :

Paramètres

Description

Couleur définie par CAL

Active la Coloration Automatique des Lignes pour ces éléments vectoriels. Ce qui signifie : Si la source de la ligne est active et que tous les interrupteurs entre la source et la ligne sont fermés (ou si toutes les vannes sont ouvertes), la ligne est colorée en conséquence. Si la ligne est "alimentée" par une source unique, la couleur de la source définie est utilisée pour colorer la ligne. La largeur de la ligne n'est pas modifiée.

Priorité pour l'affichage

Définit si l'alimentation multiple, l'alimentation sécurisée ou les deux alimentations sont affichées.
Par défaut : Alimentation multiple

Alimentation sécurisée

L'élément est affiché selon les règles de l'alimentation sécurisée.

Une ligne est considérée comme dotée d'une alimentation sécurisée si elle est alimentée par deux interrupteurs ou transformateurs aux moins, avec une source située hors du système. Les sources du système ne contribuent pas à l'alimentation sécurisée, mais ne l'excluent pas non plus.

Alimentation multiple

L'élément est affiché selon les règles de l'alimentation multiple.

Une ligne est considérée comme dotée d'une alimentation multiple si elle est alimentée par deux sources différentes au moins. Dans ce cas, peu importe qu'il s'agisse de sources système ou de sources utilisateur ; le côté depuis lequel la ligne est alimentée par les sources n'a également pas d'importance.

No priority (Pas de priorité)

Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits. Ce qui signifie :

Si une ligne

  • comporte une alimentation multiple et une alimentation sécurisée,
  • La priorité est définie sur No priority (Pas de priorité)
  • L'affichage de l'alimentation multiple est défini sur Two sources with highest priority (Les deux sources les plus prioritaires)
  • L'affichage de l'alimentation sécurisée est défini sur Double épaisseur

La ligne est alors deux fois plus épaisse, et affichée sous forme de ligne en trait tireté de deux couleurs.

Affichage alimentation multiple

'Alimentation multiple' signifie qu'une ligne est alimentée par plusieurs sources simultanément. Ici vous pouvez définir comment les lignes alimentées de façon multiple sont affichées.

Par défaut : La source la plus prioritaire

La source la plus prioritaire

La ligne prend la couleur de la source la plus prioritaire.
Remarque : les priorités correspondent à l'ordre défini dans la configuration de la fonction CAL.

Les deux sources les plus prioritaires

A un sens pour les lignes alimentées par 2 sources différentes ou plus. Les deux sources avec les plus hautes priorités définissent la coloration. La ligne est affichée avec les deux couleurs (en pointillé). La longueur des tirets peut être modifiée via la propriété Longueur de pointillé fournie plusieurs fois.

Les sources système concernent les alimentations multiples, aussi bien que les sources réelles ; la configuration correspondante permet de colorer les lignes de deux couleurs.

Couleur de remplacement

La couleur définie dans la propriété Couleur alternative est utilisée.

Longueur de pointillé fournie plusieurs fois

Définit la longueur des tirets (en pixels) des lignes, lignes brisées ou tubes utilisée par la fonction CAL pour l'option two sources with the highest priority (Les deux sources les plus prioritaires) pour la propriété Affichage alimentation multiple.

  • Minimum : 0 (longueur des tirets automatique)
  • Maximum : 32767
  • Par défaut : 0

Couleur alternative

Couleur de remplacement utilisée par la fonction de CAL pour les lignes, les lignes brisées ou les tubes dotés d'alimentations multiples.

Affichage alimentation sécurisée

'Alimentation sécurisée' signifie qu'une ligne est alimentée par plusieurs chemins (en parallèle) mais d'une même source. Dans ce cas, vous pouvez définir comment cette "alimentation sécurisée" est représentée.

Une ligne est toujours affichée comme dotée d'une alimentation sécurisée si elle est alimentée par aux moins deux interrupteurs comportant une source réelle (c'est-à-dire une source autre qu'une source système).

Par défaut : normal

double épaisseur

A un sens pour les lignes alimentées de façon parallèle par la même source. Si c'est le cas, l'épaisseur de la ligne est deux fois supérieure à l'épaisseur configurée. (Exemple : Une ligne avec une épaisseur de 5 pixels sera affichée avec une épaisseur de 10 pixels si elle est "alimentée de façon sécurisée" par la même source.
Si cette ligne est alimentée par deux sources différentes ou plus (alimentations multiples), l'épaisseur de ligne n'est pas changée !

La couleur est toujours définie par la source avec la priorité la plus haute !

double luminosité

A un sens pour les lignes alimentées de façon parallèle par la même source. La ligne est affichée avec une luminosité qui est le double de la luminosité définie dans ses propriétés.
Si cette ligne est alimentée par deux sources différentes ou plus (alimentations multiples), la couleur de la ligne n'est pas changée !
Si cette ligne est alimentée de façon sécurisée depuis une même source, la luminosité de la ligne affichée est deux fois plus élevée.
Formule de calcul de la double luminosité :

  1. La couleur RVB est transformée selon le système HLS.
  2. L (Luminance = Luminosité) est recalculée avec une valeur NewLuminance égale à : 240*3/4 + L/4.
  3. La valeur de la couleur est retransformée dans le système RGB avec la nouvelle luminosité.

La couleur est toujours définie par la source avec la priorité la plus haute !

normal

L'élément est affiché avec la couleur de la source et l'épaisseur configurée.

Utiliser alias

Actif : un alias est utilisé.

Alias

Ouvre la boîte de dialogue permettant de sélectionner un modèle.

info Info

La couleur des sources et les priorités sont définies dans les propriétés du projet.

Les sources définies par l'utilisateur doivent posséder un ID supérieur à 9. Les ID inférieurs ou égaux à 9 sont réservés aux sources système.

info Info

Le calcul de la couleur d'une ligne dans le Runtime est fait selon la liste des priorités suivante :

  1. Coloration Automatique des Lignes (Priorité la plus haute, outrepasse tous les autres paramètres)
  2. Couleurs dynamiques
  3. Couleurs statiques

Autres sujets abordés dans ce chapitre

Exemple

Points de connexion des lignes


Exemple

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Lignes -> Exemple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'exemple suivant, la source 0 a la couleur bleu et la source 1 a la couleur rouge. Et la source 0 est la source la plus prioritaire.

Source 0

Source 1

Il en résulte ceci pour les différentes options :

 | Ligne / Ligne brisée | Tube
La source la plus prioritaire |  |
Les deux sources les plus prioritaires |  |
double épaisseur |  |
double luminosité |  |


Points de connexion des lignes

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Lignes -> Points de connexion des lignes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La connexion d'une ligne (ligne, ligne brisée ou tube) sur une autre ligne est faite par superposition /chevauchement du tracé dans le synoptique aux points de connexion. Les points de connexion - ou les zones de connexion - sont les extrémités de chaque ligne et jusqu'à trois pixels autour.

Example Exemple

Le point de départ d'une ligne a les coordonnées (point de départ x, y) : 150/100 pixels.
Ceci produit une zone de connexion (x / y) : 147 - 153 / 97 - 103 pixels.

Si la ligne commence ou se termine et d'autres lignes commencent ou se terminent dans cette zone, alors les lignes sont automatiquement connectées sans avoir à configurer autre chose. Un seul recouvrement des zones de connexion des lignes n'est pas suffisant !

Dans l'illustration suivante les zones de connexion sont affichées graphiquement (les lignes vertes sont connectées à la ligne noire, mais pas la ligne rouge).

info Info

Le nombre de lignes connectées à une zone de connexion n'est pas limité.

attention Attention

Si une ligne est en dehors de la zone de connexion (par exemple, la ligne rouge dans l'illustration), aucune connexion n'est établie et il n'y a pas de coloration de la ligne. Et donc il n'y aura pas non plus de coloration des lignes suivantes.

Des croisements de ligne peuvent être effectués, si les fins de lignes ne sont pas dans les zones de connexion.

attention Attention

Les éléments de CAL doivent uniquement être utilisés sans rotation, car :

Le calcul du modèle topologique du CAL dans l'Éditeur repose sur la position des éléments sans rotation et sans prise en compte d'éléments dynamiques.


Vérification du projet

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Vérification du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Développez les éléments de procédure et les lignes souhaités sur un ou plusieurs synoptiques, et enregistrez-les. Vous pouvez ensuite vérifier, via les fonctions Créer tous les fichiers Runtime ou Créer les fichiers Runtime modifiés, si des erreurs ou des conflits sont présents sur les synoptiques. En cas d'erreurs et/ou de conflits, les messages d'erreur ou les avertissements correspondants sont affichés dans la fenêtre de suivi.

info Info

Double-cliquez sur la ligne correspondante dans la fenêtre de suivi. Le synoptique comportant l'élément de synoptique erroné sera ouvert automatiquement. Si l'élément de synoptique erroné forme partie d'un symbole, le symbole correspondant est automatiquement sélectionné.

Le message d'erreur suivant peut être affiché.

  • CAL : Synoptique '%s' - Deux éléments Lien comportant des numéros de lien différents sont connectés à la ligne '%s. (Un double-clic ouvre le synoptique et sélectionne la ligne.)
  • CAL : Synoptique '%s' - Plus que deux points de connexion sont utilisés sur l'élément '%s'. Sur un élément, vous ne pouvez utiliser qu'un point en entrée et un point en sortie. (Un double-clic ouvre le synoptique et sélectionne l'élément.)

Les avertissements suivants peuvent être affichés.

  • CAL : Synoptique '%s' - La ligne d'alias '%s' est connectée à une ligne sans alias. (Un double-clic ouvre le synoptique et sélectionne la ligne.)
  • CAL : Synoptique '%s' - La ligne d'alias '%s' est connectée à une ligne sans alias. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l'élément.)
  • CAL : Synoptique '%s' - La ligne d'alias '%s' est connectée à une ligne sans alias. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l'élément.)
  • CAL : Synoptique '%s' - La ligne '%s' est connectée d'un coté seulement. (Un double-clic ouvre le synoptique et sélectionne la ligne.)
  • CAL : Synoptique '%s' - l'élément '%s' n'est pas connecté. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l'élément.)
  • CAL : Synoptique '%s' - l'élément '%s' n'est connecté que d'un coté. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l'élément.)

Dans les messages d'erreur ou les avertissements, les éléments correspondants sont identifiés à l'aide de la référence de l'élément. Cette référence sert également de clé de lien pour les alias de CAL.


Configuration

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer la fonction CAL :

  1. Dans les propriétés du projet, sélectionnez la propriété Configuration CAL du groupe Coloration Automatique de Lignes.
  2. Cliquez sur le bouton ...
  3. La boîte de dialogue de configuration s'affiche à l'écran.
  4. Configurez les propriétés souhaitées pour les éléments suivants :
    • Sources
      (tenez également compte des principes mentionnés dans la section Mode de coloration avec l'état UNDEFINED [Non défini].)
    • Verrouillages
    • Marqueur de synoptique

Autres sujets abordés dans ce chapitre

Configuration des sources

Configuration des verrouillages topologiques

Configuration du marqueur de synoptique


Configuration des sources

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des sources

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration des sources, c'est-à-dire leurs noms et leurs couleurs (ordre et priorité), s'effectue par rapport au projet, dans les propriétés du projet, sous Configuration CAL.

Paramètres

Description

Numéro

Numéro interne unique consécutif pour identifier la source. Ce numéro est donné par le système automatiquement et ne peut pas être modifié.

Attention : Les ID 0 à 9 sont réservés aux sources système et ne doivent pas être utilisés de manière spécifique à l'utilisateur.

Nom

Nom logique de la source (par exemple, "Eau" ou "Terre"). Ce nom est également utilisé lors de la sélection du numéro de source pour les éléments combinés. Vous pouvez changer le nom en cliquant dessus avec le bouton gauche de la souris. Le mode édition est activé. Les modifications sont acceptées par la touche Entrée ou en sélectionnant une autre source.

Remarque : Les intitulés suivants ne peuvent pas être changés selon la langue :

Premier plan

Couleur de premier plan de la source. Cette couleur est utilisée pour colorer les lignes et les lignes brisées et définit la couleur pour l'extérieur des tubes.

Arrière-plan

Couleur de fond de la source. Cette couleur est utilisée en tant que couleur de fond pour les tubes et les éléments de procédure (élément combiné).

Nouveau

Ajoute une nouvelle couleur.

Supprimer

Supprime la couleur sélectionnée.

Les couleurs peuvent être configurées directement en saisissant le code hexadécimal correspondant, ou à l'aide d'une palette de couleurs.

Pour effectuer une saisie directe :

  1. Cliquez sur la description de la couleur avec le bouton gauche de la souris.
  2. Le champ bascule en mode édition
  3. Saisissez le code
  4. Appuyez sur la touche de saisie, ou sélectionnez une autre source pour accepter la modification

Pour effectuer une sélection via une palette de couleurs :

  1. Sélectionnez la ligne de votre choix
  2. Cliquez sur le bouton ... adjacent à la couleur
  3. L'aide en ligne s'affiche.
  4. Sélectionnez la couleur de votre choix.

Le code hexadécimal décrit la couleur en mode RGB qui est constitué comme suit : #RRGGBB.

L'élément | Signification
# | Identifiant indiquant qu'un code de couleur en hexadécimal est utilisé.
RR | 2 chiffres représentant la valeur du rouge pour la couleur en hexadécimal 0-255 correspond à 0-FF
GG | 2 chiffres représentant la valeur du vert (green) pour la couleur en hexadécimal 0-255 correspond à 0-FF
BB | 2 chiffres représentant la valeur du bleu pour la couleur en hexadécimal 0-255 correspond à 0-FF
attention Attention
Limitations pour pouvoir supprimer des sources : Les sources de 0 à 9 sont réservées au système et ne peuvent pas être supprimées. Seules les sources avec des numéros supérieurs peuvent être supprimées.

info Info

La séquence dans la liste indique la priorité des sources, la première étant la plus prioritaire.

Pour modifier les priorités des sources uniques, vous pouvez les déplacer vers le haut ou vers le bas à l'aide des boutons fléchés.

Autres sujets abordés dans ce chapitre

Mode de coloration avec l'état UNDEFINED (Non défini)


Mode de coloration avec l'état UNDEFINED (Non défini)

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des sources -> Mode de coloration avec l'état UNDEFINED (Non défini)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La coloration du réseau peut être mise en œuvre de deux manières avec l'état UNDEFINED (Non défini) :

  • Standard
  • Input takes priority (L'entrée est prioritaire)

Ce paramètre est configuré par le biais des propriétés de projet Coloration Automatique de Lignes/Mode pour la coloration.

Standard

L'inspection du diagramme débute depuis une source et se poursuit sur l'ensemble du réseau, de telle manière que chaque interrupteur fermé (la variable d'interrupteur possède la valeur 1) dans chaque direction n'est parcouru qu'une fois, permettant d'éviter tout cycle. Chaque nœud visité (c'est-à-dire chaque segment de ligne) est coloré avec la couleur de la source. Les lignes directement connectées sont identifiées comme des nœuds.

Si la recherche découvre un interrupteur comportant une variable d'interrupteur avec l'état suivant, la couleur UNDEFINED est utilisée pour la coloration à partir de cet interrupteur :

  • INVALID [valeurs aux choix]
  • est non valide [valeur : 3] 3]
  • est dans une position intermédiaire [valeur : 2])

L'inspection du diagramme se poursuit maintenant sous la même forme. Chaque interrupteur est parcouru une fois dans chaque direction avec la couleur UNDEFINED. Par conséquent, chaque interrupteur peut être parcouru au maximum quatre fois par source :

  1. Avec le numéro de source, vers l'avant
  2. Avec le numéro de source, vers l'arrière
  3. Avec le paramètre UNDEFINED, vers l'avant
  4. Avec le paramètre UNDEFINED, vers l'arrière

Input takes priority (L'entrée est prioritaire)

Avec le paramètre Supply takes priority (L'alimentation est prioritaire), seules les lignes dotées d'une alimentation provenant d'une source au moins, mais non alimentées par une source en particulier, sont colorées avec le paramètre UNDEFINED. Si une ligne est alimentée par une source au moins, elle ne peut plus recevoir la couleur UNDEFINED d'une autre source.

Cette recherche est une recherche en deux étapes :

  • Lors de la première étape, à l'instar du paramètre Standard, la couleur de la source est distribuée sur le réseau depuis chaque source commutée, dans la mesure où l'interrupteur suivant est fermé. La recherche se termine si l'interrupteur est ouvert ou non valide/non défini.
  • Lors de la deuxième étape, la recherche débute à chaque interrupteur non valide/non défini alimenté d'un côté, la couleur UNDEFINED étant distribuée au côté non alimenté. Cette recherche considère également que les interrupteurs non définis/non valides sont fermés, et distribue donc la couleur UNDEFINED sur le réseau jusqu'à trouver un interrupteur manifestement ouvert. En outre, une recherche se termine si un élément de ligne déjà alimenté est trouvé.


Configuration des verrouillages topologiques

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des verrouillages topologiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les verrouillages topologiques appliqués aux commandes par la fonction CAL peuvent être configurés ici.

info Info

Cette boîte de dialogue est uniquement disponible si vous possédez les licences des modules Energy Edition et Coloration Automatique des Lignes.

Les conditions suivantes sont disponibles. Le paramétrage fait ici s'applique de façon globale sur le modèle topologique complet :

Paramètre | Description
Tension à la masse | Le verrouillage est actif si un disjoncteur/sectionneur doit être fermé et une masse est connectée à son premier connecteur, l'autre connecteur étant connecté ou non défini.
Action de commutation dans une zone comportant un état non défini. | Le verrouillage est actif si un disjoncteur / sectionneur doit être fermé et ses deux connecteurs sont "non définis" ou "perturbés".
Sectionneur en charge | Le verrouillage est actif si certaines conditions d'activation ou de désactivation sont satisfaites. Conditions : voir la section Sectionneur en charge – Conditions de verrouillage.
Le périphérique ne serait plus alimenté. | Le verrouillage est actif si un consommateur, qui était alimenté, n'était plus alimenté après l'action de commutation (par un disjoncteur ou un sectionneur).
Toute zone présentant l'état non défini s'étendrait | Le verrouillage est actif si un disjoncteur / sectionneur doit être fermé et un de ses connecteurs est "non défini" ou "perturbé" alors que l'autre ne l'est pas.

Si vous cliquez sur la colonne État pour l'un de ces verrouillages, vous obtenez une liste déroulante avec trois choix :

Paramètres | Description
ne pas vérifier | La condition sélectionnée ne sera pas prise en compte dans ce projet (pour le modèle topologique).
déverrouillable | La condition sélectionnée est considérée dans ce projet. Si la condition s'applique, l'utilisateur peut la déverrouiller avec une commande (synoptique de type Commande). Cette action de déverrouillage est consignée dans la liste chronologique des événements (CEL).
non déverrouillable | La condition sélectionnée est considérée dans ce projet. L'utilisateur ne peut pas la déverrouiller.

Exceptions concernant le verrouillage topologique

Le verrouillage topologique n'est pas effectué si :

  • La variable d'un interrupteur comporte l'état Révision
    Ou
  • La variable est corrigée manuellement ou définie sur Valeur de remplacement et, dans le même temps, définie sur la même valeur de variable que la valeur initiale ; en d'autres termes, si l'interrupteur :
    • Est défini sur OFF (Désactivé), puis corrigé manuellement sur OFF (Désactivé) ou s'il est remplacé.
    • Est défini sur ON (Activé), puis corrigé manuellement sur ON (Activé), ou s'il est remplacé.

Autres sujets abordés dans ce chapitre

Sectionneur en charge - Conditions de verrouillage


Sectionneur en charge - Conditions de verrouillage

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des verrouillages topologiques -> Sectionneur en charge - Conditions de verrouillage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour le verrouillage topologique Sectionneur en charge, un sectionneur peut être désactivé si l'une des conditions suivantes est satisfaite :

Lors de l'activation :

Avant l'activation :

  • Les sections de ligne gauche et droite reçoivent de l'énergie de la même source
  • Si la section de ligne gauche ne reçoit aucune tension, la section de ligne droite est reliée à la masse
  • Si la section de ligne gauche est reliée à la masse, la section de ligne droite ne reçoit aucune tension
  • Si la section de ligne gauche n'est pas en charge
  • Si la section de ligne droite n'est pas en charge

Lors de la désactivation :

Avant la désactivation :

  • Les sections de ligne gauche et droite reçoivent de l'énergie de la même source
  • Si la section de ligne gauche ne reçoit aucune tension, et la section de ligne droite est reliée à la masse
  • Si la section de ligne gauche est reliée à la masse, la section de ligne droite ne recevrait aucune tension
  • Si la section de ligne gauche n'était pas en charge
  • Si la section de ligne droite n'était pas en charge

info Info

Signification de "pas en charge"

Toutes les conditions suivantes doivent être satisfaites pour que l'état pas en charge soit vrai :

  • Tous les interrupteurs et sectionneurs connectés au segment de ligne sont ouverts.
  • L'ensemble des sources et consommateurs connectés au segment de ligne est désactivé.
  • Aucun transformateur ne peut être connecté au segment de ligne.
  • Il ne doit pas s'agir d'une ligne connectée uniquement à ce sectionneur (ligne ouverte).


Configuration du marqueur de synoptique

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration du marqueur de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ici, vous pouvez configurer la table des couleurs associée au marqueur de couleur pour la détection d'erreurs par impédance et le calcul de la répartition de charge. Voir également : AddMarker

Paramètres | Description
Numéro | Numéro de série interne unique, garantissant une attribution claire. Ce numéro est donné par le système automatiquement et ne peut pas être modifié.
Couleur de ligne | Couleur de ligne du marqueur de synoptique.
Couleur de remplissage | Couleur de remplissage du marqueur de synoptique.
Nouveau | Ajoute une nouvelle couleur.
Supprimer | Supprime la couleur sélectionnée.

Les couleurs peuvent être configurées directement en saisissant le code hexadécimal correspondant, ou à l'aide d'une palette de couleurs.

Pour effectuer une saisie directe :

  1. Cliquez sur la description de la couleur avec le bouton gauche de la souris.
  2. Le champ bascule en mode édition
  3. Saisissez le code
  4. Appuyez sur la touche de saisie, ou sélectionnez une autre source pour accepter la modification

Pour effectuer une sélection via une palette de couleurs :

  1. Sélectionnez la ligne de votre choix
  2. Cliquez sur le bouton ... adjacent à la couleur
  3. L'aide en ligne s'affiche.
  4. Sélectionnez la couleur de votre choix.

Le code hexadécimal décrit la couleur en mode RGB qui est constitué comme suit : #RRGGBB.

L'élément | Signification
# | Identifiant indiquant qu'un code de couleur en hexadécimal est utilisé.
RR | 2 chiffres représentant la valeur du rouge pour la couleur en hexadécimal 0-255 correspond à 0-FF
GG | 2 chiffres représentant la valeur du vert (green) pour la couleur en hexadécimal 0-255 correspond à 0-FF
BB | 2 chiffres représentant la valeur du bleu pour la couleur en hexadécimal 0-255 correspond à 0-FF


Change ALC source color (Modifier la couleur source de la fonction CAL)

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Change ALC source color (Modifier la couleur source de la fonction CAL)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'avant-plan et l'arrière-plan d'une source CAL peuvent être temporairement modifiés pour la coloration dans le Runtime à l'aide de la fonction Modification couleur source CAL. La modification reste active jusqu'à la fermeture ou l'actualisation du Runtime ou la nouvelle exécution de la fonction. Pour créer la fonction :

Modification couleur source CAL

Fonction de configuration des couleurs source CAL pour la détection d'erreurs dans les réseaux électriques.

Plus de détails dans l'aide en ligne.

  • Sélectionnez Nouvelle fonction.
  • Accédez au nœud Synoptiques.
  • Sélectionnez Modification couleur source CAL.

  • La boîte de dialogue de définition des couleurs de ligne et de remplissage s'affiche.
  • Définissez la couleur souhaitée.

Propriété | Fonction
Source... | Liste déroulante permettant de sélectionner la source et afficher les couleurs actuellement attribuées. Ces couleurs ne peuvent pas être modifiées ici.
New color for source (Nouvelle couleur pour la source) | Cliquez sur la couleur pour ouvrir une boîte de dialogue permettant de sélectionner une couleur.


Synoptiques de détail

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Synoptiques de détail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour afficher des synoptiques individuels, une section partielle peut être sélectionnée dans le réseau topologique et affichée individuellement, au moyen d'alias. Les éléments du synoptique dans le synoptique de détail ne sont pas inclus dans le modèle topologique, reçoivent toutefois leurs couleurs CAL du modèle. Ces éléments sont liés à un alias des éléments du synoptique dans le synoptique global.

Créer un alias

Un alias peut être créé pour les éléments suivants :

  • Ligne
  • Ligne brisée
  • Tube
  • Élément combiné

Pour créer un élément source en tant qu'alias :

  • Activez-le dans les propriétés Utiliser alias de l'élément.

    (Pour cela, le module CAL doit comporter une licence et la propriété Couleur définie par CAL doit être active.)

  • Cliquez sur le bouton ... de la propriété Alias.
  • La boîte de dialogue de sélection des éléments s'ouvre.

Paramètre

Description

Écran

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Available ALC elements (Éléments CAL disponibles)

Affiche les éléments appartenant à un synoptique avec le nom de l'élément, le type d'élément et le type de fonction. Cliquez sur un élément pour sélectionner un alias.

Filtre

Les éléments peuvent être triés en fonction de toutes les colonnes. Lors de la configuration d'un filtre, les options fournies par tous les autres filtres sont limitées aux valeurs pouvant être associées de manière logique.

  • Nom : saisie d'une expression de recherche avec des opérateurs (*). Les 12 dernières expressions de recherche sont proposées dans la liste jusqu'à la fermeture de l'Éditeur.
  • Élément : Sélectionnez le projet dans la liste déroulante.
  • Type de fonction : Sélectionnez le projet dans la liste déroulante.

Cliquez sur ... pour ouvrir la liste des recherches enregistrées ou la liste déroulante.

Si un filtre est actif, cliquez sur X pour le supprimer.

Selected alias (Alias sélectionné)

Affiche l'élément sélectionné dans le champ des éléments CAL disponibles.

Pas de sélection

Supprime l'élément sélectionné.

Ok

Enregistre la sélection et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

info Info

Lors de la sélection d'un élément pour un nouvel alias, seuls les éléments et les synoptiques issus du même projet que celui pour lequel l'alias est défini peuvent être sélectionnés. Les éléments issus de sous-projets ou de projets parallèles ne sont pas disponibles.

Remplacement des noms d'alias

Les alias peuvent être remplacés lors d'appels de synoptiques avec la fonction Remplacer les liens. Un synoptique de détail peut donc être affiché avec les données provenant de différents composants d'équipements, tels que des lignes ou des réseaux partiels. Les noms d'alias sont remplacés de la même manière que les variables et les fonctions. Il est également possible de remplacer les éléments utilisés dans les symboles. La boîte de dialogue ouverte pour la cible est la même que pour la propriété Alias.

Remarque : la substitution à l'aide de variables d'indices n'est pas autorisée.


Détection d'erreurs sur les réseaux électriques

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La détection d'erreurs permet de repérer les sections de réseau sujettes à des défauts de terre ou des courts-circuits au moyen de couleurs spéciales dans le module CAL. Les sources de détection d'erreurs sont ce que l'on appelle des détecteurs de défaut de terre ou de court-circuit, et sont attribués à un disjoncteur. Les détecteurs de défaut de terre et de court-circuit se trouvent toujours à la sortie d'un élément de disjoncteur. Les messages d'erreurs sont affichés de manière fixe sur le synoptique et doivent être réinitialisés manuellement.

info Info

Cette fonction est uniquement disponible si vous possédez les licences des modules "Energy Edition" et "Coloration Automatique des Lignes".

Détection d'erreurs

La détection d'erreurs est exécutée localement. Chaque client sur le réseau possède un modèle spécifique indépendant et peut donc rechercher les défauts de terre et les courts-circuits dans différentes sections du réseau.

La détection d'erreurs sur le réseau électrique comporte plusieurs phases :

  • Recherche de défaut de terre
  • Recherche de court-circuit

Pour configurer la détection d'erreur :

  • Vous avez besoin d'une licence pour le module CAL et le module "Energy Edition" de zenon
  • Configurez les synoptiques adéquats.
  • Configurez le module CAL en fonction des éléments combinés correspondants (interrupteur, transformateur, sectionneur, vanne)
  • Configurez les lignes afin qu'elles soient colorées par le module CAL.

Le Runtime comporte des fonctions spéciales pour la détection d'erreurs :

  • Démarrer la recherche de défaut de terre
  • Acquitter un message de défaut de terre
  • Arrêt de la recherche de défaut de terre
  • Acquitter le message de défaut de terre

Colorations

Les erreurs peuvent être indiquées par une coloration spéciale des lignes dans le module CAL. Dans le Runtime, la couleur attribuée par le module CAL change automatiquement dès que l'état de la ligne change. Les colorations configurées peuvent être modifiées dans le Runtime via la fonction Change ALC source color (Modifier la couleur de la fonction CAL).

Les messages sont traités dans leur ordre d'arrivée. En cas de conflit :

  • Les couleurs d'affichage des erreurs sont prioritaires.
  • Les messages de court-circuit sont prioritaires sur les messages de défaut de terre.

Autres sujets abordés dans ce chapitre

Recherche de défaut de terre

Recherche de court-circuit


Recherche de défaut de terre

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La recherche de défaut de terre permet de signaler les sections du réseau présentant potentiellement un défaut de terre en les colorant. La couleur est définie par la configuration des couleurs source du module CAL pour la source DÉFAUT DE TERRE.

Les sections de réseau comportant potentiellement un défaut de terre peuvent être déterminées en fonction des messages de défaut de terre provenant des équipements d'identification des défauts de terre (indicateurs de défaut de terre, équipements de protection pourvus d'un dispositif d'enregistrement des défauts de terre). Les considérations suivantes s'appliquent aux défauts de terre :

  • Chaque équipement peut comporter un à trois messages de défaut de terre.
  • Les défauts de terre peuvent être gérés de deux manières : par le traitement de messages permanents ou le traitement de messages provisoires.
  • Pour les équipements de détection de défaut de terre directionnel, la direction peut être devant ou derrière, en fonction du déclenchement.
    • Leading (Devant) : d'abord le message, puis le bit transitoire.
    • Lagging (Derrière) : d'abord le bit transitoire, puis le message.

info Info

Si cette connexion est établie avec succès, un composant réseau présentant potentiellement un défaut de terre n'est alors plus considéré comme défaillant.

Configuration

Pour configurer la recherche de défaut de terre :

  1. Attribuez l'élément combiné représentant l'élément de commutation à l'interrupteur de l'élément Type de fonction.
  2. Définissez les paramètres de mode de recherche de défaut de terre, d'affichage des défauts) et de déclenchement d'indication de défaut de terre.
  3. Définissez les fonctions de démarrage de la recherche de défaut de terre, d'acquittement de la recherche de défaut de terre et d'arrêt de la recherche de défaut de terre.

info Info

Pour pouvoir également définir des limites pour les réseaux imbriqués, la recherche de défaut est exécutée dans une seule section présentant un défaut de terre.

Autres sujets abordés dans ce chapitre

Mode de recherche pour les défauts de terre

Type d'identification de défaut de terre

Affichage des défauts de terre

Déclenchement de défauts de terre

Démarrer la recherche de défaut de terre

Acquitter le message de défaut de terre

Arrêt de la recherche de défaut de terre


Mode de recherche pour les défauts de terre

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre -> Mode de recherche pour les défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction de recherche de court-circuit peut soit :

  • Colorer la portion du réseau comportant potentiellement un court-circuit,
    ou
  • L'ensemble du réseau sur lequel a été détecté le court-circuit.

Le mode de coloration est défini via la propriété Mode de recherche pour les défauts de terre.

Pour configurer la propriété :

  • Accédez au nœud Coloration Automatique de Lignes dans les propriétés.
  • Sélectionnez le mode de votre choix dans la liste déroulante de la propriété Mode de recherche pour les défauts de terre.
    • Color network part (Colorer la partie du réseau) : colore uniquement les parties du réseau comportant potentiellement un court-circuit.
    • Color whole network (Colorer l'ensemble du réseau) : colore l'ensemble du réseau lié sur lequel a été détecté le court-circuit.

Ce paramètre peut être modifié dans le Runtime via le modèle d'objet API de zenon. Dans ce cas, la recherche de court-circuit est recalculée à nouveau.


Type d'identification de défaut de terre

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre -> Type d'identification de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La direction et le type de traitement d'information associés à l'élément combiné Type d'interrupteur sont déterminés par le paramètre Type. Pour configurer celui-ci :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l'élément combiné.
  2. Ouvrez le nœud Détection des défauts de terre.
  3. Sélectionnez le type de votre choix, ainsi que la direction et le type de traitement d'alarme dans la propriété Type.
    • Direction :
      Indique si le front montant de l'alarme de déclenchement est prioritaire ou non sur le front montant d'une direction.
    • Leading (Devant) : l'état de la direction actuelle est utilisé pour le front montant de l'alarme de déclenchement.
    • Lagging (Derrière) : après un front montagne de l'alarme de déclenchement, le premier front montant d'une direction est attendu ; s'il ne se produit pas dans les deux secondes suivantes, l'équipement de détection de défaut de terre est considéré comme non directionnel.
    • Information processing (Traitement de l'information) :
      Etats dans lesquels les informations peuvent être traitées.
    • Aucune : interrupteur normal ; les informations ne sont pas traitées.
    • Permanent message processing (Traitement des messages permanents) : les nouveaux messages reçus sont considérés comme un nouveau déclenchement de défaut de terre.
    • Transient message processing (Traitement des messages transitoires) : les messages reçus durant une recherche de courant sont supprimés.

Remarque : La distinction entre le traitement des messages permanents et le traitement des messages transitoires a uniquement trait au traitement du message, et non au type. Il n'est donc pas nécessaire de corréler le traitement des messages à bit transitoire et un bit transitoire.

attention Attention

Pour supprimer les défauts de terre intermittents, les messages de défaut de terre reçus à intervalles de moins de 2 secondes sont ignorés.


Affichage des défauts de terre

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre -> Affichage des défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La variable liée à la propriété Afficher est une variable de sortie pour la détection d'erreurs, et affiche l'état enregistré de l'équipement d'identification de défaut de terre. Ceci est indispensable, car tous les messages sont enregistrés au niveau interne jusqu'à leur acquittement, c'est-à-dire qu'ils ne sont pas forcément conformes à l'état actuel des variables de message.

Chaque fois qu'un enregistrement est réalisé, une valeur prescrite est transmise à cette variable. Dans ce cas, les valeurs sont les suivantes :

Valeur | Signification
0 | Pas de défaut de terre
1 | Défaut de terre devant
2 | Défaut de terre derrière
3 | Défaut de terre non directionnel
4 | Etat d'erreur -> Les deux directions ont été activées

info Info

Pour réduire les problèmes liés au fonctionnement du réseau, la variable liée ici doit être une variable liée.


Déclenchement de défauts de terre

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre -> Déclenchement de défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'alarme de détection de défaut de terre est définie par la variable Déclenchement. Elle peut contenir des informations concernant la présence d'un défaut de terre et la direction du défaut de terre selon l'équipement de détection de défaut de terre. Dans ce cas, la distinction suivante est faite :

  • Alarmes de défaut de terre non directionnel
  • Alarmes de défaut de terre directionnel avec une alarme de déclenchement
  • Alarmes de défaut de terre directionnel avec une alarme de déclenchement

Pour configurer la variable pour l'élément Déclenchement :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l'élément combiné.
  2. Ouvrez le nœud Détection des défauts de terre.
    1. Pour les alarmes de défaut de terre non directionnelles :

      Cliquez sur le bouton ... de la propriété Déclenchement.

      Sélectionnez la variable que vous souhaitez importer dans la boîte de dialogue qui s'affiche à l'écran.

      Les propriétés de la direction restent vides.

    2. Pour les alarmes de défaut de terre directionnel avec une alarme de déclenchement :

      Liez la variable à Déclenchement et ajoutez la direction adéquate :

      En avant : liez une variable à la propriété En avant.

      En arrière : liez une variable à la propriété En arrière.

    3. Pour les alarmes de défaut de terre directionnel sans une alarme de déclenchement :

      Liez la variable à la direction correspondante :

      En avant : liez une variable à la propriété En avant.

      En arrière : liez une variable à la propriété En arrière.

      La propriété Déclenchement reste vide.

Remarque : si vous adressez un équipement d'identification directionnel avec la propriété En avant dans les deux directions, cette configuration est considérée comme erronée et est ignorée.


Démarrer la recherche de défaut de terre

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre -> Démarrer la recherche de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Démarrer la recherche des défauts de terre permet de localiser les défauts de terre et a deux effets dans le Runtime :

Démarrer la recherche des défauts de terre

Fonction de démarrage de la recherche de défaut de terre.

Plus de détails dans l'aide en ligne.

  1. Les messages provenant de tous les équipements d'identification de défaut de terre configurés avec l'option « Wiper message processing » (Traitement des messages fluctuants) sont ignorés.
  2. L'algorithme de recherche est modifié : les actions de commutation peuvent uniquement restreindre davantage la section affectée par un défaut de terre. Les nouveaux messages reçus n'augmentent donc pas l'étendue de la section potentiellement affectée par un défaut de terre.

Pour configurer la fonction Démarrer la recherche des défauts de terre :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d'erreur du réseau électrique.
  • Sélectionnez la fonction Démarrer la recherche des défauts de terre.

  • Liez la fonction à un bouton.


Acquitter le message de défaut de terre

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre -> Acquitter le message de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Acquitter le message de défaut de terre permet d'acquitter un message de défaut de terre enregistré au niveau interne provenant d'un équipement de détection de défaut de terre. De cette manière, l'état de défaut de terre verrouillé au niveau interne est réinitialisé si l'état est toujours en attente, ou défini comme étant acquitté. Un message de défaut de terre enregistré sera uniquement supprimé au niveau interne s'il a été acquitté et n'est plus en attente.

Acquitter le message de défaut de terre

Fonction d'acquittement de message de défaut de terre. Ouvre la boîte de dialogue permettant de sélectionner une variable.

Plus de détails dans l'aide en ligne.

Règles de l'acquittement :

  • si une variable correspondant à une variable de déclenchement ou de direction d'un équipement de détection de défaut de terre est liée, ce message de défaut de terre spécial est acquitté.
  • Si aucune variable n'a été liée, tous les messages de défaut de terre sont acquittés.
  • L'acquittement peut également être effectué via le modèle d'objet de l'API de zenon.

Pour configurer la fonction Acquitter le message de défaut de terre :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d'erreur du réseau électrique.
  • Sélectionnez la fonction Acquitter le message de défaut de terre.

  • La boîte de dialogue de sélection de variable s'affiche à l'écran.
  • Liez la variable souhaitée à la fonction.
  • Liez la fonction à un bouton.


Arrêt de la recherche de défaut de terre

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre -> Arrêt de la recherche de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour arrêter la recherche de défaut de terre, exécutez la fonction Arrêter la recherche des défauts de terre dans le Runtime.

Arrêter la recherche des défauts de terre

Fonction d'arrêt de la recherche de défaut de terre.

Plus de détails dans l'aide en ligne.

Pour configurer la fonction :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d'erreur du réseau électrique.
  • Sélectionnez la fonction Arrêter la recherche des défauts de terre.

  • Liez la fonction à un bouton.


Recherche de court-circuit

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de court-circuit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La recherche de court-circuit permet de signaler les sections du réseau présentant potentiellement un court-circuit en les colorant. La couleur est définie par la configuration des couleurs source du module CAL pour la source DEFAUT DE COURT-CIRCUIT.

Les composants du réseau potentiellement sujets aux courts-circuits sont déterminés en fonction des rapports de court-circuit. Un équipement d'identification de court-circuit (indicateur de court-circuit, équipement de protection) peut comporter un à trois messages de court-circuit. Pour les équipements de détection de court-circuit directionnel, la direction peut être en avant ou en arrière, en fonction du déclenchement. Si cette connexion est établie avec succès, un composant réseau présentant potentiellement un court-circuit n'est alors plus considéré comme défaillant.

Ingénierie

Pour configurer la recherche de court-circuit :

  1. Attribuez l'élément combiné représentant l'élément de commutation à l'interrupteur de l'élément Type de fonction.
  2. Définissez l'affichage des courts-circuits et le déclenchement de l'identification de courts-circuits.
  3. Définissez la fonction Acknowledge short circuit message (Acquitter un message de court-circuit).

Autres sujets abordés dans ce chapitre

Type d'identification de court-circuit

Affichage des courts-circuits

Déclenchement d'identification de court-circuit

Acquitter un message de court-circuit


Type d'identification de court-circuit

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de court-circuit -> Type d'identification de court-circuit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La direction et le type de traitement d'information associés à l'élément combiné Type d'interrupteur sont déterminés par le paramètre Type. Pour configurer celui-ci :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l'élément combiné.
  2. Ouvrez le nœud Détection cout-circuit.
  3. Sélectionnez le type de votre choix pour la propriété Type.
    • Direction:
      Indique si le front montant de l'alarme de déclenchement est prioritaire ou non sur le front montant d'une direction.
    • Leading (Devant) :
      L'état de la direction actuelle est utilisé pour le front montant de l'alarme de déclenchement.
    • Lagging (Derrière) :
      Après un front montagne de l'alarme de déclenchement, le premier front montant d'une direction est attendu ; s'il ne se produit pas dans les deux secondes suivantes, l'équipement de détection de court-circuit est considéré comme non directionnel.
    • Information processing (Traitement de l'information) :
      Etats dans lesquels les informations peuvent être traitées.
    • Aucun :
      interrupteur normal ; les informations ne sont pas traitées.
    • Permanent message processing (Traitement des messages permanents) :
      Les nouveaux messages reçus sont considérés comme un nouveau déclenchement de défaut de terre.


Affichage des courts-circuits

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de court-circuit -> Affichage des courts-circuits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La variable liée à la propriété Afficher est une variable de sortie pour la détection d'erreurs, et affiche l'état enregistré de l'équipement d'identification de court-circuit. Ceci est indispensable, car tous les messages sont enregistrés au niveau interne jusqu'à leur acquittement, c'est-à-dire qu'ils ne sont pas forcément conformes à l'état actuel des variables de message.

Chaque fois qu'un enregistrement est réalisé, une valeur prescrite est transmise à cette variable. Dans ce cas, les valeurs sont les suivantes :

Valeur | Signification
0 | Pas de court-circuit
1 | Court-circuit devant
2 | Court-circuit derrière
3 | Court-circuit non directionnel


Déclenchement d'identification de court-circuit

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de court-circuit -> Déclenchement d'identification de court-circuit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La variable du message provenant de l'équipement d'identification de court-circuit est définie par la variable Déclenchement. Vous pouvez recevoir des informations concernant la présence d'un court-circuit et la direction du court-circuit selon l'équipement d'identification de court-circuit. Dans ce cas, la distinction suivante est faite :

  • Détecteur de court-circuit non directionnel
  • Détecteur de court-circuit directionnel avec alarme de déclenchement
  • Détecteur de court-circuit directionnel sans alarme de déclenchement

Pour configurer les variables pour chaque élément :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l'élément combiné.
  2. Ouvrez le nœud Détection cout-circuit.
    1. Pour les détecteurs de court-circuit non directionnel

      Cliquez sur le bouton ... de la propriété Déclenchement.

      Sélectionnez la variable que vous souhaitez importer dans la boîte de dialogue qui s'affiche à l'écran.

      Les propriétés de la direction restent vides.

    2. Pour les détecteurs de court-circuit directionnel avec alarme de déclenchement

      Liez la variable à Déclenchement et ajoutez la direction adéquate :

      En avant : liez une variable à la propriété En avant.

      En arrière : liez une variable à la propriété En arrière.

    3. Pour les détecteurs de court-circuit directionnel sans alarme de déclenchement

      Liez la variable à la direction correspondante :

      En avant : liez une variable à la propriété En avant.

      En arrière : liez une variable à la propriété En arrière.

      La propriété Déclenchement reste vide.


Acquitter un message de court-circuit

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de court-circuit -> Acquitter un message de court-circuit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Acquitter le message de court-circuit permet d'acquitter un message de court-circuit enregistré au niveau interne provenant d'un équipement de détection de court-circuit. De cette manière, l'état de défaut de terre verrouillé au niveau interne est réinitialisé si l'état est toujours en attente, ou défini comme étant acquitté. Un message de court-circuit enregistré sera uniquement supprimé au niveau interne s'il a été acquitté et n'est plus en attente.

Acquitter le message de court-circuit

Fonction d'acquittement de message de court-circuit. Ouvre la boîte de dialogue permettant de sélectionner une variable.

Plus de détails dans l'aide en ligne.

Règles de l'acquittement :

  • si une variable correspondant à une variable de déclenchement ou de direction d'un équipement de détection de court-circuit est liée, ce message de court-circuit spécial est acquitté.
  • Si aucune variable n'a été liée, tous les messages de court-circuit sont acquittés.
  • L'acquittement peut également être effectué via le modèle d'objet de l'API de zenon.

Pour configurer la fonction Acquitter le message de court-circuit :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d'erreur du réseau électrique.
  • Sélectionnez la fonction Acquitter le message de court-circuit.

  • Sélectionnez la variable que vous souhaitez importer dans la boîte de dialogue qui s'affiche à l'écran.
  • Liez la fonction à un bouton.


Détection des erreurs par impédance et calcul de la répartition de charge

Manuels -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection des erreurs par impédance et calcul de la répartition de charge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La détection des erreurs par impédance et le calcul de la répartition de charge étendent la fonction CAL. La fonction CAL identifie les nœuds et les rayons, tandis que ce modèle détecte également les lignes et leurs paramètres. Ce modèle n'est pas utilisé au niveau interne dans zenon, mais fournit des propriétés et des méthodes pour l'évaluation externe.

Propriétés de la fonction CAL et du modèle topologique étendu

Les éléments combinés et les lignes (ligne, ligne brisée, tube) de la fonction CAL possèdent des propriétés spéciales spécifiques à la détection d'erreurs pour la protection et le calcul de la répartition de charge. Ces propriétés ne sont pas évaluées dans zenon, mais sont disponibles par l'intermédiaire des algorithmes créés par les utilisateurs avec de l'API de zenon.

Le modèle topologique utilisé pour la coloration a été complété par un modèle topologique étendu qui inclut toutes les lignes sous forme de rayons séparés. Le modèle topologique étendu est enregistré sous le nom ALC.xml et peut ainsi être lu par les applications externes. ALC.xml contient deux sections :

  • GraphElements : contient le modèle topologique étendu, sans alias
  • GraphAliases : contient uniquement les alias

Chaque objet possède un ID unique, grâce auquel il est référencé dans le fichier. Les attributs correspondent à un sous-ensemble des éléments de synoptique zenon ayant créé les éléments.

GraphElement

ID | Description
Picture | Nom du synoptique
ElementID | ID d'élément de synoptique
ElementRef | Référence d'élément de synoptique
Type | Type d'élément de synoptique (voir « Élément »)
SourceID | Numéro de source
ReverseSourceID | Numéro de source inversé
Variable | Variable d'état
VarProtReact | Variable de réactance
MaxIType | Type d'intensité maximale
MaxIVal | Valeur constante d'intensité maximale
VarMaxI | Variable d'intensité maximale
VarCurI | Variable d'intensité instantanée
VarCalcI | Variable d'intensité calculée
VarCurP | Variable de puissance instantanée
LoadType | Type de charge
LoadVal | Valeur constante de charge
VarLoad | Variable Charge
React | Réactance
Resist | Résistance
Longueur | Longueur de ligne
Node1IDs | Liste de tous les ID d'éléments connectés au nœud Node1
Node2IDs | Liste de tous les ID d'éléments connectés au nœud Node2

GraphAlias

ID | Description
Picture | Nom du synoptique
ElementID | ID d'élément de synoptique
ElementRef | Référence d'élément de synoptique
Type | Type d'élément de synoptique (voir « Élément »)
OrigElemRef | Élément de synoptique - référence à l'élément de synoptique original
OrigGraphElemID | ID des éléments originaux dans « GraphElements »

API

Dans le modèle d'objet de l'API de zenon, les objets ALCGraphElement et ALCGraphAlias sont disponibles pour le modèle. Ils contiennent les mêmes informations que le fichier XML. Ces objets sont accessibles dans le moteur CAL via les fonctions :

  • GraphElemCount()
  • GraphAliasCount()
  • GraphElemItem()
  • GraphAliasItem()

Verrouillages topologiques spécifiques à l'utilisateur

Si un verrouillage topologique est activé, l'événement suivant est appelé dans le moteur CAL :

  • void CheckInterlocking(IALCEdge* pALCEdge, long nNewState, tpLockResult* LockResult, BSTR* bsText, VARIANT_BOOL* bUnlockable);

L'interrupteur/le sectionneur à commuter et le nouvel état sont transférés. L'événement peut renseigner LockResult, bUnlockable et bsText pour afficher un dépassement de condition de verrouillage. Si le gestionnaire d'événements renvoie tpBusy dans LockResult, il est interrogé jusqu'à ce qu'il ne renvoie plus la réponse tpBusy, pendant 10 secondes maximum toutefois. Le verrouillage est actif après 10 secondes. Le texte de verrouillage et l'impossibilité du déverrouillage sont indiqués dans bsText et bUnlockable.

Marqueur de synoptique

Des éléments de marqueur peuvent être insérés dans le synoptique via l'API de zenon.

Ces éléments sont ajoutés ou supprimés, via les fonctions de l'API, dans DynPictures :

  • BSTR AddMarker(BSTR bsScreenName, long nElementID, short nPosition, short nLineColorIndex, short nFillColorIndex);
  • VARIANT_BOOL DelMarker(BSTR bsID);

Le GUID du marqueur, fourni par AddMarker(), identifie le marqueur de façon unique et sert à la fois de nom d'élément (avec le préfixe « $MARKER_ »), ainsi que de clé la fonction de suppression, via DelMarker(). Les marqueurs insérés via l'API sont enregistrés dans le projet, en fonction du synoptique. Attention : l'enregistrement n'est pas rémanent ; il dure uniquement jusqu'au redémarrage du Runtime.

Les marqueurs définis ici sont affichés indépendamment du moniteur sur lequel est affiché le synoptique. Au niveau interne, les marqueurs sont traités comme des éléments de synoptique actionnables normaux : Des événements de souris sont invoqués à cette fin.

L'apparence des marqueurs est déterminée dans les paramètres du projet, dans la section Coloration Automatique de Lignes de la configuration du projet :

  • Affiche le type de marqueur écran : triangle, cercle, carré, croix
  • Taille marqueur écran : Taille en pixels :
  • Epaisseur de ligne du marqueur écran : Largeur en pixels
  • Couleur du marqueur : ce paramètre est défini par l'intermédiaire de l'indice dans la table de couleurs du marqueur, située dans les propriétés des éléments de synoptique, dans le groupe Coloration Automatique de Lignes


Commandes temporisées

Manuels -> Commandes temporisées

Les commandes temporisées permettent de définir tous les appels de fonctions devant être exécutés à un moment défini (fixe) ou de manière cyclique.
Ainsi, par exemple, les données de production importantes peuvent être sauvegardées quotidiennement sur un serveur connecté au réseau.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouvelle commande temporisée | Créer une nouvelle fonction pour la commande temporisée.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML.
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Configuration dans l'Éditeur

Barre d'outils et menu contextuel de la vue de détail Commande temporisée


Configuration dans l'Éditeur

Manuels -> Commandes temporisées -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La definition des commandes temporisées se fait dans le dossier "Commande temporisée" du gestionnaire de projet. Une liste s'affiche avec les attributions existantes.

Vous pouvez créer une nouvelle commande temporisée avec la commande Nouvelle fonction de temporisation du menu contextuel.

Dans la fenêtre de propriétés, les propriétés de la nouvelle commande temporisée sont affichées et peuvent être modifiées.

Les propriétés sont décrites en détail dans l'aide relative aux propriétés de l'Éditeur.

Remarque : Le changement de mois et changement d'année désigne la date d'exécution définie, et non le changement de mois au 01/01 à 00:00. Si la modification doit être exécutée à cet instant précis, la configuration doit être effectuée pour cet instant ; par exemple, 01.01.2012 à 00:00:00 h.


Barre d'outils et menu contextuel de la vue de détail Commande temporisée

Manuels -> Commandes temporisées -> Barre d'outils et menu contextuel de la vue de détail Commande temporisée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu contextuel

Élément de menu | Action
Nouvelle commande temporisée | Insère une nouvelle fonction de commande temporisée dans la liste.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Contrôles

Manuels -> Contrôles

Dans zenon, vous pouvez intégrer vos propres contrôles. Pour cela, les possibilités suivantes sont disponibles :

  • Contrôles utilisateur .NET (pour la mise en œuvre dans zenon, voir également la section Contrôles .NET dans le manuel Screens.)
  • ActiveX (pour la mise en œuvre dans zenon, voir également la section ActiveX dans le manuel Screens.)
  • WPF

info Info

Des informations concernant l'utilisation des interfaces de programmation (PCE, VBA, VSTA) de zenon sont disponibles dans le manuel Interfaces de programmation.

Autres sujets abordés dans ce chapitre

Généralités

ActiveX

Contrôles utilisateur .NET

Élément WPF


Généralités

Manuels -> Contrôles -> Généralités

Les contrôles de zenon peuvent être mis en œuvre via ActiveX, .NET et WPF. Via VBA/VSTA, vous pouvez accéder à l'API de zenon.

Autres sujets abordés dans ce chapitre

Access zenon API

Méthodes


Access zenon API

Manuels -> Contrôles -> Généralités -> Access zenon API

Dans zenon, vous pouvez améliorer un contrôle ActiveX avec des fonctions spéciales, afin d'accéder à l'API zenon.

Accédez à l'API zenon.

  • Dans Références du projet, sélectionnez Ajouter des références.... Bibliothèque d'objets de Runtime de zenon
  • Ajoutez les fonctions améliorées au code de classe du contrôle.

Fonctions ActiveX améliorées de zenon

// Appelé durant l'initialisation du contrôle dans le Runtime zenon.

public bool zenon>Init(zenon.Element dispElement)…

// Appelé durant la destruction du contrôle dans le Runtime zenon.

public bool zenonExit()

// Prend en charge la liaison de variable du contrôle

public short CanUseVariables()…

// Le contrôle COM prend en charge différents types de données.

public short VariableTypes()…

// Nombre maximal de variables pouvant être liées au contrôle.

public short MaxVariables()…

Exemple

L'objet COM d'une variable de zenon est temporairement enregistré dans un membre, afin qu'il soit accessible ultérieurement via l'événement Paint du contrôle.

zenon.Variable m_cVal = null;

public bool zenon>Init(zenon.Element dispElement)

{

if (dispElement.CountVariable > 0) {

try {

m_cVal = dispElement.ItemVariable(0);

if (m_cVal != null) {

object obRead = m_cVal.get_Value((object)-1);

UserText = obRead.ToString();

}

}catch { }

}

return true;

}

public bool zenonExit()

{

try {

if (m_cVal != null) {

System.Runtime.InteropServices.Marshal.FinalReleaseComObject(m_cVal);

m_cVal = null;

}

}

catch { }

return true;

}

public short CanUseVariables()

{

return 1; // les variables sont prises en charge

}

public short VariableTypes()

{

return short.MaxValue; // Tous les types de données sont pris en charge

}

public short MaxVariables()

{

return 1; // Au maximum, une variable sera liée au contrôle

}

private void SamplesControl_Paint(object sender, PaintEventArgs e)

{

// Les variables de zenon ont été modifiées

try {

if (m_cVal != null) {

object obRead = m_cVal.get_Value((object)-1);

UserText = obRead.ToString();

}

}catch { }

}


Méthodes

Manuels -> Contrôles -> Généralités -> Méthodes

Les contrôles ActiveX et .NET utilisant des variables de zenon nécessitent certaines méthodes spécifiques.

Autres sujets abordés dans ce chapitre

CanUseVariables

MaxVariables

Types de variables

zenonExit

zenonExitEd

zenonInit

zenonInitEd


CanUseVariables

Manuels -> Contrôles -> Généralités -> Méthodes -> CanUseVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Prototype : short CanUseVariables();

Cette méthode renvoie 1 ou 0

Valeur | Description
1 : | Le contrôle peut utiliser des variables de zenon. Pour l'élément dynamique (via le bouton Variable), vous pouvez uniquement déclarer des variables de zenon avec le type déclaré par le biais de la méthode VariableTypes, conformément au nombre défini par la méthode MaxVariables.
0 : | Le contrôle ne peut pas utiliser de variables de zenon, ou ne dispose pas de la méthode adéquate. Vous pouvez déclarer des variables de tout type, sans limitation de nombre. Dans le Runtime, toutefois, ces variables sont uniquement utilisables avec du code VBA.


MaxVariables

Manuels -> Contrôles -> Généralités -> Méthodes -> MaxVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Prototype : short MaxVariables();

Dans cette section est défini le nombre de variables pouvant être sélectionnées dans la liste de variables.

Si la valeur 1 est renvoyée, la sélection multiple est désactivée dans la liste de variables. Un avertissement est alors affiché si plusieurs variables sont sélectionnées.


Types de variables

Manuels -> Contrôles -> Généralités -> Méthodes -> Types de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Prototype: short VariableTypes();

La valeur renvoyée par cette méthode est utilisée comme masque pour les types de variable utilisables dans la liste de variables. La valeur est une relation AND (et) parmi les valeurs suivantes (définies dans zenon32/dy_type.h) :

Valeur 1 | Valeur 2 | Équivalent
WORD | 0x0001 | Position 0
BYTE | 0x0002 | Position 1
BIT | 0x0004 | Position 2
DWORD | 0x0008 | Position 3
FLOAT | 0x0010 | Position 4
DFLOAT | 0x0020 | Position 5
STRING | 0x0040 | Position 6
IN_OUTPUT | 0x8000 | Position 15


zenonExit

Manuels -> Contrôles -> Généralités -> Méthodes -> zenonExit

Prototype : boolean zenonExit();

Cette méthode est appelée par le Runtime de zenon lorsque le contrôle ActiveX est fermé.

Ici, tous les pointeurs de répartition renvoyant à des variables doivent être libérés.


zenonExitEd

Manuels -> Contrôles -> Généralités -> Méthodes -> zenonExitEd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Équivalent à zenonExit ; exécuté lors de la fermeture d'ActiveX dans l'Éditeur.

Cette méthode permet de réagir aux changements dans ActiveX, par exemple aux modifications de valeurs dans l'Éditeur.

Info : actuellement uniquement disponible pour ActiveX.


zenonInit

Manuels -> Contrôles -> Généralités -> Méthodes -> zenonInit

Prototype : boolean zenonInit(IDispatch*dispElement);

Cette méthode (dans le Runtime) permet au contrôle ActiveX d'obtenir un pointeur vers l'interface de répartition de l'élément dynamique. Ce pointeur permet également d'accéder aux variables de zenon liées à l'élément dynamique.

Vous définissez l'ordre de tri des variables transférées dans la configuration de l'élément ActiveX à l'aide des boutons Bas ou Haut.
La boîte de dialogue Entrer les propriétés apparaît lorsque vous double-cliquez sur l'élément ActiveX ou que vous sélectionnez la propriété Paramètres ActiveX dans les propriétés de l'élément, dans le nœud Affichage.


zenonInitEd

Manuels -> Contrôles -> Généralités -> Méthodes -> zenonInitEd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Équivalent à zenonInit ; exécuté lors de l'ouverture d'ActiveX dans l'Éditeur (double-cliquez sur le contrôle ActiveX).

Info: actuellement uniquement disponible pour ActiveX.


ActiveX

Manuels -> Contrôles -> ActiveX

ActiveX permet d'améliorer de manière autonome les fonctionnalités du Runtime et de l'Éditeur de zenon.

Dans ce manuel, vous trouverez des informations concernant :

  • Développement d'éléments ActiveX
  • Exemple : LatchedSwitch (C++)
  • Exemple : CD SliderCtrl (C++)
  • Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)

Vous trouverez d'autres informations concernant les éléments dynamiques ActiveX dans le manuel Synoptiques, au chapitre ActiveX.

ActiveX pour Windows CE

Si un contrôle ActiveX Control doit être exécuté sous Windows CE, le modèle de cloisonnement doit être défini sur Thread cloisonné. S'il est défini sur Libre, le contrôle ne s'exécutera pas dans le Runtime de zenon.

Autres sujets abordés dans ce chapitre

Develop ActiveX elements

Exemple : LatchedSwitch (C++)

Exemple : CD SliderCtrl (C++)

Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)


Develop ActiveX elements

Manuels -> Contrôles -> ActiveX -> Develop ActiveX elements

The dynamic element ActiveX in zenon can forward variables to the ActiveX control without using VBA to operate the control.

The control now defines by itself, how many zenon variables it can use and of what type they may be. Additionally the properties of the control can also be defined by the dynamic element.

For this the interface (dispatch interface) of the control must support a number of certain methods .

Autres sujets abordés dans ce chapitre

Méthodes


Méthodes

Manuels -> Contrôles -> ActiveX -> Develop ActiveX elements -> Méthodes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Chaque contrôle ActiveX pouvant utiliser des variables de zenon doit contenir les méthodes suivantes :

  • CanUseVariables
  • MaxVariables
  • VariableTypes
  • zenonExit
  • zenonExitEd
  • zenonInit
  • zenonInitEd

L'ID de répartition des méthodes dans l'interface est sans importance. Lors de l'appel des méthodes, zenon reçoit l'ID de l'interface.

Autres sujets abordés dans ce chapitre

CanUseVariables

MaxVariables

Types de variables

zenonExit

zenonExitEd

zenonInit

zenonInitEd


CanUseVariables

Manuels -> Contrôles -> ActiveX -> Develop ActiveX elements -> Méthodes -> CanUseVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Prototype : short CanUseVariables();

Cette méthode renvoie 1 ou 0

Valeur | Description
1 : | Le contrôle peut utiliser des variables de zenon. Pour l'élément dynamique (via le bouton Variable), vous pouvez uniquement déclarer des variables de zenon avec le type déclaré par le biais de la méthode VariableTypes, conformément au nombre défini par la méthode MaxVariables.
0 : | Le contrôle ne peut pas utiliser de variables de zenon, ou ne dispose pas de la méthode adéquate. Vous pouvez déclarer des variables de tout type, sans limitation de nombre. Dans le Runtime, toutefois, ces variables sont uniquement utilisables avec du code VBA.


MaxVariables

Manuels -> Contrôles -> ActiveX -> Develop ActiveX elements -> Méthodes -> MaxVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Prototype : short MaxVariables();

Dans cette section est défini le nombre de variables pouvant être sélectionnées dans la liste de variables.

Si la valeur 1 est renvoyée, la sélection multiple est désactivée dans la liste de variables. Un avertissement est alors affiché si plusieurs variables sont sélectionnées.


Types de variables

Manuels -> Contrôles -> ActiveX -> Develop ActiveX elements -> Méthodes -> Types de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Prototype: short VariableTypes();

La valeur renvoyée par cette méthode est utilisée comme masque pour les types de variable utilisables dans la liste de variables. La valeur est une relation AND (et) parmi les valeurs suivantes (définies dans zenon32/dy_type.h) :

Valeur 1 | Valeur 2 | Équivalent
WORD | 0x0001 | Position 0
BYTE | 0x0002 | Position 1
BIT | 0x0004 | Position 2
DWORD | 0x0008 | Position 3
FLOAT | 0x0010 | Position 4
DFLOAT | 0x0020 | Position 5
STRING | 0x0040 | Position 6
IN_OUTPUT | 0x8000 | Position 15


zenonExit

Manuels -> Contrôles -> ActiveX -> Develop ActiveX elements -> Méthodes -> zenonExit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Prototype : boolean zenonExit();

Cette méthode est appelée par le Runtime de zenon lorsque le contrôle ActiveX est fermé.

Ici, tous les pointeurs de répartition renvoyant à des variables doivent être libérés.


zenonExitEd

Manuels -> Contrôles -> ActiveX -> Develop ActiveX elements -> Méthodes -> zenonExitEd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Équivalent à zenonExit ; exécuté lors de la fermeture d'ActiveX dans l'Éditeur.

Cette méthode permet de réagir aux changements dans ActiveX, par exemple aux modifications de valeurs dans l'Éditeur.

Info : actuellement uniquement disponible pour ActiveX.


zenonInit

Manuels -> Contrôles -> ActiveX -> Develop ActiveX elements -> Méthodes -> zenonInit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Prototype : boolean zenonInit(IDispatch*dispElement);

Cette méthode (dans le Runtime) permet au contrôle ActiveX d'obtenir un pointeur vers l'interface de répartition de l'élément dynamique. Ce pointeur permet également d'accéder aux variables de zenon liées à l'élément dynamique.

Vous définissez l'ordre de tri des variables transférées dans la configuration de l'élément ActiveX à l'aide des boutons Bas ou Haut.
La boîte de dialogue Entrer les propriétés apparaît lorsque vous double-cliquez sur l'élément ActiveX ou que vous sélectionnez la propriété Paramètres ActiveX dans les propriétés de l'élément, dans le nœud Affichage.


zenonInitEd

Manuels -> Contrôles -> ActiveX -> Develop ActiveX elements -> Méthodes -> zenonInitEd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Équivalent à zenonInit ; exécuté lors de l'ouverture d'ActiveX dans l'Éditeur (double-cliquez sur le contrôle ActiveX).

Info: actuellement uniquement disponible pour ActiveX.


Exemple : LatchedSwitch (C++)

Manuels -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'exemple suivant décrit un contrôle ActiveX exécutant un verrouillage d'interrupteur avec deux variables de bit. La première variable représente l'interrupteur et la deuxième, le verrou. La valeur de la variable de commutation du contrôle ActiveX peut uniquement être modifiée si la variable de verrouillage possède la valeur 0.

L'état de l'élément est représenté par quatre fichiers bitmap pouvant être sélectionnés dans la boîte de dialogue de propriétés du contrôle, dans l'Éditeur zenon.


Interface

Manuels -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Interface

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le contrôle LatchedSwitch comporte l'interface de répartition suivante :

[ uuid(EB207159-D7C9-11D3-B019-080009FBEAA2),
helpstring(Dispatch interface for LatchedSwitch Control), hidden ]
dispinterface _DLatchedSwitch

{
properties:
// NOTE - ClassWizard conserve les informations de méthodes ici.
// Soyez très prudent si vous modifiez cette section !
//{{AFX_ODL_PROP(CLatchedSwitchCtrl)
[id(1)] boolean SollwertDirekt;
[id(2)] IPictureDisp* SwitchOn; // conteneur pour bitmaps
[id(3)] IPictureDisp* SwitchOff;
[id(4)] IPictureDisp* LatchedOn;
[id(5)] IPictureDisp* LatchedOff;
//}}AFX_ODL_PROP

methods:
// NOTE - ClassWizard conserve les informations de méthodes ici.
// Soyez très prudent si vous modifiez cette section !
//{{AFX_ODL_METHOD(CLatchedSwitchCtrl)
//}}AFX_ODL_METHOD
[id(6)] short CanUseVariables();
[id(7)] short VariableTypes();
[id(8)] short MaxVariables();
[id(9)] boolean zenonInit(IDispatch* dispElement);
[id(10)] boolean zenonExit();
[id(DISPID_ABOUTBOX)] void AboutBox();

};

Les propriétés SwitchOn à LatchedOff contiennent les fichiers bitmap correspondant aux quatre différents états du contrôle. Les fichiers bitmap sont conservés dans des objets de la classe CScreenHolder. La propriété SollwertDirekt définit si la saisie de valeurs prescrites doit être effectuée dans une boîte de dialogue, ou directement en cliquant sur le contrôle.


Contrôle

Manuels -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La mise en œuvre du contrôle s'effectue par le biais de la classe CLatchedSwitchCtrl. Les membres de cette classe sont les objetsCScreenHolder destinés au stockage de bitmaps. En outre, trois drivers de répartition sont générés pour l'élément dynamique et les variables :

class CLatchedSwitchCtrl : public COleControl

{

DECLARE_DYNCREATE(CLatchedSwitchCtrl)

// Constructeur

public:

CLatchedSwitchCtrl();

// Substitutions

// Substitutions de fonctions virtuelles générées par ClassWizard

//{{AFX_VIRTUAL(CLatchedSwitchCtrl)

public:

virtual void OnDraw (CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);

virtual void DoPropExchange (CPropExchange* pPX);

virtual void OnResetState ();

virtual DWORD GetControlFlags();

//}}AFX_VIRTUAL

// Mise en œuvre

protected:

~CLatchedSwitchCtrl();

DECLARE_OLECREATE_EX(CLatchedSwitchCtrl) // Fabrique de classe et guid

DECLARE_OLETYPELIB(CLatchedSwitchCtrl) // GetTypeInfo

DECLARE_PROPPAGEIDS (CLatchedSwitchCtrl) // ID de page de propriété

DECLARE_OLECTLTYPE (CLatchedSwitchCtrl) // Nom de type et informations d'état diverses

// Tables de messages

//{{AFX_MSG(CLatchedSwitchCtrl)

afx_msg void OnLButtonDown(UINT nFlags, CPoint point);

//}}AFX_MSG

DECLARE_MESSAGE_MAP()

// Tables de répartition

//{{AFX_DISPATCH(CLatchedSwitchCtrl)

BOOL m_sollwertDirekt;

afx_msg void OnSollwertDirektChanged();

afx_msg LPPICTUREDISP GetSwitchOn();

afx_msg void SetSwitchOn(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetSwitchOff();

afx_msg void SetSwitchOff(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetLatchedOn();

afx_msg void SetLatchedOn(LPPICTUREDISP newValue);

afx_msg LPPICTUREDISP GetLatchedOff();

afx_msg void SetLatchedOff(LPPICTUREDISP newValue);

afx_msg short CanUseVariables();

afx_msg short VariableTypes();

afx_msg short MaxVariables();

afx_msg BOOL zenonInit(LPDISPATCH dispElement);

afx_msg BOOL zenonExit();

//}}AFX_DISPATCH

CScreenHolder m_SwitchOn;

CScreenHolder m_SwitchOff;

CScreenHolder m_LatchedOn;

CScreenHolder m_LatchedOff;

DECLARE_DISPATCH_MAP()

afx_msg void AboutBox();

// Event maps

//{{AFX_EVENT(CLatchedSwitchCtrl)

//}}AFX_EVENT

DECLARE_EVENT_MAP()

double VariantToDouble(const VARIANT FAR *v);

void VariantToCString(CString *c,const VARIANT FAR *v);

BOOL IsVariantString(const VARIANT FAR *v);

BOOL IsVariantValue(const VARIANT FAR *v);

// ID de répartition et d'événement

public:

CString szVariable[2];

IElement m_dElement;

IVariable m_dLatchVar, m_dSwitchVar;

enum {

//{{AFX_DISP_ID(CLatchedSwitchCtrl)

dispidSollwertDirekt = 1L,

dispidSwitchOn = 2L,

dispidSwitchOff = 3L,

dispidLatchedOn = 4L,

dispidLatchedOff = 5L,

dispidCanUseVariables = 6L,

dispidVariableTypes = 7L,

dispidMaxVariables = 8L,

dispidZenOnInit = 9L,

dispidZenOnExit = 10L,

//}}AFX_DISP_ID

};

};


Methods

Manuels -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les méthodes suivantes sont utilisées :

  • CanUseVariables
  • VariableTypes
  • MaxVariables
  • zenonInit
  • zenonExit


CanUseVariables

Manuels -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Methods -> CanUseVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette méthode renvoie 1, ce qui permet d'utiliser des variables de zenon.

short CLatchedSwitchCtrl::CanUseVariables()

{

return 1;

}


Types de variables

Manuels -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Methods -> Types de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le contrôle est uniquement utilisable avec les variables de bit, donc le résultat 0x0004 est renvoyé.

short CLatchedSwitchCtrl::VariableTypes()

{

return 0x0004; // Variables de bit uniquement

}


MaxVariables

Manuels -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Methods -> MaxVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Deux variables peuvent être utilisées. La valeur 2 est donc renvoyée.

short CLatchedSwitchCtrl::MaxVariables()

{

return 2; // 2 variables

}


zenonInit

Manuels -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Methods -> zenonInit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette méthode obtient les drivers de répartition des variables via le pointeur de répartition de l'élément dynamique. Avec ce pointeur, les valeurs des variables sont lues et écrites lorsque l'utilisateur clique et lors du traçage du contrôle.

BOOL CLatchedSwitchCtrl::zenonInit(LPDISPATCH dispElement)

{

m_dElement = IElement(dispElement);

if (m_dElement.GetCountVariable() >= 2)

{

short iIndex = 0;

m_dSwitchVar = IVariable(m_dElement.ItemVariable(COleVariant(iIndex)));

m_dLatchVar = IVariable(m_dElement.ItemVariable(COleVariant(++iIndex)));

}

return TRUE;

}


zenonExit

Manuels -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Methods -> zenonExit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette méthode libère le driver de répartition.

BOOL CLatchedSwitchCtrl::zenonExit()

{

m_dElement.ReleaseDispatch();

m_dSwitchVar.ReleaseDispatch();

m_dLatchVar.ReleaseDispatch();

return TRUE;

}


Utilisation et affichage

Manuels -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Utilisation et affichage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com


Spécifier valeur prescrite

Manuels -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Utilisation et affichage -> Spécifier valeur prescrite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une valeur peut être définie en cliquant sur le contrôle avec le bouton gauche de la souris.

Si m_iSollwertDirekt est égal à 0, une boîte de dialogue de sélection de la valeur prescrite s'affiche ; dans le cas contraire, la valeur actuelle de la variable de commutation est inversée.

Si la variable de verrouillage possède la valeur 1, seule la fonction MessageBeep est exécutée. Aucune valeur ne peut être définie par le biais du contrôle.

void CLatchedSwitchCtrl::OnLButtonDown(UINT nFlags, CPoint point)

{

CRect rcBounds;

GetWindowRect(&rcBounds);

COleVariant coleValue((BYTE)TRUE);

BOOL bLatch = (BOOL)VariantToDouble((LPVARIANT)&m_dLatchVar.GetValue());

BOOL bSwitch = (BOOL)VariantToDouble((LPVARIANT)&m_dSwitchVar.GetValue());

if (bLatch) // Verrouilllée !!!

MessageBeep(MB_ICONEXCLAMATION);

else

{

if (m_sollwertDirekt)

{

bSwitch = !bSwitch;

}

else

{

CSollwertDlg dlg;

dlg.m_iSollwert = bSwitch ? 1 : 0;

if (dlg.DoModal() == IDOK)

{

if (dlg.m_iSollwert == 2) // Changement

bSwitch = !bSwitch;

else

bSwitch = (BOOL)dlg.m_iSollwert;

}

}

coleValue = (double)bSwitch;

m_dSwitchVar.SetValue(coleValue);

}

COleControl::OnLButtonDown(nFlags, point);

}


Dessin

Manuels -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Utilisation et affichage -> Dessin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors du tracé du contrôle, les valeurs des variables sont lues depuis les drivers de répartition et l'un des quatre éléments graphiques définis est affiché. Lorsque la valeur d'une variable est modifiée, le contrôle est actualisé par le processus OnDraw.

void CLatchedSwitchCtrl::OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid)

{

CRect rcBitmap = rcBounds;

rcBitmap.NormalizeRect();

if (!m_dElement)

{

m_SwitchOn.Render(pdc, &rcBounds, &rcBounds);

return;

}

BOOL bVal1 = 0, bVal2 = 0;

VARIANT vRes;

if (m_dSwitchVar) // La variable existe-t-elle ?

{

vRes = m_dSwitchVar.GetValue();

bVal1 = (BOOL)VariantToDouble(&vRes);

}

if (m_dLatchVar) // La variable existe-t-elle ?

{

vRes = m_dLatchVar.GetValue();

bVal1 = (BOOL)VariantToDouble(&vRes);

}

if (bVal1 && bVal2)

m_SwitchOn.Render(pdc, rcBitmap, rcBitmap);

else if (!bVal1 && bVal2)

m_SwitchOff.Render(pdc, rcBitmap, rcBitmap);

else if (bVal1 && !bVal2)

m_LatchedOn.Render(pdc, rcBitmap, rcBitmap);

else

m_LatchedOff.Render(pdc, rcBitmap, rcBitmap);

}


Interface de zenon

Manuels -> Contrôles -> ActiveX -> Exemple : LatchedSwitch (C++) -> Interface de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les classes résultant de COleDispatchDriver doivent être créées pour l'élément et les variables, afin que l'interface de répartition de zenon puisse être utilisée pour définir les valeurs. La manière la plus simple de créer ces dernières consiste à utiliser l'Assistant de classes de l'environnement de développement (cliquez sur le bouton Ajouter une classe, puis sélectionnez From a type library (Depuis une bibliothèque de types) et zenrt32.tlb).

Pour notre contrôle, ces classes sont IElement et IVariable. Elles sont définies dans zenrt32.h et zenrt32.cpp.


Exemple : CD SliderCtrl (C++)

Manuels -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'exemple suivant décrit un contrôle ActiveX équivalent au contrôle Windows SliderCtrl. Ce composant peut être lié à une variable de zenon. L'utilisateur peut modifier la valeur d'une variable à l'aide de ce curseur. Si la valeur de la variable est modifiée avec un autre élément dynamique, le curseur est mis à jour.


Interface

Manuels -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Interface

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le contrôle CD_SliderCtrl comporte l'interface de répartition suivante :

[ uuid(5CD1B01D-015E-11D4-A1DF-080009FD837F),

helpstring(Dispatch interface for CD_SliderCtrl Control), hidden

]

dispinterface _DCD_SliderCtrl

{

properties: //*** Propriétés des contrôles

[id(1)] short TickRaster;

[id(2)] boolean ShowVertical;

[id(3)] short LineSize;

methods: //*** Méthode du contrôle (pour ActiveX dans zenon)

[id(4)] boolean zenonInit(IDispatch* pElementInterface);

[id(5)] boolean zenonExit();

[id(6)] short VariableTypes();

[id(7)] short CanUseVariables();

[id(8)] short MaxVariables();

[id(DISPID_ABOUTBOX)] void AboutBox();

};


Contrôle

Manuels -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La mise en œuvre du contrôle s'effectue par le biais de la classe CD_SliderCtrlCtrl. Cette classe comporte un membre CSliderCtrl standard de Windows, le contrôle étant sous-classé à cet élément. Les interfaces IVariable et IElement contiennent des interfaces de zenon devant être intégrées. Celles-ci découlent de COleDispatchDriver.

class CCD_SliderCtrlCtrl : public COleControl

{

DECLARE_DYNCREATE(CCD_SliderCtrlCtrl)

private: //*** Variables membres

BOOL m_bInitialized;

BOOL m_bShowVertical;

BOOL m_bTicksBoth;

long m_nRangeStart;

long m_nRangeEnd;

long m_nTickOrientation;

IVariable m_interfaceVariable;

IElement m_interfaceElement;

CSliderCtrl m_wndSliderCtrl;

public:

CCD_SliderCtrlCtrl();

//{{AFX_VIRTUAL(CCD_SliderCtrlCtrl)

public:

virtual void OnDraw (CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid);

virtual BOOL PreCreateWindow(CREATESTRUCT& cs);

virtual void DoPropExchange (CPropExchange* pPX);

virtual void OnResetState ();

//}}AFX_VIRTUAL

protected:

~CCD_SliderCtrlCtrl();

//*** méthodes de conversion de la variante

double VariantToDouble(const VARIANT FAR *vValue);

DECLARE_OLECREATE_EX(CCD_SliderCtrlCtrl) // Fabrique de classe et guid

DECLARE_OLETYPELIB (CCD_SliderCtrlCtrl) // GetTypeInfo

DECLARE_PROPPAGEIDS (CCD_SliderCtrlCtrl) // ID de page de propriété

DECLARE_OLECTLTYPE (CCD_SliderCtrlCtrl) // Nom de type et informations d'état diverses

//*** méthodes de fonctionnement de l'élément SliderCtrl

BOOL IsSubclassedControl ();

LRESULT OnOcmCommand (WPARAM wParam, LPARAM lParam);

//{{AFX_MSG(CCD_SliderCtrlCtrl)

afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);

afx_msg void HScroll(UINT nSBCode, UINT nPos);

afx_msg void HScroll(UINT nSBCode, UINT nPos);

afx_msg void OnLButtonDown(UINT nFlags, CPoint point);

afx_msg void OnLButtonUp(UINT nFlags, CPoint point);

//}}AFX_MSG

DECLARE_MESSAGE_MAP()

//{{AFX_DISPATCH(CCD_SliderCtrlCtrl)

afx_msg BOOL GetTickOnBothSides();

afx_msg void SetTickOnBothSides (short nNewValue);

afx_msg BOOL GetShowVertical();

afx_msg void SetShowVertical(BOOL bNewValue);

afx_msg short GetTickOrientation();

afx_msg void SetTickOrientation (short nNewValue);

afx_msg BOOL zenonInit(LPDISPATCH pElementInterface);

afx_msg BOOL zenonExit();

afx_msg short VariableTypes();

afx_msg short CanUseVariables();

afx_msg short MaxVariables();

//}}AFX_DISPATCH

DECLARE_DISPATCH_MAP()

afx_msg void AboutBox();

//{{AFX_EVENT(CCD_SliderCtrlCtrl)

//}}AFX_EVENT

DECLARE_EVENT_MAP()

public:

enum {

//{{AFX_DISP_ID(CCD_SliderCtrlCtrl)

dispidShowVertical = 1L,

dispidTicksOnBothSides = 2L,

dispidTickOrientation = 3L,

dispidZenOnInit = 4L,

dispidZenOnExit = 5L,

dispidVariableTypes = 6L,

dispidCanUseVariables = 7L,

dispidMaxVariables = 8L,

//}}AFX_DISP_ID

};

};


Méthodes

Manuels -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Méthodes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les méthodes suivantes sont utilisées :

  • CanUseVariables
  • VariableTypes
  • MaxVariables
  • zenonInit
  • zenonExit


CanUseVariables

Manuels -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Méthodes -> CanUseVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette méthode renvoie 1, ce qui permet d'utiliser des variables de zenon.

short CCD_SliderCtrlCtrl::CanUseVariables()

{

return 1;

}


Types de variables

Manuels -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Méthodes -> Types de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le contrôle peut utiliser les variables de type mot, octet, double mot et flottante. Vous trouverez une liste des types de données utilisables dans la description générale de cette méthode.

short CCD_SliderCtrlCtrl::VariableTypes()

{

return 0x0001 | // Mot

0x0002 | // Octet

0x0008 | // DWord

0x0010 | // Flottante

0x0020 | // D flottante

}


MaxVariables

Manuels -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Méthodes -> MaxVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une seule variable peut être liée à ce contrôle.

short CCD_SliderCtrlCtrl::MaxVariables()

{

return 1; // 1 variable

}


zenonInit

Manuels -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Méthodes -> zenonInit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le paramètre dispElement contient l'interface de l'élément dynamique. Cet élément permet de déterminer la variable zenon liée. Si elle est valide, la plage d'affichage du contrôle SlideCtrl est définie. En outre, les paramètres d'affichage (nombre de graduations, etc.) sont définis. Si aucune variable n'est liée, la plage d'affichage est définie sur 0. Le contrôle SliderCtrl ne peut donc pas être modifié. La variable m_bInitialized définit la capacité d'ajuster les valeurs.

BOOL CCD_SliderCtrlCtrl::zenonInit(LPDISPATCH dispElement)

{

//*** Déterminer la variable à l'aide de l'élément de zenon

m_interfaceElement = IElement(pElementInterface);

if (m_interfaceElement.GetCountVariable() > 0) {

short nIndex = 0;

m_interfaceVariable = IVariable

(m_interfaceElement.ItemVariable(COleVariant(nIndex)));

}

//*** Initialiser la taille du contrôle Slider-Ctrl

if (m_interfaceVariable) {

//*** Définir la plage

m_nRangeStart = (long) VariantToDouble(&m_interfaceVariable.GetRangeMin());

m_nRangeEnd = (long) VariantToDouble(&m_interfaceVariable.GetRangeMax());

m_wndSliderCtrl.SetRange(m_nRangeStart,m_nRangeEnd,TRUE);

//*** Définir les graduations intermédiaires

m_wndSliderCtrl.SetTicFreq(m_nTickCount);

m_wndSliderCtrl.SetPageSize(m_nTickCount);

m_wndSliderCtrl.SetLineSize(m_nLineSize);

} else {

m_wndSliderCtrl.SetRange(0,0,TRUE);

return FALSE;

}

m_bInitialized = TRUE;

return TRUE;

}


zenonExit

Manuels -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Méthodes -> zenonExit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette méthode, les interfaces de zenon sont à nouveau libérées.

BOOL CCD_SliderCtrlCtrl::zenonExit()

{

m_interfaceElement.ReleaseDispatch();

m_interfaceVariable.ReleaseDispatch();

return TRUE;

}


Utilisation et affichage

Manuels -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Utilisation et affichage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com


Dessin

Manuels -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Utilisation et affichage -> Dessin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

DoSuperclassPaint dessine l'élément SliderCtrl (il s'agit d'un contrôle sous-classé). Si le curseur est déplacé lors de l'étape de dessin, la variable m_bInitialized reçoit la valeur FALSE. Ceci garantit que la valeur peut être modifiée. Normalement, la valeur de la variable est lue et affichée avec la méthode SetPos de l'élément SliderCtrl.

void CCD_SliderCtrlCtrl::OnDraw(CDC* pdc, const CRect& rcBounds, const CRect& rcInvalid)

{

//*** actualiser l'affichage

DoSuperclassPaint(pdc, rcBounds);

if (m_interfaceVariable && m_bInitialized) {

COleVariant cValue(m_interfaceVariable.GetValue());

int nValue = (int) VariantToDouble(&cValue.Detach());

m_wndSliderCtrl.SetPos(nValue);

}

}


Spécifier valeur prescrite

Manuels -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Utilisation et affichage -> Spécifier valeur prescrite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la méthode LButtonDown, la variable m_bInitialized est définie sur FALSE et, dans l'événement LbuttonUp, elle est à nouveau définie sur TRUE. Ceci garantit que la valeur peut être modifiée. Dans le cas contraire, la procédure OnDrawserait exécutée et l'ancienne valeur serait affichée.

void CCD_SliderCtrlCtrl::OnLButtonDown(UINT nFlags, CPoint point)

{

m_bInitialized = FALSE;

COleControl::OnLButtonDown(nFlags, point);

}

void CCD_SliderCtrlCtrl::OnLButtonUp(UINT nFlags, CPoint point)

{

m_bInitialized = TRUE;

COleControl::OnLButtonUp(nFlags, point);

}

Une valeur est transmise au matériel lorsque le curseur est déplacé. Dans les méthodes Hscroll et Vscroll, la valeur est transmise au matériel (selon la configuration horizontale ou verticale du curseur).

void CCD_SliderCtrlCtrl::HScroll(UINT nSBCode, UINT nPos)

{

switch (nSBCode) {

case TB_LINEUP:

case TB_PAGEUP:

case TB_LINEDOWN:

case TB_PAGEDOWN:

case TB_THUMBTRACK:

case TB_THUMBPOSITION:{

//*** Définir la valeur sans boîte de dialogue ?

int nValue = m_wndSliderCtrl.GetPos();

COleVariant cValue((short) nValue,VT_I2);

m_interfaceVariable.SetValue(cValue);

}

}

}


Interface de zenon

Manuels -> Contrôles -> ActiveX -> Exemple : CD SliderCtrl (C++) -> Interface de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les classes résultant de COleDispatchDriver doivent être créées pour l'élément et les variables, afin que l'interface de répartition de zenon puisse être utilisée pour définir les valeurs. La manière la plus simple de créer ces dernières consiste à utiliser l'Assistant de classes de l'environnement de développement (cliquez sur le bouton Ajouter une classe, puis sélectionnez From a type library (Depuis une bibliothèque de types) et zenrt32.tlb).

Pour notre contrôle, ces classes sont IElement et IVariable. Elles sont définies dans zenrt32.h et zenrt32.cpp.


Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)

Manuels -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'exemple suivant décrit un contrôle .NET exécuté comme un contrôle ActiveX dans zenon.

La création et l'intégration se déroulent en quatre étapes :

  1. Création d'un contrôle de formulaire Windows
  2. Conversion du contrôle utilisateur .NET en double contrôle
  3. Utilisation avec ActiveX dans l'Éditeur via le code VBA
  4. Connexion de variables de zenon au contrôle utilisateur .NET


Création d'un contrôle de formulaire Windows

Manuels -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Création d'un contrôle de formulaire Windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un contrôle de formulaire Windows :

  1. Démarrez Visual Studio 2008 et créez un nouveau projet Windows Form Control Library (Bibliothèque de contrôles de formulaire Windows) :

  2. Renommez le contrôle par défaut avec le nom de contrôle souhaité.
    Pour cet exemple : SampesControl.cs.

  3. Ouvrez le concepteur de contrôles et ajoutez le contrôle souhaité (dans notre cas, un champ de texte) :

  4. Les contrôles comportent normalement des propriétés. Ouvrez le concepteur de code en sélectionnant la fonction Afficher le code, puis ajoutez les propriétés devant que vous souhaitez rendre disponibles au niveau externe.
    Pour cet exemple : la propriété visible au niveau externe "UserText", avec l'accès get et set, qui contient le texte du champ de texte :

  5. Compilez le projet.

    Le contrôle de formulaire Windows peut maintenant être utilisé dans d'autres projets de formulaires Windows.

    Important : le contrôle doit être inséré manuellement dans la boîte à outils de contrôle par le biais de la fonction Choisir les éléments.


Conversion du contrôle utilisateur .NET en double contrôle

Manuels -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Conversion du contrôle utilisateur .NET en double contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour convertir un contrôle .NET en double contrôle, vous devez d'abord activer l'interface COM pour ActiveX.

  1. Ouvrez le projet et activez la propriété Inscrire pour COM interop dans les paramètres Générer :

  2. Ouvrez le fichier AssemblyInfo.cs et
    • définissez l'attribut ComVisible sur true
    • ajoutez l'attribut ClassInterface

    [assembly: ComVisible(true)]

    [assembly: ClassInterface(ClassInterfaceType.AutoDual)]

  3. Ouvrez le concepteur de code en sélectionnant l'option Afficher le code, puis ajoutez les attributs ActiveX et les entrées using requis. Dans le menu Outils/Create GUID, créez un nouveau GUID pour l'attribut GUID :

  4. Pour que le contrôle puisse être sélectionné comme un contrôle d'interface utilisateur Active X, vous devez ajouter des fonctions aux classes de contrôle suivantes :
    • RegisterClass
    • UnregisterClass

    Vous pouvez ensuite inscrire le contrôle dans la base de registres.

  5. Recompilez le projet.

    Le contrôle de formulaire Windows est maintenant utilisable dans ActiveX, et a été inscrit automatiquement durant la création de la nouvelle version. Un fichier typelib supplémentaire, zenonDotNetControl.tlb, a été créé dans le répertoire de sortie.

  6. Pour utiliser le contrôle sur un autre ordinateur :
    1. Copiez le fichier DLL et le fichier TLB sur l'ordinateur cible
    2. Enregistrez les fichiers en saisissant la ligne de commande :
      %windir%\Microsoft.NET\Framework\v2.0.50727\regasm.exe zenonDotNetControl.dll /tlb:zenonDotNetControl.tlb
  7. Ajoutez le contrôle de formulaire étendu de Windows en tant que contrôle ActiveX dans l'Éditeur de zenon :


Utilisation avec ActiveX dans l'Éditeur via le code VBA

Manuels -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Utilisation avec ActiveX dans l'Éditeur via le code VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour accéder aux propriétés du contrôle dans l'Éditeur zenon :

  1. Dans l'Éditeur zenon, dans le nœud Interfaces de programmation/Macros VBA, créez une nouvelle macro Init avec le nom Init_ActiveX.

    Dans cette macro, vous pouvez accéder à toutes les propriétés externes via obElem.ActiveX.

  2. Attribuez cette macro au contrôle ActiveX via les propriétés macros VBA/- de l'élément ActiveX.

Exemple de macro Init

Public Sub Init_ActiveX(obElem As Element)

obElem.AktiveX.Usertext = "Attribuez la chaîne au contrôle"

End Sub


Connexion de variables de zenon au contrôle utilisateur .NET

Manuels -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans zenon, vous avez la possibilité d'améliorer un contrôle ActiveX avec des fonctions spéciales pour accéder à l'API zenon.

Méthodes requises

  • public bool zenonInit (appelé durant l'initialisation du contrôle dans le Runtime de zenon.)
  • public bool zenonInitED (utilisé dans l'Éditeur.)
  • public bool zenonExit() (appelé lors de la destruction du contrôle dans le Runtime de zenon.)
  • public bool zenonExitED() (utilisé dans l'Éditeur.)
  • public short CanUseVariables() (prend en charge la liaison de variables.)
  • public short VariableTypes() (types de données pris en charge par le contrôle)
  • public MaxVariables() (nombre maximal de variables pouvant être liées au contrôle.)

Ajout de références

  1. Dans Microsoft Visual Studio, sous Ajouter des références, sélectionnez la bibliothèque d'objets de zenon pour pouvoir accéder à l'API de zenon dans le contrôle.

  2. Ajoutez les fonctions améliorées au code de classe du contrôle pour accéder à l'ensemble de l'API de zenon.

    Dans notre exemple, l'objet COM d'une variable de zenon est temporairement enregistré dans un membre, afin d'être accessible ultérieurement via l'événement Paint du contrôle.


public bool zenonInit(zenon.Element dispElement)

Manuels -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenonInit(zenon.Element dispElement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette méthode (dans le Runtime) permet au contrôle ActiveX d'obtenir un pointeur vers l'interface de répartition de l'élément dynamique. Ce pointeur permet également d'accéder aux variables de zenon liées à l'élément dynamique.

Vous pouvez configurer l'ordre de transmission des variables dans la boîte de dialogue Entrer les propriétés, à l'aides des boutons Bas et Haut. La boîte de dialogue Entrer les propriétés s'affiche si :

  • Vous double-cliquez sur l'élément ActiveX, ou
  • Vous sélectionnez Propriétés dans le menu contextuel, ou
  • Vous sélectionnez la propriété Paramètres ActiveX dans le nœud Affichage de la fenêtre de propriétés


public bool zenonInitED(zenon.Element dispElement)

Manuels -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenonInitED(zenon.Element dispElement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Équivalent à public bool zenonInit ; exécuté lors de l'ouverture d'ActiveX dans l'Éditeur (double-cliquez sur le contrôle ActiveX).


public bool zenonExit()

Manuels -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenonExit()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette méthode est appelée par le Runtime de zenon lorsque le contrôle ActiveX est fermé. Ici, tous les pointeurs de répartition renvoyant à des variables doivent être libérés.


public bool zenonExitED()

Manuels -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenonExitED()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Équivalent à public bool zenonExit() ; exécuté lors de la fermeture d'ActiveX dans l'Éditeur. Permet de réagir aux changements (par exemple, aux modifications de valeurs) dans l'Éditeur.


public short CanUseVariables()

Manuels -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public short CanUseVariables()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette méthode renvoie 1 si le contrôle peut utiliser les variables de zenon, et 0 dans le cas contraire.

  • 1 : pour l'élément dynamique (via le bouton Variable), vous pouvez uniquement déclarer des variables de zenon avec le type déclaré par le biais de la méthode VariableTypes, conformément au nombre défini par la méthode MaxVariables.
  • 0 : si CanUseVariables renvoie 0 ou le contrôle ne comporte pas cette méthode, n'importe quel nombre de variables de tout type peut être défini, sans limitation aucune. Dans le Runtime, toutefois, ces variables sont uniquement utilisables avec du code VBA.


public short VariableTypes()

Manuels -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public short VariableTypes()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La valeur renvoyée par cette méthode est utilisée comme masque pour les types de variable utilisables dans la liste de variables. La valeur est une relation AND (et) parmi les valeurs suivantes (définies dans zenon32/dy_type.h) :

Paramètres | Valeur | Description
WORD | 0x0001 | correspond à la position 0
BYTE | 0x0002 | correspond à la position 1
BIT | 0x0004 | correspond à la position 2
DWORD | 0x0008 | correspond à la position 3
FLOAT | 0x0010 | correspond à la position 4
DFLOAT | 0x0020 | correspond à la position 5
STRING | 0x0040 | correspond à la position 6
IN_OUTPUT | 0x8000 | correspond à la position 15


public MaxVariables()

Manuels -> Contrôles -> ActiveX -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public MaxVariables()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette section est défini le nombre de variables pouvant être sélectionnées dans la liste de variables.

1 : la sélection multiple est désactivée dans la liste de variables. Un avertissement est alors affiché si plusieurs variables sont sélectionnées.


Contrôles utilisateur .NET

Manuels -> Contrôles -> Contrôles utilisateur .NET

Le contrôle .NET permet d'améliorer de manière autonome les fonctionnalités du Runtime et de l'Éditeur de zenon.

Dans ce manuel, vous trouverez des informations concernant :

  • La différence entre un conteneur de contrôle et ActiveX
  • Exemple de conteneur de contrôle .NET
  • Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)

Vous trouverez d'autres informations concernant les contrôles .NET dans ActiveX dans le manuel Synoptiques, au chapitre Contrôles .NET.

Autres sujets abordés dans ce chapitre

Différentes utilisations des contrôles .NET Control dans le conteneur de contrôles ou ActiveX

Exemple de conteneur de contrôle .NET

Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)


Différentes utilisations des contrôles .NET Control dans le conteneur de contrôles ou ActiveX

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Différentes utilisations des contrôles .NET Control dans le conteneur de contrôles ou ActiveX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un contrôle utilisateur .NET peut être :

  • Intégré directement à l'élément ActiveX de zenon, via le contrôle CD_DotNetControlContainer
  • Utilisé comme un contrôle ActiveX et intégré directement à l'élément ActiveX zenon

Principalement, les différences entre le contrôle de conteneur et le contrôle ActiveX sont les suivantes :

Contrôle CD_DotNetControlContainer

Contrôle Active X

  • Ne doit pas être inscrit sur l'ordinateur.
  • Doit être inscrit en tant que contrôle Active X sur l'ordinateur (regsrv32).
  • En cas de modification du contrôleur, seule le fichier DLL doit être modifié.
  • En cas de modification au niveau du contrôleur, l'élément TLB doit être réinscrit.
  • L'accès via VBA et VSTA est uniquement possible par le biais de la méthode CD_DotNetControlContainer.
  • Accès facile via VBA et VSTA.


Exemple de conteneur de contrôle .NET

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans ce didacticiel, vous allez découvrir comment créer un contrôle utilisateur .NET simple dans Visual Studio 2010 (langage de programmation C#) et comment l'intégrer, à l'aide du contrôle CD_DotNetControlContainer de zenon, sous forme de contrôle ActiveX dans un élément ActiveX de zenon.

Autres sujets abordés dans ce chapitre

Généralités

Création de contrôles utilisateur .NET

Ajouter un conteneur CD_DotNetControlContainer et un contrôle utilisateur .NET

Accès au contrôle utilisateur via VSTA ou VBA


Généralités

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le contrôle CD_DotNetControlContainer agit donc comme un wrapper entre le contrôle utilisateur et l'élément ActiveX de zenon. Toutes les méthodes utilisées dans l'exemple suivant, et toutes les méthodes publiques et propriétés sont transmises, via le contrôle CD_DotNetControlContainer, du contrôle utilisateur au contrôle ActiveX, et peuvent être utilisés par zenon (dans VBA et VSTA également).

Si une référence à l'interface de programmation de zenon est présente dans le contrôle utilisateur, vous pouvez directement accéder aux objets de zenon.

Dans l'exemple suivant, nous allons :

  • Créer un contrôle utilisateur .Net
  • Ajouter un conteneur CD_DotNetControlContainer et un contrôle utilisateur .NET
  • Autoriser l'accès au contrôle utilisateur via VSTA (VBA)


public bool zenonInit(zenon.Element dispElement)

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Généralités -> public bool zenonInit(zenon.Element dispElement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette méthode (dans le Runtime) permet au contrôle ActiveX d'obtenir un pointeur vers l'interface de répartition de l'élément dynamique. Ce pointeur permet également d'accéder aux variables de zenon liées à l'élément dynamique.

Vous pouvez configurer l'ordre de transmission des variables dans la boîte de dialogue Entrer les propriétés, à l'aides des boutons Bas et Haut. La boîte de dialogue Entrer les propriétés s'affiche si :

  • Vous double-cliquez sur l'élément ActiveX, ou
  • Vous sélectionnez Propriétés dans le menu contextuel, ou
  • Vous sélectionnez la propriété Paramètres ActiveX dans le nœud Affichage de la fenêtre de propriétés


public bool zenonExit()

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Généralités -> public bool zenonExit()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette méthode est appelée par le Runtime de zenon lorsque le contrôle ActiveX est fermé. Ici, tous les pointeurs de répartition renvoyant à des variables doivent être libérés.


public short CanUseVariables()

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Généralités -> public short CanUseVariables()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette méthode renvoie 1 si le contrôle peut utiliser les variables de zenon, et 0 dans le cas contraire.

  • 1 : pour l'élément dynamique (via le bouton Variable), vous pouvez uniquement déclarer des variables de zenon avec le type déclaré par le biais de la méthode VariableTypes, conformément au nombre défini par la méthode MaxVariables.
  • 0 : si CanUseVariables renvoie 0 ou le contrôle ne comporte pas cette méthode, n'importe quel nombre de variables de tout type peut être défini, sans limitation aucune. Dans le Runtime, toutefois, ces variables sont uniquement utilisables avec du code VBA.


public short VariableTypes()

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Généralités -> public short VariableTypes()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La valeur renvoyée par cette méthode est utilisée comme masque pour les types de variable utilisables dans la liste de variables. La valeur est une relation AND (et) parmi les valeurs suivantes (définies dans zenon32/dy_type.h) :

Paramètres | Valeur | Description
WORD | 0x0001 | correspond à la position 0
BYTE | 0x0002 | correspond à la position 1
BIT | 0x0004 | correspond à la position 2
DWORD | 0x0008 | correspond à la position 3
FLOAT | 0x0010 | correspond à la position 4
DFLOAT | 0x0020 | correspond à la position 5
STRING | 0x0040 | correspond à la position 6
IN_OUTPUT | 0x8000 | correspond à la position 15


public MaxVariables()

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Généralités -> public MaxVariables()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette section est défini le nombre de variables pouvant être sélectionnées dans la liste de variables.

1 : la sélection multiple est désactivée dans la liste de variables. Un avertissement est alors affiché si plusieurs variables sont sélectionnées.


Création de contrôles utilisateur .NET

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Création de contrôles utilisateur .NET

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un contrôle utilisateur est un contrôle simple, permettant de définir une nouvelle valeur par le biais d'un champ de saisie (champ de texte). Lorsque vous cliquez sur le bouton, la valeur est écrite dans la variable zenon de votre choix.

Une fonction supplémentaire doit automatiquement détecter tout changement de valeur de la variable dans zenon et afficher automatiquement la nouvelle valeur dans le contrôle.

Procédure

  1. Créez d'abord un nouveau projet dans VS, et utilisez le type de projet Bibliothèque de contrôles Windows Forms

    Important : spécifiez la version 3.5 de .NET Framework !

  2. Renommez ensuite le fichier CS de "UserControl" en "zenon_CD_DotNetControlContainer.cs". Les fichiers Designer.cs et .resx sont renommés automatiquement.

  3. À l'étape suivante, vous créez le contrôle utilisateur. Pour cela, utilisez deux champs de texte pour l'entrée et la sortie, respectivement, et un bouton permettant d'écrire de nouvelles valeurs dans la variable zenon.
    Nom :
    • Premier champ de texte : "txtGetzenonVariable"
    • Deuxième champ de texte : "txtSetzenonVariable"
    • Bouton : "btnSetzenonVariable"

  4. Pour accéder aux objets de zenon, vous devez disposer d'une référence à l'interface de programmation de <CD_PRODUCNAME>. Pour cela :
    • Cliquez sur le nœud Références dans l'Explorateur de solutions
    • Ouvrez menu contextuel
    • Sélectionnez Ajouter des références...
    • Sélectionnez l'onglet COM
    • Sélectionnez zenon programming interface library (Bibliothèque d'interfaces de programmation de zenon)

    La référence zenon devrait alors être visible dans la liste de références.

  5. À l'étape suivante, créez une variable globale du type zenon.variable dans le code de zenon_CD_DotNetControlContainer.cs :

  6. Cette variable est initialisée par le biais de la méthode publique zenonInit :

    et activée via la méthode publique zenonExit :

    Dans les méthodes suivantes, nous définissons si des variables et des types de données de <CD_PRODUTCNAME> sont utilisés, ainsi que le nombre de variables pouvant être transmis :

  7. À l'étape suivante, dans le paramètre Click-Event du bouton btnSetzenonVariable, définissez qu'un clic sur le bouton écrit la valeur du champ de texte txtSetzenonVariable dans la variable zenon, avant d'effacer le contenu du champ de texte.

  8. Pour réagir à un changement de valeur de la variable, vous devez avoir accès à l'événement Paint du contrôle. L'événement Paint est également déclenché si la valeur de la variable initialisée de zenon change, et peut donc être utilisé pour actualiser des valeurs. Puisque les variables référencées dans l'élément ActiveX de zenon sont automatiquement suggérées, vous n'avez généralement pas besoin d'utiliser le conteneur zenon.OnlineVariable dans le contrôle.

Aperçu du code

Voici un récapitulatif de l'ensemble du code :

using System;

using System.Collections.Generic;

using System.ComponentModel;

using System.Drawing;

using System.Data;

using System.Linq;

using System.Text;

using System.Windows.Forms;

using zenOn;

namespace zenon_CD_DotNetControlContainer

{

public partial class zenon_CD_DotNetControlContainer : UserControl

{

//Cette ligne est nécessaire pour accéder au conteneur de variable de zenon

zenOn.Variable m_cVal = null;

public zenon_CD_DotNetControlContainer()

{

InitializeComponent();

}

/// <summary>

/// Cette méthode publique sera appelée par l'initialisation du contrôle dans

/// le Runtime de zenon.

/// </summary>

/// <param name="dispElement"></param>

/// <returns></returns>

public bool zenonInit(zenon.Element dispElement)

{

//Vérifier si des variables de zenon ont été ajoutées au

//Contrôle

if (dispElement.CountVariable > 0)

{

try

{

//Prendre la première variable de zenon et l'ajouter

//à la variable globale

m_cVal = dispElement.ItemVariable(0);

}

catch { }

}

return true;

}

/// <summary>

/// Cette méthode publique sera appelée par la libération du contrôle dans

/// le Runtime de zenon.

/// </summary>

/// <returns></returns>

public bool zenOnExit()

{

try

{

if (m_cVal != null)

{

//Libérer la variable de zenon (objet Com)

System.Runtime.InteropServices.Marshal.FinalReleaseComObject(m_cVal);

m_cVal = null;

}

}

catch { }

return true;

}

/// <summary>

/// Cette méthode publique est nécessaire pour lier les variables de zenon

/// au contrôle.

/// </summary>

/// <returns></returns>

public short CanUseVariables()

{

return 1; // Only tis Variable is supported

}

/// <summary>

/// Cette méthode publique renvoie le type des

/// variables de zenon prises en charge

/// </summary>

/// <returns></returns>

public short VariableTypes()

{

return short.MaxValue; // Tous les types de données pris en charge

}

/// <summary>

/// Cette méthode publique renvoie le nombre de

/// variables de zenon prises en charge

/// </summary>

/// <returns></returns>

public short MaxVariables()

{

return 1; // Une seule variable doit être liée au contrôle

}

/// <summary>

/// Celle-ci sera déclenchée en cliquant sur le bouton. La nouvelle valeur sera

/// définie sur la variable de zenon

/// </summary>

/// <param name="sender"></param>

/// <param name="e"></param>

private void btnSetZenonVariable_Click(object sender, EventArgs e)

{

//Valeur prescrite de TextBox pour la variable de zenon

m_cVal.set_Value(0,txtSetZenonVariable.Text.ToString());

this.txtSetZenonVariable.Text = string.Empty;

}

/// <summary>

/// Celle-ci sera déclenchée par le tracé du contrôle utilisateur ou la modification de la valeur de la variable.

/// Après la modification de la variable, le contrôle est tracé une nouvelle fois et la nouvelle valeur

/// est écrite dans le champ de texte.

/// </summary>

/// <param name="sender"></param>

/// <param name="e"></param>

private void zenon_CD_DotNetControlContainer_Paint(object sender, PaintEventArgs e)

{

if (m_cVal != null)

{

this.txtGetZenonVariable.Text = m_cVal.get_Value(0).ToString();

return;

}

else

{

this.txtGetZenonVariable.Text = "Variable Value";

return;

}

}

}

}

Création de la version

Pour finir, créez une version pour intégrer la DLL finalisée dans zenon ou le conteneur CD_DotNetControlContainer.

Pour cela, vous devez basculer du mode Débogage au mode Version finale dans les paramètres.


Ajouter un conteneur CD_DotNetControlContainer et un contrôle utilisateur .NET

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Ajouter un conteneur CD_DotNetControlContainer et un contrôle utilisateur .NET

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour préparer le projet zenon et ajouter le conteneur CD_DotNetControlContainer et le contrôle utilisateur .NET, effectuez les étapes suivantes :

  1. Créez une variable interne de type String (Chaîne), et définissez la longueur de la chaîne sur 30.

  2. Dans le nœud Projet/Fichiers/Autres du projet zenon, ajoutez le fichier DLL du contrôle utilisateur .NET que vous avez créé.

    Le fichier DLL se trouve dans le dossier du projet de Visual Studio, sous bin\Release\zenon_CD_DotNetControlContainer.dll.

  3. Dans le projet, sélectionnez l'élément ActiveX et faites-le glisser vers un synoptique zenon.
    • La boîte de dialogue Configuration s'affiche à l'écran.
    • Sélectionnez le contrôle CD_DotNetControlContainer.Container.

  4. Pour incorporer le contrôle utilisateur .NET au contrôle CD_DotNetControlContainer :
    • Cliquez sur le bouton Propriétés....
    • Une nouvelle boîte de dialogue s'affiche à l'écran.

    • Cliquez sur le bouton Charger pour sélectionner le chemin du dossier du projet, par exemple : C:\ProgramData\COPA-DATA\SQL\9888419d-251e-4595-b396-9be42367997c\FILES\zenon\custom\additional\zenon_CD_DotNetControlContainer.dll

    En ajoutant le fichier DLL au dossier additional, le contrôle est automatiquement transféré lors de la copie ou du chargement des fichiers du Runtime vers un autre ordinateur. Le lien est alors perdu.

    Le contrôle utilisateur .NET devrait maintenant être affiché.

    Fermez la boîte de dialogue en cliquant sur OK.

  5. À la dernière étape, liez une variable au contrôle en cliquant sur le bouton Variables.

    La variable sélectionnée est d'abord automatiquement liée avec notre variable globalement définie (.NET UserControl) via la méthode publique zenonInit. La liaison avec le contrôle est effectuée après le démarrage du Runtime.

    Liez ensuite la variable interne à un élément de texte.

  6. Après le démarrage du Runtime, le contrôle est initialement vide.

    Si vous saisissez une valeur dans le deuxième champ de texte et la validez ensuite en cliquant sur le bouton Set zenon variable (Définir la variable de zenon), la valeur est écrite dans la variable zenon. (L'événement btnSetzenonVariable_Click est exécuté.)

    Cette indication est également affichée dans l'élément de texte de zenon.

    Si la valeur est directement modifiée dans l'élément de texte de zenon,

    la valeur est directement écrite dans le premier champ de texte par le biais de l'événement Paint du contrôle .NET.


Accès au contrôle utilisateur via VSTA ou VBA

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple de conteneur de contrôle .NET -> Accès au contrôle utilisateur via VSTA ou VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ces exemples présentent l'accès via VSTA. La procédure est la même que pour VBA.

  1. Améliorez le contrôle en spécifiant un intitulé (label) et nommez-le IblzenonInfo. Dans cet intitulé, la valeur d'une autre variable de zenon doit être affichée. La nouvelle valeur doit être définie par le biais d'une macro VSTA.

  2. Améliorez le code avec une propriété (Information), et ajoutez à celle-ci les propriétés get et set. Elles vous permettent de lire et d'écrire le texte de l'intitulé.

  3. Créez une nouvelle version du contrôle utilisateur et copiez-la vers le dossier additional du projet de zenon.
    N'oubliez pas : Fermez l'Éditeur de zenon avant d'effectuer cette manipulation !
    Supprimez l'ancien fichier DLL, puis redémarrez l'Éditeur de zenon. Si la DLL se trouve encore dans le dossier, supprimez-la simplement une deuxième fois. Vous pouvez maintenant importer la DLL modifiée. Les éléments CD_DotNetContainerControl et ActiveX sont mis à jour automatiquement.
  4. Dans l'Éditeur de zenon, cliquez sur ActiveX et ouvrez la fenêtre de la propriété.

    Vous pouvez maintenant vois la nouvelle propriété Information dans la fenêtre de sélection du contrôle, et vous pouvez également définir une valeur.

    Cette valeur est également définie dans le contrôle ("myInformation").

  5. Pour pouvoir utiliser CD_DotNetControlContainer dans VSTA ou VBA, vous devez d'abord disposer de la référence du contrôle. Après avoir ouvert VSTA pour le projet (ProjectAddin), vous devez ajouter la référence de CD_DotNetControlContainer.

    Vous devez en outre ajouter l'Assembly System.Windows.Forms.

  6. Le code suivant permet de redéfinir la valeur de la propriété Information.

  7. Pour finir :
    • Créez une nouvelle fonction de zenon, intitulée Exécuter macro VSTA.
    • Liez la fonction à un bouton.

    Dans le Runtime, l'intitulé change de myInformation en New Information lorsque vous cliquez sur le bouton.

    Cliquez à nouveau sur le bouton pour effectuer le changement inverse.


Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'exemple suivant décrit un contrôle .NET exécuté comme un contrôle ActiveX dans zenon.

La création et l'intégration se déroulent en quatre étapes :

  1. Création d'un contrôle de formulaire Windows
  2. Conversion du contrôle utilisateur .NET en double contrôle
  3. Utilisation avec ActiveX dans l'Éditeur via le code VBA
  4. Connexion de variables de zenon au contrôle utilisateur .NET


Création d'un contrôle de formulaire Windows

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Création d'un contrôle de formulaire Windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un contrôle de formulaire Windows :

  1. Démarrez Visual Studio 2008 et créez un nouveau projet Windows Form Control Library (Bibliothèque de contrôles de formulaire Windows) :

  2. Renommez le contrôle par défaut avec le nom de contrôle souhaité.
    Pour cet exemple : SampesControl.cs.

  3. Ouvrez le concepteur de contrôles et ajoutez le contrôle souhaité (dans notre cas, un champ de texte) :

  4. Les contrôles comportent normalement des propriétés. Ouvrez le concepteur de code en sélectionnant la fonction Afficher le code, puis ajoutez les propriétés devant que vous souhaitez rendre disponibles au niveau externe.
    Pour cet exemple : la propriété visible au niveau externe "UserText", avec l'accès get et set, qui contient le texte du champ de texte :

  5. Compilez le projet.

    Le contrôle de formulaire Windows peut maintenant être utilisé dans d'autres projets de formulaires Windows.

    Important : le contrôle doit être inséré manuellement dans la boîte à outils de contrôle par le biais de la fonction Choisir les éléments.


Conversion du contrôle utilisateur .NET en double contrôle

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Conversion du contrôle utilisateur .NET en double contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour convertir un contrôle .NET en double contrôle, vous devez d'abord activer l'interface COM pour ActiveX.

  1. Ouvrez le projet et activez la propriété Inscrire pour COM interop dans les paramètres Générer :

  2. Ouvrez le fichier AssemblyInfo.cs et
    • définissez l'attribut ComVisible sur true
    • ajoutez l'attribut ClassInterface

    [assembly: ComVisible(true)]

    [assembly: ClassInterface(ClassInterfaceType.AutoDual)]

  3. Ouvrez le concepteur de code en sélectionnant l'option Afficher le code, puis ajoutez les attributs ActiveX et les entrées using requis. Dans le menu Outils/Create GUID, créez un nouveau GUID pour l'attribut GUID :

  4. Pour que le contrôle puisse être sélectionné comme un contrôle d'interface utilisateur Active X, vous devez ajouter des fonctions aux classes de contrôle suivantes :
    • RegisterClass
    • UnregisterClass

    Vous pouvez ensuite inscrire le contrôle dans la base de registres.

  5. Recompilez le projet.

    Le contrôle de formulaire Windows est maintenant utilisable dans ActiveX, et a été inscrit automatiquement durant la création de la nouvelle version. Un fichier typelib supplémentaire, zenonDotNetControl.tlb, a été créé dans le répertoire de sortie.

  6. Pour utiliser le contrôle sur un autre ordinateur :
    1. Copiez le fichier DLL et le fichier TLB sur l'ordinateur cible
    2. Enregistrez les fichiers en saisissant la ligne de commande :
      %windir%\Microsoft.NET\Framework\v2.0.50727\regasm.exe zenonDotNetControl.dll /tlb:zenonDotNetControl.tlb
  7. Ajoutez le contrôle de formulaire étendu de Windows en tant que contrôle ActiveX dans l'Éditeur de zenon :


Utilisation avec ActiveX dans l'Éditeur via le code VBA

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Utilisation avec ActiveX dans l'Éditeur via le code VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour accéder aux propriétés du contrôle dans l'Éditeur zenon :

  1. Dans l'Éditeur zenon, dans le nœud Interfaces de programmation/Macros VBA, créez une nouvelle macro Init avec le nom Init_ActiveX.

    Dans cette macro, vous pouvez accéder à toutes les propriétés externes via obElem.ActiveX.

  2. Attribuez cette macro au contrôle ActiveX via les propriétés macros VBA/- de l'élément ActiveX.

Exemple de macro Init

Public Sub Init_ActiveX(obElem As Element)

obElem.AktiveX.Usertext = "Attribuez la chaîne au contrôle"

End Sub


Connexion de variables de zenon au contrôle utilisateur .NET

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans zenon, vous avez la possibilité d'améliorer un contrôle ActiveX avec des fonctions spéciales pour accéder à l'API zenon.

Méthodes requises

  • public bool zenonInit (appelé durant l'initialisation du contrôle dans le Runtime de zenon.)
  • public bool zenonInitED (utilisé dans l'Éditeur.)
  • public bool zenonExit() (appelé lors de la destruction du contrôle dans le Runtime de zenon.)
  • public bool zenonExitED() (utilisé dans l'Éditeur.)
  • public short CanUseVariables() (prend en charge la liaison de variables.)
  • public short VariableTypes() (types de données pris en charge par le contrôle)
  • public MaxVariables() (nombre maximal de variables pouvant être liées au contrôle.)

Ajout de références

  1. Dans Microsoft Visual Studio, sous Ajouter des références, sélectionnez la bibliothèque d'objets de zenon pour pouvoir accéder à l'API de zenon dans le contrôle.

  2. Ajoutez les fonctions améliorées au code de classe du contrôle pour accéder à l'ensemble de l'API de zenon.

    Dans notre exemple, l'objet COM d'une variable de zenon est temporairement enregistré dans un membre, afin d'être accessible ultérieurement via l'événement Paint du contrôle.


public bool zenonInit(zenon.Element dispElement)

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenonInit(zenon.Element dispElement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette méthode (dans le Runtime) permet au contrôle ActiveX d'obtenir un pointeur vers l'interface de répartition de l'élément dynamique. Ce pointeur permet également d'accéder aux variables de zenon liées à l'élément dynamique.

Vous pouvez configurer l'ordre de transmission des variables dans la boîte de dialogue Entrer les propriétés, à l'aides des boutons Bas et Haut. La boîte de dialogue Entrer les propriétés s'affiche si :

  • Vous double-cliquez sur l'élément ActiveX, ou
  • Vous sélectionnez Propriétés dans le menu contextuel, ou
  • Vous sélectionnez la propriété Paramètres ActiveX dans le nœud Affichage de la fenêtre de propriétés


public bool zenonInitED(zenon.Element dispElement)

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenonInitED(zenon.Element dispElement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Équivalent à public bool zenonInit ; exécuté lors de l'ouverture d'ActiveX dans l'Éditeur (double-cliquez sur le contrôle ActiveX).


public bool zenonExit()

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenonExit()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette méthode est appelée par le Runtime de zenon lorsque le contrôle ActiveX est fermé. Ici, tous les pointeurs de répartition renvoyant à des variables doivent être libérés.


public bool zenonExitED()

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public bool zenonExitED()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Équivalent à public bool zenonExit() ; exécuté lors de la fermeture d'ActiveX dans l'Éditeur. Permet de réagir aux changements (par exemple, aux modifications de valeurs) dans l'Éditeur.


public short CanUseVariables()

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public short CanUseVariables()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette méthode renvoie 1 si le contrôle peut utiliser les variables de zenon, et 0 dans le cas contraire.

  • 1 : pour l'élément dynamique (via le bouton Variable), vous pouvez uniquement déclarer des variables de zenon avec le type déclaré par le biais de la méthode VariableTypes, conformément au nombre défini par la méthode MaxVariables.
  • 0 : si CanUseVariables renvoie 0 ou le contrôle ne comporte pas cette méthode, n'importe quel nombre de variables de tout type peut être défini, sans limitation aucune. Dans le Runtime, toutefois, ces variables sont uniquement utilisables avec du code VBA.


public short VariableTypes()

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public short VariableTypes()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La valeur renvoyée par cette méthode est utilisée comme masque pour les types de variable utilisables dans la liste de variables. La valeur est une relation AND (et) parmi les valeurs suivantes (définies dans zenon32/dy_type.h) :

Paramètres | Valeur | Description
WORD | 0x0001 | correspond à la position 0
BYTE | 0x0002 | correspond à la position 1
BIT | 0x0004 | correspond à la position 2
DWORD | 0x0008 | correspond à la position 3
FLOAT | 0x0010 | correspond à la position 4
DFLOAT | 0x0020 | correspond à la position 5
STRING | 0x0040 | correspond à la position 6
IN_OUTPUT | 0x8000 | correspond à la position 15


public MaxVariables()

Manuels -> Contrôles -> Contrôles utilisateur .NET -> Exemple : contrôle. NET exécuté en tant que contrôle ActiveX (C#) -> Connexion de variables de zenon au contrôle utilisateur .NET -> public MaxVariables()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette section est défini le nombre de variables pouvant être sélectionnées dans la liste de variables.

1 : la sélection multiple est désactivée dans la liste de variables. Un avertissement est alors affiché si plusieurs variables sont sélectionnées.


Élément WPF

Manuels -> Contrôles -> Élément WPF

L'élément dynamique WPF permet d'intégrer et d'afficher les fichiers WPF/XAML valides dans zenon.

info Info

Toutes les marques et noms de produits mentionnés dans cette documentation sont des marques de commerce ou des marques déposées de leurs détenteurs respectifs.

Autres sujets abordés dans ce chapitre

Notions fondamentales

Manuel du concepteur

Développement dans zenon


Notions fondamentales

Manuels -> Contrôles -> Élément WPF -> Notions fondamentales

XAML

XAML signifie "Extensible Application Markup Language". Ce langage descriptif développé par Microsoft, conçu sur la base du XML, définit la syntaxe dans les applications Silverlight et les interfaces utilisateur WPF. Le XAML permet de séparer la conception graphique et la programmation. Le concepteur prépare l'interface utilisateur graphique et crée des animations simples, qui sont ensuite utilisées par les développeurs ou planificateurs de projet. Le planificateur de projet peut adapter le contrôle et l'animation de ces fichiers .xaml à son projet.

WPF

WPF signifie "Windows Presentation Foundation", et décrit une infrastructure graphique qui forme partie de l'infrastructure Windows .NET.

  • WPF affiche l'environnement de programmation.
  • Le langage XAML décrit, sur la base du langage XML, la hiérarchie de l'interface sous forme de langage de balisage. En fonction de la construction du fichier XAML, il est possible de lier des propriétés, des événements et des transformations d'éléments WPF à des variables et des fonctions de
    CD_PRODUCTNAME<.
  • Cette infrastructure réunit les différents éléments de présentation tels que l'interface utilisateur, les tracés d'éléments, les éléments graphiques, les éléments audio et vidéo, les documents et les polices de caractères.

Selon Microsoft, WPF est fourni avec Windows 8, Windows 7, Windows Vista et Windows Server 2008. Microsoft .NET 3.5 est nécessaire à l'exécution.

Autres sujets abordés dans ce chapitre

Éléments WPF dans la visualisation de procédés

Transfert de valeurs de zenon vers WPF

Objets référencés

Association d'un objet zenon à un contenu WPF

Flux de travail


Éléments WPF dans la visualisation de procédés

Manuels -> Contrôles -> Élément WPF -> Notions fondamentales -> Éléments WPF dans la visualisation de procédés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le langage XAML offre différentes possibilités de conception graphique dans zenon. Les éléments d'affichage et les éléments dynamiques peuvent être adaptés graphiquement, quelle que soit la planification du projet. Par exemple, des illustrations sont d'abord créées par les concepteurs graphiques, puis importées dans zenon sous forme de fichier XAML et liées aux éléments logiques souhaités. Il existe de nombreuses possibilités d'utilisation de cette fonction, par exemple :

Éléments dynamiques avec une apparence analogique

Il n'est plus nécessaire de dessiner les éléments graphiques dans zenon ; ils peuvent maintenant être importés directement sous forme de fichier XAML. Ceci permet d'utiliser des éléments illustrés complexes, riches en détails, aux fins de la visualisation de procédés. Les reflets, les ombres, les effets 3D etc. sont pris en charge sous forme d'éléments graphiques. Les éléments qui sont adaptés aux différents environnements industriels autorisent une utilisation intuitive, semblable aux éléments opérationnels de la machine.

Des illustrations détaillées pour une utilisation intuitive

L'intégration d'éléments d'affichage au format XAML permet d'améliorer l'apparence graphique des projets, et améliore très significativement la clarté de l'affichage des procédés. Les éléments optimisés pour l'ergonomie facilitent l'utilisation des machines. L'affichage clair des données permet de recevoir des contenus complexes plus facilement. Les options flexibles d'adaptation d'éléments individuels facilitent le travail de l'opérateur. Il est donc possible pour les planificateurs de projet de définir seuls les valeurs d'affichage, les échelles et les unités.

Présentation clair des données et des récapitulatifs

Les éléments d'affichage groupés permettent d'afficher clairement les données les plus importantes du procédé, afin que les opérateurs d'équipements soient toujours informés du déroulement du procédé actuel. Les évaluations graphiques, les valeurs d'affichage et les réglettes peuvent être rassemblées sous la forme d'un élément unique, facilitant le contrôle de l'équipement.

Affichages spécifiques aux industries

Les éléments tels que les thermomètres, les balances ou les bargraphes forment partie des éléments fondamentaux de la visualisation de procédés. Grâce au langage XAML, il est possible d'adapter ces éléments à différentes industries. Ainsi, les opérateurs d'équipements peuvent localiser les éléments établis et habituels, qu'ils associent déjà à ces machines, aux fins de la visualisation du procédé sur le terminal.

Adaptation aux chartes graphiques des entreprises

Les illustrations peuvent être adaptées aux différentes exigences stylistiques des entreprises, afin de fournir une apparence visuelle cohérente jusque sur les synoptiques des différents procédés. Par exemple, les éléments fonctionnels standard de zenon peuvent être utilisés, puis être adaptés à la gamme chromatique, aux polices et au style d'illustration de la charte graphique de l'entreprise.


Transfert de valeurs de zenon vers WPF

Manuels -> Contrôles -> Élément WPF -> Notions fondamentales -> Transfert de valeurs de zenon vers WPF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Au niveau interne, zenon utilise toujours des valeurs de type double ou chaîne . Celles-ci sont transmises à l'élément WPF. L'élément WPF est intégré à un conteneur .NET. Il doit généralement être converti pour que le type de données puisse être utilisé. Cette conversion peut être exécutée automatiquement par .NET.

Les valeurs sont transmises conformément aux règles suivantes :

  • Si le type .NET (System.Object) correspondant à zenon n'est pas manifeste, la valeur est transmise telle quelle à .NET. .NET doit gérer lui-même l'affichage ou la conversion.
  • Si le type .NET est un type booléen (System.Boolean), zenon procède à l'écriture conformément à la convention .NET, 0 ou -1.
  • Si le type .NET est connu, une vérification est effectuée afin de déterminer si .NET peut convertir la valeur. Le convertisseur de .NET est utilisé à cette fin.
    • Oui : la valeur est transmise.
    • Non : la valeur est transmise malgré tout. Si .NET réagit en affichant un message d'erreur, la valeur de zenon est convertie en chaîne, puis renvoyée.


Objets référencés

Manuels -> Contrôles -> Élément WPF -> Notions fondamentales -> Objets référencés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans WPF, vous pouvez utiliser des objets standard, tels que des rectangles, des boutons, des champs de texte, etc., mais également des contrôles utilisateur de WPF, qui sont référencés sous le nom "d'ensembles".

Les contrôles utilisateur de WPF sont des objets créés individuellement. Par exemple, cet élément peut prendre l'apparence d'un tachymètre et fournir des propriétés spéciales et des effets optiques, tels qu'une propriété "Valeur", qui provoque le déplacement de l'aiguille du tachymètre lorsque la valeur correspondante est définie.

Voici le flux de travail correspondant :

  • L'apparence d'un contrôle utilisateur est constituée d'objets standard, proposés par WPF.
  • Les propriétés et interactions sont programmées.
  • L'ensemble complet est compilé et présent sous la forme d'un ensemble .NET.

Cet ensemble peut également être utilisé pour les projets WPF. Pour cela, il doit être référencé (c'est-à-dire lié) dans l'Éditeur WPF (par exemple : Microsoft Expression Blend). Pour cela, sélectionnez l'ensemble dans la boîte de dialogue de sélection de fichiers zenon :

À compter de cet instant, les contrôles utilisateur WPF de l'ensemble en cours de développement peuvent être sélectionnés sous Custom user controls (Contrôles utilisateur personnalisés) et utilisés dans le projet WPF.

Ensembles référencés utilisés dans zenon

Pour utiliser un ensemble dans zenon, ce dernier doit être fourni sous forme de fichier.
Les fichiers collectifs au format .cdwpf gèrent les ensembles de manière indépendante ; aucune configuration ultérieure n'est nécessaire. Les ensembles doivent être ajoutés au dossier Fichiers pour les fichiers .xaml :

  • Cliquez sur Fichiers dans l'arborescence du projet.
  • Sélectionnez Autres.
  • Sélectionnez Ajouter fichier... dans le menu contextuel.
  • La boîte de dialogue de configuration s'ouvre.
  • Insérez l'ensemble souhaité.

Lors de l'affichage d'un fichier WPF dans l'élément WPF (éditeur et Runtime), les ensembles de ce dossier sont chargés. Cela permet également de garantir que lors du transfert de fichiers du Runtime à l'aide du module de Transport à distance, tous les ensembles référencés sont présents sur l'ordinateur cible.

Un fichier collectif (.cdwpf) peut se trouver dans le même répertoire qu'un fichier XAML portant le même nom. Tous les ensembles (*.dll) provenant de tous les fichiers collectifs et du dossier Other (Autres) sont copiés vers le dossier de travail. Seule la version la plus élevée du fichier est utilisée, si plusieurs ensembles portent le même nom.

attention Attention

Les ensembles sont uniquement supprimés une fois le chargement terminé, lors de la fermeture de l'application. Ce qui signifie :

Si un fichier WPF contenant un ensemble référencé dans zenon est affiché, cet ensemble reste chargé en mémoire jusqu'à la fermeture de zenon, même si le synoptique est refermé. Si vous souhaitez supprimer un ensemble du dossier Fichiers/Autres, vous devez d'abord redémarrer l'éditeur, afin que l'ensemble soit supprimé.

Gestion multi-projets

Dans la gestion multi-projets, le même ensemble doit être utilisé dans tous les projets. Si un ensemble est remplacé par une autre version dans un projet, il doit également être remplacé dans tous les autres projets chargés dans l'Éditeur ou le Runtime.


Association d'un objet zenon à un contenu WPF

Manuels -> Contrôles -> Élément WPF -> Notions fondamentales -> Association d'un objet zenon à un contenu WPF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les objets de zenon peuvent être associés à des contenus WPF à l'aide du nom de l'objet WPF. Dans ce cas de figure, tenez compte des aspects suivants :

Les objets visuels ne comportent pas de propriété RuntimeNamePropertyAttribute. Par conséquent, lorsque le contenu WPF est chargé et créé, l'information supplémentaire nom n'est pas disponible.

Il est donc impossible d'associer clairement des objets zenon aux objets WPF. Par conséquent, seuls des objets logiques apparaissent dans la boîte de dialogue de configuration de zenon. La disponibilité des objets WPF pour la propriété RuntimeNamePropertyAttribute est visible dans MSDN, ou sur le site Web de Microsoft.

Solution

Néanmoins, les contournements suivants existent pour animer les objets visuels.

Pour les éléments visuels, la propriété animable est liée à la propriété textuelle d'une zone de texte invisible durant la connexion de données.

La zone de texte, en tant qu'objet logique, est compatible avec la propriété nom ; celle-ci est donc affichée dans zenon.

La propriété de la zone de texte peut également être animée avec zenon.

Par conséquent, cet objet visuel est également animé, de manière indirecte.


Flux de travail

Manuels -> Contrôles -> Élément WPF -> Notions fondamentales -> Flux de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La technologie WPF/XAML permet de créer de nouveaux flux de travail dans la visualisation de procédés. La séparation des aspects de conception graphique et de gestion des fonctionnalités garantit une séparation nette des rôles des planificateurs de projets et des concepteurs graphiques ; les tâches de conception graphique peuvent être facilement exécutées à l'aide d'éléments graphiques existants, que le planificateur de projets n'aura plus besoin de modifier.

Les personnes suivantes sont impliquées dans le flux de travail de création d'éléments WPF dans zenon :

  • Concepteur graphique
    • Illustre des éléments
    • Veille à la conception des éléments graphiques dans MS Expression Design
  • Opérateur MS Expression Blend
    • Anime les éléments
    • Crée des variables destinées à l'animation d'éléments WPF dans zenon, auxquelles les planificateurs de projet ont accès
  • Planificateur de projet
    • Intègre les éléments dans zenon :
    • Mémorise les éléments logiques et les fonctionnalités

Nous effectuons la distinction suivante :

  • Flux de travail avec Microsoft Expression Blend
  • Flux de travail avec Adobe Illustrator

Autres sujets abordés dans ce chapitre

Flux de travail avec Microsoft Expression Blend

Flux de travail avec Adobe Illustrator


Flux de travail avec Microsoft Expression Blend

Manuels -> Contrôles -> Élément WPF -> Notions fondamentales -> Flux de travail -> Flux de travail avec Microsoft Expression Blend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'utilisation de Microsoft Expression Blend, un élément WPF est créé en quatre étapes :

  1. Illustration d'éléments dans MS Expression Blend
  2. Ouvrez l'élément dans MS Expression Design et exportez-le au format WPF
  3. Animation dans MS Expression Blend
  4. Intégration dans zenon

Vous trouverez un exemple de création d'éléments WPF dans Microsoft Expression Blend au chapitre Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend.


Flux de travail avec Adobe Illustrator

Manuels -> Contrôles -> Élément WPF -> Notions fondamentales -> Flux de travail -> Flux de travail avec Adobe Illustrator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le flux de travail suivant, créé autour des processus de conception graphique dans Adobe Illustrator, est disponible :

  1. Illustration d'éléments dans Adobe Illustrator
  2. Importation de fichiers .ai et préparation dans MS Expression Design
  3. Exportation au format WPF depuis MS Expression Design
  4. Animation dans MS Expression Blend
  5. Intégration dans zenon

Un exemple de création est fourni au chapitre Flux de travail avec Adobe Illustrator.


Manuel du concepteur

Manuels -> Contrôles -> Élément WPF -> Manuel du concepteur

Cette section décrit la création de fichiers WPF dans Microsoft Expression Blend et Adobe Illustrator. Les didacticiels relatifs à la création d'un élément Bouton et d'un élément bargraphe décrivent la procédure de création, en quelques étapes, de fichiers WPF entièrement fonctionnels pour zenon à partir d'éléments graphiques existants.

Les outils suivants ont été utilisés à cette fin :

  • Adobe Illustrator CS3 (AI)
  • Microsoft Expression Design 4 (ED)
  • Microsoft Expression Blend 4 (EB)
  • zenon 6.51

info Info

Si des objets référencés (ensembles) sont utilisés dans WPF, notez les instructions fournies au chapitre Objets référencés.

Autres sujets abordés dans ce chapitre

Flux de travail avec Microsoft Expression Blend

Flux de travail avec Adobe Illustrator


Flux de travail avec Microsoft Expression Blend

Manuels -> Contrôles -> Élément WPF -> Manuel du concepteur -> Flux de travail avec Microsoft Expression Blend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec Microsoft Expression Blend, un élément WPF :

  • est illustré
  • est converti en élément WPF dans MS Expression Design
  • est animé

L'exemple suivant représente l'illustration et la conversion d'un élément bouton en fichier XAML.

Remarque : Une version de test de Microsoft Expression Blend peut être téléchargée depuis le site Web de Microsoft.

Autres sujets abordés dans ce chapitre

Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend


Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend

Manuels -> Contrôles -> Élément WPF -> Manuel du concepteur -> Flux de travail avec Microsoft Expression Blend -> Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Créez le bouton

  1. Démarrez Expression Blend.
  2. Sélectionnez l'option New Project (Nouveau projet).

  3. Sélectionnez le type de projet WPF.
  4. Attribuez-lui le chemin et le nom de votre choix (MyBlendProject, par exemple)

    Vous pouvez ignorer les paramètres Language (Langue) et Version, car aucune fonctionnalité ne sera programmée.

  5. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, Microsoft Blend crée un nouveau projet avec les paramètres choisis. Expression Blend ajoute un fichier XAML vide, qui contient déjà une référence de classe.
  6. Supprimez le fichier CS associé au fichier XAML à l'aide du menu contextuel.
  7. Renommez le fichier XAML MainControl.xaml en MyButton.xaml.
  8. La taille de développement par défaut du projet est définie sur 640 x 480 pixels et doit encore être modifiée :
    1. Sélectionnez la vue XAML.
    2. Sélectionnez une taille de 100 x 100 pixels.
    3. Supprimez la référence de classe x:Class="MyBlendProject.MyButton"

  9. Sélectionnez la vue Design (Apparence).

  10. Ajoutez un bouton à l'aide de la barre d'outils.
  11. Définissez les propriétés.
    • Width (Largeur) : 50
    • Height (Hauteur) : 50
    • Margins (Marges) : 25

    Le bouton se trouve donc au centre du contrôle.

  12. Enregistrez les modifications et ouvrez le fichier dans Internet Explorer pour l'inspecter. Vous verrez que le bouton est affiché à la taille de 50 x 50 pixels.

Rendez le bouton redimensionnable

Si vous intégrez cet état à zenon, le bouton possédera toujours précisément une taille de 50 x 50 pixels. Le bouton peut être mis en œuvre sous la forme d'un bouton pouvant être redimensionné ; basculez à nouveau vers Expression Blend :

  1. Sélectionnez le bouton dans l'arborescence.
  2. Sélectionnez l'option Group Into -> ViewBox (Regrouper sous -> ViewBox) dans le menu contextuel.
  3. Le bouton est inséré dans une ViewBox.
  4. Définissez les propriétés de l'élément Viewbox
    • Largeur : Auto
    • Hauteur : Auto
  5. Enregistrez le fichier.

  6. Si vous ouvrez maintenant le fichier dans Internet Explorer, le bouton est automatiquement redimensionné lorsque vous modifiez la taille de la fenêtre IE. Ce fichier s'adaptera désormais automatiquement aux modifications de la taille de l'élément WPF dans zenon.

Changez le nom de l'élément

Avant de pouvoir intégrer le fichier dans zenon, vous devez nommer l'élément WPF. Les éléments WPF ne sont pas nommés dans Expression Blend, et sont identifiés par des crochets et leur type. Le contenu de zenon est associé au contenu WPF via le nom des éléments WPF :

  • dans l'arborescence, modifiez le nom
    • du bouton en MyButton
    • de la ViewBox en MyViewBox

Ce bouton peut maintenant être intégré dans zenon sous forme de fichier XAML.


Flux de travail avec Adobe Illustrator

Manuels -> Contrôles -> Élément WPF -> Manuel du concepteur -> Flux de travail avec Adobe Illustrator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsque Adobe Illustrator est utilisé, un élément WPF :

  • est illustré dans Adobe Illustrator
  • est converti en élément WPF dans MS Expression Design
  • est animé dans MS Expression Blend

L'exemple suivant représente l'illustration et la conversion d'un élément bargraphe en fichier XAML.

Autres sujets abordés dans ce chapitre

Illustration de bargraphe

Exportation au format WPF

Animation dans Blend


Illustration de bargraphe

Manuels -> Contrôles -> Élément WPF -> Manuel du concepteur -> Flux de travail avec Adobe Illustrator -> Illustration de bargraphe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un bargraphe peut être créé dans Adobe Illustrator.

  1. AI : élément de départ du bargraphe

    Illustré dans Adobe Illustrator CS3.

  2. AI : vue du chemin du bargraphe dans Adobe Illustrator

    • Tous les effets doivent être convertis (Objet -> Convert appearance (Convertir apparence))
    • Toutes les lignes sont transformées en chemins (Objet -> Chemin -> Contour line (Contour))
    • N'utilisez pas de filtres tels que les ombres, les flous etc.

Remarques concernant la compatibilité

Les illustrations créées avec Adobe Illustrator sont en principes adaptées à l'exportation au format WPF. Toutefois, tous les effets d'Illustrator ne deviennent pas les effets correspondants dans Expression Design ou Blend. Remarque :

Effets

Description

Masques d'écrêtage

Les masques d'écrêtage créés dans Adobe Illustrator ne sont pas correctement interprétés par Expression Design. Ils sont habituellement affichés sous forme de zones de couleur noire dans Blend.

Nous vous recommandons de créer des illustrations sans masques d'écrêtage.

Filtres et effets

Tous les filtres d'Adobe Illustrator ne sont pas correctement transférés vers Expression Design : les filtres de flou, les filtres d'ombre et les effets d'angle d'Illustrator ne fonctionnent pas dans Expression Design.

Solution :

  • La plupart des effets peuvent être convertis afin d'être correctement lus par Expression Design à l'aide de la commande Objet -> Convert appearance [Convertir l'apparence] dans Adobe Illustrator.
  • Les effets d'angle d'Adobe Illustrator sont correctement interprétés par MS Design s'ils sont convertis en chemins sous AI.

Zones de texte

Pour pouvoir lier des champs de texte à du code, vous devez créer ces derniers séparément, dans Expression Blend. Des "intitulés" sont nécessaires pour les textes dynamiques ; de simples champs de texte sont suffisants pour les informations statiques.

Il n'est pas possible de créer des intitulés de texte dans MS Design. Ceux-ci doivent être créés directement dans MS Blend.

Transparences et transparences de groupe

Dans Adobe Illustrator, certaines difficultés peuvent être liées à l'interprétation correcte des paramètres de transparence, plus particulièrement en ce qui concerne les paramètres de transparence de groupe.

Toutefois, MS Expression Blend et MS Expression Design offrent la possibilité de créer de nouveaux paramètres de transparence.

Multiplication des niveaux

Les paramètres de niveau d'Adobe Illustrator ne sont pas toujours correctement restitués par MS Expression Blend.

Toutefois, il est possible de multiplier les niveaux directement dans Expression Design.

Instruments à aiguille et positions standard

Pour optimiser les éléments graphiques pour l'animation, les instruments à aiguilles et les réglettes doivent toujours être réglés en position de départ, généralement 0 ou 12:00 heures.

Ainsi, les paramètres de position des rotations et autres seront également corrects dans Blend, et une animation pourra être mise en œuvre sans nécessiter de conversion des données de position.


Exportation au format WPF

Manuels -> Contrôles -> Élément WPF -> Manuel du concepteur -> Flux de travail avec Adobe Illustrator -> Exportation au format WPF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fichiers WPF sont indispensables à l'animation dans Microsoft Expression Blend. Nous recommandons d'utiliser Microsoft Expression Design aux fins de cette procédure d'exportation, car ce logiciel fournit de bons résultats et interprète correctement la plupart des effets de Adobe Illustrator.

Remarque : un plug-in gratuit est disponible sur Internet, permettant d'exporter directement des fichiers WPF depuis Adobe Illustrator. Ce plug-in fournit une manière rapide et simple d'exporter des données depuis Illustrator ; toutefois, il est moins adapté à cette application, dans la mesure où il induit des pertes graphiques. Il est même possible que des différences de couleur par rapport au document original soient visibles.

Les fichiers au format .ai peuvent être importés normalement dans Expression Design ; les chemins d'accès sont conservés durant la procédure.
Attention : certains effets de Adobe Illustrator ne peuvent toutefois pas être correctement affichés par Expression Design (reportez-vous au chapitre Illustration).

L'exportation de l'élément bargraphe préalablement créé se déroule en 5 étapes :

  1. ED : Importation
    • Importez le fichier Illustrator préparé dans Microsoft Expression Design en sélectionnant Fichier -> Importer.
  2. ED : Optimisation

    • Si le fichier de départ ne s'affiche pas correctement dans MS Expression Design, il peut encore être édité et optimisé ici.
  3. ED : Sélection

    • Sélectionnez l'élément requis pour l'exportation au format WPF en cliquant sur la flèche Sélection directe dans MS Expression Design ; dans ce cas, il s'agit de l'horloge entière.
  4. ED : démarrer l'exportation

    • Démarrez l'exportation en sélectionnant Fichier -> Exporter.
    • La boîte de dialogue de configuration des paramètres d'exportation s'affiche à l'écran.
  5. ED : Export settings (Exporter les paramètres)

    • Saisissez les paramètres d'exportation suivants :
    1. Format : XAML Silverlight 4 / WPF Canvas

      Toujours nommer les objets : cochez la case correspondant à cette option.

      Placer les objets groupés dans un conteneur de disposition XAML : cochez la case correspondant à cette option.

    2. Texte : bloc de texte éditable
    3. Effets de ligne : rastériser tout

Le fichier exporté comporte l'extension de fichier .xaml. Il sera préparé et animé dans MS Expression Blend à l'étape suivante.


Animation dans Blend

Manuels -> Contrôles -> Élément WPF -> Manuel du concepteur -> Flux de travail avec Adobe Illustrator -> Animation dans Blend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec MS Expression Blend :

  • Les fichiers statiques XAML de MS Expression Design sont animés.
  • Les variables de contrôle des effets pouvant être actionnées par zenon sont créées.

En treize étapes, la procédure suivante permet d'évoluer d'un fichier statique XAML à un élément animé, pouvant être intégré dans zenon.

  1. EB : créer un projet

    1. Ouvrez Microsoft Expression Blend.
    2. Créer un nouveau projet
    3. Sélectionnez le Type de projet WPF-> Bibliothèque de contrôles WPF.
    4. Spécifiez un nom (dans ce didacticiel : Mon_projet).
    5. Sélectionnez l'emplacement auquel il sera enregistré.
    6. Sélectionnez un langage (dans ce didacticiel : C#)
    7. Sélectionnez Framework Version 3.5.
  2. EB : supprimer MainControl.xaml.cs

    1. Accédez à MainControl.xaml.cs.
    2. Supprimez ce fichier en sélectionnant l'option Supprimer du menu contextuel.
  3. EB : ouvrir le fichier XAML exporté

    1. Ouvrez le menu contextuel de Mon_projet en cliquant sur celui-ci avec le bouton droit.
    2. Sélectionnez Add existing element... (Ajouter un élément existant).
    3. Sélectionnez le fichier XAML exporté depuis Microsoft Expression Design pour ouvrir celui-ci dans Microsoft Expression Blend.
  4. EB : ouvrir MainControl.xaml

    1. Ouvrir le fichier MainControl.xaml créé automatiquement.
    2. Dans la zone Objects and Time axes (Objets et axes de temps), accédez à l'entrée UserControl.
  5. EB : adapter le code XAML

    1. Cliquez sur UserControl avec le bouton droit de la souris.
    2. Sélectionnez Display XAML (Afficher XAML) dans le menu contextuel.
    3. Supprimer les lignes 7 et 9 dans le code XAML :

      x:Class="Mon_projet.MainControl"

      d:DesignWidth="640" d:DesignHeight="480"

  6. EB : vérifier le code XAML

    • Le code XAML doit maintenant se présenter comme ceci :

    <UserControl

    xmlns=http://schemas.microsoft.com/winfx/2006/xaml/presentation
    xmlns:x=http://schemas.microsoft.com/winfx/2006/xaml
    xmlns:d=http://schemas.microsoft.com/expression/blend/2008
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    mc:Ignorable="d"
    x:Name="UserControl">

    <Grid x:Name="LayoutRoot"/>

    </UserControl>

  7. EB : copier les éléments

    1. Ouvrez le fichier XAML importé depuis Expression Design.
    2. Sélectionnez tous les éléments.
    3. Sélectionnez Supprimer dans le menu contextuel.
    4. Revenez au fichier XAML généré automatiquement.
  8. EB : insérer les éléments

    1. Cliquez sur LayoutRoot avec le bouton droit de la souris.
    2. Sélectionnez Insérer.
  9. EB : adapter le type de disposition

    1. Cliquez sur LayoutRoot -> Modifier le type de disposition -> Viewbox avec le bouton droit de la souris.
    2. La structure doit maintenant se présenter comme ceci : UserControl -> LayoutRoot -> Grille -> Éléments
    3. Spécifiez un nom pour LayoutRoot et Grille en double-cliquant sur les noms.
  10. EB : textes et valeurs

    • Les textes dynamiques et statiques comportent des intitulés sous forme de champs de texte.
    • Des valeurs (numériques) sont fournies avec les intitulés.
  11. EB : insérer les intitulés

    • Les intitulés remplacent les nombres qui doivent être liés ultérieurement à l'aide de variables INT (cette opération doit être effectuée pour tous les éléments numériques)
  12. EB : définir les propriétés

    • Pour un affichage à 100 %, définir la propriété de l'élément de bargraphe MaxHeight sur 341 (la hauteur maximale de l'élément indicateur est 340).
  13. EB : préparer l'utilisation dans zenon

    1. Supprimez tous les intitulés (des noms peuvent uniquement être fournis pour les éléments devant être actionnés via zenon).
    2. Enregistrez le fichier XAML sous le nom de votre choix.
    3. Intégrez le fichier XAML à zenon.

Astuce pour la vérification : si le fichier XAML s'affiche sans difficulté dans Microsoft Internet Explorer et la taille de la fenêtre d'Internet Explorer s'adapte au fichier, il s'affichera correctement dans zenon.


Développement dans zenon

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser WPF avec zenon, vous devez installer Microsoft Framework 3.5 sur l'ordinateur sur lequel est installé l'Éditeur et sur le Runtime.

Conditions applicables à l'affichage d'éléments WPF dans zenon

L'animation est actuellement indisponible pour les variables simples ; les tableaux et les structures ne peuvent pas être animées. Par conséquent, les fonctions WPF suivantes peuvent être mises en œuvre dans zenon :

  • Les propriétés d'éléments correspondant à des types de données simples, tels que String (Chaîne), Int (Entier), Bool (Booléen) etc.
  • Les propriétés d'éléments du type Objet, qui peuvent être définis avec des types de données simples.
  • Les événements d'éléments peuvent être utilisés avec des fonctions ; les paramètres des événements ne sont toutefois pas disponibles et ne peuvent pas être évalués dans zenon
  • La transformation d'éléments pour lesquels une fonction de transformation de rendu est présente dans le fichier XAML.

    Attention : si le contenu est situé hors de la zone de l'élément WPF durant la transformation, cette partie du contenu est perdue ou ne comporte pas d'intitulé.

Remarques concernant dBase : Aucune ombre ne peut être affichée pour les éléments WPF dans zenon.

attention Attention

Si les fichiers du Runtime ont été créés pour un projet destiné aux versions antérieures à la version 6.50, les éléments WPF existants ne sont pas inclus dans les synoptiques du Runtime.

Créer un élément WPF

Pour créer un élément WPF

  1. Dans la barre d'outils Éléments, sélectionnez le symbole de l'élément WPF ou l'option Éléments du menu.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément avec la souris.
  4. Dans les propriétés, sélectionnez la propriété Affichage du groupe Fichier XAML.
  5. La boîte de dialogue de sélection de fichiers s'ouvre.
  6. Sélectionnez le fichier souhaité.
    Les formats de fichier suivants sont valides :
    • *.xaml: Extensible Application Markup Language
    • *.cdwpf: fichier collectif WPF, affiche également un aperçu

    (Le fichier doit également être présent dans le Gestionnaire de projet, sous Fichiers/Éléments graphiques, ou il doit avoir été créé dans la boîte de dialogue.)

  7. Configurez le lien

info Info

Si des objets référencés (ensembles) sont utilisés dans WPF, notez les instructions fournies au chapitre Objets référencés.

Fichiers CDWPF (fichiers collectifs)

Règles d'utilisation des fichiers collectifs :

  • Les fichiers peuvent se trouver directement dans le fichier ZIP, ou dans un dossier associé.
  • Le nom du fichier XAML doit correspondre aux noms définis dans le fichier collectif.
  • Un seul fichier XAML peut être présent à la fois.
  • L'aperçu graphique doit être de petite taille, et ne pas mesurer plus de 64 pixels en hauteur.
    Nom du fichier d'aperçu : preview.png ou le nom du fichier XAML suivi du suffixe png.
  • Vous pouvez utiliser autant d'ensembles que vous le souhaitez. La distinction est établie sur la base de la version du fichier dans sa forme numérique.
  • Il n'est pas nécessaire que les fichiers collectifs contiennent un ensemble.
  • Tous les dossiers sont analysés, et seuls les fichiers *.dll, *.xaml et *.png sont pris en compte.
  • Si un fichier collectif (.cdwpf) est remplacé par une autre version du fichier, il est nécessaire d'adapter tous les fichiers CDWPF correspondants dans tous les symboles et images utilisés dans les projets chargés dans l'Éditeur ou le Runtime.

Affichage sous Windows Vista/Windows 7

Si un synoptique de type WPF contient une réglette et les effets Aero sont utilisés sous Windows Vista ou Windows 7, cela peut entraîner des problèmes d'actualisation dans l'Éditeur de zenon.

Autres sujets abordés dans ce chapitre

Configuration de liens

Validité des fichiers XAML

Éléments prédéfinis

Exemples : Intégration de WPF dans zenon

Traitement des erreurs


Configuration de liens

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Configuration de liens

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer un élément WPF

  1. Dans les propriétés, sélectionnez la propriété Configuration du groupe Affichage.
  2. Une boîte de dialogue comportant trois onglets s'affiche, et propose un aperçu du fichier XAML et des éléments présents dans le fichier

    .

Paramètre

Description

Éléments disponibles

Affiche les éléments de fichier nommés sous forme d'arborescence. L'élément sélectionné peut être liée aux données de procédés.

WPF est attribué aux données de procédé reposant sur le nom d'élément. Par conséquent, les éléments sont uniquement affichés si ces éléments et les éléments attenants possèdent un nom. Les attributions sont configurées et représentées dans les onglets Propriétés, Événements et Transformation.

Aperçu

L'élément sélectionné clignote dans l'aperçu.

Propriétés

Configuration et affichage des propriétés (variables, autorisations, verrouillages, valeurs liées).

Événements

Configuration et affichage d'événements (fonctions).

Transformations

Configuration et affichage de transformations.

Nom

Nom de la propriété.

Lien

Sélection du lien.

Type de lien

Type de lien (variable, autorisation, fonction)

WPF info (Informations WPS)

Affiche la valeur actuelle des propriétés du contenu WPF. L'utilisateur peut directement visualiser le type de propriété dont il s'agit (valeur booléenne, chaîne, etc.).

Lien (Liée)

Indique si une propriété est actuellement utilisée.

Non présente dans la vue par défaut, mais peut être sélectionnée ouvrant le menu contextuel et en sélectionnant Colonne.

info Info

Seuls les objets logiques peuvent être affichés dans la boîte de dialogue de configuration. Les objets visuels ne sont pas affichés. Vous pouvez en apprendre davantage sur les arrière-plans et l'animation des objets visuels au chapitre Association d'un objet zenon à un contenu WPF.

Autres sujets abordés dans ce chapitre

Propriétés

Événements

Transformation


Propriétés

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Configuration de liens -> Propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les propriétés permettent de lier les éléments suivants :

  • Variables
  • Valeurs
  • Autorisations et verrouillages

Paramètre |  | Description
Nom | Nom de la propriété.
Lien | Variable liée, autorisation ou valeur liée. Cliquez sur la colonne pour ouvrir la boîte de dialogue de sélection correspondante, en fonction de l'entrée dans la colonne Link type (Type de lien).
Type de lien | Sélection du lien.
WPF info (Informations WPS) | Affiche la valeur actuelle des propriétés du contenu WPF. L'utilisateur peut directement visualiser le type de propriété dont il s'agit (valeur booléenne, chaîne, etc.).
Lien (Liée) | Indique si une propriété est actuellement utilisée. Non présente dans la vue par défaut, mais peut être sélectionnée ouvrant le menu contextuel et en sélectionnant Colonne.

Créez un lien

Pour créer un lien :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Link type (Type de lien).
  3. Sélectionnez le lien de votre choix dans la liste déroulante.

    Les choix disponibles sont les suivants :

    • <Non lié> (supprime un lien existant)
    • Autorisation/verrouillage
    • Variable
    • Liaison de valeurs
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration du lien souhaité s'affiche à l'écran.

info Info

Les propriétés de WPF et de zenon peuvent être différentes. Si, par exemple, la propriété Visibilité est liée, trois valeurs sont disponibles dans .NET :

0 - visible

1 - invisible

2 - minimisé

Ces valeurs doivent être affichées via la variable liée de zenon.

Autres sujets abordés dans ce chapitre

Lier une variable

Valeurs du lien

Autorisation de liens ou de verrouillages


Lier une variable

Lier une variable

Pour lier une valeur avec une propriété WPF :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Link type (Type de lien).
  3. Sélectionnez Variable dans la liste déroulante.
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration des variables s'affiche à l'écran.

Cette boîte de dialogue s'applique également à la sélection de variables pour les transformations. La configuration permet également d'effectuer des conversions en unités WPF depuis zenon.

Paramètre

Description

Variable liée

Sélection de la variable à lier. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Plage de valeurs de l'élément WPF

Données de conversion des valeurs de la variable en valeurs WPF.

Convertir plage de valeurs

Actif : La conversion des unités WPF est activée.

Effet sur le Runtime : la valeur zenon actuelle (y compris l'unité zenon) est convertie en valeur de la plage WPF en fonction des valeurs minimum et maximum normalisées.

Par exemple : la valeur d'une variable varie de 100 à 200. Avec les variables, la plage normalisée est définie sur 100 à 200. L'objectif consiste à représenter cette modification de la valeur à l'aide d'un bouton rotatif WPF. Par conséquent :

  • Pour les transformations, la propriété RotateTransform.Angle est liée aux variables
  • L'option Modifier la valeur est activée
  • Une plage de valeurs WPF de 0 à 360 est configurée.

Maintenant, le bouton rotatif peut être réglé sur une valeur de 150, par exemple, de 180 degrés.

Minimum

Définit la valeur WPF la moins élevée.

Maximum

Définit la valeur WPF la plus élevée.

OK

Accepte les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Valeurs du lien

Valeurs du lien

Les valeurs liées peuvent être une chaîne ou une valeur numérique de type double. Lors de la sélection du synoptique, la valeur sélectionnée est transmise au contenu WPF après le chargement du contenu WPF.

attention Attention

Il n'est pas indispensable que le type de données de la propriété WPF soit double ou chaîne. Toutefois, seules les valeurs de type chaîne ou double sont transmises par zenon. Ces dernières doivent être converties au format .NET sur la page WPF. Pour plus de détails, reportez-vous au chapitre Transfert de valeurs de zenon à WPF.

Pour lier une valeur avec une propriété WPF :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Link type (Type de lien).
  3. Sélectionnez Liaisons de valeurs dans la liste déroulante.
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration des liens de valeurs s'ouvre.

Paramètre

Description

Linked value (Valeur liée) :

Saisissez une valeur numérique ou une valeur de type chaîne.

Use string (Utiliser la chaîne)

Actif : une valeur de type chaîne est utilisée à la place d'une valeur numérique.

La langue des valeurs de type chaîne peut être modifiée. Le texte est traduit dans le Runtime lors de l'appel du synoptique et de sa transmission au contenu WPF. Si la langue est modifiée pendant que le synoptique est ouvert, la valeur de la chaîne est retraduite et transmise.

Valeur de type chaîne/valeur numérique

En fonction des paramètres sélectionnés pour la propriété Use string (Utiliser la chaîne), une valeur numérique ou une valeur de type chaîne est saisie dans ce champ. Pour les valeurs numériques, une unité peut également être sélectionnée.

Unité :

Sélection d'une unité dans la liste déroulante. Vous devez avoir préalablement configuré cet aspect dans la fonction de basculement d'unités.

L'unité est attribuée avec la valeur numérique. Si les unités sont basculées dans le Runtime, la valeur est convertie dans la nouvelle unité et transmise au contenu WPF.

OK

Accepte les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Autorisation de liens ou de verrouillages

Autorisation de liens ou de verrouillages

Des autorisations ne peuvent pas être accordées pour l'ensemble de l'élément WPF. L'élément est attribué à un niveau d'utilisateur. Les autorisations sont accordées au sein du niveau utilisateur pour les contrôles individuels. Si une autorisation est active, la valeur 1 est écrite dans l'élément.

Pour lier une autorisation ou un verrouillage à une propriété WPF :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Link type (Type de lien).
  3. Sélectionnez Authorization/interlocking (Autorisation/verrouillage) dans le menu déroulant.
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration des autorisations s'affiche à l'écran.

Paramètre | Description
Autorisation du lien/verrouillage | Configuration des autorisations.
Linked status (État lié) | Sélection d'une autorisation liée à un contrôle WPF dans la liste déroulante. Par exemple, la visibilité et le fonctionnement d'un bouton WPF peuvent dépendre de l'état d'un utilisateur.

Autorisation | Description
Autorisation disponible | Si l'utilisateur dispose de droits suffisants pour actionner l'élément WPF, une valeur de 1 est écrite dans la propriété.
Pas d'autorisation | Si l'utilisateur ne dispose pas de droits suffisants pour actionner l'élément WPF, une valeur de 1 est écrite dans la propriété.
non verrouillé | Si l'élément n'est pas verrouillé, la valeur 1 est écrite dans la propriété.
verrouillé | Si l'élément est verrouillé, la valeur 1 est écrite dans la propriété.
action autorisée | Si l'autorisation est présente et l'élément n'est pas verrouillé, une valeur de 1 est écrite dans la propriété.
ne peut pas être utilisé | Si l'autorisation n'est pas présente ou l'élément n'est pas verrouillé, une valeur de 1 est écrite dans la propriété.


Événements

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Configuration de liens -> Événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les événements permettent de lier des fonctions de zenon à un élément WPF.

Paramètre |  | Description
Nom | Nom de la propriété.
Lien | Fonction liée. Cliquez sur la cellule pour ouvrir la boîte de dialogue.
Type de lien | Sélection du lien. Cliquez sur la cellule pour ouvrir la boîte de dialogue de sélection.
WPF info (Informations WPS) | Affiche la valeur actuelle des propriétés du contenu WPF. L'utilisateur peut directement visualiser le type de propriété dont il s'agit (valeur booléenne, chaîne, etc.).
Lien (Liée) | Indique si une propriété est actuellement utilisée. Non présente dans la vue par défaut, mais peut être sélectionnée ouvrant le menu contextuel et en sélectionnant Colonne.

Fonctions de lien

Pour créer un lien :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Link type (Type de lien).
  3. Sélectionnez la fonction dans la liste déroulante.
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration de la fonction s'affiche à l'écran.

Paramètre |  | Description
Fonction liée | Sélectionnez les fonctions à lier. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.
OK | Accepte la sélection et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Transformation

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Configuration de liens -> Transformation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'élément WPF ne prend pas en charge la rotation. Par exemple, si l'élément WPF se trouve dans un symbole et ce symbole subit une rotation, l'élément WPF ne pivotera pas avec le symbole. Par conséquent, il existe un autre mécanisme de Transformation dans WPF permettant de faire pivoter les éléments ou de les transformer autrement. Ces transformations sont configurées dans l'onglet Transformation.

Attention : si le contenu se trouve hors de la zone de l'élément WPF, cette partie du contenue est perdue (c'est-à-dire qu'elle n'est pas affichée).

Paramètres

Description

Nom

Nom de la propriété.

Lien

Sélection des variables liées.

Les transformations sont affichées en langage XAML sous forme d'objets de transformation possédant des propriétés propres. Si un élément est compatible avec une transformation, les propriétés possibles de l'objet de transformation sont affichées dans la liste (pour plus d'informations à ce sujet : Intégration d'un bouton sous forme d'élément WPF XAML dans zenon

Par exemple, si la variable liée est définie à une valeur de 10, cette valeur est écrite sous forme de cible WPF, et l'élément WPF est pivoté de 10°.

Type de lien

Sélection du type de lien de transformation.

WPF info (Informations WPS)

Affiche la valeur actuelle des propriétés du contenu WPF. L'utilisateur peut directement visualiser le type de propriété dont il s'agit (valeur booléenne, chaîne, etc.).

Lien (Liée)

Indique si une propriété est actuellement utilisée.

Non présente dans la vue par défaut, mais peut être sélectionnée ouvrant le menu contextuel et en sélectionnant Colonne.

Liez les transformations

Pour lier une transformation avec une propriété WPF :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Link type (Type de lien).
  3. Sélectionnez Transformation dans la liste déroulante.
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration des variables s'affiche à l'écran.

La configuration permet également d'effectuer des conversions en unités WPF depuis zenon.

Paramètre

Description

Variable liée

Sélection de la variable à lier. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Plage de valeurs de l'élément WPF

Données de conversion des valeurs de la variable en valeurs WPF.

Convertir plage de valeurs

Actif : La conversion des unités WPF est activée.

Effet sur le Runtime : la valeur zenon actuelle (y compris l'unité zenon) est convertie en valeur de la plage WPF en fonction des valeurs minimum et maximum normalisées.

Par exemple : la valeur d'une variable varie de 100 à 200. Avec les variables, la plage normalisée est définie sur 100 à 200. L'objectif consiste à représenter cette modification de la valeur à l'aide d'un bouton rotatif WPF. Par conséquent :

  • Pour les transformations, la propriété RotateTransform.Angle est liée aux variables
  • L'option Modifier la valeur est activée
  • Une plage de valeurs WPF de 0 à 360 est configurée.

Maintenant, le bouton rotatif peut être réglé sur une valeur de 150, par exemple, de 180 degrés.

Minimum

Définit la valeur WPF la moins élevée.

Maximum

Définit la valeur WPF la plus élevée.

OK

Accepte les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Validité des fichiers XAML

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Validité des fichiers XAML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La validité des fichiers XAML est soumise à certaines exigences :

  • Espace de nommage correct
  • Absence de référence de classe
  • Capacité d'extension

Espace de nommage correct

L'élément WPF peut uniquement afficher un contenu WPF, c'est-à-dire :

seuls les fichiers XAML comportant un espace de nommage WPF de longueur correcte peuvent être affichés par l'élément WPF. Les fichiers utilisant un espace de nommage Silverlight ne peuvent être ni chargés, ni affichés. Toutefois, dans la plupart des cas, il suffit de convertir l'espace de nommage Silverlight en espace de nommage WPF.

Espace de nommage WPF :

xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

Absence d'utilisation de références de classe

Les fichiers XAML pouvant être chargés de façon dynamique, il est impossible d'utiliser des fichiers XAML contenant des références à de classes (clé "class" dans l'en-tête). Les fonctions programmées dans des fichiers C# créés indépendamment ne peuvent pas être utilisées.

Capacité d'extension

Si le contenu d'unélément WPF est ajusté à la taille de l'élément WPF, les commandes de l'élément WPF sont entrelacées dans une commande offrant cette fonctionnalité, à l'image d'une Viewbox, par exemple. En outre, il convient de veiller que les éléments hauteur et largeur soient configurés de manière automatique.

Vérification de la validité d'un fichier XAML

Pour s'assurer qu'un fichier XAML possède le format adéquat :

  • Ouvrez le fichier XAML dans Internet Explorer.
    • S'il peut être ouvert sans plug-ins supplémentaires (Java ou autres), on peut très facilement supposer que ce fichier peut être chargé et affiché par zenon.
    • Si un problème survient durant le chargement, celui-ci est affiché dans Internet Explorer et les lignes à l'origine du problème sont indiquées de manière claire.

La capacité d'extension peut également être testée de cette manière : Si le fichier a été correctement créé, le contenu sera automatiquement ajusté à la taille de la fenêtre Internet Explorer.

Message d'erreur

Si un fichier non valide est utilisé dans zenon, un message d'erreur est affiché dans la fenêtre de sortie lors du chargement du fichier dans l'élément WPF.

Par exemple :

"error when loading xaml-Datei:C:\ProgramData\COPA-DATA\SQL\781b1352-59d0-437e-a173-08563c3142e9\FILES\zenon\custom\media\UserControl1.xaml

The attribute "Class" cannot be found in XML namespace "http://schemas.microsoft.com/winfx/2006/xaml". Line 7 Position 2."


Éléments prédéfinis

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon comporte déjà plusieurs éléments WPF. D'autres sont en outre disponibles en téléchargement dans la boutique Web.

Tous les éléments WPF comportent des propriétés déterminant la conception graphique de l'élément correspondant (Dependency Properties). La configuration des valeurs par le biais d'un fichier XAML ou d'un lien avec la propriété par le biais de zenon peut modifier directement l'apparence dans le Runtime. Les tables suivantes contiennent les Dependency Properties, respectives, selon le contrôle choisi.

Éléments dynamiques

  • Affichage circulaire
  • Barre de progression
  • Bargraphe vertical
  • Commande de température
  • Horloge analogique
  • Réglette universelle

Remplacement d'un ensemble par une version plus récente

Pour chaque projet, un seul ensemble peut être utilisé pour un élément WPF, dans l'Éditeur comme dans le Runtime. Si deux versions d'un ensemble sont disponibles dans un projet, le premier fichier chargé est utilisé. L'utilisateur doit s'informer sur la version à utiliser. Aucune autre action n'est nécessaire pour assurer la maintenance des versions utilisées jusqu'à présent. Si une version plus récente est choisie, il est nécessaire d'adapter tous les fichiers CDWPF correspondants dans tous les symboles et images utilisés dans les projets chargés dans l'Éditeur ou le Runtime.

Remarque concernant la gestion multi-projet : Si un ensemble dans un projet est remplacé par une version plus récente, il doit également être remplacé dans tous les autres projets chargés dans l'Éditeur ou le Runtime.

Autres sujets abordés dans ce chapitre

Contrôle Indicateur circulaire

Barre de progression - ProgressBarControl

Bargraphe vertical - VerticalBargraphControl

Jauge de température - TemperatureIndicatorControl

Horloge analogique - AnalogClockControl

Réglette universelle - UniversalReglerControl


Contrôle Indicateur circulaire

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Contrôle Indicateur circulaire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Propriété

Fonction

Valeur

CurrentValue

Valeur actuelle à afficher.

Double

IsReversed

Orientation de l'échelle, horaire ou antihoraire

Booléen

ElementFontFamily

Police de caractères de l'élément.

Police

MinValue

Valeur minimum de l'échelle.

Double

MaxValue

Valeur maximum de l'échelle.

Double

ScaleRadius

Rayon de l'échelle.

Double

ScaleStartAngle

Angle auquel commence l'échelle.

Double

ScaleLabelRotationMode

Alignement de la légende de l'échelle.

Enum :

  • None (Aucune)
  • Automatique
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Section angulaire définissant la taille de l'échelle.

Double

ScaleLabelFontSize

Taille de la police de caractères de la légende de l'échelle.

Double

ScaleLabelColor

Couleur de la police de caractères de la légende de l'échelle.

Couleur

ScaleLabelRadius

Rayon suivant lequel est orientée la légende de l'échelle.

Double

ScaleValuePrecision

Précision de la légende de l'échelle.

Entier

PointerStyle

Forme du pointeur affichant la valeur.

Enum :

  • Flèche
  • Rectangle
  • TriangleCap
  • Pentagone
  • Triangle

MajorTickColor

Couleur des graduations principales sur l'échelle.

Couleur

MinorTickColor

Couleur des graduations secondaires sur l'échelle.

Couleur

MajorTickSize

Taille des graduations principales sur l'échelle.

Taille

MinorTickSize

Taille des graduations secondaires sur l'échelle.

Taille

MajorTicksCount

Nombre de graduations principales sur l'échelle.

Entier

MajorTicksShape

Forme/type des graduations principales sur l'échelle.

Enum :

  • Rectangle
  • Trapèze
  • Triangle

MinorTicksShape

Forme/type des graduations secondaires sur l'échelle.

Enum :

  • Rectangle
  • Trapèze
  • Triangle

MinorTicksCount

Nombre de graduations secondaires sur l'échelle.

Entier

PointerSize

Taille du pointeur.

Taille

PointerCapRadius

Taille du point d'attache du pointeur.

Double

PointerBorderBrush

Couleur de la bordure du pointeur.

Pinceau

PointerCapStyle

Forme/type du point d'attache du pointeur.

Enum :

  • BackCap
  • FrontCap
  • Vis

PointerCapBorderBrush

Couleur du point d'attache du pointeur.

Pinceau

PointerBrush

Couleur du pointeur.

Pinceau

GaugeBorderBrush

Couleur de la bordure de l'élément.

Pinceau

GaugeBackgroundBrush

Couleur de l'arrière-plan de l'élément.

Pinceau

PointerCapColorBrush

Couleur du point d'attache du pointeur.

Pinceau

GaugeMiddlePlate

Rayon de la plaque centrale de l'élément d'arrière-plan.

Double

PointerOffset

Décalage du pointeur (déplacement).

Double

RangeRadius

Rayon de l'affichage de la plage totale.

Double

RangeThickness

Épaisseur de l'affichage de la plage totale.

Double

RangeStartValue

Valeur de départ de l'affichage de la plage totale.

Double

Range1EndValue

Valeur de fin de la première plage et valeur de début de la deuxième plage.

Double

Range2EndValue

Valeur de fin de la deuxième plage et valeur de début de la troisième plage.

Double

Range3EndValue

Valeur de fin de la troisième plage et valeur de début de la quatrième plage.

Double

Range4EndValue

Valeur de fin de la quatrième plage et valeur de début de la cinquième plage.

Double

Range5EndValue

Valeur de fin de la cinquième plage et valeur de début de la sixième plage.

Double

Range6EndValue

Valeur de fin de la sixième plage.

Double

Range1ColorBrush

Couleur de la première plage.

Pinceau

Range2ColorBrush

Couleur de la deuxième plage.

Pinceau

Range3ColorBrush

Couleur de la troisième plage.

Pinceau

Range4ColorBrush

Couleur de la quatrième plage.

Pinceau

Range5ColorBrush

Couleur de la cinquième plage.

Pinceau

Range6ColorBrush

Couleur de la sixième plage.

Pinceau

ScaleOuterBorderBrush

Couleur de la bordure de l'échelle.

Pinceau

ScaleBackgroundBrush

Couleur de l'arrière-plan de l'échelle.

Pinceau

ValueTextFrameStyle

Forme/type d'affichage de la valeur.

Enum :

  • LargeFrame
  • SmallFrame
  • None (Aucune)

ValueTextContent

Contenu de l'affichage de la valeur.

Enum :

  • Texte
  • TextValue
  • Valeur

ValueTextSize

Taille de la police de l'affichage de la valeur.

Double

ValueTextColor

Taille de la police de l'affichage de la valeur.

Couleur

IsGlassReflection

Active l'effet vitré sur l'élément.

Booléen

GaugeOffset

Abaisse le point de rotation de l'ensemble de l'élément.

Double


Barre de progression - ProgressBarControl

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Barre de progression - ProgressBarControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Propriété | Fonction | Valeur
CurrentValue | Valeur actuelle à afficher. | Double
MinValue | Valeur minimum de la zone de valeurs. | Double
MaxValue | Valeur maximum de la zone de valeurs. | Double
ProgressbarDivisionCount | Nombre de divisions de la barre de progression. | Entier
VisibilityText | Visibilité de l'affichage de la valeur. | Booléen
TextSize | Taille de la police de l'affichage de la valeur. | Double
TextColor | Couleur de l'affichage de la valeur. | Couleur
ProgressBarBoxedColor | Couleur de la bordure de la barre de progression. | Couleur
ProgressBarMarginDistance | Distance de la boîte de dialogue de la barre de progression par rapport au bord de l'élément (gauche, haut, droite, bas). | Double
ProgressBarInactiveBrush | Couleur de l'indicateur inactive. | Pinceau
ProgressBarActiveBrush | Couleur de l'indicateur active. | Pinceau
ProgressBarPadding | Distance de la boîte de dialogue de la barre de progression par rapport à la boîte de dialogue de la barre de progression (gauche, haut, droite, bas). | Double
ElementBorderBrush | Couleur de la bordure de l'élément. | Pinceau
ElementBackgroundBrush | Couleur de l'arrière-plan de l'élément. | Pinceau


Bargraphe vertical - VerticalBargraphControl

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Bargraphe vertical - VerticalBargraphControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Propriété | Fonction | Valeur
CurrentValue | Valeur actuelle à afficher. | Double
MinValue | Valeur minimum de l'échelle. | Double
MaxValue | Valeur maximum de l'échelle. | Double
MajorTicksCount | Nombre de graduations principales sur l'échelle. | Entier
MinorTicksCount | Nombre de graduations secondaires sur l'échelle. | Entier
MajorTickColor | Couleur des graduations principales sur l'échelle. | Couleur
MinorTickColor | Couleur des graduations secondaires sur l'échelle. | Couleur
ElementBorderBrush | Couleur de la bordure de l'élément. | Pinceau
ElementBackgroundBrush | Couleur de l'arrière-plan de l'élément. | Pinceau
ElementGlassReflection | Active l'effet vitré sur l'élément. | Visibilité
ElementFontFamily | Police de caractères de l'élément. | Police
ScaleFontSize | Taille de la police de caractères de l'élément. | Double
ScaleFontColor | Couleur de la police de caractères de l'échelle. | Couleur
IndicatorBrush | Couleur de remplissage du bargraphe. | Pinceau
BargraphSeparation | Nombre de divisions du bargraphe. | Entier
BargraphSeparationColor | Couleur des divisions de l'échelle. | Couleur


Jauge de température - TemperatureIndicatorControl

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Jauge de température - TemperatureIndicatorControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Propriété

Fonction

Valeur

CurrentValue

Valeur actuelle à afficher.

Double

MinValue

Valeur minimum de l'échelle.

Double

MaxValue

Valeur maximum de l'échelle.

Double

MajorTicksCount

Nombre de graduations principales sur l'échelle.

Entier

MinorTicksCount

Nombre de graduations secondaires sur l'échelle.

Entier

TickNegativColor

Couleur des graduations négatives principales (dégradé de TickPositivColor).

Couleur

TickPositivColor

Couleur des graduations positives principales (dégradé de TickNegativColor).

Couleur

MinorTickColor

Couleur des graduations secondaires.

Couleur

ElementBorderBrush

Couleur de la bordure de l'élément.

Pinceau

ElementBackgroundBrush

Couleur de l'arrière-plan de l'élément.

Pinceau

ElementGlassReflection

Active l'effet vitré sur l'élément.

Visibilité

ElementFontFamily

Police de caractères de l'élément.

Police

IndicatorColor

Couleur de remplissage de la jauge.

Couleur

IndicatorBorderColor

Couleur de la bordure de la jauge.

Couleur

MajorTickSize

Taille des graduations principales sur l'échelle.

Taille

MinorTickSize

Taille des graduations secondaires sur l'échelle.

Taille

ScaleLetteringDistance

Distance de la légende de l'échelle (verticale) ; chaque xème graduation principale doit comporter une légende.

Entier

IndicatorScaleDistance

Distance entre la jauge et l'échelle (horizontale).

Double

ScaleFontSize

Taille de la police de caractères de l'élément.

Double

ScaleFontColor

Couleur de la police de caractères de l'échelle.

Couleur

Unité

Unité.

String

ElementStyle

Forme/type d'élément.

Enum :

  • SmallFrame
  • Unité
  • None (Aucune)


Horloge analogique - AnalogClockControl

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Horloge analogique - AnalogClockControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Propriété

Fonction

Valeur

ElementStyle

Forme/type d'élément.

Enum :

  • SmallNumbers
  • BigNumbers
  • Non

ElementBackgroundBrush

Couleur de l'arrière-plan de l'élément.

Pinceau

ElementGlassReflection

Active l'effet vitré sur l'élément.

Visibilité

Offset

Valeur en heures (h) affichant le décalage de temps par rapport à l'horloge système.

Int16

OriginText

Texte affiché sur l'horloge (par exemple, emplacement).

String


Réglette universelle - UniversalReglerControl

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Réglette universelle - UniversalReglerControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Propriété

Fonction

Valeur

CurrentValue

Valeur actuelle à afficher.

Double

ElementFontFamily

Police de caractères de l'élément.

Police

MinValue

Valeur minimum de l'échelle.

Double

MaxValue

Valeur maximum de l'échelle.

Double

Rayon

Double

ScaleRadius

Rayon de l'échelle.

Double

ScaleStartAngle

Angle auquel commence l'échelle.

Double

ScaleLabelRotationMode

Alignement de la légende de l'échelle.

Enum :

  • None (Aucune)
  • Automatique
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Section angulaire définissant la taille de l'échelle.

Double

ScaleLabelFontSize

Taille de la police de caractères de la légende de l'échelle.

Double

ScaleLabelColor

Couleur de la police de caractères de la légende de l'échelle.

Couleur

ScaleLabelRadius

Rayon suivant lequel est orientée la légende de l'échelle.

Double

ScaleValuePrecision

Précision de la légende de l'échelle.

Entier

ElementStyle

Type d'affichage de l'élément

Enum :

  • Bouton
  • Plaque
  • None (Aucune)

MajorTickColor

Couleur des graduations principales sur l'échelle.

Couleur

MinorTickColor

Couleur des graduations secondaires sur l'échelle.

Couleur

MajorTickSize

Taille des graduations principales sur l'échelle.

Taille

MinorTickSize

Taille des graduations secondaires sur l'échelle.

Taille

MajorTicksCount

Nombre de graduations principales sur l'échelle.

Entier

MajorTicksShape

Forme/type des graduations principales sur l'échelle.

Enum :

  • Rectangle
  • Trapèze
  • Triangle

MinorTicksShape

Forme/type des graduations secondaires sur l'échelle.

Enum :

  • Rectangle
  • Trapèze
  • Triangle

MinorTicksCount

Nombre de graduations secondaires sur l'échelle.

Entier

BackgroundBorderBrush

Couleur de la bordure de l'élément.

Pinceau

BackgroundBrush

Couleur de l'arrière-plan de l'élément.

Pinceau

PointerCapColorBrush

Couleur du point d'attache du pointeur.

Pinceau

GaugeMiddlePlate

Rayon de la plaque centrale de l'élément d'arrière-plan.

Double

ValueFontSize

Taille de la police de l'affichage de la valeur.

Double

ValueFontColor

Taille de la police de l'affichage de la valeur.

Couleur

IsGlassReflection

Active l'effet vitré sur l'élément.

Booléen

KnobBrush

Couleur du bouton.

Pinceau

IndicatorBrush

Couleur de la jauge.

Pinceau

IndicatorBackgroundBrush

Couleur d'arrière-plan de la jauge inactive.

Pinceau

KnobSize

Diamètre du bouton.

Double

KnobIndicatorSize

Taille de la jauge du bouton.

Taille

ElementSize

Taille de l'élément.

Taille

VisibilityKnob

Activation du bouton.

Booléen

ValuePosition

Couleur de l'affichage de la valeur.

Double

ValueVisibility

Activation de l'affichage de la valeur.

Booléen


Exemples : Intégration de WPF dans zenon

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Exemples : Intégration de WPF dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les exemples suivants décrivent la création de fichiers XAML et leur intégration sous forme d'éléments WPF dans zenon :

  • Intégration d'un bouton sous forme d'élément WPF XAML dans zenon
  • Intégration d'un bargraphe sous forme d'élément WPF XAML dans zenon
  • Intégration d'un contrôle DataGrid dans zenon


Intégration d'un bouton sous forme d'élément WPF XAML dans zenon

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Exemples : Intégration de WPF dans zenon -> Intégration d'un bouton sous forme d'élément WPF XAML dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Exemple de structure :

  • Création d'un bouton dans Microsoft Expression Blend
  • Intégration dans zenon
  • Lien à une variable et une fonction
  • Ajustement du bouton à la taille de l'élément
  • Créez le bouton

Lors de la première étape, créez un bouton conformément aux indications fournies au chapitre Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend. Pour pouvoir utiliser le fichier XAML dans zenon, insérez ceci dans l'arborescence du projet dans le dossier Fichiers/graphiques.

Intégrer le bouton

Remarque : Un projet zenon doté du contenu suivant est utilisé pour la description suivante :

  • Un synoptique vide en tant que synoptique de départ
  • Une variable interne int de type Int
  • Une fonction Fonction_0 de type Envoi d'une valeur vers matériel, avec :
    • L'option Directement sur matériel activée
    • L'ensemble a été défini sur 45

Pour intégrer le bouton :

  1. Ouvrez le synoptique vide.
  2. Insérez un élément WPF dans le synoptique.
  3. Sélectionnez Fichier XAML dans la fenêtre des propriétés.
  4. Sélectionnez le fichier XAML (par exemple, MyButton.xaml) et fermez la boîte de dialogue
  5. Sélectionnez la propriété Configuration.

Configurez le bouton

La boîte de dialogue de configuration affiche un aperçu du fichier XAML sélectionné. Tous les éléments nommés dans le fichier XAML sont mentionnés dans l'arborescence :

  1. Sélectionnez le bouton WPF, qui se trouve dans LayoutRoot->MyViewBox->MyButton.
  2. Consultez l'onglet Content (Contenu) de l'entrée Propriétés ; celui-ci contient le texte du bouton.
  3. Cliquez sur la colonne Link type (Type de lien).
  4. Sélectionnez Variable dans la liste déroulante.
  5. Cliquez sur la colonne Lien.
  6. La boîte de dialogue de sélection de variables s'affiche.
  7. Sélectionnez la variable int pour lier cette variable à la propriété Contenu.

Événements

Pour attribuer des événements :

  1. Sélectionnez l'onglet Événements.

  2. Recherchez l'entrée "Clic" ; cet événement est déclenché par l'élément WPF dès que l'utilisateur clique sur le bouton.
  3. Cliquez sur la colonne Link type (Type de lien).
  4. Sélectionnez Fonction dans la liste déroulante.
  5. Cliquez sur la colonne Lien.
  6. La boîte de dialogue de sélection de fonctions s'ouvre.
  7. Sélectionnez Function_0.
  8. Confirmez en cliquant sur OK.
  9. Insérez un élément valeur numérique dans le synoptique.
  10. Vous pouvez également lier cet élément valeur numérique aux variables int.
  11. Compilez les fichiers du Runtime et démarrez le Runtime.

L'élément WPF est affiché dans le Runtime ; le texte du bouton est 0. Lorsque vous cliquez sur le bouton, l'événement Clic est déclenché et la fonction valeur prescrite est exécutée. La valeur 45 est transmise directement au matériel, et la valeur numérique et le bouton affichent tous deux la valeur 45 .

Définissez une valeur prescrite de 30 via l'élément valeur numérique ; cette valeur est alors reprise par l'élément WPF.

Autorisation

A l'image d'une valeur numérique, un élément WPF peut être verrouillé en fonction des autorisations (symbole représentant un cadenas), ou être déverrouillé pour être actionnable. Réglez le niveau d'autorisation utilisateur sur 1 pour l'élément WPF et créez un utilisateur appelé Test possédant le niveau d'autorisation 1. Ensuite, définissez les fonctions Login with dialog (Connexion avec boîte de dialogue) et Logout (Déconnexion). Liez ensuite ces deux fonctions aux deux nouveaux boutons avec texte affichés sur le synoptique.

Dans la boîte de dialogue de configuration de l'élément WPF, sélectionnez le bouton WPF MyButton, puis sélectionnez l'onglet Propriétés.

  1. Sélectionnez l'élément IsEnabled.
  2. Cliquez sur la colonne Link type (Type de lien).
  3. Sélectionnez Authorizations/interlocking (Autorisations/verrouillage) dans la liste déroulante.
  4. Cliquez sur la colonne Lien.
  5. Dans la liste déroulante, sélectionnez l'option Authorized (Autorisé).

  6. Fermez la boîte de dialogue en cliquant sur OK.

Compilez le fichier Runtime ; notez bien que vous devez également sélectionner Authorizations to be Transferred (Autorisations utilisateur à transférer). Après le démarrage du Runtime, le bouton WPF apparaît désactivé sur le synoptique et ne peut pas être actionné. Connectez-vous maintenant en tant qu'utilisateur Test ; le bouton est activé et peut être actionné. Le bouton est verrouillé à nouveau dès que vous vous déconnectez.

Transformation

Les fichiers XAML doivent encore être adaptés pour que les transformations soient utilisables :

  1. Basculez vers le programme Expression Blend .
  2. Sélectionnez MyButton, afin que les propriétés de l'élément soient visibles dans la fenêtre des événements.

  3. Sous Transform (Transformer) au niveau de l'entrée RenderTransform (Transformation de rendu), sélectionnez l'option Apply relative transform (Appliquer une transformation de rendu).

    Un bloc est alors inséré dans le fichier XAML, dans lequel les paramètres de transformation dans le Runtime sont enregistrés.

  4. Enregistrez le fichier et remplacez l'ancienne version dans zenon par ce nouveau fichier.
  5. Ouvrez à nouveau la boîte de dialogue de configuration de l'élément WPF :
    1. Sélectionnez le bouton MyButton.
    2. Sélectionnez l'onglet Transformations.

    1. Sélectionnez l'élément RotateTransform.Angle.
    2. Cliquez sur la colonne Link type (Type de lien).
    3. Sélectionnez Transformations dans la liste déroulante.
    4. Cliquez sur la colonne Lien.
    5. La boîte de dialogue de sélection de variables s'affiche.
    6. Sélectionnez la variable int pour lier cette variable à la propriété RotateTransform.Angle.

Compilez les fichiers du Runtime et démarrez le Runtime. Connectez-vous en tant qu'utilisateur Test, puis cliquez sur le bouton. Le bouton comporte la valeur 45 et l'élément WPF pivote de 45°.


Intégration d'un bargraphe sous forme d'élément WPF XAML dans zenon

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Exemples : Intégration de WPF dans zenon -> Intégration d'un bargraphe sous forme d'élément WPF XAML dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Exemple de structure :

  • Création d'un bargraphe dans Adobe Illustrator et conversion au format WPF
  • Intégration dans zenon
  • Liaison avec des variables
  • Adaptation du bargraphe à l'élément WPF

Créer le bargraphe

La première étape consiste à générer un bargraphe conformément aux indications fournies au chapitre Flux de travail avec Adobe Illustrator. Pour pouvoir utiliser le fichier XAML dans zenon, insérez ceci dans l'arborescence du projet dans le dossier Fichiers/graphiques.

Intégration d'un bargraphe

Remarque : Un projet zenon doté du contenu suivant est utilisé pour la description suivante :

  • Un synoptique vide en tant que synoptique de départ
  • Quatre variables du driver interne pour :
    • Échelle 0
    • Échelle centrale
    • Échelle élevée
    • Valeur actuelle
  • Une variable provenant du pilote mathématique permettant d'afficher la valeur actuelle (255).

Pour intégrer le bargraphe :

  1. Ouvrez le synoptique vide.
  2. Insérez un élément WPF dans le synoptique.
  3. Sélectionnez Fichier XAML dans la fenêtre des propriétés.
  4. Sélectionnez le fichier XAML souhaité (par exemple, bar graph_vertical.xaml) et fermez la boîte de dialogue.

Ajuster le bargraphe

Avant la configuration, l'échelle du fichier XAML doit être adaptée, si nécessaire :

Pour cela :

  • Créez une nouvelle variable mathématique qui calcule la nouvelle valeur par rapport à l'échelle, par exemple :
  • Variable : 0-1000
  • Variable mathématique {valeur créée dans le fichier xaml}*Variable/1000

    Le fichier XAML est alors configuré.

Configurer le bargraphe

  1. Cliquez sur l'élément WPF et sélectionnez la propriété Configuration.
  2. La boîte de dialogue de configuration affiche un aperçu du fichier XAML sélectionné.
  3. Sélectionnez la valeur minimum, la valeur moyenne et la valeur maximum et liez chacune de ces valeurs à la variable correspondante dans la propriété Contenu.

  4. Sélectionnez la réglette et liez la propriété Valeur aux variables mathématiques (dans notre exemple : calcul).

  5. Contrôlez le projet de planification dans le Runtime :


Intégration d'un contrôle DataGrid dans zenon

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Exemples : Intégration de WPF dans zenon -> Intégration d'un contrôle DataGrid dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un contrôle DataGrid, vous avez besoin des outils suivants :

  • WPF Toolkit : disponible en téléchargement à l'adresse http://wpf.codeplex.com
  • Visual Studio

Assurez-vous de toujours créer des projets reposant sur .NET Framework 3.5.

Création d'un contrôle utilisateur .NET

  1. Créez un contrôle utilisateur WPF dans Visual Studio.

    Dans notre exemple, il porte le nom MyWPFLibrary.

  2. Ajoutez les ensembles WPF Toolkit aux références. Pour cela :
    1. Cliquez avec le bouton droit sur le projet.
    2. Sélectionnez Ajouter une référence...
    3. Sélectionnez cette option dans l'onglet .NET
    4. Sélectionnez System.Data, ainsi que System.Data.DataSetExtensions s'ils ne sont pas déjà présents
  3. Créez une nouvelle connexion de données dans l'Explorateur de serveurs. Pour cela :
    1. Cliquez avec le bouton droit sur Connexions de données.
    2. Sélectionnez Ajouter une connexion...

    Dans notre exemple, la base de données Northwind est utilisée ; il s'agit d'un exemple de base de données créé par Microsoft.

    Une fois la connexion ajoutée, la fenêtre de l'Explorateur de serveurs doit ressembler à ceci :

    Un nouveau groupe de données est créé à l'étape suivante.

Création d'un groupe de données

  1. Cliquez avec le bouton droit sur le projet.
  2. Dans le menu contextuel, sélectionnez l'entrée Ajouter un nouvel objet....
  3. Créez un nouveau groupe de données.
  4. Double-cliquez sur le groupe de données pour l'ouvrir dans l'interface de configuration.
  5. Faites glisser les tables dont vous avez besoin vers la fenêtre principale de configuration du groupe de données.

Le fichier XAML est configuré à l'étape suivante.

Configuration du fichier XAML.

  1. Insérez les espaces de nom dans le fichier XAML.
    Vous devez disposer de l'espace de nom des outils WPF Toolkit et d'une référence à la classe :

  2. Définissez les ressources et le contrôle DataGrid que vous souhaitez utiliser dans l'élément WPF :

    <UserControl.Resources>

    <my1:MyDataSet x:Key="MyDataSet" />

    <CollectionViewSource x:Key="customersViewSource" Source="{Binding Path=Customers, Source={StaticResource MyDataSet}}" />

    </UserControl.Resources>

    <Grid DataContext="{StaticResource customersViewSource}">

    <my:DataGrid Height="304" HorizontalAlignment="Left" Margin="6,7,0,0" Name="dataGrid1" VerticalAlignment="Top" Width="497" DisplayMemberPath="CompanyName" ItemsSource="{Binding}" SelectedValuePath="CustomerID" />

    </Grid>

  3. Ouvrez le fichier code-behind (xaml.cs) et insérez les lignes suivantes dans le constructeur :

    public UserControl1()

    {

    InitializeComponent();

    MyWPFLibrary.MyDataSet ds = ((MyWPFLibrary.MyDataSet)(this.FindResource("MyDataSet")));

    MyWPFLibrary.MyDataSetTableAdapters.CustomersTableAdapter ta = new MyWPFLibrary.MyDataSetTableAdapters.CustomersTableAdapter();

    ta.Fill(ds.Customers);

    System.Windows.Data.CollectionViewSource customersViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("customersViewSource")));

    customersViewSource.View.MoveCurrentToFirst();

    }

    Ceci a l'effet suivant :

    • Obtention du groupe de données
    • Création d'un nouvel élément ReportAdapter
    • Remplissage du groupe de données
    • Transmission de ces informations au contrôle DataGrid

La solution peut maintenant être construite.

Construction

Maintenant, créez la solution. Certains fichiers DLL sont créés dans le dossier de sortie durant la procédure.

Vous disposez maintenant d'un fichier DLL doté des fonctionnalités requises. Toutefois, zenon peut uniquement afficher les fichiers XAML qui ne peuvent pas être liés au fichier code-behind. Par conséquent, vous devez prévoir un autre fichier DLL renvoyant au fichier DLL que vous venez de créer. Pour cela :

  1. Créez un autre projet et une autre bibliothèque de contrôles utilisateur WPF.
  2. Celui-ci est intitulé DataGridControl dans notre exemple.
  3. Insérez une référence au projet que vous venez d'intégrer à ce nouveau projet.

  4. Les fichiers XAML se présentent comme suit :

  5. Les contenus nécessaires sont présents dans le fichier DLL, et aucun fichier code-behind n'est nécessaire ; vous pouvez donc supprimer ceci :

    x:Class="test.UserControl1"

  6. Supprimez également les lignes suivantes, relatives au positionnement :

    mc:Ignorable="d"

    d:DesignHeight="300" d:DesignWidth="300"

  7. Définissez les contenus devant être affichés dans le fichier XAML. Pour cela, ajoutez les lignes suivantes :

    <UserControl xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"

    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"

    xmlns:mywpflib="clr-namespace:MyWPFLibrary;assembly=MyWPFLibrary">

    <Grid x:Name="GridName">

    <mywpflib:UserControl1 HorizontalAlignment="Left" Name="userControl11" VerticalAlignment="Top"/>

    </Grid>

    </UserControl>

    La ligne xmlns:mywpflib="clr-namespace:MyWPFLibrary;assembly=MyWPFLibrary" définit l'espace de nom mywpflib et stipule que celui-ci doit utiliser l'ensemble précédemment créé.

  8. Insérez un nom prédéfini dans les balises de la grille.
  9. Insérez le contrôle mywpflib:UserControl1 de notre bibliothèque et donnez-lui un nom ; zenon peut uniquement modifier les objets comportant un nom.
  10. Construisez cette solution.
    Ceci génère un message d'erreur :

  11. pour remédier à l'erreur, supprimez simplement le fichier code-behind et recréez une version.

À l'étape suivante, le fichier XAML est ajouté dans zenon.

Étapes dans zenon

  1. Ouvrez l'Éditeur de zenon
  2. Sélectionnez Fichier -> Éléments graphiques
  3. Sélectionnez Ajouter fichier... dans le menu contextuel.

  4. Sélectionnez le fichier XAML à l'emplacement auquel il est enregistré et insérez-le.

  5. Insérez les fichiers DLL contenant les fonctionnalités du fichier XAML. Pour cela :
    1. Dans le menu contextuel, sélectionnez la commande Fichier -> Autres, puis Ajouter fichier...
    2. Sélectionnez le fichier WPFToolkit.dll et le fichier DLL du premier projet

  6. Créez un synoptique.
  7. Insérez un élément WPF, puis sélectionnez un fichier XAML. Vous devriez maintenant voir les éléments suivants :

Remarque : Si le fichier XAML doit être supprimé ou mis à jour dans le projet zenon, il est possible que les fichiers DLL restent ouverts et ne puissent pas être supprimés du dossier. Vous devez redémarrer l'Éditeur pour pouvoir les supprimer. Il peut également suffire de désactiver, puis réactiver le projet.


Traitement des erreurs

Manuels -> Contrôles -> Élément WPF -> Développement dans zenon -> Traitement des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Entrées dans les fichiers journaux

Entrée | Niveau | Signification
Xaml file found in %s with different name, using default! (Fichier XAML avec un nom différent trouvé dans %s ; le fichier par défaut sera utilisé !) | Avertissement | Le nom du fichier collectif et le nom du fichier XAML qu'il contient ne correspondent pas. Pour éviter tout conflit interne, le fichier portant le nom du fichier collectif et le suffixe .xaml sera utilisé.
No preview image found in %s (Aucun aperçu d'image trouvé dans %s) | Avertissement | Le fichier collectif ne contient aucun aperçu graphique valide (preview.png ou [nom du fichier XAML].png). Par conséquent, aucun aperçu ne peut être affiché.
Xaml file in %s not found or not unique! (Fichier XAML dans %s introuvable ou non unique !) | Erreur | Le fichier collectif ne contient aucun fichier XAML, ou contient plusieurs fichiers portant le suffixe .xaml. Il ne peut pas être utilisé.
Could not remove old assembly %s (Impossible de supprimer l'ancien ensemble %s) | Avertissement | Un ensemble doit être remplacé par une version plus récente, mais il ne peut pas être supprimé.
Could not remove old assembly %s (Impossible de supprimer l'ancien ensemble %s) | Erreur | Une nouvelle version d'un ensemble situé dans le dossier de travail est disponible, mais il ne peut pas être copié à cet emplacement. Causes possibles : l'ancien exemple est encore chargé, par exemple. L'ancienne version continue à être utilisée, et la nouvelle version ne peut pas être utilisée.
file exception in %s (Exception de fichier dans %s) | Erreur | Une erreur de fichier s'est produite lors de l'accès à un fichier collectif.
Generic exception in %s (Exception générique dans %s) | Erreur | Une erreur générale s'est produite lors de l'accès à un fichier collectif.


Unit conversion (Conversion d'unités)

Manuels -> Unit conversion (Conversion d'unités)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction de conversion d'unités autorise la conversion et le basculement d'unités de base en unités de conversion, par exemple de mètres en yards ou de mètre en décimètres, centimètres et millimètres. Une unité de base contient la valeur initiale pour une conversion. L'unité de conversion contient la valeur convertie par rapport à la valeur de base. Toutes deux comportent un nom d'unité. Des éléments Facteur, Offset et Décalage du point décimal peuvent être définis pour les unités de conversion en fonction de l'unité de base correspondante.

Une unité de base peut être sélectionnée lors de la configuration de paramètres pour une variable. Il est possible de basculer d'une unité à l'autre durant le Runtime à l'aide de la fonction de commutation d'unités.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
New base unit (Nouvelle unité de base) | Crée une nouvelle unité de base.
Exporter XML tous | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des synoptiques à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

info Info

Vous ne devez pas utiliser la conversion d'unités avec la commande de rapport variablerw. Cette commande de rapport fournit une fonction de conversion d'unités pour les projets anciens. Si l'unité définie dans la fonction de conversion d'unités d'une variable est modifiée par la commande de rapport dans le Runtime, vous devez exécuter à nouveau la configuration dans la fonction de conversion d'unités.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Unités

Unités de développement

Attribution d'une unité de base à une variable

Conversion d'unités de fonction

Runtime


Barre d'outils et menu contextuel de la vue de détail Unités

Manuels -> Unit conversion (Conversion d'unités) -> Barre d'outils et menu contextuel de la vue de détail Unités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel de la vue de détail Unités

Élément de menu | Action
New base unit (Nouvelle unité de base) | Crée une nouvelle unité de base.
Exporter XML tous | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des synoptiques à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel et barre d'outils Unité de base/Unité de conversion

Élément de menu | Action
New base unit (Nouvelle unité de base) | Crée une nouvelle unité de base.
New conversion unit (Nouvelle unité de conversion) | Crée une nouvelle unité de conversion pour l'unité de base supérieure.
Éléments liés : Retour à l'élément de départ | Zone de liste contenant un lien vers l'élément permettant d'accéder à l'unité. Disponible uniquement si l'unité est liée à un autre élément.
Renommer | Permet de renommer l'unité. Attention : si les unités sont renommées, toutes les unités déjà liées aux variables ou utilisées dans des fonctions doivent alors être adaptées manuellement pour la variable ou la fonction concernée. Voir également : Association d'une unité de base à une variable et Commande de conversion d'unités.
Exporter XML tous | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des synoptiques à partir d'un fichier XML.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Colle le contenu depuis le presse-papiers. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Aide | Ouvre l'aide en ligne.


Unités de développement

Manuels -> Unit conversion (Conversion d'unités) -> Unités de développement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous devez créer une unité de base et une unité de conversion pour la conversion, et vous devez également définir les paramètres de la conversion. La conversion est effectuée à l'aide de la formule y=kx+d (Autriche) ou y=mx+b (Allemagne). Chaque unité de base peut être attribuée en tant qu'unité à une variable.

Pour créer une nouvelle unité de base :

  • Sélectionnez le nœud Unités dans le Gestionnaire de projet.
  • Cliquez avec le bouton droit sur Unités.
  • Sélectionnez l'option New base unit (Nouvelle unité de base) dans le menu contextuel.
  • Une nouvelle entrée est créée dans la liste.
  • Donnez un nom à l'unité.
  • Créez l'unité de conversion.

Pour créer une unité de conversion :

  • Cliquez avec le bouton droit sur une unité de base.
  • Sélectionnez la commande Conversion unit (Unité de conversion) dans le menu contextuel.
  • Une nouvelle entrée est créée dans la liste.
  • Donnez un nom à l'unité.
  • Définissez un(e) Facteur pour la conversion.
  • Définissez une valeur pour la Décalage du point décimal.
  • Définissez une valeur pour la Offset.


Attribution d'une unité de base à une variable

Manuels -> Unit conversion (Conversion d'unités) -> Attribution d'une unité de base à une variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'attribution de variables à une unité de base s'effectue dans propriété Unité (nœud Général).

Vous pouvez nommer les unités à votre convenance. Si la fonction de conversion d'unités est utilisée durant le Runtime, sélectionnez une base prédéfinie dans la liste déroulante.

Conseil : Si vous nommez une unité à votre convenance, nous vous recommandons de créer immédiatement un lien portant le même nom dans le nœud Unités - Unité de base.

Vous devez créer une fonction de conversion d'unités pour pouvoir effectuer une conversion durant le Runtime.

attention Attention

Si une unité est renommée ultérieurement, les variables déjà liées à celle-ci ne sont pas automatiquement renommées.

Pour renommer des unités déjà liées :

  • sélectionnez la vue de détail dans le Gestionnaire de projet.
  • Sélectionnez la colonne Unités, ou ajoutez-la à la vue si elle est encore affichée.
  • Dans le menu contextuel, sélectionnez l'option Remplacer un texte dans la colonne sélectionnée.
  • Dans la boîte de dialogue qui s'affiche à l'écran, effectuez une recherche sur le nom et remplacez celui-ci par le nouveau nom.


Conversion d'unités de fonction

Manuels -> Unit conversion (Conversion d'unités) -> Conversion d'unités de fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour exécuter la conversion d'unités dans le Runtime, vous devez créer une conversion d'unités de fonction :

  • Sélectionnez le nœud Fonctions dans le Gestionnaire de projet.
  • Dans le menu contextuel, sélectionnez la commande Nouvelle fonction...
  • Accédez à la variable.
  • Sélectionnez la fonction Conversion d'unité.

    Remarque : L'exécution d'une conversion d'unité de fonction déclenche l'actualisation du rapport s'il est actuellement affiché.

  • La boîte de dialogue de définition de la conversion d'unités s'ouvre.

Propriété

Description

Unit conversion (Conversion d'unités)

Boîte de dialogue autorisant l'association d'unités de conversion à des unités de base.

Unité de base

Liste des unités de base créées.

Commuter en

Liste déroulante de sélection de l'unité de conversion. Vous pouvez soit sélectionner une unité de conversion ou l'unité de base.

Engineered conversion unit (Unité de conversion développée) : dans le Runtime, l'unité de base est convertie en unité de conversion.

<Unité de base>: l'unité de base est toujours active dans le Runtime.

info Info

Les unités ne sont pas exportées avec l'exportation au format XML de cette fonction. Vous devez exporter les unités séparément.

attention Attention

Si une unité est renommée ultérieurement, l'unité de base renommée est automatiquement prise en compte dans la fonction. Vous devez toutefois modifier les unités de conversion manuellement.


Runtime

Manuels -> Unit conversion (Conversion d'unités) -> Runtime

Chaque valeur de variable correspondant à chaque entrée ou sortie, outre celles utilisées de série lors de la conversion d'unités de signal en unités de plage de mesures, est convertie dans le Runtime.

  • Sortie : Une unité de conversion d'une variable est activée avec la fonction de commutation d'unités. La valeur exprimée en unités de mesure est tributaire du décalage et du facteur prédéfinis. En outre, pour la conversion d'une valeur en chaîne, le nombre de décimales définies pour une variable doit être ajusté en conséquence.
  • Une conversion d'entrée est effectuée de la même manière qu'une conversion de sortie, mais dans l'autre direction.

Limitations :

  • lors de l'exportation, seules les nouvelles unités sont exportées.
  • Les valeurs enregistrées sous forme de chaîne ne sont pas recalculées lors de la sortie. Ces valeurs sont conservées dans l'unité active lors de la création de la chaîne. Ceci affecte tout particulièrement toutes les valeurs insérées dans le texte d'une entrée de la liste CEL – par exemple, modification d'une valeur prescrite de OLD en NEW, etc.
  • Ici, les heures de fonctionnement et les compteurs horaires du module Industrial Maintenance Manager sont toujours affichés en unités de base.
  • Les sorties affichées sur l'écran EMS sont toujours affichées dans l'unité de base.

VBA

Les valeurs au-delà de VBA sont toujours affichées en unités de base. Par exemple, Variable.Value ne renvoie pas une valeur avec des unités commutées, car il ne s'agit pas d'une sortie de valeur. Quatre nouvelles fonctions ont été incorporées dans Variable., afin que la commutation d'unités puisse également être utilisées au-delà de VBA :

Mot-clé | Description
SecondaryUnitName | renvoie le nom de l'unité de conversion définie
SecondaryUnitDigits | renvoie les décimales pour l'unité de conversion définie
CalcSecondaryUnitValue | convertit la valeur de l'unité de base en la valeur de l'unité de conversion
CalcPrimaryUnitValue | convertit la valeur de l'unité de conversion en la valeur de l'unité de base


Conversion de projet

Manuels -> Conversion de projet

Lors de l'utilisation d'une nouvelle version de zenon, les projets créés avec des versions antérieures doivent être convertis au format de la nouvelle version. Si certaines propriétés ou modifications doivent être prises en compte lors de la conversion, elles sont décrites dans les conseils relatifs à la conversion fournis dans ce manuel.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Conversion en cas de mise à jour ou de mise à niveau inférieur

Si vous souhaitez mettre à jour zenon vers une version supérieure, les projets sont convertis automatiquement vers la version supérieure lorsqu'ils sont ouverts dans la nouvelle version. Dès lors, vous ne pouvez plus modifier le projet avec des versions antérieures de l'éditeur. Toutefois, une sauvegarde du projet converti est automatiquement créée dans la version d'origine.

La conversion d'un projet créé avec une version antérieure au format d'une version antérieure (mise à niveau inférieur) n'est pas possible.

Compatibilité descendante

A compter de la version 6.21, les projets sont rétrocompatibles dans le Runtime. Vous pouvez travailler dans un éditeur possédant un numéro de version plus élevé. Cette rétrocompatibilité du Runtime est particulièrement adaptée à l'utilisation de systèmes mixtes : Un projet développé avec la version 6.50 peut être utilisé dans un Runtime version 6.22.

attention Attention

Si, dans un projet planifié avec une version ultérieure de l'éditeur, des propriétés affichées ne sont pas disponibles dans la version antérieure, cela peut engendrer des résultats indésirables dans le Runtime.

Autres sujets abordés dans ce chapitre

Procédure recommandée pour la conversion de fichiers du Runtime

Conversion de la version 2.20 vers la version 3.04

Conversion des versions 3.4 ou 3.50 vers la version 3.52

Conversion de la version 3.52 vers la version 5.11

Conversion de la version 3.52 vers les versions 5.x ou 6.x

Conversion de la version 5.11 vers la version 5.50

Conversion de la version 5.50 vers la version 6.01

Conversion de la version 5.50 vers l'exportation au format dBase S7

Conversion de la version 6.01 vers 6.20

Conversion de la version 5.50 vers les versions > 6.22 SP1

Conversion de la version x vers la version 6.21

Conversion de la version x vers la version 6.22

Convertir de la version x vers la version 6.50

Conversion de la version x vers la version 6.51

Conversion de la version X à la version 7.00

Conversion de la version X à la version 7.00


Procédure recommandée pour la conversion de fichiers du Runtime

Manuels -> Conversion de projet -> Procédure recommandée pour la conversion de fichiers du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la conversion du projet, assurez-vous que les fichiers modifiables dans le Runtime sont également correctement convertis.

Pour convertir les fichiers modifiables dans le Runtime :

  1. Importez les fichiers du Runtime dans la version d'origine de l'Éditeur.
  2. Effectuez la mise à jour vers la nouvelle version.
  3. Accédez à la section Général des propriétés du projet.
  4. Cliquez sur la propriété Données modifiables en RT.
  5. La boîte de dialogue des paramètres des fichiers modifiables dans le Runtime s'affiche à l'écran.

  6. Désactivez toutes les cases à cocher dans la colonne Ne pas générer et transférer.
  7. Compilez le projet (Créer tous les fichiers Runtime)
  8. Cochez ou décochez la case de la propriété Données modifiables en RT pour rétablir l'état dans lequel elle se trouvait avant la conversion


Conversion de la version 2.20 vers la version 3.04

Manuels -> Conversion de projet -> Conversion de la version 2.20 vers la version 3.04

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Restructurer la base de données


Restructurer la base de données

Manuels -> Conversion de projet -> Conversion de la version 2.20 vers la version 3.04 -> Restructurer la base de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  1. Créer un répertoire temporaire et un sous-répertoire. Nom du sous-répertoire : XX. Par exemple : C:\\TEMP\\XX, où C:\\TEMP est le chemin de la base de données originale et C:\\TEMP\\XX est le chemin de la base de données restructurée. N'oubliez pas de faire une sauvegarde de votre base de données originale.
  2. Copiez la base de données originale et REV.BAT et DATAMGR.RDL vers C://TEMP.
  3. Copiez les nouveaux fichiers DBD (de la nouvelle base de données) et le fichier DBAREORG.EXE vers le répertoire XX.
  4. Définissez les chemins vers le dossier où se trouvent DBREV.EXE et INITDB.EXE, ou copiez ces fichiers vers C:\TEMP et vers C:\TEMP\XX. Vérifier si ces deux programmes peuvent être démarrés dans une fenêtre DOS sans entrer leur chemin.
  5. Assurez-vous qu'il y a assez de place (min 500 K) dans la zone mémoire DOS.
  6. Exécutez le fichier de commande REV.BAT dans la fenêtre DOS.

    Contenu :

    del *.taf

    del *.log

    cd xx

    del *.taf

    del *.log

    initdb datamgr

    cd ..

    dbrev -r -v -q -s datamgr.rdl datamgr xx/datamgr
  7. Démarrez DBAREORG.EXE dans le répertoire de zenon directement à partir de Windows (Exécuter).
  8. Définissez le répertoire où se trouve la base de données (XX) avec CONVERT 2xx -> 3xx et les paramètres PATH SETTINGS.
  9. Démarrez la restructuration avec CONVERT 2xx -> 3xx et CONVERT.
  10. La restructuration est terminée. La nouvelle base de données est dans le répertoire XX. Si elle existe, veuillez supprimer les fichiers TAF du répertoire XX. La base de données originale se trouve dans le répertoire TEMP.
  11. Si la restructuration a échoué lors du premier essai, vous devez recommencer depuis l'étape 1. Sinon la base de données restructurée serait convertie une deuxième fois.

Résultat de la restructuration | Tous les synoptiques sont convertis
 | toutes les variables sont converties
 | toutes les fonctions sont converties mais les fonctions doivent être à nouveau liées. Exception ; la fonction Appel de synoptique n'a plus besoin d'être à nouveau liée.
 | un fichier journal (DBAREORG.LOG) est créé dans le dossier dans lequel a été démarré DBAREORG.EXE. Vous pouvez y trouver toutes les informations sur les fonctions non liées.

Autres sujets abordés dans ce chapitre

Restructurer la base de données lorsque les structures sont modifiées


Restructurer la base de données lorsque les structures sont modifiées

Manuels -> Conversion de projet -> Conversion de la version 2.20 vers la version 3.04 -> Restructurer la base de données -> Restructurer la base de données lorsque les structures sont modifiées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  1. Créer un sous-répertoire temporaire. Nom du sous-répertoire : XX
  2. Copier les nouveaux fichier DBD dans le répertoire XX.
  3. Exécutez le fichier de commande REV.BAT :

    Contenu :

    del *.taf

    del *.log

    cd xx

    del *.taf

    del *.log

    initdb datamgr

    cd ..

    dbrev -r -v -q datamgr xx/datamgr


Conversion des versions 3.4 ou 3.50 vers la version 3.52

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Système d'exploitation

Export AML/CEL

AML / CEL, Archives

Opération en réseau

Archives

Layer

Arcs

Compatibilité descendante

Base de données

Documentation des sauvegardes (requêtes QRF)

Formats d'heure américains

Imprimante pour les alarmes

Symboles

Fonction zoom

Sauvegarde projet

Filtre pour les fenêtres système

Exporter variable

Élément texte lié


Système d'exploitation

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Système d'exploitation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La version 3.52 ne tourne que sur Windows NT 4.0 et Windows 95.


Export AML/CEL

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Export AML/CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le nom d'export des entrées d'alarmes et du CEL a changé. Maintenant, il s'agit de Aaammjj.TXT et/ou Caammjj.TXT. Pour l'exportation, une nouvelle fonction peut par ex. être exécutée à l'aide d'une commande temporisée. Les anciens paramètres ne sont pas pris en compte.


AML / CEL, Archives

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> AML / CEL, Archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Maintenant les archives pour les listes d'alarmes et du CEL sont stockées par défaut. Ces archives quotidiennes n'ont pas de limitations de fichier. Pour cette raison, vous devez développer une fonction de suppression. Vous éviterez ainsi que la capacité de stockage du disque dur ne soit remplie d'archives (voir la fonction Opérations sur fichier). La mémoire disponible pour la lecture des archives est limitée avec l'entrée suivante dans le fichier zenon.ini :

[ARCHIV]

...

SPEICHER=1000 (par défaut=1000, qui correspond à 1 Mo)


Opération en réseau

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Opération en réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les drivers doivent être configurés en local. Dans la section [Befehlsgabe] du fichier zenon6.ini, l'entrée Treiber= doit être supprimée.


Archives

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les archives sont maintenant stockées dans un sous-répertoire du répertoire du projet. Lors du premier démarrage, les fichiers ARV sont déplacés là.


Layer

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Layer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les 'layers' ne sont plus supportés lors de l'import DXF. Les 'layers' sont appelés symboles maintenant.


Arcs

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Arcs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les arcs ont été remplacés par des segments de cercles. Les arcs existants restent inchangés jusqu'à ce qu'ils soient modifiés.


Compatibilité descendante

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Compatibilité descendante

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La version 3.52 n'est pas compatible dans le sens descendant. (cela concerne par exemple le fichier zenon.ini, les symboles et la gestion des fonctions).


Base de données

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Base de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un nouveau fichier de base de données est livré. DATAMGR.DBD,20.11.1996,14.759 octets)

Ce fichier est nécessaire pour les archives batch et doit être copié dans le répertoire du projet.

Supprimer les fichiers *.TAF et *.LOG dans le répertoire du projet.


Documentation des sauvegardes (requêtes QRF)

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Documentation des sauvegardes (requêtes QRF)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans les fichiers QRF, les requêtes pour VARIABLE et LANGTEXT ont été modifiées.

  • field VARIABLE = dwkanalNr translate using 1 display as left (30);
  • field LANGTEXT = dwkanalNr translate using 6 display as left (39);


Formats d'heure américains

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Formats d'heure américains

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les mentions AM et PM ne sont pas supportées dans les formats d'heure.


Imprimante pour les alarmes

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Imprimante pour les alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si l'imprimante pour les alarmes tombe en panne, le système de contrôle bascule automatiquement vers l'imprimante standard de Windows. Si vous ne voulez aucune sortie sur imprimante, l'imprimante pour les alarmes doit être supprimée dans l'éditeur.


Symboles

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après le redimensionnement, les symboles doivent être à nouveau liés avant de les stocker dans la bibliothèque de symboles. Les bitmaps dans les symboles doivent être stockés séparément. Les fichiers de symboles sont enregistrés dans le dossier ../zenon.


Fonction zoom

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Fonction zoom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction de zoom peut être utilisée pour vérifier ou modifier les éléments.


Sauvegarde projet

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Sauvegarde projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une base de données est maintenant composée des fichiers suivants :

*.vbf

*.idx

*.DAT

*.BIN

*.dbd

*.INI

*.mdb

*.MIB (pour NWM III)

*.NWM (pour NWM III)

*.EMS (pour 230 EMS)

Pour sauvegardes les archives (*.ARV, *.CEL, *.AML), vous devez regarder dans le sous-répertoire correspondant.

attention Attention

Le fichier ALARM.BIN dans le répertoire d'archives enregistre le dernier contenu de la liste d'alarmes lorsque le Runtime est fermé et ne doit pas être sauvegardé.


Filtre pour les fenêtres système

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Filtre pour les fenêtres système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Nous recommandons de vérifier les filtres pour les synoptiques système avec les nouvelles fonctionnalités (par exemple, synoptique de type Programme horaire, archives AML et CEL).


Exporter variable

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Exporter variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser un fichier d'export sous dBase, Foxpro, la largeur maximum de colonne pour le nom des variables et l'identification (texte long) doit être changés de 128 caractères à 100 caractères max.

Par conséquent, l'entrée suivante dans zenon6.ini est nécessaire :

[EXPORT]

MAX_LAENGE= z. B. 40


Élément texte lié

Manuels -> Conversion de projet -> Conversion des versions 3.4 ou 3.50 vers la version 3.52 -> Élément texte lié

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans les anciens projets, les textes ne sont plus centrés mais alignés à gauche. Ceci peut être modifié dans les paramètres de l'élément. Si cela nécessite de très grosses modifications dans les projets existants, veuillez procéder comme suit :

  1. Saisissez [Editor] Konvert=1 dans le fichier zenon6.ini.
  2. Positionnez l'option Anciens éléments texte dans l'éditeur sous Ouvrir synoptique, puis ouvrez le synoptique correspondant et enregistrez-le. Répétez cette opération pour chaque synoptique concerné.
  3. Supprimez [Editor] Konvert=1 dans le fichier zenon6.ini.


Conversion de la version 3.52 vers la version 5.11

Manuels -> Conversion de projet -> Conversion de la version 3.52 vers la version 5.11

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Modifications à effectuer en version 3.52

Modifications à effectuer en version 5.11


Modifications à effectuer en version 3.52

Manuels -> Conversion de projet -> Conversion de la version 3.52 vers la version 5.11 -> Modifications à effectuer en version 3.52

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Préparatifs

Textes ayant subis une rotation

Noms de synoptique avec des caractères spéciaux


Préparatifs

Manuels -> Conversion de projet -> Conversion de la version 3.52 vers la version 5.11 -> Modifications à effectuer en version 3.52 -> Préparatifs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Nous recommandons de créer une sauvegarde du projet dans l'ancienne version.

La base de données doit être vérifiée avec l'outil DBCHECK fourni en version 3.52. Si des erreurs apparaissent lors de la vérification, elles doivent être corrigées avec l'outil DBFIX également fourni en version 3.52.


Textes ayant subis une rotation

Manuels -> Conversion de projet -> Conversion de la version 3.52 vers la version 5.11 -> Modifications à effectuer en version 3.52 -> Textes ayant subis une rotation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les textes ayant subi une rotation se comportent différemment en version 3.52 et en version 5.50 - en ce qui concerne le positionnement - et doivent être modifiés.

Pour obtenir un affichage compatible avec la version 3.52, l'entrée suivante doit être définie dans le fichier project.ini :

[VERSION]

TEXT352=1


Noms de synoptique avec des caractères spéciaux

Manuels -> Conversion de projet -> Conversion de la version 3.52 vers la version 5.11 -> Modifications à effectuer en version 3.52 -> Noms de synoptique avec des caractères spéciaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les noms de synoptiques ne doivent pas contenir des noms contenant les caractères tels que / : * ? <> | Ä Ö Ü, car les synoptiques sont enregistrés sous forme de fichiers. Le système Windows ne permet pas ces caractères dans les noms de fichier.

Si des synoptiques existants contiennent de tels caractères, vous devez modifier leur nom dans l'ancienne version (par exemple, la version 3.52) avant que les synoptiques puissent être convertis vers la version 5.5x.

attention Attention

De plus, toutes les fonctions contenant des noms de synoptiques non valides doivent être modifiées.

Si ces modifications ne sont pas faites, les synoptiques correspondants ne sont pas convertis et ne seront pas disponibles dans la version 5.x.

attention Attention

Si, dans un projet 3.5x, des cadres et/ou des attributions sont manquants, le message d'erreur suivant apparaît lors du démarrage du Runtime 5.11 : le Runtime s'est fermé de manière inattendue en tentant d'accéder à un fichier situé après la fin du fichier.

Donc, avant la conversion, vérifier les cadres et attributions manquants dans les vieux projets 3.5x.


Modifications à effectuer en version 5.11

Manuels -> Conversion de projet -> Conversion de la version 3.52 vers la version 5.11 -> Modifications à effectuer en version 5.11

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La version 5.11 de zenon doit être installée.

Autres sujets abordés dans ce chapitre

Licence


Licence

Manuels -> Conversion de projet -> Conversion de la version 3.52 vers la version 5.11 -> Modifications à effectuer en version 5.11 -> Licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les numéros de licences de la version 5.x ne sont pas compatibles avec les numéros des précédentes versions. Pour les mises à jour, de nouveaux numéros de licence doivent être commandés et entrés dans l'éditeur. Les licences pour toutes les versions jusqu'à la version 3.52 restent inchangées, comme les nouveaux numéros de série sont stockés dans de nouvelles entrées dans le fichier zenon.ini.

[DEFAULT]

SERIAL5=xxx

ACTIVATIONKEY5=xxx

Aucun identifiant de connexion ne peut être conservé dans les boutons de démarrage.

Un projet existant doit être inséré dans un nouvel espace de travail.

Le driver de simulation marche maintenant avec le même modèle de driver que les autres drivers. Sous Driver / Configuration, Hardware doit être sélectionné.

Après avoir chargé le projet 3.52 et avoir converti les synoptiques, un profil de moniteur correct doit être sélectionné et l'éditeur doit être redémarré.

Dans le fichier zenon.ini, il y a une entrée qui définit la taille du buffer de driver. Comme règle de profondeur, nous recommandons 10 * nombre de variables.

[RT]

DRIVER_QUE =50000

Si la valeur est trop petite, il peut y avoir des problèmes de rafraîchissement dans la visualisation.

Nous recommandons de déclencher une alarme en cas de dépassement. Il y a une variable de driver système pour cela : Info projet / Queue driver.


Conversion de la version 3.52 vers les versions 5.x ou 6.x

Manuels -> Conversion de projet -> Conversion de la version 3.52 vers les versions 5.x ou 6.x

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Conversion de l'élément dynamique Interrupteur


Conversion de l'élément dynamique Interrupteur

Manuels -> Conversion de projet -> Conversion de la version 3.52 vers les versions 5.x ou 6.x -> Conversion de l'élément dynamique Interrupteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les interrupteurs créés dans un projet dans la version 3.52 doivent être convertis par le biais d'une exportation au format XML, lors du changement vers une version plus ultérieure de zenon.

Procédure dans la nouvelle version de zenon :

  1. Menu contextuel Synoptique -> Exporter XML tous...
  2. Exportation de synoptiques dans un nouveau fichier
  3. Menu contextuel Synoptique -> Importer XML
  4. Sélectionnez le fichier exporté et importez-le


Conversion de la version 5.11 vers la version 5.50

Manuels -> Conversion de projet -> Conversion de la version 5.11 vers la version 5.50

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Modifications à effectuer en version 5.11

Modifications à effectuer en version 5.50


Modifications à effectuer en version 5.11

Manuels -> Conversion de projet -> Conversion de la version 5.11 vers la version 5.50 -> Modifications à effectuer en version 5.11

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Nous recommandons de créer une sauvegarde du projet avant de le convertir. Les données de l'éditeur et les données modifiables en Runtime doivent être sauvegardées.

La base de données du projet doit être vérifiée et réparée si nécessaire. Vous trouverez d'autres informations à ce propos sur le CD d'installation, sous Software\\TOOLS\\DB_TOOLS\\DB_DOKU.DOC.


Modifications à effectuer en version 5.50

Manuels -> Conversion de projet -> Conversion de la version 5.11 vers la version 5.50 -> Modifications à effectuer en version 5.50

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La version 5.50 de zenon doit être installée.

Après avoir démarré l'éditeur, l'ancien espace de travail peut être ouvert. Les projets sont alors convertis automatiquement.

Après avoir créé les fichiers Runtime, le Runtime peut être démarré.


Conversion de la version 5.50 vers la version 6.01

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers la version 6.01

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

attention Attention

Les mots-clé non traduits dans la table des langues sont supprimés durant le processus de conversion.

Autres sujets abordés dans ce chapitre

Modifications à effectuer en version 5.50

Modifications à effectuer en version 6.01


Modifications à effectuer en version 5.50

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 5.50

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avant que la conversion ne puisse être effectuée, les données doivent être retransmises à l'ordinateur de développement. Après cela, la conversion peut démarrer.

Dans la fenêtre des propriétés du projet, sous "Général", vous trouverez la boîte de dialogue "Données modifiables en RT". Ici, vous déterminez les données devant être modifiées. Pour plus d'informations, reportez-vous au chapitre Données modifiables en RT.

Autres sujets abordés dans ce chapitre

Noms des fonctions

Projets

Données du projet modifiables en Runtime (utilisateurs, recettes, etc.)

Données

Profils

Driver 3S Arti (depuis la 6.01 SP2)


Noms des fonctions

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 5.50 -> Noms des fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous devez faire attention à ce que les noms de fonctions soient uniques. Puisqu'aucun nom de fonction ne doit être défini dans la version 5.50, zenon ne vérifie pas l'unicité. Ce n'est pas nécessaire pour la version 5.50. En version 6.x cependant, les fonctions sont identifiées par leur nom.


Projets

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 5.50 -> Projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avant de pouvoir ouvrir un projet 5.50 avec l'éditeur version 6.xx, il doit être converti. (Fichier - Insérer projet 5.50 ...) Ainsi, l'ancien projet n'est pas affecté et une copie de celui-ci est faite sur le serveur SQL. Attention, quelques fichiers et dossiers externes ne sont pas copiés automatiquement dans l'arborescence des répertoires du nouvel éditeur et du Runtime. Ces fichiers et répertoires doivent être adaptés et/ou insérés manuellement dans le projet (dans l'arborescence du projet, dans la partie "Fichiers").

Ceci s'applique par ex. aux sous-répertoires définis par l'utilisateur dans le répertoire du projet, aux listes étendues de répertoires, aux bases de données, aux répertoires d'export, etc.


Données du projet modifiables en Runtime (utilisateurs, recettes, etc.)

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 5.50 -> Données du projet modifiables en Runtime (utilisateurs, recettes, etc.)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Elles doivent être rapatriées dans l'éditeur avant la conversion, de façon à ne pas perdre les modifications faites en Runtime.


Données

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 5.50 -> Données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fichiers créés par le Runtime, tels que les fichiers de liste AML, les fichiers de liste CEL, les données HD, les fichiers .bin et autres sont compatibles. Ceux-ci doivent être copiés à la main dans les répertoires Runtime correspondants de la version 6. Attention, ces fichiers sont convertis lors du premier lancement du Runtime. Cela peut demander un certain temps pour les quantités de données importantes.


Profils

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 5.50 -> Profils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En version 5.50, les profils pour les alarmes, les tendances étendues, etc. sont enregistrés dans un fichier qui a le nom du projet et l'extension .zrt. Exemple : Pour le projet Project1, ce fichier est nommé Project1.zrt. Ce fichier doit être renommé en project.zrt après la conversion du projet. Ensuite, le fichier doit être déplacé dans le répertoire RT où est enregistré le fichier project.ini.


Driver 3S Arti (depuis la 6.01 SP2)

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 5.50 -> Driver 3S Arti (depuis la 6.01 SP2)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le nom du fichier d'attribution de variable pour le driver 3S Arti a changé. Vous devez donc renommer ce fichier avant que les nouvelles variables ne soient récupérées sur l'automate. Vous trouverez plus d'informations dans la documentation du driver.


Modifications à effectuer en version 6.01

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 6.01

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La version 6.01 de zenon doit être installée.

Autres sujets abordés dans ce chapitre

Licence

Gestion utilisateurs / système de mots de passe

Paramètres de configuration

Le driver de simulation

Fonctions de synoptiques


Licence

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 6.01 -> Licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les numéros de licences de la version 6.x ne sont pas compatibles avec les numéros des précédentes versions. Pour les mises à jour, de nouveaux numéros de licence doivent être commandés et entrés dans l'éditeur. Les licences pour toutes les versions jusqu'à la version 5.x restent inchangées, comme les nouveaux numéros de série sont stockés dans de nouvelles entrées dans le fichier zenon6.ini au lieu du fichier zenon.ini.


Gestion utilisateurs / système de mots de passe

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 6.01 -> Gestion utilisateurs / système de mots de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la gestion utilisateur de la version 6.x, il y a une nouvelle propriété : Administrateur. Maintenant seuls les administrateurs sont autorisés à éditer les utilisateurs en Runtime. Comme cette propriété n'existait pas dans les versions précédentes, par défait les utilisateurs existants ne sont pas administrateurs. Si des utilisateurs doivent pouvoir éditer les données relatives aux utilisateurs en Runtime, il faut cocher cette nouvelle propriété en version 6.x.


Paramètres de configuration

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 6.01 -> Paramètres de configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En plus, toutes les propriétés du projet et les paramètres sous Option / Personnaliser doivent être vérifiés.

Comme le fichier zenon.ini a été remplacé par le fichier zenon6.ini, les modifications manuelles apportées au fichier zenon.ini (par exemple SPEICHER= pour les archives) devront être copiées manuellement du fichier zenon.ini vers le fichier zenon6.ini.


Le driver de simulation

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 6.01 -> Le driver de simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Comme les paramètres courants du driver de simulation sont stockés dans le fichier zenon.ini, ils sont maintenant lus à partir du fichier zenon6.ini. Après la nouvelle installation, il y a des paramètres par défaut. Donc, après l'installation, ils doivent être modifiés par rapport à ceux de l'ancien fichier zenon.ini.

Après avoir créé les fichiers Runtime, le Runtime peut être démarré.


Fonctions de synoptiques

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers la version 6.01 -> Modifications à effectuer en version 6.01 -> Fonctions de synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans les versions 5.50 et antérieures, seuls les scripts (mais pas les fonctions) pouvaient être liés aux synoptiques. Ces scripts étaient exécutés automatiquement lorsque le synoptique était fermé ou ouvert.

Dans les versions 6.01 et suivantes, seules les fonctions peuvent être liées aux synoptiques, donc tous les liens vers les scripts sont perdus. Les synoptiques doivent être à nouveau liés aux fonctions souhaitées.


Conversion de la version 5.50 vers l'exportation au format dBase S7

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers l'exportation au format dBase S7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la conversion d'un projet au format 5.50, une erreur de conversion peut se produire. Message d'erreur habituel :
"Error driver 'SIMUL32 - SIMULATORDRIVER' variable 'Sub_VISU_E1_IGEF' type for primitive object '34' data type 8 not defined." (Erreur du driver 'SIMUL32 - SIMULATORDRIVER', variable 'Sub_VISU_E1_IGEF', type d'objet primitif '34', type de données 8 non défini).

Pourquoi :

Les variables ont été :

  • Créées avec un driver S7
  • Exportées au format dBase
  • Puis importées dans le driver du simulateur

Solution

  • Exportez les variables au format dBase avec zenon 5.50
  • Dans le fichier dBase, cochez les cases Driver (type d'objet) et Data type (type de données), et adaptez le driver en conséquence.


Conversion de la version 6.01 vers 6.20

Manuels -> Conversion de projet -> Conversion de la version 6.01 vers 6.20

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les projets de la version 6.01 doivent être convertis lors du premier chargement dans l'éditeur. Une sauvegarde du projet est faite automatiquement dans le répertoire \SQL\Backup.

attention Attention

Les mots-clé non traduits dans la table des langues sont supprimés durant le processus de conversion.

Autres sujets abordés dans ce chapitre

Évacuation des archives dans une base de données SQL

Conversion des projets multi-utilisateurs de la version 6.20 vers la version 6.20 SP1


Évacuation des archives dans une base de données SQL

Manuels -> Conversion de projet -> Conversion de la version 6.01 vers 6.20 -> Évacuation des archives dans une base de données SQL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Deux colonnes ont été ajoutées à la table de bases de données <Nom du projet>_<raccourci>.

  • GUID: car. 36. Contient le GUID du projet de la variable d'un autre projet ou ZERO si c'est dans le projet propriétaire.
  • STRVALUE: varchar. Contient les valeurs des chaines archivées. Pour les variables numériques, ce champ prend la valeur ZÉRO.
    La longueur du champ varchar dépend de la chaîne la plus longue à archiver. La longueur de la variable STRING est définie dans les propriétés de la variable.

La table <project name>_VARIABLES de la base de données a une colonne de plus.

  • GUID: car. 36. Contient le GUID du projet de la variable d'un autre projet ou ZERO si c'est dans le projet propriétaire.

Ces nouvelles colonnes doivent être ajoutées dans la base de données SQL à la main ou par l'intermédiaire de l'éditeur. Dans l'éditeur, vous devez aller sur la page de propriétés Enregistrer de toutes les archives concernées. Là, vous ouvrez le texte de connexion à la base de données et confirmez la boîte de dialogue qui s'ouvre. Lors de la fermeture de cette boîte de dialogue, les modifications sont faites dans la base de données.

attention Attention

Si ces modifications ne sont pas effectuées, aucune donnée d'archive ne sera transférée vers la base de donnée SQL.


Conversion des projets multi-utilisateurs de la version 6.20 vers la version 6.20 SP1

Manuels -> Conversion de projet -> Conversion de la version 6.01 vers 6.20 -> Conversion des projets multi-utilisateurs de la version 6.20 vers la version 6.20 SP1

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les projets multi-utilisateurs ne peuvent être convertis que s'il n'y a aucun élément "sorti". Donc tous les ingénieurs doivent d'abord intégrer leurs modifications.

Si ceci n'est pas possible pour une raison ou une autre, vous devez absolument d'abord faire une sauvegarde du projet sur le serveur SQL de la base de données du projet puis vous devez la restaurer immédiatement après. À cet instant, toutes les informations Traitement en cours sont réinitialisées.

attention Attention

Toutes les modifications dans les versions locales du projet sont perdues.

La conversion ne peut être faite que sur le PC où se trouve la base de données centrale du projet. S'il n'y a pas d'éditeur sur ce PC (serveur de données indépendant), l'éditeur 6.20 SP1 doit d'abord être installé sur ce poste. Ensuite, la conversion peut être effectuée sur ce PC.


Conversion de la version 5.50 vers les versions > 6.22 SP1

Manuels -> Conversion de projet -> Conversion de la version 5.50 vers les versions > 6.22 SP1

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la conversion d'un projet de la version 5.50 vers une version ultérieure, tenez compte des indications suivantes :

Généralités

  • Écriture de la valeur prescrite et de l'élément combiné :

    Après la conversion, la propriété Écrire la valeur prescrite est activée pour tous les éléments combinés. Parce que cette propriété n'existe pas dans la version 5.50, la conversion doit être désactivée manuellement pour chaque élément combiné après la conversion.

  • Copie de projets :

    Lors de la copie de projets dans la version 5.50, les GUID sont conservés dans le fichier project.ini. Dans ce cas, le premier projet sera remplacé lors de la conversion.

    Solution : Supprimez l'entrée INI avant la conversion. Ceci permet d'assurer qu'aucun autre numéro de GUID ne sera généré durant la conversion.

  • Conversion de fichiers graphiques en éléments invisibles :

    Si un fichier graphique dans un élément combiné doit être invisible dans un certain état, aucun fichier graphique n'était sélectionné dans la version 5.50. Après la conversion, un rectangle est affiché dans l'élément combiné, car la propriété Transparent n'a pas été activée.

    Solution : Activez la propriété Transparent pour le fichier graphique. Ceci vous permet de disposer de la même fonctionnalité.

  • Noms des synoptiques :

    Les caractères autorisés sont les chiffres, les lettres et les caractères spéciaux suivants : $, -, @, _, {}, ~, !, (),
    Les trémas et autres caractères spéciaux dans les noms de synoptiques doivent être supprimés avant la conversion.

Groupes de recettes et Windows CE

Lors de la conversion d'un projet de la version 5.50, avec la propriété Projet WindowsCE active, vers une version ultérieure à la version 6.22SP1, les groupes de recettes ne sont pas convertis vers la version ultérieure.

Explication : lorsque la propriété Projet WindowsCE est active, le type d'enregistrement est défini sur binaire avant la conversion de la base de données du module RGM. Par conséquent, aucun nouveau groupe de recettes ne peut être créé dans la nouvelle version.

Solution : désactivez la propriété Projet WindowsCE avant la conversion.

Pour cela, vous pouvez soit :

  • Ouvrir le projet dans l'Éditeur de la version 5.50 et désactiver la propriété
    Ou
  • Modifier l'entrée correspondante dans le fichier INI du projet. Pour cela :
    • Ouvrez le fichier nomduprojet.ini du projet
    • Accédez à la section [RT]
    • Définissez l'entrée WIN_CE=0


Conversion de la version x vers la version 6.21

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.21

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Les fichiers CAB du client Web de zenon ne sont plus disponibles


Les fichiers CAB du client Web de zenon ne sont plus disponibles

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.21 -> Les fichiers CAB du client Web de zenon ne sont plus disponibles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'installation automatique du client Web de zenon par le biais des fichiers CAB n'est plus possible, en raison des restrictions de sécurité imposées par Windows VISTA/7.


Conversion de la version x vers la version 6.22

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.22

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Autorisation pour l'acquittement des alarmes

Correction d'une fonction du Générateur de rapports

VBA - L'accès direct aux variables sur demande n'est plus possible

Gestionnaire de groupes de recettes - Base de données modifiée

Modèle - longueur de nom maximale


Autorisation pour l'acquittement des alarmes

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.22 -> Autorisation pour l'acquittement des alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Depuis la version 6.22 de zenon, les fonctions d'autorisation existantes pour l'acquittement d'alarmes dans les propriétés du projet sont remplacées par trois nouvelles autorisations. L'ancienne fonction d'autorisation "Acquitter les alarmes" n'existe plus.

Lors de la conversion de projets existants, les nouvelles fonctions d'autorisation sont configurées selon l'autorisation unique du projet initial. Par exemple, si le groupe d'autorisation 15 était nécessaire pour la fonction d'autorisation "Acquittement des alarmes", ce groupe sera aussi nécessaire pour les 3 nouvelles fonctions.

Pour garantir la compatibilité descendante de l'Éditeur, il peut être nécessaire de transférer le groupe d'autorisation des trois nouvelles fonctions d'autorisation vers l'ancienne fonction. Le groupe d'autorisation le plus grand sera alors utilisé. Ceci signifie que si la fonction Acquitter les alarmes par la ligne d'état des alarmes possède le groupe d'autorisation 5, la fonction Acquitter les alarmes par les synoptiques possède le groupe 2 et la fonction Acquitter les alarme par fonction possède le groupe 12, la fonction Acquitter les alarmes des anciennes version recevra le groupe d'autorisation 12.

info Info

Note concernant la compatibilité en ligne en Runtime : Si vous démarrez un projet plus ancien que la version 6.22 de zenon avec la version actuelle, le système vous montrera ces nouvelles fonctions pour la configuration. Cependant, seul le groupe d'autorisation le plus grand sera utilisé selon le mécanisme décrit ci-dessus. L'ancien projet ne pourra pas utiliser la nouvelle fonctionnalité.


Correction d'une fonction du Générateur de rapports

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.22 -> Correction d'une fonction du Générateur de rapports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction fixed() comporte également l'argument no_seps dans les versions antérieures à la version 5.50. L'argument est optionnel, et contrôle l'affichage des séparateurs de milliers.

Cet argument n'a plus d'incidence sur l'affichage, car les séparateurs de milliers ne sont plus utilisés dans zenon.


VBA - L'accès direct aux variables sur demande n'est plus possible

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.22 -> VBA - L'accès direct aux variables sur demande n'est plus possible

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

VBA offre à nos clients un outil puissant pour la conception de projets. L'expérience pratique a révélé que l'accès aux variables via VBA aboutit fréquemment à des confusions dans l'utilisation des méthodes "Advise" (via un conteneur en ligne) et "Request", via un appel direct. Un nombre trop élevé de demandes peut significativement ralentir les communications.

Nous avons donc décidé de répondre aux demandes de nos clients en fermant cette source d'erreurs. Désormais, les variables peuvent uniquement être adressées via "Advise" dans VBA.

Pour les projets existants, ceci entraîne certaines incompatibilités. Vous serez affecté si vous effectuez l'adressage de ces variables par l'intermédiaire d'une requête dans VBA. Dans ce cas, vous devrez modifier ces projets. Après avoir effectué ces réglages, vous bénéficierez de communications plus performantes.

Nouveau :

L'accès direct en lecture aux variables via VBA est uniquement possible si la variable a été enregistrée dans le driver (via "Advise") et si elle possède une valeur, c'est-à-dire si IsOnline() est vraie. Les interrogations spontanées simples (requêtes) ne sont plus possibles.

Les fonctions suivantes de l'objet "Variable" renvoient une erreur si cela n'est pas le cas :

  • Valeur
  • StatusValue
  • StatusExtValue
  • StatusString
  • LastUpdateTime
  • LastUpdateTimeMilliSeconds

Cela signifie que les projets existants ne s'exécuteront plus dans le Runtime après la conversion, car les fonctions mentionnées ci-dessus produiront une erreur.

Solutions possibles :

  • Définissez un conteneur en ligner pour tous les accès aux variables affectés.
    Avantage : les variables seront uniquement appelées si vous en avez vraiment besoin.
    Inconvénient : cela demande davantage d'efforts en termes de programmation.
  • Définissez l'option "DDE active" dans le groupe "Sauvegarde de données sur disque dur" des propriétés de la variable pour toutes les variables affectées.
    Avantage : facile à mettre en œuvre.
    Inconvénient : le driver demande continuellement toutes les variables.

attention Attention

Compatibilité limitée !

Après la conversion d'un projet vers la version actuelle, vérifiez s'il existe un accès direct aux variables dans les macros VBA du Runtime. Si c'est le cas, vous devez procéder comme indiqué ci-dessus !


Gestionnaire de groupes de recettes - Base de données modifiée

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.22 -> Gestionnaire de groupes de recettes - Base de données modifiée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la version 6.22 SP1, le format des bases de données utilisées aux fins du stockage de données a été modifié. Cela signifie que lors de la conversion d'un projet dans l'Éditeur, la base de données est automatiquement modifiée.

Si vous avez modifié des données du gestionnaire de groupes de recettes dans le Runtime, vous devez procéder comme suit :

  1. Démarrez l'Éditeur dans la version originale avant de convertir le projet.
  2. Dans les propriétés du projet, Données modifiables en RT assurez-vous de pouvoir importer et décompiler les données du gestionnaire de groupes de recettes.
  3. Si vous utilisez le Runtime sur un système distant : Établissez une connexion avec le système distant et importez les fichiers du Runtime. Vous trouverez cette fonction dans la barre d'outils de Remote Transport.
  4. Importez les données du Runtime dans l'Editeur. Pour cela, utilisez la commande Importer les données du Runtime dans la barre d'outils fichiers Runtime.
  5. Fermez l'ancien Éditeur et ouvrez le nouvel Éditeur. Vous pouvez maintenant convertir le projet vers la nouvelle version en toute sécurité. Toutes les données sont disponibles dans la nouvelle version.

attention Attention

Les anciennes bases de données du gestionnaire de groupes de recettes des versions antérieures à la version 6.22 SP1 ne peuvent pas être lues dans le Runtime 6.22 SP1 ou ultérieures ! Si vous ne convertissez pas les données à l'aide de l'Editeur comme indiqué ici, vous perdrez toutes les modifications apportées aux recettes et groupes de recettes dans le Runtime.

Windows CE

Lors de la conversion d'un projet lorsque l'option Projet WindowsCE est active, les données sont automatiquement enregistrées au format binaire dans zenon 6.22. Cela signifie que lors de l'ouverture dans le module RGM, toutes les recettes donnent l'impression d'avoir disparu.


Modèle - longueur de nom maximale

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.22 -> Modèle - longueur de nom maximale

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les noms de modèle peuvent comporter 29 caractères maximum. Dans une version précédente, il était possible de créer des noms contenant 30 caractères. Avant de convertir un projet, vous devez réduire tous les noms de cadres comportant 30 caractères à 29 caractères.


Convertir de la version x vers la version 6.50

Manuels -> Conversion de projet -> Convertir de la version x vers la version 6.50

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les projets provenant de versions antérieures sont automatiquement convertis lors du chargement dans l'éditeur actuel. Une sauvegarde du projet est faite automatiquement dans le répertoire \SQL\Backup.

attention Attention

Avant de convertir les données modifiées dans l'éditeur du Runtime, lisez-les avec l'ancienne version. Dans le cas contraire, elles seront perdues !

Autres sujets abordés dans ce chapitre

zenon Logic

Paramètres graphiques étendus pour la liste d'alarmes et la liste chronologique d'événements

Bits d'état - nouveau nom court

Structures des UDFB dans zenon Logic

VSTA et VBA - dénomination d'objets


zenon Logic

Manuels -> Conversion de projet -> Convertir de la version x vers la version 6.50 -> zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la conversion de projets zenon Logic, tenez compte des informations suivantes :

attention Attention

Les considérations suivantes s'appliquent pour zenon Logic :

  • tous les projets doivent être recompilés après la conversion vers le module Workbench, afin qu'ils soient opérationnels dans le Runtime zenon Logic.
  • Les projets provenant d'une ancienne version, et qui n'ont pas été convertis au format de la version 6.50, ne peuvent pas être exécutés avec le Runtime version 6.50.


Paramètres graphiques étendus pour la liste d'alarmes et la liste chronologique d'événements

Manuels -> Conversion de projet -> Convertir de la version x vers la version 6.50 -> Paramètres graphiques étendus pour la liste d'alarmes et la liste chronologique d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

A compter de la version 6.50, la propriété Paramètres du graphique étendu est disponible pour l'élément de contrôle Liste d'alarmes dans les synoptiques de type Liste d'alarmes (AML) et l'élément de contrôle Liste chronologique d'événements dans les synoptiques de type Liste chronologique d'événements (CEL).

Elle active l'utilisation et la personnalisation des barres de défilement horizontales et verticales, de l'en-tête et de la grille de l'élément de contrôle via les propriétés correspondantes dans le groupe Entête et grille.

Si les projets provenant d'une version antérieure sont convertis au format de la version 6.5x, la propriété Paramètres du graphique étendu est manquante. Pour accéder à la propriété, vous devez supprimer l'élément de contrôle Liste d'alarmes ou Liste chronologique d'événements du synoptique et le créer à nouveau.


Bits d'état - nouveau nom court

Manuels -> Conversion de projet -> Convertir de la version x vers la version 6.50 -> Bits d'état - nouveau nom court

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Depuis la version 6.20, les noms courts des bits d'état diffèrent dans les différentes langues. Avec la version 6.50 de zenon, les noms courts communs ont été mis en œuvre. Pour garantir la compatibilité avec les versions antérieures, les noms courts peuvent être remplacés par les noms précédents dans le fichier project.ini. Dans ce chapitre, vous trouverez :

  1. La liste des nouveaux noms courts, ainsi que la comparaison avec les noms courts précédents
  2. La liste des noms courts et noms longs
  3. Instruction de réactivation des anciens noms courts dans project.ini

1. État du nouveau nom court

Bit no. | À partir de 6.50 Toutes | Jusqu'à 6.50 Allemand | Jusqu'à 6.50 Anglais | Jusqu'à 6.50 Français | Jusqu'à 6.50 Italien | Jusqu'à 6.50 Espagnol | Jusqu'à 6.50 Russe
0 | M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1 | ST_M1
1 | M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2 | ST_M2
2 | M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3 | ST_M3
3 | M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4 | ST_M4
4 | M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5 | ST_M5
5 | M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6 | ST_M6
6 | M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7 | ST_M7
7 | M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8 | ST_M8
8 | NET_SEL | SELEC | SELEC | SELEC | SELEC | SELEC | ?????
9 | REVISION | REV | REV | REV | REV | REV | ???
10* | PROGRESS | LAUF | DIREC | DIREC | RUN | LAUF | ???
11 | TIMEOUT | LZÜ | RTE | DRT | RTE | LZÜ | ???
12 | MAN_VAL | HWERT | MVALUE | VAL_M | V_MAN | VWERT | ?????
13 | M14 | ST_14 | ST_14 | ST_14 | ST_14 | ST_14 | ST_14
14 | M15 | ST_15 | ST_15 | ST_15 | ST_15 | ST_15 | ST_15
15 | M16 | ST_16 | ST_16 | ST_16 | ST_16 | ST_16 | ST_16
16 | GI | GA | GI | RG | IG | CG | ??
17 | SPONT | SPONT | SPONT | SPONT | SPONT | SPONT | SPONT
18 | INVALID | I-BIT | I-BIT | I-BIT | NV-BIT | I-BIT | I-Bit
19 | T_CHG_A | SO/WI | SU/WI | ET/HI | ES/IN | VE/IN | ??/??
20 | OFF | N_AKT | N_UPD | N_RAF | N_UPD | N_AKT | N_AKT
21 | T_EXTERN | EZ_E | RT_E | HR_E | RT_E | EZ_E | EZ_E
22 | T_INTERN | EZ_I | RT_I | HR_E | RT_I | EZ_E | EZ_E
23 | N_SORTAB | NSORT | NSORT | NTRI | NORD | NSORT | ??????
24 | FM_TR | SM_TR | DM_TR | MD_TR | SM_TR | SM_TR | SM_TR
25 | RM_TR | LM_TR | RM_TR | MM_TR | RM_TR | LM_TR | ??_??
26 | INFO | INFO | INFO | INFO | INFO | INFO | INFO
27 | ALT_VAL | EWERT | AVALUE | VALR | RVAL | EWERT | ?????
28 | RES28 | RES13 | RES13 | RES13 | RES13 | RES13 | RES13
29 | N_UPDATE | !AKTUAL | !AKTUAL | !AKTUAL | !ATTUALE | !ACTUAL | !?????????
30 | T_STD | WINTER | WINTER | HIVER | INVERNO | INVIERNO | ????
31 | RES31 | RES16 | RES16 | RES16 | RES16 | RES16 | RES16
32 | COT0 | UEK0 | TCB0 | CTB0 | CTB0 | TCB0 | ???0
33 | COT1 | UEK1 | TCB1 | CTB1 | CTB1 | TCB1 | ???1
34 | COT2 | UEK2 | TCB2 | CTB2 | CTB2 | TCB2 | ???2
35 | COT3 | UEK3 | TCB3 | CTB3 | CTB3 | TCB3 | ???3
36 | COT4 | UEK4 | TCB4 | CTB4 | CTB4 | TCB4 | ???4
37 | COT5 | UEK5 | TCB5 | CTB5 | CTB5 | TCB5 | ???5
38 | N_CONF | PN_BIT | PN_BIT | PN_BIT | PN_BIT | PN_BIT | PN_BIT
39 | TEST | T_BIT | T_BIT | T_BIT | T_BIT | T_BIT | T_BIT
40 | WR_ACK | WR-ACK | WR-ACK | ECR-ACK | WR-ACK | WR-ACK | WR-ACK
41 | WR_SUC | WR-SUC | WR-SUC | ECR-OK | WR-SUC | WR-SUC | WR-SUC
42 | NORM | NORM | NORM | NORM | NORM | NORM | ????
43 | N_NORM | ABNORM | DEVNORM | DEVNORM | Fuori norma | DEVNORM | ???????
44 | BL_870 | BL_BIT | BL_BIT | BL_BIT | BL_BIT | BL_BIT | BL_BIT
45 | SB_870 | SB_BIT | SB_BIT | SB_BIT | SB_BIT | SB_BIT | SB_BIT
46 | NT_870 | NT_BIT | NT_BIT | NT_BIT | NT_BIT | NT_BIT | NT_BIT
47 | OV_870 | OV_BIT | OV_BIT | OV_BIT | OV_BIT | OV_BIT | OV_BIT
48 | SE_870 | SE_BIT | SE_BIT | SE_BIT | SE_BIT | SE_BIT | SE_BIT
49 | T_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL | TIME_INVAL
50 | RES50 | RES50 | RES50 | RES50 | RES50 | RES50 | RES50
51 | RES51 | RES51 | RES51 | RES51 | RES51 | RES51 | RES51
52 | RES52 | RES52 | RES52 | RES52 | RES52 | RES52 | RES52
53 | RES53 | RES53 | RES53 | RES53 | RES53 | RES53 | RES53
54 | RES54 | RES54 | RES54 | RES54 | RES54 | RES54 | RES54
55 | RES55 | RES55 | RES55 | RES55 | RES55 | RES55 | RES55
56 | RES56 | RES56 | RES56 | RES56 | RES56 | RES56 | RES56
57 | RES57 | RES57 | RES57 | RES57 | RES57 | RES57 | RES57
58 | RES58 | RES58 | RES58 | RES58 | RES58 | RES58 | RES58
59 | RES59 | RES59 | RES59 | RES59 | RES59 | RES59 | RES59
60 | RES60 | RES60 | RES60 | RES60 | RES60 | RES60 | RES60
61 | RES61 | RES61 | RES61 | RES61 | RES61 | RES61 | RES61
62 | RES62 | RES62 | RES62 | RES62 | RES62 | RES62 | RES62
63 | RES63 | RES63 | RES63 | RES63 | RES63 | RES63 | RES63

* Remarque : 'état no. 10 a été renommé en D_DIREC dans la version 6.50 et en PROGRESS à compter de la version 6.51.

2. Nom court - nom long

Les noms courts sont identiques dans toutes les langues, à partir de la version 6.50. Les noms longs restent dépendants des langues :

Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | État utilisateur 1 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélection sur le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En cours d'utilisation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | VAL_M;valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | RG;Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Non valide | _VSB_I_BIT
19 | T_CHG_A | Annonce heure été/hiver | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel externe | _VSB_RT_E
22 | T_INTERN | Horodatage temps réel interne | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | MM_TR;Message de marche du transfo | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | VALR;valeur de remplacement Si aucune valeur n'a été transférée, la valeur de remplacement définie est utilisée ; dans le cas contraire, la dernière valeur valide est utilisée. | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Non mis à jour | _VSB_ACTUAL
30 | T_STD | Heure standard | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission, bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission, bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission, bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission, bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission, bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission, bit 6 | _VSB_TCB5
38 | N_CONF | Pas d'acceptation du mode Select par le matériel (IEC 60870) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | DEVNORM;État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : bloqué | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substitué | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : non topique | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : dépassement | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : sélectionné | _VSB_SE_BIT
49 | T_INVAL | Temps invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | RES52 | réservé | non défini
53 | RES53 | réservé | non défini
54 | RES54 | réservé | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Info

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

3. Activation des anciens noms courts

Si vous voulez utiliser les noms courts dépendants des langues comme dans les versions antérieures à la version 6.50, vous pouvez activer cela avec une entrée dans le fichier project.ini. Les premiers noms courts s'appliquent à :

  • VBA
  • Gestionnaire de groupes de recettes
  • Boîte de dialogue Élément combiné
  • Boîte de dialogue Matrice de réaction

Remarque : le nom abrégé doit être saisi en lettres majuscules ; il ne doit pas contenir d'espaces et doit comporter au maximum 7 caractères.

Voici comment ouvrir le fichier project.ini :

  1. Sélectionner le projet dans le Gestionnaire de projet
  2. Appuyez sur le touches Ctrl+Alt+E
  3. Le dossier SQL de zenon s'ouvre dans l'Explorateur Windows

    C:\ProgramData\COPA-DATA\[Dossier SQL]\[UID]}FILES

  4. Accédez à \zenon\system\
  5. Ouvrez le fichier project.ini avec un éditeur de texte.

Attribution des nouveaux noms courts dépendant des langues

Copiez l'entrée correspondant à la langue souhaitée de [STATUS] jusqu'à STATUS63=RES63 (inclus), et collez ces données dans project.ini.

Allemand | Anglais | Français
[STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=LAUF STATUS11=LZÜ STATUS12=HWERT STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=GA STATUS17=SPONT STATUS18=I-BIT STATUS19=SO/WI STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_I STATUS23=NSORT STATUS24=SM_TR STATUS25=LM_TR STATUS26=INFO STATUS27=EWERT STATUS28=RES13 STATUS29=!AKTUAL STATUS30=WINTER STATUS31=RES16 STATUS32=UEK0 STATUS33=UEK1 STATUS34=UEK2 STATUS35=UEK3 STATUS36=UEK4 STATUS37=UEK5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=ABNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=DIREC STATUS11=RTE STATUS12=MVALUE STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=GI STATUS17=SPONT STATUS18=I-BIT STATUS19=SU/WI STATUS20=N_UPD STATUS21=RT_E STATUS22=RT_I STATUS23=NSORT STATUS24=DM_TR STATUS25=RM_TR STATUS26=INFO STATUS27=AVALUE STATUS28=RES13 STATUS29=!AKTUAL STATUS30=WINTER STATUS31=RES16 STATUS32=TCB0 STATUS33=TCB1 STATUS34=TCB2 STATUS35=TCB3 STATUS36=TCB4 STATUS37=TCB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=DIREC STATUS11=DRT STATUS12=VAL_M STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=RG STATUS17=SPONT STATUS18=I-BIT STATUS19=ET/HI STATUS20=N_RAF STATUS21=HR_E STATUS22=HR_E STATUS23=NTRI STATUS24=MD_TR STATUS25=MM_TR STATUS26=INFO STATUS27=VALR STATUS28=RES13 STATUS29=!AKTUAL STATUS30=HIVER STATUS31=RES16 STATUS32=CTB0 STATUS33=CTB1 STATUS34=CTB2 STATUS35=CTB3 STATUS36=CTB4 STATUS37=CTB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=ECR-ACK STATUS41=ECR-OK STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63

Italien | Espagnol | Russe
[STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=RUN STATUS11=RTE STATUS12=V_MAN STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=IG STATUS17=SPONT STATUS18=NV-BIT STATUS19=ES/IN STATUS20=N_UPD STATUS21=RT_E STATUS22=RT_I STATUS23=NORD STATUS24=SM_TR STATUS25=RM_TR STATUS26=INFO STATUS27=RVAL STATUS28=RES13 STATUS29=!ATTUALE STATUS30=INVERNO STATUS31=RES16 STATUS32=CTB0 STATUS33=CTB1 STATUS34=CTB2 STATUS35=CTB3 STATUS36=CTB4 STATUS37=CTB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=Fuori norma STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=SELEC STATUS9=REV STATUS10=LAUF STATUS11=LZÜ STATUS12=VWERT STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=CG STATUS17=SPONT STATUS18=I-BIT STATUS19=VE/IN STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_E STATUS23=NSORT STATUS24=SM_TR STATUS25=LM_TR STATUS26=INFO STATUS27=EWERT STATUS28=RES13 STATUS29=!ACTUAL STATUS30=INVIERNO STATUS31=RES16 STATUS32=TCB0 STATUS33=TCB1 STATUS34=TCB2 STATUS35=TCB3 STATUS36=TCB4 STATUS37=TCB5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=NORM STATUS43=DEVNORM STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63 | [STATUS] STATUS0=ST_M1 STATUS1=ST_M2 STATUS2=ST_M3 STATUS3=ST_M4 STATUS4=ST_M5 STATUS5=ST_M6 STATUS6=ST_M7 STATUS7=ST_M8 STATUS8=????? STATUS9=??? STATUS10=??? STATUS11=??? STATUS12=????? STATUS13=ST_14 STATUS14=ST_15 STATUS15=ST_16 STATUS16=?? STATUS17=SPONT STATUS18=I-Bit STATUS19=??/?? STATUS20=N_AKT STATUS21=EZ_E STATUS22=EZ_E STATUS23=?????? STATUS24=SM_TR STATUS25=??_?? STATUS26=INFO STATUS27=????? STATUS28=RES13 STATUS29=!????????? STATUS30=???? STATUS31=RES16 STATUS32=???0 STATUS33=???1 STATUS34=???2 STATUS35=???3 STATUS36=???4 STATUS37=???5 STATUS38=PN_BIT STATUS39=T_BIT STATUS40=WR-ACK STATUS41=WR-SUC STATUS42=???? STATUS43=??????? STATUS44=BL_BIT STATUS45=SB_BIT STATUS46=NT_BIT STATUS47=OV_BIT STATUS48=SE_BIT STATUS49=TIME_INVAL STATUS50=RES50 STATUS51=RES51 STATUS52=RES52 STATUS53=RES53 STATUS54=RES54 STATUS55=RES55 STATUS56=RES56 STATUS57=RES57 STATUS58=RES58 STATUS59=RES59 STATUS60=RES60 STATUS61=RES61 STATUS62=RES62 STATUS63=RES63


Structures des UDFB dans zenon Logic

Manuels -> Conversion de projet -> Convertir de la version x vers la version 6.50 -> Structures des UDFB dans zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

A compter de la version 6.50, dans zenon, les types de données UFDB de zenon Logic ne sont plus disponibles. Pour préserver la compatibilité avec la version 6.22, vous pouvez les créer dans zenon, avec un préfixe de projet : "PROJEKTNAME/UDFBName". Pour cela, vous devez ajouter une entrée dans le fichier K5DBXS.ini :

  1. Ouvrez le fichier K5DBXS.ini.
  2. Accédez à la section [XS].
  3. Créez l'entrée UseUDFBPrefix=1.

Pour toute question concernant l'adaptation d'UFDB invisibles, veuillez contacter support@copadata.com ou le service d'assistance fourni dans votre contrat d'assistance.


VSTA et VBA - dénomination d'objets

Manuels -> Conversion de projet -> Convertir de la version x vers la version 6.50 -> VSTA et VBA - dénomination d'objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Certaines modifications apportées au modèle d'objet ont été réalisées en raison des limites inhérentes à la dénomination d'objets VSTA. Ces modifications ont une incidence sur le code VBA, car celui-ci continue à accéder à l'ancien nom et ne fonctionne donc plus.

Les modifications suivantes ont été mises en œuvre :

  • IDriver
    • Nom -> Identification :

      La propriété Nom ne reçoit pas le nom renvoyé, mais l'identification du driver. Elle a été renommée en Identification.

    • Driver -> Nom :

      Driver est incompatible avec VSTA, car cette propriété renvoie le nom du driver. Elle a été renommée en Nom.

  • IApplication
    • Fermer -> Méthode : Fermer / Événement : OnClose :

      IApplication comporte à la fois une méthode et un événement portant le nom Close. Cette fonction n'est pas compatible avec VSTA. L'événement a été renommé en OnClose.

  • IZenWorkspace
    • Démarrage -> OnWorkspaceStartup
    • Quitter -> OnWorkspaceExit

      Ces deux noms étant utilisés pour les événements internes VSTA, ils ont été modifiés en OnWorkspaceStartup et OnWorkspaceExit.

attention Attention

Contrôlez le code VBA afin de localiser tout nom de modifié et adaptez-le si nécessaire.


Conversion de la version x vers la version 6.51

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.51

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les projets provenant de versions antérieures sont automatiquement convertis lors du chargement dans l'éditeur actuel. Une sauvegarde du projet est faite automatiquement dans le répertoire \SQL\Backup.

attention Attention

Précautions à prendre avant la conversion :

Avant de convertir les données modifiées dans l'éditeur du Runtime, lisez-les avec l'ancienne version. Dans le cas contraire, elles seront perdues !

Autres sujets abordés dans ce chapitre

Calcul de la largeur des colonnes

Base de données SQL de paramètres

Extended Trend – Axe XY

GUID pour la conversion de projets avec la version 5.50

Élément combiné Boutons à cliquer

Commande Menus contextuels

Enregistrement des heures des postes dans le module PFS

Conversion des couleurs de symboles de la bibliothèque globale de symboles de palettes en couleurs absolues

Assistants - Suppression des propriétés VBA et VSTA

Le caractère # n'est pas autorisé dans les noms d'objet


Calcul de la largeur des colonnes

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.51 -> Calcul de la largeur des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À partir de la version 6.51, la largeur moyenne des caractères de la police sélectionnée est utilisée pour calculer la largeur des colonnes (par exemple, liste d'alarmes ou liste CEL). Avant cela, une valeur par défaut était utilisée. Cela peut entraîner l'affichage de colonnes dans des largeurs inattendues après la conversion.


Base de données SQL de paramètres

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.51 -> Base de données SQL de paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

A compter de la version 6.51, l'instance de SQL peut être définie et le mot de passe est enregistré sous forme chiffrée dans l'outil Startup Tool.

A cette fin, la boîte de dialogue de configuration des propriétés de la base de données a été modifiée. Les nouvelles entrées sont prioritaires sur les entrées existantes. L'affichage de la boîte de dialogue est automatiquement adapté à la version sélectionnée (antérieure à la version 6.51, ou versions 6.51 et ultérieures).

Nouvelles entrées

Le fichier zenondb.ini contient de nouvelles entrées à compter de la version 6.51 :

CONNECTION_SQL2005]

USER=zenOnSrv

PW=0x9C 0x94 0xC6 0x50 0x15 0x80 0x79 0x06 0x32 0xED 0x4E 0xE1 0x15 0xDD 0x7C 0x90

SQLINSTANCE=COMPUTERNAME\ZENON_DEV

Ces entrées remplacent l'entrée :

[CONFIG]

PROVIDER_SQL2005

Si les nouvelles entrées ne sont pas disponibles ou sont vides, cette entrée est utilisée malgré tout.

Compatibilité

Tant qu'aucune propriété n'est modifiée, les entrées existantes restent valides. Si vous modifiez une entrée pour la version 6.51 ou une version ultérieure, les nouvelles entrées sont valides. La maintenance des versions antérieures doit être assurée séparément. Vous trouverez les paramètres pour les versions antérieures à 6.51 au chapitre Base de données antérieure à la version 6.51.

Attention : le chiffrement du mot de passe se déroule maintenant dans la nouvelle boîte de dialogue de l'outil Startup Tool ; à compter de la version 6.51, tous les paramètres doivent dont être configurés par l'intermédiaire de l'outil Startup Tool.


Extended Trend – Axe XY

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.51 -> Extended Trend – Axe XY

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour des raisons de performances, les données d'archive de l'axe X ne sont plus chargées automatiquement dans le diagramme du module Extended Trend (tendance étendue) à partir de la version 6.51. Pour afficher malgré tout l'axe X dans le diagramme :

  • Ajoutez la variable sélectionnée pour le paramètre Variable for X-axis (Variable de l'axe X), ainsi que la courbe dans le diagramme.
  • Désactivez l'affichage de la courbe.


GUID pour la conversion de projets avec la version 5.50

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.51 -> GUID pour la conversion de projets avec la version 5.50

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la conversion de projets à partir de la version 5.50, n'oubliez pas que lors de la conversion de projets multiples, un GUID individuel est créé pour chaque projet.

Raison

Dans le fichier project.ini de la version 5.50, l'entrée GUID contient un GUID de projet. Si vous convertissez un projet vers la version 6.x, ce GUID est utilisé.

Dans zenon 5.50, il était possible de copier des dossiers au niveau des fichiers, puis d'ouvrir le projet dans l'Éditeur avant de renommer. La copie du projet contenait encore le GUID d'origine dans le fichier INI, ce qui ne posait aucun problème dans la version 5.50.

Si vous convertissez deux projets de cette manière dans la version 6.x, la conversion du deuxième projet sera annulée et un message indiquera que le GUID existe déjà.

Solution

Pour convertir plusieurs projets copiés à partir de la version 5.50, trois possibilités s'offrent à vous :

  1. Enregistrer sous
    • Convertissez le projet A
    • Sélectionnez l'option Enregistrer projet sous dans la version 6.x
    • Un nouveau GUID est créé
    • Supprimez le projet d'origine
    • Convertissez le projet B

    Attention : cette méthode n'est pas adaptée aux projets globaux.

  2. Sauvegarde projet
    • Convertissez le projet A
    • Créez une sauvegarde du projet dans la version 6.x
    • Supprimez le projet d'origine
    • Restaurez la sauvegarde en sélectionnant l'option Restaurer sauvegarde projet, puis activez la propriété Créer un nouveau projet.

    Remarque : cette méthode est également adaptée aux projets globaux.

  3. Édition du fichier project.ini :
    • Ouvrez le fichier project.ini de la version 5.50. Dans cette version, le fichier project.ini est appelé projectname.ini.
    • Supprimez l'entrée avec le GUID
    • Effectuez la conversion
    • Un nouveau GUID est créé

    Remarque : si ce projet est rouvert avec la version 5.50, un nouveau GUID est également créé et saisi dans le fichier INI.


Élément combiné Boutons à cliquer

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.51 -> Élément combiné Boutons à cliquer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

A compter de la version 6.51, vous pouvez créer sous toutes les formes des boutons à cliquer dans l'élément combiné pour l'option Symbole de la bibliothèque.

Pour les projets issus de versions antérieures du logiciel, la propriété La forme du symbole définie la zone de clic (nœud : Affichage) est considérée comme inactive.


Commande Menus contextuels

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.51 -> Commande Menus contextuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avant la version 6.51, le texte associé aux éléments de menu automatiques était ignoré. Lors de la conversion de projets créés avec une version antérieure à la version 6.51, des macros $ALL$$NOTE$ sont automatiquement insérées avant le texte développé. Par conséquent, les éléments de menu se comportent comme auparavant.


Enregistrement des heures des postes dans le module PFS

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.51 -> Enregistrement des heures des postes dans le module PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'enregistrement des heures des postes dans le module Production & Facility Scheduler, le nom de la table de l'enregistrement a été défini sur PFSSHIFTHISTORY dans la version 6.50.

À partir de la version 6.51, le nom est créé selon le motif suivant : GUID du projet_POSTE_GUID du groupe d'équipements.
Par exemple : 292af0ac-d33d-4123-8484-e359cd0a6ae3_SHIFT_989ef705-d6a6-4b81-9eb5-f76483ecaac1.


Conversion des couleurs de symboles de la bibliothèque globale de symboles de palettes en couleurs absolues

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.51 -> Conversion des couleurs de symboles de la bibliothèque globale de symboles de palettes en couleurs absolues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'utilisation de palettes, seul l'indice de la palette est enregistré. La couleur réelle est attribuée dans le Runtime.

Problème

Si vous définissez des couleurs pour les symboles de la bibliothèque de symboles par le biais de palettes (dont le fonctionnement est semblable à celui de la palette des versions 6.51 et ultérieures) dans des versions antérieures à zenon 6.51, et les couleurs d'un symbole sont modifiées dans la version 6.51, toutes les couleurs de symboles définies par l'utilisateur sont adaptées lors du redémarrage de l'Éditeur. Cette action est correcte, du point de vue de la compatibilité. Toutefois, l'utilisation de couleurs absolues peut être nécessaire.

Solution

Si la bibliothèque de symboles est à nouveau enregistrée dans zenon 6.51, les indices des palettes sont enregistrés sous forme de couleurs absolues.

Procédure :

  1. activez et ouvrez le projet avec la palette correcte dans zenon 6.51.
  2. Ajoutez un nouveau symbole à la bibliothèque globale de symboles.
  3. Enregistrez la bibliothèque globale de symboles. Il est alors enregistré au nouveau format.
  4. Fermez l'Éditeur et redémarrez-le.
  5. Renommez le nouveau symbole et enregistrez-le.
  6. Dans la bibliothèque globale de symboles, les couleurs de la palette sont remplacées par des couleurs absolues.


Assistants - Suppression des propriétés VBA et VSTA

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.51 -> Assistants - Suppression des propriétés VBA et VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En cas d'exécution de la fonction de filtre lors d'un appel de synoptique de type Tendance étendue, les propriétés dynamiques suivantes ont été supprimées, car elles n'ont plus de fonction :

  • PictFilter[0].Curve["0 "].VarInfo.Channel
  • et ArvName, Titel, Group et Amplitude pour le même objet

Si vous utilisez ces propriétés dans un assistant, vous devez les supprimer.


Le caractère # n'est pas autorisé dans les noms d'objet

Manuels -> Conversion de projet -> Conversion de la version x vers la version 6.51 -> Le caractère # n'est pas autorisé dans les noms d'objet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À partir de la version 6.51, le caractère # n'est plus valide pour les noms d'objet, tels que les variables ou les fonctions. Le caractère ne peut pas être saisi lors de la définition du nom dans l'interface utilisateur.

Explication : un caractère # dans le nom peut provoquer des problèmes durant l'importation.


Conversion de la version X à la version 7.00

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les projets provenant de versions antérieures sont automatiquement convertis lors du chargement dans l'Éditeur actuel. Une sauvegarde du projet est faite automatiquement dans le répertoire \SQL\Backup. À partir de la version 7.00, les noms de fichier des sauvegardes générées automatiquement comportent une indication de la version de SQL Server, par exemple :
avant conversion vers 7.00 SP0 (sql server 2008 r2).zip

attention Attention

Précautions à prendre avant la conversion :

Avant de convertir les données modifiées dans l'Éditeur du Runtime, lisez-les avec l'ancienne version. Dans le cas contraire, elles seront perdues !

Autres sujets abordés dans ce chapitre

Gestion des utilisateurs avec Active Directory

Installation de la version 7.x et de la version 6.51 sur le même ordinateur

Diagnosis Server avec nouveau service

Liste déroulante/Zone de liste dynamique

IPv6

Licence

Gestion de messages

RGM - Erreur de fonctionnement lors de l'appel de synoptique

Lecture de recettes dans le module RGM - Nouveau fonctionnement

Driver Allan Bradley RS-Linx

Modification de SQL Server


Gestion des utilisateurs avec Active Directory

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Gestion des utilisateurs avec Active Directory

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À partir de la version 7.00 SP0, seul Active Directory est disponible pour la gestion des utilisateurs dans le Runtime de zenon. Cela signifie, pour l'Éditeur de zenon :

  • Les utilisateurs AD ne sont pas utilisés pour l'Éditeur.
  • Les utilisateurs AD ne sont plus validés dans l'Éditeur.
  • AD ne permet pas de se connecter à l'Éditeur.

Attention : si vous avez activé la fonction de connexion à l'Éditeur de zenon via Active Directory dans un projet, vous devez créer un utilisateur de zenon possédant tous les droits nécessaires avant de convertir le projet.


Installation de la version 7.x et de la version 6.51 sur le même ordinateur

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Installation de la version 7.x et de la version 6.51 sur le même ordinateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si une version 7.x est installée sur un système sur lequel zenon 6.51 est déjà installé, le pilote Multiple Network Protocol Driver doit être réinstallé après le redémarrage de l'ordinateur.

Pour cela,

  1. Redémarrez le système
  2. Sur le DVD, accédez au dossier Additional_Software\COPA-DATA Multiple Network Protocol Driver x64
  3. Exécutez le fichier setup64.exe (setup32.exe sur les systèmes 32 bits depuis le dossier Additional_Software\COPA-DATA Multiple Network Protocol Driver x86)

Ceci permet de réinstaller le pilote et de le lier correctement à la carte réseau.


Diagnosis Server avec nouveau service

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Diagnosis Server avec nouveau service

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec zenon 7.00 SP0, le système de diagnostic a évolué. À partir de cette version, toutes les tâches de journalisation sont effectuées par le service zenLogSrv. Le service zenSysServ gère désormais uniquement les activités du module Remote Transport. Le nombre maximal de modules par Diagnosis Client a été augmenté de 32 à 64.

Ce qui signifie :

  • Les systèmes de diagnostic jusqu'à la version 6.51 et à partir de la version 7.00 sont compatibles.
  • Les mécanismes de diagnostic de zenon 6.51 SP0 et de zenon 7.00 SP0 ne sont pas compatibles.
Compatibilité | Diagnosis Server, versions 6.51 SP0 et antérieures | Diagnosis Server, versions 7.00 SP0 et ultérieures
Diagnosis Client, versions 6.51 SP0 et antérieures | compatible | incompatible
Diagnosis Viewer, versions 6.51 SP0 et antérieures | compatible | incompatible
Diagnosis Client, versions 7.00 SP0 et ultérieures | incompatible | compatible
Diagnosis Viewer, versions 7.00 SP0 et ultérieures | incompatible | compatible

Avec Diagnosis Viewer, versions 7.00 SP0 et ultérieures, vous pouvez ouvrir les fichiers journaux créés dans Diagnosis Server, versions 6.51 SP0 et antérieures. Cela ne fonctionne pas dans l'autre sens !


Liste déroulante/Zone de liste dynamique

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Liste déroulante/Zone de liste dynamique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À partir de la version 7, les zones de liste/listes déroulantes peuvent également être créées de manière dynamique. La propriété Entrées depuis une variable chaine permet de définir si les entrées dans la liste sont créées dans l'Éditeur, ou via une variable de chaîne liée.

Lors de la conversion de projets depuis une version antérieure à zenon 7, les nouvelles propriétés sont associées à des valeurs valides :

  • liste déroulante statique/zone de liste (propriété Entrées depuis une variable chaine inactive)
  • aucune variable de visibilité (propriété Variable vide)

Si les fichiers d'une version antérieure sont créés ou enregistrés, les propriétés de la zone de liste/liste déroulante dynamique ne sont pas chargées, afin de garantir leur rétrocompatibilité.


IPv6

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> IPv6

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À partir de zenon version 7, vous pouvez utiliser le protocole IPv6 sur le réseau.

Le réseau de zenon permet de choisir les protocoles IPv6 ou IPv4. Le double fonctionnement n'est pas autorisé. Pour configurer ce paramètre :

  • Sélectionnez Network configuration (Configuration réseau) dans l'outil Startup Tool
    Ou
  • dans le fichier zenon6.ini

Attention : Le protocole IPv6 est uniquement compatibles avec les versions 7 et ultérieures.
Aucune version avant la version 7 ne peut être démarrée si cette option est active. Ceci concerne en particulier zenAdminSrv, zenSysSrv, zenLogSrv et zenDBSrv.

Les composants suivants ne sont pas affectés par le paramètre ; ils utilisent toujours le protocole IPv4 :

  • Communications du driver avec les automates
  • Communications du protocole dans les plug-ins de Process Gateway
  • Communications de l'espace de travail et du Runtime dans zenon Logic

Outil de diagnostic : Diagnosis Viewer

Diagnosis Server collabore également avec les clients de diagnostic, dont l'adressage est défini sous forme d'adresses IPv6. Pour cela, le format du fichier journal a été adapté. L'outil Diagnosis Viewer lit uniquement le nouveau format des fichiers journaux. Si des fichiers journaux provenant de versions antérieures de zenon (ou inversement) sont ouverts, l'adresse IP de Diagnosis Client n'est pas affichée correctement.


Licence

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec la version 7.00, la gestion des licences a évolué. Pour adapter la version existante de zenon à la version 7.00, vous devez acheter une licence pour la version 7.00 et saisir le nouveau numéro d'activation. Les numéros de série sont conservés.

Les entrées dans le fichier zenon6.ini sont maintenant :

[DEFAULT]

SERIAL7=

ACTIVATIONKEY7=


Gestion de messages

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Gestion de messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À partir de la version zenon 7.00 SP0, le module de gestion des messages diffère fondamentalement des versions antérieures en termes de technologie et de configuration.

Des modifications techniques importantes ont été mises en œuvre :

  • Le serveur COM n'est plus utilisé
  • Le composant supplémentaire de l'entreprise DerDack n'est plus utilisé
  • L'élément ZenMsgQueue est remplacé par un synoptique de type Gestion des messages
  • La configuration est effectuée par le biais de la propriété Gestion de messages (MessagCtrl) de l'espace de travail (envoi) et des propriétés Paramètres spécifiques au projet pour le module Gestion de messages dans le projet (spécifique au projet)
  • La vue de détail n'est plus disponible
  • Les modèles de postes et la fonctionnalité de calendrier ont été supprimés
  • Les fichiers ne sont plus modifiables dans le Runtime
  • L'envoi d'e-mails est possible via Outlook ou un serveur SMTP ; le protocole SMTP autorise l'envoi de pièces jointes
  • La configuration du type d'envoi n'est plus enregistrée dans le fichier message32.ini, mais dans le fichier zenon6.ini
  • Évaluation des textes de limite : jusqu'à présent, l'évaluation des textes composés dans le module Gestion des messages se déroulait différemment de l'évaluation des textes de limite standard. À partir de la version 7.00, ces deux types de textes sont évalués de la même manière. @StringTabelle+%var1

Vous trouverez des informations détaillées concernant la configuration au chapitre Configuration du module Gestion des messages.

attention Attention

Seuls les projets créés à partir de la version 5.50 SP7 peuvent être convertis au format de la version 7.

Conversion

En raison de ces modifications importantes, une compatibilité à 100 % ne peut pas être garantie lors de la conversion. Cela s'applique également à la compilation de fichiers RT dans les versions antérieures. Lors de la conversion, prêtez attention aux aspects suivants :

  • Utilisateur :
    • Si un utilisateur portant le même nom (prénom et nom) existe déjà, l'utilisateur est sélectionné et ses informations sont ajoutées.
    • Aucun utilisateur correspondant n'est présent : un nouvel utilisateur est créé. Le lien vers l'utilisateur et le groupe d'utilisateurs de remplacement est résolu. L'utilisateur est ajouté au groupe existant ou au groupe créé lors de la conversion.
  • Groupes d'utilisateurs :
    • Un groupe d'utilisateurs portant le même nom existe déjà : le groupe d'utilisateurs est sélectionné et ses informations sont ajoutées.
    • Aucun groupe d'utilisateurs correspondant n'est présent : un nouveau groupe d'utilisateurs est créé.
  • Fonctions :

    La fonction Afficher la base de données de destinataires a été supprimée.
    Cette fonction ne peut plus être créée avec l'Éditeur. Lors de la conversion, toutefois, elle n'est pas supprimée. Son exécution dans le Runtime n'a aucun effet, et génère une entrée de fichier journal.

  • Radiomessagerie :
    La radiomessagerie n'est plus disponible pour les envois de messages. Les fonctions existantes avec le type d'envoi Paging (Radiomessagerie) sont transformées en envois du type GSM lors de la conversion. Un message dans la fenêtre de résultat l'indique. Après la conversion, vous devez contrôler les paramètres de la fonction.
  • Fichiers modifiables dans le Runtime :
    Puisque la fonction de gestion des utilisateurs a été modifiée, les fichiers modifiables dans le Runtime ne sont plus utilisés par le module Gestion des messages. Dans la version 7, les données de Runtime de versions antérieures ne peuvent pas être lues. Si les fichiers de Runtime d'un projet antérieur à la version 7 sont requis, vous devez les lire dans un Éditeur avant de les importer dans zenon 7, puis les convertir.
  • Postes et calendriers :
    La fonctionnalité de gestion des postes et calendriers a été supprimée. Les fonctions existantes comportant le type de cible Poste reçoivent en type de cible Groupe lors de la conversion. Toutefois, aucun groupe n'est lié. Un message dans la fenêtre de résultat l'indique. Après la conversion, vous devez contrôler les paramètres de la fonction.
  • Passerelle SMS :
    Puisque l'interface simple n'offre pas la possibilité technique d'attribuer les messages de manière univoque, à partir de la version 7, seule l'interface améliorée est prise en charge. Lors de la conversion, vous devez vous assurer que l'application SMS Server de l'entreprise Dialogs est correctement configurée. Dans le cas contraire, l'envoi échouera.


RGM - Erreur de fonctionnement lors de l'appel de synoptique

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> RGM - Erreur de fonctionnement lors de l'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors d'un appel de synoptique de type RGM, une recette est défaillante si :

  • La recette n'est pas disponible dans le Runtime
  • Aucune sélection n'a été effectuée
  • Une recette n'est pas incluse dans le filtre

Le comportement de la liste déroulante Recette change dans le Runtime :

  • Jusqu'à la version 6.51 SP0, la première recette de la liste est proposée
  • À partir de la version 7.00 SP0, la sélection reste vide.


Lecture de recettes dans le module RGM - Nouveau fonctionnement

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Lecture de recettes dans le module RGM - Nouveau fonctionnement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À partir de la version 7.00 SP0, lors de la lecture de valeurs de variables dans des recettes (apprentissage), les conditions suivantes sont vérifiées :

  • Si les valeurs des propriétés Valeur min. et Valeur max. ont été respectées.
  • L'état de la variable.

Si les valeurs réelles sont inférieures ou supérieures à celles de ces propriétés, ou si la variable comporte l'état INVALID, les valeurs ne sont pas écrites dans la recette et ne sont plus enregistrées.

D'autres variables de système sont analysées. À partir de la version 7.00, les valeurs de variable possibles sont les suivantes :

  • 0 : définie avant la lecture ; change uniquement lorsque le procédé de lecture est terminé.
  • 1 : lecture effectuée avec succès.
  • 2 : durant la lecture, une erreur non définie dans le détail s'est produite.
  • 3 : 3 : durant la lecture, une variable au moins comportait l'état INVALID.
  • 4 : Une valeur au moins n'est pas conforme aux limites min-max.
  • 5 : durant la lecture, une expiration du délai d'attente (30000 + 100*VarCount en [ms]) s'est produite.


Driver Allan Bradley RS-Linx

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Driver Allan Bradley RS-Linx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À partir de la version 7.00 SP0, le driver est compatible avec les messages non sollicités. Ces derniers permettent de modifier la configuration du driver. Pour cela, accédez à l'onglet correspondant.

  • Général : non modifié
    Remarque : Si vous utilisez les Unsolicited Messages, vous devez désactiver l'option Update time global (Temps de mise à jour global)
  • Configuration : le numéro KT précédent est remplacé par l'intitulé du driver RS-LINX.
  • Unsolicited Messages configuration (Configuration des messages non sollicités) : Nouveau. Paramètre des Unsolicited Messages.

attention Attention

Dans les projets existants, la configuration des drivers doit être adaptée.


Modification de SQL Server

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Modification de SQL Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec zenon 7.00 SP0, Microsoft SQL Server 2008 R2 Express est installé et utilisé pour les projets de zenon. Par défaut, l'Éditeur zenon se connecte uniquement à SQL Server 2008 R2 à partir de la version 7.00. Les projets dont les bases de données sont au format d'une autre instance de SQL Server (par exemple, ZENON_DEV avec SQL Server 2005) ne peuvent pas être ouverts.

L'instance de SQL Server à laquelle se connecte zenDBSrv peut être modifiée à l'aide de l'outil Startup Tool. L'outil Startup Tool définit, dans le fichier zenDB.ini, les entrées correspondant à la version de zenon concernée :

  • Avant 6.00 : pas de base de données
  • 6.00 à 6.20 : entrées de SQL Server 2000 (MSDE)
  • 6,21 à 6,51 : entrées de SQL Server 2005 Express Edition
    À partir de la version 6.51, le mot de passe est stocké sous forme chiffrée
  • Versions 7.00 et ultérieures : entrées de SQL Server 2008 R2 Express Edition avec mot de passe chiffré

L'instance "ZENON_DEV" pour SQL Server 2005 et l'instance "ZENON_2008R2" pour SQL Server 2008 R2 ne peuvent pas être utilisées simultanément.

attention Attention

Les projets issus de précédentes versions de zenon doivent être importés dans leur version d'origine, puis restaurés dans zenon 7.00.

Conseil : si aucune exportation n'a été effectuée et la version applicable n'est plus disponible, le transfert peut être effectué manuellement :

  • Copiez le dossier complet, GUID inclus, vers un nouvel emplacement
  • Établissez manuellement la connexion à la base de données

Conversion de projet

La procédure suivante est recommandée pour la conversion de projets issus de versions antérieures à la version 7.00 :

  1. Créez des sauvegardes de projets dans la version depuis laquelle sera effectuée la conversion.
  2. Exportez les sauvegardes de projets sur le disque dur.
  3. Éditeur de zenon, version 7.00.
  4. Créer un nouvel espace de travail.
  5. Lisez les sauvegardes de projets dans le nouvel espace de travail.

Les sauvegardes de projet peuvent également être importées dans le même espace de travail, dans l'Éditeur de la version 7.00. Le GUID reste inchangé lors de l'importation d'une sauvegarde de projet ; aussi, l'espace de travail de zenon version 7.00 et versions 6.21 à 6.51 peut être ouvert.

info Info

Bien que les projets comportent le même nom et le même GUID, les projets issus de zenon 7.00 sont indépendants des projets de zenon 6.21 à 6.51, en raison de l'instance de SQL Server différente. Les sauvegardes effectuées dans zenon 7.00 ne sont pas visibles dans l'Éditeur dans les versions 6.21 à 6.51. Il est donc recommandé de conserver ces sauvegardes dans un nouvel espace de travail.


Conversion de la version X à la version 7.00

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Version 64 bits

Contrôle de batch

Conversion de projets dans zenon, versions 6.51 et antérieures.

Conversion de bases de données dans le Gestionnaire de groupes de recettes

SQL Server 2012

Module de visualisation de rapports

WPF

Filtre de temps


Version 64 bits

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Version 64 bits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Des versions 32 bits et 64 bits de l'Éditeur et du Runtime de zenon sont maintenant disponibles. Des versions 32 bits et 64 bits de l'Éditeur de zenon et des versions 32 bits et 64 bits du Runtime de zenon sont installées sur les systèmes d'exploitation 64 bits. Les noms de fichier des fichiers exécutables sont identiques pour les versions 32 et 64 bits.

Sur les versions 64 bits, tous les services présents dans une version 64 bits sont enregistrés et utilisés dans la version 64 bits. L'Éditeur et le Runtime peuvent être démarrés au choix. Les projets peuvent être exécutés dans les deux versions de l'Éditeur et du Runtime.

Les composants tels que le Runtime de zenon Logic, le module Workbench de zenon Logic, les pilotes, le module Process Gateway et les autres outils sont uniquement utilisés dans leurs versions 32 bits.

Limitations générales

La restriction fondamentale selon laquelle seuls les fichiers DLL 64 bits peuvent être chargés dans des procédés 64 bits implique également certaines limitations concernant l'utilisation de zenon. Ceci affecte principalement les composants externes chargés dans l'Éditeur ou dans le Runtime. Les fichiers DLL chargés avec du code VBA/VSTA et des contrôles ActiveX sont directement affectés. Ces fichiers DLL doivent être disponibles dans une version 64 bits pour être utilisés dans la version 64 bits de l'Éditeur ou du Runtime. Les contrôles ActiveX fournis par COPA-DATA sont toujours disponibles dans les versions 32 bits et 64 bits.

Conversion des projets de zenon versions 5.50 et antérieures

Aucun projet de zenon version 5.50 ne peut être converti avec l'éditeur 64 bits. Ces projets doivent être préalablement convertis avec l'Éditeur 32 bits.

Limitation spécifique au Gestionnaire de groupes de recettes (RGM)

Les bases de données Access ne sont plus prises en charge dans le Gestionnaire de groupes de recettes. Pour pouvoir utiliser des données de MS Access provenant de versions antérieures dans la version 64 bits, le projet doit tout d'abord être converti dans la version 32 bits de l'Éditeur. La propriété - n'est plus disponible à partir de la version 7.10. Pour plus de détails, reportez-vous au chapitre Conversion de bases de données dans le Gestionnaire de groupes de recettes.

VBA

La version de VBA utilisée est la version 7.1. VBA est donc également disponible dans zenon. Si, dans le code VBA, des fonctions de Windows API ou d'autres fichiers DLL importés sont utilisées, ces exécutions doivent être adaptées à la version 64 bits. En règle générale, les dispositions suivantes s'appliquent : Un fichier VBA créé avec une version 32 bits ne peut pas être utilisé sans modification dans une‑version 64 bits.

Certaines définitions/fonctions sont disponibles dans VBA, permettant ainsi de créer du code compatible 32 bits et 64 bits. Par exemple :

#if Win64 then

Declare PtrSafe Function MyMathFunc Lib "User32" (ByVal N As LongLong) As LongLong

#else

Declare Function MyMathFunc Lib "User32" (ByVal N As Long) As Long

#end if

#if VBA7 then

Declare PtrSafe Sub MessageBeep Lib "User32" (ByVal N AS Long)

#else

Declare Sub MessageBeep Lib "User32" (ByVal N AS Long)

#end if

VOus pouvez également consulter des notes utiles concernant le portage de code VBA 32 bits en code VBA 64 bits de Microsoft :

  • Microsoft Office 2010, notes concernant le portage : http://msdn.microsoft.com/en-us/library/ee691831.aspx
  • Déclarations 32 bits et 64 bits pour appels API : http://www.jkp-ads.com/articles/apideclarations.asp

Composants disponibles en version 32 bits uniquement

Les composants suivants sont donc uniquement disponibles en version 32 bits, même sur les ordinateurs 64 bits :

  • Certains services, tels que zensic et zenvnc
  • Licence
  • Process Gateway - Passerelle de procédé
  • Outil Startup Tool
  • Windows CE
  • Drivers
  • Runtime et module Workbench de zenon Logic


Contrôle de batch

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Contrôle de batch

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avant de convertir un projet vers la nouvelle version de zenon, arrêtez toutes les recettes. L'exécution des recettes en cours reprendra après un redémarrage. Le redémarrage est uniquement possible dans la même version de zenon.


Conversion de projets dans zenon, versions 6.51 et antérieures.

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Conversion de projets dans zenon, versions 6.51 et antérieures.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les projets créés dans les versions 6.20 ou antérieures de zenon ne peuvent plus être directement lus dans zenon 7.10 (ou versions ultérieures).

Explication : les versions reposant sur le logiciel MSDE (SQL Server 2000) ne sont pas compatibles avec le logiciel SQL Server 2012 utilisé dans zenon.

Solution : Convertissez d'abord le projet vers zenon 7.0, puis vers la version 7.10 ou supérieure.


Conversion de bases de données dans le Gestionnaire de groupes de recettes

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Conversion de bases de données dans le Gestionnaire de groupes de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À partir de la version 7.10, la base de données Microsoft Access n'est plus prise en charge dans le Gestionnaire de groupes de recettes. Lors de l'ouverture d'un projet existant, le stockage de données est automatiquement converti en données binaires. Lors de la conversion, une sauvegarde du projet est créée ; celle-ci peut être ouverte avec la version dans laquelle elle a été originalement créée.

Conversion avec l'Éditeur 64 bits

L'Éditeur 64 bits ne permet pas d'accéder à la base de données Microsoft Access. Pour effectuer la conversion, ouvrez d'abord le projet dans la version 32 bits de l'Éditeur. Un mécanisme permet, grâce au paramètre - du module RGM, de transférer automatiquement les données vers des fichiers binaires dans MS Access. La propriété - n'est plus disponible à partir de la version 7.10. Si le stockage de données est déjà défini sous forme de fichiers binaires, les données de la base de données sont rejetées. Dans ce cas, les dispositions suivantes s'appliquent :

  • La copie des données depuis la base de données Access vers les fichiers de stockage binaires a uniquement lieu lors de la conversion dans l'Éditeur 32 bits. Les données provenant de la base de données Access sont toujours refusées dans la version 64 bits.
  • Lors de la conversion vers la version 64 bits, une vérification est effectuée afin de déterminer si le stockage de données du module RGM est défini sur MS Access. Dans ce cas, les informations correspondantes et une notification de conversion sont affichées dans l'Éditeur 32 bits.
  • Si, lors de la copie dans l'Éditeur 32 bits, il est établi que les données ont déjà été configurées au niveau de la cible (fichiers binaires), l'utilisateur est invité à préciser les données devant être conservées (MS Access ou données binaires). Les données MS Access et les données binaires ne peuvent pas être associées.

Après la conversion, il est également possible d'ouvrir et d'éditer le projet dans la version 64 bits de l'Éditeur.

Si vous souhaitez convertir le projet une nouvelle fois, utilisez la sauvegarde générée automatiquement durant la conversion.


SQL Server 2012

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> SQL Server 2012

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

SQL Server 2012 Express Edition est utilisé dans zenon 7.10 SP0. Les paramètres sont configurés à l'aide de l'outil Startup Tool.

L'entrée correcte du fichier zenDB.ini est indiquée au chapitre zenDB.ini.

attention Attention

Les projets issus d'autres versions ne peuvent pas être ouverts directement dans zenon 7.10. Les projets devant être édités dans zenon 7.10 doivent d'abord être édités dans la version dans laquelle ils ont été créés. La sauvegarde du projet peut ensuite être convertie dans zenon 7.10.

Si plusieurs versions sont installées en parallèle, les différentes versions de SQL Server doivent comporter des chemins d'accès différents.


Module de visualisation de rapports

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Module de visualisation de rapports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Domaines de temps

Le module Report Viewer peut utiliser plusieurs domaines horaires pour les versions 7.10 et suivantes. Pour garantir la compatibilité ascendante, les deux premiers filtres de temps de la liste sont utilisés.

Listes de données (Data sets)

Les ensembles de données utilisés par AM, CEL, ARCHIVE et ONLINE ont été complétés par l'entrée RESOURCESLABEL.


WPF

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> WPF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'élément WPF CircularGauge a été étendu de 3 à 6 zones d'affichage. La rétrocompatibilité n'est pas garantie ici.

Remarque : Si deux versions d'un fichier de groupe sont disponibles dans un projet, l'utilisateur doit spécifier la version à utiliser. Aucune autre action n'est nécessaire pour assurer la maintenance des versions utilisées jusqu'à présent. Si une version plus récente est choisie, il est nécessaire d'adapter tous les fichiers CDWPF correspondants dans tous les symboles et images utilisés dans les projets chargés dans l'Éditeur ou le Runtime.


Filtre de temps

Manuels -> Conversion de projet -> Conversion de la version X à la version 7.00 -> Filtre de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration et l'affichage du filtre de temps ont été révisés, optimisés et harmonisés.

L'association de la nouvelle option Modifier la plage de temps et du nouveau comportement du filtre peut entraîner une différence dans les résultats du filtre entre les versions 7.10 et antérieures.


Création de rapports

Manuels -> Création de rapports

La fonction de création de rapports intégrée à zenon permet de documenter, d'évaluer et de présenter les données de procédés sur la base des données en ligne et archivées provenant de zenon. La fonction de création de rapports comporte les éléments suivants :

  • Générateur de rapports
  • Module de visualisation de rapports

Aucune variante de création de rapports n'est disponible dans Windows CE.

tutorial Informations concernant la licence
  • Dans l'Éditeur : les deux outils doivent comporter une licence.
  • Dans le Runtime :
    Report Viewer : dans le Runtime, toujours inclus dans l'offre standard.
    Report Generator : uniquement intégré pour l'affichage de rapports. Si vous souhaitez écrire des valeurs d'archive ou des valeurs prescrites avec Report Generator, vous devez également disposer d'une licence dans le Runtime.

zenon Analyzer propose des fonctions complètes, indépendantes des plates-formes de création de rapports du niveau procédé jusqu'au système ERP. Votre partenaire commercial COPA-DATA sera heureux de vous fournir d'autres informations à ce sujet.

Autres sujets abordés dans ce chapitre

Générateur de rapports

Module de visualisation de rapports


Générateur de rapports

Manuels -> Création de rapports -> Générateur de rapports

Le module Générateur de rapports documente, évalue et présente les données du procédé en utilisant les données en ligne ou archivées. L'outil Report Generator opère sur la base des cellules ; chaque cellule peut recevoir certains formats et fonctions.

Les rapports peuvent être configurés à l'aide du synoptique rapport. Les données sont filtrées, calculées, transmises et affichées via les fonctions de rapport. Celles-ci peuvent être saisies manuellement, ou par l'intermédiaire de boîtes de dialogue. Les valeurs peuvent être lues et, si le synoptique l'autorise, modifiées. Le générateur de rapports est conforme aux exigences des standards Rule Sheet et ATV H260.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau rapport | Crée un nouveau rapport dans la liste dans la vue de détail.
Ajouter un rapport existant... | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier existant.
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

info Info

Les bits d'état NORM et N_NORM ne sont pas affichés dans le rapport. Le bit d'état NORM ne peut pas être modifié à l'aide du rapport.

Autres sujets abordés dans ce chapitre

Configuration dans l'Éditeur

Fonctionnement dans le Runtime

Exemple de données d'archive dans un rapport


Configuration dans l'Éditeur

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour pouvoir utiliser des rapports dans le Runtime, vous devez effectuer les opérations suivantes dans l'éditeur :

  • Créez un synoptique de type Rapport.
  • Un rapport est créé et configuré.
  • Une fonction d'appel est configurée dans le Runtime.

Procédure de planification de rapport recommandée :

  • Créer le rapport
  • Formatage de rapports
  • Créer le filtre d'archive
  • Configurer les fonctions du rapport

Autres sujets abordés dans ce chapitre

Création d'un synoptique de type Report Generator

Créer un nouveau rapport

Paramètres pour l'impression

Info fichier

Recherche et remplacement dans le rapport

Formatage

Configuration du filtre d'archive

Fonctions de rapport

zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime.


Création d'un synoptique de type Report Generator

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Création d'un synoptique de type Report Generator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur un synoptique de type Rapport, les rapports créés avec le générateur de rapports sont affichés dans le Runtime et configurés avec les droits correspondants. La taille d'affichage dépend de la taille de gabarit sélectionnée. Le rapport affiché peut être déterminé dans la fonction d'appel de synoptique ou dans le Runtime.

Pour créer un synoptique de rapport :

  1. Sélectionnez la commande Nouveau synoptique dans le nœud Synoptiques.
  2. Dans la colonne Type de synoptique, sélectionnez la liste déroulante Rapport.
  3. Dans la barre de menus, sélectionnez Éléments de contrôle -> Insérer un modèle.
  4. Un rapport est créé sur la base de paramètres standard.
  5. Si nécessaire, ajoutez d'autres éléments de contrôle au menu Eléments de contrôle.
  6. Créez une fonction appel de synoptique pour sélectionner le synoptique dans le Runtime.

Paramètre

Description

Insérer un modèle ...

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Rapport

Fenêtre de rapport pour l'affichage du rapport.

Affichage : Définir filtre

Affiche l'état actuel du filtre de temps actuel dans le Runtime.

Boutons

Boutons de contrôle des fonctions dans le Runtime.

Actualiser

Recréer entièrement le rapport (valeurs et affichage).

Imprimer

Imprimer le rapport dans le Runtime.

Fichier

Sélectionner le fichier de rapport et modifier les conditions de filtre.

Exporter

Exporter le rapport.

Enregistrer archive

Ecrire les valeurs modifiées dans l'archive.

Enregistrer rapport

Le rapport est enregistré dans le Runtime (*.xrs).

Attention : lors de l'enregistrement, les formules et fonctions sont remplacées par les valeurs actuelles. Les fonctions dans ces rapports (fichiers .xrs) ne sont plus disponibles. Ces rapports ne peuvent donc plus être édités dans l'éditeur.

Recommandation : activez la protection contre l'écriture des fichiers originaux des rapports, et enregistrez les modifications dans un nouveau fichier à l'aide de la commande Enregistrer sous.

Enregistrer rapport sous

Le rapport est enregistré sous un nouveau nom durant le Runtime (*.xrs), les formules et les fonctions sont remplacées par les valeurs actuelles.

Lire toutes les valeurs

Toutes les valeurs sont lues une nouvelle fois depuis le driver.

Lire les valeurs sélectionnées

Les valeurs sélectionnées sont lues une nouvelle fois depuis le driver.

Ecrire toutes les valeurs

Toutes les valeurs sont transmises au driver.

Ecrire les valeurs sélectionnées

Les valeurs sélectionnées sont transmises au driver.

Ligne précédente

Fait défiler le texte dans la liste vers le haut

Ligne suivante

Fait défiler le texte dans la liste vers le bas

Colonne de droite

Fait défiler le texte dans la liste vers la droite

Colonne de gauche

Fait défiler le texte dans la liste vers la gauche

Page précédente

Fait défiler le texte dans la liste vers le haut

Page suivante

Fait défiler le texte dans la liste vers le bas

Page de droite

Fait défiler le texte dans la liste vers la droite

Page de gauche

Fait défiler le texte dans la liste vers la gauche

Profils de filtre

Boutons pour les profils de filtres.

Sélection profil

Affichage des profils de filtre et des saisies disponibles pour les nouveaux noms de profil.

Enregistrer

Enregistrer la configuration actuelle sous forme de profil.

X (enregistrer)

Supprime le profil sélectionné.

Importation

Exporte les profils.

Exporter

Importe les profils.


Créer un nouveau rapport

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Créer un nouveau rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avant de créer un rapport, il est nécessaire de définir l'imprimante de rapports, car la mise en forme de la page d'un rapport dépend de l'imprimante définie. Toute modification du choix de l'imprimante par la suite peut imposer un nouveau formatage du tableau existant.

Pour créer un nouveau rapport :

  • Accédez au nœud du générateur de rapports dans le gestionnaire de projets.
  • Sélectionnez la commande Nouveau rapport dans le menu contextuel.
  • Un nouveau rapport est créé dans la vue de détail.
  • Une feuille de calcul vide est créée dans la fenêtre principale.

Fonctionnalité de la feuille de calcul :

  • Attribution des informations de procédé à l'aide des fonctions de rapport
  • Affichage mis en forme du contenu des cellules, des colonnes et des lignes
  • Sous-totaux
  • Attribution des blocs de modification

info Info

Lors de la saisie dans une cellule : Une valeur décimale peut être saisie avec une virgule, mais également avec un point en tant que séparateur décimal. Le séparateur décimal est automatiquement transformé en point.

seealso Voir également :

Configuration de page
Paramètres pour l'impression
Formatage
Fonctions de rapport

Autres sujets abordés dans ce chapitre

Menu Rapport

Menu Editer

Menu Format

Barre d'outils Générateur de rapports

Vue de détail de la barre d'outils et du menu contextuel

Création d'une fenêtre de table

Menu contextuel Data sheet (Feuille de données)


Menu Rapport

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Créer un nouveau rapport -> Menu Rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu Rapport est affiché lorsqu'un rapport est sélectionné :

Paramètre

Description

Enregistrer rapport

Enregistre toutes les modifications dans le rapport actif. Les modifications apportées aux autres rapports ne sont pas enregistrées.

Export report functions (Exporter les fonctions de rapport)

Exporte toutes les fonctions du rapport actif vers un fichier texte.

Structure : Colonne / ligne = fonction(paramètre)

Actualiser rapport

Dessine un nouveau rapport.

Recalculer le rapport

Calcule un nouveau rapport.

Configuration de page

Ouvre la boîte de dialogue de configuration de la page d'impression.

Imprimer rapport

Imprime le rapport à l'aide de l'imprimante définie dans les paramètres standard.

Zone d'impression

Définit ou annule les zones d'impression.

  • Définir la zone d'impression : définit les zones sélectionnées de la table en tant que zone d'impression.
  • Annuler la zone d'impression : annule la zone d'impression définie.

Rapport - Aperçu

Bascule de la vue de disposition à la vue de page. Vous pouvez agrandir la vue à l'aide du bouton gauche de la souris.

Départ Mode Page Appuyez sur la touche Échap (Esc).

Info fichier rapport

Ouvre la boîte de dialogue de gestion des informations du fichier de rapport.


Menu Editer

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Créer un nouveau rapport -> Menu Editer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsqu'un rapport est sélectionné, le menu Édition propose des fonctions spéciales pour les rapports :

Commande

Description

Couper

Coupe la zone sélectionnée et la copie vers le presse-papiers.

Copier

Insère le contenu du presse-papier.

Insérer

Copie les zones sélectionnées vers le presse-papiers.

Collage spécial

Propose des options de collage avancé pour les opérations sur les cellules :
  • Tout

Insère tout le contenu du presse-papiers.
  • Formules

Only inserts formulas (Insérer uniquement les formules)
  • Valeur

Insère uniquement les valeurs. La relation avec les formules est perdue.
  • Format

Accepte uniquement le format.

Remplir

Copie le contenu de la première cellule marquée et le transfère vers toutes les autres cellules marquées.

  • Flèche vers le bas

Le remplissage est effectué vers le bas.
  • right

Le remplissage est effectué de gauche à droite.

Supprimer

Supprimer les données des cellules sélectionnées :
  • Tout

Tout.
  • Contenu

Uniquement le contenu.
  • Format

Uniquement les formats.

Supprimer colonne ou ligne

Supprime les colonnes ou les lignes sélectionnées.

Insérer colonne ou ligne

Insère de nouvelles colonnes ou lignes. L'insertion est effectuée au-dessus de la ligne, ou à gauche de la colonne. Le nombre de lignes ou colonnes insérées correspond au nombre de lignes ou colonnes sélectionnées dans la feuille de calcul.

Rechercher/Remplacer

Ouvre la boîte de dialogue de recherche et de remplacement de données dans une feuille de calcul.


Menu Format

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Créer un nouveau rapport -> Menu Format

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu Format fournit les propriétés et les fonctions de mise en forme de la table de rapport :

Paramètre

Description

Cellules

Options de mise en forme des cellules :

  • Police
  • Motif
  • Cadre
  • Alignement
  • Nombres
  • Listes

Ligne

Options de mise en forme des lignes :

  • Hauteur ligne : ouvre la boîte de dialogue permettant de définir la hauteur des lignes.
  • Row format (Format des lignes) : ouvre la boîte de dialogue affichant toutes les propriétés des lignes

Colonne

Options de mise en forme des colonnes :

  • Largeur de colonne : ouvre la boîte de dialogue de configuration de la largeur des colonnes
  • Column format (Format des colonnes) : ouvre la boîte de dialogue affichant toutes les propriétés des colonnes

Rapport

Ouvre la boîte de dialogue de formatage du rapport.

Assistant sur fonction

Ouvre l'assistant de création de fonctions de rapport.

Filtre

Ouvre le filtre de rapport permettant de sélectionner les archives.


Barre d'outils Générateur de rapports

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Créer un nouveau rapport -> Barre d'outils Générateur de rapports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une barre d'outils est disponible pour le Générateur de rapports dans l'Éditeur. Si elle n'est pas encore affichée, vous pouvez la charger :

  1. Ouvrez le menu Options -> Paramètres -> onglet : Barre d'outils
  2. Cochez la case adjacente à l'option Générateur de rapports
  3. Confirmez votre sélection en cliquant sur OK.

Symbole

(de gauche à droite)

Fonction

Imprimer rapport

Imprime le rapport sur l'imprimante par défaut.

Rapport - Aperçu

Ouvre le rapport dans une fenêtre d'aperçu. Le rapport peut être agrandi ou réduit dans l'aperçu (zoom) ; vous pouvez également le parcourir et l'imprimer.

Actualiser rapport

Rafraîchit l'affichage.

Recalculer fonctions

Recalcule les formules dans le rapport.

Assistant sur fonction

Ouvre une boîte de dialogue pour vous aider à configurer les fonctions.

Police

Ouvre la boîte de dialogue de mise en forme des cellules ; l'onglet Police est affiché à l'écran.

Alignement texte

Ouvre la boîte de dialogue de mise en forme des cellules ; l'onglet Alignement est affiché à l'écran.

Bord

Ouvre la boîte de dialogue de mise en forme des cellules ; l'onglet Cadre est affiché à l'écran.

Motif

Ouvre la boîte de dialogue de mise en forme des cellules ; l'onglet Motif est affiché à l'écran.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.


Vue de détail de la barre d'outils et du menu contextuel

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Créer un nouveau rapport -> Vue de détail de la barre d'outils et du menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Élément de menu | Action
Nouveau rapport | Crée un nouveau rapport dans la liste dans la vue de détail.
Ouvrir rapport | Ouvre le rapport sélectionné ou affiche le rapport déjà ouvert à l'écran.
Créer une fonction standard | Crée une fonction de zenon pour le générateur de rapports. Cette action est consignée dans la fenêtre de sortie.
Retour à l'élément de départ | Si vous avez saisi la liste via la fonction Éléments liés, le symbole vous ramène à l'élément de départ. Uniquement disponible dans le menu contextuel lorsque tous les éléments liés sont ouverts.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Insérer | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Ajouter un rapport existant... | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier existant.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre de propriétés.
Aide | Ouvre l'aide en ligne.


Création d'une fenêtre de table

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Créer un nouveau rapport -> Création d'une fenêtre de table

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les rapports sont affichés en deux parties lorsqu'ils sont édités dans l'Éditeur, dans la fenêtre principale :

  • La partie fauche contient la table provisoire
  • La partie droite contient un aperçu du résultat

La taille des parties peut être configurée individuellement. Pour cela, déplacez la souris vers le bord droit de la barre de défilement de la table, jusqu'à ce que le pointeur se transforme en outil de déplacement ; ensuite, faites glisser la barre de défilement vers l'emplacement souhaité.

Ligne de saisie

La table comporte une ligne de saisie le long de son bord supérieur. Dans les propriétés du rapport, si la propriété Modification directe est activée, cette ligne n'est pas affichée. La saisie doit alors être effectuée directement dans la ligne.


Menu contextuel Data sheet (Feuille de données)

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Créer un nouveau rapport -> Menu contextuel Data sheet (Feuille de données)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Élément de menu

Action

Couper

Supprime les entrées sélectionnées et les place dans le presse-papiers.

Copier

Copie les entrées sélectionnées vers le presse-papiers.

Insérer

Insère le contenu du presse-papier.

Etendre/Insérer

Permet de sélectionner le contenu du presse-papiers devant être inséré :

  • Tout : transférer l'intégralité du contenu
  • Formule : transférer uniquement les formules
  • Valeur : transférer uniquement la valeur
  • Format : transférer uniquement le format

Remplir

Copie le contenu de la première cellule marquée et le transfère vers toutes les autres cellules marquées. Vous pouvez déterminer si vous souhaitez que les cellules soient remplies vers le bas ou vers la droite.

Supprimer

Permet de sélectionner le contenu d'une cellule à supprimer.

  • Tout : supprime tout le contenu avec le format
  • Contenu : supprime le contenu, mais laisse le format
  • Format : supprime uniquement le format, mais laisse le contenu

Insérer colonne ou ligne

Insère une nouvelle ligne au-dessus d'une ligne sélectionnée ou une nouvelle colonne à la gauche d'une colonne sélectionnée. Si plusieurs lignes ou colonnes sont sélectionnées, le nombre de lignes/colonnes sélectionnées est inséré.

Supprimer colonne ou ligne

Supprimer les lignes ou colonnes sélectionnées.

Rapport...

Ouvre la boîte de dialogue de formatage du rapport.

Cellule...

Ouvre la boîte de dialogue de formatage de la cellule.

Colonne...

Ouvre la boîte de dialogue de formatage des colonnes.

Ligne...

Ouvre la boîte de dialogue de formatage des lignes.

Fonctions...

Ouvre l'assistant de création de fonctions de rapport.

Remarque : l'assistant propose une sélection de plus de 150 fonctions. D'autres fonctions peuvent être saisies manuellement dans la ligne de saisie de la feuille de données.


Paramètres pour l'impression

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Paramètres pour l'impression

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La disposition du report (marges latérales, format de page) dépend de l'imprimante configurée. Vous trouverez ici les paramètres de l'imprimante de rapport, accessibles via Fichier -> General configuration (Configuration générale) -> Standard -> Imprimante, pour les valeurs à fournir et les protocoles.

Vous pouvez définir ici :

  • L'imprimante
    • Le format de papier de l'impression
    • La source de papier de l'imprimante
    • Le sens d'impression

attention Attention

L'imprimante souhaitée doit être sélectionnée avant la création du rapport, car le formatage de page d'un rapport dépend de l'imprimante définie. Toute modification du choix de l'imprimante par la suite peut imposer un nouveau formatage du tableau existant.

Configuration de l'imprimante

Paramètres

Description

Imprimantes

Paramètres de l'imprimante.

Nom :

Sélectionnez l'imprimante dans la liste déroulante. La liste contient toutes les imprimantes configurées dans le système d'exploitation.

Propriétés...

Ouvre la boîte de dialogue de configuration de l'imprimante.

Etat :

Affiche l'état de l'imprimante. Fournie uniquement à titre informatif.

Type :

Affiche le type d'imprimante. Fournie uniquement à titre informatif

Emplacement :

Affiche l'emplacement de l'imprimante, s'il a été configuré. Fournie uniquement à titre informatif.

Commentaire :

Affiche un commentaire sur l'imprimante, s'il a été configuré. Fournie uniquement à titre informatif.

Papier

Configuration de l'impression.

Taille

Sélectionnez le format de papier dans la liste déroulante.

Source

Sélectionnez le mode d'alimentation en papier dans la liste déroulante.

Alignement

Sélectionnez l'alignement du papier. Parmètres possibles :

  • Format portrait
  • Format paysage

Réseau

Ouvre la boîte de dialogue de sélection d'une imprimante sur le réseau.

OK

Accepte la configuration et ferme la boîte de dialogue. Ceci démarre l'impression dans le Runtime.

Annuler

Abandonne la configuration et ferme la boîte de dialogue. Dans le Runtime, ceci annule également l'impression.


Info fichier

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Info fichier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la boîte de dialogue Rapport -> Info fichier rapport, des informations relatives au fichier de rapport concerné peuvent être enregistrées.

Paramètre | Description
Nom de fichier | Nom du fichier d'exportation. Information uniquement ; le contenu ne peut pas être modifié ici. Il peut être modifié dans la vue de détail.
Dossier | Emplacement de sauvegarde du fichier de rapport. Information uniquement ; le contenu ne peut pas être modifié ici.
Titre | Saisie de texte libre.
Topic | Saisie de texte libre.
Auteur | Saisie de texte libre.
Commentaire | Saisie de texte libre.


Recherche et remplacement dans le rapport

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Recherche et remplacement dans le rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour rechercher et remplacer des formules, des chaînes de caractères ou des valeurs :

  1. Activez le rapport souhaité
  2. Sélectionnez Rechercher/Remplacer dans le menu Édition.
  3. La boîte de dialogue de recherche et de remplacement s'affiche à l'écran.

Paramètre

Description

Saisir l'expression

Saisissez la chaîne de caractères que vous souhaitez rechercher et remplacer.

Rechercher

La chaîne de caractères recherchée.

Remplacer par

La chaîne de caractères remplaçant la chaîne recherchée.

Remplacer

Remplace la chaîne actuellement affichée par la chaîne spécifiée dans le champ Replace with (Remplacer par).

Remplacer tout

Remplace toutes les chaînes trouvées par la chaîne spécifiée dans le champ Replace with (Remplacer par).

Suivant

Recherche l'instance suivante de la chaîne de caractères recherchée.

Options de recherche

Options de recherche

Chercher dans

Sélectionnez dans la liste déroulante :

  • Formules : effectue la recherche dans les formules
  • Chaîne : effectue la recherche dans les chaînes de caractères
  • Valeur : effectue la recherche dans les valeurs

Rechercher partie de mot

Effectue également la recherche dans certaines sections des cellules.

Respecter la casse

Tient compte de la capitalisation durant la recherche.

Fermer

Ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne


Formatage

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Formatage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avant de créer un rapport, effectuez le formatage requis :

  • Page : configurez les propriétés pour la page.
  • Rapport : configurez les propriétés du rapport.
  • Cellule : définissez la mise en forme des cellules (direction, bordure, police, motif, type, listes).
  • Colonnes et cellules : formatage des colonnes ou cellules sélectionnées.

Vous trouverez les paramètres dans les listes déroulantes Rapport et Format de la barre de menus, ou dans le menu contextuel de la feuille de calcul.

Conseil : Assurez-vous que les rapports contenant de grandes quantités de données comportent suffisamment de lignes/colonnes pour l'affichage des données.

Autres sujets abordés dans ce chapitre

Configuration de page

Formatage de rapports

Formats de cellules

Formatage de colonnes et de cellules


Configuration de page

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Formatage -> Configuration de page

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La commande Set up page... (Mise en page...) du menu Rapport ouvre la boîte de dialogue de configuration de la page de rapport. Celle-ci contient deux onglets :

  • Cadre
  • En-tête et pieds de page

Autres sujets abordés dans ce chapitre

Cadre

En-tête et pieds de page


Cadre

Cadre

Paramètre | Description
Définir les marges | Permet de définir les marges d'impression indépendamment de la configuration de l'imprimante.
Haut | Distance du rapport au bord supérieur de la page.
bas | Distance du rapport au bord inférieur de la page.
gauche | Distance du rapport au bord gauche de la page.
right | Distance du rapport au bord droit de la page.
L'entête | Distance de l'en-tête par rapport au texte. Valeurs possibles : 0 à 20 ; 0 = masqué. La valeur sélectionnée doit être assez élevée pour que la taille de police sélectionnée puisse être affichée dans la section en-tête et pied de page.
Le pied de page | Distance du pied de page par rapport au texte. Valeurs possibles : 0 à 20 ; 0 = masqué. La valeur sélectionnée doit être assez élevée pour que la taille de police sélectionnée puisse être affichée dans la section en-tête et pied de page.
Généralités |
Zone d'impression | Définit la zone d'impression sur la base de la cellule A1. Saisie dans le champ de texte : Coordonnées de la valeur de fin de la plage. Exemple : D5 définit la zone d'impression des cellules A1 à D5.
Imprimante | Sélection de l'imprimante pour le rapport. Cliquez sur la liste déroulante pour ouvrir la liste de toutes les imprimantes définies disponibles dans les paramètres d'impression de zenon. Par défaut : Valeurs et protocoles
Ajuster la zone d'impression | Actif : ajuste la taille de la zone d'impression du rapport à la configuration de l'imprimante sélectionnée.
Lignes/colonnes statiques pour impression | Actif : les lignes et colonnes statiques sont également imprimées.
Centré | Orientation du rapport sur la page imprimée
vertical | Centre le rapport verticalement.
horizontal | Centre le rapport horizontalement.
Alignement | Paramètres de format de page
Portrait | Imprime au format Portrait.
Paysage | Imprime au format Paysage.
Sens d'impression | Ordre d'impression des pages dans le cas d'un document de plusieurs pages.
De gauche à droite | Imprime les rapports sur plusieurs pages, de gauche à droite.
de haut en bas | Imprime les rapports sur plusieurs pages, du haut vers le bas.


En-tête et pieds de page

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Formatage -> Configuration de page -> En-tête et pieds de page

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
En-tête et pieds de page

Paramètre

Description

L'entête

Définition de la zone d'entête

Section de gauche

Texte aligné à gauche pour le tiers gauche de l'en-tête.

Section centrale

Texte centré pour la partie centrale de l'en-tête.

Section de droite

Texte aligné à droite pour le tiers droit de l'en-tête.

Police

Ouvre la boîte de dialogue de sélection de la police, de la taille de police et de la mise en forme du texte du pied de page.

Le pied de page

Définition de la zone de pied de page

Section de gauche

Texte aligné à gauche pour le tiers gauche du pied de page.

Section centrale

Texte centré pour la partie centrale du pied de page.

Section de droite

Texte aligné à droite pour le tiers droit du pied de page.

Police

Ouvre la boîte de dialogue de sélection de la police, de la taille de police et de la mise en forme du texte du pied de page.

Notez que les paramètres de l'en-tête et du pied de page peuvent être sélectionnés dans la section Bordures, afin que la police puisse être affichée en entier.

Mots clés

Mots-clé des en-têtes et pieds de page

&[Page]

Numéro de page

&[Pages]

Nombre total de pages

&[Date]

Date d'impression

&[Time]

Heure de l'impression

&[File]

Nom de fichier


Formatage de rapports

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Formatage -> Formatage de rapports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors du formatage du rapport entier, les paramètres suivants sont disponibles :

  • Général : Paramètres généraux du rapport
  • Colonnes : paramètres généraux des colonnes - numéro, etc.
  • Ligne : paramètres généraux des lignes - numéro, etc.

Pour formater les colonnes ou les lignes, sélectionnez la commande Rapport dans le menu Format ou la commande Formater rapport dans le menu contextuel du rapport.

Autres sujets abordés dans ce chapitre

Généralités

Colonnes

Lignes


Généralités

Généralités

Paramètre | Description
Titre : | Titre du rapport
Sélection | Définit le comportement de la sélection en cas de clic.
Toute la ligne | Actif : La ligne entière est sélectionnée.
Une cellule | Actif : Seule la cellule sur laquelle l'utilisateur a cliqué est sélectionnée ; la sélection de cellules multiples n'est pas possible.
Options |
Calcul automatique | Actif : les calculs sont actualisés automatiquement lors de la modification de valeurs saisies.
Afficher la grille | Actif : affiche les lignes de la grille dans l'éditeur.
Editer dans la cellule | Actif : la saisie est directement effectuée dans la cellule ; la cellule de saisie dans la fenêtre de rapport est grisée.
Clic référence | Actif : Il est possible de cliquer sur une cellule pour accepter celle-ci comme coordonnées du rapport lors de la saisie de formules. Par exemple : au lieu de saisir A12, cliquez sur la cellule A12.


Colonnes

Colonnes

Paramètre | Description
Paramétrage des colonnes |
Nombre de colonnes | Définit le nombre maximal de colonnes. Valeurs valides : 0 à 31000.
Colonnes statiques | Nombre de colonnes affichées en permanence. Le défilement intervient uniquement après les colonnes statiques.
Boutons en haut des colonnes | Actif : Affiche les numéros de cible.
Activer le formatage des colonnes | Actif : la largeur de colonne peut être ajustée à l'aide de la souris ; pour cela, faites glisser les bordures de l'en-tête.


Lignes

Lignes

Les caractéristiques configurables des lignes sont les suivantes :

Paramètre | Description
Nombre de lignes | Définit le nombre maximal de lignes. Valeurs valides : 0 á 31000.
Lignes statiques | Nombre de lignes affichées en permanence. Le défilement intervient uniquement après les colonnes statiques.
Boutons dans la 1ère ligne | Actif : Affiche l'en-tête de colonne >(A, B, C etc.).
Activer le formatage des lignes | Actif : la hauteur de ligne peut être ajustée à l'aide de la souris ; pour cela, faites glisser les bordures des numéros de ligne.


Formats de cellules

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Formatage -> Formats de cellules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour formater les cellules du rapport, les paramètres suivants sont disponibles :

Alignement

Cadre

Police

Motif

Type de cellule

Listes

Pour formater une cellule, sélectionnez :

  • La commande Cellule... dans le menu contextuel du rapport pour ouvrir la boîte de dialogue...
  • Ou le sous-menu souhaité dans Rapport -> Cellules..., pour ouvrir la boîte de dialogue contenant l'onglet correspondant.

Autres sujets abordés dans ce chapitre

Alignement

Cadre

Police

Motif

Type de cellule

Listes de menus déroulants


Alignement

Alignement

L'affichage du contenu de la cellule est défini sur l'onglet Orientation.

Les paramètres suivants sont disponibles pour le positionnement vertical :

  • Généralités
  • Haut
  • Centré
  • Bas
  • Retour à la ligne

Les paramètres suivants sont disponibles pour le positionnement horizontal :

  • Généralités
  • Gauche
  • Centré
  • Droite

info Info

Si le texte doit être affiché verticalement, sélectionnez la propriété vertical sur l'onglet Police.


Cadre

Cadre

Dans l'onglet Cadre, vous indiquez si un cadre doit être affiché autour d'une cellule et, le cas échéant, sous quel format. Vous pouvez définir le type et la couleur de chaque côté du cadre (haut, bas, gauche et droit) :

  1. Définissez le type et la couleur.
  2. Attribuez ces paramètres au cadre en cliquant sur le cadre entier ou sur une page individuelle.

Paramètre | Description
Sélection cadre | Cliquez au centre pour activer les quatre côtés du cadre. Cliquez sur les côtés du cadre pour les activer.
Type de la ligne | Sélection du type de ligne dans la liste déroulante.
Couleur de ligne | Sélection de la couleur de ligne dans la liste déroulante.


Police

Police

Les paramètres Windows standard sont disponibles pour les polices.

Paramètre | Description
Police | Sélection de la police.
Styles | Sélection de l'aspect.
Taille de police | Sélection de l'aspect en points.
Effets |
Barré | Actif : le texte de la cellule est barré.
Souligné | Actif : le texte de la cellule est souligné.
Couleur | Ce paramètre n'est pas pris en compte ! La couleur doit, par exemple, être définie dans un élément dynamique lors de l'utilisation de la police.
Script | Ce paramètre n'est pas pris en compte ! L'affichage Unicode est utilisé par cette fonction.
Exemple | Affiche les effets de la sélection sur le texte contenu dans les cellules.


Motif

Motif

Définissez la couleur et le motif de la cellule dans l'onglet Motif.

Paramètre | Description
Motif | Sélection d'un motif de cellule dans la liste déroulante.
Premier plan | Sélection de la couleur de premier plan dans la liste déroulante.
Arrière-plan | Sélection de la couleur d'arrière-plan dans la liste déroulante.


Type de cellule

Type de cellule

Définissez le format d'affichage sur l'onglet Type de cellule. Vous avez le choix entre :

  • General : affichage de valeurs, données et données binaires
  • Zone de liste modifiable : création de listes
  • Type de données : Définition des types de données
  • Fichier graphique : insertion d'éléments graphiques

Les différentes clés de format sont décrites au chapitre Clés de formatage.

Généralités

Paramètre

Description

Mise en forme des chaînes

Sélection du format d'affichage.
  • Valeur

Valeur numérique. Pour plus de détails, reportez-vous au chapitre Données de type numérique.
  • Date

Informations de date. Pour plus de détails, reportez-vous au chapitre Types de données pour la date et l'heure.
  • Heure

Informations horaires. Pour plus de détails, reportez-vous au chapitre Types de données pour la date et l'heure.
  • Valeur binaire

Valeur binaire. Pour plus de détails, reportez-vous au chapitre Données de type logique.

Verrouillé

Actif : Verrouille la cellule dans l'éditeur aux fins de l'édition et verrouille les entrées dans le rapport en ligne.

Example Exemple

Mise en forme de la chaîne pour l'affichage de valeurs :
*0.00 = toute valeur souhaitée avec deux décimales

dd/mm/yy hh:mm = 01/01/10 12:30 (correspond aux paramètres du système d'exploitation)

Combobox

Le menu déroulant Type de cellule propose des listes déroulantes permettant de sélectionner des entrées prédéfinies. Avant de pouvoir utiliser ce type de cellule, vous devez créer une liste sur l'onglet Menus déroulants.

Paramètre

Description

Menu déroulant Nom

Nom du fichier de liste. Celui-ci doit déjà avoir été défini sur l'onglet Menus déroulants.

Hauteur liste

Hauteur d'affichage

Largeur liste

Largeur d'affichage

Verrouillé

Actif : Verrouille la cellule dans l'éditeur aux fins de l'édition et verrouille les entrées dans le rapport en ligne.

Mode d'affichage

Type d'affichage
  • Avec texte

Tri alphabétique en fonction du texte.
  • Avec code

Tri en fonction du code.
  • Avec index

Trié selon l'ordre des entrées dans la liste d'entrées.

Type de données

Un gabarit de saisie est créé dans le rapport avec le type de données correspondant. Les fonctions existantes sont retirées de cette cellule. L'utilisateur reçoit des instructions concernant la saisie des données dans la cellule.

Paramètre

Description

Mise en forme des chaînes

Format de saisie, en fonction du type de données.

Type de données

  • Date/Heure

Saisie d'une valeur de date ou d'heure.

Pour plus de détails concernant la mise en forme des chaînes, reportez-vous au chapitre Types de données pour la date et l'heure.
  • Flottant

Saisie d'une valeur flottante.

Pour plus de détails concernant la mise en forme des chaînes, reportez-vous au chapitre Données de type numérique.
  • Entier

Saisie d'une valeur entière.

Pour plus de détails concernant la mise en forme des chaînes, reportez-vous au chapitre Données de type numérique.
  • Logique

Saisie d'une valeur binaire.

Pour plus de détails concernant la mise en forme des chaînes, reportez-vous au chapitre Données de type logique.

Configurable : Oui/non ; vrai/faux
  • Texte

Saisie de texte.
  • Non défini

Aucun type de donnée n'est défini.

Verrouillé

Actif : Verrouille la cellule dans l'éditeur aux fins de l'édition et verrouille les entrées dans le rapport en ligne.

Fichier graphique

Les fichiers graphiques doivent être créés avant d'être sélectionnés dans le gestionnaire de projets : Nœuds de fichiers -> Graphiques -> [menu contextuel] Add files (Ajouter fichier).

Paramètre | Description
Fichier graphique | Sélection du fichier graphique. Les formats BMP, JPG, GIF, PNG et WMF sont pris en charge.
Taille réelle | Actif : Les éléments graphiques sont affichés à leur taille originale. Inactif : les éléments graphiques sont adaptés à la taille de la cellule. Par défaut : inactive.
Verrouillé | Actif : Verrouille la cellule dans l'éditeur aux fins de l'édition et verrouille les entrées dans le rapport en ligne.


Listes de menus déroulants

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Formatage -> Formats de cellules -> Listes de menus déroulants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Listes de menus déroulants

Dans l'onglet Menus déroulants, les listes associées au type de cellule Menu déroulant sont définies.

Paramètre

Description

Listes de menus déroulants

Liste déroulante de sélection des listes existantes.

Nouveau

Ouvre l'assistant de création d'une nouvelle liste.

Supprimer

Supprime la liste sélectionnée.

Contenu de la liste sélectionnée

Affiche le contenu des listes sélectionnées.

Entrée courante

Configuration de l'entrée.

Texte

Entrée du texte comme il doit apparaître dans la liste dans le Runtime.

Code

Saisie d'un nombre de tri des listes.

0 : aucun tri selon le code. Vous pouvez trier les listes dans le Runtime par ordre alphabétique ou par ordre de saisie.

Valeur minimale : 0

Valeur maximale : 9999999999

Ajouter

La nouvelle entrée est insérée en fonction des paramètres sélectionnés dans la section Content of the selected lists (Contenu des listes sélectionnées) lors de la création de la liste.

  • Non : L'entrée est insérée à la fin de la liste.
  • Selon le texte : Ordre alphabétique
  • Selon les codes : Le numéro de code détermine l'ordre (croissant) dans les listes.

Insérer

La nouvelle entrée est ajoutée au-dessus de l'entrée sélectionnée dans la section Content of selected lists (Contenu des listes sélectionnées) :

Supprimer

Supprime l'entrée sélectionnée dans la section Content of selected lists (Contenu des listes sélectionnées).

Créer une nouvelle liste

Paramètre | Description
Nom liste | Nom de la liste
Trier | Critères de tri pour l'affichage dans la section Content of selected lists (Contenu des listes sélectionnées) et le Runtime
not | L'entrée est insérée à la fin de la liste.
Selon le texte (par défaut) | Ordre alphabétique
Selon codes | Le numéro de code détermine l'ordre (croissant) dans les listes.


Formatage de colonnes et de cellules

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Formatage -> Formatage de colonnes et de cellules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si une ligne ou une colonne entière est sélectionnée, les commandes supplémentaires Colonne... et/ou Ligne... sont accessible dans le menu contextuel.

A l'image de la commande Cellule, les onglets proposent les paramètres suivants :

Alignement

Cadre

Police

Motif

Remarque : ces paramètres concernent toujours uniquement l'en-tête de colonne et/ou l'en-tête de ligne. Ils n'ont aucune incidence sur les autres cellules d'une colonne ou d'une ligne. Ces dernières doivent toujours être formatées à l'aide de la boîte de dialogue Cellules....

En outre, un onglet Colonne ou Ligne supplémentaire est proposé dans cette boîte de dialogue.

Autres sujets abordés dans ce chapitre

Colonne

Ligne


Colonne

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Formatage -> Formatage de colonnes et de cellules -> Colonne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Colonne

Sur l'onglet Colonne, les propriétés concernant la colonne entière sont définies :

Paramètre

Description

Définition

Titre :

Définit l'en-tête des colonnes.

$C : lettres dans une séquence croissante de numéros de colonne.

E: la colonne s'étend automatiquement jusqu'à atteindre le nombre de colonnes adéquat si une archive*, une liste d'alarmes ou une liste chronologique d'événements est présente dans une des cellules. Si d'autres fonctions de rapport sont utilisées, le paramètre "E" ne peut pas être utilisé. Le E peut être utilisé plusieurs fois dans un rapport.
Par défaut : $C

Largeur en pixels

Largeur de la colonne en pixels

Options

Cachée

Actif : La colonne est cachée
Inactif : La colonne est affichée.

Pour afficher une colonne cachée : sélectionnez les deux colonnes voisines et définissez la propriété Masquer sur Inactive.

Attention : les fonctions qui se trouvent dans les cellules masquées ne sont pas exécutées. Pour exécuter une fonction sans l'afficher : définissez la hauteur de ligne ou la largeur de colonne sur 0.

Protection

Actif : Les cellules dans la colonne sont protégées contre les modifications de la mise en forme.
Inactif : Les cellules de cette colonne peuvent être mises en forme.


Ligne

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Formatage -> Formatage de colonnes et de cellules -> Ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Ligne

Cette boîte de dialogue permet de définir les propriétés de la ligne sélectionnée.

Paramètre

Description

Définition

Titre :

Définit l'en-tête des colonnes.

$R : nombres dans l'ordre inverse des numéros de colonne.

E: la ligne s'étend automatiquement jusqu'à atteindre le nombre de lignes adéquat si une archive*, une liste d'alarmes ou une liste chronologique d'événements est présente dans une des cellules. Si d'autres fonctions de rapport sont utilisées, le paramètre "E" ne peut pas être utilisé. Le E peut être utilisé plusieurs fois dans un rapport.

Par défaut : $R

Largeur en pixels

Hauteur de la ligne en pixels.

Options

Cachée

Actif : La ligne est cachée
Inactif : La ligne est affichée.

Pour afficher une ligne cachée : sélectionnez les deux lignes voisines et définissez la propriété Masquer sur Inactive.

Attention : les fonctions qui se trouvent dans les cellules masquées ne sont pas exécutées. Pour exécuter une fonction sans l'afficher : définissez la hauteur de ligne ou la largeur de colonne sur 0.

Protection

Actif : Les cellules dans la ligne sont protégées contre les modifications de la mise en forme.
Inactif : Les cellules de cette ligne peuvent être mises en forme.


Configuration du filtre d'archive

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Configuration du filtre d'archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si des valeurs d'archives doivent être utilisées dans le rapport, celles-ci doivent être définies avant que les fonctions de rapport ne soient activées. Pour configurer le filtre d'archive :

  • Sélectionnez Filtre dans le menu Format .

Paramètre | Description
Paramètre | Liste de variables sélectionnées dans les archives. Les nombres placés devant les variables sont utilisés par les fonctions d'archive et de protocole à des fins de classement.
Nouveau | Ouvre la boîte de dialogue de sélection de variables.
Modifier | Ouvre la boîte de dialogue de sélection de variables.
Supprimer | Supprime la variable sélectionné de la liste Paramètres.
Archives | Définition d'un filtre de variable. Les opérateurs * et ? sont autorisés au début d'une expression.
Remplacer par | Saisissez l'expression devant remplacer la chaîne recherchée.
Remplacer | Effectue une opération de type rechercher/remplacer. Le résultat est affiché dans une boîte de message.

Filtre Nouveau ou filtre Modifier

Cliquez sur les boutons Nouveau ou Modifier pour ouvrir la boîte de dialogue de sélection de variables :

Paramètre

Description

Paramètre

Affichage des archives présentes. Vous pouvez sélectionner une archive complète ou des variables individuelles.

Chaque variable reçoit automatiquement un numéro croissant, qui sera utilisé dans les fonctions de rapport pour l'archive. Un rapport peut ainsi être utilisé dans différents projets.

Enregistrer

Fournit les archives/variables sélectionnées pour le rapport.

Annuler

Ferme la boîte de dialogue sans effectuer de sélection.

Chaque variable reçoit automatiquement un numéro croissant, qui sera utilisé dans les fonctions de rapport pour l'archive.


Fonctions de rapport

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Différentes fonctions de formatage et de calcul sont disponibles pour créer un rapport.

  • Fonction de procédé :

    Accès défini à des données sélectionnées de zenon (valeurs en ligne et valeurs d'archives, utilisateur, noms d'ordinateurs etc.)

  • Fonctions de rapport
    • fonctions de formatage
    • fonctions de calcul

Les groupes de fonctions suivants sont disponibles :

  • Fonctions de base de données
  • Fonctions de Date et Heure
  • Fonctions logiques
  • Fonctions d'archive et de trace
  • Fonctions de statistiques
  • Fonctions mathématiques et trigonométriques
  • Fonctions texte
  • Gestionnaire de groupes de recettes
  • Autres fonctions

Les fonctions les plus fréquemment utilisées peuvent être configurées à l'aide de l'assistant Fonction.

Entrée

La spécification des fonctions s'effectue dans la ligne de saisie du rapport.

Si plusieurs cellules doivent recevoir la même entrée/fonction :

  1. Sélectionnez la cellule de départ et la cellule de destination.
  2. Sélectionnez la commande Remplir dans le menu contextuel, ainsi que la direction souhaitée (Droite ou Vers le bas).

    Les références aux coordonnées de cellules dans la fonction sont ajustées automatiquement.

Exemples de saisies

Paramètre | Description
=archiv(1,value,downwards) | Toutes les valeurs de la variable 1 issue d'une archive sont affichées vers le bas à partir de cette cellule.
=sum(A4:D4) | Le contenu des cellules A4 à D4 est ajouté. La cellule doit être formatée en tant que valeur.
=now() | Renvoie la date/l'heure actuelle.

info Info

Les fonctions de rapport peuvent provoquer des messages d'erreur dans l'éditeur si toutes les données nécessaires au calcul des données requises ne sont pas disponibles. Pour vous assurer que la configuration est correcte, testez le rapport dans le Runtime.

Direction

Options

Signification

right

La valeur est insérée à droite (ligne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée vers le bas (dans la colonne).

bas

La valeur est insérée vers le bas (colonne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée à droite (dans la ligne).

Informations concernant info

Le générateur de rapports doit comporter une licence dans l'environnement de développement et dans le Runtime (autonome, serveur/redondant et clients).

Si le module ne comporte pas une licence dans le Runtime, les fonctions suivantes ne sont pas disponibles :

  • Enregistrer archive (pour les saisies manuelles)
  • et l'écriture de valeurs prescrites.

L'accès en lecture est possible.

Autres sujets abordés dans ce chapitre

Conventions

Assistant sur fonction

Fonctions d'archivage et de journalisation

Fonctions de base de données

Fonctions de Date et Heure

Fonctions logiques

Fonctions mathématiques et trigonométriques

Gestionnaire de groupes de recettes

Fonctions de statistiques

Fonctions texte

Autres fonctions

Clés de formatage


Conventions

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Conventions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les conventions suivantes sont valides :

Paramètre | Description
Numéro : | (num); le séparateur de points décimaux dépend des paramètres du système d'exploitation (1,0 ou 1.0).
Zone : | (A1:A10)
Chaîne : | la séquence de caractères est délimitée par des guillemets ("), par exemple : "ABC".
Radians : | L'entrée des fonctions trigonométriques est en radians.

Conversion de degrés en radians

degrés | mesure de l'arc | radians
0,00 | 0 | 0
45,00 | pi/4 | 0,78539816339744828
90,00 | pi/2 | 1,5707963267948966
135,00 | 3pi/4 | 2,3561944901923448
180,00 | pi | 3,1415926535897931
225,00 | 5pi/4 | 3,9269908169872414
270,00 | 3pi/2 | 4,7123889803846897
315,00 | 7pi/4 | 5,497787143782138
360,00 | 2pi | 6,2831853071795862


Assistant sur fonction

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Assistant sur fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'assistant Fonction prend en charge la planification des fonctions de rapport. Il propose les fonctions les plus fréquemment utilisées. Toutes les autres fonctions sont saisies manuellement dans la cellule de saisie.

Pour ouvrir l'assistant Fonction :

  1. Cliquez sur la cellule souhaitée.
  2. Dans le menu contextuel, sélectionnez la commande Fonctions.
  3. L'assistant démarre.
  4. La sélection de l'assistant est transférée vers la cellule de saisie ;
    les guillemets ouverts devront peut-être être fermés manuellement.

Paramètre | Description
Syntaxe | Résultat de la sélection de la fonction et du paramètre.
Fonction | Sélection de la fonction.
Paramètre | Sélection du paramètre disponible pour la fonction sélectionnée.


Fonctions d'archivage et de journalisation

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Notions fondamentales

Toutes les fonctions d'archivage reposent sur la fonction de base archive(FILTERINDEX,PARAMETER,DIRECTION).

Les extensions peuvent être distinguées à l'aide des lettres supplémentaires dans les noms de fonctions.

Code | Signification | Commentaire
r | read only | L'archive est uniquement accessible en lecture seule. Les valeurs modifiées ne peuvent pas être enregistrées.
sp | Colonnes | Fournit des options de mise en forme spéciales permettant de définir les cellules à utiliser.
min | Mathématiques | Agit uniquement sur Valeur et Temps.
ex | extended | Fournit des traitements spéciaux.
w | write | L'écriture est possible.

Indice de filtre

L'index de filtre établit une distinction entre les nombres du filtre d'archive utilisé dans les fonctions de rapport et les variables provenant des archives.

Example Exemple

=archive(5,"valeur","vers le bas")

FILTERINDEX = 5

L'entrée présente dans le filtre sous le no. 5 est utilisée pour la fonction de rapport.

Paramètre

Options | Valeur possible
Valeur | [1-n]
Etat | [1-n]
Heure | [1-n]
Numéro | [1]

Direction

Options

Signification

right

La valeur est insérée à droite (ligne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée vers le bas (dans la colonne).

bas

La valeur est insérée vers le bas (colonne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée à droite (dans la ligne).

Toutes les fonctions d'archive peuvent être créées avec l'assistant Fonction.

Lors de l'affichage des informations d'état, les paramètres utilisés sont ceux définis dans le fichier project.ini, dans la section [STATUS] ou ceux dérivés de l'attribution définie au niveau interne. Si l'intitulé de l'état a été modifié dans project.ini, le nom modifié est fourni. (Conseil : permet de préserver la compatibilité du projet avec les anciens intitulés d'état.)

Dans le fonctionnement en ligne, la durée des requêtes est définie dans la fonction Requête ou fournie dans le Runtime lors de l'ouverture d'un fichier de rapport.

Modifier les entrées d'archives

Si les autorisations utilisateur le permettent, les valeurs d'archives peuvent également être modifiées dans le Runtime. Les modifications sont soit sauvegardées manuellement via l'élément de contrôle Enregistrer, soit enregistrées automatiquement lors de l'enregistrement d'un fichier de rapport. L'état d'une entrée modifiée est automatiquement défini sur valeur manuelle.

info Info

Modification des champs de chaînes dans le rapport : Si un texte est uniquement constitué de nombres, par défaut, les espaces sont supprimés lors de l'enregistrement. Les espaces souhaités doivent être affichés à l'aide du caractère ASCII 255 (Alt+255).

Autres sujets abordés dans ce chapitre

Traitement des entrées d'archives

Configuration avec l'assistant fonction

archive

archiveex

archiveexr

archivem

archivemr

archivemsp

archivemspr

archiver

archivesp

archivespr

archivespw

archivew

archivetime

batch

No. de batch.

wmz

wmzz


Traitement des entrées d'archives

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> Traitement des entrées d'archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Traitement des entrées d'archives

Les entrées d'archive peuvent être affichées dans un rapport, et peuvent également être à nouveau modifiées et enregistrées dans le rapport par un utilisateur possédant les autorisations suffisantes. Un assistant Fonction est à votre disposition pour créer les fonctions de rapport.

Lecture et écriture d'entrées d'archives

Le contenu suivant d'une entrée d'archive peut être lu pour être affiché dans un rapport :

  • Valeur
  • États
  • Heure

Les entrées d'archive suivantes peuvent être modifiées et sauvegardées via des calculs et de nouvelles entrées dans le rapport :

  • Valeur
  • États

Pour enregistrer les entrées d'archive modifiées dans le Runtime, cliquez sur le bouton Enregistrer archive. L'enregistrement des modifications peut être arrêté :

  • En activant l'option Lecture seule dans la fonction Appel de synoptique de zenon pour le synoptique de type Rapport.
  • En activant l'option Locked (Verrouillé) dans la boîte de dialogue Format de la cellule.

Si la valeur d'une entrée d'archive est modifiée, l'état est défini comme MAN_VAL lors de son enregistrement dans l'archive.

Exception : si l'état de l'entrée d'archive est modifié, seul l'état modifié est saisi. Si les règlements de sécurité tels que ceux de la FDA doivent être observés, aucun changement d'état ne peut être autorisé sur la base du rapport, lors de la configuration. Les entrées d'archive comportant l'état MAN_VAL sont affichées en bleu dans un rapport.

Affichage

Les entrées d'archive peuvent être représentées sous forme de lignes de valeurs d'archive ou sous forme de lignes de valeurs d'archives formatées en lignes. Les entrées d'archives comprises dans la plage de temps du rapport actuellement ouvert sont affichées en allant vers le bas ou vers la droite en partant de la cellule dans laquelle a été définie la fonction d'archive. Si aucune entrée d'archive correspondante n'a été trouvée, un signe - est affiché dans la cellule dans laquelle a été définie la fonction d'archive.

Lignes de valeurs d'archive

Les entrées d'archive acquises en lecture sont affichées sous forme de ligne, les unes après les autres, sans insertion d'espaces vides.

Lignes de valeurs d'archive formatées en lignes

Les entrées d'archive acquises en lecture sont affichées avec les critères suivants :

  • Nombre d'entrées d'archive par ligne
  • Espaces vides entre deux entrées
  • Lignes vides entre les lignes de valeurs.

.

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules de la table pouvant être remplies :

  • P1 : Numéro
  • P2 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.
  • P3 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down (bas), les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2 = lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre Droite, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2 = lignes vides entre les valeurs
  • P3 = lignes vides entre les valeurs


Configuration avec l'assistant fonction

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> Configuration avec l'assistant fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Configuration avec l'assistant fonction

Vous pouvez configurer les fonctions de rapport pour l'archive à l'aide de l'assistant fonction :

  1. Sélectionnez la cellule souhaitée dans le menu contextuel avec la commande Fonctions.
  2. L'assistant démarre.
  3. Sélectionnez la fonction d'archive de votre choix.

  4. La fonction d'archive est insérée dans la syntaxe.
  5. Cliquez sur l'archive pour ouvrir le filtre d'archive.

  6. Sélectionnez l'entrée de votre choix.

  7. Le numéro de référence de l'entrée (par exemple, 4) est transféré vers la chaîne de la syntaxe.
  8. Sélectionnez le paramètre souhaité, par exemple Valeur).

  9. Le paramètre est transféré vers la chaîne.
  10. Sélectionnez la direction souhaitée de l'entrée dans la table :
    • bas : la fonction remplit la colonne.
    • Droite : la fonction remplit la ligne.
      Attention : lors de l'utilisation de la fonction archivesp, les colonnes et lignes correspondantes sont prises en compte ! Si, par exemple, vous avez sélectionné la direction Droite, mais une seule colonne est disponible, les valeurs sont saisies vers le bas (dans la seule colonne disponible).

  11. La direction est transférée vers la chaîne.
  12. Les parenthèses sont fermées.

  13. La fonction est transférée vers la cellule lorsque vous cliquez sur OK.


archive

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
archive

La valeur, l'état ou l'heure de l'entrée de l'archive peuvent être lus. Les modifications sont soit sauvegardées manuellement via l'élément de contrôle Enregistrer, soit enregistrées automatiquement lors de l'enregistrement d'un fichier de rapport. L'état d'une entrée modifiée est automatiquement défini sur valeur manuelle.

Syntaxe : =archive(FILTERINDEX,PARAMETER,DIRECTION)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX |  | Entrée correspondante du filtre d'archive.
PARAMETRE | valeur, état, temps, nombre | Le paramètre sélectionné est lu dans l'archive et affiché.
DIRECTION | en bas, à droite | Définit la direction dans laquelle doit avoir lieu le remplissage, en partant de la cellule dans laquelle a été créée la fonction.

Example Exemple

Dans un rapport, toutes les valeurs d'archive de la variable d'archive 1 sont affichées vers le bas.

=archive(1,"valeur","vers le bas")


archiveex

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archiveex

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
archiveex

Syntaxe : =archiveex(FILTERINDEX,PARAMETER,DIRECTION,STATUS,SUBSTITUTETEXT,NN_TEXT,NN_SUBSTITUTEVALUE,CYCLEOFFSET)

Paramètres de transfert

Plage valide

Commentaire

FILTERINDEX

[1-n]

Entrée correspondante du filtre d'archive.

PARAMETRE

valeur, état, temps, nombre

Le paramètre sélectionné est lu dans l'archive et affiché

DIRECTION

en bas, à droite

Renseignement de la direction souhaitée.

STATUS

SPONT, MAN_VAL, INVALID

Etat des valeurs à afficher.

ALTERNATETEXT

Texte à afficher si l'état de la valeur d'archive ne correspond pas à l'état fourni par STATUS.

ND_TEXT

Texte de la valeur limite de "non-détectabilité" ; ne tient pas compte de la casse.

ND_ALTERNATEVALUE

Possibilité de donner une référence de cellule ou valeur. Si le contenu de la valeur ALTERNATETEXT est saisi dans la cellule et la table est enregistrée, la valeur NN_ALTERNATEVALUE est écrite dans l'archive.

CYCLEOFFSET

Uniquement pris en compte pour le type de filtre :

  • Horaire-jour
  • Horaire-mois
  • Horaire-année
  • Horaire-semaine
  • Horaire-2 semaines
  • Temps, 15min.
  • Temps, 30min.
  • Temps, 60 min.

Example Exemple

=archiveex(1,"heure","vers le bas",SPONT,MAN_VAL,"-","NN",G2,-2)


archiveexr

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archiveexr

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
archiveexr

Syntaxe : =archiveexr(FILTERINDEX,PARAMETER,DIRECTION,STATUS,SUBSTITUTETEXT,NN_TEXT,NN_SUBSTITUTEVALUE,CYCLEOFFSET)

Paramètres de transfert

Plage valide

Commentaire

FILTERINDEX

[1-n]

Entrée correspondante du filtre d'archive.

PARAMETRE

valeur, état, temps, nombre

Le paramètre sélectionné est lu dans l'archive et affiché

DIRECTION

en bas, à droite

Renseignement de la direction souhaitée.

STATUS

SPONT,MAN_VAL, INVALID

Etat des valeurs à afficher.

ALTERNATETEXT

Texte à afficher si l'état de la valeur d'archive ne correspond pas à l'état fourni par STATUS.

ND_TEXT

Texte de la valeur limite de "non-détectabilité" ; ne tient pas compte de la casse.

ND_ALTERNATEVALUE

Possibilité de donner une référence de cellule ou valeur. Si le contenu de la valeur ALTERNATETEXT est saisi dans la cellule et la table est enregistrée, la valeur NN_ALTERNATEVALUE est écrite dans l'archive.

CYCLEOFFSET

Uniquement pris en compte pour le type de filtre :

  • Horaire-jour
  • Horaire-mois
  • Horaire-année
  • Horaire-semaine
  • Horaire-2 semaines
  • Temps, 15min.
  • Temps, 30min.
  • Temps, 60 min.


archivem

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
archivem

Cette fonction permet de modifier automatiquement les valeurs ou les heures d'une entrée d'archive en ajoutant une constante à une valeur. Les modifications sont soit sauvegardées manuellement via l'élément de contrôle Enregistrer, soit enregistrées automatiquement lors de l'enregistrement d'un fichier de rapport. L'état d'une entrée modifiée est automatiquement défini sur valeur manuelle.

Syntaxe : =archivem(FILTERINDEX,PARAMETER,DIRECTION,MATH)

Paramètres de transfert

Plage valide

Commentaire

FILTERINDEX

[1-n]

Entrée correspondante du filtre d'archive.

PARAMETRE

valeur, état, temps, nombre

Le paramètre sélectionné est lu dans l'archive et affiché

DIRECTION

en bas, à droite

Renseignement de la direction souhaitée.

MATH

  • Constante : signé
  • Points décimaux : point de séparation (.)
  • Correction d'une heure : En minutes

La valeur est acquise en lecture et affichée dans le rapport par une manipulation appropriée. Les valeurs corrigées peuvent être enregistrées avec la fonction Enregistrer archive.

attention Attention

Chaque fois que la fonction Enregistrer archive est sélectionnée, les valeurs sont corrigées en fonction de la constante spécifiée !


archivemr

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivemr

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
archivemr

Cette fonction permet de modifier automatiquement les valeurs ou les heures d'une entrée d'archive en ajoutant une constante à une valeur.

Syntaxe : =archivemr(FILTERINDEX,PARAMETER,DIRECTION)

Paramètres de transfert

Plage valide

Commentaire

FILTERINDEX

[1-n]

Entrée correspondante du filtre d'archive.

PARAMETRE

valeur, état, temps, nombre

Le paramètre sélectionné est lu dans l'archive et affiché

DIRECTION

en bas, à droite

Renseignement de la direction souhaitée.

MATH

  • Puissance de sortie constante
  • Points décimaux : point de séparation (.)
  • Correction d'une heure : En minutes

attention Attention

Les valeurs modifiées ne peuvent pas être modifiées dans l'archive.

La valeur est acquise en lecture et affichée dans le rapport par une manipulation appropriée. Seuls les paramètres Temps et Valeur sont autorisés.=archivemr(4,value,right,6.5)

Toutes les valeurs lues dans l'archive sont augmentées de 6,50 pour l'affichage dans le rapport.

=archivemr(4,time,right,-1)

Les horodatages des entrées d'archive sont corrigés de 1 minute en arrière aux fins de la présentation dans le rapport.

Possibilité d'utilisation : par exemple, pour une valeur mensuelle calculée qui est uniquement disponible après la fin du mois (horodatage, par exemple 00:01:00).


archivemsp

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivemsp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
archivemsp

Cette fonction permet de modifier automatiquement la valeur ou les heures d'une entrée d'archive en ajoutant une constante à la valeur et en établissant les cellules correspondant aux entrées. La valeur est acquise en lecture et affichée dans le rapport par une manipulation appropriée. Les modifications sont soit sauvegardées manuellement via l'élément de contrôle Enregistrer, soit enregistrées automatiquement lors de l'enregistrement d'un fichier de rapport. L'état d'une entrée modifiée est automatiquement défini sur valeur manuelle.

Syntaxe : =archivemsp(FILTERINDEX,PARAMETER,DIRECTION)

Paramètres de transfert

Plage valide

Commentaire

FILTERINDEX

[1-n]

Entrée correspondante du filtre d'archive.

PARAMETRE

valeur, état, temps, nombre

Le paramètre sélectionné est lu dans l'archive et affiché

DIRECTION

en bas, à droite

Renseignement de la direction souhaitée.

P1

Nombre de valeurs d'archive dans la première ligne.

P2

Cellules vides entre deux valeurs affichées.

P3

Cellules vides jusqu'à la prochaine ligne de valeurs.

MATH

  • Constante : signé
  • Points décimaux : point de séparation (.)
  • Correction d'une heure : En minutes

attention Attention

Chaque fois que la fonction Enregistrer archive est sélectionnée, les valeurs sont corrigées en fonction de la constante spécifiée !

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules de la table pouvant être remplies :

  • P1 : Numéro
  • P2 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.
  • P3 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down (bas), les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2 = lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre Droite, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2 = lignes vides entre les valeurs
  • P3 = lignes vides entre les valeurs

Example Exemple

=archivemsp(4,"time","right",16,1,0,-0.5)

Toutes les entrées de temps de l'entrée d'archive comportant le numéro de filtre 4 sont retardées de 30 secondes ; 16 entrées sont prises en compte avec une colonne vide, sans espace.


archivemspr

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivemspr

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
archivemspr

Cette fonction permet de modifier automatiquement les valeurs ou les heures d'une entrée d'archive aux fins de l'affichage dans un rapport en ajoutant une constante à une valeur. La valeur est acquise en lecture et affichée dans le rapport par une manipulation appropriée. Seuls les paramètres Temps et Valeur sont autorisés.

attention Attention

Les valeurs modifiées ne peuvent pas être modifiées dans l'archive.

Syntaxe : =archivemspr(FILTERINDEX,PARAMETER,DIRECTION)

Paramètres de transfert

Plage valide

Commentaire

FILTERINDEX

[1-n]

Entrée correspondante du filtre d'archive.

PARAMETRE

valeur, état, temps, nombre

Le paramètre sélectionné est lu dans l'archive et affiché

DIRECTION

en bas, à droite

Renseignement de la direction souhaitée.

P1

Nombre de valeurs d'archive dans la première ligne.

P2

Cellules vides entre deux valeurs affichées.

P3

Cellules vides jusqu'à la prochaine ligne de valeurs.

MATH

  • Constante : signé
  • Points décimaux : point de séparation (.)
  • Correction d'une heure : En minutes

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules de la table pouvant être remplies :

  • P1 : Numéro
  • P2 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.
  • P3 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down (bas), les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2 = lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre Droite, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2 = lignes vides entre les valeurs
  • P3 = lignes vides entre les valeurs

Example Exemple

=archivemsp(4,"time","right",16,1,0,-0.5)

Toutes les entrées de temps de l'entrée d'archive comportant le numéro de filtre 4 sont retardées de 30 secondes ; 16 entrées sont prises en compte avec 1 colonne vide et 0 espace.


archiver

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archiver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
archiver

Cette fonction permet de lire la valeur, l'état et l'heure d'une entrée d'archive. Aucune modification n'est possible.

Syntaxe : =archiver(FILTERINDEX,PARAMETER,DIRECTION)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [1-n] | Entrée correspondante du filtre d'archive.
PARAMETRE | valeur, état, temps, nombre | Le paramètre sélectionné est lu dans l'archive et affiché
DIRECTION | en bas, à droite | Renseignement de la direction souhaitée.

Ceci diffère de la fonction archive, dans la mesure où aucune entrée manuelle ne peut être effectuée dans le Runtime.

Domaine d'application : Ces fonctions sont par exemple utiles lorsque vous ne souhaitez modifier qu'à un seul endroit une entrée affichée à plusieurs reprises dans un rapport. Toutes les entrées comprises dans la plage de temps du rapport sont également affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle a été spécifiée la fonction.


archivesp

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivesp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
archivesp

La valeur, l'état ou l'heure de l'entrée de l'archive peuvent être lus. Les modifications sont soit sauvegardées manuellement via l'élément de contrôle Enregistrer, soit enregistrées automatiquement lors de l'enregistrement d'un fichier de rapport. L'état d'une entrée modifiée est automatiquement défini sur valeur manuelle.

Syntaxe : =archivesp(FILTERINDEX,PARAMETER,DIRECTION,P1,P2,P3)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [ 1-n] | Entrée correspondante du filtre d'archive.
PARAMETRE | valeur, état, temps, nombre | Le paramètre sélectionné est lu dans l'archive et affiché
DIRECTION | en bas, à droite | Renseignement de la direction souhaitée
P1 |  | Nombre de valeurs d'archive dans la première ligne
P2 |  | Cellules vides entre deux valeurs
P3 |  | Cellules vides jusqu'à la prochaine ligne de valeurs

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules de la table pouvant être remplies :

  • P1 : Numéro
  • P2 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.
  • P3 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down (bas), les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2 = lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre Droite, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2 = lignes vides entre les valeurs
  • P3 = lignes vides entre les valeurs

Lors de l'affichage des informations d'état, les paramètres utilisés sont ceux définis dans le fichier project.ini, dans la section [STATUS] ou ceux dérivés de l'attribution définie au niveau interne. Si l'intitulé de l'état a été modifié dans project.ini, le nom modifié est fourni. (Conseil : permet de préserver la compatibilité du projet avec les anciens intitulés d'état.)


archivespr

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivespr

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
archivespr

La valeur, l'état ou l'heure de l'entrée de l'archive peuvent être lus.

Syntaxe : =archivespr(FILTERINDEX,PARAMETER,DIRECTION,P1,P2,P3)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX |  | Entrée correspondante du filtre d'archive.
PARAMETRE | valeur, état, temps, nombre | Le paramètre sélectionné est lu dans l'archive et affiché
DIRECTION | en bas, à droite | Renseignement de la direction souhaitée
P1 |  | Nombre de valeurs d'archive dans la première ligne
P2 |  | Cellules vides entre deux valeurs
P3 |  | Cellules vides jusqu'à la prochaine ligne de valeurs

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules de la table pouvant être remplies :

  • P1 : Numéro
  • P2 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.
  • P3 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down (bas), les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2 = lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre Droite, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2 = lignes vides entre les valeurs
  • P3 = lignes vides entre les valeurs

Contrairement à la fonction archivesp, aucune configuration manuelle ne peut être effectuée au niveau des cellules. Ces fonctions sont par exemple utiles lorsque vous ne souhaitez modifier qu'à un seul endroit une entrée affichée à plusieurs reprises dans un rapport. Toutes les entrées comprises dans la plage de temps du rapport sont également affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle a été spécifiée la fonction.

Example Exemple

=archivespr(1,"value","downwards",12,1,3)

Toutes les valeurs de l'entrée d'archive avec le numéro de filtre 1 sont écrites vers le bas ; 12 entrées sont prises en compte avec 1 ligne vide et 3 colonnes vides.


archivespw

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivespw

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
archivespw

Cette fonction supprime l'affichage des entrées d'archive lues et permet de définir les cellules à utiliser. Au moment de l'enregistrement, les entrées d'archives sont remplacées par des valeurs et états existant à d'autres emplacements (par ex. valeurs ou états calculés).

Syntaxe : =archivespw(FILTERINDEX,PARAMETER,DIRECTION,P1,P2,P3,SZ_WERT,SZ_STATUS)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [1-n] | Entrée correspondante du filtre d'archive.
PARAMETRE | valeur, état, temps, nombre | Le paramètre sélectionné est lu dans l'archive et affiché
DIRECTION | en bas, à droite | Renseignement de la direction souhaitée.
P1 |  | Nombre de valeurs d'archive dans la première ligne.
P2 |  | Cellules vides entre deux valeurs affichées.
P3 |  | Cellules vides jusqu'à la prochaine ligne de valeurs.
SZ_VALUE | Valeurs de la cellule de départ | Cellule à partir de laquelle les valeurs calculées commencent à apparaître.
SZ_STATUS | Etat de la cellule de départ. | Définition d'un texte d'état fixe (par exemple, MAN_VAL), ou indication de la cellule de départ dans laquelle doit être pris le texte d'état.

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules de la table pouvant être remplies :

  • P1 : Numéro
  • P2 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.
  • P3 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down (bas), les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2 = lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre Droite, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2 = lignes vides entre les valeurs
  • P3 = lignes vides entre les valeurs

Textes d'état

La configuration ne s'effectue pas par le biais de l'aide à la spécification, mais directement dans la cellule. Dans ce cas, les dispositions suivantes s'appliquent :

  • Lors de la saisie de textes d'état, les textes courts définis dans le fichier project.ini ou dérivés de la configuration interne par défaut doivent être utilisés. Ceci s'applique, que les états soient définis comme fixes ou lus depuis une autre cellule.
  • Séparez plusieurs états par une virgule (,).
  • Les valeurs calculées sont mises à jour, peu importe que la nouvelle valeur calculée soit différente de la valeur acquise en lecture.
  • L'état est alors changé en valeur manuelle (MAN_VAL).


archivew

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivew

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
archivew

Cette fonction supprime l'affichage des entrées d'archive lues et permet de définir les cellules à utiliser. Au moment de l'enregistrement, les entrées d'archives sont remplacées par des valeurs et états existant à d'autres emplacements (par ex. valeurs ou états calculés). Cette fonction de rapport peut être utilisée comme exemple de la réduction des valeurs mensuelles en valeurs annuelles comme valeur d'archive.

Syntaxe : =archivew(FILTERINDEX,PARAMETER,DIRECTION,P1,P2,P3,SZ_WERT,SZ_STATUS)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [1-n] | Entrée correspondante du filtre d'archive.
PARAMETRE | valeur, état, temps, nombre | Le paramètre sélectionné est lu dans l'archive et affiché
DIRECTION | en bas, à droite | Renseignement de la direction souhaitée.
SZ_VALUE | Valeurs de la cellule de départ | Cellule à partir de laquelle les valeurs calculées commencent à apparaître.
SZ_STATUS | Etat de la cellule de départ. | Définition d'un texte d'état fixe (par exemple, MAN_VAL), ou indication de la cellule de départ dans laquelle doit être pris le texte d'état.

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules de la table pouvant être remplies :

  • P1 : Numéro
  • P2 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.
  • P3 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down (bas), les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2 = lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre Droite, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2 = lignes vides entre les valeurs
  • P3 = lignes vides entre les valeurs

Textes d'état

La configuration ne s'effectue pas par le biais de l'aide à la spécification, mais directement dans la cellule. Dans ce cas, les dispositions suivantes s'appliquent :

  • Lors de la saisie de textes d'état, les textes courts définis dans le fichier project.ini ou dérivés de la configuration interne par défaut doivent être utilisés. Ceci s'applique, que les états soient définis comme fixes ou lus depuis une autre cellule.
  • Séparez plusieurs états par une virgule (,).
  • Les valeurs calculées sont mises à jour, peu importe que la nouvelle valeur calculée soit différente de la valeur acquise en lecture.
  • L'état est alors changé en valeur manuelle (MAN_VAL).

Example Exemple

Réductions de valeurs mensuelles en valeurs annuelles comme valeur d'archive :

Dans un rapport mensuel comportant des valeurs quotidiennes, le nombre de jours pendant lesquels une limite x a été dépassée est calculé. La somme des dépassements de limite est écrite dans une cellule du rapport.

  • Dans une archive, une valeur recevant une entrée par mois a été définie.
  • Cette entrée est lue dans le rapport via la fonction archivew.
  • =archivew(4,"value","downwards",B12,C12)
    • 4 : Variable du filtre d'archive
    • Valeur : paramètre des variables à afficher
    • Vers le bas : direction dans laquelle sont écrites les valeurs
    • B12 : cellule de départ correspondant à la cellule calculée
    • C12 : définit le texte d'état devant être fourni
  • La somme est écrite dans la valeur de l'archive lors de l'enregistrement des valeurs de l'archive.


archivetime

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> archivetime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
archivetime

La fonction archivetime fournit, en fonction du filtre horaire défini, les informations d'heure spécifiques au début et à la fin de la procédure d'interrogation de l'archive en mode de fonctionnement en ligne.

Syntaxe : =archivetime(FILTERINDEX,PARAMETER)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [1-n] | Entrée correspondante du filtre d'archive.
PARAMETRE | absolutetimefrom, absolutetimeto | Heure de début ou de fin de la requête d'archive.


batch

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> batch

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
batch

Cette fonction renvoie les noms des premiers batchs pour l'archive sélectionnée dans la zone de filtre du rapport.

Syntaxe : =batch(FILTERINDEX)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [1-n] | Entrée correspondante du filtre d'archive.

Example Exemple

=batch(1)

Nom du premier batch pour l'archive de variables placée en position 1 du filtre d'archives.


No. de batch.

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> No. de batch.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
No. de batch.

Cette fonction affiche différentes informations sur les batchs. Les informations sont affichées sous forme de liste évaluée du haut vers le bas, ou de la gauche vers la droite. Les indications suivantes sont affichées :

  • Nom des batchs
  • Heure de début
  • Point de fin

Syntaxe : =batchnr(FILTERINDEX,PARAMETER,DIRECTION)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [1-n] | Entrée correspondante du filtre d'archive.
PARAMETRE | nom, heure de début, heure de fin | Le paramètre sélectionné est lu dans l'archive et affiché
DIRECTION | bas, gauche | Renseignement de la direction souhaitée.


wmz

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> wmz

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
wmz

La fonction =wmz wertet évalue les valeurs de compteur enregistrées dans l'archive. Le dépassement de compteur n'est pas vérifié automatiquement.

Syntaxe : =wmz(FILTERINDEX,ACTIVATED,OVERFLOW,STARTVALUE,ENDVALUE,COUNTERINFO,ERRORCOUNTER)

Paramètres de transfert

Plage valide

Commentaire

FILTERINDEX

[1-n]

Entrée correspondante du filtre d'archive.

ACTIVATED

0 = désactivé
>1 = activé

La fonction n'est pas exécutée avec 0.

OVERFLOW

Valeur ou référence de cellule

Avec un débordement de 1000, une erreur est reconnue avec une valeur d'archives de 1000 ou plus haut.

STARTVALUE

référence de cellule

La première valeur valide des archives.

ENDVALUE

référence de cellule

La dernière valeur valide des archives.

COUNTERINFO

référence de cellule

Le début du changement opposé. La directionjuste de la référence de cellule.

Consiste en quatre entrées de cellule :

  • Dater et le temps de la première valeur après un changement opposé
  • Valeur avant le changement opposé
  • Valeur après le changement opposé
  • Cellule vide

ERRORCOUNTER

référence de cellule

Déclare le numéro d'erreurs trouvées dans une cellule.

Les causes de l'erreur :

  • Valeur>= comme défini dans OVERFLOW
  • Valeurs <= 0:
  • Avec deux valeurs consécutives d'archives, la première valeur est plus grande que la valeur subséquente.

La somme de toutes les valeurs valides est écrite dans la cellule de la fonction.


wmzz

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions d'archivage et de journalisation -> wmzz

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
wmzz

The wmzz function (filter index, direction, P1, P2, P3, activated, overflow) lists the difference between two consecutive archive values.
The output is '0' if

  • The first value is >= the subsequent value.
  • One of the two values is >= OVERFLOW.
  • One of the two values is = 0.

Syntaxe : =wmzz(filter index, direction, P1, P2, P3, activated, overflow)

Paramètres de transfert | Plage valide | Commentaire
FILTERINDEX | [1-n] | Entrée correspondante du filtre d'archive.
DIRECTION | bas, gauche | Renseignement de la direction souhaitée.
P1 |  | Nombre de valeurs d'archive dans la première ligne
P2 |  | Cellules vides entre deux valeurs
P3 |  | Cellules vides jusqu'à la prochaine ligne de valeurs
ACTIVATED | 0 = désactivé 1 = activé | The function is not executed with 0.
OVERFLOW | Valeur ou référence de cellule | With an overflow of 1000, an error is recognized with an archive value of 1000 or higher.

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules de la table pouvant être remplies :

  • P1 : Numéro
  • P2 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.
  • P3 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down (bas), les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2 = lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre Droite, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2 = lignes vides entre les valeurs
  • P3 = lignes vides entre les valeurs


Fonctions de base de données

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de base de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction autorise la lecture de données provenant de bases de données Access ou SQL.

Syntaxe : =sqldao (BASE-DE-DONNEES,REQUETE-SQL,PARA1,PARA2)

attention Attention

SQLDAO n'est pas compatible avec :

  • ntext
  • sql_variant
  • nvarchar(MAX)
  • nchar(MAX)

Paramètres de transfert

Commentaire

DATABASE

Nom de la base de données (*.mdb) ou du fournisseur OLEDB.

Requête SQL

Les requêtes de base de données standard 'SELECT', 'INSERT', 'UPDATE', 'DELETE' et 'EXECUTE' peuvent être utilisées ici.

Les paramètres à deux valeurs entières peuvent être transférés avec %d %d et les paramètres à deux chaînes peuvent être transférés avec %s %s.

PARA1

paramètres pour la requête SQL

PARA2

paramètres pour la requête SQL

Configuration avec l'assistant fonction

Vous pouvez utiliser des bases de données MS Access et des bases de données avec fournisseurs OLEDB. Dans ce cas, utilisez la syntaxe suivante :

Base de données

Syntaxe

Base de données MS Access

=sqldao (base de données,requête SQL,Para1,Para2)

Bases de données avec fournisseur OLEDB

Remplacez la référence à une base de données avec une chaîne d'initialisation OLEDB. Cette chaîne peut être :

  • Saisie manuellement ou
  • Créée en cliquant sur le bouton Fournisseur OLEDB.

Bases de données avec fournisseur OLEDB

Cliquez sur le bouton Fournisseur OLEDB pour ouvrir la boîte de dialogue des propriétés de liaison de données :

Ici, vous pouvez définir la connexion à la base de données souhaitée :

  • Type de fournisseur OLEDB
  • Source de données
  • Informations d'enregistrement
  • etc.

Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, la chaîne d'initialisation est générée et insérée dans le champ Syntaxe.

Syntaxe : =sqldao (fournisseur,requête SQL,Para1,Para2)

attention Attention

La chaîne d'initialisation doit toujours démarrer par la séquence de caractères Provider=. Tenez compte des lettres en majuscules et en minuscules, car la chaîne est sensible à la casse.

Paramètres pour MS Access et OLEDB

Paramètres de transfert

Description

Base de données

Nom (*.mdb) de la base de données :
Répertoire de stockage : Dossier du projet situé au-dessus du dossier Runtime dans l'arborescence du projet.
Par exemple :
Emplacement de stockage dans le Runtime : sous-dossier de C:\Users\Public\Documents\zenon_Projects\Multi\TEST_PROJEKT.

Emplacement de sauvegarde des fichiers *.mdb : enregistrés directement dans le dossier C:\Users\Public\Documents\zenon_Projects\Multi\TEST_PROJEKT.

Le dossier du projet est défini dans les propriétés du projet.

Fournisseur

Fournisseur OLEDB ; la chaîne d'initialisation doit toujours commencer par Provider= (sensible à la casse).

Requête SQL

Vous pouvez utiliser ici les requêtes "select" standard.

Les paramètres à deux valeurs entières peuvent être transférés avec %d %d et les paramètres à deux chaînes peuvent être transférés avec %s %s.

Para1, Para2

Paramètres de la requête SQL.

Autres sujets abordés dans ce chapitre

Exemple d'accès

Exemple dans SQL


Exemple d'accès

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de base de données -> Exemple d'accès

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Exemple d'accès

Exemple pour MS Access

Exemple de base de données : Address.mdb

Nom | Prénom | Rue | Ville | Téléphone | AdresseCan
Müllner | Egon | Am Rheinberg 22 | 5020 Salzburg | 0662/329354 | 1
Roider | Jürgen | Mozartgasse 7 | 5020 Salzburg | 0662/329354 | 2
Leitner | Hans | Strubergasse 6 | 5020 Salzburg | 0662/329354 | 3
Müller | Peter | Blumengasse 6 | 80003 München | 089/234243 | 5
Weinberger | ww | Hafnergasse 5 | 7020 Klagenfurt | 0222/2222 | 6

Exemple 1

Toutes les entrées de la table Adresses contenant des noms de champ Nom doivent être fournies.

Fonction : =sqldao(Adress.mdb,SELECT Adressen.name FROM Adressen ;,1,1)

Address.mdb | Base de données à laquelle on accède (doit être dans le répertoire Runtime du projet)
SELECT | Indique au module Microsoft Jet Database de renvoyer les informations provenant de la base de donnée comme un groupe d'enregistrements.
Adresse.Nom | Table.Nom du champ
FROM | définit la table dans laquelle la requête doit être effectuée pour chercher les champs définis dans l'énoncé SELECT
Adresses | Table

Résultat :

Müllner

Roider

Leitner

Müller

Weinberger

Exemple 2

  • Limite inférieure : Contenu de la cellule E1
  • Limite supérieure : Contenu de la cellule E2
  • Nom du champ pour l'évaluation : AdresseCan
  • Toutes les entrées de la table Adresses contenant des noms de champ Nom et Prénom doivent être fournies.
  • La condition AdresseCan doit être supérieure au contenu de la cellule E1 et inférieure au contenu de E2.

Fonction : =sqldao(Adress.mdb,SELECT Address.name,Address.first name FROM Address WHERE (((Adressen.CanAdresse)>%d) AND ((Address.CanAdresse)<%d)) ;,E1,E2)

Address.mdb | Base de données à laquelle on accède (doit être dans le répertoire Runtime du projet)
SELECT | Indique au module Microsoft Jet Database de renvoyer les informations provenant de la base de donnée comme un groupe d'enregistrements.
Adresse.Nom | Table.Nom du champ
, | Séparateur SQL
Adresse.Prénom | Table.Nom du champ
FROM | définit la table dans laquelle la requête doit être effectuée pour chercher les champs définis dans l'énoncé SELECT
Adresses | Table
WHERE | Indique quels enregistrements de la table définis dans la section FROM sont affectés par une instruction SELECT, UPDATE ou DELETE.
(((Adresse.AdresseCan)>%d) | Condition : Table.Nom du champ
AND | Lien
((Address.CanAddress)<%d)) | Condition : Table.Nom du champ
; | fin de l'énoncé SQL
E1, E2: | Références de cellule (entier)

Résultat pour E1 = 1, E2 = 6

Roider | Jürgen | 2
Leitner | Hans | 3
Müller | Peter | 5

info Info

Pour plus d'information sur les instructions SQL reportez-vous à l'aide en ligne de MS-Access.


Exemple dans SQL

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de base de données -> Exemple dans SQL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Exemple dans SQL

Exemple pour une base de données avec fournisseur OLEDB

=sqldao("Provider=SQLNCLI.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=<databasename>;Data Source=<database instance>;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=<PCNAME>;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT <tablename>.<columnname> FROM <tablename>;",0,0)

Paramètres de transfert | Commentaire
DATABASE | "Provider=SQLNCLI.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=<databasename>;Data Source=<database instance>;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=<PCNAME>;Use Encryption for Data=False;Tag with column collation when possible=False"
Requête SQL | "SELECT <tablename>.<columnname> FROM <tablename>;"
PARA1 | 0
PARA2 | 0

Valeurs pour l'exemple

Base de données : "AdventureWorks"

Installation : AdventureWorksDB.msi

Source : http://msftdbprodsamples.codeplex.com/releases/view/4004

Nom de l'ordinateur : "PC1"

Authenticité : "Windows NT"

Instance de SQL Server : "SQLEXPRESS"

SELECT

SELECT

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] ORDER BY AddressID;",0,0)

SELECT with string parameter (cell H2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] WHERE (City = N'%s') ORDER BY AddressID;",H2,0)

SELECT with numerical parameter (cell H2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","SELECT TOP 100 [AddressID],[AddressLine1],[AddressLine2],[City],[StateProvinceID],[PostalCode] FROM [AdventureWorks].[Person].[Address] WHERE (StateProvinceID = %d) ORDER BY AddressID;",H2,0)

INSERT

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","INSERT INTO [AdventureWorks].[Sales].[Currency] (CurrencyCode,Name,ModifiedDate) VALUES ('AAA','NewValue','');",0,0)

UPDATE

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","UPDATE Sales.Currency SET Name = 'ModifiedValue' WHERE CurrencyCode = 'AAA';",0,0)

SUPPRIMER

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","DELETE Sales.Currency WHERE CurrencyCode = 'AAA';",0,0)

EXECUTE

EXECUTE with numerical parameter (cell J2)

=sqldao("Provider=SQLOLEDB.1;Integrated Security=SSPI;Persist Security Info=False;Initial Catalog=AdventureWorks;Data Source=.\SQLEXPRESS;Use Procedure for Prepare=1;Auto Translate=True;Packet Size=4096;Workstation ID=PC1;Use Encryption for Data=False;Tag with column collation when possible=False","EXECUTE dbo.uspGetBillOfMaterials %d, '2001-05-08 12:35:29.123';",J2,0)


Fonctions de Date et Heure

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de Date et Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction renvoie des valeurs de date et de temps.

Vous trouverez les clés de formatage au chapitre Types de données pour la date et l'heure.

Autres sujets abordés dans ce chapitre

date

datevalue

day

hour

minute

month

now

second

Heure

today

weekday

year


date

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de Date et Heure -> date

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
date

La fonction date (iYear, iMonth, iDay) calcule la date à partir des valeurs numériques pour l'année (iYear), le mois (iMonth) et le jour (iDay).

Syntaxe : =date(iYear,iMonth,iDay)

Paramètres de transfert | Plage valide | Commentaire
iYear | [0100-2200] |
iMonth | [1-12] | les valeurs en dehors de la plage valide sont traitées avec la valeur la plus haute ou la plus basse des limites.
iDay | [1-(28,29,30,31)] | les valeurs en dehors de la plage valide sont traitées avec la valeur la plus haute ou la plus basse des limites.

Format du résultat : Date

Format standard : dd/mm/yyyy

Example Exemple

=date(2010,5,12) équivaut à 12.05.2010

Cellule A1=2010, cellule A2=5, cellule A3=12, cellule A4=date(A1,A2,A3) équivaut à 12.05.2010


datevalue

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de Date et Heure -> datevalue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
datevalue

La fonction datevalue(date_text) calcule la date à partir du texte de date (date_text).

Syntaxe : =datevalue(date_text)


day

day

La fonction day(date) détermine le jour à partir de la valeur de date.

Syntaxe : =day(date)

Format du résultat : Entier

Example Exemple

=now() , avec la chaîne de format hh:mm:ss dd/mm/aa, renvoie 12:46:24 05.06.10
Cellule A2 =day (A1) renvoie 5.


hour

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de Date et Heure -> hour

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
hour

La fonction hour(time) détermine le jour à partir de la valeur d'heure.

Syntaxe : =hour(time)

Format du résultat : Entier

Example Exemple

=now() , avec la chaîne de format hh:mm:ss dd/mm/aa, renvoie 12:46:24 05.06.10
Cellule A2 =hour (A1) renvoie 12.


minute

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de Date et Heure -> minute

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
minute

La fonction minute(time) détermine les minutes à partir d'une valeur d'heure.

Syntaxe : =minute(time)

Format du résultat : Entier

Example Exemple

=now() , avec la chaîne de format hh:mm:ss dd/mm/yy, renvoie 12:46:24 05.06.10
Cellule A2 : =minute(A1) renvoie 46.


month

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de Date et Heure -> month

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
month

La fonction month(date) détermine le mois à partir de la valeur de date.

Syntaxe : =month(date)

Format du résultat : Entier

Example Exemple

=now() , avec la chaîne de format hh:mm:ss dd/mm/aa, renvoie 12:46:24 05.06.10
Cellule A2 =month (A1) renvoie 6.


now

now

La fonction now() renvoie la date et l'heure actuelles.

La cellule prend automatiquement le format "dd/mm/yyyy" qui correspond en français à jj/mm/aaaa.

Syntaxe : =now()

Example Exemple

=now() renvoie 05.06.2010.
=now(), avec la chaîne de format hh:mm:ss dd/mm/yy, renvoie 12:46:24 05.06.10.


second

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de Date et Heure -> second

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
second

La fonction second(time) détermine les secondes à partir d'une valeur d'heure.

Syntaxe : =second(time)

Format du résultat : Entier

Example Exemple

=now() , avec la chaîne de format hh:mm:ss dd/mm/aa, renvoie 12:46:24 05.06.10
Cellule A2 =second (A1) renvoie 24.


Heure

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de Date et Heure -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Heure

La fonction time(iHour, iMinute, iSecond) renvoie l'heure à partir des valeurs numériques des heures (iHour), des minutes (iMinute) et des secondes (iSecond).

La cellule prend automatiquement le format "hh:mm:ss".

Syntaxe : =time(iHour,iMinute,iSecond)

Paramètres de transfert | Plage valide | Commentaire
iHour | [0-23] | les valeurs en dehors de la plage valide sont traitées avec la valeur la plus haute ou la plus basse des limites.
iMinute | [0-59] | les valeurs en dehors de la plage valide sont traitées avec la valeur la plus haute ou la plus basse des limites.
iSecond | [0-59] | les valeurs en dehors de la plage valide sont traitées avec la valeur la plus haute ou la plus basse des limites.

Format du résultat : time

Example Exemple

=time(12,24,48) renvoie 12:24:48

Cellule A1=12, cellule A2=24, cellule A3=48 , cellule A4=time(A1,A2,A3) renvoie 12:24:48


today

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de Date et Heure -> today

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
today

La fonction today() renvoie la date actuelle.

La cellule prend automatiquement le format "dd/mm/yyyy" qui correspond en français à jj/mm/aaaa.

Syntaxe : =today()

Example Exemple

=today() renvoie 05.06.2010.
=today(), avec la chaîne de format hh:mm:ss dd/mm/yy, renvoie 12:00:00 AM 05.06.10.


weekday

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de Date et Heure -> weekday

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
weekday

La fonction weekday(date) détermine le jour de la semaine à partir de la valeur de date.

Syntaxe : =weekday(date)

Valeur | Jour de la semaine
1 | Dimanche
2 | Lundi
3 | Mardi
4 | Mercredi
5 | Jeudi
6 | Vendredi
7 | Samedi

Format du résultat : Entier

Example Exemple

=now() , avec la chaîne de format hh:mm:ss dd/mm/aa, renvoie 12:46:24 05.06.10
Cellule A2 =weekday (A1) renvoie 3.


year

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de Date et Heure -> year

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
year

La fonction year(date) détermine l'année à partir de la valeur de date.

Syntaxe : =year(date)

Format du résultat : Entier

Example Exemple

=now(), avec la chaîne de format hh:mm:ss dd/mm/aa, renvoie 12:46:24 05.06.10
Cellule A2 =year (A1) renvoie 2010.


Fonctions logiques

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions logiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette section récapitule toutes les fonctions logiques du générateur de rapports.

Autres sujets abordés dans ce chapitre

et

exact

false

if

isblank

iserror

islogical

isnontext

isnumber

isref

istext

not

ou

true


et

et

La fonction and(logical,logical) renvoie la valeur TRUE (VRAI) si les deux arguments sont VRAIS.

La cellule reçoit automatiquement la chaîne de format True;False.

Syntaxe : =and(logical,logical)

Exemple

Cellule A1 | Cellule A2 | Cellule A3=and(A1,A2)
false | false | false
false | true | false
true | false | false
true | true | true


exact

exact

La fonction exact(string1,string2) renvoie la valeur TRUE si les deux chaînes sont identiques (sensible à la casse).

Syntaxe : =exact(string1,string2)


false

false

La fonction false() renvoie la valeur logique FALSE.

La cellule reçoit automatiquement la chaîne de format True;False.

Syntaxe : =false()

Example Exemple

L'entrée dans la cellule A1=false() est . False


if

if

La fonction if(exprTest,valTrue,valFalse) renvoie le contenu de valTrue (valeur ou chaîne) si l'argument est exprTest TRUE, et renvoie autrement le contenu de valFalse. Il est possible d'imbriquer les fonctions if, par exemple, en définissant des liens and.

Syntaxe : =if(exprTest,valTrue,valFalse)


isblank

isblank

La fonction isblank(ref) renvoie la valeur logique TRUE si la cellule de référence est vide.

Syntaxe : =isblank(ref)

Exemple

ContentA1 | A1 | Résultat
Expression logique | Non | False
Texte | Ceci est un texte | False
vide |  | True
Numéro | 123,00 | False
Erreur | #ARG! | #ARG!


iserror

iserror

La fonction iserror(ref) renvoie la valeur logique TRUE si la cellule de référence contient une erreur.

Syntaxe : =iserror(ref)

Exemple

ContentA1 | A1 | Résultat
Expression logique | Non | False
Texte | Ceci est un texte | False
vide |  | False
Numéro | 123,00 | False
Erreur | #ARG! | True


islogical

islogical

La fonction islogical(ref) renvoie la valeur logique TRUE si la cellule de référence contient une valeur logique.

Syntaxe : =islogical(ref)

Exemple

ContentA1 | A1 | Résultat
Expression logique | Non | True
Texte | Ceci est un texte | False
vide |  | False
Numéro | 123,00 | False
Erreur | #ARG! | #ARG!


isnontext

isnontext

La fonction isnontext(ref) renvoie la valeur logique TRUE si la cellule de référence ne contient pas une chaîne de texte.

Syntaxe : =isnontext(ref)

Exemple

ContentA1 | A1 | Résultat
Expression logique | Non | True
Texte | Ceci est un texte | False
vide |  | True
Numéro | 123,00 | True
Erreur | #ARG! | #ARG!


isnumber

isnumber

La fonction isnumber(ref) renvoie la valeur logique TRUE si la cellule de référence contient une valeur numérique.

Syntaxe : =isnumber(ref)

Exemple

ContentA1 | A1 | Résultat
Lien logique | Non | False
Texte | Ceci est un texte | False
vide |  | False
Numéro | 123,00 | True
Erreur | #ARG! | #ARG!


isref

isref

La fonction isref(ref) renvoie la valeur logique TRUE si la cellule de référence contient une référence à une autre cellule.

Syntaxe : =isref(ref)

Exemple

ContentA1 | A1 | Résultat
Expression logique | Non | False
Texte | Ceci est un texte | False
vide |  | False
Numéro | 123,00 | False
Erreur | #ARG! | False
Référence | =B1 | True


istext

istext

La fonction istext(ref) renvoie la valeur logique TRUE si la cellule de référence contient une chaîne de texte.

Syntaxe : =istext(ref)

Exemple

ContentA1 | A1 | Résultat
Lien logique | Non | False
Texte | Ceci est un texte | True
vide |  | False
Numéro | 123,00 | False
Erreur | #ARG! | #ARG!


not

not

La fonction not(logical) renvoie l'inverse logique de l'argument.

La cellule reçoit automatiquement la chaîne de format True;False.

Syntaxe : =not(logical)

Exemple

Cellule A1 | Cellule A2=not(A1)
false | True
true | False


ou

ou

La fonction or(logical,logical) renvoie la valeur logique TRUE (VRAI) si les deux arguments renvoient la valeur TRUE.

La cellule reçoit automatiquement la chaîne de format True;False.

Syntaxe : =or(logical,logical)

Exemple

Cellule A1 | Cellule A2 | Cellule A3=or(A1,A2)
false | false | false
false | true | true
true | false | true
true | true | true


true

true

La fonction true() renvoie la valeur logique TRUE (Vrai).

La cellule reçoit automatiquement la chaîne de format True;False.

Syntaxe : =true()

Example Exemple

L'entrée dans la cellule A1=true() est . True


Fonctions mathématiques et trigonométriques

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Des fonctions mathématiques communes sont disponibles pour les rapports. Elles peuvent non seulement être planifiées à l'aide de l'assistant Fonction, mais peuvent également être saisies directement dans la ligne de saisie.

Autres sujets abordés dans ce chapitre

abs

acos

acosh

asin

asinh

atan

atanh

atan2

ceil

Colonne

Colonnes

cos

cosh

degree

even

exp

fact

factdouble

floor

int

ln

log10

mod

odd

pi

product

quotient

radians

rand

randbetween

round

row

rows

sign

sin

sinh

sqrt

sqrtpi

tan

tanh

trunc


abs

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> abs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
abs

La fonction abs (num) renvoie la valeur absolue d'un nombre en résultat. La valeur absolue d'un nombre est la valeur sans signe.

Syntaxe : =abs(num)

num : est le nombre reel pour la base du calcul de la valeur absolue.

Example Exemple

=abs(2.2) égale 2

=abs(-2.2) égale 2


acos

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> acos

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
acos

La fonction acos (num) renvoie le cosinus inverse d'un nombre.

Syntaxe : =acos(num)


acosh

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> acosh

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
acosh

La fonction acosh (num renvoie le cosinus hyperbolique inverse d'un nombre.

Syntaxe : =acosh(num)


asin

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> asin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
asin

La fonction asin (num) renvoie le cosinus inverse d'un nombre.

Syntaxe : =asin(num)


asinh

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> asinh

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
asinh

La fonction asinh (num) renvoie le sine hyperbolique inverse d'un nombre.

Syntaxe : =asinh(num)


atan

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> atan

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
atan

La fonction atan (num) renvoie la tangente inverse d'un nombre.

Syntaxe : =atan(num)


atanh

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> atanh

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
atanh

La fonction atanh (num) renvoie la tangente hyperbolique inverse d'un nombre.

Syntaxe : =atanh(num)


atan2

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> atan2

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
atan2

La fonction atan2 (x,y) renvoie la tangente inverse sur la base de coordonnées x et y.

Syntaxe : =atan2(x, y)


ceil

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> ceil

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
ceil

La fonction ceil (num) renvoie la valeur entière immédiatement supérieure à la valeur entière arrondie de la valeur.

Syntaxe : =ceil(num)

Example Exemple

=ceil(2.2) égale 3

=ceil(-2,2) égale -3


Colonne

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> Colonne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Colonne

La fonction column (ref) fournit le numéro de colonne d'une connexion (par exemple, C3=2) dans la plage de valeurs de 0 à n.

Syntaxe : =column(ref)


Colonnes

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> Colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Colonnes

La fonction columns (range) renvoie le nombre de colonnes dans la plage définie.

Syntaxe : =columns(range)


cos

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> cos

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
cos

La fonction cos(num) renvoie le cosinus d'un nombre.

Syntaxe : =cos(num)

Exemple

=cos(Entrée)

 | Entrée | Résultat
degrés | Radians() | cosinus
0,00 | 0 | 1,000
45,00 | 0,78539816339744828 | 0,707
90,00 | 1,5707963267948966 | 0,000
135,00 | 2,3561944901923448 | -0,707
180,00 | 3,1415926535897931 | -1,000
225,00 | 3,9269908169872414 | -0,707
270,00 | 4,7123889803846897 | -0,000
315,00 | 5,497787143782138 | 0,707
360,00 | 6,2831853071795862 | 1,000


cosh

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> cosh

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
cosh

La fonction cosh(num) renvoie le cosinus hyperbolique d'un nombre.

Syntaxe : =cosh(num)


degree

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> degree

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
degree

La fonction degree(num) convertit des radians en degrés.

Syntaxe : =degree(num)

Exemple

=degree(Entrée)

Entrée | Résultat
Radians() | Degree()
0 | 0
0,78539816339744828 | 45
1,5707963267948966 | 90
2,3561944901923448 | 135
3,1415926535897931 | 180
3,9269908169872414 | 225
4,7123889803846897 | 270
5,497787143782138 | 315
6,2831853071795862 | 360


even

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> even

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
even

La fonction even(num) renvoie la prochaine valeur supérieure entière paire. Les valeurs négatives sont arrondies de 0 vers moins l'infini.

Syntaxe : =even(num)

Example Exemple

=even(2.2) égale 4

=even(-2.2) égale -4


exp

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> exp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
exp

La fonction exp(num) calcule l'exponentielle e de la valeur mentionnée en argument.

Syntaxe : =exp(num)

Example Exemple

=exp(0) égale 1

=exp(1) égale 2,718282

=exp(10) égale 22026,465795


fact

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> fact

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
fact

La fonction fact(int) renvoie la factorielle d'un nombre.

Syntaxe : =fact(int)

Example Exemple

=fact(0) égale 0 (0)

=fact(1) égale 1 (1)

=fact(2) égale 2 (1*2)

=fact(3) égale 6 (1*2*3)

=fact(4) égale 24 (1*2*3*4)

=fact(5) égale 120 (1*2*3*4*5)


factdouble

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> factdouble

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
factdouble

La fonction factdouble(num) renvoie la factorielle double d'un nombre. Dans ce cas, seul le produit d'un nombre sur deux est renvoyé.

Syntaxe : =factdouble(num)

Example Exemple

=factdouble(0) égale 0 (0)

=factdouble(1) égale 1 (1)

=factdouble(2) égale 2 (2)

=factdouble(3) égale 3 (1*3)

=factdouble(4) égale 8 (2*4)

=factdouble(5) égale 15 (1*3*5)


floor

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> floor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
floor

La fonction floor(num) renvoie la valeur entière immédiatement inférieure à la valeur entière, arrondie à la valeur inférieure. Les valeurs négatives sont arrondies en allant vers 0.

Syntaxe : =floor(num)

Example Exemple

=floor(2.2) égale 2

=floor(-2.2) égale -2


int

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> int

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
int

La fonction int(num) renvoie la valeur entière immédiatement inférieure à la valeur entière, arrondie à la valeur inférieure. Les valeurs négatives sont arrondies de 0 vers moins l'infini.

Syntaxe : =int(num)

Example Exemple

=int(2.2) égale 2

=int(-2.2) égale -3


ln

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> ln

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
ln

La fonction ln(num) renvoie l'algorithme naturel d'un nombre.

Syntaxe : =ln(num)

Example Exemple

=ln(1) égale 0

=ln(2.718282) égale 1

=ln(22026.465795) égale 10


log10

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> log10

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
log10

La fonction log10(num) renvoie le logarithme base 10 d'un nombre.

Syntaxe : =log10(num)

Example Exemple

=log10(1) égale 0

=log10(10) égale 1

=log10(100) égale 2

=log10(1000) égale 3


mod

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> mod

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
mod

La fonction mod(num, diviseur) renvoie le modulo de la division d'une valeur (num) par un diviseur (diviseur).

Syntaxe : =mod(num,divisor)

Example Exemple

=mod(0.3) égale 0

=mod(1.3) égale 1

=mod(2.3) égale 2

=mod(3.3) égale 0

=mod(4.3) égale 1


odd

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> odd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
odd

La fonction odd(num) renvoie la prochaine valeur supérieure entière impaire. Les valeurs négatives sont arrondies de 0 vers moins l'infini.

Syntaxe : =odd(num)

Example Exemple

=odd(2.2) égale 3

=odd(-2,2) égale -3


pi

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> pi

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
pi

La fonction pi renvoie la valeur de pi : 3,1415926535897931

Syntaxe : =pi()

Format standard : *0.######

Example Exemple

=pi() comporte la mise en forme standard 3,141593.


product

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> product

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
product

La fonction product (range) renvoie le produit des valeurs comprises dans la plage spécifiée.

Syntaxe : =product(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule B1=product(A1:A10)

Cellule/colonne | A | B
1 | 1 | 3628800
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

Le résultat de la plage A1 à A10 est 3628800.


quotient

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> quotient

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
quotient

La fonction quotient(num,diviseur) renvoie la partie entière du résultat d'une division.

Syntaxe : =quotient(num,divisor)

Example Exemple

=quotient(0.3) égale 0

=quotient(1.3) égale 0

=quotient(2.3) égale 0

=quotient(3.3) égale 1

=quotient(4.3) égale 1


radians

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> radians

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
radians

La fonction radians(num) convertit des degrés en radians.

Syntaxe : =radians(num)

num : entrée en degrés

Exemple

=radians(Entrée)

Entrée | Résultat
0,00 | 0
45,00 | 0,78539816339744828
90,00 | 1,5707963267948966
135,00 | 2,3561944901923448
180,00 | 3,1415926535897931
225,00 | 3,9269908169872414
270,00 | 4,7123889803846897
315,00 | 5,497787143782138
360,00 | 6,2831853071795862


rand

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> rand

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
rand

La fonction rand() renvoie une nouvelle valeur aléatoire comprise entre 0,000 et 1 000 chaque fois que le rapport est calculé.

Syntaxe : =rand()


randbetween

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> randbetween

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
randbetween

La fonction randbetween(min,max) renvoie une nouvelle valeur aléatoire comprise entre min et max chaque fois que le rapport est calculé.

Syntaxe : =randbetween(min,max)


round

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> round

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
round

La fonction round(num,digits) arrondit une valeur (num) au nombre de décimales (digits) indiqué.

Syntaxe : =round(num,digits)


row

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> row

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
row

La fonction row(ref) renvoie le numéro de ligne d'une cellule de référence (par exemple, C3=3) dans la plage de valeurs 0 à n.

Syntaxe : =row(ref)


rows

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> rows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
rows

La fonction rows(range) calcule le nombre de cellules vides dans la plage définie.

Syntaxe : =rows(range)


sign

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> sign

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
sign

La fonction sign(num) renvoie la valeur

  • 1, si le nombre (num) est positif
  • -1, si le nombre est négatif
  • 0, si le nombre est nul (0)

Syntaxe : =sign(num)

Example Exemple

=sign(2.2) égale 1

=sign(-2.2) égale -1

=sign(0.0) égale 0


sin

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> sin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
sin

La fonction sin(num) renvoie le sinus d'un nombre.

Syntaxe : =sin(num)

num: saisie en radians

Exemple

=sin(Entrée)

 | Entrée | Résultat
degrés | Radians() | sinus
0,00 | 0 | 0,000
45,00 | 0,78539816339744828 | 0,707
90,00 | 1,5707963267948966 | 1,000
135,00 | 2,3561944901923448 | 0,707
180,00 | 3,1415926535897931 | 0,000
225,00 | 3,9269908169872414 | -0,707
270,00 | 4,7123889803846897 | -1,000
315,00 | 5,497787143782138 | -0,707
360,00 | 6,2831853071795862 | -0,000


sinh

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> sinh

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
sinh

La fonction sinh(num) renvoie le sinus hyperbolique d'un nombre.

Syntaxe : =sinh(num)


sqrt

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> sqrt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
sqrt

La fonction sqrt(num) renvoie la racine carrée d'un nombre.

Syntaxe : =sqrt(num)

Example Exemple

=sqrt(1) égale 1

=sqrt(2) égale 1,414214

=sqrt(3) égale 1,732051

=sqrt(4) égale 2


sqrtpi

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> sqrtpi

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
sqrtpi

La fonction sqrtpi(num) renvoie la racine carrée d'une valeur de pi.

Syntaxe : =sqrtpi()

Example Exemple

=sqrtpi(1) égale 3,141593 = 1*pi

=sqrtpi(2) égale 4,442883 = sqrt(2)*pi

=sqrtpi(3) égale 5.441398 = sqrt(3)*pi

=sqrtpi(4) égale 6.283185 = sqrt(4)*pi


tan

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> tan

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
tan

La fonction tan(num) renvoie la tangente d'un nombre.

Syntaxe : =tan(num)


tanh

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> tanh

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
tanh

La fonction tanh(num) renvoie la tangente hyperbolique d'un nombre.

Syntaxe : =tanh(num)


trunc

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions mathématiques et trigonométriques -> trunc

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
trunc

La fonction trunc(num) renvoie la valeur entière immédiatement inférieure à la valeur entière, arrondie à la valeur inférieure. Les valeurs négatives sont arrondies en allant vers 0.

Syntaxe : =trunc(num)

Example Exemple

=trunc(2.2) égale 2

=trunc(-2.2) égale -2


Gestionnaire de groupes de recettes

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Gestionnaire de groupes de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables provenant des autres projets chargés et utilisées dans des recettes peuvent également être affichées grâce aux fonctions de rapport du gestionnaire de groupe de recettes. Ces fonctions peuvent uniquement être utilisées avec les synoptiques de type Gestionnaire de groupe de recettes.

L'assistant Fonction est disponible pour la configuration.

Autres sujets abordés dans ce chapitre

recipea

recipef

recipew


recipea

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Gestionnaire de groupes de recettes -> recipea

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
recipea

La fonction =recipeaInhalt) affiche les données générales d'une recette du gestionnaire de groupe de recettes.

Syntaxe : =recipea(Inhalt)

Contenu | Description
muser | Utilisateur ayant édité la recette en dernier.
mzeit | Heure de la dernière modification.
rez | Nom de la recette.
rezg | Nom du groupe de recettes auquel appartient la recette.
reznum | Numéro de la recette
text1 À text 8 | Commentaires 1 à 8 des utilisateurs de la recette.
text2 | Commentaire utilisateur n°2 pour la recette.
version | Numéro de version de la recette.
status | État de la dernière recette sous forme de texte. Par exemple : 1 - Exemple de recette

Example Exemple

=recipea(recnum)


recipef

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Gestionnaire de groupes de recettes -> recipef

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
recipef

La fonction =recipef(contenu, variable) affiche les données relatives aux variables d'une recette du gestionnaire de groupe de recettes. Ces données peuvent être librement positionnées dans le rapport.

Syntaxe : =recipef(content,variable)

Contenu | Description
Nom | Nom de la variable.
identification | Identification de la variable.
type | Type de source.
unité | Unité technique de la variable.
Valeur | Valeur de la variable dans la recette.
Symboles | Affiche les textes de valeur limite provenant de la matrice de réaction ou de la valeur limite sous forme de texte.
min | Valeur minimale de la plage de valeurs autorisée pour la variable dans cette recette.
max | Valeur maximale de la plage de valeurs autorisée pour la variable dans cette recette.
valeur_actuelle | Si la variable définie n'existe pas dans la recette sélectionnée, la cellule contient la marque -.
Verrouillage | Affichage des verrouillages. Les noms n'étant pas disponibles dans le Runtime, seuls les identifiants des verrouillages sélectionnés dans le gestionnaire de groupe de recettes sont affichés.
Visibilité | Affiche la visibilité des variables.
Shadow variable (Variable de sauvegarde) | Affiche le nom de la variable de sauvegarde liée. Affichage uniquement dans le Runtime. Configuration dans l'Éditeur.
Filtre | Texte de filtre sélectionné dans le gestionnaire de groupe de recettes.
Clavier | Affiche le clavier lié.
Set value limit (Spécifier la valeur limite) | Oui : Transfère la valeur limite définie vers la variable. Affichage uniquement dans le Runtime. Configuration dans l'Éditeur.

Example Exemple

=recipef("valeur","température")


recipew

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Gestionnaire de groupes de recettes -> recipew

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
recipew

La fonction =recipew(contenu, sens) affiche les données relatives aux variables d'une recette du gestionnaire de groupe de recettes sous forme de tableau.

Syntaxe : =recipew(content,direction)

Contenu | Description
Nom | Nom de la variable.
identification | Identification de la variable.
type | Type de source.
unité | Unité technique de la variable.
Valeur | Valeur de la variable dans la recette.
Symboles | Affichage de valeurs sous forme de texte.
min | Valeur minimale de la plage de valeurs autorisée pour la variable dans cette recette.
max | Valeur maximale de la plage de valeurs autorisée pour la variable dans cette recette.
valeur_actuelle | Si la variable définie n'existe pas dans la recette sélectionnée, la cellule contient la marque -.
Verrouillage | Affichage des verrouillages. Les noms n'étant pas disponibles dans le Runtime, seuls les identifiants des verrouillages sélectionnés dans le gestionnaire de groupe de recettes sont affichés.
Visibilité | Affiche la visibilité des variables.
Shadow variable (Variable de sauvegarde) | Affiche le nom de la variable de sauvegarde liée. Affichage uniquement dans le Runtime. Configuration dans l'Éditeur.
Filtre | Texte de filtre sélectionné dans le gestionnaire de groupe de recettes.
Clavier | Affiche le clavier lié.
Set value limit (Spécifier la valeur limite) | Oui : Transfère la valeur limite définie vers la variable. Affichage uniquement dans le Runtime. Configuration dans l'Éditeur.

Example Exemple

=recipew(nom,bottom)


Fonctions de statistiques

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de statistiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Des fonctions statistiques communes sont disponibles pour les rapports. Elles peuvent non seulement être planifiées à l'aide de l'assistant Fonction, mais peuvent également être saisies directement dans la ligne de saisie.

Autres sujets abordés dans ce chapitre

avg

count

counta

countblank

max

min

percentile

stdev

stdevp

sum

sumsq

var

varp


avg

avg

La fonction avg (range) calcule la moyenne des valeurs comprises dans la plage.

Syntaxe : =avg(range)

Exemple

Cellule A4= avg(A1:A3)

Ligne/colonne | A
1 | 1
2 | 3
3 | 5
4 | 3

La moyenne des cellules A1 à A3 est égale à 3.


count

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de statistiques -> count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
count

La fonction count (range) renvoie le nombre de valeurs numériques dans la plage définie.

Syntaxe : =count(range)

Exemple

Cellule A5= count(A1:A4)

Ligne/colonne | A
1 | 1
2 | Texte
3 |
4 | 3
5 | 2

Le nombre de valeurs numériques dans les cellules de A1 à A4 est 2.


counta

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de statistiques -> counta

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
counta

La fonction counta (range) calcule le nombre de cellules non vides dans une plage donnée.

Syntaxe : =counta(range)

Exemple

Cellule A5=counta(A1:A4)

Ligne/colonne | A
1 | 1
2 | Texte
3 |
4 | 3
5 | 3

Le nombre de cellules non vides entre A1 et A4 est 3.


countblank

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de statistiques -> countblank

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
countblank

La fonction countblank (range) calcule le nombre de cellules vides dans une plage donnée.

Syntaxe : =countblank(range)

Exemple

Cellule A5 = countblank(A1:A4)

Ligne/colonne | A
1 | 1
2 | Texte
3 |
4 | 3
5 | 1

Le nombre de cellules vides entre A1 et A4 est 1.


max

max

La fonction max (range) calcule la valeur la plus élevée dans une plage de cellules.

Syntaxe : =max(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule B1=max(A1:A10)

Ligne/colonne | A | B
1 | 1 | 10
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

La valeur la plus élevée dans la plage de cellules A1 à A10 se trouve dans la cellule A10, et est 10.


min

min

La fonction min (range) calcule la valeur la moins élevée dans une plage de cellules.

Syntaxe : =min(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule B1=min(A1:A10)

Ligne/colonne | A | B
1 | 1 | 1
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

La valeur la moins élevée dans la plage de cellules A1 à A10 se trouve dans la cellule A1, et est 1.


percentile

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de statistiques -> percentile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
percentile

La fonction percentile (range,num) renvoie une valeur de seuil à partir de laquelle les valeurs sont acceptées.

Syntaxe : =percentile(range,num)

Range : matrice ou plage de valeurs décrivant la position relative des données.

Num : entier de 0 à 100

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule B1=percentile(A1:A10,90)

Ligne/colonne | A | B
1 | 1 | 9,1
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

La valeur de seuil de la plage A1 à A10 est 9,1.


stdev

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de statistiques -> stdev

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
stdev

La fonction stdev (range) renvoie une estimation de l'écart-type sur la base d'un échantillon de valeurs aléatoires comprises dans la plage définie.

Formule :

Syntaxe : =stdev(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule A11=stdev(A1:A10)

Ligne/colonne | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 18,785633

L'écart-type de la plage A1 à A10 est estimé sur la base de l'échantillon 18,785633.


stdevp

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de statistiques -> stdevp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
stdevp

La fonction stdevp (range) renvoie une estimation de l'écart-type sur la base du total des valeurs comprises dans la plage définie.

Formule :

Syntaxe : =stdevp(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule A11= stdevp(A1:A10)

Ligne/colonne | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 17,821616

L'écart-type de la plage A1 à A10 est estimé à 17,821616.


sum

sum

La fonction sum (range) calcule la somme des valeurs comprises dans la plage spécifiée.

Syntaxe : =sum(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule B1=sum(A1:A10)

Ligne/colonne | A | B
1 | 1 | 55
2 | 2 |
3 | 3 |
4 | 4 |
5 | 5 |
6 | 6 |
7 | 7 |
8 | 8 |
9 | 9 |
10 | 10 |

La somme de toutes les valeurs dans la plage de A1 à A10 est 55.


sumsq

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions de statistiques -> sumsq

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
sumsq

La fonction sumsq (range) calcule la somme des carrés des valeurs comprises dans une plage.

Syntaxe : =sumsq(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule A11=sumsq(A1:A10)

Ligne/colonne | A | B
1 | 1 | 1
2 | 2 | 4
3 | 3 | 9
4 | 4 | 16
5 | 5 | 25
6 | 6 | 36
7 | 7 | 49
8 | 8 | 56
9 | 9 | 81
10 | 10 | 100
11 | 385 | 385

Supervision

Cellules B1 à B10 : Carrés de A1 à A10

Cellule B11= sum(B1:B10)


var

var

La fonction var (range) renvoie une estimation de la variance sur la base d'un échantillon de valeurs aléatoires comprises dans la plage définie.

Formule :

Syntaxe : =var(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule A11=var(A1:A10)

Ligne/colonne | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 352,9

La variance de la plage A1 à A10 est estimé sur la base de l'échantillon 352,9.


varp

varp

La fonction varp (range) renvoie une estimation de la variation sur la base du total des valeurs comprises dans la plage définie.

Formule :

Syntaxe : =varp(range)

Exemple

Cellules de A1 à A10: importe quel nombre.

Cellule A11=varp(A1:A10)

Ligne/colonne | A
1 | 745,00
2 | 730,00
3 | 732,00
4 | 768,00
5 | 769,00
6 | 747,00
7 | 718,00
8 | 723,00
9 | 766,00
10 | 739,00
11 | 317,61

La variation de la plage A1 à A10 est estimée à 317,61.


Fonctions texte

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Fonctions texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Différentes fonctions de texte sont disponibles pour les rapports. Elles peuvent non seulement être planifiées à l'aide de l'assistant Fonction, mais peuvent également être saisies directement dans la ligne de saisie. Exception : paint

Autres sujets abordés dans ce chapitre

char

clean

code

find

fixed

left

len

lower

mid

paint

proper

replace

rept

right

search

substitute

trim

upper


char

char

La fonction char(code) renvoie le caractère ASCII défini sous code.

Syntaxe : =char(code)

code: nombre compris entre 1 et 255.

Example Exemple

=char(88) est égal à X

Si la cellule A1 contient la valeur 35, la fonction =char (A1) renvoie le caractère # en tant que résultat.

Pour déterminer le code ASCII d'un caractère, utilisez la fonction Code.


clean

clean

La fonction clean(string) nettoie tous les caractères de contrôle d'une chaîne de caractères de texte.

Syntaxe : =clean(string)


code

code

La fonction code(string) fournit le code ASCII correspondant au premier caractère d'une chaîne de caractères de texte.

Si la chaîne se trouve entre les parenthèses du texte devant être codé, elle est insérée entre guillemets. Si elle désigne une autre ligne, celle-ci est saisie.

Syntaxe : =code(string)

Example Exemple

=code("z") égale 122.

La cellule A1 contient le texte zoom :

=code(A1) égale 122

Pour déterminer le caractère correspondant à un code ASCII, utilisez la fonction char.

attention Attention

La fonction code(string) fournit uniquement le code ASCII correspondant au premier caractère d'une chaîne de texte.


find

find

La fonction find(keystring,string,start) fournit la position d'une séquence de caractères (keystring) dans une chaîne de texte (string). La position est cherchée dans la chaîne de caractères à partir du caractère de départ (start), en tenant compte de la casse.

Syntaxe : =find(keystring,string,start)

Example Exemple

Cellule A1 : cd

Cellule A2 : ABCDabcd

Cellule A3 : 1

Cellule A4=find(A1,A2,A3) Resultat = 7


fixed

fixed

La fonction fixed(num,decimals) formate un nombre et le convertit en chaîne de caractères définie.

Syntaxe : =fixed(num,decimals)

  • num: Valeur numérique ou référence de cellule
  • décimales : nombre de décimales

Example Exemple

Cellule A1 = 12345.672

=fixed(A1,2) égale 12345.67

=fixed(A1,1) égale 12345.6

Le séparateur et l'affichage dépendent également des paramètres régionaux et des paramètres de formatage définis dans la section Cellule.

Remarque : la fonction fixed() ne peut pas être associée à une chaîne de mise en forme, telle que la déclaration d'unités.

Différence par rapport à zenon 5.50 et aux versions antérieures

La fonction fixed() comporte également l'argument no_seps dans les versions antérieures à la version 5.50. L'argument est optionnel, et contrôle l'affichage des séparateurs de milliers.

Syntaxe : =fixed(num,decimals,no_seps)

  • pas_de_séps :
    • 0 : un séparateur est inséré.
    • 1 : aucun séparateur n'est inséré.

Dans les versions récentes, les chiffres sont généralement présentés sans séparateurs de milliers.


left

left

La fonction left(string,num) renvoie le nombre de caractères d'une chaîne de caractères définie dans (num), en commençant par le premier caractère.

Syntaxe : =left(string,num)

  • string : chaîne de caractères entre guillemets ou référence à une cellule contenant une chaîne de caractères.
  • num : nombre de caractères devant être lus, en commençant par le premier.

Example Exemple

Cellule A1 = abcdefgh

=left(A1,3) renvoie abc.

=left(A1,5) renvoie abcde.

Pour lire les caractères en commençant par le dernier caractère d'une chaîne de caractères, utilisez la fonction Droite.


len

len

La fonction len(string) renvoie le nombre de caractères dans une chaîne de caractères.

Syntaxe : =len(string)

Example Exemple

Cellule A1 = abc
=len(A1) renvoie 3

Cellule A1 = abcdefgh
=len(A1) renvoie 8


lower

lower

La fonction lower(string) remplace toutes les lettres majuscules d'une chaîne de caractères par des lettres minuscules.

Syntaxe : =lower(string)

Example Exemple

Cellule A1 = AbCdEf
=lower(A1) renvoie abcdef

Pour remplacer les lettres minscules par des lettres majuscules, utilisez la fonction Upper (Supérieure).


mid

mid

La fonction mid(string,numStart,numLen) a extrait

  • de la chaîne de caractères définie string
  • une nouvelle chaîne de caractères
  • un nombre de caractères défini par numLen
  • à partir de la position de départ définie par numStart.

Syntaxe : =mid(string,numStart,numLen)

Example Exemple

Cellule A1 = abcdefgh
=mid(A1,2,4) renvoie bcde


paint

paint

La fonction =paint(referenz) poursuit la chaîne de caractères fournie dans la cellule référencée si la cellule référencée ne contient pas assez d'espace à cette fin. Ainsi, les longues chaînes de caractères peuvent être affichées correctement en étant divisées en plusieurs cellules.

Syntaxe : =paint(referenz)

Example Exemple

La cellule A1 contient les caractères : abcdefghijklmn

Dans la cellule A1, les caractères suivants sont affichés en raison de la largeur de la cellule : abcdefg

=paint(A1) dans la cellule A2 entraîne l'affichage suivant :

A1: abcdefg

A2: hijklmn

Cette fonction de texte peut être configurée avec l'assistant Fonction.


proper

proper

La fonction proper(string) transforme le premier caractère d'un mot en lettre majuscule et tous les caractères suivants en lettres minuscules. Le début du mot est le premier caractère alphabétique d'une chaîne de caractères. Si la chaîne de caractères contient plusieurs caractères non alphabétiques, un nouveau mot est démarré après chaque caractère non alphabétique.

Syntaxe : = proper (string)

Example Exemple

Cellule A1 = AbCdEf
=proper(A1) renvoie Abcdef.

Cellule A1 = aBcDeF
=proper(A1) renvoie Abcdef.

Cellule A1 = 1aBcD2eF
=proper(A1) renvoie 1Abcd2Ef.


replace

replace

La fonction replace(string,numStart,numLen,stringNew)

  • remplace, dans la chaîne de caractères de texte string
  • à partir de la position de départ définie par numStart,
  • un nombre de caractères défini par numLen
  • par des caractères provenant de la nouvelle chaîne de caractères de texte, stringNew.

Syntaxe : =replace(string,numStart,numLen,stringNew)

Example Exemple

Cellule A1 = abcdefgh
Cellule A2 = xyz
=replace(A1,3,2,A2) renvoie abxyzefgh

Dans cet exemple les caractères “cd” (3ième position dans la chaine, 2 caractères) dans la chaine « abcdefgh » sont remplacés par "xyz".


rept

rept

La fonction rept(string,num) répète la chaîne de caractères string autant de fois que défini dans num.

Syntaxe : =rept(string,num)

Example Exemple

Cellule A1 = abc
Cellule A2 = 3
=rept(A1,A2) renvoie abcabcabc


right

right

La fonction right(string,num) renvoie le nombre de caractères d'une chaîne de caractères définie dans (num), en commençant par le dernier caractère.

Syntaxe : =right(string,num)

  • string : chaîne de caractères entre guillemets ou référence à une cellule contenant une chaîne de caractères.
  • num : nombre de caractères devant être lus, en commençant par le dernier.

Example Exemple

Cellule A1 = abcdefgh

=right(A1,3) renvoie fgh

=right(A1,5) renvoie defgh

Pour lire les caractères en commençant par le premier caractère d'une chaîne de caractères, utilisez la fonction Gauche.


search

search

La fonction search(keystring,string,start) renvoie

  • la position d'un texte de recherche keystring
  • dans une chaîne de caractères string
  • à partir de la position du caractère . start

Syntaxe : =search(string,keystring,start)

Exemple

Cellule A4=search(A1,A2,A3)

Cellule/colonne | A
1 | abcdeABCDEabcde
2 | cd
3 | 1
4 | 3

La fonction dans la cellule A4 trouve le texte recherché pour cd dans la cellule A1, à la position 3.


substitute

substitute

La fonction substitute(string,oldstring,newstring,instance)

  • remplace, dans la chaîne de caractères de texte, string
  • une séquence de caractères oldstring
  • par une nouvelle séquence de caractères newstring
  • dans laquelle instance détermines la position de .
    • instance=0 remplace toutes les chaînes de caractères trouvées.

La fonction tient compte de la casse.

Syntaxe : =substitute(string, oldstring, newstring, instance)

Example Exemple

Cellule A1 = abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF
Cellule A2 = XYZ

Exemple 1 :

=substitute(A1,"ABCDEF",A2,0) renvoie abcdef XYZ abcdef XYZ abcdef XYZ

Dans cet exemple, seule la séquence de caractères complète ABCDEF de la chaîne entière abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF est remplacée par XYZ.

Exemple 2 :

=substitute(A1,"abcdef",A2,2) renvoie abcdef ABCDEF XYZ ABCDEF abcdef ABCDEF

Dans cet exemple, seule la deuxième séquence de caractères ABCDEF de la chaîne abcdef ABCDEF abcdef ABCDEF abcdef ABCDEF est remplacée par XYZ.

Remarque : les chaînes de caractères saisies dans la fonction sont insérées entre guillemets ("chaîne de caractères").


trim

trim

La fonction trim(string) autorise jusqu'à un espace entre deux caractères. Tous les autres espaces sont supprimés.

Syntaxe : =trim(string)

Example Exemple

Cellule A1 = les espaces excédentaires sont réduits à 1.
=trim (A1) is: les espaces excédentaires sont réduits à 1.


upper

upper

La fonction upper(string) remplace toutes les lettres minuscules d'une chaîne de caractères par des lettres majuscules.

Syntaxe : =upper(string)

Example Exemple

Cellule A1 = AbCdEf
=upper(A1) renvoie ABCDEF

Pour remplacer les lettres majuscules par des lettres minuscules, utilisez la fonction Lower (Inférieure).


Autres fonctions

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Autres fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

D'autres fonctions rassemblent des fonctions de rapport qui ne peuvent être attribuées à un sous-groupe.

L'assistant Fonction est disponible pour la configuration.

Autres sujets abordés dans ce chapitre

Alarme

cel

Configuration de l'alarme et de la liste CEL avec l'assistant Fonction

compare

comparesp

comparespsum

comparesum

computername

maxsp

minsp

Paramètre

Sélection

selectmode

identifiant utilisateur

variabler

variablerw


Alarme

Alarme

Cette fonction affiche des informations provenant de la fonction de gestion d'alarmes sous la forme d'une liste mise en forme dans un rapport.

Syntaxe : =alarm(FILTER,PARAMETER,DIRECTION)

Paramètres de transfert

Plage valide

Commentaire

FILTRE

Configuration via le filtre de liste d'alarmes.

PARAMETRE
  • Nom
  • identification
  • Texte
  • Etat
  • Valeur
  • Heure d'apparition
  • Heure d'envoi
  • Heure d'acquittement
  • Heure de réactivation
  • Etat de réactivation
  • Nombre de réactivations
  • active
  • number_h
  • number_t
  • number_m
  • Utilisateur
  • Ordinateur
  • Note
  • Classe
  • Groupe
  • Projet
  • Numéro

Sélection de la colonne de filtre à afficher.

Conseils :

  • projet : présent uniquement dans le filtre de liste d'alarmes avec les projets multi-utilisateurs.
  • number: pour un projet uniquement
  • number_h: pour un projet uniquement
  • number_t: pour un projet uniquement
  • number_m: pour un projet uniquement

DIRECTION
  • bas
  • gauche

Renseignement de la direction souhaitée.

Le filtre horaire est dérivé de la définition fournie dans le rapport de filtre d'appel de synoptique.

Direction

Options

Signification

right

La valeur est insérée à droite (ligne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée vers le bas (dans la colonne).

bas

La valeur est insérée vers le bas (colonne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée à droite (dans la ligne).

info Info

Pour garantir que la fonction peut insérer des lignes ou des colonnes de manière dynamique sans écraser d'autres lignes ou colonnes, l'intitulé de la ligne ou colonne correspondante doit être défini sur E (comme "Etendre").


cel

cel

Cette fonction affiche des informations provenant de la liste chronologique d'événements sous la forme d'une liste mise en forme dans un rapport. La configuration avec la fonction assistant fonctionne de la même manière que la configuration de la fonction aml.

Syntaxe : =cel(FILTER,PARAMETER,DIRECTION)

Paramètres de transfert

Plage valide

Commentaire

FILTRE

Configuration via le filtre de la liste chronologique d'événements.

PARAMETRE
  • Nom
  • identification
  • Texte
  • Etat
  • Valeur
  • Heure d'apparition
  • Utilisateur
  • Ordinateur
  • Note
  • Classe
  • Groupe
  • Projet
  • Numéro

Sélection de la colonne de filtre à afficher.

Conseils :

  • projet : Présent uniquement dans le filtre de la liste chronologique d'événements avec les projets multi-utilisateurs.
  • number: pour un projet uniquement

DIRECTION

bas, gauche

Renseignement de la direction souhaitée.

Le filtre horaire est dérivé de la définition fournie dans le rapport de filtre d'appel de synoptique.

Direction

Options

Signification

right

La valeur est insérée à droite (ligne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée vers le bas (dans la colonne).

bas

La valeur est insérée vers le bas (colonne).

Le nombre de cellules vides doit autoriser l'insertion des entrées attendues suite à la création d'autres rapports.

Attention : Si une fonction archivesp est créée avec une seule colonne, la valeur est insérée à droite (dans la ligne).

info Info

Pour garantir que la fonction peut insérer des lignes ou des colonnes de manière dynamique sans écraser d'autres lignes ou colonnes, l'intitulé de la ligne ou colonne correspondante doit être défini sur E (comme "Etendre").


Configuration de l'alarme et de la liste CEL avec l'assistant Fonction

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Autres fonctions -> Configuration de l'alarme et de la liste CEL avec l'assistant Fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Configuration de l'alarme et de la liste CEL avec l'assistant Fonction

Vous pouvez configurer les fonctions de la liste d'alarmes et de la liste chronologique d'événements à l'aide de l'assistant fonction. L'exemple suivant est exécuté avec la aml et se déroule sensiblement de la même manière qu'avec la cel :

  1. Sélectionnez la cellule souhaitée dans le menu contextuel avec la commande Fonctions de rapport.
  2. L'assistant démarre.
  3. Sélectionnez Alarme.

  4. La fonction de rapport Alarme est insérée dans la syntaxe.
  5. Cliquez sur Variable pour ouvrir le filtre de la liste d'alarmes. (cel - Liste chronologique d'événements : Filtre la liste chronologique d'événements.)
  6. Configurez le filtre.
  7. Sélectionnez le paramètre souhaité en double-cliquant par exemple sur Identification).

  8. Le paramètre est transféré vers la chaîne.
  9. Sélectionnez la direction souhaitée de l'entrée dans la table en double-cliquant sur l'option concernée :
    • bas : la fonction remplit la colonne.
    • Droite : la fonction remplit la colonne.

  10. La direction est transférée vers la chaîne.
  11. Les parenthèses sont fermées.
  12. La fonction est transférée vers la cellule lorsque vous cliquez sur OK.


compare

compare

La fonction compare (plage,"condition") teste les valeurs dans la plage définie par rapport à une condition et renvoie le nombre de cellules pour lesquelles la condition est vraie.

Syntaxe : =compare(range,"condition")

Area : cellules utilisées pour la comparaison.

Condition : contenu pour lequel l'examen est justifié (les informations sont toujours fournies entre guillemets).

Example Exemple

=compare(A1:A10,6>"=5")

Compare les cellules 1 à 10 de la colonne A et renvoie le nombre de valeurs supérieures ou égales à 5.


comparesp

comparesp

La fonction comparesp (cellule de départ,direction,P1,P2,P3,P4,"condition") teste les valeurs dans une zone définie et dans un format spécial par rapport à une condition, et renvoie le nombre de cellules pour lesquelles la condition est vraie dans une zone de référence.

Syntaxe : =comparesp(start cell,direction,P1,P2,P3,P4,"condition")

Paramètre | Description
Cellule de départ | Cellule contenant la première valeur.
Direction | "à droite" ou "en bas"
P1 | Nombre de valeurs dans la première ligne.
P2 | Cellules vides entre deux valeurs affichées.
P3 | Cellules vides jusqu'à la prochaine ligne de valeurs.
P4 | Nombre maximum de valeurs à comparer.
Condition | Condition. Informations toujours fournies entre guillemets.

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules de la table pouvant être remplies :

  • P1 : Numéro
  • P2 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.
  • P3 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down (bas), les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2 = lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre Droite, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2 = lignes vides entre les valeurs
  • P3 = lignes vides entre les valeurs

Example Exemple

=comparesp(A1,downwards,12,0,0,12,"=5")


comparespsum

comparespsum

La fonction comparespsum (cellule de départ,direction,P1,P2,P3,P4,"condition") teste les valeurs dans une zone définie et dans un format spécial par rapport à une condition, et renvoie la somme des cellules pour lesquelles la condition est vraie dans une zone de référence.

Syntaxe : =comparespsum(start cell,direction,P1,P2,P3,P4,"condition")

Paramètre | Description
Cellule de départ | Cellule contenant la première valeur.
Direction | "à droite" ou "en bas"
P1 | Nombre de valeurs dans la première ligne.
P2 | Cellules vides entre deux valeurs affichées.
P3 | Cellules vides jusqu'à la prochaine ligne de valeurs.
P4 | Nombre maximum de valeurs à comparer.
Condition | Condition. Informations toujours fournies entre guillemets.

Cellules de contrôle

Les paramètres P1, P2 et P3 définissent les cellules de la table pouvant être remplies :

  • P1 : Numéro
  • P2 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.
  • P3 : cellules vides entre deux valeurs renvoyées, en fonction du paramètre DIRECTION (down (bas), Droite), des lignes vides ou des colonnes vides.

Toutes les entrées comprises dans la plage de temps du rapport sont affichées dans celui-ci, en allant vers le bas ou vers la droite depuis la cellule dans laquelle la fonction a été spécifiée ; le format des lignes est alors défini par les paramètres P1 à P3.

Si vous sélectionnez le paramètre down (bas), les principes suivants s'appliquent :

  • P1 = nombre de lignes à remplir de valeurs
  • P2 = lignes vides entre les valeurs
  • P3 = colonnes vides

Si vous sélectionnez le paramètre Droite, les principes suivants s'appliquent :

  • P1 = nombre de colonnes à remplir
  • P2 = lignes vides entre les valeurs
  • P3 = lignes vides entre les valeurs

Example Exemple

=comparespsum(A1,downwards,12,0,0,12,"=5")


comparesum

comparesum

La fonction comparesum(plage de comparaison,référence de somme,"condition") teste des valeurs dans une zone définie par rapport à une condition et renvoie la somme des cellules pour lesquelles la condition est vraie dans une zone de référence.

Syntaxe : =comparesum(comparison range,sum reference,"condition")

  • Area : cellules utilisées pour la comparaison.
  • Sum reference : valeur fournie si la condition est satisfaite.

Condition : contenu pour lequel l'examen est justifié (les informations sont toujours fournies entre guillemets).

Example Exemple

=comparesum(B2:B11,A2,"=5")

Les cellules B2 à B11 sont vérifiées afin de détecter toute valeur =5. Dans les lignes dans lesquelles cette condition est vraie, les valeurs de la cellule sont ajoutées à la colonne A.


computername

computername

La fonction computername() fournit les noms des ordinateurs sur lesquels est exécuté le rapport.

Syntaxe : =computername()

Aucun paramètre de transfert n'est nécessaire dans ce cas.


maxsp

maxsp

La fonction maxsp renvoie la valeur la plus élevée dans une plage et l'affiche. Le format peut être une couleur ou un soulignement.

Syntaxe : =maxsp(range,num)

Paramètres de transfert | Plage valide | Commentaire
range | A1-ATWH31000 | Nombre maximal de colonnes : 31000 Nombre maximal de lignes : 31000
num | -1 0-15 | -1 : soulignement 0 à 15 : Couleur conforme à la couleur de police définie dans la boîte de dialogue Create new font (Créer une nouvelle police) (synoptiques/polices). Vous trouverez la liste d'attributions sous cette table.

Attribution des couleurs de polices

Les couleurs de polices sont dérivées du système d'exploitation. Pour vous faciliter la tâche, une liste de couleurs telles qu'elles ont utilisées dans Windows est disponible.

Remarque : si les couleurs sont réorganisées ou redéfinies dans le système d'exploitation, les couleurs définies pour maxsp changent également.

Exemple

La valeur la plus élevée doit être affichée avec un soulignement dans la table A1 à B4.

Saisie dans l'éditeur :

Ligne/colonne | A | B | C
1 | 8 | 5 | =maxsp(A1:B4,-1)
2 | 20 | 2 |
3 | 12 | 10 |
4 | 32 | 14 |

Résultat dans le Runtime


minsp

minsp

La fonction minsp(range,num) renvoie la valeur la plus élevée dans une plage et l'affiche. Le format peut être une couleur ou un soulignement.

Syntaxe : =minsp(range,num)

Paramètres de transfert | Plage valide | Commentaire
range | A1-ATWH31000 |
num | -1 0-15 | -1 : soulignement 0 à 15 : Couleur conforme à la couleur de police définie dans la boîte de dialogue Create new font (Créer une nouvelle police) (synoptiques/polices). Vous trouverez la liste d'attributions sous cette table.

Attribution des couleurs de polices

Les couleurs de polices sont dérivées du système d'exploitation. Pour vous faciliter la tâche, une liste de couleurs telles qu'elles ont utilisées dans Windows est disponible.

Remarque : si les couleurs sont réorganisées ou redéfinies dans le système d'exploitation, les couleurs définies pour minsp changent également.

Example Exemple

Cellule C1=minsp(A1:B4,-1)


Paramètre

Paramètre

Les paramètres permettent de définir un rapport qui sera exécuté via la fonction Exécuter rapport de zenon, tandis que les différents paramètres de transfert utilisés dans le cadre du procédé permettent d'exécuter différentes tâches. Par exemple, un rapport unique peut être utilisé pour afficher les archives de plusieurs contrôles. Un rapport peut également afficher des valeurs dans différentes unités de mesure.Syntaxe : =parameter(Nombre)

Dix paramètres sont disponibles :

  • 1 - 5: type chaîne
  • 6 - 10: type DWord

Développement

  1. Attribuez les paramètres souhaités aux cellules adéquates dans le rapport.

  2. Complétez les paramètres avec les éventuelles opérations informatiques nécessaires, ou référencez-les.
  3. Dans le Runtime, sélectionnez les valeurs des paramètres via la fonction Exécuter rapport ou le bouton Ouvrir fichier et l'onglet Paramètres.

Conseil : si vous souhaitez afficher des données provenant de différentes archives dans un rapport (par exemple, de cinq automates), définissez un rapport commun. Vous pouvez contrôler l'affichage via cinq fonctions de zenon fournissant les paramètres. Vous pouvez simplement copier ces fonctions ; toutefois, vous devez toujours modifier uniquement les valeurs de transfert dans l'onglet Paramètres.

Exemples de paramètres

  • =parameter(1): attribue le paramètre (1) à la cellule
  • =parameter(6)*A1/100: attribue le paramètre (6) à la cellule, multiplie la valeur définie dans l'onglet Paramètre par la valeur de la cellule A1 et divise celle-ci par 100


Sélection

Sélection

La fonction =select (adresse de cellule) définit la cellule qui doit être sélectionnée lors de l'ouverture du rapport. Vous devez donner une référence de cellule en paramètre.

Syntaxe : =select(cell address)

Example Exemple

=select(B3)


selectmode

selectmode

La fonction selectmode(mode de sélection) définit le mode de sélection.

Syntaxe : =selectmode(selection mode)

Example Exemple

=selectmode(3)


identifiant utilisateur

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Autres fonctions -> identifiant utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
identifiant utilisateur

La fonction username renvoie les noms des utilisateurs actuellement connectés à zenon.

Syntaxe : =username()

Aucun paramètre de transfert n'est nécessaire dans ce cas.


variabler

variabler

La fonction =variabler(nom de la variable,propriété) fournit des informations concernant une variable.

Syntaxe : =variabler(variable name,property)

Paramètre | Description
Nom | Nom de la variable.
Texte | Limite de texte actuelle en cas de dépassement d'une limite.
Valeur | Valeur actuelle de la variable.
unité | Unité de la variable.
identification | Identification de la variable.
mmin | Plage de mesure minimale de la variable.
mmax | Plage de mesure maximale de la variable.
Etat | Etat actuel de la variable
gw1 | Limite 1 de la variable.
gw2 | Limite 2 de la variable.
gw3 | Limite 3 de la variable.
gw4 | Limite 4 de la variable.

info Info

Le rapport est créé plus rapidement si les variables appelées sont déterminées.

Configuration avec l'assistant Fonction

  1. Sélectionnez la table Fonctions dans le menu contextuel du rapport.
  2. Sélectionnez Variables.
  3. Cliquez sur le bouton Variable.
  4. Sélectionnez la variable de votre choix :
    Plusieurs variables peuvent être sélectionnées ; celles-ci sont insérées vers le bas, en commençant par la cellule dans laquelle est définie la fonction de rapport.
  5. Sélectionnez la propriété à afficher.

Example Exemple

=variabler("WIZ_VAR_10","nom")


variablerw

variablerw

La fonction variablerw(nom de la variable,propriété,action) renvoie des informations concernant les variables et écrite les valeurs dans les variables.

Syntaxe : =variablerw(variable name,property,action)

Paramètre | Description
Nom | Nom de la variable.
Texte | Limite de texte actuelle en cas de dépassement d'une limite.
Valeur | Valeur actuelle de la variable.
unité | Unité de la variable. Remarque : ne peut pas être utilisé conjointement à la fonction de conversion d'unités. Utilisable uniquement avec les projets anciens. Si l'unité définie dans la fonction de conversion d'unités d'une variable est modifiée par la commande de rapport dans le Runtime, vous devez exécuter à nouveau la configuration dans la fonction de conversion d'unités.
identification | Identification de la variable
mmin | Plage de mesure minimale de la variable. Remarque : ne peut pas être utilisé conjointement à la commutation d'unités.
mmax | Plage de mesure maximale de la variable. Remarque : ne peut pas être utilisé conjointement à la commutation d'unités.
Etat | Etat actuel de la variable
gw1 | Limite 1 de la variable.
gw2 | Limite 2 de la variable.
gw3 | Limite 3 de la variable.
gw4 | Limite 4 de la variable.

info Info

Le rapport est créé plus rapidement si les variables appelées sont déterminées.

Configuration avec l'assistant Fonction

  1. Sélectionnez la table Fonctions dans le menu contextuel du rapport.
  2. Sélectionnez Variables.
  3. Cliquez sur le bouton Variable.
  4. Sélectionnez la variable de votre choix :
    Plusieurs variables peuvent être sélectionnées ; celles-ci sont insérées vers le bas, en commençant par la cellule dans laquelle est définie la fonction de rapport.
  5. Sélectionnez la propriété à afficher.
  6. Saisissez l'action souhaitée.

Example Exemple

=variablerw("WIZ_VAR_10","valeur","read")


Clés de formatage

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Clés de formatage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les clés de formatage définissent le formatage du contenu détaillé renvoyé par des cellules en fonction du contenu des cellules (types de données).

La définition est effectuée :

  • Dans la liste déroulante Format -> Cellules -> Nombres -> Onglet Type de cellule -> Général/Format chaîne

    ou

  • Dans le menu contextuel, table Rapport -> Cellule -> Onglet Type de cellule -> Général/Format chaîne

Autres sujets abordés dans ce chapitre

Données de type numérique

Données de type logique

Types de données pour la date et l'heure


Données de type numérique

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Clés de formatage -> Données de type numérique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Données de type numérique

Les clés de format des types de données numériques sont des opérateurs symboliques, qui sont remplacés par la valeur formatée.

  • La virgule est utilisé en tant que séparateur de milliers ; un point est utilisé en tant que séparateur décimal.
  • Chaque caractère ne représentant pas une clé de formatage est transféré sous forme de caractère de texte dans le contenu renvoyé par la cellule.
  • Si aucune clé de format n'est fournie, le format *0.* est utilisé en tant que paramètre standard.

    Remarque : au maximum, 15 chiffres décimaux sont autorisés avec le paramètre standard.

Clé de formatage | Description
, (virgule) | Insère le séparateur de milliers trois chiffres après le séparateur décimal.
. (point) | Insère le point décimal.
; (point-virgule) | Sépare les clés de formatage utilisées pour les plages de valeurs positives et négatives.
# | N'est remplacé que si la position correspondante est également disponible.
* | Toutes les positions situées avant et après le point décimal sont affichées.
0 (cero) | Si la position n'existe pas dans la valeur, elle est remplacée par un zéro.
/ | Le caractère suivant est traité comme s'il s'agissait d'une chaîne de caractères de texte.

Exemples

Données | Clé de formatage | Texte formaté | Description
-0,2 | *0,00 | -0,20 | Deux positions décimales sont systématiquement affichées.
123 | *00000 | 00123 | Les 5 premières positions sont affichées précédées de zéros.
104 | ->*<- | ->104<- | Les nombres sont affichés entre les caractères ->...<-.
0,2500 | *0.* | 00:25 | Les valeurs comprises entre -1,0 et 1,0 sont toujours précédées d'un zéro.
12 | +*0.00;-*0.00 | +12,00 | Les valeurs positives sont signalées par un +, et les valeurs négatives par un -.


Données de type logique

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Clés de formatage -> Données de type logique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Données de type logique

Les informations Oui/Non peuvent être affichées de différentes manières grâce aux types de données logiques. Le texte de sortie est déterminé à l'aide de la clé de formatage.

  • Format : Texte1;Texte2
  • Sortie :
    • Valeurs positives (zéro inclus) = Texte1
    • Valeurs négatives = Texte2

Les informations en sortie peuvent être décrites indépendamment du formatage de la cellule, grâce à la fonction if(exprTest,valTrue,valFalse).

Exemple

Données | Clé de formatage | Texte formaté | Description
1 |  | Oui | Si aucune clé de formatage n'est fournie, les valeurs True/False (Vrai/Faux) sont utilisées par défaut.
-1 | Oui;Non | Non |


Types de données pour la date et l'heure

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> Fonctions de rapport -> Clés de formatage -> Types de données pour la date et l'heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Types de données pour la date et l'heure

Diverses clés de formatage sont disponibles pour l'affichage des détails relatifs à la date et à l'heure. En mode de saisie et en mode d'édition sans clés de formatage, le format d'affichage utilisé est celui défini dans les paramètres régionaux de Windows.

info Info

Les descriptions des jours et des mois peuvent être configurées pour la fonction de changement de langue dans le Runtime.

Chaque caractère ne représentant pas une clé de formatage est transféré sous forme de caractère de texte dans le contenu renvoyé par la cellule.

Clé de formatage | Valeur | Description
min | 1 - 12 | Mois, numérique court
mm | 01 - 12 | Mois, numérique long
mmm | Jan - Déc | Mois, court
mmmm | Janvier - Décembre | Mois, long
j | 1 - 31 | Jour, court
jj | 01 - 31 | Jour, long
jjj | Dim - Sam | Jour de la semaine, court
jjjj | Dimanche - Samedi | Jour de la semaine, long
aa | 00 - 99 | Année, court
aaaa | 1700 - 2900 | Année, long (0x est interprété comme 190x)
/ |  | Séparateur de date international
h | 0 - 23 ou 1 - 12 | Heure, court, 24 h ou 12 h avec ap
hh | 00 - 23 ou 01 - 12 | Heure, long, 24 h ou 12 h avec ap
mm | 00-59 | Minutes, uniquement après h ou hh
ss | 00-59 | Secondes
ff | 000-999 | Millisecondes
ap | am ou pm (ou équivalent international) | am ou pm
: (deux points) |  | Séparateur d'heure international

Exemple

Données | Clé de formatage | Texte formaté
22.09.1995 14:05 | dddd dd/mm/yyyy | Vendredi 22/09/1995
22.09.1995 14:05 | dd/mmmm yyyy | 22 septembre 1995
22.09.1995 14:05 | dd/mm/yy hh:mm | 22.09.1995 14:05
22.09.1995 14:05 | hh:mm:ff | 14:05:000


zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime.

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime.

La fonction d'appel de synoptique bascule vers le synoptique de rapport et permet de définir des filtres.

Des fonctions spéciales permettent d'imprimer, d'exporter et d'exécuter un rapport dans le Runtime. Pour créer des fonctions de zenon pour le générateur de rapports :

  1. Dans le menu contextuel des fonctions, accédez à : Nouvelle fonction -> Générateur de rapports
  2. Sélectionnez la fonction de votre choix.
    • Imprimer rapport
    • Exporter rapport
    • Rapport : exécuter

Autres sujets abordés dans ce chapitre

Appel de synoptique Rapport

Filtre de rapport

Imprimer rapport

Exporter rapport

Exécuter rapport


Appel de synoptique Rapport

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime. -> Appel de synoptique Rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser un rapport dans le Runtime, configurez la fonction d'appel de synoptique avec un synoptique de type Rapport :

  1. Créez un nouveau synoptique de type Rapport.
  2. Sélectionnez la commande Nouvelle fonction dans le nœud Fonctions.
  3. Sélectionnez la fonction Appel de synoptique.
  4. Sélectionnez le synoptique de type Rapport.
  5. Le filtre de rapport s'affiche à l'écran.
  6. Sélectionnez les propriétés de votre choix.
  7. Liez les fonctions à un bouton du synoptique afin de pouvoir exécuter un appel dans le Runtime.


Filtre de rapport

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime. -> Filtre de rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Affiché lors de la création de fonctions de zenon pour la configuration de rapports :

  • Fichier : sélection du fichier de rapport et des conditions dans le Runtime
  • Tag: Paramètres de transfert
  • Heure : Période de temps
  • Batchs : filtre de batchs
  • Liens : remplacent les fonctions
  • Indices : Remplacer les indices

Autres sujets abordés dans ce chapitre

Fichier

Paramètre

Heure

Charges

Remplacer les liens

Remplacer les indices


Fichier

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime. -> Filtre de rapport -> Fichier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Fichier

Dans l'onglet Fichier, vous pouvez définir le rapport affiché par la fonction d'appel de synoptique ou spécifier si vous souhaitez l'indiquer dans le Runtime.

Paramètre

Description

Fichier de formatage

Sélection d'un fichier rapport configuré dans l'éditeur (*.xrs)

Afficher cette boîte de dialogue dans le Runtime

Actif : Cette boîte de dialogue de filtre est proposée avant d'être invoquée dans le Runtime.

Lecture seule

Actif : les entrées peuvent uniquement être lues. Il est impossible de les modifier ou les enregistrer.

Lire les archives depuis chemin de sauvegarde

Actif : les archives conservées sont lues depuis le dossier de sauvegarde défini dans la configuration du projet.

Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues.

La configuration du fichier diffère pour les fonctions suivantes :

  • Imprimer rapport
  • Exporter rapport
  • Rapport : exécuter


Paramètre

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime. -> Filtre de rapport -> Paramètre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Paramètre

Les paramètres permettent d'utiliser un rapport pour différentes archives. Pour cela, les champs devant être utilisés de manière flexible sont définis à l'aide de la fonction de rapport parameter ( Nombre ). Les paramètres devant être utilisés sont définis dans l'onglet 'Paramètres' de la fonction d'appel de synoptique. Par exemple, un rapport unique peut être utilisé pour afficher les archives de plusieurs contrôles. Un rapport peut également afficher des valeurs dans différentes unités de mesure.

Dix paramètres sont disponibles :

  • 1 - 5: type chaîne
  • 6 - 10: type DWord

Si, par exemple, les données d'archive de cinq automates doivent être affichées, un rapport est créé et les cinq paramètres des automates sont transférés via les cinq fonctions d'appel.


Heure

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime. -> Filtre de rapport -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Heure

Les filtres de temps permettent de limiter la quantité de données à afficher ou exporter. Les filtres de temps sont très flexibles, et peuvent être prédéfinis dans l'Éditeur ou ajustés dans le Runtime.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Le filtrage horaire peut être effectué de deux manières :

  1. En définissant un intervalle de temps dans l'Éditeur
    Des plages de temps fixes sont utilisées. un intervalle de temps est fourni dans l'Éditeur. Il est uniquement possible de filtrer les données en fonction de cet intervalle de temps dans le Runtime. Les autres filtres - tels que le filtrage par nom de variable, groupes d'alarmes/d'événements et classes d'alarmes/d'événements, etc. ne peuvent plus être modifiés dans le Runtime.
  2. Filtre de temps modifiable dans le Runtime
    Des intervalles de temps prédéfinis sont utilisés. Le filtre de temps est défini dans l'Éditeur et peut être modifié dans le Runtime, le cas échéant.

info Info

Si un synoptique ne comportant pas de filtre de temps est référencé, les filtres de temps sont désactivés.

Pour le paramètre Set filter for time filter type (Définir un filtre de type filtre de temps), l'option Display filter dialog in Runtime (Afficher la boîte de dialogue de filtre dans le Runtime) peut être sélectionnée, mais n'est pas disponible dans le Runtime.

Méthode de filtre

Vous trouverez des informations détaillées concernant la configuration dans le manuel Gestion des alarmes, au chapitre Temps.

  • Définir la zone horaire dans l'Éditeur
  • Le filtre de temps peut être modifié dans le Runtime
  • Filtre absolu
  • Filtre relatif
  • A partir de
  • Période de temps

Les mécanismes décrits ici s'appliquent aussi bien aux appels de synoptique qu'à l'exportation pour les éléments suivants :

  • Liste d'alarmes
  • Maintenance de l'archive
  • Liste chronologique d'événements
  • Extended Trend
  • Synoptiques de filtre
  • Générateur de rapports
  • Module de visualisation de rapports
  • Fonction Export archives (Exporter les archives)


Charges

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime. -> Filtre de rapport -> Charges

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Charges

Le filtrage de batch correspond au filtrage dans les archives :

Paramètre

Description

Filtre lot

Sur le côté gauche de l'écran, vous pouvez sélectionner l'archive de votre choix parmi les archives disponibles. Sur le côté droit, les lots disponibles sont affichés. Ici, vous pouvez filtrer les lots.

Nom de batch

Dans cette colonne sont affichés les noms des lots disponibles. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre alphabétique croissant ou décroissant.

Dans la partie inférieure de l'en-tête, vous pouvez saisir une chaîne de caractères. Seuls les lots correspondant à la chaîne de caractères saisie seront affichés.

Start date (Date de début)

Dans cette colonne, la date de début des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant. Les lots comportant la même date de début sont triés en fonction de l'heure de début.

Dans la partie inférieure de l'en-tête, vous pouvez saisir une date de début manuellement ou utiliser le calendrier affiché.

Heure de début

Disponible uniquement si vous avez saisi une date de début.

Dans cette colonne, la date de début des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant.

Dans la partie inférieure de l'en-tête, vous pouvez saisir l'heure de début manuellement.

Remarque : "*" signifie 0:00:00 heure.

End date (Date de fin)

Dans cette colonne, la date de fin des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant. Les lots comportant la même date de fin sont triés en fonction de l'heure de fin.

Dans la partie inférieure de l'en-tête, vous pouvez saisir une date de fin manuellement ou utiliser le calendrier affiché.

Heure de fin

Disponible uniquement si vous avez saisi une date de fin.

Dans cette colonne, l'heure de fin des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant.

Dans la partie inférieure de l'en-tête, vous pouvez saisir l'heure de fin manuellement.

Remarque : "*" signifie 11:59:59 heure.

Durée

Cette colonne affiche la durée de chaque lot disponible. Elle est uniquement disponible à des fins d'affichage.

info Info

Les lots encore ouverts sont affichés s'ils correspondent aux critères de filtre définis.

info Info

La valeur de la variable de lot est écrite dans le fichier d'index et dans l'en-tête du fichier ARX au début du lot. Ces entrées sont ajustées à chaque modification de la variable. Lors de la fermeture du lot, la valeur de la variable de lot à cet instant est finalement écrite dans le fichier d'index et dans l'en-tête.

De cette manière, le nom du lot est définitif à la fermeture du lot.


Remplacer les liens

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime. -> Filtre de rapport -> Remplacer les liens

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Remplacer les liens

Les variables ou fonctions liées peuvent être définitivement remplacées dans l'Éditeur, à l'aide de règles. Le remplacement ne se limite pas aux fonctions ou variables définies dans les propriétés du groupe Variable/fonction. Toutes les autres variables présentes dans le synoptique peuvent être remplacées, à l'image des variables de Visibilité, Clignotement et Dimensions et rotation dynamiques, entre autres.

Pour remplacer les variables ou les fonctions à l'aide de règles, directement dans l'élément :

  1. Sélectionnez l'élément de votre choix et ouvrez-le en cliquant avec le bouton droit sur l'élément dans le menu contextuel.
  2. Sélectionnez Remplacer les liens.
  3. La boîte de dialogue de remplacement de liens s'ouvre.

Propriété | Description
Source | Saisissez l'expression partielle à rechercher. Les opérateurs * et ? peuvent être utilisés. Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple : *xxx ou xxx*.
Destination | Saisie de la chaîne partielle
Nom | Echange des informations dans des noms de variables de procédé.
Identification | Echange des informations dans l'identification.
Note capitalization (Tenir compte de la capitalisation) | Lors de l'échange, assurez-vous que l'utilisation des majuscules soit parfaitement identique.
Accepter | Echange des chaînes cibles de la source avec celles définies dans la cible.
Variable/Fonction | Ouvre la liste de sélection des variables et fonctions correspondant à la ligne sélectionnée dans la liste. Cliquez sur la variable dans la liste pour définir de nouvelles variables cible. Alternatif : double-cliquez sur la variable source en question.

Remplacer

a) Remplacement par sélection manuelle

  • Sélectionnez dans la liste l'élément que vous souhaitez utiliser en tant que source.
  • Sélectionnez un élément cible en cliquant sur le bouton variable/fonction.
  • Le nouvel élément remplace le précédent.

b) Remplacement automatisé à l'aide de règles.

  • Dans le champ de saisie source, définissez les paramètres correspondant aux éléments que vous souhaitez remplacer.
  • Définissez les paramètres des nouvelles variables et fonctions dans le champ de saisie cible .
  • Spécifiez les éléments que vous souhaitez remplacer en cliquant sur Nom/Identification.
  • Cliquez sur Accepter.

info Info

La variable cible ou la fonction cible peut également se trouver dans un projet différent de la variable source ou la fonction source.

attention Attention

Lors du remplacement de variables, tenez compte du type et de la résolution du signal. Si vous remplacez une variable par une variable de type incompatible, cela peut entraîner des erreurs lors de l'exécution. Vous serez averti lors du remplacement, et ce dernier sera effectué malgré l'avertissement.

info Info

Remplacer via un glisser-déplacer : Les éléments qui ne peuvent contenir qu'une seule variable ou fonction peuvent être remplacés par glisser-déplacer. Faites glisser la nouvelle variable ou fonction vers l'élément à l'aide de la souris. Elle remplace automatiquement la précédente.

Exemple

Toutes les variables dont le nom comporte "Tank1" doivent être remplacées par "Tank4".

  1. Saisissez "Tank1" dans le champ de texte Source. Vous pouvez inclure toutes les variables commençant par "Tank1" avec le caractère *.
  2. Saisissez "Tank4" dans le champ de texte cible.
  3. Cliquez sur Accepter.
  4. Les variables Tank1_max et Tank1_min sont remplacées par les variables Tank4_max et Tank4_min.


Remplacer les indices

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime. -> Filtre de rapport -> Remplacer les indices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Remplacer les indices

Lors de l'appel d'un synoptique dans le Runtime, les variables peuvent être remplacées de manière dynamique (virtuelle) grâce à des règles de gestion d'indices. Dans ce cas, les valeurs de variables peuvent être utilisées dans le cadre de la règle de remplacement.

attention Attention

Parce que les noms sont remplacés, les variables et les fonctions doivent toujours recevoir des noms différents. Les variables et les fonctions sont remplacées si les noms sont identiques.

Exemple :

SI une variable "test" et une fonction "test" existent et la variable "test" doit être remplacée, la fonction "test" sera remplacée en même temps.

Conseil : ajoutez un préfixe correspondant aux noms de variables et de fonctions (par exemple, var_ et func_). Vous disposerez ainsi d'une visibilité satisfaisante, même dans les listes.

Pour configurer le remplacement d'indices :

  1. Toutes les variables et fonctions présentes dans le synoptique sont affichées dans le champ Source de la section Replacement preview (Aperçu du remplacement).
  2. Cliquez avec le bouton gauche de la souris sur la variable ou la fonction pour laquelle vous souhaitez créer une règle d'indices.
  3. Dans la section Règle d'indices, la variable ou fonction est saisie dans les champs Source et Cible.
    Vous pouvez également saisir la variable ou fonction directement dans le champ Source de la section Règle d'indices.
  4. Définissez la règle d'indices.
    La partie dynamique de la règle est insérée entre accolades, par exemple, {X01}.

    Exemple :

    La variable source Motor[1].speed est remplacée par la variable cible Motor[{X01}].speed,
    le paramètre fictif X01 étant remplacé par la valeur correspondante de la variable d'indice dans le Runtime.
    La règle de remplacement serait donc la suivante :

    Source : Motor1

    Cible : Motor{X01}

  5. Transférez-la ensuite vers le champ Ajouter une règle en cliquant avec le bouton gauche de la souris sur les règles d'indices.
  6. Toutes les règles d'indices qui ont été créées sont affichées dans cette liste.
  7. Vous pouvez modifier l'ordre des entrées en cliquant sur le bouton représentant une flèche.

    Attention : les substitutions sont exécutées dans l'ordre dans lequel elles apparaissent dans la liste.

  8. Vous pouvez insérer les variables qui ne sont pas présentes sur le synoptique mais sont utilisées lors du remplacement en cliquant sur le bouton Ajouter des variables... dans la fenêtre Variables d'indices.
  9. Les variables qui se trouvent dans cette liste sont toujours conservées en mémoire dans l'ordre, afin de réduire les temps d'attente lors du chargement du synoptique.

info Info

Pour l'opérateur *, les règles sont les mêmes que pour la fonction Remplacer les liens.

attention Attention

Si des variables d'indice sont utilisées dans un projet de réseau, le client doit d'abord obtenir la valeur auprès du serveur. Le calcul est ensuite exécuté. Sur les équipements comportant du matériel obsolète, cela peut provoquer un délai lors d'un appel de synoptique.
Par conséquent, dans un projet en réseau, les variables d'indice doivent toujours être définies sur DDE active.

Entre projets

Si la destination se trouve dans un autre projet que la source, ceci peut être affiché à l'aide du caractère '#'.

Example Exemple

Source : VAR_1

Cible : VAR_1 dans Project_1

Vous saisissez donc VAR_1 en tant que source, et Project_1#VAR_1 en tant que cible.

Source : SUBPROJECT1#VAR_1

Cible : {X01}VAR_1

La variable d'indice X01 est une variable de chaîne et comporte un nom de projet contenant # avec une valeur, par exemple "SUBPROJECT4#".


Imprimer rapport

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime. -> Imprimer rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Imprimer rapport permet d'imprimer un rapport sans l'appeler préalablement. Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Dans la section Générateur de rapports, sélectionnez l'entrée Exécuter rapport.
  3. La boîte de dialogue du filtre de rapport s'affiche alors à l'écran.
  4. Remarque : Les paramètres de l'onglet Fichier sont différents. Les paramètres valides pour la fonction Imprimer rapport sont détaillées dans ce chapitre ; vous trouverez tous les autres paramètres concernés au chapitre Filtre de rapport.
  5. Sélectionnez les propriétés de votre choix.
  6. Liez les fonctions à un bouton du synoptique afin de pouvoir exécuter un appel dans le Runtime.

Onglet Fichier

Paramètre

Description

Fichier de formatage

Sélection d'un fichier rapport configuré dans l'éditeur (*.xrs)

Afficher cette boîte de dialogue dans le Runtime

Actif : Cette boîte de dialogue de filtre est proposée avant d'être invoquée dans le Runtime.

Avec dialogue d'annulation

Actif : un bouton permettant d'annuler l'impression est affiché pendant la préparation de l'impression du rapport.

Lire les archives depuis chemin de sauvegarde

Actif : les archives conservées sont lues depuis le dossier de sauvegarde défini dans la configuration du projet.

Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues.

info Info

Les entrées d'archive peuvent uniquement être lues avec la fonction Imprimer rapport. Les actions d'écriture ne sont pas possibles.


Exporter rapport

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime. -> Exporter rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour exporter un rapport dans un fichier en tâche de fond en mode de fonctionnement en ligne. Le fichier d'exportation est conservé dans le sous-dossier \Export du dossier de projet. (open from zenon: highlight project, press ctrl+alt+D.) Indiquez les paramètres de fichier comme paramètres d'appel.

La fonction Exporter rapport permet d'exporter un rapport sans l'appeler préalablement. Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Dans la section Générateur de rapports, sélectionnez l'entrée Exporter rapport.
  3. La boîte de dialogue du filtre de rapport s'affiche alors à l'écran.
  4. Remarque : Les paramètres de l'onglet Fichier sont différents. Les paramètres valides pour la fonction Exporter rapport sont détaillées dans ce chapitre ; vous trouverez tous les autres paramètres concernés au chapitre Filtre de rapport.
  5. Sélectionnez les propriétés de votre choix.
  6. Liez les fonctions à un bouton du synoptique afin de pouvoir exécuter un appel dans le Runtime.

info Info

Lors de l'exportation d'un rapport à l'aide de la fonction Exporter rapport, les unités converties sont exportées sous forme d'unités de mesure. Les unités de base ne forment pas partie de l'exportation.

Onglet Fichier

Paramètre

Description

Fichier de formatage

Sélection d'un fichier rapport configuré dans l'éditeur (*.xrs)

Afficher cette boîte de dialogue dans le Runtime

Actif : Cette boîte de dialogue de filtre est proposée avant d'être invoquée dans le Runtime.

Lire les archives depuis chemin de sauvegarde

Actif : les archives conservées sont lues depuis le dossier de sauvegarde défini dans la configuration du projet.

Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues.

Fichier d'exportation

Propriétés du fichier exporté depuis le rapport.

Nom

Nom du fichier.
Peut comporter jusqu'à 8 caractères alphanumériques. Si aucun nom n'est fourni est la fonction de dénomination automatique est désactivée, le nom "dummy" est utilisé.

Attention : l'utilisation de caractères spéciaux peut provoquer une perte de données.

Format

Format du fichier d'exportation.
  • TXT

Fichier texte
  • XRS

Fichier de rapport zenon
  • XML

Fichier XML

Assigner nom automatiquement

Actif : Le nom de fichier est créé automatiquement. Il est constitué de l'identifiant court, de la date codée et de l'extension de fichier choisie.

Codage du nom pour la fonction de dénomination automatique

Code | Signification
xx | Identifiant court : 2 caractères Les deux premiers caractères du nom spécifié sous "Nom" ou du nom défini par le système, du.
AA | Année : deux chiffres
MM | Mois : deux chiffres
JJ | Jour : deux chiffres
HH | Heures : deux chiffres
MM | Minute : deux chiffres
SS | Seconde : deux chiffres

Exemple

  • Le fichier de rapport Report est exporté le 9.6.2010 à 11h52 au format XRS. 6. 6.
  • Nom de fichier automatique : re100506091152.xrs.

info Info

Les entrées d'archive peuvent uniquement être lues avec la fonction Exporter rapport. Les actions d'écriture ne sont pas possibles.


Exécuter rapport

Manuels -> Création de rapports -> Générateur de rapports -> Configuration dans l'Éditeur -> zenon fournit des fonctions permettant de contrôler le générateur de rapports dans le Runtime. -> Exécuter rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Exécuter rapport permet d'exécuter un rapport automatiquement, en tâche de fond, dans le Runtime. Si des fonctions d'écriture sont configurées dans le rapport, les valeurs calculées sont automatiquement écrites dans les archives ou l'image du procédé.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Dans la section Générateur de rapports, sélectionnez l'entrée Exécuter rapport.
  3. La boîte de dialogue du filtre de rapport s'affiche alors à l'écran.

    Remarque : Les paramètres de l'onglet Fichier sont différents. Les paramètres valides pour la fonction Exécuter rapport sont détaillées dans ce chapitre ; vous trouverez tous les autres paramètres concernés au chapitre Filtre de rapport.

  4. Sélectionnez les propriétés de votre choix.
  5. Liez les fonctions à un bouton du synoptique afin de pouvoir exécuter un appel dans le Runtime.

Onglet Fichier

Paramètres

Description

Fichier de formatage

Sélection d'un fichier rapport configuré dans l'éditeur (*.xrs)

Afficher cette boîte de dialogue dans le Runtime

Actif : Cette boîte de dialogue de filtre est proposée avant d'être invoquée dans le Runtime.

Avec dialogue d'annulation

Actif : un bouton permettant d'annuler l'impression est affiché pendant la préparation de l'impression du rapport.

Lire les archives depuis chemin de sauvegarde

Actif : les archives conservées sont lues depuis le dossier de sauvegarde défini dans la configuration du projet.

Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues.

info Info

Avec cette fonction, toutes les fonctions d'écriture sont exécutées dans le rapport.


Fonctionnement dans le Runtime

Manuels -> Création de rapports -> Générateur de rapports -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les rapports relatifs aux boutons configurés sont affichés, configurés et gérés dans le Runtime. Les éléments utilisateur suivants sont disponibles dans le Runtime :

Paramètre

Description

Insérer un modèle ...

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Rapport

Fenêtre de rapport pour l'affichage du rapport.

Affichage : Définir filtre

Affiche l'état actuel du filtre de temps actuel dans le Runtime.

Boutons

Boutons de contrôle des fonctions dans le Runtime.

Actualiser

Recréer entièrement le rapport (valeurs et affichage).

Imprimer

Imprimer le rapport dans le Runtime.

Fichier

Sélectionner le fichier de rapport et modifier les conditions de filtre.

Exporter

Exporter le rapport.

Enregistrer archive

Ecrire les valeurs modifiées dans l'archive.

Enregistrer rapport

Le rapport est enregistré dans le Runtime (*.xrs).

Attention : lors de l'enregistrement, les formules et fonctions sont remplacées par les valeurs actuelles. Les fonctions dans ces rapports (fichiers .xrs) ne sont plus disponibles. Ces rapports ne peuvent donc plus être édités dans l'éditeur.

Recommandation : activez la protection contre l'écriture des fichiers originaux des rapports, et enregistrez les modifications dans un nouveau fichier à l'aide de la commande Enregistrer sous.

Enregistrer rapport sous

Le rapport est enregistré sous un nouveau nom durant le Runtime (*.xrs), les formules et les fonctions sont remplacées par les valeurs actuelles.

Lire toutes les valeurs

Toutes les valeurs sont lues une nouvelle fois depuis le driver.

Lire les valeurs sélectionnées

Les valeurs sélectionnées sont lues une nouvelle fois depuis le driver.

Ecrire toutes les valeurs

Toutes les valeurs sont transmises au driver.

Ecrire les valeurs sélectionnées

Les valeurs sélectionnées sont transmises au driver.

Ligne précédente

Fait défiler le texte dans la liste vers le haut

Ligne suivante

Fait défiler le texte dans la liste vers le bas

Colonne de droite

Fait défiler le texte dans la liste vers la droite

Colonne de gauche

Fait défiler le texte dans la liste vers la gauche

Page précédente

Fait défiler le texte dans la liste vers le haut

Page suivante

Fait défiler le texte dans la liste vers le bas

Page de droite

Fait défiler le texte dans la liste vers la droite

Page de gauche

Fait défiler le texte dans la liste vers la gauche

Profils de filtre

Boutons pour les profils de filtres.

Sélection profil

Affichage des profils de filtre et des saisies disponibles pour les nouveaux noms de profil.

Enregistrer

Enregistrer la configuration actuelle sous forme de profil.

X (enregistrer)

Supprime le profil sélectionné.

Importation

Exporte les profils.

Exporter

Importe les profils.

info Info

Un point est utilisé en tant que séparateur décimal. Lors de la saisie, vous pouvez utiliser un point ou une virgule. Le séparateur est automatiquement converti par le système.

Exemple : 10,5 devient 10.5.

Autres sujets abordés dans ce chapitre

Filtre pour l'appel de synoptique


Filtre pour l'appel de synoptique

Manuels -> Création de rapports -> Générateur de rapports -> Fonctionnement dans le Runtime -> Filtre pour l'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous appelez un synoptique de type Rapport, le filtre suivant est affiché.

Paramètre

Description

Filtre lot

Sur le côté gauche de l'écran, vous pouvez sélectionner l'archive de votre choix parmi les archives disponibles. Sur le côté droit, les lots disponibles sont affichés. Ici, vous pouvez filtrer les lots.

Nom de batch

Dans cette colonne sont affichés les noms des lots disponibles. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre alphabétique croissant ou décroissant.

Dans la partie inférieure de l'en-tête, vous pouvez saisir une chaîne de caractères. Seuls les lots correspondant à la chaîne de caractères saisie seront affichés.

Start date (Date de début)

Dans cette colonne, la date de début des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant. Les lots comportant la même date de début sont triés en fonction de l'heure de début.

Dans la partie inférieure de l'en-tête, vous pouvez saisir une date de début manuellement ou utiliser le calendrier affiché.

Heure de début

Disponible uniquement si vous avez saisi une date de début.

Dans cette colonne, la date de début des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant.

Dans la partie inférieure de l'en-tête, vous pouvez saisir l'heure de début manuellement.

Remarque : "*" signifie 0:00:00 heure.

End date (Date de fin)

Dans cette colonne, la date de fin des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant. Les lots comportant la même date de fin sont triés en fonction de l'heure de fin.

Dans la partie inférieure de l'en-tête, vous pouvez saisir une date de fin manuellement ou utiliser le calendrier affiché.

Heure de fin

Disponible uniquement si vous avez saisi une date de fin.

Dans cette colonne, l'heure de fin des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant.

Dans la partie inférieure de l'en-tête, vous pouvez saisir l'heure de fin manuellement.

Remarque : "*" signifie 11:59:59 heure.

Durée

Cette colonne affiche la durée de chaque lot disponible. Elle est uniquement disponible à des fins d'affichage.

info Info

Les lots encore ouverts sont affichés s'ils correspondent aux critères de filtre définis.

info Info

La valeur de la variable de lot est écrite dans le fichier d'index et dans l'en-tête du fichier ARX au début du lot. Ces entrées sont ajustées à chaque modification de la variable. Lors de la fermeture du lot, la valeur de la variable de lot à cet instant est finalement écrite dans le fichier d'index et dans l'en-tête.

De cette manière, le nom du lot est définitif à la fermeture du lot.


Exemple de données d'archive dans un rapport

Manuels -> Création de rapports -> Générateur de rapports -> Exemple de données d'archive dans un rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cet exemple, vous créez des données d'archive dans un rapport. Pour cela :

  1. Ouvrez un nouveau rapport à l'aide du menu contextuel, puis sélectionnez l'entrée Nouveau rapport.
  2. Configurez la zone de titre.
  3. Renseignez la zone de données.
  4. Configurez un synoptique de rapport et créez une fonction.


Zone de titre

Manuels -> Création de rapports -> Générateur de rapports -> Exemple de données d'archive dans un rapport -> Zone de titre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La zone de titre contient, dans les quatre premières lignes :

  • Des textes servant d'intitulé pour les données
  • Date et heure
  • Le logo de l'entreprise

La zone de titre est mise en forme de telle manière qu'elle est fixe dans les rapports comportant plusieurs pages, et ne disparaît pas lorsque vous faites défiler le rapport.


Textes

Manuels -> Création de rapports -> Générateur de rapports -> Exemple de données d'archive dans un rapport -> Zone de titre -> Textes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Saisissez les textes suivants comme intitulés pour le rapport :

  • Heure
  • Hall 1
    • Cuve 1
    • Cuve 2
  • Hall 2
    • Cuve 1
    • Cuve 2


Date et heure

Manuels -> Création de rapports -> Générateur de rapports -> Exemple de données d'archive dans un rapport -> Zone de titre -> Date et heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La date et l'heure du rapport sont configurées pour les cellules A1 et E1, avec les fonctions de rapport. Pour cela :

  1. Saisissez la fonction =now() dans les cellules A1 et E1.
  2. La date actuelle est maintenant affichée dans les deux cellules.
  3. Pour afficher l'heure dans la cellule E1, vous devez modifier la mise en forme de cette cellule.
    1. Sélectionnez la cellule E1
    2. Ouvrez la boîte de dialogue de mise en forme à l'aide du menu Format/Cellules/Édition.
    3. Sélectionnez la chaîne de mise en forme, comme illustré ci-dessous.

  4. Résultat :


Synoptiques en tant que logo d'entreprise

Manuels -> Création de rapports -> Générateur de rapports -> Exemple de données d'archive dans un rapport -> Zone de titre -> Synoptiques en tant que logo d'entreprise

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les synoptiques dans les cellules ne sont pas considérés comme des contenus de cellules par l'outil Report Generator, mais comme des informations de mise en forme. La configuration est donc effectuée par le biais de la mise en forme des cellules :

  1. Depuis le Gestionnaire de projet, importez le synoptique souhaité dans les nœuds Fichiers/Éléments graphiques
  2. Sélectionnez la cellule E2 avec le bouton gauche de la souris.
  3. Ouvrez le menu contextuel du rapport en cliquant dessus avec le bouton droit de la souris, et sélectionnez ensuite la commande Cellule.
  4. Dans la boîte de dialogue, accédez à la page Type de cellule.
  5. Modifiez le type de cellule en Fichier graphique.
  6. Sélectionnez le synoptique souhaité dans la liste déroulante située sur le côté droit de l'écran.

  7. Résultat :


Zone d'intitulé fixe pour les rapports comportant plusieurs pages

Manuels -> Création de rapports -> Générateur de rapports -> Exemple de données d'archive dans un rapport -> Zone de titre -> Zone d'intitulé fixe pour les rapports comportant plusieurs pages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour que les intitulés des lignes et des colonnes soient toujours visibles dans les rapports comportant plusieurs pages, vous devez les configurer pour qu'ils ne se déplacent pas à mesure du défilement du rapport. Pour cela, définissez des zones d'intitulé fixes.

Pour définir un intitulé de ligne fixe :

  1. Sélectionnez la commande Rapport dans le menu Format.
  2. La boîte de dialogue de configuration s'affiche.
  3. Ouvrez l'onglet Colonnes.

    Près du nombre de colonnes, vous pouvez également définir le nombre de colonnes fixes (Non-scrolling columns). Le nombre défini de colonnes fixes reste alors affiché en permanence à l'écran, même pendant le défilement du rapport.

  4. Saisissez 1 dans le champ Non-scrolling columns (Colonnes fixes).
  5. Sélectionnez l'onglet Lignes.

    Les intitulés de colonnes se trouvent dans les lignes 1 à 4 pour les lignes :

  6. Saisissez 4 dans le champ Non-scrolling rows (Lignes fixes).
  7. Confirmez toutes les modifications en cliquant sur le bouton OK.


Zone de données

Manuels -> Création de rapports -> Générateur de rapports -> Exemple de données d'archive dans un rapport -> Zone de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la zone de données :

  • Configurez l'affichage de l'heure et des valeurs
  • Affichez la somme et la moyenne


Heure

Manuels -> Création de rapports -> Générateur de rapports -> Exemple de données d'archive dans un rapport -> Zone de données -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'heure des valeurs d'archives affichées est affichée dans la colonne A.

info Info

Nous allons sélectionner une archive cyclique comme base. Les entrées de toutes les variables sont donc effectuées à la même heure, et une colonne d'heure est suffisante pour toutes les entrées.

Pour configurer l'heure :

  1. Sélectionnez la cellule A5.
  2. Sélectionnez la commande Assistant Fonction dans le menu Format.
  3. L'assistant Fonction démarre.

  4. Sélectionnez la fonction Archive en double-cliquant dessus.
  5. Le bouton Archive est toujours affiché dans la section inférieure de la boîte de dialogue.

  6. Cliquez sur Archive.
  7. La boîte de dialogue de sélection d'archives s'affiche :

  8. Cliquez sur Nouveau.
  9. Les archives conservées dans le nœud du serveur d'archives sont affichées.
  10. Sélectionnez les variables comme illustré sur la capture d'écran.

  11. Cliquez sur Enregistrer
  12. Sélectionnez la variable "H1_Tank1".

  13. Confirmez la sélection en cliquant sur OK.
  14. L'assistant Fonction apparaît à nouveau.
  15. Sélectionnez le paramètre heure en double-cliquant dessus.

  16. Sélectionnez le paramètre Vers le bas en double-cliquant dessus.
  17. La configuration de la fonction est terminée (=archive(1,"time","down")

  18. Fermez l'assistant en cliquant sur le bouton OK.

L'heure d'archivage de la variable se poursuit donc vers le bas à partir de la ligne 5, dans la colonne A.

info Info

Les paramètres doivent toujours être sélectionnés avec un double-clic. Tous les paramètres sont configurés lorsque la fonction présentée dans l'aperçu est fermée par un crochet et qu'aucun autre paramètre n'est proposé. Si vous cliquez sur le bouton OK avant d'avoir sélectionné tous les paramètres, l'assistant est fermé avant que tous les paramètres n'aient été configurés pour la fonction.


Valeurs

Manuels -> Création de rapports -> Générateur de rapports -> Exemple de données d'archive dans un rapport -> Zone de données -> Valeurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous configurez les valeurs pour les cuves dans les halls 1 et 2 de la même manière que vous avez configuré l'heure. Prêtez attention aux différences suivantes :

  • Il n'est plus nécessaire de configurer les variables des archives. Elles existent déjà et peuvent être sélectionnées immédiatement. Attribuez à chaque cuve la variable correspondante.
  • Au lieu du paramètre Heure, sélectionnez le paramètre Valeur.

Copie d'une fonction

Lorsque vous avez créé une fonction, vous pouvez la copier vers d'autres cellules, puis la modifier à votre convenance :

Pour cela :

  1. Sélectionnez la cellule que vous souhaitez modifier
  2. Ensuite, cliquez dans la cellule que vous souhaitez éditer
  3. Dans la fonction affichée à l'écran, les numéros de référence renvoient aux variables d'archives correspondantes ; ils sont générés automatiquement durant la sélection des archives lors de la création de la fonction
  4. Remplacez donc le 1 en tant que premier paramètre dans la colonne C par un 2
    par un 3 dans la colonne D
    et par un 4 dans la colonne E


Somme et moyenne

Manuels -> Création de rapports -> Générateur de rapports -> Exemple de données d'archive dans un rapport -> Zone de données -> Somme et moyenne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour ce rapport, vous allez maintenant configurer l'affichage de la somme et de la moyenne.

Pour cela, vous devez déterminer le nombre de cellules requises pour les entrées d'archives. Ces cellules sont définies dans Report Generator. Le nombre d'entrées dans la liste dépend des paramètres de filtre utilisés pour appeler ensuite le rapport (fonctions Exécuter rapport, Imprimer rapport, Exporter rapport).

Dans notre exemple, nous sélectionnerons une plage de temps de deux minutes. Puisque notre archive enregistre des valeurs toutes les cinq secondes, le rapport contiendra 24 entrées. Par conséquent :

  1. Saisissez le texte Somme : dans la cellule A29
  2. Saisissez le texte Moyenne : dans la cellule A30
  3. Saisissez la fonction =sum(B5:B25) dans la cellule B29.
  4. Saisissez la fonction =sum(B5:B25) dans la cellule B30.
  5. Copiez la cellule B29 vers C29, D29 et E29
  6. Copiez la cellule B30 vers C30, D30 et E30
  7. Enregistrez le rapport sous le nom Archiv.xrs

info Info

Lors de la saisie des fonctions, vous pouvez soit saisir des noms de cellules ou cliquez sur la cellule correspondante avec le bouton de la souris.

Si vous copiez des fonctions contenant des adresses de cellules dans Report Generator, les adresses de cellules sont automatiquement adaptées.


Affichage du rapport dans le Runtime

Manuels -> Création de rapports -> Générateur de rapports -> Exemple de données d'archive dans un rapport -> Affichage du rapport dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour pouvoir afficher le rapport dans le Runtime, vous devez disposer des éléments suivants :

  • Un synoptique de rapport
  • Une fonction d'appel de synoptique

Créer un synoptique de type Rapport

Pour créer un synoptique Rapport :

  1. Créez un nouveau synoptique intitulé Rapport.
  2. Sélectionnez le type de synoptique Rapport.
  3. Sélectionnez le cadre MAIN.
  4. Cliquez sur le nouveau synoptique.
  5. Sélectionnez la commande Par défaut dans le menu Éléments de contrôle.
  6. Ajoutez les éventuels éléments de contrôle requis.

Créer une fonction

Créez une fonction d'appel de synoptique pour sélectionner le synoptique dans le Runtime. Pour cela :

  1. Ajoutez un nouveau bouton au synoptique de départ.
  2. Ajoutez-lui l'intitulé Rapport.
  3. Accédez au nœud Fonctions.

    Créez une nouvelle fonction.

  4. Sélectionnez Appel de synoptique.
  5. Sélectionnez le synoptique Rapport.
  6. Le filtre de rapport s'affiche à l'écran.

  7. Cliquez sur le bouton Format fichier.
  8. Sélectionnez Archiv.xrs.
  9. Ouvrez l'onglet Temps.

  10. Pour notre exemple, configurez les options comme suit :
    1. Définissez le format de temps sur Relative time period (Intervalle de temps relatif) et
    2. Réglez le temps sur 2 minutes.

    D'autres informations concernant le filtre de temps sont disponibles dans le manuel Liste d'alarmes, au chapitre Filtre de temps.

  11. Fermez le filtre en cliquant sur OK.
  12. Associez le bouton configuré à la fonction
  13. Exécutez la fonction dans le Runtime


Module de visualisation de rapports

Manuels -> Création de rapports -> Module de visualisation de rapports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Report Viewer peut être utilisé pour afficher les rapports RDL de données d'archives, de données de listes AML et CEL, ainsi que des valeurs en ligne. Deux plages de temps historiques peuvent également être comparées avec deux plages de temps configurables.

Les fichiers RDL qui affichent le gabarit de rapport pour le Runtime sont créés et édités dans l'Éditeur. 7 jeux de données prédéfinis sont déjà disponibles. D'autres jeux de données peuvent être librement créés ; seul le schéma de table correspondant aux quatre catégories de données est défini.

Les données source fournissant les jeux de données créés dans le fichier RDL dans le Runtime sont définies dans la fonction d'appel de synoptique, sur le synoptique Report Viewer. Pour chaque jeu de données utilisé dans le fichier RDL, un jeu de données comportant un nom et une origine de données identiques doit être créé. Les variables source et les critères de filtre peuvent être prescrits pour ces éléments, en fonction de leur type.

Étapes de configuration habituelles :

  1. Créez un nouveau fichier de définition de rapport ou importez-en un
  2. Créez un synoptique Report Viewer
  3. Créez une fonction d'appel de synoptique et configurez les jeux de données
  4. Configurez la sortie sous forme de fichier PDF ou de sortie sur imprimante
  5. Configuration d'un fichier RDL
  6. Appelez la fonction dans le Runtime, à l'aide d'un bouton ou d'un menu

Autres sujets abordés dans ce chapitre

Configuration dans l'Éditeur

Fichiers de définition de rapports

Fonctionnement dans le Runtime

Traitement des erreurs


Configuration dans l'Éditeur

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour pouvoir utiliser l'application Report Viewer dans le Runtime, vous devez effectuer les opérations suivantes dans l'Éditeur :

  1. Créez un synoptique Report Viewer
  2. Créez ou importez un fichier RDL, si aucun fichier n'est présent
  3. Configurez une fonction d'appel de synoptique pour le synoptique Report Viewer.
  4. Configurez les jeux de données dans la fonction d'appel de synoptique.
  5. Modifiez le fichier de définition de rapport (RDL) en fonction des jeux de données définis dans zenon.
  6. Ajoutez un bouton permettant d'afficher Report Viewer dans le Runtime sur le synoptique de départ ou le synoptique de menu.

Dossier des fichiers de définition de rapport (RDL)

Les fichiers RDL sont enregistrés dans l'arborescence du projet, dans le nœud Fichiers/Report Viewer. Les fichiers RDL existants peuvent être importés et édités ici, ou de nouveaux fichiers peuvent être créés.

Menu contextuel de gabarit de rapport

Élément de menu | Action
New report definition file (Nouveau fichier de définition de rapport) | Crée un nouveau fichier RDL sur la base du fichier default.rdl fourni.
Open report definition file (Ouvrir un fichier de définition de rapport) | Ouvre le logiciel associé aux fichiers RFL, autorisant l'édition d'un fichier de définition existant. Par défaut, zenon recherche d'abord MS Report Builder, puis MS Report Designer.
Retour à l'élément de départ | Avec les éléments liés, revient à l'élément depuis lequel le gabarit de rapport a été ouvert. Uniquement présent dans le menu contextuel si des éléments liés sont présents.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Import existing report definition file (Importer un fichier de définition de rapport existant) | Ouvre une boîte de dialogue permettant d'importer des fichiers de définition de rapport existants. Ces fichiers doivent être au format RDL 2.0.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Création de synoptiques Report Viewer

Appel d'un synoptique Report Viewer

Exporter ou imprimer le rapport de la fonction


Création de synoptiques Report Viewer

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Création de synoptiques Report Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un synoptique Report Viewer :

  1. Créez un nouveau synoptique.
  2. Sélectionnez le type de synoptique spécial Report Viewer dans la liste déroulante.
  3. Donnez un nom au synoptique.
  4. Sélectionnez Insérer un modèle dans le menu Éléments de contrôle.
  5. Les éléments standard sont créés et positionnés automatiquement.

Paramètre | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant. Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur. Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Fenêtre de rapport | Fonctions et profils du rapport.
Affichage : Définir filtre | Affiche l'état actuel du filtre de temps actuellement configuré dans le Runtime.
Mise à jour | Actualise la définition et les données du rapport et affiche le rapport avec les données actualisées.
Imprimer | Imprime le rapport sur l'imprimante définie pour les valeurs et les fichiers journaux.
Créer PDF | Enregistre le rapport actuellement affiché sous forme de fichier PDF dans le dossier défini pour l'exportation.


Appel d'un synoptique Report Viewer

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser Report Viewer dans le Runtime, configurez la fonction d'appel de synoptique avec un synoptique de type Report Viewer :

  1. Créez un synoptique nouveau Report Viewer.
  2. Sélectionnez la commande Nouvelle fonction dans le nœud Fonctions.
  3. Sélectionnez la fonction Appel de synoptique.
  4. Sélectionnez le synoptique Report Viewer.
  5. Le filtre de rapport s'affiche à l'écran.
  6. Si vous souhaitez, vous pouvez configurer le remplacement du filtre de temps dans l'onglet Runtime.
  7. Basculez vers l'onglet définition de rapports.
  8. Sélectionnez le fichier RDL.
  9. Définissez le filtre de module et/ou le filtre de temps.
  10. Créez les jeux de données de votre choix.
  11. Liez les fonctions à un bouton du synoptique afin de pouvoir exécuter un appel dans le Runtime.
  12. Éditez les jeux de données dans le fichier RDL en fonction des paramètres associés dans la fonction d'appel de synoptique.

Autres sujets abordés dans ce chapitre

Définition rapport

Runtime

Filtre de recette du Contrôle de Batch

Filtre de temps

Boîte de dialogue Nouveau jeu de données

Jeux de données dans Report Viewer


Définition rapport

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Définition rapport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous configurez les jeux de données et les filtres affichés dans le Runtime.

Paramètre

Description

Fichier de définition de rapport

Fichier RDL utilisé pour la définition de rapports. Ce fichier doit être présent dans le nœud Fichier/Gabarits de rapports. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.

Filtre

Liste des filtres disponibles, avec affichage des noms et du type de filtre. Les informations suivantes sont disponibles :

  • Filtre dépendant du module :
    Filtre de recette du Contrôle de Batch
  • Filtre de temps

Configuration :

  • Cliquez sur l'option Filtre spécifique au module pour ouvrir la boîte de dialogue de configuration d'un filtre de batch.
  • Cliquez sur le bouton Nouveau filtre de temps... pour ouvrir la boîte de dialogue de configuration de filtre de temps.

Double-cliquez sur l'aperçu de groupe pour ouvrir le premier filtre configuré du groupe.

Nouveau filtre horaire

Ouvre la boîte de dialogue de configuration d'un nouveau filtre de temps.

Édition

Ouvre la liste des filtres de temps sélectionnés dans la liste aux fins de l'édition.

Supprimer

Supprime le filtre de temps sélectionné dans la liste.

Listes de données (Data sets)

Affichage des jeux de données configurés. La liste contient les éléments suivants :

  • Nom du jeu de données
  • Origine des données
  • Filtre de temps

Nouveau

Ouvre la boîte de dialogue de création d'une définition de rapport.

Éditer

Ouvre la boîte de dialogue d'édition de la définition de l'élément sélectionné.

Supprimer

Supprime l'élément sélectionné et sa définition de la liste.

OK

Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Runtime

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cet onglet, vous configurez le remplacement du premier filtre utilisé par un synoptique de type Filtre de temps. Ceci vous permet par exemple, lors de l'appel d'un synoptique distinct, d'utiliser des filtres de temps à la place du filtre configuré dans l'appel de synoptique.

Paramètre

Description

Configuration du Runtime

Paramètres des actions dans le Runtime.

Remplacement du filtre de temps 1 par un synoptique dans le Runtime.

Remplace le premier filtre de temps configuré par un synoptique de type filtre de temps dans le Runtime. Le synoptique actuellement lié est affiché.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique. Seuls les synoptiques associés au projet depuis lequel ils sont appelés et les synoptiques de type Filtre de temps sont disponibles.

Lors de la sélection d'un synoptique de filtre, les informations de boîte de dialogue du synoptique sont également affichées dans la vue de détail de la fonction, dans la colonne Paramètre ; si aucun synoptique n'est lié, seule la boîte de dialogue est affichée.

OK

Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Filtre de recette du Contrôle de Batch

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Filtre de recette du Contrôle de Batch

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'appel d'un synoptique de type Report Viewer, un filtre peut être défini pour les recettes provenant du module Batch Control. Pour filtrer en fonction des recettes :

  1. Ouvrez l'onglet Définition de rapport pour l'appel de synoptique
  2. Accédez à la section Filtre.
  3. Dans l'onglet Filtre spécifique au module, cliquez sur Batch Control: filtre de recette.
  4. La boîte de dialogue de configuration du filtre s'affiche à l'écran.

Paramètre

Description

Utilisation du filtre de recette pour

Sélection du type de recette appliqué au filtre :

  • Recette 'maître'
  • Recette de contrôle

Recette 'maître'

Actif : le filtrage est effectué sur la base des recettes principales.

Recette de contrôle

Active: It is filtered on control recipes.

Note: The attendant master recipes must also be selected. If no master recipe has been selected for the control recipe, th filer cannot find the recipe being searched for in Runtime.

Hint: If the master recipe is not known, filtering of all master recipes with a placeholder is recommended.

Paramètres du filtre de recette

Options du filtre de recette

Appliquer la sélection de la liste de recettes de l'écran 'Contrôle de Batch'

Actif : Dans le Runtime, la première recette sélectionnée sur l'écran de batch depuis lequel est appelé le synoptique Report Viewer est utilisée. Les paramètres individuels de cette boîte de dialogue sont alors indisponibles.

Inactive : Les paramètres de filtre sont modifiés individuellement dans cette boîte de dialogue.

Recette 'maître'

Parameters for the selection of the master recipe. Select from drop-down list:

  • Name with wildcards:
    A name with placeholder can be entered into the input field. Filtering according to this name is carried out.
  • Name from variable:
    The name of the master recipe is defined by a variable in Runtime. A click on button ... opens the dialog for selecting variables.
  • ID from variable:
    The ID of the master recipe is defined by a variable in Runtime. A click on button ... opens the dialog for selecting variables.

Résultat de filtre pour

Sélectionnez l'identifiant devant être sélectionné lors du filtrage de noms en choisissant l'une des options suivantes dans la liste déroulante :

  • Seulement l'ID le plus ancien
  • Seulement l'ID le plus récent

Un rapport peut uniquement être utilisé pour une recette ; il est donc impossible de filtre « toutes les recettes ».

Recette de contrôle

Parameters for the selection of the control recipe. Select from drop-down list:

  • Name with wildcards:
    A name with placeholder can be entered into the input field. Filtering according to this name is carried out.
  • Name from variable:
    The name of the control recipe is defined by a variable in Runtime. A click on button ... opens the dialog for selecting variables.
  • ID from variable:
    The ID of the master recipe is defined by a variable in Runtime. A click on button ... opens the dialog for selecting variables.
    Precisely one recipe can be found if the variable value at the time of execution is a valid ID of a control recipe.
  • Job ID from variable
    Finds control recipes that belong to the master recipes already found and which have the given job ID. Any type of variable can be linked. The value is automatically converted into STRING.
    Remarque : Si la variable ne comporte aucune valeur, aucune recette n'est transmise au module Report Viewer.

Résultat de filtre pour

Sélectionnez l'identifiant devant être sélectionné lors du filtrage de noms ou de tâches en choisissant l'une des options suivantes dans la liste déroulante :

  • Seulement l'ID le plus ancien
  • Seulement l'ID le plus récent

État de recette

Sélectionnez l'état de la recette dans la liste déroulante :

  • Tout
  • Préparée
  • En cours d'exécution
  • Exécutée
  • Terminée avec des erreurs
  • Obsolète

OK

Applique toutes les modifications, crée le filtre et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Note for variable selection using name or ID: For the selection of variables according to name or ID, numerical variables and string variables can be selected respectively. The data types are converted to the respective correct form.


Filtre de temps

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Filtre de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez sur le bouton Nouveau ou Édition dans la section Filtre de temps de l'onglet Définition de rapports pour ouvrir la boîte de dialogue de configuration de filtre de temps. Vous pouvez utiliser autant de filtres de temps que vous le souhaitez.

Le filtrage horaire peut être effectué de deux manières :

  1. En définissant un intervalle de temps dans l'Éditeur
    Des plages de temps fixes sont utilisées. un intervalle de temps est fourni dans l'Éditeur. Il est uniquement possible de filtrer les données en fonction de cet intervalle de temps dans le Runtime. Les autres filtres - tels que le filtrage par nom de variable, groupes d'alarmes/d'événements et classes d'alarmes/d'événements, etc. ne peuvent plus être modifiés dans le Runtime.
  2. Filtre de temps modifiable dans le Runtime
    Des intervalles de temps prédéfinis sont utilisés. Le filtre de temps est défini dans l'Éditeur et peut être modifié dans le Runtime, le cas échéant.

Vous trouverez des informations détaillées concernant la configuration dans le manuel Gestion des alarmes, au chapitre Temps.

Remarque : Si vous définissez l'option Aucun filtre de temps comme type de filtre de temps, toutes les entrées de Runtime depuis le 1.1.2000.

attention Attention

Un synoptique de type Report Viewer peut comporter plusieurs filtres de temps. Dans l'onglet Runtime, si un filtre est défini sur un synoptique de type Report Viewer à l'aide d'un synoptique de type Filtre de temps, seul le premier filtre de temps est remplacé par les paramètres du synoptique de filtre. Les autre types de filtre du filtre de temps sont automatiquement définis sur Aucun filtre de temps.


Boîte de dialogue Nouveau jeu de données

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Boîte de dialogue Nouveau jeu de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour définir un nouveau jeu de données :

  1. Dans la fonction d'appel de synoptique, définissez le fichier RDL sur lequel il repose dans un synoptique Report Viewer.
  2. Dans la section Jeux de données, cliquez sur le bouton Nouveau
  3. La boîte de dialogue de création de jeux de données s'affiche à l'écran.
  4. Sélectionnez l'origine des données que vous voulez attribuer.
  5. Confirmez la sélection en cliquant sur OK.
  6. La boîte de dialogue de configuration du type défini s'affiche à l'écran.

Paramètre

Description

Origine des données

Sélection de l'origine des données :

Généralités

  • Liste d'alarmes
  • Liste chronologique d'événements
  • Valeurs d'archives
  • Valeurs en ligne

Gestionnaire de groupes de recettes

  • RGM recipe data
  • Valeur recette (RGM)

Contrôle de batch

  • Recette 'maître'
  • Recette de contrôle
  • Synoptiques de recettes
  • Cellules de matrice
  • Structure PFC
  • Phases
  • Paramètre
  • Transitions
  • Attributions d'unité
  • Instance d'opération

OK

Confirme la sélection et ouvre la boîte de dialogue de configuration du type.

Annuler

Ferme la boîte de dialogue sans autre configuration.

Aide

Ouvre l'aide en ligne.


Jeux de données dans Report Viewer

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres des différents jeux de données dépendent de l'origine du type de données devant être configuré :

  • Données AML
  • données du CEL
  • Données archive
  • Valeurs en ligne
  • Gestionnaire de groupes de recettes
    • RGM recipe data
    • Valeur recette (RGM)
  • Contrôle de batch

Autres sujets abordés dans ce chapitre

Données AML

données du CEL

Valeurs d'archives

Valeurs en ligne

Données de recettes RGM

Valeur recette (RGM)

Ensembles de données pour le module Batch Control :

Recette 'maître'

Recette de contrôle

Synoptiques de recette

Cellules de matrice

Structure PFC

Phases

Paramètre

Transitions

Attributions d'unité

Instance d'opération


Données AML

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Données AML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Données AML

Configuration du fichier de la liste AML :

Paramètre

Description

Nom du jeu de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Nombre max. :

Nombre maximum de lignes dans le rapport.
Si le rapport comporte un nombre de lignes supérieur au nombre spécifié ici, en raison des critères de filtre, les n premières lignes sont sorties. n correspond à la valeur saisie.

Valeurs autorisées : 1 - 2000

Par défaut : 1000

Filtre de temps

Sélection du filtre de temps dans la liste déroulante. Celle-ci contient le filtre de temps défini dans l'onglet Définition de rapports.

Onglet Général

Paramètres :

  • Filtre de variables
  • Type d'alarmes
  • Origine des données
  • Groupes d'alarmes/d'événements, classes d'alarmes/d'événements et domaines d'alarmes/d'événements

Pour plus de détails, reportez-vous au manuel Gestion des alarmes, chapitre Général.

Onglet Texte

Paramètres du filtre de texte.

Pour plus de détails, reportez-vous au manuel Gestion des alarmes, chapitre Texte.

Onglet État

Données utilisées pour l'évaluation des bits d'état.

Pour plus de détails, reportez-vous au manuel Gestion des alarmes, chapitre État .

Onglet Modélisation d'équipements

sélection des modèles d'équipements.

Pour plus de détails, reportez-vous au manuel Modélisation d'équipements, chapitre Boîte de dialogue Modélisation d'équipements.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


données du CEL

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> données du CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
données du CEL

Configuration des fichiers CEL :

Paramètre

Description

Nom du jeu de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Nombre max. :

Nombre maximum de lignes dans le rapport.
Si le rapport comporte un nombre de lignes supérieur au nombre spécifié ici, en raison des critères de filtre, les n premières lignes sont sorties. n correspond à la valeur saisie.

Valeurs autorisées : 1 - 2000

Par défaut : 1000

Filtre de temps

Sélection du filtre de temps dans la liste déroulante. Celle-ci contient le filtre de temps défini dans l'onglet Définition de rapports.

Onglet Général

Paramètres :

  • Filtre de variables
  • Origine des données
  • Groupes d'alarmes/d'événements, classes d'alarmes/d'événements et domaines d'alarmes/d'événements

Pour plus de détails, reportez-vous au manuel Liste chronologique d'événements, chapitre Général.

Onglet Texte

Paramètres du filtre de texte.

Pour plus de détails, reportez-vous au manuel Gestion des alarmes, chapitre Texte.

Onglet État

Données utilisées pour l'évaluation des bits d'état.

Pour plus de détails, reportez-vous au manuel Gestion des alarmes, chapitre État .

Onglet Modélisation d'équipements

Sélection du modèle d'équipement.

Pour plus de détails, reportez-vous au manuel Modélisation d'équipements, chapitre Boîte de dialogue Modélisation d'équipements.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Valeurs d'archives

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Valeurs d'archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Valeurs d'archives

Paramètre

Description

Nom du jeu de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Nombre max. :

Nombre maximum de lignes dans le rapport.
Si le rapport comporte un nombre de lignes supérieur au nombre spécifié ici, en raison des critères de filtre, les n premières lignes sont sorties. n correspond à la valeur saisie.

Valeurs autorisées : 1 - 2000

Par défaut : 1000

Compactage

Type d'agrégation :

  • Limite la sortie aux n premières valeurs par archive si les critères de filtre renvoient un nombre d'entrées supérieur à ce nombre.
  • Somme : La plage de temps est divisée en n intervalles de temps équidistants, et les valeurs des archives comprises dans ces intervalles sont ajoutées. Les valeurs des états sont associées à une condition OR.
  • Moyenne : La plage de temps est divisée en n intervalles de temps équidistants, et la moyenne des valeurs des archives comprises dans ces intervalles est calculée. Les valeurs des états sont associées à une condition OR.
  • Minimum : La plage de temps est divisée en n intervalles de temps équidistants, et les valeurs des archives comprises dans ces intervalles sont minimisées.
  • Maximum : La plage de temps est divisée en n intervalles de temps équidistants, et les valeurs des archives comprises dans ces intervalles sont maximisées.

Les informations d'horodatage correspondent à l'heure de début de l'intervalle.

Filtre de temps

Sélection du filtre de temps dans la liste déroulante. Celle-ci contient le filtre de temps défini dans l'onglet Définition de rapports.

Archive - Noms de variables

Liste des variables sélectionnées.

Ajouter

Ouvre la boîte de dialogue de sélection de variables multiples.

Supprimer

Supprime la variable sélectionnée de la liste.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Valeurs en ligne

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Valeurs en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Valeurs en ligne

Paramètre

Description

Nom du jeu de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Variables

Liste des variables sélectionnées avec :

  • Nom
  • Identification
  • Adresse
  • Projet

Ajouter

Ouvre la boîte de dialogue de sélection de variables multiples.

Supprimer

Supprime la variable sélectionnée de la liste.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Données de recettes RGM

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Données de recettes RGM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Données de recettes RGM

Configuration des données de recettes RGM :

Paramètre

Description

Nom du jeu de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Filtres recette

Configuration du filtre de recette

Paramètre

Description

Sélection de projet

Sélection du projet correspondant aux données de la recette dans la liste déroulante :

Groupe de recettes

Sélection du groupe de recettes.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (Groupe de recettes statique)
  • De manière dynamique, via une une variable (Nom de groupe de recettes depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Sélection du groupe :

  • Dans la liste déroulante
  • La saisie d'un filtre de texte avec des opérateurs (? pour un caractère et * pour 0 ou un nombre de caractères de votre choix)
  • Via une variable de chaîne : La valeur de texte de la variable est alors interprétée sous forme de nom de groupe ou de texte de filtre avec des opérateurs.

Recette

Sélection de la recette dans le groupe de recettes sélectionné.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (Recette statique)
  • De manière dynamique, via une une variable (Nom de recette depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Sélection du nom :

  • Dans la liste déroulante
  • La saisie d'un filtre de texte avec des opérateurs (? pour un caractère et * pour 0 ou un nombre de caractères de votre choix)
  • Via une variable de chaîne : La valeur de texte de la variable est alors interprétée sous forme de nom de recette ou de texte de filtre avec des opérateurs.

Version de recette statique

Sélection de la version de la recette parmi le groupe de recettes sélectionné.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (Version de recette statique)
  • De manière dynamique, via une une variable (Version de la recette depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Select version (Sélectionnez la version) :

  • Dans la liste déroulante, sélectionnez :
    - Version la plus haute
    - Version la plus basse
    - Toutes
    - Versions de la recette (disponible uniquement si la sélection du groupe et de la recette aboutit à une recette individuelle ; sélection sans opérateurs)
  • Saisie d'une liste de versions de recettes ; les versions sont séparées par des virgules (,), par exemple : 1, 3, 5
  • Une variable de chaîne fournissant une liste de numéros de version sous forme de texte ; les numéros sont séparés par des virgules (,)
  • Une variable numérique avec un numéro de version (1 - 89999) ou les valeurs :
    - 90000 pour Version la plus basse
    - 90001 pour Version la plus haute
    - 90002 pour Toutes les versions

État de recette statique

Sélection de l'état de la recette dans la liste dans le groupe de recettes sélectionné.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (État de recette statique)
  • De manière dynamique, via une une variable (État de la recette depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Sélection de l'état :

  • Sélection dans la liste déroulante :
    - Tous
    -État d'une recette individuelle
  • Liste d'états de recettes ; les versions sont séparées par des virgules (,), par exemple : 1, 2, 7
  • Une variable de chaîne fournissant une liste de numéros d'état sous forme de texte ; les numéros sont séparés par des virgules (,)
  • Une valeur numérique avec un numéro d'état (1 - 4294967294 ; 0xFFFFFFFE) ou la valeur
  • 0 pour Tous

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Combinaisons possibles de la version de recette et de l'état de recette

Filtre de version | Filtre d'état | Résultat
Version la plus basse | Tout | Seules les versions les plus basses de toutes les recettes sont affichées.
Version la plus basse | 1.2 | Seules les versions les plus basses des recettes comportant l'état 1 ou 2 sont affichées.
Version la plus haute | Tout | Seules les versions les plus hautes de toutes les recettes sont affichées.
Version la plus haute | 1.2 | Seules les versions les plus hautes des recettes comportant l'état 1 ou 2 sont affichées.
Tout | Tout | Toutes les versions des recettes sont affichées.
Tout | 1.2 | Toutes les versions des recettes comportant l'état 1 ou 2 sont affichées.
2,3 | Tout | Toutes les versions des recettes 2 et 3 sont affichées, indépendamment de l'état.
2.3 | 1.2 | La version 2 ou 3 de la recette est affichée, si celle-ci comporte l'état 1 ou 2.

Vous pouvez en apprendre davantage sur le fonctionnement du gestionnaire de groupes de recettes au chapitre Gestionnaire de groupes de recettes.

Equipment modeling (Modélisation d'équipements)

Sélection d'un modèle d'équipement.

Sélectionnez le modèle d'équipement souhaité dans la liste, ou créez un nouveau modèle d'équipement.

Remarque : Les modèles d'équipements sont gérés dans le projet global. Un projet global doit être présent ici pour qu'il soit possible de créer un nouveau modèle d'équipement.


Valeur recette (RGM)

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Valeur recette (RGM)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Valeur recette (RGM)

Configuration des valeurs de la recette RGM. Les variables de visibilité sont évaluées pour la sortie de valeurs de recettes. Seules les valeurs de recettes comportant l'état Visible sont affichées dans Report Viewer.

Paramètre

Description

Nom du jeu de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Filtres recette

Configuration du filtre de recette

Paramètre

Description

Sélection de projet

Sélection du projet correspondant aux données de la recette dans la liste déroulante :

Groupe de recettes

Sélection du groupe de recettes.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (Groupe de recettes statique)
  • De manière dynamique, via une une variable (Nom de groupe de recettes depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Sélection du groupe :

  • Dans la liste déroulante
  • La saisie d'un filtre de texte avec des opérateurs (? pour un caractère et * pour 0 ou un nombre de caractères de votre choix)
  • Via une variable de chaîne : La valeur de texte de la variable est alors interprétée sous forme de nom de groupe ou de texte de filtre avec des opérateurs.

Recette

Sélection de la recette dans le groupe de recettes sélectionné.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (Recette statique)
  • De manière dynamique, via une une variable (Nom de recette depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Sélection du nom :

  • Dans la liste déroulante
  • La saisie d'un filtre de texte avec des opérateurs (? pour un caractère et * pour 0 ou un nombre de caractères de votre choix)
  • Via une variable de chaîne : La valeur de texte de la variable est alors interprétée sous forme de nom de recette ou de texte de filtre avec des opérateurs.

Version de recette statique

Sélection de la version de la recette parmi le groupe de recettes sélectionné.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (Version de recette statique)
  • De manière dynamique, via une une variable (Version de la recette depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Select version (Sélectionnez la version) :

  • Dans la liste déroulante, sélectionnez :
    - Version la plus haute
    - Version la plus basse
    - Toutes
    - Versions de la recette (disponible uniquement si la sélection du groupe et de la recette aboutit à une recette individuelle ; sélection sans opérateurs)
  • Saisie d'une liste de versions de recettes ; les versions sont séparées par des virgules (,), par exemple : 1, 3, 5
  • Une variable de chaîne fournissant une liste de numéros de version sous forme de texte ; les numéros sont séparés par des virgules (,)
  • Une variable numérique avec un numéro de version (1 - 89999) ou les valeurs :
    - 90000 pour Version la plus basse
    - 90001 pour Version la plus haute
    - 90002 pour Toutes les versions

État de recette statique

Sélection de l'état de la recette dans la liste dans le groupe de recettes sélectionné.

La sélection peut être effectuée :

  • De manière statique, parmi les entrées prédéfinies (État de recette statique)
  • De manière dynamique, via une une variable (État de la recette depuis une variable)

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Sélection de l'état :

  • Sélection dans la liste déroulante :
    - Tous
    -État d'une recette individuelle
  • Liste d'états de recettes ; les versions sont séparées par des virgules (,), par exemple : 1, 2, 7
  • Une variable de chaîne fournissant une liste de numéros d'état sous forme de texte ; les numéros sont séparés par des virgules (,)
  • Une valeur numérique avec un numéro d'état (1 - 4294967294 ; 0xFFFFFFFE) ou la valeur
  • 0 pour Tous

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Combinaisons possibles de la version de recette et de l'état de recette

Filtre de version | Filtre d'état | Résultat
Version la plus basse | Tout | Seules les versions les plus basses de toutes les recettes sont affichées.
Version la plus basse | 1.2 | Seules les versions les plus basses des recettes comportant l'état 1 ou 2 sont affichées.
Version la plus haute | Tout | Seules les versions les plus hautes de toutes les recettes sont affichées.
Version la plus haute | 1.2 | Seules les versions les plus hautes des recettes comportant l'état 1 ou 2 sont affichées.
Tout | Tout | Toutes les versions des recettes sont affichées.
Tout | 1.2 | Toutes les versions des recettes comportant l'état 1 ou 2 sont affichées.
2,3 | Tout | Toutes les versions des recettes 2 et 3 sont affichées, indépendamment de l'état.
2.3 | 1.2 | La version 2 ou 3 de la recette est affichée, si celle-ci comporte l'état 1 ou 2.

Vous pouvez en apprendre davantage sur le fonctionnement du gestionnaire de groupes de recettes au chapitre Gestionnaire de groupes de recettes.

Equipment modeling (Modélisation d'équipements)

Sélection d'un modèle d'équipement.

Sélectionnez le modèle d'équipement souhaité dans la liste, ou créez un nouveau modèle d'équipement.

Remarque : Les modèles d'équipements sont gérés dans le projet global. Un projet global doit être présent ici pour qu'il soit possible de créer un nouveau modèle d'équipement.


Ensembles de données pour le module Batch Control :

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Ensembles de données pour le module Batch Control :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Ensembles de données pour le module Batch Control :

Les jeux de données suivants sont maintenant disponibles pour le module Batch Control :

  • Recette 'maître'
  • Recette de contrôle
  • Synoptiques de recettes
  • Cellules de matrice
  • Structure PFC
  • Phases
  • Paramètre
  • Transitions
  • Attributions d'unité
  • Instance d'opération


Recette 'maître'

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Recette 'maître'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Recette 'maître'

Configuration d'un jeu de données pour une recette principale dans le module Batch Control.

Paramètre

Description

Nom d'ensemble de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Recette de contrôle

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Recette de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Recette de contrôle

Configuration d'un jeu de données pour une recette de contrôle dans le module Batch Control.

Paramètre

Description

Nom d'ensemble de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Synoptiques de recette

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Synoptiques de recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Synoptiques de recette

Configuration d'un jeu de données pour les synoptiques de recette dans le module Batch Control. Pour les synoptiques, outre les informations détaillées concernant le rapport, il est également possible de spécifier l'affichage dans le Runtime.

Généralités

Paramètre

Description

Nom d'ensemble de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Profondeur du rapport

Configuration du niveau de détail des rapports :

  • Complet : Le rapport contient les données de l'ensemble de la recette, ainsi que de ses opérations.
  • Seulement les niveaux des recettes principales : Le rapport contient uniquement les données de la recette principale.
  • Seulement les niveaux des recettes partielles : Le rapport contient uniquement les données des opérations contenues dans la recette.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Affichage

Paramètre | Description
Vue PFC | Affichage des recettes du module PFC
Couleur du fond | Définition de la couleur de l'arrière-plan. Cliquez sur la couleur pour ouvrir une boîte de dialogue permettant de sélectionner une couleur ou une palette.
Opacité | Réglage de l'opacité à l'aide d'une réglette.
Afficher la grille | Actif : La grille est affichée.
Couleur de la grille | Définition de la couleur de la grille. Cliquez sur la couleur pour ouvrir une boîte de dialogue permettant de sélectionner une couleur ou une palette.
Vue Matrice | Affichage des recettes de matrice.
Couleur du fond | Définition de la couleur de l'arrière-plan. Cliquez sur la couleur pour ouvrir une boîte de dialogue permettant de sélectionner une couleur ou une palette.
Opacité | Réglage de l'opacité à l'aide d'une réglette.
Couleur de la grille | Définition de la couleur de la grille. Cliquez sur la couleur pour ouvrir une boîte de dialogue permettant de sélectionner une couleur ou une palette.
OK | Abandonne les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Cellules de matrice

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Cellules de matrice

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Cellules de matrice

Configuration d'un jeu de données pour la structure d'une recette de matrice dans le module Batch Control.

Paramètre

Description

Nom d'ensemble de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Profondeur du rapport

Configuration du niveau de détail des rapports :

  • Complet : Le rapport contient les données de l'ensemble de la recette, ainsi que de ses opérations.
  • Seulement les niveaux des recettes principales : Le rapport contient uniquement les données de la recette principale.
  • Seulement les niveaux des recettes partielles : Le rapport contient uniquement les données des opérations contenues dans la recette.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Structure PFC

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Structure PFC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Structure PFC

Configuration d'un jeu de données pour la structure d'une recette du module PFC dans le module Batch Control.

Paramètre

Description

Nom d'ensemble de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Profondeur du rapport

Configuration du niveau de détail des rapports :

  • Complet : Le rapport contient les données de l'ensemble de la recette, ainsi que de ses opérations.
  • Seulement les niveaux des recettes principales : Le rapport contient uniquement les données de la recette principale.
  • Seulement les niveaux des recettes partielles : Le rapport contient uniquement les données des opérations contenues dans la recette.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Phases

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Phases

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Phases

Configuration d'un jeu de données pour les phases dans le module Batch Control.

Paramètre

Description

Nom d'ensemble de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Profondeur du rapport

Configuration du niveau de détail des rapports :

  • Complet : Le rapport contient les données de l'ensemble de la recette, ainsi que de ses opérations.
  • Seulement les niveaux des recettes principales : Le rapport contient uniquement les données de la recette principale.
  • Seulement les niveaux des recettes partielles : Le rapport contient uniquement les données des opérations contenues dans la recette.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Paramètre

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Paramètre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Paramètre

Configuration d'un jeu de données pour les paramètres dans le module Batch Control.

Paramètre

Description

Nom d'ensemble de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Profondeur du rapport

Configuration du niveau de détail des rapports :

  • Complet : Le rapport contient les données de l'ensemble de la recette, ainsi que de ses opérations.
  • Seulement les niveaux des recettes principales : Le rapport contient uniquement les données de la recette principale.
  • Seulement les niveaux des recettes partielles : Le rapport contient uniquement les données des opérations contenues dans la recette.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Transitions

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Transitions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Transitions

Configuration d'un jeu de données pour les transitions dans le module Batch Control.

Paramètre

Description

Nom d'ensemble de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Profondeur du rapport

Configuration du niveau de détail des rapports :

  • Complet : Le rapport contient les données de l'ensemble de la recette, ainsi que de ses opérations.
  • Seulement les niveaux des recettes principales : Le rapport contient uniquement les données de la recette principale.
  • Seulement les niveaux des recettes partielles : Le rapport contient uniquement les données des opérations contenues dans la recette.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Attributions d'unité

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Attributions d'unité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Attributions d'unité

Configuration d'un jeu de données pour l'attribution d'unités dans le module Batch Control.

Paramètre

Description

Nom d'ensemble de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

Configuration du niveau de détail des rapports :

  • Complet : Le rapport contient les données de l'ensemble de la recette, ainsi que de ses opérations.
  • Seulement les niveaux des recettes principales : Le rapport contient uniquement les données de la recette principale.
  • Seulement les niveaux des recettes partielles : Le rapport contient uniquement les données des opérations contenues dans la recette.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Instance d'opération

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Appel d'un synoptique Report Viewer -> Jeux de données dans Report Viewer -> Instance d'opération

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Instance d'opération

Configuration d'un jeu de données pour les instances de fonctionnement dans le module Batch Control.

Paramètre

Description

Nom d'ensemble de données

Nom du jeu de données :

  • ne doit pas être vide
  • Doit correspondre exactement au nom du jeu de données dans le fichier RDL
  • Il ne doit contenir ni espaces, ni caractères spéciaux

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Exporter ou imprimer le rapport de la fonction

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Exporter ou imprimer le rapport de la fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec la fonction Outil de visualisation de rapport : exporter / imprimer, les rapports peuvent être transférés dans le Runtime, vers un thread spécifique, sous forme de fichier PDF ou d'impression en ligne. Le rendu du fichier étant asynchrone, il garantit la continuité de l'exécution du Runtime durant le rendu. L'exécution de fonctions à faible priorité est toutefois bloquée jusqu'à ce que le module Report Viewer ait terminé le rendu. La sortie sous forme de fichier PDF ou d'impression peut également être effectuée au moyen d'éléments de contrôle sur le synoptique ; l'exécution du Runtime peut alors être limitée jusqu'à la fin de la sortie.

Outil de visualisation de rapport : exporter / imprimer

Permet de générer des rapports durant le Runtime, au format PDF ou sous forme d'impression en ligne dans un fil spécifique.

Plus de détails dans l'aide en ligne.

Pour créer la fonction :

  1. Sélectionnez la commande Nouvelle fonction... dans le nœud Fonctions.
  2. La boîte de dialogue de sélection de fonctions s'ouvre.

  3. Accédez au nœud Report Generator / Report Viewer
  4. Sélectionnez la fonction Report Viewer : exporter / imprimer
  5. La boîte de dialogue de configuration s'affiche à l'écran.
  6. Informations détaillées concernant la configuration à l'aide de la boîte de dialogue :
    • Sous forme de fichier PDF : voir Configuration de la sortie au format PDF
    • Sur imprimante : voir Configuration de la sortie sur imprimante
    • Définition de rapports : voir les chapitres Définition de rapports et Appel d'un synoptique de type Report Viewer

Autres sujets abordés dans ce chapitre

Configuration de la sortie au format PDF

Configuration de la sortie sur imprimante


Configuration de la sortie au format PDF

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Exporter ou imprimer le rapport de la fonction -> Configuration de la sortie au format PDF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour sortir le rapport au format PDF :

  1. Pour l'option Sortie rapport, sélectionnez le paramètre Sortie en PDF.
  2. Définissez un nom de fichier fixe ou sélectionnez une variable qui définit le nom du fichier dans le Runtime.
  3. Décidez si les données existantes doivent être remplacées.
  4. Confirmez votre configuration en cliquant sur le bouton OK.

Paramètre

Description

Sortir le rapport

Sélection du format de sortie du rapport dans une liste déroulante :

  • Sortie en PDF : Crée un fichier PDF conformément à la configuration
  • Sortie sur imprimante : Sort le rapport sur l'imprimante définie.

Enregistrer le PDF sous

Sélection de l'attribution du nom de fichier dans une liste déroulante :

  • Nom de fichier statique : Saisissez le nom dans le champ de texte, puis sélectionnez-le dans l'Explorateur de fichiers après avoir cliqué sur le bouton ....
  • Nom de fichier de la variable : Cliquez sur le bouton ... pour ouvrir la boîte de dialogue et sélectionner une variable qui transmet le nom de fichier associé au rapport dans le Runtime.

Composition du nom de fichier statique :

Pour les noms de fichier statiques, les composants du nom sont compilés à l'aide d'opérateurs :

  • <Nom du projet> : Nom du projet
  • <DateHeure> : Date et heure au format correspondant aux paramètres du système
  • <Date> : Date correspondant aux paramètres du système
  • <Heure >: Heure correspondant aux paramètres du système

Les opérateurs peuvent également être insérés dans le champ de texte en cliquant avec le bouton droit sur le champ de texte au-dessus du menu contextuel, à la position actuelle du curseur.

Le nom du fichier peut être fourni sous forme de chemin absolu ou de chemin relatif (par rapport au dossier d'exportation du projet).

Emplacement d'enregistrement des fichiers PDF :

Dans le dossier défini pour l'exportation.
Chemin standard : %PUBLIC%\Documents\zenon_Projects\[PROJECTNAME]>\Export

Écraser le fichier existant

Actif : Les données existantes à l'emplacement de sauvegarde sont remplacées.

OK

Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Configuration de la sortie sur imprimante

Manuels -> Création de rapports -> Module de visualisation de rapports -> Configuration dans l'Éditeur -> Exporter ou imprimer le rapport de la fonction -> Configuration de la sortie sur imprimante

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer le rapport pour une imprimante :

  1. Pour l'option Sortie rapport, sélectionnez le paramètre Sortie vers imprimante.
  2. Confirmez votre configuration en cliquant sur le bouton OK.

Paramètre

Description

Sortir le rapport

Sélection du format de sortie du rapport dans une liste déroulante :

  • Sortie en PDF : Crée un fichier PDF conformément à la configuration
  • Sortie sur imprimante : Sort le rapport sur l'imprimante définie.

OK

Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Fichiers de définition de rapports

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fichiers de définition de rapport (RDL) doivent être des fichiers de type 2 pour pouvoir être utilisés dans l'outil Report Viewer de zenon. Les fichiers RDL de type 3 peuvent être affichés ; toutefois, les fonctionnalités qui ne sont pas présentes dans la version 2 sont affichées sous forme d'espace vide.

Pour créer vos propres jeux de données ou modifier des jeux de données existants, vous devez disposer du logiciel adéquat pour exécuter le rendu des fichiers RDL. Vous disposez pour cela des options suivantes :

  • SQL Server Data Tool (SSDT):

    Fourni par COPA-DATA à partir de zenon 7.10, et installé lors de l'installation de zenon.

    SSDT comprend Microsoft Visual Studio 2010 avec des types de projets supplémentaires, disponibles uniquement pour SQL Server Business Intelligence. Il s'agit de l'environnement principal pour les projets de services professionnels, tels que la création de rapports. Les gabarits nécessaires à la création d'objets requis par la solution Business Intelligence sont fournis, ainsi qu'un outil de création et des outils et assistants de traitement des objets.

    Lors de l'appel d'un fichier RDL aux fins de l'édition dans SSDT, une fenêtre de sélection permettant de configurer le paramètre d'environnement de Visual Studio 2010 peut apparaître :

    Sélectionnez les options Paramètres Business Intelligence, puis cliquez sur le bouton Démarrer Visual Studio.

  • Microsoft Report Builder 2.0 :

    Disponible sur la page de téléchargement de Microsoft. Ce programme fournit un assistant pour la configuration de jeux de données, et est recommandé pour les utilisateurs ne possédant aucune connaissance particulière de la configuration de fichiers RDL.
    Attention : lisez les conditions d'accord de licence avant de télécharger le logiciel.
    Les utilisateurs de l'outil zenon Analyzer possèdent déjà Report Builder 3 et la licence SQL requise pour Report Builder. Toutefois, Report Builder 2 doit être installé et utilisé pour l'édition des jeux de données dans Report Viewer.

  • Logiciels d'autres fournisseurs :

    Des logiciels provenant d'autres fournisseurs peuvent également être utilisés pour éditer les fichiers de définition de rapport.

Si MS Report Builder et Microsoft SQL Server Data Tools sont tous deux installés, vous pouvez sélectionner l'outil de votre choix dans une boîte de dialogue.

attention Attention

Remarque :

  • Les fichiers RDL doivent toujours être créés et édités avec le même outil.
  • Les versions 2 et 3 de RDL ne doivent pas être mélangées.
  • Si un fichier RDL a été enregistré avec SSDT, il ne peut plus être édité avec MS Report Builder 2.0.

Source de données

Les propriétés de la source de données (supérieure aux jeux de données) ne doivent pas être modifiées.

Les paramètres standard sont les suivants :

Paramètres | Description
Nom | DataSource1
Connexion | Utiliser une connexion incorporée dans mon rapport
Sélectionnez un type de connexion | XML

Édition de fichiers RDL dans les projets de développement distribué

Remarque : lors de l'édition de fichiers RDL dans un projet de développement distribué, les fichiers ne sont pas automatiquement configurés avec l'état Modifier lorsqu'ils sont ouverts.

  • Il est possible d'ouvrir des fichiers RDL avec SSDT ou MS Report Builder, de les modifier et d'enregistrer les modifications localement, sans configurer le fichier sur Modifier. Ces modifications peuvent toutefois être acceptées sur le serveur et sont donc à nouveau perdues en cas de synchronisation ou d'utilisation de l'état Modifier. Dans ce cas, la version la plus ancienne sur le serveur est automatiquement adoptée.
  • Il est également possible d'ouvrir un fichier RDL configuré avec l'état Modifier sur un autre ordinateur, de l'éditer et d'enregistrer les modifications localement. Le fichier n'est pas protégé en écriture lors de la configuration de l'état Modifier. Ces modifications locales sont également à nouveau remplacées lors de la synchronisation.

Pour enregistrer durablement les modifications, le fichier RDL doit être configuré avec l'état Modifier avant l'ouverture.

attention Attention

Les fichiers RDL peuvent uniquement être renommés dans l'Éditeur de zenon.

Si les fichiers RDL ne sont pas renommés dans SSDT ou dans MS Report Builder, le nouveau nom n'est pas adopté dans les projets de développement distribué et les modifications sont perdues.

Autres sujets abordés dans ce chapitre

Default.rdl

Création et édition de fichiers RDL avec MS Report Builder 2.0

Création et édition de fichiers RDL avec Microsoft Business Intelligence Development Studio

Définition des jeux de données


Default.rdl

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Default.rdl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Default.rdl est appelé si un nouveau fichier RDL est créé dans l'Éditeur. Des jeux de données prédéfinis sont déjà disponibles dans le fichier default.rdl fourni, et peuvent être associés à des données dans le Runtime :

  • Généralités
    • Liste d'alarmes
    • Liste chronologique d'événements
    • Valeurs d'archives
    • Valeurs en ligne
  • Gestionnaire de groupes de recettes
    • Données de recette
    • Valeurs de recette
  • Contrôle de batch
    • Recette 'maître'
    • Recette de contrôle
    • Synoptiques de recettes
    • Phases
    • Paramètre
    • Transitions
    • Cellules de matrice
    • Attributions d'unité
    • Éléments PFC
    • Instance d'opération

Si un nombre plus élevé de jeux de données est requis, ceux-ci peuvent être créés avec le nom de votre choix. Si un nombre moins élevé de jeux de données est requis, vous devez les supprimer dans le fichier RDL. Les noms des jeux de données doivent correspondre aux noms des jeux de données dans la fonction d'appel de synoptique.

Remarque : Le schéma de table correspondant aux catégories de données est défini et ne doit pas être modifié.


Création et édition de fichiers RDL avec MS Report Builder 2.0

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Création et édition de fichiers RDL avec MS Report Builder 2.0

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

MS Report Builder est disponible en téléchargement gratuit sur la page de téléchargement de Microsoft.
Attention : lisez les conditions d'accord de licence avant de télécharger le logiciel.
Les utilisateurs de l'outil zenon Analyzer possèdent déjà Report Builder 3 et la licence SQL requise pour Report Builder. Toutefois, Report Builder 2 doit être installé et utilisé pour l'édition des jeux de données dans Report Viewer.

Installez Report Builder et assurez-vous qu'il est correctement lié à zenon.

Création de fichiers RDL

Pour créer un fichier RDL :

  1. Dans l'Éditeur de zenon, sélectionnez le nœud Fichier/Report Viewer du menu contextuel ou la commande New report definition file (Nouveau fichier de définition de rapport) dans la barre d'outils. Un nouveau fichier de définition de rapport est créé sur la base d'un fichier par défaut.
  2. Démarrez l'application Report Builder en double-cliquant sur le fichier.

  3. Adaptez les jeux de données à la configuration de la fonction d'appel de synoptique en procédant comme suit :
    • Renommer : les noms des jeux de données doivent être identiques aux noms des jeux de données dans l'appel de synoptique
    • Supprimer : les jeux de données qui ne comportent aucun lien vers la fonction d'appel de synoptique, et ne comportent donc pas de données, peuvent provoquer l'affichage d'un message d'erreur dans le Runtime.
    • Créer nouveau : les jeux de données configurés dans la fonction d'appel de synoptique, mais ne comportent aucune entrée correspondante dans le fichier RDL, entraînent l'affichage d'un message d'erreur dans le Runtime.
  4. Dans le menu Insérer, sélectionnez la commande Table -> Table Wizard (Assistant Table).
  5. L'assistant se lance.
  6. Sélectionnez le jeu de données de votre choix.

  7. Positionnez les champs à votre convenance.

  8. Cliquez sur Suivant pour valider la mise en forme.

  9. Cliquez sur Suivant et sélectionnez le style d'affichage.

  10. Cliquez sur “Terminer”.
    Le jeu de données est affiché avec la table terminée.

  11. Supprimez l'exemple de table.
  12. Positionnez la nouvelle table à l'emplacement souhaité.
  13. Adaptez l'en-tête selon le besoin.

  14. Répéter la procédure pour tous les jeux de données que vous souhaitez configurer.
  15. Enregistrez le fichier RDL.

Résultat dans le Runtime

Édition de fichiers RDL

Pour éditer un fichier RDL, double-cliquez sur le fichier ou sélectionnez la commande Open report definition file (Ouvrir un fichier de définition de rapport). Les procédés de création et d'édition sont sensiblement identiques.

Autres sujets abordés dans ce chapitre

Gestion des jeux de données


Gestion des jeux de données

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Création et édition de fichiers RDL avec MS Report Builder 2.0 -> Gestion des jeux de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez effectuer les opérations suivantes avec les jeux de données dans le module Report Builder (Générateur de rapports) :

  • Renommer
  • supprimer
  • Nouveau

Le numéro et le nom du jeu de données d'un fichier RDL doivent toujours correspondre à ceux du jeu de données défini dans l'appel de synoptique.

attention Attention

Remarque :

  • La source de données ne doit pas être éditée.
  • La source de données ne doit pas être éditée.

Renommer un jeu de données

Pour renommer un jeu de données :

  1. Cliquez avec le bouton droit sur le jeu de données.
  2. Sélectionnez la commande Propriétés dans le menu contextuel.
  3. La boîte de dialogue de configuration du jeu de données s'affiche.
  4. Spécifiez le nom de votre choix dans la propriété Nom.

    Remarque : le nom doit correspondre au nom défini dans l'appel de synoptique. Il ne doit contenir ni espaces, ni caractères spéciaux.

  5. Ne sélectionnez pas les autres paramètres.
  6. Fermez la configuration en cliquant sur OK

Suppression du jeu de données

Pour supprimer un jeu de données :

  1. Sélectionnez le jeu de données à supprimer dans la fenêtre du rapport de données, sous la source des données.

  2. Sélectionnez la commande Supprimer dans le menu contextuel.
  3. Le jeu de données est supprimé après affichage d'une demande de confirmation.

Création d'un nouveau jeu de données

Pour créer un nouveau jeu de données :

  1. Cliquez avec le bouton droit sur la source de données.
  2. Sélectionnez Add dataset (Ajouter un jeu de données) dans le menu contextuel.

  3. Un nouveau jeu de données est créé, et la fenêtre des propriétés est ouverte.

  4. Renommez-le à votre convenance.

    Remarque : le nom doit correspondre au nom défini dans l'appel de synoptique. Il ne doit contenir ni espaces, ni caractères spéciaux.

  5. Insérez la requête adéquate ; trois méthodes s'offrent à vous :
    1. Query Designer (Outil de création de requêtes) : ouvre la boîte de dialogue autorisant la saisie manuelle de la requête.
    2. Importer : importation depuis un fichier RDL existant.
    3. Copie manuelle depuis un jeu de données existant : ouvrez d'abord le jeu de données source correspondant, copiez le contenu de la requête, puis collez le contenu de la requête dans le champ Requête du nouveau jeu de données
  6. Fermez la configuration en cliquant sur OK

Importation d'une requête

Pour importer une requête depuis un fichier RDL existant :

  1. Cliquez sur l'option Importer dans la boîte de dialogue de propriétés du jeu de données.
  2. L'assistant de sélection de fichiers s'ouvre.
  3. Recherchez et ouvrez le fichier RDL souhaité.
  4. La boîte de dialogue d'importation.

  5. Sélectionnez le jeu de données de votre choix.

  6. Cliquez sur Importer.
  7. La requête du jeu de données source est collée dans le jeu de données actuellement ouvert.


Création et édition de fichiers RDL avec Microsoft Business Intelligence Development Studio

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Création et édition de fichiers RDL avec Microsoft Business Intelligence Development Studio

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'application Microsoft Business Intelligence Development Studio est fournie et installée avec zenon.

La création et l'édition de fichiers RDL avec Microsoft Business Intelligence Development Studio se déroule sensiblement de la même manière qu'avec l'outil Report Builder 2.0.

Les principales différences sont les suivantes :

  • Pour éditer le rapport, vous devez d'abord créer un nouveau projet de type Projet Report Server - Solution dans Microsoft Business Intelligence Development Studio.
    Ils sont créés automatiquement lorsque vous ouvrez le fichier RDL en double-cliquant dessus. Lors de la fermeture de l'application Business Intelligence Development Studio, vous pouvez enregistrer le projet et la solution dans le dossier temporaire. Dans ce cas, le programme ne vous invitera plus à le faire.
    Les jeux de données et le rapport peuvent maintenant être modifiés dans Microsoft Business Intelligence Development Studio.
  • Microsoft Business Intelligence Development Studio ne comporte aucun assistant Table ; les tables des jeux de données doivent être configurées manuellement.
  • La version n'est pas vérifiée :
    De cette manière, les fonctions de la version 3 peuvent être ajoutées aux fichiers RDL de la version 2. Elles ne sont toutefois pas affichées dans le Runtime.
  • Dans Microsoft Business Intelligence Development Studio, les jeux de données sont séparés des sources de données. La source de données ne doit pas être modifiée.

Instruction

Pour obtenir des instructions complètes concernant l'utilisation de Microsoft Business Intelligence Development Studio, reportez-vous au site Web de Microsoft, disponible dans plusieurs langues :

Langue | Lien
Anglais : | http://msdn.microsoft.com/en-en/library/ms173767.aspx
Allemand : | http://msdn.microsoft.com/de-de/library/ms173767.aspx
Français : | http://msdn.microsoft.com/fr-fr/library/ms173767.aspx
Italien : | http://msdn.microsoft.com/it-it/library/ms173767.aspx

Suppression de jeux de données

Les jeux de données inutilisés doivent être supprimés dans Microsoft Business Intelligence Development Studio, car ils peuvent provoquer des erreurs dans le Runtime.

Pour supprimer les jeux de données :

  1. Cliquez sur Afficher.
  2. Sélectionnez Données de rapport
  3. Accédez à Jeux de données.
  4. Delete all unused datasets (Supprimer les jeux de données inutilisés)

Affichage de la fenêtre Jeux de données

Si la fenêtre Jeux de données n'est pas affichée, elle peut être ouverte comme suit :

  • Sélectionnez le rapport
  • Cliquez sur le menu Vue dans le menu principal
  • Faites défiler la liste jusqu'à la fin.
  • Sélectionnez Données de rapport.
    Remarque : Si l'élément de menu n'est pas affiché, aucun rapport n'a été sélectionné.

Il est également possible d'appuyer sur la combinaison de touches Ctrl+Alt+D après avoir sélectionné le rapport.


Définition des jeux de données

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les colonnes des différents types de jeux de données sont définies.

Définition des jeux de données pour les éléments suivants :

  • AML
  • CEL
  • ARCHIVE
  • EN LIGNE
  • Gestionnaire de groupes de recettes
    • RGM recipe data
    • Valeur recette (RGM)
  • Contrôle de batch
    • Recette 'maître'
    • Recette de contrôle
    • Phases
    • Paramètre

Remarque : si des rapports de zenon Analyzer doivent être réutilisés dans Report Viewer, les considérations suivantes s'appliquent :

  • La langue des textes compatibles avec la fonction de changement de langue a déjà été modifiée
  • Les valeurs compatibles avec la fonction de changement d'unité sont indiquées en unités de conversion.
  • Les informations d'horodatage correspondent à l'heure locale de l'ordinateur d'exécution

Autres sujets abordés dans ce chapitre

AML

Liste des événements (CEL)

Archive

Online

Données de recettes RGM

Valeur recette (RGM)

Recette 'maître'

Recette de contrôle

Synoptiques de recettes

Cellules de matrice

Structure PFC

Phases

Paramètre

Transitions

Attributions d'unité

Instance d'opération


AML

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> AML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
PROJECT | STRING | Nom du projet.
RESSOURCESLABEL | STRING | identification ressources
VARIABLE | STRING | Nom de la variable.
IDENTIFICATION | STRING | Identification de la variable.
TEXTE | STRING | Texte saisi.
TIMECOMES | DATE | Heure d'apparition de l'alarme.
TIMEGOES | DATE | Heure.
TIMEACKN | DATE | Heure d'acquittement.
TIMEREACT | DATE | Heure de réactivation.
COUNTREACT | INTEGER | Nombre de réactivations.
STATEREACT | INTEGER | État de réactivation.
STATUSFLAGS | INTEGER | Bits d'état.
VALUE | Flottant | Valeur de les variables
UNIT | STRING | Unité.
COMMENT | STRING | Commentaires définis par l'utilisateur.
CLASS | STRING | Classe d'alarmes/d'événements
GROUP | STRING | Groupe d'alarmes/d'événements ...
USER | STRING | Nom de l’utilisateur.
COMPUTER | STRING | Nom de l'ordinateur.


Liste des événements (CEL)

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Liste des événements (CEL)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
PROJECT | STRING | Nom du projet.
RESSOURCESLABEL | STRING | identification ressources
VARIABLE | STRING | Nom de la variable.
IDENTIFICATION | STRING | Identification de la variable.
TEXTE | STRING | Texte saisi.
TIMECOMES | STRING | Heure d'apparition de l'événement.
STATUSFLAGS | INTEGER | Bits d'état.
VALUE | Flottant | Valeur des variables.
UNIT | STRING | Unité.
COMMENT | STRING | Commentaires définis par l'utilisateur.
CLASS | STRING | Classe d'alarmes/d'événements
GROUP | STRING | Groupe d'alarmes/d'événements ...
USER | STRING | Nom de l’utilisateur.
COMPUTER | STRING | Nom de l'ordinateur.


Archive

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
PROJECT | STRING | Nom du projet.
ARCHIVE | STRING | Nom de l'archive.
RESSOURCESLABEL | STRING | identification ressources
VARIABLE | STRING | Nom de la variable.
IDENTIFICATION | STRING | Identification de la variable.
CHANNELSPEC | STRING | Variable mentionnant le type de réduction de données.
TIMESTAMP | STRING | Informations d'horodatage.
STATUSFLAGS | INTEGER | Bits d'état.
VALUE | Flottant | Valeur de les variables
UNIT | STRING | Unité.
STRVALUE | STRING | Valeur sous forme de chaîne.


Online

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Online

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
PROJECT | STRING | Nom du projet.
RESSOURCESLABEL | STRING | identification ressources
VARIABLE | STRING | Nom de la variable.
IDENTIFICATION | STRING | Identification de la variable.
TIMESTAMP | STRING | Informations d'horodatage.
STATUSFLAGS | INTEGER | Bits d'état.
VALUE | Flottant | Valeur des variables.
UNIT | STRING | Unité.
STRVALUE | STRING | Valeur sous forme de chaîne.


Données de recettes RGM

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Données de recettes RGM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
PROJECTNAME | STRING | Nom du projet.
GROUPNAME | STRING | Nom du groupe de recettes.
NAME | STRING | Nom de recette.
NUMBER | UINT | Numéro de recette.
STATUSNUMBER | UINT | Numéro d'état
STATUSTEXT | STRING | Texte d'état.
VERSION | UINT | Version.
COMMENT1 | STRING | Commentaire 1
COMMENT2 | STRING | Commentaire 2
COMMENT3 | STRING | Commentaire 3
COMMENT4 | STRING | Commentaire 4
COMMENT5 | STRING | Commentaire 5
COMMENT6 | STRING | Commentaire 6
COMMENT7 | STRING | Commentaire 7
COMMENT8 | STRING | Commentaire 8
USERLEVEL | UINT | Autorisation utilisateur.
CHANGETIME | DATETIME | Heure de la modification.
CHANGEUSER | STRING | Utilisateur connecté lors de la dernière modification.


Valeur recette (RGM)

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Valeur recette (RGM)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
PROJECTNAME | STRING | Nom du projet.
GROUPNAME | STRING | Nom du groupe de recettes.
NAME | STRING | Nom de recette.
VERSION | UINT | Version.
RESSOURCESLABEL | STRING | identification ressources
VARIABLENAME | STRING | Nom de la variable.
VARIABLETAG | STRING | Identification de variable.
SYMBOLVALUE | STRING | Adresse symbolique pour la variable.
VALUE | STRING | Valeur.
UNIT | STRING | Unité.
MIN | DOUBLEWORD | Valeur minimale.
MAX | DOUBELWORD | Valeur maximale.
ACTION | STRING | Action de recette RGM à exécuter.
FILTRE | STRING | Filtre de variable de recette.


Recette 'maître'

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Recette 'maître'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
MrId | INTEGER | Identifiant de la recette.
MrName | STRING | Nom de la recette.
MrDescription | STRING | Description de la recette.
MrStatus | STRING | État de la recette.
RecipeType | STRING | Type de recette.
ReeStatus | STRING | État de la REE.
ReeModus | STRING | Mode de la REE.
ApprovalTime | DATE | Heure d'approbation de la recette.
ApprovalUserID | STRING | Identifiant de l'utilisateur ayant approuvé la recette principale.
ApprovalUserName | STRING | Nom de l'utilisateur ayant approuvé la recette principale.
OutdatedTime | DATE | Heure à laquelle la recette a été définie comme « obsolète ».
OutdatedUserID | STRING | Identifiant de l'utilisateur ayant défini la recette comme « obsolète ».
OutdatedUserName | STRING | Nom de l'utilisateur ayant défini la recette comme « obsolète ».


Recette de contrôle

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Recette de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
CrId | INTEGER | Identifiant de la recette de contrôle.
CrName | STRING | Nom de la recette de contrôle.
CrDescription | STRING | Description de la recette de contrôle.
CrStatus | STRING | État de la recette de contrôle.
MrId | INTEGER | Identifiant de la recette principale.
MrName | STRING | Nom de la recette principale.
MrDescription | STRING | Description de la recette principale.
MrStatus | STRING | État de la recette principale.
RecipeType | STRING | Type de recette.
ReeStatus | STRING | État de la REE.
ReeModus | STRING | Mode de la REE.
CrJobID | STRING | Identifiant de la tâche de la recette de contrôle.
ApprovalTime | DATE | Heure d'approbation de la recette principale.
ApprovalUserID | STRING | Identifiant de l'utilisateur ayant approuvé la recette principale.
ApprovalUserName | STRING | Nom de l'utilisateur ayant approuvé la recette principale.
CreationTime | DATE | Heure de création de la recette de contrôle.
CreationUserID | STRING | Identifiant de l'utilisateur ayant créé la recette principale.
CreationUserName | STRING | Nom de l'utilisateur ayant créé la recette principale.
StartingTime | DATE | Heure de démarrage de la recette.
StartingUserID | STRING | Identifiant de l'utilisateur ayant démarré la recette principale.
StartingUserName | STRING | Nom de l'utilisateur ayant démarré la recette.
OutdatedTime | DATE | Heure à laquelle la recette principale a été définie comme « obsolète ».
OutdatedUserID | STRING | Identifiant de l'utilisateur ayant défini la recette principale comme « obsolète ».
OutdatedUserName | STRING | Nom de l'utilisateur ayant défini la recette principale comme « obsolète ».


Synoptiques de recettes

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Synoptiques de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
Nom | STRING | Nom de la recette.
Description | STRING | Description de la recette.
RecipePart | STRING | Recette principale, recette de contrôle ou instance de fonctionnement.
OperationTemplateID | INTEGER | Identifiant du modèle de fonctionnement.
Type | STRING | Type de recette : Recette du module PFC ou recette de matrice.
ImagePNG | STRING | Capture d'écran de la recette Doit être créée à cette fin.

Création d'un synoptique

  1. Insérez un nouveau synoptique dans Report Builder.
  2. Définissez la source sur Base de données.
  3. Pour la propriété Utiliser ce champ :, saisissez ImagePNG.
  4. Pour la propriété Type MIME : image/png.
  5. Insérez le synoptique à l'aide de l'option Insérer ou en effectuant un glisser-déposer de la recette dans le rapport.
  6. Dans la propriété Taille, définissez la taille sur Taille initiale.
  7. Si nécessaire, modifiez la propriété Marge intérieure pour définir la distance entre le synoptique et les bordures des cellules.


Cellules de matrice

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Cellules de matrice

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
StepNr | INTEGER | Numéro de l'étape.
StepDescr | STRING | Description de l'étape.
ObjectID | INTEGER | Identifiant de l'objet dans la recette.
ObjectName | STRING | Nom de l'objet dans la recette.
ObjectDescr | STRING | Description de l'objet dans la recette.
Type d'objet | STRING | Type de l'objet dans la recette. (phase, transition, etc.)
ObjectUnit | STRING | Unité de l'objet.
OperationTemplateID | INTEGER | Identifiant du modèle de fonctionnement. 0 = recette principale.
OperationTemplateName | STRING | Nom du modèle de fonctionnement. Vide = recette principale.


Structure PFC

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Structure PFC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
ChartRow | INTEGER | Ligne dans la recette.
ChartCol | INTEGER | Colonne dans la recette.
ObjectID | INTEGER | Identifiant de l'objet dans la recette.
ObjectName | STRING | Nom de l'objet dans la recette.
ObjectDescr | STRING | Description de l'objet dans la recette.
Type d'objet | STRING | Type de l'objet dans la recette. (phase, transition, etc.)
ObjectUnit | STRING | Unité de l'objet.
PrevIds | STRING | Identifiants des objets précédents.
NextIds | STRING | Identifiants des objets suivants.
PrevNames | STRING | Noms des objets précédents.
NextNames | STRING | Noms des objets suivants.
PrevTypes | STRING | Types d'objets précédents.
NextTypes | STRING | Types d'objets suivants.
CellsSpan | STRING | Nombre de colonnes utilisées (largeur de l'objet).
OperationTemplateID | INTEGER | Identifiant du modèle de fonctionnement. 0 = recette principale.
OperationTemplateName | STRING | Nom du modèle de fonctionnement. Vide = recette principale.


Phases

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Phases

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
ObjectID | INTEGER | Identifiant de l'objet dans la recette.
ChartRow | INTEGER | Lignes dans lesquelles la phase se trouve dans la recette.
ChartCol | INTEGER | Colonnes dans lesquelles la phase se trouve dans la recette.
PhaseName | STRING | Nom de la phase.
PhaseDescr | STRING | Description de la phase.
UnitID | INTEGER | Identifiant de l'unité.
UnitName | STRING | Nom de l'unité.
UnitDescr | STRING | Description de l'unité.
OperationInstID | INTEGER | Identifiant de l'instance d'opération dans laquelle la phase se trouve dans la recette.
OperationInstName | STRING | Nom de l'instance d'opération dans laquelle la phase se trouve dans la recette.
TOAllocation | STRING | Attente attribution d'unité.
TOInterlocking | STRING | Délai d'attente du verrouillage.
MinExecTime | STRING | Durée minimum d'exécution.
ExplanationMinExecTimeNeeded | BOOL | Justification de la modification de la durée minimum d'exécution requise.
MaxExecTime | STRING | Durée maximum d'exécution
TOFollowingCond | STRING | Délai d'attente de la condition suivante.
CondInterlocking | STRING | Condition de verrouillage.
CondDone | STRING | Condition de fin.
CondFailure | STRING | Condition de perte de communication.
CondConnReconnect | STRING | Condition de rétablissement des communications.
CondPausing | STRING | Condition de pause.
CondHolding | STRING | Condition de mise en attente.
CondStopping | STRING | Condition d'arrêt.
CondAborting | STRING | Condition d'abandon.
CondRestarting | STRING | Condition de redémarrage.
CondEscaping | STRING | Condition de sortie (échappement).


Paramètre

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Paramètre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
TagName | STRING | Nom de la balise.
TagDescr | STRING | Description de la balise.
TagType | STRING | Type de balise.
TagValue | STRING | Nom de la balise.
MeasUnit | STRING | Unité
ValueMin | STRING | Valeur minimale.
ValueMax | STRING | Valeur maximale.
EditableInRecipe | BOOL | États, s'ils sont modifiables dans la recette.
EditableInCr | BOOL | États, s'ils sont modifiables dans la recette de contrôle.
ExplanationNeeded | BOOL | États, si une justification de modification est nécessaire.
TagModified | BOOL | États, si un paramètre a été modifié.
Variable | STRING | Nom de la balise.
DataType | STRING | Type de donnée pour la variable.
PhaseID | INTEGER | Identifiant de la phase.
PhaseName | STRING | Nom de la phase.
OperationInstID | INTEGER | Identifiant de l'instance d'opération.
OperationInstName | STRING | Nom de l'instance d'opération.


Transitions

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Transitions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
ObjectID | INTEGER | Identifiant de la transition dans la recette.
ChartRow | INTEGER | Ligne de la recette.
ChartCol | INTEGER | Colonne de la recette.
Condition | STRING | Condition de la transition
OperationInstID | INTEGER | Identifiant de l'instance d'opération dans laquelle se trouve la transition.
OperationInstName | STRING | Nom de l'instance d'opération dans laquelle se trouve la transition.


Attributions d'unité

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Attributions d'unité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
ObjectID | INTEGER | Identifiant de l'attribution d'unité dans la recette.
ChartRow | INTEGER | Ligne de la recette.
ChartCol | INTEGER | Colonne de la recette.
AllocationData | STRING | Attribution d'unités et nombre d'unités attribuées.
OperationInstID | INTEGER | Identifiant de l'instance d'opération dans laquelle se trouve l'attribution d'unité.
OperationInstName | STRING | Nom de l'instance d'opération dans laquelle se trouve l'attribution d'unité.


Instance d'opération

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fichiers de définition de rapports -> Définition des jeux de données -> Instance d'opération

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Nom de la colonne | Type de données | Signification
ObjectID | INTEGER | Identifiant de l'instance d'opération dans la recette.
ChartRow | INTEGER | Ligne de la recette.
ChartCol | INTEGER | Colonne de la recette.
OperationName | STRING | Nom de l'opération.
OperationDescr | STRING | Description de l'opération.
OperationType | STRING | Type de recette : Recette du module PFC ou recette de matrice.
OperationTemplateID | INTEGER | Identifiant du modèle de fonctionnement.


Fonctionnement dans le Runtime

Manuels -> Création de rapports -> Module de visualisation de rapports -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le synoptique Report Viewer bascule vers le Runtime grâce à une fonction d'appel de synoptique. Selon la définition de rapport configurée, des rapports relatifs aux listes AML et CEL, aux archives et aux valeurs en ligne peuvent être affichés. Vous pouvez également effectuer les tâches suivantes avec ces rapports, si les fonctions correspondantes sont configurées :

  • Mise à jour : actualiser la définition et les données du rapport et afficher le rapport
  • Imprimer : imprimer le rapport sur l'imprimante définie pour les valeurs et les fichiers journaux
  • Exporter : exporter le rapport sous forme de fichier PDF dans le dossier d'exportation défini

Paramètre

Description

Mise à jour

Actualise la définition et les données du rapport et affiche le rapport avec les données actualisées.

Si le fichier du rapport a été modifié dans l'Éditeur, le synoptique doit être appelé à nouveau ; une actualisation ne suffira pas.

Imprimer

Imprime le rapport sur l'imprimante définie pour les valeurs et les fichiers journaux.

Remarque :

L'impression peut également être transférée vers son propre thread. Ceci permet de continuer à utiliser le Runtime durant l'impression.

Créer PDF

Enregistre le rapport actuellement affiché sous forme de fichier PDF dans le dossier défini pour l'exportation.

Chemin standard : %PUBLIC%\Documents\zenon_Projects\[PROJECTNAME]>\Export

Remarque :

La création du fichier PDF peut également être transférée vers son propre thread. Ceci permet de continuer à utiliser le Runtime durant la création et l'exportation.

Report list (Liste de rapports)

Affiche les rapports définis dans la fonction d'appel de synoptique. Vous pouvez effectuer des recherches dans la liste. Les longues listes sont réparties sur plusieurs pages.

Navigation, zoom et recherche

L'en-tête du rapport offre des éléments pour :

  • Navigation
  • Zoom
  • Rechercher

Paramètre

Description

Page navigation (Navigation dans la page)

Affiche le nombre de pages et la page actuelle. Autorise la navigation dans le document comme suit :

  • Touches fléchée
  • Sélection d'une page particulière

Zoom

Sélection d'un niveau de zoom dans une liste déroulante :

  • Page Width (Largeur de la page)
  • Whole Page (Page entière)
  • 500%
  • 200%
  • 150%
  • 100% (par défaut)
  • 75 %
  • 50 %
  • 25%

Rechercher

Saisie d'une expression de recherche dans le champ de recherche.

  • Rechercher : affiche la première occurrence trouvée.
  • Suivant : affiche les occurrences suivantes.

Les opérateurs ne peuvent pas être utilisés.


Traitement des erreurs

Manuels -> Création de rapports -> Module de visualisation de rapports -> Traitement des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Messages d'erreur contextuels

Message d'erreur | Signification
DataTable missing for DataSet: (Table de données manquantes pour le jeu de données) <Nom du jeu de données> | Un jeu de données est utilisé dans la définition du rapport, mais aucune table portant ce nom n'est présente dans la configuration. Le rapport ne peut pas être affiché.
DataSet not used for DataTable: (Jeu de données non utilisé pour Table de données) <Nom de la table> | Une table a été définie, mais la définition du rapport n'utilise pas ce nom pour un jeu de données. Ce message est uniquement affiché après qu'une table manquante ait été identifiée.


Diagnosis Viewer (Outil de diagnostic)

Manuels -> Diagnosis Viewer (Outil de diagnostic)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tous les modules de zenon, tels que l'Éditeur, le Runtime, les drivers, etc. écrivent des messages dans un fichier journal commun. Vous pouvez lire et configurer ces messages par le biais de l'outil Diagnosis Viewer, installé avec zenon. Il permet de lire des fichiers journaux existants, d'activer la journalisation en ligne, d'enregistrer la vue actuelle et de configurer les clients et le service Diagnosis Server. Vous le trouverez sous Démarrer/Tous les programmes/zenon/Outils 7.11 -> Diagnosis Viewer.

L'outil Diagnosis Viewer est uniquement disponible en anglais.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Utilisation d'IPv6

Diagnosis Server collabore également avec les clients de diagnostic, dont l'adressage est défini sous forme d'adresses IPv6. Pour cela, le format du fichier journal a été adapté. L'outil Diagnosis Viewer lit uniquement le nouveau format des fichiers journaux. Si des fichiers journaux provenant de versions antérieures de zenon (ou inversement) sont ouverts, l'adresse IP de Diagnosis Client n'est pas affichée correctement.

Analyse du driver

Le driver de zenon consigne toutes les erreurs dans les fichiers journaux. Le dossier par défaut des fichiers journaux est le sous-dossier LOG, dans le répertoire ProgramData ; exemple : C:\ProgramData\zenon\zenon7.11\LOG for zenon Version 7.11. Les fichiers journaux sont des fichiers texte dotés d'une structure spéciale.

Attention : avec les paramètres par défaut, un driver consigne uniquement les informations d'erreur. Avec l'outil Diagnosis Viewer, vous pouvez améliorer le niveau de diagnostic de la plupart des drivers, grâce aux options "Debug" (Débogage) et "Deep Debug" (Débogage approfondi). Dans ce cas, le driver consigne également les autres tâches et événements importants.

L'outil Diagnosis Viewer vous permet également :

  • De suivre en direct les entrées actuellement insérées
  • De personnaliser les paramètres de journalisation
  • De modifier le dossier dans lequel sont enregistrés les fichiers journaux

Conseils :

  1. Sous Windows CE, les erreurs ne sont pas consignées par défaut, pour préserver les performances du système.
  2. L'outil Diagnosis Viewer affiche toutes les entrées à l'heure UTC (temps universel coordonné), et pas à l'heure locale.
  3. Par défaut, l'outil Diagnosis Viewer n'affiche pas toutes les colonnes d'un fichier journal. Pour afficher d'autres colonnes, activez la propriété Add all columns with entry (Ajouter toutes les colonnes avec une entrée) dans le menu contextuel de l'en-tête des colonnes.
  4. Si vous utilisez uniquement la fonction Error logging (Journalisation des erreurs), la description du problème est affichée dans la colonne Error text (Texte d'erreur). Pour d'autres niveaux de diagnostic, la description est fournie dans la colonne General text (Texte général).
  5. En cas de problèmes de communication, de nombreux drivers consignent également les numéros d'erreur de journal qui leur sont attribués par l'automate. Elles sont affichées dans les colonnes Error text (Texte d'erreur) et/ou Error code (Code d'erreur) et/ou Driver error parameter (1 et 2) (Paramètre d'erreur du driver (1 et 2)). Des conseils concernant la signification des codes d'erreur sont disponibles dans la documentation du driver et le fichier journal/la description de l'automate.
  6. À la fin de l'essai, réinitialisez le niveau de diagnostic Debug (Débogage) ou Deep Debug (Débogage approfondi). Pour les options Debug (Débogage) et Deep Debug (Débogage approfondi), de grands volumes de données sont enregistrés sur le disque dur, ce qui peut influencer les performances du système. L'enregistrement de ces données se poursuit même après la fermeture de l'outil Diagnosis Viewer.

Autres sujets abordés dans ce chapitre

Généralités

Topologie du système de diagnostic

Procédure standard

Diagnosis Server

Diagnosis Client

Diagnosis Viewer - Programme d'analyse

Possibilités de filtres

Lecture des fichiers journaux

Structure du fichier log

Gestion des erreurs et messages


Généralités

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le système de diagnostic de zenon comprend trois parties :

  • Le service Diagnosis Server : local ou défini dans le fichier zenon6.ini, via l'entrée LogSrv
  • Les clients de diagnostic : tous les modules, drivers, services, etc. écrivant des messages
  • Diagnosis Viewer : Programme d'analyse

Versions

À partir de la version 7.00, le système de diagnostic utilise le service zenLogSrv à la place du service zenSysSrv. Ce qui signifie :

  • Les systèmes de diagnostic jusqu'à la version 6.51 et à partir de la version 7.00 sont compatibles.
  • Les mécanismes de diagnostic de zenon 6.51 SP0 et de zenon 7.00 SP0 ne sont pas compatibles.
Compatibilité | Diagnosis Server, versions 6.51 SP0 et antérieures | Diagnosis Server, versions 7.00 SP0 et ultérieures
Diagnosis Client, versions 6.51 SP0 et antérieures | compatible | incompatible
Diagnosis Viewer, versions 6.51 SP0 et antérieures | compatible | incompatible
Diagnosis Client, versions 7.00 SP0 et ultérieures | incompatible | compatible
Diagnosis Viewer, versions 7.00 SP0 et ultérieures | incompatible | compatible

Avec Diagnosis Viewer, versions 7.00 SP0 et ultérieures, vous pouvez ouvrir les fichiers journaux créés dans Diagnosis Server, versions 6.51 SP0 et antérieures. Cela ne fonctionne pas dans l'autre sens !

Ports par défaut

  • Version 7 et ultérieures : 50780 (port de service de zenLogSrv)
  • jusqu'à la version 6.51 : 1101 (port de service de zenSysSrv)

Si le port ne peut pas être ouvert, le service est arrêté.

attention Attention

Si le port auquel doit se connecter Diagnosis Viewer est fermé, le système tente de démarrer le service Diagnosis Server local. Ceci permet de garantir que la journalisation locale est effectuée si aucun service Diagnosis Server n'est disponible sur le réseau.

Utilisation de la mémoire

Le service zenLogSrv conserve les entrées de fichier journal en mémoire jusqu'à ce qu'elles puissent être écrites dans le fichier journal. Si la consommation de mémoire augmente continuellement en raison de zenLogSrv, cela indique que l'écriture dans le fichier journal est impossible.


Topologie du système de diagnostic

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Topologie du système de diagnostic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La topologie du système de diagnostic diffère selon la version utilisée – versions 6.51 SP0 et antérieures et versions 7.00 SP0 et ultérieures.

Topologie avant zenon 7.00 SP0

Le diagramme affiche toutes les connexions possibles gérées par zenSysSrv. Chaque flèche représente une connexion réseau entre les applications. Toutes les applications se connectent au service zenSysSrv via le port 1101, que le client et le serveur se trouvent sur le même ordinateur ou qu'ils communiquent l'un avec l'autre par le biais d'un réseau.

  1. L'Éditeur transmet les entrées de fichier journal, les commandes et les données du module Remote Transport à zenSysSrv. zenSysSrv transmet la configuration de Diagnosis Client (Éditeur, Runtime, driver, serveur Web, client Web, etc.) et les données de Remote Transport à l'Éditeur.
  2. Le service Diagnosis Viewer transmet les commandes de diagnostic, les configurations de diagnostic et les entrées de fichier journal à zenSysSrv. zenSysSrv transmet les données de diagnostic et les informations de configuration de Diagnosis Client au service Diagnosis Viewer.
  3. zenSysSrv transmet les informations de configuration de Diagnosis Client aux services Diagnosis Client. Les services Diagnosis Client transmettent les entrées de fichier journal à zenSysSrv.

zenSysSrv réagit de manière adéquate à chaque message reçu :

  • Les entrées de fichier journal sont écrites dans les fichiers journaux.
  • Les commandes Remote Transport (démarrage du Runtime, écriture/lecture de données, etc.) sont exécutées.
  • Les commandes de diagnostic (définition de la configuration du serveur/du client, début de la journalisation en ligne, etc.) sont exécutées.

Topologie à partir de zenon 7.00 SP0

Le diagramme affiche toutes les connexions possibles gérées par zenSysSrv et zenLogSrv (à partir de la version 7.00 SP0). Chaque flèche représente une connexion réseau entre les applications. Toutes les applications se connectent au service zenLogSrv via le port 50780. Toutes les applications se connectent au service zenLogSrv via le port 1101. que le client et le serveur se trouvent sur le même ordinateur ou qu'ils communiquent l'un avec l'autre par le biais d'un réseau.

  1. L'Éditeur transmet les commandes et les données du module Remote Transport à zenSysSrv. zenSysSrv transmet les données du module Remote Transport à l'Éditeur.
  2. L'Éditeur transmet les entrées de fichier journal à zenLogSrv. zenLogSrv transmet les informations de configuration de Diagnosis Client à l'Éditeur.
  3. Le service Diagnosis Viewer transmet les commandes de diagnostic, les configurations de diagnostic et les entrées de fichier journal à zenSysSrv. zenSysSrv transmet les données de diagnostic et les informations de configuration de Diagnosis Client au service Diagnosis Viewer.
  4. Le service zenSysSrv transmet les entrées de fichier journal à zenLogSrv. zenLogSrv transmet les informations de configuration de Diagnosis Client à zenSysSrv.
  5. zenLogSrv transmet les informations de configuration de Diagnosis Client aux services Diagnosis Client. Les services Diagnosis Client transmettent les entrées de fichier journal à zenLogSrv.

zenSysSrv réagit aux commandes reçues du module Remote Transport.
zenLogSrv réagit aux commandes de diagnostic et aux entrées de fichier journal reçues

Exemple

Dans un environnement comportant un service Diagnosis Server central, le Runtime est démarré sur un ordinateur. Selon la version du Runtime, les informations de configuration sont lues dans le fichier zenon6.ini. Les versions antérieures à la version 7.00 SP0 lisent l'entrée LOG_CONFIG de la section [SYS_REMOTE], tandis que les versions ultérieures lisent cette entrée dans la section [LOGGING_SYSTEM]. Cette configuration est utilisée pour établir une connexion de diagnostic. (Pour plus de détails, reportez-vous au chapitre Procédure standard). Chaque composant supplémentaire chargé par le Runtime (driver, zenNetSrv, etc.) établit également une connexion de diagnostic.


Procédure standard

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Procédure standard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Par défaut, seuls les messages d'erreur (c'est-à-dire les erreurs) sont envoyés par les clients au service Diagnosis Server.

Le service Diagnosis Server enregistre les messages reçus sous forme de fichiers TXT comportant une structure spéciale. Le dossier par défaut des fichiers journaux est le sous-dossier LOG, dans le répertoire ProgramData. Par exemple : %ProgramData%\COPA-DATA \LOG.
Pour plus d'informations, reportez-vous au manuel Installation et mises à jour, chapitre Structure des fichiers.

Remarque : sous Windows CE, les messages d'erreur ne sont pas générés, afin de préserver les ressources.

Pour transmettre au service Diagnosis Server journalisation des informations autres que des messages d'erreurs (à savoir des infirmations importantes concernant les diagnostics), les paramètres correspondants doivent être définis pour le client.

Vous pouvez également configurer le comportement du serveur.

Configuration

La configuration de la connexion est réalisée dans le fichier zenon6.ini, qui comporte les sections suivantes :

  • Diagnosis Client
  • Diagnosis Server
  • Différentes versions sont disponibles, afin d'éviter que la configuration d'une version n'affecte pas l'autre

La configuration du module Diagnosis Viewer vous permet également de configurer les paramètres de la connexion :

  • Paramétrage du serveur
  • Paramètres de connexion, Connexion au serveur de diagnostic
  • Diagnosis Client
  • Diagnosis Viewer - Programme d'analyse

Nous vous recommandons de configurer la connexion pour le serveur et le client par le biais du fichier zenon6.ini.

Procédure

Diagnosis Server est :

  • Un service exécuté sur l'ordinateur.
    Le service démarre automatiquement au démarrage du système d'exploitation. Le service local ne peut être démarré qu'une fois.
  • Une application sous CE.
    Sous CE, un seul procédé peut utiliser le port. Les autres procédés démarrés s'arrêtent automatiquement, car le port ne peut pas être ouvert. Si la configuration locale du service Diagnosis Server est définie sous CE, de telle manière que seule l'interface utilisateur est affichée (INIT=2), plusieurs processus peuvent apparaître au niveau de Diagnosis Clients et tenter de démarrer le service Diagnosis Server local.

Dès qu'un client Diagnosis Client est actif, les étapes suivantes sont effectuées :

  1. Diagnosis Client lit et utilise les informations de configuration du fichier zenon6.ini. Si aucune configuration n'est disponible dans zenon6.ini, la configuration par défaut (Diagnosis Server=localhost:50780) est utilisée.
  2. Diagnosis Client tente d'établir une connexion à Diagnosis Server :

    Establishing successful (Connexion établie avec succès) :

    1. la connexion de diagnostic a été établie, et les entrées de fichier journal sont transmises.

    Establishing failed (Échec de l'établissement de la connexion) :

    1. Diagnosis Client tente de démarrer et d'utiliser le service Diagnosis Server local.
      Sur un PC, il tente de démarrer le service.
      Sous CE, il tente de créer le processus.
    2. Diagnosis Client tente d'établir une connexion au service Diagnosis Server local : s'il y parvient, la connexion de diagnostic est établie et les entrées de fichier journal sont envoyées.

    S'il échoue, aucune entrée de fichier journal n'est créée.

Autres sujets abordés dans ce chapitre

Entrées du fichier zenon6.ini

Windows CE


Entrées du fichier zenon6.ini

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Procédure standard -> Entrées du fichier zenon6.ini

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration de zenSysSrv et zenLogSrv est effectuée par le biais du fichier zenon6.ini. La procédure de configuration diffère entre les versions 7.00 et ultérieures, et les versions 6.51 et antérieures. Vous pouvez configurer des clients de diagnostic et serveurs de diagnostics récents ou anciens indépendamment les uns des autres, sur un même ordinateur. Par exemple, les entrées de fichier journal des anciens clients de diagnostics sont reroutées, sans que les entrées de fichier journal des nouveaux clients n'en soient affectées.

Diagnosis Server avant la version 7.00 SP0

Entrée de fichier INI

Description

[SYS_REMOTE]

Section dans zenon6.ini.

Contient des paramètres pour zenSysSrv (modules Remote Transport et Diagnosis Server).

LOGDirectory=

Définit le dossier des fichiers journaux.

En l'absence d'entrée, le dossier LOG du dossier ProgramData est utilisé par défaut.

Exemple :
LOGDirectory= %ProgramData%\COPA-DATA\zenon651\LOG

CONFIG=

Chaîne de configuration pour les modules Diagnosis Server et zenSysSrv. Remote Transport et le système de diagnostic utilisent la même configuration de serveur jusqu'à la version 6.51 SP0 incluse. La chaîne comprend les éléments suivants : DEVICE=[Équipement];HOST=[Nom d'hôte];PORT=[Port];TIMEOUT=[Délai d'attente]

  • DEVICE: définit le type de communication utilisé.
    Les types TCP/IP et série sont disponibles.
  • HOST : défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT : indique le port utilisé.
  • TIMEOUT : fournit le délai d'expiration de la connexion, en secondes.
  • BAUD : indique la vitesse d'une connexion série.

Configuration du PC :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configuration de CE :

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Définit la quantité minimale de mémoire (en Mo) devant être disponible sur le disque dur. Les fichiers journaux (LOG) sont supprimés avant que cette valeur ne soit dépassée.

Par défaut : 1024

LOGMaxUsedDiskSpace=

Définit la quantité maximale de mémoire, en Mo, utilisée par les fichiers journaux sur le disque dur. Les fichiers journaux (LOG) sont supprimés si cette valeur est dépassée.

Par défaut : 1024

LOGMinUsedDiskSpace=

Définit la quantité de mémoire (en Mo) utilisée sur le disque dur, même en l'absence de fichiers journaux.

Par défaut : 5

LOGLogLifeTime=

Définit le cycle de vie des fichiers journaux, en secondes. Les fichiers journaux les plus anciens sont supprimés.

Par défaut : 1209600 (correspond à 14 jours)

LOGImageCnt=

Définit le nombre d'entrées de fichiers journaux ; au-delà de ce nombre, des fichiers journaux incrémentiels sont créés.

Par défaut : 0

LOGLogUpdateTime=

Nombre de millisecondes après lequel les entrées de fichiers journaux reçues sont écrites dans un fichier journal.

Par défaut : 2000

LOGMaxBufferedRecs=

Définit le nombre d'entrées de fichiers journaux conservées en mémoire tampon si elles ne peuvent pas être écrites dans les fichiers journaux.

Par défaut : 10240

LOGMaxLogFileSize=

Taille maximum d'un fichier log en octets. Si un fichier journal atteint cette taille, il est fermé et un nouveau fichier journal est créé.

Par défaut : 5242880 (correspond à 5 Mo)

LOGCheckDiskTime=

Définit l'intervalle en secondes durant lequel la mémoire occupée par les fichiers journaux est contrôlée.

Par défaut : 60

INIT=

Action lors du démarrage de l'application dans Windows CE :

  • 0 : terminer immédiatement
  • 1 (ou toute autre valeur supérieure à 2) : ouvrir le port d'écoute et minimiser dans la barre des tâches.
  • 2 : afficher uniquement la surface.

Par défaut : 1

Remarque : dans le cadre de la séparation de zenSysSrv et zenLogServ dans zenon 7.00, cette valeur par défaut a également été modifiée pour d'autres versions. La valeur par défaut était auparavant 2.

Diagnosis Server à partir de la version 7.00 SP0

Entrée de fichier INI

Description

[LOGGING_SYSTEM]

Section dans zenon6.ini.

Contient les paramètres du module Diagnosis Server. Affecte uniquement zenLogSrv et n'a aucune incidence sur zenSysSrv.

LOGDirectory=

Définit le dossier des fichiers journaux.

En l'absence d'entrée, les paramètres suivants sont utilisés comme valeur standard :

Le chemin extrait de la base de registres,
par exemple : %ProgramData%\COPA-DATA\LOG

Le dossier LOG du dossier ProgramData du module zenLogSrv, si aucun chemin n'est défini dans la base de registres,
par exemple %ProgramData%\COPA-DATA\zenon700\LOG

CONFIG=

Chaîne de configuration du module Diagnosis Server. La chaîne comprend les éléments suivants : DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST : défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT : indique le port utilisé.
  • TIMEOUT : fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Définit la quantité minimale de mémoire (en Mo) devant être disponible sur le disque dur. Les fichiers journaux (LOG) sont supprimés avant que cette valeur ne soit dépassée.

Par défaut : 1024

LOGMaxUsedDiskSpace=

Définit la quantité maximale de mémoire, en Mo, utilisée par les fichiers journaux sur le disque dur. Les fichiers journaux (LOG) sont supprimés si cette valeur est dépassée.

Par défaut : 1024

LOGMinUsedDiskSpace=

Définit la quantité de mémoire (en Mo) utilisée sur le disque dur, même en l'absence de fichiers journaux.

Par défaut : 5

LOGLogLifeTime=

Définit le cycle de vie des fichiers journaux, en secondes. Les fichiers journaux les plus anciens sont supprimés.

Par défaut : 1209600 (correspond à 14 jours)

LOGImageCnt=

Définit le nombre d'entrées de fichiers journaux ; au-delà de ce nombre, des fichiers journaux incrémentiels sont créés.

Par défaut : 0

LOGLogUpdateTime=

Nombre de millisecondes après lequel les entrées de fichiers journaux reçues sont écrites dans un fichier journal.

Par défaut : 2000

LOGMaxBufferedRecs=

Définit le nombre d'entrées de fichiers journaux conservées en mémoire tampon si elles ne peuvent pas être écrites dans les fichiers journaux.

Par défaut : 10240

LOGMaxLogFileSize=

Taille maximum d'un fichier log en octets. Si un fichier journal atteint cette taille, il est fermé et un nouveau fichier journal est créé.

Par défaut : 5242880 (correspond à 5 Mo)

LOGCheckDiskTime=

Définit l'intervalle en secondes durant lequel la mémoire occupée par les fichiers journaux est contrôlée.

Par défaut : 60

INIT=

Action lors du démarrage de l'application dans Windows CE :

  • 0 : terminer immédiatement
  • 1 (ou toute autre valeur supérieure à 2) : ouvrir le port d'écoute et minimiser dans la barre des tâches.
  • 2 : afficher uniquement la surface.

Par défaut : 1

Diagnosis Client avant la version 7.00 SP0

Entrée de fichier INI

Description

[SYS_REMOTE]

Section dans zenon6.ini.

Contient les paramètres du module Diagnosis Client.

LOG_CONFIG=

Une chaîne de configuration du module Diagnosis Client est conservée ici. La chaîne comprend les éléments suivants : DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST : défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT : indique le port utilisé.
  • TIMEOUT : fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnosis Client à partir de la version 7.00 SP0

Entrée de fichier INI

Description

[LOGGING_SYSTEM]

Section dans zenon6.ini.

Contient les paramètres du module Diagnosis Client.

LOG_CONFIG=

Une chaîne de configuration du module Diagnosis Client est conservée ici. La chaîne comprend les éléments suivants :

DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST : défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT : indique le port utilisé.
  • TIMEOUT : fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Conseils

INI sous CE

Sous Windows CE, nous vous recommandons instamment de ne pas définir l'entrée INIT= (dans la section [LOGGING_SYSTEM] ou [SYS_REMOTE]) sur la valeur 2.

Pourquoi : la valeur 2 signifie que SysSrvCE et LogSrvCE affichent uniquement l'interface utilisateur, et n'ouvrent pas le port d'écoute.
Dans ce cas, si un service Diagnosis Client tente d'établir une connexion, il échouera. Dans ce cas, puisque le service Diagnosis Client démarre le procédé LogSrvCE et le procédé n'ouvre pas le port, chaque service Diagnosis Client démarre un procédé. Par conséquent, plusieurs procédés LogSrvCE s'exécutent en parallèle et le démarrage du service Diagnosis Client est retardé, car celui-ci attend l'expiration du délai d'attente de la connexion pour établir la connexion de diagnostic.

Utilisation de zenLogSrv sur un système comportant différentes versions

Si zenLogSrv est utilisé sur un système comportant différentes versions, utilisé en tant que serveur de diagnostic local central, l'entrée LOG_CONFIG de la section [SYS_REMOTE] doit être la suivante :
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Pourquoi : les anciens clients utilisent alors zenLogSrv en tant que serveur de diagnostics. Les nouveaux clients font cela automatiquement. Ce service est automatiquement activé sur le PC au démarrage du système ; il doit être démarré manuellement sous CE.

Attention : si le port ne peut pas être atteint, les anciens clients démarrent zenSysSrv et réessaient de s'y connecter.


Windows CE

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Procédure standard -> Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sous Windows CE, Diagnosis Server est démarré en tant qu'application.

Lors de la configuration de la connexion, tenez compte de la recommandation suivante concernant le paramètre INIT :

Sous Windows CE, nous vous recommandons instamment de ne pas définir l'entrée INIT= (dans la section [LOGGING_SYSTEM] ou [SYS_REMOTE]) sur la valeur 2.

Pourquoi : la valeur 2 signifie que SysSrvCE et LogSrvCE affichent uniquement l'interface utilisateur, et n'ouvrent pas le port d'écoute.
Dans ce cas, si un service Diagnosis Client tente d'établir une connexion, il échouera. Dans ce cas, puisque le service Diagnosis Client démarre le procédé LogSrvCE et le procédé n'ouvre pas le port, chaque service Diagnosis Client démarre un procédé. Par conséquent, plusieurs procédés LogSrvCE s'exécutent en parallèle et le démarrage du service Diagnosis Client est retardé, car celui-ci attend l'expiration du délai d'attente de la connexion pour établir la connexion de diagnostic.

Interface utilisateur sous CE

Transport Service (zenSysSrv)

Paramètres

Description

Départ

Ouvre le port d'écoute et permet à zenSysSrv de recevoir des commandes du module Remote Transport.

Explorer

Ouvre la boîte de dialogue de navigation du système de fichiers.

Stop

Désactive la réception des commandes du module Remote Transport et ferme le port d'écoute.

Configuration

Sélection d'une configuration de recette existante dans une liste déroulante. Les nouvelles connexions ne peuvent pas être configurées. Reportez-vous à la section Entrées du fichier zenon6.ini pour configurer la connexion.
Les choix disponibles sont les suivants :

  • Configuration à partir du fichier zenon6.ini
  • Configuration standard pour TCP/IP
  • Configuration standard pour COM1 et COM4

Cachée

Réduit l'interface utilisateur dans la barre des tâches.

Quitter

Ferme l'application et le port d'écoute, si nécessaire.

X
(bouton en haut à droite)

Réduit l'interface utilisateur dans la barre des tâches.

Service de journalisation (zenLogSrv)

Paramètres

Description

Départ

Ouvre le port d'écoute et permet à zenLogSrv de recevoir des entrées du fichier journal.

Stop

Désactive la réception des entrées de journal et ferme le port d'écoute.

Configuration

Sélection d'une configuration existante dans une liste déroulante. Les nouvelles connexions ne peuvent pas être configurées. Reportez-vous à la section Entrées du fichier zenon6.ini pour configurer la connexion.
Les choix disponibles sont les suivants :

  • Configuration à partir du fichier zenon6.ini
  • Configuration standard pour TCP/IP

Cachée

Réduit l'interface utilisateur dans la barre des tâches.

Quitter

Ferme l'application et le port d'écoute, si nécessaire.

X
(bouton en haut à droite)

Réduit l'interface utilisateur dans la barre des tâches.


Diagnosis Server

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le service Diagnosis Server :

  • Crée et gère les fichiers log.
  • Le serveur est :
    • Déployé sous le nom zenLogSrv à partir de zenon 7.00
    • Intégré à zenSysSrv jusqu'à la version zenon 6.51
  • La configuration du serveur est lue à partir du fichier zenon6.ini.
  • Le serveur écrit les données reçues dans le fichier log.
  • L'emplacement des fichiers enregistrés doit être configuré. Standard : %ProgramData%\COPA-DATA\LOG\
  • Les fichiers journaux sont nommés comme suit : LOG<AAMMJJhhmmss>.txt.
  • Le serveur est multi-client. Plusieurs évaluations peuvent se connecter simultanément au serveur.
  • Il est possible de se connecter au serveur en ligne pour voir les messages couramment enregistrés.
  • Il est possible de se connecter aux serveurs de diagnostics autres que le serveur local et d'exécuter les mêmes tâches (configuration du serveur, configuration des clients, journalisation en ligne) que sur le serveur local.
  • Les paramètres du serveur actuel (auquel est connecté l'outil Diagnosis Viewer) peuvent être modifiés. Si un autre serveur de diagnostic doit être modifié, la connexion serveur peut être changée avec le menu Fichier – Connexion à....
  • L’entrée de menu Paramètres – Server configuration (Configuration du serveur) est disponible seulement si la fonction de journalisation en ligne n’est pas utilisée.

Autres sujets abordés dans ce chapitre

Contrôle de l'intégrité du système

Paramétrage du serveur


Contrôle de l'intégrité du système

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Server -> Contrôle de l'intégrité du système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Au démarrage du Runtime, un fil de surveillance doté d'une priorité élevée est également démarré. Le fil de surveillance contrôle les paramètres critiques toutes les dix secondes et inscrit les avertissements ou erreurs correspondants dans le module de supervision du service Diagnosis Server.

Les paramètres suivants sont contrôlés.

Paramètres | Limite
Seuil d'avertissement des descripteurs utilisés | > 5000
Seuil d'erreur des descripteurs utilisés | > 9000
Seuil d'avertissement des objets GDI utilisés | > 5000
Seuil d'erreur des objets GDI utilisés | > 9000
Seuil d'avertissement d'utilisation du processeur pour le fil principal | > 70 %
Seuil d'erreur d'utilisation du processeur pour le fil principal | > 90 %
Seuil d'avertissement d'utilisation totale du processeur | > 70 %
Seuil d'avertissement d'utilisation totale du processeur | > 90 %
Seuil d'avertissement de mémoire principale libre | < 30 %
Seuil d'erreur de mémoire principale libre | < 10 %
Seuil d'avertissement du paramètre OnTimer dans l'ordinateur central | > 1000 ms
Seuil d'erreur du paramètre OnTimer dans l'ordinateur central | > 5000 ms


Paramétrage du serveur

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Server -> Paramétrage du serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le service Diagnosis Server peut être configuré par le biais des entrées du fichier zenon6.ini, ou de la boîte de dialogue Server configuration (Configuration du serveur) dans Diagnosis Client. Nous recommandons d'effectuer la configuration par le biais du fichier zenon6.ini.

Configuration via le fichier zenon6.ini

Reportez-vous à la section Entrées du fichier zenon6.ini.

Configuration via la boîte de dialogue

Pour configurer Diagnosis Server par le biais de la boîte de dialogue :

  1. Démarrez l'outil Diagnosis Viewer
  2. Ouvrez l'entrée Fichier – Connexion à....
  3. Configurez le serveur souhaité
    (Veillez à sélectionner le port adéquat, selon la version utilisée !)
  4. Sélectionnez l'option Paramètres -> Server configuration (Configuration du serveur).
  5. Configurez les événements à consigner dans le fichier journal
  6. Fermez la configuration en cliquant sur OK

Remarque : toutes les modifications sont écrites dans le fichier zenon6.ini lors de la confirmation de la boîte de dialogue.

Configuration des événements devant être consignés par Diagnosis Viewer dans le fichier journal :

Paramètre | Description
Modules | Sélection des modules que vous souhaitez configurer.
Message level (Niveau de message) | Sélection des événements devant être consignés dans le fichier journal. Par défaut : Erreurs
LOGImageCnt | Nombre d'enregistrements après lesquels tous les champs incrémentiels seront écrits. Par défaut : 0 (inactive)
LOGMinFreeDiskSpace | On vérifie continuellement si l'espace disque libre disponible est inférieur au minimum configuré. Les fichiers journaux les plus anciens sont détruits. Espace disque libre minimum en Mo avant que les fichiers de traces ne soient détruits. Par défaut : 1024 MB
LOGMaxUsedDiskSpace | Espace disque maximum occupé par les fichiers de traces en Mo. Par défaut : 1024 MB
LOGMinUsedDiskSpace | Espace disque minimum utilisé en Mo, indépendamment du fait que LOGMinFreeDiskSpace ne soit pas dépassé. Par défaut : 5 MB
LOGLogUpdateTime | Délai en ms après lequel les entrées reçues sont enregistrées. Par défaut : 2000 ms
LOGMaxBufferedRecs | Le serveur stocke (buffer) le contenu de tous les champs de fichiers journaux incrémentiels pour les diverses applications, de façon à être capable de faire une image de ceux-ci dans le fichier journal. Avec le démarrage d'un fichier journal et après un nombre paramétrable d'entrées dans le fichier journal, une image complète de toutes les adresses est écrite dans le fichier journal. Les données reçues sont écrites dans les fichiers journaux. L'entrée est faite via un 'buffer' (zone mémoire) temporaire. Vous pouvez configurer l'écriture immédiate ou décalée des données. Nombre d'entrées mémorisées si l'écriture est impossible. Par défaut : 10240
LOGMaxLogFileSize | Le serveur écrit les données reçues dans le fichier journal. Si le fichier journal atteint la taille configurée, un nouveau fichier est créé pour les nouveaux enregistrements. Taille maximale d'un fichier journal en octets. Par défaut : 5 MB
LOGDirectory | Dossier dans lequel sont enregistrés les fichiers journaux. Par défaut : %ProgramData%\COPA-DATA\LOG\
LOGLogLifeTime | On vérifie continuellement si la durée de vie des fichiers journaux est dépassée. Les fichiers journaux les plus anciens sont détruits. Nombre de secondes pendant lesquelles les fichiers journaux seront conservés. Par défaut : 14 jours
LOGCheckDiskTime | Temps en secondes, durant lequel on teste l'espace disque utilisé. Par défaut : 60 s
Message level for all modules (Niveau de message pour tous les modules) | Les paramètres sont repris pour tous les modules.
Default values (Valeurs par défaut) | Rétablit les paramètres par défaut.
Accepter | Accepter les paramètres pour ce module.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
OK | Appliquer toutes les modifications et ferme la boîte de dialogue.


Diagnosis Client

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tous les programmes générant des entrées de fichier journal sont appelés "clients de diagnostic" (Diagnosis Client). Les entrées de fichier journal sont envoyées au service Diagnosis Server, via TCP/IP. L'ordinateur et le numéro de port du serveur sont lus (selon la version utilisée) dans le fichier zenon6.ini local, et le contact est établi. En cas de défaillance de la connexion, la procédure suivante est effectuée cycliquement :

  • Si le service Diagnosis Server ne peut pas être contacté, une tentative de reconnexion est effectuée toutes les 500 ms.
  • Si aucune connexion n'a pu être établie après la moitié du délai d'attente, le système essaie de démarrer le service zenSysSrv ou zenLogSrv.

Les paramètres sont configurés par le biais de l'entrée LOG_CONFIG=, dans la section [SYS_REMOTE] (jusqu'à la version 6.51) ou la section [LOGGING_SYSTEM] (à partir de la version 7.00).

Configuration de Diagnosis Client

Pour configurer Diagnosis Client par le biais de la boîte de dialogue :

  1. Démarrez l'outil Diagnosis Viewer
  2. Sélectionnez Paramètres -> Client configuration (Configuration du client)
    (uniquement disponible si la fonction de journalisation est inactive)
  3. Sélectionnez un client
  4. Cliquez sur Liste de paramètres
  5. La boîte de dialogue de configuration s'affiche à l'écran.
  6. Configurez le client
  7. Fermez la configuration en cliquant sur OK
  8. Répétez la procédure pour les autres clients, si nécessaire

Liste de clients

Paramètre | Description
Clients | Affiche la liste de tous les clients disponibles.
Actualiser | Actualise la liste de clients.
List of parameters (Liste de paramètres) | Ouvre la boîte de dialogue de configuration du client sélectionné.
Fermer | Ferme la boîte de dialogue.

Configure Client (Configurer le client)

Les modules standard disponibles :

Paramètre

Description

Modules

Sélection des modules que vous souhaitez configurer.

La liste est composée de modules standard et de modules dépendants du client concerné.

  • General : Messages généraux
  • Net: Messages de réseau
  • Proxy : Messages du proxy de zenon
  • Db: Messages de zenDbSrv
  • SysSrv: Messages de zenSysSrv
  • Driver: Messages d'un driver
  • Log: Messages de traces
  • SAT: Messages spécifiques à SICAM 230

Message level (Niveau de message)

Définit le type d'informations devant être consignées.

Tout

Sélectionne tous les éléments.

None (Aucune)

Désélectionne tous les éléments.

Message level for all modules (Niveau de message pour tous les modules)

Attribue les niveaux de message sélectionnés à tous les modules.

Max buffered records

Nombre d'enregistrements à stocker si aucune connexion au serveur n'est établie.
Par défaut : 256

OK

Applique toutes les modifications et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Accepter

Applique toutes les modifications. La boîte de dialogue reste ouverte.

Default values (Valeurs par défaut)

Rétablit les valeurs par défaut.


Diagnosis Viewer - Programme d'analyse

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Viewer - Programme d'analyse

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'outil Diagnosis Viewer permet d'afficher les données des fichiers journaux. Il se connecte au service Diagnosis Server pour afficher les données en ligne, ou lire les fichiers journaux historiques. Les fichiers journaux contiennent non seulement les données de journalisation, mais également d'autres informations importantes pour l'analyse, telles que les en-têtes de colonnes.

Pour afficher un fichier journal :

  1. Sélectionnez Fichier -> Ouvrir
  2. La boîte de dialogue de sélection de fichier journal s'affiche ; le dossier configuré par défaut est sélectionné
  3. Sélectionnez le fichier de votre choix
  4. Le fichier journal est affiché

  5. Double-cliquez sur une entrée pour afficher la vue détaillée

Identifier un dépassement de capacité de la file d'attente au niveau du driver

Si les messages d'un driver sont supprimés en raison d'un dépassement de capacité de la vile d'attente, Diagnosis Client et le service Diagnosis Server définissent un marqueur lors de l'écriture d'une nouvelle entrée pour tous les modules activés, indiquant que les entrées antérieures ont été supprimées de la file d'attente. Les reconnaissances de dépassement de capacité mentionnées dans les fichiers journaux ouverts sont comptées :

Paramètre | Description
Colonne Record version (Version de l'enregistrement) | Cette colonne doit former partie de la sélection de colonnes. Elle indique le numéro de version de l'enregistrement de données. La version 8x signale les dépassements de capacité.
Compteur 82 | 8 indique le dépassement de capacité, 2 désigne la version concernée de l'enregistrement de données.
Barre d'état : Dépassements de file d'attente | Si la barre d'état est active, le nombre de dépassements de capacité est affiché ici.

Remarque : toutes les entrées consignées dans le fichier journal ne sont pas affichées. Si un enregistrement de données de fichier journal est signalé avec un marqueur de dépassement de capacité, il sera affiché au niveau du prochain enregistrement de données visualisé de ce client. Si plusieurs entrées non affichées consécutives sont signalées avec un marqueur de dépassement, la valeur affichée par le compteur de la barre d'état peut être différente du nombre d'enregistrements de données signalés par des marqueurs de dépassement de capacité.

Autres sujets abordés dans ce chapitre

Paramétrage global


Paramétrage global

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Viewer - Programme d'analyse -> Paramétrage global

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les entrées sont en anglais.

Paramètres

Description

Fichier

Commandes du menu Fichier.

Ouvrir

Ouvre la boîte de dialogue de sélection d'un fichier journal enregistré au format TXT. Chaque nouveau fichier ouvert est affiché dans sa propre fenêtre.

Open to active document

Chaque nouveau fichier journal est ajouté à la fenêtre active.

Fermer

Ferme la fenêtre active.

Enregistrer

Enregistre les fichiers journaux de la fenêtre active.

Enregistrer sous

Enregistre la vue courante de la fenêtre active (e.g paramétrage des filtres) dans un fichier à sélectionner.

Remote Download

Uniquement disponible si une connexion au service Diagnosis Server distant est présente. Permet le téléchargement des fichiers journaux à partir du serveur distant vers le répertoire de fichiers journaux local. Un sous-répertoire avec le nom du PC est créé. Seulement les fichiers, qui ont changés ou qui sont nouveaux, sont disponibles.

Connect to

Ouvre la boite de dialogue de sélection de la connexion.

Online

Active la vue des erreurs en ligne
Si la fonction de journalisation en ligne est démarrée, toutes les entrées entrantes sont affichées. Une boite de dialogue de filtre identique à celle montrée pour lire les fichiers peut être renseignée ici.

Différence : Si aucune connexion de fichier journal n'est sélectionnée, toutes les entrées de fichiers journaux entrantes sont affichées, sinon on affiche uniquement celles de la connexion sélectionnée.

Si le filtre de la connexion de fichier journal est modifié, toutes les entrées qui ne remplissent pas les critères de filtre seront perdues. (Le fichier journal est tout de même créé, et toutes les entrées sont enregistrées.) Les entrées affichées peuvent être sauvegardées.

Offline

Désactive la vue des erreurs en ligne (Par défaut)

Quitter

Ferme Diagnosis Viewer.

Autres sujets abordés dans ce chapitre

Paramètres de connexion, Connexion au serveur de diagnostic

Paramétrage des colonnes


Paramètres de connexion, Connexion au serveur de diagnostic

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Viewer - Programme d'analyse -> Paramétrage global -> Paramètres de connexion, Connexion au serveur de diagnostic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'outil Diagnosis Viewer se connecte automatiquement au serveur standard sélectionné au démarrage. Si aucun serveur standard n'est défini, localhost est utilisé en tant que serveur standard. La configuration du serveur peut également être effectuée par le biais du fichier zenon6.ini (procédure recommandée).

Sélection du service Diagnosis Server

Cliquez sur Fichier -> Connect to... (Connecter à...) pour ouvrir la boîte de dialogue de sélection de serveur :

Paramètre

Description

List Server (Liste de serveurs)

Dresse la liste de tous les serveurs configurés et les affiche :

  • État
  • Nom
  • Port
  • Timeout

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

New Server

Ouvre la boîte de dialogue de configuration d'un nouveau serveur.

Delete Server

L'entrée correspondant au serveur sélectionné est supprimée de la liste.

Edit Server (Modifier le serveur)

Ouvre la boîte de dialogue de configuration du serveur sélectionné.

Connect to

Établit une connexion au serveur sélectionné.

Par défaut

Le serveur sélectionné devient le serveur standard.

Création et modification du service Diagnosis Server

Cliquez sur Nouveau serveur ou Edit Server (Modifier le serveur) dans la boîte de dialogue de connexion au service Diagnosis Server pour afficher la boîte de dialogue de configuration du serveur :

Paramètre | Description
Nom du serveur | Nom du PC auquel se connecter. Le procédé suivant doit être en cours d'exécution sur l'ordinateur : Jusqu'à la version 6.51 : zenSysSrv A partir de la version 7.00 zenLogSrv
Port | Port du service sur l'ordinateur cible : Jusqu'à la version 6.51 : 1101 À partir de la version 7.00 : 50780
Timeout | Délai d'attente, en secondes, de la réponse du service Sysservice. Par défaut : 10 s
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Abandonne les paramètres et ferme la boîte de dialogue.


Paramétrage des colonnes

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Viewer - Programme d'analyse -> Paramétrage global -> Paramétrage des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Plusieurs colonnes prédéfinies peuvent être sélectionnées dans le menu Paramètres -> Paramétrage des colonnes. Ces colonnes et leurs entrées sont affichées automatiquement sur l'ouverture d'un nouveau fichier. De même le tri et la largeur des colonnes de la sélection sont pris en compte. Lors de l'ouverture, la largeur de colonne doit être définie sur Autosize (Taille auto.).

Paramètres | Description
Available (Disponibles) | Colonnes disponibles
Selected (Sélectionnés) | Colonnes affichées
> | Ajoute les colonnes sélectionnées dans la section Available (Disponibles) la section Selected (Sélectionnées)
>> | Ajoute toutes les colonnes de la section Available (Disponibles) à la section Selected (Sélectionnées)
< | Supprime les colonnes sélectionnées de la section Selected (Sélectionnées)
<< | Supprime toutes les colonnes sélectionnées de la section Selected (Sélectionnées)
^ | Trie les entrées sélectionnées au niveau supérieur (sélection multiple autorisée)
v | Trie les entrées sélectionnées au niveau inférieur (sélection multiple autorisée)
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Abandonne les paramètres et ferme la boîte de dialogue.

Les colonnes peuvent également être configurées par le biais du menu contextuel :

Paramètres | Description
Add all columns with entry | Ajoute toutes les colonnes contenant des entrées.
Remove Column | Masque la colonne sélectionnée.
Remove all empty columns | Masque toutes les colonnes ne contenant pas des entrées.
Column width automatic | La largeur de la colonne sélectionnée est ajustée automatiquement en fonction de l'entrée la plus longue.
All columns widths automatic | La largeur de toutes les colonnes est ajustée automatiquement en fonction de l'entrée la plus longue.


Possibilités de filtres

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Possibilités de filtres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour définir des filtres, ouvrez la boîte de dialogue de filtre correspondante en cliquant sur le symbole ou l'onglet du filtre approprié.

Filtre de la barre de symboles

Pour utiliser la barre de symboles, vous devez l'activer dans le menu View (Vue), par le biais de l'option Icon bar (Barre d'icônes).

Symbole | Info-bulles | Description
1 | Change pre-filter settings (Modifier les paramètres de préfiltre) | Ouvre une boîte de dialogue comportant cinq onglets permettant de configurer des filtres.
2 | Change pre-filter for IP-ProcessID-LogID (Modifier les paramètres de préfiltre pour IP-ProcessID-LogID) | Ouvre l'onglet IP address - ProcessNo - Log ID(Adresse IP - No. procédé - ID de fichier journal).
3 | Change pre-filter for modules (Modifier les paramètres de préfiltre pour les modules) | Ouvre l'onglet Modules.
4 | Change pre-filter for additional columns (Modifier les paramètres de préfiltre pour les colonnes supplémentaires) | Ouvre l'onglet Modules (Colonnes supplémentaires).
5 | Change pre-filter for time interval (Modifier les paramètres de préfiltre pour l'intervalle de termps) | Ouvre l'onglet Modules (Intervalle de temps).
6 | Change pre-filter for coloring (Modifier les paramètres de préfiltre de coloration) | Ouvre l'onglet Colors (Couleurs).

Avec dialogue de filtre

Onglets | Description
IP-ProcessID-LogID (Adresse IP - No. de procédé - ID de fichier journal) | Ouvre l'onglet Adresse IP - No. de procédé - ID de fichier journal permettant de configurer la connexion devant être consignée dans le fichier journal.
Modules | Ouvre l'onglet Modules permettant de définir les modules devant être consignés dans le fichier journal.
Colonnes supplémentaires | Ouvre l'onglet Colonnes supplémentaires permettant de sélectionner les colonnes supplémentaires à afficher.
Intervalle de temps | Ouvre l'onglet Time interval (Intervalle de temps) permettant de définir le filtre de temps.
Couleurs | Ouvre l'onglet Couleurs permettant de définir le code de couleurs d'affichage des informations.

Autres sujets abordés dans ce chapitre

IP address - Process No - Log ID (Adresse IP - No. de procédé - ID de fichier journal)

Modules

Colonnes supplémentaires

Intervalle de temps

Couleurs


IP address - Process No - Log ID (Adresse IP - No. de procédé - ID de fichier journal)

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Possibilités de filtres -> IP address - Process No - Log ID (Adresse IP - No. de procédé - ID de fichier journal)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration des connexions et procédés à afficher.

Paramètre | Description
Available (Disponibles) | Liste de connexions disponibles.
Selected (Sélectionnés) | Liste de connexions sélectionnées.
Touches fléchées du clavier | Ajoute les connexions sélectionnées (>) ou toutes les connexions (>>) à la liste Sélectionné, ou les supprime de la liste (< ou <<).
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Modules

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Possibilités de filtres -> Modules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélection des modules devant être affichés.

Paramètre | Description
Filtre de modules actif | Actif : des filtres sont actifs au niveau des modules. Lorsque cette option est activée, seuls les enregistrements de données attribués à un module sélectionné sont affichés.
Available (Disponibles) | Modules disponibles.
Selected (Sélectionnés) | Modules sélectionnés.
Touches fléchées du clavier | Ajoute les connexions sélectionnées (>) ou toutes les connexions (>>) à la liste Sélectionné, ou les supprime de la liste (< ou <<).
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Colonnes supplémentaires

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Possibilités de filtres -> Colonnes supplémentaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélection des colonnes supplémentaires devant être affichées.

Paramètre | Description
Available (Disponibles) | Liste de colonnes disponibles. Toutes les définitions de champs existantes dans le fichier sont affichées.
Selected (Sélectionnés) | Liste de colonnes sélectionnées.
Touches fléchées du clavier | Ajoute les connexions sélectionnées (>) ou toutes les connexions (>>) à la liste Sélectionné, ou les supprime de la liste (< ou <<).
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Intervalle de temps

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Possibilités de filtres -> Intervalle de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration du filtre de temps pour l'affichage des entrées.

Paramètres | Description
Heure de début : | Sélection de la date et de l'heure à partir desquelles les entrées doivent être affichées. Par défaut : Date actuelle
Heure de fin : | Sélection de la date et de l'heure jusqu'auxquelles les entrées doivent être affichées. Par défaut : Date actuelle
Reset time interval (Réinitialiser l'intervalle) | Rétablit les valeurs par défaut du filtre.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Couleurs

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Possibilités de filtres -> Couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélection du code de couleurs des informations.

Paramètres | Description
Élément associé à la couleur : | Sélection de la couleur
Adresse IP | Actif : les différentes adresses IP sont colorées différemment.
Modules | Actif : Les différents modules sont colorés différemment.
Connexion de journalisation | Actif : les différents noms de la connexion de journalisation sont colorés différemment.
No colors (Pas de couleurs) | Actif : les entrées ne sont pas colorées.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Lecture des fichiers journaux

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Lecture des fichiers journaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un ou plusieurs fichiers journaux peuvent être ouverts afin d'être analysés en même temps.

Un "pré-filtre" doit être mis en place pour limiter l'affichage.

Ceci est possible à l'aide de cinq pages de propriétés. Le filtre peut être modifié ultérieurement. Si le filtre est défini, seules les entrées remplissant les critères du filtre sont affichées. Ces entrées sont listées de façon chronologique.

Une autre possibilité de filtre est disponible avec les filtres de colonnes. Les critères de filtre peuvent être définis pour chaque colonne en dessous de l'entête de colonne. Les champs supportent les expressions génériques, ce qui permet donc aussi de définir des critères de filtre complexes.

Il est possible de trier la liste (en ordre croissant ou décroissant) en cliquant sur l'en-tête de colonne.

Les entrées affichées peuvent être sauvegardées.

Champs du fichier journal :

Paramètre | Description
IP address/Process ID/Log ID | Ces champs identifient les clients et permet une attribution correcte du message.
Name of log connection | montre le nom de la connexion.
Thread ID | ID du "thread" dans lequel le message a été entré.
Timestamp | Horodatage du message en UTC.
Message Level | Montre le nom du niveau de message qui a entré le message.
Modules | Nom du module qui a entré le message.

Champs optionnels avec des ID fixes.

ID | Constant | Description
1 | logid_logname | Nom de la connexion de journalisation
2 | logid_threadname | nom du "thread"
3 | logid_sourcefile | nom du fichier source
4 | logid_sourceline | Ligne source
5 | logid_assertcond | Condition d'affirmation
6 | logid_compname | Nom de l'ordinateur
7 | logid_funcname | Nom de la fonction
8 | logid_prjname | Nom du projet
9 | logid_prjguid | GUID du projet
A | logid_prjpath | chemin du projet
B | logid_tx | Donnée envoyée
C | logid_rx | Donnée reçue
D | logid_serialport | Numéro de l'interface série
E | logid_baud | Débit de données
F | logid_dtr | Paramétre DTR
10 | logid_rts | Paramètre RTS
11 | logid_bytesize | Longueur d'un caractère en liaison série
12 | logid_parity | Parity
13 | logid_stopbit | Nombre de bits de stop
14 | logid_ctsflow | CTS
15 | logid_dsrflow | DSR
16 | logid_dsrsens | Sensibilité DSR
17 | logid_port | Numéro de port réseau
18 | logid_srvname | Nom du serveur
19 | logid_sbname | Nom du serveur redondant
1A | logid_cliname | Nom du client
1B | logid_srvIP | Adresse IP du serveur
1C | logid_sbIP | Adresse IP du serveur redondant
1D | logid_cliIP | Adresse IP du client
1E | logid_bindump | Buffer binaire
1F | logid_ptr | Pointeur
20 | logid_classname | Nom de classe
21 | logid_errcode | Code d'erreur
22 | logid_dllinstance | Handle de l'instance de DLL
23 | logid_dllname | Nom de la DLL
24 | logid_errpar1 | Paramètre d'erreur driver 1
25 | logid_errpar2 | Paramètre d'erreur driver 2
26 | logid_trace | Message de trace
27 | logid_errortxt | Texte de l'erreur
28 | logid_errorfile | Nom du fichier d'erreurs
29 | logid_succeedcond | Condition de réussite
2A | logid_succeedvalue | Valeur lors de la réussite
2B | logid_net | Adresse réseau
2C | logid_db | Bloc de données
2D | logid_ofs | Offset
2E | logid_bit | Numéro de bit
2F | logid_area | Zone dans l'automate
30 | logid_dir | Montre la direction de la communication dans une chaîne de caractères.
31 | logid_txt | Texte général
32 | logid_mainvers | Numéro de version principale
33 | logid_minorvers | Numéro de version mineure
34 | logid_buildvers | Numéro de build
35 | logid_sp | Numéro de service pack
36 | logid_hotfix | Numéro de hotfix
37 | logid_clisrc | Client qui envoie la commande
38 | logid_clidst | Client qui est la cible pour la commande (destinataire)
39 | logid_pvid | Numéro de la variable (numéro de voie)
3A | logid_pvname | Nom de la variable
3B | logid_pvvalue | Valeur de la variable
3C | logid_pvstatus | État de la variable
3D | logid_pvtime | Horodatage de la variable en secondes
3E | logid_duration | Durée en ms
3F | logid_cnt | Nombre, compteur


Structure du fichier log

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Structure du fichier log

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fichiers log sont des fichiers texte ANSI. Les champs sont séparés par des tabulations. Le caractère de fin de ligne est CR+LF (Carriage Return + Line Feed). Ainsi Notepad peut être utilisé pour visualiser les fichiers.

Les fichiers contiennent des informations séquentielles et non pas triées chronologiquement.

Autres sujets abordés dans ce chapitre

Niveaux de message

Fonction de recherche

Profil


Niveaux de message

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Structure du fichier log -> Niveaux de message

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Huit groupes existent pour le partage des messages de log. Ils sont codés sur des bits et peuvent donc être combinés.

1 | Messages d'erreur
2 | Avertissements
4 | Message de succès.
8 | TRACE
16 | AFFIRMATION
32 | Messages Log
64 | Débogage
128 | Debug étendu


Fonction de recherche

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Structure du fichier log -> Fonction de recherche

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec la commande Afficher / Rechercher, vous pouvez effectuer des recherches dans la fenêtre active. Toutes les occurrences sont signalées.


Profil

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Structure du fichier log -> Profil

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration des colonnes peut être enregistrée sous forme de profils.

Pour enregistrer les profils :

  1. Saisissez un nom dans le champ situé dans la barre d'outils
  2. Cliquez sur le symbole de disque affiché sur le côté droit

Pour charger des profils :

  1. Sélectionnez un profil enregistré dans la liste déroulante
  2. Cliquez sur le deuxième de disque, affiché sur le côté droit

Les profils sont enregistrés dans des fichiers comportant l'extension *.lvs.


Gestion des erreurs et messages

Manuels -> Diagnosis Viewer (Outil de diagnostic) -> Gestion des erreurs et messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Erreur

Erreur

Causes possibles

Le port ne peut pas être ouvert.
  • Une autre application utilise actuellement le port.
    Contrôler le port à l'aide de la commande netstat.
  • Les ports correspondant aux entrées
    [SYS_REMOTE] CONFIG et
    [LOGGING_SYSTEM] CONFIG
    sont identiques. zenLogSrv et zenSysSrv tentent alors d'ouvrir le même port.

Les services Diagnosis Client ne démarrent pas le service zenLogSrv
  • Le service zenAdminSrv s'est arrêté. Sans lui, le service ne peut pas démarrer.
  • Le service zenLogSrv n'est pas enregistré en tant que service sur le PC. Dans ce cas, saisissez les informations suivantes dans la ligne de commande : zenLogSrv.exe –Service
  • Les clients de diagnostic ne correspondent pas à la version 7.00 SP0 ou ultérieure. Le service zenLogSrv est uniquement pris en charge à partir de cette version.
  • Sous Windows CE : les composants individuels (Runtime, SysSrvCE, LogSrvCE) sont situés dans des dossiers différents. Ils doivent se trouver dans le même dossier. Dans le cas contraire, les composants ne peuvent pas se localiser.

Sous CE, de nombreux procédés sont créés par SysSrvCE.exe ou LogSrvCE.exe.
  • Une des deux entrées du fichier zenon6.ini
    [SYS_REMOTE] INIT ou
    [LOGGING_SYSTEM] INIT
    comporte la valeur 2.
    Par conséquent, l'application affiche uniquement l'interface utilisateur et n'ouvre pas le port d'écoute. Chaque client Diagnosis Client tente alors de démarrer le procédé, car il ne parvient pas à se connecter à Diagnosis Server.

Si plusieurs procédés sont exécutés simultanément, ils se ferment.

(Le message "Unhandled Exceptions of the Diagnosis Server" (Exceptions non gérées de Diagnosis Server) apparaît à la réception de messages de fichiers journaux ou de commandes de configuration des services Diagnosis Client et Diagnosis Viewer au démarrage, ou la à réception de la configuration)
  • Les versions ne correspondent pas. Les services Diagnosis Client, Diagnosis Server et Diagnosis Viewer doivent tous correspondre aux versions 7.00 SP0 ou ultérieures ou 6.51 SP0 ou antérieures (reportez-vous à la section Compatibilité).

Entrées de fichier journal

Entrée

Description

SysSrv received not supported network message! (SysSrv a reçu un message de réseau non pris en charge !)

zenSysSrv a reçu un télégramme de réseau non pris en charge. Exemple : entrées de fichier journal.

LogSrv received not supported network message! (LogSrv a reçu un message de réseau non pris en charge !)

zenLogSrv a reçu un télégramme de réseau non pris en charge. Exemple : Commandes Remote Transport

Impossible d'ouvrir le port d'écoute. Le serveur va être arrêté.

Le service zenLogSrv ou zenSysSrv n'a pas pu ouvrir le port d'écoute correspondant. Le message d'erreur est consigné comme suit :

  • zenLogSrv et zenSysSrv sur PC :
    Entrée dans la section d'affichage des événements de Windows.
  • zenSysSrv sous CE :
    Affichage d'un message pour l'utilisateur et ajout d'une entrée de fichier journal dans Diagnosis Server.
  • zenLogSrv sous CE :
    Affichage d'un message pour l'utilisateur.

Les entrées de fichier journal suivantes sont attribuées à différents systèmes. La première partie du message indique si le service ou le client sont affectés :

  • SysSrv : zenSysSrv
  • SysCli : client de zenSysSrv
  • LogSrv : zenLogSrv
  • LogCli : Diagnosis Client
Entrée | Description
[SysSrv/LogSrv/SysCli/LogCli] Info InitString [chaîne] | Une connexion réseau a été initialisée avec la chaîne de configuration affichée. Le serveur ouvre des ports et les clients se connectent au serveur.
[SysSrv/LogSrv/SysCli/LogCli] WINSOCK ERROR | Une exception s'est produite durant une opération sur le réseau. Les détails sont également affichés.
[SysSrv/LogSrv] Accept Failed! (Échec de l'acceptation !) | Une connexion entrante provenant d'un client n'a pas pu être acceptée.
[SysSrv/LogSrv/SysCli/ LogCli] Write Failed (Échec de l'écriture) | Les données qui devaient être transmises n'ont pas toutes pu être transmises. Le nombre d'octets envoyés et le nombre d'octets devant être envoyés sont affichés.
[SysSrv/LogSrv] Client [chaîne] in List Delete! | Le client s'est déconnecté du serveur.
[SysSrv/LogSrv] Client [chaîne] in List Insert | Le client s'est connecté au serveur.


Diagnostic automate (PLC Diagnosis)

Manuels -> Diagnostic automate (PLC Diagnosis)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec le programme PLC Diagnosis, des détails sur un automate peuvent être visualisés directement dans un synoptique du système de contrôle. Selon l'automate, différentes fonctionnalités sont disponibles. Pour le moment, vous avez à disposition la fonction d'analyse de diagramme fonctionnel S7 Graph, qui permet l'affichage des informations relatives aux diagrammes fonctionnels des automates S7, et la fonction zenon Logic Monitoring Viewer, qui permet l'affichage de tous les programmes exécutés par zenon Logic, dans le Runtime (automate logiciel).

Dans le Runtime, les étapes couramment actives dans l'automate sont affichées graphiquement. Les informations d'alarmes peuvent être transférées directement dans la Alarm message list (Liste d'alarmes).

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client). est disponible pour les opérateurs de zenon, et sous Windows CE, sous la forme d'un module avec licence.

Autres sujets abordés dans ce chapitre

S7 Graph

zenon Logic Monitoring Viewer


S7 Graph

Manuels -> Diagnostic automate (PLC Diagnosis) -> S7 Graph

Vous pouvez créer un synoptique de type S7 Graph dans zenon. Sur ce synoptique, vous pouvez afficher le diagramme fonctionnel, l'étape active, le nom du diagramme fonctionnel, le numéro du diagramme fonctionnel etc. d'un contrôle S7 comportant une programmation S7 Graph.

Autres sujets abordés dans ce chapitre

Basculement du contrôle ActiveX CD_Graph7Diag.ocx vers un synoptique de type S7 Graph

Minimum requis pour l'import automatique

Importer les données d'un projet S7 Graph

Synoptique S7 Graph

Filtre pour l'appel de synoptique

Fonction Analyze S7 Graph heuristics (Analyse des données heuristiques S7 Graph)

Description de l'analyse des opérandes


Basculement du contrôle ActiveX CD_Graph7Diag.ocx vers un synoptique de type S7 Graph

Manuels -> Diagnostic automate (PLC Diagnosis) -> S7 Graph -> Basculement du contrôle ActiveX CD_Graph7Diag.ocx vers un synoptique de type S7 Graph

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonctionnalité du contrôle ActiveX CD_Graph7Diag.ocx a été reprise par le synoptique S7 Graph et la fonction Analyze S7 Graph heuristics (Analyse des données heuristiques S7 Graph). Pour basculer du contrôle ActiveX vers le synoptique et la fonction, ou pour afficher le projet S7 Graph dans zenon, procédez comme suit :

  1. Si vous ne l'avez pas déjà fait, exécutez l'importation de projet S7 Graph de manière à créer les variables et fichiers requis.
  2. Créez un synoptique de type S7 Graph.
  3. Créez les fonctions d'appel de synoptique vers le synoptique S7 Graph. Spécifiez les variables et fichiers correspondants (voir également Filtre d'appel de synoptique).
  4. Si vous avez besoin des données heuristiques, créez la fonction Analyze S7 Graph heuristics (Analyser les données heuristiques S7 Graph), puis spécifiez les variables et fichiers correspondants (voir également Fonction Analyze S7 graph heuristics [Analyser les données heuristiques S7 Graph]).

Changements par rapport au contrôle ActiveX

  • Les boutons LD et FBD sont maintenant des éléments de contrôle distincts.
  • Les données heuristiques sont dissociées de l'affichage. Elles nécessitent donc une fonction propre.
  • Les boutons Suivant et Précédent permettent de parcourir la vue de détail des étapes, étape par étape.


Minimum requis pour l'import automatique

Manuels -> Diagnostic automate (PLC Diagnosis) -> S7 Graph -> Minimum requis pour l'import automatique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Bien que l'import soit complètement automatique, un travail préparatoire est nécessaire dans le projet S7 Graph pour que l'import des diagrammes fonctionnels soit possible dans zenon. Les conditions préalables suivantes doivent être remplies :

1. Paramètres de blocs de données

Vous devez vous assurer que la configuration du bloc de données est correcte.

Configurez les paramètres suivants dans l'onglet Translate/Save (Traduire/Enregistrer) :

Paramètres | Entrée
Paramètre FB | Défini par l'utilisateur
Description interface | Structures individuelles / Charger en AS
Capacité Run (run capability) | FC standard nécessaire
Propriétés chaînes | Critères d'analyse des données en DB

Configurez les paramètres suivants dans l'onglet Message :

Paramètres | Entrée
Gestion des messages | Message avec ALARM_SQ / ALARM_S

2. Générer les sources

Pour chaque diagramme fonctionnel à importer, une source actuelle doit être générée. Pour cela, dans l'Éditeur S7 Graph, sélectionnez Fichier -> Générer source. Assurez-vous que le nom de la source correspond au nom du bloc fonctionnel (FB) du diagramme fonctionnel. Donc, pour un diagramme fonctionnel dans le bloc fonctionnel 12, le nom de la source doit être FB12 (ou fb12).

3. Numéro DB d'instance

Pour autoriser l'attribution du bloc fonctionnel au diagramme fonctionnel en fonction du bloc de données de l'instance (Instance DB), vous ne pouvez pas modifier le paramètre par défaut (nom du bloc de données = nom du bloc fonctionnel).


Importer les données d'un projet S7 Graph

Manuels -> Diagnostic automate (PLC Diagnosis) -> S7 Graph -> Importer les données d'un projet S7 Graph

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez avec le bouton droit sur l'entrée Variables dans le gestionnaire de projet. Sélectionnez l'entrée de menu Import/export étendu dans le menu contextuel, puis sélectionnez Import S7 Graph project... (Importer projet S7 Graph...). Vous pouvez également accéder au menu contextuel en sélectionnant le nœud Variables et en cliquant avec le bouton droit dans la vue de détail du gestionnaire de projet.

Sélectionnez le driver requis pour les communications avec l'automate dans la boîte de dialogue suivante, puis confirmez votre sélection en cliquant sur OK.

attention Attention

Avant l'importation dans Step 7 ou PC S7, tous le contenu doit être traduit pour garantir l'adoption de tous les objets dans zenon.

Importer Graph S7

info Info

Les paramètres modifiés dans cette boîte de dialogue sont enregistrés. Lorsque vous ouvrez à nouveau la boîte de dialogue, tous les paramètres que vous avez modifiés sont affichés à nouveau.

Les paramètres suivants sont disponibles :

Paramètre | Description
Sélection de projet |
S7 project file (Fichier de projet S7) | Sélectionnez le fichier de projet (*.s7p) de votre choix.
Driver cible | Le driver que vous avez sélectionné auparavant est affiché ici. Vous ne pouvez pas le modifier ici.
Créer les éléments de S7 Graph |
Bloc de données | Crée des variables de type USINT, qui représentent le bloc de données de l'instance du diagramme fonctionnel. Toutes les informations d'état sont communiquées à l'aide de cette variable.
Texte de message | Crée une variable interne de type STRING, qui affiche l'état des données heuristiques.
Matrice de réaction | Crée une matrice de réaction numérique. La matrice de réaction est utilisée pour établir une liaison avec la variable d'alarme S. Ceci autorise ensuite le déclenchement des alarmes dans zenon. L'importation d'alarmes dans S7 Graph est effectuée par le biais de l'assistant d'importation PDIAG.
Alarms must be acknowledged (Les alarmes doivent être acquittées) | Si vous cochez cette case, toutes les alarmes créées par la matrice de réaction doivent être acquittées.
Dénomination des variables |
Séparateur | Définissez le caractère qui sera inséré entre la nomenclature et le nom du diagramme fonctionnel.
Nomenclature interne | Utilise la nomenclature interne pour les objets créés. Exemple : S0 (pour l'adresse réseau = 0)
Nomenclature WinCC | Utilise la nomenclature WinCC pour les objets créés. Exemple : Programme S7
Combiné | Utilise à la fois les nomenclatures interne et WinCC pour les noms des objets créés. Un point est utilisé en tant que séparateur de colonnes.

Confirmez la boîte de dialogue en cliquant sur Exécuter.

Sélectionnez les postes (CPU) souhaités dans la boîte de dialogue suivante. La boîte de dialogue autorise les sélections multiples. Vous pouvez sélectionner plusieurs diagrammes fonctionnels à la fois en maintenant les touches Ctrl ou Maj enfoncées pendant que vous effectuez votre sélection. Saisissez l'adresse réseau utilisée pour les communications. Confirmez cette boîte de dialogue en cliquant sur OK. Une analyse du projet S7 est effectuée. En fonction de la taille du projet, cette procédure peut demander un certain temps.

Dans la boîte de dialogue suivante, sélectionnez les diagrammes fonctionnels que vous souhaitez importer. La boîte de dialogue autorise les sélections multiples. Vous pouvez sélectionner plusieurs diagrammes fonctionnels à la fois en maintenant les touches Ctrl ou Maj enfoncées pendant que vous effectuez votre sélection. Si aucune source n'est trouvée pour un diagramme fonctionnel, cette information est affichée dans le Commentaire avec l'entrée !! . Source manquante!!. Ces diagrammes fonctionnels ne peuvent pas être importés. Confirmez la boîte de dialogue en cliquant sur OK. L'importation est exécutée et les objets correspondants sont créés dans zenon. La source du diagramme fonctionnel (*.gr7) et le symbolisme du diagramme fonctionnel (*.seq) sont également importés. Ces informations peuvent être enregistrées dans l'Éditeur zenon, sous Fichiers -> Autres -> S7 Graph.

Autres sujets abordés dans ce chapitre

Changement de langue


Changement de langue

Manuels -> Diagnostic automate (PLC Diagnosis) -> S7 Graph -> Importer les données d'un projet S7 Graph -> Changement de langue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les textes présents dans le diagramme S7 Graph peuvent être configurés avec des paramètres de changement de langue. Dans zenon, un paramètre de changement de langue est généralement signalé par un caractère @. Dans SIMATIC Manager, il n'est toutefois pas possible de créer des mots-clés précédés de @. Par conséquent, le changement de langue est effectué par le biais d'une comparaison de texte :

  1. Dans la table de langues, les éléments correspondants sont saisis sans caractère @
  2. Tous les champs dynamiques du synoptique sont examinés, et le programme tente de trouver une traduction pour les éléments suivants :
    • Informations : nom du Grafcet (Sequential Function Chart)
    • Informations : nom de l'étape active
    • Tous les textes provenant de l'élément Affichage graphique : Étapes actives
    • Tous les textes provenant de l'élément Affichage graphique : Diagramme fonctionnel entier
    • Tous les textes provenant de Informations : Table de symboles
  3. Les champs statiques doivent être précédés du caractère-clé @, et une entrée doit être créée dans la table de langues pour :
    • Step back (Etape précédente)
    • Step forward (Etape suivante)
    • Switch LD/FBD (Basculer LD/FBD)

L'affichage des textes des diagrammes fonctionnels et des transitions et des textes dans le symbole est géré automatiquement, dès lors que les entrées correspondantes existent dans .GR7 ou .SEQ.

Des informations détaillées concernant le changement de langue sont fournies au chapitre Changement de langue.


Synoptique S7 Graph

Manuels -> Diagnostic automate (PLC Diagnosis) -> S7 Graph -> Synoptique S7 Graph

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le synoptique de type S7 Graph est prioritaire sur la fonctionnalité du contrôle ActiveX CD_Graph7Diag.ocx.

Pour améliorer le synoptique :

  1. Sélectionnez Nouveau synoptique.
  2. Sélectionnez S7-Graph dans la liste déroulante.
  3. Donnez un nom au synoptique.
  4. Vous pouvez ajouter des éléments par défaut par le biais de l'option de menu Éléments de contrôle ->Insérer un modèle.
  5. Si nécessaire, vous pouvez ajouter d'autres éléments supplémentaires requis par le biais des sous-menus de l'option de menu Éléments de contrôle

Paramètre | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant. Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur. Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Affichage graphique | Éléments d'affichage graphique.
Etapes actives | Affichage de l'étape (ou des étapes) active(s) à partir du diagramme fonctionnel développé.
Whole functional chart (Diagramme fonctionnel entier) (non sélectionné par défaut) | Vue générale du diagramme fonctionnel. Affiche tous les diagrammes fonctionnels développés. Contrôlé par le biais des options SFC forward (Grafcet suivant) et SFC back (Grafcet précédent).
Information | Informations.
Nom du schéma actif | Indique le nom du Grafcet (Sequential Function Chart).
Nom de l'étape active | Indique le nom de l'étape active.
Numéro de l'étape active | Indique le numéro de l'étape active.
Liste de symboles | Affiche l'adresse et le nom du symbole correspondant dans deux colonnes, respectivement.
Contrôle | Données destinées à l'automate.
Switch LD/FBD (Basculer LD/FBD) | Ce bouton vous permet d'afficher les notations LD ou FBD.
Step forward (Étape suivante) (Non sélectionné par défaut) | Dans le Runtime, avance d'une étape.
Step back (Étape précédente) (Non sélectionné par défaut) | Dans le Runtime, recule d'une étape.
SFC forward (Grafcet suivant) (Non sélectionné par défaut) | Dans le Runtime, dans la vue Whole functional chart (Diagramme fonctionnel entier), avance d'un diagramme fonctionnel si le schéma par blocs comporte plusieurs diagrammes fonctionnels.
SFC back (Grafcet précédent) (Non sélectionné par défaut) | Dans le Runtime, dans la vue Whole functional chart (Diagramme fonctionnel entier), recule d'un diagramme fonctionnel si le schéma par blocs comporte plusieurs diagrammes fonctionnels.


Filtre pour l'appel de synoptique

Manuels -> Diagnostic automate (PLC Diagnosis) -> S7 Graph -> Filtre pour l'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous utilisez la fonction Appel de synoptique pour basculer vers le synoptique S7 Graph, la boîte de dialogue suivante s'affiche à l'écran.

Paramètre | Description
Fichier Graph S7 |
Source Graph S7 | Sélectionnez le fichier (*.gr7) généré par la procédure d'importation de fichier S7 Graph. Ce fichier contient l'intégralité de la logique (étapes, transitions, surveillances etc.).
Symbol allocation file (Fichier d'attribution de symbole) | Sélectionnez le fichier (*.seq) généré par la procédure d'importation de projet S7 Graph. Ce fichier contient l'attribution des opérandes absolus (équivalentes à une adresse physique) aux opérandes symboliques ou au symbolisme (équivalents à un identifiant logique). Exemple : Input "E 1.0 = pushbutton 1"
Variable |
Bloc de données | Variable de zenon affichant le bloc de données de l'instance du diagramme fonctionnel. Toutes les informations d'état sont communiquées à l'aide de cette variable.
Affichage |
Type d'affichage | Indiquez si vous préférez un affichage sous forme de diagramme Contact Plan (COP) ou Function Plan (FUP). Si vous configurez un bouton de transition COP/FUP sur votre synoptique, vous pouvez basculer entre les deux types d'affichage dans le Runtime.
Largeur de ligne [pixels] | Définissez la largeur de ligne (en pixels) de la ligne de connexion entre les éléments.
Police | Dans la liste déroulante, sélectionnez la police de caractères de votre choix pour tous les intitulés du synoptique S7 Graph.
Couleur | Définissez les couleurs pour les états de "niveau élevé" et "niveau bas" et les symboles. Cliquez sur le rectangle coloré correspondant pour modifier la couleur.


Fonction Analyze S7 Graph heuristics (Analyse des données heuristiques S7 Graph)

Manuels -> Diagnostic automate (PLC Diagnosis) -> S7 Graph -> Fonction Analyze S7 Graph heuristics (Analyse des données heuristiques S7 Graph)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet d'évaluer les données heuristiques du projet S7 Graph, même lorsque le synoptique S7 Graph n'est pas actif. Ainsi, par exemple, une analyse peut être effectuée par un message d'erreur S7 PDiag, via une variable d'alarme. The heuristics looks through the stage that currently has a problem in order to determine the cause

Les propriétés suivantes sont disponibles.

Paramètre | Description
Fichier Graph S7 |
Source Graph S7 | Sélectionnez le fichier (*.gr7) généré par la procédure d'importation de fichier S7 Graph. Ce fichier contient l'intégralité de la logique (étapes, transitions, surveillances etc.).
Symbol allocation file (Fichier d'attribution de symbole) | Sélectionnez le fichier (*.seq) généré par la procédure d'importation de projet S7 Graph. Ce fichier contient l'attribution des opérandes absolus (équivalentes à une adresse physique) aux opérandes symboliques ou au symbolisme (équivalents à un identifiant logique). Exemple : Input "E 1.0 = pushbutton 1"
Variables |
Bloc de données | Variable de zenon affichant le bloc de données de l'instance du diagramme fonctionnel. Toutes les informations d'état sont communiquées à l'aide de cette variable.
Texte de message | Variable de type STRING affichant le texte d'état des données heuristiques.


Description de l'analyse des opérandes

Manuels -> Diagnostic automate (PLC Diagnosis) -> S7 Graph -> Description de l'analyse des opérandes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

De façon à identifier l'étape perturbée et l'opérande responsable de la perturbation dans les transitions, la variable de message est remplie avec un message significatif. Ce message est généré avec les étapes suivantes :

Autres sujets abordés dans ce chapitre

1. Localisation de l'étape perturbée

2. Sélection de la transition gérée

3. Recherche des opérandes manquants


1. Localisation de l'étape perturbée

Si la variable d'alarme envoyée (sent alarm) est de type UDINT, elle contient le numéro de l'étape perturbée en cas d'erreur. Ceci peut être utilisé pour des évaluations ultérieures. Si c'est simplement une variable BOOL qui est envoyée, la première étape active qui est perturbée à l'instant 't' est utilisée.


2. Sélection de la transition gérée

Manuels -> Diagnostic automate (PLC Diagnosis) -> S7 Graph -> Description de l'analyse des opérandes -> 2. Sélection de la transition gérée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si, pour l'étape perturbée, il y a plusieurs transitions vers plusieurs étapes suivantes, seule la transition avec le plus petit numéro est évaluée.


3. Recherche des opérandes manquants

Manuels -> Diagnostic automate (PLC Diagnosis) -> S7 Graph -> Description de l'analyse des opérandes -> 3. Recherche des opérandes manquants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La perturbation détectée de cette manière est affichée à l'aide de la variable de message. Le contenu de cette variable est mis à jour lors de l'exécution de la fonction Analyze S7 Graph heuristics (Analyse des données heuristiques S7 Graph).

De façon à trouver les opérandes manquants dans les transitions définies, l'arbre définissant la condition est calculé de façon hiérarchique. Ceci est bien montré dans l'affichage FUP (voir illustration ci-dessous). On peut distinguer les cas suivant pour la recherche d'un opérateur :

AND

Tous les chemins pour lesquels la condition n'est pas remplie au moment de l'évaluation sont tracés (c'est-à-dire en rouge dans l'illustration).

OU

Pour chaque chemin, le niveau de concordance, la proportion des entrées qui remplissent la condition et le nombre total d'entrées sont calculés. Alors on ne trace que les chemins qui ont le niveau de concordance le plus élevé. S'il y a plusieurs chemins avec le même niveau, le premier est utilisé.

Avec cette méthode, un nombre significatif d'opérandes (peut être pas nombreux mais néanmoins fort probables) est trouvé, important pour l'étape suivante.

Dans l'illustration donnée en exemple, cette méthode ne trouverait que l'opérande M102.2, car c'est le plus petit numéro d'opérandes possible, qui est nécessaire pour passer la transition de perturbée à non perturbée.


zenon Logic Monitoring Viewer

Manuels -> Diagnostic automate (PLC Diagnosis) -> zenon Logic Monitoring Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

info Info

Cet outil afficher et évalue visuellement les programmes zenon Logic. Monitoring Viewer permet d'afficher directement les actions dans le Runtime zenon Logic dans un synoptique dans zenon.

Autres sujets abordés dans ce chapitre

Minimum requis

Intégration d'ActiveX dans un synoptique zenon

Afficher l'élément ActiveX dans un synoptique zenon durant le Runtime


Minimum requis

Manuels -> Diagnostic automate (PLC Diagnosis) -> zenon Logic Monitoring Viewer -> Minimum requis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

A compter de zenon 6.20 SP3, le contrôle ActiveX X5Monitoring.ocx qui gère l'affichage du programme zenon Logic est installé dans le dossier du programme zenon et enregistré dans le système d'exploitation. Pour les versions antérieures de zenon, vous devez effectuer l'installation et l'enregistrement manuellement.

Pour le moment ce module n'est disponible que sur la version PC de zenon.

Une licence d'analyse de l'automate est requise pour utiliser zenon Logic Monitoring Viewer.

L'assistant Monitoring Builder de zenon Logic doit être exécuté depuis le module Workbench de zenon Logic, avant que zenon Logic Monitoring Viewer puisse afficher le code des programmes. Cet assistant est exécuté dans le module Workbench de zenon Logic sous Outils -> Générer l'application de visualisation.

Cet assistant nécessite aussi une licence.

Plusieurs propriétés sont configurables dans l'assistant. Par exemple : Les autorisations pour visualiser les programmes ou pour forcer les variables peuvent être définies (verrouillé, protégé par mot de passe, libre).

Cet assistant crée un fichier <Nom du projet>.K5m et l'enregistre dans le dossier du projet zenon.


Intégration d'ActiveX dans un synoptique zenon

Manuels -> Diagnostic automate (PLC Diagnosis) -> zenon Logic Monitoring Viewer -> Intégration d'ActiveX dans un synoptique zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'Éditeur zenon, sélectionnez l'élément dynamique ActiveX et faites-le glisser vers un synoptique zenon de la taille souhaitée. Une boîte de dialogue s'ouvre alors pour sélectionner l'ActiveX. Sélectionnez le contrôle "X5Monitoring Control" et cliquez sur le bouton "Propriétés".

Dans la boîte de dialogue entrez le chemin du fichier qui a été créé avec le 'Monitoring Builder' et définir les paramètres de communications :

info Info

Si les chemins n'ont pas été changés lors de l'utilisation de l'assistant qui génère l'application de visualisation, le fichier de visualisation (monitoring file) se trouve dans le répertoire SQL du projet zenon. Localisez le GUID (par ex. en consultant les propriétés du projet zenon Logic dans zenon) et recherchez le fichier *.K5m. Vous pouvez le trouver dans le chemin standard.

C:\ProgramData\COPA-DATA\SQL\<GUID>/FILES/straton/<zenon Logic Nom du projet>/<zenon Logic Nom du projet.K5m>.

info Info

Pour le paramétrage de la connexion (Connection settings), seule l'adresse IP est utilisée (pas le nom du PC) ! Si le runtime zenon Logic s'exécute sur le même ordinateur que zenon, saisissez 127.0.0.1 pour l'hôte local.

Séparé avec deux points (:), entrez le port utilisé par le runtime zenon Logic après l'adresse IP. Par défaut c'est 1200.


Afficher l'élément ActiveX dans un synoptique zenon durant le Runtime

Manuels -> Diagnostic automate (PLC Diagnosis) -> zenon Logic Monitoring Viewer -> Afficher l'élément ActiveX dans un synoptique zenon durant le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Fermez les boîtes de dialogue en cliquant sur le bouton "OK". Une fois la création des fichiers du Runtime zenon terminée et le démarrage des Runtime zenon et zenon Logic effectué, le code de l'automate est affiché dans le synoptique zenon correspondant :

Selon l'autorisation définie dans l'assistant de génération de l'application de visualisation, les programmes peuvent être visualisés et les valeurs peuvent aussi être forcées.


Développement distribué

Manuels -> Développement distribué

Avec la fonctionnalité multi-utilisateurs de zenon, plusieurs utilisateurs peuvent travailler sur le même projet en même temps. Pour cela, les projets sont stockés sur une instance centrale de SQL Server, accessible depuis plusieurs stations de travail simultanément. Le stockage central du projet sera appelé base de données de serveur ci-après.

Par exemple : Un utilisateur crée les synoptiques, tandis qu'un autre peut travailler en même temps à définir les variables.

info Info

Conseils relatifs à la terminologie :

"Archiver" correspond à la propriété Accepter les modifications

"Extraire" correspond à la propriété Autoriser les modifications

Protocole IP

Les communications sur le réseau de zenon peuvent reposer sur le protocole IPv4 ou IPv6. Pour plus de détails, reportez-vous au manuel Réseau, chapitre Configuration requise.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Autres sujets abordés dans ce chapitre

Informations concernant SQL Server

Possibilités de la gestion multi utilisateurs

Créer un nouveau projet multi utilisateurs

Conversion de projets simples en projets multi-utilisateurs

Conversion de projets multi-utilisateurs en projets simples

Utilisation de projets multi-utilisateurs

Travailler 'hors ligne'


Informations concernant SQL Server

Manuels -> Développement distribué -> Informations concernant SQL Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon, versions 7.00 SP0 et ultérieures

Lors du développement distribué, tous les participants accèdent à une instance centrale de SQL Server. Dans zenon, versions 7.00 SP0 et ultérieures, tous les participants doivent utiliser la version 7.00 ou une version ultérieure :

  • Éditeur : versions 7.00 SP0 et ultérieures
  • DBSrv :à partir de 7,00
  • SQL Server : SQL Server 2008 R2 Express Edition

Mise à jour

Lors de la mise à jour du serveur de projet vers SQL Server 2008 Express, veillez à ce que tous les clients (développeurs) soient aussi mis à jour. SQL Server 2005 et SQL Server 2008 ne sont pas compatibles.


Possibilités de la gestion multi utilisateurs

Manuels -> Développement distribué -> Possibilités de la gestion multi utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La gestion de projets multi-utilisateurs peut être utilisée pour :

  • Dans les projets simples, tester les modifications sans risque
  • Un serveur local comportant plusieurs clients
  • Un serveur en réseau comportant plusieurs clients

Autres sujets abordés dans ce chapitre

Serveur local

Serveur local avec clients multiples

Serveur avec clients multiples


Serveur local

Manuels -> Développement distribué -> Possibilités de la gestion multi utilisateurs -> Serveur local

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans ce cas, le projet serveur et une copie locale du projet sont stockés sur le même PC.

Il est possible de créer des projets multi-utilisateurs sur un ordinateur. Ceci se justifie par exemple si vous souhaitez d'abord vérifier des modifications. Pour faire cela (par exemple faire des modifications sur un synoptique), il est modifié et testé en Runtime. Après cela, les modifications peuvent être acceptées ou rejetées. Le synoptique original reste inchangé, tant que les modifications n'ont pas été acceptées.


Serveur local avec clients multiples

Manuels -> Développement distribué -> Possibilités de la gestion multi utilisateurs -> Serveur local avec clients multiples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La base de donnée serveur et la copie locale du projet sont sur un PC. Les clients travaillent aussi avec une copie locale du projet. Les modifications dans la copie locale du projet sont transférées dans la base de données serveur lorqu'elles sont "acceptées". Sur le PC avec le projet serveur, il y a aussi une copie locale du projet qui peut être éditée.


Serveur avec clients multiples

Manuels -> Développement distribué -> Possibilités de la gestion multi utilisateurs -> Serveur avec clients multiples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La base de données serveur est sur le PC central. Les clients se connectent au serveur. Les copies locales du projet sont créées sur chaque client.

Copies locales 1-3 du projet du serveur BD

info Info

Une combinaison des configurations décrites est possible. Par exemple, chaque PC a une ou plusieurs base(s) de données serveur pour différents projets et en même temps une seule copie locale d'un projet d'une autre base de données serveur.

Serveur sans connexion

Sur les serveurs sur lesquels aucun utilisateur n'est connecté, le fichier zendbsrv.exe doit être exécuté en tant que périphérique.

Le service zendbsrv démarre le service zensyssrv de journalisation des tâches. Pour les systèmes d'exploitation Windows Vista et Windows 7, cette manipulation n'est pas autorisée par le biais de Remote Transport, pour des raisons de sécurité.

Le fichier doit être enregistré manuellement :

zendbsrv.exe -service

Conseil : enregistrez également le fichier zensyssrv.exe en tant que service : zensyssrv.exe -service

info Info

Dès que les deux fichiers sont enregistrés, vous ne pouvez plus utiliser le module Remote Transport sous Windows Vista/7, c'est-à-dire démarrer le Runtime par le biais de Remote Transport.


Créer un nouveau projet multi utilisateurs

Manuels -> Développement distribué -> Créer un nouveau projet multi utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsqu'un nouveau projet est créé, l'option projet multi-utilisateurs doit être activée. Saisissez ou sélectionnez le serveur pour le projet multi-utilisateurs dans le champ projet serveur. Si un serveur est sélectionné, l'option projet multi-utilisateurs est automatiquement activée.

Si aucun serveur n'est sélectionné dans le champ Projet serveur, le projet (c'est-à-dire la base de données) est créé sur le PC local. Une copie de projet locale est créée automatiquement, et est disponible directement dans l'Éditeur.

Conditions préalables :

  • Le serveur de la base de donnée du projet (zendbsrv.exe) doit être démarré sur le serveur et le client
  • Configuration du pare-feu :
    • vous devez autoriser les programmes zendbsrv.exe et sqlservr.exe.
    • SQL Browser doit être activé pour le serveur et le client.
  • Ports ouverts nécessaires :
    • 1103
    • 1433 pour SQL Server : ce port peut être modifié ; le processus SQL Server doit donc être entièrement autorisé au niveau du pare-feu.
    • 1434 pour SQL Browser
  • La résolution par nom sur le réseau doit fonctionner.
  • La résolution inverse ("Reverse lookup") doit donner le même nom de PC sur le poste serveur et sur le poste client.

attention Attention

Les espaces de travail ne supportent pas les utilisateurs multiples, car ils sont spécifiques au poste local. Ainsi la hiérarchie des projets peut être définie différemment sur les différents postes. Les utilisateurs doivent communiquer directement, de façon à ce que la hiérarchie de projets soit la même sur tous les postes.

Création d'un client pour un projet multi-utilisateurs

Exécutez les étapes suivantes pour créer un client pour un projet multi-utilisateurs :

  1. Sélectionnez Fichier -> Insérer un projet existant...
  2. Dans la boîte de dialogue suivante, sous Nom de l'ordinateur, sélectionnez le nom de la base de données de serveurs. Sous Sélection de projets, sélectionnez à nouveau le nom de l'ordinateur et le nom du serveur (DB)
  3. Sélectionnez Projet multi-utilisateurs


Conversion de projets simples en projets multi-utilisateurs

Manuels -> Développement distribué -> Conversion de projets simples en projets multi-utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour convertir un projet simple en projet multi-utilisateurs :

  1. Assurez-vous que le projet global est un projet multi-utilisateurs.
    Si ce n'est pas le cas, supprimez le projet global existant de l'espace de travail et créez un nouveau projet multi-utilisateurs via le menu contextuel de l'espace de travail. Nouveau projet
  2. Ensuite, convertissez le projet simple : dans le menu contextuel, sélectionnez l'élément de menu Multi-utilisateurs -> Convertir en projet multi-utilisateurs.
  3. Un avertissement s'affiche à l'écran, indiquant que cette étape ne peut pas être annulée.
    Vous pouvez toutefois créer un projet simple à partir d'une sauvegarde de projet d'un projet multi-utilisateurs.
  4. Confirmez l'avertissement en cliquant sur Oui.

info Info

Lors de la conversion, l'ordinateur sur lequel est exécutée l'action est défini en tant que serveur de base de données du projet. Cette propriété ne peut pas être modifiée ultérieurement.


Conversion de projets multi-utilisateurs en projets simples

Manuels -> Développement distribué -> Conversion de projets multi-utilisateurs en projets simples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour convertir un projet multi-utilisateurs en projet simple :

  1. Assurez-vous que toutes les modifications du projet sont adoptées par tous les clients :
    • Projet -> Menu contextuel -> Multi-utilisateurs -> Synchroniser
  2. Créez une sauvegarde du projet :
    • Nœud Sauvegarde du projet -> Menu contextuel -> Créer sauvegarde
    • Saisissez un nom et une description dans la boîte de dialogue. Vous pouvez également sauvegarder une copie locale du projet.
  3. Créez un nouveau projet à partir de la sauvegarde :
    • Espace de travail -> Menu contextuel -> Restaurer sauvegarde projet.
    • Sélectionnez la sauvegarde de projet souhaitée.
    • Cochez la case Créer un nouveau projet.
    • Confirmez votre sélection en cliquant sur OK.
    • Saisissez un nouveau nom de projet.
  4. Le projet est créé sous forme de projet simple.
    Le projet multi-utilisateurs existe encore également.

Remarque : pour convertir une copie de projet locale en projet simple, vous pouvez également sélectionner l'option Projet -> Enregistrer sous... dans l'Éditeur.


Utilisation de projets multi-utilisateurs

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les projets multi-utilisateurs autorisent les accès multiples aux modules. Lors du développement de projets multi-utilisateurs, tenez compte des aspects suivants :

  • Le processus d'autorisation et d'acceptation des modifications et la gestion des modifications dans différents modules
  • Suppression d'éléments
  • Synchronisation d'éléments
  • Exceptions de VBA et du module RGM

Autres sujets abordés dans ce chapitre

Etendre et synchroniser un projet

Modifier les éléments existants

Supprimer des projets

Déconnecter un client

Mécanisme de sauvegarde

Permettre, accepter, annuler les modifications

Supprimer des éléments

Synchronisation d'un projet multi-utilisateurs

Gestionnaire de groupes de recettes

VBA et VSTA

Fermeture de l'Éditeur


Etendre et synchroniser un projet

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Etendre et synchroniser un projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si un nouvel élément (par exemple une variable ou un synoptique) a été créé, cet élément est d'abord disponible uniquement localement et les modifications sont automatiquement autorisées.

Si les modifications sont acceptées, un autre client doit se synchroniser, afin que les éléments modifiés soient également disponibles sur cet ordinateur.

Si, après avoir créé un nouvel élément, les modifications sont "annulées", alors c'est comme si cet élément n'avait jamais existé.

La différence entre une nouvelle variable et un nouveau synoptique est que, après la synchronisation la variable n'est pas visible sur les autres PC tant que les modifications n'ont pas été acceptées. Après une synchronisation, un synoptique est visible sur les autres PC comme étant en cours de traitement.

Voir également le chapitre Synoptiques / Opérateurs de comparaison.

Après qu'un autre utilisateur a ajouté ou détruit un élément, le projet doit être synchronisé de façon à recevoir les modifications. Il suffit d'activer l'option Projet/Synchroniser dans le menu contextuel du projet.

Les configurations suivantes peuvent être réalisées avec ce menu contextuel :

Commande | Description
Projets multi-utilisateurs - Synchronisation | Le projet est synchronisé.
Projets multi-utilisateurs - Activation du mode hors ligne | Le mode hors ligne est activé. Les modifications sont uniquement appliquées localement, et ne sont pas reprises tant que le projet reste hors ligne.
Projets multi-utilisateurs - Activation du mode en ligne | Le mode en ligne est activé. Si des éléments ont été modifiés et repris par d'autres utilisateurs, ces modifications remplacent les modifications effectuées en mode hors ligne.
Mettre à jour la version locale | La copie locale est mise à jour avec la base de donnée serveur. Le projet est rechargé dans l'éditeur. Attention : Exception : Les éléments / modules qui sont « sortis » (check out) par cet utilisateur.

info Info

Les éléments / modules qui ont été "sortis" (commande 'Permettre les modifications' activée) par l'utilisateur, qui a fait la synchronisation, ne seront pas inclus dans la synchronisation. Les modifications locales sont protégées de l'écrasement par le fait que les éléments sont marqués comme "sortis".

Exception :
L'utilisateur A sort des éléments en mode hors ligne. L'utilisateur B "sort" des éléments en mode 'en ligne'. Si l'utilisateur A se reconnecte au serveur, les éléments sortis par les deux utilisateurs sont écrasés par les données de l'utilisateur B. Si dans une équipe, une personne est en déplacement, nous recommandons de ne pas faire de changement pendant cette phase 'hors ligne'.


Modifier les éléments existants

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Modifier les éléments existants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si des modifications doivent être faites sur un élément, cet élément doit d'abord être "sorti" (commande 'Permettre les modifications' à activer). Ceci permet d'éviter qu'un autre utilisateur n'accède au même élément en même temps. Les éléments "sortis" ne peuvent pas être modifiés par d'autres utilisateurs.

Les éléments ne peuvent être modifiés que par l'utilisateur qui les a "sortis". Cet utilisateur a des droits exclusifs de modifications. Pour tous les autres utilisateurs, cet élément est verrouillé.

De façon à permettre les modifications au niveau d'un élément, l'utilisateur doit sélectionner "Permettre les modifications" dans le menu contextuel du projet. Il est possible de "sortir" un élément individuellement, par exemple une variable. Pour cela, il suffit d'activer l'entrée 'Permettre les modifications' dans le menu contextuel sur la variable dans la vue de détail. Il est aussi possible de "sortir" toutes les variables du projet en une seule fois en activant l'option sur l'entrée "Variables" dans l'arbre du projet.

Si un projet est un projet multi-utilisateurs, l'entrée Traitement en cours est ajoutée au gestionnaire de projet. Dans la vue de détail de l'entrée "Traitement en cours", on visualise les éléments du projet courant. Les colonnes par défaut sont : Etat, Elément, Cible et Module. Des colonnes supplémentaires peuvent être ajoutées en utilisant le choix "Sélection champs" du menu contextuel activé en cliquant avec le bouton droit de la souris sur les en-têtes de colonnes. Avec les colonnes supplémentaires, la liste montre un aperçu des éléments en cours de modification, par quel utilisateur et sur quel ordinateur.

info Info

Si vous voulez utiliser des sous-projets dans un environnement multi-utilisateurs, assurez-vous d'activer l'option Permettre les modifications dans les deux projets avant de glisser le sous-projet dans l'arbre du projet d'intégration.

Un élément / module ne peut qu'être 'lu' mais pas modifié tant que l'utilisateur n'a pas demandé l'autorisation pour cela. L'autorisation peut être demandée par le menu contextuel de l'élément Autoriser les modifications, ou directement lors de l'ouverture de l'élément.


Supprimer des projets

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Supprimer des projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si un projet est supprimé, seule la copie locale du projet est supprimée. La base de données de serveur reste disponible, et les autres clients peuvent encore travailler avec elle. Il est encore possible d'ajouter le projet à l'espace de travail. Dans ce cas, une nouvelle copie locale du projet est créée.

Si un utilisateur supprime sa copie locale de projet, toutes les informations de "sorties" et aussi toutes les modifications de cet utilisateur sont perdues.


Déconnecter un client

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Déconnecter un client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec la fonctionnalité "déconnecter un client", il est possible de déconnecter la copie locale du projet d'un utilisateur de la base de données serveur. Ainsi toutes les informations de "permission de modification" (check out) de cet utilisateur sont supprimées. Modifier les éléments verrouillés par d'autres utilisateurs est à nouveau possible.

Il peut être nécessaire de déconnecter un client, si l'utilisateur n'est pas au bureau et qu'il a des éléments en cours de modifications, mais qui doivent être modifiés en urgence, ou alors si le PC de cet utilisateur est en panne.

attention Attention

Si le client d'un utilisateur a été déconnecté et que l'utilisateur ouvre la copie du projet, le projet est 'hors ligne'. Il n'est plus possible de se mettre "en ligne". D'abord, la copie locale du projet doit être supprimée et le projet doit à nouveau être copié à partir du serveur.

Éléments requis :

Un client ne peut être déconnecté que si le PC, où la copie locale du projet a été modifiée, n'est pas accessible.

Avec le menu principal 'Fichier -> Insérer projet dans espace de travail', le gestionnaire de base de données de projets (Project database manager) peut être ouvert. Sous le projet dans "Copies locales du projet connectées", vous trouverez tous les utilisateurs qui ont (avaient) une copie locale du projet.

Avec "déconnecter", l'entrée pour cet utilisateur est supprimé du serveur de base de données. Lorsque le client a été déconnecté, la boîte de dialogue peut être fermée.

attention Attention

Cette action ne peut pas être annulée ! Si l'utilisateur sur son PC veut à nouveau accéder au projet multi-utilisateurs, la copie locale du projet doit être supprimé et le projet doit être inséré à nouveau.


Mécanisme de sauvegarde

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Mécanisme de sauvegarde

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

info Info

Les copies locales de projet peuvent être sauvegardées. Tant qu'elles n'ont pas été synchronisées, la restauration est possible.

Autres sujets abordés dans ce chapitre

Sauvegarde projet

Restaurer une sauvegarde de projet


Sauvegarde projet

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Mécanisme de sauvegarde -> Sauvegarde projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La sauvegarde de projet est effectuée dans le gestionnaire de projet dans la partie Sauvegardes.

Autres sujets abordés dans ce chapitre

Sauvegardes des copies locales de projet

Sauvegardes de projets de serveur


Sauvegardes des copies locales de projet

Une sauvegarde de projet peut être créée avec le menu contextuel activé dans la partie Sauvegardes du gestionnaire de projet. L'option Enregistrer la copie locale du projet doit être cochée dans la boîte de dialogue Créer sauvegarde pour qu'une sauvegarde locale du projet soit créée.

Les sauvegardes des copies locales de projet ne peuvent être créées que dans la même session 'hors ligne' que la sauvegarde.

seealso Voir également :

Restaurer les sauvegardes des projets serveur


Sauvegardes de projets de serveur

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Mécanisme de sauvegarde -> Sauvegarde projet -> Sauvegardes de projets de serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une sauvegarde du projet serveur peut être faite à partir de n'importe quel client, si l'option Enregistrer la copie locale du projet n'est pas cochée.


Restaurer une sauvegarde de projet

seealso Voir également :

Sauvegardes des copies locales de projet

Autres sujets abordés dans ce chapitre

Restauration de sauvegardes de copies locales de projet


Restauration de sauvegardes de copies locales de projet

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Mécanisme de sauvegarde -> Restaurer une sauvegarde de projet -> Restauration de sauvegardes de copies locales de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

attention Attention

Restaurer une sauvegarde d'une copie locale du projet n'est possible que tant que la synchronisation n'a pas été effectuée.
Si un projet a été synhronisé depuis la dernière sauvegarde, l'utilisateur n'a que la possibilité de restaurer la sauvegarde en tant que nouveau projet. En faisant cela, le nouveau projet est créé en tant que projet mono-utilisateur.


Permettre, accepter, annuler les modifications

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Permettre, accepter, annuler les modifications

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour apporter des modifications à un projet, les éléments correspondants (fonctions, variables, synoptiques, etc.) doivent être modifiables (Autoriser les modifications). Une fois la modification effectuée, les éléments doivent être à nouveau protégés contre les modifications et doivent être transférés vers le serveur (Accepter les modifications).

Remarque : Les éléments nouveaux et supprimés sont toujours transférés lors de la prochaine synchronisation. Si vous supprimez un élément, il peut encore être modifié sur un autre ordinateur. Toutefois, il est supprimé définitivement après la prochaine synchronisation.

Paramètre

Description

Mettre à jour la version locale

Si d'autres utilisateurs ont fait des modifications dans le projet serveur, les copies locales du projet peuvent être mises à jour avec la commande de menu.

Mets à jour seulement les éléments / modules individuels. Les nouveaux éléments sur le serveur ne sont alors pas disponibles ; une synchronisation est requise.

Permettre les modifications

De façon à pouvoir modifier les éléments, la commande "Permettre les modifications" doit être activée sur ces éléments. Ceci est fait à l'aide du menu contextuel de l'élément sélectionné.
Pour rendre les travaux plus rapides, vous pouvez activer des modifications pour l'ensemble du module au niveau des variables. Cela signifie que toutes les variables, les drivers et les types de données seront verrouillés pour les autres utilisateurs.

Accepter les modifications

Les modifications sont transférées au projet serveur. L'élément / le module est alors déverrouillé pour les autres utilisateurs.
Si les modifications étaient permises pour un module complet, elles ne peuvent être "acceptées" qu'au niveau du module.
Ce qui signifie que toutes les variables, les drivers et les types de données seront transférés et seront déverrouillés pour les autres utilisateurs. Accepter un élément individuellement n'est pas possible dans ce cas.
Les modifications dans la copie locale du projet sont annulées et écrasées par les données provenant du serveur. L'élément / le module est alors déverrouillé pour les autres utilisateurs.

Annuler les modifications

Toutes les modifications sur toutes les variables, les drivers et les types de données sont annulées et tous les éléments seront déverrouillés pour les autres utilisateurs. Annuler une modification sur un élément individuellement n'est pas possible dans ce cas.

info Info

Lorsque vous modifiez le nom du projet, la fonction Annuler les modifications est inopérante. Le nom de projet modifié est conservé.

Modifications affectant plusieurs modules à la fois

Si les modifications sont autorisées au niveau d'un module et des éléments sont créés dans d'autres modules, puis liés à ce module, tous les éléments/modules affectés doivent être définis sur Accepter les modifications. Autorisez d'abord les modifications au niveau des nouveaux éléments/modules, puis autorisez les modifications sur les modules existants. Si vous autorisez les modifications au niveau du module initialement désactivé à ce stade, vous risquez de perdre les dernières configurations.

Exemple :

  • Sur un client, le module RGM est activé.
  • Un nouveau groupe de recettes est créé. Ensuite, une nouvelle recette est créée.
  • Une variable existante est ajoutée au groupe de recettes.
  • Les trois nouvelles variables sont créées et ajoutées.
  • Les verrouillages sont validés, et un nouveau verrouillage est ajouté.
  • Un nouveau synoptique de clavier est créé, avec un nouveau cadre.
  • Dans le groupe de recettes, le nouveau verrouillage est attribué.
  • Le synoptique de clavier est attribué.
  • Une nouvelle variable de visibilité est créée, puis liée à une variable dans le groupe de recettes.

Si l'option Accepter les modifications est activée pour le groupe de recettes et un autre client est synchronisé :

  • L'autre client reçoit les éléments suivants :
    • Un groupe de recettes comportant une variable liée
    • Et une recette contenant la variable
  • Toutes les autres informations sont perdues

Si ce client désactive, modifie et active le groupe de recettes, toutes les nouvelles configurations sont perdues.

Pour garantir l'acceptation des modifications, l'option Accepter les modifications doit être définie pour les éléments suivants :

  • Gestionnaire de groupes de recettes
  • Groupe de recettes
  • Recette
  • Variables
  • Verrouillages
  • Synoptique de clavier
  • Cadre du synoptique de clavier

Autres sujets abordés dans ce chapitre

État des éléments et modules

Légende des symboles


État des éléments et modules

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Permettre, accepter, annuler les modifications -> État des éléments et modules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si un élément a été "sorti" (activation de la commande 'Permettre les modifications'), le symbole affiché dans le gestionnaire de projet et dans la vue de détail change. L'utilisateur qui a "sorti" (qui a activé la commande 'Permettre les modifications') l'élément voit une case avec une coche verte en face de l'élément. Tous les autres utilisateurs voient une coche avec une X rouge, ce qui signifie que dans cette partie, il y a des éléments qui ont été "sortis".

Voir le chapitre Légende.

Dans le cas spécial de l'administration exclusive des variables, les indicateurs d'états sont légèrement grisés.

Example Exemple

Si toutes les variables sont "sorties" par un utilisateur, un autre utilisateur ne peut pas modifier ces variables, mais il peut en créer de nouvelles.

Exception : Lorsque le module complet est "sorti".

Les actions suivantes sont uniquement possibles si l'option Autoriser les modifications est définie pour l'ensemble du module :

  • Création de variable d'ensemble
  • Création de variables de structure
  • Copier-coller de variables d'ensemble et de structure
  • Création de variables reposant sur un type de données de structure avec un ensemble
  • Modification des paramètres d'ensemble d'une variable
  • Modification des paramètres d'ensemble d'une variable dans zenon Logic, avec un profil zenon

info Info

Si une variable est créée sans que l'option Autoriser les modifications soit définie pour l'ensemble du module Variable, les dimensions sont automatiquement définies sur 0. Ceci permet d'éviter la création imprévue d'une variable de structure.

Les options Autoriser les modifications ou Accepter les modifications peuvent uniquement être définies pour les éléments/modules suivants dans leur ensemble :

  • Archives
  • Utilisateurs
  • Menus
  • Matrice de réaction
  • Recettes standard
  • Groupes de recettes
  • Scripts
  • Polices
  • Verrouillages
  • Attributions

Modification de l'affichage à la date affichée dans la fenêtre de détail

Dans la fenêtre de détail, deux colonnes fournissent des informations concernant l'heure des dernières modifications :

  • Last change accepted (Dernière modification acceptée) : affiche toutes les listes relatives au développement distribué, à l'heure de la dernière mise à jour dans la base de données ou à l'heure du dernier archivage.
  • Last modified (Dernière modification) : affiche les informations d'horodatage de la dernière modification des fichiers dans le système de fichiers.

Si les colonnes ne sont pas affichées, vous pouvez les activer comme suit :

  1. En effectuant un double-clic droit sur l'en-tête de colonne
  2. Dans le menu contextuel, en sélectionnant l'élément de menu Sélection colonne
    (Selon le module dans lequel les colonnes sont disponibles.)
  3. Sélectionnez les colonnes souhaitées dans la liste affichée à gauche de l'écran (sélections multiples autorisées)
  4. Ajoutez les colonnes en cliquant sur le bouton Ajouter -> dans la liste droite
  5. Les boutons Haut et Bas permettent de sélectionner la position de votre choix
  6. Confirmez et fermez la boîte de dialogue en cliquant sur OK


Légende des symboles

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Permettre, accepter, annuler les modifications -> Légende des symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les symboles suivants indiquent l'état des éléments dans les projets multi-utilisateurs.

(Par exemple : Un synoptique peut être modifié par un utilisateur [image]).

Les éléments dans la vue de détail du gestionnaire de projet.

Symbole | Description
 | Un nouvel élément a été ajouté dans la copie locale du projet. Lors de la première acceptation de modification, l'élément est transféré au serveur.
 | Un nouvel module a été ajouté dans la copie locale du projet. Lors de la première acceptation de modification, le module est transféré au serveur.
 | Les éléments ont été marqués comme supprimés dans la copie locale du projet. Lors de la première acceptation de modification, l'élément est supprimé sur le serveur.
 | Les modules ont été marqués comme supprimés dans la copie locale du projet. Lors de la première acceptation de modification, le module est supprimé sur le serveur.
 | L'élément peut être modifié par l'utilisateur courant.
 | Le module peut être modifié par l'utilisateur courant.
 | L'élément est verrouillé par un autre utilisateur.

Affichage dans l'arbre du projet

Symbole | Description
 | Le module peut être modifié par l'utilisateur courant.
 | Le module est édité par un autre utilisateur et est donc verrouillé pour l'utilisateur courant.
 | Au moins un élément du module est marqué pour la modification (pas le module complet).


Supprimer des éléments

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Supprimer des éléments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Au départ, les éléments de la base de donnée sont affichés uniquement comme "détruits". Sur les autres clients aucune autre modification ne peut être faite sur ces éléments, ils sont affichés comme "verrouillés". Si "Accepter les modifications" est sélectionné, les éléments sont réellement détruits. Il est possible d'annuler la suppression avec "Annuler les modifications".

Example Exemple

Ceci s'applique aux variables, par exemple : les modifications doivent être acceptées pour que la suppression soit autorisée.

Les éléments de fichier tels que les synoptiques, les fichiers (tables de langues, éléments graphiques), etc. sont directement supprimés après confirmation sur l'ordinateur exécutant le processus. Les éléments nouveaux et supprimés sont toujours transférés lors de la prochaine synchronisation. Si vous supprimez un élément, il peut encore être modifié sur un autre ordinateur. Toutefois, il est supprimé définitivement après la prochaine synchronisation.


Synchronisation d'un projet multi-utilisateurs

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Synchronisation d'un projet multi-utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après qu'un autre utilisateur a ajouté ou détruit un élément, le projet doit être synchronisé de façon à recevoir les modifications. Pour cela, ouvrez le menu contextuel du projet ; sélectionnez Projet -> Menu contextuel -> Multi-utilisateurs -> Synchroniser ou Tous les modules -> Update local version (Mettre à jour la version locale).

Les configurations suivantes peuvent être réalisées avec ce menu contextuel :

Paramètres

Description

Synchroniser

La copie locale est mise à jour avec la base de donnée serveur. Le projet est rechargé dans l'Éditeur.
Attention : Exception : les éléments / modules qui sont "sortis" par cet utilisateur.

Mettre à jour la version locale

Afficher la synchronisation

Permettre les modifications

"sort" les éléments / modules

Accepter les modifications

"enregistre" les éléments / modules

Annuler les modifications

Les modifications apportées à l'élément ne sont pas acceptées et sont abandonnées. Après l'annulation des modifications, le projet est remplacé par les données de la base de données du serveur.

Attention : si les modifications sont annulées sur un élément qui n’a pas encore été "accepté", les modifications qui dépendent de cet élément sont aussi annulées.

Les éléments nouveaux et supprimés sont toujours transférés lors de la prochaine synchronisation.

info Info

Les éléments / modules qui ont été "sortis" par l'utilisateur, qui a fait la synchronisation, ne seront pas inclus dans la synchronisation.


Gestionnaire de groupes de recettes

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Gestionnaire de groupes de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser le gestionnaire de groupes de recettes sous Windows CE, les données du gestionnaire de groupes de recettes doivent être sauvegardées dans la base de données MS Access. Pour Windows CE, les données sont enregistrées au format binaire, sous forme de fichier.

Dans Propriétés du projet -> - Général, si vous cochez la case Projet WindowsCE, les données du module RGM sont automatiquement enregistrées au format binaire.
Vous pouvez définir l'enregistrement des données au format binaire manuellement, indépendamment du projet CE, en sélectionnant
Propriétés du groupe de recettes -> Groupes de recettes -> - -> Fichiers binaires (compatibles CE).

attention Attention

Aucune fonction de conversion d'une base de données MS Access vers le format binaire ou inversement n'est prévue.

Les données existantes du module RGM ne sont pas converties ! Si nécessaire, vous devez exporter les données au format XML avant leur conversion. Vous pouvez ensuite convertir le projet et importer les données dans le nouveau stockage de données.

Modification de la base de données

Si, pour le module RGM, vous avez sélectionné la base de données MS ACCESS DB dans la propriété -, puis coché la case Projet WindowsCE, un conseil relatif à la conversion s'affiche :

Pour conserver les données de la base de données actuelle :

  1. Exportez les données au format XML
  2. Convertissez la base de données
  3. Importez le fichier XML

Boîte de dialogue de filtre dans le Runtime

Si vous activez la propriété Avec dial. de filtre dans les options de la liste de valeurs de la recette lors de l'appel de synoptique, des options limitées sont disponibles sous Windows CE :

  • Filtres recette
  • Paramètres des colonnes (pour la table de recettes)

Les options Sélection recette, Equipment modeling (Modélisation d'équipements) et les paramètres des colonnes de la liste de recettes ne sont pas disponibles.

Projets multi-utilisateurs

Dans les projets multi-utilisateurs, vous pouvez exporter indépendamment les données binaires et la base de données MS Access.

Dans la fenêtre Traitement en cours, l'état du type de stockage défini sur cet ordinateur est affiché. Si des fichiers binaires sont utilisés, vous ne pourrez pas voir si la base de données Access a également été exportée.

Dans ce cas, le scénario suivant est possible :

  • Sur le PC A, la base de données Access est exportée
  • Sur le PC B, le projet Windows CE est activé, et donc converti en données binaires
  • Sur le PC B, les fichiers binaires sont exportés
  • Sur le PC B, les modifications sont appliquées, puis synchronisées avec le PC A
  • Les données du PC A sont alors également converties en fichiers binaires
  • La base de données reste toutefois extraite sur le PC A
  • Il n'y a que lorsque le PC B convertit à nouveau les données sous forme de base de données Access que vous pourrez voir que la base de données Access est extraite sur le PC A


VBA et VSTA

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> VBA et VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez l'entrée Ouvrir Éditeur VBA ou Ouvrir Éditeur VSTA dans le menu contextuel des interfaces de programmation ; l'Éditeur est alors activé, et les modifications sont autorisées.

Attention : en règle générale, le code VBA autorise les modifications, même si l'option Autoriser les modifications a été définie pour élément sur un autre ordinateur.
Vous devez donc tenir compte des aspects suivants avant d'effectuer des modifications à l'aide du code VBA :

  1. Avant de reprendre des modifications, assurez-vous d'intervenir sur un projet multi-utilisateurs.
  2. Si c'est le cas, vérifiez si l'élément a été ajouté par un autre client
  3. Si c'est le cas, vérifiez si l'état local Autoriser les modifications (extraire) est défini pour l'élément
    1. Si c'est le cas, l'objet peut être modifié
    2. Dans le cas contraire, l'option Autoriser les modifications doit être définie pour l'objet
    • Vérifiez à nouveau si l'option Autoriser les modifications est définie pour l'objet
    • Si c'est le cas, l'objet peut être modifié par le biais du code VBA
  4. Une fois les modifications effectuées, l'option Accepter les modifications (archiver) doit être définie pour l'objet par le biais du code VBA

attention Attention

Dans les projets multi-utilisateurs, l'éditeur VBA ne doit pas être ouvert avec le raccourci ALT+F11. Si VBA n'est pas "sorti" (checked out), les modifications ne sont pas acceptées. Lorsque l'éditeur VBA est ouvert, un message d'avertissement indique quels sont les projets concernés.


Fermeture de l'Éditeur

Manuels -> Développement distribué -> Utilisation de projets multi-utilisateurs -> Fermeture de l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Chaque utilisateur devrait accepter les modifications sur ses éléments avant de fermer l'Éditeur, l'espace de travail ou le projet. Tant qu'il ne l'a pas fait, les autres utilisateurs ne peuvent pas modifier ces éléments. Voir également le chapitre Editeur / Fermer l'Éditeur. Fermer l'éditeur.

Si vous fermez l'Éditeur sans accepter les modifications, une boîte de dialogue d'acceptation ou de refus des modifications est affichée :

Paramètres | Description
Liste des éléments | Ce champ dresse la liste des éléments dont la modification n'est pas autorisée. Les modifications des éléments affichés peuvent être acceptées ou refusées, en cliquant sur le bouton correspondant.
Accepter les modifications | Les modifications de tous les éléments sont acceptées.
Annuler les modifications | Les modifications de tous les éléments sont abandonnées.
Editer | La fermeture est abandonnée.
Next | Poursuit le processus de fermeture du projet actuel. Les éléments restent désactivés pour les autres utilisateurs. Si plusieurs projets multi-utilisateurs doivent être fermés, cette boîte de dialogue est affichée pour le projet devant être fermé par la suite.
Suivant (tous) | Poursuit le processus de fermeture de tous les projets multi-utilisateurs dans l'espace de travail devant être fermé. Les éléments restent désactivés pour les autres utilisateurs.
Aide | Ouvre l'aide en ligne.


Travailler 'hors ligne'

Manuels -> Développement distribué -> Travailler 'hors ligne'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors du travail 'hors ligne', il n'y a pas de connexion au serveur, par exemple, lorsqu'un ingénieur prend le projet avec lui sur son PC portable.

Pour basculer un projet "hors ligne", l'entrée "Activer le mode hors ligne'' doit être sélectionné dans le menu contextuel "Multi-utilisateurs" sur le projet. Les projets qui ne sont pas connectés à la base de données serveur sont automatiquement basculés en mode 'hors ligne'.

info Info

Les opérations Accepter les modifications et Annuler les modifications ne sont pas disponibles lorsqu'on est en mode 'hors ligne'.

Seul Permettre les modifications est accessible en mode 'hors ligne', sinon aucune modification ne serait possible en mode 'hors ligne'. Accepter les modifications peut être activé en mode de fonctionnement en ligne.

Autres sujets abordés dans ce chapitre

Passer en mode 'hors ligne'

Passage du mode "hors ligne" au mode 'en ligne'

Possibilités du mode de fonctionnement hors ligne


Passer en mode 'hors ligne'

Manuels -> Développement distribué -> Travailler 'hors ligne' -> Passer en mode 'hors ligne'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il peut y avoir plusieurs cas lors du passage en mode "hors ligne»

Autres sujets abordés dans ce chapitre

Les éléments / modules sont verrouillés par un autre utilisateur

Les éléments / modules sont "sortis" (check out) par le même utilisateur au moment du passage "hors ligne».

Aucun élément/module n’est extrait lors de l'activation du mode hors ligne


Les éléments / modules sont verrouillés par un autre utilisateur

Manuels -> Développement distribué -> Travailler 'hors ligne' -> Passer en mode 'hors ligne' -> Les éléments / modules sont verrouillés par un autre utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors du passage en mode 'hors ligne', un autre utilisateur est en train de modifier les éléments / les modules. Dans ce cas, aucun changement ne pourra être fait en mode "hors ligne".


Les éléments / modules sont "sortis" (check out) par le même utilisateur au moment du passage "hors ligne».

Manuels -> Développement distribué -> Travailler 'hors ligne' -> Passer en mode 'hors ligne' -> Les éléments / modules sont "sortis" (check out) par le même utilisateur au moment du passage "hors ligne».

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors du passage en mode 'hors ligne', le même utilisateur est en train de modifier les éléments / les modules. Dans ce cas, aucun changement en ligne ne pourra être fait par les autres utilisateurs pendant le temps que cet utilisateur est en mode "hors ligne".


Aucun élément/module n’est extrait lors de l'activation du mode hors ligne

Manuels -> Développement distribué -> Travailler 'hors ligne' -> Passer en mode 'hors ligne' -> Aucun élément/module n’est extrait lors de l'activation du mode hors ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors du passage en mode 'hors ligne', aucun élément n'est "sorti" (check out).

Cas 1 :

Les modifications 'hors ligne' pour un élément / un module sont possible, mais c'est aussi possible 'en ligne'.

L'utilisateur A modifie un élément / module 'hors ligne', et l'utilisateur B le modifie 'en ligne'.

Lorsqu'un utilisateur A active le mode en ligne, le serveur identifie que l'utilisateur B modifie simplement le module/l'élément en ligne.

Les modifications effectuées par l'utilisateur A sont perdues.

attention Attention

Dans ce cas, les modifications faites 'hors ligne' (par l'utilisateur A) sont perdues !

Cas 2 :

Lorsque l'utilisateur A accepte ses modifications, l'utilisateur B a déjà accepté ses modifications.

Les modifications effectuées par l'utilisateur A remplacent les modifications effectuées par l'utilisateur B lors de l'activation du mode en ligne.

attention Attention

Dans ce cas, les modifications faites 'en ligne' (par l'utilisateur B) sont perdues !


Passage du mode "hors ligne" au mode 'en ligne'

Manuels -> Développement distribué -> Travailler 'hors ligne' -> Passage du mode "hors ligne" au mode 'en ligne'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour repasser un projet "hors ligne" en mode en ligne, utiliser l'option En ligne du menu contextuel du projet. Le projet est rechargé dans l'éditeur immédiatement.


Possibilités du mode de fonctionnement hors ligne

Manuels -> Développement distribué -> Travailler 'hors ligne' -> Possibilités du mode de fonctionnement hors ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Éléments/modules

Créer, modifier, renommer, supprimer


Éditeur

Manuels -> Éditeur

zenon est constitué de deux composants principaux : l'Éditeur et le Runtime. Les projets sont créés dans l'Éditeur, les opérations et le suivi interviennent dans le Runtime. L'Éditeur est disponible sous forme de version 32 bits et 64 bits, à partir de zenon 7.10. Les projets peuvent être édités dans les deux versions. D'autres informations concernant la compatibilité avec les différentes versions de zenon 7.10 sont disponibles dans le manuel Conversion de projets, au chapitre Version 64 bits.

Dans ce manuel consacré à l'Éditeur, vous découvrirez les composants essentiels de l'Éditeur et obtiendrez des informations concernant l'utilisation du Gestionnaire de projet, des barres d'outils, des menus et des profils de l'Éditeur. Vous trouverez plus d'information sur le menu contextuel des éléments dans le chapitre Synoptiques.

tutorial Informations concernant la licence

L'Éditeur de zenon doit disposer d'une licence. La licence est calculée en fonction du nombre d'identifiants ou d'E/S utilisés. Pour plus de détails concernant la gestion des licences, reportez-vous au chapitre Gestion des licences.

L'Éditeur est disponible dans les versions zenon Supervisor et zenon Operator. Ces versions possèdent des fonctionnalités différentes. Pour plus de détails, reportez-vous à la section Restrictions concernant zenon Operator.

SQL Server

L'Éditeur de zenon utilise une base de données SQL. Ce logiciel est également installé lors de l'installation de zenon. Pour établir une connexion, l'Éditeur se connecte au serveur SQL de zenon (zenDBSrv.exe). Ceci permet d'établir la connexion au serveur SQL.

Utilisation avec plusieurs moniteurs

Si plusieurs moniteurs sont utilisés sur un même PC, les boîtes de dialogue, barres d'outils et autres peuvent être déplacées vers d'autres moniteurs. Leur position est enregistrée et conservée jusqu'au prochain démarrage de l'Éditeur.

info Info

Si seul le moniteur principal est disponible lors du redémarrage du moniteur, les éléments qui ont été déplacés ne seront peut-être pas affichés dans une zone visible. Pour réorganiser tous les éléments sur le moniteur principal, activez le profil standard. Cette fonction peut être utilisée pour rétablir les positions conformément aux valeurs par défaut.

Autres sujets abordés dans ce chapitre

Démarrer éditeur

Compatibilité

Interface utilisateur

Barres de boutons

Barre de menus

Profils de l'Éditeur

Gestionnaire de projet

Fenêtre principale

Fenêtre des propriétés

Aide des propriétés

Fenêtre de suivi

Barre d'état

Fermer l'éditeur


Démarrer éditeur

Manuels -> Éditeur -> Démarrer éditeur

Vous disposez de plusieurs méthodes pour démarrer l'Éditeur :

  • Cliquez sur le symbole zenon sur votre bureau.
  • Utilisez le menu Windows Démarrer -> COPA-DATA -> zenon Editor.
  • Démarrez l'Éditeur à l'aide de l'outil Startup Tool. Cet outil permet de gérer les différentes versions de zenon, ainsi que la configuration de l'Éditeur et du Runtime au démarrage du programme.
  • À l'aide de la fonction Exécution automatique de Windows

Service zenAdminSrv

Le service zenAdminSrv doit être démarré pour démarrer l'Éditeur. Si le service n'est pas disponible, vous verrez s'afficher le message d'erreur : "L'éditeur ne peut pas être démarré car le service 'zenAdminSrv' ne peut pas être atteint !". Activez le service et redémarrez l'Éditeur.

Lors du démarrage à l'aide de la fonction d'Exécution automatique de Windows, zenon tente de démarrer l'Éditeur cinq fois, puis annule cette tentative en affichant ce message d'erreur, qui indique que le service ne peut pas être atteint.


Compatibilité

Manuels -> Éditeur -> Compatibilité

L'éditeur de zenon est entièrement rétrocompatible. Vous pouvez à tout instant ouvrir et modifier des projets créés avec une version antérieure du programme.

Lors de l'ouverture d'un projet avec un numéro de version inférieur :

  • le projet est automatiquement converti
  • une sauvegarde du projet est automatiquement créée

Attention : les projets convertis ne peuvent plus être ouverts dans un éditeur possédant un numéro de version inférieur. La sauvegarde de projet créée durant la conversion peut encore être ouverte et modifiée.

Compatibilité de l'Éditeur et du Runtime :

Avec l'Éditeur zenon, des fichiers de Runtime peuvent être créés pour différentes versions du Runtime. Il n'est donc pas nécessaire que la version du Runtime corresponde à la version de l'Éditeur. Cette rétrocompatibilité est particulièrement adaptée à l'utilisation de systèmes mixtes. Par exemple : un projet planifié avec la version 6.50 de l'Éditeur peut également être démarré dans le Runtime 6.22.

attention Attention

Si, dans un projet planifié avec une version ultérieure de l'Éditeur, des propriétés affichées ne sont pas disponibles dans la version antérieure, ces propriétés ne sont pas disponibles. Ceci peut produire des résultats indésirables dans le Runtime.

Création de fichiers de Runtime

Pour créer des fichiers de Runtime dans l'Éditeur pour les versions antérieures du Runtime :

  1. Sélectionnez le projet dans l'arborescence du projet.
  2. Accédez à la section Général des propriétés du projet.
  3. Ouvrez la liste déroulante de la propriété Créer fichiers RT pour.
  4. Sélectionnez la version de votre choix :
    • Par défaut : Les fichiers de Runtime sont créés pour la version actuelle de l'Éditeur.
    • 6.20 SP4 : les fichiers de Runtime sont créés pour la version 6.20 Service Pack 4.
    • 6.21 SP0 : les fichiers de Runtime sont créés pour la version 6.21 Service Pack 0.
    • 6.21 SP1 : les fichiers de Runtime sont créés pour la version 6.21 Service Pack 1.
    • 6.22 SP0 : les fichiers de Runtime sont créés pour la version 6.22 Service Pack 0.
    • 6.22 SP1 : les fichiers de Runtime sont créés pour la version 6.22 Service Pack 1.
    • 6.50 SP0 : les fichiers de Runtime sont créés pour la version 6.50 Service Pack 0.
    • 6.51 SP0: les fichiers de Runtime sont créés pour la version 6.51 Service Pack 0.
    • 7.00 SP0: les fichiers de Runtime sont créés pour la version 7.00 Service Pack 0.

Attention : pour garantir la cohérence des fichiers de Runtime, tous les fichiers de Runtime doivent être recréés à chaque modification de cette propriété. Les configurations de tous les drivers sont converties. Les paramètres qui n'existent pas dans la version correspondante sont définis sur le paramètre par défaut.

XML

Les données exportées au format XML sont alors disponibles et peuvent être importées dans des versions ultérieures de l'Éditeur.

Exception : si des données provenant du gestionnaire de groupes de recettes sont directement enregistrées dans le Runtime sous forme de fichier XML à l'aide de la fonction d'exportation, ces données ne peuvent pas être réimportées.


Interface utilisateur

Manuels -> Éditeur -> Interface utilisateur

L'interface utilisateur de l'Éditeur est constituée de différents éléments :

L'élément

Contenu

01 - Barres d'outils :

Un ensemble de barres d'outils destinées à l'Éditeur et ses modules. Elles sont disponibles pour :

  • Fenêtre ancrables
  • Alignement
  • Synoptiques / Symboles
  • Profils de l'Éditeur
  • Éléments
  • Barre de menus
  • Production & Facility Scheduler
  • Transport à distance
  • Générateur de rapports
  • Fichiers Runtime
  • Niveaux de visibilité
  • macros VBA

02 - Gestionnaire de projet :

Vue en arborescence du gestionnaire de projet.

03 - Vue de détail du gestionnaire de projet :

Détails du module sélectionné dans le gestionnaire de projet.

04 - Fenêtre principale :

Espace de travail principal ; ici, les documents tels que les synoptiques ou les rapports sont affichés.

05 - Barre d'outils Éléments :

Barre d'outils des éléments de synoptique (éléments vectoriels et dynamiques).

06 - Propriétés

Affiche les propriétés d'un objet sélectionné. Trois modes sont disponibles et peuvent être sélectionnés dans la barre d'outils Propriétés.

07 - Aide des propriétés :

Affiche des messages d'aide courts relatifs aux propriétés des synoptiques, des variables, des fonctions et autres éléments pouvant être configurés.

08 - Fenêtre de sortie

Les messages sont affichés ici si des projets ont été compilés et transmis au Runtime.

09 - Barre d'état :

Affiche des informations d'état concernant la disponibilité de l'Éditeur et les synoptiques.

10 - Barre d'outils Propriétés :

Définit les options d'affichage et de tri des propriétés, et affiche l'aide des propriétés.

11 - Liste de références croisées :

Vous choisissez les fenêtres devant être affichées :

  • Dans la liste déroulante sous Options ;

La disposition des fenêtres peut être configurée individuellement. Seule la fenêtre principale ne peut pas être masquée.

Autres sujets abordés dans ce chapitre

Ajuster la vue

Positionner la fenêtre

Mode Plein écran

Raccourcis clavier


Ajuster la vue

Manuels -> Éditeur -> Interface utilisateur -> Ajuster la vue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Toutes les fenêtres de l'Éditeur peuvent être groupées individuellement. Vous pouvez accéder aux propriétés de groupement des fenêtres en cliquant avec le bouton droit sur la bordure de la fenêtre. Vous pouvez enregistrer vos propres paramètres sous forme de profils d'éditeur.

Menu contextuel Fenêtre

Options

État

Fonction

Non ancrée

Actif

La fenêtre sélectionnée peut être positionnée librement sur le bureau. Elle est affichée dans la fenêtre principale. Vous pouvez afficher plusieurs fenêtres dans la fenêtre principale et basculer de l'une à l'autre.

Double-cliquez sur la barre de titre pour basculer entre les options Unanchored (Non ancrée) et Dock (Ancrée).

Inactive

(Par défaut)

La fenêtre sélectionnée est ancrée. La propriété Dock (Ancrer) est active.

Dock (Ancrer)

Actif

(Par défaut)

Vous pouvez déplacer les fenêtres à votre convenance aussi longtemps que vous maintenez le bouton gauche de la souris enfoncé. Lors du déplacement, une aide au positionnement indique la position dans laquelle doit être insérée la fenêtre. Lorsque vous relâchez le bouton de la souris, la fenêtre "s'arrime" sur les fenêtres environnantes.

Lors du basculement de l'option Unanchored (Non ancrée) vers l'option Dock (Ancrée), la fenêtre est insérée dans sa dernière position ancrée.

Double-cliquez sur la barre de titre pour basculer entre les options Unanchored (Non ancrée) et Dock (Ancrée).

Conseil : Si vous souhaitez déplacer une fenêtre sans l'arrimer, maintenez la touche Ctrl pendant le déplacement. Dans ce cas, aucune aide au positionnement n'est affichée.

Inactive

Vous pouvez déplacer les fenêtres à votre convenance aussi longtemps que vous maintenez le bouton gauche de la souris enfoncé. Lorsque vous relâchez le bouton, les fenêtres apparaissent l'emplacement choisi au premier plan.

La propriété Unanchored (Non ancrée) est active.

Switch in the main window (Basculer vers la fenêtre principale)

Actif

La fenêtre est affichée sous forme d'onglet dans la fenêtre principale.

Tous les onglets sont affichés dans la fenêtre principale. Vous pouvez passer d'un onglet à l'autre en cliquant sur les intitulés des fenêtres.

Pour ouvrir un onglet sous forme de fenêtre, ouvrez le menu contextuel en cliquant avec le bouton droit sur l'intitulé de la fenêtre et définissez la propriété Switch in main window (Basculer vers la fenêtre principale) sur Inactif.

Inactive

(Par défaut)

La fenêtre est affichée normalement.

Fade out automatically (Estomper automatiquement)

Actif

Dès que la souris est déplacée hors de la fenêtre actuelle, celle-ci est déplacée vers l'arrière-plan. La barre de titre de la fenêtre est affichée dans la bordure gauche de l'Éditeur.

Pour ramener la fenêtre au premier plan, passez le pointeur de la souris sur la barre de titre de la fenêtre.

Inactive

(Par défaut)

La fenêtre est toujours affichée au premier plan.

Quitter

La fenêtre sélectionnée est fermée.

Pour l'afficher à nouveau, sélectionnez Barre de menus -> Options > Nom de la fenêtre


Positionner la fenêtre

Manuels -> Éditeur -> Interface utilisateur -> Positionner la fenêtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Positionnement

Vous pouvez repositionner toutes les fenêtres de l'Éditeur zenon sur le bureau à votre convenance en utilisant :

  • Glisser-déposer : faites glisser les fenêtres dans la position souhaitée et placez-les librement (fenêtre non ancrées) ou ancrez-les.
  • Double-cliquez sur la barre de titre pour basculer entre les options Unanchored (Non ancrée) et Dock (Ancrée).

Aides au positionnement

Lors du déplacement de fenêtres depuis l'interface de l'Éditeur, les aides au positionnement sont affichées. Celles-ci représentent les fenêtres ou leurs bordures.

Cet élément représente la zone d'une fenêtre dans l'Éditeur.

Cet élément représente la bordure d'une fenêtre dans l'Éditeur.

Positionner la fenêtre

Pour positionner un élément en tant qu'élément ancré :

  1. A l'aide de la souris, déplacez l'élément vers la zone souhaitée...
  2. L'aide au positionnement est affichée.
  3. Ceci représente une fenêtre et ses zones :
    1. Centre : fenêtre entière
    2. Haut : moitié supérieure
    3. Bas : moitié inférieure
    4. Droite : moitié droite
    5. Gauche : moitié gauche

    ...Ou vers la bordure de l'Éditeur.

  4. Déplacez la souris vers l'aide au positionnement centrale ou vers une aide au positionnement située sur la bordure de l'Éditeur, puis déplacez-la vers la zone souhaitée.
  5. La zone de l'Éditeur dans laquelle l'élément a été placé lorsque le bouton de la souris a été relâché est colorée en bleu.
  6. Déplacez la souris dans l'aide au positionnement jusqu'à atteindre la zone souhaitée, affichée en bleu
  7. Relâchez le bouton de la souris pour placer l'élément.
  8. Si une fenêtre est placée sur une fenêtre existante, les deux fenêtres sont affichées au même emplacement, à l'aide d'onglets.

Exemples

  1. La fenêtre des propriétés est configurée en position ancrée.
  2. Les aides au positionnement sont alors affichées.

  3. Le pointeur de la souris est positionné au-dessus de la flèche supérieure de l'aide au positionnement.
  4. La zone d'insertion est repérée en bleu dans l'Éditeur.

  5. La fenêtre est insérée au point affiché en surbrillance lorsque le bouton de la souris est relâché :

  6. Maintenant, le pointeur de la souris est placé au-dessus de l'aide au positionnement de la bordure supérieure.
  7. La zone d'insertion est à nouveau repérée en bleu dans l'Éditeur.

  8. La fenêtre est insérée au point affiché en surbrillance lorsque le bouton de la souris est relâché :


Mode Plein écran

Manuels -> Éditeur -> Interface utilisateur -> Mode Plein écran

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'Éditeur de zenon, vous pouvez basculer la fenêtre principale en mode plein écran. Pour cela,

  • Utilisez le raccourci-clavier Maj+F9
    ou
  • Sélectionnez l'entrée Mode plein écran dans la liste déroulante Fenêtre

Le mode plein écran masque toutes les autres fenêtres et affiche uniquement la fenêtre principale contenant tous les documents ouverts (synoptiques, rapports, etc.) en mode plein écran.

Vous pouvez fermer le mode plein écran en :

  • Cliquant sur le bouton de fermeture du mode plein écran
  • En appuyant sur Maj+F9
  • En appuyant sur Échap

Activation du mode plein écran

Dans le mode plein écran, un menu permettant de quitter le mode plein écran et d'afficher certaines fenêtres et barres d'outils est affiché.

Paramètre

Description

Close full-screen (Quitter le mode plein écran)

Quitte le mode plein écran. Vous pouvez également appuyer sur les touches Maj+F9 ou Échap.

Fenêtre amarrables

Liste déroulante d'ouverture de fenêtres.

  • Propriétés
  • Aide des propriétés

Lors de la première utilisation, les fenêtres sont affichées dans une position définie fixe. Elles peuvent être positionnées librement et affichées dans la position de votre choix lors du prochain affichage en mode plein écran.

Barres de boutons

Liste déroulante d'ouverture de barres d'outils :

  • Synoptiques
  • Alignement
  • Niveau de visibilité
  • Éléments

Lors de la première utilisation, les barres d'outils sont affichées dans une position définie fixe. Elles peuvent être positionnées librement et affichées dans la position de votre choix lors du prochain affichage en mode plein écran.


Raccourcis clavier

Manuels -> Éditeur -> Interface utilisateur -> Raccourcis clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Généralités

Commande | Combinaison de touches
Ouvrir l'aide | F1
Ouvrir/fermer le mode plein écran | Maj+F9
Fermer le mode plein écran à distance | Ctrl+Alt+Maj+F
Démarrer l'Éditeur VSTA | Alt+F10
Démarrer l'Éditeur VBA | Alt+F11
Assistants : Ouvrir la sélection | Alt+F12
Ouvre l'explorateur de fichier pour le projet actuel, en affichant le dossier SQL. Correspond à : %ProgramData%\COPA-DATA\[dossier SQL]\[UID]\FILES | Ctrl+Alt+E
Ouvre l'explorateur de fichiers en affichant les fichiers du projet actuel. Correspond à : %CD_USERDATA% Par exemple : C:\Users\Public\Documents\<CD_zenon_Projects | Ctrl+Alt+D

Profils de l'Éditeur

Commande | Combinaison de touches
Charger le profil 1 de l'Éditeur | Maj+F1
Charger le profil 2 de l'Éditeur | Maj+F2
Charger le profil 3 de l'Éditeur | Maj+F3
Charger le profil 4 de l'Éditeur | Maj+F4
Charger le profil 5 de l'Éditeur | Maj+F5
Charger le profil 6 de l'Éditeur | Maj+F6
Charger le profil 7 de l'Éditeur | Maj+F7
Charger le profil 8 de l'Éditeur | Maj+F8
Enregistrer la vue actuelle de l'Éditeur sous : |
Profil 1 | Ctrl+Maj+F1
Profil 2 | Ctrl+Maj+F2
Profil 3 | Ctrl+Maj+F3
Profil 4 | Ctrl+Maj+F4
Profil 5 | Ctrl+Maj+F5
Profil 6 | Ctrl+Maj+F6
Profil 7 | Ctrl+Maj+F7
Profil 8 | Ctrl+Maj+F8

Editeur graphique :

Note concernant les raccourcis : le signe plus (+) signifie que les touches sont enfoncées simultanément.
Par exemple :

Ctrl+A signifie : maintenez la touche Ctrl enfoncée, puis appuyez sur la touche A.

Ctrl++ signifie : maintenez la touche Ctrl enfoncée, puis appuyez sur la touche +.

Généralités

Commande | Combinaison de touches
Fenêtre principale : faire défiler le contenu avec le pointeur Main | Maintenez la touche Espace enfoncée
Fermer le synoptique actuel | Ctrl+F4
Ouvrir les propriétés | Alt+Entrée

Sélection

Commande

Combinaison de touches

Sélectionner plusieurs objets

Appuyez sur Maj ou Ctrl

Désélectionner un objet dans une sélection multiple

Ctrl + clic de souris

Sélection : modifier l'ordre de tri. Définir l'élément sur lequel tous les autres seront réalignés

Appuyez sur Maj durant la sélection

Sélectionner les objets masqués
  1. Appuyez sur Alt
  2. Cliquez sur l'objet et déplacez-le

Sélectionner tous les éléments d'un synoptique

Ctrl+A

Sélectionner l'élément suivant dans l'ordre de création des éléments

Tabulation

Sélectionner l'élément précédent dans l'ordre de création des éléments

Maj + Tabulation

Positionnement

Commande | Combinaison de touches
Déplacer l'objet sélectionné | Touches fléchées du clavier
Déplacer l'objet de 10 pixels à chaque pression sur une touche fléchée | Maj + touches fléchées
Déplacer l'objet horizontalement ou verticalement | Appuyez sur Maj durant le déplacement
Centrer l'objet sélectionné dans la zone de travail | H

Actions

Commande | Combinaison de touches
Enregistrer les modifications | Ctrl+S
Coller l'élément depuis le presse-papiers | Ctrl+V Maj + Insér.
Insérer un élément du presse-papiers dans sa position originale ; l'original et la copie se superposent | Ctrl+Maj+V
Copie l'élément sélectionné. | Ctrl+C Ctrl+Insér.
Copier, plutôt que déplacer | Appuyez sur Ctrl durant le déplacement
Supprime l'élément sélectionné. | Suppr
Couper l'élément sélectionné | Maj + Suppr. Ctrl+X
Annuler les modifications | Ctrl+Z Alt+Retour arrière
Ajouter ou supprimer un nœud dans l'élément sélectionné. Ajouter : le pointeur de la souris devient un symbole moins (+). Supprimer : le pointeur de la souris devient un symbole moins (-). Fonctionne avec les polylignes, les polygones et les barres verticales. | Ctrl+Maj
Annuler le tracé des polylignes et polygones | S
Annuler le tracé des polylignes et polygones et supprimer la dernière section tracée | Échap
Déplacer les éléments sélectionnés d'un niveau vers le haut | +
Déplacer les éléments sélectionnés d'un niveau vers le bas | -
Déplacer les éléments sélectionnés au premier plan | Ctrl++
Déplacer les éléments sélectionnés vers l'arrière-plan | Ctrl+-

Redimensionnement

Commande

Combinaison de touches

Modifier la taille

Déplacez le pointeur de la souris sur le coin ; le pointeur devient une flèche. Vous pouvez ensuite positionner le coin au pixel près en vous servant des touches fléchées, ou le déplacer par incréments de 10 pixels en appuyant sur les touches fléchées+Maj.

Remarque : si un angle différent de 0 a été défini pour un élément via la propriété Angle de rotation [°], il ne peut pas être redimensionné à l'aide des touches fléchées.

Redimensionner l'objet autour du centre

Appuyez sur Alt durant le redimensionnement.

Redimensionnement proportionnel

Appuyez sur Maj durant le redimensionnement

Vue de détail

Commande | Combinaison de touches
Crée un nouvel élément pour le module concerné | Inser
Modifie la colonne sélectionnée | F2
Copie un élément sélectionné de la liste | Ctrl+C
Insère un élément préalablement copié de la liste | Ctrl+V
Supprime un élément sélectionné de la liste | Suppr
Fait défiler la liste de plusieurs éléments vers le haut | Page préc.
Fait défiler la liste de plusieurs éléments vers le bas | Page suiv.
Permet de parcourir la liste | Touche fléchée

Runtime

Commande | Combinaison de touches
Démarrer le Runtime ; créer préalablement les fichiers Runtime modifiés. | F5
Créer les fichiers Runtime modifiés | F7
Afficher les différentes fenêtres Windows ouvertes. | Alt+Tabulation
Arrêter le Runtime | Alt+F4
Ouvrir l'Explorateur Windows et sélectionner le dossier des fichiers de Runtime. Vous devez sélectionner le projet dans l'arborescence des projets. | Ctrl+Alt+D
Ouvrir l'Explorateur Windows et sélectionner le dossier des projets de Runtime. Vous devez sélectionner le projet dans l'arborescence des projets. | Ctrl+Alt+R


Barres de boutons

Manuels -> Éditeur -> Barres de boutons

Par défaut, les barres d'outils principales sont positionnées sous la barre de menus. - A l'exception de la barre d'outils Éléments, qui est affichée à droite de la fenêtre principale. Lorsque vous placez le pointeur de la souris sur un symbole, des informations concernant la fonction du symbole sont affichées dans la ligne d'état.

Les barres d'outils principales suivantes sont disponibles :

  • Fenêtre ancrables
  • Alignement
  • Synoptiques / Symboles
  • Profils de l'Éditeur
  • Éléments
  • Barre de menus
  • Production & Facility Scheduler
  • Transport à distance
  • Générateur de rapports
  • Fichiers Runtime
  • Niveaux de visibilité
  • macros VBA

Les synoptiques suivants comportent des barres d'outils uniques qui sont affichées dans la partie supérieure de l'écran :

  • Détails de l'espace de travail
  • Propriétés

info Info

Les titres des barres d'outils correspondent toujours à la langue activée dans l'Éditeur lorsque la barre d'outils a été affichée pour la première fois. Par exemple : si vous avez utilisé la barre d'outils Synoptiques pour la première fois en allemand, son nom sera conservé, même si vous basculez l'Éditeur en anglais par la suite.

Si vous souhaitez basculer les noms vers une autre langue, vous devez d'abord supprimer tous les profils de l'Éditeur, puis démarrer l'Éditeur dans la langue souhaitée et activer les barres d'outils.

Les profils de l'Éditeur ne sont pas supprimés dans zenon, mais au niveau du système de fichiers. Pour plus de détails, reportez-vous au chapitre Suppression de profils de l'Éditeur.

Actions avec les symboles et barres d'outils

Les options des barres d'outils peuvent être modifiées dans : Options -> Paramètres -> onglet Barre d'outils

Actions des barres d'outils :

  • Positionner à n'importe quel endroit à l'écran
  • Fermer
  • Ouvrir

Actions des symboles :

  • Supprimer
  • Ajouter :

Positionner la barre d'outils

  1. Cliquez avec le bouton gauche sur une zone libre de la barre d'outils.
  2. Ensuite, déplacez la barre d'outils vers l'emplacement de votre choix à l'écran.
  3. Un rectangle indique l'emplacement et la position de la barre d'outils.
  4. Relâchez le bouton de la souris pour positionner la barre d'outils.

Remarque : les barres d'outils comportant des listes déroulantes peuvent uniquement être positionnées horizontalement.

Fermer la barre d'outils

Vous pouvez fermer les barres d'outils par le biais de la liste déroulante Options ou des paramètres disponibles dans la section Options.

Liste déroulante : Manière la plus rapide de fermer une barre d'outils

  1. Cliquez sur la liste déroulante Options
  2. Accédez à la section Barre d'outils
  3. Cliquez sur l'entrée correspondant à la barre d'outils que vous souhaitez fermer

Paramètres : permet de fermer plusieurs barres d'outils à la fois

  1. Ouvrez le menu Options -> Paramètres -> onglet : Barre d'outils
  2. Décochez la case adjacente à la barre d'outils souhaitée.
  3. Confirmez votre sélection en cliquant sur OK.

Ouvrir la barre d'outils

Vous pouvez ouvrir les barres d'outils par le biais de la liste déroulante Options ou des paramètres disponibles dans la section Options.

Liste déroulante : Manière la plus rapide d'ouvrir une barre d'outils

  1. Cliquez sur la liste déroulante Options
  2. Accédez à la section Barre d'outils
  3. Cliquez sur l'entrée correspondant à la barre d'outils que vous souhaitez ouvrir

Paramètres : permet d'ouvrir plusieurs barres d'outils à la fois

  1. Ouvrez le menu Options -> Paramètres -> onglet : Barre d'outils
  2. Décochez la case adjacente à la barre d'outils souhaitée.
  3. Confirmez votre sélection en cliquant sur OK.

Ajouter des symboles

  1. Ouvrez le menu Options -> Paramètres -> onglet : Commandes
  2. Choisissez une catégorie dans la fenêtre gauche.
  3. Cliquez avec le bouton gauche de la souris sur le symbole de votre choix dans la fenêtre droite.
  4. Maintenez le bouton gauche de la souris enfoncé et faites glisser le symbole vers la position de votre choix dans la barre d'outils.

Supprimer des symboles

  1. Ouvrez le menu Options -> Paramètres -> onglet : Barre d'outils
  2. Tous les symboles de toutes les barres d'outils de l'Éditeur sont activés.
  3. Cliquez avec le bouton gauche de la souris sur le symbole.
  4. Éloignez le symbole de la barre d'outils et relâchez le bouton de la souris.

Autres sujets abordés dans ce chapitre

Barre d'outils Fenêtres ancrables

Alignement des barres d'outils

Barre d'outils Synoptique

Barre d'outils Symboles

Barre d'outils Profils de l'Éditeur

Barre de boutons Éléments

Barre d'outils du module Production & Facility Scheduler

Barre de boutons "Transport à distance"

Barre d'outils Générateur de rapports

Barre de boutons "Fichiers Runtime"

Barre d'outils Niveaux de visibilité

Barre d'outils Liste de macros

Barres d'outils de la vue de détail

Propriétés de la barre d'outils


Barre d'outils Fenêtres ancrables

Manuels -> Éditeur -> Barres de boutons -> Barre d'outils Fenêtres ancrables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fenêtres masquées ou fermées suivantes peuvent être réactivées grâce à la barre Fenêtres ancrables.

Symbole

(de gauche à droite)

Fonction

Gestionnaire de projet

Affiche le gestionnaire de projet.

Fenêtre d'affichage

Affiche la fenêtre de sortie.

Liste des références croisées

Affiche la liste des références croisées.

Fenêtre des propriétés

Affiche la fenêtre des propriétés.

Aide des propriétés

Affiche la fenêtre d'aide des propriétés.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.


Alignement des barres d'outils

Manuels -> Éditeur -> Barres de boutons -> Alignement des barres d'outils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

No.

Symbole

Fonction

01

Aligner à gauche

Aligne tous les éléments sur la marge gauche du premier élément marqué.

02

Aligner à droite

Aligne tous les éléments sur la marge droite du premier élément marqué.

03

Aligner en haut

Aligne tous les éléments sur la marge supérieure du premier élément marqué.

04

Aligner en bas

Aligne tous les éléments sur la marge inférieure du premier élément marqué.

05

Centre horizontal

Aligne l'élément marqué sur le centre horizontal du synoptique.

Si plusieurs éléments ont été sélectionnés, tous les éléments sont alignés sur le premier élément sélectionné.

06

Centre vertical

Aligne l'élément marqué sur le centre vertical du synoptique.

Si plusieurs éléments ont été sélectionnés, tous les éléments sont alignés sur le premier élément sélectionné.

07

Même distance x

Aligne les éléments sélectionnés sur l'axe X, dans l'ordre de leur sélection. Les deux premiers éléments déterminent la distance.

08

Même distance y

Aligne les éléments sélectionnés sur l'axe Y, dans l'ordre de leur sélection. Les deux premiers éléments déterminent la distance.

09

Répartition selon X :

Répartit tous les éléments marqués le long de l'axe X entre les deux premiers éléments sélectionnés. Pour cette option, au moins trois éléments doivent être sélectionnés.

10

Répartition selon Y :

Répartit tous les éléments marqués le long de l'axe Y entre les deux premiers éléments sélectionnés. Pour cette option, au moins trois éléments doivent être sélectionnés.

11

- Même largeur

Les éléments marqués sont ajustés à la largeur du premier élément sélectionné.

Remarque : L'ajustement s'effectue en fonction des coordonnées optiques. Pour plus de détails, reportez-vous aux explications fournies sous ce tableau.

12

- Même hauteur

Les éléments marqués sont ajustés à la hauteur du premier élément sélectionné.

Remarque : L'ajustement s'effectue en fonction des coordonnées optiques. Pour plus de détails, reportez-vous aux explications fournies sous ce tableau.

13

- Même taille

Les éléments marqués sont ajustés à la largeur et la hauteur du premier élément sélectionné.

Remarque : L'ajustement s'effectue en fonction des coordonnées optiques. Pour plus de détails, reportez-vous aux explications fournies sous ce tableau.

14

Fenêtre en avant-plan

Passe les éléments sélectionnés en premier-plan.

15

Déplacer d'un niveau vers l'avant

Déplace les éléments sélectionnés d'un niveau vers l'avant.

16

Déplacer d'un niveau vers l'arrière

Déplace les éléments sélectionnés d'un niveau vers l'arrière.

17

Fenêtre en arrière-plan

Déplace les éléments sélectionnés vers l'arrière-plan.

18

Retourner horizontalement

Retourne l'élément sélectionné sur l'axe horizontal.

19

Retourner verticalement

Retourne l'élément sélectionné sur l'axe vertical.

20

Rotation 90°

Fait pivoter l'élément sélectionné de 90° dans le sens antihoraire.

21

Créer symbole

Crée un nouveau symbole à partir de tous les éléments choisis.

22

Dissoudre symbole

Le symbole est scindé en éléments source ; il n'existe plus.

23

Mode d'édition simple de symboles / d'éléments

Vous permet de modifier les éléments individuels d'un symbole. Ce bouton bascule entre le mode d'édition individuel et le mode d'édition de symboles.

24

Insérer dans un symbole

Ouvre la barre d'outils vous permettant d'insérer le symbole actif dans un symbole de la liste.

25

Retirer du symbole

retire l'élément sélectionné du symbole actif. Après cette action, l'élément n'appartient plus au symbole.

26

Remplacer les liens

Ouvre la boîte de dialogue de remplacement des variables ou fonctions liées à des éléments dynamiques. Détails : reportez-vous au chapitre Remplacement de variables dans les éléments dynamiques.Variables de procédé dans les éléments dynamiques.

Variables de procédé dans les éléments dynamiques.

Variables de procédé dans les éléments dynamiques.

Variables de procédé dans les éléments dynamiques.

Variables de procédé dans les éléments dynamiques.

27

Transfer properties (Transférer les propriétés)

Transfère les propriétés d'un élément sélectionné vers un ou plusieurs éléments.

  • Transférer vers un élément :

    cliquez sur l'élément possédant les propriétés originales -> cliquez sur le symbole Transférer les propriétés -> Cliquez sur l'élément cible : les propriétés sont transférées.

  • Transférer vers plusieurs éléments :

    Choisissez l'élément source -> Choisissez les éléments cibles en maintenant la touche Ctrl enfoncée (les éléments source et cible sont sélectionnés et l'élément source est mis en évidence par des points de manipulation noirs) -> Cliquez sur le symbole Transférer les propriétés. Les propriétés de l'élément source sont transférées vers les éléments cibles.

Les objets source et cible déterminent les propriétés transférées. En règle générale, les couleurs, les polices, l'alignement du texte et les bordures sont transférés.

Si plusieurs éléments ont été choisis comme source, les propriétés du premier élément sont transférées.

28

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.

Adaptation de largeur/hauteur/taille identique

La fonction d'adaptation de la taille d'éléments pivotés et non pivotés s'oriente par rapport aux coordonnées visuelles, et non aux coordonnées logiques. L'étirement d'éléments pivotés est interprété comme une surface du rectangle dans lequel se trouvent les lignes de l'élément pivoté (rectangle de liaison).

Par exemple :

Deux éléments avant adaptation :

Après adaptation, avec l'option Même hauteur :


Barre d'outils Synoptique

Manuels -> Éditeur -> Barres de boutons -> Barre d'outils Synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une barre d'outils vous permet d'éditer les synoptiques. Par défaut, elle est affichée sous la barre de menus.

Symbole

(de gauche à droite)

Fonction

Enregistrer le synoptique

Enregistre le synoptique courant.

Enregistrer tout

Enregistre tous les synoptiques modifiés.

Couper

Coupe l'élément sélectionné et le stocke dans le presse-papiers ; cette fonction est également utilisable d'un projet à l'autre. Disponible uniquement si un élément a été sélectionné.

Copier

Transfère une copie du synoptique actuel vers le presse-papiers. Disponible uniquement si un élément a été sélectionné.

Coller

Insère (c'est-à-dire colle) un synoptique depuis le presse-papier. Uniquement disponible si le presse-papiers contient des données.

Redessiner le synoptique

Rafraîchit l'affichage.

Mode édition

Bascule du mode Zoom au mode Edition .

Annuler

Permet d'annuler jusqu'à 100 actions. Par défaut, 10 actions peuvent être annulées.

Définissez le nombre d'actions : Options -> Paramètres -> Paramètres -> Nombre d'actions pouvant être annulées. Saisissez un nombre compris entre 1 et 100.

Zoom

Fournit deux modes de zoom :

  • Zoom variable :
    Une valeur prédéfinie peut être sélectionnée dans la liste déroulante, ou vous pouvez directement saisir n'importe quelle valeur comprise entre 15 % et 400 %.
  • Outil zoom :
    Vous pouvez directement effectuer un zoom sur le synoptique en sélectionnant les deux symboles d'agrandissement (+ et -). La touche Ctrl permet de basculer entre les différents modes. Le zoom défini est enregistré pour chaque synoptique.

Fermer le mode Zoom : Cliquez sur le symbole du mode Edition dans la barre d'outils Éléments.

Imprimer

Tout le contenu actuel de l'écran est imprimé sur l'imprimante par défaut. Vous pouvez configurer les propriétés de l'imprimante via les options Fichier -> Configuration standard -> Standard.

Aide

Ouvre l'aide en ligne.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.


Barre d'outils Symboles

Manuels -> Éditeur -> Barres de boutons -> Barre d'outils Symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La bibliothèque de symboles peut être actionnée depuis le menu contextuel ou la barre d'outils :

Commandes du menu contextuel et de la barre d'outils

Barre d'outils

Le menu contextuel

Fonction

1

Nouveau symbole

Crée un nouveau symbole.

3

Ouvrir symbole

Ouvre le symbole dans l'Éditeur de symboles, vous permettant de le modifier.

2

Symbol group new (Nouveau groupe de symboles)

Un nouveau groupe est créé et vous pouvez y ajouter des symboles sélectionnés dans la bibliothèque ou des symboles que vous avez définis dans des synoptiques. (Copier et coller). Disponible uniquement dans la bibliothèque de symboles globale.

4

Insérer symbole de manière embarquée dans le synoptique

Insère le symbole de manière embarquée dans un synoptique (pour plus de détails, reportez-vous au sous-chapitre Symboles embarqués).

5

Insérer symbole de manière liée dans le synoptique

Lie le symbole à un synoptique (pour plus de détails, reportez-vous au sous-chapitre Symboles liés).

13

Vue à plat

Réorganise tous les symboles sous forme de vue plane. Facilite la recherche de certains symboles.

Remarque : Dans cette vue, vous ne pouvez ni créer, ni supprimer des symboles ; il est également impossible de copier ou insérer des symboles depuis le presse-papiers.

14

Hierarchical view (Vue hiérarchique)

Trie tous les symboles de manière hiérarchique dans des sous-groupes et affiche les dépendances.

6

Copier

Copie le symbole sélectionné vers le presse-papiers (vue hiérarchique uniquement).

7

Coller

Insère le symbole copié dans le groupe actif (vue hiérarchique uniquement).

8

Supprimer

Supprime le symbole ou groupe de symboles sélectionné (vue hiérarchique uniquement).

Attention : la suppression ne peut pas être annulée.

9

Éditer cellule sélectionnée

Autorise l'édition du contenu de la cellule sélectionnée.

10

Replace text in selected cell (Remplacer un texte dans la cellule sélectionnée)

Ouvre la boîte de dialogue de remplacement automatique de textes (uniquement disponible si des cellules contenant du texte ont été sélectionnées).

11

Propriétés

Ouvre la fenêtre Propriétés pour le symbole sélectionné.

12

Étendre/réduire les nœuds

Autorise le développement/la réduction du nœud sélectionné ou de tous les nœuds dans la vue hiérarchique.

15

Exporter XML (sélection)

Ouvre la boîte de dialogue permettant d'exporter les symboles sélectionnés au format XML. (Pour plus de détails, reportez-vous au chapitre Importation/exportation de symboles.)

16

Importer XML

Importe des symboles depuis un fichier XML (reportez-vous au chapitre Importation/exportation de symboles).

18

Supprimer tous les filtres

Supprime tous les filtres dans l'intitulé de la colonne.

19

Aide

Ouvre le fichier d'aide du menu contextuel.

17

-

Revient à l'élément de départ (barre d'outils uniquement).

Options de la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.


Barre d'outils Profils de l'Éditeur

Manuels -> Éditeur -> Barres de boutons -> Barre d'outils Profils de l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les profils de l'Éditeur peuvent être gérés facilement via la barre d'outils concernée.

Symbole

(de gauche à droite)

Fonction

Charger le profil sélectionné

Charge le profil sélectionné dans le champ Sélectionner le profil.

Sélectionner le profil

Liste déroulante contenant 10 profils.

Load default profile (Charger le profil par défaut)

Réinitialise tous les paramètres d'affichage et de position des fenêtres, ainsi que le contenu et l'affichage des barres d'outils conformément aux conditions de livraison, et charge le profil standard de zenon.

Load predefined profiles (Charger les profils prédéfinis)

Charge les profils prédéfinis par COPA-DATA dans les trois premiers emplacements de stockage et les lie avec les modules. Les profils existants sont écrasés.

Remove profile allocations (Supprimer les attributions de profils)

Supprime les liens entre les modules et les profils prédéfinis.

Enregistrement automatique des profils de l'Éditeur

Actif : toute modification apportée au profil actuel est enregistrée automatiquement si un autre profil est appelé.

Inactive : les modifications ne sont pas enregistrées si un autre profil est appelé ; les positions d'origine sont rétablies.

Enregistrer le profil sélectionné

Enregistre les paramètres de la fenêtre actuelle dans le profil affiché dans le champ Sélectionner le profil.

Attribuer des noms aux profils.

Ouvre une boîte de dialogue dans laquelle vous pouvez spécifier des noms de profils individuels.

Options de la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.


Barre de boutons Éléments

Manuels -> Éditeur -> Barres de boutons -> Barre de boutons Éléments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

No.

Symbole

Fonction

01

Rectangle

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage

02

Ligne

Avec épaisseur, couleur et type de ligne définissables

03

Rectangle arrondi

Rectangle avec coins arrondis pouvant être librement définis

04

Ellipse/Cercle

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage (cercle)

05

Polygone

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage

06

Ligne brisée

Avec type et couleur de ligne (également motif de remplissage et couleur pour une description de l'élément)

07

Quartier de cercle (camembert)

Avec épaisseur, couleur et type de ligne définissables

08

Quartier de cercle (camembert)

Tracer un quartier de cercle avec un angle d'ouverture de 180º (modifiable) ; épaisseur, couleur et type de ligne définissables

10

Texte statique

Avec couleur de la police et sélection du type de police

09

Tube

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage

11

Bargraphe

Affichage de valeurs sous forme de bargraphe

12

Valeur numérique

Affichage numérique de valeurs

13

Texte dynamique

Affichage des textes des limites d'une variable ou directement de la valeur d'une variable de type STRING (chaîne de caractères)

14

Élément tendance

Tracé de courbes

15

Instrument à aiguille

Affichage de la valeur sur un cadran d'instrument à aiguille

16

Élément logique

Utilise les couleurs des configurations des limites d'une variable

17

Bouton

Zone sensible à la souris affichée sous forme de bouton

18

Bascule

Permet le forçage d'une variable de type BOOL.

19

Combinaisons multiples

Affichage de plusieurs variables dans un point du synoptique à l'aide de couleurs et de symboles (chaîne).

20

Bouton de synoptique d'alarmes

Uniquement disponible avec une licence pour SICAM 230.

21

Élément message

Affichage de textes extraits d'une table de texte

22

Horloge

Date et heure

23

Élément commande

Uniquement disponible avec une licence pour SICAM 230.

24

Élément combiné

Affiche une ou plusieurs variables à l'aide de couleurs ou de symboles (textes chaînés).

25

Gestion des synoptiques d'alarmes

Uniquement disponible avec une licence pour SICAM 230.

26

Élément ActiveX

Insère un contrôle Active X

27

Réglette universelle

contrôle réglette

28

Liste de choix / menu déroulant

Permet de lier les valeurs de variable à des textes.

29

Élément WPF

Affiche des fichiers XAML WPF valides.

30

Mode édition

Bascule du mode zoom au mode édition.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.


Barre d'outils du module Production & Facility Scheduler

Manuels -> Éditeur -> Barres de boutons -> Barre d'outils du module Production & Facility Scheduler

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module Production ##et## Facility Scheduler peut également être édité via une barre d'outils.

Symbole

(de gauche à droite)

Fonction

Renommer

Permet de renommer les équipements.

Propriétés

Ouvre une fenêtre contenant les propriétés de l'équipement.

Supprimer

Supprime l'équipement sélectionné après une demande de confirmation.

Trier dans l'ordre croissant

Trie la table ou la colonne sélectionnée par ordre croissant.

Trier dans l'ordre décroissant

Trie la table ou la colonne sélectionnée par ordre décroissant.

Change date (Modifier la date)

Ouvre une boîte de dialogue permettant de saisir la date et bascule automatiquement vers cette date.

Visualiser ce jour

Bascule de la date affichée à la date actuelle.

Affichage jour

Affiche un jour dans le calendrier.

Affichage semaine

Affiche une semaine dans le calendrier.

Affichage mois

Affiche un mois dans le calendrier.

Visualiser élément précédent

Recule d'un élément dans le calendrier en fonction de la date saisie (un jour, une semaine ou un mois).

Visualiser élément suivant

Avance d'un élément dans le calendrier en fonction de la date saisie (un jour, une semaine ou un mois).

Aperçu événements

Ouvre l'aperçu des événements.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.


Barre de boutons "Transport à distance"

Manuels -> Éditeur -> Barres de boutons -> Barre de boutons "Transport à distance"

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un ordinateur de développement peut établir des connexions à distance vers d'autres postes. La barre d'outils Remote Transport fournit des fonctions pour les transferts et les requêtes de données.

Symbole

(de gauche à droite)

Fonction

Transport à distance Créer connexion

Établit une connexion à l'ordinateur distant.

Transport à distance Paramètres de connexion

Ouvre la boîte de dialogue de configuration de la connexion.

Ordinateur distant : transférer les fichiers Runtime modifiés

Transfère tous les fichiers Runtime modifiés sur l'ordinateur de développement vers l'ordinateur cible.

Ordinateur distant : relire tous les fichiers Runtime

Charge tous les fichiers pouvant être édités dans le Runtime (tels que les recettes ou les fichiers de gestion d'utilisateurs) sur l'ordinateur de développement.

Ordinateur distant : définir le projet de démarrage

Définit le projet de démarrage pour le poste cible.

Ordinateur distant : démarrer le Runtime à distance

Démarre le Runtime sur le poste cible.

Ordinateur distant : Quitter le Runtime

Arrête le Runtime sur le poste cible.

Ordinateur distant : Recharger projet

Exécute la fonction Recharger sur l'ordinateur cible.

Ordinateur distant : Démarrer la connexion au bureau distant

Démarre une connexion permettant d'actionner l'ordinateur cible par le biais de Remote Desktop.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.

D'autres symboles peuvent être ajoutés à l'aide des options des barres d'outils :

Transférer tous les fichiers runtime

Transfère tous les fichiers du Runtime vers le système cible.

Redémarrer OS

Après affichage d'une demande de confirmation, redémarre le système d'exploitation de l'ordinateur cible. Sur Windows CE, cette option n'est pas supportée.

- Donner l'état système

Détermine l'état du système de l'ordinateur cible et écrit les données dans la fenêtre de sortie. Les informations suivantes sont définies :

  • Nom de l'ordinateur
  • Système d'exploitation
  • Runtime actif/inactif
  • Start project (Projet de démarrage)
  • Mémoire réelle
  • Lecteurs
  • Numéro de série de l'ordinateur distant
  • Numéro d'activation de l'ordinateur distant
  • Version de zenon de l'ordinateur distant

Modification du mot de passe et affichage de la licence

Ouvre la boîte de dialogue d'établissement de la connexion.

Autorise :

  • La modification du mot de passe d'établissement de la connexion
  • L'affichage et la modification des informations de la licence pour l'ordinateur cible
  • La configuration du chiffrement sur l'ordinateur cible

Remarque : toutes les commandes de Remote Transport sont disponibles dans le menu contextuel du projet.


Barre d'outils Générateur de rapports

Manuels -> Éditeur -> Barres de boutons -> Barre d'outils Générateur de rapports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une barre d'outils est disponible pour le Générateur de rapports dans l'Éditeur. Si elle n'est pas encore affichée, vous pouvez la charger :

  1. Ouvrez le menu Options -> Paramètres -> onglet : Barre d'outils
  2. Cochez la case adjacente à l'option Générateur de rapports
  3. Confirmez votre sélection en cliquant sur OK.

Symbole

(de gauche à droite)

Fonction

Imprimer rapport

Imprime le rapport sur l'imprimante par défaut.

Rapport - Aperçu

Ouvre le rapport dans une fenêtre d'aperçu. Le rapport peut être agrandi ou réduit dans l'aperçu (zoom) ; vous pouvez également le parcourir et l'imprimer.

Actualiser rapport

Rafraîchit l'affichage.

Recalculer fonctions

Recalcule les formules dans le rapport.

Assistant sur fonction

Ouvre une boîte de dialogue pour vous aider à configurer les fonctions.

Police

Ouvre la boîte de dialogue de mise en forme des cellules ; l'onglet Police est affiché à l'écran.

Alignement texte

Ouvre la boîte de dialogue de mise en forme des cellules ; l'onglet Alignement est affiché à l'écran.

Bord

Ouvre la boîte de dialogue de mise en forme des cellules ; l'onglet Cadre est affiché à l'écran.

Motif

Ouvre la boîte de dialogue de mise en forme des cellules ; l'onglet Motif est affiché à l'écran.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.


Barre de boutons "Fichiers Runtime"

Manuels -> Éditeur -> Barres de boutons -> Barre de boutons "Fichiers Runtime"

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une barre d'outils est disponible, vous permettant de transférer les fichiers de l'Éditeur vers le Runtime, ou inversement :

Symbole

(de gauche à droite)

Fonction

Créer les fichiers Runtime modifiés

Créer des fichiers Runtime à partir de tous les fichiers modifiés dans l'Éditeur. Le menu déroulant permet de choisir si les fichiers Runtime du projet actif ou de tous les projets chargés doivent être générés.

Créer tous les fichiers Runtime

Crée les fichiers de Runtime à partir de tous les fichiers disponibles dans l'Éditeur. Le menu déroulant permet de choisir si les fichiers Runtime du projet actif ou de tous les projets chargés doivent être générés.

Importer fichiers Runtime

Les fichiers pouvant être modifiés dans le Runtime (tels que les recettes ou les fichiers de gestion des utilisateurs) sont importés depuis le Runtime dans l'Éditeur.

Files that can be changed in Runtime (Fichiers pouvant être modifiés dans le Runtime)

Ouvre la boîte de dialogue de gestion des fichiers pouvant être modifiés dans le Runtime.

Lancer le Runtime

Démarre le Runtime.

Options de la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.


Barre d'outils Niveaux de visibilité

Manuels -> Éditeur -> Barres de boutons -> Barre d'outils Niveaux de visibilité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Comme dans les programmes de CAO, vous pouvez définir des niveaux de visibilité dans l'Éditeur et les associer à des éléments uniques. De cette manière, vous pouvez facilement masquer les éléments inutilisés dans des images complexes et les afficher à nouveau à votre convenance. 15 niveaux de visibilité sont disponibles. Les niveaux sont associés par l'intermédiaire des propriétés Niveau de visibilité du nœud Général. Les différents niveaux peuvent être activés et désactivés à l'aide des boutons de la barre d'outils Niveaux de visibilité :

Symbole

(de gauche à droite)

Fonction

Rendre visible tous les niveaux de visibilité

Affiche tous les niveaux.

Rendre invisible tous les niveaux de visibilité

Masque tous les niveaux.

Niveau de visibilité <no.>

Affiche ou masque le niveau de visibilité concerné.

Options de la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.

info Info

Les niveaux de visibilité concernent uniquement l'Éditeur, et sont sans effet dans le Runtime.

Remarque concernant les éléments de contrôle : les éléments de contrôle sont toujours affichés en haut de l'écran. Cela reste également vrai s'ils sont recouverts par d'autres éléments dans l'Éditeur. Ceci permet à l'utilisateur d'y accéder à tout moment.


Barre d'outils Liste de macros

Manuels -> Éditeur -> Barres de boutons -> Barre d'outils Liste de macros

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les macros créées en langage VBA peuvent être gérées via l'élément de barre d'outils Liste de macros.

Symbole

(de gauche à droite)

Fonction

Recharger la liste des macros VBA/VSTA

Charge toutes les macros Public Sub Name () incluses dans myWorkspace et les modules dans la liste déroulante de la barre d'outils.

Rechercher une macro

Vous pouvez rechercher des macros par l'intermédiaire d'un champ de saisie ou d'une liste déroulante. La largeur de la liste déroulante est déterminée en fonction de l'élément le plus large.

Liste déroulante Macros

Contient toutes les macros chargées et vous permet de les sélectionner.

Exécuter la macro sélectionnée

Exécute la macro sélectionnée dans la liste déroulante.

Execute allocated macro #<x> (Exécuter la macro associée no. x)

Exécute la macro associée au symbole.

Allocate macros (Associer des macros)

Ouvre la boîte de dialogue d'association de macros. Jusqu'à 5 macros peuvent être associées aux symboles 1 à 5.

VBA

Filtres pour macros VBA. Seules les macros VBA sont affichées.

VSTA

Filtres pour macros VSTA. Seules les macros VSA sont affichées.

TOUT

Annule le filtre actuel et affiche toutes les macros.

AZ

Trie les macros par ordre croissant, de 0 à 9 et de A à Z.

ZA

Trie les macros par ordre décroissant, de Z à A et de 9 à 0.

Options de la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.

info Info

Si la boîte de dialogue d'association de macros ne contient pas toutes les macros de myWorkspace, exécutez la fonction Recharger la liste des macros VBA dans la barre d'outils.


Barres d'outils de la vue de détail

Manuels -> Éditeur -> Barres de boutons -> Barres d'outils de la vue de détail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La vue de détail du gestionnaire de projet affiche différentes barres d'outils, en fonction du nœud actif. Ces barres d'outils correspondent au contenu du menu contextuel concerné. Vous trouverez de l'aide concernant les différentes barres d'outils aux chapitres concernés, par exemple : Barres d'outils de la vue de détail des variables


Propriétés de la barre d'outils

Manuels -> Éditeur -> Barres de boutons -> Propriétés de la barre d'outils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les propriétés d'un objet sont affichées et peuvent être modifiées dans la fenêtre des propriétés. Une barre d'outils est disponible et permet d'assurer la gestion de l'écran des propriétés.

Symbole

(de gauche à droite)

Fonction

Vue groupée

(Par défaut)

Toutes les propriétés de l'objet sélectionné sont groupées de manière logique ; les groupes peuvent être triés par ordre alphabétique ou logique. Avec le menu contextuel, les propriétés peuvent être ajoutées ou supprimées des favoris.

Par défaut, dans le manuel : Les conseils relatifs aux propriétés fournis dans le manuel se réfèrent toujours à la vue groupée. Le contenu des groupes est identique à celui dans la vue par boîte de dialogue.

Toutes les propriétés

Toutes les propriétés de l'objet sélectionné sont affichées dans une liste. Avec le menu contextuel, les propriétés peuvent être ajoutées ou supprimées des favoris.

Vue par boîte de dialogue

Toutes les propriétés sont groupées dans l'ordre logique, comme dans la vue groupée ; les groupes sont triés par priorité d'application, sous forme de boîte de dialogue. Dans cette vue, aucun favori ne peut être défini.

Montrer / cacher les favoris

Affiche ou masque le nœud Favoris au début des vues Vue groupée ou Tous les paramètres. Les propriétés les plus fréquemment utilisées sont regroupées ici.

Par défaut, les favoris sont proposés.

Ajouter/supprimer des entrées des favoris : Vous pouvez effectuer cela à l'aide du menu contextuel Ajouter aux favoris ou en déplaçant la propriété souhaitée vers la barre d'outils favoris à l'aide d'une manipulation glisser-déplacer.

L'ordre des propriétés dans les Favoris est défini par l'option de tri (croissant, décroissant, logique).

La vue par boîte de dialogue ne permet pas de créer de favoris.

Montrer / cacher toutes les propriétés

Affiche ou masque tous les nœuds dans les vues Groupé et Toutes les propriétés.

Tri logique

(Par défaut)

Trie les propriétés dans l'ordre logique, par fréquence d'application, plutôt que par ordre alphabétique, dans les vues Groupé et Toutes les propriétés.

Tri croissant / décroissant

Affiche les propriétés par ordre alphabétique croissant ou décroissant dans les vues Groupé et Toutes les propriétés.

Étendre / réduire toutes les sections

Affiche ou masque tous les nœuds dans les vues Groupé et Toutes les propriétés.

Exception : le nœud de la propriété actuelle n'est pas réduit si l'option Tout réduire est sélectionnée.

Afficher l'aide des propriétés

Affiche l'aide intégrée pour les propriétés (aide des propriétés).

Libérer la propriété

Symboles : libère la propriété sélectionnée.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.


Barre de menus

Manuels -> Éditeur -> Barre de menus

La barre de menus contient, selon le module et l'élément sélectionnés, des listes déroulantes pour les éléments suivants.

Base

  • Fichier
  • Éditer
  • Synoptiques
  • Options
  • Fenêtre
  • Aide

Synoptiques et symboles

Si un synoptique est ouvert, de nouveaux éléments de menu sont ajoutés à la barre :

  • Éléments
  • Éléments de contrôle

Si la bibliothèque de symboles globale est activée, l'élément de menu Synoptiques est remplacé par l'élément de menu Symboles .

Rapport

Lorsqu'un rapport est ouvert :

  • Le menu Synoptiques est remplacé par le menu Rapport
  • Le menu Format est ajouté
  • Les commandes du menu Édition sont remplacées

Autres sujets abordés dans ce chapitre

Fichier

Editer

Synoptiques

Symbole

Fenêtre

Aide

Options


Fichier

Manuels -> Éditeur -> Barre de menus -> Fichier

Les actions possibles sont les suivantes :

Élément de menu

Action

Projet

Ouvre la boîte de dialogue de création d'un nouveau projet.

Insérer projet dans espace de travail

Ouvre la boîte de dialogue permettant d'insérer un projet existant dans l'Éditeur.

Insérer projet 5.50

Ouvre une boîte de dialogue permettant d'insérer un projet créé avec la version 5.50 de l'Éditeur.

Restaurer une sauvegarde de projet

Ouvre la boîte de dialogue permettant de charger la dernière version d'un projet enregistré dans une sauvegarde de projet.

Station de travail

Nouveau

Ouvre la boîte de dialogue de création d'un nouvel espace de travail.

Ouvrir

Ouvre la boîte de dialogue d'ouverture d'un espace de travail existant.

Enregistrer

Enregistre l'espace de travail courant.

Enregistrer sous...

Enregistre l'espace de travail courant. Le nom et l'emplacement de stockage peuvent être choisis.

Fermer

Ferme l'espace de travail courant

Créer une sauvegarde

Ouvre la boîte de dialogue contenant la sauvegarde de tous les projets actuels de l'espace de travail. La sauvegarde est conservée dans un fichier compressé au format *.wsb.

Charger sauvegarde

Ouvre la boîte de dialogue permettant de charger les projets enregistrés lors d'une sauvegarde de l'espace de travail.

Configuration standard

Licence produit

Ouvre la boîte de dialogue Licence produit, dans laquelle vous pouvez saisir le numéro de série et d'activation ou demander une licence logicielle.

Standard

Ouvre la boîte de dialogue de configuration des paramètres standard pour l'emplacement de sauvegarde et l'imprimante des éléments suivants :

  • AML
  • CEL
  • Valeurs
  • Fichiers journaux
  • Captures d'écran
  • Bloc-notes

Panneau de configuration

Ouvre le panneau de configuration du système d'exploitation.

Imprimer la capture d'écran

Tout le contenu actuel de l'écran est imprimé sur l'imprimante standard. Vous pouvez configurer les propriétés de l'imprimante via les options Fichier -> Configuration standard -> Standard. Dans une configuration comportant plusieurs moniteurs, l'écran 1 est imprimé.

Éditeur Visual Basic

Ouvre l'éditeur Visual Basic

Remarque : Cet élément de menu est uniquement disponible si vous avez activé VBA VSTA dans le fichier zenon6.ini. Pour activer le VBA, assurez-vous que l'entrée EIN=1 est disponible dans la zone [VBA].

Assistants

Ouvre la boîte de dialogue de sélection de l'assistant.

Remarque : Cet élément de menu est uniquement disponible si vous avez activé VBA VSTA dans le fichier zenon6.ini. Pour activer le VBA, assurez-vous que l'entrée EIN=1 est disponible dans la zone [VBA].

Mise à jour des assistants

Ouvre la boîte de dialogue permettant de mettre un assistant à jour. Pour plus de détails, reportez-vous au chapitre Assistants, section Mise à jour des assistants.

Remarque : Cet élément de menu est uniquement disponible si vous avez activé VBA VSTA dans le fichier zenon6.ini. Pour activer le VBA, assurez-vous que l'entrée EIN=1 est disponible dans la zone [VBA].

Espaces de travail récents

Dresse la liste des espaces de travail existants. Les cinq derniers paramètres sélectionnés sont affichés.

Quitter

Ferme l'Éditeur de zenon.


Editer

Manuels -> Éditeur -> Barre de menus -> Editer

Synoptiques et symboles

Lors de la sélection d'un synoptique ou d'un symbole, le menu Édition propose des fonctions spéciales.

Les actions possibles sont les suivantes :

Élément de menu | Action
Annuler | Annule la dernière action. Le nombre d'actions pouvant être annulées est défini dans Options -> Paramètres Attention : Il est impossible d'annuler les actions effectuées dans l'Éditeur de cadres.
Couper | Coupe l'élément sélectionné et le stocke dans le presse-papiers.
Copier | Copie l'élément sélectionné et le stocke dans le presse-papiers.
Coller | Colle les objets qui ont été coupés ou copiés depuis le presse-papiers. Les éléments sont toujours collés centrés dans la zone d'édition. Si plusieurs objets ont été copiés ou coupés simultanément, leurs positions respectives sont conservées.
Coller à la même position | La copie de l'objet est collée au même emplacement que l'objet original.
Supprimer | Supprime les objets marqués
Mark all (Marquer tous) | Marque tous les objets dans la fenêtre principale.
Propriétés | Ouvre la fenêtre de propriétés.
Remplacer des liens | Ouvre la boîte de dialogue de remplacement des variables ou fonctions liées à des éléments dynamiques. Détails : reportez-vous au chapitre Remplacement de variables dans les éléments dynamiques.
Position élément | Change la position des éléments marqués. Alt + clic gauche permet de sélectionner les éléments de niveaux plus éloignés.
Premier plan | Passe les éléments sélectionnés en premier-plan.
Arrière-plan | Déplace les éléments sélectionnés vers l'arrière-plan.
En avant | Déplace les éléments sélectionnés d'un niveau vers l'avant.
Reculer | Déplace les éléments sélectionnés d'un niveau vers l'arrière.
Aligner | Repositionne les éléments sélectionnés.
Gauche | Déplace les éléments sélectionnés vers la gauche.
Droite | Déplace les éléments sélectionnés vers la droite.
Haut | Déplace les éléments sélectionnés vers le haut.
Bas | Déplace les éléments sélectionnés vers le bas.
Cascade | Réorganise les éléments. Le point de départ est le premier élément marqué.
- Même largeur | Les éléments marqués sont ajustés à la largeur du premier élément sélectionné. Remarque : sur les éléments ayant subi une rotation, la largeur correspond aux coordonnées optiques, et non aux coordonnées logiques. Pour plus de détails, reportez-vous au chapitre Orientation des barres d'outils :
- Même hauteur | Les éléments marqués sont ajustés à la hauteur du premier élément sélectionné. Remarque : sur les éléments ayant subi une rotation, la hauteur correspond aux coordonnées optiques, et non aux coordonnées logiques. Pour plus de détails, reportez-vous au chapitre Orientation des barres d'outils :
- Même taille | Les éléments marqués sont ajustés à la largeur et la hauteur du premier élément sélectionné. Remarque : sur les éléments ayant subi une rotation, la taille correspond aux coordonnées optiques, et non aux coordonnées logiques. Pour plus de détails, reportez-vous au chapitre Orientation des barres d'outils :
Centre horizontal | Déplace les éléments marqués vers le centre horizontal du premier élément sélectionné.
Centre vertical | Déplace les éléments marqués au centre vertical du premier élément sélectionné.
Même distance x | Les éléments marqués sont groupés de manière à ce que la distance séparant chaque élément sur l'axe X soit identique. Les deux premiers éléments déterminent la distance.
Même distance y | Les éléments marqués sont groupés de manière à ce que la distance séparant chaque élément sur l'axe Y soit identique. Les deux premiers éléments déterminent la distance.
Répartition selon X : | Répartit tous les éléments marqués le long de l'axe X entre les deux premiers éléments sélectionnés. Pour cette option, au moins trois éléments doivent être sélectionnés.
Répartition selon Y : | Répartit tous les éléments marqués le long de l'axe Y entre les deux premiers éléments marqués. Pour cette option, au moins trois éléments doivent être sélectionnés.
Retourner horizontalement | Retourne l'élément sélectionné sur l'axe horizontal.
Retourner verticalement | Retourne l'élément sélectionné sur l'axe vertical.
Rotation 90° | Fait pivoter l'élément sélectionné de 90° dans le sens antihoraire.
Ordre TAB gauche / droite | Affiche un cadre définissant l'ordre horizontal dans lequel les éléments du synoptique sont sélectionnés avec la fonction Donner le focus.
Ordre TAB haut / bas | Affiche un cadre définissant l'ordre vertical dans lequel les éléments du synoptique sont sélectionnés avec la fonction Donner le focus.
Symbole |
Créer | Crée un nouveau symbole à partir de tous les éléments choisis.
Dissocier | Le symbole est scindé en éléments source ; il n'existe plus.
Mode d'édition simple de symboles / d'éléments | Vous permet de modifier les éléments individuels d'un symbole. Bascule entre le mode d'édition individuel et le mode d'édition de symboles.
Insérer dans un symbole existant | Ouvre la barre d'outils vous permettant d'insérer le symbole actif dans un symbole de la liste.
Retirer du symbole | Supprime l'élément sélectionné du symbole actif. Après cette action, l'élément n'appartient plus au symbole.
Convertir symbole lié en symbole embarqué | Convertit le symbole lié sélectionné en symbole embarqué. Le symbole est dissocié du symbole original dans la bibliothèque et ne peut plus être modifié que localement. Cette action ne peut pas être annulée !
Liste de symboles | Affiche une liste de tous les symboles utilisés dans le synoptique actuel. Pour chaque symbole, la liste des composants graphiques est fournie.
Change order for focus (Modifier l'ordre d'affichage) | Ouvre la liste déroulante permettant de définir l'ordre horizontal ou vertical lors de l'utilisation du clavier.
Ordre vers la gauche/la droite | Détermine l'ordre horizontal.
Ordre vers le haut/le bas | Détermine l'ordre vertical.

Rapports

Pour les rapports, le menu Édition fournit les entrées suivantes :

Commande

Description

Couper

Coupe la zone sélectionnée et la copie vers le presse-papiers.

Copier

Insère le contenu du presse-papier.

Insérer

Copie les zones sélectionnées vers le presse-papiers.

Collage spécial

Propose des options de collage avancé pour les opérations sur les cellules :
  • Tout

Insère tout le contenu du presse-papiers.
  • Formules

Only inserts formulas (Insérer uniquement les formules)
  • Valeur

Insère uniquement les valeurs. La relation avec les formules est perdue.
  • Format

Accepte uniquement le format.

Remplir

Copie le contenu de la première cellule marquée et le transfère vers toutes les autres cellules marquées.

  • Flèche vers le bas

Le remplissage est effectué vers le bas.
  • right

Le remplissage est effectué de gauche à droite.

Supprimer

Supprimer les données des cellules sélectionnées :
  • Tout

Tout.
  • Contenu

Uniquement le contenu.
  • Format

Uniquement les formats.

Supprimer colonne ou ligne

Supprime les colonnes ou les lignes sélectionnées.

Insérer colonne ou ligne

Insère de nouvelles colonnes ou lignes. L'insertion est effectuée au-dessus de la ligne, ou à gauche de la colonne. Le nombre de lignes ou colonnes insérées correspond au nombre de lignes ou colonnes sélectionnées dans la feuille de calcul.

Rechercher/Remplacer

Ouvre la boîte de dialogue de recherche et de remplacement de données dans une feuille de calcul.


Synoptiques

Manuels -> Éditeur -> Barre de menus -> Synoptiques

Les actions possibles sont les suivantes :

Elément de menu | Action
Enregistrer le synoptique | Enregistre le synoptique actuel.
Enregistrer tous les synoptiques | Enregistre tous les synoptiques.
Redessiner le synoptique | Rafraîchit l'affichage.
Afficher la grille | Active ou désactive la grille.
Afficher la grille | Active ou désactive l'utilisation de la grille. Activée : tous les objets sont automatiquement alignés sur la grille.
Utiliser les points magnétiques | Active ou désactive les points magnétiques. Utilisation : si vous déplacez un objet à proximité du point de manipulation d'un autre objet, il s'enclenche automatiquement sur ce point de manipulation.
Zoom | Modifie la résolution par incréments fixes compris entre 15 % et 400 %.
Screenshot print current screen (Capture d'écran : imprimer le synoptique actuel) | Le synoptique actuel est imprimé sur l'imprimante standard. Vous pouvez configurer les propriétés de l'imprimante via les options Fichier -> Configuration standard -> Standard.
Insérer graphiques vectoriels | Ouvre la boîte de dialogue permettant d'insérer des éléments graphiques vectoriels externes.

info Info

Dès qu'un élément est actif, le menu Eléments est affiché. Il montre tous les éléments vectoriels et les éléments dynamiques identiques aux éléments de la barre de boutons et permet de les sélectionner et de les insérer dans les synoptiques. Lorsque vous sélectionnez des types de synoptiques spéciaux, le menu Eléments de contrôle est aussi disponible. Il contient des éléments de contrôle prédéfinis et liés au type du synoptique courant.


Symbole

Manuels -> Éditeur -> Barre de menus -> Symbole

Les actions possibles sont les suivantes :

Élément de menu

Action

Enregistrer symbole

Enregistre le symbole actuel.

Enregistrer tous les symboles

Enregistre tous les symboles.

Changer symbole...

Ouvre la boîte de dialogue de configuration de la taille et de la couleur d'arrière-plan des symboles.

Remarque : les modifications apportées à la couleur d'arrière-plan affectent toujours tous les symboles dans la bibliothèque de symboles globale.

Liste de symboles

Affiche une liste de tous les symboles utilisés dans le synoptique actuel. Pour chaque symbole, la liste des composants graphiques est fournie.

Mode Plein écran

Le mode plein écran masque toutes les autres fenêtres et affiche uniquement la fenêtre principale contenant tous les documents ouverts (synoptiques, rapports, etc.) en mode plein écran.

Vous pouvez fermer le mode plein écran en :

  • Cliquant sur le bouton de fermeture du mode plein écran
  • En appuyant sur Maj+F9
  • En appuyant sur Échap

Redessiner symbole

Rafraîchit l'affichage.

Montrer grille

Active ou désactive la grille.

Afficher la grille

Active ou désactive l'utilisation de la grille.

Activée : tous les objets sont automatiquement alignés sur la grille.

Utiliser les points magnétiques

Active ou désactive les points magnétiques.

Utilisation : si vous déplacez un objet à proximité du point de manipulation d'un autre objet, il s'enclenche automatiquement sur ce point de manipulation.

Change order for focus (Modifier l'ordre d'affichage)

Ouvre la liste déroulante permettant de définir l'ordre horizontal ou vertical lors de l'utilisation du clavier.

Ordre vers la gauche/la droite : Détermine l'ordre horizontal.

Ordre vers le haut/le bas : Détermine l'ordre vertical.

Zoom

Modifie la résolution par incréments fixes compris entre 15 % et 400 %.

Screenshot print current symbol (Capture d'écran : imprimer le symbole actuel)

Le symbole actuel est imprimé sur l'imprimante par défaut. Vous pouvez configurer les propriétés de l'imprimante via les options Fichier -> Configuration standard -> Standard.

Insérer graphiques vectoriels

Ouvre la boîte de dialogue permettant d'insérer des éléments graphiques vectoriels externes.


Fenêtre

Manuels -> Éditeur -> Barre de menus -> Fenêtre

Les actions possibles sont les suivantes :

Élément de menu

Action

Mode Plein écran

Le mode plein écran masque toutes les autres fenêtres et affiche uniquement la fenêtre principale contenant tous les documents ouverts (synoptiques, rapports, etc.) en mode plein écran.

Vous pouvez fermer le mode plein écran en :

  • Cliquant sur le bouton de fermeture du mode plein écran
  • En appuyant sur Maj+F9
  • En appuyant sur Échap

Quitter

Ferme la fenêtre active.

Mosaïque

Divise la fenêtre principale en parties égales pour afficher chacune des fenêtres.

Liste des fenêtres

Affiche les fenêtres ouvertes. Au maximum, 9 fenêtres sont mentionnées.

Fenêtre

Ouvre la boîte de dialogue d'administration des fenêtres ouvertes dans la fenêtre principale :

  • activer
  • Enregistrer (sélection multiple autorisée)
  • Fermer (sélection multiple autorisée)

La fenêtre active est présélectionnée.


Aide

Manuels -> Éditeur -> Barre de menus -> Aide

Les actions possibles sont les suivantes :

Elément de menu

Action

Infos sur

Ouvre une fenêtre contenant des informations sur zenon:

  • Numéro de série
  • Numéro d'activation :
  • Identifiants/E/S couverts par la licence
  • Module couvert par la licence

Un curseur permet de parcourir le contenu de la fenêtre d'informations. Cliquez sur la fenêtre ou appuyez sur la touche Échap pour fermer la fenêtre d'informations.

Pour démarrer

Invoque la section Guides de l'aide en ligne.

Aide

Ouvre l'aide en ligne.


Options

Manuels -> Éditeur -> Barre de menus -> Options

Les actions possibles sont les suivantes :

Élément de menu

Action

Configurer les barres d'outils

Ouvre la boîte de dialogue de configuration des paramètres de base, menus, barres d'outils et commandes.

Gestion des profils de l'Éditeur dans l'Éditeur

Ouvre le sous-menu de gestion des profils de l'Éditeur.

Vue de l'espace de travail

Active ou désactive l'affichage de plusieurs synoptiques dans la fenêtre principale à l'aide d'onglets.

Ligne d'état

Affiche ou masque la ligne d'état de l'Éditeur. Celle-ci n'est pas identique à la ligne d'état du Gestionnaire de projet, dans la vue de détail.

Gestionnaire de projet

Affiche la fenêtre du gestionnaire de projet.

Affichage

Affiche la fenêtre de sortie.

Liste des références croisées

Affiche la liste des références croisées .

Fenêtre des propriétés

Affiche la fenêtre Propriétés.

Aide des propriétés

Affiche la fenêtre Aide des propriétés.

Barres de boutons

Liste déroulante permettant d'afficher et masquer les barres d'outils.

Mise à jour du Runtime Windows CE

Ouvre le logiciel de mise à jour du Runtime Windows CE.

Définir une nouvelle entrée de menu

Ouvre la boîte de dialogue permettant de mettre en œuvre des programmes externes avec une entrée de menu propre.

Conseil : si vous avez déjà créé une autre entrée de menu, elle est représentée à cet endroit. Pour créer des entrées de menu nouvelles et supplémentaires, sélectionnez Options -> Paramètres -> Menu Outils.

Autres sujets abordés dans ce chapitre

Paramètres

Menu Outils

Color scheme (Jeu de couleurs)

Commandes

Barres de boutons


Paramètres

Manuels -> Éditeur -> Barre de menus -> Options -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Définissez les paramètres de base de zenon dans la boîte de dialogue Paramètres.

Option | Action
Editeur et Runtime |
Langue sélectionnée | Choisissez la langue de l'interface utilisateur de l'Éditeur. Vous devez fermer et redémarrer l'Éditeur en cas de changement de langue. La langue par défaut de l'Éditeur est l'anglais.
Cadres autour des éléments dynamiques | Actif : affiche les éléments dynamiques avec un cadre. Vous pouvez définir un traitement différent dans l'Éditeur et le Runtime.
Do not send the bug report to Microsoft (Ne pas envoyer un rapport à Microsoft) | Actif : empêche la transmission d'un rapport en cas de fermeture inopinée d'un programme.
Options de l'Éditeur |
Charger le dernier espace de travail actif | Active:Si l'option est cochée, les derniers espaces de travail actifs sont chargés dans l'arborescence du projet lors du démarrage de l'Éditeur (par défaut). Inactive : Aucun espace de travail n'est chargé lors du démarrage de l'Éditeur. Les projets et espaces de travail existants peuvent être ouverts, et de nouveaux projets et espaces de travail peuvent être créés à l'aide du menu contextuel.
Les filtres dans la vue de détail dépendent des majuscules / minuscules. | Actif : Le filtre dans la vue de détail dépend de la casse (majuscules / minuscules). Inactif : Le filtre dans la vue de liste ne distingue pas les lettres majuscules des lettres minuscules (par défaut).
Tri logique des textes dans la vue de détail | Actif : Les noms de fichiers contenant des nombres sont triés par ordre logique dans la vue de liste, par ex. 1, 2, 10, 11. Inactif : Les noms de fichiers contenant des nombres sont triés par ordre alphabétique dans la vue de liste, par ex. 1, 10, 11, 2.
Utiliser l'assistant | Actif : Si vous souhaitez créer des Archives, des Eléments combinés ou des Réglettes universelles, l'aide d'un assistant vous est automatiquement proposée. Inactif : les archives, éléments combinés et réglettes universelles sont configurés manuellement.
Edition de synoptiques |
Propriétés lors de la création | Actif : si vous créez un élément dynamique, les boîtes de dialogue de configuration détaillée des paramètres (comme par exemple la sélection de variables) s'ouvrent automatiquement. Inactif : l'élément dynamique est tracé ; les propriétés associées doivent être définies séparément.
Boîte de dialogue Définir les liens lors de l'insertion de symboles | Actif : lors de l'insertion d'un symbole dans un synoptique, la boîte de dialogue Définir les liens est ouverte. Inactif : la boîte de dialogue n'est pas ouverte. Les liens peuvent être remplacés à tout moment grâce à la commande Remplacer les liens du menu contextuel.
Distance en pixel pour le changement de position | Evite les déplacements involontaires d'éléments. Avant qu'un élément ne soit vraiment déplacé, il doit au moins être déplacé du nombre de pixels indiqué.
Nombre d'actions annulées | Permet d'annuler jusqu'à 100 actions. Par défaut, 10 actions peuvent être annulées. Saisissez un nombre compris entre 1 et 100.
Paramètres de la grille |
Montrer grille | Actif : affiche la grille pouvant être définie dans la fenêtre principale sous Type de grille. Inactif : la grille n'est pas affichée.
Positionner sur la grille | Actif : les éléments de l'écran sont automatiquement alignés sur la grille. Cette fonction est indépendante de l'option Afficher la grille.
Couleur de la grille | Définit la couleur de la grille. La palette de couleurs de la fenêtre est utilisée pour la sélection.
Type de grille | Définit le type de grille : pleine, en pointillés ou intersections.
Pas de la grille (en pixels) | Définit la distance horizontale et verticale entre des points de marqueur uniques. Cette option détermine donc également la finesse avec laquelle les éléments redimensionnés peuvent être affichés. Pas de grille recommandé : 10 pixels horizontalement et verticalement.
Points magnétiques |
Utiliser les points magnétiques | Les éléments comportent des points magnétiques. Lors du déplacement d'un élément, si un des points de sélection de l'élément se retrouve à proximité d'un point de sélection d'un autre élément, le point de sélection concerné se cale sur cette position et s'aligne dessus.
Taille des points magnétiques pour les synoptiques | Définit la taille de la zone magnétique en pixels (marqueurs de sélection carrés). Saisissez un nombre compris entre 1 et 20.
Taille des coins de sélection dans l'Éditeur de gabarits | Définit la taille de la zone de connexion en pixels (marqueurs de sélection carrés) autorisant le positionnement de gabarits par rapport à d'autres gabarits ou bordures. Saisissez un nombre compris entre 1 et 40.
Coins |
Inverser l'arrière-plan | Actif : Les points sont affichés en négatif par rapport à l'arrière-plan.
Taille des coins | Définit la taille des coins (en pixels) permettant de manipuler les coins. Saisissez un nombre compris entre 1 et 20.


Menu Outils

Manuels -> Éditeur -> Barre de menus -> Options -> Menu Outils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la boîte de dialogue Menu Outils, vous mettez en œuvre des programmes externes dans la structure de menus de l'Éditeur. Les programmes mis en œuvre individuellement sont présentés à la fin de l'élément de menu Options.

Options | Action
Contenu des menus | Dresse la liste de tous les programmes externes précédemment intégrés.
Nouveau | Ajouter un nouvel élément de menu.
Supprimer | Supprime une entrée existante du menu.
Flèche vers le haut | Déplace l'élément de menu sélectionné vers le début de la liste et du menu.
Flèche vers le bas | Déplace l'élément de menu sélectionné vers la fin de la liste et du menu.
Texte du menu | Le nom sous lequel le nouveau menu sera affiché dans les options.
Fichier | Nom et chemin du programme externe (fichier *.exe) devant être invoqué.
Paramètres | Commutateurs supplémentaires utilisés pour l'invocation de programmes, par exemple des noms de fichiers.

Example Exemple

Texte du menu : Éditeur de texte

Fichier : C:\Windows\notepad.exe

Paramètre : C:\test.txt

Invoque le bloc-notes de Windows et ouvre le fichier test.txt. Si ce fichier n'est pas disponible, vous pouvez le créer.


Color scheme (Jeu de couleurs)

Manuels -> Éditeur -> Barre de menus -> Options -> Color scheme (Jeu de couleurs)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cet onglet permet de définir le jeu de couleurs employé par l'Éditeur.

Paramètre | Description
Couleurs pour l'éditeur | Cliquez sur la liste déroulante pour ouvrir la liste dans laquelle vous pouvez le sélectionner.
Aperçu | Change le jeu de couleurs de l'Éditeur. La boîte de dialogue reste ouverte.
OK | Appliquer toutes les modifications et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.


Commandes

Manuels -> Éditeur -> Barre de menus -> Options -> Commandes

Dans la boîte de dialogue Commandes, vous définissez les commandes disponibles dans les barres d'outils.

Option | Action
Catégories | Sélectionnez la catégorie comportant la commande souhaitée.
Commandes | Liste de commandes disponibles.
Description | Text for tooltip (Texte de l'info-bulle) : si vous placez le pointeur de la souris sur le bouton, la description est affichée sous forme d'info-bulle.

Ajouter des symboles

  1. Ouvrez le menu Options -> Paramètres -> onglet : Commandes
  2. Choisissez une catégorie dans la fenêtre gauche.
  3. Cliquez avec le bouton gauche de la souris sur le symbole de votre choix dans la fenêtre droite.
  4. Maintenez le bouton gauche de la souris enfoncé et faites glisser le symbole vers la position de votre choix dans la barre d'outils.

Supprimer des symboles

  1. Ouvrez le menu Options -> Paramètres -> onglet : Barre d'outils
  2. Tous les symboles de toutes les barres d'outils de l'Éditeur sont activés.
  3. Cliquez avec le bouton gauche de la souris sur le symbole.
  4. Éloignez le symbole de la barre d'outils et relâchez le bouton de la souris.

info Info

Pour annuler les modifications apportées à une barre d'outils et rétablir la configuration par défaut, sélectionnez l'outil Barre d'outils. Sélectionnez la barre d'outils adéquate, puis cliquez sur le bouton Réinitialiser ou sur Reset all (Réinitialiser tout) pour rétablir la configuration d'origine des barres d'outils.


Barres de boutons

Manuels -> Éditeur -> Barre de menus -> Options -> Barres de boutons

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez définir l'apparence et la visibilité des barres d'outils dans la boîte de dialogue Barres d'outils.

Options | Action
Barres de boutons | Case à cocher active : la barre d'outils est affichée dans l'Éditeur.
RAZ | Restaure l'état initial de la barre d'outils marquée.
Reset all (Réinitialiser tout) | Restaure l'état initial de toutes les barres d'outils.


Profils de l'Éditeur

Manuels -> Éditeur -> Profils de l'Éditeur

Au démarrage de l'Éditeur, des paramètres et des fenêtres prédéfinis sont utilisés. Vous pouvez grouper des fenêtres et les activer à votre convenance. Vous trouvez plus de détails au chapitre Ajuster la vue. Vos paramètres personnels sont administrés dans des profils. Vous pouvez accéder à ces paramètres via les éléments suivants :

  • La barre des tâches Profils de l'Éditeur

    (Voir Gérer les profils de l'Éditeur à l'aide de la barre des tâches)

  • Le sous-élément Gérer les profils de l'Éditeur dans les Options de la barre des tâches

    (Voir Gérer les profils de l'Éditeur via le menu).

  • Les raccourcis-clavier

    (Voir Gérer les profils de l'Éditeur avec des raccourcis-clavier).

Vous pouvez également associer les profils de l'Éditeur à des modules uniques à l'aide du menu contextuel (voir Choisir l'option Profils de l'Éditeur dans le menu contextuel), ou vous pouvez choisir des profils prédéfinis.

info Info

Pour les fenêtres divisées - comme dans le Gestionnaire de projet, avec la vue principale et la vue de détail -, la définition de la largeur correspond toujours à la fenêtre dans son ensemble. La relation des éléments de la fenêtre est définie lors du démarrage et de la fermeture de l'Éditeur.

Si le rapport des différents éléments de la fenêtre est modifié, l'appel d'un profil entraîne uniquement la configuration de la fenêtre entière conformément aux valeurs définies. Le rapport de la vue principale et de la vue de détail, par exemple, n'est pas modifié.

Autres sujets abordés dans ce chapitre

Profils prédéfinis

Gérer les profils de l'Éditeur à l'aide de la barre des tâches

Gérer les profils de l'Éditeur via le menu

Gérer les profils de l'Éditeur à l'aide de la barre des tâches

Choisir l'option Profils de l'Éditeur dans le menu contextuel.

Supprimer des profils de l'Éditeur

Boîte de dialogue de gestion des noms des profils de l'Éditeur


Profils prédéfinis

Manuels -> Éditeur -> Profils de l'Éditeur -> Profils prédéfinis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans zenon trois profils prédéfinis sont disponibles. Vous optimisez la présentation de l'Éditeur avec une résolution de 1280 x 1024 pour :

  • Affichage des variables et de la liste : Profil 1 stocké sur P1 :
  • Synoptiques : Profil 2 stocké sur P2 :
  • Par défaut, pour les tâches générales : Profil 3 stocké sur P3 :

Select predefined profile (Sélectionner un profil prédéfini)

Vous pouvez activer ou désactiver ces profils. Pour cela, vous pouvez utiliser les Symboles dans la barre d'outils pour les profiles de l'Éditeur ou :

  1. Ouvrir le menu Options.
  2. cliquer sur Gestion des profils éditeur
    • Load predefined profiles (Charger les profils prédéfinis) charge les profils prédéfinis sur les trois premières entrées et les lie avec les modules. Les profils existants sont écrasés.
    • Supprime les attributions de profils : Supprime les liens entre les modules et les profils prédéfinis.

Pour utiliser les profils sélectionner Profil de l'Éditeur -> [numéro de profil] sur le module désiré.

Message d'erreur lors de l'affichage des profils prédéfinis

Si vous recevez un message d'erreur mentionnant le service zenAdminSrv lors de la sélection d'un profil prédéfini, ce message peut avoir deux causes :

  1. Le numéro de version du service zenAdminSrv est inférieur au numéro de version de l'Éditeur.
    Solution : Mettez le service à jour.
  2. Les profils ne se trouvent plus dans le dossier par défaut :
    Solution : Copiez le fichier Predefined Editor Profiles.epf vers le dossier C:\ProgramData\COPA-DATA\zenonxxx\EdProfiles (où xxx représente le numéro de version actuel de zenon).

Profils

Profil 1 : Variables

Affichage optimisé pour l'édition de variables et de listes.

Profil 2 : Synoptiques

Affichage optimisé pour l'édition de synoptiques.

Profil 3 : Standard

Affichage par défaut, optimisé pour les modules ne reposant pas sur des listes.


Gérer les profils de l'Éditeur à l'aide de la barre des tâches

Manuels -> Éditeur -> Profils de l'Éditeur -> Gérer les profils de l'Éditeur à l'aide de la barre des tâches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Par défaut, la barre des tâches de gestion des profils de l'Éditeur est représentée au milieu de la deuxième ligne de symboles. Si elle a été désactivée, cliquez avec le bouton droit à proximité des barres des tâches et choisissez Profils de l'Éditeur. La barre des tâches suivantes s'affiche à l'écran :

Symbole

(de gauche à droite)

Fonction

Charger le profil sélectionné

Charge le profil sélectionné dans le champ Sélectionner le profil.

Sélectionner le profil

Liste déroulante contenant 10 profils.

Load default profile (Charger le profil par défaut)

Réinitialise tous les paramètres d'affichage et de position des fenêtres, ainsi que le contenu et l'affichage des barres d'outils conformément aux conditions de livraison, et charge le profil standard de zenon.

Load predefined profiles (Charger les profils prédéfinis)

Charge les profils prédéfinis par COPA-DATA dans les trois premiers emplacements de stockage et les lie avec les modules. Les profils existants sont écrasés.

Remove profile allocations (Supprimer les attributions de profils)

Supprime les liens entre les modules et les profils prédéfinis.

Enregistrement automatique des profils de l'Éditeur

Actif : toute modification apportée au profil actuel est enregistrée automatiquement si un autre profil est appelé.

Inactive : les modifications ne sont pas enregistrées si un autre profil est appelé ; les positions d'origine sont rétablies.

Enregistrer le profil sélectionné

Enregistre les paramètres de la fenêtre actuelle dans le profil affiché dans le champ Sélectionner le profil.

Attribuer des noms aux profils.

Ouvre une boîte de dialogue dans laquelle vous pouvez spécifier des noms de profils individuels.

Options de la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.

Pour exporter ou importer des profils de l'Éditeur, sélectionnez l'option correspondante dans le menu principal, sous Options -> Editeur -> Gestion des profils de l'Éditeur.


Gérer les profils de l'Éditeur via le menu

Manuels -> Éditeur -> Profils de l'Éditeur -> Gérer les profils de l'Éditeur via le menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le menu, choisissez Options -> Editeur -> Gérer les profils de l'Éditeur pour gérer vos profils d'éditeur.

Vous disposez des choix suivants :

Options | Fonction
Nom | Ouvre une boîte de dialogue dans laquelle vous pouvez spécifier des noms de profils individuels.
Load default profile (Charger le profil par défaut) | Réinitialise tous les paramètres des fenêtres aux paramètres d'usine par défaut et charge le profil standard de zenon.
Export | Ouvre le gestionnaire de fichiers et enregistre les paramètres sous forme de fichier zip à n'importe quel emplacement.
Importer | Ouvre le gestionnaire de fichiers pour importer les paramètres sous forme de fichier zip depuis n'importe quel emplacement.

Pour sélectionner ou enregistrer des profils d'éditeur individuels, utilisez les fonctions adéquates de la barre d'outils ou les raccourcis-clavier.


Gérer les profils de l'Éditeur à l'aide de la barre des tâches

Manuels -> Éditeur -> Profils de l'Éditeur -> Gérer les profils de l'Éditeur à l'aide de la barre des tâches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les actions possibles sont les suivantes :

Commande | Combinaison de touches
Charger le profil 1 de l'Éditeur | Maj+F1
Charger le profil 2 de l'Éditeur | Maj+F2
Charger le profil 3 de l'Éditeur | Maj+F3
Charger le profil 4 de l'Éditeur | Maj+F4
Charger le profil 5 de l'Éditeur | Maj+F5
Charger le profil 6 de l'Éditeur | Maj+F6
Charger le profil 7 de l'Éditeur | Maj+F7
Charger le profil 8 de l'Éditeur | Maj+F8
Enregistrer la vue actuelle de l'Éditeur sous : |
Profil 1 | Ctrl+Maj+F1
Profil 2 | Ctrl+Maj+F2
Profil 3 | Ctrl+Maj+F3
Profil 4 | Ctrl+Maj+F4
Profil 5 | Ctrl+Maj+F5
Profil 6 | Ctrl+Maj+F6
Profil 7 | Ctrl+Maj+F7
Profil 8 | Ctrl+Maj+F8


Choisir l'option Profils de l'Éditeur dans le menu contextuel.

Manuels -> Éditeur -> Profils de l'Éditeur -> Choisir l'option Profils de l'Éditeur dans le menu contextuel.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le gestionnaire de projet, vous pouvez choisir et associer de façon permanente des profils de l'Éditeur à chaque projet et sous-projet : Cliquez avec le bouton droit sur la branche -> Profils de l'Éditeur -> effectuez votre sélection.

Vous pouvez annuler une association en choisissant Aucun dans le menu contextuel.

Cette présélection est possible pour tous les modules et branches, à l'exception du module Energy Management System et de la bibliothèque de symboles globale.


Supprimer des profils de l'Éditeur

Manuels -> Éditeur -> Profils de l'Éditeur -> Supprimer des profils de l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour réinitialiser vos données de profil :

  1. Supprimez l'ensemble du dossier Editor dans le chemin C:\Users\USERNAME\AppData\Local\COPA-DATA\zenon\Editor.

    Remarque : Remplacez NOM DE L'UTILISATEUR par le nom d'utilisateur de l'utilisateur Windows connecté.

  2. Supprimez l'entrée correspondant au profil dans la base de registres de Windows, sous : HKEY_CURRENT_USER\Software\COPA-DATA\Editor\Profiles


Boîte de dialogue de gestion des noms des profils de l'Éditeur

Manuels -> Éditeur -> Profils de l'Éditeur -> Boîte de dialogue de gestion des noms des profils de l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez attribuer des noms individuels aux profils de l'Éditeur : directement dans la barre d'outils, avec un raccourci-clavier ou une boîte de dialogue. Vous pouvez afficher la boîte de dialogue grâce aux éléments suivants :

  • Barre d'outils, symbole Spécifiez des noms individuels pour les profils de l'Éditeur ou
  • Menu -> Options -> Editeur -> Gestion des profils de l'Éditeur -> Nom

Saisissez les noms dans les champs à la suite de la description abrégée du profil de l'Éditeur. Vous pouvez à tout moment invoquer les 8 premiers profils de l'Éditeur dans l'Éditeur avec les raccourcis-clavier Maj +F1 à Maj+F8. Vous pouvez également sélectionner le profil d'éditeur de votre choix en cliquant sur le symbole correspondant de la barre d'outils.


Gestionnaire de projet

Manuels -> Éditeur -> Gestionnaire de projet

Par défaut, le gestionnaire de projet se trouve sur le côté fauche de l'écran, directement sous les barres d'outils. Elle peut être liée de deux manières :

  • L'arbre du projet
  • Topologie du réseau

L'arbre du projet

L'arborescence du projet contient :

  • L'espace de travail, situé sur le côté gauche, contient les projets et la bibliothèque de symboles globale.
    • Tous les projets chargés ainsi que leurs variables, fonctions, synoptiques etc. sont disponibles dans l'espace de travail.
    • La bibliothèque de symboles globale contient des éléments graphiques prédéfinis, et offre la possibilité de créer de nouveaux éléments graphiques.
  • Une vue détaillée du côté droit :

    Cette vue dresse la liste de tous les éléments et paramètres correspondant à la section sélectionnée dans l'arborescence.

Topologie du réseau

La vue Network topology (Topologie du réseau) affiche tous les projets dans l'espace de travail sous forme topologique et permet de tester tous les composants réseau impliqués, ainsi que de tester le transfert à distance des fichiers du Runtime vers l'ordinateur concerné.

Pour plus de détails à ce sujet, reportez-vous à la section relative au réseau du chapitre Tester la validité de la topologie du réseau.

Autres sujets abordés dans ce chapitre

Station de travail

Vue de détail du gestionnaire de projet

Fichiers

Bibliothèque globale du système

Boîtes de dialogue de sélection


Station de travail

Manuels -> Éditeur -> Gestionnaire de projet -> Station de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'espace de travail, les composants suivants d'un projet sont gérés :

  • Variables
    • Drivers
    • Types de données
    • Matrice de réaction
    • Attributions
    • Alarme
    • Unités
  • Synoptiques
    • Gabarits
    • Polices
    • Palettes de couleurs
    • Symboles de projet
  • Fonctions
    • Scripts
  • Fichier de langue
  • Le serveur d'archives
  • Recettes
    • Recette standard
    • Gestionnaire de groupes de recettes
  • Commandes temporisées
  • Interfaces de programmation
    • Moteur de Contrôle Procédé
    • macros VBA
    • VSTA
  • zenon Logic est un environnement de programmation IEC 61131-3.
  • Production & Facility Scheduler (PFS)
  • Verrouillages
  • Envoi de commande
  • Système Energy Management System (EMS)
  • Gestion de messages
  • Menus
  • Générateur de rapports
  • Gestion utilisateurs
  • Interface SAP
  • Fichiers : insère des fichiers externes. Les drivers ne sont pas directement intégrés à zenon ; ils sont mis en œuvre via un programme externe.
    • Graphiques
    • Tables de langues
    • Aide
    • Multimédia
    • Listes
    • Drivers
    • Autres
  • Historique des modifications
  • Sauvegardes du projet

La disponibilité des composants uniques dépend de la licence choisie. Vous pouvez afficher les modules inclus à votre licence en cliquant sur Aide -> A propos...

Si vous souhaitez acheter des licences supplémentaires, contactez votre distributeur ou sales@copadata.com.

info Info

Les éléments uniques du gestionnaire de projets, tels que les variables ou les fonctions, peuvent être affichés dans une fenêtre supplémentaire. Pour cela, cliquez sur Ouvrir dans nouvelle fenêtre dans le menu contextuel. Ainsi, vous pouvez simultanément modifier les variables et les fonctions.


Vue de détail du gestionnaire de projet

Manuels -> Éditeur -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si un élément est sélectionné dans l'arborescence du gestionnaire de projet, la vue de détail affiche tous les objets inclus et leurs propriétés.

Dans une vue sous forme de table, vous pouvez :

Action

Suite des actions

Choisir des colonnes librement :

Cliquez avec le bouton droit sur l'intitulé d'une colonne -> Menu contextuel -> Choix de la colonne

Modifier la largeur des colonnes :

  • Positionnez le pointeur de la souris sur le séparateur de la ligne d'intitulé des colonnes ; le pointeur devient une croix.
  • Maintenez le bouton gauche de la souris enfoncé.
  • Agrandissez les colonnes à la largeur souhaitée.

Trier les colonnes :

Cliquez sur la ligne d'intitulé de la colonne modifie l'ordre de tri (croissant/décroissant)/.

Formater les colonnes

Cliquez avec le bouton droit sur l'intitulé d'une colonne -> Menu contextuel -> Formater les colonnes

Propriétés du groupe

Cliquez avec le bouton droit sur l'intitulé d'une colonne -> Menu contextuel -> Grouper selon cette colonne ou :

Cliquez avec le bouton droit sur l'intitulé d'une colonne -> Menu contextuel -> Cancel grouping (Annuler le groupement)

Ajuster l'affichage à la largeur de la fenêtre

Cliquez avec le bouton droit sur l'intitulé d'une colonne -> Menu contextuel -> Ajuster la taille à la largeur de la fenêtre

Supprimer une colonne

Cliquez avec le bouton droit sur l'intitulé d'une colonne -> Menu contextuel -> Remove this column (Supprimer la colonne)

Le menu contextuel

Commande | Action
Croissant | Trie la colonne par ordre croissant
Décroissant | Trie la colonne par ordre décroissant
Grouper selon cette colonne | Groupes les éléments selon cette colonne
Annuler regroupement | Annule le groupement existant
Sélection colonne ... | Ouvre une boîte de dialogue permettant de sélectionner les colonnes devant être affichée.
Format des colonnes... | Ouvre une boîte de dialogue de mise en forme de la colonne.
Ajuster la taille à la largeur de la fenêtre | Toutes les colonnes sont redimensionnées de manière uniforme dans l'ensemble de la fenêtre.
Remove this column (Supprimer cette colonne) | Supprime la colonne de la vue

Barre d'état

Dans les listes, la ligne d'état de la vue de détail fournit des informations concernant les éléments disponibles, filtrés et sélectionnés.

Example Exemple

Afficher la vue de détail de la ligne d'état : 39 total/30 filtrés/2 sélectionnés signifie :

  • 39 éléments sont disponibles
  • 30 sont affichés sur la base des paramètres de filtre
  • 2 ont été choisis

Pour les variables, le nombre d'E/S et de balises utilisées/dotées d'une licence est affiché.

Par ex. 32 balises utilisées / nombre illimité de balises disponible.

info Info

Des informations détaillées concernant l'édition et la gestion des éléments sont disponibles au chapitre Éditer les entrées et dans la description des éléments correspondants.

Autres sujets abordés dans ce chapitre

Éditer les entrées

Barres d'outils de la vue de détail

Navigation dans la liste

Filtrer les entrées de liste

Remplacer un texte dans la colonne sélectionnée

Remplacer le texte des limites

Afficher/masquer les colonnes

Sélection recette


Éditer les entrées

Manuels -> Éditeur -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Éditer les entrées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous disposez de plusieurs méthodes pour éditer les entrées :

Marche à suivre

Suite des actions

Barres d'outils de la vue de détail

  • Sélectionnez la cellule que vous voulez modifier en cliquant avec le bouton gauche de la souris.
  • Cliquez sur le bouton Éditer la cellule sélectionnée dans la barre d'outils.

Le menu contextuel
  • Cliquez sur la cellule de votre choix avec le bouton droit de la souris.
  • Dans le menu contextuel, sélectionnez l'entrée Éditer la cellule sélectionnée.

Le double-clic lent

  • Marquez la cellule de votre choix en cliquant dessus deux fois (lentement).

La fenêtre des propriétés

  • Marquez l'élément de votre choix.
  • Éditez l'entrée de votre choix dans la fenêtre Propriétés.

La touche F2

  • Sélectionnez la cellule que vous voulez modifier en cliquant avec le bouton gauche de la souris.
  • Appuyez sur F2.

info Info

La cellule entière est marquée si vous cliquez sur une cellule. Vous pouvez voir les cellules sélectionnées en cliquant sur le symbole représentant des jumelles dans la colonne de titre.

attention Attention

Exceptions

  • Dans la vue de détail, vous pouvez uniquement modifier les propriétés pouvant être modifiées dans la fenêtre des propriétés. Il est par exemple impossible d'éditer le nom d'une variable système.
  • Dans l'historique des modifications, il n'est pas possible d'effectuer des modifications en raison des règles de la FDA.
  • Dans les sauvegardes de projets, vous pouvez uniquement éditer le nom de la sauvegarde.


Barres d'outils de la vue de détail

Manuels -> Éditeur -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Barres d'outils de la vue de détail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur la bordure supérieure de la vue de détail, une barre d'outils vous propose toutes les fonctions que vous pouvez trouver aussi dans le menu contextuel. Selon ce qui est sélectionné dans l'arborescence du projet (comme les synoptiques, les variables, les symboles, etc.), la barre d'outils montre différents boutons.

Les boutons qui ne peuvent être utilisés selon le contexte sont grisés.

Barre d'outils

No. | Symbole | Action
01 | Nouvelle variable | Ouvre la boîte de dialogue de création d'une nouvelle variable.
02 | Copier | Copie les entrées sélectionnées vers le presse-papiers.
03 | Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
04 | Supprimer | Supprime les entrées sélectionnées.
05 | Créer une fonction standard | Ouvre l'assistant de sélection des variables et des valeurs prescrites et crée une fonction correspondante. Cette action est consignée dans la fenêtre de sortie.
06 | Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
07 | Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
08 | Remplacer le texte des limites | Ouvre la boîte de dialogue permettant de sélectionner les éléments dynamiques, puis la boîte de dialogue de recherche et de remplacement.
09 | Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
10 | Tout étendre | Liste déroulante permettant de développer ou réduire tous les nœuds ou les nœuds sélectionnés.
11 | Activer | Active les éléments sélectionnés d'une variable de structure.
12 | Désactiver | Désactive les éléments sélectionnés d'une variable de structure.
13 | Activer tout | Active tous les éléments inactifs d'une variable de structure.
14 | Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
15 | Importer XML | Importe des fichiers XML.
16 | Import S7 project (Importer projet S7) | Importe un projet Simatic S7.
17 | Activer | Active ou désactive les paramètres de filtre étendu.
18 | Retour à l'élément de départ | Si vous avez saisi la liste via la fonction Éléments liés, le symbole vous ramène à l'élément de départ. Uniquement disponible dans le menu contextuel lorsque tous les éléments liés sont ouverts.
19 | Remove filter (Supprimer filtre) | Supprime tous les paramètres de filtre
20 | Aide | Ouvre l'aide en ligne.

Le menu contextuel

Élément de menu | Action
Nouvelle variable | Ouvre la boîte de dialogue de création d'une nouvelle variable.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Créer une fonction standard | Ouvre la boîte de dialogue de sélection de variables et de valeurs prescrites.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Remplacer le texte des limites | Ouvre la boîte de dialogue permettant de sélectionner les éléments dynamiques, puis la boîte de dialogue de recherche et de remplacement.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Étendre/réduire les nœuds | Ouvre un menu avec lequel vous pouvez développer ou réduire les nœuds.
Activer tout | Active tous les éléments inactifs d'une variable de structure.
Activer | Active les éléments sélectionnés d'une variable de structure.
Désactiver | Désactive les éléments sélectionnés d'une variable de structure.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Import/export étendu | Ouvre le menu d'importation et d'exportation de projets aux formats S7, dBase et CSV.
Utilisation de variables | Crée une analyse de projet pour les variables sélectionnées dans le projet actuel, et l'affiche sous forme de liste de résultats dans une fenêtre spécifique.
Filtre étendu | Ouvre un menu permettant d'activer ou désactiver les filtres, ou de supprimer tous les paramètres de filtres.
Éléments liés | Affiche les éléments liés à la variable.
Aide | Ouvre l'aide en ligne.


Navigation dans la liste

Manuels -> Éditeur -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Navigation dans la liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour parcourir une liste :

  1. Cliquez sur la colonne dans laquelle vous souhaitez effectuer une recherche.
  2. Saisissez le premier caractère pour lancer la recherche. Si aucune entrée commençant par cette lettre n'existe, le système arrête immédiatement sa recherche.
  3. La première entrée trouvée est affichée. Un champ de saisie est affiché. Le premier caractère de texte de la colonne est sélectionné.
    Remarque : vous pouvez uniquement saisir des critères de recherche dans ce champ. Il est impossible de modifier le nom de l'élément.
  4. Saisissez d'autres caractères pour limiter la recherche. Si aucune entrée correspondante n'est trouvée, le caractère saisi est rejeté et la sélection reste dans la position courante.
  5. Si plusieurs entrées existent pour le critère de recherche, l'utilisateur peut atteindre les entrées suivantes en appuyant sur la combinaison de touches Ctrl+touche fléchée vers le haut ou Ctrl+touche fléchée vers le bas.
  6. La touche Retour arrière permet d'effacer le dernier caractère des critères de recherche et de lancer une nouvelle recherche avec les caractères restants. Vous pouvez arrêter la recherche en supprimant le dernier caractère.

Tri

Vous pouvez sélectionner plusieurs colonnes simultanément pour trier la liste.

  1. Cliquez sur l'en-tête de la colonne contenant le premier critère de filtre.
  2. Maintenez la touche Maj enfoncée et cliquez sur l'intitulé de la colonne contenant le deuxième critère de tri.
  3. Vous pouvez ajouter autant de colonnes que vous le souhaitez.

    Par exemple : le tri selon les blocs de données et l'offset affiche alors d'abord tous les blocs de données, puis toutes les adresses associées, correctement triées.

Conseil : un deuxième clic souris sur la colonne trie la colonne dans l'ordre inverse.


Filtrer les entrées de liste

Manuels -> Éditeur -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Filtrer les entrées de liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les éléments de la vue de détail peuvent être filtrés et triés en fonction de différents critères. Tous les paramètres de filtre peuvent être réinitialisés en cliquant sur le bouton Supprimer tous les filtres dans la barre d'outils de la vue de détail ou en sélectionnant la commande Supprimer tous les filtres du menu contextuel.

Méthode

Suite des actions

Tri alphabétique

Clic sur l'intitulé d'une colonne : la liste est triée en fonction de la colonne correspondante. Un deuxième clic sur l'intitulé de la colonne trie inverse l'ordre du tri.

Définir des critères de filtre

Juste sous l'intitulé de la colonne se trouve le champ de saisie des critères de filtre. Ici, vous pouvez saisir les critères de votre choix.

Si vous renseignez ce champ, seuls les éléments correspondant aux critères saisis seront affichés.

Pour afficher tous les objets à nouveau, vous devez supprimer les critères de filtre que vous avez spécifiés.

Si vous cliquez sur le champ de filtre d'une colonne, une liste déroulante s'affiche avec les derniers critères de filtres qui ont été définis sur cette colonne.

Filtre sur cases à cocher

Les listes contenant des cases à cocher (par exemple les gabarits) peuvent être triées et filtrées en fonction des cases à cocher actives et inactives.

Cela marche de la même façon que le tri alphabétique.

Vous trouverez une liste déroulante correspondant aux critères de filtre vous permettant de sélectionner les cases à cocher actives, inactives ou toutes les cases à cocher sous la cellule située sous l'intitulé de la colonne.

Remplissage

Plusieurs caractères génériques peuvent être utilisés pour la saisie de critères de filtre :

  • * remplace une série de caractères.
    Exemple : *1 filtre tous les éléments qui se terminent par le caractère 1, par exemple Variable1.
    Les opérateurs peuvent uniquement être utilisés comme préfixe ou suffixe.
  • ? remplace un caractère unique.
    Exemple : Variable? filtre tous les éléments qui commencent par la série de caractères variable et comportent un caractère supplémentaire, par ex. variable1, variable2, variable3...

Lien logique

Les expressions de filtre peuvent être associées aux expressions logiques AND et OR. Elles peuvent également être associées aux opérateurs (*), mais pas aux caractères de substitution (?).

Utiliser le contenu d'une cellule comme critère de filtre

Les mots ou les séries de caractères provenant d'une cellule dans la vue de détail peuvent être définis comme filtres :

  • Sélectionnez l'entrée de votre choix.
  • Maintenez la touche Alt enfoncée et cliquez sur la cellule.
  • L'entrée est alors proposée dans un champ d'édition.
  • Sélectionnez une chaîne de caractères à l'aide de la souris.
  • En maintenant le bouton gauche de la souris enfoncé (glisser-déplacer), déplacez la partie sélectionnée vers la ligne de filtre de l'intitulé de la colonne.
  • La chaîne de caractères sélectionnée devient le nouveau texte de filtre.

Filtrer les éléments liés.

Les éléments liés à l'élément actuel peuvent être affichés en sélectionnant l'option éléments liés . Si vous sélectionnez un élément dans la vue de détail via cette option, par exemple une variable, cet élément est affiché indépendamment des paramètres de filtre actuels. S'il n'est pas disponible dans le filtre actuel, il est affiché en fin de liste et sélectionné automatiquement.

Modifier les propriétés

Dès qu'un objet a été sélectionné dans la vue de détail ou été créé avec un menu contextuel, ses paramètres peuvent être définis et modifiés dans la fenêtre des propriétés.

Cette fenêtre autorise les sélections multiples. Si plusieurs objets ont été sélectionnés simultanément, vous pouvez modifier leurs propriétés ensemble.

Les entrées et les modifications apportées à la fenêtre des propriétés sont valides pour tous les objets sélectionnés. Les entrées existantes sont écrasées. La fenêtre des propriétés fournit désormais uniquement les propriétés valides pour tous les objets sélectionnés.

Filtres étendus pour variables

Il existe, pour les variables, une boîte de dialogue permettant d'affiner les filtres. Vous pouvez l'afficher en sélectionnant :

  • le symbole Activer filtre étendu dans la barre d'outils de la vue de détail ou
  • la commande Filtre étendu du menu contextuel

Ainsi, les filtres standard intègrent également les éléments Types de données, Options de filtre et Textes de filtre (nom de variable, identification, matrice de réaction).


Remplacer un texte dans la colonne sélectionnée

Manuels -> Éditeur -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Remplacer un texte dans la colonne sélectionnée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon propose une fonction Rechercher/Remplacer destinée aux chaînes de caractères (par ex. noms de synoptiques, noms de variables, identification des variables). Vous pouvez remplacer des textes dans les colonnes actives et les limites.

attention Attention

Les seuls textes pris en compte sont ceux qui se trouvent dans des structures ouvertes (variables ou types de données). Les structures fermées n'existent pas en tant que cible pour l'Éditeur, et doivent être développées avant la recherche.

Remplacer un texte dans la colonne sélectionnée :

  1. Ouvrez la boîte de dialogue en cliquant sur le symbole Remplacer le texte dans la colonne sélectionnée ou en sélectionnant l'option correspondante dans le menu contextuel.
  2. Définissez les paramètres de la fonction Chercher et remplacer dans la boîte de dialogue.
  3. Le remplacement a lieu dans la colonne active. Vous pouvez identifier la colonne active grâce au symbole représentant des jumelles situé sous l'intitulé de la colonne.

attention Attention

Si la fonction de changement de langue est utilisée pour l'identification de variables (l'utilisation est identifiable par la présence d'un caractère @), la propriété Montrer les mots-clé non-traduits doit être activée pour garantir la localisation et le remplacement corrects des entrées. Pour l'activer :

  • Accédez au nœud Apparence graphique dans les propriétés.
  • Cochez la case de la propriété Montrer les mots-clé non-traduits


Remplacer le texte des limites

Manuels -> Éditeur -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Remplacer le texte des limites

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour remplacer le texte des limites :

  • Ouvrez la boîte de dialogue en cliquant sur le symbole Remplacer le texte dans les limites ou en sélectionnant l'option correspondante dans le menu contextuel.
  • Choisissez la propriété dynamique souhaitée dans la fenêtre de sélection.

  • Vous voyez maintenant s'afficher la boîte de dialogue Remplacer le texte dans les limites.

attention Attention

Les seuls textes pris en compte sont ceux qui se trouvent dans des structures ouvertes (variables ou types de données). Les structures fermées n'existent pas en tant que cible pour l'Éditeur, et doivent être développées avant la recherche.


Afficher/masquer les colonnes

Manuels -> Éditeur -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Afficher/masquer les colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez afficher et masquer à votre convenance les colonnes disponibles dans la vue de détail ; vous pouvez les trier dans l'ordre de votre choix. Les paramètres suivants sont également accessibles par le biais des boîtes de dialogue d'appel de synoptique, pour certains synoptiques.

Afficher/masquer les colonnes

  1. Cliquez avec le bouton droit sur l'intitulé d'une colonne.
  2. Sélectionnez Select column (Sélectionner la colonne) dans le menu contextuel.
  3. Dans la boîte de dialogue suivante, vous pouvez sélectionner ou désélectionner les colonnes :

    Vous pouvez sélectionner plusieurs colonnes en maintenant les touches Maj ou Ctrl enfoncées, comme vous le faites habituellement dans votre système d'exploitation.

  4. Colonnes disponibles dresse la liste de toutes les colonnes encore disponibles. Colonnes sélectionnées affiche la liste de toutes les colonnes actives.

Bouton | Fonction
Ajouter | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter tout | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Flèche vers le haut | Déplace l'entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques ; les sélections multiples ne sont pas autorisées dans ce cas.
Flèche vers le bas | Déplace l'entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques ; les sélections multiples ne sont pas autorisées dans ce cas.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Abandonne les paramètres et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Organiser les colonnes

Vous pouvez réorganiser les colonnes selon vos besoins. Il existe deux possibilités pour cela.

  1. Dans la boîte de dialogue Paramétrage des colonnes, via les boutons Haut et Bas.
  2. Dans la vue de détail du Gestionnaire de projet, en effectuant un glisser-déplacer à l'aide de la souris :
    • Avec la souris, cliquez sur l'intitulé de la colonne de votre choix.
    • Maintenez le bouton gauche de la souris enfoncé.
    • Déplacez ensuite l'intitulé de colonne vers l'emplacement de votre choix. Deux flèches rouges indiquent l'emplacement auquel sera insérée la colonne.
    • Positionnez la colonne en relâchant le bouton de la souris.


Sélection recette

Manuels -> Éditeur -> Gestionnaire de projet -> Vue de détail du gestionnaire de projet -> Sélection recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètre

Description

Colonnes disponibles

Liste de colonnes disponibles avec la fonction de sélection de colonnes. La colonne sélectionnée ici est configurée à l'aide des paramètres de la section Paramètres.

Paramètre

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l'intitulé de colonne. Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, insérez le caractère @ devant le nom de l'intitulé.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement.

Paramètres possibles :

  • Justifié à gauche : le texte est justifié contre le bord gauche de la colonne.
  • Centré le texte est centré dans la colonne.
  • Justifié à droite : le texte est justifié contre le bord droit de la colonne.

Désactiver le filtre sur les colonnes dans le Runtime

Actif : le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Contrôle de batch
  • Synoptique Extended Trend
  • Gestion de messages
  • Gestionnaire de groupes de recettes

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Fichiers

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers

Les fichiers externes peuvent être intégrés à un projet dans le gestionnaire de projet via le nœud Fichiers. Un programme externe doit être utilisé pour l'édition des fichiers externes. Ceci signifie : Vous pouvez par exemple intégrer un clip vidéo. Toutefois, vous devez disposer du logiciel adéquat pour l'éditer. zenon ne fait que gérer ces fichiers.

Les fichiers externes suivants sont disponibles :

  • Graphiques
  • Aide
  • Multimédia
  • Textes et formats
  • Drivers
  • Module de visualisation de rapports
  • Autres

Sous-dossiers

Vous pouvez créer des sous-dossiers dans les nœuds Aide, Listes, Multimédia et Autres. Sélectionnez l'entrée Nouveau dossier dans le menu contextuel. L'utilisation des sous-dossiers vous permet également de changer la langue du Runtime utilisée pour les documents.

attention Attention

Les sous-dossiers sont uniquement adaptés à l'organisation de la fonction de changement de langue. Tous les autres éléments tels que les éléments graphiques, les fichiers multimédia, etc. doivent toujours être conservés au niveau hiérarchique supérieur du dossier, car ils ne sont pas accessibles par zenon s'ils se trouvent dans des sous-dossiers.

Le menu contextuel

Élément de menu | Action
Importer un fichier graphique | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Importer une table de langues | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Importer un fichier d'aide | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Importer un fichier multimédia | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Importer un fichier de liste | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Importer des données de driver | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Importer un gabarit de rapport | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Importer un autre fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Graphiques

Aide

Multimédia

Textes et formats

Driver

Module de visualisation de rapports

Autres


Graphiques

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers -> Graphiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Fichiers graphiques destinés aux images de fond ou aux éléments dynamiques. Les formats suivants sont disponibles :

  • *.bmp
  • *.gif
  • *.jpg
  • *.png
  • *.wmf
  • *.XAML Remarque : disponible uniquement pour l'élément WPF ! Les fichiers XAML ne peuvent être prévisualisés dans la vue de détail !

Le menu contextuel

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Nouveau dossier | Insère un nouveau sous-dossier.
Renommer le dossier | Permet de renommer les sous-dossiers que vous avez créés.
Supprimer le dossier | Supprime le dossier que vous avez créé après affichage d'un message confirmation.
Editor profile (Profil d'Éditeur) | Ouvre la liste déroulante contenant les Editor profils (Profil d'Éditeur) prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel Éléments graphiques


Barre d'outils et menu contextuel Éléments graphiques

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers -> Graphiques -> Barre d'outils et menu contextuel Éléments graphiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel Graphiques

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Process file externally (Traiter le fichier avec un programme externe) | Ouvre le programme par défaut de votre système d'exploitation pour vous permettre d'éditer le fichier sélectionné.
Process file externally with (Traiter le fichier avec un programme externe...) | Ouvre une liste de programmes adaptés à l'édition du fichier sélectionné.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Aide

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers -> Aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le dossier dans lequel se trouvent les fichiers de l'aide du Runtime pour ce projet. Ces fichiers sont enregistrés au format *.chm.

Le menu contextuel

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Nouveau dossier | Insère un nouveau sous-dossier.
Renommer le dossier | Permet de renommer les sous-dossiers que vous avez créés.
Supprimer le dossier | Supprime le dossier que vous avez créé après affichage d'un message confirmation.
Editor profile (Profil d'Éditeur) | Ouvre la liste déroulante contenant les Editor profils (Profil d'Éditeur) prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel Aide


Barre d'outils et menu contextuel Aide

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers -> Aide -> Barre d'outils et menu contextuel Aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel Aide

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Process file externally (Traiter le fichier avec un programme externe) | Ouvre le programme par défaut de votre système d'exploitation pour vous permettre d'éditer le fichier sélectionné.
Process file externally with (Traiter le fichier avec un programme externe...) | Ouvre une liste de programmes adaptés à l'édition du fichier sélectionné.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Multimédia

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers -> Multimédia

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les formats audio et vidéo suivants peuvent être mis en œuvre :

  • *.avi
  • *.mp3
  • *.mpeg
  • *.wav

Gardez à l'esprit que les codecs appropriés doivent être installés sur le périphérique Runtime pour que vous puissiez lire les fichiers audio et vidéo.

Le menu contextuel

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Nouveau dossier | Insère un nouveau sous-dossier.
Renommer le dossier | Permet de renommer les sous-dossiers que vous avez créés.
Supprimer le dossier | Supprime le dossier que vous avez créé après affichage d'un message confirmation.
Editor profile (Profil d'Éditeur) | Ouvre la liste déroulante contenant les Editor profils (Profil d'Éditeur) prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel Multimédia


Barre d'outils et menu contextuel Multimédia

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers -> Multimédia -> Barre d'outils et menu contextuel Multimédia

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel Multimédia

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Process file externally (Traiter le fichier avec un programme externe) | Ouvre le programme par défaut de votre système d'exploitation pour vous permettre d'éditer le fichier sélectionné.
Process file externally with (Traiter le fichier avec un programme externe...) | Ouvre une liste de programmes adaptés à l'édition du fichier sélectionné.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Textes et formats

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers -> Textes et formats

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les textes et formats sont :

  • Fichiers texte destinés à être affichés dans le projet
    Extension de fichier : .txt
  • Fichiers de format utilisés pour la mise en forme d'impressions
    Extension de fichier : .frm
  • Fichiers HTML affichés dans les synoptiques au format HTML
    Extension de fichier : .htm ou .html

Le menu contextuel

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Nouveau dossier | Insère un nouveau sous-dossier.
Renommer le dossier | Permet de renommer les sous-dossiers que vous avez créés.
Supprimer le dossier | Supprime le dossier que vous avez créé après affichage d'un message confirmation.
Editor profile (Profil d'Éditeur) | Ouvre la liste déroulante contenant les Editor profils (Profil d'Éditeur) prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Barres d'outils et menu contextuel Texte


Barres d'outils et menu contextuel Texte

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers -> Textes et formats -> Barres d'outils et menu contextuel Texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les textes et formats des menus contextuels

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Process file externally (Traiter le fichier avec un programme externe) | Ouvre le programme par défaut de votre système d'exploitation pour vous permettre d'éditer le fichier sélectionné.
Process file externally with (Traiter le fichier avec un programme externe...) | Ouvre le fichier sélectionné avec l'Éditeur correspondant au format du fichier ou offre une sélection d'éditeurs pouvant être utilisés.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Driver

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers -> Driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fichiers de drivers peuvent être mis en œuvre aux formats suivants :

  • *.cfg
  • *.iso
  • *.tcp
  • *.bur
  • *.fms
  • *.bec
  • *.ovd
  • *.nmp
  • *.ini
  • *.h11
  • *.lst
  • *.dde
  • *.lon
  • *.opc
  • *.ecs

Il n'est généralement pas nécessaire de les saisir ici. Les fichiers sont créés automatiquement lors de la création d'un driver et sont enregistrés ici.

Le menu contextuel

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Nouveau dossier | Insère un nouveau sous-dossier.
Renommer le dossier | Permet de renommer les sous-dossiers que vous avez créés.
Supprimer le dossier | Supprime le dossier que vous avez créé après affichage d'un message confirmation.
Editor profile (Profil d'Éditeur) | Ouvre la liste déroulante contenant les Editor profils (Profil d'Éditeur) prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel Driver


Barre d'outils et menu contextuel Driver

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers -> Driver -> Barre d'outils et menu contextuel Driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel Drivers

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Process file externally (Traiter le fichier avec un programme externe) | Ouvre le programme par défaut de votre système d'exploitation pour vous permettre d'éditer le fichier sélectionné.
Process file externally with (Traiter le fichier avec un programme externe...) | Ouvre une liste de programmes adaptés à l'édition du fichier sélectionné.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Module de visualisation de rapports

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers -> Module de visualisation de rapports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les gabarits de rapports sont des fichiers au format RDL 2.0 et peuvent être ouverts, affichés et édités dans zenon, via le module Report Viewer.

Le menu contextuel

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers afin d'autoriser la sélection d'un fichier de définition de rapports.
Nouveau dossier | Insère un nouveau sous-dossier.
Renommer le dossier | Permet de renommer les sous-dossiers que vous avez créés.
Supprimer le dossier | Supprime le dossier que vous avez créé après affichage d'un message confirmation.
Editor profile (Profil d'Éditeur) | Ouvre la liste déroulante contenant les Editor profils (Profil d'Éditeur) prédéfinis.
Aide | Ouvre l'aide en ligne.

Remarque : présent uniquement si les modules Générateur de rapports et Report Viewer comportent une licence.
Indisponible si l'option Projet WindowsCE (propriétés du projet Général) est active.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel Report Viewer


Barre d'outils et menu contextuel Report Viewer

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers -> Module de visualisation de rapports -> Barre d'outils et menu contextuel Report Viewer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel de gabarit de rapport

Élément de menu | Action
New report definition file (Nouveau fichier de définition de rapport) | Crée un nouveau fichier RDL sur la base du fichier default.rdl fourni.
Open report definition file (Ouvrir un fichier de définition de rapport) | Ouvre le logiciel associé aux fichiers RFL, autorisant l'édition d'un fichier de définition existant. Par défaut, zenon recherche d'abord MS Report Builder, puis MS Report Designer.
Retour à l'élément de départ | Avec les éléments liés, revient à l'élément depuis lequel le gabarit de rapport a été ouvert. Uniquement présent dans le menu contextuel si des éléments liés sont présents.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Import existing report definition file (Importer un fichier de définition de rapport existant) | Ouvre une boîte de dialogue permettant d'importer des fichiers de définition de rapport existants. Ces fichiers doivent être au format RDL 2.0.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Aide | Ouvre l'aide en ligne.


Autres

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers -> Autres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dossier de stockage de tout autre type de fichier.

Le menu contextuel

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Nouveau dossier | Insère un nouveau sous-dossier.
Renommer le dossier | Permet de renommer les sous-dossiers que vous avez créés.
Supprimer le dossier | Supprime le dossier que vous avez créé après affichage d'un message confirmation.
Editor profile (Profil d'Éditeur) | Ouvre la liste déroulante contenant les Editor profils (Profil d'Éditeur) prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel Autres


Barre d'outils et menu contextuel Autres

Manuels -> Éditeur -> Gestionnaire de projet -> Fichiers -> Autres -> Barre d'outils et menu contextuel Autres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel Autres

Élément de menu | Action
Ajouter un fichier | Ouvre le gestionnaire de fichiers et vous permet de sélectionner un fichier.
Process file externally (Traiter le fichier avec un programme externe) | Ouvre le programme par défaut de votre système d'exploitation pour vous permettre d'éditer le fichier sélectionné.
Process file externally with (Traiter le fichier avec un programme externe...) | Ouvre une liste de programmes adaptés à l'édition du fichier sélectionné.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Bibliothèque globale du système

Manuels -> Éditeur -> Gestionnaire de projet -> Bibliothèque globale du système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon fournit des éléments graphiques prédéfinis dans la bibliothèque de symboles globale. Les symboles du dossier Synoptiques peuvent uniquement être utilisés pour le synoptique actuel ; les symboles de la bibliothèque de symboles globale peuvent être utilisés dans tous les projets.

Vous pouvez également créer vos propres symboles ou groupes de symboles ou les lier. Vous trouvez plus de détails au chapitre Synoptiques/Symboles.

L'éditeur enregistre l'état du dossier de symboles (ouvert ou fermé), même lorsque vous fermez la bibliothèque de symboles ou l'Éditeur.


Boîtes de dialogue de sélection

Manuels -> Éditeur -> Gestionnaire de projet -> Boîtes de dialogue de sélection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans zenon, les boîtes de dialogue de sélection et les listes filtrées permettent de sélectionner des éléments spécifiques. Ces modes de sélection sont valides pour l'ensemble du système, et recensent les projets et sous-projets actuels. Elles sont disponibles pour :

  • Utilisateurs
  • Synoptiques
  • Fichiers
  • Types de données
  • Fonctions
  • Cadres
  • Drivers
  • Variables

Des informations détaillées concernant les vues sont disponibles au chapitre Vue de détail du gestionnaire de projet, et des informations détaillées concernant le filtrage de listes sont disponibles au chapitre Filtrer les entrées de liste.

Des informations détaillées concernant les boîtes de dialogue de sélection des fonctions et variables et le remplacement des fonctions ou variables choisies sont disponibles aux sous-chapitres suivants :

  • Fonctions
  • Variables

Autres sujets abordés dans ce chapitre

Boîte de dialogue de sélections de fonctions

Boîte de dialogue de sélection de variables

Gabarits

Fichiers

Synoptiques

Synoptique de filtre

Utilisateur

Drivers

Types de données


Boîte de dialogue de sélections de fonctions

Manuels -> Éditeur -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Boîte de dialogue de sélections de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une boîte de dialogue filtrée s'affiche pour vous permettre de sélectionner les fonctions :

L'élément

Description

L'arbre du projet

Définition du projet à partir duquel la fonction doit être sélectionnée.

Volet de sélection

Sélection de la fonction.

Pas de sélection

Selon l'élément :

  • le dialogue est annulé
  • Les fonctions déjà liées sont supprimées.

Conseil : vous pouvez ajuster la taille de cette boîte de dialogue. La taille et la position de la boîte de dialogue sont enregistrées.

Modifier une fonction liée

  1. manuellement
    • Dans la vue de détail du gestionnaire de projet, ouvrez les fonctions concernées.
    • Faites glisser la fonction de votre choix sur l'élément tout en maintenant le bouton gauche de la souris enfoncé.
    • La nouvelle fonction se substitue à la fonction précédente.
  2. Automatique
    • Sélectionnez l'entrée Remplacer les liens du menu contextuel. Pour plus de détails, reportez-vous au chapitre Substitution de variables dans les éléments dynamiques.


Boîte de dialogue de sélection de variables

Manuels -> Éditeur -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Boîte de dialogue de sélection de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une boîte de dialogue filtrée s'affiche pour vous permettre de sélectionner les variables :

Conseil : vous pouvez ajuster la taille de cette boîte de dialogue. La taille et la position de la boîte de dialogue sont enregistrées.

Les variables peuvent également être utilisées dans l'ensemble des projets.

Lier une variable

Les éléments qui ne peuvent être liés qu'à une seule variable unique ouvrent la boîte de dialogue suivante :

L'élément

Description

L'arbre du projet

Définition du projet à partir duquel la variable doit être sélectionnée.

Volet de sélection

Sélection de la variable devant être liée. Elle peut être liée de deux manières :

  • Par un double-clic sur la variable souhaitée : La boîte de dialogue est automatiquement fermée.
  • En sélectionnant la variable souhaitée et en cliquant ensuite sur OK.

Pas de sélection

Selon l'élément :

  • le dialogue est annulé
  • Les variables déjà liées sont supprimées (telles que les variables de batch liées dans le Serveur d'archives)

Remarque : si la variable souhaitée n'est pas affichée, il peut y avoir plusieurs raisons à cela :

  • Vous avez sélectionné un filtre et la variable souhaitée ne correspond pas au filtre : Vérifier qu'aucun filtre n'est actif dans la ligne de filtres. Les informations concernant les éléments filtrés qui sont affichées au bas de la fenêtre de sélection sont également utiles lors de la recherche de filtres actifs.
  • La boîte de dialogue est filtrée par l'Éditeur, et la variable ne correspond pas au filtre. L'affichage n'est filtré que lorsque des types de données spéciaux sont autorisés ; par exemple, pour l'élément dynamique Valeur numérique, aucune variable de type chaîne ne peut être liée.
  • Vous avez sélectionné un projet incorrect dans l'arborescence des projets.

attention Attention

la boîte de dialogue permet généralement de choisir plusieurs variables en utilisant les raccourcis-clavier Windows habituels, mais à cette étape, une seule variable peut être liée. En cas de sélection multiple, la première variable sélectionnée est associée à l'élément.

Liaison de variables multiples :

Les éléments qui peuvent être liés à plusieurs variables ouvrent la boîte de dialogue suivante :

Élément

Description

L'arbre du projet

Définition du projet à partir duquel la variable doit être sélectionnée.

Volet de sélection

Sélection des variables:

  • Double-cliquez sur la variable sélectionnée pour l'ajouter à la liste de variables.
  • Vous pouvez déplacer la variable sélectionnée vers la liste de variables en effectuant un glisser-déplacer.
  • Sélectionnez la variable de votre choix. Vous pouvez sélectionner plusieurs variables en appuyant sur les touches Ctrl et/ou Maj. En cliquant sur Ajouter, vous ajoutez les variables sélectionnées à la liste de variables.

Liste de variables

Liste toutes les variables sélectionnées

Ajouter

Ajoute la variable actuellement sélectionnée dans la fenêtre de sélection à la liste de variables.

Supprimer

Supprime (de la liste) les variables qui sont sélectionnées dans la liste de variables.

Pas de sélection

Selon l'élément :

  • le dialogue est annulé
  • certains liens comme les variables batch dans les archives peuvent être libérés

Remarque : si la variable souhaitée n'est pas affichée, il peut y avoir plusieurs raisons à cela :

  • Vous avez sélectionné un filtre et la variable souhaitée ne correspond pas au filtre : Vérifier qu'aucun filtre n'est actif dans la ligne de filtres. Les informations concernant les éléments filtrés qui sont affichées au bas de la fenêtre de sélection sont également utiles lors de la recherche de filtres actifs.
  • La boîte de dialogue est filtrée par l'Éditeur, et la variable ne correspond pas au filtre. L'affichage n'est filtré que lorsque des types de données spéciaux sont autorisés ; par exemple, pour l'élément dynamique Valeur numérique, aucune variable de type chaîne ne peut être liée.
  • Vous avez sélectionné un projet incorrect dans l'arborescence des projets.

Modifier une variable liée

Sélectionnez l'entrée Remplacer les liens du menu contextuel de l'élément. Pour plus de détails, reportez-vous au chapitre Substitution de variables dans les éléments dynamiques.


Gabarits

Manuels -> Éditeur -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Gabarits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la boîte de dialogue de sélection de cadre, des cadres peuvent être sélectionnés pour l'exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l'espace de travail dans lesquels l'option Garder projet en mémoire est active

Paramètres

Description

Fenêtre d'arborescence des projets

Affiche tous les projets dans l'espace de travail. Les cadres peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l'option Garder projet en mémoire est active.

Fenêtre de cadres

Sélection du cadre.

Si plusieurs cadres sont sélectionnés, le premier cadre sélectionné est utilisé pour l'exécution de la fonction.

Open this dialog in the Runtime (Ouvrir cette boîte de dialogue dans le Runtime)

Bascule vers la boîte de dialogue de sélection de cadre lors de l'exécution de cette fonction dans le Runtime.

Pas de sélection

Aucune fonction pour cette sélection.

Déplacer vers moniteur

Actif : des barres de défilement sont visibles dans le Runtime, vous permettant d'accéder au moniteur de votre choix.

Disponible uniquement sur les systèmes multi-moniteurs.

Moniteur

Sélectionnez le moniteur souhaité dans la liste déroulante.

Celle-ci contient :

  • Moniteur actuel
  • Tous les moniteurs virtuels définis dans la section de gestion des moniteurs
    optionnel: Tous les moniteurs

Disponible uniquement sur les systèmes multi-moniteurs.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Fichiers

Manuels -> Éditeur -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Fichiers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez sélectionner les fichiers du projet ou des sous-projets (actuels) dans une vue filtrable, via la boîte de dialogue de sélection de fichier :

  • Pour pouvoir sélectionner un fichier dans un projet, celui-ci doit déjà être présent dans le nœud Fichiers/Éléments graphiques du Gestionnaire de projet.
  • Pour pouvoir sélectionner directement un fichier dans un dossier de l'ordinateur, la propriété Sélection directe du fichier doit être activée.


Synoptiques

Manuels -> Éditeur -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la boîte de dialogue de sélection de synoptique, des synoptiques peuvent être sélectionnés pour l'exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l'espace de travail dans lesquels l'option Garder projet en mémoire est active

Paramètre

Description

Fenêtre d'arborescence des projets

Affiche tous les projets dans l'espace de travail. Les synoptiques peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l'option Garder projet en mémoire est active.

Fenêtre d'affichage des synoptiques

Sélection du synoptique.

Si plusieurs synoptiques sont sélectionnés, le premier synoptique sélectionné est utilisé pour l'exécution de la fonction.

Afficher cette boîte de dialogue dans le Runtime

Bascule vers la boîte de dialogue de sélection de synoptique lors de l'exécution de cette fonction dans le Runtime.

Pas de sélection

Aucune fonction pour cette sélection de synoptique.

Déplacer vers moniteur

Actif : des barres de défilement sont visibles dans le Runtime, vous permettant d'accéder au moniteur de votre choix.

Disponible uniquement sur les systèmes multi-moniteurs.

Moniteur

Sélectionnez le moniteur souhaité dans la liste déroulante.

Celle-ci contient :

  • Moniteur actuel
  • Tous les moniteurs virtuels définis dans la section de gestion des moniteurs
  • facultatif : Tous les moniteurs

Disponible uniquement sur les systèmes multi-moniteurs.

Disponible uniquement sur les systèmes multi-moniteurs.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Synoptique de filtre

Manuels -> Éditeur -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Synoptique de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'appel d'un synoptique (par ex. filtre de liste AML ou filtre de liste CEL) depuis un synoptique comportant un filtre, une boîte de dialogue de sélection de synoptique s'affiche, permettant d'effectuer les opérations suivantes :

  • Calling screen (Synoptique d'activation)
  • Screens to be updated (Synoptiques devant être mis à jour)

Sélection du synoptique à appeler

Paramètre | Description
Fenêtre d'arborescence des projets | Affiche le projet actuel. Seuls les synoptiques de ce projet peuvent être sélectionnés.
Fenêtre d'affichage des synoptiques | Sélection du synoptique. Si plusieurs synoptiques sont sélectionnés, le synoptique appelé est le premier synoptique sélectionné.
Pas de sélection | Aucune fonction pour cette sélection de synoptique.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Sélection du synoptique à mettre à jour

Paramètre | Description
Fenêtre d'arborescence des projets | Affiche le projet actuel. Seuls les synoptiques de ce projet peuvent être sélectionnés.
Fenêtre d'affichage des synoptiques | Sélection des synoptiques. Une sélection multiple est possible. pour ajouter un synoptique, double-cliquez dessus ou cliquez sur le bouton Ajouter.
Fenêtre de sélection | Dresse la liste de tous les synoptiques sélectionnés
Ajouter | Ajoute les éléments sélectionnés dans la fenêtre des synoptiques à la fenêtre de sélection.
Supprimer | Supprime les éléments sélectionnés de la fenêtre de sélection.
Pas de sélection | Supprime tous les synoptiques actuellement liés.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Utilisateur

Manuels -> Éditeur -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélection des utilisateurs du projet actif, de tous les sous-projets et du projet global.

Paramètre | Description
Liste des espaces de travail | Affichage et sélection des projets depuis lesquels des utilisateurs peuvent être sélectionnés.
Liste des utilisateurs | Affichage des utilisateurs des projets sélectionnés. La liste peut être filtrée.
Pas de sélection | Tout utilisateur déjà sélectionné est désélectionné.
OK | Appliquer toutes les modifications et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Drivers

Manuels -> Éditeur -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Drivers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la boîte de dialogue de sélection des Drivers, on peut sélectionner les drivers du projet ou des sous-projets actuels à travers une vue dans laquelle pouvant être filtrée.


Types de données

Manuels -> Éditeur -> Gestionnaire de projet -> Boîtes de dialogue de sélection -> Types de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la boîte de dialogue Types de données, on peut sélectionner les types de données du projet ou des sous-projets actuels à travers une vue pouvant être filtrée.


Fenêtre principale

Manuels -> Éditeur -> Fenêtre principale

Dans la fenêtre principale, les documents tels que les synoptiques, les rapports et autres sont affichés et édités. La fenêtre principale est la seule fenêtre qui ne peut pas être masquée.

Ouvrez plusieurs documents simultanément.

Vous pouvez afficher plusieurs synoptiques à la fois dans la fenêtre principale. Cette fonction peut être activée via : Options -> Vue de l'espace de travail. Les synoptiques peuvent être sélectionnés à l'aide des onglets situés dans la partie supérieure de la fenêtre principale, et peuvent être positionnés via les options accessibles par l'élément de menu Fenêtres.

Pour fermer les synoptiques ouverts, utilisez le raccourci-clavier Ctrl+F4, le menu contextuel ou la commande Fenêtre -> Fermer.

Menu contextuel Documents

Cliquez avec le bouton droit de la souris sur l'onglet d'un document pour ouvrir le menu contextuel.

Paramètres | Description
Enregistrer | Enregistre le document.
Fermer | Ferme le document.
Close all others (Fermer tous les autres) | Ferme tous les autres documents.

Positionner les éléments sur le synoptique

Activez les éléments en cliquant sur le symbole dans la barre d'outils éléments et ouvrez-les dans la fenêtre principale à l'aide de la souris.

Il existe plusieurs manières de déplacer les éléments :

  • Déplacement rapide : cliquez sur l'élément et positionnez-le à l'aide de la souris.
  • Positionnement précis : cliquez sur l'élément et positionnez-le à l'aide des touches fléchées.
  • Rotation : faites pivoter l'élément à votre convenance à l'aide de la poignée située au-dessus du coin supérieur gauche.


Fenêtre des propriétés

Manuels -> Éditeur -> Fenêtre des propriétés

La fenêtre des propriétés affiche les paramètres et propriétés des objets sélectionnés dans la vue de détail du gestionnaire de projet ou des éléments sélectionnés dans un synoptique. Vous pouvez saisir les valeurs et les paramètres dans la fenêtre des propriétés ou les modifier pour les objets et les éléments sélectionnés.

Ce paramétrage pour la visualisation, le tri et le choix des favoris est sauvegardé et sera utilisé lors du prochain démarrage de l'Éditeur. Lors de l'édition d'une propriété dans la fenêtre des propriétés, la dernière propriété sélectionnée est montrée automatiquement lorsqu'un nouvel élément est sélectionné.

Multi sélection

Si vous sélectionnez plusieurs objets simultanément (sélection multiple), toutes les propriétés qui diffèrent dans les éléments sélectionnés sont affichées sur fond orange ou en caractères rouges dans la fenêtre des propriétés. Les propriétés du dernier élément sélectionné sont affichées. Dans la vue de groupe et la fenêtre All properties (Toutes les propriétés), une propriété sélectionnée peut ensuite être transférée vers tous les autres objets sélectionnés en appuyant sur la touche Entrée. (Cela n'est pas possible dans la vue en boîte de dialogue.)

Example Exemple

Plusieurs objets comportant différentes couleurs de remplissage sont affichés en surbrillance. Le dernier élément sélectionné comporte une couleur de remplissage verte. La propriété Arrière-plan (couleur) est ensuite affichée en vert, et la valeur #32CD32 est affichée en rouge. Cliquez sur le champ de saisie et appuyez sur la touche Entrée pour transférer la propriété Vert à tous les éléments sélectionnés.

Fonctions clavier

Vous pouvez également parcourir les propriétés à l'aide du clavier :

Touche | Fonction
Tabulation ou touche fléchée Haut | Passe à la propriété suivante.
Maj+Tabulation ou touche fléchée Bas | Passe à la propriété précédente.
Entrée ou touche fléchée Droite | Ouvre un nœud.
Flèche gauche | Ferme un nœud.
Inser | Passe directement au premier nœud.
Quitter | Passe directement au dernier nœud.

Barre d'outils

Les propriétés d'un objet sont affichées et peuvent être modifiées dans la fenêtre des propriétés. Une barre d'outils est disponible et permet d'assurer la gestion de l'écran des propriétés.

Symbole

(de gauche à droite)

Fonction

Vue groupée

(Par défaut)

Toutes les propriétés de l'objet sélectionné sont groupées de manière logique ; les groupes peuvent être triés par ordre alphabétique ou logique. Avec le menu contextuel, les propriétés peuvent être ajoutées ou supprimées des favoris.

Par défaut, dans le manuel : Les conseils relatifs aux propriétés fournis dans le manuel se réfèrent toujours à la vue groupée. Le contenu des groupes est identique à celui dans la vue par boîte de dialogue.

Toutes les propriétés

Toutes les propriétés de l'objet sélectionné sont affichées dans une liste. Avec le menu contextuel, les propriétés peuvent être ajoutées ou supprimées des favoris.

Vue par boîte de dialogue

Toutes les propriétés sont groupées dans l'ordre logique, comme dans la vue groupée ; les groupes sont triés par priorité d'application, sous forme de boîte de dialogue. Dans cette vue, aucun favori ne peut être défini.

Montrer / cacher les favoris

Affiche ou masque le nœud Favoris au début des vues Vue groupée ou Tous les paramètres. Les propriétés les plus fréquemment utilisées sont regroupées ici.

Par défaut, les favoris sont proposés.

Ajouter/supprimer des entrées des favoris : Vous pouvez effectuer cela à l'aide du menu contextuel Ajouter aux favoris ou en déplaçant la propriété souhaitée vers la barre d'outils favoris à l'aide d'une manipulation glisser-déplacer.

L'ordre des propriétés dans les Favoris est défini par l'option de tri (croissant, décroissant, logique).

La vue par boîte de dialogue ne permet pas de créer de favoris.

Montrer / cacher toutes les propriétés

Affiche ou masque tous les nœuds dans les vues Groupé et Toutes les propriétés.

Tri logique

(Par défaut)

Trie les propriétés dans l'ordre logique, par fréquence d'application, plutôt que par ordre alphabétique, dans les vues Groupé et Toutes les propriétés.

Tri croissant / décroissant

Affiche les propriétés par ordre alphabétique croissant ou décroissant dans les vues Groupé et Toutes les propriétés.

Étendre / réduire toutes les sections

Affiche ou masque tous les nœuds dans les vues Groupé et Toutes les propriétés.

Exception : le nœud de la propriété actuelle n'est pas réduit si l'option Tout réduire est sélectionnée.

Afficher l'aide des propriétés

Affiche l'aide intégrée pour les propriétés (aide des propriétés).

Libérer la propriété

Symboles : libère la propriété sélectionnée.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.

Autres sujets abordés dans ce chapitre

Vue groupée

Vue par boîte de dialogue

Toutes les propriétés

Favoris

Trier les propriétés


Vue groupée

Manuels -> Éditeur -> Fenêtre des propriétés -> Vue groupée

La vue groupée est active par défaut. Elle regroupe les propriétés logiquement associées.

Toutes les propriétés peuvent être affichées ou masquées à l'aide de la barre d'outils.

info Info

Les conseils relatifs aux propriétés fournis dans le manuel se réfèrent toujours à la vue groupée. Le contenu des groupes est identique à celui dans la vue par boîte de dialogue.


Vue par boîte de dialogue

Manuels -> Éditeur -> Fenêtre des propriétés -> Vue par boîte de dialogue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La vue par boîte de dialogue rassemble les propriétés sous forme de groupes et les présente dans des boîtes de dialogue.

Dans la vus par boîte de dialogue, vous ne pouvez pas créer des favoris ou masquer des propriétés.


Toutes les propriétés

Manuels -> Éditeur -> Fenêtre des propriétés -> Toutes les propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Toutes les propriétés sont affichées dans une liste alphabétique.

Toutes les propriétés peuvent être affichées ou masquées à l'aide de la barre d'outils.


Favoris

Manuels -> Éditeur -> Fenêtre des propriétés -> Favoris

Les vues Groupé et Toutes les propriétés comportent un nœud Favoris situé à la première place de la fenêtre. Ce nœud rassemble les propriétés les plus fréquemment utilisées.

Par défaut, les favoris sont proposés. Pour ajouter vos propres entrées :

  • Cliquez avec le bouton droit sur la propriété souhaitée.
  • Dans le menu contextuel, choisissez <Propriété > Ajouter aux favoris.
  • L'ordre des propriétés dans les Favoris est défini par l'option de tri (croissant, décroissant, logique).

Pour supprimer une entrée :

  • Cliquez avec le bouton droit sur la propriété souhaitée.
  • Dans le menu contextuel, choisissez <Propriété > Enlever des favoris.

Vous pouvez afficher ou masquer les favoris en cliquant sur le bouton correspondant de la barre d'outils.
Attention : Dans la vue par boîte de dialogue, les favoris ne peuvent pas être créés.


Trier les propriétés

Manuels -> Éditeur -> Fenêtre des propriétés -> Trier les propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les critères de tri sont définis par les boutons Tri logique, Tri croissant ou Tri décroissant dans la barre d'outils. Par défaut, les propriétés sont triées de façon logique. Elles peuvent également être triées par ordre alphabétique.

Tri logique

Les propriétés sont triées par ordre logique, selon leur utilisation probable. Cela est uniquement possible dans les vues Groupé et Toutes les propriétés.

Tri croissant / décroissant

Ici les propriétés peuvent être triées selon l'ordre alphabétique croissant ou décroissant. Ces options sont possibles dans les vues Groupé , Toutes les propriétés et Favoris.

Réduire et développer les nœuds

It est possible de réduire tous les nœuds, puis de les développer à nouveau dans les vues Groupé et Toutes les propriétés. Le nœud de la propriété actuelle n'est pas fermé si l'option Tout réduire est sélectionnée.


Aide des propriétés

Manuels -> Éditeur -> Aide des propriétés

Une fenêtre contenant les propriétés peut être affichée sous les propriétés.

.

Pour afficher l'aide des propriétés :

  • Choisissez le symbole Afficher l'aide des propriétés tout à droite de la barre d'outils des propriétés.

  • Vous pouvez également choisir la commande Aide des propriétés dans le menu Options.
  • Ou cliquez avec le bouton droit sur n'importe quelle barre de titre et sélectionnez la commande Aide des propriétés dans le menu contextuel.

Fermer l'aide des propriétés :

  • cliquez sur le symbole X affiché dans la bordure droite de la barre de titre

Contrairement à l'aide en ligne, que vous pouvez afficher en appuyant sur la touche F1, l'aide intégrée des propriétés décrit uniquement la propriété individuellement sélectionnée. Elle vous fournit quelques informations succinctes concernant la propriété choisie, ainsi qu'un lien vers l'aide en ligne plus étendue.

L'aide des propriétés peut être déplacée à l'image des autres fenêtres ; vous pouvez la positionner à l'emplacement de votre choix.


Fenêtre de suivi

Manuels -> Éditeur -> Fenêtre de suivi

La fenêtre de sortie affiche les informations d'état et les messages d'erreur au démarrage de l'Éditeur et lors de la compilation et du transfert d'un projet. Les informations sont réparties selon différents types :

  • Erreur
  • Avertissements
  • Messages

Ces messages d'informations peuvent être affichés ou masqués individuellement. Les paramètres d'affichage des informations sont conservés après la fermeture de l'Éditeur ; ils s'appliquent également à l'affichage de nouvelles informations. Toutefois, aucune information n'est perdue, car les paramètres affectent uniquement l'affichage des informations, et non leur collecte.

Exemple : si les avertissements sont masqués, ils ne s'affichent plus tant que l'affichage des avertissements n'est pas réactivé. Dès lors, tous les avertissements seront affichés. Les avertissements accumulés entre-temps sont également affichés.

Les messages d'information bleus ne peuvent pas être masqués, car il s'agit de messages relatifs au projet qui doivent toujours rester visibles.

Barre d'outils et menu contextuel

Les symboles et le menu contextuel offrent les mêmes options. Signification des symboles, de gauche à droite :

Symbole / entrée de menu contextuel | Description
Display errors (Afficher les erreurs) | Actif : Les erreurs sont affichées en rouge. Inactif : Les erreurs sont masquées. La condition choisie peut être associée à des avertissements et des messages ; elle est conservée lorsque l'Éditeur est fermé.
Display warnings (Afficher les avertissements) | Actif : Les avertissements sont affichés en orange. Inactif : Les avertissements sont masqués. La condition choisie peut être associée à des erreurs et des messages ; elle est conservée lorsque l'Éditeur est fermé.
Show messages (Afficher les messages) | Actif : Les messages sont affichés en noir. Inactif : Les messages sont masqués. La condition choisie peut être associée à des erreurs et des messages ; elle est conservée lorsque l'Éditeur est fermé.
Enregistrer | Enregistre tout le contenu de la fenêtre de sortie dans un fichier journal. Vous êtes libre de choisir l'emplacement et le nom du fichier de stockage.
Copier | Copie l'entrée sélectionnée dans le presse-papier Windows.
Supprimer | Supprime tout le contenu de la fenêtre de sortie. Après avoir exécuté cette action, il n'est plus possible d'accéder au contenu supprimé de la fenêtre de sortie.
Rechercher | Ouvre la boîte de dialogue de recherche de texte dans la fenêtre de sortie.
Aide | Ouvre cette page d'aide.

Example Exemple

Supprimez le contenu de la fenêtre de sortie en sélectionnant le symbole ou le menu contextuel concerné, puis générez les fichiers de Runtime. Les informations concernées sont fournies dans la fenêtre de sortie. Ces informations sont délimitées par des messages bleus.

  1. Cliquez sur le symbole Messages : les messages standard (noirs) sont masqués.
  2. Une fois de plus, générez les fichiers Runtime ; les messages restent masqués.
  3. Maintenant, désactivez également l'affichage des erreurs (rouge) et des avertissements (orange).
  4. Les messages bleus relatifs au projet restent visibles.
  5. Générez à nouveau les fichiers Runtime, puis affichez à nouveau les messages. Tous les messages générés depuis la suppression du contenu de la fenêtre de sortie sont à nouveau visibles.


Barre d'état

Manuels -> Éditeur -> Barre d'état

La barre d'état de l'Éditeur fournit des informations variables selon l'objet sélectionné :

  • Disposition de l'Éditeur :
  • Fonction du symbole sur lequel se trouve le pointeur de la souris.
  • Position du pointeur de la souris sur les synoptiques.
  • Type et nom de l'élément actif sur un synoptique.
  • Point de départ (axe x/y), largeur et hauteur de l'élément actif sur un synoptique.
    Le point 0/0 de l'axe se trouve dans le coin supérieur gauche.

Dans les rapports, la ligne d'état ne possède aucune fonction.


Fermer l'éditeur

Manuels -> Éditeur -> Fermer l'éditeur

Lors de la fermeture de l'Éditeur ou de la fermeture ou du changement d'espace de travail, tous les projets sont vérifiés. S'il y a des projets dont les fichiers Runtime n'ont pas été créés, ils sont montrés dans une boîte de dialogue et peuvent tous être créés.

Paramètres | Description
Oui | Les fichiers Runtime correspondant à tous les projets de la liste sont créés. L'éditeur est alors fermé.
Non | Les fichiers Runtime ne sont pas créés. L'éditeur est alors fermé.
Annuler | Les fichiers Runtime ne sont pas créés. L'éditeur n'est pas fermé.


Energy Edition (Produit Energie)

Manuels -> Energy Edition (Produit Energie)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon Energy Edition est une suite dotée de fonctionnalités spéciales pour l'industrie de la production d'énergie et des technologies procédurielles. L'utilisateur bénéficie de fonctions faciles à déployer, qui autorisent l'ajustement individuel de l'application à l'environnement physique.

tutorial Informations concernant la licence

Ce module doit disposer d'une licence dans l'Éditeur et le Runtime.

Energy Edition propose également les fonctions suivantes :

  • Coloration Automatique des Lignes (CAL) : déjà incluse dans la licence du module Energy Edition, fournit des propriétés de coloration de lignes de base.
  • Transformation d'éléments topologiques
  • Pack Topologie : nécessite l'ajout de licences au niveau du serveur (pas du client) et étend le module CAL avec les fonctions suivantes :
    • Alimentation multiple
    • Alimentation sécurisée
    • Interverrouillages topologiques
    • Déconnexion d'éléments topologiques
    • Détection d'erreur et recherche de défaut de terre

Autres sujets abordés dans ce chapitre

Coloration Automatique des Lignes (CAL) - Topologie

Envoi de commande


Coloration Automatique des Lignes (CAL) - Topologie

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La coloration topologique des lignes permet d'attribuer un effet dynamique automatique aux tubes des composants technologiques (médias) et aux lignes de distribution d'énergie (pour l'électricité). Ainsi la coloration de réseaux topologiques, contrôlée par le procédé peut être réalisée facilement.

Parce que la structure des tubes est définie dans les synoptiques avec tous ses éléments technologiques (par exemple, les réservoirs et les vannes ou les générateurs, les commutateurs et les consommateurs d'énergie), elle est émulée en tant que modèle et le flux est affiché dans le Runtime.

Pour permettre les modèles de chevauchement dans les synoptiques, la conception et la configuration intégrales sont toujours gérées globalement au niveau du projet. Vous disposez ainsi d'un modèle topologique complet, utilisé pour la simulation des états des tubes et, finalement, pour la coloration des tubes.

La topologie entière est générée automatiquement à partir de la conception graphique. Aucune autre action de développement n'est nécessaire.

info Info

L'algorithme du module CAL s'exécute une fois seulement, depuis une source commençant au niveau de chaque interrupteur.

Synoptiques de détail

Pour afficher des synoptiques individuels, une section partielle peut être sélectionnée dans le réseau topologique et affichée individuellement, au moyen d'alias. Un synoptique de détail peut donc être affiché avec les données provenant de différents composants d'équipements, tels que des sorties ou des réseaux partiels.

Licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (autonome, serveur, veille). Aucune licence n'est nécessaire pour le client de Runtime. La gestion des licences est assurée par le module zenon Energy Edition.

  • CAL : inclus dans la licence du module Energy Edition ; fournit des propriétés de coloration de lignes de base.
  • Pack Topologie : nécessite l'ajout de licences au niveau du serveur (pas du client) et étend le module CAL avec les fonctions suivantes :
    • Alimentation multiple
    • Alimentation sécurisée
    • Verrouillages topologiques
    • Éléments topologiques transformateur et séparateur
    • Détection d'erreur (version 6.50 et ultérieures)

Autres sujets abordés dans ce chapitre

Éléments CAL

Configuration

Change ALC source color (Modifier la couleur source de la fonction CAL)

Synoptiques de détail

Détection d'erreurs sur les réseaux électriques

Détection des erreurs par impédance et calcul de la répartition de charge


Éléments CAL

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction de Coloration automatique des lignes (ALC) permet de colorer les lignes indépendamment de l'état du procédé. L'élément combiné est utilisé comme élément de procédé. Le module de Coloration automatique des lignes permet de définir automatiquement un effet dynamique pour les tuyaux, tubes ou lignes dans le secteur des technologies (pour les médias), ainsi que dans les réseaux topologiques (pour l'électricité).

Ingénierie

Pour la configuration, on distingue deux types d'éléments de synoptique avec différentes fonctions. Il s'agit d'une part d'éléments de procédure (source, interrupteur/disjoncteur, drain, transformateur et/ou liaison) et, d'autre part, de lignes.

Dans ce contexte, les éléments techniques comportent une fonction et une couleur (source et transformateur). Si les éléments de procédure sont actifs, les lignes connectées adoptent la couleur de ces éléments à la source et au transformateur, ou adoptent la couleur de la ligne d'entrée de l'élément pour l'interrupteur et la liaison. Si les éléments de procédure sont inactifs, la couleur des lignes est reprise de la définition dans l'Éditeur.

Les différentes fonctionnalités des éléments sont attribuées dans les propriétés de l'élément combiné.

Exemple

Une source a une ligne connectée. Un interrupteur est connecté à la ligne. Et une seconde ligne est connectée aussi. Si la source est active, la première ligne est colorée avec la couleur de coloration automatique des lignes définie pour la source, jusqu'à l'interrupteur. L'autre ligne n'est pas colorée avant la fermeture de l'interrupteur.

Source inactive

Source active

Interrupteur fermé

Non défini ou non valide

info Info

Si l'état de l'élément de procédure est Non défini ou Défaillance, cet état est détecté automatiquement. Toutes les lignes connectées et tous les éléments suivants sont affichés dans la couleur de la source prédéfinie non définie, dans les deux états.

Nombre de commutateurs fermés en série

Pour garantir le bon fonctionnement de l'algorithme CAL, il est important de tenir compte du nombre de commutateurs fermés connectés en série.

Recommandation : ne pas dépasser 256 commutateurs fermés en série entre la source et le drain.

Autres sujets abordés dans ce chapitre

Éléments procéduriels

Lignes

Vérification du projet


Éléments procéduriels

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduriels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les éléments procéduriels sont créés dans zenon à l'aide d'un élément combiné. Leur état détermines la coloration de la ligne connectée.

Les paramètres suivants sont disponibles :

Propriété

Description

Le type de fonction

Cela définit le type technologique de l'élément combiné.
  • Conclusion

Pour les côtés barre omnibus. Bloque l'affichage du message d'erreur Line only connected on one side (Ligne connectée d'un côté seulement) lors de la compilation dans l'Éditeur.
  • Source...

Transmet sa couleur. Si la source est active (valeur : 1), toutes les lignes connectées pour lesquelles l'option Couleur définie par CAL est définie dans les propriétés de l'élément reçoivent la couleur de la source. Les couleurs des sources sont définies dans les propriétés du projet. (par ex. cuves ou générateurs). Une source est un pôle unique auquel est associé un numéro de source unique. La source peut être commutée en fonction de l'état de sa variable principale. En règle générale, les sources sont considérées comme synchrones avec le réseau et amovibles.
  • Générateur

Un générateur se comporte généralement comme une source, mais il est considéré comme indépendant et non synchrone.
  • Commutateur

Avec ceci, les lignes peuvent être interrompues. Si l'interrupteur est fermé/actif (valeur : 1), la connexion entre les deux lignes est fermée et la ligne est colorée avec la couleur définie pour la source jusqu'au prochain interrupteur. Dans ce cas, un interrupteur transmet la couleur de la source de la ligne d'entrée vers la ligne de sortie.

Si l'état de l'interrupteur est défini sur Défaillance, Non défini ou INVALID, la couleur de la ligne devient la couleur UNDEFINED spécifiée dans la configuration de la fonction CAL dans les propriétés du projet. Ainsi, un interrupteur transmet le numéro de source 0 (UNDEFINED) au niveau de sa sortie (connexion 2), au lieu du numéro de la source entrante.

Exemple : se reporter à la section Exemple d'interrupteur - Couleurs de la fonction CAL.
  • Sectionneur

Un sectionneur se comporte généralement comme un interrupteur. En revanche, un sectionneur ne peut pas être connecté dans le modèle topologique. Son état (marche, arrêt, position intermédiaire, défaillance) est déterminé par sa variable principale.
  • Réglette

Une réglette (vanne) se comporte de la même manière qu'un commutateur, à ceci près qu'elle est utilisée pour les conduites d'eau et de gaz.

Valeur de la variable principale :

Interrupteur DÉSACTIVÉ : valeur 0 -> vanne fermée -> pas d'écoulement d'eau

Réglette ACTIVE : valeur 1 -> réglette entièrement fermée -> pas d'écoulement d'eau

Réglette DIF : valeur 2 -> vanne partiellement ouverte -> écoulement d'eau

Réglette STO : valeur 3 -> défaillance de la vanne
  • Drain (Évacuation)

Ceci définit la fin de la ligne. Le drain n'influence pas la coloration ; il est uniquement utilisé pour permettre l'affichage du modèle en totalité. Si un programme externe (par exemple VBA) voulait accéder au modèle, alors le drain serait probablement nécessaire pour pouvoir faire d'autres calculs, et donc il doit être inséré.
Dans les projets du module Energy, le drain est utilisé pour représenter les consommateurs. Ces consommateurs sont pris en compte pour le calcul des verrouillages (groupes de commandes) Consommateur sous-alimenté de la fonction CAL.
  • Transformateur

Un transformateur est un drain et une source en même temps. Donc avec un transformateur, la couleur d'entrée (source d'entrée) peut être transformée en une nouvelle couleur de sortie (couleur source du transformateur).
La connexion de sortie est active uniquement si le transformateur est activé. Mais la ligne de sortie ne prend pas la couleur de la ligne d'entrée comme avec un interrupteur, mais la couleur source du transformateur. Donc une source doit être définie pour chaque transformateur. Un transformateur ne peut pas être activé ou désactivé, il est toujours actif.

Transformateur compatible avec une production réversible :

Pour obtenir un transformateur compatible avec une production réversible, vous devez sélectionner une source autre qu'UNDEFINED [0] pour l'élément Source pour alimentation inverse. Cela signifie que le transformateur se comporte de la même manière dans les deux directions : de l'entrée vers la sortie (en avant), mais également de la sortie vers l'entrée (en arrière). La seule différence est que la propriété Source pour alimentation inverse est utilisée pour la distribution ultérieure du numéro de source, et non la propriété Source.

Remarque : les états défaillants du réseau ou les configurations manquantes, à l'image d'un signal provenant de l'entrée et de la sortie en même temps ou d'un court-circuit à l'entrée et à la sortie, ne sont pas colorés de manière particulière. Cela signifie que le transformateur capable d'assurer une production réversible se comporte comme deux transformateurs commutés de manière antiparallèle, qui ne sont pas capables d'assurer une production réversible.
  • Lien

Avec un lien, une ligne peut être continuée à un autre emplacement. Si un lien est "affecté" par une ligne, tous les autres liens avec le même numéro de lien sont aussi "affecté" par cette ligne. Ici, peu importe si les liens sont sur le même synoptique ou dans d'autres synoptiques du projet. De cette façon, des lignes indépendantes des synoptiques peuvent être définies. Il est possible d'avoir plus de 2 liens connectés au même numéro de lien dans un projet.

Les liaisons peuvent être alimentées par plusieurs lignes en même temps, et peuvent également alimenter plusieurs lignes. En principe, il n'y a pas de différence entre les entrées et les sorties. L'information source est toujours transmise à toutes les lignes connectées.
Attention : deux éléments de liaison ne peuvent pas être connectés directement à une ligne. Entre les deux, il doit exister au moins un autre élément procéduriel (commutateur/sectionneur ou transformateur).
Un lien ne peut pas être activé ou désactivé ; il est toujours actif.

Numéro de lien

Seul le numéro de liaison est saisi pour une fonction de liaison. Tous les numéros de lien identiques d'un projet sont corrélés. Description détaillée dans le type de fonction "Lien".
Cette propriété est accessible uniquement si le type de fonction est "Lien".

Source...

Ici une source peut être assignée à un élément. Dans la liste, on trouve toutes les sources définies dans les propriétés CAL du projet. Tous les noms de sources sont affichés.
Cette propriété est uniquement accessible si le type de fonction sélectionné est Source, Transformateur ou Générateur.

Une variable IEC de type BOOL ou entier doit être liée à l'élément en tant que variable principale pour que le commutateur recevoir l'état (ouvert, fermé, non valide). De la même façon, une source obtient son état (actif/inactif) à partir de cette variable.

Pour les types de fonction "Source" et "Transformateur", le numéro de source défini est transmis aux consommateurs (drains) par le biais de commutateurs ouverts ou fermés. Les états et les couleurs de toutes les lignes connectées sont calculés à partir de la somme superposée de numéros de sources d'alimentation et des éléments de procédure.

info Info

Seuls les deux premiers bits sont pris en compte pour la commutation. Le premier bit correspond à la commutation. 0 signifie désactivé et 1 égale 1.

Le deuxième bit est le bit d'erreur. Aucune erreur n'est présente lorsque ce bit est égal à 0.

États

  • Un interrupteur et une source sont activés si la valeur de la variable liée est 1.
  • Un interrupteur est non valide si la valeur de la variable liée est >1 ou comporte un état INVALID.
    Un interrupteur non valide fournit le numéro de source 0 (non défini) à sa sortie (connexion 2) au lieu de la saisie du numéro de source. Dans la direction vers l'entrée, l'interrupteur fonctionne normalement.

    Remarque : si la variable (d'acquittement) possède l'état INVALID, l'ensemble du réseau suivant est INVALID, car l'état du réseau est inconnu. L'état INVALID est transmis (acheminé) par le biais des interrupteurs fermés suivants.

attention Attention

Si dans la définition de l'état dans l'élément combiné, on choisit que la couleur de contour et la couleur de remplissage proviennent des définitions du CAL, les éléments de procédure sont colorés selon l'état des lignes connectées dans le Runtime.

Autres sujets abordés dans ce chapitre

se reporter à la section Exemple d'interrupteur - Couleurs de la fonction CAL.

Points de connexion des éléments de procédure

Entrée/sortie d'interrupteur


se reporter à la section Exemple d'interrupteur - Couleurs de la fonction CAL.

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduriels -> se reporter à la section Exemple d'interrupteur - Couleurs de la fonction CAL.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Exemple 1

Élément combiné avec l'état de valeur 00 et coloration de ligne de la fonction CAL :

  1. Configuration dans l'Éditeur :
    • Élément combiné avec l'état de valeur 00
    • Coloration de ligne de la fonction CAL active

  2. Résultats suivants dans le Runtime :
    • Couleur de la source : vert
    • Couleur sans tension : blanc
    • État de l'interrupteur : désactivé/ouvert (valeur 0)

Exemple 2

Élément combiné avec l'état de valeur 01 et coloration de ligne de la fonction CAL :

  1. Configuration dans l'Éditeur
    • Élément combiné avec l'état de valeur 01
    • Coloration de ligne de la fonction CAL active
    • Couleur de remplissage de la fonction CAL active

  2. Résultats suivants dans le Runtime :
    • Couleur de la source : Vert :
    • Couleur sans tension : Blanc
    • État de l'interrupteur : activé/fermé (valeur 1)

Exemple 3

Élément combiné avec l'état de valeur 00 sans coloration de ligne de la fonction CAL :

  1. Configuration dans l'Éditeur :
    • Élément combiné avec l'état de valeur 00
    • Coloration de ligne de la fonction CAL inactive

  2. Résultats suivants dans le Runtime :
    • Couleur de la source : Vert :
    • Couleur sans alimentation et couleur de construction de la ligne : Blanc
    • Ligne définie et couleur de remplissage de l'élément combiné : noir.
    • État de l'interrupteur : désactivé/ouvert (valeur 0)

Exemple 4

Élément combiné avec l'état de valeur 01 sans coloration de ligne de la fonction CAL :

  1. Configuration dans l'Éditeur
    • Élément combiné avec l'état de valeur 01
    • Coloration de ligne de la fonction CAL inactive
    • Coloration de remplissage de la fonction CAL inactive

  2. Résultats suivants dans le Runtime :
    • Couleur de la source: vert
    • Couleur sans alimentation et couleur de construction de la ligne : Blanc
    • Ligne définie et couleur de remplissage de l'élément combiné : noir.
    • État de l'interrupteur : activé/fermé (valeur 1)


Points de connexion des éléments de procédure

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduriels -> Points de connexion des éléments de procédure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la configuration, une ligne est connectée à un élément de procédure (élément combiné) par le chevauchement des tracés sur le synoptique aux points de connexion de l'élément combiné. Une seule ligne peut être connectée au même point de connexion en même temps. Toutes les lignes dont les origines se trouvent dans la zone définie ci-dessous sont connectées (topologie extraite du graphique).

attention Attention

Les éléments de CAL doivent uniquement être utilisés sans rotation, car :

Le calcul du modèle topologique du CAL dans l'Éditeur repose sur la position des éléments sans rotation et sans prise en compte d'éléments dynamiques.

Dans l'illustration suivante, tous les points de connexion possibles sont représentés de manière détaillée :

X = 1/3 largeur

Y = 1/3 largeur (max. 10 pixels)

Z = 1/3 hauteur

W = 1/3 hauteur (max. 10 pixels)

info Info

Si une ligne se trouve hors de la zone représentée ci-dessus, il n'existe aucune connexion et, par conséquent, aucune coloration. Et donc il n'y aura pas non plus de coloration des lignes suivantes.

En règle générale, tous les points de connexion décrits peuvent être utilisés avec les sources, les drains et les liaisons.

attention Attention

Avec les sources et les drains, un seul point de connexion doit être utilisé à la fois ; peu importe lequel. Si différents points de connexion sont utilisés en même temps, des états non définis peuvent se produire.

Des éléments du type lien peuvent également employer plusieurs points de connexion à la fois. Les informations relatives à la couleur entrante sont transmises à toutes les lignes.

Dans le cas des interrupteurs, sectionneurs, réglettes et transformateurs, la connexion 1 (entrée) se trouve à gauche ou sur le dessus et la connexion 2 (sortie) se trouve à droite ou en bas. Cette couleur d'arrière-plan peut être modifiée avec la propriété Commuter entrée/sortie.

info Info

Aux interrupteurs et transformateurs, il convient de veiller à n'utiliser qu'une connexion d'entrée et une connexion de sortie. L'utilisation simultanée de plusieurs points de connexion d'entrée ou de sortie produit des incohérences, et n'est donc pas fiable.

info Info

Pour tous les éléments de procédure, ce qui suit est vrai : Une seule ligne peut être connectée à un point de connexion. Les jonctions ne peuvent pas être établies directement sur un élément ; elles doivent être dessinées avec des lignes.


Entrée/sortie d'interrupteur

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Éléments procéduriels -> Entrée/sortie d'interrupteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si un transformateur, un sectionneur ou un interrupteur est configuré, l'entrée et la sortie peuvent être inversées. Pour cela :

  1. Sélectionnez le transformateur, le sectionneur ou l'interrupteur en tant que Type de fonction.
  2. Cochez la case Commuter entrée/sortie.

L'entrée est alors placée à droite ou en bas, et la sortie est placée à gauche ou en haut.

Aperçu

Equipement configuré | Entrée | Affichage
normal | Gauche | Droite
normal | Haut | bas
inversée | Droite | Gauche
inversée | bas | Haut


Lignes

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Lignes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les lignes sont représentées par des éléments vectoriels Ligne, Ligne brisée et Tube.

Si l'option Couleur définie par CAL est cochée pour une ligne, la couleur provient de la configuration de la fonction CAL. Les lignes sont colorées automatiquement par le système selon l'état des éléments de procédure et les paramètres CAL.

Ici, la couleur provient habituellement de la source la plus prioritaire dont le flux circule dans la ligne ou reste "vide/non alimentée", telle qu'elle est définie dans le synoptique avec des couleurs statiques ou dynamiques.

Vous définissez le type d'affichage à l'aide de listes déroulantes :

  • Priorité pour l'affichage
  • Affichage alimentations multiples
  • Affichage alimentation sécurisée

Les options suivantes sont disponibles dans les propriétés des lignes :

Paramètres

Description

Couleur définie par CAL

Active la Coloration Automatique des Lignes pour ces éléments vectoriels. Ce qui signifie : Si la source de la ligne est active et que tous les interrupteurs entre la source et la ligne sont fermés (ou si toutes les vannes sont ouvertes), la ligne est colorée en conséquence. Si la ligne est "alimentée" par une source unique, la couleur de la source définie est utilisée pour colorer la ligne. La largeur de la ligne n'est pas modifiée.

Priorité pour l'affichage

Définit si l'alimentation multiple, l'alimentation sécurisée ou les deux alimentations sont affichées.
Par défaut : Alimentation multiple

Alimentation sécurisée

L'élément est affiché selon les règles de l'alimentation sécurisée.

Une ligne est considérée comme dotée d'une alimentation sécurisée si elle est alimentée par deux interrupteurs ou transformateurs aux moins, avec une source située hors du système. Les sources du système ne contribuent pas à l'alimentation sécurisée, mais ne l'excluent pas non plus.

Alimentation multiple

L'élément est affiché selon les règles de l'alimentation multiple.

Une ligne est considérée comme dotée d'une alimentation multiple si elle est alimentée par deux sources différentes au moins. Dans ce cas, peu importe qu'il s'agisse de sources système ou de sources utilisateur ; le côté depuis lequel la ligne est alimentée par les sources n'a également pas d'importance.

No priority (Pas de priorité)

Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits. Ce qui signifie :

Si une ligne

  • comporte une alimentation multiple et une alimentation sécurisée,
  • La priorité est définie sur No priority (Pas de priorité)
  • L'affichage de l'alimentation multiple est défini sur Two sources with highest priority (Les deux sources les plus prioritaires)
  • L'affichage de l'alimentation sécurisée est défini sur Double épaisseur

La ligne est alors deux fois plus épaisse, et affichée sous forme de ligne en trait tireté de deux couleurs.

Affichage alimentation multiple

'Alimentation multiple' signifie qu'une ligne est alimentée par plusieurs sources simultanément. Ici vous pouvez définir comment les lignes alimentées de façon multiple sont affichées.

Par défaut : La source la plus prioritaire

La source la plus prioritaire

La ligne prend la couleur de la source la plus prioritaire.
Remarque : les priorités correspondent à l'ordre défini dans la configuration de la fonction CAL.

Les deux sources les plus prioritaires

A un sens pour les lignes alimentées par 2 sources différentes ou plus. Les deux sources avec les plus hautes priorités définissent la coloration. La ligne est affichée avec les deux couleurs (en pointillé). La longueur des tirets peut être modifiée via la propriété Longueur de pointillé fournie plusieurs fois.

Les sources système concernent les alimentations multiples, aussi bien que les sources réelles ; la configuration correspondante permet de colorer les lignes de deux couleurs.

Couleur de remplacement

La couleur définie dans la propriété Couleur alternative est utilisée.

Longueur de pointillé fournie plusieurs fois

Définit la longueur des tirets (en pixels) des lignes, lignes brisées ou tubes utilisée par la fonction CAL pour l'option two sources with the highest priority (Les deux sources les plus prioritaires) pour la propriété Affichage alimentation multiple.

  • Minimum : 0 (longueur des tirets automatique)
  • Maximum : 32767
  • Par défaut : 0

Couleur alternative

Couleur de remplacement utilisée par la fonction de CAL pour les lignes, les lignes brisées ou les tubes dotés d'alimentations multiples.

Affichage alimentation sécurisée

'Alimentation sécurisée' signifie qu'une ligne est alimentée par plusieurs chemins (en parallèle) mais d'une même source. Dans ce cas, vous pouvez définir comment cette "alimentation sécurisée" est représentée.

Une ligne est toujours affichée comme dotée d'une alimentation sécurisée si elle est alimentée par aux moins deux interrupteurs comportant une source réelle (c'est-à-dire une source autre qu'une source système).

Par défaut : normal

double épaisseur

A un sens pour les lignes alimentées de façon parallèle par la même source. Si c'est le cas, l'épaisseur de la ligne est deux fois supérieure à l'épaisseur configurée. (Exemple : Une ligne avec une épaisseur de 5 pixels sera affichée avec une épaisseur de 10 pixels si elle est "alimentée de façon sécurisée" par la même source.
Si cette ligne est alimentée par deux sources différentes ou plus (alimentations multiples), l'épaisseur de ligne n'est pas changée !

La couleur est toujours définie par la source avec la priorité la plus haute !

double luminosité

A un sens pour les lignes alimentées de façon parallèle par la même source. La ligne est affichée avec une luminosité qui est le double de la luminosité définie dans ses propriétés.
Si cette ligne est alimentée par deux sources différentes ou plus (alimentations multiples), la couleur de la ligne n'est pas changée !
Si cette ligne est alimentée de façon sécurisée depuis une même source, la luminosité de la ligne affichée est deux fois plus élevée.
Formule de calcul de la double luminosité :

  1. La couleur RVB est transformée selon le système HLS.
  2. L (Luminance = Luminosité) est recalculée avec une valeur NewLuminance égale à : 240*3/4 + L/4.
  3. La valeur de la couleur est retransformée dans le système RGB avec la nouvelle luminosité.

La couleur est toujours définie par la source avec la priorité la plus haute !

normal

L'élément est affiché avec la couleur de la source et l'épaisseur configurée.

Utiliser alias

Actif : un alias est utilisé.

Alias

Ouvre la boîte de dialogue permettant de sélectionner un modèle.

info Info

La couleur des sources et les priorités sont définies dans les propriétés du projet.

Les sources définies par l'utilisateur doivent posséder un ID supérieur à 9. Les ID inférieurs ou égaux à 9 sont réservés aux sources système.

info Info

Le calcul de la couleur d'une ligne dans le Runtime est fait selon la liste des priorités suivante :

  1. Coloration Automatique des Lignes (Priorité la plus haute, outrepasse tous les autres paramètres)
  2. Couleurs dynamiques
  3. Couleurs statiques

Autres sujets abordés dans ce chapitre

Exemple

Points de connexion des lignes


Exemple

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Lignes -> Exemple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'exemple suivant, la source 0 a la couleur bleu et la source 1 a la couleur rouge. Et la source 0 est la source la plus prioritaire.

Source 0

Source 1

Il en résulte ceci pour les différentes options :

 | Ligne / Ligne brisée | Tube
La source la plus prioritaire |  |
Les deux sources les plus prioritaires |  |
double épaisseur |  |
double luminosité |  |


Points de connexion des lignes

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Lignes -> Points de connexion des lignes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La connexion d'une ligne (ligne, ligne brisée ou tube) sur une autre ligne est faite par superposition /chevauchement du tracé dans le synoptique aux points de connexion. Les points de connexion - ou les zones de connexion - sont les extrémités de chaque ligne et jusqu'à trois pixels autour.

Example Exemple

Le point de départ d'une ligne a les coordonnées (point de départ x, y) : 150/100 pixels.
Ceci produit une zone de connexion (x / y) : 147 - 153 / 97 - 103 pixels.

Si la ligne commence ou se termine et d'autres lignes commencent ou se terminent dans cette zone, alors les lignes sont automatiquement connectées sans avoir à configurer autre chose. Un seul recouvrement des zones de connexion des lignes n'est pas suffisant !

Dans l'illustration suivante les zones de connexion sont affichées graphiquement (les lignes vertes sont connectées à la ligne noire, mais pas la ligne rouge).

info Info

Le nombre de lignes connectées à une zone de connexion n'est pas limité.

attention Attention

Si une ligne est en dehors de la zone de connexion (par exemple, la ligne rouge dans l'illustration), aucune connexion n'est établie et il n'y a pas de coloration de la ligne. Et donc il n'y aura pas non plus de coloration des lignes suivantes.

Des croisements de ligne peuvent être effectués, si les fins de lignes ne sont pas dans les zones de connexion.

attention Attention

Les éléments de CAL doivent uniquement être utilisés sans rotation, car :

Le calcul du modèle topologique du CAL dans l'Éditeur repose sur la position des éléments sans rotation et sans prise en compte d'éléments dynamiques.


Vérification du projet

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Éléments CAL -> Vérification du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Développez les éléments de procédure et les lignes souhaités sur un ou plusieurs synoptiques, et enregistrez-les. Vous pouvez ensuite vérifier, via les fonctions Créer tous les fichiers Runtime ou Créer les fichiers Runtime modifiés, si des erreurs ou des conflits sont présents sur les synoptiques. En cas d'erreurs et/ou de conflits, les messages d'erreur ou les avertissements correspondants sont affichés dans la fenêtre de suivi.

info Info

Double-cliquez sur la ligne correspondante dans la fenêtre de suivi. Le synoptique comportant l'élément de synoptique erroné sera ouvert automatiquement. Si l'élément de synoptique erroné forme partie d'un symbole, le symbole correspondant est automatiquement sélectionné.

Le message d'erreur suivant peut être affiché.

  • CAL : Synoptique '%s' - Deux éléments Lien comportant des numéros de lien différents sont connectés à la ligne '%s. (Un double-clic ouvre le synoptique et sélectionne la ligne.)
  • CAL : Synoptique '%s' - Plus que deux points de connexion sont utilisés sur l'élément '%s'. Sur un élément, vous ne pouvez utiliser qu'un point en entrée et un point en sortie. (Un double-clic ouvre le synoptique et sélectionne l'élément.)

Les avertissements suivants peuvent être affichés.

  • CAL : Synoptique '%s' - La ligne d'alias '%s' est connectée à une ligne sans alias. (Un double-clic ouvre le synoptique et sélectionne la ligne.)
  • CAL : Synoptique '%s' - La ligne d'alias '%s' est connectée à une ligne sans alias. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l'élément.)
  • CAL : Synoptique '%s' - La ligne d'alias '%s' est connectée à une ligne sans alias. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l'élément.)
  • CAL : Synoptique '%s' - La ligne '%s' est connectée d'un coté seulement. (Un double-clic ouvre le synoptique et sélectionne la ligne.)
  • CAL : Synoptique '%s' - l'élément '%s' n'est pas connecté. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l'élément.)
  • CAL : Synoptique '%s' - l'élément '%s' n'est connecté que d'un coté. Il doit être connecté sur un coté. (Un double-clic ouvre le synoptique et sélectionne l'élément.)

Dans les messages d'erreur ou les avertissements, les éléments correspondants sont identifiés à l'aide de la référence de l'élément. Cette référence sert également de clé de lien pour les alias de CAL.


Configuration

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer la fonction CAL :

  1. Dans les propriétés du projet, sélectionnez la propriété Configuration CAL du groupe Coloration Automatique de Lignes.
  2. Cliquez sur le bouton ...
  3. La boîte de dialogue de configuration s'affiche à l'écran.
  4. Configurez les propriétés souhaitées pour les éléments suivants :
    • Sources
      (tenez également compte des principes mentionnés dans la section Mode de coloration avec l'état UNDEFINED [Non défini].)
    • Verrouillages
    • Marqueur de synoptique

Autres sujets abordés dans ce chapitre

Configuration des sources

Configuration des verrouillages topologiques

Configuration du marqueur de synoptique


Configuration des sources

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des sources

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration des sources, c'est-à-dire leurs noms et leurs couleurs (ordre et priorité), s'effectue par rapport au projet, dans les propriétés du projet, sous Configuration CAL.

Paramètres

Description

Numéro

Numéro interne unique consécutif pour identifier la source. Ce numéro est donné par le système automatiquement et ne peut pas être modifié.

Attention : Les ID 0 à 9 sont réservés aux sources système et ne doivent pas être utilisés de manière spécifique à l'utilisateur.

Nom

Nom logique de la source (par exemple, "Eau" ou "Terre"). Ce nom est également utilisé lors de la sélection du numéro de source pour les éléments combinés. Vous pouvez changer le nom en cliquant dessus avec le bouton gauche de la souris. Le mode édition est activé. Les modifications sont acceptées par la touche Entrée ou en sélectionnant une autre source.

Remarque : Les intitulés suivants ne peuvent pas être changés selon la langue :

Premier plan

Couleur de premier plan de la source. Cette couleur est utilisée pour colorer les lignes et les lignes brisées et définit la couleur pour l'extérieur des tubes.

Arrière-plan

Couleur de fond de la source. Cette couleur est utilisée en tant que couleur de fond pour les tubes et les éléments de procédure (élément combiné).

Nouveau

Ajoute une nouvelle couleur.

Supprimer

Supprime la couleur sélectionnée.

Les couleurs peuvent être configurées directement en saisissant le code hexadécimal correspondant, ou à l'aide d'une palette de couleurs.

Pour effectuer une saisie directe :

  1. Cliquez sur la description de la couleur avec le bouton gauche de la souris.
  2. Le champ bascule en mode édition
  3. Saisissez le code
  4. Appuyez sur la touche de saisie, ou sélectionnez une autre source pour accepter la modification

Pour effectuer une sélection via une palette de couleurs :

  1. Sélectionnez la ligne de votre choix
  2. Cliquez sur le bouton ... adjacent à la couleur
  3. L'aide en ligne s'affiche.
  4. Sélectionnez la couleur de votre choix.

Le code hexadécimal décrit la couleur en mode RGB qui est constitué comme suit : #RRGGBB.

L'élément | Signification
# | Identifiant indiquant qu'un code de couleur en hexadécimal est utilisé.
RR | 2 chiffres représentant la valeur du rouge pour la couleur en hexadécimal 0-255 correspond à 0-FF
GG | 2 chiffres représentant la valeur du vert (green) pour la couleur en hexadécimal 0-255 correspond à 0-FF
BB | 2 chiffres représentant la valeur du bleu pour la couleur en hexadécimal 0-255 correspond à 0-FF
attention Attention
Limitations pour pouvoir supprimer des sources : Les sources de 0 à 9 sont réservées au système et ne peuvent pas être supprimées. Seules les sources avec des numéros supérieurs peuvent être supprimées.

info Info

La séquence dans la liste indique la priorité des sources, la première étant la plus prioritaire.

Pour modifier les priorités des sources uniques, vous pouvez les déplacer vers le haut ou vers le bas à l'aide des boutons fléchés.

Autres sujets abordés dans ce chapitre

Mode de coloration avec l'état UNDEFINED (Non défini)


Mode de coloration avec l'état UNDEFINED (Non défini)

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des sources -> Mode de coloration avec l'état UNDEFINED (Non défini)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La coloration du réseau peut être mise en œuvre de deux manières avec l'état UNDEFINED (Non défini) :

  • Standard
  • Input takes priority (L'entrée est prioritaire)

Ce paramètre est configuré par le biais des propriétés de projet Coloration Automatique de Lignes/Mode pour la coloration.

Standard

L'inspection du diagramme débute depuis une source et se poursuit sur l'ensemble du réseau, de telle manière que chaque interrupteur fermé (la variable d'interrupteur possède la valeur 1) dans chaque direction n'est parcouru qu'une fois, permettant d'éviter tout cycle. Chaque nœud visité (c'est-à-dire chaque segment de ligne) est coloré avec la couleur de la source. Les lignes directement connectées sont identifiées comme des nœuds.

Si la recherche découvre un interrupteur comportant une variable d'interrupteur avec l'état suivant, la couleur UNDEFINED est utilisée pour la coloration à partir de cet interrupteur :

  • INVALID [valeurs aux choix]
  • est non valide [valeur : 3] 3]
  • est dans une position intermédiaire [valeur : 2])

L'inspection du diagramme se poursuit maintenant sous la même forme. Chaque interrupteur est parcouru une fois dans chaque direction avec la couleur UNDEFINED. Par conséquent, chaque interrupteur peut être parcouru au maximum quatre fois par source :

  1. Avec le numéro de source, vers l'avant
  2. Avec le numéro de source, vers l'arrière
  3. Avec le paramètre UNDEFINED, vers l'avant
  4. Avec le paramètre UNDEFINED, vers l'arrière

Input takes priority (L'entrée est prioritaire)

Avec le paramètre Supply takes priority (L'alimentation est prioritaire), seules les lignes dotées d'une alimentation provenant d'une source au moins, mais non alimentées par une source en particulier, sont colorées avec le paramètre UNDEFINED. Si une ligne est alimentée par une source au moins, elle ne peut plus recevoir la couleur UNDEFINED d'une autre source.

Cette recherche est une recherche en deux étapes :

  • Lors de la première étape, à l'instar du paramètre Standard, la couleur de la source est distribuée sur le réseau depuis chaque source commutée, dans la mesure où l'interrupteur suivant est fermé. La recherche se termine si l'interrupteur est ouvert ou non valide/non défini.
  • Lors de la deuxième étape, la recherche débute à chaque interrupteur non valide/non défini alimenté d'un côté, la couleur UNDEFINED étant distribuée au côté non alimenté. Cette recherche considère également que les interrupteurs non définis/non valides sont fermés, et distribue donc la couleur UNDEFINED sur le réseau jusqu'à trouver un interrupteur manifestement ouvert. En outre, une recherche se termine si un élément de ligne déjà alimenté est trouvé.


Configuration des verrouillages topologiques

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des verrouillages topologiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les verrouillages topologiques appliqués aux commandes par la fonction CAL peuvent être configurés ici.

info Info

Cette boîte de dialogue est uniquement disponible si vous possédez les licences des modules Energy Edition et Coloration Automatique des Lignes.

Les conditions suivantes sont disponibles. Le paramétrage fait ici s'applique de façon globale sur le modèle topologique complet :

Paramètre | Description
Tension à la masse | Le verrouillage est actif si un disjoncteur/sectionneur doit être fermé et une masse est connectée à son premier connecteur, l'autre connecteur étant connecté ou non défini.
Action de commutation dans une zone comportant un état non défini. | Le verrouillage est actif si un disjoncteur / sectionneur doit être fermé et ses deux connecteurs sont "non définis" ou "perturbés".
Sectionneur en charge | Le verrouillage est actif si certaines conditions d'activation ou de désactivation sont satisfaites. Conditions : voir la section Sectionneur en charge – Conditions de verrouillage.
Le périphérique ne serait plus alimenté. | Le verrouillage est actif si un consommateur, qui était alimenté, n'était plus alimenté après l'action de commutation (par un disjoncteur ou un sectionneur).
Toute zone présentant l'état non défini s'étendrait | Le verrouillage est actif si un disjoncteur / sectionneur doit être fermé et un de ses connecteurs est "non défini" ou "perturbé" alors que l'autre ne l'est pas.

Si vous cliquez sur la colonne État pour l'un de ces verrouillages, vous obtenez une liste déroulante avec trois choix :

Paramètres | Description
ne pas vérifier | La condition sélectionnée ne sera pas prise en compte dans ce projet (pour le modèle topologique).
déverrouillable | La condition sélectionnée est considérée dans ce projet. Si la condition s'applique, l'utilisateur peut la déverrouiller avec une commande (synoptique de type Commande). Cette action de déverrouillage est consignée dans la liste chronologique des événements (CEL).
non déverrouillable | La condition sélectionnée est considérée dans ce projet. L'utilisateur ne peut pas la déverrouiller.

Exceptions concernant le verrouillage topologique

Le verrouillage topologique n'est pas effectué si :

  • La variable d'un interrupteur comporte l'état Révision
    Ou
  • La variable est corrigée manuellement ou définie sur Valeur de remplacement et, dans le même temps, définie sur la même valeur de variable que la valeur initiale ; en d'autres termes, si l'interrupteur :
    • Est défini sur OFF (Désactivé), puis corrigé manuellement sur OFF (Désactivé) ou s'il est remplacé.
    • Est défini sur ON (Activé), puis corrigé manuellement sur ON (Activé), ou s'il est remplacé.

Autres sujets abordés dans ce chapitre

Sectionneur en charge - Conditions de verrouillage


Sectionneur en charge - Conditions de verrouillage

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration des verrouillages topologiques -> Sectionneur en charge - Conditions de verrouillage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour le verrouillage topologique Sectionneur en charge, un sectionneur peut être désactivé si l'une des conditions suivantes est satisfaite :

Lors de l'activation :

Avant l'activation :

  • Les sections de ligne gauche et droite reçoivent de l'énergie de la même source
  • Si la section de ligne gauche ne reçoit aucune tension, la section de ligne droite est reliée à la masse
  • Si la section de ligne gauche est reliée à la masse, la section de ligne droite ne reçoit aucune tension
  • Si la section de ligne gauche n'est pas en charge
  • Si la section de ligne droite n'est pas en charge

Lors de la désactivation :

Avant la désactivation :

  • Les sections de ligne gauche et droite reçoivent de l'énergie de la même source
  • Si la section de ligne gauche ne reçoit aucune tension, et la section de ligne droite est reliée à la masse
  • Si la section de ligne gauche est reliée à la masse, la section de ligne droite ne recevrait aucune tension
  • Si la section de ligne gauche n'était pas en charge
  • Si la section de ligne droite n'était pas en charge

info Info

Signification de "pas en charge"

Toutes les conditions suivantes doivent être satisfaites pour que l'état pas en charge soit vrai :

  • Tous les interrupteurs et sectionneurs connectés au segment de ligne sont ouverts.
  • L'ensemble des sources et consommateurs connectés au segment de ligne est désactivé.
  • Aucun transformateur ne peut être connecté au segment de ligne.
  • Il ne doit pas s'agir d'une ligne connectée uniquement à ce sectionneur (ligne ouverte).


Configuration du marqueur de synoptique

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Configuration -> Configuration du marqueur de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ici, vous pouvez configurer la table des couleurs associée au marqueur de couleur pour la détection d'erreurs par impédance et le calcul de la répartition de charge. Voir également : AddMarker

Paramètres | Description
Numéro | Numéro de série interne unique, garantissant une attribution claire. Ce numéro est donné par le système automatiquement et ne peut pas être modifié.
Couleur de ligne | Couleur de ligne du marqueur de synoptique.
Couleur de remplissage | Couleur de remplissage du marqueur de synoptique.
Nouveau | Ajoute une nouvelle couleur.
Supprimer | Supprime la couleur sélectionnée.

Les couleurs peuvent être configurées directement en saisissant le code hexadécimal correspondant, ou à l'aide d'une palette de couleurs.

Pour effectuer une saisie directe :

  1. Cliquez sur la description de la couleur avec le bouton gauche de la souris.
  2. Le champ bascule en mode édition
  3. Saisissez le code
  4. Appuyez sur la touche de saisie, ou sélectionnez une autre source pour accepter la modification

Pour effectuer une sélection via une palette de couleurs :

  1. Sélectionnez la ligne de votre choix
  2. Cliquez sur le bouton ... adjacent à la couleur
  3. L'aide en ligne s'affiche.
  4. Sélectionnez la couleur de votre choix.

Le code hexadécimal décrit la couleur en mode RGB qui est constitué comme suit : #RRGGBB.

L'élément | Signification
# | Identifiant indiquant qu'un code de couleur en hexadécimal est utilisé.
RR | 2 chiffres représentant la valeur du rouge pour la couleur en hexadécimal 0-255 correspond à 0-FF
GG | 2 chiffres représentant la valeur du vert (green) pour la couleur en hexadécimal 0-255 correspond à 0-FF
BB | 2 chiffres représentant la valeur du bleu pour la couleur en hexadécimal 0-255 correspond à 0-FF


Change ALC source color (Modifier la couleur source de la fonction CAL)

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Change ALC source color (Modifier la couleur source de la fonction CAL)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'avant-plan et l'arrière-plan d'une source CAL peuvent être temporairement modifiés pour la coloration dans le Runtime à l'aide de la fonction Modification couleur source CAL. La modification reste active jusqu'à la fermeture ou l'actualisation du Runtime ou la nouvelle exécution de la fonction. Pour créer la fonction :

Modification couleur source CAL

Fonction de configuration des couleurs source CAL pour la détection d'erreurs dans les réseaux électriques.

Plus de détails dans l'aide en ligne.

  • Sélectionnez Nouvelle fonction.
  • Accédez au nœud Synoptiques.
  • Sélectionnez Modification couleur source CAL.

  • La boîte de dialogue de définition des couleurs de ligne et de remplissage s'affiche.
  • Définissez la couleur souhaitée.

Propriété | Fonction
Source... | Liste déroulante permettant de sélectionner la source et afficher les couleurs actuellement attribuées. Ces couleurs ne peuvent pas être modifiées ici.
New color for source (Nouvelle couleur pour la source) | Cliquez sur la couleur pour ouvrir une boîte de dialogue permettant de sélectionner une couleur.


Synoptiques de détail

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Synoptiques de détail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour afficher des synoptiques individuels, une section partielle peut être sélectionnée dans le réseau topologique et affichée individuellement, au moyen d'alias. Les éléments du synoptique dans le synoptique de détail ne sont pas inclus dans le modèle topologique, reçoivent toutefois leurs couleurs CAL du modèle. Ces éléments sont liés à un alias des éléments du synoptique dans le synoptique global.

Créer un alias

Un alias peut être créé pour les éléments suivants :

  • Ligne
  • Ligne brisée
  • Tube
  • Élément combiné

Pour créer un élément source en tant qu'alias :

  • Activez-le dans les propriétés Utiliser alias de l'élément.

    (Pour cela, le module CAL doit comporter une licence et la propriété Couleur définie par CAL doit être active.)

  • Cliquez sur le bouton ... de la propriété Alias.
  • La boîte de dialogue de sélection des éléments s'ouvre.

Paramètre

Description

Écran

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Available ALC elements (Éléments CAL disponibles)

Affiche les éléments appartenant à un synoptique avec le nom de l'élément, le type d'élément et le type de fonction. Cliquez sur un élément pour sélectionner un alias.

Filtre

Les éléments peuvent être triés en fonction de toutes les colonnes. Lors de la configuration d'un filtre, les options fournies par tous les autres filtres sont limitées aux valeurs pouvant être associées de manière logique.

  • Nom : saisie d'une expression de recherche avec des opérateurs (*). Les 12 dernières expressions de recherche sont proposées dans la liste jusqu'à la fermeture de l'Éditeur.
  • Élément : Sélectionnez le projet dans la liste déroulante.
  • Type de fonction : Sélectionnez le projet dans la liste déroulante.

Cliquez sur ... pour ouvrir la liste des recherches enregistrées ou la liste déroulante.

Si un filtre est actif, cliquez sur X pour le supprimer.

Selected alias (Alias sélectionné)

Affiche l'élément sélectionné dans le champ des éléments CAL disponibles.

Pas de sélection

Supprime l'élément sélectionné.

Ok

Enregistre la sélection et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

info Info

Lors de la sélection d'un élément pour un nouvel alias, seuls les éléments et les synoptiques issus du même projet que celui pour lequel l'alias est défini peuvent être sélectionnés. Les éléments issus de sous-projets ou de projets parallèles ne sont pas disponibles.

Remplacement des noms d'alias

Les alias peuvent être remplacés lors d'appels de synoptiques avec la fonction Remplacer les liens. Un synoptique de détail peut donc être affiché avec les données provenant de différents composants d'équipements, tels que des lignes ou des réseaux partiels. Les noms d'alias sont remplacés de la même manière que les variables et les fonctions. Il est également possible de remplacer les éléments utilisés dans les symboles. La boîte de dialogue ouverte pour la cible est la même que pour la propriété Alias.

Remarque : la substitution à l'aide de variables d'indices n'est pas autorisée.


Détection d'erreurs sur les réseaux électriques

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La détection d'erreurs permet de repérer les sections de réseau sujettes à des défauts de terre ou des courts-circuits au moyen de couleurs spéciales dans le module CAL. Les sources de détection d'erreurs sont ce que l'on appelle des détecteurs de défaut de terre ou de court-circuit, et sont attribués à un disjoncteur. Les détecteurs de défaut de terre et de court-circuit se trouvent toujours à la sortie d'un élément de disjoncteur. Les messages d'erreurs sont affichés de manière fixe sur le synoptique et doivent être réinitialisés manuellement.

info Info

Cette fonction est uniquement disponible si vous possédez les licences des modules "Energy Edition" et "Coloration Automatique des Lignes".

Détection d'erreurs

La détection d'erreurs est exécutée localement. Chaque client sur le réseau possède un modèle spécifique indépendant et peut donc rechercher les défauts de terre et les courts-circuits dans différentes sections du réseau.

La détection d'erreurs sur le réseau électrique comporte plusieurs phases :

  • Recherche de défaut de terre
  • Recherche de court-circuit

Pour configurer la détection d'erreur :

  • Vous avez besoin d'une licence pour le module CAL et le module "Energy Edition" de zenon
  • Configurez les synoptiques adéquats.
  • Configurez le module CAL en fonction des éléments combinés correspondants (interrupteur, transformateur, sectionneur, vanne)
  • Configurez les lignes afin qu'elles soient colorées par le module CAL.

Le Runtime comporte des fonctions spéciales pour la détection d'erreurs :

  • Démarrer la recherche de défaut de terre
  • Acquitter un message de défaut de terre
  • Arrêt de la recherche de défaut de terre
  • Acquitter le message de défaut de terre

Colorations

Les erreurs peuvent être indiquées par une coloration spéciale des lignes dans le module CAL. Dans le Runtime, la couleur attribuée par le module CAL change automatiquement dès que l'état de la ligne change. Les colorations configurées peuvent être modifiées dans le Runtime via la fonction Change ALC source color (Modifier la couleur de la fonction CAL).

Les messages sont traités dans leur ordre d'arrivée. En cas de conflit :

  • Les couleurs d'affichage des erreurs sont prioritaires.
  • Les messages de court-circuit sont prioritaires sur les messages de défaut de terre.

Autres sujets abordés dans ce chapitre

Recherche de défaut de terre

Recherche de court-circuit


Recherche de défaut de terre

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La recherche de défaut de terre permet de signaler les sections du réseau présentant potentiellement un défaut de terre en les colorant. La couleur est définie par la configuration des couleurs source du module CAL pour la source DÉFAUT DE TERRE.

Les sections de réseau comportant potentiellement un défaut de terre peuvent être déterminées en fonction des messages de défaut de terre provenant des équipements d'identification des défauts de terre (indicateurs de défaut de terre, équipements de protection pourvus d'un dispositif d'enregistrement des défauts de terre). Les considérations suivantes s'appliquent aux défauts de terre :

  • Chaque équipement peut comporter un à trois messages de défaut de terre.
  • Les défauts de terre peuvent être gérés de deux manières : par le traitement de messages permanents ou le traitement de messages provisoires.
  • Pour les équipements de détection de défaut de terre directionnel, la direction peut être devant ou derrière, en fonction du déclenchement.
    • Leading (Devant) : d'abord le message, puis le bit transitoire.
    • Lagging (Derrière) : d'abord le bit transitoire, puis le message.

info Info

Si cette connexion est établie avec succès, un composant réseau présentant potentiellement un défaut de terre n'est alors plus considéré comme défaillant.

Configuration

Pour configurer la recherche de défaut de terre :

  1. Attribuez l'élément combiné représentant l'élément de commutation à l'interrupteur de l'élément Type de fonction.
  2. Définissez les paramètres de mode de recherche de défaut de terre, d'affichage des défauts) et de déclenchement d'indication de défaut de terre.
  3. Définissez les fonctions de démarrage de la recherche de défaut de terre, d'acquittement de la recherche de défaut de terre et d'arrêt de la recherche de défaut de terre.

info Info

Pour pouvoir également définir des limites pour les réseaux imbriqués, la recherche de défaut est exécutée dans une seule section présentant un défaut de terre.

Autres sujets abordés dans ce chapitre

Mode de recherche pour les défauts de terre

Type d'identification de défaut de terre

Affichage des défauts de terre

Déclenchement de défauts de terre

Démarrer la recherche de défaut de terre

Acquitter le message de défaut de terre

Arrêt de la recherche de défaut de terre


Mode de recherche pour les défauts de terre

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre -> Mode de recherche pour les défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction de recherche de court-circuit peut soit :

  • Colorer la portion du réseau comportant potentiellement un court-circuit,
    ou
  • L'ensemble du réseau sur lequel a été détecté le court-circuit.

Le mode de coloration est défini via la propriété Mode de recherche pour les défauts de terre.

Pour configurer la propriété :

  • Accédez au nœud Coloration Automatique de Lignes dans les propriétés.
  • Sélectionnez le mode de votre choix dans la liste déroulante de la propriété Mode de recherche pour les défauts de terre.
    • Color network part (Colorer la partie du réseau) : colore uniquement les parties du réseau comportant potentiellement un court-circuit.
    • Color whole network (Colorer l'ensemble du réseau) : colore l'ensemble du réseau lié sur lequel a été détecté le court-circuit.

Ce paramètre peut être modifié dans le Runtime via le modèle d'objet API de zenon. Dans ce cas, la recherche de court-circuit est recalculée à nouveau.


Type d'identification de défaut de terre

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre -> Type d'identification de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La direction et le type de traitement d'information associés à l'élément combiné Type d'interrupteur sont déterminés par le paramètre Type. Pour configurer celui-ci :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l'élément combiné.
  2. Ouvrez le nœud Détection des défauts de terre.
  3. Sélectionnez le type de votre choix, ainsi que la direction et le type de traitement d'alarme dans la propriété Type.
    • Direction :
      Indique si le front montant de l'alarme de déclenchement est prioritaire ou non sur le front montant d'une direction.
    • Leading (Devant) : l'état de la direction actuelle est utilisé pour le front montant de l'alarme de déclenchement.
    • Lagging (Derrière) : après un front montagne de l'alarme de déclenchement, le premier front montant d'une direction est attendu ; s'il ne se produit pas dans les deux secondes suivantes, l'équipement de détection de défaut de terre est considéré comme non directionnel.
    • Information processing (Traitement de l'information) :
      Etats dans lesquels les informations peuvent être traitées.
    • Aucune : interrupteur normal ; les informations ne sont pas traitées.
    • Permanent message processing (Traitement des messages permanents) : les nouveaux messages reçus sont considérés comme un nouveau déclenchement de défaut de terre.
    • Transient message processing (Traitement des messages transitoires) : les messages reçus durant une recherche de courant sont supprimés.

Remarque : La distinction entre le traitement des messages permanents et le traitement des messages transitoires a uniquement trait au traitement du message, et non au type. Il n'est donc pas nécessaire de corréler le traitement des messages à bit transitoire et un bit transitoire.

attention Attention

Pour supprimer les défauts de terre intermittents, les messages de défaut de terre reçus à intervalles de moins de 2 secondes sont ignorés.


Affichage des défauts de terre

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre -> Affichage des défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La variable liée à la propriété Afficher est une variable de sortie pour la détection d'erreurs, et affiche l'état enregistré de l'équipement d'identification de défaut de terre. Ceci est indispensable, car tous les messages sont enregistrés au niveau interne jusqu'à leur acquittement, c'est-à-dire qu'ils ne sont pas forcément conformes à l'état actuel des variables de message.

Chaque fois qu'un enregistrement est réalisé, une valeur prescrite est transmise à cette variable. Dans ce cas, les valeurs sont les suivantes :

Valeur | Signification
0 | Pas de défaut de terre
1 | Défaut de terre devant
2 | Défaut de terre derrière
3 | Défaut de terre non directionnel
4 | Etat d'erreur -> Les deux directions ont été activées

info Info

Pour réduire les problèmes liés au fonctionnement du réseau, la variable liée ici doit être une variable liée.


Déclenchement de défauts de terre

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre -> Déclenchement de défauts de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'alarme de détection de défaut de terre est définie par la variable Déclenchement. Elle peut contenir des informations concernant la présence d'un défaut de terre et la direction du défaut de terre selon l'équipement de détection de défaut de terre. Dans ce cas, la distinction suivante est faite :

  • Alarmes de défaut de terre non directionnel
  • Alarmes de défaut de terre directionnel avec une alarme de déclenchement
  • Alarmes de défaut de terre directionnel avec une alarme de déclenchement

Pour configurer la variable pour l'élément Déclenchement :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l'élément combiné.
  2. Ouvrez le nœud Détection des défauts de terre.
    1. Pour les alarmes de défaut de terre non directionnelles :

      Cliquez sur le bouton ... de la propriété Déclenchement.

      Sélectionnez la variable que vous souhaitez importer dans la boîte de dialogue qui s'affiche à l'écran.

      Les propriétés de la direction restent vides.

    2. Pour les alarmes de défaut de terre directionnel avec une alarme de déclenchement :

      Liez la variable à Déclenchement et ajoutez la direction adéquate :

      En avant : liez une variable à la propriété En avant.

      En arrière : liez une variable à la propriété En arrière.

    3. Pour les alarmes de défaut de terre directionnel sans une alarme de déclenchement :

      Liez la variable à la direction correspondante :

      En avant : liez une variable à la propriété En avant.

      En arrière : liez une variable à la propriété En arrière.

      La propriété Déclenchement reste vide.

Remarque : si vous adressez un équipement d'identification directionnel avec la propriété En avant dans les deux directions, cette configuration est considérée comme erronée et est ignorée.


Démarrer la recherche de défaut de terre

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre -> Démarrer la recherche de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Démarrer la recherche des défauts de terre permet de localiser les défauts de terre et a deux effets dans le Runtime :

Démarrer la recherche des défauts de terre

Fonction de démarrage de la recherche de défaut de terre.

Plus de détails dans l'aide en ligne.

  1. Les messages provenant de tous les équipements d'identification de défaut de terre configurés avec l'option « Wiper message processing » (Traitement des messages fluctuants) sont ignorés.
  2. L'algorithme de recherche est modifié : les actions de commutation peuvent uniquement restreindre davantage la section affectée par un défaut de terre. Les nouveaux messages reçus n'augmentent donc pas l'étendue de la section potentiellement affectée par un défaut de terre.

Pour configurer la fonction Démarrer la recherche des défauts de terre :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d'erreur du réseau électrique.
  • Sélectionnez la fonction Démarrer la recherche des défauts de terre.

  • Liez la fonction à un bouton.


Acquitter le message de défaut de terre

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre -> Acquitter le message de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Acquitter le message de défaut de terre permet d'acquitter un message de défaut de terre enregistré au niveau interne provenant d'un équipement de détection de défaut de terre. De cette manière, l'état de défaut de terre verrouillé au niveau interne est réinitialisé si l'état est toujours en attente, ou défini comme étant acquitté. Un message de défaut de terre enregistré sera uniquement supprimé au niveau interne s'il a été acquitté et n'est plus en attente.

Acquitter le message de défaut de terre

Fonction d'acquittement de message de défaut de terre. Ouvre la boîte de dialogue permettant de sélectionner une variable.

Plus de détails dans l'aide en ligne.

Règles de l'acquittement :

  • si une variable correspondant à une variable de déclenchement ou de direction d'un équipement de détection de défaut de terre est liée, ce message de défaut de terre spécial est acquitté.
  • Si aucune variable n'a été liée, tous les messages de défaut de terre sont acquittés.
  • L'acquittement peut également être effectué via le modèle d'objet de l'API de zenon.

Pour configurer la fonction Acquitter le message de défaut de terre :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d'erreur du réseau électrique.
  • Sélectionnez la fonction Acquitter le message de défaut de terre.

  • La boîte de dialogue de sélection de variable s'affiche à l'écran.
  • Liez la variable souhaitée à la fonction.
  • Liez la fonction à un bouton.


Arrêt de la recherche de défaut de terre

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de défaut de terre -> Arrêt de la recherche de défaut de terre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour arrêter la recherche de défaut de terre, exécutez la fonction Arrêter la recherche des défauts de terre dans le Runtime.

Arrêter la recherche des défauts de terre

Fonction d'arrêt de la recherche de défaut de terre.

Plus de détails dans l'aide en ligne.

Pour configurer la fonction :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d'erreur du réseau électrique.
  • Sélectionnez la fonction Arrêter la recherche des défauts de terre.

  • Liez la fonction à un bouton.


Recherche de court-circuit

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de court-circuit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La recherche de court-circuit permet de signaler les sections du réseau présentant potentiellement un court-circuit en les colorant. La couleur est définie par la configuration des couleurs source du module CAL pour la source DEFAUT DE COURT-CIRCUIT.

Les composants du réseau potentiellement sujets aux courts-circuits sont déterminés en fonction des rapports de court-circuit. Un équipement d'identification de court-circuit (indicateur de court-circuit, équipement de protection) peut comporter un à trois messages de court-circuit. Pour les équipements de détection de court-circuit directionnel, la direction peut être en avant ou en arrière, en fonction du déclenchement. Si cette connexion est établie avec succès, un composant réseau présentant potentiellement un court-circuit n'est alors plus considéré comme défaillant.

Ingénierie

Pour configurer la recherche de court-circuit :

  1. Attribuez l'élément combiné représentant l'élément de commutation à l'interrupteur de l'élément Type de fonction.
  2. Définissez l'affichage des courts-circuits et le déclenchement de l'identification de courts-circuits.
  3. Définissez la fonction Acknowledge short circuit message (Acquitter un message de court-circuit).

Autres sujets abordés dans ce chapitre

Type d'identification de court-circuit

Affichage des courts-circuits

Déclenchement d'identification de court-circuit

Acquitter un message de court-circuit


Type d'identification de court-circuit

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de court-circuit -> Type d'identification de court-circuit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La direction et le type de traitement d'information associés à l'élément combiné Type d'interrupteur sont déterminés par le paramètre Type. Pour configurer celui-ci :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l'élément combiné.
  2. Ouvrez le nœud Détection cout-circuit.
  3. Sélectionnez le type de votre choix pour la propriété Type.
    • Direction:
      Indique si le front montant de l'alarme de déclenchement est prioritaire ou non sur le front montant d'une direction.
    • Leading (Devant) :
      L'état de la direction actuelle est utilisé pour le front montant de l'alarme de déclenchement.
    • Lagging (Derrière) :
      Après un front montagne de l'alarme de déclenchement, le premier front montant d'une direction est attendu ; s'il ne se produit pas dans les deux secondes suivantes, l'équipement de détection de court-circuit est considéré comme non directionnel.
    • Information processing (Traitement de l'information) :
      Etats dans lesquels les informations peuvent être traitées.
    • Aucun :
      interrupteur normal ; les informations ne sont pas traitées.
    • Permanent message processing (Traitement des messages permanents) :
      Les nouveaux messages reçus sont considérés comme un nouveau déclenchement de défaut de terre.


Affichage des courts-circuits

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de court-circuit -> Affichage des courts-circuits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La variable liée à la propriété Afficher est une variable de sortie pour la détection d'erreurs, et affiche l'état enregistré de l'équipement d'identification de court-circuit. Ceci est indispensable, car tous les messages sont enregistrés au niveau interne jusqu'à leur acquittement, c'est-à-dire qu'ils ne sont pas forcément conformes à l'état actuel des variables de message.

Chaque fois qu'un enregistrement est réalisé, une valeur prescrite est transmise à cette variable. Dans ce cas, les valeurs sont les suivantes :

Valeur | Signification
0 | Pas de court-circuit
1 | Court-circuit devant
2 | Court-circuit derrière
3 | Court-circuit non directionnel


Déclenchement d'identification de court-circuit

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de court-circuit -> Déclenchement d'identification de court-circuit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La variable du message provenant de l'équipement d'identification de court-circuit est définie par la variable Déclenchement. Vous pouvez recevoir des informations concernant la présence d'un court-circuit et la direction du court-circuit selon l'équipement d'identification de court-circuit. Dans ce cas, la distinction suivante est faite :

  • Détecteur de court-circuit non directionnel
  • Détecteur de court-circuit directionnel avec alarme de déclenchement
  • Détecteur de court-circuit directionnel sans alarme de déclenchement

Pour configurer les variables pour chaque élément :

  1. Accédez au nœud Coloration Automatique de Lignes dans les propriétés de l'élément combiné.
  2. Ouvrez le nœud Détection cout-circuit.
    1. Pour les détecteurs de court-circuit non directionnel

      Cliquez sur le bouton ... de la propriété Déclenchement.

      Sélectionnez la variable que vous souhaitez importer dans la boîte de dialogue qui s'affiche à l'écran.

      Les propriétés de la direction restent vides.

    2. Pour les détecteurs de court-circuit directionnel avec alarme de déclenchement

      Liez la variable à Déclenchement et ajoutez la direction adéquate :

      En avant : liez une variable à la propriété En avant.

      En arrière : liez une variable à la propriété En arrière.

    3. Pour les détecteurs de court-circuit directionnel sans alarme de déclenchement

      Liez la variable à la direction correspondante :

      En avant : liez une variable à la propriété En avant.

      En arrière : liez une variable à la propriété En arrière.

      La propriété Déclenchement reste vide.


Acquitter un message de court-circuit

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection d'erreurs sur les réseaux électriques -> Recherche de court-circuit -> Acquitter un message de court-circuit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Acquitter le message de court-circuit permet d'acquitter un message de court-circuit enregistré au niveau interne provenant d'un équipement de détection de court-circuit. De cette manière, l'état de défaut de terre verrouillé au niveau interne est réinitialisé si l'état est toujours en attente, ou défini comme étant acquitté. Un message de court-circuit enregistré sera uniquement supprimé au niveau interne s'il a été acquitté et n'est plus en attente.

Acquitter le message de court-circuit

Fonction d'acquittement de message de court-circuit. Ouvre la boîte de dialogue permettant de sélectionner une variable.

Plus de détails dans l'aide en ligne.

Règles de l'acquittement :

  • si une variable correspondant à une variable de déclenchement ou de direction d'un équipement de détection de court-circuit est liée, ce message de court-circuit spécial est acquitté.
  • Si aucune variable n'a été liée, tous les messages de court-circuit sont acquittés.
  • L'acquittement peut également être effectué via le modèle d'objet de l'API de zenon.

Pour configurer la fonction Acquitter le message de court-circuit :

  • Créez une nouvelle fonction.
  • Accédez au nœud de détection d'erreur du réseau électrique.
  • Sélectionnez la fonction Acquitter le message de court-circuit.

  • Sélectionnez la variable que vous souhaitez importer dans la boîte de dialogue qui s'affiche à l'écran.
  • Liez la fonction à un bouton.


Détection des erreurs par impédance et calcul de la répartition de charge

Manuels -> Energy Edition (Produit Energie) -> Coloration Automatique des Lignes (CAL) - Topologie -> Détection des erreurs par impédance et calcul de la répartition de charge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La détection des erreurs par impédance et le calcul de la répartition de charge étendent la fonction CAL. La fonction CAL identifie les nœuds et les rayons, tandis que ce modèle détecte également les lignes et leurs paramètres. Ce modèle n'est pas utilisé au niveau interne dans zenon, mais fournit des propriétés et des méthodes pour l'évaluation externe.

Propriétés de la fonction CAL et du modèle topologique étendu

Les éléments combinés et les lignes (ligne, ligne brisée, tube) de la fonction CAL possèdent des propriétés spéciales spécifiques à la détection d'erreurs pour la protection et le calcul de la répartition de charge. Ces propriétés ne sont pas évaluées dans zenon, mais sont disponibles par l'intermédiaire des algorithmes créés par les utilisateurs avec de l'API de zenon.

Le modèle topologique utilisé pour la coloration a été complété par un modèle topologique étendu qui inclut toutes les lignes sous forme de rayons séparés. Le modèle topologique étendu est enregistré sous le nom ALC.xml et peut ainsi être lu par les applications externes. ALC.xml contient deux sections :

  • GraphElements : contient le modèle topologique étendu, sans alias
  • GraphAliases : contient uniquement les alias

Chaque objet possède un ID unique, grâce auquel il est référencé dans le fichier. Les attributs correspondent à un sous-ensemble des éléments de synoptique zenon ayant créé les éléments.

GraphElement

ID | Description
Picture | Nom du synoptique
ElementID | ID d'élément de synoptique
ElementRef | Référence d'élément de synoptique
Type | Type d'élément de synoptique (voir « Élément »)
SourceID | Numéro de source
ReverseSourceID | Numéro de source inversé
Variable | Variable d'état
VarProtReact | Variable de réactance
MaxIType | Type d'intensité maximale
MaxIVal | Valeur constante d'intensité maximale
VarMaxI | Variable d'intensité maximale
VarCurI | Variable d'intensité instantanée
VarCalcI | Variable d'intensité calculée
VarCurP | Variable de puissance instantanée
LoadType | Type de charge
LoadVal | Valeur constante de charge
VarLoad | Variable Charge
React | Réactance
Resist | Résistance
Longueur | Longueur de ligne
Node1IDs | Liste de tous les ID d'éléments connectés au nœud Node1
Node2IDs | Liste de tous les ID d'éléments connectés au nœud Node2

GraphAlias

ID | Description
Picture | Nom du synoptique
ElementID | ID d'élément de synoptique
ElementRef | Référence d'élément de synoptique
Type | Type d'élément de synoptique (voir « Élément »)
OrigElemRef | Élément de synoptique - référence à l'élément de synoptique original
OrigGraphElemID | ID des éléments originaux dans « GraphElements »

API

Dans le modèle d'objet de l'API de zenon, les objets ALCGraphElement et ALCGraphAlias sont disponibles pour le modèle. Ils contiennent les mêmes informations que le fichier XML. Ces objets sont accessibles dans le moteur CAL via les fonctions :

  • GraphElemCount()
  • GraphAliasCount()
  • GraphElemItem()
  • GraphAliasItem()

Verrouillages topologiques spécifiques à l'utilisateur

Si un verrouillage topologique est activé, l'événement suivant est appelé dans le moteur CAL :

  • void CheckInterlocking(IALCEdge* pALCEdge, long nNewState, tpLockResult* LockResult, BSTR* bsText, VARIANT_BOOL* bUnlockable);

L'interrupteur/le sectionneur à commuter et le nouvel état sont transférés. L'événement peut renseigner LockResult, bUnlockable et bsText pour afficher un dépassement de condition de verrouillage. Si le gestionnaire d'événements renvoie tpBusy dans LockResult, il est interrogé jusqu'à ce qu'il ne renvoie plus la réponse tpBusy, pendant 10 secondes maximum toutefois. Le verrouillage est actif après 10 secondes. Le texte de verrouillage et l'impossibilité du déverrouillage sont indiqués dans bsText et bUnlockable.

Marqueur de synoptique

Des éléments de marqueur peuvent être insérés dans le synoptique via l'API de zenon.

Ces éléments sont ajoutés ou supprimés, via les fonctions de l'API, dans DynPictures :

  • BSTR AddMarker(BSTR bsScreenName, long nElementID, short nPosition, short nLineColorIndex, short nFillColorIndex);
  • VARIANT_BOOL DelMarker(BSTR bsID);

Le GUID du marqueur, fourni par AddMarker(), identifie le marqueur de façon unique et sert à la fois de nom d'élément (avec le préfixe « $MARKER_ »), ainsi que de clé la fonction de suppression, via DelMarker(). Les marqueurs insérés via l'API sont enregistrés dans le projet, en fonction du synoptique. Attention : l'enregistrement n'est pas rémanent ; il dure uniquement jusqu'au redémarrage du Runtime.

Les marqueurs définis ici sont affichés indépendamment du moniteur sur lequel est affiché le synoptique. Au niveau interne, les marqueurs sont traités comme des éléments de synoptique actionnables normaux : Des événements de souris sont invoqués à cette fin.

L'apparence des marqueurs est déterminée dans les paramètres du projet, dans la section Coloration Automatique de Lignes de la configuration du projet :

  • Affiche le type de marqueur écran : triangle, cercle, carré, croix
  • Taille marqueur écran : Taille en pixels :
  • Epaisseur de ligne du marqueur écran : Largeur en pixels
  • Couleur du marqueur : ce paramètre est défini par l'intermédiaire de l'indice dans la table de couleurs du marqueur, située dans les propriétés des éléments de synoptique, dans le groupe Coloration Automatique de Lignes


Envoi de commande

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un envoi de commande sert d'abord à la commutation sécurisée de variables dans les métiers de l'énergie. 'Sécurisée' signifie qu'il y a une vérification si l'opération de commutation est autorisée, selon les conditions de verrouillage configurées et la topologie mise à jour dynamiquement (état physique courant du réseau topologique). La configuration de la topologie et les commandes topologiques se font avec le module CAL (Coloration Automatique des Lignes).

Une variable pour l'envoi d'une commande est toujours constituée de deux variables physiques : une variable de réponse et une variable de commande. Les actions à exécuter s'effectuent sur l'une ou l'autre de ces deux variables.

Example Exemple

Commande double activée : Envoie la commande / la nouvelle valeur dans la variable de commande. Par l'intermédiaire de la variable de réponse, la réussite de l'action exécutée peut être vérifiée.

La synchronisation des actions de l'envoi de commande est faite par un objet de communication qui est contrôlé par le Runtime et mis à jour cycliquement dans le driver. Cet objet est attribué automatiquement à la variable de réponse. L'activation d'un tel objet est évalué dans le système par l'activation du bit 'Select'.

Spécification d'état désactivée : Réinitialise tous les états actifs de la variable de réponse ; la variable de commande n'est pas touchée par cette action.

Les opérations de commande en deux étapes sont généralement exécutées à l'aide d'un menu contextuel et d'un synoptique de type "Envoi de commande". Des éléments de contrôle spécifiques sont fournis dans ce cadre. Ils permettent une configuration fonctionnelle et individualisée des envois de commande. Ainsi, vous pouvez par exemple attribuer des actions individuelles au bouton Actions. Vous pouvez ensuite y accéder directement. Ce type de synoptique possède également les éléments nécessaires pour réaliser des fonctions telles que le déverrouillage, l'exécution en deux étapes, le contrôle à deux mains, le verrouillage, etc. Un tel synoptique peut être directement chargé sur l'élément (à la place de la boîte de dialogue Valeur prescrite) par l'intermédiaire d'une fonction ou d'un menu contextuel.

Si une action (action de commutation) à un instant donné est autorisée (aucune condition de verrouillage ne s'applique) ou interdite (une condition non déverrouillable s'applique) ou si elle peut être exécutée après un déverrouillage (une condition déverrouillable s'applique), est déterminé à partir des groupes de commandes et de l'état courant du modèle topologique dans le Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
New command input (Nouvel envoi de commande) | Crée un nouvel envoi de commande.
Exporter XML tous | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des synoptiques à partir d'un fichier XML.
Editor profile (Profil d'Éditeur) | Ouvre la liste déroulante permettant de sélectionner un profil de l'Éditeur.
Aide | Ouvre l'aide en ligne.

info Info

Les verrouillages de commande peuvent être exportés et importés, et également échangés et dupliqués au niveau "Verrouillage".

attention Attention

Toutes les fonctions suivantes ne sont disponibles que si vous avez la licence pour le module Énergie.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Envoi de commande

Configuration dans l'Éditeur

Fonctionnement dans le Runtime


Barre d'outils et menu contextuel de la vue de détail Envoi de commande

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Barre d'outils et menu contextuel de la vue de détail Envoi de commande

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel Envoi de commande et verrouillage

Élément de menu | Action
New command group (Nouveau groupe de commandes) | Crée un nouveau verrouillage et ouvre la boîte de dialogue de sélection de variables.
Exporter XML tous | Exporte toutes les entrées sous forme de fichier XML.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Copier | Copie la condition sélectionnée.
Coller | Colle la condition depuis le presse-papiers.
Supprimer | Supprime la condition sélectionnée.
Renommer | Permet de renommer l'élément.
Propriétés | Ouvre la fenêtre des propriétés pour l'élément sélectionné.
Aide | Ouvre l'aide en ligne.

Menu contextuel Actions de groupe

Élément de menu | Action
Commande | Crée une nouvelle commande et ouvre les propriétés.
New set value input (Nouvelle saisie de valeur prescrite) | Crée une nouvelle saisie de valeur prescrite et ouvre les propriétés.
New status input (Nouvelle saisie d'état) | Crée une nouvelle saisie d'état et ouvre les propriétés.
New replace (Nouveau remplacement) | Crée un nouveau remplacement et ouvre les propriétés.
New release (Nouveau déverrouillage) | Crée une nouvelle correction manuelle et ouvre les propriétés.
New manual correction (Nouvelle correction manuelle) | Crée une nouvelle correction manuelle et ouvre les propriétés.
New block (Nouveau blocage) | Crée un nouveau blocage et ouvre les propriétés.
New lock (Nouveau verrouillage) | Crée un nouveau verrouillage et ouvre les propriétés.
New revision (Nouvelle révision) | Crée une nouvelle révision et ouvre les propriétés.
Coller | Colle la condition depuis le presse-papiers.
Aide | Ouvre l'aide en ligne.

Menu contextuel Action individuelle

Propriétés | Ouvre la fenêtre des propriétés pour l'élément sélectionné.
Élément de menu | Action
Add condition (Ajouter une condition) | Crée une nouvelle condition.
Copier | Copie la condition sélectionnée.
Coller | Colle la condition depuis le presse-papiers.
Supprimer | Supprime la condition sélectionnée.
Aide | Ouvre l'aide en ligne.

Menu contextuel Condition

Élément de menu | Action
Copier | Copie la condition sélectionnée.
Coller | Colle la condition depuis le presse-papiers.
Supprimer | Supprime la condition sélectionnée.
Propriétés | Ouvre la fenêtre des propriétés pour l'élément sélectionné.
Aide | Ouvre l'aide en ligne.

Menu contextuel Variables de groupe

Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Coller | Colle la condition depuis le presse-papiers.
Aide | Ouvre l'aide en ligne.

Menu contextuel Variable individuelle

Élément de menu | Action
Éléments liés | Ouvre la liste déroulante contenant les éléments liés.
Copier | Copie la variable sélectionnée.
Coller | Colle la variable depuis le presse-papiers.
Supprimer | Supprime la variable sélectionnée.
Propriétés | Ouvre la fenêtre des propriétés pour l'élément sélectionné.
Aide | Ouvre l'aide en ligne.


Configuration dans l'Éditeur

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez apprendre comment configurer et exécuter une commande dans le didacticiel Commande.

info Info

Si possible, veuillez également utiliser le driver IEC-60870 101/104 pour vos tests. Ce driver supporte complètement l'évaluation de la COT (Cause Of Transmission - Cause de transmission). C'est une fonctionnalité étendue pour le suivi de la communication. Les communications peuvent être évaluées dans des matrices de réaction multi-numériques et multi-binaires.

Autres sujets abordés dans ce chapitre

Créer un synoptique de type Envoi de commande

Limites et matrices de réaction pour les textes de direction de commutation

Création de variables

Définition de commandes

Créer un menu

Importation et exportation

Créer des fichiers Runtime - Démarrer le Runtime


Créer un synoptique de type Envoi de commande

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Créer un synoptique de type Envoi de commande

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La création du synoptique d'envoi de commande s'effectue en définissant un nouveau synoptique possédant le type de synoptique Envoi de commande. (Vous trouverez d'autres informations concernant les types de synoptiques prédéfinis dans le manuel Synoptiques/Types de synoptiques prédéfinis.)

Le synoptique 'Envoi de commande' est utilisé pour que les opérateurs agissent en Runtime sur les commandes (commande à simple étape ou à double étapes). Il permet d'effectuer toutes les opérations nécessaires pour l'exécution des commandes. Cela peut, par exemple, être le déverrouillage d'un groupe de commandes à venir ou la confirmation de l'exécution d'une commande à deux étapes.

info Info

Lors de l'utilisation de l'envoi de commande à une étape, vous pouvez également utiliser un menu contextuel ou une fonction standard. Le synoptique de type envoi de commande n'est alors pas requis dans le projet.

Vous pouvez utiliser des éléments de contrôle spécifiques à ce type de synoptique, qui permettent à l'opérateur d'avoir accès à toutes les actions nécessaires à l'envoi de commandes et affichent les informations actuelles concernant l'état de l'action à exécuter. (par exemple, l'affichage de la direction de commutation).

Lors de l'ouverture du synoptique, celui-ci est vide. Vous pouvez ajouter des éléments de contrôle par défaut via le menu Éléments de contrôle/Insérer un modèle.

info Info

Sous les groupes se trouve un ensemble d'éléments de contrôle nécessaires à l'exécution d'actions spéciales. Par ex. tous les éléments de contrôle destinés au verrouillage d'éléments. Cela vous évite ainsi d'avoir à rechercher manuellement tous les éléments de contrôle dont vous avez besoin.


Limites et matrices de réaction pour les textes de direction de commutation

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Limites et matrices de réaction pour les textes de direction de commutation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour les commandes à étape unique ou à deux étapes, des textes définis par l'utilisateur concernant la direction de commutation sont affichés (par ex. dans le menu contextuel) pour les actions de type "Commande". Ces textes peuvent être définis par le biais des limites ou des états des matrices de réaction.

Ces textes permettent à l'utilisateur de mieux comprendre et percevoir les actions disponibles dans le Runtime (par exemple "Commande : ouvrir le disjoncteur")

Ceci permet aussi d'utiliser différents textes pour chacune des variables qui utilisent le même verrouillage, sans avoir besoin de faire des ajustements dans l'interface utilisateur.

info Info

Les textes des directions de commutation étant lus à partir du paramétrage des limites, ils bénéficient de la fonctionnalité de changement de langue.

Textes standard pour la direction de commutation

Limite | Texte standard
Inactif | @OFF
Actif | @ON
Diff | @INTER
Défaut | @FAULT
None (Aucun) | @NONE
Direct | @DIR


Création de variables

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Création de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables doivent être liées avec les "textes de direction de commutation" et les "groupes de commandes" correspondants. Si un de ces deux paramétrages est manquant, aucune action n'est proposée à la sélection en Runtime.

info Info

A cause des différentes utilisations des limites et matrices de réaction pour les variables de commande et de réponse, les textes individuels des directions de commutation peuvent être affichés pour les actions. Toujours selon la variable sur laquelle l'action est exécutée.

Autres sujets abordés dans ce chapitre

Variables de recouvrement de projets


Variables de recouvrement de projets

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Création de variables -> Variables de recouvrement de projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

attention Attention

Les données utilisées dans les groupes de commandes doivent être dans le même projet pour que l'envoi de commande fonctionne correctement.

Si vous utilisez des variables provenant d'un autre projet (par exemple, un sous-projet dans la gestion multi-projets), le groupe de commandes, la variable de réponse, la variable d'action et le synoptique spécifique aux actions (de type "Envoi de commande") doivent également se trouver dans l'autre projet.

info Info

Vous pouvez aussi utiliser des variables d'un autre projet pour les verrouillages selon le procédé. Les limitations ci-dessus s'appliquent seulement aux variables du groupe de commandes.


Définition de commandes

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez l'entrée Envoi de commande dans l'arbre du projet et ouvrez le menu contextuel. Sélectionnez Nouveau groupe de commandes.

Après avoir créé un nouveau groupe de commandes, il est ajouté dans la vue de détails du gestionnaire de projet avec le nom standard "Groupe de commandes + Indice". L'index est remplacé par un nombre consécutif. Ce nom sert à identifier de façon unique cet objet dans le système.

info Info

Vous pouvez également donner le nom de votre choix aux groupes de commandes. Cependant, le nom ne doit pas déjà exister (dans les verrouillages standard et les groupes de commandes).

Les paramètres suivants sont disponibles pour les groupes de commandes :

Paramètre

Description

Nom

Nom du groupe de commandes. Doit être unique sur tous les verrouillages du projet. Ce nom est utilisé avec la variable qui utilise ce verrouillage. L'attribution par défaut est faite avec un ID numérique consécutif. Ce nom est utilisé uniquement pour l'interface utilisateur, l'export et l'import.

Nom de variable de réponse

Il s'agit du nom de la variable ou du masque de remplacement de la variable de réponse.

Le caractère générique d'un texte de remplacement est le caractère "*", dans un nom. Un seul caractère générique est possible. Lors de la saisie du masque, il est important de vérifier que le nom résultant de la substitution correspond bien à une variable existante.

Si la variable utilisée ici (variable de remplacement ou absolue) n'existe pas lors de la compilation, le groupe de commandes ne sera pas disponible dans le Runtime. Un message correspondant sera affiché lors de la compilation.

Définir état PROGRESS

S'il a été activé, le bit d'état In progress (PROGRESS) (En cours) est écrit pour les actions Commande et Correction manuelle. La valeur que prendra ce bit d'état dépend de la direction de commutation de l'action.

Le bit d'état est mis à 1 si :

  • la propriété Etat de la réponse/direction de commutation de l'action est définie sur ON (Actif) ou OFF (Inactif).
  • La variable de réponse ne possède pas déjà la valeur de la direction de commutation définie.

Le bit d'état est positionné lors de la vérification des verrouillages et il reste à sa valeur jusqu'à ce que le synoptique revienne à l'étape 1 ou jusqu'à ce qu'il soit fermé.
Ceci implique également que l'état reste inchangé pendant la temporisation du chien de garde et/ou pendant le délai du front.

Si l'exécution d'une action est déclenchée par un menu contextuel ou s'il s'agit d'une action comportant une étape unique, le bit d'état est défini en conséquence.

Tempo

Les paramètres suivants sont disponibles pour cette liste déroulante :

  • aucune: La temporisation de la commande de surveillance est désactivée.
  • Variable de réponse : la valeur de la variable de réponse est utilisée pour déterminer si l'exécution de la commande a réussi.
  • COT : temporisation de commande de surveillance dans sa forme initiale. Cause of Transmission L'option (COT) est utilisée pour déterminer si l'opération a réussi.

Synoptique modal

Si cette fonction est activée, le synoptique est affiché de façon "modale", indépendamment de la propriété "Boîte de dialogue Modal" définie dans les paramètres du synoptique.

Titre de synoptique depuis la variable de réponse

L'identification de la variable de réponse est utilisée pour définir le titre du synoptique. Ceci s'applique seulement si l'option 'visualiser titre' a été activée sur le cadre et le synoptique.

Le texte bénéficie de la fonctionnalité de changement de langue en ligne.

Synoptique

Nom du synoptique à afficher si aucun synoptique spécifique à l'action n'est défini, et si le synoptique n'est pas affiché par une fonction "Appel de synoptique". Appel de.

Détection déclenchement disjoncteur

Disponible uniquement si la propriété Définir état PROGRESS est active.

Actif : La variable de réponse est surveillée afin de déceler tout changement inattendu entre < >0 et 0.

Avec la reconnaissance active, toute variable dont l'état ou la valeur est utilisé dans la formule pour la détection de déclenchement de disjoncteur est activée en lecture au démarrage du programme après le chargement de tous les projets, et reste activée tant que le Runtime est en cours d'exécution. Ainsi, les variables de tous les projets chargés dans le Runtime peuvent être utilisées indépendamment de l'ordre de chargement.

Supprimer détection

Saisissez la formule avec laquelle la détection de déclenchement d'un disjoncteur peut être supprimée. Cliquez sur le bouton ... pour ouvrir l'Éditeur de formules.

Pour la formule, toutes les variables du verrouillage peuvent être utilisées. Les remplacements de noms, par exemple lors de la définition de la condition de verrouillage d'une action, sont également possibles.

Remarque : les variables utilisées dans la formule ne peuvent pas être supprimées lors du verrouillage.

Autres sujets abordés dans ce chapitre

Actions

Créer une action

Exécuter des actions

Conditions de commande

Définir les conditions de commande

L'éditeur de formules


Actions

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Actions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les groupes de commandes contiennent toujours un ensemble d'actions prédéfinies qui sont généralement liées à une variable particulière (un matériel spécifique). Par exemple, différents groupes de commandes peuvent être définis individuellement et de façon centralisée pour différents éléments topologiques (disjoncteur / sectionneur etc.).

Une variable de commande est attribuée à chaque action dans un groupe de commandes. La variable de réponse est définie de façon centralisée pour le groupe de commandes complet.

Remplacement du nom

Pour simplifier et généraliser la définition des variables, leurs références (pour les variables de commande et les variables de réponse) peuvent être définies avec un remplacement de nom. Pour cela, des opérateurs peuvent être utilisés. (Remarque : Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.) Avec cette possibilité de définition flexible, des conditions de verrouillage génériques peuvent être définies simplement. Ceci permet de réduire considérablement le nombre de groupes de commandes devant être défini.

Example Exemple
  • Définition des variables de commande "*_BE"
  • Définition des variables de réponse "*_RM"

En Runtime, l'envoi de commande ajoute automatiquement le nom de la variable de réponse, qui est montrée/sélectionnée dans le synoptique, au nom de la variable de commande. Les noms des deux variables diffèrent seulement sur les derniers caractères.

Types d'actions

Les types d'actions sont les commandes disponibles. Selon la commande, différentes actions sont exécutées.

Le système propose un certain nombre d'actions. Les types d'actions suivants peuvent être définis pour les groupes de commandes :

Type d'action

Commentaire
  • Commande

  • Valeur prescrite par défaut

  • État par défaut

  • Déverrouiller

Peut être configuré une fois seulement par groupe de commande.
  • Correction manuelle

  • Remplacer

  • Verrouillage

Peut être configuré une fois seulement par groupe de commande.
  • Révision

  • Bloquer

Peut être configuré une fois seulement par groupe de commande.

Dans la vue de détail de l'envoi de commandes, les actions dans l'arborescence sont représentées avec la direction de commutation correspondante et, à la valeur prescrite forcée, avec la valeur prescrite sélectionnée.

attention Attention

L'identification des types d'actions dans l'élément ID du menu doit être claire, afin qu'ils soient facilement identifiables dans le menu contextuel. Si deux actions comportent le même ID, elles sont identifiées à l'aide d'un symbole spécial (M) dans l'arborescence des actions.

Type d'action Commande

Selon le type de commande, elle sera utilisée en tant que 'commande simple' ou 'commande double' dans le système.

Lorsqu'une commande est exécutée, la valeur de la commande configurée (0 ou 1) est écrite dans la variable de commande. La valeur attendue dans la variable de réponse suite à l'exécution de la commande est définie dans la propriété Etat de la réponse/direction de commutation (Active / Inactif / Aucune).

Direction de commutation | Valeur de la variable de réponse
None (Aucun) | La valeur de la variable de réponse ne changera pas.
Inactif | La valeur sera 0
Actif | La valeur sera 1

Pour les commandes simples, la variable est automatiquement définie sur 0 ou 1 (selon la direction de commutation) après le "délai de front" spécifié. Ceci ne s'applique pas si le SBO (Select Before Operate) est activé pour la variable de commande.

info Info

Si, lors de l'exécution de l'action, la valeur actuelle de la variable de réponse est différente de la valeur définie dans la direction de commutation, ou si la direction de commutation a été définie sur Actif ou Inactif, le bit d'état In progress ( PROGRESS ) (En cours) est défini.

Type d'action Saisie de valeur prescrite

Permet d'écrire une valeur numérique dans la variable de commande sélectionnée. Dans le synoptique de commande, vous pouvez insérer les éléments de contrôle dédiés à la définition de la valeur prescrite. A l'aide de la propriété Etat de la réponse/direction de commutation, vous pouvez définir de quelle manière la valeur prescrite doit être écrite :

Direction de commutation

Valeur de la variable de réponse

DIR

La valeur prescrite est écrite directement. Vous définissez la valeur devant être écrite à l'aide de la fonction Spécifier valeur prescrite.

Le texte devant être affiché peut être développé à l'aide d'une limite/matrice de réaction pour l'état/la valeur 5. Dans le cas contraire, un texte par défaut est utilisé.

La comparaison de valeurs nominales/réelles n'est pas prise en charge. Le bouton d'action d'une action dont la valeur est égale à la valeur réelle n'est pas verrouillé. L'action peut être exécutée plusieurs fois d'affilée.

Spécifier valeur prescrite

La valeur de l'élément de contrôle Valeur prescrite est écrite dans la variable de réponse.

Si les valeurs prescrites sont définies par le biais d'une commande et une variable de réponse est définie dans l'élément combiné ou l'élément dynamique, celle-ci peut être définie indépendamment de la configuration de la propriété Forçage valeurs actif. Tous les boutons d'action du synoptique d'envoi de commande qui déclenchent une modification directe de la variable de réponse sont alors définis comme invisibles.

attention Attention

Lors de l'écriture directe de la valeur prescrite, les limites de la variable liée ne sont pas contrôlées, et aucune vérification de l'adéquation de la valeur prescrite écrite pour cette variable n'est effectuée.

Type d'action Saisie d'état

En fonction de la définition de la "direction de commutation", les opérations suivantes sont exécutées :

Direction de commutation | Action
Inactif | Les états configurés dans la liste des états modifiables sont tous définis sur 0.
Actif | Les états configurés dans la liste des états modifiables sont tous définis sur 1 (actifs).
None (Aucun) | Les états configurés dans la liste des états modifiables doivent être définis dans le Runtime, via l'élément de contrôle "Définir état action". Chaque état est défini individuellement.

Si vous changez un état en Runtime, cette modification est tracée dans la liste des événements (l'état et sa valeur). Vous avez la possibilité de changer de langue dans le Runtime.

info Info

Pour toutes les valeurs par défaut d'états, une écriture est toujours exécutée pour la variable de réponse.

Type d'action Déverrouiller

Remarque : l'action peut uniquement être exécutée dans le Runtime si la valeur de remplacement ( ALT_VAL ) (valeur : 1) est active pour la valeur de réponse. 1).

L'action Déverrouiller réinitialise le bit d'état valeur de remplacement ( ALT_VAL ) à 0 (inactif). Si le bit d'état Désactivé ( OFF ) est actif, il est également défini sur 0 (inactif). Le Runtime reçoit la valeur actuelle du driver de la variable de réponse lorsque l'action Déverrouiller a été exécutée.

Remarque : Peut être configuré une fois seulement par groupe de commande.

Type d'action Correction manuelle

info Info

La correction manuelle désigne :

La correction d'un interrupteur sans commande à distance dans zenon.

Une variable de marqueur est généralement corrigée (aucune connexion au procédé). Les variables de marqueur ne comportent pour ainsi dire jamais d'état I-bit en attente. Il est possible, bien que sans intérêt, de définir une variable connectée au procédé.

Comportement :

la correction correspond à la configuration de valeurs normales du point de vue du driver.

À l'inverse : Remplacer

La valeur de procédé d'un interrupteur avec commande à distance est temporairement associée à une valeur de remplacement (en raison d'une révision, par exemple).

L'action Corriger définit la valeur de la variable de réponse sélectionnée en fonction de la configuration de la direction de commutation :

Direction de commutation

Action

Inactif

0

Diff

2

DIR

La valeur prescrite est écrite directement. Vous définissez la valeur devant être écrite à l'aide de la fonction Spécifier valeur prescrite.

Le texte devant être affiché peut être développé à l'aide d'une limite/matrice de réaction pour l'état/la valeur 5. Dans le cas contraire, un texte par défaut est utilisé.

La comparaison de valeurs nominales/réelles n'est pas prise en charge. Le bouton d'action d'une action dont la valeur est égale à la valeur réelle n'est pas verrouillé. L'action peut être exécutée plusieurs fois d'affilée.

Actif

1

Spécifier valeur prescrite

La valeur de l'élément de contrôle Valeur prescrite est écrite dans la variable de réponse.

Défaut

3

attention Attention

Lors de l'écriture directe de la valeur prescrite, les limites de la variable liée ne sont pas contrôlées, et aucune vérification de l'adéquation de la valeur prescrite écrite pour cette variable n'est effectuée.

info Info

Le bit d'état En cours (PROGRESS) est défini si :

  • Au moment de l'exécution de l'action, la valeur actuelle de la variable de réponse diffère de la valeur définie pour la direction de commutation
    et
  • La direction de commutation a été définie comme activée ou désactivée

Type d'action Remplacer

La variable de réponse est définie avec l'état Valeur de remplacement ( ALT_VAL ). De plus, la variable de réponse prend une valeur définie par la "Direction de commutation" spécifiée.

Direction prescrite souhaitée | État
Inactif | 0
Actif | 1
Diff | 2
Défaut | 3
None (Aucun) | 4

Type d'action Verrouiller

Permet le verrouillage de la variable de réponse pour les actions de type 'Envoi de valeur'.

info Info

Si un interrupteur est verrouillé à l'aide de l'action Verrouiller, le bit d'état M1 est défini.

Pour utiliser cette fonctionnalité, des utilisateurs associés à un "code de verrouillage" doivent être définis dans le système. Le verrouillage/déverrouillage d'une variable de réponse peut uniquement être effectué avec la saisie d'un "code de verrouillage" valide.

La même variable peut être verrouillée par plusieurs utilisateurs en parallèle. Les actions pour la variable de réponse ne seront possibles que lorsque tous les verrouillages auront été déverrouillés en entrant le code de verrouillage.

Aucune action ne peut être exécutée si

  • la variable verrouillée est utilisée en tant que variable d'action
  • Les actions de la variable de commande utilisent la variable verrouillée en tant qu'élément de réponse

Un code de verrouillage est défini individuellement pour chaque utilisateur. Ce paramétrage est effectué directement pour un utilisateur existant possédant la propriété "Code de verrouillage".

Vous pouvez aussi définir le code de verrouillage d'un utilisateur pendant le Runtime.

Dans le Runtime, vous ne pouvez pas supprimer des utilisateurs qui ont des commandes verrouillées avec leur code de verrouillage.

attention Attention

Les utilisateurs peuvent être supprimés dans l'environnement de développement. Ceci engendre la suppression des verrouillages concernés après un rechargement ou un redémarrage.

Des utilisateurs verrouillés (désactivés) ne peuvent pas exécuter des actions de verrouillage ou de déverrouillage.

info Info

Les informations concernant les verrouillages actifs sont également synchronisées sur un réseau redondant, et sont donc disponibles après une commutation de serveur.

Une liste des verrouillages actuellement actifs peut être affichée sur le synoptique de commande, grâce à l'élément de contrôle "Liste de verrouillages".

Remarque : Peut être configuré une fois seulement par groupe de commande.

Type d'action Révision

Définit le bit d'état Revision de la variable de réponse en fonction de la valeur configurée dans la propriété Etat de la réponse/direction de commutation.

Direction prescrite souhaitée | État
Inactif | Définie sur 0
Actif | Définie sur 1

Type d'action Bloquer

En exécutant cette action, la variable de réponse est désactivée.

Définit le bit d'état OFF de la variable de réponse.

Remarque : Peut être configuré une fois seulement par groupe de commande.


Créer une action

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Créer une action

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les actions définissent les commandes de commutation possibles pour les groupes de commandes. En sélectionnant l'élément "Action" dans le menu contextuel activé dans l'affichage détaillé des groupes de commandes, vous pouvez définir une nouvelle action en effectuant un clic droit. Des détails concernant l'action définie sont également présentés dans l'affichage détaillé après la création (par exemple Commande double : *_BE [ON,1].

Les paramètres supplémentaires sur les actions sont renseignés dans la fenêtre des propriétés. Certaines propriétés sont inactives selon le type de l'action.

Propriétés disponibles :

Propriété

Description

Variable

Variables sur lesquelles a lieu l'écriture. Pour certaines actions, cette variable correspond à la variable de réponse. Dans ce cas, le champ est verrouillé.

Le caractère générique d'un texte de remplacement est le caractère "*", dans un nom. Un seul caractère générique est possible.

Si la variable utilisée ici (variable de remplacement ou absolue) n'existe pas lors de la compilation, l'action ne sera pas disponible dans le Runtime. Un message correspondant sera affiché lors de la compilation.

Initialisation : pas d'attribution

Type

Détermine le type de la commande. Les options disponibles sont : commande simple ou double.

Commande double

Écrit la valeur du paramètre "Valeur commande".

Commande simple :

Comme une commande double, mais après le délai de front, une réécriture avec la valeur 0 est effectuée automatiquement. Cette réécriture n'est plus contrôlée par le Runtime.

Verrouillé pour toutes les autres actions.

Initialisation : Commande simple

Direction prescrite souhaitée

Définit la valeur attendue et/ou l'état de la variable de réponse après l'exécution de l'action.

Verrouillé pour les actions Bloquer, Envoi valeur, Verrouiller et Libérer.

Initialisation : Inactif

État commande

Définit la valeur qui est écrite dans la variable de commande durant l'action "Commande".

Verrouillé pour toutes les actions, sauf "Commande simple" et "Commande double".

Initialisation : 0

Supprimer entrée CEL

Si ceci est activé, aucune entrée n'est insérée dans le CEL lors de l'exécution d'une action.

Initialisation : Inactif

Timeout

Timeout utilisé pour la temporisation du chien de garde. Disponible seulement pour les actions 'Commande' en 'Envoi valeur'. L'unité est la seconde.

Initialisation : 30

Délai du front

Temps en millisecondes au bout duquel sera écrit 0 lors d'une commande simple.

Disponible uniquement pour l'action "Commande simple".

Le système n'attend pas que la tempo du chien de garde soit terminée.

Initialisation : 1000 ms

États modifiables

Liste des états qui peuvent être modifiés avec l'action "Envoi état".

Disponible seulement pour l'action "Envoi état".

Initialisation : Non modifiable

Comparaison valeur nominale / actuelle

Si ceci est activé, il y aura une vérification pour savoir si la valeur de la variable de réponse correspond déjà à la direction de commutation. Si c'est le cas, un message de verrouillage déverrouillable est montré.

Initialisation : Inactif

Menu contextuel Synoptique

Synoptique de type "Alimentation", affiché lorsque l'action est activée avec le menu contextuel de l'élément. Si aucun synoptique n'est sélectionné ici, le synoptique défini pour le groupe de commandes est utilisé. Un synoptique qui a été configuré mais qui n'existe pas, provoque un message d'erreur lors de la compilation et l'action n'est pas prise en compte.

Initialisation : pas d'attribution

Bouton commande

Attribution de l'action sur un bouton d'action dans le synoptique, défini sur le groupe de commandes. Si le groupe de commandes est utilisé pour un autre synoptique (par exemple par une fonction), l'attribution sur le bouton d'action n'est pas supprimée. En d'autres mots, l'action est toujours placée sur le bouton avec l'ID de l'action attribuée. Si un tel bouton est manquant, l'action n'est pas disponible dans le synoptique. Seuls les boutons d'actions, qui n'ont pas encore été attribués, sont montrés dans la liste de sélection.

Ce paramètre est verrouillé pour le type d'action 'Verrouiller', ou si aucun synoptique n'a été attribué au groupe de commandes.

Initialisation : pas d'attribution

Fermer automatiquement

Si vous activez cela, le synoptique est fermé automatiquement après l'exécution de l'action.

Initialisation : Inactif

Utilisation à deux mains

Si vous activez cette option, l'élément de contrôle "Exécuter 2" est uniquement activé si la touche "Ctrl" est enfoncée.

Disponible seulement pour les exécutions en deux étapes.

Initialisation : Inactif

A deux étapes

Si cette option est activée, une action est seulement exécutée après que l'élément de contrôle "Exécuter 2" ait été activé. Si vous n'activez pas cette option, l'action est exécutée après avoir libéré le dernier verrouillage ou, s'il n'y a pas de verrouillage qui risque de survenir immédiatement.

Verrouillé pour l'action "Verrouiller".

Initialisation : Actif

info Info

En sélectionnant chacune des propriétés, vous pouvez accéder à des informations supplémentaires concernant les fonctionnalités dans l'aide des propriétés.

info Info

Les actions et les conditions de commande, une fois définies, peuvent être exportées / importées en langage XML. Ceci permet de les archiver facilement et de les réutiliser dans d'autres applications.

info Info

L'état peut être défini à l'aide de la commande de spécification d'état.


Exécuter des actions

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Exécuter des actions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'envoi de commandes dans le module Energy Edition peut être utilisé dans différentes situations. L'utilisateur peut choisir ce qu'il préfère. Il est aussi possible d'utiliser différentes méthodes simultanément (liées à l'élément).

1

Exécution d'une fonction d'appel de synoptique sur un synoptique de Commande.

2

Affichage d'un élément de synoptique Bargraphe, Heure, Réglette universelle, Valeur numérique, Instrument à aiguille ou Élément d'état.

Pour l'activer, la propriété Spécifier valeur prescrite par de l'élément doit être définie sur Envoi de commande.

3

Affichage d'un élément de synoptique Bargraphe, Heure, Réglette universelle, Valeur numérique, Instrument à aiguille ou Élément d'état.

Pour l'activer, la propriété Spécifier valeur prescrite par de l'élément doit être définie sur Input field (Champ de saisie) ou Element (Élément) (par exemple, utilisation de l'envoi de commandes à la place du paramétrage de valeurs).

4

L'appel s'effectue par le biais d'un menu contextuel si la valeur Envoi de commande a été définie pour la propriété Type d'action.

5

L'appel s'effectue par le biais d'un menu contextuel si la valeur Valeur prescrite a été définie pour la propriété Type d'action.

Autres sujets abordés dans ce chapitre

Appel d'un synoptique de type Commande

Élément de synoptique Envoi de commande

Elément de synoptique Valeur prescrite

Commande Menu contextuel

Macros du menu contextuel

Messages d'erreur

Exécution d'actions

Menu contextuel Valeur prescrite


Appel d'un synoptique de type Commande

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Exécuter des actions -> Appel d'un synoptique de type Commande

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Appel d'un synoptique de type Commande

Si un synoptique de type "Alimentation" est sélectionné en tant que paramètre de la fonction "Appel de synoptique", la boîte de dialogue de configuration suivante est affichée :

Paramètre | Description
Variable définissant la commande | La variable sélectionnée ici définit le groupe de commandes à utiliser. Le synoptique détermine la variable de réponse correspondante et la variable d'action associée grâce au nom de la variable sélectionnée.
Étape initiale | Définit l'étape à laquelle le synoptique de commande doit être affiché. Étape 1 : le synoptique est affiché et attend la définition de l'action et son exécution. Les exécutions d'action doivent être faites manuellement par l'utilisateur. Verrouiller : le synoptique est affiché à l'étape de commande pour l'action de verrouillage.


Élément de synoptique Envoi de commande

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Exécuter des actions -> Élément de synoptique Envoi de commande

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Élément de synoptique Envoi de commande

Si l'option 'Commande' est définie pour le paramètre 'Spécifier valeur prescrite par' dans les propriétés d'un élément de synoptique, le synoptique de commande pourra être ouvert en Runtime en cliquant avec le bouton gauche de la souris sur l'élément. Le synoptique à ouvrir est défini au niveau du groupe de commandes de la variable liée à l'élément. La variable de réponse est déterminée automatiquement à partir du groupe de commandes.

info Info

Si l'option "Commande" a été sélectionnée, le synoptique de commande est affiché au lieu de la boîte de dialogue "Valeur prescrite".

Les types d'éléments de synoptique suivants supportent le mode 'Commande' :

1 | Valeur numérique
2 | Élément texte
3 | Bargraphe
4 | Instrument à aiguille
5 | Élément logique
6 | Horloge
7 | Réglette universelle

Si aucun groupe de commandes n'est défini pour la variable liée à l'élément, ou si la variable de réponse du groupe de commandes n'existe pas, une entrée d'erreur est générée pour le module Diagnosis Viewer et le synoptique n'est pas ouvert.


Elément de synoptique Valeur prescrite

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Exécuter des actions -> Elément de synoptique Valeur prescrite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Elément de synoptique Valeur prescrite

Si l'option "Boîte de dialogue" ou "Elément" est sélectionnée pour le paramètre "Spécifier valeur prescrite par" d'un élément, et si la variable attribuée à l'élément comporte un groupe de commandes, toutes les modifications apportées à la valeur prescrite sont également exécutées par le biais du groupe de commandes. Les conditions suivantes doivent être respectées pour que la valeur puisse être écrite :

  • L'action "Valeur prescrite" doit être configurée dans le groupe de commandes, et la variable d'action résultante constitue la variable de l'élément de synoptique sélectionné.
  • Il ne doit pas y avoir de verrouillage empêchant l'exécution de l'action.

info Info

Si une des conditions ci-dessus n'est pas respectée, aucun envoi de valeur n'effectué sur la variable.


Commande Menu contextuel

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Exécuter des actions -> Commande Menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Commande Menu contextuel

L'envoi de commande peut aussi être activé par un menu contextuel directement sur l'élément. C'est d'ailleurs la méthode la plus utilisée. Dans ce cadre, l'activation d'un choix du menu contextuel constitue la première étape des commandes à deux étapes.

Le menu doit avoir une entrée avec un type d'action Commande. L'affichage des différentes actions est fait automatiquement par le menu. L'affichage des actions peut être influencé de façon sélective, selon le nom de l'entrée de menu.

Lors de la création d'une nouvelle action dans la fonction d'envoi de commande, un identifiant de menu correspondant au type d'action et à la direction de commutation pour la propriété Type action est créé et proposé dans la liste déroulante. Si le contenu correspond à un identifiant défini en tant que texte standard pour le type d'action et la direction de commutation, le contenu est adapté si le type d'action ou la direction de commutation.

Pour créer un menu contextuel pour la fonction d'envoi de commande :

  1. Créez les actions souhaitées dans la fonction d'envoi de commande.
  2. Dans les propriétés du menu contextuel, sélectionnez Type action en tant qu'envoi de commande.
  3. Sélectionnez l'action souhaitée et la direction de commutation via le menu déroulant avec la propriété ID du menu.
  4. Spécifiez un intitulé clair dans la propriété Texte.
    Remarque : si aucune entrée n'est définie pour Texte, le champ est automatiquement renseigné avec l'intitulé envoi de commande.

attention Attention

Le nom de la propriété Texte doit être unique. Si deux noms identiques sont fournis, les autres éléments de menu portant le même nom ne seront pas affichés.

Les éléments de menu créés automatiquement avec la même action produisent le même texte ; aussi, des macros sont disponibles pour ces derniers.

La séquence de caractères ID_CMD_AUTO est réservée pour les éléments de menu créés automatiquement. Ces derniers doivent toujours être utilisés conjointement à des macros car, dans le cas contraire, seul l'élément de menu est inséré.

Les règles suivantes s'appliquent lors de la recherche de doubles entrées :

  • Les points de menu manuels sont prioritaires sur les points automatiques.
  • Si deux entrées sont du même type, la priorité de la dernière entrée est deux fois plus élevée.
  • Si une double entrée est détectée, un avertissement est inséré dans le fichier journal. Celui-ci inclut l'ID de menu et la description. Les ID des entrées pouvant être développées automatiquement reçoivent l'indication <auto>.

Actions pour la fonction d'envoi de commande Type action

Action | Direction de commutation | ID de menu
ID_CMD_AUTO |  | Cette entrée de menu montre automatiquement toutes les actions possibles pour un élément, sauf les actions pour lesquelles une entrée de menu a été spécifiée explicitement.
Commande simple | ON (1) | ID_CMD_EBEF_ON
Commande simple | OFF (1) | ID_CMD_EBEF_OFF
Commande simple | NONE | ID_CMD_EBEF_NONE
Commande double | ON (1) | ID_CMD_DBEF_ON
Commande double | OFF (2) | ID_CMD_DBEF_OFF
Commande double | NONE | ID_CMD_DBEF_NONE
Spécifier valeur prescrite | NONE | ID_CMD_SVALUE
Spécifier valeur prescrite | DIRECT | ID_CMD_SVALUE_DIR
État par défaut | NONE | ID_CMD_STATE
État par défaut | ON (1) | ID_CMD_STATE_ON
État par défaut | OFF (0) | ID_CMD_STATE_OFF
Remplacer | NONE | ID_CMD_REPL_NONE
Remplacer | ON (1) | ID_CMD_REPL_ON
Remplacer | OFF (0) | ID_CMD_REPL_OFF
Remplacer | FAULT | ID_CMD_REPL_DEF
Remplacer | DIFF | ID_CMD_REPL_DIFF
Correction manuelle | NONE | ID_CMD_UPD_NONE
Correction manuelle | ON (1) | ID_CMD_UPD_ON
Correction manuelle | OFF (0) | ID_CMD_UPD_OFF
Correction manuelle | DIFF | ID_CMD_UPD_DIFF
Correction manuelle | FAULT | ID_CMD_UPD_DEF
Correction manuelle | DIRECT | ID_CMD_UPD_DIR
Bloquer | NONE | ID_CMD_BLOCK
Déverrouiller | NONE | ID_CMD_UNLOCK
Verrouillage | NONE | ID_CMD_LOCK
Révision | OFF (0) | ID_CMD_REV_OFF
Révision | ON (1) | ID_CMD_REV_ON

Nom des éléments de menu du menu contextuel

1. Création automatique

Les entrées créées via ID_CMD_AUTO reçoivent automatiquement un nom conformément au mode de dénomination suivant : "Nom d'action" suivi du "Texte de limite de la direction de commutation".

2. Création manuelle de la table :

Si les entrées de menu sont créées à partir de la table, pour chaque action sous "Affichage - Texte", un texte doit être défini pour l'entrée dans le menu contextuel.

Noms pour les entrées de menu :

Commande, Valeur prescrite, État, Remplacement, Déverrouillage, Correction manuelle, Blocage, Verrouillage, Révision

Textes d'action

Action | Texte
Commande simple Commande double | Texte issu du texte de limite selon la direction de commutation.
Correction manuelle Remplacer | Si une direction de commutation (autre que 'aucune') est définie, le texte issu du texte de limite selon la direction de commutation est affiché.
État | "INACTIF" ou "ACTIF", en fonction de la direction de commutation actuelle.
Révision | Texte issu du texte de limite selon la direction de commutation.
Autres | Aucun texte d'action spécial n'est affiché.

Example Exemple

Texte affiché pour une commande double avec une limite définie :

"Commande : Direction de commutation ACTIVE"

info Info
  • Tous les textes affichés bénéficient de la fonctionnalité de changement de langue en ligne. Voir également : Quels sont les textes qui peuvent changer de langue en ligne ?
  • Toutes les entrées de menu sont automatiquement triées par ordre alphabétique.

Le verrouillage de commande couramment utilisé est déterminé par la variable qui est liée à l'élément de synoptique. Si aucun verrouillage de commande n'est attribué à la variable, ou s'il n'y a aucune variable de réponse, le menu contextuel n'est pas affiché en Runtime (un message d'erreur est transféré pour le module Diagnosis Viewer).

info Info

Les entrées de menu de la commande sont affichées en fonction du groupe de commandes. L'entrée de menu est montrée seulement lorsque l'action liée existe. En conséquence, si la variable de l'élément est la variable de commande, seules les actions spécifiques à la variable de commande sont affichées, ainsi que l'action "Verrouiller". Les actions spécifiques à la variable de réponse sont automatiquement masquées.

Conditions

Les entrées de menu sont accessibles seulement lorsque les actions correspondantes peuvent être exécutées. Les conditions suivantes s'appliquent :

  • Toutes les entrées de menu sont verrouillées si le bit d'état SELEC (10) de la variable de réponse est actif.
  • Toutes les entrées de menu sont verrouillées si la variable de réponse n'a pas pu être déterminée.
  • Toutes les entrées de menu sont verrouillées si la variable de réponse n'a pas de valeur et le système ne peut pas obtenir sa valeur dans les 30 secondes.
  • Toutes les entrées de menu sont verrouillées sur un client Web qui n'a pas d'accès en écriture.
  • Toutes les entrées de menu sont verrouillées s'il n'y a pas de connexion au serveur.
  • L'entrée de menu relative à l'action 'Libérer' est verrouillée si le bit d'état VALR (27) (valeur de remplacement) de la variable d'action n'est pas actif.
  • L'entrée de menu relative à l'action 'Remplacer' est verrouillée si la direction de commutation correspond à la valeur de la variable d'action.
  • Toutes les entrées de menu, sauf celle liée à l'action 'Verrouiller', sont verrouillées lorsqu'un verrouillage est actif pour la variable de réponse.
  • Lorsque le bit d'état REV(9) de la variable de réponse est actif, les actions 'Envoi valeur', 'Remplacer', 'Correction' et 'Commande' sont verrouillées.
  • Tant que la temporisation du chien de garde ou le délai de front ou qu'un SBO (Select Before Operate) est actif pour le groupe de commandes, toutes les entrées de menu sont verrouillées. Ceci est dû au fait que le bit d'état SELEC reste aussi actif.
  • L'entrée de menu relative à l'action 'Révision' est verrouillée si la direction de commutation correspond à la valeur de la variable d'action.


Macros du menu contextuel

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Exécuter des actions -> Macros du menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Macros du menu contextuel

Une macro est une séquence de caractères définie, qui est remplacée par un autre texte lors de la création d'éléments de menu dans le Runtime. Presque toutes les macros peuvent apparaître plusieurs fois par élément de menu. Par conséquent, elles contiennent également d'autres macros. Dans ce cas, la séquence d'expansion doit être prise en compte. Les macros ne sont pas sensibles à la casse lors de la configuration des menus. Si les macros contiennent une macro en tant que résultat, la macro doit être insérée en majuscules dans le résultat. L'entrée est identifiée par un caractère $ en préfixe et suffixe.

La séquence d'expansion est de gauche à droite, avec la priorité suivante.

  1. $NOTE$
  2. $TAG$
  3. $REMA<Status>$
  4. $RDIR$
  5. $ALL$
  6. $DIR$
  7. $ACT$
  8. $NOTE$

Macro

Description

$NOTE$

L'ensemble du texte, macro incluse, est interprété comme une remarque. Si le texte résultant est vide, la macro $ALL$ est utilisée.

$TAG$

Remplacé par l'identification de la variable d'action.

L'identification peut être traduite par la fonction de traduction en ligne. Si aucun caractère de traduction (@) n'est inclus, l'identification entière est surlignée aux fins de la traduction.

$REMA<Status>$

<Status> est un état ou une valeur limite de matrice de réaction, dont le texte est utilisé en tant que remplacement.

Si l'état n'est pas présent, l'élément de menu n'est pas affiché.

Le texte de valeur limite est traduit, du point de vue linguistique, en fonction du placement du caractère @ .

L'état peut être un nombre compris entre -231 et 231-1. L'utilisation de caractères précédant le texte et d'un préfixe est autorisée. Si des caractères ne pouvant être convertis en nombre sont inclus ou le nombre est situé hors de la zone spécifiée, l'élément de menu n'est pas affiché.

$RDIR$

Texte de la direction de commutation, dérivé de la matrice de réaction ou valeur limite, comme dans la macro $DIR$, à l'exception de :

  • Action Write set value direct (Envoyer valeur prescrite directement)
    Le texte est dérivé de la matrice de réaction ou valeur limite de l'état, qui correspond à la valeur de la valeur prescrite devant être définie.
  • Action Status on (État activé) et Status off (État désactivé)
    Le texte est dérivé de la matrice de réaction/valeur limite des états activé ou désactivé.
  • Action Correct direct (Corriger directement)
    Le texte est dérivé de la matrice de réaction ou valeur limite de l'état, qui correspond à la valeur de la valeur prescrite devant être définie.

$ALL$

Entraîne la dénomination de l'action : Direction de commutation.

Correspond à la combinaison de la macro $ACT$ : $DIR$.

$DIR$

Direction de commutation de l'action.

$ACT$

Dénomination de l'action.

$NOTE$

Pour la dernière macro, la macro de la note est vérifiée à nouveau et le texte inséré à droite de celle-ci, macro incluse, est supprimé.

Si le texte résultant est vide ou ne comprend que des espaces, l'élément de menu n'est pas inséré.

Éléments de menu créés automatiquement

Les éléments de menu créés automatiquement sont créés sous forme d'ID de menu avec ID_CMD_AUTO. Dans ce cas, les macros doivent toujours être utilisées ; dans le cas contraire, seul un élément de menu sera inséré.

Compatibilité

Avant la version 6.51, le texte associé aux éléments de menu automatiques était ignoré. Lors de la conversion de projets créés avec des versions antérieures à la version 6.51, des macros $ALL$$NOTE$ sont automatiquement insérées avant le texte configuré. Par conséquent, les éléments de menu se comportent comme auparavant.

Changement de langue en ligne

L'intitulé de l'élément de menu dans la propriété Texte est traduit, au niveau linguistique, avant l'expansion de la macro, à partir du caractère @.

Remarque : Si, pour la balise $TAGS$, aucun indicateur de traduction (@) n'est présent, le texte entier est traduit.


Messages d'erreur

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Exécuter des actions -> Messages d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Messages d'erreur

Lorsque des menus sont affichés en Runtime, la cohérence de leur contenu est vérifiée. Les erreurs génèrent des messages d'erreur pour l'outil de diagnostic en ligne. Les messages suivants peuvent apparaître :

Paramètre | Description
Une entrée de menu pour l'envoi de commande a été supprimée car le nom se trouvait plusieurs fois dans le menu ! | Le menu contient déjà une entrée de menu avec le nom utilisé dans l'envoi de commande. N'utilisez pas ce nom pour les autres entrées de menu.
Une entrée de menu pour l'envoi de commande a été supprimée car la description se trouvait plusieurs fois dans le menu ! | Il y a déjà une entrée de menu avec la même description dans le menu. Les entrées de menu créées automatiquement ne sont pas ajoutées si une entrée de menu avec la même description existe déjà.
Le texte pour l'entrée de menu ne peut pas être supprimé ! | La description d'une entrée de menu créée automatiquement ne peut pas être déterminée. Ceci est probablement dû à un texte de limite qui n'est pas défini.
Aucun groupe de commandes n'est lié à la variable de l'élément de synoptique ! | La variable associée à l'élément synoptique ne comporte aucun groupe de commandes, ou comporte un groupe de commandes qui n'est plus valable. Les messages d'erreur correspondants sont affichés durant la compilation.
La variable de réponse n'existe pas ! | La variable de réponse utilisée dans le groupe de commandes n'existe pas.
La sélection ne peut pas être activée ! | Le bit d'état SELEC (10) ne peut pas être activé dans l'intervalle de temps défini par le timeout.


Exécution d'actions

Exécution d'actions

Après l'activation d'une entrée de menu pour l'envoi de commande, l'action associée est exécutée. L'exécution effectuée par l'intermédiaire du menu définit le bit d'état "SELECT". Si cette exécution est réussie, l'exécution de l'action à proprement parler démarre (par ex. exécution d'une "double commande").

Après cela, le synoptique de commande s'ouvre si un des critères suivants est vrai :

  • Si l'action à exécuter est 'Envoi valeur', 'Envoi état' avec saisie ou 'Correction manuelle', le synoptique associé à l'action est ouvert à l'étape 1. La valeur ou l'état souhaité peut alors être défini dans le synoptique.
  • Si l'action à exécuter est 'Verrouiller', le synoptique spécifique à l'action est affiché dans l'étape 'Verrouiller'.
  • Si une condition d'un verrouillage qui va arriver empêche l'exécution, le synoptique développé pour l'action est affiché dans l'étape 'Déverrouiller'. Ceci aussi arrive si le SBO (Select Before Operate) n'a pas pu être activé sans erreur.
  • Si une exécution en deux étapes a été configurée pour l'action, le synoptique spécifique à l'action est affiché dans l'étape 2.
  • Si aucun synoptique n'a été configuré pour l'action, le synoptique qui a été défini de façon globale pour le groupe de commandes est ouvert.

L'état interne Select et le SBO (Select Before Operate) sont passés au synoptique.

info Info

Si aucune des conditions ci-dessus ne s'applique, l'action est exécutée immédiatement, sans action supplémentaire de l'utilisateur.


Menu contextuel Valeur prescrite

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Exécuter des actions -> Menu contextuel Valeur prescrite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Menu contextuel Valeur prescrite

Si une variable liée à un élément de synoptique est liée à un groupe de commandes, l'écriture d'une valeur prescrite est aussi gérée par l'envoi de commande. Pour cela, une action 'Envoi valeur' doit être présente pour l'envoi de commande. Si cette action n'existe pas, l'envoi de la valeur prescrite ne peut être effectué.

info Info

Une condition de verrouillage imminente empêche la définition d'une valeur prescrite.


Conditions de commande

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Conditions de commande

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les groupes de commandes contiennent la définition des actions de commutation et la définition des conditions de commande. Les conditions de commande sont des paramètres optionnels qui sont spécifiques à l'application.

Chaque action dans un groupe de commandes peut être personnalisée avec des "conditions de commande". Ces verrouillages contrôlés par le procédé permettent d'éviter l'exécution non souhaitée d'actions, selon l'état courant du procédé.

Les groupes de commandes sont constitués de trois parties essentielles :

Paramètres | Description
Actions | Celles-ci définissent quelles commandes doivent être exécutées et sur quelles variables ces actions doivent agir. Elles paramètrent les verrouillages internes.
Variables des conditions | Celles-ci définissent les variables qui peuvent être utilisées dans les conditions des commandes.
Conditions de commande | Ces conditions rendent l'exécution des commandes dépendante de l'état courant du procédé.

seealso Voir également :

Verrouillages


Définir les conditions de commande

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Définir les conditions de commande

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez définir autant de conditions de commande que vous le souhaitez pour chaque action. Ces conditions permettent de définir des restrictions supplémentaires sur l'exécution d'une action. Elles sont définies par des formules dans lesquelles vous pouvez utiliser les variables des projets actifs. La formule modifie les variables liées via l'index défini dans la condition.

info Info

La variable de la condition est automatiquement remplacée si vous utilisez un caractère "*" dans la définition.

Autres sujets abordés dans ce chapitre

Définir les variables des conditions

Condition de verrouillage

Conditions de verrouillages internes

Envoi de commandes dans le cas d'un développement distribué


Définir les variables des conditions

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Définir les conditions de commande -> Définir les variables des conditions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Définir les variables des conditions

D'abord, on doit définir les variables qui pourront être utilisées dans les formules des conditions de commande. Si les conditions définies sont vraies selon les variables liées, alors en Runtime, l'utilisateur aura les actions correspondantes disponibles.

info Info

Si une variable utilisée dans une condition de commande est supprimée ultérieurement, l'index dans la condition est ajusté. Les variables qui suivent cette variable sont décalées vers le haut et les formules sont mises à jour automatiquement.

Il est recommandé de suivre la procédure suivante pour définir une condition de commande :

Example Exemple
  1. Sélectionnez le nœud Variable dans l'affichage détaillé de l'envoi de commande, puis sélectionnez l'option "Nouveau" dans le menu contextuel.
  2. Dans la boîte de dialogue de sélection, sélectionnez une variable qui servira de base aux formules des conditions de commande. Vous pouvez aussi fermer la boîte de sélection de variable en annulant pour avoir une définition vide. Vous pouvez alors définir un remplacement automatique avec le caractère "*".
  3. Sélectionnez une action existante et le nœud "Conditions" dans la vue de détail. Avec "Nouvelle condition", vous pouvez définir autant de conditions que vous le souhaitez pour chaque action. S'il y a des conditions qui ne sont pas vraies, les actions associées seront verrouillées en Runtime.

Tous les paramètres supplémentaires (par exemple, l'attribution d'un verrouillage à une variable) peuvent être renseignés dans la fenêtre des propriétés. Les propriétés sont décrites en détail dans l'aide embarquée de l'éditeur.


Condition de verrouillage

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Définir les conditions de commande -> Condition de verrouillage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Condition de verrouillage

Vous pouvez définir autant de conditions de commande que vous le souhaitez pour chaque action. Ces conditions sont vérifiées avant l'exécution de l'action correspondante. Si le résultat de la vérification est faux, l'action correspondante ne pourra pas être utilisée en Runtime.

Les conditions sont définies par des formules. La syntaxe est semblable à la définition des formules dans l'éditeur de formules.

De plus, les types de verrouillages suivants (en plus des groupes de commandes) sont vérifiés avant l'exécution des actions :

Conditions de verrouillages internes

Ces conditions sont vérifiées automatiquement avant chaque exécution d'action, l'ingénieur ne peut pas influencer ce comportement. Ces conditions de verrouillage internes sont prédéfinies par le système et servent de vérifications de cohérence.

Example Exemple

La sélection ne peut pas être activée.

Conditions de verrouillages topologiques

Ces conditions sont issues de l'état topologique courant en Runtime. La définition de ces conditions s'effectue dans les paramètres de Configuration des verrouillages topologiques.


Conditions de verrouillages internes

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Définir les conditions de commande -> Conditions de verrouillages internes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Conditions de verrouillages internes

Les conditions préalables fondamentales de l'action sont contrôlées (contrôle de cohérence) à l'aide des conditions de verrouillage internes. Les résultats et/ou l'activation du verrouillage sont affichés durant le Runtime dans la fenêtre de commande, sous la forme d'une condition de verrouillage.

Paramètre

Description

État déjà existant

L'état devant être défini est égal à la valeur actuelle de la variable de réponse. Cette vérification est uniquement active si le groupe de commandes de la "comparaison entre valeur nominale et valeur réelle" est actif.

Ce verrouillage est déverrouillable.

Une erreur interne est survenue

La commande ne peut pas exécuter la vérification.
Ceci se produit si le type de donnée de la variable d'action n'est pas autorisé pour cette action.

Exemple : Action "Commande simple 1" pour les variables de type "chaîne de caractères".

Ce verrouillage n'est pas déverrouillable.

Pas d'objet de verrouillage

Le groupe de commandes ne peut pas être déterminé.
Ce verrouillage n'est pas déverrouillable.

Action non définie

L'action à exécuter ne peut pas être déterminée.
Ce verrouillage n'est pas déverrouillable.

Différences entre verrouillage local et global

Les paramètres de la commande simple ne sont pas cohérents. Erreur de paramétrage.
Ce verrouillage n'est pas déverrouillable.

Une ou plusieurs valeurs ne sont pas disponibles

La valeur de la variable de condition n'est pas disponible. Code de verrouillage : 14
La valeur de la variable de condition est perturbée. Code de verrouillage : 15
Ce verrouillage n'est pas déverrouillable.

Gestion de verrouillage non valide

La gestion des verrouillages ne peut pas être chargée ou est invalide.
Ce verrouillage n'est pas déverrouillable.

La variable est verrouillée pour les modifications

La commande est verrouillée par la variable de réponse (congestion).
Ce verrouillage n'est pas déverrouillable.

SBO rejeté

L'activation de la sélection a été rejetée par l'automate.
Ce verrouillage n'est pas déverrouillable.

Timeout pour l'activation SBO

Aucune confirmation pour l'activation (positive ou négative) n'a été reçu avant la fin du timeout.
Ce verrouillage n'est pas déverrouillable.

Timeout pour la désactivation SBO

Aucune confirmation pour la désactivation (positive ou négative) n'a été reçu avant la fin du timeout.
Ce verrouillage n'est pas déverrouillable.

Timeout pour l'exécution

Il n'y a eu aucune notification de la fin de l'exécution de l'action avant la fin du timeout.
Ce verrouillage n'est pas déverrouillable.

Expiration SBO

L'automate a notifié l'expiration de l'activation du SBO.
Ce verrouillage n'est pas déverrouillable.


Envoi de commandes dans le cas d'un développement distribué

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> Définir les conditions de commande -> Envoi de commandes dans le cas d'un développement distribué

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Envoi de commandes dans le cas d'un développement distribué

info Info

Les conditions de commande et les verrouillages généraux (fonctionnalité standard, sans le module Énergie) sont conservées selon la même structure dans l'Éditeur, le symbole de "sortie" (modifications autorisées) est défini de manière identique pour les deux nœuds dans l'arborescence du projet. Toutes les actions sur les conditions des commandes sont aussi possibles sur les verrouillages généraux et vice versa.

Les variables marquées pour être supprimées sont considérées comme non-existantes lors de la compilation des conditions des commandes. Lors de la compilation, les messages d'erreur correspondants sont affichés dans la fenêtre de suivi.


L'éditeur de formules

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> L'éditeur de formules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'éditeur de formules fournit une assistance lors de la création de formules comportant des opérateurs logiques ou de comparaison avec un élément combiné, pour les verrouillages et les commandes. Si vous avez besoin de variables supplémentaires pour la formule, vous devez les créer dans la section Variables de formule de la fenêtre d'état en cliquant sur le bouton Ajouter. Les formules existantes sont affichées dans la liste d'état avec la lettre F.

Remarque concernant la saisie de points décimaux :

  • Le séparateur décimal virgule (,) est automatiquement converti en point (.) :
  • les zéros situés après le point décimal sont automatiquement supprimés ; 23,000 devient automatiquement 23.

Créer une formule

Cliquez sur le bouton Formule dans la fenêtre d'état. L'éditeur de formule s'ouvre.

Sélectionnez les bits de votre formule dans la section gauche.

A droite, vous trouverez les opérateurs d'opérations logiques et de comparaison.

La formule créée est affichée dans la section Formule.

info Info

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99. La longueur de la formule ne doit pas dépasser 4096 caractères.

Signification des bits :

Paramètre

Description

Valeur en bits

32 bits de valeurs (de 0 à 31) sont disponibles. Ils décrivent la variable, bit par bit. Pour les variables BINAIRE compte le bit 0 ; pour SINT et USINT, seuls comptent les bits compris entre 0 et 7, etc.

Remarque : la valeur fait référence à la valeur brute (plage de signal) des variables, et non à la plage de mesures convertie.

Bits d'état

Ici vous trouvez les bits d'états les plus couramment utilisés. Vous trouverez des informations concernant la définition et l'utilisation des bits d'état dans la Liste des bits d'état.

sans reçu

Non acquitté est traité comme un bit d'état habituel. Mais il est montré séparément ici, car il n'appartient pas aux états classiques des variables.

Valeur et État

Dans les formules, toutes les valeurs (valeur des bits et bits d'état) sont traitées comme des valeurs binaires pouvant être liées de manière logique par des conditions AND et OR, etc.
Les exceptions à cette règle sont la valeur totale et l'état global. Pour obtenir un résultat booléen, cette valeur totale doit être associée à une condition OR (ou) avec une constante de bit. Pour cela, on utilise l'opérateur &.
Pour le résultat 0 (faux) de cette condition logique OR, on obtient la valeur binaire 0 (faux) ou 1 (vrai).

Exemple : voir le chapitre Exemple d'utilisation de la condition Or, bit par bit

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.

Si d'autres paramètres externes à la formule sont définis pour l'état courant, ils sont "ajoutés" à la formule à l'aide d'un ET logique.

Reportez-vous à la section Exemples pour obtenir des exemples.

info Info

Les formules comportant des valeurs X binaires et des liens de niveau bit peuvent être utilisées avec 2 valeurs binaires maximum. Si d'autres valeurs sont requises, la liaison doit être établie sans valeurs X binaires.

Exemple :

X01.Value & X02.Value -> fonctionne

X01.Value & X02.Value & X03.Value -> ne fonctionne pas

Toutefois :

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> fonctionne

Autres sujets abordés dans ce chapitre

List of status bits

Opérateurs logiques

Formules Bit

Exemple : Comparaison de bits avec OR

Opérateurs de comparaison

Exemples pour les formules


List of status bits

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> L'éditeur de formules -> List of status bits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
List of status bits
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | État utilisateur 1 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélection sur le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En cours d'utilisation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | VAL_M;valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | RG;Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Non valide | _VSB_I_BIT
19 | T_CHG_A | Annonce heure été/hiver | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel externe | _VSB_RT_E
22 | T_INTERN | Horodatage temps réel interne | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | MM_TR;Message de marche du transfo | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | VALR;valeur de remplacement Si aucune valeur n'a été transférée, la valeur de remplacement définie est utilisée ; dans le cas contraire, la dernière valeur valide est utilisée. | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Non mis à jour | _VSB_ACTUAL
30 | T_STD | Heure standard | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission, bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission, bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission, bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission, bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission, bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission, bit 6 | _VSB_TCB5
38 | N_CONF | Pas d'acceptation du mode Select par le matériel (IEC 60870) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | DEVNORM;État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : bloqué | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substitué | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : non topique | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : dépassement | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : sélectionné | _VSB_SE_BIT
49 | T_INVAL | Temps invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | RES52 | réservé | non défini
53 | RES53 | réservé | non défini
54 | RES54 | réservé | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Info

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états


Opérateurs logiques

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> L'éditeur de formules -> Opérateurs logiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Opérateurs logiques

Liens logiques : seule la valeur logique '0' sera recherchée dans les variables ; si la valeur n'est pas égale à '0', elle sera considérée comme égale à '1'.

Contrairement aux formules bit, la portée technique peut être modifiée au moyen d'un facteur d'étirement -> (différent de '0' ou '1').

Opérateur | Signification
AND | ET logique
NOT | Négation
OR | OU logique
XOR | OU EXCLUSIF logique

Les opérateurs possèdent la priorité suivante dans le calcul de la formule :

Priorité | Opérateur
1 | & (opérateur des formules bit)
2 | NOT
3 | AND
4 | XOR/OR

Informations concernant info

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99.

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.


Formules Bit

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> L'éditeur de formules -> Formules Bit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Formules Bit

Les formules Bit comportent uniquement un état logique haut ou bas. Contrairement aux formules logiques, la valeur brute est déjà prédéfinie (0,1).

Opérateur | Description
& | AND
| | OU


Exemple : Comparaison de bits avec OR

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> L'éditeur de formules -> Exemple : Comparaison de bits avec OR

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Exemple : Comparaison de bits avec OR

Vous voulez savoir si l'un des bits d'état utilisateur 1 à 8 (M1 ... M8) de la variable X01 est défini :

Formule classique :

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8.
Cette requête peut être considérablement simplifiée en utilisant la condition logique OR sur l'état général.

Interrogation OR logique :

X01.Status & 0xFF

La constante peut être saisie au format hexadécimal, comme ci-dessus.

0xFF en décimal vaut 256, et correspond aux huit premiers bits d'état (en binaire, 11111111). Si l'un de ces bits est défini sur 1, le résultat de l'application de la condition logique ORing au niveau des bits est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Si, par exemple, tous les bits d'états utilisateur sont à tester sauf le bit M7, la formule binaire serait : 10111111. Le bit 7 est sans intérêt, et est donc défini sur 0. Ceci correspond à 0xBF en hexadécimal. L'expression de la formule est alors : X01.Status & 0xBF.

A la place d'une comparaison de bits avec OR à l'aide d'une constante, la valeur peut également être comparée directement à un nombre décimal. Si la comparaison est fausse, la valeur binaire sera égale à 0 (False) ; dans le cas contraire, elle prendra la valeur 1 (True).

Exemple :

Si vous voulez savoir si la valeur est égale à la constante 202 : La formule est alors :

X01.value = 202

Si la valeur est égale à la constante 202, le résultat de la formule est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Remarque : avec le caractère OR (|), la condition logique OR au niveau des bits fonctionne de la même manière que dans cet exemple.


Opérateurs de comparaison

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> L'éditeur de formules -> Opérateurs de comparaison

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Opérateurs de comparaison

Les opérateurs de comparaison permettent de comparer directement deux valeurs numériques. Le résultat des comparaisons est une valeur binaire. "0" si la condition est fausse et "1" si la condition est vraie.

Opérateur | Description
< | inférieur
> | supérieur
<= | Inférieur ou égal à
>= | Supérieur ou égal à
= | Égal
<> | Différent de

À gauche et à droite de l'opérateur de comparaison doivent se trouver des valeurs complètes ou des états complets ; des bits simples ne peuvent pas être utilisés.

A droite d'un opérateur de comparaison, vous pouvez également utiliser une constante (les constantes ne peuvent être que des entiers. La comparaison avec un nombre réel flottant n'est pas possible).
Ces constantes sont saisies sous forme de valeurs hexadécimales ou de valeurs décimales dans l'élément combiné. Les chiffres hexadécimaux sont automatiquement convertis en valeurs décimales lorsque vous cliquez sur OK (par exemple, 0x64 égale 100 en chiffres décimaux).

Example Exemple

X01.valeur >= X02.valeur
Le résultat est 1, si la valeur de X01 est supérieure ou égale à la valeur de X02

X01.valeur = 0x64
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 (= hex 0x64)

(X01.valeur = 0x64) OR (X01.valeur = 0x65)
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 ou 101 (= hex 0x64 ou hex 0x65)


Exemples pour les formules

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Définition de commandes -> L'éditeur de formules -> Exemples pour les formules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Exemples pour les formules

Liaison logique AND simple entre deux valeurs de bits

Example Exemple

Formule : X01.03 AND X02.03

Cette formule vaut TRUE si le bit 3 de la variable 1 et le bit 3 de la variable 2 sont tous deux égaux à 1.

Comparaison d'une valeur analogique ou de l'état d'une variable

Example Exemple

(X01.Value > X02.Value)

Comparaison de valeurs analogiques sur une base logique

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value)

Comparaison à l'aide de bits de valeur et de bits d'état

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value) OR (X01.03 = X02.03)

Comparaison d'une valeur avec une valeur décimale ou hexadécimale

Example Exemple

Formule : (X01.Value = 111)

Formule : (X01.Value = 0x6F)

Si une valeur hexadécimale est utilisée, cette dernière est convertie en valeur décimale lorsque vous cliquez sur OK. Si une valeur décimale est saisie et confirmée, la valeur reste affichée au format décimal après la réouverture.

Informations concernant info

Il n'est pas possible d'utiliser une virgule ou un point lors de la saisie d'une valeur.


Créer un menu

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Créer un menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les envois de commandes peuvent aussi être activés par un menu contextuel. Les menus contextuels sont créés dans l'Éditeur, à l'aide du nœud Menus, et sont définis dans les propriétés de l'élément auquel ils se rapportent.

Généralement, il existe trois types d'entrées de menu :

Paramètres

Description

Type action

Définit le type d'action devant être exécuté via l'élément de menu correspondant dans le Runtime. Tous les types d'action ne sont pas disponibles dans le menu principal ; certains sont uniquement accessibles via le menu contextuel.

  • Acquitter alarme (menu contextuel uniquement)
  • Command input (Envoi de commande) (menu contextuel uniquement)
  • Acquitter clignotement (menu contextuel uniquement)
  • Fonction
  • Aide
  • Aucune action
  • Envoi d'une valeur vers matériel
  • Macro VBA (menu contextuel uniquement)

Sous-menu

Ouvre un sous-menu dans le Runtime.

Séparateur

Une ligne horizontale divise les entrées de menu.

Souligner le texte : saisissez un caractère & pour souligner les caractères suivants.

Planifier les entrées

Pour configurer un élément de menu dans le menu principal ou un menu contextuel :

  1. Activez la cellule de menu correspondante
  2. Dans propriétés, sélectionnez :
    • Type action : en fonction du type de menu.
      Voir également : Principaux types d'action des menus et Types d'action du menu contextuel.
    • ID du menu : ID de l'entrée
      Remarque : il existe des types prédéfinis avec un ID fixe, disponibles dans la fonction d'envoi de commande du synoptique Envoi de commande.
    • Texte : intitulé clair des cellules du menu.

attention Attention

Le nom de la propriété Texte doit être unique. Si deux noms identiques sont fournis, les autres éléments de menu portant le même nom ne seront pas affichés.

Vous trouverez plus de détails concernant la définition des menus contextuels des commandes dans le chapitre consacré au menu Commande.


Importation et exportation

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Importation et exportation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

seealso Voir également :

Voir le chapitre Importation et exportation/Groupes de commandes.

info Info

Copy to Clipboard (Copier vers le presse-papiers)

Avec le presse-papiers, vous pouvez copier et coller seulement au niveau du groupe de commandes complet. Vous ne pouvez pas copier les actions individuellement.

Les groupes de commandes sont renommés lorsqu'ils sont 'collés'.


Créer des fichiers Runtime - Démarrer le Runtime

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Créer des fichiers Runtime - Démarrer le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la création de fichiers Runtime pour les groupes de commandes, une procédure de recherche et de remplacement des erreurs de développement est effectuée.

Pour chaque variable du procédé associée à un groupe de commandes, une version spécifique du groupe de commandes de zenon est créée. Cette version contient uniquement les actions qui peuvent être déclenchées sur cette variable.

Example Exemple

Le groupe de commandes pour la variable de commande a seulement les actions de cette variable de commande. Excepté pour l'action 'Verrouiller'. Cette action est aussi disponible pour la variable de commande.

info Info

La compilation de l'envoi de commande doit également être déclenchée après toute modification d'une variable.

Autres sujets abordés dans ce chapitre

Remplacer des liens

Erreur lors de la création de données Runtime


Remplacer des liens

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Créer des fichiers Runtime - Démarrer le Runtime -> Remplacer des liens

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour augmenter la capacité de réutilisation du groupe de commandes, il est possible de remplacer les références de variables. Le remplacement est possible pour les variables de réponse, de commande et les variables utilisées dans les conditions.

Lors du remplacement, le caractère générique "*" est remplacé automatiquement par la variable associée à l'envoi de commande.

Example Exemple

Soient les variables xyz_RM, abcRM et bool_RM.

et le masque "*_RM".

Nom de la variable | Texte de remplacement | Résultat | Commentaire
xyz_RM | xyz | xyz_RM | La variable existe, association réussie.
abcRM | <vide> | _RM | Le masque n'est pas correct car le caractère _ est manquant. La variable n'existe pas.
bool_RM | bool | bool_RM | La variable existe, association réussie.

info Info

Si la variable pour laquelle le groupe de commandes doit être compilé correspond à la variable de réponse, le texte de remplacement est déterminé par la variable de réponse. Dans le cas contraire, le texte de remplacement est déterminé par la variable d'action de la première action qui correspond à la variable.

Si le texte de remplacement a été correctement déterminé, le caractère "*" est remplacé par ce texte.

C'est pourquoi les points suivants doivent être pris en considération pour les noms.

  • Les noms des variables et les masques doivent permettre une attribution claire.
  • Les noms des variables utilisées pour les variables de réponse, de commande et de condition doivent être produits par le même texte de remplacement.
  • Si la variable de réponse est remplacée, mais la variable de commande ne l'est pas, il est important de considérer que le groupe de commandes créé pour la variable de commande doit utiliser la variable de réponse attendue.
  • Un test supplémentaire s'assure que le groupe de commandes de la variable de réponse ne contient que des actions avec des variables d'action utilisant la même variable de réponse que dans leur verrouillage de commande compilé. Les actions ne respectant pas cette règle génèrent un avertissement et ne sont pas prises en compte.


Erreur lors de la création de données Runtime

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Configuration dans l'Éditeur -> Créer des fichiers Runtime - Démarrer le Runtime -> Erreur lors de la création de données Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la création des données Runtime pour l'envoi de commande, une validation étendue est effectuée afin de détecter toute erreur de développement ou référence indisponible.

info Info

Après une Erreur, l'objet en cause n'est pas disponible dans le Runtime.

Si le groupe de commandes comporte une erreur, aucun groupe de commandes n'est attribué à la variable. Et par conséquence, en Runtime, toutes les opérations de l'utilisateur sont verrouillées.

Un Avertissement est généré lorsque le projet est susceptible de causer un problème, mais s'exécute sans erreur.

Dans les messages d'erreur, les éléments génériques suivants sont utilisés :

<VERNAME> | Le caractère générique est remplacé dans le message d'erreur par le nom du groupe de commandes.
<VERRM> | L'élément générique est remplacé dans le message d'erreur par le nom de la variable de réponse.
<AUFVAR> | Le caractère générique est remplacé dans le message d'erreur par le nom de la variable à laquelle le groupe de commandes est attribué.
<ACTVAR> | Le caractère générique est remplacé dans le message d'erreur par le nom de la variable d'action.
<NomAction> | L'élément générique est remplacé dans le message d'erreur par la description de l'action.
<VARNAME> | L'élément générique est remplacé par la variable dans la visualisation.

Les messages d'erreur suivants peuvent se produire lors de la création des fichiers Runtime :

Texte du message | Description
<VERNAME> : la variable de verrouillage <VERRM> n'existe pas ! | La variable de condition du verrouillage général n'existe pas.
La variable <AUFVAR> utilise une commande inexistante ! | La variable utilise une commande qui n'existe pas.
(<AUFVAR>) La commande <VERNAME> ne contient aucune action ! | Les groupes de commandes sans action ne sont pas pris en charge par le Runtime. Ce message peut aussi suivre une autre erreur.
(<AUFVAR>) La variable de réponse <VARRM> n'utilise pas le groupe de commandes <VERNAME> | Une variable de réponse utilisant un autre groupe de commandes est utilisée. La variable de réponse doit toujours être liée avec le verrouillage qui l'utilise en tant que variable de réponse.
(<AUFVAR>) La variable de réponse <VARRM> de la commande <VERNAME> utilise un driver sans liaison au processus ! | La variable de réponse doit utiliser un driver qui a une connexion procédé.
(<AUFVAR>) La commande <VERNAME> ne contient aucune action après compilation ! | Un groupe de commandes sans action n'a aucun sens.
(<AUFVAR>) La variable de réponse <VARRM> de la commande <VERNAME> n'est pas disponible ! | La variable de réponse utilisée n'est pas présente ou est marquée comme étant supprimée.
(<AUFVAR>) La commande <VERNAME> utilise le synoptique <Bild GUID> (<BILDNAME>), qui n'est pas du type Alimentation ! | Ce message est un avertissement (warning). Si une action utilisateur devient nécessaire lors de l'exécution, elle ne pourra pas être effectuée.
(<AUFVAR>) La commande <VERNAME> utilise un synoptique indisponible : <Bild GUID> ! | Le synoptique attribué au groupe de commandes n'existe pas.
(<AUFVAR>) La variable d'action remplacée <ACTVAR> pour l'action <NomAction> de la commande <VERNAME> n'est pas disponible ! | Après un remplacement, la variable d'action n'est pas présente ou est marquée comme étant supprimée.
(<AUFVAR>) L'action <NomAction> de la commande <VERNAME> utilise la variable inexistante <ACTVAR> | L'action utilise une variable qui n'est pas présente dans le projet ou qui est marquée comme supprimée.
(<AUFVAR>) La variable d'action <ACTVAR> pour l'action <NomAction> de la commande <VERNAME> utilise un pilote sans connexion au procédé ! | La variable attribuée à une action ne doit pas être liée à un driver interne.
<VERNAME>(<AUFVAR>): L'action '<NomAction>' existe déjà ! | Les actions suivantes ne peuvent être configurée qu'une seule fois par variable d'action et groupe de commandes : Commande double avec le même état de commande. Correction avec la même direction de commutation. Remplacement avec la même direction de commutation. Révision avec la même direction de commutation. Commande simple Valeur prescrite par défaut Déverrouiller Bloquer Verrouillage
<VERNAME>(<AUFVAR>): L'action <NomAction>: Une commande simple ET une commande double ne sont pas possibles sur la même variable de commande ! | Une commande simple et une double ne doivent pas être utilisées en parallèle.
(<AUFVAR>) La commande <VERNAME> utilise le synoptique <Bild GUID> (<BILDNAME>), qui n'est pas du type Alimentation ! | Ce message est un avertissement (warning). Aucune action utilisateur ne sera possible.
(<AUFVAR>) L'action <NomAction> de la commande saisie <VERNAME> utilise le synoptique inexistant <Bild GUID> ! | L'action est attribuée à un synoptique inexistant.
<VERNAME>(<AUFVAR>): La variable de verrouillage <NOMVAR> n'existe pas ! | La variable remplacée dans la condition n'existe pas.
(<AUFVAR>) La variable <VARNAME> de la condition de verrouillage de l'action de la commande <VERNAME> n'existe pas ! | La variable dans la condition de verrouillage n'existe pas.
(<AUFVAR>) La variable d'action <VARNAME> pour l'action <NomAction> du groupe de commandes <VERNAME> utilise un autre groupe de commandes ! | Les variables d'action utilisées dans un groupe de commandes ne peuvent être connectées qu'à aucun groupe de commandes ou alors au groupe de commandes dans lequel elles sont utilisées.
(<AUFVAR>) La variable de commande <ACTVAR> ne possède pas un verrouillage compilé valide ! L'action <NomAction> a été supprimée. | La variable d'action utilisée dans l'action n'a pas un groupe de commandes compilé correctement. Ce message peut aussi suivre une autre erreur.
(<AUFVAR>) La variable de commande <ACTVAR> utilise la variable de réponse <VARNAME> ! L'action <NomAction> a été supprimée. | Le groupe de commandes compilé de la variable de réponse contient des actions avec des variables d'actions qui n'utilisent pas la même variable de réponse en tant que <AUFVAR>. Note : Il ne doit pas y avoir d'actions sur des variables de réponse qui modifient d'autres variables de réponse.


Fonctionnement dans le Runtime

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une temporisation de commande de surveillance se déclenche automatiquement en tâche de fond lorsqu'un utilisateur saisit une commande dans le Runtime.

Autres sujets abordés dans ce chapitre

Procédé de cause de transmission (COT)

Éléments de contrôle du synoptique d'envoi de commande

Rechargement

Enregistrement dans le CEL

Verrouillage de variables de réponse

Changement sur le serveur dans le cadre d'opérations redondantes

Quitter le Runtime


Procédé de cause de transmission (COT)

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Fonctionnement dans le Runtime -> Procédé de cause de transmission (COT)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le procédé de cause de transmission (COT - Cause of Transmission) informe zenon si la variable peut être écrite, et si l'opération d'écriture est réussie. La variable d'action reçoit une cause de transmission correspondant au niveau de la commande. En tâche de fond, le module commande vérifie alors si la valeur de la variable de réponse et la cause de transmission ont été modifiées en fonction de la commande.

Le procédé effectue les opérations suivantes en tâche de fond :

  1. La valeur et la COT_act (6) sont transmises à la variable d'action.
  2. Le bit d'état PROGRESS est transmis à la variable de réponse.
  3. Si l'automate reçoit la valeur COT_act, la valeur résultante COT_actcon (7) ou COT_actterm (10) est attendue.
  4. Fin du procédé :
    1. Le procédé se termine si les deux conditions suivantes sont satisfaites :
    • COT_actterm reçue

      et

    • La valeur des variables de réponse correspond à la direction de commutation (propriété Etat de la réponse/direction de commutation).
      Peu importe quelle condition est satisfaite la première. Dès que les deux conditions sont remplies la procédure est terminée.
    1. Si une seule des deux conditions de l'article 5a est remplie, ou si aucune des deux ne l'est, après expiration du délai d'attente défini :
      - Le procédé est fermé, puis arrêté et
      - Le bit d'état TIMEOUT de la variable de réponse est activé.
  5. Le bit d'état est PROGRESS wird zurückgesetzt.

Remarque : les changements de valeur de la variable de réponse ne seront acceptés qu'après la réception de la COT_act.

info Info

La cause de transmission peut être évaluée dans le Runtime, comme tous les autres bits d'état, à l'aide de matrices de réaction multi-numériques ou multi-binaires.

Remarque : la cause de transmission est prise en charge par la norme IEC870, mais également par certains drivers Energy (différentes versions). Certains drivers sont compatibles avec COT, bien que le protocole lui-même ne contienne pas COT (par exemple, DNP3). Vous trouvez plus de détails dans la documentation du driver concerné.


Éléments de contrôle du synoptique d'envoi de commande

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Fonctionnement dans le Runtime -> Éléments de contrôle du synoptique d'envoi de commande

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les éléments de contrôle suivants sont disponibles dans le Runtime :

Nom

Type de contrôle

Par défaut

Boutons d'action

Texte

Boutons auxquels on peut attribuer une action. En cliquant sur le synoptique, l'action attribuée est activée et le synoptique passe à l'étape 'Déverrouiller'.

Le bouton n'est pas affiché dans les cas suivants :

- Aucune action n'est attribuée au bouton dans le groupe de commandes courant.

- La variable avec laquelle le synoptique a été affiché est la variable de commande, et l'action attribuée au bouton n'utilise pas la variable de commande comme variable d'action. Cependant, si l'action "Verrouiller" a été attribuée au bouton, il est visible.

Le bouton est affiché mais est verrouillé dans les cas suivants :

- Le synoptique ne se trouve pas à "l'étape 1".

- La variable de réponse a défini l'un des bits d'état I-BIT(18), N_RAF(20) ou NACTU(29) et écrit l'action attribuée dans la variable de commande.

- La variable de réponse a activé le bit d'état REVISION(9) et écrit l'action attribuée dans la variable de commande.

- La variable de réponse a activé le bit d'état REVISION(9), et l'action attribuée est "Correction manuelle".

- L'action attribuée est "Libérer", et l'état Alternativevalue(27) n'est pas actif pour la variable de réponse.

- L'action attribuée est "Correction manuelle" et la valeur de la variable de réponse correspond à la direction de commutation.

- L'action attribuée est "Remplacer", et la valeur de la variable de réponse correspond à la direction de commutation.

- La variable de réponse a activé le bit d'état REVISION(9), et l'action attribuée est "Remplacer".

- L'action attribuée est "Révision" et la valeur de la variable de réponse correspond à la direction de commutation.

Action 1

Action 2

Nom VR

Texte

Nom de la variable de réponse

X

Identification VR

Texte

Nom de la variable de réponse

X

Unité de la variable d'action

Texte

Unité de la variable de l'action courante

X

État de la variable d'action

Fichier

Définit l'état à écrire pour l'action "État par défaut" pour la direction de commutation "Aucune". Les états sont positionnés avec l'état courant et mis à jour en cas de changement.

Est verrouillé quand l'action active n'est pas "Définir l'état".

Direction de commutation

Texte

La direction de commutation configurée pour l'action active. Les textes sont documentés avec le paramètre "Direction de commutation".

Selon l'action active, le texte suivant est affiché :

Commande, révision, correction, remplacement : texte provenant de la limite selon la direction de commutation.

État : Actif ou Inactif

Autre : vide

X

Exécuter étape 2

Bouton

Montre les actions à exécuter.

Ce contrôle n'est visible que si le synoptique est à l'étape 2.

Le contrôle est verrouillé dans les cas suivants :

- L'opération a été configurée en mode "à deux mains", et la touche "Ctrl" n'est pas enfoncée.

- L'état REVISION(9) de la variable de réponse est défini et l'action attribuée est "Commande", "Définir l'état", "Remplacer" ou "Correction manuelle".

- On a déjà cliqué sur le bouton.

X

Minimum de la variable d'action

Numérique

Valeur minimum de la variable d'action.

Invisible si la variable d'action est de type "Chaîne de caractères".

Maximum de la variable d'action

Numérique

Valeur minimum de la variable d'action.

Invisible si la variable d'action est de type "Chaîne de caractères".

Barres de défilement

Numérique

Saisie de la valeur à écrire avec une barre de défilement. Définit la valeur dans le contrôle "Valeur prescrite" et/ou est défini par cette valeur.

Invisible si la variable d'action est de type "Chaîne de caractères".

Le contrôle est verrouillé dans les cas suivants :

- Aucune action n'est active.

- Le synoptique ne se trouve pas à "l'étape 1".

Spécifier valeur prescrite

Numérique, Texte

permet la saisie de la valeur prescrite.

En cliquant sur le Contrôle, il passe en mode édition et la saisie de la valeur est possible. On quitte le mode édition en utilisant la touche 'Entrée'.

La nouvelle valeur est envoyée seulement en cliquant sur le contrôle "Exécuter".

La valeur désirée pour l'action "Envoi valeur" est fournie avec ce contrôle.

Le contrôle est verrouillé dans les cas suivants :

- L'état REV(9) de la variable de réponse est défini.

- Aucune action n'est active.

- Le synoptique ne se trouve pas à "l'étape 1".

Valeur VR

Texte

Valeur de la variable de réponse

X

État VR

Texte

Contient l'état de la variable de réponse en format court.

X

Unité VR

Texte

Unité de la variable de réponse

X

Texte de verrouillage

Texte

Texte du verrouillage qui va arriver.

Le texte bénéficie de la fonctionnalité de changement de langue en ligne.

X

Déverrouillage

Si un verrouillage déverrouillable arrive, il peut être déverrouillé avec ce bouton.

Ce contrôle n'est visible que si le synoptique est à l'étape "Déverrouiller".

Le contrôle est verrouillé si le prochain verrouillage n'est pas déverrouillable.

X

Quitter

Bouton

Ferme le synoptique sans exécuter d'action.

Le bouton n'est visible que dans le cas d'un synoptique modal.

Ce bouton est important pour les synoptiques qui ont été défini avec le mode 'modal', car il est nécessaire pour fermer le synoptique en cas d'erreur !

Annuler

Bouton

Annule l'exécution de l'envoi de commande et retourne à l'étape 1.

Ce contrôle est verrouillé lorsque le synoptique est à l'étape 1.

X

Liste de verrouillages

Fichier

Contient la liste des verrouillages qui ont été activés sur la variable de réponse.

Est verrouillé quand aucune action "Verrouiller" n'a été configurée pour le groupe de verrouillages.

Le texte bénéficie de la fonctionnalité de changement de langue en ligne.

Identification utilisateur

Champ de saisie

Pour entrer l'identification de l'utilisateur pour le verrouillage.

Est verrouillé quand aucune action "Verrouiller" n'a été configurée pour le groupe de verrouillages.

Code de verrouillage

Champ de saisie

Pour entrer le code de verrouillage spécifique à l'utilisateur.

Est verrouillé quand aucune action "Verrouiller" n'a été configurée pour le groupe de verrouillages.

Verrouiller

Bouton

Active le verrouillage pour l'utilisateur défini dans le contrôle "Identification utilisateur".

Est verrouillé quand aucune action "Verrouiller" n'a été configurée pour le groupe de verrouillages.

Cette action utilisateur est tracée dans le CEL, s'il n'a pas été choisi de supprimer les entrées CEL lors du développement du projet.

Déverrouiller

Bouton

Supprime le verrouillage fait par l'utilisateur défini dans le champ 'identification utilisateur'.

Est verrouillé quand aucune action "Verrouiller" n'a été configurée pour le groupe de verrouillages.

Cette action utilisateur est tracée dans le CEL, s'il n'a pas été choisi de supprimer les entrées CEL lors du développement du projet.

exécuter

Bouton

Récupère la valeur du contrôle "Valeur prescrite" ou "Définir l'état".

Ce contrôle n'est visible que si le synoptique est à l'étape 1.

Le contrôle est verrouillé en plus du verrouillage général dans les cas suivants :

- L'action active n'est pas "Définir l'état", "Valeur prescrite" ou "Correction manuelle".

- La valeur dans le contrôle "Valeur prescrite" est invalide pour la variable d'action.

Commentaire

Champ de saisie

Commentaire sur le verrouillage.

État var. action

Texte

État de la variable de l'action active en format court.

X

Nom var. action

Texte

Nom de la variable de l'action active.

X

Identification var. action

Texte

Identification de la variable de l'action active.

X

Valeur var. action

Texte

Valeur de la variable de l'action active.

X

Action active

Texte

Nom de l'action active

X

Autres sujets abordés dans ce chapitre

Éléments bloqués ou verrouillés


Éléments bloqués ou verrouillés

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Fonctionnement dans le Runtime -> Éléments de contrôle du synoptique d'envoi de commande -> Éléments bloqués ou verrouillés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Verrouillage général des éléments de contrôle

Certaines conditions doivent être respectées pour permettre l'accès aux éléments de contrôle dans le synoptique. Comme ces conditions concernent généralement plusieurs contrôles, elles ne sont pas listées à chaque fois sur chaque contrôle, mais sont documentées ici.

  1. Tous les contrôles, hormis la commande Quitter, sont verrouillés lorsque :
  • Le synoptique n'est pas le "propriétaire" de la sélection active.
  • Aucun verrouillage n'a été configuré pour la variable.
  • La variable de réponse n'existe pas.
  • La variable de réponse n'a pas encore reçu de valeur.
  • L'état "Sélectionner" de la variable de réponse n'a pas été défini.
  • Une action pour la variable d'action est en cours d'exécution.
  • Une action pour la variable d'action est en cours d'exécution.
  • Le système attend la confirmation du SBO (Select Before Operate).
  • Les données du verrouillage sont en cours d'envoi.
  • Les données du verrouillage sont invalides.
  • L'état INVALID est actif pour la variable sélectionnée.
  • L'utilisateur actuellement enregistré ne possède pas les niveaux d'autorisation nécessaires.
  1. Tous les contrôles, exceptée la commande Quitter et les contrôles relatifs au verrouillage, sont verrouillés dans les cas suivants :
  • Une des conditions de verrouillage du point 1 s'applique.
  • La variable de réponse a été verrouillée par des envois de commande.
  • Le bit d'état S_MERKER_1(0), c'est-à-dire la commande verrouillage, de la variable de réponse a été défini

Envoi de commande

  • Boutons d'action : les boutons d'action sont verrouillés si le niveau d'autorisation de l'utilisateur enregistré interdit l'exécution des commandes associées.
  • Déverrouiller : Le déverrouillage est uniquement possible si l'utilisateur ne possède pas les niveaux d'autorisation requis à cette fin.
  • Menu contextuel : Les éléments de menu attribués à une action de commande peuvent uniquement être sélectionnés si l'utilisateur enregistré possède les autorisations requises.

Afficher un synoptique avec l'étape initiale "Verrouiller"

Si le synoptique est chargé avec l'étape initiale "Verrouiller", tous les contrôles sont masqués dans le synoptique, exceptées les commandes suivantes :

  • Nom VR
  • Identification VR
  • Valeur VR
  • État VR
  • Unité VR
  • Code de verrouillage
  • Identification utilisateur
  • Verrouiller


Rechargement

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Fonctionnement dans le Runtime -> Rechargement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si un rechargement en ligne est effectué, vous devez prendre en compte les effets suivants en considération :

Si une temporiation de chien de garde ou un délai de front ou un SBO (Select Before Operate) sont couramment actifs, le rechargement est décalé jusqu'à ce que ces durées ou événements soient terminés.

Un synoptique ouvert de type Envoi de commande est fermé, et la procédure est redémarrée après le rechargement selon l'étape courante.

Etape avant le rechargement | Comportement après le rechargement
Etape 1 | Le synoptique est chargé à l'étape 1 à nouveau.
Déverrouillage ou Etape 2 | L'étape 'Déverrouillage' est activée. La vérification du verrouillage est ré-exécutée.
Verrouiller | Le verrouillage est ré-activé.

Avant le chargement, la variable courante, la variable de réponse, la variable de commande, le groupe de commandes et l'action sont déterminés à nouveau. Si un des objets n'existe plus, les contrôles sont verrouillés.

Si le groupe de commandes de la variable courante a été supprimé ou échangé, le synoptique est affiché avec les contrôles verrouillés. Le synoptique doit être affiché à nouveau ou l'envoi de commande doit être à nouveau exécuté.

Si le groupe de commandes de la variable de réponse a été supprimé ou échangé, tous les verrouillages de l'envoi de commande sont supprimés de la variable.

Si un utilisateur, pour lequel le verrouillage de commande avait été activé, n'existe plus, le verrouillage est supprimé. Le bit d'état ST_M1(0) est mis à jour en conséquence.


Enregistrement dans le CEL

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Fonctionnement dans le Runtime -> Enregistrement dans le CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En plus des actions de commutation, les actions utilisateurs suivantes sont enregistrées dans le CEL.

Paramètres | Description
Déverrouillage | Le déverrouillage d'un verrouillage est enregistré dans le CEL.
Exécuter une action | Si dans les paramètres de l'action, l'option 'Supprimer les entrées CEL' n'est pas activée, l'exécution de l'action est enregistrée dans le CEL.


Verrouillage de variables de réponse

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Fonctionnement dans le Runtime -> Verrouillage de variables de réponse

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour une variable de réponse verrouillée, le bit d'état ST_M1(0) est mis à 1. Le verrouillage peut être activé ou désactivé en entrant le nom de l'utilisateur et le code de verrouillage défini lors de la définition de l'utilisateur. Un verrouillage peut être activé par utilisateur. Les verrouillages actifs sont rémanents et sont aussi considérés après un redémarrage du système.

info Info

Les verrouillages sont automatiquement synchronisés sur le réseau, et donc peuvent aussi être utilisés dans le cadre d'opération en redondance.


Changement sur le serveur dans le cadre d'opérations redondantes

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Fonctionnement dans le Runtime -> Changement sur le serveur dans le cadre d'opérations redondantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si le serveur qui gère le procédé est modifié, l'objet 'select' est perdu et l'envoi de commande doit être exécutée à nouveau. Idem dans le cas d'un SBO (Select Before Operate).


Quitter le Runtime

Manuels -> Energy Edition (Produit Energie) -> Envoi de commande -> Fonctionnement dans le Runtime -> Quitter le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tant qu'il y a des actions actives dans le système, la sortie propre du Runtime (par exemple avec un appel de fonction) est retardée.

La sortie du Runtime est aussi retardée si un SBO (Select Before Operate) est actif. Si un SBO est actif, il sera désactivé.

info Info

La situation peut tout particulièrement se produire pour les actions "Commande simple" avec chien de garde et/ou délai de front avec une exécution en une étape. Le Runtime est quitté dès que l'action est terminée.


Equipment modeling (Modélisation d'équipements)

Manuels -> Equipment modeling (Modélisation d'équipements)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La modélisation d'équipements recrée la structure d'un équipement dans l'Éditeur. Conformément aux normes ISA S88 et S95, vous pouvez représenter tous les niveaux d'une entreprise dans zenon :

Les trois niveaux supérieurs (Enterprise [Entreprise], Site, Area [Domaine]) autorisent la classification exacte des détails des niveaux inférieurs, ainsi que leur liaison. Les niveaux inférieurs désignent les équipements spécifiques compilés aux fins du contrôle et de la surveillance du processus.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Modélisation d'équipements dans zenon

zenon vous permet d'afficher le modèle global et de créer les machines, bâtiments ou processus de votre choix. Les données peuvent être groupés et filtrées dans le Runtime et dans l'Éditeur. Le module de modélisation d'équipements est uniquement accessible dans l'arborescence du projet, sous l'intitulé Projet global. Cela signifie que vous devez créer un projet global, puis l'intégrer à l'espace de travail pour utiliser la modélisation d'équipements.

Fenêtre Equipment modeling (modélisation d'équipements)

Les modèles d'équipements peuvent être ouverts dans une fenêtre propre.

  • Pour cela, sélectionnez la commande Open new window... (Ouvrir une nouvelle fenêtre) dans le menu contextuel de la fonction modélisation d'équipements du Gestionnaire de projet.
  • Une nouvelle fenêtre contenant les modèles d'équipements apparaît par défaut dans la partie inférieure de l'Éditeur.
  • À l'image de toutes les fenêtres, vous pouvez positionner cette fenêtre à l'emplacement de votre choix dans l'Éditeur.
  • Si vous laissez également la vue détaillée de modélisation d'équipements ouverte, les contenus des deux fenêtres sont synchronisés, vous permettant d'effectuer des modifications dans chacune.

Autres sujets abordés dans ce chapitre

Créer un modèle d'équipement

Lier les modèles à des éléments et objets

Filtrer dans la vue de détail

Filtrage dans le Runtime


Créer un modèle d'équipement

Manuels -> Equipment modeling (Modélisation d'équipements) -> Créer un modèle d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez créer autant de modèles d'équipements que vous le souhaitez, et les regrouper en fonction de certains critères. Vous créez d'abord le modèle, puis les groupes.

Pour créer un nouveau modèle :

  • Dans le menu contextuel associé au nœud de modélisation analogique dans le projet global, sélectionnez l'option New equipment model (Nouveau modèle d'équipement)

    ou, dans la barre d'outils, sélectionnez le symbole correspondant à la commande Nouveau modèle d'équipement.

  • Dans la vue de détails, un nouveau nœud portant le nom par défaut ModellX est créé (X correspond à la numérotation de série).
  • Vous pouvez modifier le nom à votre convenance. Pour cela, sélectionnez le nom, puis appuyez sur F2 ou cliquez trois fois sur le champ de nom.

Pour créer un nouveau groupe :

  • Dans le menu contextuel d'un modèle ou un groupement de niveau supérieur, sélectionnez la commande New equipment group (Nouveau groupe d'équipements)

    ou appuyez sur la touche Inser

    ou, dans la barre d'outils, sélectionnez le symbole correspondant à la commande Nouveau groupe d'équipements.

  • Dans la structure du modèle, un nouveau groupe portant le nom par défaut GruppeX est créé (X correspond à la numérotation de série).
  • Adaptez le nom à vos besoins : Le champ de nom est en mode d'édition dès sa création. Vous pouvez ensuite appuyer sur la touche F2 après avoir sélectionné le nom, ou cliquer trois sur le champ de nom.
  • Vous pouvez définir autant de groupes et de sous-groupes que vous le souhaitez.

Autres sujets abordés dans ce chapitre

Modifier le modèle d'équipement

Menu contextuel Gestionnaire de projet

Vue de détail de la barre d'outils et du menu contextuel


Modifier le modèle d'équipement

Manuels -> Equipment modeling (Modélisation d'équipements) -> Créer un modèle d'équipement -> Modifier le modèle d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les groupes peuvent être triés, copiés, déplacés et supprimés dans un modèle et sur l'ensemble de tous les modèles :

Sélection

Les modèles et groupes d'équipements peuvent également être sélectionnés au moyen d'une sélection multiple si les éléments sont :

  • Situés sur le même niveau
  • Compris dans le même modèle
  • Et compris dans même groupe supérieur

    .

Pour effectuer la sélection, maintenez la touche Ctrl enfoncée pendant que vous cliquez avec la souris.
Remarque : en maintenant la touche Maj enfoncée pendant que vous cliquez avec la souris, vous pouvez sélectionner plusieurs éléments à différents niveaux. Les possibilités d'édition dans le menu contextuel et la barre d'outils sont toutefois désactivées.

Supprimer

  • Sélectionnez le nœud de votre choix.
  • Sélectionnez Supprimer dans le menu contextuel ou la barre d'outils, ou appuyez sur la touche Suppr.
  • Le nœud et tous les sous-groupes associés sont supprimés.

Déplacement par glisser-déplacer

  • Sélectionnez le nœud de votre choix.
  • Maintenez le bouton gauche de la souris enfoncé.
  • Déplacez le nœud à l'emplacement souhaité, puis relâchez le bouton de la souris.

Tri par glisser-déplacer

  • Sélectionnez le nœud de votre choix.
  • Maintenez la touche Ctrl enfoncée pendant que vous déplacez le nœud vers l'emplacement de votre choix en maintenant le bouton gauche de la souris enfoncé.
  • Une ligne horizontale indique l'emplacement auquel vous pouvez insérer le nœud.

Copier et coller

  • Sélectionnez le nœud de votre choix.
  • Sélectionnez Copier dans le menu contextuel ou la barre d'outils, ou appuyez simultanément sur les touches Ctrl et C.
  • Sélectionnez le nœud de destination de votre choix.
  • Sélectionnez Insérer dans le menu contextuel ou la barre d'outils, ou appuyez simultanément sur les touches Ctrl et V.
  • Le nœud copié est alors inséré.
    • Les sous-nœuds ne sont pas copiés en même temps que le nœud.
    • Le nom de groupe ne peut pas déjà être présent au même niveau que le groupe cible.

Renommer

Pour renommer les modèles ou les groupes :

  1. Sélectionnez le modèle/le groupe
  2. Appuyez sur la touche F2 ou cliquez trois fois sur le modèle/le groupe

Après avoir renommé l'élément :

  • Un nouveau tri alphabétique est effectué sur les modèles
  • Les groupes sont conservés dans la structure créée

attention Attention

Les actions Supprimer, Réorganiser, Déplacer, Renommer et Insérer ne peuvent pas être annulées.


Menu contextuel Gestionnaire de projet

Manuels -> Equipment modeling (Modélisation d'équipements) -> Créer un modèle d'équipement -> Menu contextuel Gestionnaire de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Commande | Fonction
New equipment model (Nouveau modèle d'équipement) | Crée un nouveau groupe modèle d'équipement portant le nom par défaut ModellX (X correspond à la numérotation de série).
Ouvrir dans nouvelle fenêtre | Dans l'éditeur, ouvre une nouvelle fenêtre contenant le modèle d'équipement.
Aide | Ouvre cette page d'aide.


Vue de détail de la barre d'outils et du menu contextuel

Manuels -> Equipment modeling (Modélisation d'équipements) -> Créer un modèle d'équipement -> Vue de détail de la barre d'outils et du menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Barre d'outils et menu contextuel

Symbole

Fonction

New equipment group (Nouveau groupe d'équipements)

Crée un nouveau groupe de modèles d'équipements portant le nom par défaut ModellX (X correspond à la numérotation de série).

New equipment model (Nouveau modèle d'équipement)

Crée un nouveau groupe modèle d'équipement portant le nom par défaut ModellX (X correspond à la numérotation de série).

Éléments liés

Ouvre la boîte de dialogue pour afficher les éléments liés.

Copier

Copie le groupe sélectionné avec les sous-groupes.

Coller

Insère les groupes copiés dans un autre groupe ou un autre modèle. Si un groupe portant le même nom existe déjà, le groupe inséré reçoit le préfixe Copie de.

Supprimer

Supprime le groupe sélectionné et tous ses sous-groupes.

Étendre/réduire les nœuds

Ouvre la liste déroulante permettant d'étendre ou réduire les nœuds.
  • Tout étendre

Etend tous les nœuds.
  • Tout réduire

Réduit tous les nœuds.
  • Etendre les objets sélectionnés

Etend les nœuds sélectionnés.
  • Réduire les objets sélectionnés

Réduit les nœuds sélectionnés.

Exporter XML tous

Exporte toutes les entrées sous forme de fichier XML.

Importer XML

Importe les entrées à partir d'un fichier XML.

Aide

Ouvre cette page d'aide.


Lier les modèles à des éléments et objets

Manuels -> Equipment modeling (Modélisation d'équipements) -> Lier les modèles à des éléments et objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Chaque groupe d'équipements peut être lié aux éléments et objets zenon de votre choix, puis être filtré. Vous disposez de plusieurs choix pour lier un groupe à un élément :

  • Via la propriété Groupes d'équipements de l'élément :
  • copiez et collez l'élément dans le groupe de votre choix du modèle.
  • Glissez-déposez le groupe d'équipements dans la propriété Groupes d'équipements de l'élément.
  • Glissez-déposez l'élément dans le groupe d'équipements.

Propriété Equipment groups (Groupes d'équipements)

Pour lier un groupe par le biais des propriétés d'un élément :

  1. Sélectionnez l'élément.
  2. Cliquez sur la propriété Groupes d'équipements dans le nœud Général.
  3. La boîte de dialogue d'association d'éléments à des groupes d'équipements s'ouvre.
  4. Associez les groupes d'équipements de votre choix (pour plus de détails, reportez-vous au sous-chapitre relatif à la Boîte de dialogue Equipment modeling [Modélisation d'équipements]).

info Info

Pas d'héritage

Si les éléments sont sélectionnés pour être liés ou créés lors de la configuration de types de données, de drivers, de fonctions, de variables ou de modèles d'équipement via la propriété Groupes d'équipements, ils sont uniquement utilisés pour le filtrage et ne sont pas hérités.

Par exemple : Un modèle d'équipement sélectionné dans un type de données n'est pas transféré par héritage vers les variables reposant sur ce type de données.

Copier et coller

Pour lier un groupe d'éléments à l'aide des fonctions copier et coller :

  1. Sélectionnez l'élément.
  2. Copiez l'élément (sélectionnez la commande Copier ou appuyez simultanément sur les touches Ctrl et C).
  3. Sélectionnez le groupe d'équipements que vous souhaitez modifier.
  4. Collez l'élément (sélectionnez la commande Coller ou appuyez simultanément sur les touches Ctrl et V).

Glissez-déposez le groupe d'équipements.

Pour lier le groupe d'équipements à l'élément par glisser-déplacer :

  1. Sélectionnez le groupe d'équipements.
  2. Maintenez le bouton gauche de la souris enfoncé, puis faites glisser le groupe d'équipements vers la propriété Groupes d'équipements du nœud Général de l'élément.

Glissez-déposez l'élément.

Pour lier le groupe d'équipements à l'élément par glisser-déplacer :

  1. sélectionnez l'élément dans la vue de détail du gestionnaire de projet.
  2. Maintenez le bouton gauche de la souris enfoncé, puis faites glisser l'élément vers le groupe d'équipements de votre choix.

info Info

Lors du glisser-déplacer de variables structure, seules les variables activées sont prises en compte. Les éléments inactifs ne sont pas liés. Pour les arborescences à structure fermée, assurez-vous que toutes les variables souhaitées sont actives.

Autres sujets abordés dans ce chapitre

Boîte de dialogue Equipment modeling (Modélisation d'équipements)

Liste d'éléments liés


Boîte de dialogue Equipment modeling (Modélisation d'équipements)

Manuels -> Equipment modeling (Modélisation d'équipements) -> Lier les modèles à des éléments et objets -> Boîte de dialogue Equipment modeling (Modélisation d'équipements)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la boîte de dialogue, vous pouvez également associer un élément à un groupe d'équipements de votre choix. La boîte de dialogue s'ouvre si vous sélectionnez Général la propriété Groupes d'équipements dans les propriétés de l'élément du nœud :

Propriété | Description
Barre d'outils | Reportez-vous au chapitre Vue de détail des barres d'outils et menus contextuels.
Ajouter | Ajoute les groupes et niveaux sélectionnés à la sélection.
Supprimer | Supprime les éléments sélectionnés de la sélection.
OK | Valide les paramètres définis sur tous les onglets et ferme la boîte de dialogue.
Annuler | Aucun élément n'est sélectionné.
Aide | Ouvre l'aide en ligne.

Add groups (Ajouter les groupes)

  • Sélectionnez le modèle d'équipement de votre choix.
  • Sélectionnez un groupe d'équipements ou un niveau d'équipement ; les éléments situés au même niveau hiérarchique peuvent être sélectionnés en même temps par une sélection multiple (en maintenant la touche Ctrl enfoncée).
  • Ajoutez votre sélection à la liste en cliquant sur le bouton Ajouter dans la partie inférieure de la boîte de dialogue.
  • Les sous-groupes ne sont pas ajoutés automatiquement.
  • Vous pouvez sélectionner autant de groupes que vous le souhaitez.

Delete groups (Supprimer les groupes)

  • Sélectionnez les éléments que vous souhaitez supprimer dans la partie inférieure de la boîte de dialogue.
  • Cliquez sur le bouton Supprimer.

Remarque : les modifications apportées à un élément dans l'arborescence sont conservées, même si vous cliquez sur le bouton Annuler. Annuler signifie uniquement qu'aucun élément n'a été sélectionné.

Filtre des groupes d'équipement lors de l'appel de synoptique

Lors de l'appel d'un synoptique de type AML, CEL ou RGM et d'exécution de la fonction Supprimer sur un groupe, une classe, une zone ou un équipement (module de Gestion des messages), vous pouvez filtrer les groupes d'équipement dans la boîte de dialogue de filtre. Vous trouverez des instructions à ce sujet dans la description des boîtes de dialogue correspondantes :

  • AML Equipment modeling (Modélisation d'équipements de la liste AML)
  • CEL Equipment modeling (Modélisation d'équipements de la liste CEL)
  • RGM Equipment modeling (Modélisation d'équipements de la liste RGM)
  • Suppression de groupes, de classes, de zones ou d'équipements du module de Gestion des messages


Liste d'éléments liés

Manuels -> Equipment modeling (Modélisation d'équipements) -> Lier les modèles à des éléments et objets -> Liste d'éléments liés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tous les éléments liés au groupe d'équipements peuvent être affichés sous forme de liste pour chaque groupe d'équipements. Vous pouvez accéder directement à l'élément lié via le menu contextuel.

  1. Dans le groupe d'équipements de votre choix, effectuez votre sélection.
  2. Dans le menu contextuel, sélectionnez l'option Eléments liés...

    (Pour plus de détails, reportez-vous au sous-chapitre relatif aux Menu contextuel Eléments liés).

  3. La liste des éléments s'ouvre.

Dans le menu contextuel, vous pouvez :

  • Accéder directement à l'élément.
  • Supprimer l'élément de la liste ; l'élément perd alors sa liaison avec ce groupe d'équipements.

Autres sujets abordés dans ce chapitre

Éléments liés au menu contextuel


Éléments liés au menu contextuel

Manuels -> Equipment modeling (Modélisation d'équipements) -> Lier les modèles à des éléments et objets -> Liste d'éléments liés -> Éléments liés au menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la boîte de dialogue des éléments liés, les éléments individuels peuvent être ouverts ou supprimés de la liste affichée dans l'éditeur par le biais du menu contextuel :

Commande | Description
Aller à l'élément lié | Bascule vers l'élément dans l'éditeur ; la liste reste ouverte.
Supprimer les éléments sélectionnés | Supprime l'élément sélectionné de la liste ; la connexion au groupe d'équipements est interrompue.
Aide | Ouvre cette page d'aide.


Filtrer dans la vue de détail

Manuels -> Equipment modeling (Modélisation d'équipements) -> Filtrer dans la vue de détail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez filtrer les éléments par groupe d'équipements dans la vue de détail du gestionnaire de projet. S'ils ne sont pas déjà affichés, sélectionnez Filter selection (Filtrer la sélection) dans le menu contextuel et ajoutez Equipment groups (Groupes d'équipements). Pour filtrer :

  • cliquez sur le symbole de filtre dans l'en-tête de colonne Equipment groups (Groupes d'équipements).
  • La boîte de dialogue de sélection des groupes d'équipement s'affiche à l'écran.
  • Ajoutez les critères de filtre de votre choix à la liste.
  • Seuls les éléments liés aux groupes d'équipements sélectionnés sont affichés dans la vue de détail.

Pour réinitialiser le filtre :

  • cliquez sur le symbole de filtre dans l'en-tête de colonne Equipment groups (Groupes d'équipements).
  • La boîte de dialogue de sélection des groupes d'équipement s'affiche à l'écran.
  • Supprimer les critères de filtre de la liste


Filtrage dans le Runtime

Manuels -> Equipment modeling (Modélisation d'équipements) -> Filtrage dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour filtrer les éléments dans le Runtime, créez la fonction d'appel de synoptique pour le synoptique souhaité, et définissez le filtre dans l'onglet Modèle d'équipement. Dans le Runtime, les données sont affichées en fonction du filtre défini. Pour modifier le filtre dans le Runtime, le bouton Filtre doit être présent dans le masque de la boîte de dialogue :

  • cliquez sur le bouton Filtre.
  • Sélectionnez l'onglet Equipment modeling (Modélisation d'équipements) dans la boîte de dialogue du filtre.
  • Sélectionnez le modèle et le groupe de l'équipement.
  • Confirmez votre sélection en cliquant sur OK.

Vous pouvez filtrer les groupes d'équipements dans le Runtime pour :

  • Groupes de recettes:

    les groupes de recettes sont uniquement disponibles dans la liste déroulante s'ils sont inclus dans le filtre. Si de nouveaux groupes de recettes sont créés, ils peuvent être liés à des groupes d'équipements existants. Ces nouvelles données peuvent être restaurées à nouveau à partir des fichiers du Runtime dans l'éditeur ; dans ce cas, les groupes d'équipements liés sont également restaurés.

  • AML :

    les alarmes sont uniquement affichées si leurs variables sont liées aux groupes d'équipements.

  • CEL :

    les entrées sont uniquement affichées si leurs variables sont liées aux groupes d'équipements.

Autres sujets abordés dans ce chapitre

Créer une fonction d'appel de synoptique


Créer une fonction d'appel de synoptique

Manuels -> Equipment modeling (Modélisation d'équipements) -> Filtrage dans le Runtime -> Créer une fonction d'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer une fonction d'appel de synoptique et filtrer les groupes d'équipements :

  1. créer une fonction d'appel de synoptique.
  2. Sélectionnez le synoptique de votre choix.
  3. Cliquez sur l'onglet Equipment modeling (Modélisation d'équipements) dans la boîte de dialogue du filtre.
  4. Sélectionnez le modèle et le groupe de l'équipement.
  5. Confirmez votre sélection en cliquant sur OK.

Elément | Description
Equipment model (Modèle d'équipement) | Fournit des modèles et des groupes pour la sélection
Ajouter | Ajoute les groupes sélectionnés à la liste de filtres.
Supprimer | Supprimer les groupes sélectionnés de la liste de filtres.


Extended trend (Tendance étendue)

Manuels -> Extended trend (Tendance étendue)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module Tendance étendue est utilisé pour la représentation de valeurs en ligne et d'historiques (valeurs d'archives) des variables de procédés et des variables de procédés dérivées sous forme de courbes. Il autorise la consultation de données historiques. Le défilement dans le module de tendance étendue propose une règle et une fonction de zoom, ainsi qu'une fonction d'analyse de tendances. Au contraire de l'élément dynamique Tendance, ce type de fenêtre comporte des fonctions de zoom, de navigation, de requête et de mise à l'échelle de valeurs en ligne et des valeurs extraites d'archives. Vous devez détenir une licence d'utilisation du module pour pouvoir utiliser cette fonction.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client).

Remarque : Une version Extended Trend Starter Edition, dotée de fonctionnalités limitées, est incluse dans la licence standard.

Version 'Starter Edition' des tendances étendues

La licence standard de la version basée sur l'utilisation de balises inclut une version limitée du serveur d'archives. La version 'Starter Edition' est basée sur le module 'Tendance étendue' standard.

La version 'Starter Edition' des tendances étendues a les limitations suivantes :

  • Pas de courbe YX
  • Pas de deuxième axe de temps
  • Nombre de courbes limité à 8
  • Pas de représentation logarithmique
  • Pas de balayage

Pour connaître les autres restrictions applicables aux projets sous Windows CE, dans le manuel zenon pour Windows CE, reportez-vous au chapitre Restrictions applicables à zenon.

Attention !

Vous ne pouvez pas utiliser les fonctions susceptibles d'outrepasser les limitations mentionnées ci-dessus si vous possédez uniquement la version "Starter Edition" dans l'éditeur.

Si vous n'avez que la licence 'Starter Edition' des tendances étendues en Runtime, vous ne pouvez pas utiliser les fonctions 'Appel de synoptique' qui ne respectent pas les règles ci-dessus. Les synoptiques de type 'Tendance étendue' seront alors affichés avec le filtre par défaut (= filtre vide). Une entrée est ajoutée dans le 'Diagnosis server'.

Exemple : Si vous utilisez une fonction 'Appel de synoptique' d'un synoptique de type 'Tendance étendue' avec 10 courbes. Le synoptique sera affiché mais ne montrera aucune courbe.

Licence

La licence 'Starter Edition' peut être changée en une version complète des tendances étendues à tout moment sans problème de compatibilité. Si vous avez les deux licences, la version 'Starter Edition' et la version complète, vous avez accès à toutes les fonctions de la version complète.
La version 'Starter Edition' n'est pas disponible pour les licences basées sur le nombre de points d'E/S (seulement pour les versions basées sur le nombre de balises).

Pour le Runtime sous Windows CE 6.0, la version Starter Edition du module Tendance étendue est disponible, ainsi que la version Starter Edition du module Serveur d'archives. Aucun des deux modules n'est disponibles pour les autres versions de Windows CE.

Autres sujets abordés dans ce chapitre

Configuration dans l'Éditeur

Fonctionnement dans le Runtime


Configuration dans l'Éditeur

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Créer un synoptique de type Tendance étendue

Créer un nouveau diagramme

Procédure de configuration

Entrées pour les tendances étendues dans le fichier project.ini.

Profils de filtre

Fonctions


Créer un synoptique de type Tendance étendue

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un synoptique de type Tendance étendue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le Runtime, le module Tendance étendue est contrôlé à l'aide d'un synoptique de Tendance étendue. Ce synoptique doit d'abord être créé dans l'Éditeur.

Pour créer un synoptique de Tendance étendue :

  1. Dans la barre d'outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
  2. Un synoptique standard vide s'affiche à l'écran.
  3. Changez le type de synoptique dans la vue détaillée ; pour cela :
    1. Cliquez sur Standard dans la colonne Type de synoptique.
    2. Sélectionnez Tendance étendue dans la liste déroulante.
  4. Cliquez sur le synoptique.
  5. Sélectionnez l'option de menu Éléments de contrôle dans la barre de menus.
  6. Cliquez sur Insérer un modèle dans la liste déroulante.
  7. Insérez les éléments standard
  8. Sélectionnez les éléments supplémentaires selon le besoin et insérez-les à l'emplacement souhaité sur l'écran.

Élément

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Fenêtre

Affichages.

Fenêtre Diagramme

Fenêtre d'affichage des tendances de courbes

Nom du diagramme

Affiche le nom du diagramme

Fenêtre d'affichage du curseur

Affiche la position du curseur dans la fenêtre du diagramme et les valeurs définies dans les paramètres du diagramme et l'affichage du curseur

Liste des courbes

Liste déroulante des courbes.

Liste de courbes étendue

Liste de courbes pouvant être modifiée dans le Runtime :

  • Nom de la courbe
  • Titre
  • Couleur
  • Axe Y
  • Actif

Remarque : Indisponible sous Windows CE, remplacée par la liste de courbes normale.

Affichage : Définir filtre

Affiche l'état actuel du filtre de temps actuel dans le Runtime.

Boutons

éléments de contrôle prédéfinis

Bouton Diagramme

Modifier les paramètres du diagramme

Bouton Courbe

Modifier les paramètres des courbes

Paramétrage du diagramme

Active la boîte de dialogue de configuration des paramètres du diagramme et d'affichage du curseur

Bouton Zoom

Agrandir l'affichage

Bouton Zoom inverse

Réduire l'affichage

Zoom +

Réduit les intervalles de temps d'

Zoom -

Augmente les intervalles de temps d'affichage

Zoom à 100%

Règle le facteur de zoom sur 100%.

Cette action de zoom est enregistrée dans l'historique du zoom. Ceci signifie : si une zone sélectionnée du module Extended Trend est agrandie deux fois à l'aide de la fonction Zoom, puis la fonction Zoom à 100% est sélectionnée et une zone spécifique est à nouveau agrandie, 4 événements de zoom sont enregistrés dans l'historique. Cette fonction peut être rétablie à l'aide de la fonction Zoom inverse.

Bouton Actualiser

Actualise l'affichage

Boutons En arrière

Se déplacer vers l'arrière sur l'axe du temps (historique)

Bouton En avant

Se déplacer vers l'avant sur l'axe du temps (actuel)

Bouton Arrêt

Ne pas mettre l'affichage à jour

Bouton Lecture

Mettre l'affichage à jour

Curseur actif/inactif

Exécuter une requête de valeurs

Double cursor on/off (Activer/désactiver le double curseur)

Affichage des valeurs situées entre deux curseurs.

Cursor one pixel to the left (Déplacer le curseur d’un pixel vers la gauche)

Déplace le curseur d’un pixel vers la gauche.

Si vous appuyez sur la touche Maj en sélectionnant cette option, le curseur se déplace de 10 pixels.

Cursor one pixel to the right (Déplacer le curseur d’un pixel vers la droite)

Déplace le curseur d’un pixel vers la droite.

Si vous appuyez sur la touche Maj en sélectionnant cette option, le curseur se déplace de 10 pixels.

Imprimer

Imprime le diagramme.

Remarque : les impressions lancées en cliquant sur le bouton Imprimer d'un synoptique Tendance étendue peuvent différer de celles effectuées à l'aide de la fonction Print extended trend diagram (Imprimer le diagramme de Tendance étendue). La fonction lance l'impression en se basant sur une fenêtre de 1000 x 700 pixels. Les proportions des impressions lancées à l'aide du bouton sont définies dans l'Éditeur.

Dialogue d'impression

Définitions de différents paramètres avant l'impression du diagramme.

Copy to clipboard (Copier vers le presse-papiers)

Copie l'affichage vers un emplacement de stockage provisoire.

Bouton Quart d'unité en arrière

Déplace la période de temps affichée en arrière d'un quart de l'unité sélectionnée.

Bouton Quart d'unité en avant

Déplace la période de temps affichée en avant d'un quart de l'unité sélectionnée.

Bouton Axe X

Ouvre la boîte de dialogue de configuration de l'axe X

Exporter les données affichées

Exporte toutes les données visibles de toutes les courbes sous forme de fichier CSV.

Profils de filtre

Gestion de profils.

Sélection profil

Sélectionne un profil enregistré.

Enregistrer

Enregistre les paramètres sous forme de profil.

Supprimer

Supprimer le profil.

info Info

Les éléments de contrôle Cursor one pixel to the left (Déplacer le curseur d’un pixel vers la gauche) et Cursor one pixel to the right (Déplacer le curseur d’un pixel vers la droite) déplacent le curseur s'il est actif, et non la tendance. Vous pouvez également utiliser les touches fléchées de votre clavier à la place des éléments de contrôle. Si vous maintenez la touche Maj enfoncée pendant que vous déplacez le curseur à l'aide des touches fléchées, le déplacement est effectué par incréments de 10 pixels.


Créer un nouveau diagramme

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer un nouveau diagramme, configurez l'appel du synoptique Tendance étendue. La boîte de dialogue de configuration du diagramme s'affiche alors :

Les options pouvant être configurées sont les suivantes :

Paramètre

Description

Origine des données

Sélection de l'origine des données.

Données en ligne

Utilisez les valeurs en ligne actuelles et les valeurs enregistrées pour l'affichage dans les diagrammes.

Données de tableaux

Utilisez les variables et les valeurs de tableaux pour l'affichage dans les diagrammes.

L'affichage des variables avec des valeurs de tableaux fonctionne de la même manière que l'affichage XY. Toutefois, vous ne pouvez pas sélectionner un filtre horaire ou une variable X. Dans la boîte de dialogue Axe X, vous saisissez les indices de tableau correspondants des données source sur une échelle De et A.

Remarque : les données d'ensembles ne désignent pas les variables d'ensembles, mais la propriété Dimension tableau, qui peut être définie pour une variable.

Données d'archives

Utilise les valeurs d'archive (format ARX ou données SQL) stockées dans la base de données pour l'affichage dans les diagrammes.

Info : les archives aux formats XML, dBase ou TXT ne sont plus affichées après expiration du cycle de stockage.

Lire les archives depuis chemin de sauvegarde

Disponible uniquement si vous avez sélectionné le champ d'option Données d'archives.

Les données historiques provenant du dossier de sauvegarde sont utilisées pour l'affichage.

Données delta uniquement

Actif : Lors de la commutation ou de la mise à jour de la tendance, seules les archives contenant des données modifiées sont chargées.

Trier les données

Actif : Les données sont triées avec des informations d'horodatage après chargement.

Remarque : L'utilisation de cette option peut affecter les performances, car les données doivent être systématiquement triées à nouveau.

Recommandation : Utilisez cette option si les données proviennent d'une source externe et il est impossible de garantir l'exactitude de leur ordre.

Affichage

Paramètres d'affichage graphique.

Nom du diagramme

Nom de diagramme pouvant être configuré au choix ; peut être affiché dans l'élément de contrôle.
Si la chaîne contenue dans le nom de diagramme contient la combinaison de caractères %c%, celle-ci sera remplacée par les noms de batch satisfaisant aux critères de filtre dans le Runtime. Par exemple :
Nom du diagramme = Diagram1_%C%_end
Ce nom dirige le Runtime vers le diagramme
Diagram1_batch1_end.

Police

Sélection ou définition de la police utilisateur pour les légendes d'axes et les indicateurs de valeur.

Diagram settings and cursor output (Paramètres du diagramme et affichage du curseur)

Ouvre la boîte de dialogue permettant d'accéder à d'autres paramètres de configuration de l'affichage du diagramme (voir Paramètres du diagramme et affichage du curseur).

Largeur de défilement [%]

Définition du défilement si le bord droit du diagramme est atteint.
Attention : seulement pour les diagrammes avec valeurs en ligne.

Refresh rate [s] (Fréquence d'actualisation [s])

Définissez la fréquence d'actualisation, en secondes.

  • La valeur doit être supérieure à 0 pour les données en ligne et les données de tableaux.
  • Les synoptiques ne peuvent pas être chargés de manière statique pour les données en ligne ou les données d'ensembles.
  • Pour les données d'archives, la fréquence de rafraîchissement s'adapte automatiquement au temps de chargement des données. Si le chargement dure plus longtemps que la moitié de l'intervalle de rafraîchissement, la fréquence de rafraîchissement est doublée.
    La valeur du paramètre Refresh rate (Fréquence de rafraîchissement) peut également être réglée sur 0.
    Les données affichées ne sont alors pas mises à jour.
    Ce paramètre est utile si d'importantes quantités de données doivent être affichées dans le module ETM. Dans ce cas, si le paramètre Refresh rate (Fréquence de rafraîchissement) est défini sur une valeur basse, une boucle infinie peut se produire.

Optimisez la fréquence de rafraîchissement : lors de la lecture de données archivées, un message journal est créé au début et à la fin par le serveur (serveurs indépendants inclus) et le client. Ce message journal peut être lu à l'aide de l'application Diagnosis Viewer. Celle-ci permet de déterminer la durée de la lecture et de configurer une fréquence de rafraîchissement correspondante.

Offset [s]

Déplacement du point zéro de l'axe de temps vers la valeur indiquée en secondes.

Axe X

Options pour l'axe X.

Visualisation XT

Représentation des courbes selon le temps

Visualisation XY

Représentation des courbes avec une autre variable.

X axis and time filter/time axis and time filter (Axe X et filtre horaire/Axe de temps et filtre horaire)

Ouvre la boîte de dialogue de configuration de l'axe X/de l'axe de temps et du filtre horaire (voir Axe X et filtre horaire).

Le développement de la période de temps se déroule de manière semblable au développement du filtre horaire dans la liste d'alarmes et la liste chronologique d'événements (voir le chapitre Filtre horaire dans le manuel Liste d'alarmes).

Courbes

Options pour les courbes.

Add curve (Ajouter une courbe)

Ouvre la boîte de dialogue de sélection de variables.

Supprimer la courbe

Cliquez sur ce bouton pour supprimer les courbes sélectionnées.

Liste de courbes étendue

Ouvre la boîte de dialogue Paramètres des colonnes permettant de configurer les colonnes de la liste de courbes étendue.

Modifier courbe

Ouvre la boîte de dialogue de configuration des paramètres de la courbe et de l'axe Y (voir Modifier courbe).

Display curve (Afficher la courbe)

Pour chaque courbe sélectionnée, vous pouvez décider, en cochant la case correspondante, si vous souhaitez l'afficher lors du chargement du synoptique du diagramme.

Si vous désélectionnez cette case à cocher, vous pouvez ensuite sélectionner la courbe sur le synoptique Tendance étendue et l'afficher.

Le premier x affiché à droite, près du nom de la courbe, indique si vous avez coché la case correspondant à cette courbe.

Display Y axis for the curve (Afficher l'axe Y pour la courbe)

Pour chaque courbe sélectionnée, vous pouvez décider, en cochant la case correspondante, si vous souhaitez afficher l'axe Y lors du chargement du synoptique du diagramme.

Si vous désélectionnez cette case à cocher, vous pouvez ensuite sélectionner l'axe Y pour la courbe sur le synoptique Tendance étendue et l'afficher.

Le deuxième x affiché à droite, près du nom de la courbe, indique si vous avez coché la case correspondant à cette courbe.

Options

Paramètres additionnels.

Paramètres impression

Ouvre la boîte de dialogue des paramètres d'impression. Vous pouvez soit imprimer des diagrammes, soit les enregistrer sous forme de fichier (voir Imprimer le diagramme).

Export settings (Exporter les paramètres)

Exporte les paramètres du diagramme (variables, cadres, heures etc.) définis sous forme de fichier DRG.

Import settings (Importer les paramètres)

Importe les paramètres du diagramme (variables, cadres, heures etc.) définis sous forme de fichier DRG.

OK, Annuler, Aide

Boutons de confirmation du paramètre, d'annulation et d'aide à l'appel.

Remarque : Le bouton OK est actif lorsqu'au moins une courbe a été développée.

Chaque courbe de tendance porte son propre nom. Nous vous recommandons de ne pas afficher trop de courbes de tendances simultanément, de façon à garder une bonne vue d'ensemble. Plusieurs variables peuvent être configurées et être ensuite activées librement dans le Runtime.

info Info

Vous pouvez uniquement afficher les variables basées sur un driver compatible avec les variables associées à des valeurs d'ensemble utilisant le champ d'option Array data (Données de l'ensemble).

Données de l'ensemble

Pour configurer les variables avec des données d'ensemble :

  • Définissez la propriété Dimension tableau dans le groupe Paramètres additionnels pour la variable correspondante (par exemple, 10)

  • Pour la fonction d'appel de synoptique, sélectionnez la propriété Array data (Données de l'ensemble) sur le synoptique du module ETM :

Dans la vue de variable du module RGM, vous pouvez voir que chaque variable existe sous forme de bloc de 10 (de 0 à 9) :

Résultat dans le Runtime

Le synoptique de module ETM est encore vide lors du démarrage du Runtime :

Les valeurs des variables contenant des ensembles de blocs sont affichées dès que les valeurs de la recette sont définies :

Autres sujets abordés dans ce chapitre

Paramètres des courbes

Paramètres de l'axe Y

Diagram settings and cursor output (Paramètres du diagramme et affichage du curseur)

Configuration de l'axe de temps ou de l'axe des valeurs (axe X)

Configuration des colonnes pour les listes de courbes étendue


Paramètres des courbes

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Paramètres des courbes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour chaque courbe de tendance, les caractéristiques peuvent être paramétrées.

Paramètres

Description

Courbe

Nom de la courbe

Nom de la courbe, librement défini.
Le nom de la variable est saisi par défaut.

Remarque : toute modification ultérieure du nom de la variable n'a aucune incidence sur les noms de courbes existants.

Largeur de ligne [pixels]

Définit la largeur de la courbe, en pixels.

Distance from the top frame [Pixel] (Distance depuis le cadre supérieur [pixels])

Uniquement disponible pour les diagrammes de Gantt.

Définissez la distance en pixels entre le diagramme de Gantt et le cadre supérieur du diagramme.

Type d'affichage

Définition du type de ligne pour la courbe de tendance. Formats possibles :

  • Ligne
  • Tirets
  • Points
  • Tiret-point
  • Tiret-point-point

Remarque : Dans la propriété Qualité graphique, si l'option Windows basis (Base Windows) a été sélectionnée, seules des lignes continues peuvent être affichées dans le module Tendance étendue pour une largeur de ligne supérieure à 1.

Interpolation

Valeurs connectées par lignes brisées. Si l'option n'est pas définie, les changements de valeurs sont affichés en créneaux.

Prolonger courbe

La courbe est prolongée du dernier point de données disponible jusqu'à l'instant actuel.

Domaine de visualisation

Les valeurs sont affichées en remplissant la zone sous la courbe.

Gantt display (Diagramme de Gantt)

Active le diagramme de Gantt pour cette courbe. Le nom de la courbe est utilisé dans l'intitulé. Pour plus de détails concernant les restrictions de cette fonction, reportez-vous aux sections Diagramme de Gantt et Paramètres de l'axe Y.

Display limit (Affichage de la valeur limite)

Uniquement disponible pour les diagrammes de Gantt.

La limite numérique est affichée.

Affichage texte de limite

Uniquement disponible pour les diagrammes de Gantt.

La description de la valeur limite est affichée.

Couleur

Couleur de courbe

Définit la couleur de la courbe.

Couleur de remplissage

Définit la couleur de remplissage. Cette fonction agit seulement si vous avez sélectionné l'option Domaine de visualisation.

Transparency of the filling color [%] (Transparence de la couleur de remplissage [%])

Définit la transparence de la couleur de remplissage. Ceci vous permet d'éviter que les courbes ne soient masquées par des courbes avec un domaine de visualisation. 0 signifie aucune transparence. 100 signifie une transparence totale.

Remarque : Indisponible pour for Windows CE.

Display offset (Décalage de visualisation)

Jours

Déplace la courbe du nombre de jours défini.

Heures

Déplace la courbe du nombre d'heures défini.

Minutes

Déplace la courbe du nombre de secondes défini.

Changement de mois

Déplace la courbe d'un mois.

Changement d'année

Déplace la courbe d'un an.

Autres sujets abordés dans ce chapitre

Gantt display (Diagramme de Gantt)


Gantt display (Diagramme de Gantt)

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Paramètres des courbes -> Gantt display (Diagramme de Gantt)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le diagramme de Gantt vous permet de visualiser l'état d'un élément d'équipement dans le module Tendance étendue. Il peut par exemple être affiché lorsqu'un élément d'équipement a été en fonctionnement, en maintenance, à l'arrêt ou autre. Ce diagramme de Tendance étendue permet de comparer les états d'un élément d'équipement et la courbe de caractéristiques du procédé. Vous pouvez ainsi obtenir des conclusions concernant le comportement d'un équipement. Vous pouvez par exemple détecter un comportement anormal de la courbe des caractéristiques du procédé, mais constater ensuite sur le diagramme de Gantt que l'équipement était en maintenance à cet instant.

Développement

Avec le diagramme de Gantt, les limites et matrices de réaction sont prises en considération pour l'évaluation, et non les valeurs réelles des variables concernées. L'affichage reflète l'état d'un équipement ; la valeur exacte n'a aucune incidence.

Les diagrammes de Gantt individuels sont affichés dans le cadre supérieur de l'élément de contrôle. Assurez-vous de créer un cadre suffisamment large pour qu'aucun problème d'affichage ne se présente.

La limite dépassée ou la matrice de réaction est utilisée en tant que base de couleur des différents diagrammes de Gantt. Dans ce cas, les limites actuellement configurées et les états de la matrice de réaction sont toujours utilisés à cette fin. Si vous les modifiez, mêmes les évaluations historiques sont affichées avec les valeurs actuelles. Il n'existe aucun historique des limites ou des états d'une matrice de réaction.

Paramètres de courbe

Ce qui suit s'applique pour les paramètres des courbes :

  • Le nom de la courbe est utilisé dans l'intitulé
  • Les paramètres sont définis sur l'onglet Curve settings (Paramètres des courbes) :
    • Distance from the top edge (Distance par rapport au bord supérieur) : Une valeur négative doit être saisie ici pour l'affichage de la courbe dans le module Extended Trend.
    • Display limit (Affichage de la valeur limite)
    • Affichage texte de limite

    Si les options Display limit (Affichage de la valeur limite) et Display limit text (Affichage texte de limite) sont utilisées simultanément, l'affichage est défini comme suit :
    Texte de valeur limite/Valeur limite

  • Les paramètres de l'intitulé sont définis sur l'onglet Axe Y :
    • Couleur
    • Position en % de la largeur de l'axe X (mesurée en partant de la gauche)

Les paramètres suivants ne sont pas disponibles pour l'axe Y dans les diagrammes de Gantt :

  • Display horizontal grid line (Afficher les lignes horizontales de la grille)
  • Type d'axe
  • Échelle
  • Exponential display (Affichage exponentiel)
  • Subdivision de l'axe


Paramètres de l'axe Y

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Paramètres de l'axe Y

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres des courbes sont définis dans cette boîte de dialogue et dans la boîte de dialogue Paramètres courbe.

Paramètres

Description

Affichage

Paramètres d'affichage des courbes dans le Runtime.

Axis title (Intitulé de l'axe)

Nom de l'axe.

Position

Positionnement de l'axe Y sur l'axe X, en pourcentage de la longueur de l'axe X.

  • 0 = à gauche,
  • 100 = à droite.

Couleur

Définition de la couleur de l'axe.

Attention : peut être configurée indépendamment de la couleur de la courbe de tendance.

Display horizontal grid line (Afficher les lignes horizontales de la grille)

Affichage des lignes de référence à chaque graduation principale.

(Indisponible pour les diagrammes de Gantt.)

Type d'axe

Définition de l'échelle de l'axe Y.

(Indisponible pour les diagrammes de Gantt.)

Linéaire

Division linéaire de l'axe Y.

(Indisponible pour les diagrammes de Gantt.)

Logarithmique

Division logarithmique de l'axe Y

Échelle

Définit la plage d'affichage de la variable de procédé à l'intérieur de sa plage de valeurs techniques (fonction de zoom).

(Indisponible pour les diagrammes de Gantt.)

A partir de

Valeur de départ de l'échelle.

Par défaut : -32768

Jusqu'à

Valeur de fin de l'échelle.

Par défaut : 32768

Échelle automatique

Actif : La mise à l'échelle de l'axe est automatiquement déterminée pour cette courbe dans le Runtime. Les valeurs min/max de la zone à afficher sont utilisées comme limites de l'axe.

Si la case est cochée, les champs de saisie de la fonction de mise à l'échelle (De/À) ne sont plus disponibles pour une configuration individuelle.

Intitulé

Positionnement de l'affichage de la légende de l'axe par rapport à l'axe

À gauche de l'axe

Les valeurs sont affichées à gauche de l'axe.

À droite de l'axe

Les valeurs sont affichées à droite de l'axe.

Exponential display (Affichage exponentiel)

Les valeurs sont affichées de manière exponentielle.

(Indisponible pour les diagrammes de Gantt.)

Hide unit (Masquer les unités)

Actif : Les unités ne sont pas affichées dans les intitulés des axes. Permet d'afficher plusieurs variables comportant des unités différentes.

Par défaut : Inactive

(Indisponible pour les diagrammes de Gantt.)

Subdivision de l'axe

Définition de la subdivision de l'axe (nombre de graduations).

(Indisponible pour les diagrammes de Gantt.)

Number of main ticks (Nombre de graduations principales)

Nombre de graduations principales avec indication de valeur.

Length of main ticks (in pixels) (Longueur des graduations principales [en pixels])

Longueur des graduations principales en pixels.

Number of sub ticks (Nombre de graduations secondaires)

Nombre de graduations entre deux graduations principales.

Number of main ticks automatic (Nombre de graduations principales - Automatique)

Définition automatique de l'échelle et des graduations de l'axe dans le mode de fonctionnement en ligne.

La configuration des courbes et des paramètres d'axes est enregistrée en cliquant sur "OK". La courbe est affichée dans le diagramme en tant que courbe disponible (nom de courbe, nom de la variable de procédé).

Pour chaque courbe de tendance, le type de traitement (actif, avec axe Y) doit être défini. La configuration s'effectue en marquant la courbe de tendance dans la fenêtre et en sélectionnant les options appropriées.


Diagram settings and cursor output (Paramètres du diagramme et affichage du curseur)

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Diagram settings and cursor output (Paramètres du diagramme et affichage du curseur)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Grâce au bouton Diagram settings and cursor output (Paramètres du diagramme et affichage du curseur), vous pouvez définir des paramètres supplémentaires pour l'affichage du diagramme.

Les paramètres suivants sont disponibles :

Paramètres

Description

Distance diagram to window frame [Pixel] (Distance entre le diagramme et le cadre de la fenêtre [pixels])

Haut

Distance entre le bord supérieur de l'élément de contrôle et la courbe de tendance à l'intérieur.
(Attention : espace utilisé lorsque la fonction de balayage est activée en Runtime ; celle-ci montre le détail des valeurs selon la position du pointeur de la souris dans cette zone).

Bas

Distance entre le bord inférieur de l'élément de contrôle et l'axe X (origine 0% - axe Y).
(Attention : espace pour deux lignes de légende de l'axe X avec la police utilisateur configurée)

Gauche

Distance entre le bord inférieur de l'élément de contrôle et l'axe X (origine 0% - axe Y).
(Attention : espace pour la légende à gauche de l'axe Y avec la police utilisateur configurée)

Droite

Distance entre le bord inférieur de l'élément de contrôle et l'axe X (origine 100% - axe Y).
(Attention : espace pour la légende à droite de l'axe Y avec la police utilisateur configurée)

Couleurs

Couleur du fond

Couleur de fond des graphiques affichés

Couleur de la grille

Couleur de la grille générale

Affichage du curseur

Display header in the scan window in compatibility mode (Afficher l'en-tête dans la fenêtre d'analyse en mode de compatibilité)

Actif : Dans les versions zenon antérieures à la version 6.51 SP0, les en-têtes de colonnes sont affichés dans la fenêtre d'analyse en mode de compatibilité. Cette option permet notamment d'afficher des projets convertis dans le Runtime, par exemple.

Elle n'est pas nécessaire pour les projets à partir de la version 6.51. Tous les en-têtes de colonnes sont affichés dans la liste d'analyse.

Date

Largeur de colonne pour l'affichage de l'horodatage dans la liste d'affichage du curseur. La case à cocher vous permet d'activer cette colonne.

Variable

Largeur de colonne pour l'affichage du nom de variable dans la liste d'affichage du curseur. La case à cocher vous permet d'activer cette colonne.

Valeur

Largeur de colonne pour l'affichage de la valeur dans la liste d'affichage du curseur. La case à cocher vous permet d'activer cette colonne.

Unité

Largeur de colonne pour l'affichage des unités de mesure dans la liste d'affichage du curseur. La case à cocher vous permet d'activer cette colonne.

Limite

Largeur de colonne pour l'affichage de la limite dans la liste d'affichage du curseur. La case à cocher vous permet d'activer cette colonne.

État

Largeur de colonne pour l'affichage de l'état dans la liste d'affichage du curseur. La case à cocher vous permet d'activer cette colonne.

Valeurs entre le premier et le deuxième curseur

Minimum

Largeur de colonne pour l'affichage de la valeur minimale entre le premier et le deuxième curseur dans la liste d'affichage du curseur. La case à cocher vous permet d'activer cette colonne.

Moyenne

Largeur de colonne pour l'affichage de la valeur moyenne entre le premier et le deuxième curseur dans la liste d'affichage du curseur. La case à cocher vous permet d'activer cette colonne.

Maximum

Largeur de colonne pour l'affichage de la valeur maximale entre le premier et le deuxième curseur dans la liste d'affichage du curseur. La case à cocher vous permet d'activer cette colonne.

Différence de temps

Largeur de colonne pour l'affichage de la différence de temps entre le premier et le deuxième curseur dans la liste d'affichage du curseur. La case à cocher vous permet d'activer cette colonne.

Value difference (Différence de valeur)

Largeur de colonne pour l'affichage de la différence de valeur entre le premier et le deuxième curseur dans la fenêtre d'affichage du curseur. La case à cocher vous permet d'activer cette colonne.

Somme

Largeur de colonne pour l'affichage de la somme des points de mesure entre le premier et le deuxième curseur dans la liste d'affichage du curseur. La case à cocher vous permet d'activer cette colonne.

Écart-type

Largeur de colonne pour l'affichage de l'écart-type entre le premier et le deuxième curseur dans la liste d'affichage du curseur. La case à cocher vous permet d'activer cette colonne.

Number of measuring points (Nombre de points de mesure)

Largeur de colonne pour l'affichage du nombre de points de mesure entre le premier et le deuxième curseur dans la liste d'affichage du curseur. La case à cocher vous permet d'activer cette colonne.

info Info

Les intitulés des colonnes de la liste d'affichage du curseur peuvent être modifiés à l'aide de la fonction de changement de langue.

Pour spécifier un en-tête lors de la conversion de projets créés dans des versions antérieures, vous pouvez supprimer la liste de sortie de curseur existante et la remplacer par le nouvel élément, ou cocher la case Display header (Afficher l'en-tête).

Si vous créez des projets destinés à une version de zenon antérieure à la version 6.51 SP0, vous pouvez insérer la liste d'affichage du curseur de votre choix après avoir sélectionné la version souhaitée du Runtime.

Autres sujets abordés dans ce chapitre

Personnalisation de la vue de la liste de sortie du curseur


Personnalisation de la vue de la liste de sortie du curseur

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Diagram settings and cursor output (Paramètres du diagramme et affichage du curseur) -> Personnalisation de la vue de la liste de sortie du curseur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'apparence de la liste de sortie du curseur peut être adaptée aux exigences individuelles :

Barres de défilement, en-têtes et grilles

Pour définir la taille et l'apparence des barres de défilement, de l'en-tête ou des grilles de la table :

  1. Dans les propriétés du projet, sélectionnez la propriété Paramètres du graphique étendu du groupe Affichage.
  2. Définissez les propriétés souhaitées dans les groupes Ascenceurs et Entête et grille pour l'élément Liste d'alarmes affiché à l'écran.

info Info

Si la propriété Fichier graphique est sélectionnée pour la propriété Style d'affichage, tous les éléments pour lesquels aucun fichier graphique n'a été sélectionné sont illustrés avec un dégradé de couleurs. Les éléments graphiques transparents ne peuvent pas être utilisés pour les éléments de contrôle des listes.

Tri dans le Runtime

Pour sélectionner une colonne aux fins du tri dans le Runtime et déterminer la séquence de tri, configurez l'élément graphique pour la ligne d'intitulé :

  1. Sélectionnez le fichier graphique pour la propriété Style d'affichage.
  2. Liez les propriétés Tri croissant et Tri décroissant à un fichier graphique
  3. Dans le Runtime, l'élément graphique sélectionné pour l'ordre de tri correspondant est affiché dans la colonne de tri
  4. Cliquez sur l'élément graphique pour modifier l'ordre de tri
  5. Cliquez sur l'en-tête pour activer la colonne de tri

Utilisation de l'en-tête dans le Runtime

Vous pouvez permettre aux utilisateurs d'actionner l'en-tête dans le Runtime. Ceci permet de personnaliser l'affichage dans le Runtime de manière détaillée :

  • Déplacer les colonnes
  • Modifier la taille
  • Modification du tri.

Pour cela, accédez au groupe Liste d'alarmes dans les paramètres et sélectionnez, dans la propriété Entête alarmes, l'option Actions autorisées sur entêtes de colonne. Dans cette section, vous pouvez également choisir de rendre l'en-tête inutilisable ou invisible.

Ces paramètres s'appliquent à tous les en-têtes du projet.

info Info

Vous pouvez interdire la manipulation et/ou l'affichage de l'en-tête pour chaque liste d'alarmes en désactivant la propriété Montrer l'entête ou Entête éditable pour la vue sous forme de table.

Aperçu

Lorsque vous activez la propriété Paramètres du graphique étendu dans l'Éditeur, vous pouvez prévisualiser les en-têtes et les barres de défilement. Ainsi, les détails tels que les effets de remplissage de couleur, les effets de lumière et les grilles peuvent être configurés plus facilement.

Attention : puisque la taille des barres de défilement est égale à leur taille dans le Runtime, la taille totale de la liste dans l'Éditeur peut différer de la taille dans le Runtime. Cela s'applique également à la taille de l'en-tête et à la police de caractères de l'en-tête.


Configuration de l'axe de temps ou de l'axe des valeurs (axe X)

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Configuration de l'axe de temps ou de l'axe des valeurs (axe X)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'axe X peut être utilisé dans deux configurations différentes.

  • Axe X (axe du temps): représentation des courbes de tendance selon la période de temps configurée.
    Lors de la configuration de l'axe de temps, la période, les batchs et la représentation de l'axe peuvent être définis.
  • Visualisation XY: représentation des valeurs selon le temps ou selon une variable de procédé (courbes locales, points de fonctionnement, etc.)

Pour configurer l'axe X :

  1. Dans la section Axe X de la boîte de dialogue d'appel de synoptique, sélectionnez le type d'affichage (Affichage YT, Affichage XY)
  2. Cliquez sur le bouton Time axis and time filter (Axe de temps et filtre de temps)
  3. Définissez les propriétés souhaitées
  4. Confirmez en cliquant sur OK
    (lors de la sélection des données en ligne, si les paramètres de temps diffèrent des valeurs configurées dans le groupe Stockage données disque dur, les paramètres adéquats que vous pouvez accepter sont affichés dans une boîte de dialogue.)

Autres sujets abordés dans ce chapitre

Affichage YT

Visualisation XY

Heure


Affichage YT

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Configuration de l'axe de temps ou de l'axe des valeurs (axe X) -> Affichage YT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètre

Description

Position

Position de l'axe par rapport à la hauteur de l'axe Y. Pourcentage compris entre 0 et 100. Par exemple :

0 % : à l'extrémité inférieure de l'axe Y.

100 % : à l'extrémité supérieure de l'axe Y.

50 % : au milieu de l'axe Y.

Couleur

Définition de la couleur de l'axe.

Remarque : peut être configurée indépendamment de la couleur de la courbe de tendance.

Comparison with 2nd period (Comparaison avec une deuxième période)

Actif : affiche une comparaison avec une deuxième période.

Uniquement possible pour les archives avec un filtre en ligne.

Deux plages de temps sont affichées en même temps pour chaque variable d'archive (par exemple, comparaison sur une semaine). Deux tendances sont ouvertes lors de la commutation ; la deuxième plage de temps est affichée sur le côté opposé à l'intitulé de l'axe de temps, dans la même couleur que les lignes de la grille.

Display vertical grid line (Afficher les lignes verticales de la grille)

Actif : Affichage des lignes de référence à chaque graduation principale.

Real-time display (Affichage en temps réel)

Actif : l'axe doit déjà comporter des graduations de temps.

Inactif : L'heure de commutation est définie sur 00:00, et son intitulé relatif est défini dans trouve les -01:00 heures passées.

Échelle

Définir les valeurs de l'échelle à l'aide des cases à cocher :

JJ : Année

MM: mois
DD : Jour

HH: Heure

MM: Minutes

SS : Secondes

MS: Milliseconde

Intitulé

Positionnement de l'affichage de la légende de l'axe par rapport à l'axe

Au-dessus de l'axe

Au-dessus de l'axe

Au-dessous de l'axe

La légende de l'axe est affichée sous l'axe

Subdivision de l'axe

Définition de la subdivision de l'axe (nombre de graduations)

Number of main ticks (Nombre de graduations principales)

Nombre de graduations principales avec indication de valeur

Length of main ticks (Longueur des graduations principales)

Longueur des tirets indiquant les graduations principales en pixels

Number of sub ticks (Nombre de graduations secondaires)

Nombre de graduations entre deux graduations principales

Curseur

Affichage du curseur.

Size of sizing handle [in pixels] (Taille de la poignée de redimensionnement [en pixels])

Diamètre de la poignée circulaire de redimensionnement affichée au milieu des règles, pour en faciliter l'utilisation (comme sur un écran tactile).

  • 0 : pas de poignée de redimensionnement (compatible avec les projets des versions antérieures à la version 7)
  • >0: la poignée de redimensionnement est affichée conformément à la valeur saisie

Par défaut : 0 pixels

Maximum : 100

Options

Afficher cette boîte de dialogue dans le Runtime

Cette boîte de dialogue est affichée dans le Runtime.

Attention : Contrairement aux fonctions de commutation des listes AML ou CEL, cette option est uniquement évaluée après commutation. Une boîte de dialogue est uniquement proposée dans le module Extended Trend si:

  • Le filtre de temps est une plage de temps
  • Le type de filtre de temps Absolu a été configuré sans spécification dans l'Éditeur
  • Le type de filtre de temps Relatif a été configuré sans spécification dans l'Éditeur

Tous les autres filtres de temps sont commutés directement

Dans le Runtime, remplacer boîte de dialogue par synoptique

Remplace la boîte de dialogue par un synoptique de filtre de temps dans le Runtime. Le synoptique actuellement lié est affiché.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique. Seuls les synoptiques associés au projet depuis lequel ils sont appelés et les synoptiques de type Filtre de temps sont disponibles.

Lors de la sélection d'un synoptique de filtre, les informations de boîte de dialogue du synoptique sont également affichées dans la vue de détail de la fonction, dans la colonne Paramètre ; si aucun synoptique n'est lié, seule la boîte de dialogue est affichée.

OK

Applique toutes les modifications et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Visualisation XY

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Configuration de l'axe de temps ou de l'axe des valeurs (axe X) -> Visualisation XY

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres

Description

Variable de l'axe X

Sélection de la variable de procédé qui sera utilisée comme l'axe X du diagramme. Elle est utilisée pour l'axe X.

Couleur

Définition de la couleur de l'axe.

Remarque : peut être configurée indépendamment de la couleur de la courbe de tendance.

Axis title (Intitulé de l'axe)

Texte de l'intitulé de l'axe dans le Runtime.

Position

Position de l'axe X dans le diagramme (0= en bas, 100=en haut).

Display vertical grid line (Afficher les lignes verticales de la grille)

Actif : Affichage des lignes de référence à chaque graduation principale.

Type d'axe

Définition de l'échelle de l'axe X.
  • Linéaire

Division linéaire de l'axe X.
  • Logarithmique

Division logarithmique de l'axe X.

Échelle

Définit la plage d'affichage de la variable de procédé à l'intérieur de sa plage de valeurs techniques (fonction de zoom).

Intitulé

Positionnement de l'intitulé de l'axe :

Au-dessus de l'axe

Les valeurs sont affichées au-dessus de l'axe.

Au-dessous de l'axe

Les valeurs sont affichées sous l'axe.

Subdivision de l'axe

Définition de la subdivision de l'axe (nombre de graduations).

Number of main ticks (Nombre de graduations principales)

Nombre de graduations principales avec indication de valeur.

Length of main ticks (Longueur des graduations principales)

Longueur des traits indiquant les graduations principales (en pixels).

Number of sub ticks (Nombre de graduations secondaires)

Nombre de graduations entre deux graduations principales.

Number of main ticks automatic (Nombre de graduations principales - Automatique)

Définition automatique de l'échelle et des graduations de l'axe dans le mode de fonctionnement en ligne.

Options

Open this dialog in the Runtime (Ouvrir cette boîte de dialogue dans le Runtime)

Cette boîte de dialogue est affichée dans le Runtime.

Attention : Contrairement aux fonctions de commutation des listes AML ou CEL, cette option est uniquement évaluée après commutation. Une boîte de dialogue est uniquement proposée dans le module Extended Trend si:

  • Le filtre de temps est une plage de temps
  • Le type de filtre de temps Absolu a été configuré sans spécification dans l'Éditeur
  • Le type de filtre de temps Relatif a été configuré sans spécification dans l'Éditeur

Tous les autres filtres de temps sont commutés directement

Dans le Runtime, remplacer boîte de dialogue par synoptique

Remplace la boîte de dialogue par un synoptique de filtre de temps dans le Runtime. Le synoptique actuellement lié est affiché.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique. Seuls les synoptiques associés au projet depuis lequel ils sont appelés et les synoptiques de type Filtre de temps sont disponibles.

Lors de la sélection d'un synoptique de filtre, les informations de boîte de dialogue du synoptique sont également affichées dans la vue de détail de la fonction, dans la colonne Paramètre ; si aucun synoptique n'est lié, seule la boîte de dialogue est affichée.

OK

Annule toutes les modifications et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

attention Attention

Affichage de l'axe X dans le diagramme à partir de la version 6.51

Les données d'archive de l'axe X ne sont plus chargées, pour des raisons de performances. Pour afficher malgré tout l'axe X dans le diagramme :

  • Ajoutez la variable sélectionnée pour le paramètre Variable for X-axis (Variable de l'axe X), ainsi que la courbe dans le diagramme.
  • Désactivez l'affichage de la courbe.

info Info

Avec les valeurs en ligne, si les paramètres cible sont différents des paramètres configurés dans le groupe Stockage données disque dur, les paramètres adéquats pouvant être acceptés sont affichés dans une boîte de dialogue.


Heure

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Configuration de l'axe de temps ou de l'axe des valeurs (axe X) -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les filtres de temps permettent de limiter la quantité de données à afficher ou exporter. Les filtres de temps sont très flexibles, et peuvent être prédéfinis dans l'Éditeur ou ajustés dans le Runtime.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Les mécanismes décrits ici s'appliquent aussi bien aux appels de synoptique qu'à l'exportation pour les éléments suivants :

  • Liste d'alarmes
  • Maintenance de l'archive
  • Liste chronologique d'événements
  • Tendance étendue
  • Synoptiques de filtre
  • Générateur de rapports
  • Module de visualisation de rapports
  • Fonction Export archives (Exporter les archives)

Le filtrage horaire peut être effectué de deux manières :

  1. En définissant un intervalle de temps dans l'Éditeur
    Des plages de temps fixes sont utilisées. un intervalle de temps est fourni dans l'Éditeur. Il est uniquement possible de filtrer les données en fonction de cet intervalle de temps dans le Runtime. Les autres filtres - tels que le filtrage par nom de variable, groupes d'alarmes/d'événements et classes d'alarmes/d'événements, etc. ne peuvent plus être modifiés dans le Runtime.
  2. Filtre de temps modifiable dans le Runtime
    Des intervalles de temps prédéfinis sont utilisés. Le filtre de temps est défini dans l'Éditeur et peut être modifié dans le Runtime, le cas échéant.

info Info

Si un synoptique ne comportant pas de filtre de temps est référencé, les filtres de temps sont désactivés.

Pour le paramètre Set filter for time filter type (Définir un filtre de type filtre de temps), l'option Display filter dialog in Runtime (Afficher la boîte de dialogue de filtre dans le Runtime) peut être sélectionnée, mais n'est pas disponible dans le Runtime.

Autres sujets abordés dans ce chapitre

Le filtre horaire peut être modifié à votre convenance dans le Runtime.

Définir la zone horaire dans l'Éditeur

Filtre absolu

Filtre relatif

A partir de

Période de temps


Le filtre horaire peut être modifié à votre convenance dans le Runtime.

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Configuration de l'axe de temps ou de l'axe des valeurs (axe X) -> Heure -> Le filtre horaire peut être modifié à votre convenance dans le Runtime.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Le filtre horaire peut être modifié à votre convenance dans le Runtime.

Avec cette méthode, vous définissez un filtre de temps dans l'Éditeur. Celui-ci peut être modifié dans le Runtime avant exécution. Pour créer le filtre :

  1. créer une fonction d'appel de synoptique.
  2. Le synoptique doit comporter des boutons Filtre et Visualiser filtre
  3. Sélectionnez le filtre souhaité :
    • Filtre absolu
    • Filtre relatif
  4. Dans la section Spécifications, sélectionnez l'option Proposer la date/l'heure actuelle.
  5. La boîte de dialogue de filtre s'affiche dans le Runtime, avec la date et l'heure actuelles.

Paramètres

Description

Filtre

Sélection du filtre.

Tout

Actif : Aucun filtre temps n'est utilisé.

Indisponible dans le module Extended Trend

Absolute filter (Filtre absolu)

Actif : Un intervalle de temps fixe est défini dans l'Éditeur. Lors de l'exécution de la fonction, l'intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Horaire relatif

Actif : Un intervalle de temps relatif est saisi.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

A partir de

Actif : L'heure à partir de laquelle le filtre est appliqué. Si l'heure n'est pas atteinte ce jour, le filtrage a lieu à partir de l'heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante ;

  • A partir de HH:MM:SS
  • A partir du jour à HH:MM:SS
  • A partir du jour, mois à HH:MM:SS

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : L'heure de départ de ce filtre n'est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L'heure de fin n'est pas définie avec ce filtre ; elle est reportée.

Période de temps

Actif : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante ;

  • Horaire-jour
  • Horaire-semaine
  • Horaire-2 semaines
  • Horaire-mois
  • Horaire année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Lot

Actif : La boîte de dialogue de sélection est affichée dans le Runtime.

Disponible uniquement pour les modules Extended Trend, Maintenance d'Archive et Rapports.

relatif

Actif : L'affichage débute toujours au point zéro. Autorise la comparaison directe de plusieurs lots.

Disponible uniquement pour le module Tendance étendue, et disponible uniquement si l'option Lot est activée.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Définir la zone horaire dans l'Éditeur

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Configuration de l'axe de temps ou de l'axe des valeurs (axe X) -> Heure -> Définir la zone horaire dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Définir la zone horaire dans l'Éditeur

Avec cette méthode, saisissez un intervalle de temps fixe dans l'Éditeur ; celui-ci sera alors appliqué lorsque la fonction sera exécutée dans le Runtime. Vous pouvez alors uniquement définir l'heure de début dans le Runtime, mais aucun autre paramètre de filtre.

Par exemple : Vous définissez un filtre temps de 30 minutes. Dans le Runtime, vous pouvez uniquement définir l'instant auquel doit débuter cet intervalle de temps de 30 minutes. Toutefois, vous ne pouvez pas transformer le filtre en filtre de jour.

attention Attention

Si vous utilisez ce filtre, vous ne pouvez plus modifier les autres filtres disponibles dans l'onglet Général dans le Runtime. Vous pouvez toutefois encore filtrer le texte, les états et les équipements.

Pour créer le filtre :

  1. créer une fonction d'appel de synoptique.
  2. Le synoptique doit comporter un bouton Filtre permettant d'exécuter le filtre dans le Runtime

    Conseil : Activez l'option Offer this dialog in the Runtime (Afficher cette boîte de dialogue dans le Runtime) dans l'onglet Général de la boîte de dialogue de filtre. Ceci vous permet de modifier l'heure de début avant l'exécution de la fonction. N'activez pas l'affichage du filtre dans le Runtime lorsque la fonction est activée ; ceci garantit que l'intervalle actuel est toujours utilisé. Si vous avez activé l'option Use last closed time period (Utiliser le dernier intervalle de temps fermé), l'intervalle de temps précédent est affiché.
    Exemple : vous définissez un filtre temps de 30 minutes. Il est 10:45 lorsque la fonction est activée. Si l'option Use last closed time period (Utiliser le dernier intervalle de temps fermé) est désactivée, le filtre est réglé sur l'intervalle de temps précédent, de 10:30:00 à 10:59:59. Si l'option est activée, le filtre est réglé sur l'intervalle de temps précédent, de 10:00:00 à 10:29:59.

  3. Sélectionnez le filtre souhaité :
    • Filtre absolu
    • Filtre relatif
  4. Configurez l'intervalle de temps sélectionné dans la section Spécifications de l'intervalle de temps souhaité (voir les sections Filtre absolu, Filtre relatif et Ab)

Paramètres

Description

Filtre

Sélection du filtre.

Tout

Actif : Aucun filtre temps n'est utilisé.

Indisponible dans le module Extended Trend

Absolute filter (Filtre absolu)

Actif : Un intervalle de temps fixe est défini dans l'Éditeur. Lors de l'exécution de la fonction, l'intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Horaire relatif

Actif : Un intervalle de temps relatif est saisi.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

A partir de

Actif : L'heure à partir de laquelle le filtre est appliqué. Si l'heure n'est pas atteinte ce jour, le filtrage a lieu à partir de l'heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante ;

  • A partir de HH:MM:SS
  • A partir du jour à HH:MM:SS
  • A partir du jour, mois à HH:MM:SS

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : L'heure de départ de ce filtre n'est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L'heure de fin n'est pas définie avec ce filtre ; elle est reportée.

Période de temps

Actif : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante ;

  • Horaire-jour
  • Horaire-semaine
  • Horaire-2 semaines
  • Horaire-mois
  • Horaire année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Lot

Actif : La boîte de dialogue de sélection est affichée dans le Runtime.

Disponible uniquement pour les modules Extended Trend, Maintenance d'Archive et Rapports.

relatif

Actif : L'affichage débute toujours au point zéro. Autorise la comparaison directe de plusieurs lots.

Disponible uniquement pour le module Tendance étendue, et disponible uniquement si l'option Lot est activée.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Filtre absolu

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Configuration de l'axe de temps ou de l'axe des valeurs (axe X) -> Heure -> Filtre absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Filtre absolu

Le filtre absolu permet de définir une période de temps fixe. Lors de l'exécution de la fonction, l'intervalle temps absolu défini est utilisé avec exactitude. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l'option Filtre absolu.
  2. Configurez l'intervalle de temps souhaité dans la section Paramètres.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Paramètre | Description
Configurer les barres d'outils | Configuration du filtre horaire
Proposer la date/heure courante | Actif : Le filtre de temps est affiché dans le Runtime.
Défaut | Actif : le filtre de temps est fourni dans l'Éditeur. Seule l'heure de début peut encore être configurée dans le Runtime.
A partir de | Heure de début du filtre. Sélection du jour, du mois, de l'année, de l'heure, de la minute et de la seconde
Jusqu'à | Heure de fin du filtre. Sélection du jour, du mois, de l'année, de l'heure, de la minute et de la seconde

Exemple : si vous souhaitez voir toutes les alarmes du 1er janvier 2011 au 31 décembre 2011, saisissez les données correspondantes dans les champs À partir et À.


Filtre relatif

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Configuration de l'axe de temps ou de l'axe des valeurs (axe X) -> Heure -> Filtre relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Filtre relatif

Un intervalle de temps relatif est saisi.

Attention : ce filtre est constamment mis à jour et continue à fonctionner.

Paramètre | Description
Configurer les barres d'outils | Configuration du filtre horaire.
Proposer la date/heure courante | Actif : Le filtre de temps est affiché dans le Runtime.
Défaut | Actif : le filtre de temps est fourni dans l'Éditeur. Seule l'heure de début peut encore être configurée dans le Runtime. Sélection de l'intervalle relatif en jours, heures, minutes et secondes.

Exemple : vous pouvez définir un intervalle de temps relatif de 10 minutes et basculer vers un synoptique de type Liste d'alarmes en réglant ce filtre de temps sur 12:00. Vous verrez alors s'afficher les alarmes de 11:50 à 12:00 lors de l'appel de synoptique. Si le synoptique Liste d'alarmes reste ouvert, le filtre est automatiquement mis à jour. A 12:01, vous voyez les alarmes de 11:51 à 12:01, etc.


A partir de

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Configuration de l'axe de temps ou de l'axe des valeurs (axe X) -> Heure -> A partir de

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
A partir de

Définit l'heure à partir de laquelle le filtre est appliqué.

Paramètre

Description

Configurer les barres d'outils

Configuration du filtre horaire

[Date/Heure]

Selon la configuration de l'option, l'heure à partir de laquelle le filtre est appliqué est configurée ici :

  • heure - minute - seconde
  • jour - heure - minute - seconde
  • jours - mois - heure - minute - seconde

Attention ! L'heure de départ de ce filtre n'est pas mise à jour automatiquement. Seules les heures existantes affichées sont appliquées, même si le synoptique reste ouvert et l'heure de 23:00:00 est atteinte.
L'heure de fin de l'intervalle n'est pas définie avec ce filtre ; elle est reportée.
  • heure - minute - seconde

L'heure à partir de laquelle le filtre est appliqué. Si l'heure n'est pas atteinte ce jour, le filtrage a lieu à partir de l'heure correspondante le jour précédent.

Exemple : vous saisissez 23:00:00. Si la fonction est exécutée à 23:30, elle est filtrée de 23:00:00 jusqu'à l'heure actuelle. S'il est 22:30, toutefois, le filtrage est actif de 23:00:00 le jour précédent jusqu'à l'heure actuelle.
  • jour - heure - minute - seconde

Un jour et une heure de début du filtre sont saisis. Si l'heure indiquée n'a pas été atteinte au cours du mois actuel, l'heure correspondante définie le mois précédent est utilisée.

Exemple : Vous saisissez jour 5 - 23:00:00. Si nous sommes le 10 du mois et il est 23:30, le filtrage sera appliqué à compter du 5 à 23:00:00 jusqu'à l'heure actuelle. Si toutefois nous sommes le 4 du mois, le filtrage sera appliqué à partir du 5 du mois précédent jusqu'à l'heure actuelle.

  • jours - mois - heure - minute - seconde

Un mois, un jour et une heure de début du filtre sont saisis. Si l'heure indiquée n'a pas été atteinte au cours de l'année actuelle, l'heure correspondante définie l'année précédente est utilisée.

Exemple : Vous saisissez Mois Octobre, Jour 5- 23:00:00. Si nous sommes le 10 octobre et il est 23:30, le filtrage est appliqué à compter du 5 octobre à 23:00:00 jusqu'à l'heure actuelle. Si toutefois nous sommes le 4 octobre, le filtrage sera appliqué à partir du 5 octobre de l'année précédente jusqu'à l'heure actuelle.


Période de temps

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Configuration de l'axe de temps ou de l'axe des valeurs (axe X) -> Heure -> Période de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Période de temps

Définit une période de temps durant laquelle le filtre est appliqué.

Paramètre

Description

Configurer les barres d'outils

Configuration du filtre horaire

Modifier la période de temps

Permet de modifier les cycles, les délais et les prolongations de périodes de temps.

Actif : L'évaluation est réalisée conformément aux règles suivantes :

  • D'abord, l'option Utiliser la dernière période de temps effectuée est évaluée.
  • Ensuite, l'option Modifier la période de temps de est utilisée.
  • Enfin, l'option Déplacer la période de temps dans le futur de est appliquée.

Inactive : aucune modification n'est apportée à la période de temps.

Attention : Dans la version 7.10, les actions de filtrage réalisées avec cette fonction génèrent des résultats différents de celles réalisées dans les versions antérieures.

Déplacer la période de temps dans le futur de

Actif : La période de temps définie dans le filtre est décalée vers le futur. Indication en heures - minutes - secondes.

Si un décalage égal ou supérieur à la période de temps sélectionnée est défini, un message invitant l'utilisateur à vérifier la configuration s'affiche.

Modifier la période de temps de

Actif : La période de temps définie dans le filtre est modifiée. Indication en heures - minutes - secondes.

Si une modification et un décalage égaux ou supérieurs à la période de temps sélectionnée sont définis, un message invitant l'utilisateur à vérifier la configuration s'affiche.

Ajouter la durée

Actif : L'heure indiquée dans le paramètre Modifier la période de temps de est ajoutée au temps défini dans le paramètre Période de temps.

Soustraire la durée

Actif : L'heure indiquée dans le paramètre Modifier la période de temps de est déduite du temps défini dans le paramètre Période de temps.

Utiliser la dernière période de temps effectuée

Actif : La dernière période de temps terminée est utilisée.


Configuration des colonnes pour les listes de courbes étendue

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Configuration des colonnes pour les listes de courbes étendue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer les paramètres des colonnes pour l'affichage de la liste de courbes étendue dans le Runtime :

  1. Cliquez sur le bouton de la liste des courbes étendue dans la boîte de dialogue d'appel de synoptique.
  2. La boîte de dialogue de configuration des colonnes s'affiche à l'écran.

Paramètres | Description
Champ de liste | Affichage des colonnes configurées.
Sélection des colonnes | Ouvre la boîte de dialogue permettant de sélectionner les colonnes de caractères.
Format des colonnes | Ouvre la boîte de dialogue de mise en forme des colonnes.
OK | Applique toutes les modifications et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Sélection des colonnes

Format des colonnes


Sélection des colonnes

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Configuration des colonnes pour les listes de courbes étendue -> Sélection des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette section, vous configurez les colonnes affichées dans le Runtime.

Bouton | Fonction
Ajouter | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter tout | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Flèche vers le haut | Déplace l'entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques ; les sélections multiples ne sont pas autorisées dans ce cas.
Flèche vers le bas | Déplace l'entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques ; les sélections multiples ne sont pas autorisées dans ce cas.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Abandonne les paramètres et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Format des colonnes

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Créer un nouveau diagramme -> Configuration des colonnes pour les listes de courbes étendue -> Format des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les colonnes sont mises en forme ici.

Paramètre

Description

Colonnes disponibles

Liste de colonnes disponibles avec la fonction de sélection de colonnes. La colonne sélectionnée ici est configurée à l'aide des paramètres de la section Paramètres.

Paramètre

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l'intitulé de colonne. Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, insérez le caractère @ devant le nom de l'intitulé.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement.

Paramètres possibles :

  • Justifié à gauche : le texte est justifié contre le bord gauche de la colonne.
  • Centré le texte est centré dans la colonne.
  • Justifié à droite : le texte est justifié contre le bord droit de la colonne.

Désactiver le filtre sur les colonnes dans le Runtime

Actif : le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Contrôle de batch
  • Synoptique Extended Trend
  • Gestion de messages
  • Gestionnaire de groupes de recettes

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Procédure de configuration

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Procédure de configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'ordre de la configuration de la tendance étendue se fait comme suit :

Paramètres | Description
Créez un nouveau synoptique de type "Tendance étendue". | Attribuez un cadre distinct ou un cadre existant à partir d'une autre tendance étendue. Positionnement des éléments de contrôle dans la nouvelle fenêtre.
Fonction de définition du diagramme avec la fonction "Appel de synoptique" | Créez une fonction Appel de synoptique pour le synoptique Tendance étendue et définissez les paramètres.
Entrée dans le fichier project.ini |


Entrées pour les tendances étendues dans le fichier project.ini.

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Entrées pour les tendances étendues dans le fichier project.ini.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les entrées suivantes peuvent être spécifiées dans le fichier project.ini pour la tendance étendue.

Paramètres

Description

[DEFAULT]

MILLISEK=

1 – Affiche une grille en millisecondes
0 – Valeur minimale de la grille de rafraîchissement

[EW_TREND]

ANZEIGE_GWTEXT=

1 – Affiche le texte de limite (par défaut)
0 – Ne l'affiche pas

[ARCHIV]

Gestion des archives

ARCHDIGITS=

Nombre de positions décimales pour l'exportation d'archives aux formats TXT, XML et DBF et pour l'exportation vers un serveur SQL.
Par défaut=1.

TRENNZEICHEN=

Séparateur pour l'export au format ASCII?.
Par défaut = ;

SPEICHER=

Nombre maximal de valeurs en mémoire pour les tendances étendues, la maintenance de l'archive et les rapports?.
Par défaut = 1000

KANALAUSWAHL=

Pour les tendances étendues de variables d'archives, affiche ou non la case à cocher de sélection "Tous les canaux"
?1 = Affiche (par défaut) ?
2 = Ne l'affiche pas

SQL_MAXROWS=

Nombre maximum de valeurs pouvant être lues depuis la base de données SQL. La valeur saisie correspond à des incréments de 1000 valeurs. 100 = 100 000 valeurs.

À compter de la version 6.50, une fonction vérifie automatiquement qu'il reste 10 % de mémoire libre.


Profils de filtre

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Profils de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les profils permettent à l'utilisateur de sauvegarder des paramètres de filtre pendant le Runtime. Pour utiliser les profils, un sous-menu Profils existe dans le menu Élément de contrôle ; il comporte les éléments suivants :

Paramètres | Description
Profils de filtre | Gestion de profils
Sélection profil | Sélectionnez le profil sauvegardé (liste déroulante).
Enregistrer | Enregistrer les paramètres sous forme de profil (bouton)
Supprimer | Supprimer profil (bouton)

Les paramètres de filtre peuvent être modifiés dans le Runtime. Vous pouvez ensuite attribuer aux paramètres définis un nom unique saisi dans l'élément Sélection profil. Le bouton Enregistrer permet d'enregistrer le profil de façon permanente et de le rendre disponible lors des sessions futures.

Après avoir sélectionné un profil qui n'est plus nécessaire pour la sélection de profil, vous pouvez le supprimer en cliquant sur le bouton Supprimer.


Fonctions

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Appel de synoptique - Tendance étendue

Stockage des données sur le disque dur

Imprimer un diagramme Extended Trend


Appel de synoptique - Tendance étendue

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Fonctions -> Appel de synoptique - Tendance étendue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après avoir créé un synoptique de type Tendance étendue, un diagramme de tendance peut être défini avec l'appel de synoptique fonction.

Les options pouvant être configurées sont les suivantes :

Paramètre

Description

Origine des données

Sélection de l'origine des données.

Données en ligne

Utilisez les valeurs en ligne actuelles et les valeurs enregistrées pour l'affichage dans les diagrammes.

Données de tableaux

Utilisez les variables et les valeurs de tableaux pour l'affichage dans les diagrammes.

L'affichage des variables avec des valeurs de tableaux fonctionne de la même manière que l'affichage XY. Toutefois, vous ne pouvez pas sélectionner un filtre horaire ou une variable X. Dans la boîte de dialogue Axe X, vous saisissez les indices de tableau correspondants des données source sur une échelle De et A.

Remarque : les données d'ensembles ne désignent pas les variables d'ensembles, mais la propriété Dimension tableau, qui peut être définie pour une variable.

Données d'archives

Utilise les valeurs d'archive (format ARX ou données SQL) stockées dans la base de données pour l'affichage dans les diagrammes.

Info : les archives aux formats XML, dBase ou TXT ne sont plus affichées après expiration du cycle de stockage.

Lire les archives depuis chemin de sauvegarde

Disponible uniquement si vous avez sélectionné le champ d'option Données d'archives.

Les données historiques provenant du dossier de sauvegarde sont utilisées pour l'affichage.

Données delta uniquement

Actif : Lors de la commutation ou de la mise à jour de la tendance, seules les archives contenant des données modifiées sont chargées.

Trier les données

Actif : Les données sont triées avec des informations d'horodatage après chargement.

Remarque : L'utilisation de cette option peut affecter les performances, car les données doivent être systématiquement triées à nouveau.

Recommandation : Utilisez cette option si les données proviennent d'une source externe et il est impossible de garantir l'exactitude de leur ordre.

Affichage

Paramètres d'affichage graphique.

Nom du diagramme

Nom de diagramme pouvant être configuré au choix ; peut être affiché dans l'élément de contrôle.
Si la chaîne contenue dans le nom de diagramme contient la combinaison de caractères %c%, celle-ci sera remplacée par les noms de batch satisfaisant aux critères de filtre dans le Runtime. Par exemple :
Nom du diagramme = Diagram1_%C%_end
Ce nom dirige le Runtime vers le diagramme
Diagram1_batch1_end.

Police

Sélection ou définition de la police utilisateur pour les légendes d'axes et les indicateurs de valeur.

Diagram settings and cursor output (Paramètres du diagramme et affichage du curseur)

Ouvre la boîte de dialogue permettant d'accéder à d'autres paramètres de configuration de l'affichage du diagramme (voir Paramètres du diagramme et affichage du curseur).

Largeur de défilement [%]

Définition du défilement si le bord droit du diagramme est atteint.
Attention : seulement pour les diagrammes avec valeurs en ligne.

Refresh rate [s] (Fréquence d'actualisation [s])

Définissez la fréquence d'actualisation, en secondes.

  • La valeur doit être supérieure à 0 pour les données en ligne et les données de tableaux.
  • Les synoptiques ne peuvent pas être chargés de manière statique pour les données en ligne ou les données d'ensembles.
  • Pour les données d'archives, la fréquence de rafraîchissement s'adapte automatiquement au temps de chargement des données. Si le chargement dure plus longtemps que la moitié de l'intervalle de rafraîchissement, la fréquence de rafraîchissement est doublée.
    La valeur du paramètre Refresh rate (Fréquence de rafraîchissement) peut également être réglée sur 0.
    Les données affichées ne sont alors pas mises à jour.
    Ce paramètre est utile si d'importantes quantités de données doivent être affichées dans le module ETM. Dans ce cas, si le paramètre Refresh rate (Fréquence de rafraîchissement) est défini sur une valeur basse, une boucle infinie peut se produire.

Optimisez la fréquence de rafraîchissement : lors de la lecture de données archivées, un message journal est créé au début et à la fin par le serveur (serveurs indépendants inclus) et le client. Ce message journal peut être lu à l'aide de l'application Diagnosis Viewer. Celle-ci permet de déterminer la durée de la lecture et de configurer une fréquence de rafraîchissement correspondante.

Offset [s]

Déplacement du point zéro de l'axe de temps vers la valeur indiquée en secondes.

Axe X

Options pour l'axe X.

Visualisation XT

Représentation des courbes selon le temps

Visualisation XY

Représentation des courbes avec une autre variable.

X axis and time filter/time axis and time filter (Axe X et filtre horaire/Axe de temps et filtre horaire)

Ouvre la boîte de dialogue de configuration de l'axe X/de l'axe de temps et du filtre horaire (voir Axe X et filtre horaire).

Le développement de la période de temps se déroule de manière semblable au développement du filtre horaire dans la liste d'alarmes et la liste chronologique d'événements (voir le chapitre Filtre horaire dans le manuel Liste d'alarmes).

Courbes

Options pour les courbes.

Add curve (Ajouter une courbe)

Ouvre la boîte de dialogue de sélection de variables.

Supprimer la courbe

Cliquez sur ce bouton pour supprimer les courbes sélectionnées.

Liste de courbes étendue

Ouvre la boîte de dialogue Paramètres des colonnes permettant de configurer les colonnes de la liste de courbes étendue.

Modifier courbe

Ouvre la boîte de dialogue de configuration des paramètres de la courbe et de l'axe Y (voir Modifier courbe).

Display curve (Afficher la courbe)

Pour chaque courbe sélectionnée, vous pouvez décider, en cochant la case correspondante, si vous souhaitez l'afficher lors du chargement du synoptique du diagramme.

Si vous désélectionnez cette case à cocher, vous pouvez ensuite sélectionner la courbe sur le synoptique Tendance étendue et l'afficher.

Le premier x affiché à droite, près du nom de la courbe, indique si vous avez coché la case correspondant à cette courbe.

Display Y axis for the curve (Afficher l'axe Y pour la courbe)

Pour chaque courbe sélectionnée, vous pouvez décider, en cochant la case correspondante, si vous souhaitez afficher l'axe Y lors du chargement du synoptique du diagramme.

Si vous désélectionnez cette case à cocher, vous pouvez ensuite sélectionner l'axe Y pour la courbe sur le synoptique Tendance étendue et l'afficher.

Le deuxième x affiché à droite, près du nom de la courbe, indique si vous avez coché la case correspondant à cette courbe.

Options

Paramètres additionnels.

Paramètres impression

Ouvre la boîte de dialogue des paramètres d'impression. Vous pouvez soit imprimer des diagrammes, soit les enregistrer sous forme de fichier (voir Imprimer le diagramme).

Export settings (Exporter les paramètres)

Exporte les paramètres du diagramme (variables, cadres, heures etc.) définis sous forme de fichier DRG.

Import settings (Importer les paramètres)

Importe les paramètres du diagramme (variables, cadres, heures etc.) définis sous forme de fichier DRG.

OK, Annuler, Aide

Boutons de confirmation du paramètre, d'annulation et d'aide à l'appel.

Remarque : Le bouton OK est actif lorsqu'au moins une courbe a été développée.

Chaque courbe de tendance porte son propre nom. Nous vous recommandons de ne pas afficher trop de courbes de tendances simultanément, de façon à garder une bonne vue d'ensemble. Plusieurs variables peuvent être configurées et être ensuite activées librement dans le Runtime.


Stockage des données sur le disque dur

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Fonctions -> Stockage des données sur le disque dur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si les variables en ligne doivent être affichées dans le module Tendance étendue, nous vous recommandons de coordonnées les valeurs sur le disque dur lors de l'enregistrement des valeurs de variables. Lors de la configuration d'un synoptique Tendance étendue, si l'option Données en ligne est sélectionnée, une autre boîte de dialogue permettant de définir la durée du cycle et le nombre de valeurs s'affiche lors de la fermeture de la boîte de dialogue.

Cette boîte de dialogue propose des valeurs facultatives pour l'enregistrement des valeurs de variables sur le disque dur. Cliquez sur OK pour transférer les valeurs et les définir dans les propriétés correspondantes des variables. Cliquez sur Annuler pour créer le synoptique sans modifier les valeurs des variables. Ces dernières peuvent également être adaptées manuellement.

Paramètre | Description
Suggestion concernant les valeurs enregistrées | Valeurs proposées par le système pour les propriétés du groupe Stockage données disque dur.
Numéro | Nombre de valeurs écrites. correspond à la valeur définie dans la propriété Nombre de valeurs.
Temps de cycle [s] | durée du cycle en secondes. Durée du cycle en secondes ; correspond à la valeur définie dans la propriété Temps de cycle [s].
Champ de liste | Affiche la valeur actuelle des variables devant être remplacées par les valeurs proposées.
Accept suggestion (Accepter la suggestion) | Écrit les valeurs proposées dans les propriétés correspondantes des variables suggérées, puis ferme la boîte de dialogue. Si elle est activée, la propriété Stockage de données sur disque dur actif est désactivée.
Decline suggestion (Refuser la suggestion) | Ferme la boîte de dialogue sans remplacer les valeurs des variables. Ces valeurs peuvent également être modifiées manuellement à tout instant.
Aide | Ouvre l'aide en ligne

Pour les variables, les paramètres se trouvent dans le groupe Stockage données disque dur. Ce groupe contient les propriétés suivantes :

  • Stockage de données sur disque dur actif : active ou désactive l'enregistrement des données.
  • Nombre de valeurs : nombre de valeurs enregistrées.
  • Temps de cycle [s] : durée du cycle en secondes.
  • Type d'enregistrement : type d'enregistrement :
    • Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
    • Valeurs retriées (RDA) : Les valeurs sont écrites sous forme de blocs sur le disque dur par le driver.
      Fonction adaptée à l'analyse rétrospective des erreurs. Le contrôleur doit donc être configuré pour enregistrer les données en cas d'erreur et écrire ces données sur le disque dur, une fois le bon fonctionnement rétabli.


Imprimer un diagramme Extended Trend

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Fonctions -> Imprimer un diagramme Extended Trend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction vous permet d'imprimer les diagrammes de la tendance étendue ou de les enregistrer dans un fichier (JPG ou BMP) sans ouvrir le synoptique Tendance étendue.

Vous pouvez trouver la fonction dans la liste des fonctions du nœud Applications.

Remarque : les impressions lancées en cliquant sur le bouton Imprimer d'un synoptique Tendance étendue peuvent différer de celles effectuées à l'aide de la fonction Print extended trend diagram (Imprimer le diagramme de Tendance étendue). La fonction lance l'impression en se basant sur une fenêtre de 1000 x 700 pixels. Les proportions des impressions lancées à l'aide du bouton sont définies dans l'Éditeur.

Autres sujets abordés dans ce chapitre

Généralités

Entête / Pied de page

Titre / Commentaire


Généralités

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Fonctions -> Imprimer un diagramme Extended Trend -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètre | Description
Affichage |
Imprimantes | Si vous sélectionnez ce champ d'option, le diagramme est transmis à l'imprimante que vous avez définie comme imprimante pour les captures d'écran. Reportez-vous également au chapitre relatif aux imprimantes.
Fichier | Si vous sélectionnez ce champ d'option, le diagramme est enregistré sous forme de fichier. Vous pouvez déterminer si le diagramme est enregistré sous forme de fichier JPEG ou de fichier BMP à l'aide du menu déroulant. Le nom du fichier est affiché dans le champ adjacent à la liste déroulante. Vous pouvez définir les noms à l'aide des deux champs d'option suivants et de la case à cocher With prefix (Avec préfixe).
Nom défini librement | Si vous sélectionnez ce champ d'option, vous êtes libre de saisir le nom de votre choix pour le fichier dans le champ de saisie.
Nom automatique | Si vous sélectionnez ce champ d'option, le nom de fichier est automatiquement créé au format suivant : AAAAMMJJ_HHMM
With prefix (Avec préfixe) | Disponible uniquement si vous avez sélectionné l'option Automatic name (Nom automatique). Saisissez le préfixe de votre choix pour le nom de fichier automatiquement créé.
Largeur [pixels] | Saisissez la largeur du fichier graphique, en pixels.
Hauteur [pixels] | Saisissez la hauteur du fichier graphique, en pixels.
Légende |
Afficher | Cochez la case si vous souhaitez imprimer la légende avec le diagramme. La légende indique certains éléments, tels que la couleur de chaque courbe.
Zone d'impression |
Imprimer sur une page | Cochez cette case si vous souhaitez que l'échelle soit affichée du même côté que la légende.


Entête / Pied de page

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Fonctions -> Imprimer un diagramme Extended Trend -> Entête / Pied de page

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour l'impression d'une tendance étendue, des informations supplémentaires peuvent être ajoutées dans l'entête et/ou le pied de page lors de l'impression. Vous pouvez insérer la date, l'heure, le nom du diagramme et le numéro de page à l'aide des quatre symboles.


Titre / Commentaire

Manuels -> Extended trend (Tendance étendue) -> Configuration dans l'Éditeur -> Fonctions -> Imprimer un diagramme Extended Trend -> Titre / Commentaire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez également configurer un titre avec un commentaire lors de l'impression de la tendance étendue. Vous pouvez insérer la date, l'heure, le nom du diagramme et le numéro de page à l'aide des quatre symboles.


Fonctionnement dans le Runtime

Manuels -> Extended trend (Tendance étendue) -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En mode de fonctionnement en ligne, le synoptique de type 'tendance étendue' est ouvert par une fonction 'Appel de synoptique' (p.ex. sur un bouton). Le champ Online (En ligne) du synoptique prédéfini dans l'Éditeur est ouvert.

Avec la liste de courbes étendue :

Différents éléments de contrôle permettent d'utiliser le module Tendance étendue et les affichages, selon la configuration. Les options possibles sont les suivantes :

Élément

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Fenêtre

Affichages.

Fenêtre Diagramme

Fenêtre d'affichage des tendances de courbes

Nom du diagramme

Affiche le nom du diagramme

Fenêtre d'affichage du curseur

Affiche la position du curseur dans la fenêtre du diagramme et les valeurs définies dans les paramètres du diagramme et l'affichage du curseur

Liste des courbes

Liste déroulante des courbes.

Liste de courbes étendue

Liste de courbes pouvant être modifiée dans le Runtime :

  • Nom de la courbe
  • Titre
  • Couleur
  • Axe Y
  • Actif

Remarque : Indisponible sous Windows CE, remplacée par la liste de courbes normale.

Affichage : Définir filtre

Affiche l'état actuel du filtre de temps actuel dans le Runtime.

Boutons

éléments de contrôle prédéfinis

Bouton Diagramme

Modifier les paramètres du diagramme

Bouton Courbe

Modifier les paramètres des courbes

Paramétrage du diagramme

Active la boîte de dialogue de configuration des paramètres du diagramme et d'affichage du curseur

Bouton Zoom

Agrandir l'affichage

Bouton Zoom inverse

Réduire l'affichage

Zoom +

Réduit les intervalles de temps d'

Zoom -

Augmente les intervalles de temps d'affichage

Zoom à 100%

Règle le facteur de zoom sur 100%.

Cette action de zoom est enregistrée dans l'historique du zoom. Ceci signifie : si une zone sélectionnée du module Extended Trend est agrandie deux fois à l'aide de la fonction Zoom, puis la fonction Zoom à 100% est sélectionnée et une zone spécifique est à nouveau agrandie, 4 événements de zoom sont enregistrés dans l'historique. Cette fonction peut être rétablie à l'aide de la fonction Zoom inverse.

Bouton Actualiser

Actualise l'affichage

Boutons En arrière

Se déplacer vers l'arrière sur l'axe du temps (historique)

Bouton En avant

Se déplacer vers l'avant sur l'axe du temps (actuel)

Bouton Arrêt

Ne pas mettre l'affichage à jour

Bouton Lecture

Mettre l'affichage à jour

Curseur actif/inactif

Exécuter une requête de valeurs

Double cursor on/off (Activer/désactiver le double curseur)

Affichage des valeurs situées entre deux curseurs.

Cursor one pixel to the left (Déplacer le curseur d’un pixel vers la gauche)

Déplace le curseur d’un pixel vers la gauche.

Si vous appuyez sur la touche Maj en sélectionnant cette option, le curseur se déplace de 10 pixels.

Cursor one pixel to the right (Déplacer le curseur d’un pixel vers la droite)

Déplace le curseur d’un pixel vers la droite.

Si vous appuyez sur la touche Maj en sélectionnant cette option, le curseur se déplace de 10 pixels.

Imprimer

Imprime le diagramme.

Remarque : les impressions lancées en cliquant sur le bouton Imprimer d'un synoptique Tendance étendue peuvent différer de celles effectuées à l'aide de la fonction Print extended trend diagram (Imprimer le diagramme de Tendance étendue). La fonction lance l'impression en se basant sur une fenêtre de 1000 x 700 pixels. Les proportions des impressions lancées à l'aide du bouton sont définies dans l'Éditeur.

Dialogue d'impression

Définitions de différents paramètres avant l'impression du diagramme.

Copy to clipboard (Copier vers le presse-papiers)

Copie l'affichage vers un emplacement de stockage provisoire.

Bouton Quart d'unité en arrière

Déplace la période de temps affichée en arrière d'un quart de l'unité sélectionnée.

Bouton Quart d'unité en avant

Déplace la période de temps affichée en avant d'un quart de l'unité sélectionnée.

Bouton Axe X

Ouvre la boîte de dialogue de configuration de l'axe X

Exporter les données affichées

Exporte toutes les données visibles de toutes les courbes sous forme de fichier CSV.

Profils de filtre

Gestion de profils.

Sélection profil

Sélectionne un profil enregistré.

Enregistrer

Enregistre les paramètres sous forme de profil.

Supprimer

Supprimer le profil.

info Info

Les éléments de contrôle Cursor one pixel to the left (Déplacer le curseur d’un pixel vers la gauche) et Cursor one pixel to the right (Déplacer le curseur d’un pixel vers la droite) déplacent le curseur s'il est actif, et non la tendance. Vous pouvez également utiliser les touches fléchées de votre clavier à la place des éléments de contrôle. Si vous maintenez la touche Maj enfoncée pendant que vous déplacez le curseur à l'aide des touches fléchées, le déplacement est effectué par incréments de 10 pixels.

info Info

La fréquence de rafraîchissement s'adapte de manière dynamique au temps de chargement des données du module Tendance étendue. Si le chargement dure plus longtemps que la moitié de l'intervalle de rafraîchissement, la fréquence de rafraîchissement est doublée.

Curseur

Cliquez sur le bouton Curseur actif/inactif pour lancer le mode de balayage. Un curseur apparaît au milieu du diagramme. Vous pouvez déplacer le curseur en cliquant dessus avec le bouton gauche et en déplaçant la souris en maintenant le bouton gauche enfoncé. Vous pouvez également utiliser le clavier. Appuyez sur les touches fléchées gauche ou droite pour déplacer le curseur par petits incréments. Pour obtenir des incréments plus importants, appuyez sur la touche Maj en même temps. Vous pouvez voir la valeur correspondante dans la fenêtre d'affichage du curseur. Cliquez à nouveau sur le bouton Curseur actif/inactif pour quitter le mode de balayage. Les informations suivantes peuvent être affichées dans la fenêtre d'affichage du curseur :

Paramètres | Description
Date | Date/Heure de la valeur sauvegardée
Variable | Nom de variable de la valeur sauvegardée
Valeur | Valeur technique de la valeur sauvegardée
Unité | Unité de la valeur sauvegardée
Limite | Texte de condition (valeur limite) de la valeur sauvegardée
État | État de la valeur sauvegardée
Minimum | Minimum sur la période de temps affichée (optionnel)
Moyenne | Moyenne sur la période de temps affichée (optionnel)
Maximum | Maximum sur la période de temps affichée (optionnel)

Pour modifier les informations affichées et la largeur des colonnes, cliquez sur le bouton Paramétrage du diagramme... ; la fenêtre Diagram settings and cursor output (Paramètres du diagramme et affichage du curseur) s'ouvre.

Dans la section Cursor output (Affichage du curseur), vous pouvez définir les largeurs de colonne pour les différentes entrées affichées dans la fenêtre d'affichage du curseur. La case à cocher vous permet de déterminer les colonnes que vous souhaitez afficher.

Double cursor on/off (Activer/désactiver le double curseur)

Si vous avez configuré l'élément de contrôle Double cursor on/off (Activer/désactiver le double curseur), vous avez la possibilité d'utiliser un deuxième curseur dans le diagramme. Cela autorise un balayage avec deux curseurs distincts. Cliquez sur le bouton Double cursor on/off (Activer/désactiver le double curseur) pour afficher deux curseurs : un premier à l'extrémité gauche du diagramme, et un deuxième à son extrémité droite). Vous pouvez déplacer le deuxième curseur avec la souris ou le clavier. Pour cela, maintenez la touche Ctrl enfoncée et appuyez sur les touchées fléchées gauche ou droite pour déplacer le curseur par petits incréments. Pour obtenir des incréments plus importants, appuyez sur la touche Maj en même temps.

Les valeurs comprises entre le premier et le deuxième curseur sont affichées dans la fenêtre d'affichage du curseur. Vous pouvez personnaliser les colonnes disponibles à votre convenance dans la boîte de dialogue Diagram settings and cursor output (Paramètres du diagramme et affichage du curseur).

info Info

Le double curseur n'est pas disponible pour le type Array data (Données de tableaux).

Paramétrage du diagramme

Des modifications temporaires (sans sauvegarde) peuvent être faites dans le Runtime à partir de la configuration existante effectuée dans l'éditeur. Cliquez sur le bouton Diagramme... pour ouvrir la fenêtre Créer diagramme (voir la copie d'écran).

Les modifications possibles sont les suivantes :

Paramètres | Description
Actif | Active / désactive l'affichage de la courbe sélectionnée
Axe Y | Active / désactive l'affichage de l'axe Y de la courbe sélectionnée
Modifier courbe | Modifie les caractéristiques de la courbe de tendance sélectionnée dans la partie inférieure de la boîte de dialogue.
Diagram settings and cursor output (Paramètres du diagramme et affichage du curseur) | Définition des paramètres du diagramme (couleur de fond, limites du cadre, largeur des colonnes, etc.).
Police | Police utilisateur pour les légendes des axes X et Y et des indications de valeurs
Rafraîchissement | Rafraîchissement du diagramme pour les données en ligne

Autres sujets abordés dans ce chapitre

Exporter données

Utilisation de la liste de courbes étendue

Filtre pour l'appel de synoptique

Conseils relatifs au fonctionnement en ligne

Modification rapide des paramètres d'axe en mode de fonctionnement en ligne


Exporter données

Manuels -> Extended trend (Tendance étendue) -> Fonctionnement dans le Runtime -> Exporter données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En tant qu'élément de contrôle, un bouton Exporter toutes les données pour la Tendance étendue peut être inséré et utilisé dans le Runtime. Dans ce cas, toutes les données visibles de toutes les courbes affichées sont enregistrées dans un fichier texte au format CSV.

Format du fichier CSV

  • Les données sont enregistrées sous forme de fichier texte au format Unicode.
  • Séparateur : Point-virgule (;)
  • Vous êtes libre de choisir l'emplacement et le nom du fichier dans la boîte de dialogue d'enregistrement.
  • Le fichier ne comporte pas d'en-tête.
  • Les données sont affichées dans l'ordre suivant dans le fichier texte :

    Nom de la variable;Identification;Valeur;Unité;État;Heure

Propriété

Format

Nom de la variable :

chaîne de caractères

Identification :

chaîne de caractères

Valeur :

  • Jusqu'à 8 chiffres avant le séparateur décimal
  • 8 chiffres après le séparateur décimal

Unité :

chaîne de caractères

État :

chaîne de caractères

Heure :

jj.mm.aaaa hh:mm:ss.ms

Aucune sortie n'est générée si une propriété de variable exportée est vide.

Exemple : MyVarREAL_4;;978.45000000;;SPONT;09.09.2011 09:37:44.443

attention Attention

Si un trop grand nombre de courbes est sélectionné pour l'exportation, la collecte des données pourra demander beaucoup de temps.


Utilisation de la liste de courbes étendue

Manuels -> Extended trend (Tendance étendue) -> Fonctionnement dans le Runtime -> Utilisation de la liste de courbes étendue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si la liste de courbes étendue est configurée dans l'Éditeur, les courbes peuvent être modifiées dans le Runtime. Il est possible :

  • De filtrer les courbes par nom, intitulé, couleur, axe Y et activation
  • De modifier les noms de courbes
  • De modifier les intitulés
  • De modifier les couleurs
  • D'activer ou de désactiver l'axe Y
  • D'activer ou de désactiver les courbes

Pour modifier un élément, cliquez sur la cellule correspondante dans la liste.

info Info

La liste de courbes étendue ne peut pas être affichée dans Windows CE, et est remplacée par la liste de courbes normale.

Intégration d'éléments graphiques aux cases à cocher

Des cases à cocher comportant des éléments graphiques peuvent être configurées individuellement. Pour cela, les éléments graphiques souhaités définissent les propriétés correspondantes de la liste de courbes dans l'Éditeur. Les éléments graphiques doivent être préalablement créés dans le nœud Fichiers\Éléments graphiques. Les propriétés doivent être configurées dans le groupe Affichage :

  • On
  • On (inactif)
  • Off
  • Off (inactif)

Les éléments graphiques définis sont dessinés dans le Runtime ; le rapport d'aspect est respecté.


Filtre pour l'appel de synoptique

Manuels -> Extended trend (Tendance étendue) -> Fonctionnement dans le Runtime -> Filtre pour l'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous appelez un synoptique de type Tendance étendue, le filtre suivant est affiché.

Paramètre

Description

Filtre lot

Sur le côté gauche de l'écran, vous pouvez sélectionner l'archive de votre choix parmi les archives disponibles. Sur le côté droit, les lots disponibles sont affichés. Ici, vous pouvez filtrer les lots.

Nom de batch

Dans cette colonne sont affichés les noms des lots disponibles. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre alphabétique croissant ou décroissant.

Dans la partie inférieure de l'en-tête, vous pouvez saisir une chaîne de caractères. Seuls les lots correspondant à la chaîne de caractères saisie seront affichés.

Start date (Date de début)

Dans cette colonne, la date de début des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant. Les lots comportant la même date de début sont triés en fonction de l'heure de début.

Dans la partie inférieure de l'en-tête, vous pouvez saisir une date de début manuellement ou utiliser le calendrier affiché.

Heure de début

Disponible uniquement si vous avez saisi une date de début.

Dans cette colonne, la date de début des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant.

Dans la partie inférieure de l'en-tête, vous pouvez saisir l'heure de début manuellement.

Remarque : "*" signifie 0:00:00 heure.

End date (Date de fin)

Dans cette colonne, la date de fin des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant. Les lots comportant la même date de fin sont triés en fonction de l'heure de fin.

Dans la partie inférieure de l'en-tête, vous pouvez saisir une date de fin manuellement ou utiliser le calendrier affiché.

Heure de fin

Disponible uniquement si vous avez saisi une date de fin.

Dans cette colonne, l'heure de fin des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant.

Dans la partie inférieure de l'en-tête, vous pouvez saisir l'heure de fin manuellement.

Remarque : "*" signifie 11:59:59 heure.

Durée

Cette colonne affiche la durée de chaque lot disponible. Elle est uniquement disponible à des fins d'affichage.

info Info

Les lots encore ouverts sont affichés s'ils correspondent aux critères de filtre définis.

info Info

La valeur de la variable de lot est écrite dans le fichier d'index et dans l'en-tête du fichier ARX au début du lot. Ces entrées sont ajustées à chaque modification de la variable. Lors de la fermeture du lot, la valeur de la variable de lot à cet instant est finalement écrite dans le fichier d'index et dans l'en-tête.

De cette manière, le nom du lot est définitif à la fermeture du lot.


Conseils relatifs au fonctionnement en ligne

Manuels -> Extended trend (Tendance étendue) -> Fonctionnement dans le Runtime -> Conseils relatifs au fonctionnement en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le nom de diagramme actuel peut être affiché sur un élément de contrôle à l'ouverture du diagramme en mode de fonctionnement en ligne.

Cliquer sur le bouton Zoom offre la possibilité d'afficher les valeurs disponibles dans une résolution plus fine et un intervalle moindre (axes X et Y). La procédure de zoom est activée après avoir cliqué et défini une zone dans le diagramme. Le zoom multiple est possible. Le zoom n'est possible que si la zone sélectionnée comprend au moins une subdivision par axe.

En cliquant sur le bouton Annul. Zoom, vous annulez le zoom précédemment effectué (annule toutes les actions de zoom une à une).

Si, dans l'archive de tendance étendue, les valeurs sont affichées ou l'actualisation continue des valeurs en ligne est désactivée, les valeurs actuelles de la courbe seront relues jusqu'à l'heure actuelle lorsque vous cliquez sur le bouton Actualiser. Elles peuvent également être actualisées conformément à la période de rafraîchissement définie dans le diagramme.

Se déplacer dans la tendance étendue au-delà de ce qui est affiché sur l'axe X est possible en utilisant les boutons << (affichage des valeurs anciennes) et >> (affichages des valeurs récentes). Si les données en ligne sont affichées, c'est la profondeur maximum HD définie sur la variable de procédé (sauvegarde des données sur disque dur) qui détermine la plage de temps qui peut être affichée. If archive values are represented then the configuration of the archive stored in the database is decisive.

Avec les données en ligne et le rafraîchissement actif, la visualisation est actualisée à chaque fois avec la valeur courante. Si vous ne voulez pas que le diagramme se déplace à chaque fois, le rafraîchissement doit être stoppé en mode en ligne. Pour désactiver cette fonction, cliquez sur le bouton Stop. Vous pouvez vous déplacer selon l'axe X et zoomer. Pour réactiver la fonction d'actualisation continue, cliquez sur le bouton Démarrage. A la prochaine actualisation du diagramme, les nouvelles données et la nouvelle plage selon l'axe X sont actualisés.

info Info

Variables en ligne dans le module Tendance étendue :

Les variables en ligne du module Tendance étendue sont configurées dans l'Éditeur, et ne peuvent pas être modifiées dans le Runtime. La mémoire circulaire sur disque dur est également configurée pour la variable lors de la configuration dans l'Éditeur. La mémoire circulaire des variables dans le Runtime ne peut être ni créée, ni modifiée. Les variables en ligne ne peuvent donc pas être adaptées dans le Runtime.

D'autres variables d'archives peuvent également être ajoutées dans le Runtime.

Les détails affichés sont :

Élément | Description
Couleur de courbe | Les textes sont affichés dans la couleur configurée pour la courbe
Date | Date d'insertion de la valeur interrogée
Heure | Heure d'insertion de la valeur interrogée
Nom | Nom de la courbe
Valeur | Valeur technique
Affichage de la valeur limite | Affichage de la valeur limite définie si cela est spécifié dans le fichier project.ini. [EW_TREND] ANZEIGE_GWTEXT=1 Texte de la valeur limite 0 = Ne pas afficher 1 = Afficher (par défaut)


Modification rapide des paramètres d'axe en mode de fonctionnement en ligne

Manuels -> Extended trend (Tendance étendue) -> Fonctionnement dans le Runtime -> Modification rapide des paramètres d'axe en mode de fonctionnement en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour déterminer avec précision la valeur des courbes affichées, vous pouvez déplacer les axes X et Y. Le déplacement peut être effectué comme suit :

  • Glisser-déposer avec le bouton gauche de la souris
    • Déplacement verticale de l'axe X
    • Déplacement horizontal de l'axe Y
      L'axe Y se dédouble lorsqu'il est déplacé : l'axe original reste en place lorsque la copie est déplacée.
  • Cliquez sur l'axe avec le bouton droit de la souris pour ouvrir la boîte de dialogue de configuration correspondante :
    Boîte de dialogue de l'axe X
    Boîte de dialogue de l'axe Y

Le déplacement est réinitialisé lors de la réouverture du synoptique.


Fonctions

Manuels -> Fonctions

L'utilisateur peut définir le comportement de zenon par le biais de fonctions de projet définies par l'utilisateur. Toutes les fonctions utilisées dans un projet sont basées sur les fonctions système existantes. Celles-ci sont des macros prédéfinies, faciles à utiliser et à paramétrer par l'utilisateur.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouvelle fonction | Ouvre l'assistant de création d'une nouvelle fonction.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML... | Importe des entrées à partir d'un fichier XML.
Display unused functions (Afficher les fonctions inutilisées) | Crée une analyse de projet pour les fonctions inutilisées dans le projet actuel, et l'affiche sous forme de liste de résultats dans une fenêtre spécifique.
Ouvrir dans nouvelle fenêtre ... | Ouvre une nouvelle fenêtre permettant d'afficher et modifier la fonction. (Par défaut : au bas de l'Éditeur.)
Editor profile (Profil d'Éditeur) | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Aperçu des fonctions dans zenon

Barre d'outils et menu contextuel de la vue de détail Fonction

Configuration dans l'Éditeur

Fonctions système

Ordre d'exécution en Runtime


Aperçu des fonctions dans zenon

Manuels -> Fonctions -> Aperçu des fonctions dans zenon

Les fonctions sont réparties dans les groupes suivants :

  • Liste d'alarmes et liste chronologique d'événements
  • Application
  • Le serveur d'archives
  • Contrôle de batch
  • Gestion utilisateurs
  • Synoptiques
  • Détection d'erreurs sur le réseau électrique
  • Gestion de messages
  • Réseau
  • Générateur de rapports
  • Recettes
  • Script
  • Variable
  • VBA
  • VSTA
  • Fenêtre

Autres sujets abordés dans ce chapitre

Liste d'alarmes et liste chronologique d'événements

Application

Le serveur d'archives

Contrôle de batch

Gestion utilisateurs

Synoptiques

Détection d'erreurs sur les réseaux électriques

Gestion de messages

Réseau

Générateur de rapports

Recettes

Script

Variable

VBA

VSTA

Fenêtre


Liste d'alarmes et liste chronologique d'événements

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> Liste d'alarmes et liste chronologique d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions concernant la gestion de la liste d'alarmes (AML) et de la liste d'événements chronologiques (CEL).

Fonction | Description
Alarmes : acquitter clignotement | Cette fonction acquitte le clignotement de tous les éléments du synoptique actuellement ouvert par rapport à un cadre donné.
Alarmes : supprimer | Cette fonction supprime les alarmes filtrées.
Alarmes : acquitter | Cette fonction acquitte les alarmes filtrées.
Inscrire/désinscrire groupe d'alarmes/d'événements | Cette fonction active ou désactive le lien vers l'automate pour le groupe d'alarmes/d'événements sélectionné.
Liste d'alarmes actives | Cette fonction active la liste intégrale des messages d'alarme.
Alarm Message List active/inactive (Liste d'alarmes actives/inactives) | Cette fonction active/désactive la liste intégrale des messages d'alarme.
Alarmes : désactiver | Cette fonction désactive la liste intégrale des messages d'alarme.
Activer/désactiver liste d'alarmes / groupe d'alarmes/d'événements / classe d'alarmes/d'événements | Cette fonction active/désactive un groupe d'alarmes/d'événements, une classe d'alarmes/d'événements ou l'ensemble de la liste d'alarmes.
Exportation de la liste AML | Cette fonction exporte les entrées filtrées de la liste des messages alarmes dans un format externe.
Sauver buffer mémoire des alarmes et des événements | Cette fonction enregistre les alarmes et événements actuels dans les fichiers ALARM.BIN et CEL.BIN, et enregistre les valeurs des variables mathématiques (compteur) dans le fichier SY_MA32.BIN.
Exporter CEL | Cette fonction exporte les entrées filtrées de la liste des événements chronologiques dans un format externe.
Print AML or CEL (Imprimer la liste AML ou CEL) | Cette fonction imprime les entrées sélectionnées de la liste d'alarmes ou de la liste chronologique d'événements (CEL).
Créer un document IPA | Cette fonction crée un rapport IPA dans un fichier HTML ou l'imprime.
Activer / désactiver impression en ligne | Cette fonction active ou désactive l'impression en ligne de la liste d'alarmes ou de la liste chronologique d'événements (CEL).
Démarrer nouvelle page pour l'impression en ligne | Lors de l'impression en ligne activée, cette fonction termine une page et démarre une nouvelle page. Le numéro de page redémarre à 1.
Changer imprimante en ligne | Cette fonction change l'imprimante utilisée pour l'impression en ligne. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.


Application

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> Application

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions pour la gestion du projet.

Fonction | Description
Sélection imprimante | Cette fonction ouvre une boîte de dialogue qui permet à l'utilisateur de sélectionner les imprimantes utilisées pour l'impression des différentes parties du projet.
Démarrer EMS | Cette fonction démarre l'optimisation pour une zone de service sélectionnée dans le module EMS. Cette fonction est uniquement exécutée sur le serveur.
Arrêter EMS | Cette fonction arrête l'optimisation pour une zone de service sélectionnée dans le module EMS. Cette fonction est uniquement exécutée sur le serveur.
Imprimer un diagramme Extended Trend | Cette fonction vous permet d'imprimer les diagrammes de la tendance étendue ou de les enregistrer dans un fichier (JPG ou BMP) sans ouvrir le synoptique Tendance étendue.
Changer de palette | Crée une fonction permettant de changer de palettes de couleurs dans le Runtime.
Fonctions : activer sur limite | Cette fonction active la gestion des fonctions. Les fonctions exécutées automatiquement (par exemple, par les commandes temporisées ou les dépassements de limites, etc.) sont exécutées.
Fonctions activer/désactiver sur limite | Cette fonction active ou désactive la gestion des fonctions. Les fonctions exécutées automatiquement (par exemple, par les commandes temporisées ou les dépassements de limites, etc.) ne sont pas exécutées.
Fonctions : désactiver sur limite | Cette fonction désactive la gestion des fonctions. Les fonctions exécutées automatiquement (par exemple, par les commandes temporisées ou les dépassements de limites, etc.) ne sont pas exécutées.
Ouvrir l'aide | Cette fonction ouvre une page d'aide donnée à partir d'un fichier CHM.
Réinitialiser projet en ligne | Cette fonction recharge les fichiers Runtime.
Détermination des maintenances ouvertes | Cette fonction envoie les maintenances ouvertes de l'IMM vers des variables d'état.
PFS – Exécuter un événement défini par l'utilisateur | Cette fonction exécute un événement planning (PFS) créé au préalable par l'utilisateur.
Simuler le clic droit | Cette fonction interprète le prochain clic souris comme si c'était un clic avec le bouton droit de la souris.
Save remanent data (Enregistrer les données rémanentes) | Autorise l'enregistrement des données des modules configurés. Les choix proposés sont les suivants : Mémoire circulaire AML, mémoire circulaire CEL, driver du système et driver mathématique, driver interne, images rémanentes de tous les drivers, verrouillage de la commande.
Quitter le Runtime | Cette fonction ferme le Runtime zenon.
Heuristiques Graph S7 | Cette fonction permet d'évaluer les données heuristiques du projet S7 Graph, même lorsque le synoptique S7 Graph n'est pas actif.
Exécuter une fonction SAP | Active l'appel d'une fonction SAP dans le Runtime.
Changement de langue | Pour les projets multi langues, cette fonction bascule le Runtime dans la langue sélectionnée.
Topologie – Short circuit detection (Détection de court-circuit) | Active la fonction de détection de court-circuit.
Topologie – Délestage | Détermine l'état de l'alimentation des équipements topologiques et les représente sur des variables.


Le serveur d'archives

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> Le serveur d'archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions relatives au module optionnel Serveur d'archives.

Fonction | Description
Archive : Arrêt | Cette fonction arrête une archive sélectionnée dans le module optionnel "Serveur d'archives".
Indexer les archives | Cette fonction recalcule les index des archives indexées.
Archive : Démarrage | Cette fonction arrête une archive sélectionnée dans le module optionnel "Serveur d'archives".
Export archives (Exporter les archives) | Cette fonction exporte les entrées d'archive filtrées du module optionnel "Serveur d'archives" dans un format externe.
Archive : liste des archives actives | Cette fonction affiche la liste des archives en train de "tourner" dans le module optionnel "Serveur d'archives".


Contrôle de batch

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> Contrôle de batch

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions du module Batch Control.

Fonction | Description
Exécuter la modification de commande de recette ou le changement de mode | Cette fonction permet de transmettre des fonctions de commande pour l'exécution de batchs.
Fonction Créer recette de contrôle | En utilisant cette fonction, une recette de contrôle prédéfinie peut être créée dans l'Éditeur, grâce à un bouton dans le Runtime.


Gestion utilisateurs

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> Gestion utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions pour la gestion des utilisateurs.

Fonction | Description
Modifier un utilisateur | Cette fonction ouvre une boîte de dialogue, par laquelle un administrateur, peut créer, modifier ou supprimer des utilisateurs.
Login avec boite de dialogue | Cette fonction ouvre la boîte de dialogue standard de login.
Login sans mot de passe | Cette fonction permet à l'utilisateur sélectionné de se connecter sans avoir à entrer son mot de passe.
Logout | Cette fonction entraine la déconnexion de l'utilisateur actuellement connecté.
Modifier mot de passe | Cette fonction ouvre une boîte de dialogue par laquelle l'utilisateur actuellement connecté peut modifier son mot de passe.


Synoptiques

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> Synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions pour la gestion des synoptiques.

Fonction

Description

ALC source colors (Couleurs source CAL)

Fonction de configuration des couleurs source CAL pour la détection d'erreurs dans les réseaux électriques.

Synoptique indexé

Cette fonction ouvre un synoptique dont le nom contient une variable sélectionnée.

Fermer le synoptique

Cette fonction ferme le synoptique sélectionné.

Synoptique : retour au précédent

Cette fonction réaffiche le synoptique précédemment ouvert d'un cadre donné.

Synoptique : déplacer le centre

Cette fonction déplace ou effectue un zoom à l'intérieur d'un synoptique de type "Vue globale".

Appel de synoptique

Cette fonction ouvre le synoptique sélectionné. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Remarque : sans boîte de dialogue, la fonction est exécutée avec la priorité la plus élevée (1). Si une boîte de dialogue est appelée avant l'exécution, la priorité est réduite à Élevée (2).

Activer l'élément qui a le focus

Cette fonction exécute la fonction associée à l'élément qui a couramment le focus.

Donner le focus au gabarit

Cette fonction donne le focus au synoptique actuellement ouvert dans un cadre donné. Ceci permet la création de projet entièrement géré avec le clavier.

Donner le focus

Cette fonction place active la saisie sur un élément dans le synoptique dont le cadre a est actuellement sélectionné.

Enlever le focus du gabarit

Cette fonction enlève le focus du synoptique actuellement ouvert dans un cadre sélectionné. Ceci permet la création de projet entièrement géré avec le clavier.

Visualiser menu

Cette fonction ouvre ou ferme le menu principal sélectionné. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Sélection moniteur

Cette fonction assigne le moniteur virtuel sélectionné à un moniteur réel. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Profils de Runtime

Crée une fonction avec laquelle le profil d'administration peut être ouvert, un nouveau profil peut être créé ou chargé dans le Runtime.

Fermer le gabarit

Cette fonction ferme le synoptique actuellement ouvert d'un cadre donné.

Saisie de valeur pour les synoptiques clavier

Cette fonction définit une valeur prédéfinie ou écrit une valeur prédéfinie dans le synoptique de type Clavier.

Vue d'aperçu

Cette fonction ouvre une fenêtre d'aperçu. Elle vous permet de simuler un système multi-moniteurs sur un système à un moniteur.


Détection d'erreurs sur les réseaux électriques

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> Détection d'erreurs sur les réseaux électriques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Contient des fonctions pour la détection d'erreurs dans les réseaux électriques.

Fonction | Description
Acquitter un message de défaut de terre | Fonction d'acquittement de message de défaut de terre. Ouvre la boîte de dialogue permettant de sélectionner une variable.
Arrêter la recherche des défauts de terre | Fonction d'arrêt de la recherche de défaut de terre.
Démarrer la recherche des défauts de terre | Fonction de démarrage de la recherche de défaut de terre.
Acquitter le message de court-circuit | Fonction d'acquittement de message de court-circuit. Ouvre la boîte de dialogue permettant de sélectionner une variable.


Gestion de messages

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> Gestion de messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions relatives au module optionnel Gestion de messages.

Fonction | Description
Save current queue (Enregistrer la file d'attente actuelle) | Dans le Runtime, enregistre la file d'attente de messages actuelle.
Groupe/classe/domaine/équipement supprimé | Permet d'interdire l'envoi de messages pour certaines alarmes.
Envoi d'un message | Crée une fonction d'envoi de messages.
Envoi de messages : activer | Active le module de Gestion des messages dans le Runtime pour le projet activé.
Envoi de messages : désactiver | Désactive le module de Gestion des messages dans le Runtime pour le projet activé.


Réseau

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> Réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions pour la gestion d'un réseau.

Fonction | Description
Autorisation sur le réseau | Cette fonction exécute les demandes ou déblocages des autorisations d'accès sur le réseau.
Commutation redondance | Cette fonction effectue l'échange du serveur en redondant et du redondant en serveur.


Générateur de rapports

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> Générateur de rapports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions relatives au module optionnel Générateur de rapports.

Fonction | Description
Imprimer rapport | Cette fonction imprime le rapport sélectionné du module optionnel "Générateur de rapports".
Rapport : exécuter | Cette fonction exécute le rapport sélectionné du module optionnel "Générateur de rapports".
Exporter rapport | Cette fonction exporte le rapport sélectionné du module optionnel "Générateur de rapports" dans un format externe.


Recettes

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> Recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions concernant la gestion des recettes standard et des recettes du module optionnel Gestionnaire de groupes de recettes.

Fonction | Description
Recipe Group Manager | Cette fonction écrit, lit, copie, importe ou exporte la recette sélectionnée du module optionnel "Gestionnaire de groupes de recettes" (Recipe Group Manager, RGM). De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.
Recette standard | Cette fonction écrit, lit, copie, importe ou exporte la recette standard sélectionnée. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.
Recette : envoi direct | Cette fonction envoie les valeurs de la recette standard sélectionnée dans l'automate.
Recette : modification avant envoi | Cette fonction ouvre une boîte de dialogue où l'utilisateur peut modifier et exécuter une recette standard.
Recette : sélection et modification avant envoi | Cette fonction ouvre une boîte de dialogue où l'utilisateur peut sélectionner une recette standard, et ensuite peut éventuellement la modifier et l'exécuter.


Script

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> Script

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions pour la gestion des scripts.

Fonction | Description
Script : exécuter | Cette fonction exécute le script sélectionné.
Script : sélection en ligne | Cette fonction ouvre une boîte de dialogue dans laquelle l'utilisateur sélectionne et exécute un script.


Variable

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions de gestion des variables.

Fonction | Description
Exporter données | Cette fonction exporte les valeurs stockées sur le disque dur (*.HDD) des variables sélectionnées dans un format externe.
Lire un fichier dBase | Cette fonction lit le fichier dBase sélectionné et l'exécute comme une recette.
Imprimer valeurs actuelles | Cette fonction imprime les valeurs courantes des variables sélectionnées.
Unit conversion (Conversion d'unités) | Bascule d'une unité de base vers une unité de conversion.
Valeurs de tendances inactives | Cette fonction désactive le stockage des données sur disque dur. Les fichiers HDD ne sont pas écrits.
Valeurs de tendances actives | Cette fonction active le stockage des données sur disque dur. Les fichiers HDD sont écrits.
Valeurs de tendances actives/inactives | Cette fonction active ou désactive le stockage des données sur disque dur. Les fichiers HDD sont (ou ne sont pas) écrits.
Envoi d'une valeur vers matériel | Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.
Commandes driver | Cette fonction envoie une commande donnée au driver sélectionné. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.
Transférer l'image de simulation du driver au redondant | Uniquement exécutée sur le serveur redondant. Lors de l'exécution, demande au serveur une image correspondant aux drivers sélectionnés. Le driver dispose d'un délai de 5 secondes à cette fin.
Écrire l'heure dans une variable | Cette fonction lit l'heure système et l'écrit dans une variable de type STRING dans l'automate. Ainsi l'heure système de l'automate peut être synchronisée avec celle du PC.
Lire l'heure d'une variable | Cette fonction lit l'heure à partir d'une variable de type STRING de l'automate et définit avec celle-ci l'heure système du PC. Ainsi l'heure système de l'automate peut être synchronisée avec celle du PC.


VBA

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions de gestion des macros VBA.

Fonction | Description
Ouvrir l'Éditeur PCE | Cette fonction ouvre l'Éditeur du module optionnel "Moteur de Contrôle de Procédé" (Process Control Engine, PCE)
Ouvrir l'éditeur VBA | Cette fonction ouvre l'Éditeur VBA.
Exécuter macro VBA | Cette fonction exécute la macro VBA sélectionnée. Attention : L'événement VBA projet inactif est exécuté par le script AUTO_END_xxx. Par conséquent, la fonction Exécuter macro VBA de zenon n'est plus exécutée dans les scripts, car VBA n'est pas en cours d'exécution à ce stade. Les macros VBA devant être exécutées dans "AUTO_END" doivent être appelées via Project.Inactive.
Montrer la boîte de dialogue des macros VBA | Cette fonction ouvre la boîte de dialogue des macros VBA.


VSTA

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions de gestion du code VSTA.

Fonction | Description
Ouvrir Éditeur VSTA | Cette fonction ouvre l'Éditeur VSTA.
Exécuter macro VSTA | Cette fonction exécute la macro VSTA sélectionnée.
Montrer la boîte de dialogue des macros VSTA | Cette fonction ouvre la boîte de dialogue des macros VSTA.


Fenêtre

Manuels -> Fonctions -> Aperçu des fonctions dans zenon -> Fenêtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce groupe contient les fonctions concernant Windows.

Fonction | Description
Émettre un fichier-son | Cette fonction lit un fichier audio (*.wav) sélectionné une fois.
Opérations sur fichiers | Cette fonction copie, supprime ou déplace les fichiers sélectionnés. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.
Son beep : début | Cette fonction lit un fichier audio (*.wav) sélectionné de façon continue.
Son beep : fin | Cette fonction arrête la lecture continue d'un fichier audio (*.wav).
Fenêtre en arrière-plan | Cette fonction bascule le Runtime zenon en tâche de fond.
Fenêtre en avant-plan | Cette fonction bascule le Runtime zenon vers le premier plan.
Imprimer la capture d'écran | Cette fonction imprime soit l'écran actuel, soit le synoptique actuel d'un cadre donné. De façon optionnelle, l'impression peut être redirigée vers un fax.
Exécuter un programme | Cette fonction démarre un programme externe. Des paramètres d'appel peuvent être définis. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.


Barre d'outils et menu contextuel de la vue de détail Fonction

Manuels -> Fonctions -> Barre d'outils et menu contextuel de la vue de détail Fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu contextuel

Élément de menu | Action
Nouvelle fonction | Ouvre la boîte de dialogue de création d'une nouvelle fonction.
Paramètres | Ouvre la boîte de dialogue autorisant la saisie des paramètres.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Function use... (Utilisation des fonctions...) | Crée une analyse de projet pour les fonctions sélectionnées dans le projet actuel, et l'affiche sous forme de liste de résultats dans une fenêtre spécifique.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Aide | Ouvre l'aide en ligne.


Configuration dans l'Éditeur

Manuels -> Fonctions -> Configuration dans l'Éditeur

Autres sujets abordés dans ce chapitre

Créer et éditer des fonctions

Sélectionner une fonction

Supprimer une fonction

Insérer des fonctions à partir d'autres projets


Créer et éditer des fonctions

Manuels -> Fonctions -> Configuration dans l'Éditeur -> Créer et éditer des fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Créer une nouvelle fonction :

Dans le menu contextuel de la section 'Fonctions' du gestionnaire de projet, les commandes suivantes sont disponible :

Paramètres | Description
Function new... (Nouvelle fonction) | Une nouvelle fonction est créée et peut être définie dans la fenêtre des propriétés.
Nouveau script | Un nouveau Script (liste de fonctions) est créé.
Exporter XML tous ... | Exporte toutes les fonctions vers un fichier XML. Voir le chapitre Import/Export.
Importer XML... | Importe des fonctions à partir d'un fichier XML. Voir le chapitre Import/Export.
Ouvrir dans nouvelle fenêtre... | Ouvre une nouvelle vue de détail avec la liste des fonctions dans une nouvelle fenêtre.
Profil | Voir le chapitre Profils.


Sélectionner une fonction

Manuels -> Fonctions -> Configuration dans l'Éditeur -> Sélectionner une fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer une nouvelle fonction, sélectionnez l'entrée 'Nouvelle fonction'. La boîte de dialogue de sélection de fonction s'ouvre. Si une fonction est sélectionnée, l'aide associée est affichée dans la partie inférieure de la boîte de dialogue. Cette aide donne des explications sur la fonction sélectionnée. Vous trouverez plus d'informations au chapitre Présentation des fonctions.

Une fonction est créée lorsque vous la sélectionnez et confirmez en cliquant sur OK. Les paramètres de cette nouvelle fonction peuvent maintenant être modifiés dans la fenêtre des propriétés.

Si vous sélectionnez le bouton 'Aide' après la sélection, la section de l'aide en ligne correspondant à cette fonction sera affichée.

De façon similaire à la fenêtre des propriétés, vous avez aussi la possibilité de définir des favoris. La section 'Favoris' se situe toujours en haut de la liste. Par défaut, elle contient la fonction Appel de synoptique et la fonction Envoi de valeur vers matériel. Vous pouvez ajouter ou supprimer n'importe quelle fonction de la section "Favoris" à l'aide du menu contextuel ou d'une manipulation glisser-déplacer.

Si une fonction est sélectionnée, l'aide associée est affichée dans la partie inférieure de la boîte de dialogue. Vous trouverez plus d'informations sur chaque fonction au chapitre Présentation des fonctions.


Supprimer une fonction

Manuels -> Fonctions -> Configuration dans l'Éditeur -> Supprimer une fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour pouvoir supprimer une fonction, la fonction doit être sélectionnée dans la vue de détail et supprimée avec la touche "Suppr".


Insérer des fonctions à partir d'autres projets

Manuels -> Fonctions -> Configuration dans l'Éditeur -> Insérer des fonctions à partir d'autres projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il est possible d'insérer des fonctions d'un autre projet du même espace de travail.

Cela est possible pour les synoptiques (fonctions à l'ouverture et à la fermeture, boutons), limites, commandes temporisées, plannings, scripts, menus, projet (appel fonction automatique, archive).


Fonctions système

Manuels -> Fonctions -> Fonctions système

Autres sujets abordés dans ce chapitre

Fonctions - application

Fonctions - Windows


Fonctions - application

Manuels -> Fonctions -> Fonctions système -> Fonctions - application

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Fonctions générales de zenon

Autres sujets abordés dans ce chapitre

Sélection imprimante

Fonctions avec valeurs de limite actives

Fonctions avec valeurs de limite inactives

Function at limit active/inactive (Fonction active/inactive à la valeur limite)

Rechargement

Quitter le programme

Simuler le clic droit

Save remanent data (Enregistrer les données rémanentes)


Sélection imprimante

Manuels -> Fonctions -> Fonctions système -> Fonctions - application -> Sélection imprimante

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les imprimantes pour les différentes listes sont généralement définies dans la Configuration standard.

Cette fonction est utilisée pour changer la sélection d'imprimantes pendant le Runtime. Cette fonction ne nécessite aucun paramètre.

Les paramétrages des imprimantes sont effectués comme décrit au chapitre Configuration/Standard/Imprimante.


Fonctions avec valeurs de limite actives

Manuels -> Fonctions -> Fonctions système -> Fonctions - application -> Fonctions avec valeurs de limite actives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet d'activer la gestion des fonctions relatives aux valeurs limites dans le Runtime.


Fonctions avec valeurs de limite inactives

Manuels -> Fonctions -> Fonctions système -> Fonctions - application -> Fonctions avec valeurs de limite inactives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet de désactiver la gestion des fonctions relatives aux valeurs limites dans le Runtime.


Function at limit active/inactive (Fonction active/inactive à la valeur limite)

Manuels -> Fonctions -> Fonctions système -> Fonctions - application -> Function at limit active/inactive (Fonction active/inactive à la valeur limite)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction vous permet de définir les fonctions relatives aux valeurs limites sur les états 0 et 1 dans le Runtime. L'état enregistré dans le fichier zenon6.ini sera chargé au démarrage du Runtime :

[FUNKTIONEN]

ON=0 -> inactif

ON=1 -> actif


Rechargement

Manuels -> Fonctions -> Fonctions système -> Fonctions - application -> Rechargement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction charge les fichiers Runtime modifiés sans avoir à redémarrer le Runtime.

info Info

Si les noms du serveur ou du serveur redondant sont modifiés dans l'Éditeur, ils ne peuvent pas être chargés ensuite. Ils ne peuvent être mis à jour que par un redémarrage du Runtime.

attention Attention

Les fichiers graphiques au format PNG ne peuvent pas être remplacés durant l'exécution du Runtime.

Explication : le Runtime protège les fichiers .png ouverts contre l'écriture.

Solution : Avant l'initialisation du service Remote Transport, assurez-vous que le synoptique sur lequel se trouve le fichier *.png n'est pas affiché dans le Runtime, et que le fichier n'est pas utilisé par un autre programme. Cela s'applique également à l'actualisation des fichiers Runtime modifiés. La synchronisation dans le Runtime sur le réseau ne fonctionne pas pour ce synoptique si l'appel de synoptique est effectué sur un ordinateur zenon impliqué dans le procédé (serveur redondant, client).


Quitter le programme

Manuels -> Fonctions -> Fonctions système -> Fonctions - application -> Quitter le programme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour quitter le Runtime de façon définie (enregistrement dans la CEL, fermeture des archives, exécution du script AUTOEND, etc.)

Aucun paramètre de transfert n'est nécessaire dans ce cas.

attention Attention
  • L'événement VBA projet inactif est exécuté par le script AUTO_END_xxx. Par conséquent, la fonction Exécuter macro VBA de zenon n'est plus exécutée dans les scripts, car VBA n'est pas en cours d'exécution à ce stade. Les macros VBA devant être exécutées dans "AUTO_END" doivent être appelées via Project.Inactive.
  • Il n'est pas nécessaire de spécifier les archives cycliques dans le script AUTOEND.


Simuler le clic droit

Manuels -> Fonctions -> Fonctions système -> Fonctions - application -> Simuler le clic droit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après l'exécution de cette fonction pendant le Runtime, le prochain clic de souris ou la prochaine pression sur l'écran tactile sera interprété(e) comme un clic de souris avec le bouton droit.

Avec cette fonction, il est possible alors d'utiliser un menu contextuel sur les écrans tactiles.

Aucun paramètre de transfert n'est nécessaire dans ce cas.


Save remanent data (Enregistrer les données rémanentes)

Manuels -> Fonctions -> Fonctions système -> Fonctions - application -> Save remanent data (Enregistrer les données rémanentes)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Sauvegarde des données rémanentes permet d'enregistrer les données rémanentes à tout instant dans le Runtime. La fonction peut être importée et exportée. Pour configurer la fonction :

Sauvegarde des données rémanentes

Autorise l'enregistrement des données des modules configurés. Les choix proposés sont les suivants : Mémoire circulaire AIL, mémoire circulaire CEL, driver du système et driver mathématique, driver interne, images rémanentes de tous les drivers, verrouillage de la commande.

Plus de détails dans l'aide en ligne.

  1. Sélectionnez Nouvelle fonction.
  2. Accédez au nœud Applications.
  3. Sélectionnez Sauvegarde des données rémanentes.
  4. La boîte de dialogue de sélection des modules s'affiche.

Module | Description
Buffer circulaire des alarmes | Actif : la mémoire circulaire de la liste AML est enregistrée.
Buffer circulaire des événements | Actif : La mémoire circulaire CEL est enregistrée.
System driver and mathematics driver (Driver du système et driver mathématique) | Actif : les données du driver système et du driver mathématique sont enregistrées.
Driver interne | Actif : les données du driver interne sont enregistrées.
Images rémanentes de tous les drivers | Actif : les données de tous les drivers sont enregistrées.
Locking (Verrouillage) de la commande | Actif : les données de verrouillage de la commande sont enregistrées.

Si des erreurs se produisent durant le processus d'enregistrement, elles sont consignées dans le journal des erreurs.

info Info

Si le Runtime fonctionne en mode Simulation (simulation de projet active), la fonction Save remanent data (Enregistrer les données rémanentes) n'enregistre pas les valeurs pour les drivers suivants :

  • Driver interne
  • Driver mathématique
  • Driver système


Fonctions - Windows

Manuels -> Fonctions -> Fonctions système -> Fonctions - Windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Fonction déclenchant une action dans le système d'exploitation.

Autres sujets abordés dans ce chapitre

Émettre un fichier-son

Opérations sur fichiers

Son beep : début

Son beep : fin

Imprimer la capture d'écran

Fenêtre en arrière-plan

To the foreground (Premier plan)

Exécuter un programme


Émettre un fichier-son

Manuels -> Fonctions -> Fonctions système -> Fonctions - Windows -> Émettre un fichier-son

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour lire le fichier audio indiqué (*.wav) une fois, quel que soit l'instant auquel la fonction est appelée dans le Runtime. Indiquez le fichier audio comme paramètre de transfert.


Opérations sur fichiers

Manuels -> Fonctions -> Fonctions système -> Fonctions - Windows -> Opérations sur fichiers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour exécuter certaines opérations sur fichier en mode de fonctionnement en ligne (copie, déplacement et suppression).

Indiquez l'opération et les paramètres de fichier comme paramètres de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie.

Liste des opérations sur fichiers possibles :

Paramètres | Description
Copier | Copie des fichiers à partir d'un nom et d'un chemin vers un nouveau nom et chemin. Les paramètres sont pris en compte.
Déplacer | Déplace des fichiers à partir d'un nom et d'un chemin vers un nouveau nom et chemin et les supprime du répertoire source. Les paramètres sont pris en compte.
Supprimer | Supprime des fichiers. Les paramètres sont pris en compte.

Si la source donnée ne peut pas être trouvée (fichier ou chemin absent ou incorrect) la fonction n'est pas exécutée. Par défaut, aucun message d'erreur n'est généré. Vous pouvez aussi forcer un message d'erreur par l'intermédiaire des options ; nous ne recommandons pas de le faire, car ceci risque de bloquer le Runtime ou l'exécution d'autres fonctions.

D'autres options peuvent être configurées après la définition de l'opération sur fichiers :

Paramètres

Description

Source / Cible

Entrez le chemin du fichier source et du fichier cible. Vous pouvez aussi utiliser des caractères génériques (*) pour la source et la cible. (Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.)
Il existe trois manières de définir le chemin :

  • Chemin absolu (vous pouvez aussi utiliser le bouton ... à coté du champ d'édition).
  • Chemin relatif, selon le dossier du Runtime (Lien : plus d'informations sur le dossier du Runtime)
  • Chemin relatif par rapport au dossier de données. Lien : plus d'informations concernant le dossier de données).

Par exemple :

Chemin absolu :
Source "C:\temp\database.mdb" vers cible "D:\backup\" -> Le fichier "database.mdb" est copié vers le répertoire "D:\backup\". Pour que la copie fonctionne, le répertoire cible doit déjà existé et doit être suivi d'une barre oblique inversée (\).

Chemin relatif :
Chemin relatif par rapport au répertoire de données : "*.aml" vers la cible "D:\backup\" copie tous les fichiers de la liste d'alarmes vers le dossier "D:\backup\".

Renommer des fichiers :
Il est possible de renommer les fichiers uniques. Par exemple : C:\temp\datenbank.mdb" vers la cible "D:\backup\backupdb.mdb" copie le fichier "datenbank.mdb" vers le répertoire "D:\backup\" et le renomme en "backupdb.mdb".

Renommer plusieurs fichiers simultanément en utilisant des caractères génériques n'est pas possible.

Tenir compte des sous-dossiers

La recherche des fichiers se fait aussi dans les sous-dossiers du dossier source et crée la même arborescence dans le répertoire cible.

Écraser les fichiers existants

Si le fichier source existe déjà dans le répertoire de destination, il sera écrasé par le nouveau fichier.

Afficher messages d'erreur

Si la copie ou le déplacement n'est pas possible, un message d'erreur sera affiché en tant que message système. Nous ne recommandons pas d'activer cette option, car cela risque de bloquer le Runtime ou l'exécution d'autres fonctions.

Afficher la boite de dialogue en Runtime

Avant l'exécution de la fonction en Runtime, une boîte de dialogue est affichée qui permet à l'opérateur de modifier les paramètres (opération, source, cible, etc.). Les paramètres modifiés sont conservés en Runtime. Dans cette boîte de dialogue, l'option Afficher la boîte de dialogue en Runtime, n'est pas présente.

Exécution seulement si fichier(s)

L'opération sur fichiers n'est exécutée que selon les critères de temps définis (jours, heures)

Pas plus récent que

Le fichier doit être plus ancien que la durée spécifiée. "1 jour" signifie toujours 24 heures après l'heure d'exécution.

Plus récent que

Le fichier doit être plus récent que l'heure spécifiée. "1 jour" signifie toujours 24 heures après l'heure d'exécution.
Remarque : "pas plus ancien que" doit être supérieur à "pas plus récent que".


Son beep : début

Manuels -> Fonctions -> Fonctions système -> Fonctions - Windows -> Son beep : début

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet de lire le fichier audio défini (*.wav) de manière répétée dans le Runtime via un appel de fonction, jusqu'à ce que la fonction Son beep : fin soit exécutée. Indiquez le fichier audio comme paramètre de transfert.


Son beep : fin

Manuels -> Fonctions -> Fonctions système -> Fonctions - Windows -> Son beep : fin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction arrête la lecture répétée d'un fichier (*.wav) démarrée via la fonction Son beep : début.


Imprimer la capture d'écran

Manuels -> Fonctions -> Fonctions système -> Fonctions - Windows -> Imprimer la capture d'écran

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour effectuer une capture d'écran de l'écran entier ou d'un cadre (synoptiques, fichiers, courbes de tendance, etc.) en mode de fonctionnement en ligne. Les cadres sont sélectionnés par un double-clic.

Indiquez le cadre et les options additionnelles comme paramètres de transfert. La configuration de cette fonction s'effectue par le biais de la boîte de dialogue suivante.

Propriété

Description

Selected print area (Zone d'impression sélectionnée)

Affichage de la zone sélectionnée.

Define print area (Définir la zone d'impression)

Sélection de la zone devant être imprimée.

Zone écran totale

Imprime une capture d'écran de l'ensemble de l'écran. Sur les systèmes multi-moniteurs, le contenu du moniteur standard est imprimé.

Liste de cadres

Disponible uniquement si la propriété Zone écran totale est inactive.

Sélectionnez le cadre souhaité en double-cliquant dessus. Il est affiché dans le champ Selected print area (Zone d'impression sélectionnée).

Note : Si le cadre sélectionné n'est pas actif dans le Runtime, rien n'est imprimé.

Moniteur

Disponible uniquement si un cadre a été sélectionné et la propriété Zone écran totale est inactive.

Sélectionnez le moniteur souhaité dans la liste déroulante.

  • Tous les
  • Moniteur actuel
  • Moniteur virtuel désigné

Note : Si vous avez sélectionné un cadre couvrant plus d'un écran, vous devez sélectionner Current monitor (Moniteur actuel) pour imprimer l'ensemble du cadre.

Options d'impression

Avec marge

Lors de l'impression, une marge d'agrafage est prévue.

Inverser

Inverse les zones claires et sombres.

Fax

L'impression est redirigée vers un fax Pour cela, vous devez sélectionner un fax comme imprimante pour les captures d'écran dans la section Paramètres pour l'impression.


Fenêtre en arrière-plan

Manuels -> Fonctions -> Fonctions système -> Fonctions - Windows -> Fenêtre en arrière-plan

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec cette fonction, la fenêtre zenon est basculée vers l'arrière-plan durant le Runtime. L'entrée SYSKEY du fichier project.ini n'est pas prise en compte. La sélection d'autres application (gestionnaire des programmes) est possible.

[PAR DEFAUT] |
... |
SYSKEY= | 0 – les touches systèmes sont actives
 | 1 – les touches système sont inopérantes

Aucun paramètre de transfert n'est nécessaire dans ce cas.


To the foreground (Premier plan)

Manuels -> Fonctions -> Fonctions système -> Fonctions - Windows -> To the foreground (Premier plan)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec cette fonction, la fenêtre zenon est basculée vers le premier plan durant le Runtime. Toutes les autres applications seront basculées en arrière-plan (exception : les applications avec la propriété 'toujours en avant-plan'). L'entrée SYSKEY du fichier project.ini est prise en compte.

Entrée | Signification
[DEFAULT] |
SYSKEY= | 0 – les touches systèmes sont actives
 | 1 – les touches système sont inopérantes (par défaut)

Aucun paramètre de transfert n'est nécessaire dans ce cas.

info Info

Lors du déplacement du Runtime vers le premier plan, la fenêtre de Runtime est définie comme la fenêtre supérieure. La ligne d'état des alarmes est alors recouverte. Pour ramener la ligne d'état des alarmes au premier plan, vous pouvez :

  • Activer les touches système (en désactivant le paramètre de projet Bloquer les touches système), puis ramener la ligne d'état des alarmes au premier plan en appuyant sur Alt+Tabulation
  • Activer la barre des tâches de Windows et cliquer sur la fenêtre État
  • Déplacer le Runtime vers l'arrière-plan
  • Redémarrer le Runtime


Exécuter un programme

Manuels -> Fonctions -> Fonctions système -> Fonctions - Windows -> Exécuter un programme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour exécuter un programme externe (*.EXE) pendant le mode de fonctionnement en ligne. Lors de l'exécution de la fonction, les paramètres pour l'application à démarrer peuvent être définis.

Indiquez le fichier programme (*.EXE) comme paramètre de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie.

Les options pouvant être configurées sont les suivantes :

Paramètres | Description
Nom | nom du fichier à exécuter; recherche et sélection par bouton
Paramètres | paramètres d'appel du programme
Afficher cette boîte de dialogue dans le Runtime | change le programme et les paramètres en mode de fonctionnement en ligne à l'appel de la fonction

Les programme est sélectionné dans un masque de dialogue

Pour lancer un programme, il doit être localisé dans le chemin de recherche (environnement système sous Windows NT). Les programmes définis par l'utilisateur (Visual Basic) doivent être sauvegardés dans le chemin d'installation de zenon.

Lorsque la Alarm Message List est active et qu'une alarme a été sélectionnée, l'appel des noms de variables peut être transféré comme paramètre (pour les systèmes de bases de données externes). Le paramètre est transféré en tant que mot clé.

Paramètres | Description
@alarm.name | Nom de la variable
@alarm.unit | unité de la variable
@alarm.value | valeur qui dépasse une limite
@alarm.stext | texte de limite
@alarm.ctime | Heure d'apparition (valeur en secondes depuis 1.1.1970)
@alarm.ctimemilli | avec millisecondes
@alarm.gtime | Heure de disparition
@alarm.gtimemilli | avec millisecondes
@alarm.qtime | Heure d'acquittement
@alarm.user | utilisateur ayant acquitté
@alarm.identification | Identification de la variable

si aucune AML ("Alarm Message List") n'est ouverte ou plusieurs ou aucune alarme(s) n'est(sont) sélectionnée(s), aucun paramètre de transfert n'est généré. Si plusieurs "Alarm Message Lists" sont ouverts (liste globale ou sélective), l'entrée de la première liste trouvée est utilisée.

Lorsque la Liste chronologique d'événements est active et qu'une entrée a été sélectionnée, l'appel des noms de variables peuvent être transféré comme paramètre (pour les systèmes de bases de données externes). Le paramètre est transféré en tant que mot clé.

Paramètres | Description
@cel.name | Nom de la variable
@cel.unit | unité de la variable (seulement si une variable est reliée)
@cel.value | valeur qui dépasse une limite (seulement si la limite est définie)
@cel.stext | texte de limite
@cel.ctime | Heure d'apparition (valeur en secondes depuis 1.1.1970)
@cel.ctimemilli | avec millisecondes
@cel.user | utilisateur ayant acquitté
@cel.identification | Identification de la variable

si aucune liste de CEL n'est ouverte ou plusieurs ou aucune entrée(s) n'est(sont) sélectionnée(s), aucun paramètre de transfert n'est généré. Si plusieurs listes de CEL sont ouvertes (liste globale ou sélective), l'entrée de la première liste trouvée est utilisée.

Les paramètres additionnels sont :

@screen

le synoptique depuis lequel est exécuté la fonction.

Cette fonction a pour but de tenir compte des effets du programme lancé sur la totalité du système (ressources requises, gestion multitâches, stabilité du programme, etc.)


Ordre d'exécution en Runtime

Manuels -> Fonctions -> Ordre d'exécution en Runtime

L'exécution des fonctions dans le Runtime est faite selon 3 niveaux de priorité.

  • Priorité 1 immédiate (la fonction est exécutée immédiatement)
  • Priorité 2 élevée (une boîte de dialogue est affichée avant l'exécution de la fonction)
  • Priorité 3 Bas

Si, pour une fonction dotée de la priorité 1, une boîte de dialogue est affichée avant l'exécution de la fonction, le niveau de priorité est réglé sur 2.

A l'intérieur d'un projet, toutes les fonctions d'un script se trouvent dans la même file d'attente. Dans un script, toutes les fonctions du même niveau de priorité sont exécutées. Les fonctions sont exécutées l'une après l'autre.

Example Exemple

Via un script, un ensemble de synoptiques comportant des synoptiques issus de différents projets peut être activé via la fonction Appel de synoptique. Cette disposition dépend de l'ordre d'exécution (synoptiques au-dessus d'autres synoptiques).

Priorité de l'exécution dans le Runtime

Groupes de fonctions

Fonctions

Priorité

Liste d'alarmes et liste chronologique d'événements

Contrôle de la gestion de la liste d'alarmes et de la liste chronologique d'événements

  • Alarmes : acquitter clignotement

1

  • Alarmes : supprimer

1

  • Alarmes : acquitter

1

  • Inscrire/désinscrire groupe d'alarmes/d'événements

1

  • Liste d'alarmes actives

1

  • Alarm Message List active/inactive (Liste d'alarmes actives/inactives)

1

  • Alarm Message List inactive (Liste d'alarmes inactives)

1

  • Activer/désactiver liste d'alarmes / groupe d'alarmes/d'événements / classe d'alarmes/d'événements

1

  • Sauver buffer mémoire des alarmes et des événements

1

  • Print AML or CEL (Imprimer la liste AML ou CEL)

3

  • Exporter alarmes

2

  • Exporter CEL

2

  • Créer/imprimer un document IPA

1

  • impression en ligne on/off

1

  • Start online printing on a new page (Démarrer l'impression en ligne sur une nouvelle page)

?

  • Changer imprimante en ligne

3

Application

Appeler des applications

  • Sélection imprimante

3

  • Imprimer un diagramme Extended Trend

1

  • Switch color palette (Changer de palette de couleurs)

2

  • Fonctions avec valeurs de limite actives/inactives

1

  • Function at limit active (Fonction active à la valeur limite)

1

  • Function at limit inactive (Fonction inactive à la valeur limite)

1

  • Ouvrir l'aide

3

  • Rechargement

1

  • Détermination des maintenances ouvertes

3

  • Exécuter un événement PFS

1

  • Quitter le programme

3

  • Simuler le clic droit

3

  • Save remanent data (Enregistrer les données rémanentes)

1

  • Analyser les heuristiques du graphe S7

1

  • Switch simulation on/off (Activer/désactiver la simulation)

1

  • Changement de langue

2

Le serveur d'archives

Contrôle des archives

1

  • Archive : Arrêt

1

  • Indexer les archives

1

  • Archive : Démarrage

1

  • Archive : liste des archives actives

2

  • Export archives (Exporter les archives)

1

Gestion utilisateurs

Gestion utilisateurs

  • Modifier un utilisateur

3

  • Login avec boite de dialogue

2

  • Login sans mot de passe

2

  • Logout

2

  • Modifier mot de passe

2

Synoptiques

Sélectionner et contrôler les synoptiques

  • Change ALC source color (Modifier la couleur source de la fonction CAL)

1

  • Synoptique indexé

1

  • Synoptique : fermer

2

  • Synoptique : retour au précédent

1

  • Synoptique : déplacer le centre

1

  • Appel de synoptique

1

  • Focus : Activer l'élément qui a le focus

1

  • Focus : donner au cadre

1

  • Donner le focus

1

  • Focus : Enlever le focus du cadre

1

  • Visualiser menu

1

  • Sélection moniteur

1

  • Profils de Runtime

1

  • Fermer le cadre

1

  • Vue d'aperçu

1

Détection d'erreurs sur le réseau électrique

  • Acquitter un message de défaut de terre

1

  • Arrêt de la recherche de défaut de terre

1

  • Démarrer la recherche de défaut de terre

1

  • Acquitter un message de défaut de terre

1

Gestion de messages

envoi de messages (Gestion de messages)

  • Enregistrer queue courante

    Enregistrer queue courante

    Enregistre une image de la file d'attente actuelle dans le Runtime.

    Plus de détails dans l'aide en ligne.

1

  • Groupe/classe/domaine/équipement supprimé

    Groupe/classe/domaine/équipement supprimé

    Active ou désactive les élements de la liste pour lesquels aucun message ne doit être envoyé.

    Plus de détails dans l'aide en ligne.

1

  • Envoi d'un message

    Envoi d'un message

    Cette fonction envoie un message du module optionnel "Gestion de messages"

    Plus de détails dans l'aide en ligne

1

  • Envoi de messages : activer

    Envoi de messages : activer

    Cette fonction active les envois de messages du module optionnel "Gestion de messages".

    Plus de détails dans l'aide en ligne.

1

  • Envoi de messages : désactiver

    Envoi de messages : désactiver

    Cette fonction désactive les envois de messages du module optionnel "Gestion de messages".

    Plus de détails dans l'aide en ligne

1

Réseau

Fonctions - réseau

  • Autorisation sur le réseau

1

  • Commutation redondance

1

Générateur de rapports

Fonctions des rapports

  • Imprimer rapport

2

  • Exporter rapport

2

  • Exécuter rapport

2

Recettes

gestion des recettes en ligne

  • Recipe Group Manager

2

  • Recette standard

2

  • Recette : envoi direct

2

  • Recette : modification avant envoi

2

  • Recette : sélection et modification avant envoi

2

Script

Exécuter les blocs fonctionnels (scripts)

  • Script : exécuter

1

  • Script : sélection en ligne

2

Variable

Fonctions des variables

  • Exporter données

3

  • Lire un fichier dBase

2

  • Imprimer valeurs actuelles

2

  • Unit conversion (Conversion d'unités)

2

  • Valeurs de tendances actives

1

  • Valeurs de tendances inactives

1

  • Valeurs de tendances actives/inactives

1

  • Envoi d'une valeur vers matériel

1

  • Commandes driver

2

  • Transférer l'image de simulation du driver au redondant

1

  • Écrire l'heure dans une variable

1

  • Lire l'heure d'une variable

1

VBA

Fonctions - VBA

  • Ouvrir l'Éditeur PCE

3

  • Ouvrir Éditeur VBA

3

  • Exécuter macro VBA

3

  • Montrer la boîte de dialogue des macros VBA

3

VSTA

Fonctions VSTA

  • Ouvrir Éditeur VSTA

3

  • Exécuter macro VSTA

3

  • Montrer la boîte de dialogue des macros VSTA

3

Fenêtre

  • Émettre un fichier-son

2

  • Opérations sur fichiers

3

  • Son beep : début

1

  • Son beep : fin

1

  • Fenêtre en arrière-plan

2

  • To the foreground (Premier plan)

2

  • Imprimer la capture d'écran

2

  • Exécuter un programme

2


Gestion de messages

Manuels -> Gestion de messages

Le module Gestion des messages facultatif autorise l'envoi et l'acquittement automatiques de messages. L'envoi est déclenché par une fonction pouvant être liée à un événement. Les modes d'envoi disponibles sont notamment les suivants :

  • E-mail via Outlook
  • E-mail via SMTP
  • SMS via modem GSM
  • SMS via passerelle SMS
  • Message vocal avec un fichier audio via un modem sur un téléphone
  • Message vocal en synthèse vocale via un modem sur un téléphone

L'état de cette transmission est consigné dans la liste chronologique d'événements (CEL).

La configuration se déroule en deux étapes :

  • Paramètres généraux pour l'envoi : dans les propriétés du groupe Gestion de messages (MessagCtrl) du domaine de travail.
  • Paramètres spécifiques au projet : dans les propriétés du nœud Gestion de messages du projet correspondant.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (autonome, serveur, veille). Indisponible pour les clients.

Menu contextuel de paramètres spécifiques au projet dans le Gestionnaire de projet.

Élément de menu | Action
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Compatibilité avec la version 6.xx

Minimum requis

Commandes AT prises en charge

Configuration du module Gestion des messages

Gestion des messages dans le Runtime

Messages et traitement des erreurs


Compatibilité avec la version 6.xx

Manuels -> Gestion de messages -> Compatibilité avec la version 6.xx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Modifications intervenues dans la version 7 par rapport aux versions antérieures

À partir de la version zenon 7.00 SP0, le module de gestion des messages diffère fondamentalement des versions antérieures en termes de technologie et de configuration.

Des modifications techniques importantes ont été mises en œuvre :

  • Le serveur COM n'est plus utilisé
  • Le composant supplémentaire de l'entreprise DerDack n'est plus utilisé
  • L'élément ZenMsgQueue est remplacé par un synoptique de type Gestion des messages
  • La configuration est effectuée par le biais de la propriété Gestion de messages (MessagCtrl) de l'espace de travail (envoi) et des propriétés Paramètres spécifiques au projet pour le module Gestion de messages dans le projet (spécifique au projet)
  • La vue de détail n'est plus disponible
  • Les modèles de postes et la fonctionnalité de calendrier ont été supprimés
  • Les fichiers ne sont plus modifiables dans le Runtime
  • L'envoi d'e-mails est possible via Outlook ou un serveur SMTP ; le protocole SMTP autorise l'envoi de pièces jointes
  • La configuration du type d'envoi n'est plus enregistrée dans le fichier message32.ini, mais dans le fichier zenon6.ini
  • Évaluation des textes de limite : jusqu'à présent, l'évaluation des textes composés dans le module Gestion des messages se déroulait différemment de l'évaluation des textes de limite standard. À partir de la version 7.00, ces deux types de textes sont évalués de la même manière. @StringTabelle+%var1

Vous trouverez des informations détaillées concernant la configuration au chapitre Configuration du module Gestion des messages.

attention Attention

Seuls les projets créés à partir de la version 5.50 SP7 peuvent être convertis au format de la version 7.

Conversion

En raison de ces modifications importantes, une compatibilité à 100 % ne peut pas être garantie lors de la conversion. Cela s'applique également à la compilation de fichiers RT dans les versions antérieures. Lors de la conversion, prêtez attention aux aspects suivants :

  • Utilisateur :
    • Si un utilisateur portant le même nom (prénom et nom) existe déjà, l'utilisateur est sélectionné et ses informations sont ajoutées.
    • Aucun utilisateur correspondant n'est présent : un nouvel utilisateur est créé. Le lien vers l'utilisateur et le groupe d'utilisateurs de remplacement est résolu. L'utilisateur est ajouté au groupe existant ou au groupe créé lors de la conversion.
  • Groupes d'utilisateurs :
    • Un groupe d'utilisateurs portant le même nom existe déjà : le groupe d'utilisateurs est sélectionné et ses informations sont ajoutées.
    • Aucun groupe d'utilisateurs correspondant n'est présent : un nouveau groupe d'utilisateurs est créé.
  • Fonctions :

    La fonction Afficher la base de données de destinataires a été supprimée.
    Cette fonction ne peut plus être créée avec l'Éditeur. Lors de la conversion, toutefois, elle n'est pas supprimée. Son exécution dans le Runtime n'a aucun effet, et génère une entrée de fichier journal.

  • Radiomessagerie :
    La radiomessagerie n'est plus disponible pour les envois de messages. Les fonctions existantes avec le type d'envoi Paging (Radiomessagerie) sont transformées en envois du type GSM lors de la conversion. Un message dans la fenêtre de résultat l'indique. Après la conversion, vous devez contrôler les paramètres de la fonction.
  • Fichiers modifiables dans le Runtime :
    Puisque la fonction de gestion des utilisateurs a été modifiée, les fichiers modifiables dans le Runtime ne sont plus utilisés par le module Gestion des messages. Dans la version 7, les données de Runtime de versions antérieures ne peuvent pas être lues. Si les fichiers de Runtime d'un projet antérieur à la version 7 sont requis, vous devez les lire dans un Éditeur avant de les importer dans zenon 7, puis les convertir.
  • Postes et calendriers :
    La fonctionnalité de gestion des postes et calendriers a été supprimée. Les fonctions existantes comportant le type de cible Poste reçoivent en type de cible Groupe lors de la conversion. Toutefois, aucun groupe n'est lié. Un message dans la fenêtre de résultat l'indique. Après la conversion, vous devez contrôler les paramètres de la fonction.
  • Passerelle SMS :
    Puisque l'interface simple n'offre pas la possibilité technique d'attribuer les messages de manière univoque, à partir de la version 7, seule l'interface améliorée est prise en charge. Lors de la conversion, vous devez vous assurer que l'application SMS Server de l'entreprise Dialogs est correctement configurée. Dans le cas contraire, l'envoi échouera.

Importation et exportation

Les versions antérieures du module de gestion des messages et les versions ultérieures à zenon 7.00 SP0 enregistrent les paramètres dans différents fichiers :

  • Jusqu'à la version 6.51 SP0 : message32.ini
  • À partir de la version 7.00 SP0 : zenon6.ini

Import settings (Importer les paramètres)

Si une version antérieure de zenon est ouverte dans la version 7 (ou une version ultérieure), les paramètres provenant du fichier message32.ini précédent sont repris et adaptés dans la mesure du possible. La configuration doit toujours être vérifiée manuellement, car tous les paramètres ne peuvent pas être convertis avec une exactitude totale. Par exemple, des plannings sont attribués à des groupes devant être configurés.

Export settings (Exporter les paramètres)

La configuration peut être écrite dans le fichier message32.ini depuis la version 7, pour les versions antérieures. Pour cela, cliquez sur la propriété de zone de travail globale Gestion de messages (MessagCtrl)/Exporter les paramètres dans Messag32.ini (v6.XX) et confirmez la requête de sécurité.

Attention : lors de l'exécution de la propriété Exporter les paramètres dans Messag32.ini (v6.XX), toutes les entrées correspondantes dans le fichier message32.ini sont remplacées. Par conséquent, le fichier .ini peut contenir des entrées qui ne peuvent pas être exécutées dans le module de gestion de messages actuel, ou qui risquent de désactiver des configurations.


Minimum requis

Manuels -> Gestion de messages -> Minimum requis

Les exigences applicables à l'utilisation du module Gestion des messages varient selon le support de transmission souhaité :

Support

Conditions préalables

E-mail via Outlook :

Instance de Microsoft Outlook en cours d'exécution

E-mail via SMTP :

Le serveur de Runtime qui exécute l'envoi doit être connecté à un réseau.

Un compte de messagerie doit être disponible, ainsi que les serveurs ayant accès au compte.

SMS via GSM :

un modem GSM doit être connecté à l'ordinateur et doit pouvoir être contacté via le port série (port COM). En règle générale, les modems USB créent un port COM virtuel durant l'installation, ce qui permet de les contacter.

SMS via passerelle SMS :

SMS-Server de la société DIALOGS Software GmbH

Sortie vocale :

Modem vocal avec fonctionnalité "tonalités multifréquences".

Moteur de synthèse vocale. Partiellement contenu dans les systèmes d'exploitation ; peut être étendu au moyen d'une application de synthèse vocale fournie par COPA-DATA.

Téléphone :

Modem vocal avec fonctionnalité "tonalités multifréquences".

Si un adaptateur RNIS est utilisé, il doit prendre en charge les fonctions suivantes.

  • Support de messages vocaux (LINEMEDIAMODE_AUTOMATEDVOICE)
  • Support des signaux DTMF (pour la réception du code PIN lors de l'acquittement de message)
  • Support du Telephony Application Programming Interface (TAPI)

Limitations

  • Ce module n'est pas disponible sur Windows CE.


Commandes AT prises en charge

Manuels -> Gestion de messages -> Commandes AT prises en charge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module Gestion des messages prend en charge les commandes AT suivantes :

But | Commande | Réponse | Commentaire sur la réaction.
Test de connexion : | AT\r | \r\nOK\r\n | à la fin
Interroger l'état du code PIN | AT+CPIN?\r | +CPIN: | À un instant donné dans la réaction, plus \r\n à la fin.
Saisir le code PIN : | AT+CPIN="[PIN-Code]"\r | \r\nOK\r\n | à la fin
Activer le modem en mode SMS-PDU : | AT+CMGF=0\r | \r\nOK\r\n | à la fin
Définir le numéro de téléphone du centre de messagerie SMS : | AT+CSCA=[Numéro de téléphone SMSC]\r | \r\nOK\r\n | à la fin
Vérifier si le modem est passé en mode SMS-PDU : | AT+CMGF?\r | \r\nOK\r\n | à la fin
Vérifier si le modem a défini le centre de messagerie SMS spécifié : | AT+CSCA?\r | \r\nOK\r\n | à la fin
Envoyer le message à ce numéro. Le modem indique Ready for PDU (Prêt pour PDU) si la commande est acceptée : | AT+CMGS="[Longueur PDU]"\r | \r\n>[espace] |
PDU du SMS à envoyer au numéro précédemment spécifié, avec un indicateur de finalisation : | [SMS-PDU][0x1A] | \r\nOK\r\n | à la fin
Dresse la liste des SMS en mémoire comportant l'état défini par l'indicateur : | AT+CMGL=[Flag]\r | \r\nOK\r\n | à la fin
Supprimer de la mémoire tous les SMS comportant l'état défini par l'indicateur (indépendamment de l'indice) : | AT+CMGD=0,[Flag]\r | \r\nOK\r\n | à la fin
Supprimer de la mémoire les SMS comportant l'indice fourni : | AT+CMGD=[Index]\r | \r\nOK\r\n | à la fin

Remarque : Pour les commandes AT+CMGD, il suffit qu'une des deux versions soit prise en charge.

Arguments :

  • \r --> Carriage Return --> 0x0D
  • \n --> Line Feed --> 0x0A

Erreur de recherche

Les messages d'erreur contiennent une entrée ERROR dans la réponse. Vous trouverez des détails concernant la résolution d'incidents et les tests de la connexion au chapitre Messages et gestion des erreurs.


Configuration du module Gestion des messages

Manuels -> Gestion de messages -> Configuration du module Gestion des messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration du module Gestion des messages est effectuée par le biais des éléments suivants :

  • Les propriétés globales du mode d'envoi
  • Les propriétés spécifiques au projet pour le message
  • Les fonctions exécutées dans le Runtime pour l'envoi et la gestion des messages

Les messages peuvent être envoyés et acquittés sous les formes suivantes :

  • E‑Mail
  • SMS
  • Message vocal

Configuration de l'envoi d'un message

Pour configurer l'envoi d'un message :

  1. Sélectionnez le mode d'envoi
  2. Activez la propriété Type d'envoi actif pour ce support
  3. Configurez le support
  4. Configurez les propriétés spécifiques au projet
  5. Configurez l'utilisateur ou les groupes d'utilisateurs qui seront contactés par le biais du support
  6. Créez une fonction Envoi de messages et

    Liez-la à la fonction :

    1. Avec un bouton ou
    2. Avec la propriété Fonction, dans le cas des valeurs limite devant déclencher l'envoi de ce message en cas de dépassement

Configuration du message

Un message comprend plusieurs parties :

  • Objet : défini pour les e-mails avec :
    • Sujet (ID) dans les paramètres généraux d'Outlook
    • Sujet pour les e-mails sortants dans les paramètres généraux d'‑E-mail via SMTP
    • Propriété Partie dynamique du sujet dans les paramètres spécifiques au projet pour les e-‑mails envoyé via SMTP ou Outlook
  • Bienvenue et saisie incorrecte : définis pour les messages vocaux avec :
    • Message vocal en synthèse vocale via modem

      or

    • Message vocal avec fichier audio via modem
  • Texte du message : défini pour les e-mails, les SMS et les messages vocaux dans :
    • l'option Constante texte

Configurez la gestion de la file d'attente de messages

Pour gérer les messages dans le Runtime :

  1. Créez un synoptique de type Gestion de messages
  2. Créez et configurez fonction d'appel de synoptique pour ce synoptique.
  3. Liez la fonction à un bouton.

Vous pouvez maintenant vérifier l'état des messages et consulter la file d'attente des messages dans le Runtime.

Gestion des messages dans le Runtime

Pour utiliser le module de gestion les messages dans le Runtime :

  1. Activez le module Gestion de messages via
    • Propriété Actif lors du démarrage du runtime Une fois que cette propriété a été activée, le module de Gestion des messages démarre automatiquement dans le Runtime.
    • Fonction Envoi de messages : activé : si cette fonction est exécutée, le module Gestion des messages est démarré. Les messages sont uniquement traités à partir de cet instant.

Durant la fermeture normale du Runtime, une image de la file d'attente de messages actuelle est enregistrée. Cette image peut également être créée à tout instant dans le Runtime, via la fonction Save current queue (Enregistrer la file d'attente actuelle). Le module Gestion des messages peut être fermé en exécutant la fonction Envoi de messages : désactivé dans le Runtime.

Suppression de messages

Le module Gestion des messages comporte une liste d'éléments désactivés. Le terme "désactivé" signifie ici que les alarmes correspondantes ne déclenchent plus l'envoi d'un message.

Si, durant un dépassement de valeur limite, la fonction Envoi de messages est liée, les messages sont uniquement créés et envoyés si ni la variable, ni l'alarme ne sont supprimées.

  • La variable est supprimée si son domaine ou un groupe d'équipements lié figurent dans la liste des éléments supprimés.
  • L'alarme est supprimée si le groupe d'alarmes/d'événements, la classe d'alarmes/d'événements ou le domaine d'alarmes sont contenus dans la liste d'éléments supprimés.

Cette liste peut être modifiée à l'aide de la fonction Suppress groups/classes/areas/equipment (Supprimer des groupes/classes/domaines d'équipements) dans le Runtime. Les alarmes et les équipements peuvent être activés ou désactivés. Les entrées supprimées sont consignées dans la liste CEL, à condition que pour la propriété Enregistrer dans liste d'événements, l'une des entrées Toutes les confirmations ou Uniquement les confirmations négatives ait été sélectionnée.

L'activation et la désactivation des entrées sont effectuées de manière rémanente sur le réseau. Par exemple, si les alarmes d'une section de l'équipement sont désactivées à des fins de maintenance, ce paramètre reste actif, même après la fermeture du Runtime, et sera appliqué à nouveau lors d'un redémarrage.

Autres sujets abordés dans ce chapitre

Paramètres généraux pour l'envoi

Paramètres spécifiques au projet

Création d'un synoptique de type Gestion de messages

Gestion utilisateurs

Fonctions


Paramètres généraux pour l'envoi

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le mode d'envoi utilisé pour les messages est défini au niveau global et peut être utilisé par chaque projet, dans chaque domaine de travail.

Les modes d'envoi disponibles sont notamment les suivants :

  • E-mail via Outlook
  • E-mail via SMTP
  • SMS via modem GSM
  • SMS via passerelle SMS
  • Message vocal avec fichier audio via modem
  • Message vocal en synthèse vocale via modem

Pour configurer les propriétés :

  1. Sélectionnez le domaine de travail
  2. Sélectionnez le groupe Gestion de messages (MessagCtrl) dans les propriétés
  3. Activez et configurez les types de mode d'envoi souhaités

Les paramètres dans le fichier zenon6.ini sont enregistrés dans le domaine [Gestion des messages].

Autres sujets abordés dans ce chapitre

E-mail via Outlook

E-mail via SMTP

SMS via modem GSM

SMS via passerelle SMS

Message vocal avec fichier audio via modem

Message vocal en synthèse vocale via modem

Entrées du fichier zenon6.ini


E-mail via Outlook

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> E-mail via Outlook

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour envoyer un message sous forme d'e-mail depuis Microsoft Outlook, les conditions suivantes doivent être remplies :

  • Le mode d'envoi doit être activé par le biais de la propriété Type d'envoi actif
  • Sur l'ordinateur exécutant le programme, une instance de Microsoft Outlook doit être en cours d'exécution et comporter une connexion au réseau/à Internet.

Si les messages doivent être acquittés, il est important que le contenu de la boîte de réception soit récupéré dans le délai imparti pour l'acquittement. Ce délai est défini par le biais de la fonction Envoi de messages (onglet Acquittement).

info Info

Une version 32 bits d'Outlook est requise pour utiliser le module Gestion des messages. La version 64 bits n'est pas prise en charge.

Configuration

  1. Activez le mode d'envoi par le biais de la propriété Type d'envoi actif.
  2. Définissez le nom du profil Outlook à utiliser par le biais de la propriété Profil.
  3. Définissez un objet explicite par le biais de la propriété Sujet (ID).
    Cet objet est le critère déterminant de la transmission des messages reçus au module Gestion des messages. Les e-mails ne contenant pas cet identifiant ne sont pas transmis au module Gestion de messages. Cet élément doit :
    • Comporter aux moins quatre caractères
    • Rester inchangé dans les réponses
  4. Configurez les propriétés pour Paramètres spécifiques au projet.
  5. Configurez les utilisateurs et les groupes d'utilisateurs.
  6. Créez les fonctions requises et associez-les à des boutons ou des événements.

Comportement dans le Runtime

  1. Dès le démarrage du Runtime, les messages sont récupérés.
  2. Les messages sont créés conformément aux paramètres définis, et sont envoyés dès qu'une fonction correspondante est exécutée.
  3. Si un utilisateur répond à un message, sa réponse est lue lors de la récupération des messages, puis transmise au module Gestion des messages.
  4. La réception du message est confirmée.


E-mail via SMTP

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> E-mail via SMTP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour envoyer un message sous forme d'e-mail via un serveur SMTP, les conditions suivantes doivent être remplies :

  • Le mode d'envoi doit être activé par le biais de la propriété Type d'envoi actif
  • L'ordinateur exécutant le programme doit être connecté au serveur de messagerie
  • Un compte de messagerie doit être défini
  • Le serveur de messagerie doit être configuré avec les données d'accès

Si les messages doivent être acquittés, il est important que le contenu de la boîte de réception soit récupéré dans le délai imparti pour l'acquittement. Ce délai est défini par le biais de la fonction Envoi de messages (onglet Acquittement).

Configuration

  1. Activez le mode d'envoi par le biais de la propriété Type d'envoi actif.
  2. Configurez les propriétés pour les éléments suivants :
    • Serveur de mails entrants
    • Serveur de mails sortants
  3. Configurez les propriétés des paramètres spécifiques au projet.
  4. Configurez les utilisateurs et les groupes d'utilisateurs.
  5. Créez les fonctions requises et associez-les à des boutons ou des événements.

Comportement dans le Runtime

  1. Dès le démarrage du Runtime, les messages sont récupérés.
  2. Les messages sont créés conformément aux paramètres définis, et sont envoyés dès qu'une fonction correspondante est exécutée.
  3. Si un utilisateur répond à un message, sa réponse est lue lors de la récupération des messages, puis transmise au module Gestion des messages.
  4. La réception du message est confirmée.

Un seul fil peut ouvrir une connexion à un instant donné. Une connexion est toujours ouverte pour le fil qui la demande, et fermée immédiatement après l'échange de données. Pendant l'envoi d'un message, aucun autre fil ne peut récupérer les messages entrants ou transmettre des messages en même temps. Si les messages entrants sont récupérés, il est en outre impossible qu'un autre fil procède à la récupération ou à l'envoi de messages.

Durant cette procédure, si une erreur se produit - par exemple, un échec de l'authentification ou une commande non prise en charge –, toutes les connexions actives sont fermées.

Les paramètres corrects pour la configuration sont disponibles auprès du fournisseur du compte de messagerie utilisé.

Procédure

Récupération d'e-mails entrants

  1. Établissez une connexion avec le serveur de courrier entrant défini et le port correspondant.
    L'établissement d'une connexion sécurisée ou non dépend des paramètres de la propriété Encryptage.
  2. Tous les messages dans la boîte de réception sont récupérés via les commandes STAT et RETR. L'importance d'un e-mail est déterminée en fonction‑de la ligne d'objet. Les messages non importants sont ignorés. Les messages importants sont transmis au module Gestion des messages et, tant que la propriété Laisser les mails lus sur le serveur est désactivée, supprimés du serveur via la commande DELE.
  3. La connexion est fermée par l'envoi de la commande QUIT, suivie de la fermeture de la connexion.

Envoi d'un e-mail

  1. Selon les paramètres définis, une connexion sécurisée ou non est établie avec le serveur SMTP.
  2. Si elle a été configurée, l'authentification SMTP est exécutée par le biais de la commande AUTH.
  3. Le message devant être envoyé est transféré au format MIME, par le biais des commandes SMTP MAIL, RCPT et DATA.
  4. La connexion SMTP est fermée par l'envoi de la commande QUIT, suivie de la fermeture de la connexion.
  5. Si une connexion POP3 a été établie, celle-ci est également fermée.


SMS via modem GSM

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> SMS via modem GSM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour envoyer un message SMS via un modem GSM :

  • Le mode d'envoi doit être activé par le biais de la propriété Type d'envoi actif
  • Un modem GSM doit être connecté à l'ordinateur expéditeur et doit pouvoir être contacté via le port série (port COM).
    Remarque : En règle générale, les modems USB créent un port COM virtuel durant l'installation, ce qui permet de les contacter.
  • Le modem GSM devra probablement être initialisé avec le logiciel du fabricant pour pouvoir se connecter au réseau .

Configuration

  1. Activez le mode d'envoi par le biais de la propriété Type d'envoi actif.
  2. Sélectionnez le port COM du modem dans la liste déroulante, via la propriété Connexion modem (série).
    Le port correct est affiché dans les propriétés du système du modem.
    Remarque : après une reconnexion du modem ou un redémarrage de l'ordinateur, le modem devra probablement être réinitialisé avec le logiciel du fabricant avant de pouvoir être utilisé avec le module Gestion des messages. Le port COM peut changer lors de la reconnexion du modem ou après le redémarrage de l'ordinateur.
  3. Dans la propriété Code PIN, saisissez le code PIN du modem, si nécessaire.
  4. Vérifiez la connexion en cliquant sur Vérification connexion.
  5. Saisissez le numéro de téléphone du centre de messagerie dans le champ de propriétés Numéro du centre SMS.
  6. Configurez les propriétés pour Paramètres spécifiques au projet.
  7. Configurez les utilisateurs et les groupes d'utilisateurs.
  8. Créez les fonctions requises et associez-les à des boutons ou des événements.

Comportement dans le Runtime

  1. Dès le démarrage du Runtime, la connexion au modem est établie et configurée.
  2. Les messages sont récupérés.
  3. Les messages sont créés conformément aux paramètres définis, et sont envoyés dès qu'une fonction correspondante est exécutée.
  4. Si un utilisateur répond à un message, sa réponse est lue lors de la récupération des messages, puis transmise au module Gestion des messages.
  5. La réception du message est confirmée.
  6. Si aucun message à parties multiples n'est présent après la récupération des messages, les messages lus sont supprimés sur le modem.
  7. Lors de la fermeture du Runtime, le modem est déconnecté.

info Info

En cas de reconnexion du modem ou de redémarrage de l'ordinateur, il est recommandé d'effectuer les opérations suivantes :

  • Exécuter le logiciel de configuration fourni par l'opérateur GSM, afin que le modem s'initialise et se connecte au réseau.
  • Vérifier, dans les contrôles du système, si le modem utilise toujours le même port COM après s'être reconnecté.

Constantes, délais d'attente avant expiration et paramètres

Entrée

Valeur

Description

Délai d'attente avant expiration des commandes AT

10000 ms

Le modem a 10 secondes pour répondre à la transmission d'une commande AT.

Intervalle d'interrogation de SMS

20000 ms

Toutes les 20 secondes, le système vérifie si de nouveaux SMS ont été reçus et s'ils ont été lus. Si aucun SMS à parties multiples incomplet n'est présent, tous les messages lus sont supprimés.

Délais d'attente avant expiration du port COM

Écriture : 5 secondes

Lecture : retour immédiat

Le système dispose de 5 secondes pour écrire les octets sur le port COM (maximum 400 dans le cas de messages SMS-PDU de la taille maximale).

Durant la lecture du port COM, le contenu actuel de la mémoire tampon de réception est lu et renvoyé immédiatement.

Configuration de l'état du port COM
  • Baud : 9600
  • Mode binaire
  • Vérification de la parité : Inactive
  • Paramètres Clear-To-Send et Data-Set-Ready : non contrôlés
  • Paramètres Data-Terminal-Ready et Request-To-Send Flow Control : Actif
  • Bits par octet : 8
  • Parity : None (Aucune)
  • Bit d'arrêt :1

Configuration standard d'un port série.

Mémoire tampon

Limite

Valeur maximum

Description

Tailles de la mémoire tampon d'envoi et de la mémoire tampon de réception du port série, en octets

4096

La taille maximale des PDU individuels est de 400 octets. Durant l'envoi d'un SMS, les PDU individuels sont envoyés les uns après les autres.

Durant la réception, tous les SMS reçus depuis le dernier intervalle d'interrogation sont récupérés immédiatement, en un bloc. Le modem peut ainsi transférer 10 PDU à la fois vers la mémoire tampon de réception du port série.

Taille de la mémoire tampon totale pour la conversion et la réception de SMS, en octets

12288

Puisqu'un SMS-PDU occupe au maximum 400 octets dans la mémoire tampon de réception, dans un intervalle d'interrogation de 20 secondes, au maximum, 30 parties de SMS de la taille maximale peuvent être reçus avec cette mémoire tampon.

La taille maximale d'un SMS envoyé est de 6144 caractères Unicode.


SMS via passerelle SMS

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> SMS via passerelle SMS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour envoyer un message SMS via une passerelle SMS :

  • Le mode d'envoi doit être activé par le biais de la propriété Type d'envoi actif
  • La plate-forme SMS Server de l'entreprise DIALOGS GmbH doit être présente et configurée.

Procédure

Configuration du serveur de SMS

Pour configurer correctement les serveur SMS, veuillez contacter le fabricant, DIALOGS GmbH.

Les conditions suivantes doivent être réunies pour qu'il fonctionne correctement avec zenon :

  • Les dossiers suivants doivent être présents :
    • Boîte de réception
    • Boîte d'envoi
    • États
  • zenon déplace les messages vers ces dossiers.
  • La passerelle SMS lit et remplit ces dossiers.
  • zenon surveille ces dossiers :
    Dès que des informations ou des messages nouveaux sont ajoutés aux dossiers, ils sont transmis au module Gestion des messages.

Réglages dans zenon

  1. Activez le mode d'envoi par le biais de la propriété Type d'envoi actif.
  2. Configurez Dossier boite de réception, Dossier boite d'envoi et Dossier état.
  3. Configurez l'élément Première lettre du fichier SMS.
    Cette première lettre est unique dans le projet. Si une passerelle SMS est utilisée par plusieurs projets, un préfixe unique doit être défini pour chaque projet.
  4. Configurez l'élément Première lettre du fichier 'lock/semaphore' : définit la première lettre pour les fichiers de verrouillage/de sémaphore. Cette première lettre est unique dans le projet. Si une passerelle SMS est utilisée par plusieurs projets, un préfixe unique doit être défini pour chaque projet.
  5. Configurez la propriété Gestion d'alarmes intelligente.
    Si la propriété est activée, les SMS sont traités comme suit :
    • Tous les messages sortants sont vérifiés. Si le message démarre avec le texte ALARM!, le message n'est pas envoyé dans le format habituel (ID;message) mais avec le format suivant : ALARM! ID; message.
    • Lors de l'envoi d'un message commençant par ALARM!, le numéro de téléphone mobile du destinataire est automatiquement basculé sur "Très fort", à condition que le téléphone l'autorise.
    • Cette chaîne de caractères est également recherchée dans les messages reçus.
      S'il y a un caractère ! à la position 6, les six premiers caractères sont tronqués et le message est transmis par le module Gestion des messages.
  6. Configurez les propriétés pour Paramètres spécifiques au projet.
  7. Configurez les utilisateurs et les groupes d'utilisateurs.
  8. Créez les fonctions requises et associez-les à des boutons ou des événements.

Comportement dans le Runtime

  1. Dès le démarrage du Runtime, les messages sont récupérés.
  2. Les messages sont créés conformément aux paramètres définis, et sont envoyés dès qu'une fonction correspondante est exécutée.
  3. Si un utilisateur répond à un message, sa réponse est lue lors de la récupération des messages, puis transmise au module Gestion des messages.
  4. La réception du message est confirmée.


Message vocal avec fichier audio via modem

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> Message vocal avec fichier audio via modem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour envoyer un message vocal sous forme de fichier audio :

  • Le mode d'envoi doit être activé par le biais de la propriété Type d'envoi actif
  • Un fichier audio doit être déposé dans le nœud Fichiers/Multimédia pour chacun des éléments suivants :
    • Greeting (Salutation)
    • Message
    • Failure entry (Saisie incorrecte)
  • Un modem doit être connecté à l'ordinateur expéditeur et doit être configuré
  • Le téléphone du destinataire doit être compatible avec les tonalités multifréquences

Procédure

Configuration

  1. Activez le mode d'envoi par le biais de la propriété Type d'envoi actif.
  2. Configurez les paramètres pour Time-out et Répéter le texte d'accueil.
  3. Sélectionnez le modem d'envoi via la propriété Nom ligne.
    La sélection est effectuée dans un menu déroulant contenant tous les modems configurés dans les contrôles du système.
  4. Configurez les propriétés pour Paramètres spécifiques au projet.
  5. Configurez les utilisateurs et les groupes d'utilisateurs.
  6. Créez les fonctions requises et associez-les à des boutons ou des événements.
  7. Cette méthode nécessite un acquittement.

Comportement dans le Runtime

  1. Dès qu'une fonction active le mode d'envoi, un appel est déclenché par le biais du modem.
  2. Dès que l'appel est pris, la salutation et le message sont diffusés.
  3. Le message doit être acquitté par le destinataire, qui doit saisir le code valide correspondant :
    • Code PIN pour une confirmation
    • Code NA pour un refus

    Le destinataire peut, en outre :

    • Relire le fichier qu'il vient d'écouter en appuyant sur la touche dièse (#) de son téléphone
    • Annuler la saisie en appuyant sur la touche étoile (*) ; dans ce cas, la salutation est à nouveau diffusée


Message vocal en synthèse vocale via modem

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> Message vocal en synthèse vocale via modem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour envoyer un message vocal via la fonction de synthèse vocale :

  • Le mode d'envoi doit être activé par le biais de la propriété Type d'envoi actif
  • Un modem doit être connecté à l'ordinateur expéditeur et doit être configuré
  • Le téléphone du destinataire doit être compatible avec les tonalités multifréquences
  • Un moteur Text-To-Speech (TTS) doit être installé.

Procédure

Configuration

  1. Activez le mode d'envoi dans la section Message vocal (Text to Speech), par le biais de la propriété Type d'envoi actif.
  2. Configurez les paramètres de Time-out et Répéter le texte d'accueil dans la section Message vocal (fichier audio).
  3. Sélectionnez le modem pour l'envoi dans la section Message vocal (fichier audio), via la propriété Nom ligne.
    La sélection est effectuée dans un menu déroulant contenant tous les modems configurés dans les contrôles du système.
  4. Définissez une langue et une voix dans la section Message vocal (Text to Speech), par le biais de la propriété Voix :.
    Remarque : des voix et des langues supplémentaires sont disponibles auprès du partenaire commercial de COPA-DATA.
  5. Configurez les propriétés pour Paramètres spécifiques au projet.
  6. Configurez les utilisateurs et les groupes d'utilisateurs.
  7. Créez les fonctions requises et associez-les à des boutons ou des événements.
  8. Cette méthode nécessite un acquittement.

Comportement dans le Runtime

  1. Dès qu'une fonction active le mode d'envoi, un appel est déclenché par le biais du modem.
  2. Dès que l'appel est pris, la salutation et le message sont diffusés.
  3. Le message doit être acquitté ou refusé par le destinataire, qui doit saisir le code valide correspondant.
    • Code PIN pour une confirmation
    • Code NA pour un refus

    Le destinataire peut, en outre :

    • Relire le fichier qu'il vient d'écouter en appuyant sur la touche dièse (#) de son téléphone
    • Annuler la saisie en appuyant sur la touche étoile (*) ; dans ce cas, la salutation est à nouveau diffusée

info Info

Selon le système d'exploitation et le logiciel installés, des voix et des langues accessibles par zenon sont déjà disponibles. Des voix et langues supplémentaires sont disponibles auprès du partenaire commercial de COPA-DATA. Les langues actuellement disponibles sont l'allemand, l'anglais (États-Unis, Royaume-Uni, Inde), le français et l'espagnol.


Entrées du fichier zenon6.ini

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Paramètres généraux pour l'envoi -> Entrées du fichier zenon6.ini

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration du module Gestion des messages s'effectue principalement par le biais des propriétés globales et spécifiques au projet. Dans le fichier zenon6.ini, les propriétés globales des supports sont affichées dans la section [Gestion des messages] :

Entrée | Description
[LE GESTIONNAIRE DE MESSAGES] | Section dans zenon6.ini
Outlook_Profile= | Nom du profil Outlook utilisé pour l'envoi. Valeur par défaut : vide
Outlook= | Fonction d'envoi active ? 0 : Inactive 1 : actif Par défaut : 0
Subject= | Identifiant unique que doivent contenir les e-mails entrants pour être traités par le module de Gestion des messages. Valeur par défaut : vide
Telephone_Timeout= | Délai en minutes au terme duquel une condition existante doit être annulée et fermée. Le délai doit être plus long que le délai nécessaire à la lecture et la confirmation du message. Par défaut : 1
Telephone_WelcomeMessageCount= | Nombre de répétitions pour le texte d'accueil. Par défaut : 5
Telephone_IgnoreDisconnect= | 1 : une déconnexion (par ex., le destinataire met un terme à l'appel) est ignorée et le message est relu dans son intégralité avant la fermeture de la ligne. 0 : la transmission du message est abandonnée lors de l'interruption de la connexion. Par défaut : 0
Telephone= | Fonction d'envoi active ? 0 : Inactive 1 : actif Par défaut : 0
Speech= | Fonction d'envoi active ? 0 : Inactive 1 : actif Par défaut : 0
Speech_Rate= | Vitesse de la voix. Minimum : -10 Maximum : 10 Par défaut : 0
Speech_Volume= | Volume de la voix. Ce nombre est une valeur, en pourcentage, de la valeur maximale pour la voix sélectionnée. Maximum : 100 Minimum : 1 0: nombre de nouvelles tentatives sans modification du système d'exploitation. Par défaut : 0
Speech_Name= | Sélection la voix et de la langue de la synthèse vocale Valeur par défaut : vide
SMSGateway= | Fonction d'envoi active ? 0 : Inactive 1 : actif Par défaut : 0
SMSGateway_Inbox= | Dossier de réception pour la fonction d'envoi de SMS. Valeur par défaut : vide
SMSGateway_Outbox= | Dossier d'envoi pour la fonction d'envoi de SMS. Valeur par défaut : vide
SMSGateway_Statusbox= | Dossier des messages d'état de la fonction d'envoi de SMS. Valeur par défaut : vide
SMSGateway_Prefix= | Première lettre du fichier SMS. Longueur : 1 caractères. Par défaut : F
SMSGateway_SemaphorPrefix= | Première lettre du fichier de verrouillage. Longueur : 1 caractères. Par défaut : S
SMSGateway_OriginId= | Identification de l'expéditeur pour l'envoi de SMS. Valeur par défaut : vide
SMSGateway_TimeOut= | Délai d'attente en minutes des messages envoyés. Définit le délai au terme duquel un message est considéré comme n'ayant pas été correctement envoyé. Par défaut : 60
SMSGateway_SmartAlarm= | la gestion intelligente des alarmes est utilisée. Par défaut : 0
SMTP_POP_MAIL= | L'entrée définit si le type d'envoi est actif. 1 : actif 0 : Inactive Par défaut : 0
SMTP_SRV_IS_POP= | Cette entrée définit si le serveur POP3 est utilisé en tant que serveur SMTP. 1 : les serveurs POP3 et SMTP sont identiques 0 : les serveurs POP3 et SMTP sont différents Par défaut : 0
SMTP_SERVER= | Serveur SMTP défini par l'utilisateur. Valeur par défaut : vide
SMTP_PORT= | Définit le port utilisé sur le serveur SMTP. Par défaut : 25
SMTP_SECURITY= | Type de protection de la connexion au serveur SMTP. 0 : pas de sécurité 1 : SSLv2 et SSLv3 2 : TLSv1 Par défaut : 0
SMTP_AUTH= | Authentification sur le serveur de courrier sortant. 0 : pas de sécurité 1 : connexion au serveur POP3 avant l'envoi 2 : SMTP AUTH Par défaut : 0
SMTP_OTHER_CREDS= | Définit si le serveur de courrier sortant utilise des données de connexion différentes de celles du serveur de courrier entrant. 0 : Inactive 1 : actif Par défaut : 0
SMTP_USER= | Nom d'utilisateur enregistré sur le serveur de courrier sortant. Valeur par défaut : vide
SMTP_PASSWORD= | Données hexadécimales du mot de passe chiffré d'authentification sur le serveur de courrier sortant. Valeur par défaut : vide
SMTP_SUBJECT= | Objet des messages sortants, permettant de détecter si un e-mail reçu sur le serveur correspond à un type d'envoi précis. Par défaut : MsgCtrl_Alert
SMTP_USER_IS_ADDR= | Définit si le nom d'utilisateur utilisé pour l'authentification sur le serveur de courrier sortant est utilisé en tant qu'adresse d'expéditeur des e-mails envoyés. 1 : actif 0 : Inactive Par défaut : 0
SMTP_OUT_ADDR= | Adresse pour les messages envoyés. Valeur par défaut : vide
POP_SERVER= | Serveur POP3 enregistré. Valeur par défaut : vide
POP_PORT= | Définit le port utilisé sur le serveur POP3. Par défaut : 110
POP_SECURITY= | Type de protection de la connexion au serveur POP3. 0 : pas de sécurité 1 : SSLv2 et SSLv3 2 : TLSv1 Par défaut : 0
POP_APOP= | Définit si la commande APOP doit être utilisée. 1 : actif 0 : Inactive Par défaut : 0
POP_KEEP_MAILS= | Définit si les e-mails lus restent sur le serveur. 1 : Les e-mails ne sont pas supprimés du serveur après téléchargement 0 : les e-mails sont supprimés du serveur après téléchargement. Par défaut : 0
POP_USER= | Nom d'utilisateur du serveur entrant. Valeur par défaut : vide
POP_PASSWORD= | Données hexadécimales du mot de passe chiffré d'authentification sur le serveur de courrier entrant. Valeur par défaut : vide
POP_POLL_INTERVALL= | Intervalle minimum entre deux demandes POP3, en secondes. Minimum : 10 Par défaut : 60
GSM_SMS= | Activation du type d'envoi SMS via GMS. 0 : actif Différent de 0 : Inactive Par défaut : 0 L'entrée correspond à l'entrée [GSM] définie sur On dans le fichier Message32.ini, et est prise en compte lors de l'importation/exportation du paramètre INI.
GSM_SMS_COM= | Port COM utilisé pour établir la connexion au modem. Valeur par défaut : vide
GSM_SMS_SMSC= | Numéro de téléphone du centre de messagerie du fournisseur GSM. Valeur par défaut : vide
GSM_SMS_PIN= | Code PIN utilisé pour l'authentification auprès du modem. Valeur par défaut : vide

info Info

Puisque certaines propriétés peuvent reprendre les valeurs d'autres propriétés et conservent les dernières valeurs saisies, il n'est pas nécessaire que les valeurs dans l'entrée INI correspondent toujours aux valeurs des propriétés affichées dans l'Éditeur. Les entrées suivantes sont concernées si elles sont affichées comme indisponibles :

SMTP_SERVER - > Adresse du serveur

SMTP_USER - > Identification utilisateur

SMTP_PASSWORD - > Mot de passe

SMTP_OUT_ADDR - > Adresse pour les e-mails sortants


Paramètres spécifiques au projet

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Paramètres spécifiques au projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous trouverez les paramètres spécifiques au projet dans le nœud Gestion des messages du projet correspondant. Les propriétés de configuration du message et de son envoi se trouvent ici. Les propriétés générales relatives aux supports d'envoi sont configurées dans les propriétés Gestion de messages (MessagCtrl) du domaine de travail.

Activation du module Gestion des messages pour le projet

Dans le Runtime, le module Gestion des messages peut être activé comme suit :

  • la propriété Actif lors du démarrage du runtime : Une fois que cette propriété a été activée, le module de Gestion des messages démarre automatiquement dans le Runtime.
  • Fonction Envoi de messages : activé : si cette fonction est exécutée, le module Gestion des messages est démarré. Les messages sont uniquement traités à partir de cet instant.

Le module Gestion des messages peut être fermé en exécutant la fonction Envoi de messages : désactivé dans le Runtime.

Propriétés spécifiques au projet

Les éléments suivants peuvent être définis dans les propriétés spécifiques au projet :

  • Partie dynamique du sujet via la propriété Partie dynamique du sujet : Les messages entrants sont filtrés pour ce contenu, pour être transmis au module Gestion de messages.
  • Consignation du message via la propriété Enregistrer dans liste d'événements: dans la liste chronologique d'événements, les messages peuvent être consignés selon différents critères :
    • Tous les messages
    • aucun
    • Uniquement les messages qui n'ont pas été refusés ou n'ont pas encore reçu une réponse
    • Uniquement les messages ayant été acquittés
  • L'état du message est identifié au moyen de couleurs et d'éléments graphiques : La colonne État du synoptique Gestion des messages peut afficher l'état d'un message au moyen d'éléments graphiques et de couleurs.

Configuration du message

Elle comprend les éléments suivants :

  1. Partie statique : objet inaltérable défini dans les paramètres généraux des e-mails.
  2. Partie dynamique : partie du sujet spécifique au projet. Définie avec la propriété Partie dynamique du sujet.

Structure de la partie dynamique de l'objet :

  • $ : indique du texte mis en forme.
  • Les composants de texte sont considérés comme des paramètres :
    • S'ils sont séparés du texte par un point-virgule (;) et
    • S'ils se terminent par un point-virgule (;).

Un paramètre peut être :
- Une légende de la table de langues
- Le nom d'une variable
- Une entrée composée dans la table de langues.

Paramètre

Dans le Runtime :

Action

Légende :

@MyText

Le programme vérifie si, pour la langue actuelle, une entrée existe pour @MyText dans la table de langues.
  • Si elle existe : l'entrée est ajoutée au message.
  • Si elle n'existe pas : selon les paramètres des propriétés Montrer les mots-clé non-traduits du projet, la chaîne @MyText ou MyText est ajoutée au message.

Variable :

%Var1

Le programme vérifie si la variable existe et si la valeur peut être lue.

  • Si elle existe : la valeur de la variable est prise et ajoutée sous forme de chaîne au texte.
  • Si elle n'existe pas ou n'est pas lisible : le texte xxx est ajouté au message.

Entrée composée :

@StringTable+%var1Text

Le programme vérifie si :

  • 1. La variable existe et la valeur peut être lue. La valeur est ajoutée au texte de préfixe ("MultipleText") sous forme de chaîne.
  • 2. Une entrée existe dans la table de langues pour le texte.
  • La variable et le texte existent :
    l'entrée est ajoutée au message.
    Exemple : La valeur de la variable est 33. La chaîne @StringTable33 est ensuite recherchée dans la table de langues, et le texte correspondant est ajouté.
  • Si elle n'existe pas : selon les paramètres des propriétés Montrer les mots-clé non-traduits du projet, la chaîne @MyText ou MyText est ajoutée au message.

Exemple : $@Attention;%Var1;


Création d'un synoptique de type Gestion de messages

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Création d'un synoptique de type Gestion de messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un synoptique de type Gestion des messages permet de gérer la file d'attente de messages d'un projet dans le Runtime.

Pour créer un synoptique de type Gestion de messages :

  1. Créez un nouveau synoptique.
  2. Sélectionnez Gestion de messages dans le menu déroulant du type de synoptique
  3. Cliquez sur le synoptique.
  4. Sélectionnez le menu Éléments de contrôle -> Insérer un modèle
  5. Les éléments de contrôle sont ajoutés au synoptique
  6. Créez une fonction d'appel de synoptique et liez-la à un bouton, pour pouvoir connecter le synoptique au Runtime.

Éléments de contrôle

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Boutons

Boutons d'actions du Runtime.

Actualiser

Actualise l'affichage. Les données actuelles sont chargées sur le synoptique de la file d'attente de messages.

L'heure de la dernière mise à jour peut être affichée avec le champ Last update (Dernière mise à jour).

Supprimer

Supprime l'entrée sélectionnée de la liste. Il est uniquement possible de supprimer les messages qui n'ont pas encore été envoyés.

Filtre

Ouvre une boîte de dialogue de configuration des filtres pour la vue.

Stop/Continuer

Démarre et arrête la mise à jour cyclique de la liste.

Fenêtre

Listes et champs pouvant être affichés dans le Runtime.

Number of messages (Nombre de messages)

Nombre de messages actuellement existants.

Last Update (Dernière mise à jour)

Heure de la dernière mise à jour.

Suppressed alarm/event groups (Groupes d'alarmes/d'événements supprimés)

Groupes d'alarmes/d'événements pour lesquels des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.

Suppressed alarm/event classes (Classes d'alarmes/d'événements supprimées)

Classes d'alarmes/d'événements pour lesquelles des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.

Suppressed alarm/event areas (Domaines d'alarmes/d'événements supprimés)

Domaines d'alarmes/d'événements pour lesquels des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.

Suppressed equipment (Équipements supprimés)

Équipements pour lesquels des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.

Message waiting list (File d'attente de messages)

Liste de messages.

Contient les messages envoyés, confirmés ou supprimés ou en attente d'envoi.

Les messages sont uniquement affichés, et ne peuvent plus être modifiés.

Les en-têtes de colonnes peuvent être définis individuellement et peuvent être localisés lors d'un changement de langue s'ils sont précédés du signe @.

Profils de filtre

Gestion de profils

Sélection profil

Ouvre la boîte de dialogue permettant de sélectionner un profil.

Enregistrer

Enregistrer la configuration actuelle sous forme de profil.

Supprimer

Supprime le profil.

Import

Ouvre la boîte de dialogue d'importation de profils depuis un fichier.

Exporter

Ouvre la boîte de dialogue d'exportation de profils depuis un fichier.

info Info

Les colonnes de la liste peuvent être configurées via le filtre de la fonction d'appel de synoptique dans l'Éditeur, via la fonction Appel de synoptique -> Avec dial. de filtre dans le Runtime ou via le bouton Filtrer. Les colonnes de la liste peuvent recevoir des intitulés individuels, et sont localisables.


Gestion utilisateurs

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Gestion utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les utilisateurs et les groupes d'utilisateurs du module de Gestion des messages sont créés et gérés avec le module de gestion des utilisateurs de zenon. Dans le module de gestion des utilisateurs, la propriété Utilisateur de la gestion de message (ou Groupe gestion de message) doit être active pour qu'un utilisateur puisse être utilisé dans le module Gestion des messages.

Les utilisateurs et les groupes sont référencés par leurs noms.

info Info

Les utilisateurs provenant d'AD, AD LDS ou ADAM ne sont pas utilisables avec le module Gestion des messages.

Utilisateur

Paramètre

Description

Message Control User (Utilisateur du module Gestionnaire de messages)

Actif : L'utilisateur est utilisé par le module Message Control.

Téléphone

Numéro de téléphone fixe de l'utilisateur. Utilisé pour la fonction de synthèse vocale.

Saisissez le numéro. le préfixe + peut être utilisé à la place des chiffres 00 précédant le code international.

Mobile phone (Téléphone mobile)

Numéro de téléphone mobile de l'utilisateur. Utilisé pour l'envoi de messages par téléphone portable et SMS ("textos").

Saisissez le numéro ; le préfixe + peut être utilisé à la place des numéros 00 précédant le code international.

Les e-mails

Adresse e-mail de l'utilisateur

Substitute person (Personne de remplacement)

Sélectionnez une personne de remplacement si l'utilisateur ne peut pas être contacté, ou si la réception du message est refusée. Cliquez sur le bouton .... Ouvre la boite de dialogue de sélection.

Code PIN

Code PIN permettant à l'utilisateur de confirmer le message.

Code NA

Code d'indisponibilité permettant à l'utilisateur de refuser de confirmer la réception du message (indisponible). Le message est alors envoyé à l'utilisateur suivant dans la liste.

OK

Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.

Annuler

Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

attention Attention

Les codes d'acquittement PIN (confirmation) et NA (refus) doivent être différents et ne doivent pas être trop semblables.

Si les deux codes sont identiques, le code est interprété comme un code PIN, et indique alors la confirmation du message.

En cas de réception d'un code inconnu, un SMS et un e-‑mail sont envoyés au contact secondaire. Le message d'erreur est diffusé pour les messages vocaux.

Ordre dans le groupe d'utilisateurs

La propriété Ordre des utilisateurs permet d'ordonner les utilisateurs dans un groupe d'utilisateurs.

Paramètre | Description
Utilisateurs | liste de tous les utilisateurs disponibles.
Vers le haut | Déplace l'utilisateur sélectionné d'une place.
Bas | Abaisse l'utilisateur sélectionné d'une place.
OK | Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Dans le Runtime, l'ordre des utilisateurs du module de gestion des utilisateurs est ajouté à l'ordre défini dans cette propriété. Par conséquent, les utilisateurs locaux sont toujours affichés avant les utilisateurs globaux.

info Info

Des informations détaillées concernant la gestion des utilisateurs dans zenon sont disponibles dans le manuel Gestion des utilisateurs.


Fonctions

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fonctions contrôlent l'utilisation du module Gestion des messages dans le Runtime.

Ainsi :

  • Le module Gestion des messages est activé et désactivé
  • Les messages sont envoyés
  • Le synoptique de type Gestion des messages est connecté pour gérer la file d'attente des messages
  • La file d'attente des messages est enregistrée
  • Les éléments des messages sont désactivés

Autres sujets abordés dans ce chapitre

Appel d'un synoptique de type Gestion de messages

Save current queue (Enregistrer la file d'attente actuelle)

Suppress groups/classes/areas/equipment (Supprimer des groupes, classes, zones ou équipements)

Envoi d'un message

Envoi de messages : activer

Envoi de messages : désactiver


Appel d'un synoptique de type Gestion de messages

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Appel d'un synoptique de type Gestion de messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'appel d'un synoptique de type Gestion des messages vous de superviser la file d'attente de messages dans le Runtime. Pour configurer l'appel de synoptique :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Appel de synoptique.

    Appel de synoptique

    Cette fonction ouvre le synoptique sélectionné. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

    Plus de détails dans l'aide en ligne

  3. La boîte de dialogue de sélection de synoptiques s'affiche.
  4. Sélectionnez un synoptique de type Gestion de messages
  5. La boîte de dialogue de configuration des paramètres des colonnes s'affiche à l'écran.
  6. Configurez les colonnes.
  7. Fermez la boîte de dialogue de configuration en cliquant sur OK.
  8. Liez la fonction à un bouton pour pouvoir y accéder dans le Runtime.

Autres sujets abordés dans ce chapitre

Paramétrage des colonnes


Paramétrage des colonnes

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Appel d'un synoptique de type Gestion de messages -> Paramétrage des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres de filtrage des messages

Paramètres | Description
Champ de liste | Affichage des colonnes configurées.
Sélection des colonnes | Ouvre la boîte de dialogue permettant de sélectionner les colonnes de caractères.
Format des colonnes | Ouvre la boîte de dialogue de mise en forme des colonnes.
OK | Applique toutes les modifications et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Sélection des colonnes

Format des colonnes


Sélection des colonnes

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Appel d'un synoptique de type Gestion de messages -> Paramétrage des colonnes -> Sélection des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Sélection des colonnes

Définition des colonnes affichées dans le Runtime.

Bouton | Fonction
Ajouter | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter tout | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Flèche vers le haut | Déplace l'entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques ; les sélections multiples ne sont pas autorisées dans ce cas.
Flèche vers le bas | Déplace l'entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques ; les sélections multiples ne sont pas autorisées dans ce cas.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Abandonne les paramètres et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Format des colonnes

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Appel d'un synoptique de type Gestion de messages -> Paramétrage des colonnes -> Format des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Format des colonnes

Mise en forme des colonnes.

Paramètre

Description

Colonnes disponibles

Liste de colonnes disponibles avec la fonction de sélection de colonnes. La colonne sélectionnée ici est configurée à l'aide des paramètres de la section Paramètres.

Paramètre

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l'intitulé de colonne. Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, insérez le caractère @ devant le nom de l'intitulé.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement.

Paramètres possibles :

  • Justifié à gauche : le texte est justifié contre le bord gauche de la colonne.
  • Centré le texte est centré dans la colonne.
  • Justifié à droite : le texte est justifié contre le bord droit de la colonne.

Désactiver le filtre sur les colonnes dans le Runtime

Actif : le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Contrôle de batch
  • Synoptique Extended Trend
  • Gestion de messages
  • Gestionnaire de groupes de recettes

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Save current queue (Enregistrer la file d'attente actuelle)

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Save current queue (Enregistrer la file d'attente actuelle)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction enregistre une image de la file d'attente de messages actuelle. Si le Runtime est fermé normalement, cette image est remplacée par une image valide de la file d'attente lors de la fermeture du Runtime. Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Dans le groupe Gestion de messages (MessagCtrl), sélectionnez la fonction Save current queue (Enregistrer la file d'attente actuelle).

    Gestion de messages (MessagCtrl)

    Ce groupe contient les fonctions relatives au module optionnel "Gestion de messages".

    Plus de détails dans l'aide en ligne

  3. Liez la fonction à un bouton pour pouvoir y accéder dans le Runtime.

Dans le Runtime, cette fonction est toujours exécutée sur l'ordinateur exécutant le processus


Suppress groups/classes/areas/equipment (Supprimer des groupes, classes, zones ou équipements)

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Suppress groups/classes/areas/equipment (Supprimer des groupes, classes, zones ou équipements)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module Gestion des messages comporte une liste d'éléments désactivés. Le terme "désactivé" signifie ici que les alarmes correspondantes ne déclenchent plus l'envoi d'un message. Cette fonction permet de modifier la liste. Les alarmes et les équipements peuvent être activés ou désactivés. La projection se déroule dans l'Éditeur, et peut être déverrouillée en cas de modifications dans le Runtime.

Si un élément Valeurs limites est lié à une fonction Envoi d'un message, les messages sont uniquement créés et envoyés si ni la variable, ni l'alarme ne sont supprimées.

Envoi d'un message

Cette fonction envoie un message du module optionnel "Gestion de messages"

Plus de détails dans l'aide en ligne

  • La variable est supprimée si son domaine ou un groupe d'équipements lié figurent dans la liste des éléments supprimés.
  • L'alarme est supprimée si le groupe d'alarmes/d'événements, la classe d'alarmes/d'événements ou le domaine d'alarmes sont contenus dans la liste d'éléments supprimés.

Les entrées supprimées sont consignées dans la liste CEL, à condition que pour la propriété Enregistrer dans liste d'événements, l'une des entrées Toutes les confirmations ou Uniquement les confirmations négatives ait été sélectionnée.

Configuration des fonctions

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Dans le groupe Gestion de messages (MessagCtrl), sélectionnez la fonction Suppress Groups/Classes/Areas/Equipment (Supprimer des groupes/classes/domaines d'équipements).

    Gestion de messages (MessagCtrl)

    Ce groupe contient les fonctions relatives au module optionnel "Gestion de messages".

    Plus de détails dans l'aide en ligne

  3. La boîte de dialogue de configuration des éléments à supprimer ou à activer s'affiche à l'écran.
  4. Configurez les éléments.
  5. Fermez la configuration en cliquant sur OK
  6. Liez la fonction à un bouton pour pouvoir y accéder dans le Runtime.

Onglet Général

Paramètres

Description

Groupes d'alarmes/d'événements

Liste des groupes d'alarmes/d'événements configurés.

Domaines d'alarmes

Liste des domaines d'alarmes configurés.

Classes d'alarmes/d'événements

Liste des classes d'alarmes/d'événements configurées.

Activer

Actif : Lors de l'activation de la fonction, les éléments sélectionnés sont ajoutés à la liste d'éléments supprimés.

Désactiver

Actif : Lors de l'activation de la fonction, les éléments sélectionnés sont supprimés de la liste d'éléments supprimés.

Display this dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime)

Lors de l'activation de la fonction, cette boîte de dialogue est ouverte et l'utilisateur peut ajuster la configuration avant son exécution.

La boîte de dialogue est affichée sur l'ordinateur actuel dans le Runtime. Dans le cadre de l'utilisation du réseau, lors de l'activation du client, la boîte de dialogue est également affichée sur le client

OK

Valide les paramètres définis sur tous les onglets et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres définis sur tous les onglets et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

La sélection des éléments dans une liste s'effectue à l'aide de la souris. Une sélection multiple est possible. Un simple clic suffit, aucune combinaison de touches n'est utilisée. Cliquez deux fois sur un élément sélectionné pour le désélectionner.

Onglet Modélisation d'équipements

Propriété | Description
Barre d'outils | Reportez-vous au chapitre Vue de détail des barres d'outils et menus contextuels.
Ajouter | Ajoute les groupes et niveaux sélectionnés à la sélection.
Supprimer | Supprime les éléments sélectionnés de la sélection.
OK | Valide les paramètres définis sur tous les onglets et ferme la boîte de dialogue.
Annuler | Aucun élément n'est sélectionné.
Aide | Ouvre l'aide en ligne.

Add groups (Ajouter les groupes)

  • Sélectionnez le modèle d'équipement de votre choix.
  • Sélectionnez un groupe d'équipements ou un niveau d'équipement ; les éléments situés au même niveau hiérarchique peuvent être sélectionnés en même temps par une sélection multiple (en maintenant la touche Ctrl enfoncée).
  • Ajoutez votre sélection à la liste en cliquant sur le bouton Ajouter dans la partie inférieure de la boîte de dialogue.
  • Les sous-groupes ne sont pas ajoutés automatiquement.
  • Vous pouvez sélectionner autant de groupes que vous le souhaitez.

Delete groups (Supprimer les groupes)

  • Sélectionnez les éléments que vous souhaitez supprimer dans la partie inférieure de la boîte de dialogue.
  • Cliquez sur le bouton Supprimer.

Remarque : les modifications apportées à un élément dans l'arborescence sont conservées, même si vous cliquez sur le bouton Annuler. Annuler signifie uniquement qu'aucun élément n'a été sélectionné.

Dans le Runtime :

Lors de l'exécution de la fonction, le paramètre configuré dans la boîte de dialogue est envoyé sous forme de requête à l'ordinateur exécutant le processus. Il est ensuite analysé.


Envoi d'un message

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction autorise l'envoi de messages dans le Runtime. Pour cela, liez cette fonction à :

  • Une alarme (fonction pour un groupe, une classe ou un domaine)
  • Une valeur limite (propriété Valeurs limites/Fonction)
  • Une matrice de réaction (fonction)
  • Un contrôle de temps (via un bouton ou le module PFS)

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Dans le groupe Gestion de messages (MessagCtrl), sélectionnez la fonction Envoi d'un message

    Envoi d'un message

    Cette fonction envoie un message du module optionnel "Gestion de messages"

    Plus de détails dans l'aide en ligne

    Gestion de messages (MessagCtrl)

    Ce groupe contient les fonctions relatives au module optionnel "Gestion de messages".

    Plus de détails dans l'aide en ligne

  3. La boîte de dialogue de configuration s'affiche à l'écran.

  4. Configurez les éléments suivants :
    • Type d'envoi
    • Message
    • Acknowledgement of receipt (Confirmation de réception)
  5. Fermez la configuration en cliquant sur OK
  6. Liez la fonction

info Info

Dans le Runtime, la fonction Envoi d'un message est toujours exécutée sur l'ordinateur exécutant le processus.

Autres sujets abordés dans ce chapitre

Type d'envoi

Message

Acknowledgement of receipt (Confirmation de réception)


Type d'envoi

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message -> Type d'envoi

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous pouvez configurer le mode d'envoi, le destinataire et la méthode d'envoi.

Paramètres

Description

Mode d'envoi

Sélectionnez le mode d'envoi dans la liste déroulante ; dans cette liste, seuls sont affichés les supports dont la propriété Type d'envoi actif a été activée dans les propriétés du module Gestion des messages du domaine de travail.

Destinataire

Paramètres du destinataire :

Type

Sélectionnez un motif de destinataire dans la liste déroulante. Sélection possible :

  • Groupe d'utilisateurs : envoi groupé.
    Sélectionnez un groupe en cas de modification de l'option, ou par le biais de la fonction recipient name (Nom du destinataire).
    Le mode d'envoi pour le groupe est défini dans l'option Method (Méthode).
  • Utilisateur : envoi à un utilisateur individuel (et à la personne de remplacement définie dans son profil). Sélectionnez un utilisateur en cas de modification de l'option, ou par le biais de la fonction recipient name (Nom du destinataire).

Méthode

Disponible uniquement si l'élément Groupe d'utilisateurs a été sélectionné pour l'option Type.

Sélection de la méthode d'envoi dans la liste déroulante. Méthodes disponibles :

  • Group call (Appel du groupe) : Tous les utilisateurs du groupe reçoivent le message simultanément.
    (Remarque : dans les versions antérieures à zenon 7.00, cette méthode est remplacée par le type d'envoi Group sending (Envoi de groupe).)
  • Successive call (Appels consécutifs) : le message est remis aux utilisateurs conformément à l'ordre défini pour le groupe, jusqu'à ce que le premier utilisateur effectue un acquittement positif du message. Le groupe est parcouru une seule fois. En l'absence d'acquittement positif, l'envoi est annulé.
  • Infinite successive call (Appels consécutifs infinis) : sur le principe, correspond à la fonction Successive call (Appels consécutifs) ; toutefois, cette fonction inclut une répétition. Après la sélection du dernier destinataire, le groupe est parcouru une nouvelle fois depuis le début. Le message est envoyé jusqu'à ce qu'il soit acquitté de manière positive par le premier destinataire.

Recipient name (Nom du destinataire)

Disponible uniquement si l'option Name from variable (Nom issu de la variable) est désactivée.

Ouvre la boîte de dialogue de sélection d'un destinataire ou d'un groupe de destinataires, selon la sélection définie dans l'option Type.

Name from variable (Nom de la variable)

Actif : la variable est lue dans le Runtime, et un utilisateur ou un groupe d'utilisateurs de la fonction de gestion des utilisateurs est lu par le biais de sa valeur. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

OK

Applique toutes les modifications et ferme la boîte de dialogue.

La boîte de dialogue peut uniquement être fermée si toutes les options requises ont été configurées.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue. La fonction est créée sans objectif.

Aide

Ouvre l'aide en ligne.


Message

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message -> Message

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous pouvez définir le contenu du message. Les options et configurations disponibles dépendent de la sélection du mode d'envoi via l'option Sending mode (Mode d'envoi) de l'onglet Sending mode (Mode d'envoi).

Les messages sont configurés individuellement :

  • E-mail via Outlook et SMS via GSM ou passerelle SMS
  • E-mail via SMTP
  • Message vocal avec fichier audio via modem
  • Message vocal en synthèse vocale via modem

info Info

Si des paramètres ou des valeurs de variables supplémentaires sont inclus dans le message, ces variables ne sont pas automatiquement connectées au niveau du driver. Si une variable n'est pas connectée au moment de l'exécution de la fonction, elle doit être connectée durant l'activité. Dans certaines circonstances (par exemple, en cas de communications série lentes avec le matériel), ceci peut provoquer des délais, car le système doit attendre que la première valeur soit fournie par le driver et puisse être analysée par la fonction.

Autres sujets abordés dans ce chapitre

E-mail via Outlook et SMS via GSM ou passerelle SMS

E-mail via SMTP

Message vocal avec fichier audio via modem

Message vocal en synthèse vocale via modem

Paramètres du texte de valeur limite

Paramètres de texte mis en forme


E-mail via Outlook et SMS via GSM ou passerelle SMS

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message -> Message -> E-mail via Outlook et SMS via GSM ou passerelle SMS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
E-mail via Outlook et SMS via GSM ou passerelle SMS

Configuration du texte du message pour :

  • E-mail via Outlook
  • SMS via modem GSM
  • SMS via passerelle SMS

Paramètre

Description

Texte de message libre

Partie intégrante du message.

Le texte est inspecté à la recherche d'opérateurs :

  • $ : indique du texte mis en forme. Le texte est ensuite analysé à la recherche de paramètres.
  • Les composants de texte sont considérés comme des paramètres s'ils sont séparés du reste du texte par un point-virgule (;) et se terminent par un point-virgule (;).
  • Un paramètre peut être :
    - Une légende de la table de langues
    - Le nom d'une variable
    - Une entrée composée dans la table de langues.

Les paramètres peuvent être copiés depuis la liste de paramètres de texte des valeurs limite.

Text from limit value (Texte de valeur limite)

Les propriétés des paramètres supplémentaires sont issues des valeurs limite.

active

Actif : Ajoute les paramètres supplémentaires de la valeur limite au texte constant. Configuration via les options :

  • de la variable
  • from penultimate variable (Depuis l'avant-dernière variable)
  • List limit value text parameters (Liste des paramètres du texte de valeur limite)

Attention : si cette option est active, seuls les dépassements de valeurs limite peuvent exécuter cette fonction.

depuis variable

Les paramètres sont repris depuis la variable définie. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

from penultimate variable (Depuis l'avant-dernière variable)

Les paramètres sont repris depuis la variable dont la valeur limite a été dépassée.

List limit value text parameters (Liste des paramètres du texte de valeur limite)

Sélectionnez les paramètres dans la liste en cochant la case correspondante. L'ordre des paramètres peut être défini en effectuant un glisser-déplacer avec la souris, ou en cliquant sur les boutons Vers le haut et Vers le bas.

Split placeholders (Opérateurs distincts) :
Affiche les opérateurs pouvant être utilisés dans un texte de message libre.
Si l'option from variable (Depuis la variable) ou from penultimate variable (Depuis l'avant-dernière variable) ou la sélection de variable est modifiée, l'entrée de l'exemple. Les opérateurs peuvent être copiés.

Structure : %Variable%Paramètre; (Origine)

  • % : signe de pourcentage utilisé en tant que préfixe pour les variables et les paramètres
  • Variable : Variable. Si aucune variable n'est indiquée, le paramètre suivant désigne la variable principale.
  • Tag: TAG
  • ; : le point-virgule termine la chaîne.
  • Origine : informations uniquement ; non utilisable pour du texte libre. Indique les variables pouvant être utilisées pour le paramètre :
    Variable principale via valeur limite
    Variable principale via AML
    Variable supplémentaire via la valeur limite ou la liste AML

Pour plus de détails, reportez-vous à la sectionParamètres de texte des valeurs limite.

Si des paramètres non valides sont utilisés, un message d'erreur correspondant est affiché dans le message :
<Paramètre non valide : Paramètres >

Vers le haut

Remonte l'élément sélectionné d'une place.

Vers le bas

Abaisse l'élément sélectionné d'une place.

Afficher cette boîte de dialogue dans le Runtime

Actif : Ouvrez cette boîte de dialogue dans le Runtime avant d'exécuter la fonction.

Attention - comportement dans le Runtime :

  • Dans le Runtime, cette fonction est toujours exécutée sur l'ordinateur exécutant le processus. Si la fonction est démarrée sur un client, la boîte de dialogue est affichée sur l'ordinateur exécutant le processus.
  • Si aucune entrée n'est effectuée, la boîte de dialogue est automatiquement fermée 30 secondes plus tard, et la fonction est exécutée.
  • Si la boîte de dialogue est modifiée et fermée en cliquant sur OK, les modifications sont enregistrées et la fonction est exécutée.
  • Si la boîte de dialogue est fermée en cliquant sur Annuler, aucun message n'est envoyé. Le procédé est consigné dans la liste CEL, à condition que pour la propriété Enregistrer dans liste d'événements, l'une des entrées Toutes les confirmations ou Uniquement les confirmations négatives ait été sélectionnée.

OK

Applique toutes les modifications et ferme la boîte de dialogue.

La boîte de dialogue peut uniquement être fermée si toutes les options requises ont été configurées.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue. La fonction est créée sans objectif.

Aide

Ouvre l'aide en ligne.


E-mail via SMTP

E-mail via SMTP

E-mail via SMTP

Configuration du texte du message pour :

  • E-mail via SMTP

Paramètre

Description

Texte de message libre

Partie intégrante du message.

Le texte est inspecté à la recherche d'opérateurs :

  • $ : indique du texte mis en forme. Le texte est ensuite analysé à la recherche de paramètres.
  • Les composants de texte sont considérés comme des paramètres s'ils sont séparés du reste du texte par un point-virgule (;) et se terminent par un point-virgule (;).
  • Un paramètre peut être :
    - Une légende de la table de langues
    - Le nom d'une variable
    - Une entrée composée dans la table de langues.

Les paramètres peuvent être copiés depuis la liste de paramètres de texte des valeurs limite.

Annexes

Configuration d'une pièce jointe à l'e-mail. Des captures d'écran peuvent être envoyées en pièce jointe. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers. Le fichier doit être déposé dans le nœud Fichiers/Éléments graphiques.

Lors de l'envoi du message, le fichier sélectionné sera ajouté en pièce jointe à l'e-mail.

Remarque : Pour envoyer des fichiers depuis d'autres dossiers contenant les informations du dossier souhaité, sélectionnez l'option Depuis variable.

depuis variable

Actif : Sélectionnez une variable de chaîne. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

La valeur des variables de chaîne est lue dans le Runtime et le contenu est analysé. Le chemin de l'annexe est défini en fonction de l'analyse :

  • Chemin absolu : le chemin est utilisé sans modification
  • Pas de chemin absolu : la valeur des variables de chaîne est ajoutée au chemin d'accès du dossier des éléments graphiques de zenon

Lors de la configuration du chemin, aucune vérification n'est effectuée pour déterminer l'extension du fichier. Par conséquent, AUCUNE VÉRIFICATION N'EST EFFECTUÉE POUR DÉTERMINER L'EXPANSION DU FICHIER. Les variables peuvent recevoir des fichiers de différents formats issus du chemin d'accès à la pièce jointe, et en particulier des documents PDF et Office provenant de n'importe quel chemin d'accès.

Text from limit value (Texte de valeur limite)

Les propriétés des paramètres supplémentaires sont issues des valeurs limite.

active

Actif : Ajoute les paramètres supplémentaires de la valeur limite au texte constant. Configuration via les options :

  • de la variable
  • from penultimate variable (Depuis l'avant-dernière variable)
  • List limit value text parameters (Liste des paramètres du texte de valeur limite)

Attention : si cette option est active, seuls les dépassements de valeurs limite peuvent exécuter cette fonction.

depuis variable

Les paramètres sont repris depuis la variable définie. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

from penultimate variable (Depuis l'avant-dernière variable)

Les paramètres sont repris depuis la variable dont la valeur limite a été dépassée.

List limit value text parameters (Liste des paramètres du texte de valeur limite)

Sélectionnez les paramètres dans la liste en cochant la case correspondante. L'ordre des paramètres peut être défini en effectuant un glisser-déplacer avec la souris, ou en cliquant sur les boutons Vers le haut et Vers le bas.

Split placeholders (Opérateurs distincts) :
Affiche les opérateurs pouvant être utilisés dans un texte de message libre.
Si l'option from variable (Depuis la variable) ou from penultimate variable (Depuis l'avant-dernière variable) ou la sélection de variable est modifiée, l'entrée de l'exemple. Les opérateurs peuvent être copiés.

Structure : %Variable%Paramètre; (Origine)

  • % : signe de pourcentage utilisé en tant que préfixe pour les variables et les paramètres
  • Variable : Variable. Si aucune variable n'est indiquée, le paramètre suivant désigne la variable principale.
  • Tag: TAG
  • ; : le point-virgule termine la chaîne.
  • Origine : informations uniquement ; non utilisable pour du texte libre. Indique les variables pouvant être utilisées pour le paramètre :
    Variable principale via valeur limite
    Variable principale via AML
    Variable supplémentaire via la valeur limite ou la liste AML

Pour plus de détails, reportez-vous à la sectionParamètres de texte des valeurs limite.

Si des paramètres non valides sont utilisés, un message d'erreur correspondant est affiché dans le message :
<Paramètre non valide : Paramètres >

Vers le haut

Remonte l'élément sélectionné d'une place.

Vers le bas

Abaisse l'élément sélectionné d'une place.

Afficher cette boîte de dialogue dans le Runtime

Actif : Ouvrez cette boîte de dialogue dans le Runtime avant d'exécuter la fonction.

Attention - comportement dans le Runtime :

  • Dans le Runtime, cette fonction est toujours exécutée sur l'ordinateur exécutant le processus. Si la fonction est démarrée sur un client, la boîte de dialogue est affichée sur l'ordinateur exécutant le processus.
  • Si aucune entrée n'est effectuée, la boîte de dialogue est automatiquement fermée 30 secondes plus tard, et la fonction est exécutée.
  • Si la boîte de dialogue est modifiée et fermée en cliquant sur OK, les modifications sont enregistrées et la fonction est exécutée.
  • Si la boîte de dialogue est fermée en cliquant sur Annuler, aucun message n'est envoyé. Ce procédé est consigné dans la liste CEL, à condition que pour la propriété Entrées de la liste CEL, l'une des options Toutes les confirmations ou Uniquement les confirmations négatives ait été sélectionnée.

OK

Applique toutes les modifications et ferme la boîte de dialogue.

La boîte de dialogue peut uniquement être fermée si toutes les options requises ont été configurées.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue. La fonction est créée sans objectif.

Aide

Ouvre l'aide en ligne.


Message vocal avec fichier audio via modem

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message -> Message -> Message vocal avec fichier audio via modem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Message vocal avec fichier audio via modem

Configuration du texte du message pour :

  • Message vocal avec fichier audio via modem

Paramètres

Description

Greeting (Salutation)

Sélectionnez le fichier contenant le texte de salutation.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers. Le fichier doit être déposé dans le nœud Fichiers/Multimédia.

Vous pouvez lire le fichier pour le tester en cliquant sur le bouton Lecture.

Message

Sélectionnez le fichier contenant le texte du message.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers. Le fichier doit être déposé dans le nœud Fichiers/Multimédia.

Vous pouvez lire le fichier pour le tester en cliquant sur le bouton Lecture.

Failure entry (Saisie incorrecte)

Sélectionnez le fichier contenant le texte lu en cas de saisie incorrecte par le destinataire.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers. Le fichier doit être déposé dans le nœud Fichiers/Multimédia.

Vous pouvez lire le fichier pour le tester en cliquant sur le bouton Lecture.

Afficher cette boîte de dialogue dans le Runtime

Actif : Ouvrez cette boîte de dialogue dans le Runtime avant d'exécuter la fonction.

Attention - Comportement dans le Runtime :

  • Dans le Runtime, cette fonction est toujours exécutée sur l'ordinateur exécutant le processus. Si la fonction est démarrée sur un client, la boîte de dialogue est affichée sur l'ordinateur exécutant le processus.
  • Si aucune entrée n'est effectuée, la boîte de dialogue est automatiquement fermée 30 secondes plus tard, et la fonction est exécutée.
  • Si la boîte de dialogue est modifiée et fermée en cliquant sur OK, les modifications sont enregistrées et la fonction est exécutée.
  • Si la boîte de dialogue est fermée en cliquant sur Annuler, aucun message n'est envoyé. Ce procédé est consigné dans la liste CEL, à condition que pour la propriété Entrées de la liste CEL, l'une des options Toutes les confirmations ou Uniquement les confirmations négatives ait été sélectionnée.

OK

Applique toutes les modifications et ferme la boîte de dialogue.

La boîte de dialogue peut uniquement être fermée si toutes les options requises ont été configurées.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue. La fonction est créée sans objectif.

Aide

Ouvre l'aide en ligne.


Message vocal en synthèse vocale via modem

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message -> Message -> Message vocal en synthèse vocale via modem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Message vocal en synthèse vocale via modem

Configuration du texte du message pour :

  • Message vocal en synthèse vocale via modem.

Paramètres

Description

Greeting (Salutation)

Saisissez le texte à diffuser en tant que salutation via le moteur Text-To-Speech. .

Vous pouvez lire le texte pour le tester en cliquant sur le bouton Lecture.

Message

Saisissez le texte à diffuser en tant que message via le moteur Text-To-Speech.

Vous pouvez lire le texte pour le tester en cliquant sur le bouton Lecture.

Failure entry (Saisie incorrecte)

Saisissez le texte à diffuser en cas de saisie incorrecte par le destinataire, via le moteur Text-To-Speech.

Vous pouvez lire le texte pour le tester en cliquant sur le bouton Lecture.

Afficher cette boîte de dialogue dans le Runtime

Actif : Ouvrez cette boîte de dialogue dans le Runtime avant d'exécuter la fonction.

Attention - Comportement dans le Runtime :

  • Dans le Runtime, cette fonction est toujours exécutée sur l'ordinateur exécutant le processus. Si la fonction est démarrée sur un client, la boîte de dialogue est affichée sur l'ordinateur exécutant le processus.
  • Si aucune entrée n'est effectuée, la boîte de dialogue est automatiquement fermée 30 secondes plus tard, et la fonction est exécutée.
  • Si la boîte de dialogue est modifiée et fermée en cliquant sur OK, les modifications sont enregistrées et la fonction est exécutée.
  • Si la boîte de dialogue est fermée en cliquant sur Annuler, aucun message n'est envoyé. Ce procédé est consigné dans la liste CEL, à condition que pour la propriété Entrées de la liste CEL, l'une des options Toutes les confirmations ou Uniquement les confirmations négatives ait été sélectionnée.

OK

Applique toutes les modifications et ferme la boîte de dialogue.

La boîte de dialogue peut uniquement être fermée si toutes les options requises ont été configurées.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue. La fonction est créée sans objectif.

Aide

Ouvre l'aide en ligne.


Paramètres du texte de valeur limite

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message -> Message -> Paramètres du texte de valeur limite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Paramètres du texte de valeur limite

Paramètres pouvant être utilisés pour les modes d'envoi de messages E-mail via Outlook et SMS via GSM ou passerelle SMS et E-mail via SMTP, ainsi que pour la propriété Partie dynamique du sujet.

Les paramètres peuvent être utilisés avec les éléments suivants :

  • Variables :
    • Variable principale
    • Variable supplémentaire
  • Lors de l'exécution de la fonction, via :
    • AML
    • Dépassement de valeur limite

Des paramètres partiellement différents sont disponibles pour la variable principale, la variable supplémentaire et en fonction de l'appel de fonction.

Attention : si des variables supplémentaires sont ajoutées avec un opérateur, ces variables doivent d'abord être enregistrées et lues, si elles ne sont pas enregistrées au point d'exécution de la fonction. L'envoi est alors retardé. C'est pourquoi les variables supplémentaires doivent uniquement être utilisées avec précaution.

Structure et signification des paramètres

Structure

%Variable%Paramètre; (Origine)

  • % : signe de pourcentage utilisé en tant que préfixe pour les variables
  • Variable : Variable (facultatif)
    Si aucune variable n'est indiquée, le paramètre suivant désigne la variable principale.
  • % : signe de pourcentage utilisé en tant que préfixe pour le paramètre
  • Tag: TAG
  • ; : le point-virgule termine la chaîne.

Par exemple : %S7TCP-IP_LineStateBusy%UserId;

Paramètre

Paramètre | Variable principale - Activation par le biais d'une valeur limite | Variable principale - Activation via la liste AML | Variable supplémentaire de type liste AML/valeur limite
%Name (Nom de variable) | Nom de la variable, correspond à la propriété Nom. | Nom de la variable, correspond à la propriété Nom. | Nom de la variable, correspond à la propriété Nom.
%Identification (Identification) | Description de la variable, correspond à la propriété Identification. | Description de la variable, correspond à la propriété Identification. | Description de la variable, correspond à la propriété Identification.
%LimitText (Texte de valeur limite) | Texte de valeur limite de l'objet alarme, avec interprétation du texte de valeur limite dynamique. | Texte de valeur limite de l'objet alarme, avec interprétation du texte de valeur limite dynamique. | État du texte tel qu'il est défini dans la propriété Texte de valeur limite.
%MessageCreateTimeStamp (Horodatage du message) | Heure de création du message. (Heure d'activation de la fonction, pas du dépassement de limite ou de l'envoi). | Heure de création du message. (Heure d'activation de la fonction, pas du dépassement de limite ou de l'envoi). | Heure de création du message. (Heure d'activation de la fonction, pas du dépassement de limite ou de l'envoi).
%ResourceLabel (Identification de l'intitulé de ressource) | Texte de l'identification d'intitulé de ressource de la variable ; correspond à la propriété Description externe. | Texte de l'identification d'intitulé de ressource de la variable ; correspond à la propriété Description externe. | Texte de l'identification d'intitulé de ressource de la variable ; correspond à la propriété Description externe.
%LimitTimeReceived (Heure de création de l'alarme) | Horodatage de l'objet alarme. | Horodatage de l'objet alarme. | -
%% (Valeur actuelle) | Pas de paramètre. Valeur de la variable lors de l'activation de la fonction (sans unité). | Pas de paramètre. Valeur de la variable lors de l'activation de la fonction (sans unité). | Pas de paramètre. Valeur de la variable lors de l'activation de la fonction (sans unité).
%VariableStatus (État) | État de la variable en tant que chaîne (lors de l'activation de la fonction). | État de la variable en tant que chaîne (lors de l'activation de la fonction). | État de la variable en tant que chaîne (lors de l'activation de la fonction).
%VariableTimeStamp (Horodatage de la variable) | Horodatage de la variable (lors de l'activation de la fonction). | Horodatage de la variable (lors de l'activation de la fonction). | Horodatage de la variable (lors de l'activation de la fonction).
%MessageTimeAcknowledge (Temps restant pour la confirmation) | Temps restant pour la confirmation, en minutes. Disponible uniquement si la fonction de confirmation de réception demandée a été activée. | Temps restant pour la confirmation, en minutes. Disponible uniquement si la fonction de confirmation de réception demandée a été activée. | Temps restant pour la confirmation, en minutes. Disponible uniquement si la fonction de confirmation de réception demandée a été activée.
%Address (Adresse) | Adresse. | Adresse. | Adresse.
%Unit (Unité) | Unité technique, conformément à la propriété Unité. | Unité technique, conformément à la propriété Unité. | Unité technique, conformément à la propriété Unité.
%AlarmArea (Domaine d'alarme) | Domaine d'alarme de la variable principale. | Domaine d'alarme de la variable principale. | Domaine d'alarme de la variable supplémentaire.
%LimitTimeAcknowledged (Heure d'acquittement de l'alarme) | - | Horodatage de l'objet alarme. | -
%UserId (Identification utilisateur) | - | Identification de l'utilisateur ayant démarré l'action. Conforme à la propriété Identification utilisateur. | -
%UserName (Nom d'utilisateur) | - | Nom complet de l'utilisateur ayant démarré l'action. Conforme à la propriété Nom complet. | -
%ComputerName (Nom de l'ordinateur) | - | Nom de l'ordinateur sur lequel a été démarrée l'action. | -
%Comment (Commentaire) | - | Commentaire de l'objet alarme. | -
%AlarmGroup (Groupe d'alarmes/d'événements) | Groupe d'alarmes/d'événements de l'objet alarme (sous forme de texte). | Groupe d'alarmes/d'événements de l'objet alarme (sous forme de texte). | Groupe d'alarmes/d'événements de l'objet alarme (sous forme de texte).
%AlarmClass (Classe d'alarmes/d'événements) | Classe d'alarmes/d'événements de l'objet alarme (sous forme de texte). | Classe d'alarmes/d'événements de l'objet alarme (sous forme de texte). | Classe d'alarmes/d'événements de l'objet alarme (sous forme de texte).
%AlarmTimeActive (Durée d'activité de l'alarme) | - | Durée pendant laquelle l'alarme est restée active. | -

Dépannage

Si des paramètres non valides sont utilisés, un message d'erreur correspondant est affiché dans le message :
<Paramètre non valide : Paramètres >

Ce texte peut être modifié et traduit avec la fonction de changement de langue. Pour cela, deux mots-clé doivent être créés :

  • <Paramètre non valide :
  • >

Si les paramètres sont utilisés dans un contexte incorrect, ou si un paramètre ne peut pas être lu (par exemple, parce qu'une variable n'existe pas), la chaîne IDS_STRING2501 (---) est ajoutée au message, à la place de la valeur. Ce texte peut être modifié et traduit avec la fonction de changement de langue.


Paramètres de texte mis en forme

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message -> Message -> Paramètres de texte mis en forme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Paramètres de texte mis en forme

Le texte du message est analysé afin de localiser d'éventuels opérateurs et paramètres.

  • $ : indique du texte mis en forme.
  • Les composants de texte sont considérés comme des paramètres :
    • S'ils sont séparés du texte par un point-virgule (;) et
    • S'ils se terminent par un point-virgule (;).
  • Un paramètre peut être :
    - Une légende de la table de langues
    - Le nom d'une variable
    - Une entrée composée dans la table de langues.

Paramètre

Dans le Runtime :

Action

Légende :

@MyText

Le programme vérifie si, pour la langue actuelle, une entrée existe pour @MyText dans la table de langues.
  • Si elle existe : l'entrée est ajoutée au message.
  • Si elle n'existe pas : selon les paramètres des propriétés Montrer les mots-clé non-traduits du projet, la chaîne @MyText ou MyText est ajoutée au message.

Variable :

%Var1

Le programme vérifie si la variable existe et si la valeur peut être lue.

  • Si elle existe : la valeur de la variable est prise et ajoutée sous forme de chaîne au texte.
  • Si elle n'existe pas ou n'est pas lisible : le texte xxx est ajouté au message.

Entrée composée :

@StringTable+%var1Text

Le programme vérifie si :

  • 1. La variable existe et la valeur peut être lue. La valeur est ajoutée au texte de préfixe ("MultipleText") sous forme de chaîne.
  • 2. Une entrée existe dans la table de langues pour le texte.
  • La variable et le texte existent :
    l'entrée est ajoutée au message.
    Exemple : La valeur de la variable est 33. La chaîne @StringTable33 est ensuite recherchée dans la table de langues, et le texte correspondant est ajouté.
  • Si elle n'existe pas : selon les paramètres des propriétés Montrer les mots-clé non-traduits du projet, la chaîne @MyText ou MyText est ajoutée au message.

Exemple : $@Attention;%Var1;


Acknowledgement of receipt (Confirmation de réception)

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Envoi d'un message -> Acknowledgement of receipt (Confirmation de réception)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, les confirmations demandées et la réponse à ces dernières sont définies.

attention Attention

Les messages transmis de manière synchrone (message en synthèse vocale via modem et message vocal avec fichier audio via modem ) peuvent uniquement être confirmés de manière synchrone via le moyen de transmission correspondant. L'utilisation d'autres méthodes de transmission pour la communication (par exemple, e-mail ou SMS) n'est pas possible. Le message doit être acquitté immédiatement, via la connexion existante.

Paramètres d'acquittement

Paramètre

Description

Acknowledgement of receipt (Confirmation de réception)

Paramètres de confirmation de réception.

Acknowledgement of receipt required (Confirmation de réception demandée)

Actif : Le message est uniquement supprimé de la file d'attente des messages si, dans le délai d'attente défini, une confirmation de réception a été reçue, ou si le délai d'attente a expiré.

Pour les messages vocaux, cette option est toujours active et ne peut pas être désactivée.

Waiting period (Délai d'attente)

Délai d'attente, en minutes, durant lequel la réception doit être confirmée avant que le message soit transmis à un destinataire de remplacement.

Confirmation codes (Codes de confirmation)

Paramètres relatifs aux codes de confirmation.

Use message-specific codes (Utiliser des codes spécifiques aux messages)

Inactive : les codes définis dans les propriétés de la gestion des utilisateurs pour Utilisateur de la gestion de message/Code PIN et Utilisateur de la gestion de message/Code NA sont utilisés.

Actif : les codes définis dans les options suivantes Code PIN et Code NA sont utilisés à des fins de confirmation.

Code PIN

Code individuel de confirmation du message.

Code NA

Code individuel de refus du message.

fonction auto

Sélection de fonctions devant être exécutées après acquittement, refus ou absence d'acquittement d'un message.

En cas de confirmation

Fonctions exécutées en cas de confirmation du message.

Cliquez sur le bouton Select (Sélectionner) pour ouvrir la boîte de dialogue de sélection de fonctions.

En l'absence de confirmation

Fonctions exécutées en l'absence de réponse au message.

Cliquez sur le bouton Select (Sélectionner) pour ouvrir la boîte de dialogue de sélection de fonctions.

En cas de confirmation négative

Fonctions exécutées en cas de refus de réception du message.

Cliquez sur le bouton Select (Sélectionner) pour ouvrir la boîte de dialogue de sélection de fonctions.

OK

Applique toutes les modifications et ferme la boîte de dialogue.

La boîte de dialogue peut uniquement être fermée si toutes les options requises ont été configurées.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue. La fonction est créée sans objectif.

Aide

Ouvre l'aide en ligne.


Envoi de messages : activer

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Envoi de messages : activer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction active le module Gestion des messages pour le projet dans lequel se trouve la fonction. Lorsque la fonction est exécutée, le projet est connecté dans le module Gestion des messages. Dès cet instant, les messages sont créés et transmis.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Dans le groupe Gestion des messages, sélectionnez la fonction Envoi de messages : activer

    Envoi de messages : activer

    Cette fonction active les envois de messages du module optionnel "Gestion de messages".

    Plus de détails dans l'aide en ligne.

  3. La fonction est créée

Remarque : pour connecter un projet de manière sécurisée au démarrage du Runtime, activez la propriété Actif lors du démarrage du runtime dans le groupe de propriétés Paramètres spécifiques au projet pour le module Gestion des messages.


Envoi de messages : désactiver

Manuels -> Gestion de messages -> Configuration du module Gestion des messages -> Fonctions -> Envoi de messages : désactiver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction désactive le module Gestion des messages pour le projet dans lequel se trouve la fonction. Lorsque la fonction est appelée, tous les messages de ce projet sont supprimés de la file d'attente de messages, et le projet est déconnecté du module Gestion des messages. La file d'attente de messages du projet est ensuite vidée. Tant que le module Gestion des messages est désactivé pour un projet, aucun nouveau message ne peut être créé ou transmis.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Dans le groupe Gestion des messages, sélectionnez la fonction Envoi de messages : désactiver

    Envoi de messages : désactiver

    Cette fonction désactive les envois de messages du module optionnel "Gestion de messages".

    Plus de détails dans l'aide en ligne

  3. La fonction est créée


Gestion des messages dans le Runtime

Manuels -> Gestion de messages -> Gestion des messages dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le Runtime, le module Gestion des messages est démarré automatiquement (propriété Actif lors du démarrage du runtime active) ou par la fonction Envoi d'un message : activé.

Si le module Gestion des messages est actif et un événement défini pour l'envoi d'un message se produit :

  • Un message configuré à cette fin est envoyé
  • Son acquittement est analysé
  • Les fonctions associées à l'acquittement sont exécutées

attention Attention

Durant l'analyse des messages dans le dossier d'e-mails, tous les messages comportant une ligne d'objet correspondante sont analysés, et leur état est défini sur "lu". Si d'autres messages sont reçus dans la boîte de réception du module Gestion des messages, ils peuvent également être définis comme "lus".

Gestion dans le Runtime

La file d'attente des messages peut être gérée à l'aide d'un synoptique de type Gestion des messages.

Le module Gestion des messages peut être fermé lors de la fermeture du Runtime, ou par la fonction Envoi d'un message : désactivé.

Horodatage dans la liste d'alarmes et le module Gestion des messages

Lorsque la fonction Envoi d'un message est activée, une copie de l'objet alarme est transmise à la fonction. Le texte du message est créé et traduit lors de l'activation de la fonction. Si la fonction est activée par le biais de la liste AML, elle utilise une copie de l'objet alarme de la liste AML. Ainsi, le contenu correspond toujours à l'association actuelle de l'état du processus et de l'état de l'alarme.

Rémanence de la file d'attente de messages

Si le Runtime est fermé normalement, une image de la file d'attente de messages actuelle est créée et enregistrée. Cette image est actualisée au démarrage du Runtime et traitée par le module Gestion des messages. Les données sont enregistrées dans un dossier appelé MessageRT_Image.bin. Les données suivantes sont enregistrées :

  • Messages actuels dans la file d'attente
  • Groupes d'alarmes supprimés
  • Classes d'alarmes supprimées
  • Domaines supprimés
  • Suppressed equipment (Équipements supprimés)

Réseau

Vous trouverez d'autres informations concernant le comportement sur le réseau au chapitre Réseau.

Acquittement

Chaque message peut être clairement identifié au moyen d'un GUID. Selon les supports et le mode d'envoi configurés, les messages peuvent également être acquittés par d'autres moyens. Pour plus d'informations concernant l'acquittement des messages, reportez-vous au chapitre Acquittement de messages.

Changement de langue

La langue des textes des messages peut être entièrement changée. Pour cela, les éléments suivants seront analysés :

  • Le champ Constante de texte
  • Le paramètre Dynamic Limit value Text (Texte de valeur limite dynamique)
  • Texte de valeur limite défini pour une valeur limite dans la liste AML/CEL

La langue des colonnes pouvant être sélectionnées dans un synoptique de type Gestion des messages peut être changée, si les colonnes sont configurées de manière correspondante.

Autres sujets abordés dans ce chapitre

Connexion d'un synoptique de type Gestion des messages

Acquittement de messages

Réseau


Connexion d'un synoptique de type Gestion des messages

Manuels -> Gestion de messages -> Gestion des messages dans le Runtime -> Connexion d'un synoptique de type Gestion des messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le synoptique de type Gestion des messages réalise une copie de la file d'attente de messages actuelle et des éléments de contrôle d'analyse et de filtre disponibles dans le Runtime. Le contenu des éléments affichés dans le champ de liste Message list (Liste de messages) correspond à l'heure de connexion du système, et n'est pas automatiquement mis à jour. L'affichage peut être actualisé à tout instant en cliquant sur le bouton Mise à jour. Le bouton Stop/Continuer autorise des mises à jour cycliques. Un champ de texte indique l'heure de la dernière mise à jour.

La liste de messages contient les messages :

  • En attente d'envoi
  • En cours d'envoi
  • Déjà envoyés
  • Déjà confirmés
  • Supprimés

Les groupes, classes, domaines et équipements dont les alarmes ne sont pas affichées dans la liste sont présentées dans des champs de liste distincts.

Les colonnes de la liste de messages peuvent être configurées individuellement (reportez-vous à la section Filtre) et peuvent être définies sans en-têtes de colonnes individuels. Ces intitulés sont localisables.

Éléments de contrôle

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Boutons

Boutons d'actions du Runtime.

Actualiser

Actualise l'affichage. Les données actuelles sont chargées sur le synoptique de la file d'attente de messages.

L'heure de la dernière mise à jour peut être affichée avec le champ Last update (Dernière mise à jour).

Supprimer

Supprime l'entrée sélectionnée de la liste. Il est uniquement possible de supprimer les messages qui n'ont pas encore été envoyés.

Filtre

Ouvre une boîte de dialogue de configuration des filtres pour la vue.

Stop/Continuer

Démarre et arrête la mise à jour cyclique de la liste.

Fenêtre

Listes et champs pouvant être affichés dans le Runtime.

Number of messages (Nombre de messages)

Nombre de messages actuellement existants.

Last Update (Dernière mise à jour)

Heure de la dernière mise à jour.

Suppressed alarm/event groups (Groupes d'alarmes/d'événements supprimés)

Groupes d'alarmes/d'événements pour lesquels des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.

Suppressed alarm/event classes (Classes d'alarmes/d'événements supprimées)

Classes d'alarmes/d'événements pour lesquelles des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.

Suppressed alarm/event areas (Domaines d'alarmes/d'événements supprimés)

Domaines d'alarmes/d'événements pour lesquels des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.

Suppressed equipment (Équipements supprimés)

Équipements pour lesquels des messages ont été supprimés, et dont les alarmes ne sont donc pas affichées dans la file d'attente de messages.

Message waiting list (File d'attente de messages)

Liste de messages.

Contient les messages envoyés, confirmés ou supprimés ou en attente d'envoi.

Les messages sont uniquement affichés, et ne peuvent plus être modifiés.

Les en-têtes de colonnes peuvent être définis individuellement et peuvent être localisés lors d'un changement de langue s'ils sont précédés du signe @.

Profils de filtre

Gestion de profils

Sélection profil

Ouvre la boîte de dialogue permettant de sélectionner un profil.

Enregistrer

Enregistrer la configuration actuelle sous forme de profil.

Supprimer

Supprime le profil.

Import

Ouvre la boîte de dialogue d'importation de profils depuis un fichier.

Exporter

Ouvre la boîte de dialogue d'exportation de profils depuis un fichier.


Acquittement de messages

Manuels -> Gestion de messages -> Gestion des messages dans le Runtime -> Acquittement de messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les messages peuvent être confirmés ou refusés par le destinataire. Selon le support, les messages doivent être impérativement acquittés, ou leur acquittement est laissé au choix de l'utilisateur.

Support

Acquittement obligatoire

  • - : non
  • + : oui

E-mail via Outlook

-

E-mail via SMTP

-

SMS via modem GSM

-

SMS via passerelle SMS

-

Message vocal avec fichier audio via modem

+

Message vocal en synthèse vocale via modem

+

Si un message n'est pas acquitté, est incorrectement acquitté ou est refusé, il est transmis au destinataire de remplacement suivant. Durant l'acquittement de messages, des fonctions liées peuvent être exécutées.

Configuration de la confirmation

Pour configurer la confirmation ou le refus du message :

  1. Dans la fonction Envoi de messages, ouvrez l'onglet Acknowledgement of receipt (Confirmation de réception).
  2. Cochez la case Acknowledgement required (Acquittement demandé) (toujours active pour les messages vocaux).
  3. Définissez le délai d'attente (Timeout) dans lequel le message doit être acquitté.
    Après expiration du délai d'attente, le message est transmis à la personne suivante sur la liste.
  4. Configurez les codes de confirmation (code PIN) ou de refus (code NA) comme suit :
    1. Propriétés de l’utilisateur :
      Utilisateur de la gestion de message -> Code PIN et Code NA

      or

    2. Dans la fonction, via :
      La case à cocher Use message-specific codes (Utiliser des codes spécifiques aux messages) -> Code PIN et Code NA

    Si des codes sont configurés par le biais des propriétés et la fonction, les codes de la fonction sont non valides.
    Conseil : si des codes sont configurés par le biais de la fonction, il est recommandé de créer une note au destinataire dans le texte du message pour lui indiquer le code à utiliser pour activer ou refuser le message.

  5. Définissez les fonctions devant être exécutées après réception du code pour indiquer que :
    1. Le message a été confirmé
    2. Le message n'a été ni confirmé, ni refusé
    3. Le message a été refusé
  6. Fermez la boîte de dialogue en cliquant sur le bouton OK.

Acquittement dans le Runtime

Durant l'envoi, chaque message devant être acquitté reçoit une identification explicite individuelle (GUID). Toutes les activités du message sont attribuées par le biais de cette identification. Si un message doit être acquitté, l'identification est automatiquement ajoutée au texte du message.

Pour acquitter un message, selon le support, le destinataire doit envoyer le numéro du message et un code PIN dans un format défini.

Il est ainsi possible également d'acquitter des messages au format texte transmis par le biais d'autres modes d'envoi que les modes configurés. Par conséquent :

  • le message doit avoir été envoyé sous forme d'e-mail ou de SMS
  • La réponse doit être transmise sous forme d'e-mail ou de SMS
  • La réponse doit contenir le GUID
  • La réponse doit contenir le code d'acquittement
  • Le support utilisé pour la réponse doit être configuré

E‑Acquittement d'e-mails

L'acquittement d'un e-mail se déroule comme suit :

  • La réponse est envoyée à l'aide de la fonction Répondre du client de messagerie du destinataire.
  • Dans le cas d'un e-mail, l'objet ne doit pas être modifié ; toutefois, il doit être identifié comme une réponse en insérant deux caractères tels que RE: en tant que préfixe.
    Les contenus définis dans Outlook dans Sujet (ID) ou, pour le protocole SMTP, dans Sujet pour les e-mails sortants ne doivent pas être modifiés. Ces contenus identifient et attribuent le message lors de sa réception dans zenon.
  • Le texte de la réponse doit contenir les éléments suivants :
    • GUID
    • point-virgule (;) en tant que séparateur
    • Code PIN ou code NA

    Par exemple : 43d3c61d-ccc9-4c76-bc2c-61c2d12b0db3;0246

  • Dans le module de gestion des messages, les e-mails destinés au module Gestion de messages sont identifiés par leur objet.
    Attention : l'objet de la réponse doit être identifié comme une réponse. Pour que la réponse soit identifiée comme telle à réception, le programme vérifie si le message commence par deux caractères tels que RE :
  • Le module Gestion de messages analyse le GUID et le code, et exécute ensuite les fonctions définies dans la fonction Envoi de messages.

Remarque : si le support SMS a été configuré, un message envoyé par e-mail peut également être acquitté par SMS.

Acquittement de SMS

L'acquittement d'un SMS se déroule comme suit :

  • La réponse est envoyée à l'aide de la fonction Répondre du téléphone de l'utilisateur.
  • Le texte de la réponse doit contenir les éléments suivants :
    • GUID
    • point-virgule (;) en tant que séparateur
    • Code PIN ou code NA

    Par exemple : 43d3c61d-ccc9-4c76-bc2c-61c2d12b0db3;0246

  • Le module Gestion de messages analyse le GUID et le code, et exécute ensuite les fonctions définies dans la fonction Envoi de messages.

Remarque : si le support e-mail a été configuré, un message envoyé par SMS peut également être acquitté par e-mail.

Message vocal

Les messages vocaux doivent toujours être acquittés. Un message vocal est acquitté comme suit :

  • Le téléphone du destinataire doit être compatible avec les tonalités multifréquences.
  • Le modem de réception de l'équipement doit être compatible avec les tonalités multifréquences.
  • Le message est lu au destinataire, avec une salutation et un texte de message.
  • Le destinataire acquitte le message en saisissant un code PIN ou un code NA.
  • Le destinataire peut effectuer les actions suivantes :
    • Demander la répétition d'un message :
      En appuyant sur la touche # du téléphone. Le message précédemment envoyé (salutation, message ou message d'erreur) est alors répété.
    • Réinitialiser le code envoyé :
      En appuyant sur la touche * du téléphone. Le code (PIN ou NA) précédemment envoyé par le destinataire est alors annulé. Le message est rediffusé en commençant par la salutation.
  • Le module Gestion de messages analyse le code, et exécute ensuite les fonctions définies dans la fonction Envoi de messages.

Remarque : les messages vocaux doivent toujours être acquittés par téléphone.


Réseau

Manuels -> Gestion de messages -> Gestion des messages dans le Runtime -> Réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur le réseau, la file d'attente de messages est synchronisée en permanence entre le serveur et le serveur redondant. Si de nouveaux messages sont créés sur le serveur, ces derniers sont transférés vers le serveur redondant. Durant le démarrage du serveur ou du serveur redondant, la file d'attente de messages est synchronisée avec le serveur d'exécution du processus ou le serveur redondant. Puisque le serveur et le serveur redondant utilisent des ressources différentes, les messages peuvent uniquement être acquittés sur l'ordinateur d'envoi.

De la même manière, la liste d'éléments supprimés et synchronisée et enregistrée de manière rémanente.

La fonction Envoi d'un message est uniquement exécutée sur l'ordinateur exécutant le processus. L'envoi par le client n'est pas pris en charge.

Utilisateurs

Les utilisateurs peuvent être modifiés par le biais de la fonction de gestion d'utilisateurs de zenon. Pour cette raison, les utilisateurs peuvent être modifiés sur le serveur, le serveur redondant et le client. La modification peut également être effectuée par le biais du serveur Web et du client Web.

Pas de partage de ressources

Le serveur et le serveur redondant ne doivent pas partager leurs ressources. En outre, des ressources identiques ne doivent pas être utilisées pour différents supports sur un même ordinateur. Ce qui signifie :

  • E-mails (SMTP) : le serveur et le serveur redondant utilisent des comptes de messagerie différents.
  • E-mails (Outlook) : le serveur et le serveur redondant utilisent des profils Outlook différents.
  • GSM : le serveur et le serveur redondants utilisent des modems et cartes SIM différents, avec des numéros de téléphone différents.
  • SMS (passerelle SMS) : le serveur et le serveur redondant utilisent des modems et des numéros de téléphone différents.
  • Message vocal : le serveur et le serveur redondant utilisent des modems et des numéros de téléphone différents.
  • Chaque ordinateur :

    Utilise un modem et un numéro de téléphone distinct pour les supports et modes d'envoi suivants :

    • SMS via GSM
    • SMS via passerelle SMS
    • Message vocal avec fichier audio
    • Message vocal en synthèse vocale

    Utilise des comptes différents pour les supports et modes d'envoi suivants :

    • Outlook
    • E-mail via SMTP

Comportement en cas de défaillance

En cas de défaillance d'un serveur, le serveur redondant renverra tous les messages dans la file d'attente ; ceux-ci devront être acquittés après avoir été mis à niveau sur le serveur. Ceci peut entraîner le double envoi de messages, mais garantit leur acquittement correct, car les messages peuvent uniquement être acquittés sur l'ordinateur expéditeur.

Après une défaillance entraînant un redémarrage de l'ordinateur, les modems GSM devront probablement être réinitialisés et leurs ports COM devront être vérifiés.


Messages et traitement des erreurs

Manuels -> Gestion de messages -> Messages et traitement des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les messages, commentaires et erreurs peuvent être consignés et affichés avec l'application Diagnosis Viewer, dans un module distinct, [Gestion des messages]. Des informations détaillées concernant les messages sont disponibles dans la section Entrées de fichier journal.

Réseau

Le trafic réseau peut être analysé avec Wireshark. Dans le cas d'une transmission non sécurisée, toutes les commandes transmises au serveur, ainsi que les réponses, sont visibles sous forme de texte simple dans la section Capture. Dans le cas de connexions cryptées, le protocole de transfert SSL/TLS peut être consulté ; en revanche, les échanges de données des utilisateurs ne peuvent pas être consultés.

Serveur

Pour vérifier si un serveur est compatible avec certaines commandes, une session Telnet peut être établie avec le serveur.

Sous Windows 7, le client Telnet peut être installé comme suit :

  1. Ouvrez l'interface de contrôle du système.
  2. Sélectionnez Programmes et fonctionnalités.
  3. Sélectionnez Activer ou désactiver des fonctionnalités Windows.
  4. Cochez la case adjacente à l'option Client Telnet.
  5. Fermez la boîte de dialogue en cliquant sur OK.
  6. Le client Telnet est alors installé.

Dans la ligne de commande, saisissez la commande telnet [nom ou adresse IP du serveur] [port, par ex. 25 ou 110] pour ouvrir la connexion.

Serveur de messagerie

La connexion au serveur de messagerie peut être vérifiée avec un programme de client de messagerie (par exemple, Outlook). Si une connexion non cryptée est utilisée, l'analyse avec Wireshark permet d'afficher les commandes SMTP et POP3.

DNS

La résolution de noms peut être contrôlée avec un programme tel que nslookup. nslookup peut résoudre et attribuer des noms à des adresses IP, et des adresses IP à des noms. Pour cela, un serveur DNS valide doit être enregistré dans la configuration IP de l'ordinateur.

GSM

En cas de problèmes affectant des communications GSM, vous pouvez utiliser les fonctions d'analyse suivantes :

  • Serial Port Monitoring (Surveillance de port série) :
    Permet de superviser les communications entre zenon et le modem GSM.
  • HyperTerminal :
    Permet d'envoyer des commandes AT au modem.
    Microsoft HyperTerminal ou Putty (logiciel libre), par exemple.
    Remarque : HyperTerminal était fourni par Microsoft jusqu'à Windows XP uniquement. Il peut être copié manuellement pour les systèmes d'exploitation ultérieurs :

Commandes AT

Résolution des incidents liés aux commandes AT :

  1. Assurez-vous que le pilote correspondant au système d'exploitation est installé. Pour cela, utilisez le pilote préconisé par le fabricant du modem, fourni sur le CD de pilotes ou téléchargé sur la page d'accueil du fabricant.
  2. Assurez-vous que le pilote a été correctement installé et que le modem est prêt à fonctionner.
  3. Utilisez un logiciel du type HyperTerminal pour vous connecter au port COM du modem, Microsoft HyperTerminal ou Putty (logiciel libre), par exemple.
  4. Saisissez la commande AT AT dans la fenêtre principale du terminal.
    Le modem doit réagir avec le message OK.
  5. Testez les commandes AT ayant généré un message d'erreur dans le fichier journal. Notez les éventuelles réactions du modem (par exemple, la création d'un message dans la file d'attente).
  6. Assurez-vous que les réponses du modem correspondent à celles figurant dans la liste des commandes AT prises en charge.

Autres sujets abordés dans ce chapitre

Liste de vérification

Entrées de fichier journal


Liste de vérification

Manuels -> Gestion de messages -> Messages et traitement des erreurs -> Liste de vérification

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En cas de problème, contrôlez les éléments suivants :

Problème

Cause possible

Solution

Message SMTP

Les messages sortants ne sont pas envoyés et les messages entrants ne sont pas reçus.

Le mode d'envoi n'est pas correctement configuré. La présence de messages tels que "inactive sending mode" (Mode d'envoi inactif), "server not available" (Serveur indisponible), "user cannot be found" (Utilisateur introuvable), "SMTP / POP 3 authentication failed" (Échec de l'authentification SMTP/POP3) dans le fichier journal le confirment.
  • La propriété Type d'envoi actif est-elle activée ?
  • L'utilisateur devant recevoir le message est-il défini en tant qu'utilisateur du module Gestion de messages (Message Control User) (propriété Utilisateur de la gestion de message activée)?
  • Une adresse e-mail a-t-elle été configurée pour l'utilisateur?
  • Les données de l'utilisateur sont-elles transférées vers le Runtime après une modification (propriété Données modifiables en RT) ?
  • La configuration du mode d'envoi est-elle correcte ? Comparez les paramètres aux informations du fournisseur de services de messagerie.

Le serveur est correctement enregistré, mais n'est pas disponible (messages d'erreur lors de la connexion).
  • La résolution de nom fonctionne-t-elle ?
  • Le serveur est-il disponible (ping) ?
  • Le pare-feu autorise-t-il la connexion au port configuré ? Celle-ci peut être bloquée par le pare-feu de l'ordinateur et le pare-feu du domaine. Effectuez la vérification avec Telnet.

Le serveur ne prend pas une commande en charge (message d'erreur du type "Command not supported" (Commande non prise en charge) dans le fichier journal).
  • S'assurer que le serveur prend la commande en charge (par exemple, avec Thunderbird ou Telnet).

Si possible, sélectionnez une autre configuration (par exemple, il est possible de passer outre les commandes SMTP AUTH via la fonction "Register at the incoming mail server before sending e-mails" (S'enregistrer auprès du serveur de courrier entrant avant d'envoyer des e-mails). Le protocole APOP peut être désactivé et remplacé par le nom d'utilisateur et le mot de passe.

Le serveur nécessite une connexion non chiffrée. Puisque le message est envoyé sous forme non chiffrée, le serveur se déconnecte.
  • Dans ce cas, l'analyse effectuée avec Wireshark indique que le serveur envoie le message "STARTTLS". Puisque cette commande n'est pas prise en charge, la connexion doit être protégée via SSL ou TLS.

Le serveur n'est pas compatible avec le mécanisme de protection sélectionné (messages d'erreur lors de l'établissement d'une connexion chiffrée).
  • Sélectionnez une autre configuration de protection, ou une transmission au format texte brut.

SMS-GSM

zenon ne peut pas établir une connexion avec le modem.
  • Port COM incorrect (erreur du type "fichier introuvable" lors de l'ouverture du port COM).
  • Port COM occupé (par exemple, affichage d'un message du type "accès refusé" par le logiciel de configuration du fabricant lors de l'ouverture du port COM).
  • Erreur lors de la configuration du port COM ; le modem ne répond pas.
  • Le modem n'est pas compatible avec le mode SMS-PDU (présence d'un message d'erreur AT+CMGG ou d'un message d'erreur du mode PDU dans le fichier journal).
  • Le modem nécessite probablement un code PIN, ou le code PIN est incorrect (messages d'erreur de code PIN dans le fichier journal)
  • Un trop grand nombre de tentatives de connexion ont été effectuées avec un code PIN incorrect (présence d'un message d'erreur PUK dans le fichier journal). Dans ce cas, la connexion entre zenon et le modem ne peut être rétablie qu'après la saisie manuelle du code PUK, entraînant l'arrêt du verrouillage.
  • Contrôle la configuration du port COM et du modem.
  • Vérifiez le code PIN ; si nécessaire, déverrouillez manuellement le système en saisissant le code PUK.

La connexion est établie, mais les fonctions d'envoi et de réception ne fonctionnent pas.
  • La connexion a-t-elle été d'abord établie entre le modem et le réseau GSM ? Dans la plupart des cas, la connexion avec le réseau est uniquement établie après l'ouverture du logiciel du fabricant !
  • Malgré cela, le modem n'est pas connecté au réseau (effectuer cette vérification avec le logiciel du fabricant) : cherchez un emplacement offrant une meilleure réception.
  • Le numéro de téléphone du centre de messagerie (SMSC) saisi est incorrect (chargez le numéro du SMSC avec HyperTerminal depuis le modem, puis écrivez-le avant de le saisir dans zenon et d'établir la première connexion (vérifiez également les paramètres du modem !).
  • Consultez le message d'erreur dans le fichier journal
  • Configurez la première connexion du modem au réseau GSM avec le logiciel du fabricant.
  • Installez le modem à un autre endroit.
  • Vérifiez le numéro de téléphone.


Entrées de fichier journal

Manuels -> Gestion de messages -> Messages et traitement des erreurs -> Entrées de fichier journal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Entrées dans le fichier journal de l'application Diagnosis Viewer.

Messages divers

Niveau | Entrée | Description
ERRORS | Error while initializing the profile list. | Une erreur s'est produite durant l'identification des profils Outlook existants.
logLe_MSG | Logging on to default mapi profile %s | Si aucun profil n'a été sélectionné, le mode d'envoi identifie le premier profil et se connecte avec celui-ci.
ERRORS | The default profile could not be determined. | Une erreur s'est produite durant l'identification du premier profil Outlook disponible.
ERRORS | Logon to mapi profile(%s) failed. Error code = %d | Impossible d'établir une connexion avec le profil spécifié.
MSG | Logging on to mapi profile %s | Connexion établie avec le profil [nom].
ERRORS | An error occured while initialising the MAPI. | Une erreur s'est produite durant l'initialisation de MAPI.
MSG | Loggin off of MAPI profile %s. | Déconnexion du profil [nom].
ERRORS | An error occured while uninitialising the MAPI. | Une erreur s'est produite durant la désinitialisation de MAPI.
ERRORS | The Message '%s' could not be send, no connection to Outlook present: make sure it's running and a valid profile has been set. | Le message [nom] n'a pas pu être envoyé, car aucune connexion à Outlook n'est présente. Assurez-vous qu'une instance d'Outlook est en cours d'exécution est qu'un profil valide a été enregistré.
DEBUG | Sending mail to Benutzer '%s' using address: %s. | Un message destiné à l'utilisateur [nom] a été préparé et [envoyé] à l'adresse.
DEBUG | Current Message %Nachricht Inhalt% | Le message actuel (contenu, paramètres, etc.) est consigné dans le fichier journal.
DEBUG | Mail to Benutzer '%s' was successfully added to the outbox. | Le message destiné à l'utilisateur [nom] a bien été transféré vers la boîte d'envoi d'Outlook.
ERRORS | Mail to Benutzer '%s' failed. | Le message destiné à l'utilisateur [nom] n'a pas pu être transféré vers la boîte d'envoi d'Outlook.
ERRORS | Error while using MAPI to create and transfer a mail into the Outlook-outbox. | Une erreur s'est produite durant l'utilisation de MAPI pour créer et transférer un message vers la boîte d'envoi d'Outlook.
ERRORS | Error while using MAPI to hook into the fnevNewMail-Event of Outlook. | Une erreur s'est produite durant la création du hook fnevNewMail-Event.
ERRORS | An error occured while initializing TAPI. | Une erreur s'est produite durant l'initialisation de TAPI.
ERRORS | An error occured while trying to open the line %s. | Une erreur s'est produite durant l'ouverture de la ligne [].
DEBUG | The line %s has been opened. | La ligne [] a bien été ouverte.
ERRORS | No line selected. | Aucune ligne n'a été définie pour ce mode d'envoi.
DEBUG | The line %s has been closed. | La ligne [] a bien été fermée.
ERRORS | An error occured while closing the line %s. | Une erreur s'est produite durant la fermeture de la ligne [].
DEBUG | The current call be terminated now. | Un appel est actif, et est maintenant fermé.
DEBUG | The is no call in progress, nothing to terminate. | Aucun appel n'est actif ; rien ne peut être fermé.
DEBUG | Attaching to current call. | Le mode d'envoi est associé à l'appel actif.
ERRORS | The current call is not our call,can't attach! | L'appel actuel n'est pas l'appel correct et n'est pas utilisé.
ERRORS | The call status of the current call returns an error! | L'état de l'appel actuel est "Erreur".
DEBUG | The #-sign was entered: Repeating the last message. | L'utilisateur a appuyé sur # : le dernier message est répété.
DEBUG | The *-sign was entered: Clearing the current key. | L'utilisateur appuyé sur * : le code actuellement saisi est en cours de réinitialisation.
ERRORS | The incoming message does not contain a seperator (';')for the unique message ID: %s | La mise en forme du message entrant est non valide. Le séparateur est manquant.
DEEPDEBUG | Project %s signed on. | Le projet est consigné dans le module Gestion des messages.
DEEPDEBUG | Project %s signed off. | Le projet a été déconnecté du moteur.
ERRORS | An attempt was made to add a message %s to the engine queue, but the message its project is not signed on with the engine! | Un projet non connecté a tenté de transférer un message [contenu] vers le module Gestion des messages.
DEEPDEBUG | The message %s is added to the Queue. | Le message avec le GUID [numéro] a été ajouté à la file d'attente.
ERRORS | An attempt was made to add messages to the engine queue, but owner project %s is not signed on with the engine! | Un projet non connecté a tenté de transférer plusieurs messages vers le module Gestion des messages.
ERRORS | An attempt was made to remove a message %s from the engine queue, but owner project %s is not signed on with the engine! | Un projet non connecté a tenté de supprimer un message [GUID] du module Gestion des messages.
ERRORS | An attempt was made to remove messages from the engine queue, but the owner project %s is not signed on with the engine! | Un projet non connecté a tenté de supprimer plusieurs messages du module Gestion des messages.
DEEPDEBUG | All messages for project %s will be removed. | Tous les messages du projet [nom] sont supprimés du module Gestion des messages.
ERRORS | And old function 'Edit Benutzer database' was executed, but this function is no longer required/supported, execution interupted! | Une fonction d'affichage/de modification de la base de données des utilisateurs a été exécutée. Cette fonction est uniquement présente dans zenon jusqu'à la version 6.51. Elle n'existe plus à partir de la version 7 de zenon.
ERRORS | Line is busy -> try again… | La ligne est occupée ; l'appel sera répété ultérieurement.
ERRORS | Sending message to Benutzer %s." | Le message actuel est envoyé à l'utilisateur [numéro/adresse].
ERRORS | Current Message: | Le message actuel [texte/fichier] est en cours d'envoi.
DEBUG | Connected | Une connexion a été établie.
DEBUG | Valid Acknowlegde-code entered. | Un code PIN valide de confirmation du message a été saisi.
DEBUG | Valid NegAcknowlegde-code entered. | Un code NA valide de refus du message a été saisi.
DEBUG | Invalid code '%s' entered. | Un code non valide a été saisi.
ERRORS | Inbox folder %s invalid!. | Le dossier de boîte de réception configuré n'existe pas.
ERRORS | Outbox folder %s invalid!. | Le dossier de boîte d'envoi configuré n'existe pas.
ERRORS | Statusbox folder %s invalid!. | Le dossier de boîte d'état configuré n'existe pas.
ERRORS | Prefix %s invalid!. | Le préfixe configuré est non valide. Il doit comporter exactement 1 caractère.
ERRORS | Semaphor prefix %s invalid!. | Le préfixe de sémaphore configuré est non valide. Il doit comporter exactement 1 caractère.
DEBUG | Send SMS to Benutzer %s. | Un SMS est en cours d'envoi à l'utilisateur [adresse].
DEBUG | SMS to Benutzer %s transmitted to the outbox. | Un SMS a été transféré à l'utilisateur [adresse] dans la boîte d'envoi.
ERRORS | SMS to Benutzer %s could not be placed in the outbox. | Un SMS destiné à l'utilisateur [adresse] n'a pas pu être transféré vers la boîte d'envoi.
WARNINGS | Index exceeded 99999, starting from 0. | L'indice maximum a été atteint pour ce nom de fichier ; il va recommencer à partir de 0.
DEEPDEBUG | Last index set to %d. | Le dernier indice appliqué a été défini sur [valeur].
ERRORS | Could not set last index set to %d. | L'indice n'a pas pu être défini sur [valeur].
ERRORS | Inbox SMS-File for semaphor file: %s; is not found! Deleted the SEMA file! | Bien qu'un fichier sémaphore ait été trouvé dans la boîte de réception, aucun fichier de SMS correspondant n'a été trouvé.
ERRORS | StatusBox Status-File for semaphor file: %s; is not found! Deleted SEMA file! | Bien qu'un fichier sémaphore ait été trouvé dans la boîte d'état, aucun fichier d'état correspondant n'a été trouvé.
DEEPDEBUG | MessageChangedNotify received for Message %s ignored (no longer Mainstation)! | Le projet a reçu une notification de modification pour le message avec le GUID [numéro] du module Gestion de messages ; toutefois, il ne se trouve plus dans l'instance d'exécution du processus.
DEEPDEBUG | Sending changed notification for message %s to SB. | L'objet du message avec le GUID [numéro] a été modifié ; le nouvel objet a été transmis au serveur redondant.
DEEPDEBUG | A changed notification of message(%s) was received, the old message object will be updated! | Le projet a reçu un télégramme de modification pour le message avec le GUID [numéro]. L'objet local (précédent) a été mis à jour.
ERRORS | Couldn't send changed notification for Message %s to SB. | La tentative d'envoi d'un télégramme de modification au serveur redondant pour le message avec le GUID [numéro] a échoué.
DEEPDEBUG | Sending remove notification for message %s to SB. | L'objet du message avec le GUID [numéro] a été supprimé ; un télégramme de suppression a été transmis au serveur redondant.
DEEPDEBUG | A remove notification of message(%s) was received, the message object will be removed from the list. (%s) | Le projet a reçu un télégramme de suppression pour le message avec le GUID [numéro]. L'objet local (précédent) a été supprimé.
ERRORS | Couldn't send remove notification for Message %s to SB. | La tentative d'envoi d'un télégramme de suppression au serveur redondant pour le message avec le GUID [numéro] a échoué.
DEEPDEBUG | Sending added notification for message %s to SB. | L'objet du message avec le GUID [numéro] a été créé. Le nouvel objet est également transmis au serveur redondant.
DEEPDEBUG | An addded notification of message(%s) was received, the message object will be added to the list. (%s) | Le projet a reçu un télégramme d'ajout pour le message avec le GUID [numéro]. Le nouvel objet a été ajouté.
ERRORS | Couldn't send added notification for message %s to SB. | La tentative d'envoi d'un télégramme d'ajout au serveur redondant pour le message avec le GUID [numéro] a échoué.
DEEPDEBUG | Sending MessageCtrl-StateChanged to SB. | Un télégramme MessageControl-StateChange (Gestion des messages - Changement d'état) a été envoyé au serveur redondant.
ERRORS | Couldn't send MessageCtrl-StateChanged notification to SB. | La tentative d'envoi d'un télégramme MessageControl-StateChange (Gestion des messages - Changement d'état) au serveur redondant pour le message avec le GUID [numéro] a échoué.
DEEPDEBUG | An update of the message control state was received. The local state will be updated! | Le projet a reçu un télégramme MessageControl-StateChange (Gestion des messages - Changement d'état) pour le message avec le GUID [numéro]. Le nouvel objet a été ajouté.
DEBUG | Sending MessageDeleteRequest for %d messages to Mainstation. | Une demande de suppression de [nombre] messages a été transmise à l'ordinateur d'exécution du processus.
DEBUG | MessageDeleteRequest Response: %d messages were deleted from the queue. | Une réponse de suppression a été reçue : [nombre] messages ont été supprimés de la file d'attente.
DEBUG | Couldn't send MessageDeleteRequest notification to Mainstation. | La tentative d'envoi d'un télégramme de demande de suppression à l'ordinateur d'exécution du processus a échoué.
DEBUG | Requesting File alignment from mainstation. | Une demande d'alignement a été transmise à l'ordinateur exécutant le processus.
DEBUG | File alignment request could not be send to mainstation. | La tentative d'envoi d'un télégramme de demande d'alignement à l'ordinateur d'exécution du processus a échoué.
DEEPDEBUG | A getqueue request was received, sending queue. | Une demande d'alignement a été reçue. La file d'attente et l'état actuels sont en cours d'envoi.
DEEPDEBUG | A delete message(s) request was received! | Un télégramme de demande de suppression a été reçu.
DEEPDEBUG | SB state: %s(%u) | L'état du serveur redondant a été modifié, et est maintenant %s (%d).
DEEPDEBUG | Switch to server:%s | L'instance actuelle a été mise à niveau sur le serveur.
DEEPDEBUG | Switch to standby:%s | L'instance actuelle a été mise à niveau sur le serveur.
DEEPDEBUG | An ChangeSuppressionRequest was received. The local suppression-state will be updated! | Une instruction ChangeSuppression-Request (Demande de modification/suppression) a été reçue. L'état de suppression local a été mis à jour.
DEEPDEBUG | Messaging TimeOut watchdog activated for Project '%s' | Pour le projet [nom], la supervision du délai d'attente avant expiration a été démarrée.
MSG | MessageControl has been activated. | Le module Gestion des messages a été activé.
MSG | MessageControl has been deactivated. | Le module Gestion des messages a été désactivé.
DEEPDEBUG | Messaging-Queue is being saved. | La file d'attente de messages actuelle a été enregistrée.
ERRORS | Error occured while saving Messaging-Queue. | Une erreur s'est produite durant l'enregistrement de la file d'attente des messages.
WARNINGS | A Send-Message function was executed for a Group which does not contain any Message Control users! | Une fonction d'envoi de message a été exécutée pour un groupe vide ou ne contenant aucun utilisateur actif pour le module Gestion des messages.
DEEPDEBUG | The Message (%s) was removed from the project queue. | Le message avec le GUID [numéro] a été supprimé de la file d'attente.
ERRORS | Update failure: An existing instance of message '(%s)' could not be found in the local map! | Le message avec le GUID [numéro] n'a pas pu être mis à jour, car il est introuvable.
ERRORS | Messaging canceled: The Benutzer (%s) which was defined as the destination for the message %s could not be found! | L'utilisateur destinataire sélectionné est introuvable ; l'envoi a été annulé.
DEBUG | The next Benutzer (%s) for the group (%s) will be notified, previous Benutzer was:%s | L'utilisateur suivant [nom] dans le groupe d'utilisateurs [nom] a été informé ; l'utilisateur précédent était l'utilisateur [nom].
ERRORS | Messaging canceled: The next Benutzer for the Group (%s) could not be determined, has the group been deleted or empty? | Le prochain utilisateur pour le groupe d'utilisateurs [nom] n'a pas pu être identifié. Le groupe a peut-être été supprimé ou est peut-être vide. L'envoi a été annulé.
DEBUG | Messaging canceled: The end of the Benutzer list for the Group (%s) has been reached. | La fin du groupe d'utilisateurs [nom] a été atteinte ; l'envoi a été annulé.
ERRORS | The message %s should not be acknowledged! | Une tentative de confirmation d'un message [ID] a été effectuée, bien que ce message ne puisse ou ne doive pas être confirmé.
MSG | The incoming message for %s contains the correct Ack-Code. | Le message entrant [ID] contient un code PIN valide de confirmation du message.
MSG | The incoming message for %s contains the correct NegAck-Code. | Le message entrant [ID] contient un code NA valide de refus du message.
MSG | The incoming message for %s does not contain a valid code. | Le message entrant [ID] ne contient pas de code valide.
ERRORS | The Benutzer (%s) which was the defined destination for the outgoing message %s could not be found! | L'utilisateur [nom] sélectionné en tant que destinataire du message [ID] est introuvable !
DEBUG | The Message %s was successfully sent to %s! | Le message [ID] a bien été envoyé à [destinataire].
DEBUG | The Message %s was NOT successfully sent to %s! | Le message [ID] n'a pas pu être envoyé à [destinataire].
DEBUG | The Message %s was not successfully sent to %s, and will be send again! | Le message [ID] n'a pas pu être envoyé à [destinataire], et sera renvoyé.
DEBUG | The sending of message %s was completed. | Le procédé d'envoi du message [ID] a été effectué.
ERRORS | msgNotify_TimeOut received for message %s, which is no longer present in the queue! | Une notification d'expiration du délai d'attente du message [ID] a été reçue du module Gestion des messages, bien que ce message ne soit plus présent dans la file d'attente.
ERRORS | msgNotify_Finished received for message %s, which is no longer present in the queue! | Une notification de finalisation de l'envoi du message [ID] a été reçue du module Gestion des messages, bien que ce message ne soit plus présent dans la file d'attente.
DEBUG | The message %s should have been acknowledged by now, handling TimeOut. | Le message [ID] devrait déjà avoir été confirmé ; la fonction d'expiration du délai d'attente est en cours de traitement.
DEBUG | The message %s should have been Sent by now, handling hardware TimeOut. | Le message [ID] devrait déjà avoir été envoyé ; la fonction d'expiration du délai d'attente est en cours de traitement.
MSG | Selected dispatcher '%s' is busy->try again... | Le mode d'envoi sélectionné [type] est occupé : une autre tentative sera effectuée ultérieurement.
ERRORS | Selected dispatcher '%s' could not send message %s. | Le mode d'envoi [type] sélectionné ne permet pas d'envoyer le message [ID].
DEEPDEBUG | Firing MessageCreated | L'instruction MessageCreated (Message créé) est en cours d'activation.
DEEPDEBUG | MessageCreated fired | L'instruction MessageCreated (Message créé) a été activée.
DEEPDEBUG | Firing MessageSent | L'instruction MessageSent (Message envoyé) est en cours d'activation.
DEEPDEBUG | MessageSent fired | L'instruction MessageSent (Message envoyé) a été activée.
DEEPDEBUG | Firing MessageSendError | L'instruction MessageSendError (Erreur d'envoi du message) est en cours d'activation.
DEEPDEBUG | MessageSendError fired | L'instruction MessageSendError (Erreur d'envoi du message) a été activée.
DEEPDEBUG | Firing MessageAcknowledged | L'instruction MessageAcknowledged (Acquittement du message) est en cours d'activation.
DEEPDEBUG | MessageAcknowledged fired | L'instruction MessageAcknowledged (Acquittement du message) a été activée.
DEEPDEBUG | Firing MessageNegAcknowledged | L'instruction MessageNegAcknowledged (Acquittement négatif du message) est en cours d'activation.
DEEPDEBUG | MessageNegAcknowledged fired | L'instruction MessageNegAcknowledged (Acquittement négatif du message) a été activée.
DEEPDEBUG | Firing MessageAcknowledgeTimeOut | L'instruction MessageAcknowledgeTimeOut (Expiration du délai d'attente d'acquittement du message) est en cours d'activation.
DEEPDEBUG | MessageAcknowledgeTimeOut fired | L'instruction MessageAcknowledgeTimeOut (Expiration du délai d'attente d'acquittement du message) a été activée.
DEEPDEBUG | Firing MessageDeleted | L'instruction MessageDeleted (Message supprimé) est en cours d'activation.
DEEPDEBUG | MessageDeleted fired | L'instruction MessageDeleted (Message supprimé) a été activée.
DEEPDEBUG | Firing MessageIn: (Identfier:'%s',Message:'%s') | Le message est en cours d'activation ; la valeur de l'ID est %s, le texte du message est %s.
DEEPDEBUG | MessageIn fired: (Identfier:'%s',Message:'%s') | Le message a été activé ; la valeur de l'ID est %s, le texte du message est %s.
DEEPDEBUG | Current message count is (%d) | La file d'attente contient [nombre ] messages. (Une entrée est créée lors de la création et la suppression de messages.)
ERRORS | Can't find a Benutzer with id %s | L'utilisateur [nom] est introuvable. (Si ce message est généré lors du traitement de messages entrants, l'utilisateur a probablement été supprimé.)

E-mail via SMTP/POP

Niveau | Entrée | Description
DEBUG | Sent E-Mail successfully to [Zieladresse] | Un e-mail sortant a bien été transféré vers le serveur de courrier sortant (SMTP). Cela ne signifie toutefois pas que l'e-mail est parvenu au destinataire !
DEBUG | Received E-Mail successfully from [Absenderadresse] | Un e-mail a bien été récupéré sur le serveur de courrier entrant (POP3).
DEBUG | Creating an encrypted [SMTP / POP3] Connection using [SSLv2 and SSLv3 / TLSv1] | Une connexion chiffrée est en train d'être établie avec l'un des serveurs. Le mécanisme de protection utilisé et le serveur (informations sur le protocole : SMTP pour le courrier sortant, POP3 pour le courrier entrant) avec lequel la connexion est établie sont indiqués dans le message inséré dans le fichier journal.
DEBUG | Creating an unencrypted [SMTP / POP3] Connection | Une connexion non chiffrée est en train d'être établie avec l'un des serveurs.
DEBUG | Connection to [SMTP / POP3] Server established successfully | Une connexion a bien été établie avec l'un des serveurs.
DEBUG | Connection to [SMTP / POP3] Server closed | Une connexion à l'un des serveurs a été fermée.
DEBUG | Authenticating to SMTP Server using SMTP AUTH [PLAIN / LOGIN] | L'authentification sur le serveur de courrier sortant est effectuée avec le mécanisme spécifié.
DEBUG | Authenticating to SMTP Server using POP3 Server Connection | Une connexion au serveur de courrier entrant est établie afin de procéder à l'authentification sur le serveur de courrier sortant.
DEBUG | Connection to [SMTP / POP3] Server [Servername] Port [Port] ready to go | La connexion et l'authentification sur le serveur spécifié ont été effectuées avec succès. La connexion est prête pour la transmission de données.
DEBUG | Authenticating to POP3 Server using [APOP command / BENUTZER and PASS commands] | L'authentification sur le serveur de courrier entrant est effectuée avec le mécanisme spécifié.
WARNING | No Subject for the E-Mail specified | Aucun objet n'a été spécifié pour un e-mail sortant. Bien que ce ne soit pas une erreur, un e-mail sans objet peut provoquer le blocage du message par un filtre antispam.
WARNING | No Text for the E-Mail specified | Aucun texte n'a été spécifié pour un e-mail sortant. Bien que ce ne soit pas une erreur, un e-mail sans texte peut provoquer le blocage du message par un filtre antispam.
WARNING | The Server did not respond an OK Code to EHLO. Response: [Antwort des SMTP Server] | Le serveur de courrier sortant a répondu avec un code d'erreur à la commande EHLO (réponse contenue dans le message inséré dans le fichier journal). Le serveur SMTP ne prend pas en charge les extensions. Les extensions sont utilisées aux fins de l'authentification SMTP. Ceci n'est pas une erreur, car l'authentification SMTP n'est pas obligatoire et les fonctions concernées effectuent une détection d'erreurs.
Error | No Destination E-Mail-Address specified | Aucune adresse de destination n'a été spécifiée pour un e-mail sortant.
Error | Creating SSL/TLS Method failed. Errorcode: [Code] | Impossible de créer la méthode SSL/TLS requise pour établir une connexion sécurisée.
Error | Creating Connection failed. Errorcode: [Code] | Impossible de créer l'objet d'une connexion (sécurisée et texte simple).
Error | Reading SSL Structure failed. Errorcode: [Code] | La lecture de la structure SSL/TLS d'une connexion sécurisée a échoué.
Error | Opening Connection failed. Errorcode: [Code] | Impossible d'établir une connexion (sécurisée et texte simple).
Error | The Server did not respond an OK Code to HELO. Response: [réponse du serveur SMTP] | Le serveur de courrier sortant n'a répondu à aucune des commandes EHLO ou HELO par le code "OK" . (La réponse a été ajoutée au message inséré dans le fichier journal.) Le serveur est considéré comme indisponible.
Error | The Server did not send a Waiting-For-Data-Response to the AUTH LOGIN [command / Benutzer data]: [réponse du serveur SMTP] | Le serveur de courrier sortant n'a pas envoyé la réponse attendue à la commande AUTH LOGIN des noms d'utilisateur correspondants. (La réponse a été ajoutée au message inséré dans le fichier journal.)
Error | The Server did not send an OK-Response to the AUTH LOGIN password data: [réponse du serveur SMTP] | Le serveur SMTP n'a pas confirmé les données du mot de passe AUTH LOGIN avec la réponse "OK". La tentative de connexion a échoué.
Error | The Server did not send a Waiting-For-Data-Response to the AUTH PLAIN command: [réponse du serveur SMTP] | Le serveur de courrier sortant n'a pas transmis la réponse attendue à la commande AUTH PLAIN. (La réponse a été ajoutée au message inséré dans le fichier journal.)
Error | The Server did not send an OK-Response to the AUTH PLAIN data: [réponse du serveur SMTP] | Le serveur SMTP n'a pas confirmé les données AUTH PLAIN avec la réponse "OK". La tentative de connexion a échoué. (La réponse a été ajoutée au message inséré dans le fichier journal.)
Error | SMTP AUTH should be used, but the Server neither supports AUTH LOGIN nor the minimum implementation AUTH PLAIN | L'authentification SMTP doit être utilisée ; toutefois, le serveur ne dispose pas des commandes nécessaires pour exécuter la réponse EHLO mentionnée dans la liste des commandes prises en charge (AUTH LOGIN et AUTH PLAIN, cette dernière étant la mise en œuvre minimale conformément à RFC 2554).
Error | [SMTP / POP3] not connected | Une tentative d'envoi de données au serveur de courrier sortant ou de récupération de données sur le serveur de courrier entrant a été effectuée, bien que le serveur ne soit pas connecté.
Error | The Server did not send an OK-Response to the MAIL command: [réponse du serveur SMTP] | Le serveur de courrier sortant n'a pas confirmé la commande MAIL (envoi d'un nouvel e-mail) avec la réponse "OK". (La réponse a été ajoutée au message inséré dans le fichier journal.)

SMS

Niveau

Entrée

Description

ERROR

[Telefonnummer] is not a valid SMSC telephone number!

Le numéro de téléphone défini pour le centre de messagerie n'est pas valide.

Seuls les caractères contenus (le signe "+" en préfixe, suivi de chiffres uniquement) seront vérifiés ; toutefois, aucune vérification n'est faite pour déterminer si le numéro de téléphone existe vraiment ou s'il s'agit vraiment d'un centre de messagerie !

ERROR

[Telefonnummer] is not a valid telephone number!

Le numéro de téléphone du destinataire n'est pas valide. Seuls les caractères contenus (le signe "+" en préfixe, suivi de chiffres uniquement) seront vérifiés ; toutefois, aucune vérification n'est faite pour déterminer si le numéro de téléphone existe vraiment ou s'il s'agit vraiment d'un centre de messagerie !

ERROR

Error on opening the port [COM-Port]: [Fehlernummer in HEX]

Le port série spécifié ne peut pas être ouvert. Le numéro d'erreur indiqué peut être consulté dans la bibliothèque MSDN, et fournit des indices concernant les causes probables de l'erreur.

ERROR

Error on configuring the port [COM-Porp] [state / timeouts / buffers]: [Fehlernummer in HEX]

Le port COM spécifié n'a pas pu être configuré. L'état, les délais d'attente avant expiration et les mémoires tampon sont configurés. Le numéro d'erreur spécifié peut être consulté dans la bibliothèque MSDN.

ERROR

The total input buffer ([Zahl] bytes) is too small for the [Zahl] bytes received from the modem.

La mémoire tampon de saisie est trop petite pour enregistrer toutes les données transmises par le modem. La taille maximale de la mémoire tampon de saisie est de 12 Ko. Environ 400 octets sont requis pour la réception d'un SMS de la taille maximale. Cette erreur se produit si, durant un intervalle d'interrogation (voir ci-dessous), des données SMS d'une taille supérieure à 12 Ko sont reçues.

ERROR

The modem returned an error to the [AT-Kommando] command: [Fehlermeldung]

Le modem a répondu avec un message d'erreur à une commande AT. Le message d'erreur a été ajouté au message inséré dans le fichier journal. Un code d'erreur AT peut être contenu dans le message d'erreur.

Si une authentification par code PIN est requise, celui-ci est transféré par le biais de la commande AT+CPIN. Si un code incorrect est saisi, le modem répond avec une erreur à cette demande.

ERROR

The modem did not respond to the [AT-Kommando] command.

Une expiration du délai d'attente s'est produite lors de l'attente de la réponse du modem à une commande AT.

ERROR

The modem did not switch in SMS PDU mode.

Bien que le modem ait confirmé la commande AT d'activation du mode SMS-PDU par la réponse "OK", la commande n'a pas été activée.

ERROR

The modem did not apply the SMSC telephone number.

Bien que le modem ait confirmé la commande AT de définition du numéro de téléphone du centre de messagerie par la réponse "OK", le numéro de téléphone n'a pas été enregistré en tant que numéro de centre de messagerie.

ERROR

Error: not connected

Une tentative d'envoi, de réception ou de suppression d'un SMS a été effectuée alors qu'aucune connexion n'a auparavant été établie avec le modem.

ERROR

The modem returned an error to the transmission of the PDU: [Fehlermeldung]

Le modem a répondu avec un message d'erreur à la transmission d'un SMS-PDU. Le message d'erreur a été ajouté au message inséré dans le fichier journal. Un code d'erreur AT peut être contenu dans le message d'erreur.

ERROR

The modem did not respond to transmission of the PDU.

Une expiration du délai d'attente s'est produite durant l'attente de la réponse du modem à la transmission d'un SMS-PDU.

ERROR

Error on writing data: [Fehlernummer in HEX]

Une erreur s'est produite durant l'envoi de données via le port série. Le numéro d'erreur peut être consulté dans la bibliothèque MSDN.

ERROR

Not all bytes have been sent.

Toutes les données n'ont pas été transmises, bien que la fonction d'envoi de données via le port série n'ait rapporté aucune erreur.

ERROR

Error on reading data: [Fehlernummer in HEX]

Une erreur s'est produite durant la réception de données via le port série. Le numéro d'erreur peut être consulté dans la bibliothèque MSDN.

ERROR

The source SMSC telephone number [Telefonnummer] contains the not supported character [Zeichen]

Le numéro de téléphone du centre de messagerie de l'expéditeur reçu durant la réception du SMS contient un caractère non valide.

ERROR

The source telephone number [Telefonnummer] contains the not supported character [Zeichen]

Le numéro de téléphone de l'expéditeur reçu durant la réception du SMS contient un caractère non valide.

ERROR

The syntax of the timestamp [Zeitstempel] is incorrect.

L'horodatage du réseau GSM reçu durant la réception du SMS ne correspond pas au format attendu.

ERROR

The byte [Byte als HEX] could not be converted.

Un octet présent dans la commande PDU n'a pas pu être converti en nombre par une chaîne HEX.

ERROR

Insufficient buffer to convert SMS text [Text]

La taille de la mémoire tampon de conversion des SMS sortants (12 Ko pour 6144 caractères) est insuffisante.

ERROR

The format flag [Byte als HEX] is not supported.

La mise en forme d'un SMS entrant n'est pas prise en charge.

ERROR

Could not convert [Byte als HEX] from GSM 7-Bit-Alphabet. Baselanguage: [Byte als HEX], Extensionlanguage [Byte als HEX]

Un caractère contenu dans la section de données à 7 bits du SMS n'a pas pu être décodé. La table alphabétique de base et la table d'extension sont jointes en tant qu'identifiants de langue (reportez-vous à la norme 3GPP TS 23.038 V10.0.0 (2011-03).)

ERROR

Insufficient data to decode multilanguage fragmented SMS!

Un SMS a été reçu en plusieurs parties ; les parties individuelles utilisent des alphabets différents. Toutefois, les informations concernant les alphabets nécessaires à la conversion sont incomplètes.

ERROR

The input byte stream is not a valid unicode text.

Un SMS Unicode reçu ne contient pas de texte Unicode valide (seul un nombre pair d'octets est valide, car chaque caractère Unicode comporte 2 octets).

ERROR

Insufficient Buffer to decode PDU

La taille de la mémoire tampon (12 Ko) est insuffisante pour décoder une commande PDU.

ERROR

The PDU is not a valid byte stream.

Une commande PDU reçue ne comporte pas de données hexadécimales valides correspondant à un flux d'octets.

ERROR

The PDU length does not match the SMS text length

Le nombre d'octets contenu dans une commande PDU reçue ne correspond pas à la spécification de longueur dans les données de contrôle du SMS.

ERROR

The Modem requests the PUK.

Le modem demande la clé PUK (Personal Unlock Key) aux fins de l'authentification. Celle-ci n'est pas utilisée par le module de Gestion des messages et, par conséquent, la tentative d'établissement d'une connexion avec le modem a été annulée. Après plusieurs saisies d'un code PIN incorrect, la carte SIM insérée dans le modem demande le code PUK aux fins de l'authentification, et demande ensuite la réinitialisation du code PIN.

Attention : La saisie incorrecte du code PUK peut rendre la carte SIM inutilisable !

ERROR

The Modem responded with an unknown PIN Status: [Antwort des Modems]

La vérification de l'état du code PIN effectuée par le modem a produit un résultat inattendu. La réponse du modem à la vérification de l'état du code PIN est jointe au message inséré dans le fichier journal.

ERROR

The Modem requests a PIN and the PIN-Input is empty.

Le modem nécessite une authentification avec un code PIN ; toutefois, l'utilisateur ne l'a pas saisi.

ERROR

The Modem did not respond with READY-State after PIN-Authentication: [String]

Bien que la transmission du code PIN ait été confirmée par la réponse "OK" par le modem, l'état du code PIN du modem n'a pas été défini sur "READY" (la saisie d'un code PIN n'est plus requise). La réponse du modem à la vérification de l'état du code PIN est jointe au message inséré dans le fichier journal.

DEBUG

Port [COM-Port] opened successfully

Le port série spécifié a été ouvert avec succès.

DEBUG

Modem configured successfully for SMS-PDU-Mode and SMSC [Telefonnummer]

Le modem a été configuré avec succès pour le mode SMS-PDU et le numéro de téléphone spécifié du centre de messagerie.

DEBUG

Connection to modem closed.

La connexion au modem et au port série a été fermée.

DEBUG

SMS successfully sent to [Telefonnummer]

Un SMS a bien été envoyé au numéro de téléphone indiqué.

DEBUG

Successfully received SMS from [Telefonnummer]

Un SMS a bien été reçu du numéro de téléphone indiqué.

DEBUG

The Modem does not need a PIN.

Le modem ne nécessite pas une authentification par code PIN.

DEBUG

Authentication with the PIN succeeded.

L'authentification avec le code PIN configuré a réussi.

Bibliothèque OpenSSL

Codes d'erreur et messages d'erreur de la bibliothèque OpenSSL au format "Code d'erreur : [Code]. Message d'erreur : [Chaîne]".

Les réponses du serveur comportent la structure suivante :

  • Les réponses POP3 commencent uniquement par le terme "OK" si aucune erreur ne s'est produite.
  • Les réponses du serveur SMTP commencent par un code d'état à trois chiffres :
    • 2xx = OK
    • 3xx = en attente de données
    • 4x et 5 xx = erreur

Niveau

Entrée

Description

ERROR

No Destination E-Mail-Address specified

Aucune adresse de destination n'a été spécifiée pour un courrier sortant.

ERROR

Creating SSL/TLS Method failed. Errorcode: [Code]. Errormessage: [String]

Impossible de créer la méthode SSL/TLS requise pour établir une connexion sécurisée.

ERROR

Creating Connection failed. Errorcode: [Code]. Errormessage: [String]

Impossible de créer l'objet d'une connexion (sécurisée et texte simple).

ERROR

Reading SSL Structure failed. Errorcode: [Code]. Errormessage: [String]

La lecture de la structure SSL/TLS d'une connexion sécurisée a échoué.

ERROR

Opening Connection failed. Errorcode: [Code]. Errormessage: [String]

Impossible d'établir une connexion (sécurisée et texte simple).

ERROR

The Server did not respond an OK Code to HELO. Response: [Antwort des SMTP Servers]

Le serveur de courrier sortant n'a répondu à aucune des commandes EHLO ou HELO par le code "OK" (la réponse a été ajoutée au message inséré dans le fichier journal). Le serveur est considéré comme indisponible.

ERROR

The Server did not send a Waiting-For-Data-Response to the AUTH LOGIN [command / Benutzer data]: [Antwort des SMTP Server]

Le serveur de courrier sortant n'a pas envoyé la réponse attendue à la commande AUTH LOGIN des noms d'utilisateur correspondants. La réponse a été ajoutée au message inséré dans le fichier journal.

ERROR

The Server did not send an OK-Response to the AUTH LOGIN password data: [Antwort des SMTP Server]

Le serveur SMTP n'a pas confirmé les données du mot de passe AUTH LOGIN avec la réponse "OK". La tentative de connexion a échoué.

ERROR

The Server did not send a Waiting-For-Data-Response to the AUTH PLAIN command: [Antwort des SMTP Server]

Le serveur de courrier sortant n'a pas transmis la réponse attendue à la commande AUTH PLAIN. La réponse a été ajoutée au message inséré dans le fichier journal.

.

ERROR

The Server did not send an OK-Response to the AUTH PLAIN data: [Antwort des SMTP Server]

Le serveur SMTP n'a pas confirmé les données AUTH PLAIN avec la réponse "OK". La tentative de connexion a échoué. La réponse a été ajoutée au message inséré dans le fichier journal.

ERROR

SMTP AUTH should be used, but the Server neither supports AUTH LOGIN nor the minimum implementation AUTH PLAIN

L'authentification SMTP doit être utilisée ; toutefois, durant la réponse EHLO, le serveur n'a pas fourni les commandes requises dans la liste des commandes d'extension prises en charge.

Les commandes suivantes sont requises : AUTH LOGIN et AUTH PLAIN, cette dernière étant la mise en œuvre minimale conformément à la norme RFC 2554.

ERROR

[SMTP / POP3] not connected

Une tentative d'envoi de données au serveur de courrier sortant ou de récupération de données sur le serveur de courrier entrant a été effectuée, bien que le serveur ne soit pas connecté.

ERROR

The Server did not send an OK-Response to the MAIL command: [Antwort des SMTP Server]

Le serveur de courrier sortant n'a pas confirmé la commande MAIL (envoi d'un nouvel e-mail) avec la réponse "OK". La réponse a été ajoutée au message inséré dans le fichier journal.

ERROR

The Server did not send an OK-Response to the RCPT command: [Antwort des SMTP Server]

Le serveur de courrier sortant n'a pas confirmé la commande RCPT (ajout d'un destinataire) avec la réponse "OK". La réponse a été ajoutée au message inséré dans le fichier journal.

ERROR

The Server did not send a Waiting-For-Data-Response to the DATA command: [Antwort des SMTP Server]

Le serveur de courrier sortant n'a pas envoyé la réponse attendue à la commande DATA (données du message en cours de transfert). La réponse a été ajoutée au message inséré dans le fichier journal.

ERROR

The Server did not send an OK-Respone to the transmitted Data: [Antwort des SMTP Server]

Le serveur de courrier sortant n'a pas confirmé les données du message transmis avec la réponse "OK". La réponse a été ajoutée au message inséré dans le fichier journal.

ERROR

APOP Authentication is required but the Server did not send APOP Data

La commande APOP est requise aux fins de l'authentification sur le serveur de courrier entrant ; toutefois, le serveur de courrier entrant n'a pas transmis les données requises.

ERROR

Creating APOP Digest failed. Errorcode: [Code]. Errormessage: [String]

Le hachage MD5 nécessaire à l'authentification APOP n'a pas pu être créé.

ERROR

The Server did not send an OK-Response to the [POP3-Kommando] command: [Antwort des POP3 Server]

Le serveur de courrier entrant n'a pas confirmé une commande avec OK. La réponse a été ajoutée au message inséré dans le fichier journal.

Les commandes suivantes pourraient être affectées : APOP, USER, PASS, STAT, RETR, DELE.

Remarque : si la commande DELE contient encore la référence "Could not delete mail" (Impossible de supprimer le message), l'e-mail a été reçu, mais n'a pas pu être supprimé. Puisque l'e-mail a bien été reçu, il est transmis au module Gestion des messages.

ERROR

The OK-Response to the STAT command did not have the expected Format: [Antwort des POP3 Server]

La réponse du serveur de courrier entrant à la commande STAT ne correspond pas à la définition du format, conformément à la norme RFC 1939.

Format : OK<espace>[nombre de messages dans la boîte aux lettres]<espace>[taille totale de tous les messages dans la boîte aux lettres, en octets]

ERROR

[Sending / Receiving] Data failed. Errorcode: [Code]. Errormessage: [String]

L'envoi ou la réception de données via une connexion réseau OpenSSL a échoué.


Gestion de moniteur

Manuels -> Gestion de moniteur

La gestion des moniteurs permet d'organiser facilement plusieurs moniteurs.

Les tâches de la gestion de moniteur sont les suivantes :

  • Fonctionnement : Fonctionnement mixte de systèmes à 1 ou 2 moniteurs.
    Par exemple, trois moniteurs sont utilisés dans une salle de contrôle ; deux sont utilisés sur un client, et l'ordinateur portable du technicien de maintenance ne comporte qu'un moniteur.
  • Affichage du synoptique : affichage libre d'un synoptique sur n'importe quel moniteur, et modification de l'attribution d'un synoptique au moniteur dans le Runtime.
    Tous les types de synoptiques (liste AML, menus) et les fonctions (telles que l'acquittement de synoptique) attribués à ce synoptique sont automatiquement acceptés.
  • Réglage de la résolution : inclusion d'ordinateurs comportant différentes résolutions à un même projet.
    Par exemple : La résolution de moniteur configurée est de 1680 x 1050. La résolution de l'équipement cible est de 1024 x 768. Dans ce cas, zenon adapte automatiquement et correctement la résolution, mais les cercles deviennent elliptiques, en raison du rapport d'aspect différent. Par conséquent, il est possible de définir correctement la résolution cible pour le Runtime dans la fonction de configuration des moniteurs.

Réglages zenon et Windows

La gestion de moniteur dans zenon affecte les cadres et les synoptiques. Nous vous recommandons d'ajuster la taille du cadre à la taille du (ou des) moniteurs affichés. Des cadres de taille supérieure dépasseront sur les autres moniteurs, ou ne seront pas affichés en entier.

Les boîtes de dialogue (même celles dans zenon) sont affectées par les paramètres de Windows.

attention Attention

Les considérations suivantes s'appliquent lors de l'utilisation de plusieurs projets :

  • Si plusieurs projets sont conservés dans la mémoire, le projet actif détermine les paramètres du moniteur pour tous les projets chargés.
  • Si le projet actif est un projet de moniteur unique, aucun moniteur cible ne peut être choisi dans un projet multi-moniteurs.
  • Pour la gestion multi-projets, les paramètres du projet d'intégration sont toujours applicables dans le Runtime.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Autres sujets abordés dans ce chapitre

Concept et exigences

Configuration dans l'Éditeur

Fonctions de gestion des moniteurs

Exemple de configuration

Administration du moniteur dans le Runtime


Concept et exigences

Manuels -> Gestion de moniteur -> Concept et exigences

Les synoptiques sont basculés vers les moniteurs virtuels par le biais de la gestion des moniteurs. Les moniteurs virtuels sont attribués à des moniteurs réels. Cette attribution peut être définie individuellement à l'aide des profils de moniteurs. Les projets peuvent ainsi être personnalisés en fonction de différentes configurations.

La fonction de gestion des moniteurs concerne les aspects suivants :

  • Correction de la résolution par défaut d'un projet.
    Par exemple, 2048 x 768 pour deux moniteurs possédant chacun une résolution de 1024 x 768.
    Ce paramètre est défini et fixe dans le Runtime.
  • La dénomination de moniteurs réels.
  • La définition des moniteurs virtuels attribués aux moniteurs réels.
    Les moniteurs virtuels permettent d'afficher un système à 3 moniteurs (3 moniteurs réels et 3 moniteurs virtuels) sur un système à un moniteur (1 moniteur réel et 3 moniteurs virtuels), par exemple.
  • Il est possible de modifier l'attribution de moniteurs virtuels à des moniteurs réels dans l'Éditeur et le Runtime.
    Un moniteur virtuel peut ainsi être déplacé vers un moniteur réel différent du moniteur configuré, par exemple.
  • Fenêtre d'aperçu avec un aperçu du synoptique ou du moniteur.
    Cette fonction permet de sélectionner rapidement un moniteur en sélectionnant la zone souhaitée d'un synoptique dans une fenêtre. Cette tâche peut également être exécutée à l'aide des barres de défilement facultatives.

Procédure

Lors de l'utilisation de plusieurs moniteurs :

  • Les synoptiques sont attribués aux moniteurs virtuels lors des appels de synoptiques
  • Les moniteurs virtuels peuvent être attribués à des moniteurs réels, si nécessaire

Pour répondre au besoin de reconfiguration, le projet peut donc être affiché correctement sur différents systèmes avec un nombre différent de moniteurs.

Développement

La configuration des moniteurs comporte différents effets :

  • Nouveaux projets
  • Projets existants

Flux de travail recommandé : avec un nouveau projet, configurez la fonction de gestion des moniteurs avant de définir les cadres et les synoptiques. Dans un premier temps, déterminez la résolution dans le Runtime.

attention Attention

Résolution d'écran : utilisez les paramètres standard du système d'exploitation pour garantir l'affichage optimal du Runtime (100 %).

Autres sujets abordés dans ce chapitre

Exigences concernant le Runtime

Nouveau projet

Adaptation d'un projet existant


Exigences concernant le Runtime

Manuels -> Gestion de moniteur -> Concept et exigences -> Exigences concernant le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La résolution de moniteur réelle doit être saisie dans zenon6.ini pour que la fonction de gestion des moniteurs fonctionne correctement sur un système multi-moniteurs.

Exception : ces paramètres ne sont pas nécessaires pour le client Web de zenon.

Entrées de fichier INI

Les entrées suivantes sont nécessaires dans la section [DEFAULT] :

Entrée | Signification
[DEFAULT] | Section dans laquelle est insérée l'entrée.
SCREENPROFILE= | Profil de moniteur sélectionné pour l'ordinateur actuel. Nom de la configuration. Par exemple : ScreenProfile=Standard Défini sur l'ordinateur de configuration par le biais de la configuration des paramètres généraux. Il peut être nécessaire de définir ce paramètre sur d'autres ordinateurs par le biais d'une entrée manuelle dans le fichier zenon6.ini.
RT_CXMAINFRAME= | Largeur de la résolution de tous les moniteurs, moins 1 pixel. Par exemple, pour deux synoptiques d'une largeur de 1280 pixels chacun : RT_CXMAINFRAME=2559
RT_CYMAINFRAME= | Hauteur de la résolution de tous les moniteurs, moins 1 pixel. Par exemple, pour un synoptique d'une hauteur de 1024 pixels : RT_CYMAINFRAME=1023 Attention : si la barre d'outils de Windows est activée, sa hauteur doit être prise en compte et d'autres pixels doivent être retranchés.

Attention : les nombres saisis doivent être inférieurs de 1 pixel à la taille réelle du moniteur, car le comptage commence à 0.

attention Attention

Les configurations suivantes peuvent entraîner l'absence de tout affichage de données ou l'affichage d'images sur le premier moniteur uniquement :

  • Si les valeurs sont supérieures à la surface réellement disponible, il est possible que rien ne soit affiché.
    Solution : Corrigez les données dans le fichier INI.
  • Si la barre des tâches de Windows est affichée dans une position fixe, il est possible que les synoptiques soient uniquement affichés sur le premier moniteur.
    Solution : Sélectionnez l'option Masquer la barre des tâches.
    Ou : Vous pouvez également définir RT_CYMAINFRAME de telle manière qu'aucune donnée n'est affichée dans la barre des tâches, par exemple : RT_CYMAINFRAME=1023 au lieu de 1280.


Nouveau projet

Manuels -> Gestion de moniteur -> Concept et exigences -> Nouveau projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Définissez la résolution d'écran avant de débuter la configuration. Cette résolution ne doit pas être modifiée ultérieurement, car elle peut entraîner une déformation des synoptiques si le rapport largeur/hauteur des résolutions n'est pas conservé.

Lorsqu'un nouveau projet est créé, la résolution de l'écran utilisée par la gestion de moniteurs est automatiquement celle de l'écran courant. Si un projet doit être exécuté sur un ordinateur comportant une résolution différente, ajustez les paramètres avant de débuter la configuration.

Pour pouvoir attribuer des synoptiques provenant de différents moniteurs réels dans une combinaison différente, vous pouvez définir autant de moniteurs virtuels que nécessaire.


Adaptation d'un projet existant

Manuels -> Gestion de moniteur -> Concept et exigences -> Adaptation d'un projet existant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si des modifications sont apportées à la gestion des moniteurs dans les projets existants, l'exécution des appels de synoptique doit être adaptée.

Toutefois, la gestion des moniteurs peut comporter des avantages pour les produits existants. Par exemple :

  • Suppression des synoptiques doubles pour différentes résolutions
  • Intégration d'ordinateurs avec un nombre différent de moniteurs dans un même projet en réseau
    Pour limiter le nombre de modifications à effectuer, il est recommandé de travailler dans un synoptique Vue d'ensemble pour un faible nombre de moniteurs. De cette manière, tous les moniteurs peuvent être sélectionnés rapidement.


Configuration dans l'Éditeur

Manuels -> Gestion de moniteur -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'Éditeur, vous définissez l'administration pour :

  • Nouveaux projets
  • Projets existants

Pour configurer la gestion des moniteurs :

  1. Accédez au nœud Apparence graphique dans les propriétés.
  2. Cliquez sur le sous-groupe Généralités runtime de la propriété Gestion de moniteur
  3. La boîte de dialogue de configuration s'affiche.
  4. Ouvrez les paramètres généraux.
  5. Définissez les paramètres individuels des différents profils

attention Attention

Les coordonnées de positionnement absolues du cadre sont toujours définies par rapport au coin supérieur gauche du synoptique principal. Il doit s'agir du moniteur situé le plus à gauche.

Un exemple de configuration d'un projet avec différents paramètres de moniteur est fourni dans la section Exemple de configuration.

Autres sujets abordés dans ce chapitre

Paramètres généraux

Paramètres individuels


Paramètres généraux

Manuels -> Gestion de moniteur -> Configuration dans l'Éditeur -> Paramètres généraux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Boîte de dialogue de configuration des propriétés du moniteur général :

Propriété

Description

Physical monitors (Moniteurs physiques)

Nombre de moniteurs réels disponibles (matériel). Les paramètres des moniteurs doivent être définis sur les pages de profil. (voir Paramètres individuels et Configuration des moniteurs réels).

Numéro

Affiche le nombre de moniteurs réels actuellement définis.

Moniteurs virtuels

Nombre de moniteurs virtuels. Les paramètres des moniteurs doivent être définis sur les pages de profil. (voir Paramètres individuels et Configuration des moniteurs réels).

Numéro

Affiche le nombre de moniteurs virtuels actuellement définis sous forme de valeur, de V_00 à V_nn. Le premier moniteur réel est configuré comme moniteur standard par zenon.

Modifier

Cliquez sur le bouton pour ouvrir la boîte de dialogue de configuration du nombre de moniteurs virtuels.

Noms

Liste des noms des moniteurs virtuels.

Renommer...

Ouvre la boîte de dialogue permettant de renommer les moniteurs virtuels. Texte libre, saisie limitée à 15 caractères.

Monitor profiles (Profils de moniteur)

Définit des profils de moniteur centraux pour le Runtime.

Chaque profil de moniteur comporte un onglet permettant de le configurer individuellement.

Pour les autres ordinateurs, il peut être nécessaire d'effectuer la configuration des profils de moniteur manuellement, au moyen d'une entrée INI.

Copier...

Crée un nouveau profil sur la base du profil sélectionné et ouvre la boîte de dialogue de saisie de nom.

Renommer...

Ouvre la boîte de dialogue permettant de renommer un profil.

Supprimer...

Supprime le profil sélectionné sans confirmation.

Profil du moniteur qui sera utilisé par le Runtime sur cet ordinateur

Ouvre la liste déroulante permettant de sélectionner les profils qui devraient être utilisés dans le Runtime.

Remarque : sur un ordinateur distant, vous devrez peut-être saisir manuellement le profil dans le fichier zenon6.ini :

Résolution moniteur

Résolution à laquelle le projet est déployé dans le Runtime. (voir également le chapitre Exigences concernant le Runtime)

Conseil : effectuez ces réglages avant de démarrer le développement du projet. Les modifications ultérieures peuvent entraîner une distorsion de l'affichage si le rapport largeur/hauteur ne correspond pas à la résolution !
Standard : résolution de l'ordinateur actuel.

Moniteur

Applique la résolution du moniteur actuellement actif comme résolution pour le profil de moniteur.

OK

Appliquer toutes les modifications et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

attention Attention

Le premier moniteur virtuel est configuré comme moniteur standard par zenon.

Définition du profil de moniteur sur l'ordinateur du Runtime

Si vous avez uniquement installé le Runtime, et non l'Éditeur sur un ordinateur, vous pouvez définir le profil de moniteur souhaité comme suit :

  1. Ouvrez le fichier zenon6.ini avec un éditeur de texte.
  2. Accédez à la zone [DEFAULT].
  3. Ajoutez l'entrée suivante :
    ScreenProfile=nom du profil de moniteur
  4. Enregistrez le fichier et fermez l'Éditeur de texte.

info Info

Le profil standard est toujours chargé par défaut sur le client Web de zenon. Vous pouvez toutefois stipuler un profil de moniteur différent en configurant l'entrée SCREENPROFILE= du fichier zenon6.ini.


Paramètres individuels

Manuels -> Gestion de moniteur -> Configuration dans l'Éditeur -> Paramètres individuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Chaque profil de moniteur est représenté par son propre onglet dans la configuration. Ici, vous définissez les paramètres des moniteurs réels et virtuels, ainsi que leur comportement dans le Runtime.

Propriété | Description
Menu en ligne | Comportement du menu en ligne dans le Runtime.
Show online menu (Afficher le menu en ligne) | Actif : le menu est affiché lors d'un appel de synoptique dans le Runtime et propose les moniteurs pour lesquels la propriété Menu en ligne a été activée.
Display time (Durée de l'affichage) | Temps (en secondes) pendant lequel le menu en ligne reste ouvert.
Item "Annuler" | Actif : le bouton permettant de fermer le menu de sélection en ligne est affiché dans le Runtime. La police du bouton peut être modifiée, si nécessaire. % indique le nombre de secondes avant l'annulation automatique.
La touche Échap annule | Actif : vous pouvez également fermer le menu en ligne en appuyant sur Échap.
Apparence dans le Runtime | Définit les options d'affichage dans le Runtime.
Adapter à la résolution de l'écran | Actif : La résolution du projet est ajustée à la résolution de l'écran de l'ordinateur courant. Inactif : Vous pouvez définir ici la résolution du projet, c’est à dire que la résolution du projet ne sera pas adaptée à la résolution courante.
Tenez compte de l'en-tête lors de l'ajustement | Actif : La hauteur du titre est prise en compte dans l'Éditeur de gabarit et dans le Runtime. Cette propriété existe pour des raisons de compatibilité et n'est habituellement pas utilisée.
Tenir compte du menu | Actif : La hauteur du menu est prise en compte dans l'Éditeur de gabarit et dans le Runtime. Cette propriété existe pour des raisons de compatibilité et n'est habituellement pas utilisée.
Montrer les barres de défilement | Actif : les barres de défilement sont affichées dans le Runtime. Permet de parcourir des synoptiques dont la taille est supérieure à celle de l'écran.
Physical monitors (Moniteurs physiques) | Affiche la liste de tous les moniteurs physiques et des propriétés associées à ceux-ci.
Modifier | Ouvre la boîte de dialogue permettant de définir les propriétés individuelles du moniteur réel sélectionné.
Moniteurs virtuels | Affiche la liste de tous les moniteurs virtuels et des propriétés associées à ceux-ci. Les appels de synoptique concernent les moniteurs virtuels. Les moniteurs virtuels sont attribués à des moniteurs réels dans le Runtime.
Modifier | Ouvre la boîte de dialogue permettant de définir les propriétés individuelles du moniteur réel ou virtuel sélectionné.

Autres sujets abordés dans ce chapitre

Définition de moniteurs réels

Définir des moniteurs virtuels


Définition de moniteurs réels

Manuels -> Gestion de moniteur -> Configuration dans l'Éditeur -> Paramètres individuels -> Définition de moniteurs réels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez sur le bouton Modifier dans la section Real monitors (Moniteurs réels) de l'onglet de configuration personnalisée d'un profil de moniteur pour ouvrir la boîte de dialogue de configuration des moniteurs réels.

Paramètre | Description
Nom | Nom du moniteur. Texte libre, saisie limitée à 15 caractères.
Position | Décrit la position et la résolution du moniteur. Par exemple : Moniteur de gauche : 0/0/1680/1050 Moniteur de droite : 1680/0/3360/1050
Le moniteur n'existe pas, associer à | Actif : permet de sélectionner un autre moniteur physique dans une liste déroulante dans laquelle il apparaît, par exemple s'il n'est actuellement pas connecté physiquement à l'ordinateur. Le moniteur est alors affiché sur le moniteur attribué dans le Runtime. Les barres de défilement permettent de faire défiler l'affichage entre les synoptiques des deux moniteurs.
Affichage dans le menu en ligne | Actif : dans le Runtime, ce moniteur apparaît dans le menu à chaque appel d'un synoptique autorisant la sélection individuelle d'un moniteur.


Définir des moniteurs virtuels

Manuels -> Gestion de moniteur -> Configuration dans l'Éditeur -> Paramètres individuels -> Définir des moniteurs virtuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez sur le bouton Modifier dans la section Real monitors (Moniteurs virtuels) de l'onglet de configuration personnalisée d'un profil de moniteur pour ouvrir la boîte de dialogue de configuration des moniteurs virtuels.

Paramètres

Description

Nom

Affichage du nom. Celui-ci peut être modifié dans l'onglet Paramètres généraux.

Paramétrage

Paramètres d'association des moniteurs.

Show in online menu (Afficher dans le menu en ligne)

Actif : dans le Runtime, le menu en ligne de sélection de moniteurs est affiché à chaque appel d'un synoptique attribué à ce moniteur.

Attribution à un moniteur réel

Associe le moniteur virtuel à un moniteur physique. Dans le Runtime, vous pouvez modifier cette association à l'aide de la fonction Sélection moniteur.

Sélection moniteur

Cette fonction assigne le moniteur virtuel sélectionné à un moniteur réel. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Fonctions de gestion des moniteurs

Manuels -> Gestion de moniteur -> Fonctions de gestion des moniteurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La gestion des moniteurs peut être contrôlée dans le Runtime par le biais des fonctions zenon.

Les choix disponibles sont les suivants :

  • Paramètres d'appel de synoptique : la boîte de dialogue de sélection de synoptique est complétée avec les paramètres d'attribution de moniteur.
  • Assign monitor (Attribuer un moniteur) : permet d'attribuer un moniteur virtuel à un moniteur réel dans le Runtime.
  • Display overview window (Afficher la fenêtre d'aperçu) : ouvre ou ferme la fenêtre de présentation dans le Runtime. La fenêtre affiche tous les moniteurs réels et cadres configurés, et permet de les sélectionner et les basculer rapidement.

Les paramètres de sélection de moniteur sont disponibles pour les fonctions suivantes :

  • Donner le focus au gabarit
  • Fermer le gabarit
  • Fermer le synoptique

Autres sujets abordés dans ce chapitre

Paramètres d'appel de synoptique

Sélection moniteur

Vue d'aperçu


Paramètres d'appel de synoptique

Manuels -> Gestion de moniteur -> Fonctions de gestion des moniteurs -> Paramètres d'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dès que la gestion de moniteur doit être configurée pour plusieurs moniteurs, des options supplémentaires sont disponibles pour la fonction d'appel de synoptique dans la boîte de dialogue de sélection de moniteur, vous permettant ainsi de sélectionner le moniteur sur lequel doit être affiché le synoptique:

Paramètre

Description

Déplacer vers moniteur

Actif : des barres de défilement sont visibles dans le Runtime, vous permettant d'accéder au moniteur de votre choix.

Moniteur

Sélectionnez le moniteur souhaité dans la liste déroulante.

Cette liste contient tous les moniteurs virtuels définis dans la fonction de gestion des moniteurs, plus l'entrée Moniteur actuel.

Moniteur virtuel : le synoptique est basculé vers le moniteur lié au moniteur virtuel sélectionné.

Si aucun moniteur réel n'a été attribué au moniteur virtuel durant la configuration, mais au lieu de cela, l'option Display online selection menu (Afficher le menu de sélection en ligne) a été sélectionnée, une fenêtre de sélection d'un moniteur réel s'affiche.

Moniteur actuel : affiche toujours le synoptique sur le moniteur d'où provient l'appel. Par exemple :
Si le bouton d'ouverture de la liste AML est cliqué sur le moniteur gauche, la liste AML est basculée vers le moniteur gauche. Si le bouton de basculement de la liste AML vers le moniteur droit est actionné, la liste AML est basculée vers le moniteur droit.

Dans l'aperçu de la fonction, le moniteur sur lequel est affiché le synoptique est affiché entre parenthèses.

Par exemple :

START (V_00) signifie que l'appel est effectué vers le synoptique START, et que ce dernier est affiché sur le moniteur virtuel V_00.
REL signifie l'affichage sur le moniteur actuel.

Menu en ligne

Si une fonction d'appel de synoptique est exécutée lorsque l'option Display online selection menu (Afficher le menu de sélection en ligne), le menu de sélection de moniteur est affiché avant l'activation de la fonction. Le contenu du menu et sa durée d'affichage sont définis dans la configuration du moniteur.


Sélection moniteur

Manuels -> Gestion de moniteur -> Fonctions de gestion des moniteurs -> Sélection moniteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec la fonction Sélection moniteur, les moniteurs virtuels peuvent être attribués à des moniteurs réels dans le Runtime, quelle que soit l'attribution configurée.

Sélection moniteur

Cette fonction assigne le moniteur virtuel sélectionné à un moniteur réel. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Accédez au nœud Synoptiques.

    Synoptiques

    Ce groupe contient les fonctions pour la gestion des synoptiques.

    Plus de détails dans l'aide en ligne

  3. Sélectionnez la fonction Sélection moniteur.
  4. La boîte de dialogue d'attribution d'un moniteur virtuel à un moniteur réel s'ouvre
  5. Créez une attribution
  6. Fermez la configuration en cliquant sur OK
  7. Attribuez un bouton à la fonction

Boîte de dialogue d'attribution du moniteur

Paramètres | Description
Nom | Sélectionnez le moniteur virtuel souhaité dans la liste déroulante. Tous les moniteurs virtuels configurés dans la fonction de gestion des moniteurs sont affichés dans la liste.
Paramétrage | La sélection de l'attribution s'effectue au moyen des cases d'option :
Affichage dans le menu en ligne | Bascule vers une boîte de dialogue dans le Runtime pour sélectionner le moniteur réel souhaité.
Associer au moniteur réel | Attribue un moniteur virtuel à un moniteur réel. Sélectionnez un moniteur dans la liste déroulante. La liste contient tous les moniteurs réels disponibles dans la fonction de gestion des moniteurs.
OK | Accepte les paramètres, ferme la boîte de dialogue et crée des fonctions avec l'attribution.
Annuler | Annule les paramètres, ferme la boîte de dialogue et crée des fonctions sans l'attribution actuelle.
Aide | Ouvre l'aide en ligne.

Les fonctions sont affichées dans la vue de détail, avec la destination de l'attribution.

Par exemple :

  • V_00,(ONLINE) : le moniteur virtuel V_00 est attribué à un moniteur réel dans le Runtime à l'aide du menu en ligne.
  • ???,??? : la boîte de dialogue d'attribution a été annulée ; aucune fonction n'a été exécutée.
  • V_00,Left screen : Le moniteur virtuel V_00 est attribué au moniteur réel écran gauche.


Vue d'aperçu

Manuels -> Gestion de moniteur -> Fonctions de gestion des moniteurs -> Vue d'aperçu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Vue d'aperçu affiche la fenêtre d'aperçu dans le Runtime ; celle-ci présente les moniteurs réels ou les cadres dans un système multi-moniteurs. Un moniteur et/ou un cadre peuvent être activés avec un clic.

Vue d'aperçu

Cette fonction ouvre une vue d'aperçu, de façon à pourvoir simuler les projets multi moniteurs sur un poste avec un seul écran.

Plus de détails dans l'aide en ligne

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Accédez au nœud Synoptiques.

    Synoptiques

    Ce groupe contient les fonctions pour la gestion des synoptiques.

    Plus de détails dans l'aide en ligne

  3. Sélectionnez la fonction Vue d'aperçu.
  4. La boîte de dialogue de configuration de la fenêtre d'aperçu s'affiche
  5. Configurez la fenêtre d'aperçu
  6. Fermez la configuration en cliquant sur OK
  7. Attribuez un bouton à la fonction

Affichage de la fenêtre d'aperçu

Paramètre

Description

Configurer les barres d'outils

La fonction peut afficher, fermer ou basculer la fenêtre d'aperçu. La sélection est effectuée à l'aide de boutons d'option :

Afficher

Actif : la fenêtre d'aperçu s'ouvre.

Bascule

Actif : l'état de la fenêtre d'aperçu bascule entre ouvert et fermé.

Fermer

Actif : la fenêtre d'aperçu se ferme.

Affichage de

Sélection de l'affichage dans la fenêtre d'aperçu. Les cadres ou les moniteurs sont affichés.

Cadres

Actif : La fenêtre d'aperçu scinde le synoptique en cadres.

Moniteurs

Actif : La fenêtre d'aperçu scinde le synoptique en moniteurs.

Position

Position de la fenêtre d'aperçu sur le synoptique, calculée en pixels depuis le coin supérieur gauche pour :

  • Haut
  • bas
  • gauche
  • vers la droite

Style de la fenêtre

Avec titre

Actif : La fenêtre d'aperçu comporte une barre de titre Windows

Menu système

Actif : Un menu système est affiché en cas d'activation de la barre de titre.

Avec cadre

Actif : La fenêtre d'aperçu est affichée avec une bordure. La taille de la fenêtre peut être configurée dans le Runtime en faisant glisser la bordure. La sélection de la largeur de la bordure s'effectue au moyen des cases d'option :
  • Fin

Actif : bordure épaisse.
  • gras

Actif : bordure fine.

Couleur

Définition des couleurs dans la fenêtre d'aperçu. Cliquez sur Couleur pour ouvrir la palette de couleurs.

Couleur du fond

Couleur de l'arrière-plan de la fenêtre.

Vue courante

Cadres/moniteurs actuellement affichés.

Cadre

Couleur de la bordure.

Selected (Sélectionnés)

Cadres/moniteurs sélectionnés.

OK

Accepte les paramètres, ferme la boîte de dialogue et crée des fonctions avec l'attribution.

Annuler

Annule les paramètres, ferme la boîte de dialogue et crée des fonctions avec des paramètres standard.

Aide

Ouvre l'aide en ligne.


Exemple de configuration

Manuels -> Gestion de moniteur -> Exemple de configuration

Dans cet exemple, vous pouvez voir les configurations possibles pour chaque besoin du projet suivant :

  1. 1 serveur avec 2 moniteurs, avec une résolution de 1680 x 1050 chacun
  2. 1 serveur avec 1 moniteur, avec une résolution de 1680 x 1050
  3. 1 ordinateur portable pour l'équipe de maintenance, avec une résolution de 1024 x 768

But

Nous configurons le projet pour la visualisation d'un serveur avec deux synoptiques. Pour le client, nous ajustons les paramètres afin que toutes les tâches puissent être affichées sur un seul et même écran. Nous modifions également la résolution de l'affichage pour l'ordinateur de maintenance. Durant le fonctionnement, le profil de moniteur correspondant doit être sélectionné sur l'ordinateur de Runtime correspondant pour bénéficier d'un affichage correct.

Configuration de départ

  1. Configurez le fichier INI conformément aux instructions mentionnées au chapitre Exigences concernant le Runtime pour définir la résolution dans le Runtime.
  2. La configuration de base est définie dans la configuration du moniteur :
    Accédez à Propriétés du projet -> Apparence graphique -> Généralités runtime.
  3. Cliquez sur la propriété Gestion de moniteur.
  4. La boîte de dialogue de configuration du moniteur s'affiche alors à l'écran.
  5. Configurez d'abord les paramètres généraux
  6. Configurez ensuite les paramètres individuels pour :
    1. Le serveur avec 2 moniteurs
    2. Le clients avec un moniteur
    3. L'ordinateur portable de l'équipe de maintenance


Configuration générale

Manuels -> Gestion de moniteur -> Exemple de configuration -> Configuration générale

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour la configuration, les opérations suivantes se déroulent en premier lieu :

  • Les paramètres généraux, tels que le nombre de moniteurs virtuels et réels, sont définis
  • Des profils sont créés pour les trois configurations différentes

Paramètres généraux

Moniteurs

Dans cet exemple, nous définissons :

  • 2 moniteurs réels
  • 3 moniteurs virtuels :
    • Un pour chaque synoptique de processus
    • Un pour chaque basculement de la barre de menus ; nous pouvons ainsi décider si la barre d'outils doit être ouverte à la gauche ou à la droite, sans que cela n'affecte les synoptiques de processus.

N'oubliez pas : les moniteurs virtuels sont la destination des appels de synoptique. Ils sont attribués à des moniteurs réels dans le Runtime. Vous avez maintenant la possibilité de choisir l'attribution entre les moniteurs réels et virtuels. Si par exemple le deuxième moniteur n'existe pas, comme c'est le cas avec l'ordinateur portable, l'affichage peut simplement être redirigé vers le moniteur gauche, sans qu'il soit nécessaire de modifier la définition des fonctions.

Résolution

La résolution définie est un autre facteur important. Il s'agit de la taille de référence du réglage. Ce paramètre est défini une fois, avant le début de la configuration, et ne doit pas être modifié ultérieurement. Si ce paramètre est modifié ultérieurement, toutes les coordonnées de tous les éléments des synoptiques sont recalculées.

Nous avons saisi notre résolution souhaitée de 1680 x 1050.

Monitor profiles (Profils de moniteur)

Nous créons notre profil pour chaque configuration dans cet exemple. Pour cet exemple :

  • Server 2 Mon (Mon. serveur 2)
  • Client 1 Mon (Mon. client 1)
  • Notebook small (Ordinateur portable - Petit)

Pour cela :

  1. Sélectionnez le profil Standard
  2. Cliquez sur Copier
  3. La boîte de dialogue de modification du nom du profil s'affiche
  4. Saisissez le nouveau nom (la longueur est limitée à 15 caractères)
  5. Cliquez sur OK
  6. Répétez cette procédure pour tous les autres profils

Chaque profil comporte son propre onglet de configuration individuelle dans la section de configuration des moniteurs.

Nous allons commencer par l'onglet Server 2 Mon (Mon. serveur 2).


Configuration avec 2 moniteurs

Manuels -> Gestion de moniteur -> Exemple de configuration -> Configuration avec 2 moniteurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La première configuration est celle du serveur, avec deux moniteurs.

Nous allons configurer :

  • Le menu en ligne
  • L'apparence dans le Runtime
  • Les moniteurs réels
  • Les moniteurs virtuels

Menu en ligne

Le menu de sélection en ligne permet de sélectionner le moniteur réel vers lequel un synoptique est basculé dans le Runtime. Par conséquent :

  • Le menu de sélection en ligne doit être activé
  • Dans l'attribution du moniteur virtuel, l'option Display online menu (Afficher le menu en ligne) doit être sélectionnée
    ou

    une fonction d'attribution de moniteur doit être configurée

Pour cet exemple :

  • Activez l'option
  • Sélectionnez une Durée d'affichage de 10 secondes : Si aucune action n'a été définie après ce délai, le menu disparaît.
  • Activez l'option Intitulé : un bouton Annuler sera alors disponible dans le Runtime
  • Définissez l'intitulé Annuler = % pour le bouton : le temps restant avant l'annulation est ainsi affiché dans le menu
  • Activez l'option La touche Échap ferme le menu pour pouvoir fermer le menu dans le Runtime en appuyant sur la touche Échap.

Le menu est ensuite affiché dans le Runtime lorsqu'un basculement est effectué vers un moniteur virtuel depuis un menu en ligne :

Les moniteurs réels M_00 et M_01 sont disponibles. Après l'annulation, vous disposez encore de 10 secondes pour effectuer une sélection. Cliquez sur Annuler ou appuyez sur la touche Échap pour fermer le menu immédiatement.

Paramètres des synoptiques dans le Runtime

Pour afficher le synoptique dans le Runtime :

  • Désactivez l'option Adapt display to screen resolution (Adapter l'affichage à la résolution d'écran) ; l'affichage reste ainsi toujours à la taille configurée. (Si cette option est active, l'affichage est adapté à la résolution actuelle.)
  • Cochez la case Display scroll bar (Afficher les barres de défilement) : cette option affiche des barres de défilement dans le Runtime, vous permettant ainsi de faire défiler le synoptique

Configuration des moniteurs réels.

Deux moniteurs sont disponibles sur le serveur. Les deux moniteurs réels du projet dans l'exemple sont configurés de manière correspondante.

Le deuxième moniteur reçoit par exemple les coordonnées correspondantes pour se connecter horizontalement au premier moniteur sur la droite.

Un nom peut être défini pour chaque configuration. Pour configurer les moniteurs :

  1. Ouvrez chacun des moniteurs dans l'ordre adéquat en cliquant sur le bouton Modifier
  2. Spécifiez un nom pour le moniteur ; dans notre exemple, ces noms sont simplement M_00 et M_01
  3. Désactivez l'option Renvoyer à... (nous aurons besoin de cette option dans l'autre configuration)
  4. Saisissez les coordonnées.
    Le calcul est effectué depuis le coin supérieur gauche du moniteur gauche
  5. Activez l'option Display in online menu (Afficher dans le menu en ligne), afin que le moniteur soit également disponible dans le Runtime

Configuration des moniteurs virtuels

Dans cette configuration, les moniteurs virtuels sont attribués aux moniteurs réels.

N'oubliez pas : les appels de synoptiques font référence à des moniteurs réels. L'attribution des moniteurs virtuels détermine le moniteur réel vers lequel est effectué l'appel de synoptique.

Dans notre exemple, trois moniteurs virtuels sont disponibles. Les deux premiers sont chacun attribués à un moniteur réel. Le troisième moniteur virtuel permet d'activer ou de désactiver la barre de menus selon le besoin. Ce moniteur n'est pas attribué à un moniteur réel, mais cette attribution doit être proposée dans le menu en ligne.

Pour attribuer les deux premiers moniteurs virtuels :

  1. Ouvrez chacun des moniteurs dans l'ordre adéquat en cliquant sur le bouton Modifier
  2. Les noms sont uniquement affichés ; ils sont identiques pour tous les profils et peuvent uniquement être modifiés dans l'onglet Général
  3. Sélectionnez Assignment to real monitor (Attribution à un moniteur réel)
  4. Sélectionnez le moniteur réel souhaité dans la liste déroulante.
    • M_00 pour le moniteur gauche
    • M_01 pour le moniteur droit

La configuration du troisième moniteur virtuel se déroule de manière semblable.

Différence : au lieu de l'option Assign to real monitor (Attribuer à un moniteur réel), sélectionnez l'option Display in online menu (Afficher dans le menu en ligne).

Le profil est maintenant configuré pour le serveur avec 2 moniteurs.

Maintenant, sélectionnez l'onglet Client 1 Mon (Mon. client 1).


Configuration de clients avec un moniteur

Manuels -> Gestion de moniteur -> Exemple de configuration -> Configuration de clients avec un moniteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration d'un client avec un moniteur correspond généralement à la configuration du serveur. Toutefois, un seul synoptique est disponible ici. Ceci entraîne deux différences significatives :

  1. le deuxième moniteur réel doit être attribué au premier
  2. La menu de sélection en ligne de la barre de menus est superflu ; il est attribué directement

Pour les moniteurs réels :

  1. Ouvrez le menu de configuration du moniteur M_01
  2. Cochez la case Renvoyer à
  3. Sélectionnez M_00 dans la liste déroulante.

Le menu de sélection en ligne n'est pas nécessaire dans le Runtime, mais les options peuvent être laissées actives.

Pour les moniteurs virtuels :

  1. Ouvrez le menu de configuration du moniteur Barre de menus
  2. Cochez la case Assign to real monitor (Attribuer à un moniteur réel)
  3. Sélectionnez M_00 dans la liste déroulante.

L'ensemble de la configuration de Client 1 Mon (Mon. client 1) se présente maintenant comme suit :

Désormais, seule la configuration de l'ordinateur portable est absente dans notre exemple. Sélectionnez l'onglet Notebook small (Ordinateur portable - Petit).


Configuration de l'ordinateur portable de l'équipe de maintenance

Manuels -> Gestion de moniteur -> Exemple de configuration -> Configuration de l'ordinateur portable de l'équipe de maintenance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration de l'ordinateur portable de l'équipe de maintenance correspond à la configuration de l'ordinateur client avec un moniteur. La résolution est toutefois différente. Celle-ci doit être adaptée. Pour cela :

  1. Ouvrez le menu de configuration du moniteur réel M_00
  2. Saisissez les coordonnées correspondantes,
    dans notre exemple : 0/0/1024/768

La résolution est maintenant adaptée à la résolution réelle de l'ordinateur portable est maintenant adaptée à la résolution réelle de l'ordinateur portable, et le moniteur M_01 est attribué au moniteur M_00, comme sur le client. Le Runtime comporte maintenant des barres de défilement permettant de faire défiler l'affichage.

Tous les autres paramètres correspondent à ceux de l'ordinateur client :

Confirmez la configuration en cliquant sur OK.


Autre configuration

Manuels -> Gestion de moniteur -> Exemple de configuration -> Autre configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le projet, vous devez ensuite :

  • Pour les appels de synoptique, sélectionner le moniteur virtuel vers lequel doit être effectué l'appel de synoptique
  • Définir le profil de moniteur à utiliser sur les différents ordinateurs (pour l'ordinateur de configuration, sélectionnez le profil dans la configuration de moniteur)
  • Pour les fonctions telles que Set focus on frame (Paramétrer le focus sur le cadre), Close frame (Fermer le cadre) ou Close screen (Fermer le synoptique), décidez des moniteurs pour lesquels l'action est applicable
  • Si nécessaire, configurez une fonction Assign monitor (Attribuer un moniteur) pour pouvoir attribuer des moniteurs virtuels à des moniteurs réels dans le Runtime, indépendamment de la configuration initiale
  • Configurez une fenêtre d'aperçu pour faciliter la navigation dans le Runtime


Administration du moniteur dans le Runtime

Manuels -> Gestion de moniteur -> Administration du moniteur dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Différentes possibilités sont disponibles dans le Runtime :

  • Pour sélectionner les moniteurs
    et
  • Parcourir les différents moniteurs

info Info

Si le Runtime est démarré via une connexion Remote Desktop, la résolution de l'ordinateur distant est utilisée. La résolution peut alors être différente de la résolution configurée, en quel cas des différences d'affichage peuvent se produire.

La résolution du moniteur distant peut également être définie au moyen d'un fichier INI (se reporter à la section Configuration du profil de moniteur sur l'ordinateur du Runtime, au chapitre Paramètres généraux).

Autres sujets abordés dans ce chapitre

Sélection d'un moniteur dans le Runtime

Navigation dans le Runtime


Sélection d'un moniteur dans le Runtime

Manuels -> Gestion de moniteur -> Administration du moniteur dans le Runtime -> Sélection d'un moniteur dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Différentes possibilités sont disponibles dans le Runtime pour attribuer des moniteurs virtuels à des moniteurs physiques :

  • Menu de sélection en ligne lors d'un appel de synoptique
  • Fonction Attribuer un moniteur

Menu en ligne

Si une fonction d'appel de synoptique est exécutée lorsque l'option Display online selection menu (Afficher le menu de sélection en ligne), le menu de sélection de moniteur est affiché avant l'activation de la fonction. Le contenu du menu et sa durée d'affichage sont définis dans la configuration du moniteur.

Fonction Attribuer un moniteur

La fonction Attribuer un moniteur permet d'afficher le menu de sélection en ligne indépendamment d'un appel de synoptique et d'attribuer des moniteurs virtuels à un moniteur physique.


Navigation dans le Runtime

Manuels -> Gestion de moniteur -> Administration du moniteur dans le Runtime -> Navigation dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les éléments suivants autorisent la navigation entre les moniteurs dans le Runtime :

  • Vue d'aperçu
  • Barres de défilement

Vue d'aperçu

Les fenêtres d'aperçu sont configurées comme une fonction. Une fonction spécifique peut être créée pour l'affichage et la fermeture de la fenêtre d'aperçu, ou vous pouvez utiliser la fonction de basculement pour activer ou désactiver l'affichage de la fenêtre.

Une fenêtre est affichée dans le Runtime lors de l'exécution de la fonction. Celle-ci affiche la surface totale disponible, scindée en moniteurs ou en cadres. Différentes fonctions doivent être configurées individuellement pour l'affichage des cadres et des moniteurs.

Cliquez dans la fenêtre pour sélectionner les moniteurs ou les cadres.

Barres de défilement

Les barres de défilement permettent de parcourir rapidement les synoptiques. Les barres de défilement sont affichées si :

  • La propriété Display scroll bars (Afficher les barres de défilement) a été activée dans le profil de moniteur
  • Un moniteur réel ou un autre moniteur réel est attribué


Gestion des alarmes

Manuels -> Gestion des alarmes

La gestion des alarmes vous informe sur l'apparition d'anomalies, telles que les dépassements de limites. Elle comprend les éléments suivants :

  1. Ligne d'état d'alarmes :
    ligne d'informations toujours affichée au premier plan dans le Runtime ; elle contient, selon la configuration, les alarmes les plus récentes ou les alarmes non acquittées les plus anciennes.
  2. Liste d'alarmes (AML) :
    gère les alarmes sous forme de liste dans le Runtime. Liste AML :
    • affiche les alarmes et leurs causes sous forme de liste non filtrée ou filtrée.
    • Permet de localiser la cause de l'alarme.
    • Autorise l'acquittement des alarmes.
    • Autorise la suppression des alarmes.
    • Autorise l'impression et l'enregistrement des alarmes.

Configurez les alarmes :

  • En définissant des limites pour les variables.
  • Avec les matrices de réaction.
  • Dans les propriétés des alarmes

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Autres sujets abordés dans ce chapitre

Configuration des alarmes

Fonctionnement dans le Runtime


Configuration des alarmes

Manuels -> Gestion des alarmes -> Configuration des alarmes

La gestion des alarmes est actionnée dans le Runtime via les synoptiques Liste d'alarmes et Filtres de liste d'alarmes, ainsi que la ligne d'état des alarmes. La ligne d'état des alarmes est automatiquement créée sous forme de gabarit.

Éditeur

Pour pouvoir utiliser des alarmes dans le Runtime, vous devez effectuer les opérations suivantes dans l'Éditeur :

  • Configurez un synoptique de type Liste d'alarmes.
  • Définissez les dépassements de limites de variables ou de matrices de réaction.

Vous pouvez, en outre :

  • Configurer des alarmes à l'aide de filtres
  • Grouper des alarmes
  • Adapter les synoptiques de type Liste d'alarmes disponibles dans le Runtime

Runtime

Pour configurer le fonctionnement dans le Runtime, les fonctions suivantes sont utilisées :

  • Appel de synoptique de liste AML
  • Appel de synoptique de filtre de liste AML
  • Fonctions d'alarme de zenon
  • Utilisation des synoptique de liste d'alarmes
  • Ligne d'état d'alarmes

Autres sujets abordés dans ce chapitre

Création d'un synoptique de liste d'alarmes

Création d'un synoptique de filtre de liste d'alarmes

Définir des alarmes

Gestion des alarmes

Grouper les alarmes

Configurer les alarmes avec des filtres

Fonctions


Création d'un synoptique de liste d'alarmes

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Création d'un synoptique de liste d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un synoptique de liste d'alarmes permet d'afficher et de consigner les alarmes actuelles et passées. L'affichage peut être modifié à l'aide d'un filtre. Des fonctions permettent d'exporter et d'imprimer les alarmes affichées.

Création d'un synoptique de filtre de liste d'alarmes

Pour créer un synoptique de liste d'alarmes :

  1. Dans la barre d'outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
  2. Un synoptique standard vide s'affiche à l'écran.
  3. Changez le type de synoptique dans la vue détaillée ; pour cela :
    1. Cliquez sur Standard dans la colonne Type de synoptique.
    2. Sélectionnez Alarm Message List filter (Filtre de liste d'alarmes) dans la liste déroulante.
  4. Cliquez sur le synoptique.
  5. Sélectionnez l'option de menu Éléments de contrôle dans la barre de menus.
  6. Cliquez sur Insérer un modèle dans la liste déroulante.
  7. Insérez les éléments standard
  8. Sélectionnez les éléments supplémentaires selon le besoin et insérez-les à l'emplacement souhaité sur l'écran.
  9. Créez une fonction d'appel de synoptique pour pouvoir appeler la liste d'alarmes dans le Runtime.

Les éléments suivants sont disponibles :

Élément

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis insérés dans le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Liste d'alarmes

Affichage des alarmes. L'apparence peut être configurée. Les colonnes peuvent être définies par le biais du filtre Paramètres des colonnes lors de l'appel de synoptique, ou par le biais des propriétés Paramètres des colonnes – Liste AML dans les paramètres du projet, dans le groupe Liste d'alarmes.

Affichage : Définir filtre

Affichage des conditions de filtre actuellement sélectionnées.

Filtre ...

Ouvre des boîtes de dialogue de sélection de filtres.

Acquittement/suppression

Groupes de boutons d'acquittement et de suppression d'alarmes
  • acquitter

Acquittement des messages d'alarme dans le Runtime.
  • Acquitter la page

Toutes les alarmes affichées sur la page courante sont acquittées.
  • Acquitté Tout

Toutes les alarmes pour le filtre courant sont acquittées.

Note concernant les projets multi-utilisateurs : les alarmes sont uniquement acquittées dans les projets pour lesquels l'utilisateur dispose des autorisations requises. (Pour plus de détails concernant les projets multi-utilisateurs, reportez-vous au chapitre Développement distribué).

  • Supprimer

Supprime l'alarme de la liste d'alarmes dans le Runtime. Les alarmes doivent déjà être acquittées.
  • Supprimer la page

Supprime toutes les alarmes acquittées affichées sur la page actuelle.
  • Delete all (Supprimer tout)

Supprime toutes les alarmes acquittées correspondant aux critères de filtre actuels.

Stopper

Changer l'état de remplissage de la liste :

Stop : les nouveaux éléments ne sont plus ajoutés automatiquement.

Suivant : les nouveaux éléments sont ajoutés automatiquement.

Attention : la police du bouton peut être modifiée dans l'Éditeur, mais cette modification n'est pas répercutée dans le Runtime. Vous pouvez configurer les modifications de la police à l'aide de la fonction de Changement de langue.

Fermer

Ferme la liste d'alarmes

Imprimer

Imprime la liste filtrée.

Print with dialog... (Imprimer avec boîte de dialogue)

Ouvre les paramètres d'impression avant de lancer l'impression.

Affichage : Fonction liée

Affiche le message attribué au message d'alarme.

Exécuter une commande

Exécute les fonctions configurées pour l'alarme dans le Runtime.

Remarque : la fonction Exécuter un programme permet de transférer le nom de variable de l'alarme sélectionnée, sous forme de paramètre du programme à démarrer, avec le mot-clé @alarm.name.

Ouvrir l'aide

Affiche l'Aide configurée.

Afficher

État et éléments de la gestion des alarmes.
  • Nombre total

Nombre d'occurrences de toutes les alarmes.
  • Nbre non-acquittées

Affiche le nombre d'alarmes non-acquittées.
  • Info : Status of Alarm Message List (État de la liste d'alarmes)

Afficher si la liste d'alarmes est active ou non.
  • Comment field (Champ de commentaires)

Saisie de texte (commentaire) par l'utilisateur pour l'alarme sélectionnée. Ce texte peut être affiché dans la liste (option Commentaire dans la section Paramètres des colonnes de la liste d'alarme.)

Navigation

Contrôle les éléments de la liste.
  • Ligne précédente

Remonte d'une ligne.
  • Ligne suivante

Descend d'une ligne.
  • Colonne de droite

Se déplace d’une colonne vers la droite.
  • Colonne de gauche

Se déplace d’une colonne vers la gauche.
  • Page précédente

Remonte d'une page.
  • Page suivante

Descend d'une page.
  • Page de droite

Se déplace d’une page vers la droite.
  • Page de gauche

Se déplace d’une page vers la gauche.

Profils de filtre

Paramètres de filtre pouvant être enregistrés par l'utilisateur dans le Runtime.

  • Sélection profil

Sélectionner un profil dans la liste.
  • Enregistrer

Enregistrer la configuration actuelle sous forme de profil.
  • Supprimer

Supprime le profil sélectionné.

info Info

Le filtre actuel est affiché dans l'élément de contrôle Visualiser filtre.

Pour :

  • Un filtre de texte, l'expression [Txt] est affichée
  • Un filtre de temps relatif, l'impression se présente comme ceci :
    [T,Rel:%dd,%dh,%dm;%ds]
    Exemple : [T,Rel:1d,0h,0m,0s] correspond à un jour.

Autres sujets abordés dans ce chapitre

Modification de l'apparence de la liste AML


Modification de l'apparence de la liste AML

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Création d'un synoptique de liste d'alarmes -> Modification de l'apparence de la liste AML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La vue de table de la liste d'alarmes peut être adaptée aux exigences individuelles :

Barres de défilement, en-têtes et grilles

Pour définir la taille et l'apparence des barres de défilement, de l'en-tête ou des grilles de la table :

  1. Dans les propriétés du projet, sélectionnez la propriété Paramètres du graphique étendu du groupe Affichage.
  2. Définissez les propriétés souhaitées dans les groupes Ascenceurs et Entête et grille pour l'élément Liste d'alarmes affiché à l'écran.

info Info

Si la propriété Fichier graphique est sélectionnée pour la propriété Style d'affichage, tous les éléments pour lesquels aucun fichier graphique n'a été sélectionné sont illustrés avec un dégradé de couleurs. Les éléments graphiques transparents ne peuvent pas être utilisés pour les éléments de contrôle des listes.

Tri dans le Runtime

Pour sélectionner une colonne aux fins du tri dans le Runtime et déterminer la séquence de tri, configurez l'élément graphique pour la ligne d'intitulé :

  1. Sélectionnez le fichier graphique pour la propriété Style d'affichage.
  2. Liez les propriétés Tri croissant et Tri décroissant à un fichier graphique
  3. Dans le Runtime, l'élément graphique sélectionné pour l'ordre de tri correspondant est affiché dans la colonne de tri
  4. Cliquez sur l'élément graphique pour modifier l'ordre de tri
  5. Cliquez sur l'en-tête pour activer la colonne de tri

Utilisation de l'en-tête dans le Runtime

Vous pouvez permettre aux utilisateurs d'actionner l'en-tête dans le Runtime. Ceci permet de personnaliser l'affichage dans le Runtime de manière détaillée :

  • Déplacer les colonnes
  • Modifier la taille
  • Modification du tri.

Pour cela, accédez au groupe Liste d'alarmes dans les paramètres et sélectionnez, dans la propriété Entête alarmes, l'option Actions autorisées sur entêtes de colonne. Dans cette section, vous pouvez également choisir de rendre l'en-tête inutilisable ou invisible.

Ces paramètres s'appliquent à tous les en-têtes du projet.

info Info

Vous pouvez interdire la manipulation et/ou l'affichage de l'en-tête pour chaque liste d'alarmes en désactivant la propriété Montrer l'entête ou Entête éditable pour la vue sous forme de table.

Aperçu

Lorsque vous activez la propriété Paramètres du graphique étendu dans l'Éditeur, vous pouvez prévisualiser les en-têtes et les barres de défilement. Ainsi, les détails tels que les effets de remplissage de couleur, les effets de lumière et les grilles peuvent être configurés plus facilement.

Attention : puisque la taille des barres de défilement est égale à leur taille dans le Runtime, la taille totale de la liste dans l'Éditeur peut différer de la taille dans le Runtime. Cela s'applique également à la taille de l'en-tête et à la police de caractères de l'en-tête.


Création d'un synoptique de filtre de liste d'alarmes

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Création d'un synoptique de filtre de liste d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez ajuster les paramètres de filtre de la liste d'alarmes dans le Runtime à l'aide du synoptique Filtre de liste d'alarmes. Seuls les éléments de filtre réellement nécessaires et configurés sont proposés à l'utilisateur. L'apparence peut également être librement définie, et ainsi, adaptée aux différents équipements finaux. Tous les paramètres de filtre disponibles dans le filtre pour la fonction d'appel de synoptique de Liste chronologique d'événements peuvent être configurés.

Par conséquent :

  • Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l'utilisateur.
  • Seuls ces filtres et une vue d'ensemble sont accessibles à l'utilisateur.
  • Vous êtes libre de modifier l'apparence et pouvez, par exemple, faciliter l'utilisation du système avec un écran tactile.

Pour plus de détails concernant l'utilisation dans le Runtime, reportez-vous au chapitre Utilisation des filtres de la liste d'alarmes.

Pour la définition des critères de filtre, reportez-vous au chapitre Filtres de la liste d'alarmes.

attention Attention

Les synoptiques de type Filtre de liste d'alarmes, Filtre de liste chronologique d'événements et Filtre de temps doivent être développés avec un cadre spécifique. S'ils utilisent le même cadre que d'autres synoptiques, tous les synoptiques configurés avec ce cadre sont fermés lors de la fermeture du cadre.

Création d'un synoptique de filtre de liste d'alarmes

Pour créer un synoptique de filtre de liste d'alarmes :

  1. Dans la barre d'outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
  2. Un synoptique standard vide s'affiche à l'écran.
  3. Changez le type de synoptique dans la vue détaillée ; pour cela :
    1. Cliquez sur Standard dans la colonne Type de synoptique.
    2. Sélectionnez Alarm Message List filter (Filtre de liste d'alarmes) dans la liste déroulante.
  4. Sélectionnez votre gabarit
    (le filtre de liste AML ne peut être conçu avec le même gabarit que les autres synoptiques).
  5. Cliquez sur le synoptique.
  6. Sélectionnez l'option de menu Éléments de contrôle dans la barre de menus.
  7. Cliquez sur Insérer un modèle dans la liste déroulante.
  8. La boîte de dialogue de sélection de modèle s'affiche à l'écran
  9. sélectionnez le modèle de votre choix
  10. Sélectionnez les éléments supplémentaires selon le besoin et insérez-les à l'emplacement souhaité sur l'écran.
  11. Donnez un nom au synoptique en fonction du filtre sélectionné.
    Pour cela :
    1. Cliquez sur le nom d'un synoptique dans la vue détaillée, dans la colonne Nom.
    2. Sélectionnez un nom prédéfini adéquat dans la liste déroulante, ou spécifiez un nom de votre choix.
  12. Créez une fonction d'appel de synoptique pour pouvoir appeler le synoptique dans le Runtime.

Éléments

Le synoptique de filtre de liste d'alarmes peut contenir les éléments de contrôle et d'affichage suivants :

Élément

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Filtres généraux

Liste déroulante des différents filtres généraux.

Insérer tous les éléments : Filtres généraux

Insère tous les éléments de la zone des filtres généraux à des emplacements prédéfinis. Les éléments peuvent être arrangés individuellement.

Insérer tous les éléments : Filtre général (Tactile)

Insère tous les éléments de la zone des filtres généraux à des emplacements prédéfinis. Les éléments peuvent être arrangés individuellement. Les éléments ont été optimisés pour un fonctionnement tactile.

Filtre de variables

Alarmes des variables affichées :
  • Nom de la variable

Filtrer selon les noms des variables.
  • Identification

Filtrer selon l'identification des variables.
  • Respecter la casse

Tenir compte de la capitalisation lors du filtrage des variables.

Type d'alarmes

Alarmes affichées :
  • Seulement les alarmes non-acquittées

Uniquement les alarmes non acquittées
  • Seulement les alarmes disparues

Only historical (Historiques seulement)
  • Alarmes courantes uniquement

Alarmes actuelles uniquement
  • Comment required (Commentaire requis)

Alarmes dont l'acquittement nécessite la saisie d'un commentaire
  • Durée minimum pour les alarmes courantes - jours

Seules les alarmes actives depuis le nombre de jour indiqué sont affichées.
  • Durée minimum pour les alarmes courantes - heures

Seules les alarmes actives depuis le nombre d'heures indiqué sont affichées.
  • Durée minimum pour les alarmes courantes - minutes

Seules les alarmes actives depuis le nombre de minutes indiqué sont affichées.
  • Durée minimum pour les alarmes courantes - secondes

Seules les alarmes actives depuis le nombre de secondes indiqué sont affichées.
  • Durée minimum pour les alarmes courantes - millisecondes

Seules les alarmes actives depuis le nombre de millisecondes indiqué sont affichées.

Type d'alarmes (Tactile)

Éléments optimisés pour un fonctionnement tactile avec l'affichage du type d'alarme, semblable au menu Alarm type.

  • Seulement les alarmes non-acquittées
  • Seulement les alarmes disparues
  • Alarmes courantes uniquement
  • Comment required (Commentaire requis)
  • Durée minimum des alarmes courantes - Bouton : Jours (haut)
  • Durée minimum des alarmes courantes - Boite tactile : Jours
  • Durée minimum des alarmes courantes - Bouton : Jours (bas)
  • Durée minimum des alarmes courantes - Bouton : Heures (haut)
  • Durée minimum des alarmes courantes - Boite tactile : Heures
  • Durée minimum des alarmes courantes - Bouton : Heures (bas)
  • Durée minimum des alarmes courantes - Bouton : Minutes (haut)
  • Durée minimum des alarmes courantes - Boite tactile : min
  • Durée minimum des alarmes courantes - Bouton : Minutes (bas)
  • Durée minimum des alarmes courantes - Bouton : Secondes (haut)
  • Durée minimum des alarmes courantes - Boite tactile : Secondes
  • Durée minimum des alarmes courantes - Bouton : Secondes (bas)
  • Durée minimum des alarmes courantes - Bouton : Millisecondes (haut)
  • Durée minimum des alarmes courantes - Boite tactile : Millisecondes
  • Durée minimum des alarmes courantes - Bouton : Millisecondes (bas)

Origine des données

Provenance des données :
  • Buffer circulaire

Depuis la mémoire circulaire.
  • Données historisées

Depuis une archive.
  • Texte : Nombre max. :

Texte du champ de saisie Maximum number (Nombre maximal)

  • Champ de saisie : Nombre max. :

Saisie du nombre maximal d'alarmes à afficher lors de l'affichage d'alarmes historiques.

0 : toutes les alarmes sont affichées

Configuration du Runtime

  • Show list without refresh (Afficher la liste sans l'actualiser)

Active l'état Arrêt de la liste d'alarmes. Les nouvelles alarmes ne sont pas ajoutées.

Groupes d'alarmes/d'événements / Classes d'alarmes/d'événements / Domaines d'alarmes/d'événements

Champ de liste pour l'affichage groupé :
  • Groupes d'alarmes/d'événements

Groupes d'alarmes/d'événements
  • Classes d'alarmes/d'événements

Classes d'alarmes/d'événements
  • Domaines d'alarmes

Domaines d'alarmes

Filtre de temps

Sélection des différents filtres de temps.

Insérer tous les éléments

Ouvre la liste déroulante de sélection d'éléments prédéfinis de configuration de certaines périodes de temps.

Période de temps absolue : affichage classique

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Période de temps absolue : affichage compact

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Horaire relatif

Éléments de configuration de périodes de temps relatives.

A partir de HH:MM:SS

Éléments de configuration d'une période de temps commençant à une heure définie.

A partir du jour à HH:MM:SS

Éléments de configuration d'une période de temps débutant à une heure définie.

A partir du jour, mois à HH:MM:SS

Éléments de configuration d'une période de temps débutant un jour défini dans un mois défini,;à une heure définie.

Période de temps : 1 ou 2 semaines

Éléments de configuration d'une période de temps d'une ou deux semaines.

Période de temps : un jour

Éléments de configuration d'une période de temps d'une journée.

Période de temps : un mois

Éléments de configuration d'une période de temps d'un mois.

Période de temps : une année

Éléments de configuration d'une période de temps d'une année.

Période de temps : 15/30/60 minutes

Éléments de configuration d'une période de temps de 15, 30 ou 60 minutes.

Insérer tous les éléments (Tactile)

Ouvre la liste déroulante de sélection d'éléments prédéfinis de configuration de certaines périodes de temps, optimisée pour un fonctionnement tactile. Comme dans l'option Insérer tous les éléments, les paramètres suivants sont disponibles.

  • Période de temps absolue : affichage classique
  • Horaire relatif
  • A partir de HH:MM:SS
  • A partir du jour à HH:MM:SS
  • A partir du jour, mois à HH:MM:SS
  • Période de temps : 1 ou 2 semaines
  • Période de temps : un jour
  • Période de temps : un mois
  • Période de temps : une année
  • Période de temps : 15/30/60 minutes

Intitulé : type de filtre de temps

Intitulé du type de filtre de temps.

Menu déroulant : type de filtre de temps

Menu déroulant : type de filtre de temps

Affichage : type de filtre de temps

Champ d'affichage du type de filtre de temps.

Options de filtre horaire

Boutons affichant ou masquant certains éléments dans le Runtime :

  • Pas de filtre
  • Filtre de temps absolu
  • Filtre temps relatif
  • A partir du jour, mois à HH:MM:SS
  • A partir du jour à HH:MM:SS
  • Période de temps 1 semaine
  • Période de temps 2 semaines
  • Période de temps 1 jour
  • Période de temps 1 mois
  • Période de temps 1 an
  • Période de temps 15 minutes
  • Période de temps 30 minutes
  • Période de temps 60 minutes

Heure de début

Champs et intitulés de définition de l'heure de début.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Minute de début
  • Zone de liste modifiable : Minute de début
  • Intitulé : Seconde de début
  • Zone de liste modifiable : Seconde de début
  • Spin control From (Commande rotative : Début)

Heure de fin

Champs et intitulés de définition de l'heure de fin.

  • Intitulé : Jusqu'à l'année
  • Zone de liste modifiable : Jusqu'à l'année
  • Intitulé : Jusqu'au mois
  • Zone de liste modifiable : Jusqu'au mois
  • Intitulé : Jusqu'au jour
  • Zone de liste modifiable : Jusqu'au jour
  • Intitulé : Jusqu'à l'heure
  • Zone de liste modifiable : Jusqu'à l'heure
  • Intitulé : Jusqu'à la minute
  • Zone de liste modifiable : Jusqu'à la minute
  • Intitulé : Jusqu'à la seconde
  • Zone de liste modifiable : Jusqu'à la seconde
  • Spin control From (Commande rotative : Fin)

Temps à partir de (Tactile)

Champs et intitulés de définition de l'heure de début, optimisés pour un fonctionnement tactile.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Minute de début
  • Zone de liste modifiable : Minute de début
  • Intitulé : Seconde de début
  • Zone de liste modifiable : Seconde de début
  • Spin control From (Commande rotative : Début)

Temps jusqu'à (Tactile)

Champs et intitulés de définition de l'heure de fin, optimisés pour un fonctionnement tactile.

  • Intitulé : Jusqu'à l'année
  • Zone de liste modifiable : Jusqu'à l'année
  • Intitulé : Jusqu'au mois
  • Zone de liste modifiable : Jusqu'au mois
  • Intitulé : Jusqu'au jour
  • Zone de liste modifiable : Jusqu'au jour
  • Intitulé : Jusqu'à l'heure
  • Zone de liste modifiable : Jusqu'à l'heure
  • Intitulé : Jusqu'à la minute
  • Zone de liste modifiable : Jusqu'à la minute
  • Intitulé : Jusqu'à la seconde
  • Zone de liste modifiable : Jusqu'à la seconde
  • Spin control From (Commande rotative : Fin)

Filtre de temps absolu

Champs et intitulés de définition du filtre de temps (temps absolu).

  • Intitulé : A partir de
  • Affichage du calendrier : Date de début
  • Affichage de la date : Date de début
  • Affichage de l'heure : Heure de début
  • Intitulé : Jusqu'à
  • Affichage du calendrier : Date de fin
  • Affichage de la date : Date de fin
  • Affichage de l'heure : Heure de fin

Période de temps

Champs et intitulés de définition des périodes de temps.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Semaine
  • Zone de liste modifiable : Semaine

Période de temps (tactile)

Champs et intitulés de définition de l'heure de début, optimisés pour un fonctionnement tactile.

  • Intitulé : Année de début
  • Bouton : Année de début (vers le haut)
  • Zone tactile : Année de début
  • Bouton : Année de début (vers le bas)
  • Intitulé : Mois de début
  • Bouton : Mois de début (vers le haut)
  • Zone tactile : Mois de début
  • Bouton : Mois de début (vers le bas)
  • Intitulé : Jour de début
  • Bouton : Jour de début (vers le haut)
  • Zone tactile : Jour de début
  • Bouton : Jour de début (vers le bas)
  • Intitulé : Heure de début
  • Bouton : Heure de début (vers le haut)
  • Zone tactile : Heure de début
  • Bouton : Heure de début (vers le bas)
  • Intitulé : Semaine
  • Bouton : Semaine (vers le haut)
  • Zone tactile : Semaine
  • Bouton : Semaine (vers le bas)

Text filter (Filtre de texte)

Liste déroulante des différents filtres de texte.

Insérer tous les éléments : Text filter (Filtre de texte)

Insère tous les éléments des filtres de texte.

Aucun filtre de texte

Bouton d'option permettant de désélectionner le filtre de texte.

Rechercher (mots séparés par des espaces)

Bouton d'option permettant d'activer la recherche

Texte : Search text (Recherche de texte)

Intitulé du champ de recherche.

Champ de saisie : Search text (Recherche de texte)

Champ de saisie du terme de cherche.

Options

Options de recherche
  • Respecter la casse

La capitalisation sera prise en compte.
  • Les mots n'ont pas besoin d'être en entier dans le texte

Vous pouvez également rechercher des fragments.
  • Au moins un mot doit être dans le texte

Un au moins des termes de recherche doit être présent dans le résultat.
  • Tous les mots doivent être dans le texte

Tous les termes de recherche doivent être présents dans le résultat.
  • La chaîne de filtre doit se trouver exactement dans le texte

Les résultats doivent contenir le texte exact du champ de saisie.

OK

Accepter la saisie et fermer le synoptique.

Annuler

Refuser la saisie et fermer le synoptique.

Accepter

Accepter les entrées et laisser le synoptique ouvert à d'autres entrées.

Actualiser

Actualiser le synoptique.

Synoptiques de filtre

Les synoptiques de filtre permettent de transférer un filtre prédéfini d'un synoptique vers un autre. Le filtre du synoptique source est défini à l'aide du synoptique cible. Les synoptiques peuvent également être de types différents.

attention Attention

Pour que le temps du synoptique soit affiché dans le Runtime, la plage de temps suivante doit être sélectionnée dans l'Éditeur pour la fonction d'appel de synoptique de la liste d'alarmes ou de la liste chronologique d'événements, dans la propriété filtre de temps : Définir le filtre avec un type de filtre horaire

Définition de l'affichage

Les conditions suivantes doivent être remplies pour que les filtres définis soient utilisés :

  1. Le filtre défini pour le type de filtre de temps est sélectionné en tant qu'intervalle de temps pour le filtre de temps.
  2. Le synoptique (synoptiques Filtre de liste d'informations sur les alarmes, Liste chronologique d'événements et filtre de temps) sont activés à l'aide d'un bouton ou d'un élément combiné. C'est la seule manière de maintenir la relation entre le synoptique de filtre et le synoptique source.
  3. Le synoptique source et le synoptique de filtre doivent être configurés dans différents cadres ou sur différents moniteurs. Le filtre du synoptique de filtre peut uniquement être actualisés si le synoptique source est ouvert. Cela est uniquement possible si les deux synoptiques n'utilisent pas le même cadre ou le même moniteur.
  4. Le synoptique appelé doit être compatible avec le synoptique de filtre appelé (voir table).
Synoptique source | Filtre de liste AML | Filtre de liste CEL | Filtre de temps
Maintenance de l'archive | T | T | T
Tendance étendue | T | T | T
Filtre de temps | T | T | X
Filtre de liste de messages d'alarme | X | C | T
Filtre de liste chronologique d'événements | C | X | T
Liste d'alarmes | X | C | T
Liste chronologique d'événements | C | X | T

Clé :

  • C : les paramètres communs sont mis à jour.
  • T : les paramètres de temps sont mis à jour.
  • X : tous les paramètres sont mis à jour.

info Info

Aucun filtrage

Le synoptique de filtre n'est pas filtré, mais il est ouvert avec les valeurs configurées si :

  • Une des conditions 1 à 3 n'est pas satisfaites ou
  • Le paramètre Screen to call up (Synoptique appelé) n'est pas activé pour la fonction Appel de synoptique ou
  • Le synoptique n'est pas appelé par le biais d'un élément de synoptique

Dans ce cas, les boutons Accepter, Fermer et Mise à jour sont grisés dans le Runtime et n'ont aucune fonction.


Définir des alarmes

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Définir des alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Définissez les alarmes avec les éléments suivants :

  • Valeurs limite et états avec des variables
  • Matrices de réaction

Gestion des alarmes à l'aide de variables

Définissez les limites des variables (reportez-vous au manuel Variables, chapitre Limites). Si ces limites sont dépassées dans le Runtime, une alarme est générée et affichée dans la ligne d'état des alarmes. Les autres propriétés de configuration des alarmes peuvent être définies avec :

  • Les propriétés de variable du groupe Valeurs limites et des sous-groupes pour chaque valeur limite qu'ils contiennent :
    • En tant qu'alarme : l'alarme est incorporée dans la liste AML. Lorsqu'elle est affichée dans cette liste, vous pouvez la contrôler dans le Runtime à l'aide de la liste d'alarmes ou d'un filtre de liste d'alarmes.
    • Acquittement obligatoire : l'alarme doit être acquittée avant d'être supprimée de la mémoire circulaire.
    • Suppr. obligatoire : l'alarme doit être supprimée manuellement avant d'être supprimée de la mémoire circulaire.
    • Imprimer : imprime l'alarme sur l'imprimante définie. La liste CEL ou AML est imprimée. Vous définissez la liste à imprimer dans les propriétés du projet, sous Impression pour.
    • Groupe d'alarmes/d'événements : attribution d'un groupe d'alarmes/d'événements.
    • Classe d'alarmes/d'événements : attribution d'une classe d'alarmes/d'événements.
  • Propriétés des variables d'un groupe -:
    • - : attribution d'un domaine d'alarme.
    • Variable d'acquittement : définit la valeur 0 ou 1 pour les variables définies ici, lorsqu'une alarme est acquittée.
    • Valeur d'acquittement : valeur de la variable définie dans Variable d'acquittement.
    • Enregistrer dans la base IPA : l'alarme est disponible pour évaluation dans le module Industrial Performance Analyzer.
  • Propriétés de projet d'un groupe Alarmes et événements:
    • Sélection encadrée : les lignes sélectionnées sont mises en évidence par un cadre dans le Runtime.
    • Même commentaires : les commentaires saisis dans le Runtime pour une alarme sont également acceptés dans la liste CEL.
    • Impression active : active l'impression en ligne.
    • Impression pour : autorise l'impression en ligne de la liste AML ou CEL.
  • Propriétés de projet d'un groupe Liste d'alarmes

    De nombreuses propriétés permettant de configurer les alarmes sont disponibles ici. Par dessus tout :

    • Activation de la liste AML
    • Stockage des données d'alarmes
    • Signalisation des états des alarmes
    • Activation de la ligne d'alarme

    Vous trouverez des informations détaillées concernant les différents paramètres dans les pages d'aide incorporées.

Gestion des alarmes via les matrices de réaction

Vous pouvez utiliser une matrice de réaction pour évaluer les états limite et les bits d'état (reportez-vous au manuel Variables, chapitre Matrices de réaction). Les dépassements des règles établies provoquent le déclenchement d'une alarme. Comme pour les variables, vous pouvez également définir l'action à effectuer en cas de déclenchement d'une alarme par le biais des matrices de réaction. Pour cela, activez les propriétés correspondantes dans la boîte de dialogue de configuration des matrices de réaction.


Gestion des alarmes

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Gestion des alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les alarmes sont enregistrées dans une mémoire circulaire (alarm.bin) et un fichier d'alarmes (*.aml) dans le dossier Runtime, dès leur déclenchement.

Buffer circulaire

La mémoire annulaire inclut toutes les alarmes actives. Celle-ci gère les éléments suivants :

  • Heure de déclenchement (en millisecondes), servant de signature unique
  • Informations supplémentaires – cause, valeur, etc.
  • Heure de disparition
  • Heure d'acquittement

Lors de l'acquittement d'une alarme, toutes les alarmes correspondant à une variable associée au même dépassement de limite sont également supprimées de la mémoire circulaire.

Dès qu'une alarme est acquittée, elle est supprimée de la mémoire annulaire. Exception : Si la propriété Suppr. obligatoire est définie, l'alarme doit être délibérément supprimée par l'utilisateur.

Taille de la mémoire circulaire (buffer circulaire)

La taille de la mémoire circulaire doit être définie dans les propriétés du projet, par l'intermédiaire de la propriété Taille de la mémoire circulaire (buffer circulaire).
Valeur recommandée : définir une taille au moins égale au nombre de variables pour lesquelles des alarmes peuvent se déclencher.

La mémoire circulaire est automatiquement enregistrée sous forme de fichier alarm.bin lors de la fermeture du Runtime. Si le Runtime est fermé par un événement inattendu tel une coupure de courant, une perte de données se produit. Pour éviter cela, la mémoire circulaire peut être enregistrée manuellement, via la propriété Sauvegarder buffer circulaire de manière spontanée, à chaque nouvelle entrée ; elle peut également être enregistrée via la fonction Sauver buffer mémoire des alarmes et des événements.

Attention : Dans le Runtime, la mémoire circulaire est gérée de manière dynamique dans la mémoire. Le nombre d'alarmes défini permet même d'afficher les alarmes qui ne comportent aucune information d'acquittement dans leurs informations d'horodatage. Ainsi, des alarmes dépassant la taille de la mémoire circulaire peuvent être affichées.

Example Exemple
  • Taille de la mémoire circulaire : 100 entrées
  • Alarmes actives dans le Runtime sans informations d'acquittement dans les informations d'horodatage : 120
  • Affichage dans la liste d'alarmes dans le Runtime : 120

Fichier d'alarmes

Toutes les alarmes sont consignées dans un fichier d'alarmes (*.aml) en même temps que dans la mémoire circulaire. Ce fichier est créé automatiquement pour chaque jour calendaire, et géré via la propriété Enregistrer les données d'alarmes. Le nom du fichier d'alarmes est constitué de la lettre A, suivie de la date au format AAMMJJ et du suffixe .aml – par exemple, A100623.aml. Ces fichiers sont créés automatiquement pour chaque jour et doivent être transférés ou supprimés par l'utilisateur si la capacité de stockage est limitée. Les fichiers *.aml sont enregistrés dans le dossier ...\Projektordner\Computername\Projektname.

Synchronisation de la mémoire circulaire et du fichier d'alarmes

La mémoire circulaire et le fichier d'alarmes sont synchronisés. Cette synchronisation découle de la mémoire circulaire vers le fichier d'alarmes. Toutes les modifications, telles que l'acquittement, sont uniquement exécutées dans la mémoire circulaire avant d'être synchronisées au niveau du fichier d'alarmes. Ainsi, par exemple, toutes les alarmes non acquittées peuvent être affichées dans le fichier d'alarmes et l'acquittement peut être introduit au niveau du fichier. L'action, toutefois, se déroule au niveau de la mémoire circulaire.

Périodes d'enregistrement

Le fichier d'alarme au format *.aml est enregistré à chaque nouvelle entrée.

La mémoire circulaire (*.bin) est enregistrée :

  • Lors de la fermeture du Runtime
  • À chaque nouvelle entrée, si la propriété Sauvegarder buffer circulaire de manière spontanée est active
  • Lors de l'exécution de la fonction Sauver buffer mémoire des alarmes et des événements

    Sauver buffer mémoire des alarmes et des événements

    Cette fonction enregistre les alarmes et les évévenements courants dans les fichiers ALARM.BIN et CEL.BIN.

    Plus de détails dans l'aide en ligne

Remarque : si l'option Sauvegarder buffer circulaire de manière spontanée est désactivée, il est possible que les entrées dans la liste AML et la mémoire circulaire ne correspondent pas, après une panne de courant.

attention Attention

Si la capacité de la mémoire circulaire est dépassée car cette dernière elle est trop petite, les entrées non acquittées sont conservées dans le fichier d'alarmes. Elles sont affichées durant le filtrage des données, mais ne peuvent plus être acquittées. Toute tentative d'acquittement de ces alarmes peut déclencher l'acquittement au niveau de la mémoire circulaire si les alarmes concernant la même variable et le même dépassement de limite.


Grouper les alarmes

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les alarmes peuvent être groupées et hiérarchisées comme suit :

  • Groupes d'alarmes/d'événements : permet de grouper les alarmes (ou les événements) logiquement
  • Les classes d'alarmes/d'événements : permet de hiérarchiser les alarmes (ou les événements) et d'attribuer un code de couleurs aux alarmes dans la liste AML et aux événements dans la liste CEL
  • Domaines d'alarmes : autorise l'évaluation détaillée des classes d'alarmes/d'événements au moyen d'un élément combiné

Un nom, un nombre, une couleur, une fonction, une variable d'état, un graphique et un groupe d'équipements peuvent être attribués à chaque groupe ou classe d'alarmes ou d'événements.

Les alarmes peuvent être exportées et importées au format XML, à l'aide du menu contextuel.

info Info

Au maximum 65 536 classes d'alarmes/d'événements et 65 536 groupes d'alarmes/d'événements peuvent être créés.

Menu contextuel des alarmes du gestionnaire de projet

Élément de menu | Action
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

info Info

Utilisez des identifiants clairs et différents dans le projet global, le projet d'intégration et les sous-projets pour les groupes et classes d'alarmes/d'événements et les domaines d'alarmes. Ceci permettra d'éviter tout conflit susceptible d'entraîner l'affichage d'informations incorrectes.

Autres sujets abordés dans ce chapitre

Groupes d'alarmes/d'événements

Classes d'alarmes/d'événements

Domaines d'alarmes

Alarmes dans le projet global et les projets d'intégration


Groupes d'alarmes/d'événements

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Groupes d'alarmes/d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les groupes d'alarmes/d'événements regroupent les messages liés.

Création de groupes d'alarmes/d'événements

Pour créer un nouveau groupe d'alarmes/d'événements :

  1. Dans le gestionnaire de projet, cliquez avec le bouton droit sur le nœud Groupes d'alarmes/d'événements.
  2. Sélectionnez la commande : Nouveau groupe d'alarmes/d'événements

    (vous pouvez également sélectionner le symbole correspondant dans la barre d'outils, ou appuyer sur la touche Insér).

Des informations supplémentaires peuvent être attribuées à chaque groupe d'alarmes/d'événements par le biais de ses propriétés :

Paramètre

Description

Nom

Nom du groupe d'alarmes/d'événements.

Affiché dans la condition de filtre des listes AML et CEL.

No.

Numéro du groupe d'alarmes/d'événements, automatiquement attribué par zenon.

Couleur

Couleur d'un groupe d'alarmes/d'événements.

Cliquez sur le bouton ... pour ouvrir la palette de couleurs.

Description

Nom du groupe d'alarmes/d'événements.

Variable d'état

Variable de bit (booléenne) utilisée par le Runtime de zenon pour indiquer si le groupe est actif ou si les alarmes de ce groupe sont ignorées à cet instant.

L'activation/la désactivation sont effectuées par le biais de la fonction Alarm/event group connection active/inactive (Connexion du groupe d'alarmes/d'événements active/inactive). L'état de ce groupe est consigné dans la liste chronologique d'événements (CEL).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Fonction

Fonction exécutée en cas d'activation d'une alarme de ce groupe. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.

Fichier graphique

Sélection d'un élément graphique représentant le groupe d'alarmes/d'événements dans la liste AML.

Pour afficher l'élément graphique concerné dans la liste AML, dans le filtre de liste AML, accédez à l'onglet Paramètres des colonnes et sélectionnez le type d'affichage Fichier graphique pour le symbole de groupe d'alarmes/d'événements.

Remarque : la hauteur des colonnes dans la liste AML dépend de la police sélectionnée. Les éléments graphiques sélectionnés sont redimensionnés et adaptés à la hauteur des colonnes.

Groupes d'équipements

Associe le modèle d'équipement au groupe d'alarmes/d'événements.

Définit l'appartenance d'un groupe d'équipements. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Suppression de groupes d'alarmes/d'événements

Pour supprimer un groupe d'alarmes/d'événements :

  1. Sélectionnez le groupe d'alarmes/d'événements.
  2. Sélectionnez Supprimer dans le menu contextuel ou la barre d'outils.
  3. Confirmez cette sélection lorsque le programme vous invite à le faire.

Remarque : Lors de la suppression, toutes les variables liées à cette classe perdent leur attribution.

Autres sujets abordés dans ce chapitre

Menus contextuels et barre d'outils Groupes d'alarmes/d'événements


Menus contextuels et barre d'outils Groupes d'alarmes/d'événements

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Groupes d'alarmes/d'événements -> Menus contextuels et barre d'outils Groupes d'alarmes/d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau groupe d'alarmes/d'événements | Crée un nouveau groupe d'alarmes/d'événements.
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Vue de détail de la barre d'outils et du menu contextuel

Élément de menu | Action
Nouveau groupe d'alarmes/d'événements | Insère un nouveau groupe d'alarmes/d'événements dans la liste.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Colle le contenu depuis le presse-papiers. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Classes d'alarmes/d'événements

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Classes d'alarmes/d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les classes d'alarmes/d'événements remplissent les fonctions suivantes :

  • Gérer la priorité des alarmes pour les synoptiques d'alarmes
  • Déterminer la couleur des alarmes dans la liste d'alarmes
  • Fournir un critère de filtrage de la liste d'alarmes et la liste chronologique d'événements
  • Déclencher des alarmes sonores, par exemple

Création de classes d'alarmes/d'événements

Pour créer une nouvelle classe d'alarmes/d'événements :

  1. Dans le gestionnaire de projet, cliquez avec le bouton droit sur le nœud Classes d'alarmes/d'événements.
  2. Sélectionnez la commande : Nouvelle classe d'alarmes/d'événements

    (vous pouvez également sélectionner le symbole correspondant dans la barre d'outils, ou appuyer sur la touche Insér).

Des informations supplémentaires peuvent être attribuées à chaque classe d'alarmes/d'événements par le biais des propriétés :

Paramètre

Description

Nom

Nom de la classe d'alarmes/d'événements.

Affiché dans la condition de filtre des listes AML et CEL.

No.

Numéro de la classe d'alarmes/d'événements, automatiquement attribué par zenon.

Couleur

La couleur de la classe d'alarmes/d'événements peut également être appliquée aux intitulés de la liste AML. Cliquez sur le bouton ... pour ouvrir la palette de couleurs.

Remarque : Cette couleur sera utilisée pour la description longue et le texte d'état affichés dans la liste AML et les synoptiques d'alarmes.

Description

Description de la classe d'alarmes/d'événements.

Variable d'état

Variable de bit (booléenne) utilisée par le Runtime de zenon pour indiquer si la classe est active ou si les alarmes de cette classe sont ignorées à cet instant.

L'activation/la désactivation sont effectuées par le biais de la fonction Alarm/event group connection active/inactive (Connexion du groupe d'alarmes/d'événements active/inactive). L'état de ce groupe est consigné dans la liste chronologique d'événements (CEL).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Fonction

Fonction exécutée en cas d'activation d'une alarme de cette classe.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.

Fichier graphique

Sélection d'un élément graphique représentant la classe d'alarmes/d'événements dans la liste AML.

Pour afficher l'élément graphique concerné dans la liste AML, dans le filtre de liste AML, accédez à l'onglet Paramètres des colonnes et sélectionnez le type d'affichage Fichier graphique pour le symbole de classe d'alarmes/d'événements.

Remarque : Dans la liste d'alarmes, la hauteur de la colonne est déterminée en fonction de la police de caractères sélectionnée ; par conséquent, les éléments graphiques sélectionnés sont redimensionnés, si nécessaire, puis ajustés en fonction de la hauteur de la colonne.

Groupes d'équipements

Associe le modèle d'équipement à la classe d'alarmes/d'événements.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Suppression de classes d'alarmes/d'événements

Pour supprimer une classe d'alarmes/d'événements :

  1. Sélectionnez la classe d'alarmes/d'événements.
  2. Sélectionnez Supprimer dans le menu contextuel ou la barre d'outils.
  3. Confirmez cette sélection lorsque le programme vous invite à le faire.

Remarque : Lors de la suppression, toutes les variables liées à cette classe perdent leur attribution.

Autres sujets abordés dans ce chapitre

Menus contextuels Classes d'alarmes/d'événements et Groupes d'alarmes/d'événements


Menus contextuels Classes d'alarmes/d'événements et Groupes d'alarmes/d'événements

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Classes d'alarmes/d'événements -> Menus contextuels Classes d'alarmes/d'événements et Groupes d'alarmes/d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouvelle classe d'alarmes/d'événements | Crée une nouvelle classe d'alarmes/d'événements.
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Vue de détail de la barre d'outils et du menu contextuel

Élément de menu | Action
Nouvelle classe d'alarmes/d'événements | Insère une nouvelle classe d'alarmes/d'événements dans la liste.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Colle le contenu depuis le presse-papiers. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Domaines d'alarmes

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Domaines d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les domaines d'alarmes autorisent une gestion flexible des alarmes, à l'aide de variables d'état. Ces alarmes peuvent, par exemple, être évaluées à l'aide d'un élément combiné.

Les domaines d'alarmes sont divisés en entrées de domaine. Le nombre d'entrées de domaine possibles correspond au nombre de classes d'alarmes/d'événements existantes.

Créer des domaines d'alarmes

Pour créer un nouveau domaine d'alarmes :

  1. Dans le gestionnaire de projet, cliquez avec le bouton droit sur le nœud Domaines d'alarmes.
  2. Sélectionnez la commande : Nouveau domaine d'alarmes

    (vous pouvez également sélectionner le symbole correspondant dans la barre d'outils, ou appuyer sur la touche Insér).

  3. Sélectionnez les variables souhaitées dans le nœud Général.
  4. Créez une nouvelle entrée de domaine dans le nœud Lien de classe en cliquant sur {nouveau lien vers classe}.

    (Le nombre d'entrées de domaine possibles est limité au nombre de classes d'alarmes/d'événements existantes.)

Propriétés des domaines d'alarmes

Paramètres

Description

Général

Nom

Nom du domaine d'alarmes

Affiché dans la condition de filtre des listes AML et CEL.

Variable d'état

Variable Byte (octet) :

Premiers bit : affiché si le domaine d'alarmes comporte des alarmes actives.
Deuxième bit : affiché si le domaine d'alarmes comporte des alarmes non acquittées. Pour plus de détails, voir Bits d'état variables.

Le bouton ... ouvre la boîte de dialogue de sélection de variables.

Nbre alarmes actives

Variables comportant une valeur affichant le nombre d'alarmes actives dans ce domaine d'alarmes. Le bouton ... ouvre la boîte de dialogue de sélection de variables.

Nbre alarmes non-acquittées

Variables qui contient le nombre d'alarmes non acquittées dans ce domaine d'alarmes.

No.

Nombre d'entrées de domaine configurées. Affichage uniquement.

Groupes d'équipements

Associe le modèle d'équipement au domaine d'alarmes.

Définit l'appartenance d'un groupe d'équipements. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Lien de classe

Regroupe toutes les entrées de domaine. La propriété Lien de classe récapitule la variable d'état et le nombre d'alarmes actives et non acquittées pour une classe d'alarmes/d'événements. Les entrées de domaine sont créées par le biais de la propriété {nouveau lien vers classe}.

{nouveau lien vers classe}

Crée une nouvelle entrée de domaine.

Classe d'alarmes/d'événements

Classe d'alarmes pour l'entrée de domaine.

{Supprimer lien de classe}

Supprime l'entrée de domaine.

Classe d'alarmes/d'événements

Sélection dans une liste déroulante de la classe d'alarmes/d'événements pour l'entrée de domaine. La classe d'alarmes/d'événements doit déjà avoir été créée.

D'autres entrées s'apparentent à la configuration générale des entrées de domaine :

  • Variable d'état
  • Nbre alarmes actives
  • Nombre alarmes non-acquittées

Bits d'état variables

Bit | Signification
0 | 1 = Des alarmes sont actives 0 = Aucune alarme n'est active
1 | 1 = Des alarmes non acquittées sont présentes 0 = Aucune alarme non acquittée n'est présente

Attribuer des variables de plages d'alarmes, des structures ou des types de données

Les variables, structures et types de données simples peuvent être liés à jusqu'à quatre domaines d'alarmes.

Pour cela, les paramètres suivants sont disponibles dans le groupe - :

  • Domaine d'alarme 1
  • Domaine d'alarme 2
  • Domaine d'alarme 3
  • Domaine d'alarme 4

Pour chaque domaine d'alarme, le domaine d'alarme souhaité peut être sélectionné dans la liste déroulante du domaine d'alarmes concerné, puis être attribué à l'objet.

Dans le Runtime, les colonnes Domaine d'alarmes et No. de domaine d'alarmes contiennent tous les domaines d'alarmes liés, séparés par une virgule (,). Dans le module Gestion des messages, le champ Domaine d'alarmes contient tous les domaines d'alarmes liés, séparés par une virgule (,).

Autres sujets abordés dans ce chapitre

Menus contextuels et barre d'outils Domaine d'alarmes

Configuration des domaines d'alarmes


Menus contextuels et barre d'outils Domaine d'alarmes

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Domaines d'alarmes -> Menus contextuels et barre d'outils Domaine d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau domaine d'alarmes | Crée un nouveau domaine d'alarmes.
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Vue de détail de la barre d'outils et du menu contextuel

Élément de menu | Action
Nouveau domaine d'alarmes | Insère un nouveau domaine d'alarmes dans la liste.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Colle le contenu depuis le presse-papiers. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Configuration des domaines d'alarmes

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Domaines d'alarmes -> Configuration des domaines d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un domaine d'alarmes:

  1. Cliquez sur {nouveau lien vers classe}
  2. Sélectionnez la Classe d'alarmes/d'événements de votre choix.
  3. Définition pour le domaine
    • Variable d'état
    • Variable pour Nbre alarmes actives et
    • Variable pour Nombre alarmes non-acquittées

Remarque : les alarmes sont attribuées à un domaine d'alarme dans les propriétés - des variables dans le groupe -.

Exemple de domaine d'alarmes

Lien de classe | Classe d'alarmes/d'événements | Variable d'état | Nbre alarmes actives | Nombre alarmes non-acquittées
1 | Avertissement | Status_warn_1 | Active_warn_1 | Unackn_warn_1
 | Anomalie | Status_error_1 | Active_error_1 | Unackn_error_1
2 | Avertissement | Status_warn_2 | Active_warn_2 | Unackn_warn_2
 | Anomalie | Status_error_2 | Active_error_2 | Unackn_error_2

Exemple d'application – Énergie

Un domaine d'alarme est un groupe d'objets. Ces objets sont récapitulés sur un synoptique. Pour un fournisseur d'énergie, chaque transformateur est représenté par un synoptique. Les transformateurs A à T sont affichés sur quatre sous-pages. Tous les domaines d'alarmes sont affichés sur une vue d'ensemble commune.

  • Si une limite est dépassée dans le transformateur A, le bouton du transformateur clignote sur le synoptique de la vue d'ensemble.
  • Le bouton clignote sur le synoptique du groupe, qui renvoie à la page des transformateurs A, B, C, D et E.
  • Le bouton du transformateur A clignote sur le synoptique détaillé.


Alarmes dans le projet global et les projets d'intégration

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Grouper les alarmes -> Alarmes dans le projet global et les projets d'intégration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Chaque projet enregistre ses propres identifiants pour les classes d'alarmes, groupes d'alarmes et domaines d'alarmes. Des "recouvrements" peuvent donc apparaître avec les projets globaux, les projets d'intégration et les sous-projets. Si les mêmes identifiants sont utilisés dans différents projets, ceci peut entraîner le remplacement d'entrées dans les boîtes de dialogue de sélection de filtres.

Pour éviter cela, assurez-vous d'utiliser des identifiants différents dans tous les projets. À cette fin, créez des groupes, classes ou domaines factices, que vous pourrez ensuite supprimer.


Configurer les alarmes avec des filtres

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez configurer l'affichage des alarmes à l'aide du filtre. Vous disposez pour cela de plusieurs possibilités :

  1. Define information that is displayed in Runtime in the Alarm Message List (Définir les informations affichées dans la liste d'alarmes dans le Runtime).
    Ceci vous permet de définir les informations visibles pour une alarme donnée.
    Pour plus de détails, reportez-vous à la rubrique Configuration des colonnes pour la liste d'alarmes.
  2. Filter alarms for the Alarm Message List when switching and modify them in Runtime (Filtrer les alarmes de la liste d'alarmes lors des appels de synoptique et les modifier dans le Runtime) :
    Ceci vous permet de prédéfinir des filtres et d'offrir aux utilisateurs de la machine la possibilité de définir leurs propres filtres.
    Pour plus de détails, voir : Filtres de liste d'alarmes pour les appels de synoptique.
  3. Define fixed filters for Runtime (Définir des filtres fixes pour le Runtime) :
    Ceci vous permet de créer des filtres adaptés à votre utilisation réelle et de masquer les critères de filtre inutiles.
    Pour plus de détails, reportez-vous à la rubrique Filtrage de la liste d'alarmes.

Autres sujets abordés dans ce chapitre

Configuration des colonnes de la liste d'alarmes

Filtre d'appel de synoptique de liste d'alarmes.

Filtre d'appel de synoptique de liste d'alarmes.


Configuration des colonnes de la liste d'alarmes

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Configuration des colonnes de la liste d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètre

Description

Colonnes

Dans le champ de liste de cet onglet, tous les types de colonne disponibles sont affichés.

Vous pouvez modifier l'ordre des colonnes en les faisant glisser dans le champ de liste :

  • Cliquez sur la colonne Column type (Type de colonne).
  • Déplacez les entrées individuelles à votre convenance.

Vous pouvez également ajuster l'ordre des entrées à l'aide des options Vers le haut et Vers le bas.
  • Case à cocher :

Sélectionnez les types de colonnes que vous souhaitez afficher.
  • Description :

Texte libre de description de la colonne.

Modifier la description : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de saisie.

Remarque : pour les descriptions de colonnes, la fonction de basculement de langue de zenon est disponible.
  • Largeur de colonne :

Définit la largeur de la colonne, en caractères.

Modifier la largeur des colonnes : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de saisie.
-1la largeur est calculée dans le Runtime, sur la base de la largeur moyenne des caractères.

Remarque : Pour des raisons de compatibilité, les colonnes dont la largeur ne pouvait pas être modifiée dans les versions antérieures de zenon (Date et heure) comportent la valeur -1.

  • Affichage :

Pour les types de colonnes

  • Symbole Classe d'alarmes/d'événements
  • Symbole Groupe d'alarmes/d'événements
  • État d'alarme

Le format d'affichage réel peut être sélectionné dans le Runtime. Sélectionnez le format souhaité dans la liste déroulante.

Vers le haut

Remonte l'entrée sélectionnée d'une position.

Vers le bas

Abaisse l'entrée sélectionnée d'une position.

Champ de prévisualisation

Affiche les colonnes définies dans le champ de liste avec la largeur sélectionnée.

Vous pouvez également ajuster la largeur des colonnes en cliquant avec le bouton gauche sur le bord droit d'une colonne et en maintenant le bouton de la souris enfoncé pendant que vous déplacez la souris vers la gauche ou la droite.

Paramètres de tables

Trier dans l'ordre décroissant

Trie les entrées de la liste selon leur Heure d'apparition, par ordre décroissant. Ces paramètres s'appliquent à l'affichage d'un synoptique.Vous pouvez modifier l'ordre de tri dans le Runtime en cliquant sur l'intitulé de la colonne. L'ordre de tri actuellement utilisé est représenté par une flèche dans l'en-tête de la colonne.

Afficher la grille

affiche une grille lorsque la liste est affichée dans le Runtime.

Utiliser des couleurs de fond en alternance

Utilise les couleurs de ligne 1 et 2 en alternance pour l'affichage de l'arrière-plan de la liste dans le Runtime.
  • Couleur ligne 1

Couleur utilisée en tant que couleur d'arrière-plan de la liste dans le Runtime pour tous les nombres impairs (1, 3, 5 etc.), si vous avez activé l'option Utiliser des couleurs de fond en alternance.
  • Couleur ligne 2

Couleur utilisée en tant que couleur d'arrière-plan de la liste dans le Runtime pour tous les nombres pairs (2, 4, 6 etc.), si vous avez activé l'option Utiliser des couleurs de fond en alternance.

Affichage dans les colonnes d'heure

Heure

Affiche l'heure d'une entrée de liste sous la forme suivante : HH:MM:SS

Date

Affiche la date d'une entrée de liste sous la forme suivante : JJ:MM:AAAA

millisecondes

Étend la précision de l'entrée de temps aux millisecondes.

Remarque : cette option doit être activée si les millisecondes doivent apparaître dans les fichiers d'exportation ou les impressions.

Les fragments d'information affichés dans la liste d'alarmes dans le Runtime peuvent être définis dans la configuration des colonnes. Pour une fonction d'appel de synoptique, les colonnes peuvent être configurées dans les critères de filtre ou directement dans les propriétés de la liste d'alarmes du projet :

  1. Ouvrez le nœud Liste d'alarmes dans les Propriétés du projet.
  2. Cliquez sur la propriété Paramétrage colonnes alarmes
  3. La boîte de dialogue des paramètres des colonnes s'affiche à l'écran

Remarque : la largeur moyenne des caractères de la police sélectionnée est utilisée pour calculer la largeur des colonnes.

info Info

Dans les paramètres du projet, vous pouvez définir un paramètre par défaut pour définir l'ordre et la largeur des colonnes à l'aide des propriétés Paramétrage colonnes alarmes ou Paramétrage colonnes liste d'événements. Si vous créez une nouvelle fonction d'appel de synoptique depuis un synoptique de liste d'alarmes ou un synoptique de liste chronologique d'événements, ce paramètre est utilisé par défaut. Le paramètre est conservé dans le fichier project.ini.

info Info

Dans les paramètres du projet, vous pouvez définir un paramètre par défaut pour définir l'ordre et la largeur des colonnes à l'aide des propriétés Paramétrage colonnes alarmes ou Paramétrage colonnes liste d'événements. Si vous créez une nouvelle fonction d'appel de synoptique depuis un synoptique de liste d'alarmes ou un synoptique de liste chronologique d'événements, ce paramètre est utilisé par défaut. Le paramètre est conservé dans le fichier project.ini.

Paramètre

Description

Colonnes

Dans le champ de liste de cet onglet, tous les types de colonne disponibles sont affichés.

Vous pouvez modifier l'ordre des colonnes en les faisant glisser dans le champ de liste :

  • Cliquez sur la colonne Column type (Type de colonne).
  • Déplacez les entrées individuelles à votre convenance.

Vous pouvez également ajuster l'ordre des entrées à l'aide des options Vers le haut et Vers le bas.
  • Case à cocher :

Sélectionnez les types de colonnes que vous souhaitez afficher.
  • Description :

Texte libre de description de la colonne.

Modifier la description : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de saisie.

Remarque : pour les descriptions de colonnes, la fonction de basculement de langue de zenon est disponible.
  • Largeur de colonne :

Définit la largeur de la colonne, en caractères.

Modifier la largeur des colonnes : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de saisie.
-1la largeur est calculée dans le Runtime, sur la base de la largeur moyenne des caractères.

Remarque : Pour des raisons de compatibilité, les colonnes dont la largeur ne pouvait pas être modifiée dans les versions antérieures de zenon (Date et heure) comportent la valeur -1.

  • Affichage :

Pour les types de colonnes

  • Symbole Classe d'alarmes/d'événements
  • Symbole Groupe d'alarmes/d'événements
  • État d'alarme

Le format d'affichage réel peut être sélectionné dans le Runtime. Sélectionnez le format souhaité dans la liste déroulante.

Vers le haut

Remonte l'entrée sélectionnée d'une position.

Vers le bas

Abaisse l'entrée sélectionnée d'une position.

Champ de prévisualisation

Affiche les colonnes définies dans le champ de liste avec la largeur sélectionnée.

Vous pouvez également ajuster la largeur des colonnes en cliquant avec le bouton gauche sur le bord droit d'une colonne et en maintenant le bouton de la souris enfoncé pendant que vous déplacez la souris vers la gauche ou la droite.

Paramètres de tables

Trier dans l'ordre décroissant

Trie les entrées de la liste selon leur Heure d'apparition, par ordre décroissant. Ces paramètres s'appliquent à l'affichage d'un synoptique.Vous pouvez modifier l'ordre de tri dans le Runtime en cliquant sur l'intitulé de la colonne. L'ordre de tri actuellement utilisé est représenté par une flèche dans l'en-tête de la colonne.

Afficher la grille

affiche une grille lorsque la liste est affichée dans le Runtime.

Utiliser des couleurs de fond en alternance

Utilise les couleurs de ligne 1 et 2 en alternance pour l'affichage de l'arrière-plan de la liste dans le Runtime.
  • Couleur ligne 1

Couleur utilisée en tant que couleur d'arrière-plan de la liste dans le Runtime pour tous les nombres impairs (1, 3, 5 etc.), si vous avez activé l'option Utiliser des couleurs de fond en alternance.
  • Couleur ligne 2

Couleur utilisée en tant que couleur d'arrière-plan de la liste dans le Runtime pour tous les nombres pairs (2, 4, 6 etc.), si vous avez activé l'option Utiliser des couleurs de fond en alternance.

Affichage dans les colonnes d'heure

Heure

Affiche l'heure d'une entrée de liste sous la forme suivante : HH:MM:SS

Date

Affiche la date d'une entrée de liste sous la forme suivante : JJ:MM:AAAA

millisecondes

Étend la précision de l'entrée de temps aux millisecondes.

Remarque : cette option doit être activée si les millisecondes doivent apparaître dans les fichiers d'exportation ou les impressions.

Conseil : Si vous avez activé le clavier automatique dans le Runtime, celui-ci est activé lors de l'affichage d'un champ d'édition. Vous pouvez également utiliser ce champ pour configurer les colonnes, si vous utilisez un ordinateur sans clavier.

attention Attention

La largeur de colonne est fournie en caractères, et dépend de la police de caractères utilisée. Si la largeur de colonne n'est pas un multiple de la largeur de caractère de la police de caractères utilisée, la largeur réelle de la colonne pourra être différente de la largeur de colonne définie. Ceci peut provoquer l'affichage de texte tronqué ou l'apparition d'un espace vide.

Solution : utilisez des polices proportionnelles, telles que la police "Courier New".


Filtre d'appel de synoptique de liste d'alarmes.

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À l'aide de filtres, définissez les alarmes devant être affichées dans le Runtime et celles devant être masquées. Les filtres peuvent être définis dans l'Éditeur et, selon les exigences de l'opérateur dans l'Éditeur, dans le Runtime.

Pour personnaliser la sélection des filtres en fonction des exigences de l'opérateur dans le Runtime, utilisez un synoptique de filtre de liste d'alarmes à la place d'un synoptique de liste d'alarmes.

Pour configurer les appels de synoptique pour un synoptique de liste d'alarmes :

  1. Configurez une fonction d'appel de synoptique de type Liste d'alarmes
  2. La boîte de dialogue de filtre s'affiche et propose plusieurs onglets comportant des critères de filtre :
    • Généralités
    • Heure
    • Paramétrage des colonnes
    • Texte
    • État
    • Projet (uniquement disponible dans le projet d'intégration de la gestion multi-projets).
    • Equipment modeling (Modélisation d'équipements)

    Si des variables liées ou des indices sont disponibles, les onglets suivants peuvent être affichés en option.

    • Remplacer les liens
    • Remplacer les indices

    Pour plus de détails, reportez-vous au chapitre Synoptiques, sections Remplacement des liens de variables et de fonctions et Symboles liés.

Autres sujets abordés dans ce chapitre

Généralités

Heure

Paramétrage des colonnes

Texte

État

Projet

Equipment modeling (Modélisation d'équipements)


Généralités

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec le filtre général, vous définissez les alarmes présentées et votre capacité d'accès aux paramètres correspondants dans le Runtime. Pour cela, les alarmes sont classées selon les paramètres suivants :

  • Type
  • Origine des données
  • Variables
  • Heure active
  • Groupes, classes d'alarmes/d'événements et domaines d'alarmes

Les propriétés suivantes sont disponibles :

Paramètre

Description

Filtre de variables

Limitation de certaines variables aux alarmes

Nom de la variable

Saisissez le nom ou la partie du nom de la variable que vous souhaitez filtrer. L'opérateur * peut être utilisé.

Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Identification

Saisissez l'identification ou une partie de l'identifiant de la variable que vous souhaitez filtrer. L'opérateur * peut être utilisé.

Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Respecter la casse

Actif : les caractères majuscules et minuscules sont pris en compte lors du filtrage par nom et/ou identifiant de variable.

Type d'alarmes

Type d'alarme affiché.

Seulement les alarmes non-acquittées

Actif : Seules les alarmes non encore acquittées par l'utilisateur sont affichées.

Seulement les alarmes disparues

Actif : Seules les alarmes déjà passées, c'est-à-dire dont les valeurs ne se trouvent plus dans la plage critique, sont affichées.

Alarmes courantes uniquement

Actif : Seules les alarmes encore actives, c'est-à-dire dont les valeurs se trouvent encore dans la plage critique, sont affichées.

Comment required (Commentaire requis)
  • Actif : Seules les alarmes pour lesquelles un commentaire doit être ajouté sont affichées.

Durée minimale des alarmes courantes

Utilisez la commande rotative pour définir la durée d'activité minimale d'un alarme avant son affichage. Paramètres possibles :

  • Jours
  • Heures (hr)
  • Minutes (min.)
  • Secondes (sec.)
  • Millisecondes (ms)

Origine des données

Affichage des alarmes actuelles ou actuelles et historiques.

Buffer circulaire

Actif : Seules les données issues de la mémoire circulaire sont affichées.

Données historiques
Nombre maximal

Actif : Les données de la mémoire circulaire et les données historiques de la liste AML sont affichées.

Le nombre maximal de données à afficher inclut les données de la mémoire circulaire.

Groupes/classes d'alarmes/d'événements et domaines d'alarmes

Sélection des groupes, classes et domaines d'alarmes

Groupes d'alarmes/d'événements

Parmi les groupes d'alarmes/d'événements existants, sélectionnez celui dont vous souhaitez afficher les alarmes.

Classes d'alarmes/d'événements

Parmi les classes d'alarmes/d'événements existants, sélectionnez celle dont vous souhaitez afficher les alarmes.

Domaines d'alarmes

Parmi les domaines d'alarmes existants, sélectionnez celui dont vous souhaitez afficher les alarmes.

Configuration du Runtime

Comportement de la liste AML dans le Runtime

Afficher cette boîte de dialogue dans le Runtime

Actif : Avant La boîte de dialogue de filtre est ouverte avant chaque appel du synoptique. Les paramètres de filtre peuvent être modifiés.

Remarque concernant les filtres de plage horaire :

Propriété Afficher cette boîte de dialogue dans le Runtime active :

  • Le dernier intervalle de temps est toujours utilisé.

Propriété Afficher cette boîte de dialogue dans le Runtime inactive :

  • Propriété Utiliser la dernière période de temps effectuée active : Le dernier intervalle de temps est utilisé.
  • Propriété Utiliser la dernière période de temps effectuée inactive : L'intervalle de temps actuel est utilisé.

Show list without refresh (Afficher la liste sans l'actualiser)

Actif : lorsque la liste est ouverte, aucune nouvelle entrée n'est ajoutée.

(Indisponible dans la fonction Export AML [Exporter la liste AML]).

Dans le Runtime, remplacer boite de dialogue par synoptique

Définition d'un synoptique devant être affiché dans le Runtime à la place de la boîte de dialogue si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active. Seuls les synoptiques de type Filtre de liste AML ou Filtre de temps seront disponibles.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Si le synoptique lié n'est pas localisé dans le Runtime, une recherche est effectuée pour trouver les synoptiques correspondants portant le nom spécifié.

attention Attention

Concernant zenon et Windows CE : les systèmes CE sur lesquels la boîte de dialogue de filtre doit être affichée doivent comporter une résolution d'écran supérieure à 800*600 pixels, faute de quoi la boîte de dialogue ne s'affichera pas entièrement.


Heure

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les filtres de temps permettent de limiter la quantité de données à afficher ou exporter. Les filtres de temps sont très flexibles, et peuvent être prédéfinis dans l'Éditeur ou ajustés dans le Runtime.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Les mécanismes décrits ici s'appliquent aussi bien aux appels de synoptique qu'à l'exportation pour les éléments suivants :

  • Liste d'alarmes
  • Maintenance de l'archive
  • Liste chronologique d'événements
  • Tendance étendue
  • Synoptiques de filtre
  • Générateur de rapports
  • Module de visualisation de rapports
  • Fonction Export archives (Exporter les archives)

Le filtrage horaire peut être effectué de deux manières :

  1. En définissant un intervalle de temps dans l'Éditeur
    Des plages de temps fixes sont utilisées. un intervalle de temps est fourni dans l'Éditeur. Il est uniquement possible de filtrer les données en fonction de cet intervalle de temps dans le Runtime. Les autres filtres - tels que le filtrage par nom de variable, groupes d'alarmes/d'événements et classes d'alarmes/d'événements, etc. ne peuvent plus être modifiés dans le Runtime.
  2. Filtre de temps modifiable dans le Runtime
    Des intervalles de temps prédéfinis sont utilisés. Le filtre de temps est défini dans l'Éditeur et peut être modifié dans le Runtime, le cas échéant.

info Info

Si un synoptique ne comportant pas de filtre de temps est référencé, les filtres de temps sont désactivés.

Pour le paramètre Set filter for time filter type (Définir un filtre de type filtre de temps), l'option Display filter dialog in Runtime (Afficher la boîte de dialogue de filtre dans le Runtime) peut être sélectionnée, mais n'est pas disponible dans le Runtime.

Autres sujets abordés dans ce chapitre

Définir la zone horaire dans l'Éditeur

Le filtre de temps peut être modifié dans le Runtime

Filtre absolu

Filtre relatif

A partir de

Période de temps


Définir la zone horaire dans l'Éditeur

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Heure -> Définir la zone horaire dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Définir la zone horaire dans l'Éditeur

Avec cette méthode, saisissez un intervalle de temps fixe dans l'Éditeur ; celui-ci sera alors appliqué lorsque la fonction sera exécutée dans le Runtime. Vous pouvez alors uniquement définir l'heure de début dans le Runtime, mais aucun autre paramètre de filtre.

Par exemple : Vous définissez un filtre temps de 30 minutes. Dans le Runtime, vous pouvez uniquement définir l'instant auquel doit débuter cet intervalle de temps de 30 minutes. Toutefois, vous ne pouvez pas transformer le filtre en filtre de jour.

attention Attention

Si vous utilisez ce filtre, vous ne pouvez plus modifier les autres filtres disponibles dans l'onglet Général dans le Runtime. Vous pouvez toutefois encore filtrer le texte, les états et les équipements.

Pour créer le filtre :

  1. créer une fonction d'appel de synoptique.
  2. Le synoptique doit comporter un bouton Filtre permettant d'exécuter le filtre dans le Runtime

    Conseil : Activez l'option Offer this dialog in the Runtime (Afficher cette boîte de dialogue dans le Runtime) dans l'onglet Général de la boîte de dialogue de filtre. Ceci vous permet de modifier l'heure de début avant l'exécution de la fonction. N'activez pas l'affichage du filtre dans le Runtime lorsque la fonction est activée ; ceci garantit que l'intervalle actuel est toujours utilisé. Si vous avez activé l'option Use last closed time period (Utiliser le dernier intervalle de temps fermé), l'intervalle de temps précédent est affiché.
    Exemple : vous définissez un filtre temps de 30 minutes. Il est 10:45 lorsque la fonction est activée. Si l'option Use last closed time period (Utiliser le dernier intervalle de temps fermé) est désactivée, le filtre est réglé sur l'intervalle de temps précédent, de 10:30:00 à 10:59:59. Si l'option est activée, le filtre est réglé sur l'intervalle de temps précédent, de 10:00:00 à 10:29:59.

  3. Sélectionnez le filtre souhaité :
    • Filtre absolu
    • Filtre relatif
  4. Configurez l'intervalle de temps sélectionné dans la section Spécifications de l'intervalle de temps souhaité (voir les sections Filtre absolu, Filtre relatif et Ab)

Paramètres

Description

Filtre

Sélection du filtre.

Tout

Actif : Aucun filtre temps n'est utilisé.

Indisponible dans le module Extended Trend

Absolute filter (Filtre absolu)

Actif : Un intervalle de temps fixe est défini dans l'Éditeur. Lors de l'exécution de la fonction, l'intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Horaire relatif

Actif : Un intervalle de temps relatif est saisi.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

A partir de

Actif : L'heure à partir de laquelle le filtre est appliqué. Si l'heure n'est pas atteinte ce jour, le filtrage a lieu à partir de l'heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante ;

  • A partir de HH:MM:SS
  • A partir du jour à HH:MM:SS
  • A partir du jour, mois à HH:MM:SS

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : L'heure de départ de ce filtre n'est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L'heure de fin n'est pas définie avec ce filtre ; elle est reportée.

Période de temps

Actif : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante ;

  • Horaire-jour
  • Horaire-semaine
  • Horaire-2 semaines
  • Horaire-mois
  • Horaire année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Lot

Actif : La boîte de dialogue de sélection est affichée dans le Runtime.

Disponible uniquement pour les modules Extended Trend, Maintenance d'Archive et Rapports.

relatif

Actif : L'affichage débute toujours au point zéro. Autorise la comparaison directe de plusieurs lots.

Disponible uniquement pour le module Tendance étendue, et disponible uniquement si l'option Lot est activée.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Le filtre de temps peut être modifié dans le Runtime

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Heure -> Le filtre de temps peut être modifié dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Le filtre de temps peut être modifié dans le Runtime

Avec cette méthode, vous définissez un filtre de temps dans l'Éditeur. Celui-ci peut être modifié dans le Runtime avant exécution. Pour créer le filtre :

  1. créer une fonction d'appel de synoptique.
  2. Le synoptique doit comporter des boutons Filtre et Visualiser filtre
  3. Sélectionnez le filtre souhaité :
    • Filtre absolu
    • Filtre relatif
  4. Dans la section Spécifications, sélectionnez l'option Proposer la date/l'heure actuelle.
  5. La boîte de dialogue de filtre s'affiche dans le Runtime, avec la date et l'heure actuelles.

Paramètres

Description

Filtre

Sélection du filtre.

Tout

Actif : Aucun filtre temps n'est utilisé.

Indisponible dans le module Extended Trend

Absolute filter (Filtre absolu)

Actif : Un intervalle de temps fixe est défini dans l'Éditeur. Lors de l'exécution de la fonction, l'intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Horaire relatif

Actif : Un intervalle de temps relatif est saisi.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

A partir de

Actif : L'heure à partir de laquelle le filtre est appliqué. Si l'heure n'est pas atteinte ce jour, le filtrage a lieu à partir de l'heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante ;

  • A partir de HH:MM:SS
  • A partir du jour à HH:MM:SS
  • A partir du jour, mois à HH:MM:SS

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : L'heure de départ de ce filtre n'est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L'heure de fin n'est pas définie avec ce filtre ; elle est reportée.

Période de temps

Actif : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante ;

  • Horaire-jour
  • Horaire-semaine
  • Horaire-2 semaines
  • Horaire-mois
  • Horaire année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Lot

Actif : La boîte de dialogue de sélection est affichée dans le Runtime.

Disponible uniquement pour les modules Extended Trend, Maintenance d'Archive et Rapports.

relatif

Actif : L'affichage débute toujours au point zéro. Autorise la comparaison directe de plusieurs lots.

Disponible uniquement pour le module Tendance étendue, et disponible uniquement si l'option Lot est activée.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Filtre absolu

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Heure -> Filtre absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Filtre absolu

Le filtre absolu permet de définir une période de temps fixe. Lors de l'exécution de la fonction, l'intervalle temps absolu défini est utilisé avec exactitude. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l'option Filtre absolu.
  2. Configurez l'intervalle de temps souhaité dans la section Paramètres.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Paramètre | Description
Configurer les barres d'outils | Configuration du filtre horaire
Proposer la date/heure courante | Actif : Le filtre de temps est affiché dans le Runtime.
Défaut | Actif : le filtre de temps est fourni dans l'Éditeur. Seule l'heure de début peut encore être configurée dans le Runtime.
A partir de | Heure de début du filtre. Sélection du jour, du mois, de l'année, de l'heure, de la minute et de la seconde
Jusqu'à | Heure de fin du filtre. Sélection du jour, du mois, de l'année, de l'heure, de la minute et de la seconde

Exemple : si vous souhaitez voir toutes les alarmes du 1er janvier 2011 au 31 décembre 2011, saisissez les données correspondantes dans les champs À partir et À.


Filtre relatif

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Heure -> Filtre relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Filtre relatif

Un intervalle de temps relatif est saisi.

Attention : ce filtre est constamment mis à jour et continue à fonctionner.

Paramètre | Description
Configurer les barres d'outils | Configuration du filtre horaire.
Proposer la date/heure courante | Actif : Le filtre de temps est affiché dans le Runtime.
Défaut | Actif : le filtre de temps est fourni dans l'Éditeur. Seule l'heure de début peut encore être configurée dans le Runtime. Sélection de l'intervalle relatif en jours, heures, minutes et secondes.

Exemple : vous pouvez définir un intervalle de temps relatif de 10 minutes et basculer vers un synoptique de type Liste d'alarmes en réglant ce filtre de temps sur 12:00. Vous verrez alors s'afficher les alarmes de 11:50 à 12:00 lors de l'appel de synoptique. Si le synoptique Liste d'alarmes reste ouvert, le filtre est automatiquement mis à jour. A 12:01, vous voyez les alarmes de 11:51 à 12:01, etc.


A partir de

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Heure -> A partir de

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
A partir de

Définit l'heure à partir de laquelle le filtre est appliqué.

Paramètre

Description

Configurer les barres d'outils

Configuration du filtre horaire

[Date/Heure]

Selon la configuration de l'option, l'heure à partir de laquelle le filtre est appliqué est configurée ici :

  • heure - minute - seconde
  • jour - heure - minute - seconde
  • jours - mois - heure - minute - seconde

Attention ! L'heure de départ de ce filtre n'est pas mise à jour automatiquement. Seules les heures existantes affichées sont appliquées, même si le synoptique reste ouvert et l'heure de 23:00:00 est atteinte.
L'heure de fin de l'intervalle n'est pas définie avec ce filtre ; elle est reportée.
  • heure - minute - seconde

L'heure à partir de laquelle le filtre est appliqué. Si l'heure n'est pas atteinte ce jour, le filtrage a lieu à partir de l'heure correspondante le jour précédent.

Exemple : vous saisissez 23:00:00. Si la fonction est exécutée à 23:30, elle est filtrée de 23:00:00 jusqu'à l'heure actuelle. S'il est 22:30, toutefois, le filtrage est actif de 23:00:00 le jour précédent jusqu'à l'heure actuelle.
  • jour - heure - minute - seconde

Un jour et une heure de début du filtre sont saisis. Si l'heure indiquée n'a pas été atteinte au cours du mois actuel, l'heure correspondante définie le mois précédent est utilisée.

Exemple : Vous saisissez jour 5 - 23:00:00. Si nous sommes le 10 du mois et il est 23:30, le filtrage sera appliqué à compter du 5 à 23:00:00 jusqu'à l'heure actuelle. Si toutefois nous sommes le 4 du mois, le filtrage sera appliqué à partir du 5 du mois précédent jusqu'à l'heure actuelle.

  • jours - mois - heure - minute - seconde

Un mois, un jour et une heure de début du filtre sont saisis. Si l'heure indiquée n'a pas été atteinte au cours de l'année actuelle, l'heure correspondante définie l'année précédente est utilisée.

Exemple : Vous saisissez Mois Octobre, Jour 5- 23:00:00. Si nous sommes le 10 octobre et il est 23:30, le filtrage est appliqué à compter du 5 octobre à 23:00:00 jusqu'à l'heure actuelle. Si toutefois nous sommes le 4 octobre, le filtrage sera appliqué à partir du 5 octobre de l'année précédente jusqu'à l'heure actuelle.


Période de temps

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Heure -> Période de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Période de temps

Définit une période de temps durant laquelle le filtre est appliqué.

Paramètre

Description

Configurer les barres d'outils

Configuration du filtre horaire

Modifier la période de temps

Permet de modifier les cycles, les délais et les prolongations de périodes de temps.

Actif : L'évaluation est réalisée conformément aux règles suivantes :

  • D'abord, l'option Utiliser la dernière période de temps effectuée est évaluée.
  • Ensuite, l'option Modifier la période de temps de est utilisée.
  • Enfin, l'option Déplacer la période de temps dans le futur de est appliquée.

Inactive : aucune modification n'est apportée à la période de temps.

Attention : Dans la version 7.10, les actions de filtrage réalisées avec cette fonction génèrent des résultats différents de celles réalisées dans les versions antérieures.

Déplacer la période de temps dans le futur de

Actif : La période de temps définie dans le filtre est décalée vers le futur. Indication en heures - minutes - secondes.

Si un décalage égal ou supérieur à la période de temps sélectionnée est défini, un message invitant l'utilisateur à vérifier la configuration s'affiche.

Modifier la période de temps de

Actif : La période de temps définie dans le filtre est modifiée. Indication en heures - minutes - secondes.

Si une modification et un décalage égaux ou supérieurs à la période de temps sélectionnée sont définis, un message invitant l'utilisateur à vérifier la configuration s'affiche.

Ajouter la durée

Actif : L'heure indiquée dans le paramètre Modifier la période de temps de est ajoutée au temps défini dans le paramètre Période de temps.

Soustraire la durée

Actif : L'heure indiquée dans le paramètre Modifier la période de temps de est déduite du temps défini dans le paramètre Période de temps.

Utiliser la dernière période de temps effectuée

Actif : La dernière période de temps terminée est utilisée.


Paramétrage des colonnes

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Paramétrage des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette boîte de dialogue, vous pouvez définir les colonnes que vous souhaitez afficher, ainsi que leur format d'affichage, leur ordre d'affichage et l'ordre de tri des données.

Remarque : tous les paramètres configurés dans cet onglet sont les paramètres par défaut des options suivantes :

  • Synoptique de type Liste d'alarmes
  • Synoptique de liste d'alarmes
  • Ligne d'état d'alarmes
  • Synoptique de liste chronologique d'événements
  • Synoptique Filtre de liste chronologique d'événements

Ces paramètres par défaut peuvent être modifiés lors de la définition de chaque fonction d'alarme/fonction de liste CEL.

info Info

Dans les paramètres du projet, vous pouvez définir un paramètre par défaut pour définir l'ordre et la largeur des colonnes à l'aide des propriétés Paramétrage colonnes alarmes ou Paramétrage colonnes liste d'événements. Si vous créez une nouvelle fonction d'appel de synoptique depuis un synoptique de liste d'alarmes ou un synoptique de liste chronologique d'événements, ce paramètre est utilisé par défaut. Le paramètre est conservé dans le fichier project.ini.

Paramètre

Description

Colonnes

Dans le champ de liste de cet onglet, tous les types de colonne disponibles sont affichés.

Vous pouvez modifier l'ordre des colonnes en les faisant glisser dans le champ de liste :

  • Cliquez sur la colonne Column type (Type de colonne).
  • Déplacez les entrées individuelles à votre convenance.

Vous pouvez également ajuster l'ordre des entrées à l'aide des options Vers le haut et Vers le bas.
  • Case à cocher :

Sélectionnez les types de colonnes que vous souhaitez afficher.
  • Description :

Texte libre de description de la colonne.

Modifier la description : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de saisie.

Remarque : pour les descriptions de colonnes, la fonction de basculement de langue de zenon est disponible.
  • Largeur de colonne :

Définit la largeur de la colonne, en caractères.

Modifier la largeur des colonnes : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de saisie.
-1la largeur est calculée dans le Runtime, sur la base de la largeur moyenne des caractères.

Remarque : Pour des raisons de compatibilité, les colonnes dont la largeur ne pouvait pas être modifiée dans les versions antérieures de zenon (Date et heure) comportent la valeur -1.

  • Affichage :

Pour les types de colonnes

  • Symbole Classe d'alarmes/d'événements
  • Symbole Groupe d'alarmes/d'événements
  • État d'alarme

Le format d'affichage réel peut être sélectionné dans le Runtime. Sélectionnez le format souhaité dans la liste déroulante.

Vers le haut

Remonte l'entrée sélectionnée d'une position.

Vers le bas

Abaisse l'entrée sélectionnée d'une position.

Champ de prévisualisation

Affiche les colonnes définies dans le champ de liste avec la largeur sélectionnée.

Vous pouvez également ajuster la largeur des colonnes en cliquant avec le bouton gauche sur le bord droit d'une colonne et en maintenant le bouton de la souris enfoncé pendant que vous déplacez la souris vers la gauche ou la droite.

Paramètres de tables

Trier dans l'ordre décroissant

Trie les entrées de la liste selon leur Heure d'apparition, par ordre décroissant. Ces paramètres s'appliquent à l'affichage d'un synoptique.Vous pouvez modifier l'ordre de tri dans le Runtime en cliquant sur l'intitulé de la colonne. L'ordre de tri actuellement utilisé est représenté par une flèche dans l'en-tête de la colonne.

Afficher la grille

affiche une grille lorsque la liste est affichée dans le Runtime.

Utiliser des couleurs de fond en alternance

Utilise les couleurs de ligne 1 et 2 en alternance pour l'affichage de l'arrière-plan de la liste dans le Runtime.
  • Couleur ligne 1

Couleur utilisée en tant que couleur d'arrière-plan de la liste dans le Runtime pour tous les nombres impairs (1, 3, 5 etc.), si vous avez activé l'option Utiliser des couleurs de fond en alternance.
  • Couleur ligne 2

Couleur utilisée en tant que couleur d'arrière-plan de la liste dans le Runtime pour tous les nombres pairs (2, 4, 6 etc.), si vous avez activé l'option Utiliser des couleurs de fond en alternance.

Affichage dans les colonnes d'heure

Heure

Affiche l'heure d'une entrée de liste sous la forme suivante : HH:MM:SS

Date

Affiche la date d'une entrée de liste sous la forme suivante : JJ:MM:AAAA

millisecondes

Étend la précision de l'entrée de temps aux millisecondes.

Remarque : cette option doit être activée si les millisecondes doivent apparaître dans les fichiers d'exportation ou les impressions.

Conseil : Si vous avez activé le clavier automatique dans le Runtime, celui-ci est activé lors de l'affichage d'un champ d'édition. Vous pouvez également utiliser ce champ pour configurer les colonnes, si vous utilisez un ordinateur sans clavier.

attention Attention

La largeur de colonne est fournie en caractères, et dépend de la police de caractères utilisée. Si la largeur de colonne n'est pas un multiple de la largeur de caractère de la police de caractères utilisée, la largeur réelle de la colonne pourra être différente de la largeur de colonne définie. Ceci peut provoquer l'affichage de texte tronqué ou l'apparition d'un espace vide.

Solution : utilisez des polices proportionnelles, telles que la police "Courier New".


Texte

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le filtre de texte permet de limiter l'affichage aux messages contenant certaines expressions de recherche.

Paramètres | Description
Filter according to (Filtrer selon) |
Aucun filtre de texte | Le filtre de texte n'est pas utilisé.
Search for (words separated by spaces) (Rechercher [mots séparés par des espaces]) | Le filtre de texte est utilisé. Les autres options sont désactivées.
Champ de saisie | Saisissez les mots ou chaînes de caractères souhaité(e)s.
Options |
Note capitalization (Tenir compte de la capitalisation) | Actif : lors du filtrage, une distinction est effectuée entre les caractères majuscules et minuscules.
Words do not have to appear in the text in full (Les mots entiers n'apparaissent pas dans le texte) | Actif : certaines parties de mots peuvent également être prises en compte durant le filtrage.
At least one word must be present in the text (Au moins un mot doit être présent dans le texte) | Actif : Au moins un des mots de l'expression de recherche doit être présent dans le texte.
All words must be present in the text (Tous les mots doivent être présents dans le texte) | Actif : Tous les mots doivent être présents dans l'expression de recherche. Dans ce cas, l'ordre des mots n'a aucune incidence.
Filter text must appear in the text exactly (Le texte filtré apparaît exactement dans le texte) | Actif : le texte doit être absolument identique au texte de l'expression de recherche.


État

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> État

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'état de la case à cocher indique si le bit d'état doit être évalué.

Etat de la case à cocher | Description
Black dot (Point noir) | Le bit d'état n'est pas évalué.
0 | Seules les entrées dans lesquelles le bit d'état est défini sur False sont affichées.
1 | Seules les entrées dans lesquelles le bit d'état est défini sur True sont affichées.

Example Exemple

Si la case à cocher SPONT est définie sur 1, seules les alarmes déclenchées par des valeurs spontanées sont affichées.

Conseil : Pour plus de détails concernant les bits d'état, reportez-vous au chapitre Gestion d'états.


Projet

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélection des projets pris en compte dans la liste AML. Le filtre de sélection de sous-projets est uniquement disponible dans le projet d'intégration de la gestion multi-projets.

Pour effectuer une sélection dans le projet d'intégration et les sous-projets, maintenez la touche Ctrl enfoncée pendant que vous cliquez sur les projets de votre choix.


Equipment modeling (Modélisation d'équipements)

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Equipment modeling (Modélisation d'équipements)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le filtre, tous les modèles d'équipements existants sont affichés. Via le menu contextuel ou la barre d'outils, vous pouvez créer de nouveaux modèles et groupes.

Pour ajouter des groupes au filtre :

  1. Sélectionnez l'élément de votre choix.
  2. Cliquez sur le bouton Ajouter.
  3. Répétez cette opération jusqu'à ce que tous les groupes souhaités soient présents dans la liste
    (vous ne pouvez pas sélectionner plusieurs éléments à la fois)

Pour supprimer des groupes du filtre :

  1. Sélectionnez l'élément de votre choix.
    (sélection multiple : appuyez sur la touche Ctrl ou Maj pendant que vous cliquez sur l'élément souhaité)
  2. Cliquez sur le bouton Supprimer.

Elément | Description
Equipment model (Modèle d'équipement) | Fournit des modèles et des groupes pour la sélection
Ajouter | Ajoute les groupes sélectionnés à la liste de filtres.
Supprimer | Supprimer les groupes sélectionnés de la liste de filtres.


Filtre d'appel de synoptique de liste d'alarmes.

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un synoptique de filtre de liste d'alarmes :

  1. Créez une fonction d'appel de synoptique sur un synoptique de filtre de liste d'alarmes.
  2. Le filtre est affiché avec les onglets suivants :
    • Synoptiques
    • Généralités
    • Texte
    • Heure

Autres sujets abordés dans ce chapitre

Synoptiques

Généralités

Texte

Heure


Synoptiques

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous pouvez définir les écrans que vous souhaitez mettre à jour par l'intermédiaire du filtre de synoptique.

Les paramètres suivants sont disponibles :

Paramètre

Description

Le filtre défini à partir du synoptique suivant

Synoptique appelant

Actif : Les paramètres du filtres sont ceux du synoptique depuis lequel le synoptique de filtre est appelé. Le bouton de synoptique est grisé. Vous ne pouvez pas sélectionner de synoptique en particulier, car avec ce paramètre, le filtre est toujours mis à jour depuis le synoptique d'activation.

Remarque : les paramètres des onglets Général, Texte et Heure sont verrouillés.

Sélection de synoptique

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de synoptique.

Sélectionnez le synoptique depuis lequel le filtre doit être lu lorsque vous cliquez sur le bouton Mise à jour dans le Runtime.

Remarque : Il convient donc de sélectionner un synoptique pouvant intégrer ou remplir le filtre de synoptique.

Le synoptique sélectionné est ajouté à la liste des synoptiques devant être mis à jour. Si vous le supprimez de la liste, le prochain synoptique de la liste est automatiquement inséré à sa place.

Remarque : indisponible si vous avez coché la case Calling screen (Synoptique d'activation).

Screens to be updated (Synoptiques devant être mis à jour)

Sélection de synoptique

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection des synoptiques de filtre. Sélectionnez l'écran de votre choix.

Mise à jour

Update on all monitors (Mettre à jour sur tous les moniteurs)

Actif : Les synoptiques devant être mis à jour dans la liste de synoptiques sont mis à jour sur tous les moniteurs accessibles.


Généralités

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètre

Description

Filtre de variables

Limitation de certaines variables aux alarmes

Nom de la variable

Saisissez le nom ou la partie du nom de la variable que vous souhaitez filtrer. L'opérateur * peut être utilisé.

Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Identification

Saisissez l'identification ou une partie de l'identifiant de la variable que vous souhaitez filtrer. L'opérateur * peut être utilisé.

Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Respecter la casse

Actif : les caractères majuscules et minuscules sont pris en compte lors du filtrage par nom et/ou identifiant de variable.

Type d'alarmes

Type d'alarme affiché.

Seulement les alarmes non-acquittées

Actif : Seules les alarmes non encore acquittées par l'utilisateur sont affichées.

Seulement les alarmes disparues

Actif : Seules les alarmes déjà passées, c'est-à-dire dont les valeurs ne se trouvent plus dans la plage critique, sont affichées.

Alarmes courantes uniquement

Actif : Seules les alarmes encore actives, c'est-à-dire dont les valeurs se trouvent encore dans la plage critique, sont affichées.

Durée minimale des alarmes courantes

Utilisez la commande rotative pour définir la durée d'activité minimale d'un alarme avant son affichage. Paramètres possibles :

  • Jours
  • Heures (hr)
  • Minutes (min.)
  • Secondes (sec.)
  • Millisecondes (ms)

Origine des données

Affichage des alarmes actuelles ou actuelles et historiques.

Buffer circulaire

Actif : Seules les données issues de la mémoire circulaire sont affichées.

Données historiques
Nombre maximal

Actif : Les données de la mémoire circulaire et les données historiques de la liste AML sont affichées.

Le nombre maximal de données à afficher inclut les données de la mémoire circulaire.

Configuration du Runtime

Comportement de la liste AML dans le Runtime

Show list without refresh (Afficher la liste sans l'actualiser)

Actif : lorsque la liste est ouverte, aucune nouvelle entrée n'est ajoutée.

Groupes/classes d'alarmes/d'événements et domaines d'alarmes

Sélection des groupes, classes et domaines d'alarmes

Groupes d'alarmes/d'événements

Parmi les groupes d'alarmes/d'événements existants, sélectionnez celui dont vous souhaitez afficher les alarmes.

Classes d'alarmes/d'événements

Parmi les classes d'alarmes/d'événements existants, sélectionnez celle dont vous souhaitez afficher les alarmes.

Domaines d'alarmes

Parmi les domaines d'alarmes existants, sélectionnez celui dont vous souhaitez afficher les alarmes.


Texte

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres | Description
Filter according to (Filtrer selon) |
Aucun filtre de texte | Le filtre de texte n'est pas utilisé.
Search for (words separated by spaces) (Rechercher [mots séparés par des espaces]) | Le filtre de texte est utilisé. Les autres options sont désactivées.
Champ de saisie | Saisissez les mots ou chaînes de caractères souhaité(e)s.
Options |
Note capitalization (Tenir compte de la capitalisation) | Actif : lors du filtrage, une distinction est effectuée entre les caractères majuscules et minuscules.
Words do not have to appear in the text in full (Les mots entiers n'apparaissent pas dans le texte) | Actif : certaines parties de mots peuvent également être prises en compte durant le filtrage.
At least one word must be present in the text (Au moins un mot doit être présent dans le texte) | Actif : Au moins un des mots de l'expression de recherche doit être présent dans le texte.
All words must be present in the text (Tous les mots doivent être présents dans le texte) | Actif : Tous les mots doivent être présents dans l'expression de recherche. Dans ce cas, l'ordre des mots n'a aucune incidence.
Filter text must appear in the text exactly (Le texte filtré apparaît exactement dans le texte) | Actif : le texte doit être absolument identique au texte de l'expression de recherche.


Heure

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Configurer les alarmes avec des filtres -> Filtre d'appel de synoptique de liste d'alarmes. -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous pouvez définir la période de temps utilisée lors de l'ouverture du synoptique de filtre.

D

Les paramètres suivants sont disponibles :

Paramètres

Description

Filtre

Sélection du filtre.

Tout

Actif : Aucun filtre temps n'est utilisé.

Indisponible dans le module Extended Trend

Absolute filter (Filtre absolu)

Actif : Un intervalle de temps fixe est défini dans l'Éditeur. Lors de l'exécution de la fonction, l'intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Horaire relatif

Actif : Un intervalle de temps relatif est saisi.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

A partir de

Actif : L'heure à partir de laquelle le filtre est appliqué. Si l'heure n'est pas atteinte ce jour, le filtrage a lieu à partir de l'heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante ;

  • A partir de HH:MM:SS
  • A partir du jour à HH:MM:SS
  • A partir du jour, mois à HH:MM:SS

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : L'heure de départ de ce filtre n'est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L'heure de fin n'est pas définie avec ce filtre ; elle est reportée.

Période de temps

Actif : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante ;

  • Horaire-jour
  • Horaire-semaine
  • Horaire-2 semaines
  • Horaire-mois
  • Horaire année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Lot

Actif : La boîte de dialogue de sélection est affichée dans le Runtime.

Disponible uniquement pour les modules Extended Trend, Maintenance d'Archive et Rapports.

relatif

Actif : L'affichage débute toujours au point zéro. Autorise la comparaison directe de plusieurs lots.

Disponible uniquement pour le module Tendance étendue, et disponible uniquement si l'option Lot est activée.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Filtre absolu

Filtre relatif

A partir de

Période de temps


Fonctions

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'affichage et la gestion de la liste d'alarmes sont contrôlés à l'aide de fonctions dans le Runtime.

attention Attention

Si des fonctions sont utilisées sur un réseau, tenez compte de leur emplacement d'exécution.

Autres sujets abordés dans ce chapitre

Fonctions réseau

Appel de synoptique de liste AML

Appel de synoptique de filtre de liste AML

Fonctions de gestion d'alarmes


Fonctions réseau

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si des fonctions de gestion du réseau sont utilisées, il est important de noter l'emplacement d'exécution :

Pour les fonctions utilisées sur le réseau :

  • L'emplacement d'exécution peut être librement configuré, dans certains cas
  • L'emplacement d'exécution est prédéfini, dans d'autres cas

info Info

Les scripts associent plusieurs fonctions. L'emplacement d'exécution dépend alors des paramètres de la fonction Execute script (Exécuter script). Ce paramètre remplace les paramètres des fonctions individuelles.

Configurez l'emplacement d'exécution

Pour les fonctions pour lesquelles l'emplacement d'exécution peut être librement configuré, les paramètres correspondants sont disponibles dans les propriétés de la fonction. Pour définir l'emplacement d'exécution :

  1. Accédez au groupe Exécution dans les propriétés du projet.
  2. Sélectionnez l'emplacement d'exécution souhaité en cochant la case. Une sélection multiple est possible :
    • Ordinateur courant : La fonction sera exécutée sur l'ordinateur actuel.
    • Serveur : La fonction sera exécutée sur le serveur.
    • Redondant : La fonction sera exécutée sur le serveur redondant.
    • Client : La fonction sera exécutée sur la totalité des clients.

Vue d'ensemble des fonctions de réseau

La table suivante illustre les fonctions exécutées, ainsi que leur emplacement d'exécution.

Clé :

  • Paramétrable : le comportement peut être configuré

    +: Oui

    -: Non

    O : Défaut

  • Si non paramétrable, O identifie l'emplacement d'exécution :
    • Ordinateur actif
    • Serveur
    • Redondant
    • Client

Fonction | Paramétrable | Ordinateur courant | Serveur | Redondant | Client
Liste d'alarmes et liste chronologique d'événements |  |  |  |  |
Alarmes : acquitter clignotement | - | O |  |  |
Alarmes : supprimer | - |  | O | O |
Alarmes : acquitter | - |  | O | O |
Inscrire/désinscrire groupe d'alarmes/d'événements | - | O |  |  |
Activer/désactiver liste d'alarmes / groupe d'alarmes/d'événements / classe d'alarmes/d'événements | - |  | O | O |
Gestion d'alarmes active | - |  | O |  |
Alarm Message List active/inactive (Liste d'alarmes actives/inactives) | - |  | O |  |
Alarmes : désactiver | - |  | O |  |
Exportation de la liste AML | + | O |  |  |
Sauver buffer mémoire des alarmes et des événements | - |  | O | O |
Exporter CEL | + | O |  |  |
Print AML or CEL (Imprimer la liste AML ou CEL) | + | O |  |  |
Créer/imprimer un document IPA | - |  | O |  |
impression en ligne on/off | - |  | O | O |
Démarrer nouvelle page pour l'impression en ligne | + | O |  |  |
Changer imprimante en ligne | - |  | O |  |
Application |  |  |  |  |
Sélection imprimante | + | O |  |  |
Démarrer EMS | - |  | O |  |
Arrêter EMS | - |  | O |  |
Imprimer un diagramme Extended Trend | + | O |  |  |
Changer de palette | + | O |  |  |
Fonctions : activer sur limite | - |  | O | O |
Fonctions activer/désactiver sur limite | - |  | O | O |
Fonctions : désactiver sur limite | - |  | O | O |
Ouvrir l'aide | + | O |  |  |
Réinitialiser projet en ligne | + | O |  |  |
Détermination des maintenances ouvertes | - |  | O |  |
PFS – Exécuter un événement défini par l'utilisateur | + | O |  |  |
Activer/désactiver la simulation de projet | - | O |  |  |
Simuler le clic droit | + | O |  |  |
Save remanent data (Enregistrer les données rémanentes) | + | O |  |  |
Quitter le Runtime | + | O |  |  |
Analyser les heuristiques du graphe S7 | + | O |  |  |
Exécuter une fonction SAP | + | O |  |  |
Changement de langue | + | O |  |  |
Topologie - Recherche des défauts de terre | - |  | O |  |
Topologie – Délestage | - |  | O |  |
Le serveur d'archives |  |  |  |  |
Archive : Stop | - |  | O | O |
Indexer les archives | - |  | O |  |
Archive : Départ | - |  | O | O |
Export archives (Exporter les archives) | - | O |  |  |
Archive : liste des archives actives | - |  | O | O |
Gestion utilisateurs |  |  |  |  |
Modifier un utilisateur | + | O |  |  |
Login avec boite de dialogue | + | O |  |  |
Login sans mot de passe | + | O |  |  |
Logout | + | O |  |  |
Modifier mot de passe | - | O |  |  |
Synoptiques |  |  |  |  |
Change ALC source color (Modifier la couleur source de la fonction CAL) | + | O |  |  |
Synoptique indexé | - | O |  |  |
Fermer le synoptique | + | O |  |  |
Synoptique : retour au précédent | - | O |  |  |
Synoptique : déplacer le centre | + | O |  |  |
Appel de synoptique | + | O |  |  |
Activer l'élément qui a le focus | +- | O |  |  |
Donner le focus au gabarit | + | O |  |  |
Donner le focus | - | O |  |  |
Enlever le focus du gabarit | + | O |  |  |
Visualiser menu | + | O |  |  |
Sélection moniteur | + | O |  |  |
Profils de Runtime | + | O |  |  |
Fermer le gabarit | + | O |  |  |
Saisie de valeur pour les synoptiques clavier | - | O |  |  |
Vue d'aperçu | + | O |  |  |
Détection d'erreurs sur les réseaux électriques |  |  |  |  |
Acquitter un message de défaut de terre | + | O |  |  |
Arrêter la recherche des défauts de terre | + | O |  |  |
Démarrer la recherche des défauts de terre | + | O |  |  |
Acquitter le message de court-circuit | + | O |  |  |
Gestion de messages Remarque : l'emplacement d'exécution peut être librement défini, en théorie. Les modifications n'ont toutefois aucun effet. La fonction Message Control (gestion des messages) est toujours exécutée sur le serveur. |  |  |  |  |
Visualiser la base de données des destinataires | + | O |  |  |
Envoi d'un message | + | O |  |  |
Envoi de messages : activer | + | O |  |  |
Envoi de messages : désactiver | + | O |  |  |
Réseau |  |  |  |  |
Autorisation sur le réseau | + | O |  |  |
Commutation redondance | - |  |  | O |
Générateur de rapports |  |  |  |  |
Imprimer rapport | + |  |  |  |
Rapport : exécuter | + |  |  |  |
Exporter rapport | + |  |  |  |
Recettes |  |  |  |  |
Gestionnaire de groupes de recettes | - | O |  |  |
Recette standard | - | O |  |  |
Recette : envoi direct | + | O | O | O | O
Recette : modification avant envoi | - | O |  |  |
Recette : sélection et modification avant envoi | - | O |  |  |
Script |  |  |  |  |
Script : exécuter | + | O |  |  |
Script : sélection en ligne | + | O |  |  |
Variable |  |  |  |  |
Exporter données | - |  | O |  |
Lire un fichier dBase | + | O |  |  |
Imprimer valeurs actuelles | + | O |  |  |
Unit conversion (Conversion d'unités) | + | O |  |  |
Gestion HD active | - |  | O | O |
Gestion HD inactive | - |  | O | O |
Valeurs de tendance inactives/actives | - |  | O | O |
Écriture valeur prescrite | - |  | O |  |
Commandes driver | - | O |  |  |
Transférer l'image de simulation du driver au redondant | - |  |  |  | O
Écrire l'heure dans une variable | + | O |  |  |
Lire l'heure d'une variable | + | O |  |  |
VBA |  |  |  |  |
Ouvrir l'Éditeur PCE | - |  | O |  |
Ouvrir l'éditeur VBA | + | O |  |  |
Exécuter macro VBA | + | O |  |  |
Montrer la boîte de dialogue des macros VBA | + | O |  |  |
VSTA |  |  |  |  |
Ouvrir Éditeur VSTA | + | O |  |  |
Exécuter macro VSTA | + | O |  |  |
Montrer la boîte de dialogue des macros VSTA | + | O |  |  |
Fenêtre |  |  |  |  |
Émettre un fichier-son | + | O |  |  |
Opérations sur fichiers | + | O |  |  |
Son bip : début | + | O |  |  |
Son bip : fin | + | O |  |  |
Fenêtre en arrière-plan | - | O |  |  |
Fenêtre en avant-plan | - | O |  |  |
Imprimer la capture d'écran | + | O |  |  |
Exécuter un programme | + | O |  |  |


Appel de synoptique de liste AML

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Appel de synoptique de liste AML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour ouvrir un filtre de liste d'alarmes dans le Runtime :

  1. Créez un synoptique de filtre de liste d'alarmes.
  2. Créez une fonction d'appel de synoptique pour ce synoptique.
  3. Définissez les propriétés de filtre souhaitées

Dans le Runtime, vous pouvez modifier les propriétés du filtre Exception : dans l'Éditeur, un filtre d'heure fixe a été défini.

Configurer l'appel de synoptique

Pour créer un appel de synoptique de type AML :

  1. Dans le menu contextuel du nœud Fonction, sélectionnez la commande Nouvelle fonction
  2. Cliquez sur Screen switch (Appel de synoptique)
  3. La boîte de dialogue de sélection de synoptiques s'affiche à l'écran
  4. Sélectionnez un synoptique de type Alarme
    Ou créez-le dans cette boîte de dialogue en cliquant sur le symbole Nouveau synoptique
  5. Le filtre est affiché avec les onglets suivants :
    • Généralités
    • Heure
    • Paramétrage des colonnes
    • Texte
    • État
    • Projet (uniquement disponible dans le projet d'intégration de la gestion multi-projets).
    • Equipment modeling (Modélisation d'équipements)

    Si des variables liées ou des indices sont disponibles, les onglets suivants peuvent être affichés en option.

    • Remplacer les liens
    • Remplacer les indices

  6. Définissez les filtres devant être prédéfinis dans le Runtime
  7. Confirmez les paramètres et fermez la boîte de dialogue en cliquant sur OK.
  8. Liez la fonction à un bouton pour pouvoir appeler le synoptique et afficher les propriétés du filtre dans le Runtime

info Info

Si une référence à un synoptique ne comporte pas de filtre de temps, le filtre de temps est désactivé.

Autres sujets abordés dans ce chapitre

Filtre d'appel de synoptique de liste AML


Filtre d'appel de synoptique de liste AML

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Appel de synoptique de liste AML -> Filtre d'appel de synoptique de liste AML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Plusieurs filtres sont disponibles lors de la création d'une fonction d'appel de synoptique pour un synoptique de liste AML. Pour plus de détails, reportez-vous à la section Configuration d'alarmes à l'aide de filtres, dans le chapitre Filtres de l'appel de synoptique de liste d'alarmes.


Appel de synoptique de filtre de liste AML

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Appel de synoptique de filtre de liste AML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour ouvrir un synoptique de filtre de liste d'alarmes dans le Runtime :

  1. Créez un synoptique de filtre de liste d'alarmes.
  2. Créez une fonction d'appel de synoptique pour ce synoptique.
  3. Définissez les propriétés de filtre souhaitées

Dans le Runtime, les propriétés du filtre peuvent uniquement être contrôlées par le biais des boutons définis sur le synoptique.

Configurer l'appel de synoptique

Pour créer un appel de synoptique vers un synoptique de type Filtre de liste d'alarmes :

  1. Dans le menu contextuel du nœud Fonction, sélectionnez la commande Nouvelle fonction
  2. Cliquez sur Screen switch (Appel de synoptique)
  3. La boîte de dialogue de sélection de synoptiques s'affiche à l'écran
  4. Sélectionnez un synoptique de type Filtre de liste d'alarmes
    Ou créez-le dans cette boîte de dialogue en cliquant sur le symbole Nouveau synoptique
  5. Le filtre est affiché avec les onglets suivants :
    • Synoptiques
    • Généralités
    • Texte
    • Heure

  6. Définissez les filtres devant être prédéfinis dans le Runtime
  7. Confirmez les paramètres et fermez la boîte de dialogue en cliquant sur OK.
  8. Liez la fonction à un bouton pour pouvoir appeler le synoptique et afficher les propriétés du filtre dans le Runtime

Autres sujets abordés dans ce chapitre

Filtre d'appel de synoptique de filtre de liste AML


Filtre d'appel de synoptique de filtre de liste AML

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Appel de synoptique de filtre de liste AML -> Filtre d'appel de synoptique de filtre de liste AML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Plusieurs filtres sont disponibles lors de la création d'une fonction d'appel de synoptique pour un synoptique de liste AML. Pour plus de détails, reportez-vous aux sections Configuration d'alarmes à l'aide de filtres et Filtres de la liste d'alarmes.


Fonctions de gestion d'alarmes

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Différentes fonctions facilitent la gestion d'alarmes dans le Runtime.

Pour créer une fonction de gestion des alarmes :

  1. Accédez au nœud Fonctions.
  2. Sélectionnez Nouvelle fonction dans le menu contextuel ou la barre d'outils.
  3. La boîte de dialogue de sélection des fonctions s'affiche à l'écran.
  4. Accédez au nœud AML/CEL.

  5. Sélectionnez la fonction de votre choix.
  6. Configurez la fonction, si nécessaire.
  7. Liez la fonction à un bouton.

Autres sujets abordés dans ce chapitre

Inscrire/désinscrire groupe d'alarmes/d'événements

Alarmes : acquitter clignotement

Alarmes : supprimer

Alarmes : acquitter

Liste d'alarmes actives

Alarm Message List active/inactive (Liste d'alarmes actives/inactives)

Alarmes : désactiver

Activer/désactiver les alarmes, Groupes/Classes d'alarmes/d'événements

Exportation de la liste AML

Sauver buffer mémoire des alarmes et des événements

Print AML or CEL (Imprimer la liste AML ou CEL)

impression en ligne on/off

Démarrer nouvelle page pour l'impression en ligne

Changer imprimante en ligne


Inscrire/désinscrire groupe d'alarmes/d'événements

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> Inscrire/désinscrire groupe d'alarmes/d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour optimiser les performances de la connexion, les groupes d'alarmes/d'événements inutiles peuvent être désactivés. Leurs variables ne sont alors plus requises par le driver.

Pour utiliser cette fonction, vous devez :

  1. Définir l'action : déconnexion ou connexion
  2. Définir le groupe d'alarmes/d'événements
    (Un seul groupe peut être défini par fonction)

Paramètre

Description

Action

Définit l'action. Actions disponibles :

  • Déconnexion : désactive le groupe d'alarmes/d'événements
  • Connexion : active le groupe d'alarmes/d'événements

Groupe d'alarmes/d'événements

Sélection du groupe d'alarmes/d'événements. Lorsque vous cliquez sur le bouton, une boîte de dialogue s'ouvre, vous permettant de sélectionner le groupe.

OK

Confirme votre choix et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Exemple

Un bit de groupe d'alarmes est créé dans l'automate. Si ce bit est défini, la fonction Groupe d'alarmes actif est appelée via la gestion des limites. Les variables sont demandées, et les limites correspondantes dans zenon sont contrôlées. Le bit peut être réinitialisé dans l'automate. Le groupe d'alarmes/d'événements peut être à nouveau désactivé au-dessus d'une certaine valeur limite. Au démarrage du système, toutes les limites de variables sont testées.


Alarmes : acquitter clignotement

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> Alarmes : acquitter clignotement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'acquittement du clignotement dans le Runtime, seuls l'attribut de clignotement des variables de procédé et le clignotement de tous les éléments graphiques sur le synoptique sont réinitialisés. L'entrée dans la liste d'alarmes n'est pas acquittée, sauf si la propriété Acquittement clignotement est active.

Pour acquitter le clignotement des alarmes dans le Runtime :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Acquitter clignotement.
  3. La boîte de dialogue de sélection des gabarits s'ouvre.
  4. Sélectionnez le cadre que vous voulez attribuer.
  5. Sélectionnez le moniteur de votre choix pour les systèmes multi-moniteurs.
  6. Liez la fonction à un bouton.

Paramètre

Description

Sélectionnez un cadre.

Cadres dont le clignotement doit être acquitté.

Moniteur

Pour les projets multi-moniteurs, sélectionnez le moniteur virtuel utilisé pour l'exécution :

  • Moniteur actuel
  • Moniteur virtuel désigné

Déplacer vers moniteur

Actif : des barres de défilement sont visibles dans le Runtime, vous permettant d'accéder au moniteur de votre choix.


Alarmes : supprimer

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> Alarmes : supprimer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour supprimer les alarmes collectivement à l'aide de critères de filtre, utilisez la fonction Supprimer alarme :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Supprimer alarme.
  3. La boîte de dialogue de configuration des critères de filtre s'ouvre
    (semblable aux critères de filtre de la fonction d'appel de synoptique).

  4. Définissez les critères pour les éléments suivants :
    • Généralités
    • Heure
    • Texte
    • État
  5. Liez la fonction à un bouton.

Autorisation utilisateur

Les fonctions d'acquittement des alarmes et de suppression des alarmes peuvent être attribuées à un groupe d'utilisateurs via l'autorisation de fonctions. Seul un utilisateur autorisé peut acquitter et supprimer des alarmes.

En outre, un droit d'utilisation supplémentaire peut être défini par le biais de la propriété Suppr. obligatoire du sous-groupe concerné dans le groupe Valeurs limites. Les alarmes sélectionnées peuvent uniquement être supprimées de la liste d'alarmes par les utilisateurs disposant des droits nécessaires.

Si la propriété Suppr. obligatoire est définie, les alarmes sont uniquement retirées de la liste d'alarmes actives lorsqu'elles sont supprimées. L'acquittement seul ne suffit pas.

info Info

Les alarmes peuvent uniquement être supprimées après avoir été préalablement acquittées.


Alarmes : acquitter

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> Alarmes : acquitter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction vous permet d'acquitter les alarmes de Runtime dans la liste d'alarmes. Et surtout, elle autorise un acquittement global.

Si cette fonction est activée dans le Runtime, l'attribut de clignotement des éléments graphiques liés aux variables – et donc aux synoptiques d'alarme – est réinitialisé (SICAM 230 uniquement). Les alarmes sélectionnées sont acquittées.

Pour plus d'informations concernant les paramètres de transfert, reportez-vous au chapitre Configurer les alarmes avec des filtres.

Pour acquitter les alarmes avec cette fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Acquitter alarme.
  3. La boîte de dialogue de configuration des critères de filtre s'ouvre
    (semblable aux critères de filtre de la fonction d'appel de synoptique).

  4. Définissez les critères pour les éléments suivants :
    • Généralités
    • Heure
    • Texte
    • État
  5. Liez la fonction à un bouton.

Autorisation utilisateur

Les fonctions d'acquittement des alarmes et de suppression des alarmes peuvent être attribuées à un groupe d'utilisateurs via l'autorisation de fonctions. Seul un utilisateur autorisé peut acquitter et supprimer des alarmes.

En outre, un droit d'utilisation supplémentaire peut être défini par le biais de la propriété Suppr. obligatoire du sous-groupe concerné dans le groupe Valeurs limites. Les alarmes sélectionnées peuvent uniquement être supprimées de la liste d'alarmes par les utilisateurs disposant des droits nécessaires.

Si la propriété Suppr. obligatoire est définie, les alarmes sont uniquement retirées de la liste d'alarmes actives lorsqu'elles sont supprimées. L'acquittement seul ne suffit pas.

info Info

Les alarmes peuvent uniquement être supprimées après avoir été préalablement acquittées.


Liste d'alarmes actives

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> Liste d'alarmes actives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsqu'elle est sélectionnée, cette option définit l'état de la liste d'alarmes comme active dans le Runtime.


Alarm Message List active/inactive (Liste d'alarmes actives/inactives)

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> Alarm Message List active/inactive (Liste d'alarmes actives/inactives)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsqu'elle est sélectionnée, cette option permet de définir comme actif ou inactif l'état de la liste d'alarmes dans le Runtime.


Alarmes : désactiver

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> Alarmes : désactiver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsqu'elle est sélectionnée, cette option définit l'état de la liste d'alarmes comme inactive dans le Runtime.


Activer/désactiver les alarmes, Groupes/Classes d'alarmes/d'événements

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> Activer/désactiver les alarmes, Groupes/Classes d'alarmes/d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet d'activer ou de désactiver les alarmes de certain(e)s groupes ou classes ou toutes les alarmes de la liste d'alarmes, ou de basculer entre ces deux états.

Pour activer ou désactiver des alarmes :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Liste d'alarmes, puis Activate/deactivate alarm/event groups/classes (Activer/désactiver des groupes/classes d'alarmes/d'événements).
  3. La boîte de dialogue de sélection des alarmes s'ouvre.
  4. Définissez les paramètres de la fonction.
  5. Liez la fonction à un bouton.

Paramètre | Description
Sélection | Sélection des alarmes.
Whole alarm message list (Toute la liste d'alarmes) | La fonction s'applique à l'ensemble de la liste d'alarmes.
Groupe d'alarmes/d'événements | La fonction s'applique à un groupe précis. Sélection : cliquez sur le bouton pour afficher une liste déroulante.
Alarms of the alarm/event class (Alarmes de la classe d'alarmes/d'événements) | La fonction s'applique à une classe précise. Sélection : cliquez sur le bouton pour afficher une liste déroulante.
Activer/désactiver | Action de la fonction.
activer | Active l'élément sélectionné.
Désactiver | Désactive l'élément sélectionné.
Basculer | Modifie l'état (actif/inactif).


Exportation de la liste AML

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> Exportation de la liste AML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet d'exporter les alarmes enregistrées avec des conditions de filtre vers un fichier ou une base de données dans le Runtime.

Pour exporter des alarmes :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Export AML (Exporter la liste AML).
  3. La boîte de dialogue de sélection des critères de filtre s'affiche
  4. Définissez les critères pour les éléments suivants :
    • Export format (Format d'exportation)
    • Généralités
    • Heure
    • Projet
  5. Liez la fonction à un bouton.

Autres sujets abordés dans ce chapitre

Export format (Format d'exportation)


Export format (Format d'exportation)

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> Exportation de la liste AML -> Export format (Format d'exportation)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Export format (Format d'exportation)

Différents formats d'exportation sont disponibles :

  • dBase
  • CSV
  • XML
  • SQL

info Info

L'exportation au format SQL se déroule de manière incrémentielle. Si des données exportées sont déjà présentes, seules les données nouvelles et modifiées sont exportées.

Paramètre

Description

Export format (Format d'exportation)

Sélection du type du fichier. Formats possibles :

  • dBase : format DBaseIV (*.dbf) :
  • CSV
  • XML
  • SQL

Remarques concernant dBase :

  • Les noms de fichier ne peuvent pas comporter plus de huit caractères.
  • La largeur de colonne configurée est utilisée lors de l'exportation. Si par exemple, une valeur de 40 est définie dans Paramètres des colonnes, 40 caractères maximum sont alors exportés.
  • Au maximum, 255 caractères sont exportés.

Options

En Unicode

L'exportation au format ASCII est effectuée en texte Unicode.

Exportation incrémentielle

Seuls les différences intervenues depuis la dernière sauvegarde sont exportées.

Export to file (Exporter vers le fichier)

Spécifiez le fichier dans lequel seront enregistrées les données exportées.

Nom de fichier

Spécifiez un nom de fichier individuel.

Le nom de fichier peut comporter au maximum 32 caractères alphanumériques, suffixe de fichier inclus.

Remarque : les fichiers existants portant le même nom seront remplacés.

Attribution automatique du nom de fichier

Actif : Le nom de fichier sera généré automatiquement à partir d'un identifiant court, d'une date et d'un suffixe automatique individuel.
Inactif : le nom de fichier est saisi par l'utilisateur sous Filename (Nom de fichier).

(Les entrées existantes ne sont pas écrasées).

Pour plus de détails, voir le tableau suivant : Codage du nom pour la fonction de dénomination automatique

Postfix (Suffixe)

Identification individuelle libre. Uniquement disponible pour l'option Generate filename automatically (Générer le nom de fichier automatiquement).

Saisies possibles :

  • dBase : 1 caractère alphanumérique
  • ASCII et XML : 32 caractères alphanumériques

Exemple

Affichage du nom de fichier entier avec génération automatique.

Dossier d'export

Affichage du chemin d'exportation actuel configuré dans les propriétés du projet. (Propriété Dossier runtime dans le nœud Général/Nom/Dossier.)

Exporter dans base de données SQL

Paramètres d'exportation sous forme de base de données SQL

Connexion à la base de données

Configuration de la connexion à la base de données. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de configuration.

Table

Sélection de la table dans laquelle sera réalisée l'écriture.

Onglet Général

Filtre général. Reportez-vous au chapitre Configuration d'alarmes à l'aide de filtres, section Général.

Onglet Heure

Filtre de temps. Reportez-vous au chapitre Configuration d'alarmes à l'aide de filtres, section Heure.

Projet

Filtre de projet. Uniquement disponible dans le projet d'intégration de la gestion multi-projets.

Pour la configuration, reportez-vous au chapitre Configuration d'alarmes à l'aide de filtres, section Projet.

Codage du nom pour la fonction de dénomination automatique

Nom

AJJMMTTP.XXX

A

Identification courte de la liste d'alarmes

AAMMJJ

Saisie de la date :

  • AA : Année, deux chiffres
  • MM : Mois, deux chiffres
  • JJ : Jour, deux chiffres

P

Identification individuelle libre :

  • dBase : 1 caractère alphanumérique
  • ASCII et XML : 32 caractères alphanumériques

XXX

Extension de fichier :

  • DBF : dBase
  • TXT : CSV
  • XML : XML

Considérations relatives au format

  • Format de saisie de ligne : déterminé par la configuration des propriétés Paramétrage colonnes alarmes et Paramétrage colonnes liste d'événements.
  • Séparateur de colonnes : Point-virgule (;)

attention Attention

Millisecondes pour l'impression ou l'exportation

Si, lors de l'impression ou de l'exportation de la liste AML ou CEL, des informations de temps en millisecondes doivent être fournies, cette propriété doit être activée dans la boîte de dialogue de paramètres des colonnes. Pour cela :

  • Accédez aux nœuds Liste d'alarmes ou Liste chronologique d'événements dans les propriétés.
  • Cliquez sur le bouton ... de la propriété Paramétrage colonnes alarmes ou Paramétrage colonnes liste d'événements.
  • La boîte de dialogue des paramètres des colonnes s'affiche à l'écran.
  • Cochez la case adjacente à la propriété Millisecondes.

Ce paramètre doit être défini pour les listes AML et CEL.

Notes SQL

attention Attention

Assurez-vous que le fournisseur configuré dans la connexion est également disponible sur l'ordinateur du Runtime dans le Runtime.

Remarque : Un client SQL est également installé avec l'Éditeur de zenon. Le Runtime de zenon ne nécessite pas de serveur SQL ; aussi, aucun client SQL n'est automatiquement installé. Celui-ci peut être téléchargé dans le Centre de téléchargement Microsoft et doit être installé individuellement.

Assurez-vous d'avoir installé la version correcte lors de l'installation du fournisseur. Celle-ci doit correspondre à la version de zenon utilisée. Ceci signifie : si la version 32 bits du Runtime de zenon est utilisée, le fournisseur doit également être une version 32 bits, même s'il est installé sous un système d'exploitation 64 bits et même si la base de données est une application 64 bits.


Sauver buffer mémoire des alarmes et des événements

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> Sauver buffer mémoire des alarmes et des événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet d'enregistrer le contenu de la mémoire circulaire, et notamment les alarmes et les événements, ainsi que les valeurs des variables mathématiques (compteurs). Les entrées sont enregistrées dans les fichiers suivants :

Fichier | Contenu | La taille peut être définie dans les propriétés
ALARM.BIN | Alarmes | Taille de la mémoire circulaire (buffer circulaire)
CEL.BIN | Entrées de la liste chronologique d'événements | Taille de la mémoire circulaire (buffer circulaire)
SY_MA32.BIN | Valeurs des variables mathématiques (par ex., compteurs) |

Pour enregistrer la mémoire circulaire de la liste AML :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Save AML and CEL ring buffer (Enregistrer la mémoire circulaire des listes AML et CEL)
  3. Liez la fonction à un bouton.


Print AML or CEL (Imprimer la liste AML ou CEL)

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> Print AML or CEL (Imprimer la liste AML ou CEL)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet de transférer les alarmes enregistrées et leurs conditions de filtre vers une imprimante dans le Runtime.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez l'option Print AML or CEL (Imprimer liste AML ou CEL)
  3. La boîte de dialogue de sélection de la liste s'affiche

  4. Sélectionnez Liste d'alarmes
  5. La boîte de dialogue de sélection des critères de filtre s'affiche
  6. Définissez les critères pour les éléments suivants :
    • Généralités
    • Heure
    • Police : Sélectionnez les polices définies dans zenon
  7. Liez la fonction à un bouton.

info Info

Dans le Runtime, vous ne pouvez pas basculer entre les listes CEL et AML. Pour imprimer les deux listes, vous devez développer deux fonctions.

Disposition des lignes

Date/Heure d'apparition | Date/Heure de disparition | Date/Heure d'acquittement | Texte long - identification | Texte d'état

Les mots-clé disponibles pour le fichier de formatage (ALAR.FRM, pour l'impression en ligne, et ALAR_G.FRM, pour l'impression hors ligne) et des exemples de leur utilisation sont disponibles au chapitre Fichier de configuration FRM, dans la section Fonctionnement dans le Runtime.

Le fichier FRM comporte trois parties :

  • En-tête : situé en début de page
  • Liste : cyclique par ligne
  • Pied-de-page : situé en fin de page

Principes

Lors de l'édition de fichiers FRM, tenez compte des consignes suivantes :

  • Séparation des composantes de la liste :
    • L'en-tête et la section de liste, et la section de liste et le pied de page sont séparés par %%.

      Le marqueur de séparation ne doit être utilisé qu'à deux reprises entre les parties d'entête et liste et entre la partie liste et le pied de page.

    • Attention : la dernière ligne doit être suivie d'au moins deux paragraphes vides. Sinon le pied page n'est pas imprimé !
  • Positionnement des entrées individuelles :
    Vous pouvez uniquement utiliser des espaces (pas de marques de tabulation).
  • Édition de fichiers FRM dans un Éditeur de texte :
    la fonction d'insertion automatique de sauts de ligne doit être désactivée ; dans le cas contraire, des effets indésirables peuvent affecter la mise en forme.

Mots clés

La configuration de la longueur de page est effectuée dans les propriétés de projet, sous Alarmes et événements, ou via le fichier ALARM.frm ou ALAR_G.frm, pour la liste AML, ou via BTB.frm et BTB_G.frm, pour la liste CEL.

Note :

  • le nombre d'entrées d'alarmes par page découle du nombre prédéfini de lignes (par ex. Lignes par page 72), auquel viennent se soustraire les lignes utilisées pour les textes d'entête et de pied de page.
  • L'option Utiliser heure de réactivation doit être activée pour que l'utilisateur puisse utiliser les mots-clé permettant d'évaluer la réactivation (heure, nombre).
  • Des textes libres et des mots-clé peuvent être utilisés dans le fichier de formatage. Les mots-clé peuvent être utilisés en allemand ou en anglais. Il est recommandé d'utiliser des mots-clé en anglais.
  • Tous les mots-clés ne sont pas adaptés à tous les types d'impression (AML, CEL, en ligne, hors ligne).

Le rapport suivant contient les mots-clés en anglais et en allemand, ainsi que leur domaine d'application.

Allemand | Anglais | Liste d'alarmes hors ligne | Liste chronologique d'événements hors ligne | Liste de messages en ligne | Liste chronologique d'événements en ligne | Description
Mots-clés correspondant à la partie de la liste
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Description externe
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Heure et date de début de l'alarme
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Heure et date de fin de l'alarme
@DATZEITOK | @DTACK | X | - | X | - | Heure et date d'acquittement de l'alarme
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Heure et date de réactivation de l'alarme La propriété Utiliser heure de réactivation des propriétés du projet doit être activée.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Heure et date de réception, d'acquittement ou de réactivation de l'alarme
@ZEIT | @TLASTEVENT | - | - | X | X | Heure et date de réception, d'effacement, d'acquittement ou de réactivation de l'alarme
@ZEITOK | @TACK | X | - | X | - | Affiche uniquement l'heure d'acquittement de l'alarme
@ZTKOMMT | @TRECEIVED | X | X | X | X | Affiche uniquement l'heure de réception de l'alarme
@ZTGEHT | @TCLEARED | X | - | X | - | Affiche uniquement l'heure de fin de l'alarme
@ZTREAKT | @TREACTIVATE | X | - | X | - | Affiche uniquement l'heure de réactivation de l'alarme
@TIMELASTING | @TACTIVE | X | - | X | - | Durée d'activité (différence entre l'heure de réception et l'heure d'effacement)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@KANALNAME | @VARNAME | X | X | X | X | Nom de la variable Liste chronologique d'événements : uniquement les entrées comportant des variables
@AK | @ACLASSNR | X | X | X | X | Nom de la classe d'alarmes/d'événements
@AG | @AGROUPNR | X | X | X | X | Numéro du groupe d'alarmes/d'événements
@AGNAME | @AGROUPNAME | X | X | X | X | Nom du groupe d'alarmes/d'événements
@AKNAME | ACLASSNAME | X | X | X | X | Nom de la classe d'alarmes/d'événements
@TAGNR | @IDENTIFICATION | X | X | X | X | Identification (intitulé spécifique à l'entreprise)
@AMELDUNG | @TEXT | X | X | X | X | Texte de message d'alarme
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Nombre de réactivations
@STATUS | @STATUS | X | X | X | X | Informations d'état, identiques à la liste d'alarmes
@WERT | @VALUE | X | X | X | X | Valeur variable de l'alarme
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commentaire provenant de la liste d'alarmes. Si vous utilisez des textes de limite dynamiques, cette fonction est uniquement disponible si les propriétés Textes de limite dynamiques longs pour les alarmes ou Textes de limite dynamiques longs pour les événements sont activées.
@USER | @USERID | X | X | X | X | AML : utilisateur ayant acquitté l'alarme.
@RECHNER | @COMPUTER | X | X | X | X | AML : ordinateur sur lequel l'alarme a été acquittée.
Mots-clés pour les en-têtes et pieds de page
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@SEITE | @PAGE | X | X | X | X | Numéro de page
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Date et heure du système
@HEADDATUM | @DSYSTEM | X | X | X | X | Date du système
@HEADZEIT | @TSYSTEM | X | X | X | X | System time (Heure système)
@USER | @USERID | X | X | X | X | Utilisateur ayant effectué l'impression
@USERNAME | @USERNAME | X | X | X | X | Nom complet de l'utilisateur ayant déclenché l'action
@RECHNER | @COMPUTER | X | X | X | X | Ordinateur depuis lequel est lancé l'impression
[Texte] | [Texte] |  |  |  |  | Texte au choix

attention Attention

Vous devez laisser suffisamment de place entre les mots-clés pour que les entrées ne soient pas remplacées. Vous garantirez ainsi le bon affichage des textes de limite longs.

Exemple :

@TEXT (espaces jusqu'ici)

Configuration des millisecondes

attention Attention

Millisecondes pour l'impression ou l'exportation

Si, lors de l'impression ou de l'exportation de la liste AML ou CEL, des informations de temps en millisecondes doivent être fournies, cette propriété doit être activée dans la boîte de dialogue de paramètres des colonnes. Pour cela :

  • Accédez aux nœuds Liste d'alarmes ou Liste chronologique d'événements dans les propriétés.
  • Cliquez sur le bouton ... de la propriété Paramétrage colonnes alarmes ou Paramétrage colonnes liste d'événements.
  • La boîte de dialogue des paramètres des colonnes s'affiche à l'écran.
  • Cochez la case adjacente à la propriété Millisecondes.

Ce paramètre doit être défini pour les listes AML et CEL.


impression en ligne on/off

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> impression en ligne on/off

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'impression en ligne est définie dans un état particulier lors de l'utilisation de cette fonction :

  • Actif : impression en ligne on
  • Inactif impression en ligne off
  • actif/inactif Active/désactive l'impression en ligne

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Switch online printing on/off (Activer/désactiver l'impression en ligne)
  3. La boîte de dialogue de sélection de l'action s'affiche.

  4. Sélectionnez l'action souhaitée.
  5. Liez la fonction à un bouton.


Démarrer nouvelle page pour l'impression en ligne

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> Démarrer nouvelle page pour l'impression en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction vous permet de contrôler l'instruction de présentation de page suivante dans le Runtime lors de l'impression en ligne :

Les pieds de page configurés seront imprimés sur la page actuelle, puis l'impression passera à une nouvelle page. Le compteur de pages sera réinitialisé à 1 et l'en-tête sera imprimé.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Start online printing on a new page (Démarrer l'impression en ligne sur une nouvelle page)
  3. Liez la fonction à un bouton.


Changer imprimante en ligne

Manuels -> Gestion des alarmes -> Configuration des alarmes -> Fonctions -> Fonctions de gestion d'alarmes -> Changer imprimante en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec cette fonction, l'imprimante pour l'impression en ligne peut être changée pendant le Runtime.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Changer imprimante en ligne
  3. La boîte de dialogue de sélection de l'utilisateur s'affiche.
  4. Sélectionnez l'imprimante de synoptique souhaitée dans la liste déroulante.
  5. Liez la fonction à un bouton.

Paramètres | Description
Sélection imprimante | Sélectionnez l'imprimante souhaitée dans la liste déroulante.
Afficher cette boîte de dialogue dans le Runtime | Actif : Lorsque cette fonction est exécutée, la boîte de dialogue est affichée et l'imprimante peut être définie dans le Runtime.


Fonctionnement dans le Runtime

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La liste d'alarmes est affichée, dans le Runtime, par le biais d'une fonction d'appel de synoptique.

Les éléments de contrôle disponibles et l'apparence sont configurés dans l'Éditeur.

Élément

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Liste d'alarmes

Affichage des alarmes. L'apparence peut être configurée. Les colonnes sont définies par le biais du filtre Paramètres des colonnes de la fonction d'appel de synoptique, ou via la propriété Paramétrage colonnes alarmes du groupe Liste d'alarmes.

Affichage : Définir filtre

Affichage des conditions de filtre actuellement sélectionnées.

Filtre ...

Ouvre des boîtes de dialogue de sélection de filtres.

Acquittement/suppression

Groupes de boutons d'acquittement et de suppression d'alarmes
  • acquitter

Acquittement des messages d'alarme dans le Runtime.
  • Acquitter la page

Toutes les alarmes affichées sur la page courante sont acquittées.
  • Acquitté Tout

Toutes les alarmes pour le filtre courant sont acquittées.

Note concernant les projets multi-utilisateurs : les alarmes sont uniquement acquittées dans les projets pour lesquels l'utilisateur dispose des autorisations requises. (Pour plus de détails concernant les projets multi-utilisateurs, reportez-vous au chapitre Développement distribué).

  • Supprimer

Supprime l'alarme de la liste d'alarmes dans le Runtime. Les alarmes doivent déjà être acquittées.
  • Supprimer la page

Supprime toutes les alarmes acquittées affichées sur la page actuelle.
  • Delete all (Supprimer tout)

Supprime toutes les alarmes acquittées correspondant aux critères de filtre actuels.

Stopper

Changer l'état de remplissage de la liste :

Stop : les nouveaux éléments ne sont plus ajoutés automatiquement.

Suivant : les nouveaux éléments sont ajoutés automatiquement.

Attention : la police du bouton peut être modifiée dans l'Éditeur, mais cette modification n'est pas répercutée dans le Runtime. Vous pouvez configurer les modifications de la police à l'aide de la fonction de Changement de langue.

Fermer

Ferme la liste d'alarmes

Imprimer

Imprime la liste filtrée.

Print with dialog... (Imprimer avec boîte de dialogue)

Ouvre les paramètres d'impression avant de lancer l'impression.

Affichage : Fonction liée

Affiche le message attribué au message d'alarme.

Exécuter une fonction

Exécute les fonctions configurées pour l'alarme dans le Runtime.

Remarque : la fonction Exécuter un programme permet de transférer le nom de variable de l'alarme sélectionnée, sous forme de paramètre du programme à démarrer, avec le mot-clé @alarm.name.

Ouvrir l'aide

Affiche l'Aide configurée.

Afficher

État et éléments de la gestion des alarmes.
  • Nombre total

Nombre d'occurrences de toutes les alarmes.
  • Nbre non-acquittées

Affiche le nombre d'alarmes non-acquittées.
  • Info : Status of Alarm Message List (État de la liste d'alarmes)

Afficher si la liste d'alarmes est active ou non (propriété de projet Gestion d'alarmes active).
  • Comment field (Champ de commentaires)

Saisie de texte (commentaire) par l'utilisateur pour l'alarme sélectionnée. Ce texte peut être affiché dans la liste (option Commentaire dans la section Paramètres des colonnes de la gestion des alarmes.)

Navigation

Contrôle les éléments de la liste.
  • Ligne précédente

Remonte d'une ligne.
  • Ligne suivante

Descend d'une ligne.
  • Colonne de droite

Se déplace d’une colonne vers la droite.
  • Colonne de gauche

Se déplace d’une colonne vers la gauche.
  • Page précédente

Remonte d'une page.
  • Page suivante

Descend d'une page.
  • Page de droite

Se déplace d’une page vers la droite.
  • Page de gauche

Se déplace d’une page vers la gauche.

Profils de filtre

Paramètres de filtre pouvant être enregistrés par l'utilisateur dans le Runtime.

  • Sélection profil

Sélectionner un profil dans la liste.
  • Enregistrer

Enregistrer la configuration actuelle sous forme de profil.
  • Supprimer

Supprime le profil sélectionné.

Configuration de l'affichage

Configurez l'affichage des informations dans la ligne d'état des alarmes et la liste d'alarmes à l'aide des paramètres des colonnes de la configuration des alarmes. Vous pouvez accéder à la configuration des colonnes par le biais des options suivantes :

  • Paramètres du projet -> Liste d'alarmes -> Paramétrage colonnes alarmes (onglet Paramètres des colonnes uniquement)

    or

  • Fonction d'appel d'un synoptique de type AML (tous les onglets)

Fonctions de configuration des limites d'alarmes

Lors du démarrage du Runtime, une vérification est effectuée afin de déterminer si la valeur de limite a déjà été atteinte avant la fermeture du Runtime. Si c'est le cas, la fonction liée n'est pas exécutée à nouveau.
Remarque : si la limite n'est pas une alarme, l'exécution de la fonction de valeur limite au démarrage du Runtime peut être influencée par le paramètre de projet - dans le groupe Fonctions. Ce paramètre influence uniquement les limites qui ne sont pas des alarmes.

Autres sujets abordés dans ce chapitre

Ligne d'état d'alarmes

Liste d'alarmes

Alarmes : acquitter

Alarmes : acquitter clignotement

Alarmes : supprimer

Filtrage d'alarmes

Impression et exportation d'alarmes


Ligne d'état d'alarmes

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime -> Ligne d'état d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La ligne d'état des alarmes affiche les alarmes non acquittées en Runtime dans une barre en haut de l'écran en noir sur fond rouge. Elle contient des informations concernant les variables à déclencher et l'heure. La ligne d'état des alarmes est définie comme une fenêtre de premier plan de Windows, et se superpose donc à tous les écrans de zenon, ainsi qu'à ceux d'autres applications.

Pour acquitter les alarmes, double-cliquez dessus avec le bouton droit de la souris.

Configuration de la ligne d'état des alarmes

Pour afficher la ligne d'état des alarmes dans le Runtime, activez la propriété Ligne d'état active dans les propriétés de projet du groupe Liste d'alarmes.

Les actions de la ligne d'état des alarmes dans le Runtime, ainsi que la police utilisée, sont définies dans les propriétés de projet de Ligne d'état des alarmes dans le groupe Liste d'alarmes :

  • afficher suivante : définit la ligne d'état des alarmes sous forme de système circulaire. La propriété Taille de la mémoire circulaire (buffer circulaire) permet de définir la taille du système circulaire. Si cette propriété est désactivée, la ligne d'état ne contient toujours qu'une seule alarme.
  • Visualisation : définit l'affichage du filtre le plus ancien ou de l'alarme la plus récente. Sélectionnez l'option souhaitée dans la liste déroulante.
    • Alarme la plus ancienne : mémoire tampon de type FIFO
    • Alarme la plus récente : mémoire tampon de type LIFO

attention Attention

Behavior in multi-project administration (Comportement dans la gestion multi-projets) :

la configuration dans le projet d'intégration définit le comportement des sous-projets, indépendamment de la configuration des sous-projets.

  • Si la ligne d'état des alarmes est désactivée dans un sous-projet, mais pas dans l'intégration d'un projet de départ, la ligne d'état des alarmes reste affichée.
  • Si la ligne d'état des alarmes est activée dans le projet de niveau supérieur, elle est également affichée dans le sous-projet, même si elle a été désactivée ici.
  • La ligne d'état des alarmes du projet de niveau supérieur est toujours utilisée dans le Runtime.

Positionnement

Par défaut, la ligne d'état des alarmes est affichée en haut de l'écran (Sa hauteur est de 18 pixels avec la police standard). Vous pouvez en modifier la taille et la position dans les cadres. Pour cela, sélectionnez la ligne d'état des alarmes et désactivez l'option Utiliser la position standard. Vous pouvez alors positionner la ligne d'état des alarmes à votre convenance, de la même manière que les cadres.
Dans le cas d'une gestion multi-projets, la ligne d'état des alarmes du projet d'intégration (c'est-à-dire le projet père) détermine la position. Le paramétrage des sous-projets est ignoré.

Messages d'état dans la ligne d'état bleue

Vous pouvez définir trois messages d'état pour informer l'utilisateur que le nombre d'alarmes dépasse un certain nombre, ou que la taille de la mémoire circulaire de la liste d'alarmes va bientôt être dépassée.
Les messages d'état s'affichent dans la ligne rouge d'état des alarmes jusqu'à ce qu'ils soient acquittés. Vous pouvez les acquitter en double-cliquant dessus avec le bouton droit de la souris. Pour cela, l'utilisateur doit faire partie du groupe d'autorisation requis. Ces autorisations peuvent être configurées dans la gestion d'utilisateurs, via les autorisations de fonctions.

Les considérations suivantes s'appliquent à l'ouverture de la barre d'état bleue :

  • La priorité d'affichage de la ligne bleue est supérieure à celle de la ligne rouge d'état des alarmes.
  • La ligne bleue réagit uniquement au nombre total d'entrées de la liste.
  • Les valeurs maximales du nombre total d'entrées de la liste peuvent être définies par le biais des propriétés du groupe Ligne d'état des alarmes. Chaque valeur maximale peut être associée à un message affiché au bas de l'écran en cas de dépassement.
  • La valeur maximale possible est active en permanence.
  • La ligne bleue peut uniquement être désactivée avec un clic droit. Dans ce cas, la valeur maximale adjacente est uniquement déclenchée si elle a été explicitement atteinte.
  • Une valeur maximale désactivée est alors uniquement réactivée en cas de nouveau dépassement.


Liste d'alarmes

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime -> Liste d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La liste d'alarmes montre les messages d'alarmes ligne par ligne en Runtime.

Pour créer et afficher la liste AML, activez la propriété Gestion d'alarmes active dans le groupe Liste d'alarmes.

Dans la section Paramètres des colonnes, vous pouvez configurer le format d'affichage dans le filtre de la fonction d'appel de synoptique pour un synoptique de type Alarme.

Les alarmes sont enregistrées dans une mémoire circulaire (alarm.bin) et un fichier d'alarmes (*.aml) dans le dossier Runtime, dès leur déclenchement.

Buffer circulaire

La mémoire annulaire inclut toutes les alarmes actives. Celle-ci gère les éléments suivants :

  • Heure de déclenchement (en millisecondes), servant de signature unique
  • Informations supplémentaires – cause, valeur, etc.
  • Heure de disparition
  • Heure d'acquittement

Lors de l'acquittement d'une alarme, toutes les alarmes correspondant à une variable associée au même dépassement de limite sont également supprimées de la mémoire circulaire.

Dès qu'une alarme est acquittée, elle est supprimée de la mémoire annulaire. Exception : Si la propriété Suppr. obligatoire est définie, l'alarme doit être délibérément supprimée par l'utilisateur.

Taille de la mémoire circulaire (buffer circulaire)

La taille de la mémoire circulaire doit être définie dans les propriétés du projet, par l'intermédiaire de la propriété Taille de la mémoire circulaire (buffer circulaire).
Valeur recommandée : définir une taille au moins égale au nombre de variables pour lesquelles des alarmes peuvent se déclencher.

La mémoire circulaire est automatiquement enregistrée sous forme de fichier alarm.bin lors de la fermeture du Runtime. Si le Runtime est fermé par un événement inattendu tel une coupure de courant, une perte de données se produit. Pour éviter cela, la mémoire circulaire peut être enregistrée manuellement, via la propriété Sauvegarder buffer circulaire de manière spontanée, à chaque nouvelle entrée ; elle peut également être enregistrée via la fonction Sauver buffer mémoire des alarmes et des événements.

Attention : Dans le Runtime, la mémoire circulaire est gérée de manière dynamique dans la mémoire. Le nombre d'alarmes défini permet même d'afficher les alarmes qui ne comportent aucune information d'acquittement dans leurs informations d'horodatage. Ainsi, des alarmes dépassant la taille de la mémoire circulaire peuvent être affichées.

Example Exemple
  • Taille de la mémoire circulaire : 100 entrées
  • Alarmes actives dans le Runtime sans informations d'acquittement dans les informations d'horodatage : 120
  • Affichage dans la liste d'alarmes dans le Runtime : 120

Fichier d'alarmes

Toutes les alarmes sont consignées dans un fichier d'alarmes (*.aml) en même temps que dans la mémoire circulaire. Ce fichier est créé automatiquement pour chaque jour calendaire, et géré via la propriété Enregistrer les données d'alarmes. Le nom du fichier d'alarmes est constitué de la lettre A, suivie de la date au format AAMMJJ et du suffixe .aml – par exemple, A100623.aml. Ces fichiers sont créés automatiquement pour chaque jour et doivent être transférés ou supprimés par l'utilisateur si la capacité de stockage est limitée. Les fichiers *.aml sont enregistrés dans le dossier ...\Projektordner\Computername\Projektname.

Synchronisation de la mémoire circulaire et du fichier d'alarmes

La mémoire circulaire et le fichier d'alarmes sont synchronisés. Cette synchronisation découle de la mémoire circulaire vers le fichier d'alarmes. Toutes les modifications, telles que l'acquittement, sont uniquement exécutées dans la mémoire circulaire avant d'être synchronisées au niveau du fichier d'alarmes. Ainsi, par exemple, toutes les alarmes non acquittées peuvent être affichées dans le fichier d'alarmes et l'acquittement peut être introduit au niveau du fichier. L'action, toutefois, se déroule au niveau de la mémoire circulaire.

Périodes d'enregistrement

Le fichier d'alarme au format *.aml est enregistré à chaque nouvelle entrée.

La mémoire circulaire (*.bin) est enregistrée :

  • Lors de la fermeture du Runtime
  • À chaque nouvelle entrée, si la propriété Sauvegarder buffer circulaire de manière spontanée est active
  • Lors de l'exécution de la fonction Sauver buffer mémoire des alarmes et des événements

    Sauver buffer mémoire des alarmes et des événements

    Cette fonction enregistre les alarmes et les évévenements courants dans les fichiers ALARM.BIN et CEL.BIN.

    Plus de détails dans l'aide en ligne

Remarque : si l'option Sauvegarder buffer circulaire de manière spontanée est désactivée, il est possible que les entrées dans la liste AML et la mémoire circulaire ne correspondent pas, après une panne de courant.

attention Attention

Si la capacité de la mémoire circulaire est dépassée car cette dernière elle est trop petite, les entrées non acquittées sont conservées dans le fichier d'alarmes. Elles sont affichées durant le filtrage des données, mais ne peuvent plus être acquittées. Toute tentative d'acquittement de ces alarmes peut déclencher l'acquittement au niveau de la mémoire circulaire si les alarmes concernant la même variable et le même dépassement de limite.

Liste AML dans le Runtime

Les alarmes dans la liste d'alarmes peuvent présenter trois états :

  1. non disparue
  2. Non acquittée
  3. non effacée

Les alarmes doivent peut-être être acquittées et/ou supprimées.

L'acquittement réinitialise l'attribut de clignotement des variables. L'effacement d'une entrée ne peut être effectué que si l'alarme a disparu et qu'elle a été acquittée. La configuration de l'acquittement et/ou de la nécessité de suppression s'effectue par l'intermédiaire des propriétés Acquittement obligatoire et Suppr. obligatoiredans les nœuds Valeurs limites/Alarmes/Evénements de configuration des variables.

Exemple de structure pour la liste d'alarmes dans le Runtime :

Variable | Date/Heure d'apparition | Date/Heure de disparition | Date/Heure d'acquittement | Texte d'information
Defaut_Motor1 | 20.06.2011 13:00:04 | 20.06.2011 13:05:35 | 20.06.2011 13:05:40 | Relai de protection du moteur activé

Vous pouvez acquitter chaque ligne en double-cliquant dessus avec le bouton droit de la souris. Pour cela, l'utilisateur doit faire partie du groupe d'autorisation requis.

Lorsque la liste d'alarmes est ouverte, l'état de la gestion des alarmes s'affiche dans le coin supérieur gauche (active ou inactive).

info Info

Les variables affichant le nombre d'alarmes non acquittées, le nombre d'alarmes acquittées et le nombre total d'alarmes sont mémorisées dans une liste conservée dans la mémoire locale.

Voir la variable "Alarmes non acquittées" aux chapitres Définition des alarmes et Filtres de la liste chronologique d'événements.


Alarmes : acquitter

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime -> Alarmes : acquitter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour que l'information d'acquittement soit affichée dans la liste d'alarmes, les conditions suivantes doivent être satisfaites :

  1. La propriété Acquittement obligatoire doit être activée pour les variables
  2. Les alarmes doivent être acquittées

Les alarmes peuvent être acquittées comme suit :

  • en double-cliquant avec le bouton droit sur la ligne d'état des alarmes
  • en double-cliquant avec le bouton droit sur une entrée de la liste d'alarmes
  • Fonction Acquitter les alarmes
  • Bouton dans la liste d'alarmes

Lors de l'acquittement d'une alarme :

  • Toutes les alarmes comportant une même limite de variable sont acquittées ensemble.
  • Le nom et l'ID de l'utilisateur ayant supprimé l'alarme sont inscrits dans la liste d'alarmes
  • Le nom de l'ordinateur depuis lequel l'alarme a été acquittées est écrit dans la liste d'alarmes
  • L'acquittement de l'alarme peut en outre être écrit dans la liste chronologique d'événements (CEL)

Les alarmes sont enregistrées dans la mémoire circulaire jusqu'à ce qu'elles soient acquittées. Au même moment, elles sont écrites dans un fichier d'alarmes (*.aml) dont les données peuvent être filtrées et leur synchronisation est préservée.

Attention : La propriété Taille de la mémoire circulaire (buffer circulaire) doit être définie de manière adéquate. Si les alarmes ne sont plus enregistrées dans la mémoire circulaire en raison d'un dépassement de la capacité, les alarmes non acquittées sont conservées dans le fichier d'alarmes. Pour plus de détails, reportez-vous au chapitre Liste d'alarmes (AML).

info Info

Si les alarmes nécessitent un commentaire, elles peuvent uniquement être acquittées en cas de saisie d'un commentaire. L'utilisateur doit être autorisé à exécuter les fonctions nécessaires.

Fonction Acquitter les alarmes

La fonction d'acquittement des alarmes permet

  • D'acquitter les alarmes de la liste AML à l'aide d'un appel de fonction
  • D'effectuer un acquittement global

Si cette fonction est utilisée dans le Runtime, l'attribut de clignotement des éléments graphiques liés aux variables – et donc aux synoptiques d'alarme – est réinitialisé (SICAM 230 uniquement). Les alarmes sélectionnées sont acquittées. Pour plus de détails, reportez-vous au chapitre Acquittement d'alarmes.

Autorisation utilisateur

Les fonctions d'acquittement des alarmes et de suppression des alarmes peuvent être attribuées à un groupe d'utilisateurs via l'autorisation de fonctions. Seul un utilisateur autorisé peut acquitter et supprimer des alarmes.

En outre, un droit d'utilisation supplémentaire peut être défini par le biais de la propriété Suppr. obligatoire du sous-groupe concerné dans le groupe Valeurs limites. Les alarmes sélectionnées peuvent uniquement être supprimées de la liste d'alarmes par les utilisateurs disposant des droits nécessaires.

Si la propriété Suppr. obligatoire est définie, les alarmes sont uniquement retirées de la liste d'alarmes actives lorsqu'elles sont supprimées. L'acquittement seul ne suffit pas.

info Info

Les alarmes peuvent uniquement être supprimées après avoir été préalablement acquittées.

Autres sujets abordés dans ce chapitre

Commentaires requis pour l'acquittement


Commentaires requis pour l'acquittement

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime -> Alarmes : acquitter -> Commentaires requis pour l'acquittement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez spécifier qu'un commentaire doit être saisi pour les alarmes devant être acquittées. Pour saisir un commentaire, l'utilisateur doit activer l'autorisation de fonction correspondant à la saisie de commentaires sur les alarmes.

Pour soumettre l'acquittement d'une alarme à la nécessité de saisir un commentaire, définissez l'option correspondante via :

  • La configuration des matrices de réaction
  • La propriété Commentaire requis dans le groupe de variables Valeurs limites

Les commentaires associés à l'acquittement d'alarmes peuvent uniquement être ultérieurement modifiés par les utilisateurs via l'autorisation de fonction Change alarm comment (Modifier le commentaire de l'alarme). Si des commentaires sont modifiés, une entrée est insérée dans la liste CEL, indiquant le nom de la variable, ainsi que le commentaire original et modifié.

La présence de commentaires associés aux alarmes nécessitant un commentaire est vérifiée pour toutes les possibilités d'acquittement (VBA inclus). L'autorisation requise est également vérifiée lorsque des modifications sont effectuées. La liste d'alarmes peut être filtrée pour identifier les alarmes nécessitant un commentaire, grâce aux éléments suivants :

  • Filtre de liste d'alarmes
  • Synoptique de filtre de liste d'alarmes


Alarmes : acquitter clignotement

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime -> Alarmes : acquitter clignotement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Outre l'acquittement d'alarmes depuis la liste d'alarmes, les synoptiques comportant des alarmes peuvent également être acquittés par le biais du gabarit. L'acquittement du clignotement peut être effectué à l'aide de la fonction d'acquittement du clignotement des alarmes, ou en double-cliquant sur l'élément correspondant avec le bouton droit de la souris. Dans ce cas, seul l'attribut de clignotement des variables et le clignotement de tous les éléments graphiques sur le synoptique est réinitialisé. Les entrées ne sont toutefois pas acquittées dans la liste AML.

Acquittement du clignotant avec acquittement dans la liste AML

L'acquittement du clignotement acquitte les alarmes dans la liste AML si l'option Acquittement clignotement est également définie dans la gestion des alarmes.

Uniquement pour SICAM 230. L'acquittement dans la liste d'alarmes ou dans la ligne d'alarme située le long du bord supérieur du synoptique acquitte également l'alarme dans le synoptique et dans les synoptiques d'alarmes.

Acquittement du clignotement dans les projets d'intégration

Si des alarmes doivent être acquittées dans les projets d'intégration à l'aide de la fonction d'acquittement du clignotement, tous les synoptiques affectés doivent être ouverts.

Si des synoptiques dans des projets de niveau supérieur et inférieur possèdent le même nom, les synoptiques dans le projet de niveau inférieur ne sont pas ouverts. Si les noms des gabarits sont différents, les synoptiques du sous-projet en arrière-plan sont ouverts et leur clignotement peut être acquitté.

info Info

Si l'acquittement du clignotement est utilisé sur le réseau, il est uniquement exécuté localement, sur le client concerné.


Alarmes : supprimer

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime -> Alarmes : supprimer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La suppression d'une alarme nécessite les conditions suivantes :

  • L'exécution d'une fonction Supprimer alarme
    ou
  • L'utilisation du bouton Supprimer sur un synoptique de type Liste d'alarmes.

Les alarmes peuvent uniquement être supprimées après avoir été préalablement acquittées.

Si la propriété Suppr. obligatoire est définie pour l'option Limites, les alarmes sont uniquement retirées de la liste d'alarmes actives lorsqu'elles sont supprimées. L'acquittement seul ne suffit pas.

Autorisation utilisateur

Les fonctions d'acquittement des alarmes et de suppression des alarmes peuvent être attribuées à un groupe d'utilisateurs via l'autorisation de fonctions. Seul un utilisateur autorisé peut acquitter et supprimer des alarmes.

En outre, un droit d'utilisation supplémentaire peut être défini par le biais de la propriété Suppr. obligatoire du sous-groupe concerné dans le groupe Valeurs limites. Les alarmes sélectionnées peuvent uniquement être supprimées de la liste d'alarmes par les utilisateurs disposant des droits nécessaires.

Si la propriété Suppr. obligatoire est définie, les alarmes sont uniquement retirées de la liste d'alarmes actives lorsqu'elles sont supprimées. L'acquittement seul ne suffit pas.

info Info

Les alarmes peuvent uniquement être supprimées après avoir été préalablement acquittées.


Filtrage d'alarmes

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime -> Filtrage d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les alarmes peuvent être affichées avec un filtre dans le Runtime :

  • L'utilisation de filtres dans le Runtime
  • Appel de synoptique avec application d'un filtre prédéfini à un synoptique de type liste d'alarmes
  • Appel de synoptique avec application d'un filtre lors de l'appel d'un synoptique de type liste d'alarmes
  • Appel de synoptique vers un synoptique de type filtre de liste d'alarmes

Filtrage dans le Runtime

Les filtres peuvent être utilisés, dans le Runtime, sur les synoptiques de type liste d'alarmes. Pour filtrer les alarmes affichées dans la liste AML :

  1. Vous devez au préalable configurer un bouton Filtrer
  2. Cliquez sur le bouton
  3. La boîte de dialogue de filtre de la liste d'alarmes s'affiche à l'écran

Le filtre défini peut être enregistré dans les profils.

Appel de synoptique vers un synoptique de type liste d'alarmes

Les alarmes peuvent être affichées après un filtrage préalable. Pour cela :

  1. Configurez un filtre pour la fonction d'appel de synoptique de liste d'alarmes
  2. La liste d'alarmes est alors filtrée avant d'être affichée
  3. Si l'option Display dialog in the Runtime (Afficher la boîte de dialogue de filtre dans le Runtime) est activée pour la fonction, vous pouvez redéfinir le filtre avant affichage
  4. D'autres paramètres de filtre dans le Runtime peuvent être appliqués à l'aide du bouton filtre

Appel de synoptique vers un synoptique de type filtre de liste d'alarmes

Pour uniquement proposer aux utilisateurs les filtres dont ils ont besoin dans le Runtime, vous pouvez utiliser un synoptique de filtre de liste d'alarmes. Pour cela :

  1. Configurez un appel de synoptique de filtre de liste d'alarmes
  2. Affichez la liste AML dans le Runtime avec cette fonction
  3. L'utilisateur dispose d'une liste d'alarmes personnalisée

Autres sujets abordés dans ce chapitre

Profils de filtre

Utilisation du filtre de liste d'alarmes


Profils de filtre

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime -> Filtrage d'alarmes -> Profils de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les profils de filtre permettent à l'utilisateur de sauvegarder et activer des paramètres de filtre pendant le Runtime.

Pour utiliser des profils de filtre, vous devez configurer les éléments de contrôle suivants :

Paramètre | Description
Profils de filtre | Gestion de profils
Sélection profil | Sélectionnez le profil sauvegardé (liste déroulante).
Enregistrer | Enregistrer les paramètres sous forme de profil (bouton)
Supprimer | Supprimer profil (bouton X)

Ceci vous permet d'effectuer les opérations suivantes dans le Runtime :

  • Enregistrer des filtres
  • Utiliser des filtres enregistrés
  • Supprimer des profils de filtre

Enregistrer un profil de filtre

Pour créer un profil de filtre :

  1. Définir des conditions de filtre dans le Runtime
  2. Attribuer un nom avec la propriété Profils de filtre
  3. Cliquez sur Enregistrer

Utiliser un profil de filtre

Pour utiliser un profil de filtre :

  1. Sélectionnez un filtre dans la liste déroulante de propriétés Profils de filtre
  2. Le filtre est appliqué immédiatement

Supprimer un profil de filtre

Pour supprimer un profil de filtre :

  1. Sélectionnez un filtre dans la liste déroulante de propriétés Profils de filtre
  2. Cliquez sur le bouton X.
  3. Le profil est supprimé
  4. Le filtre supprimé reste appliqué tant qu'un nouveau filtre est défini ou sélectionné


Utilisation du filtre de liste d'alarmes

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime -> Filtrage d'alarmes -> Utilisation du filtre de liste d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez ajuster les paramètres de filtre de la liste d'alarmes dans le Runtime à l'aide du synoptique de filtre de liste d'alarmes. Tous les paramètres de filtre disponibles dans le filtre pour la fonction d'appel de synoptique de Liste chronologique d'événements peuvent être configurés.

Par conséquent :

  • Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l'utilisateur.
  • Seuls ces filtres et une vue d'ensemble sont accessibles à l'utilisateur.
  • Vous êtes libre de modifier l'apparence et pouvez, par exemple, faciliter l'utilisation du système avec un écran tactile.

Synoptiques de filtre

Les synoptiques de filtre permettent de transférer un filtre prédéfini d'un synoptique vers un autre. Le filtre du synoptique source est défini à l'aide du synoptique cible. Les synoptiques peuvent également être de types différents.

attention Attention

Pour que le temps du synoptique soit affiché dans le Runtime, la plage de temps suivante doit être sélectionnée dans l'Éditeur pour la fonction d'appel de synoptique de la liste d'alarmes ou de la liste chronologique d'événements, dans la propriété filtre de temps : Définir le filtre avec un type de filtre horaire

Définition de l'affichage

Les conditions suivantes doivent être remplies pour que les filtres définis soient utilisés :

  1. Le filtre défini pour le type de filtre de temps est sélectionné en tant qu'intervalle de temps pour le filtre de temps.
  2. Le synoptique (synoptiques Filtre de liste d'informations sur les alarmes, Liste chronologique d'événements et filtre de temps) sont activés à l'aide d'un bouton ou d'un élément combiné. C'est la seule manière de maintenir la relation entre le synoptique de filtre et le synoptique source.
  3. Le synoptique source et le synoptique de filtre doivent être configurés dans différents cadres ou sur différents moniteurs. Le filtre du synoptique de filtre peut uniquement être actualisés si le synoptique source est ouvert. Cela est uniquement possible si les deux synoptiques n'utilisent pas le même cadre ou le même moniteur.
  4. Le synoptique appelé doit être compatible avec le synoptique de filtre appelé (voir table).
Synoptique source | Filtre de liste AML | Filtre de liste CEL | Filtre de temps
Maintenance de l'archive | T | T | T
Tendance étendue | T | T | T
Filtre de temps | T | T | X
Filtre de liste de messages d'alarme | X | C | T
Filtre de liste chronologique d'événements | C | X | T
Liste d'alarmes | X | C | T
Liste chronologique d'événements | C | X | T

Clé :

  • C : les paramètres communs sont mis à jour.
  • T : les paramètres de temps sont mis à jour.
  • X : tous les paramètres sont mis à jour.

info Info

Aucun filtrage

Le synoptique de filtre n'est pas filtré, mais il est ouvert avec les valeurs configurées si :

  • Une des conditions 1 à 3 n'est pas satisfaites ou
  • Le paramètre Screen to call up (Synoptique appelé) n'est pas activé pour la fonction Appel de synoptique ou
  • Le synoptique n'est pas appelé par le biais d'un élément de synoptique

Dans ce cas, les boutons Accepter, Fermer et Mise à jour sont grisés dans le Runtime et n'ont aucune fonction.

Mise à jour

Lorsqu'un synoptique de filtre est activé (filtre de liste d'alarmes, filtre de liste chronologique d'événements et filtre de temps), les synoptiques configurés dans la fonction d'appel de synoptique sont mis à jour de deux manières :

  • Si le synoptique de filtre est invoqué par le biais d'un élément de synoptique, les synoptiques cibles affichés sur le même moniteur que le synoptique source sont mis à jour.
  • Si le filtre est invoqué de manière différente ou si le paramètre Update on all monitors (Mettre à jour sur tous les moniteurs) est activé, tous les synoptiques cible sont configurés et mis à jour.

Ils sont mis à jour dès que vous cliquez sur le bouton Accepter ou que vous fermez le synoptique de filtre en cliquant sur le bouton Fermer. Le bouton Annuler annule les modifications et ferme le synoptique de filtre.

Mise à jour des paramètres de filtre

Vous pouvez actualiser les paramètres de filtre actuels du synoptique source en cliquant sur le bouton Actualiser. Si le synoptique de filtre n'est pas invoqué par un élément de synoptique, ou si l'option Calling screen (Synoptique d'activation) n'a pas été activée, tous les moniteurs sont inspectés afin de déterminer les synoptiques pouvant être utilisés aux fins de la mise à jour. Le premier synoptique trouvé est alors utilisé pour la mise à jour.


Impression et exportation d'alarmes

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime -> Impression et exportation d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les alarmes de la liste AML peuvent être documentées et archivées comme suit :

  • Liste AML – Imprimer en ligne : chaque événement est imprimé sur une imprimante connectée en ligne s'il est affiché dans la liste
  • Impression hors ligne de la liste AML : la liste AML est imprimée sous forme de liste dans son état actuel
  • Exportation du contenu de la liste AML (filtrée)

La configuration de l'impression peut être définie par le biais du menu Fichier -> Configuration générale -> Standard.

attention Attention

Un fichier de configuration *.frm est utilisé pour l'impression :

  • en ligne : ALARM.frm
  • hors ligne : ALAR_G.frm.

Ce fichier FRM doit se trouver dans l'arborescence du projet, dans la section Fichier du dossier Textes et formats.

Les gabarits de fichiers FRM sont disponibles dans le dossier d'installation zenon du sous-dossier FRM_QRF. Par le biais du fichier, ils peuvent être insérés dans la section Textes et formats et édités à cet endroit.

Les mots-clés des fichiers FRM sont répertoriés au chapitre Fichier de configuration FRM.

Autres sujets abordés dans ce chapitre

Impression en ligne

Impression hors ligne

Fichier de configuration FRM

Exportation d’alarmes


Impression en ligne

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime -> Impression et exportation d'alarmes -> Impression en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'impression en ligne, toute alarme activée est immédiatement transmise à l'imprimante.

Attention : l'impression en ligne s'effectue en mode ligne par ligne, conformément au standard ESC/P (Epson Standard Code for Printers), et nécessite une imprimante compatible Epson.

Pour imprimer des alarmes en ligne :

  1. Définissez une imprimante.
  2. Accédez au nœud Alarmes et événements dans les propriétés.
  3. Activez la propriété Impression active.
  4. Sélectionnez la propriété Impression pour dans la liste déroulante Liste d'alarmes
  5. Définissez le nombre de lignes à l'aide de la propriété Lignes par page (par défaut : 72) 72:
  6. Configurez le fichier ALARM.frm.
  7. Ajoutez le fichier ALARM.frm au nœud Fichiers/Textes et formats.

Contrôler l'impression et l'imprimante dans le Runtime

Modification de page

Une instruction de présentation de page suivante est exécutée si :

  • Une page est terminée
  • Le Runtime est fermé et l'impression en ligne est active
  • La fonction Online printing start new page (Démarrer l'impression en ligne sur une nouvelle page) est exécutée

Arrêt de l'impression

Pour arrêter ou poursuivre l'impression en ligne :

  • Exécutez la fonction Imprimante en ligne activée/désactivée

Changement et configuration d'une imprimante

Pour changer d'imprimante dans le Runtime :

  • Exécuter la fonction Imprimante en ligne Activée/Désactivée

Pour configurer l'imprimante sélectionnée dans le Runtime :

  1. Configurez un élément de contrôle Print with dialog (Imprimer avec boîte de dialogue) pour le synoptique
  2. Cliquez sur le bouton Print with dialog (Imprimer avec boîte de dialogue) dans le Runtime
  3. La boîte de dialogue de configuration s'affiche.

Paramètre

Description

Imprimante

Paramètres de l'imprimante.

Nom :

Sélectionnez l'imprimante dans la liste déroulante. La liste contient toutes les imprimantes configurées dans le système d'exploitation.

Propriétés...

Ouvre la boîte de dialogue de configuration de l'imprimante.

État :

Affiche l'état de l'imprimante. Fournie uniquement à titre informatif.

Type :

Affiche le type d'imprimante. Fournie uniquement à titre informatif

Emplacement :

Affiche l'emplacement de l'imprimante, s'il a été configuré. Fournie uniquement à titre informatif.

Commentaire :

Affiche un commentaire sur l'imprimante, s'il a été configuré. Fournie uniquement à titre informatif.

Papier

Configuration de l'impression.

Taille

Sélectionnez le format de papier dans la liste déroulante.

Source

Sélectionnez le mode d'alimentation en papier dans la liste déroulante.

Alignement

Sélectionnez l'alignement du papier. Paramètres possibles :

  • Portrait
  • Paysage

Réseau

Ouvre la boîte de dialogue de sélection d'une imprimante sur le réseau.

OK

Accepte la configuration et ferme la boîte de dialogue. Ceci démarre l'impression dans le Runtime.

Annuler

Abandonne la configuration et ferme la boîte de dialogue. Dans le Runtime, ceci annule également l'impression.

Exemple de formatage

Configuration dans ALARM.FRM :

Date : @DSYSTEM | Liste d'alarmes/Projet démo | Heure @TSYSTEM heures | Texte
Date/Heure d'apparition | Heure de disparition | Texte d'information | Texte d'état
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Page | @PAGE |

Sortie sur l'imprimante

Date : 20.03.2011 | Liste d'alarmes/Projet démo | Heure : 12:00 | Texte
Date/Heure d'apparition | Heure de disparition | Texte d'information | Texte d'état
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Message 1 | Dépassement de limite
20.03.2011 13:00:00 | 13:05:35 | Information démo | Limite de 750 atteinte
20.03.2011 13:03:59 |  | Message 2 | Limite
20.03.2011 13:11:23 |  | Message 3 | inactif
20.03.2011 13:03:59 | 13:12:45 | Information démo | inactif
 | Page | 1 |


Impression hors ligne

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime -> Impression et exportation d'alarmes -> Impression hors ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'impression hors ligne signifie que la liste d'alarmes est imprimée telle qu'elle est affichée à l'instant dans le Runtime. Cette impression constitue un "instantané" mentionnant tous les filtres définis, ainsi que leurs limitations. Cette impression est effectuée, que les variables concernées comportent ou non l'option Imprimer.

Imprimer

Pour imprimer la liste d'alarmes hors ligne :

  1. Définissez une imprimante.
  2. Configurez le fichier ALAR_G.frm.
  3. Ajoutez le fichier ALAR_G.frm au nœud Fichiers/Textes et formats.
  4. Dans le Runtime, cliquez sur le bouton Imprimer ou Imprimer avec boîte de dialogue.

Configuration et modification de l'imprimante

Changement et configuration d'une imprimante

Pour changer d'imprimante dans le Runtime :

  • Exécuter la fonction Imprimante en ligne Activée/Désactivée

Pour configurer l'imprimante sélectionnée dans le Runtime :

  1. Configurez un élément de contrôle Print with dialog (Imprimer avec boîte de dialogue) pour le synoptique
  2. Cliquez sur le bouton Print with dialog (Imprimer avec boîte de dialogue) dans le Runtime
  3. La boîte de dialogue de configuration s'affiche.

Paramètres

Description

Imprimantes

Paramètres de l'imprimante.

Nom :

Sélectionnez l'imprimante dans la liste déroulante. La liste contient toutes les imprimantes configurées dans le système d'exploitation.

Propriétés...

Ouvre la boîte de dialogue de configuration de l'imprimante.

Etat :

Affiche l'état de l'imprimante. Fournie uniquement à titre informatif.

Type :

Affiche le type d'imprimante. Fournie uniquement à titre informatif

Emplacement :

Affiche l'emplacement de l'imprimante, s'il a été configuré. Fournie uniquement à titre informatif.

Commentaire :

Affiche un commentaire sur l'imprimante, s'il a été configuré. Fournie uniquement à titre informatif.

Papier

Configuration de l'impression.

Taille

Sélectionnez le format de papier dans la liste déroulante.

Source

Sélectionnez le mode d'alimentation en papier dans la liste déroulante.

Alignement

Sélectionnez l'alignement du papier. Parmètres possibles :

  • Format portrait
  • Format paysage

Réseau

Ouvre la boîte de dialogue de sélection d'une imprimante sur le réseau.

OK

Accepte la configuration et ferme la boîte de dialogue. Ceci démarre l'impression dans le Runtime.

Annuler

Abandonne la configuration et ferme la boîte de dialogue. Dans le Runtime, ceci annule également l'impression.

Exemple de formatage

Configuration dans ALAR_G.frm :

Date : @DSYSTEM | Liste de messages d'alarme fermés - Projet de démo | Heure @TSYSTEM heures | Texte
Date/Heure d'apparition | Heure de disparition | Texte d'information | Texte d'état
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Page | @PAGE |

Sortie sur l'imprimante

Date : 20.03.2011 | Liste de messages d'alarme fermés - Projet de démo | Heure : 12:00 | Texte
Date/Heure d'apparition | Heure de disparition | Texte d'information | Texte d'état
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Message 1 | Dépassement de limite
20.03.2011 13:00:00 | 13:05:35 | Information démo | Limite de 750 atteinte
20.03.2011 13:03:59 |  | Message 2 | Limite
20.03.2011 13:11:23 |  | Message 3 | inactif
20.03.2011 13:03:59 | 13:12:45 | Information démo | inactif
 | Page | 1 |


Fichier de configuration FRM

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime -> Impression et exportation d'alarmes -> Fichier de configuration FRM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fichiers FRM (fichiers de format) sont des fichiers de configuration destinés à la l'impression de listes.

Un fichier FRM comporte trois parties :

  • L'entête: située en début de page
  • Fichier: cyclique par ligne
  • Le pied de page: située en fin de page

Principes fondamentaux

Remarque relative à l'édition des fichiers FRM :

  • Séparation des composantes de la liste :
    • L'en-tête et la section de liste, et la section de liste et le pied de page sont séparés par %%.

      Ce marqueur de séparation ne doit être utilisé qu'une fois entre la section de liste et la section de base.

    • Attention : la dernière ligne doit être suivie d'au moins deux paragraphes vides. Sinon le pied page n'est pas imprimé !
  • Positionnement des entrées individuelles :
    Seuls des caractères vides peuvent être utilisés (pas de marques de tabulation).
  • Édition de fichiers FRM dans un Éditeur de texte :
    la fonction d'insertion automatique de sauts de ligne doit être désactivée ; dans le cas contraire, des effets indésirables peuvent affecter la mise en forme.

Mots-clé

La configuration de la longueur de page est effectuée dans les propriétés de projet, sous Alarmes et événements, ou via le fichier ALARM.frm ou ALAR_G.frm, pour la liste AML, ou via BTB.frm et BTB_G.frm, pour la liste CEL.

Note :

  • le nombre d'entrées d'alarmes par page découle du nombre prédéfini de lignes (par ex. Lignes par page 72), auquel viennent se soustraire les lignes utilisées pour les textes d'entête et de pied de page.
  • L'option Utiliser heure de réactivation doit être activée pour que l'utilisateur puisse utiliser les mots-clé permettant d'évaluer la réactivation (heure, nombre).
  • Des textes libres et des mots-clé peuvent être utilisés dans le fichier de formatage. Les mots-clé peuvent être utilisés en allemand ou en anglais. Il est recommandé d'utiliser des mots-clé en anglais.
  • Tous les mots-clés ne sont pas adaptés à tous les types d'impression (AML, CEL, en ligne, hors ligne).

Le rapport suivant contient les mots-clés en anglais et en allemand, ainsi que leur domaine d'application.

Allemand | Anglais | Liste d'alarmes hors ligne | Liste chronologique d'événements hors ligne | Liste de messages en ligne | Liste chronologique d'événements en ligne | Description
Mots-clés correspondant à la partie de la liste
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Description externe
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Heure et date de début de l'alarme
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Heure et date de fin de l'alarme
@DATZEITOK | @DTACK | X | - | X | - | Heure et date d'acquittement de l'alarme
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Heure et date de réactivation de l'alarme La propriété Utiliser heure de réactivation des propriétés du projet doit être activée.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Heure et date de réception, d'acquittement ou de réactivation de l'alarme
@ZEIT | @TLASTEVENT | - | - | X | X | Heure et date de réception, d'effacement, d'acquittement ou de réactivation de l'alarme
@ZEITOK | @TACK | X | - | X | - | Affiche uniquement l'heure d'acquittement de l'alarme
@ZTKOMMT | @TRECEIVED | X | X | X | X | Affiche uniquement l'heure de réception de l'alarme
@ZTGEHT | @TCLEARED | X | - | X | - | Affiche uniquement l'heure de fin de l'alarme
@ZTREAKT | @TREACTIVATE | X | - | X | - | Affiche uniquement l'heure de réactivation de l'alarme
@TIMELASTING | @TACTIVE | X | - | X | - | Durée d'activité (différence entre l'heure de réception et l'heure d'effacement)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@KANALNAME | @VARNAME | X | X | X | X | Nom de la variable Liste chronologique d'événements : uniquement les entrées comportant des variables
@AK | @ACLASSNR | X | X | X | X | Nom de la classe d'alarmes/d'événements
@AG | @AGROUPNR | X | X | X | X | Numéro du groupe d'alarmes/d'événements
@AGNAME | @AGROUPNAME | X | X | X | X | Nom du groupe d'alarmes/d'événements
@AKNAME | ACLASSNAME | X | X | X | X | Nom de la classe d'alarmes/d'événements
@TAGNR | @IDENTIFICATION | X | X | X | X | Identification (intitulé spécifique à l'entreprise)
@AMELDUNG | @TEXT | X | X | X | X | Texte de message d'alarme
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Nombre de réactivations
@STATUS | @STATUS | X | X | X | X | Informations d'état, identiques à la liste d'alarmes
@WERT | @VALUE | X | X | X | X | Valeur variable de l'alarme
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commentaire provenant de la liste d'alarmes. Si vous utilisez des textes de limite dynamiques, cette fonction est uniquement disponible si les propriétés Textes de limite dynamiques longs pour les alarmes ou Textes de limite dynamiques longs pour les événements sont activées.
@USER | @USERID | X | X | X | X | AML : utilisateur ayant acquitté l'alarme.
@RECHNER | @COMPUTER | X | X | X | X | AML : ordinateur sur lequel l'alarme a été acquittée.
Mots-clés pour les en-têtes et pieds de page
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@SEITE | @PAGE | X | X | X | X | Numéro de page
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Date et heure du système
@HEADDATUM | @DSYSTEM | X | X | X | X | Date du système
@HEADZEIT | @TSYSTEM | X | X | X | X | System time (Heure système)
@USER | @USERID | X | X | X | X | Utilisateur ayant effectué l'impression
@USERNAME | @USERNAME | X | X | X | X | Nom complet de l'utilisateur ayant déclenché l'action
@RECHNER | @COMPUTER | X | X | X | X | Ordinateur depuis lequel est lancé l'impression
[Texte] | [Texte] |  |  |  |  | Texte au choix

attention Attention

Vous devez laisser suffisamment de place entre les mots-clés pour que les entrées ne soient pas remplacées. Vous garantirez ainsi le bon affichage des textes de limite longs.

Exemple :

@TEXT (espaces jusqu'ici)


Exportation d’alarmes

Manuels -> Gestion des alarmes -> Fonctionnement dans le Runtime -> Impression et exportation d'alarmes -> Exportation d’alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les alarmes peuvent être exportées dans différents formats :

  • dBase
  • CSV
  • XML
  • SQL

Exporter

Pour exporter des alarmes

  1. Créez une fonction Export AML (Exporter la liste AML).
  2. Liez la fonction à un bouton.
  3. Exécutez cette fonction dans le Runtime

info Info

L'exportation au format SQL se déroule de manière incrémentielle. Si des données exportées sont déjà présentes, seules les données nouvelles et modifiées sont exportées.


Gestion des états

Manuels -> Gestion des états

Avec la gestion des états, vous pouvez avoir un meilleur aperçu du procédé et du réseau. Chaque variable peut avoir ses propres états. Il peut y avoir jusqu'à 64 états / attributs. Les états les plus répandus sont spontané, non valide, valeur manuelle et valeur de remplacement.

Chaque valeur mémorisée dans zenon est constituée de trois bits d'informations : la valeur, l'horodatage et l'état. Ce qui veut dire que pour chaque valeur archivée, son état est également sauvegardé.

Dans le système, il y a plusieurs possibilités pour récupérer l'état d'une variable, comme par exemple : les éléments combinés, les matrices de réaction et le générateur de rapports. L'état est également accessible dans VBA or VSTA, ainsi que dans le gestionnaire de recettes.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Autres sujets abordés dans ce chapitre

Bits d'état

Utilisation


Bits d'état

Manuels -> Gestion des états -> Bits d'état

Les bits d'état suivants sont disponibles dans zenon :

Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | État utilisateur 1 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélection sur le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En cours d'utilisation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | VAL_M;valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | RG;Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Non valide | _VSB_I_BIT
19 | T_CHG_A | Annonce heure été/hiver | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel externe | _VSB_RT_E
22 | T_INTERN | Horodatage temps réel interne | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | MM_TR;Message de marche du transfo | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | VALR;valeur de remplacement Si aucune valeur n'a été transférée, la valeur de remplacement définie est utilisée ; dans le cas contraire, la dernière valeur valide est utilisée. | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Non mis à jour | _VSB_ACTUAL
30 | T_STD | Heure standard | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission, bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission, bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission, bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission, bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission, bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission, bit 6 | _VSB_TCB5
38 | N_CONF | Pas d'acceptation du mode Select par le matériel (IEC 60870) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | DEVNORM;État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : bloqué | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substitué | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : non topique | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : dépassement | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : sélectionné | _VSB_SE_BIT
49 | T_INVAL | Temps invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | RES52 | réservé | non défini
53 | RES53 | réservé | non défini
54 | RES54 | réservé | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Info

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

les différents états ne pas disponibles pour tous les drivers.

Comme les états de chaque variable sont également accessibles depuis la programmation VBA/VSTA sous la forme d'une valeur 64 bits, le numéro de bit est indiqué pour chaque état dans les sections suivantes. Cette information est nécessaire pour l'évaluation de chaque état dans VBA/VSTA.

Pour l'affichage en Runtime, il y a deux possibilités : the short form and the long form. These are separated in the description by a "/".

Pour chaque état utilisateur, un texte peut être défini. Ce texte est alors affiché dans les différents modules (les éditeurs tels que le Runtime). Le texte court et le texte long sont séparés par un caractère ";" (point-virgule).

Pour cela, les entrées suivantes doivent être insérées dans le fichier project.ini :

[STATUS]

STATUS1=MS_K;mon état 00

STATUS2=ET;texte personnalisé

......

STATUS64=RES;non utilisé

Remarque : Ici, la numérotation commence par 1 et non par 0, comme indiqué dans le tableau.

Autres sujets abordés dans ce chapitre

États utilisateur 1 à 8 (M1-M8) et 14 à 16 (M14-M16)

Sélection sur le réseau (NET_SEL)

Révision (REVISION)

En cours d'utilisation (PROGRESS)

Dépassement de délai d'exécution (TIMEOUT)

Valeur manuelle (MAN_VAL)

Interrogation générale (GI)

Spontanée (SPONT)

Non valide (INVALID)

Annonce de l'heure d'été/d'hiver (T_CHG_A)

Désactivé (OFF)

Temps réel externe (T_EXTERN)

Temps réel interne (T_INTERN)

Non triable (N_SORTAB)

Valeur du message par défaut du transformateur (FM_TR)

Valeur du message de fonctionnement du transformateur (RM_TR)

Info variable (INFO)

Valeur de remplacement (ALT_VAR)

Non mis à jour (N_UPDATE)

Heure standard (T_STD)

Cause of Transmission (COTx) - Cause de transmission (COTx)

Bit P/N (N_CONF)

Bit de test (TEST)

Acquittement écriture (ECR_ACK)

Ecriture OK (ECR_OK)

Etat Normal (NORM)

Ecart par rapport à l'état normal (N_NORM)

BL_870

SB_870

NT_870

OV_870

SE_870

T_INVAL

Déclenchement de disjoncteur détecté (CB_TRIP)

Détection de déclenchement de disjoncteur inactive (CB_TR_I)


États utilisateur 1 à 8 (M1-M8) et 14 à 16 (M14-M16)

Manuels -> Gestion des états -> Bits d'état -> États utilisateur 1 à 8 (M1-M8) et 14 à 16 (M14-M16)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
0 à 7 | M1 ; état utilisateur 1 À M8 ; état utilisateur 8 | Par l'utilisateur | Pour tous les drivers
13 à 15 | M14 ; état utilisateur 14 À M16 ; état utilisateur 16 | Par l'utilisateur | Pour tous les drivers

Les 11 bits d'état utilisateur peuvent être utilisés de façon spécifique dans un projet. L’utilisation des ces bits d’états peut être, par exemple, de la gestion de verrouillage de certaines commandes ou des « indications » d’information.


Sélection sur le réseau (NET_SEL)

Manuels -> Gestion des états -> Bits d'état -> Sélection sur le réseau (NET_SEL)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
8 | Sélection sur le réseau (NET_SEL) | Automatique | Pour tous les drivers

L'identification de la sélection permet de sélectionner un objet de contrôle dans zenon. Si cet état est activé, un nouvel accès à la commande (par ex. à partir d'une autre station de travail) n'est pas autorisé.


Révision (REVISION)

Manuels -> Gestion des états -> Bits d'état -> Révision (REVISION)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
9 | Révision (REVISION) | Par l'utilisateur | Pour tous les drivers

Les variables peuvent être définies dans l'état "révision". Si cet état est activé pour une variable, la gestion d'alarme et le changement de valeur de cette variable sont désactivés par le système. Il est donc possible d'exclure certaines variables du procédé de ce qui concerne la gestion des alarmes et le fonctionnement.

Remarque : Only the alarms and commands are suppressed. All other limit value properties linked to this such as Couleur de limite, Fonction, Invisible, Clignotement etc. are not affected by this and are displayed and/or executed. Les valeurs actuelles de la variable sont toutefois représentées sur les synoptiques, comme précédemment, et sont également archivées.

If linked functions or other properties are suppressed, create a reaction matrix that evaluates the revision status.


En cours d'utilisation (PROGRESS)

Manuels -> Gestion des états -> Bits d'état -> En cours d'utilisation (PROGRESS)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Signalisation | Définir | Disponible
10 | PROGRESS ; en cours d'utilisation | Automatique | dans certains drivers uniquement

Le bit d'état en cours d'utilisation, associé à la commande (SICAM 230 ou zenon Energy Edition uniquement) est utilisé pour indiquer qu'un commutateur est en cours d'utilisation. Il est défini conjointement au bit d'état Sélection sur le réseau (NET_SEL). Ce bit est défini en tant qu'état de la variable de réponse.
Vous pouvez activer la définition automatique du bit dans le Runtime dans la commande en activant la propriété Définir état PROGRESS.

Si la commande écrite correspond à la valeur de réponse, le bit est automatiquement réinitialisé. Seules les valeurs de réponse ON et OFF peuvent être surveillées.


Dépassement de délai d'exécution (TIMEOUT)

Manuels -> Gestion des états -> Bits d'état -> Dépassement de délai d'exécution (TIMEOUT)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
11 | Dépassement du délai d'attente (TIMEOUT) | Automatique | dans certains drivers uniquement

L'état Dépassement du délai d'attente du Runtime est défini par l'élément de commande (SICAM 230 uniquement) lorsque le délai de confirmation (Runtime) d'un élément de commutation est dépassé. La réinitialisation est faite lors du changement de la confirmation ou une autre commande.


Valeur manuelle (MAN_VAL)

Manuels -> Gestion des états -> Bits d'état -> Valeur manuelle (MAN_VAL)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
12 | Valeur manuelle (MAN_VAL) | Automatique | Pour tous les drivers

Cet état est défini sur 1 dès qu'une valeur a été changée manuellement dans une archive. Cette opération peut être effectuée dans le générateur de rapports ou sur le synoptique Maintenance de l'archive.


Interrogation générale (GI)

Manuels -> Gestion des états -> Bits d'état -> Interrogation générale (GI)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
16 | RG ; requête générale | Automatique | Pour tous les drivers

A l'initialisation du Runtime, la première image lue est nommée "requête générale". Cela signifie que la valeur n'a pas changé depuis le démarrage du Runtime.


Spontanée (SPONT)

Manuels -> Gestion des états -> Bits d'état -> Spontanée (SPONT)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
17 | Evénementiel (SPONT) | Automatique | Pour tous les drivers

La valeur courante est valide. Tout est OK.


Non valide (INVALID)

Manuels -> Gestion des états -> Bits d'état -> Non valide (INVALID)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
18 | Non valide (INVALID) | Automatique | Pour tous les drivers

Ce bit est défini sur 1 s'il existe un problème de communication avec le driver ou avec une seule variable. L'évaluation d'une variable seule est supportée seulement avec les drivers "spontanés" (événementiels). La plupart des drivers de zenon sont cependant des drivers d'interrogation ; seuls les problèmes de communication généraux peuvent être signalés (et non les problèmes spécifiques à chaque variable).


Annonce de l'heure d'été/d'hiver (T_CHG_A)

Manuels -> Gestion des états -> Bits d'état -> Annonce de l'heure d'été/d'hiver (T_CHG_A)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
19 | Annonce d'heure d'été/d'heure d'hiver (T_CHG_A) | Automatique | Dans certains drivers

Cet état est défini sur 1 une heure avant le passage en heure d'été ou en heure d'hiver. Cet état peut être testé par l'utilisateur. Dans zenon, cet état est uniquement informatif.


Désactivé (OFF)

Manuels -> Gestion des états -> Bits d'état -> Désactivé (OFF)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
20 | Désactivé (OFF) | Par l'utilisateur | Pour tous les drivers

Si une variable n'est pas nécessaire en ligne, elle peut être désactivée. De cette façon, la variable n'est plus "lue" par le driver sur le matériel et donc elle n'est plus actualisée.

Cet état peut être utilisé, par exemple, pour exclure de la gestion d'alarmes, des parties non encore active dans le procédé.


Temps réel externe (T_EXTERN)

Manuels -> Gestion des états -> Bits d'état -> Temps réel externe (T_EXTERN)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
21 | T-EXTERN | Automatique | dans certains drivers uniquement

L'horodatage est issu d'un matériel externe. zenon considère la valeur en l'état. Tous les modules utilisent alors cet horodatage.


Temps réel interne (T_INTERN)

Manuels -> Gestion des états -> Bits d'état -> Temps réel interne (T_INTERN)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
22 | T-INTERN | Automatique | Pour tous les drivers

L'horodatage est ajouté par le driver zenon. Dès qu'une valeur est lue correctement, elle est horodatée. Tous les modules utilisent alors cet horodatage.


Non triable (N_SORTAB)

Manuels -> Gestion des états -> Bits d'état -> Non triable (N_SORTAB)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
23 | N_SORTAB | Automatique | Pour les normes IEC

Uniquement pour SICAM 230.

Concerne le débit de données en temps réel du protocole SSI. SSI est utilisé pour le système SK1703, et concerne le driver AK.

Cet état n'est plus utilisé.

À l'origine, si un télégramme arrivait trop tard, il recevait l'état N_SORTAB s'il ne pouvait pas être trié à réception.


Valeur du message par défaut du transformateur (FM_TR)

Manuels -> Gestion des états -> Bits d'état -> Valeur du message par défaut du transformateur (FM_TR)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
24 | FM_TR | Automatique | Pour les normes IEC

Uniquement pour SICAM 230.

Uniquement pour le protocole SSI : valeur de transformateur non plausible. Dans les protocoles récents, ces informations sont transportées par le bit INVALID (non valide).

SSI est utilisé pour le système SK1703, et concerne le driver AK.


Valeur du message de fonctionnement du transformateur (RM_TR)

Manuels -> Gestion des états -> Bits d'état -> Valeur du message de fonctionnement du transformateur (RM_TR)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
25 | RM_TR | Automatique | Pour les normes IEC

Uniquement pour SICAM 230.

Concerne le protocole SSI et IEC870-101 : ce bit apparaît dès qu'une modification est effectuée.

SSI est utilisé pour le système SK1703, et concerne le driver AK.


Info variable (INFO)

Manuels -> Gestion des états -> Bits d'état -> Info variable (INFO)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
26 | INFO | Automatique | Pour les normes IEC

Uniquement pour SICAM 230.

Plus utilisé.


Valeur de remplacement (ALT_VAR)

Manuels -> Gestion des états -> Bits d'état -> Valeur de remplacement (ALT_VAR)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
27 | Valeur de remplacement (ALT_VAL) | Par l'utilisateur | Pour tous les drivers

Pour simuler une valeur, vous pouvez basculer cette dernière vers la valeur alternative. Dans ce cas, la valeur est entièrement dissociée du procédé, comme avec l'état Désactivé (OFF). A l'image de l'état Désactivé, la dernière valeur du procédé est désactivée. Il est toutefois possible de modifier la valeur de remplacement dans le Runtime, par exemple, via la boîte de dialogue Valeur prescrite.

  • Modifier valeur de remplacement : modifie uniquement la valeur de remplacement.
  • Commuter vers et modifier valeur de remplacement : bascule vers la valeur de remplacement et la modifie conformément à la valeur prescrite.
  • Modification valeur spontanée : en dépit d'une valeur de remplacement, une valeur prescrite est transmise au matériel. La variable conserve toutefois la valeur de remplacement.
  • Commuter vers valeur spontanée : désactive la valeur de remplacement.

Les autres possibilités permettant d'influencer la valeur de remplacement sont le gestionnaire de groupes de recettes ou l'interface de programmation.

Si l'état est non valide (INVALID) à l'instant de la commutation vers la valeur de remplacement, l'état est conservé. La valeur comporte l'état non valide et la valeur de remplacement.

La valeur de remplacement n'est pas envoyée au matériel connecté, mais est conservée dans l'image du procédé sur l'ordinateur. Cette valeur est envoyée à tous les modules de zenon pour traitement. Elle est par exemple archivée, et les alarmes sont créées.

L'utilisation de ces informations d'état peut être indiquée spécifiquement dans le rapport. Donc d'un coté les modifications sont tracées, et de l'autre le procédé peut continuer avec des valeurs correctes.

Example Exemple

Si un capteur de température extérieure est défectueux, il peut transmettre une valeur irréaliste, par exemple -280 °C. L'utilisateur peut maintenant saisir la valeur correcte à la place de la valeur défectueuse en lisant la température exacte, par exemple 14 °C. Cette valeur est maintenant archivée, associée à une alarme et consignée dans le journal.

Tous les modules dans zenon utilisent maintenant cette autre valeur.


Non mis à jour (N_UPDATE)

Manuels -> Gestion des états -> Bits d'état -> Non mis à jour (N_UPDATE)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
29 | N_UPDATE | Automatique | Pour tous les drivers

L'état non mis à jour (N_UPDATE) est défini sur 1, lorsqu'une valeur est demandée au matériel mais aucune valeur n'a encore pu être lue.


Heure standard (T_STD)

Manuels -> Gestion des états -> Bits d'état -> Heure standard (T_STD)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
30 | T_STD | Automatique | Pour tous les drivers

Cet état indique si l'horodatage est donné avec l'heure d'hiver (bit sur 1) ou l'heure d'été (bit sur 0).


Cause of Transmission (COTx) - Cause de transmission (COTx)

Manuels -> Gestion des états -> Bits d'état -> Cause of Transmission (COTx) - Cause de transmission (COTx)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Signalisation | Définir | Disponible
32 - 37 | COT0 à COT5 | Automatique | Pour les normes IEC

Cause de transmission (COT) conformément au protocole IEC60870.

La valeur de la cause de transmission (voir le protocole IEC60870-5-101 7.2.3) est mappée vers les bits d'état 32 à 37. Ceci permet de définit jusqu'à 6 bits COTx (x représente les numéros de bit 0 à 5). Par exemple, le bit le plus bas de la valeur COT est transférté vers le bit d'état 32, et appelé COT0 dans zenon.

La valeur COT entière peut être évaluée dans le Runtime via une matrice de réaction (multi-numérique ou multi-binaire). Pour chaque bit COTx, la valeur de la cause de transmission est augmentée comme suit :

  • COT0 = 2^0 = 1
  • COT1 = 2^1 = 2
  • COT2 = 2^2 = 4
  • COT3 = 2^3 = 8
  • COT4 = 2^4 = 16
  • COT5 = 2^5 = 32

Exemple

Valeurs COT habituelles :

État | Valeur | Cause de transmission | Nom court
COT0, COT1 | 1+2 = 3 | spontanée | COT_spont
COT0, COT1, COT2 | 1+2+4 = 7 | Confirmation d'activation | COT_actcon
COT1, COT3 | 2+8 = 10 | Fin d'activation | COT_actterm
COT2, COT4 | 4+16 = 20 | Interrogation par interrogation de station | COT_inrogen

info Info

Le module Command utilise la cause de transmission du message de dépassement du délai d'attente du Runtime des commandes.

Attention :

  • Tous les drivers ne sont pas compatibles avec COT.
  • Certains drivers spécifiques à l'industrie de l'énergie sont uniquement compatibles avec une zone limitée au dépassement du délai d'attente du Runtime dans le module Command.
  • Certains drivers sont compatibles avec COT, bien que le protocole lui-même ne contienne pas COT (par exemple, DNP3). Vous trouvez plus de détails dans la documentation du driver concerné.


Bit P/N (N_CONF)

Manuels -> Gestion des états -> Bits d'état -> Bit P/N (N_CONF)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
38 | N_CONF | Automatique | Pour les normes IEC

Le bit P/N d'un télégramme IEC870-5-104 est affiché dans le bit d'état N_CONF.


Bit de test (TEST)

Manuels -> Gestion des états -> Bits d'état -> Bit de test (TEST)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
39 | TEST | Automatique | Pour les normes IEC

Le bit de test d'un télégramme IEC870-5-104 est attribué au bit d'état TEST.


Acquittement écriture (ECR_ACK)

Manuels -> Gestion des états -> Bits d'état -> Acquittement écriture (ECR_ACK)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
40 | WR_ACK | Automatique | Pour tous les drivers

Dans zenon, vous pouvez définir la valeur prescrite et/ou l'exécution de recette pour laquelle une confirmation d'écriture doit être demandée.


Ecriture OK (ECR_OK)

Manuels -> Gestion des états -> Bits d'état -> Ecriture OK (ECR_OK)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
41 | WR_SUC | Automatique | Pour tous les drivers

Si une demande d'acquittement (WR_ACK) a été demandée pour un envoi de valeur prescrite ou une exécution de recette, alors ce bit d'état est positionné après l'écriture d'une valeur.


Etat Normal (NORM)

Manuels -> Gestion des états -> Bits d'état -> Etat Normal (NORM)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
42 | NORM | Automatique | Pour tous les drivers

L'état normal est défini par les propriétés de la variable est assigné au bit d'état NORM.


Ecart par rapport à l'état normal (N_NORM)

Manuels -> Gestion des états -> Bits d'état -> Ecart par rapport à l'état normal (N_NORM)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
43 | N_NORM | Automatique | Pour tous les drivers

Pour les variables bit, le driver compare l'état du procédé avec l'état normal défini et écrit le résultat dans le bit d'état N_NORM.


BL_870

Manuels -> Gestion des états -> Bits d'état -> BL_870

Numéro de bit | Afficher | Définir | Disponible
44 | BL_870 | Automatique | IEC870 IEC850 (en partie)

Renvoie l'état IEC bloqué, conformément aux normes 60870-101 ou 104. La transmission de la valeur est bloquée, et la valeur conserve l'état dans lequel elle se trouvait avant d'être bloquée. Ce bit d'état peut être sélectionné dans les matrices multi-réaction, les éléments combinés et la formule de verrouillage.

Dans VBA, les 32 bits supérieurs peuvent être interrogés avec StatusExtValue(). Avec SetValueWithStatusEx(), les 64 bits d'état peuvent être interrogés.


SB_870

Manuels -> Gestion des états -> Bits d'état -> SB_870

Numéro de bit | Afficher | Définir | Disponible
45 | SB_870 | Automatique | IEC870 IEC850 (en partie)

Renvoie l'état IEC remplacé, conformément à la norme 60870-101 ou 104. La valeur a été définie par un opérateur ou une source automatique. Ce bit d'état peut être sélectionné dans les matrices multi-réaction, les éléments combinés et la formule de verrouillage.

Dans VBA, les 32 bits supérieurs peuvent être interrogés avec StatusExtValue(). Avec SetValueWithStatusEx(), les 64 bits d'état peuvent être interrogés.


NT_870

Manuels -> Gestion des états -> Bits d'état -> NT_870

Numéro de bit | Afficher | Définir | Disponible
46 | NT_870 | Automatique | IEC870 IEC850 (en partie)

Renvoie l'état IEC not topical (non topique), conformément aux normes 60870-101 ou 104. La valeur n'a pas été actualisée ou a été indisponible pendant un certain temps. Ce bit d'état peut être sélectionné dans les matrices multi-réaction, les éléments combinés et la formule de verrouillage.

Dans VBA, les 32 bits supérieurs peuvent être interrogés avec StatusExtValue(). Avec SetValueWithStatusEx(), les 64 bits d'état peuvent être interrogés.


OV_870

Manuels -> Gestion des états -> Bits d'état -> OV_870

Numéro de bit | Afficher | Définir | Disponible
47 | OV_870 | Automatique | IEC870 IEC850 (en partie)

Renvoie l'état Overflow (dépassement de capacité), conformément aux normes 60870-101 ou 104. The value lies outside the predefined bandwidth.


SE_870

Manuels -> Gestion des états -> Bits d'état -> SE_870

Numéro de bit | Afficher | Définir | Disponible
48 | SE_870 | Automatique | IEC870 IEC850 (en partie)

Ce bit S/E est utilisé conformément à la norme IEC 60870-101 ou 104, conjointement à la fonctionnalité Select before operate (Sélection avant utilisation), et sert à distinguer les états SelectSelect (Sélection) et ExecuteExecute (Exécution) d'une commande.

Valeurs :

  • 0 = execute
  • 1 = select


T_INVAL

Manuels -> Gestion des états -> Bits d'état -> T_INVAL

Numéro de bit | Afficher | Définir | Disponible
49 | T_INVAL | Automatique | IEC870

T_INVAL est défini par le driver IEC870 si l'horodatage reçu est marqué comme non valide. Dans ce cas, l'heure du PC local est indiquée dans l'information d'horodatage. Dans l'esclave IEC870 des passerelles de procédé Process Gateway, le bit d'état T_INVAL est transféré dans la direction de message dans les informations d'horodatage.


Déclenchement de disjoncteur détecté (CB_TRIP)

Manuels -> Gestion des états -> Bits d'état -> Déclenchement de disjoncteur détecté (CB_TRIP)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Afficher | Définir | Disponible
50 | Déclenchement de disjoncteur détecté | Automatique | Pour tous les drivers ; utilisé dans les matrices multi-réaction binaires, les matrices multi-réaction numériques, les calculs d'archives résultantes, les éléments combinés et les états de liste d'alarmes/liste chronologique d'événements.

Le bit d'état est défini sur 1 en cas de détection du déclenchement d'un disjoncteur.

La détection a lieu si :

  • la valeur de la variable de réponse change de <>0 en 0 et
    • le bit d'état CB_TR_I (51) n'est pas 1
    • le bit d'état PROGRESS (10) n'est pas 1
    • la valeur de la variable de réponse est déjà définie (c'est-à-dire qu'il ne s'agit pas de la première valeur de cette variable)

Un changement de valeur 0 à <>0 réinitialise ce bit. Cela est également vrai si le bit d'état PROGRESS (10) est activé. Un changement du bit d'état CB_TR_I n'a aucune incidence sur un déclenchement de disjoncteur déjà détecté.

Ce bit d'état peut être modifié de manière explicite par les actions Status (Etat), Status on (Etat activé) ou Status off (Etat désactivé).

Réseau

Sur le réseau, l'évaluation est exécutée sur le serveur responsable de la gestion du procédé. L'évaluation est exécutée sur le serveur de secours, mais le résultat n'est pas écrit sur les bits d'état. L'état actuel des bits d'état CB_TR_I et CB_TRIP est synchronisé lors du redémarrage ou de la reconnexion du serveur de secours. Si la variable de réponse est une variable sur un ordinateur local, l'évaluation est également exécutée sur l'ordinateur client.


Détection de déclenchement de disjoncteur inactive (CB_TR_I)

Manuels -> Gestion des états -> Bits d'état -> Détection de déclenchement de disjoncteur inactive (CB_TR_I)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Signalisation | Définir | Disponible
51 | Détection de déclenchement de disjoncteur inactive | Automatique, résultat de la formule de la propriété Supprimer détection dans la saisie de commande | Pour tous les drivers ; utilisé dans les matrices multi-réaction binaires, les matrices multi-réaction numériques, les calculs d'archives résultantes, les éléments combinés et les états de liste d'alarmes/liste chronologique d'événements.

Indique que la fonction de détection de déclenchement de disjoncteur est inactive.

Le nouveau calcul est déclenché par le changement d'état ou le changement de valeur d'une variable définie pour les calculs de formules dans la saisie de commande. La formule n'est pas évaluée et le résultat n'est pas écrit sur l'état si :

  • une des variables de la formule ne comporte pas encore de valeur et d'état défini,
    ou
  • une des variables comporte le bit Disturbed (Non valide).

Ce bit d'état peut être modifié de manière explicite par les actions Status (Etat), Status on (Etat activé) ou Status off (Etat désactivé).

Détection et suppression

Une modification de ce bit d'état est active lorsqu'il est lu par le driver. Ce qui signifie : la détection d'un déclenchement de disjoncteur concomitante à la définition de la fonction de déclenchement du disjoncteur sur inactive ne fonctionne pas.

Exemple : la formule RM.Value<1 détectera encore le déclenchement d'un disjoncteur, car lors du changement de valeur, le bit d'état CB_TR_I n'était pas encore actif et était uniquement défini sur actif au niveau du driver.

Réseau

Sur le réseau, l'évaluation est exécutée sur le serveur responsable de la gestion du procédé. L'évaluation est exécutée sur le serveur de secours, mais le résultat n'est pas écrit sur les bits d'état. L'état actuel des bits d'état CB_TR_I et CB_TRIP est synchronisé lors du redémarrage ou de la reconnexion du serveur de secours. Si la variable de réponse est une variable sur un ordinateur local, l'évaluation est également exécutée sur l'ordinateur client.


Utilisation

Manuels -> Gestion des états -> Utilisation

Autres sujets abordés dans ce chapitre

Matrices de réaction

Les éléments dynamiques

Elément combiné

Générateur de rapports

Gestionnaire de groupes de recettes

VBA


Matrices de réaction

Manuels -> Gestion des états -> Utilisation -> Matrices de réaction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les matrices de réaction sont le moyen le plus sophistiqué d'utiliser les états.

Ici, les états peuvent être évalués et déclencher des alarmes. En fait un état peut être traité comme une valeur. Comme pour une valeur, on peut déclencher certaines actions suivant la valeur d'un état.

Comme par exemple :

  • Déclencher une alarme
  • Générer une entrée dans le CEL
  • Exécuter une fonction
  • Clignotement
  • Changer de couleur
  • Imprimer

Exemple :

Si une valeur devient non valide, elle reçoit l'état INVALID. Ceci se produit par exemple lorsque le driver perd la connexion avec l'automate. Il est possible de créer une matrice de réaction qui déclenche une alarme dès que la valeur devient invalide (état INVALID). Il est alors possible d'évaluer ces alarmes ultérieurement.


Les éléments dynamiques

Manuels -> Gestion des états -> Utilisation -> Les éléments dynamiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tous les éléments dynamiques offre la possibilité d'afficher l'état de leur variable liée. Cela se fait à l'aide de la propriété Visualiser l'état de la variable.

Alors vous avez la possibilité d'afficher l'état dans le runtime avec le bouton droit de la souris.

Il est alors possible d'afficher l'état de la variable en cliquant sur l'élément avec le bouton droit de la souris pendant le runtime. Tant que vous gardez le bouton droit de la souris enfoncé, le nom de la variable et son état courant sont affichés.

Si l'affichage de l'état de la variable est activé, il y a un petit carré rouge qui apparaîtra en haut et à gauche de l'élément graphique qui indique tout état anormal de la variable.

Ceci indique que la valeur n'a plus l'état spontané (spontaneous). En cliquant sur l'élément avec le bouton droit de la souris, on voit ici que quelqu'un a changé l'état de la variable en valeur de remplacement (alternative value).


Elément combiné

Manuels -> Gestion des états -> Utilisation -> Elément combiné

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'élément combiné donne la possibilité d'évaluer et d'afficher graphiquement l'état d'une variable. A la différence des matrices de réaction, cette évaluation affecte uniquement l'affichage graphique dans le synoptique.

Ce qui signifie :

1 | Changement de la couleur
2 | Affichage d'un autre symbole
3 | Affichage d'un autre texte
4 | Affichage d'un autre bitmap
5 | Changement de la couleur d'un symbole


Générateur de rapports

Manuels -> Gestion des états -> Utilisation -> Générateur de rapports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le générateur de rapport permet aussi d'évaluer les états.

Il faut pour cela, utiliser la fonction variabler et le paramètre "état".

La syntaxe est la suivante :

=variabler(Température_extérieure,état)

Pendant le Runtime, vous pouvez avoir par exemple, l'affichage suivant :

Température_extérieure

21°C

ALT_VAL


Gestionnaire de groupes de recettes

Manuels -> Gestion des états -> Utilisation -> Gestionnaire de groupes de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le gestionnaire de groupes de recettes donne la possibilité de lire, d'afficher et de modifier chaque état d'une variable s'il n'est pas défini pas le procédé (driver). Pour définir des bits d'état, accédez à la boîte de dialogue Editer une recette et utilisez la colonne Actions.


VBA

Manuels -> Gestion des états -> Utilisation -> VBA

En VBA, vous pouvez également accéder à chaque état d'une variable et le modifier du moment qu'il n'est pas défini par les drivers.


Gestion utilisateurs

Manuels -> Gestion utilisateurs

zenon offre une prise en charge de la gestion des utilisateurs pour l'Éditeur et le fonctionnement en ligne (Runtime). Le système de mots de passe est conforme aux directives de la FDA (Food and Drug Administration, 21 CFR Part 11).

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Le concept

La conception du système de mots de passe part du principe que différents utilisateurs possèdent différents droits d'utilisation (niveaux de mots de passe). Même les administrateurs ont des droits différents pour les opérations, mais en plus, ils ont le droit de gérer les utilisateurs.

Ce système de mots de passe permet d'attribuer de manière sélective (en les définissant séparément) plusieurs niveaux de mots de passe (droits d'utilisateur) à chaque utilisateur. Un maximum de 128 (0-127, version 6.20 et plus) niveaux de mots de passe est disponible. L'attribution à un utilisateur de différents niveaux de mots de passe et la structure afférente du système de mots de passe spécifique à un projet particulier peuvent être librement définies. Chaque utilisateur peut se voir attribuer tous les niveaux. Ainsi, par exemple, l'utilisateur 1 peut se voir attribuer les niveaux 0, 1, 5 et 6, tandis que l'utilisateur 2 peut se voir attribuer les niveaux 0, 1, 6, 8 et 10. L'administrateur peut uniquement attribuer des droits dont il dispose lui-même.

La connexion d'un utilisateur au Runtime durant le fonctionnement en ligne s'effectue en activant la fonction Connexion (bouton texte, bouton bitmap, etc.). Si l'authentification d'un utilisateur doit être réalisée automatiquement sur la base d'un événement (par ex. position d'une clé connue du système), la fonction Connexion sans mot de passe est utilisée. Cette fonction est projetée avec une valeur limite ou une matrice de réaction de la variable dans le système de gestion de variables, respectivement.

L'utilisateur peut quitter le système en utilisant la fonction de déconnexion. Le nouvel utilisateur, dont l'authentification est alors automatiquement effectuée, a le nom "SYSTEM".

Si pendant une période de temps définie il n'y a aucune opération / action, vous pouvez décider de déclencher automatiquement une déconnexion.

Menu contextuel Gestionnaire de projet

Menu contextuel Gestion d'utilisateurs

Élément de menu | Action
Profils de l'Éditeur | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne

Menu contextuel Utilisateur

Élément de menu | Action
Nouvel utilisateur | Ouvre la boîte de dialogue de création de nouveaux utilisateurs, et ajoute le nouvel utilisateur à la liste dans la vue de détail.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Menu contextuel Groupe d'utilisateurs

Élément de menu | Action
New user group (Nouveau groupe d'utilisateurs) | Ouvre la boîte de dialogue de création de nouveaux groupes d'utilisateurs, et ajoute le nouveau groupe d'utilisateurs à la liste dans la vue de détail.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Profils de l'Éditeur | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Menu contextuel Vue de détail : voir également Barre d'outils et menu contextuel vue de détail Gestion d'utilisateurs

Autres sujets abordés dans ce chapitre

Configuration dans l'Éditeur

Active Directory (AD)

Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures)

Active Directory Application Mode – ADAM (pour Windows XP)

Fonctionnement dans le Runtime


Configuration dans l'Éditeur

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les utilisateurs et les groupes d'utilisateurs sont créés, et des mots de passe et d'autres paramètres sont définis dans l'Éditeur. Les paramètres peuvent être modifiés dans le Runtime. Toutes les modifications effectuées l'Éditeur ne sont pas acceptées dans le Runtime après un simple rechargement.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Gestion d'utilisateurs

Créer un utilisateur

Créer un groupe d'utilisateurs

Éditer un utilisateur

Modifier un groupe d'utilisateurs

Modifier les noms des niveaux d'autorisation

Autorisation sur fonctions

Créer un synoptique de type Connexion


Barre d'outils et menu contextuel de la vue de détail Gestion d'utilisateurs

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Barre d'outils et menu contextuel de la vue de détail Gestion d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Élément de menu/symbole | Action
Nouvel utilisateur | Ouvre la boîte de dialogue de création de nouveaux utilisateurs, et ajoute le nouvel utilisateur à la liste dans la vue de détail.
Retour à l'élément de départ | Si vous avez saisi la liste via la fonction Éléments liés, le symbole vous ramène à l'élément de départ. Uniquement disponible dans le menu contextuel lorsque tous les éléments liés sont ouverts.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Insérer | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Exporter XML (sélection)... | Exporte touts les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Importer XML | Importe les entrées à partir d'un fichier XML.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Aide | Ouvre l'aide en ligne.

Menu contextuel Groupe d'utilisateurs

Élément de menu | Action
New user group (Nouveau groupe d'utilisateurs) | Ouvre la boîte de dialogue de création de nouveaux groupes d'utilisateurs, et ajoute le nouveau groupe d'utilisateurs à la liste dans la vue de détail.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Insérer | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Créer un utilisateur

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Créer un utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un nouvel utilisateur :

  1. Accédez au nœud Gestion d'utilisateurs/Utilisateur.
  2. Dans le menu contextuel du Gestionnaire de projet, la vue de détail ou la barre d'outils, sélectionnez Nouvel utilisateur...
  3. La boîte de dialogue de configuration s'affiche à l'écran.
  4. Dans les onglets individuels, définissez les paramètres pour :
    • Utilisateurs
    • Mot de passe
    • Gestion de messages
    • Groupes d'autorisation
    • Groupes d'utilisateurs

info Info

Recommandation : définissez un administrateur en tant que premier utilisateur. Seul l'administrateur peut accéder à toutes les fonctions et donc, réactiver des utilisateurs bloqués après avoir saisi un mot de passe incorrect à trois reprises.

Autres sujets abordés dans ce chapitre

Utilisateur

Modifier mot de passe

Gestion de messages

Groupes d'autorisation

Groupes d'utilisateurs


Utilisateur

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Créer un utilisateur -> Utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration de l'utilisateur :

Paramètre

Description

Nom de l'utilisateur

Saisissez le nom d'utilisateur. L'utilisateur se connecte au système avec son nom d'utilisateur.

Longueur maximale : 20 caractères.

Remarque : ce nom doit être unique.

Nom complet

Saisissez le nom complet de l'utilisateur. Ceci vous permet d'attribuer un nom d'utilisateur à une personne véritable.

Administrateur

Actif : L'utilisateur reçoit l'état d'administrateur.

Seul un administrateur peut créer un nouvel utilisateur, modifier les utilisateurs, supprimer les mots de passe, etc. dans le Runtime.

Actif

Actif : L'utilisateur est actif et peut se connecter au Runtime.

Remarque : selon la norme FDA 21 CFR PART 11, un utilisateur ne doit jamais être supprimé, de façon à ce qu'à tout instant, il soit possible de tracer la personne ayant exécuté une action. Par conséquent, pour les projets conformes à cette réglementation, un utilisateur ne doit pas être supprimé, mais uniquement désactivé.

Pour éviter la suppression d'utilisateurs, dans les paramètres du projet, désactivez la propriété Supprimer utilisateurs dans le groupe Gestion utilisateur.

Verrouillé

Actif : L'utilisateur est bloqué dans le Runtime et ne peut pas se connecter.

Cette option est définie automatiquement dès qu'un utilisateur dépasse le nombre autorisé de saisies erronées du mot de passe.

Code de verrouillage

Code PIN à quatre chiffres activé.

Ce code est employé par l'utilisateur pour la saisie de commandes, afin de verrouiller et déverrouiller différentes zones.

Le profil de Runtime invoqué lors de la connexion.

Sélectionnez les profils de Runtime dans la liste déroulante :

  • None (Aucune)
  • Défaut
  • Charger

OK

Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.

Annuler

Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

info Info

Un administrateur peut uniquement autoriser des utilisateurs dans les groupes dans lesquels il dispose lui-même de droits.


Modifier mot de passe

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Créer un utilisateur -> Modifier mot de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Définition ou modification du mot de passe.

Les mots de passe peuvent comporter 20 caractères au maximum. La longueur minimale est définie dans les paramètres du projet, dans la propriété Longueur min. mot de passe du groupe Gestion utilisateur. La valeur par défaut est 6 pixel.

Paramètre | Description
Ancien mot de passe | Mot de passe actuel.
Nouveau mot de passe | Saisissez le nouveau mot de passe. Pour les projets multilingues, assurez-vous qu'il soit possible de saisir les caractères avec le clavier correspondant dans le Runtime.
Confirmation du mot de passe | Répétez le nouveau mot de passe.
OK | Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Les fonctions Copier et Coller ne sont pas disponibles lors de la saisie d'informations dans le champ de mot de passe.


Gestion de messages

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Créer un utilisateur -> Gestion de messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Options de gestion des utilisateurs dans le module Gestion de messages.

Paramètre

Description

Message Control User (Utilisateur du module Gestionnaire de messages)

Actif : L'utilisateur est utilisé par le module Message Control.

Téléphone

Numéro de téléphone fixe de l'utilisateur. Utilisé pour la fonction de synthèse vocale.

Saisissez le numéro. le préfixe + peut être utilisé à la place des chiffres 00 précédant le code international.

Mobile phone (Téléphone mobile)

Numéro de téléphone mobile de l'utilisateur. Utilisé pour l'envoi de messages par téléphone portable et SMS ("textos").

Saisissez le numéro ; le préfixe + peut être utilisé à la place des numéros 00 précédant le code international.

Les e-mails

Adresse e-mail de l'utilisateur

Substitute person (Personne de remplacement)

Sélectionnez une personne de remplacement si l'utilisateur ne peut pas être contacté, ou si la réception du message est refusée. Cliquez sur le bouton .... Ouvre la boite de dialogue de sélection.

Code PIN

Code PIN permettant à l'utilisateur de confirmer le message.

Code NA

Code d'indisponibilité permettant à l'utilisateur de refuser de confirmer la réception du message (indisponible). Le message est alors envoyé à l'utilisateur suivant dans la liste.

OK

Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.

Annuler

Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

attention Attention

Les codes d'acquittement PIN (confirmation) et NA (refus) doivent être différents et ne doivent pas être trop semblables.

Si les deux codes sont identiques, le code est interprété comme un code PIN, et indique alors la confirmation du message.

En cas de réception d'un code inconnu, un SMS et un e-‑mail sont envoyés au contact secondaire. Le message d'erreur est diffusé pour les messages vocaux.


Groupes d'autorisation

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Créer un utilisateur -> Groupes d'autorisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Définition du niveau d'autorisation pour l'utilisateur.

Paramètre | Description
Niveaux d'autorisation disponibles | liste de tous les groupes d'autorisation disponibles.
Niveaux d'autorisation sélectionnés | liste des autorisations assignées.
Bouton Double flèche vers la droite | Les entrées sélectionnées dans la liste Niveaux d'autorisation disponibles sont ajoutées à la liste Niveaux d'autorisation sélectionnés.
Bouton Double flèche vers la gauche | Les entrées sélectionnées dans la liste Niveaux d'autorisation sélectionnés sont supprimées de la liste.
OK | Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Informations concernant info

En appuyant sur les touches Ctrl et/ou Maj, vous pouvez sélectionner plusieurs entrées à la fois.

  • En maintenant la touche Ctrl enfoncée, vous pouvez sélectionner plusieurs entrées.
  • En maintenant la touche Maj enfoncée pendant que vous sélectionnez deux entrées, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées.
  • En maintenant les touches Ctrl et Maj enfoncées pendant que vous sélectionnez deux entrées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Groupes d'utilisateurs

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Créer un utilisateur -> Groupes d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Attribution d'utilisateurs à des groupes d'utilisateurs.

Paramètre | Description
Available user groups (Groupes d'utilisateurs disponibles) | Liste de tous les groupes d'utilisateurs disponibles.
Selected user groups (Groupes d'utilisateurs sélectionnés) | Liste des groupes d'utilisateurs affectés
Bouton Double flèche vers la droite | Les entrées sélectionnées dans la liste Groupes d'utilisateurs disponibles sont ajoutées à la liste Groupes d'utilisateurs sélectionnés.
Bouton Double flèche vers la gauche | Les entrées sélectionnées dans la liste Groupes d'utilisateurs sélectionnés sont supprimées de la liste.
OK | Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Informations concernant info

En appuyant sur les touches Ctrl et/ou Maj, vous pouvez sélectionner plusieurs entrées à la fois.

  • En maintenant la touche Ctrl enfoncée, vous pouvez sélectionner plusieurs entrées.
  • En maintenant la touche Maj enfoncée pendant que vous sélectionnez deux entrées, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées.
  • En maintenant les touches Ctrl et Maj enfoncées pendant que vous sélectionnez deux entrées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Créer un groupe d'utilisateurs

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Créer un groupe d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un groupe d'utilisateurs :

  1. Sélectionnez l'entrée Groupes d'utilisateurs dans l'arborescence du Gestionnaire de projet, sous l'entrée Gestion des utilisateurs
  2. Cliquez avec le bouton droit sur la vue de détail (Vue de détail du Gestionnaire de projet) ou directement sur l'entrée Groupes d'utilisateurs
  3. Sélectionnez la commande Nouveau groupe d'utilisateurs dans le menu contextuel, ou cliquez sur le symbole correspondant dans la barre d'outils
  4. La boîte de dialogue Create new user group (Créer un nouveau groupe d'utilisateurs) s'affiche.
  5. Définissez le nom et les niveaux d'autorisation

info Info

Chaque groupe d'utilisateurs doit comporter un nom unique dans un projet.

Il est possible de créer des groupes d'utilisateurs portant le même nom dans le projet global et le projet local. SI c'est le cas, les autorisations du groupe d'utilisateurs du projet standard sont utilisées en cas de conflit. Si le groupe local est supprimé, l'utilisateur reçoit à nouveau les droits du groupe du projet global après que les fichiers du Runtime aient été compilés dans l'Éditeur.

Exemple :

Un groupe d'utilisateurs A est présent dans le projet local et le projet global. Dans le projet global, il reçoit les niveaux d'autorisation 1, 2, 3, 100 et 101 et dans le projet local, les niveaux d'autorisation 1 et 2. Dans le Runtime, les règles du projet local s'appliquent ; seuls les niveaux d'autorisation 1 et 2 sont attribués. Si le groupe d'utilisateurs A n'est pas présent dans le projet local, les membres du groupe A possèdent les niveaux d'autorisation 1, 2, 3, 100 et 101 du projet global.

Autres sujets abordés dans ce chapitre

Nommer un groupe d'utilisateurs

Groupes d'autorisation

Ordre dans le module Gestion des messages


Nommer un groupe d'utilisateurs

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Créer un groupe d'utilisateurs -> Nommer un groupe d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Saisissez le nom du groupe d'utilisateurs que vous voulez créer.

info Info

Le nom du groupe ne peut pas être créé avec la fonction de changement de langue, car il doit pouvoir être vérifié dans Active Directory.

@ n'est pas un caractère valide pour un groupe d'utilisateurs.


Groupes d'autorisation

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Créer un groupe d'utilisateurs -> Groupes d'autorisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Attribution d'un niveau d'autorisation à un groupe d'utilisateurs.

Paramètre

Description

Niveaux d'autorisation disponibles

liste de tous les groupes d'autorisation disponibles.

Niveaux d'autorisation sélectionnés

liste des autorisations assignées.

Bouton Double flèche vers la droite

Les entrées sélectionnées dans la liste Niveaux d'autorisation disponibles sont ajoutées à la liste Niveaux d'autorisation sélectionnés.

Bouton Double flèche vers la gauche

Les entrées sélectionnées dans la liste Niveaux d'autorisation sélectionnés sont supprimées de la liste.

OK

Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.

Annuler

Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Informations concernant info

En appuyant sur les touches Ctrl et/ou Maj, vous pouvez sélectionner plusieurs entrées à la fois.

  • En maintenant la touche Ctrl enfoncée, vous pouvez sélectionner plusieurs entrées.
  • En maintenant la touche Maj enfoncée pendant que vous sélectionnez deux entrées, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées.
  • En maintenant les touches Ctrl et Maj enfoncées pendant que vous sélectionnez deux entrées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Ordre dans le module Gestion des messages

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Créer un groupe d'utilisateurs -> Ordre dans le module Gestion des messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Définit l'ordre des utilisateurs dans un groupe dans le cadre de l'utilisation du module Gestion des messages.

Paramètre | Description
Utilisateurs | liste de tous les utilisateurs disponibles.
Vers le haut | Déplace l'utilisateur sélectionné d'une place.
Bas | Abaisse l'utilisateur sélectionné d'une place.
OK | Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Éditer un utilisateur

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Éditer un utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour modifier un utilisateur, sélectionnez l'utilisateur dans la liste affichée dans la vue de détail. Les paramètres correspondants sont ensuite affichés dans la fenêtre des propriétés. Vous pouvez modifier les paramètres Nom d'utilisateur, Nom complet, Mot de passe, Niveau d'autorisation et Groupes d'utilisateurs.


Modifier un groupe d'utilisateurs

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Modifier un groupe d'utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour modifier un groupe d'utilisateurs, sélectionnez le groupe d'utilisateurs dans la liste affichée dans la vue de détail. Les paramètres correspondants sont ensuite affichés dans la fenêtre des propriétés. Vous pouvez modifier les paramètres Nom et Niveaux d'autorisation.

info Info

Si vous renommez un groupe d'utilisateurs, tous les utilisateurs liés à ce groupe d'utilisateurs perdent ce lien. Vous pouvez afficher le groupe d'utilisateurs en appuyant sur la touche Suppr.

Si un autre groupe d'utilisateurs portant le même nom existe déjà dans le projet global, tous les utilisateurs précédemment liés au groupe renommé reprennent tous les niveaux d'autorisation de ce groupe d'utilisateurs.


Modifier les noms des niveaux d'autorisation

Vous pouvez modifier les noms des niveaux d'autorisation de votre projet de façon globale. Pour cela, accédez au groupe Gestion utilisateur dans les propriétés du projet et cliquez ensuite sur la propriété -.

Ouvrez le champ d'édition en double-cliquant dans la ligne souhaitée de la colonne Nom. Effectuez les modifications souhaitées. La saisie est terminée dès que vous cliquez hors du champ ou que vous confirmez votre saisie en appuyant sur Entrée. Le nom n'est pas modifié si vous appuyez sur Echap ou laissez le champ de saisie vide.


Autorisation sur fonctions

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Autorisation sur fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les autorisations sur fonctions peuvent être attribuées dans zenon. Ces autorisations sur fonctions concernent les fonctions dans le Runtime, ainsi que la configuration des modules de l'Éditeur. Si un utilisateur ne possède pas les niveaux d'autorisation requis,

  • Dans le Runtime : les fonctions correspondantes ne peuvent pas être exécutées.
  • Dans l'Éditeur : les barres d'outils et les menus contextuels du module correspondant sont grisés.

Cette attribution est effectuée comme suit :

  • Autorisations sur fonctions dans le Runtime
  • Autorisations sur fonctions dans l'Éditeur

Pour les projets globaux, l'attribution se déroule de la même manière que pour l'Éditeur. Dans ce contexte, les possibilités de sélection dont déterminées par les nœuds présents dans un projet global.

Dès qu'un ou plusieurs niveaux d'autorisation supérieurs à 0 sont utilisés, une boîte de dialogue de connexion apparaît lorsque le projet est chargé dans l'Éditeur. Cette boîte de dialogue apparaît également si un seul utilisateur a été créé dans le projet. Cela signifie que les projets peuvent être protégés dans l'Éditeur. Lors de la saisie du nom d'utilisateur et du mot de passe, une distinction est établie entre les lettres majuscules et minuscules.

En règle générale, les dispositions suivantes s'appliquent :

  • Tous les activateurs de menus et de barres d'outils qui verrouillent l'activité lors de l'édition tiennent compte des droits des modules.
  • Tous les raccourcis-clavier qui verrouillent l'activité lors de l'édition tiennent compte des droits des modules.
  • Tous les événements DragOver et DragDrop tiennent compte des droits des modules.
  • L'action de renommer des éléments dans les arborescences via un double-clic tient compte des droits des modules.
  • La fenêtre de propriétés est uniquement lue pour les objets sans droits de modules. Cela signifie que les propriétés de niveau inférieur ne peuvent pas être modifiées – même pour la lecture (par exemple, états combinés, états des matrices de réaction, configuration d'archives etc.)
  • L'édition de synoptiques à l'aide de la souris est bloquée en l'absence des droits de modules correspondant aux synoptiques.

attention Attention

Par conséquent, veuillez noter que même lors des phases de configuration, au moins un utilisateur doit être attribué à chacun des trois niveaux d'autorisation suivants :

  • Charger projet
  • Projet
  • Gestion utilisateurs

Autres sujets abordés dans ce chapitre

Autorisations sur fonctions dans le Runtime

Autorisations sur fonctions de l'éditeur


Autorisations sur fonctions dans le Runtime

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Autorisation sur fonctions -> Autorisations sur fonctions dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autorisations concernant les alarmes

Paramètres

Description

Modifier le commentaire d'alarme

Un commentaire nécessaire à l'acquittement peut être modifié.

Entrer le commentaire d'alarme

Un commentaire nécessaire à l'acquittement peut être saisi.

- Supprimer alarmes

Les alarmes peuvent être supprimées dans le Runtime.

Acquittement d'alarmes par le biais de la ligne d'état/du menu contextuel

Acquitter une alarme par le biais de la ligne d'état des alarmes ou du menu contextuel n'est possible que si une autorisation est définie dans le projet de l'alarme actuellement affichée.

Dans le cas d'une gestion multi-projet : acquitter le message système par le biais de la ligne d'état des alarmes ou du menu contextuel n'est possible que si une autorisation est définie dans le projet d'intégration (I-projet).

Commentaire : Les messages systèmes sont les messages qui apparaissent dans la ligne d'état des alarmes lorsqu'un certain nombre (configurable) d'alarmes est atteint.

Acquitter les alarmes dans les synoptiques d'alarmes

L'acquittement des alarmes par le biais des synoptiques de liste d'alarmes n'est possible que si une autorisation est définie dans le projet lié à la variable (gestion multi-projet).
Remarque : si vous n'avez pas l'autorisation d'acquitter, le clignotement est arrêté mais l'alarme n'est pas acquittée.

Acquitter les alarmes avec une fonction

Acquitter les alarmes par le biais d'une fonction n'est possible que si une autorisation est définie pour les alarmes sélectionnées dans les projets correspondants.

Éditer archive

Les données d'archives (Serveur d'archives) peuvent être modifiées dans le Runtime.

Vous pouvez définir différents groupes d'autorisations pour chacune de ces méthodes d'acquittement. Ceci vous permet, par exemple, de configurer que certains utilisateurs ne peuvent acquitter que par la ligne d'état et pas par un autre moyen.

Informations concernant info

Acquitter une alarme n'est possible que si une autorisation a été définie pour les alarmes sélectionnées dans les projets correspondants.

Autorisation d'utilisation des fonctions du module Batch Control.

Paramètres | Description
Contrôle de batch : Recette de contrôle - créer, renommer, dupliquer | Les recettes de contrôle dans le module Batch Control peuvent uniquement être créées et gérées si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle - éditer la phase | Les recettes de contrôle dans le module Batch Control peuvent uniquement être éditées si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle - supprimer | Les recettes de contrôle dans le module Batch Control peuvent uniquement être supprimées si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle (exécution) - passer la condition active | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être quittée si l'utilisateur dispose des droits correspondants.
Contrôle de batch : recette de contrôle (exécution) - sortie phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, les conditions en attente peuvent uniquement être ignorées si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle (exécution) - exécuter, sauter des étapes simples | Lors de l'exécution de recettes de contrôle dans le module Batch Control, l'exécution d'étapes individuelles peut uniquement être ignorée si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle (exécution) - figer la phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être arrêtée si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle (exécution) - continuer la phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être poursuivie si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle (exécution) - redémarrer la phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être redémarrée si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Contrôle de batch (exécution) - mettre en pause la phase | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une phase peut uniquement être mise en pause si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle (exécution) - basculer en mode REE | Lors de l'exécution de recettes de contrôle dans le module Batch Control, le mode REE peut uniquement être activé si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle (exécution) - annuler la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, l'exécution d'une recette peut uniquement être annulée si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle (exécution) - figer la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être arrêtée si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle (exécution) - continuer la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, l'exécution d'une recette peut uniquement être poursuivie si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle (exécution) - redémarrer la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être redémarrée si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle (exécution) - mettre en pause la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être mise en pause si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle (exécution) - démarrer la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être redémarrée si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette de contrôle (exécution) - arrêter la recette | Lors de l'exécution de recettes de contrôle dans le module Batch Control, une recette peut uniquement être arrêtée si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Opération - créer, éditer, renommer, dupliquer, enregistrer | Les opérations dans le module Batch Control peuvent uniquement être créées, éditées ou gérées si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Opération : valider | Les opérations dans le module Batch Control peuvent uniquement être validées si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Opération : supprimer | Les opérations dans le module Batch Control peuvent uniquement être supprimées si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette principale - créer, éditer, renommer, dupliquer, enregistrer | Les recettes principales dans le module Batch Control peuvent uniquement être créées et gérées si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette principale - valider | Les recettes de contrôle dans le module Batch Control peuvent uniquement être validées si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette principale - supprimer | Les recettes de contrôle dans le module Batch Control peuvent uniquement être supprimées si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette principale - activation des modes de test et d'édition | L'activation des modes de test et d'édition est uniquement possible pour les recettes principales, dans le module Contrôle de batch, si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette principale - afficher comme obsolète | Les recettes principales dans le module Batch Control peuvent uniquement être affichées comme obsolète si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette principale (mode de test) - passer la condition active | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'ignorer une condition en attente si l'utilisateur dispose des droits correspondants.
Contrôle de batch : recette principale (mode de test) - sortie phase | Dans le mode de test, les recettes principales dans le module Batch Control il est uniquement possible de quitter une phase si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette principale (mode de test) - exécuter, passer une étape simple | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de passer l'exécution d'étapes individuelles si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette principale (mode de test) - figer la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'arrêter une phase si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette principale (mode de test) - éditer la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'éditer une phase si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette principale (mode de test) - continuer la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de continuer une phase si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette principale (mode de test) - redémarrer la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de redémarrer une phase si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette principale (mode de test) - mettre en pause la phase | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de mettre une phase en pause si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Recette principale (mode de test) - basculer en mode REE | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'activer le mode REE si l'utilisateur dispose des droits correspondants.
Contrôle de batch : Contrôle de batch : Recette principale (mode de test) - annuler la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'annuler une recette si l'utilisateur possède le niveau d'autorisation correspondant.
Contrôle de batch : Recette principale (mode de test) - figer la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de figer une recette si l'utilisateur possède le niveau d'autorisation correspondant.
Contrôle de batch : Recette principale (mode de test) - continuer la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de continuer une recette si l'utilisateur possède le niveau d'autorisation correspondant.
Contrôle de batch : Recette principale (mode de test) - redémarrer la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de redémarrer une recette si l'utilisateur possède le niveau d'autorisation correspondant.
Contrôle de batch : Recette principale (mode de test) - mettre en pause la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de mettre une recette en pause si l'utilisateur possède le niveau d'autorisation correspondant.
Contrôle de batch : Recette principale (mode de test) - démarrer la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement de démarrer une recette si l'utilisateur possède le niveau d'autorisation correspondant.
Contrôle de batch : Recette principale (mode de test) - arrêter la recette | Dans le mode de test, les recettes principales dans le module Batch Control permettent uniquement d'arrêter une recette si l'utilisateur dispose des droits correspondants.

Autorisations d'utilisation des fonctions – Informations générales

Éditer tendance étendue

Les courbes du module Extended Trend peuvent être modifiées dans le Runtime. Les éléments de contrôle suivants sont inactifs si l'utilisateur ne satisfait pas aux critères d'autorisation :

  • Diagramme
  • Courbes
  • Cadre
  • activer
  • axe

Retour au synoptique précédent

La fonction Retour au précédent du synoptique peut être exécutée dans le Runtime.

Liste de synoptiques

La fonction d'appel de synoptique (Synoptique - fonctions), lorsque l'option Ouvrir ce dialogue en Runtime est activée, ne peut être exécutée que si l'utilisateur appartient au groupe d'autorisation requis.

Bloc-notes : ouvrir fichier

La fonction Liste de fichiers du synoptique Fichier peut uniquement être exécutée si l'utilisateur connecté possède le niveau d'autorisation adéquat.

Bloc-notes : Enregistrer fichier

La fonction Enregistrer un fichier du synoptique Fichier peut uniquement être exécutée si l'utilisateur connecté possède le niveau d'autorisation adéquat.

Pour toutes les actions, l'utilisateur doit être connecté et posséder les niveaux d'autorisation correspondants.

info Info

Acquitter une alarme n'est possible que si une autorisation a été définie pour les alarmes sélectionnées dans les projets correspondants.

Vous pouvez définir différents groupes d'autorisations pour chacune de ces méthodes d'acquittement. Ceci vous permet, par exemple, de configurer que certains utilisateurs ne peuvent acquitter que par la ligne d'état et pas par un autre moyen.


Autorisations sur fonctions de l'éditeur

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Autorisation sur fonctions -> Autorisations sur fonctions de l'éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètre

Description

Charger projet

La base de données du projet peut uniquement être chargée dans l'Éditeur, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Commentaire : pour ne pas être exclu d'un projet, au moins un utilisateur doit se voir attribuer l'autorisation d'utiliser cette fonction.

Activer / désactiver l'historique des modif.

L'historique des modifications peut uniquement être activé ou désactivé dans l'Éditeur, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Projet

Les propriétés du projet peuvent uniquement être modifiées dans l'Éditeur, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Commentaire : pour ne pas être exclu d'un projet, au moins un utilisateur doit se voir attribuer l'autorisation d'utiliser cette fonction.

Variables

Dans ce cas seulement, le nœud Variables est accessible dans l'Éditeur pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Synoptiques

Dans ce cas seulement, le nœud Synoptiques est accessible dans l'Éditeur pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Fonctions

Dans ce cas seulement, les fonctions et les scripts peuvent être édités ou configurés dans l'Éditeur, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Fichier de langue

Dans ce cas seulement, la fonction de changement de langue peut être éditée ou configurée dans l'Éditeur, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Le serveur d'archives

Dans ce cas seulement, le module Serveur d'archives est accessible dans l'Éditeur pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Recettes

Dans ce cas seulement, les recettes standard et le Gestionnaire de groupes de recettes peuvent être édités ou configurés dans l'Éditeur, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Commandes temporisées

Dans ce cas seulement, le nœud Commandes temporisées peut être édité ou configuré dans l'Éditeur, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Interfaces de programmation

Dans ce cas seulement, le nœud Interfaces de programmation est accessible dans l'Éditeur pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

zenon Logic

Dans ce cas seulement, les projets zenon Logic peuvent être édités ou configurés dans l'Éditeur, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Production & Facility Scheduler

Dans ce cas seulement, le module Production & Facility Scheduler est accessible dans l'Éditeur pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Verrouillages

Dans ce cas seulement, le nœud Verrouillages peut être édité ou configuré dans l'Éditeur, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Système Energy Management System (EMS)

Dans ce cas seulement, le module Production & Facility Scheduler est accessible dans l'Éditeur pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Gestion de messages

Dans ce cas seulement, le module Gestion de messages est accessible dans l'Éditeur pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Menus

Dans ce cas seulement, les menus peuvent être édités ou configurés dans l'Éditeur, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Générateur de rapports

Dans ce cas seulement, le module Report Generator est accessible dans l'Éditeur pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Gestion utilisateurs

Dans ce cas seulement, les utilisateurs et les groupes d'utilisateurs peuvent être édités ou configurés dans l'Éditeur, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Commentaire : pour ne pas être exclu d'un projet, au moins un utilisateur doit se voir attribuer l'autorisation d'utiliser cette fonction.

Interface SAP

Dans ce cas seulement, le module SAP Interface est accessible dans l'Éditeur pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Fichiers

Dans ce cas seulement, le nœud Fichiers est accessible dans l'Éditeur pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Contrôle de batch

Dans ce cas seulement, le module Contrôle de batch est accessible dans l'Éditeur pour l'édition et la configuration, Si l'utilisateur connecté est associé au niveau d'utilisateur correspondant.

Modifier

Ouvre la boîte de dialogue de sélection des niveaux d'autorisation.

OK

Valide les modifications définies sur tous les onglets et ferme la boîte de dialogue.

Annuler

Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Informations concernant info

En appuyant sur les touches Ctrl et/ou Maj, vous pouvez sélectionner plusieurs entrées à la fois.

  • En maintenant la touche Ctrl enfoncée, vous pouvez sélectionner plusieurs entrées.
  • En maintenant la touche Maj enfoncée pendant que vous sélectionnez deux entrées, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées.
  • En maintenant les touches Ctrl et Maj enfoncées pendant que vous sélectionnez deux entrées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.

Autres sujets abordés dans ce chapitre

Exemple de configuration des niveaux de fonction


Exemple de configuration des niveaux de fonction

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Autorisation sur fonctions -> Autorisations sur fonctions de l'éditeur -> Exemple de configuration des niveaux de fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour émettre une autorisation de fonction :

  1. Sélectionnez Gestion des utilisateurs dans les propriétés du projet.
  2. Dans le champ de propriétés Autorisations sur fonctions, cliquez sur le bouton ...
  3. La boîte de dialogue de configuration s'affiche à l'écran.
  4. Définissez l'autorisation sur fonction pour la fonction concernée dans le Runtime et/ou le module concerné dans l'Éditeur.
  5. Attribuez l'autorisation de fonction souhaitée à un niveau d'autorisation.

Pour cela, il est nécessaire de disposer des droits de licence correspondant au module concernés. Cela n'est pas pris en compte lors de la configuration des niveaux d'autorisation individuels.

Remarque : les modifications apportées aux autorisations sur fonction prennent uniquement effet après le redémarrage de l'éditeur et/ou le rechargement du projet.


Créer un synoptique de type Connexion

Manuels -> Gestion utilisateurs -> Configuration dans l'Éditeur -> Créer un synoptique de type Connexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'intervention de différents utilisateurs dans le Runtime est rendue possible par les synoptiques de type Connexion . Ce synoptique doit d'abord être créé dans l'Éditeur.

Vous trouverez d'autres informations concernant les types de synoptiques prédéfinis au chapitre Synoptiques / Types de synoptiques prédéfinis.

Lors de l'ouverture du synoptique, celui-ci est vide. Vous pouvez ajouter des éléments de contrôle par défaut via le menu Éléments de contrôle -> Insérer un modèle.


Active Directory (AD)

Manuels -> Gestion utilisateurs -> Active Directory (AD)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Active Directory peut être utilisé dans zenon pour la gestion des utilisateurs dans le zenon. AD n'est pas disponible dans l'Éditeur de zenon.

Active Directory peut être utilisé pour trois types d'utilisateurs de zenon :

  1. Le nom du groupe d'autorisations dans le module d'administration des utilisateurs de zenon correspond aux noms de groupe d'un groupe d'utilisateurs dans Active Directory : l'attribution de l'utilisateur Active Directory au groupe d'autorisations de zenon a lieu automatiquement. Tous les utilisateurs du groupe Active Directory reçoivent des droits d'utilisateurs définis dans le groupe d'autorisation de zenon. Voir Les groupes d'utilisateurs dans zenon et dans Active Directory possèdent le même nom.
  2. Dans la description du groupe Active Directory, les niveaux d'autorisation de zenon et le projet sont conservés avec une syntaxe particulière. Tous les utilisateurs du groupe reçoivent les droits d'utilisateur conservés dans le groupe Active Directory dans zenon. Voir Attribution d'un utilisateur Active Directory aux niveaux d'autorisation de zenon
  3. Le schéma Active Directory est étendu à l'aide de champs, dans lesquels sont enregistrés les niveaux d'autorisation de zenon. Ceci nécessite un schéma d'extension Active Directory. Cette méthode n'est toutefois pas adaptée aux environnements réglementés conformes à FDA 21 CFR Part 11. Voir: Schéma d'extension Active Directory.

info Info

Lors de la vérification du mot de passe dans zenon, le paramètre Max. password age (Durée max. du mot de passe) est également vérifié dans Active Directory.

info Info

Active Directory et ADAM/AD LDS ne sont pas disponibles sous Windows CE.

Autres sujets abordés dans ce chapitre

Généralités

Configuration des niveaux d'autorisation de zenon dans le champ de description d'un groupe Active Directory

Groupes d'utilisateurs identiques dans zenon et Active Directory

Schéma d'extension d'Active Directory

Extension de schéma – détails

Schéma

Configuration

Domaine


Généralités

Manuels -> Gestion utilisateurs -> Active Directory (AD) -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour pouvoir utiliser les utilisateurs d'Active Directory (ci-après AD) dans zenon, un domaine géré par le système d'exploitation Windows Server est requis. Pour pouvoir gérer les utilisateurs dans Active Directory, le serveur doit être un serveur DNS.

Un contrôleur de domaine avec DNS et Active Directory doit donc être disponible pour pouvoir utiliser les comptes utilisateur de zenon sur un ordinateur du domaine.

L'accès aux utilisateurs d'Active Directory doit être activé dans les propriétés du projet.

Des connaissances de base concernant Active Directory et la technologie des serveurs Windows sont nécessaires.

attention Attention

Si la connexion est effectuée via Active Directory, tous les ordinateurs, sans exception, doivent avoir accès à Active Directory. Ceci s'applique également aux clients et clients Web.

Explication : un client se connecte directement à Active Directory depuis le client. Le serveur de Runtime de zenon n'est pas concerné.
Un utilisateur Active Directory peut donc uniquement se connecter si un client :

  • Appartient au domaine
    et
  • A accès au domaine


Configuration des niveaux d'autorisation de zenon dans le champ de description d'un groupe Active Directory

Manuels -> Gestion utilisateurs -> Active Directory (AD) -> Configuration des niveaux d'autorisation de zenon dans le champ de description d'un groupe Active Directory

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les utilisateurs Windows d'Active Directory peuvent être utilisés dans zenon.

Des utilisateurs individuels peuvent être attribués aux groupes Active Directory. Les noms des groupes doivent respecter la syntaxe suivante :

zenon nom du projet##texte libre

La description contient l'autorisation de l'utilisateur, conformément à la syntaxe suivante :

texte libre ##GRP=nombre-HEX## texte libre

info Info

Le nom et la description du groupe ne sont pas sensibles à la casse.

Pour améliorer la lisibilité, le nombre hexadécimal est divisé en quatre parties (un par groupe d'autorisation), séparées par un tiret.

Structure du nombre hexadécimal
FFFFFFFF | FFFFFFFF | FFFFFFFF | FFFFFFFF
Groupes d'autorisations 1 | Groupes d'autorisations 2 | Groupes d'autorisations 3 | Groupes d'autorisations 4

Example Exemple

Nom de groupe : MASCHINE01##personnel de maintenance

Description de groupe : texte libre##GRP=FFFFFFFF-FFFFFFFF-FFFFFFFF-FFFFFFFF##texte libre

Les utilisateurs affectés à MACHINE01##personnel de maintenance reçoivent les niveaux d'autorisation 0 à 127 dans zenon.

Il n'est pas nécessaire de saisir l'ensemble des 32 chiffres. Les chiffres manquants sont interprétés comme des 0.

Example Exemple

Description de groupe : texte libre##GRP=7##texte libre

Les utilisateurs affectés à un groupe portant cette description reçoivent les niveaux d'autorisation 0, 1 et 2 dans zenon.

7, au format hexadécimal, est égal à 111 au format binaire. Pour chaque 1 dans le nombre binaire, le niveau d'autorisation correspondant est défini. Le bit le plus à droite correspond au niveau d'autorisation 0. Le bit situé à sa gauche correspond au niveau d'autorisation 1, et ainsi de suite.

Un utilisateur peut être affecté à plusieurs groupes. Dans ce cas, l'utilisateur reçoit la somme des niveaux d'autorisation pour chaque groupe.

Si un utilisateur est connecté à zenon, le système vérifie d'abord si l'utilisateur existe localement dans zenon. Dans le cas contraire, l'utilisateur est recherché dans Active Directory. Si l'utilisateur n'existe pas non plus à cet endroit, une entrée correspondante est créée dans la liste chronologique d'événements, indiquant que l'utilisateur n'est pas connecté. Si l'utilisateur est présent dans AD, mais les niveaux d'autorisation dans zenon ne sont pas définis pour ces utilisateurs, l'entrée suivante est créée dans la liste chronologique d'événements : "'No user rights defined for the user in the AD." (Aucun droit d'utilisateur défini pour l'utilisateur dans AD) L'utilisateur est connecté avec le niveau d'autorisation 0.


Groupes d'utilisateurs identiques dans zenon et Active Directory

Manuels -> Gestion utilisateurs -> Active Directory (AD) -> Groupes d'utilisateurs identiques dans zenon et Active Directory

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les considérations suivantes s'appliquent aux utilisateurs dans zenon et Active Directory :

  • Si un utilisateur est défini dans AD, mais pas dans zenon :
    • Les groupes d'utilisateurs sont définis dans zenon
    • Les niveaux d'autorisation du groupe auquel appartient l'utilisateur sont attribués à l'utilisateur AD
  • Si un utilisateur existe dans AD et dans zenon et l'utilisateur se connecte au Runtime :
    • L'utilisateur local de zenon est prioritaire sur l'utilisateur AD
    • Si aucun niveau d'autorisation n'est défini dans AD, l'utilisateur local est connecté


Schéma d'extension d'Active Directory

Manuels -> Gestion utilisateurs -> Active Directory (AD) -> Schéma d'extension d'Active Directory

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarque : Cette extension n'est pas adaptée aux environnements réglementés conformes à FDA 21 CFR Part 11. Pour la gestion d'utilisateurs conforme à la réglementation FDA 21 CFR Part 11, utilisez soit les groupes d'utilisateurs dans zenon et les groupes dans Active Directory, soit l'attribution d'utilisateurs Active Directory aux niveaux d'autorisation de zenon.

info Info

Active Directory et ADAM/AD LDS ne sont pas disponibles sous Windows CE.

Autres sujets abordés dans ce chapitre

Installation de l'extension de schéma

Attribuer les droits aux utilisateurs


Installation de l'extension de schéma

Manuels -> Gestion utilisateurs -> Active Directory (AD) -> Schéma d'extension d'Active Directory -> Installation de l'extension de schéma

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

De façon à pouvoir affecter les 128 groupes d'autorisations de zenon aux utilisateurs dans l'AD, ces entrées (les 4 valeurs entières) doivent être ajout au schéma de l'AD.

Pour cela, deux fichiers (zenonUserLevel.exe et zAD_UserDlg.exe) sont copiés sur le serveur (dans un répertoire dédié, si possible). Dès que le programme d'installation (zenonUserLevel.exe) a été démarré, ce dossier et les fichiers qu'il contient ne doivent pas être renommés ou supprimés.

attention Attention

Les fichiers zenonUserLevel.exe et zAD_UserDlg.exe se trouvent sur le DVD de zenon, dans le dossier /Software/zenonUserLevel/

L'installation génère une référence au fichier zAD_UserDlg.exe dans le schéma de l'AD.

En outre, quatre valeurs d'entier (zenonUserLevel1, zenonUserLevel2, zenonUserLevel3, zenonUserLevel4) sont ajoutées au schéma d'AD.

info Info

Seul un utilisateur du groupe Administrateurs de schéma est autorisé à effectuer ces modifications. Normalement l'administrateur du domaine a ces droits.


Attribuer les droits aux utilisateurs

Manuels -> Gestion utilisateurs -> Active Directory (AD) -> Schéma d'extension d'Active Directory -> Attribuer les droits aux utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après avoir installé l'extension du schéma de l'AD, les groupes d'autorisation peuvent être attribués à chaque utilisateur.

Pour cela, la console Microsoft Management Console (MMC) est ouverte avec l'extension Utilisateurs et ordinateurs Active Directory.

Un menu contextuel est ouvert en cliquant sur l'utilisateur qui doit être configuré avec le bouton droit de la souris. Un nouvel élément de menu est visible dans le menu contextuel : zenonUserLevel.

L'entrée zenonUserLevel doit être sélectionnée dans le menu contextuel pour que l'outil d'administration (zAD_UserDlg.exe) soit ouvert pour l'utilisateur sélectionné.

info Info

Les groupes d'autorisation pour zenon ne peuvent être attribués que directement sur l'utilisateur ; les groupes et les unités d'organisation ne sont pas supportés.

Jusqu'à 128 niveaux d'autorisation peuvent être définis par utilisateur avec l'outil d'administration.

info Info

Par défaut, le niveau d'autorisation 0 est attribué à tous les utilisateurs, et ne peut pas être désactivé avec l'outil d'administration.

Ce niveau correspond à l'utilisateur SYSTEM de zenon.

Autres sujets abordés dans ce chapitre

Description de l'outil d'administration


Description de l'outil d'administration

Manuels -> Gestion utilisateurs -> Active Directory (AD) -> Schéma d'extension d'Active Directory -> Attribuer les droits aux utilisateurs -> Description de l'outil d'administration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètre | Description
[première ligne] | Paramètre LDAP servant de chaîne de connexion.
Nom | Nom de l'utilisateur sélectionné.
Prénom | Prénom de l'utilisateur sélectionné.
Niveau utilisateur | Quatre valeurs entières représentent 32 niveaux d'autorisation. Elles peuvent être saisies en cochant ou en décochant les cases, ou en effectuant une saisie directe dans le champ.
# | Actualise l'affichage des niveaux d'autorisation.
Sélection | Cochez toutes les cases d'une colonne.
Effacer | Décoche toutes les cases d'une colonne.
Enregistrer | Enregistre les paramètres actuels.
Annuler | Refuse toutes les modifications effectuées depuis le dernier enregistrement et ferme la boîte de dialogue.
OK | Enregistre tous les paramètres et ferme la boîte de dialogue.
Création de traces (log) | Affiche les informations de journalisation.


Extension de schéma – détails

Manuels -> Gestion utilisateurs -> Active Directory (AD) -> Extension de schéma – détails

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour clarifier le fonctionnement de l'ensemble, les extensions de schéma sont expliquées de manière détaillée dans cette section, afin de pouvoir être vérifiées en cas de problème.

Pour pouvoir visualiser les détails du schéma AD, l'outil Modification ADSI doit être installé sur le serveur. Cet outil est disponible dès que les outils support du CD Microsoft Server ont été installés.

On les trouve sur le CD sous : CD_ROOT/SUPPORT/TOOLS/SUPTOOLS.msi

Ensuite, l'extension Modification ADSI peut être ouverte dans la console Microsoft Management Console (MMC). Maintenant différentes connexions peuvent être établies.


Schéma

Manuels -> Gestion utilisateurs -> Active Directory (AD) -> Schéma

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les attributs supplémentaires peuvent être vérifiés dans le schéma. Ces attributs sont normalement affichés en bas de l'écran.

zenonUserLevel1 - zenonUserLevel4


Configuration

Manuels -> Gestion utilisateurs -> Active Directory (AD) -> Configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après que la connexion à la configuration a été définie, les détails de chaque objet AD peuvent être vérifiés et édités. Dans ce cas, seul l'objet "user-display" de l'élément DisplaySpecifiers est intéressant, car il constitue le lien entre l'objet utilisateur et l'outil d'administration.

Les propriétés de l'objet user-display contiennent uniquement des attributs avec le nom adminContextMenu.

Cet attribut contient le lien vers l'outil d'administration (zAD_UserDlg.exe).

Cette entrée peut également être modifiée manuellement, si nécessaire.

Pour cela :

  1. Sélectionnez l'entrée
  2. Cliquez sur le bouton Supprimer
  3. Adaptez les paramètres
  4. Cliquez sur Ajouter pour ajouter d'autres éléments

Le paramètre est constitué de la façon suivante :

, nom de l'entrée de menu, chemin du fichier zAD_UserDlg.exe

Example Exemple

Exemple : si le fichier EXE est dans le dossier D:\\AD_Users.

,&zenonUserLevel,D:/AD_Users/zAD_UserDlg.exe


Domaine

Manuels -> Gestion utilisateurs -> Active Directory (AD) -> Domaine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si le domaine de connexion est ouvert, il ressemble au MMC avec le PlugIn Active Directory Users and Computers. Cette information peut aussi être trouvée ici, mais avec plus de détails.

Si vous vérifiez les propriétés d'un objet utilisateur et descendez en bas de la liste, vous trouverez également ici 4 valeurs entières correspondant aux niveaux d'autorisation.


Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures)

Manuels -> Gestion utilisateurs -> Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Utilisez les services Active Directory Lightweight Directory Services Active Directory Lightweight Directory Services (AD LDS) est une version simplifiée d'Active Directory, adaptée à une utilisation sur les systèmes d'exploitation pour ordinateurs de bureau habituels ; il n'est pas nécessaire d'utiliser un système d'exploitation pour serveur. Comme AD, AD LDS est également compatible avec les logiciels suivants :

  1. Le nom du groupe d'autorisations dans le module d'administration des utilisateurs de zenon correspond aux noms de groupe d'un groupe d'utilisateurs dans Active Directory : l'attribution de l'utilisateur Active Directory au groupe d'autorisations de zenon a lieu automatiquement. Tous les utilisateurs du groupe Active Directory reçoivent des droits d'utilisateurs définis dans le groupe d'autorisation de zenon. Voir Les groupes d'utilisateurs dans zenon et dans Active Directory possèdent le même nom.
  2. Dans la description du groupe Active Directory, les niveaux d'autorisation de zenon et le projet sont conservés avec une syntaxe particulière. Tous les utilisateurs du groupe reçoivent les droits d'utilisateur conservés dans le groupe Active Directory dans zenon. Voir Attribution d'un utilisateur Active Directory aux niveaux d'autorisation de zenon

Vous pouvez utiliser AD LDS avec :

  • Windows Vista
  • Windows 7
  • Windows 8
  • Windows Serveur 2008

Autres sujets abordés dans ce chapitre

AD LDS sous Windows 2008

Créer une nouvelle instance AD LDS

Importation d'un schéma AD LDS

Configuration du schéma enfichable AD.

Configuration des unités organisationnelles, des groupes et des utilisateurs

Utilisation dans zenon

AD LDS sous Windows 7 et Windows Vista


AD LDS sous Windows 2008

Manuels -> Gestion utilisateurs -> Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures) -> AD LDS sous Windows 2008

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour installer le rôle de serveur AD LDS :

  1. Sélectionnez Gestionnaire de serveur dans les Outils d'administration

  2. Cliquez sur Ajouter des rôles

  3. Ajoutez le Rôle AD LDS


Créer une nouvelle instance AD LDS

Manuels -> Gestion utilisateurs -> Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures) -> Créer une nouvelle instance AD LDS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer une nouvelle instance AD LDS :

  1. Dans le Panneau de configuration d'Active Directory Lightweight Directory Services, ouvrez l'Assistant d'installation d'AD LDS.

  2. Démarrez l'assistant :

  3. Sélectionnez l'option Une instance unique.

  4. Donnez un nom à l'instance.

  5. Configurez les ports. Par défaut :
    • LDAP: 389
    • SSL: 636

    Remarque : si vous modifiez le port prédéfini, vous devez également modifier le port dans certains des paramètres suivants.

  6. Spécifiez le Nom de la partition.

    Pour cet exemple : o=zenon,c=com

    Le Nom de la partition est utilisé ultérieurement dans zenon, avec le port et le nom du serveur.

    Cette configuration peut également être définie ultérieurement dans zenon. Poursuivez la configuration dans l'assistant.

  7. Définissez l'emplacement d'enregistrement.
    Le paramètre par défaut peut être conservé.

  8. Définissez le compte de service d'AD LDS.

    Pour cet exemple : Compte de service réseau

    Si l'ordinateur sur lequel est installé AD LDS n'est pas membre d'un domaine, un message d'avertissement s'affiche à l'écran :

    Ceci ne perturbe toutefois pas le bon fonctionnement d'AD LDS. Exception : vous utilisez la fonction de réplication.

    Confirmez l'avertissement en cliquant sur le bouton Oui.

  9. Définissez l'utilisateur recevant les droits d'administrateur.

    Dans notre exemple, nous utilisons l'utilisateur actuellement connecté. Dans notre cas, un utilisateur local possédant des droits d'administrateur.

    L'utilisateur et son mot de passe seront utilisés ultérieurement dans zenon.

    Cette configuration peut être définie ultérieurement. Poursuivez la configuration dans l'assistant.

  10. Importez les fichiers LDIF requis :
    • MS-InetOrgPerson.LDF
    • MS-User.LDF
    • MS-UserProxy.LDF

  11. Terminez l'installation


Importation d'un schéma AD LDS

Manuels -> Gestion utilisateurs -> Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures) -> Importation d'un schéma AD LDS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour importer le schéma AD LDS :

  1. Dans l'Explorateur Windows, accédez au dossier %WINDIR%\ADAM.
  2. Sélectionnez [Touche Maj + clic droit] dans le menu contextuel : Open input request here (Ouvrir la demande de saisie ici).

  3. Saisissez la chaîne de caractères suivante :

    ldifde -i -s localhost -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSchemaW2k8.ldf

  4. Appuyez sur la touche Entrée :

  5. Saisissez la chaîne de caractères suivante :

    ldifde -i -s localhost:389 -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSyncMetadata.ldf

    Remarque : si vous avez modifié un port, il doit être modifié de façon correspondante ici.

  6. Appuyez sur la touche Entrée :


Configuration du schéma enfichable AD.

Manuels -> Gestion utilisateurs -> Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures) -> Configuration du schéma enfichable AD.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer le schéma enfichable, enregistrez-le d'abord à l'aide de l'invite de commande (des droits d'administrateur sont requis) :

  1. Cliquez sur le bouton Démarrer.
  2. Accédez à l'invite de commande
  3. Sélectionnez Exécuter en tant qu'administrateur dans le menu contextuel.
  4. À l'invite de commande, saisissez : regsvr32 schmmgmt.dll
  5. Confirmez en appuyant sur la touche Entrée

Configuration

  1. Cliquez sur le bouton Démarrer.
  2. Sélectionnez Exécuter
  3. Saisissez les informations suivantes : mmc /a

  4. Cliquez sur Fichier -> Ajouter/Supprimer un composant logiciel enfichable...

  5. Sélectionnez Schéma Active Directory
  6. Cliquez sur Ajouter
  7. Cliquez sur OK

  8. Accédez à Schéma Active Directory
  9. Sélectionnez Changer de contrôleur de domaine Active Directory... dans le menu contextuel

  10. Saisissez le serveur et le port (localhost:389, dans cet exemple)

  11. Vous devriez maintenant voir la fenêtre suivante :

  12. Accédez à Classes -> organisation
  13. Ouvrez les Propriétés

  14. Cliquez sur Ajouter
    1. Recherchez maxPwdAge
    2. Cliquez sur OK

    1. Répétez cette étape pour lockoutDuration

    1. et pour lockoutThreshold

  15. Cliquez sur OK

Ces étapes sont absolument nécessaires pour que la propriété maxPwdAge apparaisse dans l'unité organisationnelle, configurée ensuite.

  • maxPwdAge définit l'âge maximal du mot de passe ; le mot de passe doit être modifié après expiration de ce délai.
  • lockoutDuration définit la durée pendant laquelle un utilisateur est bloqué après avoir saisi plusieurs fois un mot de passe incorrect.
  • lockoutThreshold définit le nombre de tentatives de saisie erronées avant qu'un utilisateur ne soit bloqué pour un certain temps.

Dans les directives de sécurité locales, vous définissez les règles concernant :

  • La complexité du mot de passe
  • La longueur minimale du mot de passe
  • L'âge du mot de passe


Configuration des unités organisationnelles, des groupes et des utilisateurs

Manuels -> Gestion utilisateurs -> Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures) -> Configuration des unités organisationnelles, des groupes et des utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer des unités organisationnelles, des groupes et des utilisateurs :

  1. Sélectionnez Démarrer -> Outils d'administration -> Modification ADSI

  2. Sélectionnez Connexion... dans le menu contextuel
  3. Utilisez les paramètres suivants (modifiez les autres paramètres s'ils ont été précédemment configurés) :
    1. Point de connexion : o=zenon,c=com
    2. Ordinateur : localhost:389

    Vous devriez maintenant voir la configuration suivante :

Configuration de maxPwdAge

  1. Sélectionnez O=zenon,c=com
  2. Cliquez sur Actualiser
  3. Fermez Modification ADSI
  4. Ouvrez à nouveau Modification ADSI
  5. Sélectionnez O=zenon,c=com
  6. Sélectionnez Propriétés dans le menu contextuel.

  7. Accédez à maxPwdAge.
    1. Saisissez une valeur valide.
    2. Format : JJ:HH:MM:SS (dans notre exemple, 10:00:00:00)

    Remarque : Si la propriété maxPwdAge n'est pas visible, assurez-vous qu'elle a été correctement ajoutée. L'actualisation ou la fermeture, puis la réouverture de Modification ADSI ou l'actualisation des schémas peuvent résoudre le problème.

  8. Accédez à lockoutDuration.
    1. Saisissez une valeur valide.
    2. Format : JJ:HH:MM:SS (dans notre exemple, 00:00:10:00 -> 10 minutes)

  9. Accédez à lockoutThreshold

  10. Saisissez la même valeur que celle définie dans les directives de sécurité locale (3, par exemple)

Remarque : Les paramètres de durée du blocage de compte sont ignorés dans AD LDS. La propriété lockoutDuration (O=zenon,c=com) est utilisée.

Autres sujets abordés dans ce chapitre

Unités organisationnelles

Groupes

Utilisateur


Unités organisationnelles

Manuels -> Gestion utilisateurs -> Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures) -> Configuration des unités organisationnelles, des groupes et des utilisateurs -> Unités organisationnelles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer une unité organisationnelle :

  1. Sélectionnez O=zenon,c=com
  2. Sélectionnez Nouveau -> Objet dans le menu contextuel.

  3. Sélectionnez Unité organisationnelle.

  4. Saisissez un nom (dans notre exemple : zenon user group)

  5. Cliquez sur Suivant, puis sur Terminer


Groupes

Manuels -> Gestion utilisateurs -> Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures) -> Configuration des unités organisationnelles, des groupes et des utilisateurs -> Groupes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un groupe :

  1. Sélectionnez l'unité organisationnelle
  2. Sélectionnez Nouveau >- Objet dans le menu contextuel.

  3. Sélectionnez Groupe

  4. Saisissez un nom (dans notre exemple : zenon user group)

  5. Cliquez sur Suivant
  6. Basculez vers l'onglet Attributs.
  7. Cliquez sur More attributes (Autres attributs)
    1. Accédez à Sélectionnez une propriété à afficher
    2. Sélectionnez Attributs dans la liste déroulante
    3. Accédez à Modifier l'attribut
    4. Saisissez la valeur 2147483650 (représente un groupe de compte)

  8. Cliquez sur Définir.
  9. Sélectionnez maintenant sAMAccountName dans Sélectionnez une propriété à afficher
  10. Saisissez la même valeur que pour le groupe (zenon user group)

    Remarque : ce paramètre est nécessaire pour pouvoir configurer les groupes d'utilisateurs dans zenon

  11. Cliquez sur OK, puis sur Terminer


Utilisateur

Manuels -> Gestion utilisateurs -> Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures) -> Configuration des unités organisationnelles, des groupes et des utilisateurs -> Utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un utilisateur :

  1. Sélectionnez l'unité organisationnelle
  2. Sélectionnez Nouveau >- Objet dans le menu contextuel.

  3. Sélectionnez la classe Utilisateur

  4. Saisissez un nom (dans notre exemple : zenon1)

  5. Cliquez sur Suivant
  6. Basculez vers l'onglet Attributs.
  7. Cliquez sur More attributes (Autres attributs)
    1. Accédez à Sélectionnez une propriété à afficher
    2. Sélectionnez sAMAccountName dans la liste déroulante
    3. Accédez à Modifier l'attribut
    4. Saisissez la même valeur que pour l'utilisateur (zenon1)
      (Cette configuration est nécessaire pour que l'utilisateur puisse être utilisé dans zenon.)

  8. Cliquez sur Définir.
  9. Sélectionnez maintenant displayName dans Sélectionnez une propriété à afficher
  10. Saisissez une valeur pour l'affichage du nom (par exemple 1er utilisateur zenon)

  11. Cliquez sur Définir, puis sur OK et sur Terminer

Ajout d'utilisateurs au groupe

Pour ajouter des utilisateurs à un groupe :

  1. Sélectionnez le groupe zenon user group.
  2. Sélectionnez Propriétés dans le menu contextuel.

  3. Sélectionnez Membre
  4. Cliquez sur Éditer

  5. Pour ajouter un utilisateur au compte AD LDS précédemment créé :
    1. Cliquez sur Ajouter un nom unique...
    2. Dans le champ, saisissez : CN=zenon1,OU=zenon users OU,O=zenon,C=com

    1. Vous recevez le résultat :

  6. Définissez un mot de passe pour l'utilisateur zenon1

    Remarque : le mot de passe doit être conformes aux exigences des directives de sécurité locales

  7. Définissez la propriété set msDS-UserAccountDisabled sur False pour l'utilisateur zenon1

L'utilisateur a maintenant été créé et peut être utilisé dans zenon.


Utilisation dans zenon

Manuels -> Gestion utilisateurs -> Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures) -> Utilisation dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour une utilisation dans zenon, configurez d'abord les paramètres dans l'Éditeur, puis définissez le niveau d'identification des utilisateurs au niveau d'AD LDS conformément au Runtime.

info Info

Active Directory et ADAM/AD LDS ne sont pas disponibles sous Windows CE.

Autres sujets abordés dans ce chapitre

Éditeur

Runtime - Variables du driver système


Éditeur

Manuels -> Gestion utilisateurs -> Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures) -> Utilisation dans zenon -> Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration est effectuée dans les propriétés du projet, dans Gestion utilisateur :

  • Un groupe d'utilisateurs portant le nom zenon user group (Groupe d'utilisateurs zenon) a été créé

  • et des niveaux d'autorisation ont été ajoutés


Runtime - Variables du driver système

Manuels -> Gestion utilisateurs -> Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures) -> Utilisation dans zenon -> Runtime - Variables du driver système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • L'utilisateur zenon1 peut se connecter à zenon :

  • L'utilisateur reçoit ses niveaux d'autorisation du groupe zenon :

  • Les jours restants avant la modification du mot de passe sont affichés (avec un jour d'écart) :

Traitement des erreurs

Si des erreurs se produisent dans le Runtime, vérifiez si :

  • Les paramètres ont été correctement configurés :
    • Nom de l'utilisateur
    • sAMAccountName
  • Les paramètres du pare-feu ont été correctement configurés :
  • La configuration de l'Éditeur est correcte pour les fonctions suivantes :
    • Connexion
    • Mot de passe

Si l'utilisateur ne reçoit aucun niveau d'autorisation du groupe zenon, vérifiez si :

  • Les noms correspondent bien
  • Le paramètre sAMAccountName du groupe a été défini dans AD LDS
  • L'utilisateur dans AD LDS a été ajouté au groupe

AD/ADAM

Si les autorisations de fonctionnement du groupe d'utilisateurs dans AD/ADAM doivent être définies, les conditions suivantes doivent être vraies dans AD LDS :

  • La propriété Description doit être modifiée pour le groupe
  • Le groupe doit posséder le même nom que le projet

Pour plus d'informations, reportez-vous à la section Configuration des niveaux d'autorisation de zenon dans le champ de description d'un groupe Active Directory.


AD LDS sous Windows 7 et Windows Vista

Manuels -> Gestion utilisateurs -> Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures) -> AD LDS sous Windows 7 et Windows Vista

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

AD LDS peut également être utilisé avec Windows Vista et Windows 7. Vous trouverez les configurations adaptées sur le site Web de Microsoft.

Une fois l'installation terminée, la configuration est effectuée en sélectionnant Contrôle du système -> Administration, de la même manière que pour Windows Server 2008.

Autres sujets abordés dans ce chapitre

Gestion des problèmes sous Windows Vista/Windows 7


Gestion des problèmes sous Windows Vista/Windows 7

Manuels -> Gestion utilisateurs -> Active Directory Lightweight Directory Services – AD LDS (Windows Vista et versions ultérieures) -> AD LDS sous Windows 7 et Windows Vista -> Gestion des problèmes sous Windows Vista/Windows 7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si aucun contenu n'est affiché après l'ouverture du schéma Active Directory, les droits d'accès doivent être modifiés. Pour cela :

  1. Sélectionnez Autorisations... dans le menu contextuel.

  2. Attribuez les droits nécessaires aux utilisateurs concernés
    (cliquez sur Ajouter pour ajouter de nouveaux utilisateurs)

  3. Cliquez sur le bouton Avancé.

  4. Cliquez sur le bouton Avancé.
  5. Sélectionnez l'onglet Autorisations.
  6. Activez l'option Apply to this object and all descendant objects (Appliquer à cet objet et tous les objets descendants) pour l'utilisateur concerné

  7. Fermez la console et rouvrez-là (mmc /a) pour accéder à d'autres options de configuration


Active Directory Application Mode – ADAM (pour Windows XP)

Manuels -> Gestion utilisateurs -> Active Directory Application Mode – ADAM (pour Windows XP)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Active Directory Application Mode (ADAM) est conçu pour être utilisé avec Windows XP.

Pour les

  • Windows Vista
  • Windows 7
  • Windows Serveur 2008

Utilisez les services Active Directory Lightweight Directory Services

Minimum requis

Pour pouvoir utiliser la fonction Active Directory Application Mode (ADAM) pour zenon, vous devez tenir compte des aspects suivants lors de la configuration.

  1. Créer une nouvelle instance d'ADAM
  2. Importer un schéma AD
  3. Pour autoriser l'accès à l'utilisateur d'ADAM, cliquez sur Programme -> Administration -> Local security guidelines (Directives de sécurité locales). Dans la boîte de dialogue suivante, cliquez sur Security settings (Paramètres de sécurité) -> Account guidelines (Directives de compte). Définissez les paramètres souhaités concernant les directives de mot de passe et les directives de blocage de compte.
  4. Configurez le schéma enfichable ADAM.
  5. Dans Snap-In (Composant logiciel enfichable), cliquez avec le bouton droit sur Classes -> Organisation, puis sélectionnez Propriétés. Dans l'onglet Attribut, spécifiez l'attribut optionnel maxPxdAge. Vous veillez ainsi à ce que les procédures de validation du mot de passe et de modification du mot de passe soient identiques à celles du répertoire Active Directory.

    Remarque : Vous devez saisir la période de validité du mot de passe en nanosecondes.

  6. Créez les utilisateurs et groupes d'utilisateurs dans ADAM. Tenez compte des considérations suivantes :
    • lors de la création des utilisateurs et des groupes d'utilisateurs, vous devez saisir le nom manuellement sous Propriétés -> Attribute-Editor (éditeur d'attributs) à l'attribut sAMAccountName.
    • Dans le groupe d'utilisateurs, saisissez le nom comme indiqué à la section Utilisation d'Active Directory.
    • Vous pouvez créer les niveaux d'autorisation de zenon conformément aux indications de la section Utilisation d'Active Directory sous l'attributDescription.

info Info

Pour afficher le nom d'utilisateur en vous aidant de la variable de driver du système, vous devez définir le nom d'utilisateur manuellement dans ADAM ; pour cela, accédez à l'utilisateur, puis sélectionnez Propriétés -> Attribute-Editor (éditeur d'attributs) à l'attribut displayName.

Autres sujets abordés dans ce chapitre

Créer une nouvelle instance d'ADAM

Définir un schéma AD

Configurer le composant logiciel enfichable du schéma ADAM


Créer une nouvelle instance d'ADAM

Manuels -> Gestion utilisateurs -> Active Directory Application Mode – ADAM (pour Windows XP) -> Créer une nouvelle instance d'ADAM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La section suivante décrit la marche à suivre pour installer une instance d'ADAM à l'aide de l'assistant de configuration d'Active Directory Application Mode.

  • Cliquez sur Démarrer pour démarrer l'assistant de configuration d'Active Directory Application Mode ; affichez tous les programmes et accédez à ADAM, puis cliquez sur l'option Créer une instance ADAM.
  • Sur la page d'accueil, cliquez sur Suivant.
  • Sur la page d'options de configuration, vous pouvez choisir si vous souhaitez installer une instance ADAM distincte ou attribuer une configuration existante à une nouvelle instance. Vous installez la première instance ADAM ; aussi, cliquez sur install separate instance (Installer une instance distincte). Ensuite, cliquez sur Suivant.
  • Sur la page

    Nom de l'instance

    , saisissez le nom de l'instance ADAM que vous souhaitez installer. Le nom est utilisé pour identifier clairement l'instance ADAM sur l'ordinateur local. Ensuite, cliquez sur

    Suivant

    .
  • Sur la page

    Ports

    , saisissez les ports de communication devant être utilisés par l'instance ADAM. ADAM peut communiquer avec les protocoles LDAP (Lightweight Directory Access Protocol) ou SSL (Secure Sockets Layer). Vous devez donc spécifier une valeur pour les deux ports. Ensuite, cliquez sur

    Suivant

    .

info Info

Si l'un des ports standard est déjà utilisé sur l'ordinateur sur lequel vous installez ADAM, l'assistant Active Directory Application Setup recherche automatiquement le prochain port disponible, en commençant par le port 50000. Par exemple, les ports 389 et 636, ainsi que les ports 3268 et 3269 sont utilisés sur les serveurs de catalogue global. Par conséquent, lorsque vous installez ADAM sur un contrôleur de domaine, les valeurs standard

50000

et

50001

sont attribuées aux ports LDAP et SSL, respectivement.
  • Sur la

    Partition de l'annuaire d'applications

    , vous pouvez créer une partition d'application (ou un contexte de nom) en cliquant sur

    Oui, créer une partition d'annuaire d'applications

    . Si vous cliquez sur

    Non, ne pas créer de partition d'annuaire d'applications

    , vous devez créer une partition d'application manuellement, après l'installation. Si vous créez une partition d'application, vous devez saisir un nom défini pour la nouvelle partition. Ensuite, cliquez sur

    Suivant

    .

info Info

ADAM prend en charge les noms définis aux formats X.500 et DNS (Domain Name System) pour les partitions d'annuaire de niveau supérieur.
  • Sur la page

    Chemin d'accès au fichier

    , vous pouvez afficher et modifier les répertoires d'installation pour les fichiers ADAM et les fichiers de récupération (fichiers journaux). Les fichiers ADAM et les fichiers de récupération sont enregistrés sous

    %ProgramFiles%\Microsoft ADAM\Instanzname\data

    , par défaut. Dans ce cas,

    Nom de l'instance

    affiche le nom de l'instance ADAM que vous saisissez sur la page

    Nom de l'instance

    . Cliquez sur

    Suivant

    pour importer les chemins standard.

info Info

Lors de l'installation d'ADAM sur un ordinateur sous Windows XP, vous devez installer ces fichiers sur le même volume logique. Lors de l'installation d'ADAM sous Windows Server 2003 et Windows Server 2003 R2 dans un environnement de production, nous vous recommandons d'installer les fichiers sur des supports de données physiques distincts.

Les fichiers du programme et les programmes d'administration sont installés par ADAM dans

%windir%\ADAM

.
  • Sur la page

    Sélectionner un compte de service

    , sélectionnez un compte utilisé comme compte de service pour ADAM. Le compte sélectionné détermine le contexte de sécurité dans lequel est exécutée l'instance ADAM. Si vous n'installez pas ADAM sur un contrôleur de domaine, le compte de service réseau de l'assistant de configuration d'Active Directory Application Mode est utilisé par défaut. Cliquez sur

    Suivant

    pour importer le paramètre standard

    Compte de service réseau

    . Lors de l'installation d'ADAM sur un contrôleur de domaine, cliquez plutôt sur

    Ce compte

    , puis sélectionnez un compte d'utilisateur de domaine comme compte de service ADAM.

info Info

Vous pouvez modifier le compte de service ADAM après avoir installé ADAM avec le programme de ligne de commande

dsmgmt

. Lors de l'installation d'ADAM sur un contrôleur de domaine, vous devez sélectionner un compte d'utilisateur de domaine comme compte de service ADAM.
  • Sur la page

    Administrateurs ADAM

    , sélectionnez un utilisateur ou un groupe comme administrateur standard pour l'instance ADAM. L'utilisateur ou le groupe sélectionné possède des fonctionnalités d'administrateur complètes pour l'instance ADAM. Par défaut, l'utilisateur enregistré actuel est défini par l'assistant de configuration d'Active Directory Application Mode. Vous pouvez modifier cette sélection dans chaque compte local ou compte de domaine ou dans chaque groupe sur le réseau. Cliquez sur la valeur standard

    Current registered user (Utilisateur enregistré actuel)

    , puis cliquez sur

    Suivant

    .
  • Vous pouvez importer deux fichier LDF et les définitions d'objets de classe utilisateur correspondantes dans le schéma ADAM, sur la page

    Import LDIF file (Importer fichier LDIF)

    . L'importation des définitions d'objets de classe utilisateur est facultative.
    • Cliquez sur

      Import selected LDIF file for this ADAM instance (Importer les fichiers LDIF sélectionnés pour cette instance ADAM)

      .
    • Cliquez sur

      MS-InetOrgPerson.LDF

      , puis sur

      Ajouter

      .
    • Cliquez sur

      MS-User.LDF

      , puis sur

      Ajouter

      .
    • Cliquez sur

      MS-UserProxy.LDF

      , puis sur

      Ajouter

      , puis sur

      Suivant

      .
  • Sur la page

    Prêt pour l'installation

    , vous pouvez vérifier les options d'installation sélectionnées. Si vous cliquez sur

    Suivant

    , l'assistant de configuration d'Active Directory Application Mode commence par copier les fichiers et installer ADAM sur l'ordinateur.
  • Si l'assistant de configuration d'Active Directory Application Setup a terminé l'installation d'ADAM avec succès, le message suivant est affiché : "The Active Directory Application Setup Assistant mode was concluded successfully" (L'assistant de configuration d'Active Directory Application Mode s'est terminé avec succès). Si la page

    Finish assistant (Quitter l'assistant)

    est affichée, cliquez sur

    Terminer

    pour fermer l'assistant.

info Info

Si l'assistant de configuration d'Active Directory Application Mode ne se termine pas correctement, la cause de l'erreur est affichée sur la page

Résumé

.
  • Si une erreur se produit lors de l'exécution de l'assistant de configuration d'Active Directory Application Mode, avant l'affichage de la page

    Résumé

    , vous pouvez vérifier le message d'erreur affiché à l'écran. En outre, vous pouvez cliquer sur

    Démarrer

    puis sur

    Exécuter

    et saisir l'un des noms de fichier suivants :

    %windir%\Debug\Adamsetup.log

    %windir%\Debug\Adamsetup_loader.log

    . Les fichiers

    %windir%\Debug\Adamsetup.log

    et

    %windir%\Debug\Adamsetup_loader.log

    contiennent des informations utiles pour résoudre les problèmes relatifs aux erreurs de configuration d'ADAM.


Définir un schéma AD

Manuels -> Gestion utilisateurs -> Active Directory Application Mode – ADAM (pour Windows XP) -> Définir un schéma AD

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Suivez ces étapes lors de la première utilisation du programme de synchronisation Active Directory/ADAM.

  • Cliquez sur Démarrer
  • Ouvrez Tous les programmes
  • Cliquez sur ADAM
  • Puis cliquez sur Outils d'administration ADAM :

    Une fenêtre de commande s'ouvre dans le répertoire ADAM.

Pour étendre le schéma ADAM aux objets de schéma standard de Windows Server dans Active Directory :

  • Saisissez la commande suivante sur une ligne de l'entrée de commande :

    ldifde -i -s localhost -c CN=Configuration,DC=X #ConfigurationNamingContext -f MS-AdamSchemaW2k8.ldf

  • Appuyez sur la touche Entrée.


Configurer le composant logiciel enfichable du schéma ADAM

Manuels -> Gestion utilisateurs -> Active Directory Application Mode – ADAM (pour Windows XP) -> Configurer le composant logiciel enfichable du schéma ADAM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configurer le programme d'administration du composant logiciel enfichable du schéma ADAM.

Vous pouvez gérer le schéma ADAM avec un autre programme d'administration d'ADAM, le composant logiciel enfichable du schéma ADAM. Si vous avez déjà utilisé le composant logiciel enfichable du schéma Active Directory, le schéma ADAM vous semblera familier. Avant de pouvoir utiliser le composant logiciel enfichable du schéma ADAM, vous devez créer un fichier MMC pour celui-ci, comme décrit dans ce procédé.

  • Cliquez sur Démarrer, puis sur Exécuter ; saisissez la commande mmc /a, puis cliquez sur OK.
  • Dans le menu Fichier, cliquez sur Add/remove snap-in (Ajouter/Supprimer un composant logiciel enfichable), puis cliquez sur Ajouter.
  • Cliquez sur les différents jeux d'outils intégrables disponibles dans le schéma ADAM, puis cliquez sur Ajouter ; ensuite, cliquez sur Fermer, puis sur OK.
  • Pour enregistrer cette console, cliquez sur Enregistrer dans le menu Fichier.
  • Saisissez le nom de fichier suivant, plus cliquez sur Enregistrer :
    %windir%\system32\adamschmmgmt.msc
  • Créez une connexion à l'instance ADAM à l'aide du composant logiciel enfichable du schéma ADAM. Pour cela, cliquez avec le bouton droit sur le schéma ADAM dans la structure de la console, puis cliquez sur Changer de serveur ADAM. Saisissez localhost pour le paramètre Serveur ADAM, et 389 pour le paramètre Port.
  • Cliquez sur OK. Le composant logiciel enfichable du schéma ADAM possède maintenant l'apparence suivante. Vous pouvez parcourir et afficher les classes et attributs du schéma ADAM.
  • Pour créer un lien vers le composant logiciel enfichable du schéma ADAM dans le menu Démarrer, procédez comme suit :
    • Cliquez avec le bouton droit sur Démarrer, cliquez sur Ouvrir – Tous les utilisateurs, double-cliquez sur le dossier Programme, puis sur le dossier ADAM.
    • Sélectionnez Nouveau dans le menu Fichier, puis cliquez sur Lien.
    • Dans l'assistant de création de liens, saisissez adamschmmgmt.msc comme emplacement de sauvegarde de l'élément, puis cliquez sur Suivant.
    • Sur la page de description du programme de sélection, saisissez le nom du lien et le nom du schéma ADAM, puis cliquez sur Terminer.


Fonctionnement dans le Runtime

Manuels -> Gestion utilisateurs -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Chaque utilisateur a la possibilité de changer son propre mot de passe. Mais il ne peut pas éditer un autre utilisateur. Seul un administrateur a cette possibilité. Les modifications effectuées dans le Runtime doivent être lues dans l'Éditeur pour être accessibles. Notez la propriété Données modifiables en RT lors du transfert de fichiers du Runtime. Elle est spécifiée ici, même si la configuration de la gestion des utilisateurs est transférée vers le Runtime et remplace la configuration dans le Runtime.

L'administrateur peut utiliser la fonction Modifier un utilisateur pour :

  • Créer de nouveaux utilisateurs
  • Modifier des utilisateurs existants (sauf l'identifiant d'utilisateur de connexion)
  • Créer, modifier ou supprimer des groupes d'utilisateurs

    Si un administrateur crée un nouveau groupe d'utilisateurs dans le Runtime, il devient automatiquement membre de ce groupe.

  • Attribution de niveaux d'autorisation

    L'administrateur peut uniquement définir les niveaux d'utilisateur dont il dispose. Ceci permet d'éviter qu'un administrateur ne s'ouvre l'accès au système complet.

Remarque : les utilisateurs et groupes d'utilisateurs provenant du projet global dans l'Éditeur sont associés aux utilisateurs et groupes d'utilisateurs du projet. Ils ne peuvent être ni modifiés dans le Runtime, ni lus dans l'Éditeur.

attention Attention

Conformité totale à la norme FDA 21 CFR Partie 11 :

  • ni l'utilisateur, ni l'administrateur ne peut modifier le nom de l'utilisateur dans le Runtime.
  • La suppression d'utilisateurs peut être interdite dans les paramètres du projet, à l'aide de la propriété Supprimer utilisateurs du groupe Gestion utilisateur.

Connexion

L'utilisateur actuel SYSTEM sera connecté avec le niveau d'autorisation d'utilisateur 0 après le démarrage du Runtime.

L'authentification dans le Runtime comporte les limites de sécurité suivantes :

  • Mot de passe

    Un utilisateur est verrouillé après avoir saisi un mot de passe incorrect trois fois, et est automatiquement déconnecté. Par conséquent, aucun élément du système ne peut être actionné s'il nécessite un niveau d'autorisation supérieur à 0. Les utilisateurs ne peuvent par ailleurs effectuer aucune opération liée à un niveau d'utilisateur.
    Le message suivant est affiché :

    L'administrateur doit alors déverrouiller cet utilisateur (désactivation de la propriété Verrouillé).

    Le nom d'utilisateur d'un utilisateur qui tente de se connecter de façon incorrecte est consigné dans la liste chronologique d'événements (CEL).

  • Nom de l'utilisateur

    Si l'utilisateur saisit un nom d'utilisateur inexistant ou ne saisit aucun mot de passe, le message d'erreur Identification utilisateur invalide s'affiche. Après trois tentatives erronées, le système est bloqué pour tous les éléments nécessitant un niveau d'autorisation supérieur à 0. Aucun utilisateur ne peut donc effectuer des opérations protégées par un niveau d'utilisateur particulier. Seul l'administrateur peut déverrouiller le système.

    Le nom d'utilisateur d'un utilisateur ayant effectué une tentative de connexion incorrecte est consigné dans la Liste chronologique d'événements sous forme d'événement pour l'utilisateur actuellement connecté.

  • Connexion après une désactivation

    Si un utilisateur est désactivé, il ne pourra plus se connecter. Cette tentative de connexion est consignée dans la Liste chronologique d'événements.

Mot de passe

Seul l'utilisateur connait son propre mot de passe. Et il est le seul à pouvoir le changer. Quand l'utilisateur reçoit son mot de passe de l'administrateur, il doit le modifier lors de sa première connexion. Ceci évite que l'administrateur ne connaisse les mots de passe des utilisateurs, au risque de générer des signatures erronées. (Important pour la FDA 21 CFR Partie 11)

Si un utilisateur oublie son mot de passe, l'administrateur peut supprimer son mot de passe et entrer un nouveau mot de passe initial. L'administrateur peut faire cela sans connaître le mot de passe. L'utilisateur doit modifier son mot de passe lors de la prochaine tentative de connexion.

Pour plus d'informations concernant les fichiers de Runtime modifiés, voir le chapitre : Projet et espace de travail/Données modifiables dans le Runtime

attention Attention

Connexion via un synoptique de type Connexion : si aucun mot de passe n'est saisi pour un utilisateur valide dans un synoptique de connexion, aucun message d'erreur n'est affiché. L'utilisateur n'est pas connecté et le système n'est pas verrouillé, même au terme de trois tentatives de connexion sans saisie d'un mot de passe.

En cas de saisie d'un mot de passe incorrect et/ou d'un nom d'utilisateur inexistant, le système est verrouillé après trois tentatives, comme d'habitude.

Autres sujets abordés dans ce chapitre

Connexion permanente et temporaire

Validation dans le Runtime de modifications effectuées dans l'Éditeur

Protéger un élément dynamique par un mot de passe

Fonctions – mot de passe

Supprimer un utilisateur

Synoptique de type Connexion


Connexion permanente et temporaire

Manuels -> Gestion utilisateurs -> Fonctionnement dans le Runtime -> Connexion permanente et temporaire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les utilisateurs peuvent se connecter de façon permanente ou temporaire.

Connexion permanente

La connexion permanente est effectuée à l'aide de la fonction Login avec boite de dialogue ou de la fonction Login sans mot de passe. L'utilisateur est ainsi connecté de façon permanente, et peut effectuer toutes les opérations qu'il est autorisé à effectuer. Pour les actions que l'utilisateur n'est pas autorisé à effectuer, un message correspondant est affiché.

Login sans mot de passe

Cette fonction permet à l'utilisateur sélectionné de se logguer sans avoir à entrer son mot de passe.

Plus de détails dans l'aide en ligne

Login avec boite de dialogue

Cette fonction ouvre la boîte de dialogue standard de login.

Plus de détails dans l'aide en ligne

Conseil : les boutons protégés par un mot de passe peuvent être masqués pour les utilisateurs connectés. Pour cela, la propriété Boutons protégés (Propriétés du projet s -> Gestion utilisateur -> Login temporaire) doit être activée.

Remarque : la connexion temporaire n'est pas disponible pour les utilisateurs connectés. Les utilisateurs connectés ne voient donc pas de boîte de dialogue de connexion temporaire pour les fonctions nécessitant un niveau d'utilisateur supérieur au leur.

Connexion temporaire

Si une opération nécessitant une authentification temporaire doit être effectuée par un utilisateur actuellement non connecté, l'utilisateur peut se connecter temporairement. Pour cela, la propriété Gestion utilisateur (-> Login temporaire -> Login temporaire actif) doit être activée.

Connexion dans le Runtime :

  • La boîte de dialogue de connexion s'affiche lors de l'exécution d'une fonction protégée par mot de passe
  • L'utilisateur peut se connecter et exécuter l'opération en fonction de son niveau d'autorisation ; dans le cas contraire, il verra s'afficher un message l'informant que ses droits sont insuffisants
  • L'utilisateur est déconnecté immédiatement après l'opération

info Info

Connexion temporaire :

  • Prend uniquement effet après l'exécution de la fonction
  • Compatible avec les interrupteurs, mais pas avec les boutons
  • Désactivée pour les utilisateurs connectés de manière permanente


Validation dans le Runtime de modifications effectuées dans l'Éditeur

Manuels -> Gestion utilisateurs -> Fonctionnement dans le Runtime -> Validation dans le Runtime de modifications effectuées dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Toutes les modifications effectuées dans la gestion des utilisateurs sont acceptées dans le Runtime après rechargement. Gardez cet aspect important à l'esprit :

le nombre maximal de d'erreurs de saisie du mot de passe

Si vous modifiez la valeur par défaut du nombre maximal d'erreurs de saisie du mot de passe dans l'Éditeur, cette modification prend uniquement effet après le redémarrage du Runtime. Recharger simplement le Runtime ne suffit pas, car dans le cas contraire, l'utilisateur disposerait d'un nombre illimité de tentatives de saisie du mot de passe. Vous pouvez modifier cette valeur en sélectionnant : Propriétés du projet - > Gestion utilisateur -> Nb max d'erreurs utilisateur

Modifications apportées aux groupes d'utilisateurs et aux autorisations

Si des groupes d'utilisateurs sont ajoutés ou supprimés, ou si des autorisations sont modifiées dans l'Éditeur, ces modifications ne sont pas acceptées dans le Runtime pour les utilisateurs connectés lors du rechargement. Pour que ces modifications prennent effet, les utilisateurs connectés doivent se déconnecter du système, puis se reconnecter. Ceci s'applique également à l'utilisation par les utilisateurs Active Directory.


Protéger un élément dynamique par un mot de passe

Manuels -> Gestion utilisateurs -> Fonctionnement dans le Runtime -> Protéger un élément dynamique par un mot de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tous les éléments dynamiques qui exécutent une fonction ou autorisent la configuration de valeurs peuvent être liés à un groupe d'autorisations propre au Runtime.

Créez un élément dynamique. Par ex : un bouton texte. Les propriétés de l'élément sont affichés dans la fenêtre de propriétés.

Dans la section "Utilisateur", sélectionnez la propriété Groupe d'autorisation. Vous pouvez définir ici le groupe d'autorisation nécessaire pour exécuter la fonction.

Dans les éléments dynamiques qui permettent d'envoyer des valeurs et que vous voulez sécuriser, la variable doit avoir été sélectionnée et la propriété "Forçage valeurs actif" dans la section "Spécifier valeur prescrite" doit être cochée, pour pouvoir sélectionner un groupe d'autorisation.


Fonctions – mot de passe

Manuels -> Gestion utilisateurs -> Fonctionnement dans le Runtime -> Fonctions – mot de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Connexion avec boîte de dialogue

Connexion sans mot de passe

Déconnexion

Modifier mot de passe


Connexion avec boîte de dialogue

Manuels -> Gestion utilisateurs -> Fonctionnement dans le Runtime -> Fonctions – mot de passe -> Connexion avec boîte de dialogue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction rouvre la boîte de dialogue de connexion à zenon.

Cette tentative de connexion est consignée dans la Liste chronologique d'événements.

Un synoptique de connexion peut également être utilisé à cette fin.

Taille et position

La taille et la position de la fenêtre de connexion dans le Runtime peuvent être définies dans le fichier zenon6.ini :

  1. Ouvrez le fichier zenon 6.ini
  2. Créez ou modifiez la zone :

    [Exécution de commandes]

  3. Saisissez une valeur pour l'entrée

    POSITION= gauche, haut, droite, bas

Par défaut : POSITION= 0.001, 0.999, 0.835, 0.964

Attention : la taille est celle du synoptique, et non celle de la fenêtre principale.

info Info

Le fichier zenon6.ini se trouve dans le chemin suivant :

Windows Vista/7/8: %ProgramData%\COPA-DATA\System\


Connexion sans mot de passe

Manuels -> Gestion utilisateurs -> Fonctionnement dans le Runtime -> Fonctions – mot de passe -> Connexion sans mot de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet à un utilisateur de se connecter à zenon sans saisir un mot de passe dans le Runtime. A cette fin, l'utilisateur est directement nommé ou connecté via un système d'identification par puce. Cette fonction peut être exécutée en fonction d'un événement (état d'une variable) ou d'une commande temporisée. La connexion est consignée dans la liste chronologique d'événements.

Pour créer la fonction de connexion sans mot de passe :

  • Créez une nouvelle fonction.
  • Accédez au nœud Gestion d'utilisateurs.
  • Sélectionnez Connexion sans mot de passe.
  • La boîte de dialogue de sélection de l'utilisateur s'affiche.
  • Sélectionnez le type de connexion.

Paramètre

Description

User direct (Utilisateur direct)

Connecte l'utilisateur sélectionné.

User from variable (Utilisateur de la variable)

Connecte l'utilisateur avec le nom d'utilisateur provenant de la variable transférée. Autorise la connexion d'un utilisateur via un système d'identification par puce.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de chaînes. Pour plus détails, reportez-vous au paragraphe Connexion via un système d'identification par puce.

Connexion via un système d'identification par puce

Le type de connexion User from variable (Utilisateur de la variable) permet d'utiliser les systèmes d'identification par puce, tels qu'Eucher ou Keba Identsystem. Pour utiliser la fonction de connexion avec une variable, tenez compte des aspects suivants :

  • L'utilisateur doit exister dans la section de gestion des utilisateurs de zenon ou le répertoire Active Directory portant le même nom d'utilisateur que la puce.

    Par exemple : l'identifiant contenu dans la puce est J. Dupont ; un J. Dupont possédant les droits requis doit donc exister dans la section de gestion d'utilisateurs ou le répertoire Active Directory.

  • Si l'utilisateur place sa puce devant le lecteur de puces, la variable de chaîne (par exemple, nom d'utilisateur) est renseignée avec les données provenant de la puce (par exemple, J. Dupont) et l'utilisateur est connecté.
  • Pour que cela fonctionne, une matrice de réaction de type Chaîne doit exister et être configurée pour réagir à chaque changement de valeur en exécutant la fonction.
    • Cette matrice de réaction doit être liée à la variable (par exemple, nom d'utilisateur).


Déconnexion

Manuels -> Gestion utilisateurs -> Fonctionnement dans le Runtime -> Fonctions – mot de passe -> Déconnexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec cette fonction, durant le fonctionnement en ligne (Runtime), l'utilisateur actuel est déconnecté et l'utilisateur SYSTEM possédant le niveau d'autorisation 0 est connecté. La connexion d'un utilisateur est consignée dans la Liste chronologique d'événements.

Aucun paramètre de transfert n'est nécessaire dans ce cas.

attention Attention

Déconnexion automatique vs. fonction automatique :

  • Déconnexion automatique : se produit de manière permanente après une certaine période de temps sans action de l'utilisateur.
  • Fonction automatique : se produit une fois seulement après une certaine période de temps sans action de l'utilisateur.


Modifier mot de passe

Manuels -> Gestion utilisateurs -> Fonctionnement dans le Runtime -> Fonctions – mot de passe -> Modifier mot de passe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec cette fonction, un utilisateur connecté peut modifier son mot de passe dans le Runtime. Pour les utilisateurs internes au système, aucun changement n'est possible. Dans ce cas, la fonction n'est pas exécutée.

Une boîte de dialogue s'affiche en Runtime.

Entrées requises :

Paramètre | Description
Ancien mot de passe | saisie du mot de passe actuel
Nouveau mot de passe | saisie du nouveau mot de passe
Option de sécurité | confirmation du nouveau mot de passe

Si aucun mot de passe n'a été défini pour l'utilisateur, il peut le définir la première fois qu'il exécute la fonction dans le Runtime. Dans la boîte de dialogue, aucun ancien mot de passe n'est donc demandé.


Supprimer un utilisateur

Manuels -> Gestion utilisateurs -> Fonctionnement dans le Runtime -> Supprimer un utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour supprimer un utilisateur, sélectionnez-le dans la liste de la vue de détail et utilisez le menu contextuel. Exécutez la commande Supprimer et confirmez votre choix dans la boîte de dialogue suivante.

attention Attention

Ne supprimez pas les utilisateurs propriétaires de modules généraux.


Synoptique de type Connexion

Manuels -> Gestion utilisateurs -> Fonctionnement dans le Runtime -> Synoptique de type Connexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En utilisant un synoptique de type Connexion, vous pouvez créer des synoptiques de connexion personnalisés. (Vous trouverez d'autres informations concernant les types de synoptiques prédéfinis au chapitre Synoptiques / Types de synoptiques prédéfinis).

La création du synoptique de connexion s'effectue en définissant un nouveau synoptique de type Login.

Lors de l'ouverture du synoptique, un synoptique vide est affiché et la liste déroulante Éléments de contrôle contient des éléments correspondant au type de synoptique.

Éléments de contrôle :

Élément de contrôle | Description
Utilisateur actuel | Intitulé Utilisateur actuel
Affichage - Utilisateur actuel | Affiche l'utilisateur actuellement connecté.
Identification | Intitulé Nom d'utilisateur
Entrer identification | Champ de saisie du nom d'utilisateur
Mot de passe | Texte "Mot de passe"
Entrer mot de passe | Zone de saisie de mot de passe
OK | Bouton permettant de fermer le synoptique après la connexion
Annuler | Bouton d'annulation
Connexion | Bouton permettant de se connecter sans fermer la fenêtre

Connexion

Lorsque vous vous connectez au Runtime, les points suivants sont vrais :

  • Après trois tentatives de saisie d'un mot de passe incorrect, l'utilisateur est exclu du système. Seul l'administrateur peut déverrouiller l'utilisateur.
  • Après la saisie d'un nom d'utilisateur inexistant, le système est verrouillé. Le système ne peut plus être utilisé par aucun utilisateur et doit être déverrouillé par un administrateur.
  • Lors d'une tentative de connexion, si un nom d'utilisateur est saisi, mais le champ de saisie du mot de passe reste vide, aucune réaction ne se produit. Le système est verrouillé.

Pour plus de détails, reportez-vous au chapitre Fonctionnement dans le Runtime.


Gestionnaire de groupes de recettes

Manuels -> Gestionnaire de groupes de recettes

Conjointement aux recettes, le gestionnaire de groupes de recettes offre d'autres fonctionnalités :

Configuration de la présentation sous forme de table (format par défaut ou format paramétrable dans le Générateur de rapports), configuration libre de la présentation avec des éléments dynamiques, recettes accessibles via OLE, exécution indirecte de recettes (par exemple, en fonction d'une variable de procédé à l'ouverture d'un synoptique), groupement libre.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client).

Seul l'accès en lecture est possible dans le Runtime sans licence. Les commandes suivantes ne sont pas disponibles sans licence :

  • Enregistrer
  • Enregistrer sous
  • Nouveau
  • Export/import

Stockage fichier

Jusqu'à la version 7.0 incluse, MS Access ou les données binaires pouvaient être sélectionnés comme emplacement de stockage des fichiers pour le module RGM. À partir de la version 7.10, la base de données Access n'est plus prises en charge dans le Gestionnaire de groupes de recettes. Lors de l'ouverture d'un projet existant, le fichier est automatiquement converti en données binaires. Vous trouverez des détails à ce sujet dans le guide de conversion de projets, au chapitre Conversion de bases de données du Gestionnaire de groupes de recettes.

Pour les versions antérieures à 7.10, dans lesquelles le stockage des données dans MS Access est actif, veuillez noter :

  • La longueur maximale du texte des variables de réaction est de 300 caractères.
  • Sur le réseau, l'utilisation de MS Access associée à l'utilisation de terminaux CE en tant que client ou serveur peut entraîner des erreurs dans le Runtime ; le format données binaires doit alors être utilisé.
  • L'utilisation de caractères Unicode dans les noms de recettes, les groupes de recettes ou les commentaires n'est pas prise en charge.

Autres sujets abordés dans ce chapitre

Configuration dans l'Éditeur

Fonctions

Fonctionnement dans le Runtime

Traitement des erreurs

Exemples


Configuration dans l'Éditeur

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer le module RGM, vous devez généralement disposer des éléments suivants :

  • Un synoptique de type Gestionnaire de groupes de recettes
  • Des groupes de recettes et des recettes
  • Des fonctions permettant d'utiliser le gestionnaire de groupes de recettes dans le Runtime

Remarque concernant les noms de recettes : dans les recettes, les caractères alphanumériques sont autorisés. Les caractères non valides sont les suivants : (\"'./*?<>!|).

Autres sujets abordés dans ce chapitre

Menu contextuel Gestionnaire de projet

Menu contextuel Vue de détail

Créer un synoptique de type Groupes de recettes

Créer un groupe de recettes

Variables des groupes de recettes

Ajouter des recettes à un groupe de recettes

Version de la recette

État de la recette

List of status bits

Windows CE


Menu contextuel Gestionnaire de projet

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Menu contextuel Gestionnaire de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Élément de menu | Action
Nouveau groupe de recettes | Crée un nouveau groupe de recettes dans la liste et ouvre le nom aux fins de l'édition.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Profil | Ouvre la liste déroulante dans laquelle vous pouvez associer un profil d'éditeur.
Aide | Ouvre l'aide en ligne.


Menu contextuel Vue de détail

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Menu contextuel Vue de détail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Barre d'outils

Paramètre | Description
Nouveau groupe de recettes | Crée un nouveau groupe de recettes dans la liste et ouvre le nom aux fins de l'édition.
Nouvelle recette | Crée une nouvelle recette dans la liste et ouvre la cellule contenant le nom aux fins de l'édition.
Éditer recette | Ouvre la boîte de dialogue contenant les recettes.
Modifier les paramètres de variables | Ouvre la boîte de dialogue contenant les recettes.
Créer une fonction standard | Ouvre la boîte de dialogue permettant de sélectionner une recette et définir une action.
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Supprimer une variable | Supprime les variables sélectionnés de la liste.
Déplacer vers le haut | Déplace la variable sélectionnée vers le haut.
Déplacer vers le bas | Déplace la variable sélectionnée vers le bas.
Dupliquer | Crée un nouveau groupe de recettes avec le contenu du groupe de recettes sélectionné, et attribue automatiquement un nom conformément à ce motif : nom original+0, Default10 devient Default100.
Supprimer | Supprime l'entrée sélectionnée.
Export selected recipegroup XML (Exporter le groupe de recettes sélectionné au format XML) | Exporte le groupe de recettes sélectionné sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Import ASCII | Importe les entrées à partir d'un fichier ASCII.
Renommer | Permet de renommer les objets sélectionnés.
Aide | Ouvre l'aide en ligne.

Menu contextuel Groupe de recettes

Élément de menu | Action
Nouveau groupe de recettes | Crée un nouveau groupe de recettes dans la liste et ouvre le nom aux fins de l'édition.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe les recettes et les groupes de recettes depuis un fichier XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel Groupe de recettes sélectionné

Élément de menu

Action

Dupliquer

Crée un nouveau groupe de recettes avec le contenu du groupe de recettes sélectionné, et attribue un nom suivant le schéma nom d'origine+[numéro consécutif] :
Default10 devient Default100, puis Default101 si une nouvelle copie du groupe est créée.

Remarque : avec les groupes de variables de recettes liées, le remplacement peut être effectué à base de règles durant la création de la nouvelle copie du groupe.

Supprimer

Supprime le groupe de recettes sélectionné après une demande de confirmation.

Equipment groups... (Groupes d'équipements)

Ouvre la boîte de dialogue de sélection d'un groupe d'équipements.

Export selected recipegroup XML (Exporter le groupe de recettes sélectionné au format XML)

Exporte le groupe de recettes sélectionné sous forme de fichier XML.

Importer XML

Importe les entrées à partir d'un fichier XML.

Renommer

Ouvre la cellule contenant le nom du groupe de recettes aux fins de l'édition.

Aide

Ouvre l'aide en ligne.

Menu contextuel Variable

Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Modifier les paramètres de variables | Ouvre la boîte de dialogue contenant les recettes.
Aide | Ouvre l'aide en ligne.

Menu contextuel Variable sélectionnée

Élément de menu | Action
Supprimer une variable | Supprime une variable de la liste.
Déplacer vers le haut | Remonte la variable d'une place dans une liste.
Déplacer vers le bas | Abaisse la variable d'une place dans une liste.
Aide | Ouvre l'aide en ligne.

Menu contextuel

Élément de menu | Action
Nouvelle recette | Crée une nouvelle recette dans la liste et ouvre la cellule contenant le nom aux fins de l'édition.
Import ASCII | Importe les entrées à partir d'un fichier ASCII.
Aide | Ouvre l'aide en ligne.

Menu contextuel Recette sélectionnée

Élément de menu

Action

Éditer recette

Ouvre la boîte de dialogue contenant les recettes.

Créer une nouvelle version de recette

Crée une nouvelle version de la recette.

Créer une fonction standard

Ouvre la boîte de dialogue permettant de sélectionner une recette et définir une action.

Créer une copie comme version de la recette

Crée une nouvelle version de la recette sélectionnée.

Dupliquer

Crée un nouveau groupe de recettes avec le contenu du groupe de recettes sélectionné, et attribue un nom suivant le schéma nom d'origine+[numéro consécutif] :
Default10 devient Default100, puis Default101 si une nouvelle copie du groupe est créée.

Remarque : les variables source de l'action Lier à une variable peuvent être remplacées lors de la création d'une copie de la recette.

Supprimer

Supprime la recette sélectionnée après une demande de confirmation.

Export selected recipe XML (Exporter la recette sélectionnée au format XML)

Exporte la recette sélectionnée sous forme de fichier XML.

Renommer

Ouvre la cellule contenant le nom de la recette aux fins de l'édition.

Aide

Ouvre l'aide en ligne.


Créer un synoptique de type Groupes de recettes

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Créer un synoptique de type Groupes de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les recettes individuelles et les recettes groupées dans le Runtime sont gérées à depuis un synoptique de Gestionnaire de groupes de recettes.

Pour créer un synoptique de type Gestionnaire de groupes de recettes, accédez à l'Éditeur, créez un nouveau synoptique et choisissez le type Gestionnaire de groupes de recettes (pour plus d'informations concernant les types de synoptiques prédéfinis, reportez-vous au chapitre Synoptiques -> Types de synoptiques). Pour créer un synoptique de type Gestionnaire de groupes de recettes :

  • Créez un nouveau synoptique.
  • Sélectionnez le type de synoptique Gestionnaire de groupes de recettes dans la liste déroulante.
  • Ouvrez le synoptique.
  • Sélectionnez l'élément de menu Insérer un modèle dans le menu Éléments de contrôle, ou sélectionnez individuellement l'élément de contrôle.
  • Configurer le synoptique

Les éléments de contrôle vous permettent d'exécuter des actions dans le Runtime.

info Info

Durant la lecture, l'exportation, l'importation et l'enregistrement de recettes dans le Runtime, une barre de progression vous informe de la progression de l'action. Pour plus de détails, reportez-vous au chapitre Création de variables de driver système pour les recettes standard et Gestionnaire de groupes de recettes

Éléments de contrôle

Élément de contrôle

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Information

Informations concernant les recettes, les utilisateurs et les modifications

Nom du groupe de recettes

Nom ou sélection du groupe de recettes actuel.

Liste recettes

Affiche toutes les recettes/versions de recettes sous forme de liste. La sélection contient uniquement les recettes incluses dans le filtre de recette de la fonction d'appel de synoptique lors de l'appel de synoptique.

Une entrée correspondante peut être sélectionnée dans le Runtime. La recette sélectionnée est affichée sur le synoptique, et peut être modifiée.

Si les éléments de contrôle Nom de la recette et/ou Recipe version (Version de la recette) sont utilisés, la sélection est toujours synchronisée. Si la sélection est modifiée dans l'élément de contrôle, la sélection change dans la liste de recettes, et inversement. Si un critère de filtre exclut l'entrée sélectionnée dans la liste, aucune entrée n'est sélectionnée dans la liste.

Conseils :

  • Les nouvelles recettes sont ajoutées à la fin de la liste, indépendamment des critères de filtre.
  • Les modifications apportées aux données d'une recette sont uniquement affichées après l'enregistrement de la recette.
  • La langue peut être changée en sélectionnant les options de liste suivantes :
    - Intitulés dans l'en-tête
    - Texte des commentaires
    - Textes d'état des recettes

Nom de recette

Nom ou sélection de la recette actuelle.

Par défaut : Liste déroulante (voir également Affichage des noms de recettes).

Numéro de recette

Le numéro de recette recherché lorsque l'utilisateur clique sur le bouton Rechercher numéro de recette.

Version de la recette

Crée une liste déroulante contenant tous les numéros de version de la recette sélectionnée dans le Runtime.

État de la recette

Crée une liste déroulante contenant tous les états configurés dans le Runtime. L'état actuel de la version sélectionnée de la recette est affiché.

L'état peut être modifié ici dans le Runtime. Il est uniquement accepté après l'enregistrement de la recette.

Conseil : le changement d'état dans le Runtime peut être surveillé et/ou annulé dans le Runtime via l'événement VBA StatusChange.

Table de valeurs des recettes

Affichage de la recette actuelle dans une table

Filtres recette

Liste déroulante avec filtre de recette.

Nom de l'utilisateur

Nom de l'utilisateur ayant apporté les dernières modifications en date à la recette

Date de dernière modification

Date et heure auxquelles la recette actuelle a été modifiée

Send progress (Progression de l'envoi)

Affichage graphique de la durée d'envoi d'une recette.

Éditer

Filtre

Ouvrir la boîte de dialogue de filtres du synoptique de recette.

Lire les valeurs sélectionnées

Les valeurs des variables sélectionnées dans le tableau sont extraites du procédé et sont insérées dans le tableau. Les modifications doivent être enregistrées !

Écrire les valeurs sélectionnées

Les valeurs des variables sélectionnées dans le tableau sont écrites dans le procédé telles qu'elles sont affichées dans le tableau.

Lire toutes les valeurs

Les valeurs des variables de la recette sélectionnée sont lues sur le procédé et sont insérées dans la recette. Les modifications doivent être enregistrées !

Lire et enregistrer toutes les valeurs

Écrire les valeurs du procédé directement dans la recette actuelle, et l'enregistrer immédiatement

Écrire toutes les valeurs

Les valeurs des variables de la recette sélectionnée sont écrites dans le procédé telles qu'elles sont affichées dans la recette.

Toutes les valeurs ++

Toutes les valeurs de la recette sélectionnée sont augmentées de 1

Toutes les valeurs --

Toutes les valeurs de la recette sélectionnée sont réduites de 1

toutes les valeurs %

Lorsque l'utilisateur clique sur ce bouton dans le Runtime, toutes les valeurs de la recette sélectionnée sont modifiées selon la valeur du pourcentage saisi dans la fenêtre d'édition Value % change (Changement de valeur en %), selon le préfixe :

  • Préfixe plus (+) : la valeur est augmentée en conséquence
    Exemple : +20% -> 100 devient 120
  • Préfixe Moins (-) : la valeur est diminuée en conséquence
    Exemple : -20% -> 100 devient 80
  • Pas de préfixe : la valeur en pourcentage de la valeur actuelle devient la nouvelle valeur
    Exemple : 20% -> 100 devient 20

Champ %

Toutes les valeurs de la recette sélectionnées sont augmentées (+) ou réduites (-) du pourcentage spécifié dans l'élément "valeur %" lorsque vous cliquez sur le bouton correspondant "Toutes les valeurs %"

toutes les valeurs formule math

Toutes les valeurs de la recette sélectionnée sont modifiées par l'opération mathématique définie dans l'élément valeur math.

Une opération exactement peut être exécutée. Ceci affecte toutes les variables numériques.

Les additions (+), soustractions (-), multiplications (*) et divisions (/) sont autorisées.

La valeur dans la recette correspond à l'opérande gauche ; l'utilisateur définit l'opération dans le champ Formule, avec les opérandes droites.
Cela signifie : $NewValue = $CurrentValue $champ Formule.
Le champ Formule doit contenir un opérateur.

Exemple :

  • Saisie dans le champ Formule : +100
  • Résultat : Toutes les valeurs sont augmentées de 100.

Attention : Un seul opérateur peut être saisi. L'utilisation de plusieurs opérations peut avoir des conséquences imprévues. Par exemple, la saisie de /250+5 augmenterait toutes les valeurs de 2505.

Champ Formule mathématique

Toutes les valeurs de la recette sélectionnée sont modifiées par l'opération mathématique définie ici lorsque l'utilisateur clique sur le bouton Toutes les valeurs formule math.

Imprimer liste

Imprimer la table telle qu'elle apparaît à l'écran

Navigation

Groupe de recettes<

Reculer jusqu'au groupe de recettes précédent

Groupe de recettes>

Avancer jusqu'au groupe de recettes suivant

Groupes de recettes<<

Reculer jusqu'au premier groupe de recettes

Groupes de recettes>>

Avancer jusqu'au dernier groupe de recettes

Recette <

Revenir à la recette précédente du groupe de recettes actuel

Recette >

Avancer à la recette suivante du groupe de recettes actuel

Recette <<

Reculer jusqu'à la première recette du groupe de recettes actuel

Recette >>

Avancer jusqu'à la dernière recette du groupe de recettes actuel

Chercher numéro recette

Afficher la première recette comportant le numéro spécifié dans l'élément "numéro de recette source"

Version<

Sur la version précédente.

Version>

Sur la version suivante.

Version<<

Sur la première version.

Version>>

Sur la dernière version.

Colonne de gauche

Se déplacer d'une colonne vers la gauche dans la table

Colonne de droite

Se déplacer d'une colonne vers la droite dans la table

Ligne précédente de la table

Se déplacer d'une ligne vers le haut dans la table

Ligne suivante de la table

Se déplacer d'une ligne vers le bas dans la table

Page de gauche

Se déplacer d'une page vers la gauche dans la table

Page droite de la table

Se déplacer d'une page vers la droite dans la table

Page précédente de la table

Se déplacer d'une page vers le haut dans la table

Page suivante de la table

Se déplacer d'une page vers le bas dans la table

Import / Export

Exporter la recette (txt)

Exporte la recette actuelle sous forme de fichier TXT.

Importer une recette (txt)

Importe la recette actuelle sous forme de fichier TXT.

Exporter le groupe de recettes (XML)

Exporte le groupe de recettes sous forme de fichier XML.

Exporter la recette (XML)

Exporte la recette actuelle sous forme de fichier XML.

Importation d'un fichier XML

Importe la recette ou le groupe de recettes depuis un fichier XML.

Si le fichier comporte des recettes individuelles, un groupe de recettes doit être sélectionné pour l'importation.

Gestion des recettes

Nouvelle recette

Créer une nouvelle recette

Renommer recette

Renommer la recette actuelle

Enregistrer la recette

Enregistrer la recette actuelle sous le même nom

Enregistrer recette sous

Enregistrer la recette actuelle sous un nom différent

Supprimer recette

Supprimer la recette actuelle

Nouvelle version de recette

Crée une nouvelle version de la recette. Les valeurs de la nouvelle version de recette créée sont renseignées avec les valeurs de remplacement.

Conseil : cette action peut être vérifiée avec l'événement VBA VersionCreate.

Création d'une copie d'une version de recette

Crée une copie de la version sélectionnée de la recette. Une nouvelle version est créée, et les valeurs de la recette sont renseignées avec les valeurs de la version précédemment sélectionnée.

Conseil : cette action peut être vérifiée avec l'événement VBA VersionDuplicate.

Création d'une copie et remplacement d'une version de recette

Crée une copie de la version de recette sélectionnée, puis la lit.

D'abord, une nouvelle version de la recette sélectionnée est configurée. Les valeurs de la recette sont renseignées avec les valeurs de la version sélectionnée. Les valeurs de la nouvelle version sont alors lues par l'automate.

Conseil : cette action peut être vérifiée avec l'événement VBA VersionDuplicateRead.

Supprimer la version de la recette

Supprime la version sélectionnée de la recette. Si la version de la recette sélectionnée est la dernière version restante de cette recette, l'ensemble de la recette est supprimé.

Conseil : cette action peut être vérifiée avec l'événement VBA VersionDelete.

Définir l'état 1 - 10

Définit l'un de dix états possibles.

Cette fonction définit la valeur de l'état (1 - 10) pour la recette actuellement sélectionnée sur le synoptique. Pour accepter l'état dans la recette, vous devez enregistrer la recette.

Seuls les états qui ont également été configurés dans le Gestionnaire de groupes de recettes sont définis. Si une valeur d'état indisponible est définie, la variable de driver système de la fonction de recette du Gestionnaire de groupes de recettes en cours de traitement est définie comme erronée, et une entrée est insérée dans la liste CEL.

Remarque : l'état sélectionné avec ce bouton est affiché dans la liste déroulante État de la recette. La liste de recettes, en revanche, affiche toujours l'état de la recette de la même manière que dans le stockage de données. Le changement d'état est uniquement accepté après la modification de l'état, puis affiché dans la liste de recettes.

Vérification des valeurs de recettes

Pour tester les valeurs de recettes, toutes les variables liées à la recette sont lues et elles sont comparées aux valeurs courantes de la recette.
Les résultats sont affichés dans la colonne Valeur actuelle, dans la couleur correspondante. Si les valeurs sont identiques, la cellule correspondante est affichée en vert ; dans le cas contraire, elle est affichée en rouge.

Attention : La fonction de l'élément de contrôle utilise des points décimaux lors de la synchronisation avec l'automate. Si, pour les variables du type de données REAL, la propriété Nombre de décimales n'est pas configurée conformément aux paramètres de l'automate et les valeurs dans la zone du point décimal sont différentes, la fonction affiche différentes valeurs.

Groupe de recettes

Nouveau groupe de recettes

Créer un nouveau groupe de recettes

Editer groupe de recettes

Modifier le groupe de recettes actuel

Renommer groupe de recettes

Renommer le groupe de recettes actuel

Enregistrer groupe de recettes

Enregistrer le groupe de recettes actuel sous le même nom

Enregistrer groupe de recettes sous

Enregistrer le groupe de recettes actuel sous un nom différent

Supprimer groupe de recettes

Supprimer le groupe de recettes actuel

Commentaire

Commentaires 1 - 8

Lignes de commentaire de la recette actuelle.

Jusqu'à 8 commentaires peuvent être insérés.

Les champs de commentaires comportent une propriété Affichage/Traduire le texte affiché.

Les chams de commentaires sont également écrits lors de l'exportation et l'importation au format XML.

En langage VBA, les champs de commentaires peuvent être lus et écrits à l'aide de la propriété DynProperties (nom Commentn, n=1 à 8) de l'objet Recettes.

info Info

Une valeur décimale peut être saisie avec une virgule ou un point ; le séparateur décimal sera automatiquement remplacé par un point.

Filtre

Cliquez sur Éléments de contrôle > Généralités -> Informations pour ajouter la liste déroulante Filtre de recette au synoptique. Dans le Runtime, vous pouvez utiliser la liste déroulante pour filtrer les variables affichées en fonction des textes de filtres préalablement définis.

Autres sujets abordés dans ce chapitre

Apparence de la liste de recettes

Affichage des noms de recettes


Apparence de la liste de recettes

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Créer un synoptique de type Groupes de recettes -> Apparence de la liste de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La vue de table de la liste de recettes peut être adaptée aux exigences individuelles :

Paramétrage des colonnes

Les paramètres d'affichage des colonnes dans le Runtime sont définis durant la configuration des appels de synoptique. Pour plus de détails, reportez-vous à la section Paramètres des colonnes de la liste de recettes.

Barres de défilement

Pour définir la taille et l'apparence des barres de défilement de la table :

  1. Dans les propriétés du projet, sélectionnez la propriété Paramètres du graphique étendu du groupe Affichage.
  2. Définissez les propriétés souhaitées dans les groupes Ascenceurs et Entête et grille pour l'élément Liste d'alarmes affiché à l'écran.

info Info

Si la propriété Fichier graphique est sélectionnée pour la propriété Style d'affichage, tous les éléments pour lesquels aucun fichier graphique n'a été sélectionné sont illustrés avec un dégradé de couleurs. Les éléments graphiques transparents ne peuvent pas être utilisés pour les éléments de contrôle des listes.

Hauteur de ligne

La hauteur des lignes peut être ajustée, indépendamment de la taille de la police, à l'aide de la propriété Affichage/Hauteur de ligne [pixel].

La valeur par défaut est 0 pixel. La hauteur des lignes est définie indépendamment de la taille de la police. Toute valeur supérieure à 0 définit une valeur fixe de hauteur de ligne, en pixels. Si une hauteur de ligne est définie, les illustrations graphiques ne sont pas redimensionnées en fonction de la hauteur de ligne, mais adaptées à la taille de la police.

Attention : si la hauteur de ligne

  • sélectionnée est trop élevée, dans certaines circonstances, aucune information ne sera affichée dans le Runtime.
  • sélectionnée est inférieure à la taille de la police, les éléments graphiques seront tronqués.

Aperçu

Lorsque vous activez la propriété Affichage/Paramètres du graphique étendu dans l'Éditeur, vous pouvez prévisualiser les en-têtes et les barres de défilement. Ainsi, les détails tels que les effets de remplissage de couleur, les effets de lumière et les grilles peuvent être configurés plus facilement.

Attention : puisque la taille des barres de défilement est égale à leur taille dans le Runtime, la taille totale de la liste dans l'Éditeur peut différer de la taille dans le Runtime. Cela s'applique également à la taille de l'en-tête et à la police de caractères de l'en-tête.


Affichage des noms de recettes

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Créer un synoptique de type Groupes de recettes -> Affichage des noms de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la configuration par défaut, les noms de recettes sont affichés dans une liste déroulante. La recette sélectionnée est affichée. Vous pouvez sélectionner les autres recettes disponibles via la liste déroulante.

Changez le type d'affichage de Menu déroulant en Liste de choix en modifiant la valeur de la propriété Style L de 322 en 321 au niveau des propriétés d'affichage de l'élément correspondant. Ainsi, une liste de choix de la taille configurée est affichée dans le Runtime.

info Info

Si vous modifiez la valeur de la propriété Style L en 321, assurez-vous que la liste de choix configurée de cette manière n'empiète pas sur les autres éléments. Les éléments superposés ne peuvent plus être utilisés dans le Runtime.

En saisissant les caractères correspondants, vous pouvez accéder directement à l'emplacement souhaité de la liste de choix. Vous pouvez également faire défiler la liste vers le haut et le bas à l'aide de la barre de défilement.

La recette que vous avez sélectionnée est toujours affichée correctement dans la liste.

info Info

Cette fonction d'affichage différente n'est pas disponible sous Windows CE.


Créer un groupe de recettes

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Créer un groupe de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Deux méthodes sont disponibles pour configurer un nouveau groupe de recettes :

  1. Nœud Recette/Gestionnaire de groupes de recettes -> Menu contextuel -> Nouveau groupe de recettes
  2. Vue de détail Recette/Gestionnaire de groupes de recettes -> Menu contextuel -> Nouveau groupe de recettes

Un nouveau groupe de recettes est créé avec un nom standard. Le nom est déjà affiché en surbrillance et peut être édité.

info Info

Si le groupe de recettes doit être utilisé sous forme de données binaires, le nom peut uniquement contenir des caractères alphanumériques.

Les variables et les recettes doivent être ajoutées à chaque groupe de recettes.


Variables des groupes de recettes

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Variables des groupes de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un groupe de recettes est composé de variables du procédé et de recettes. Toutes les variables de procédé requises dans les recettes doivent d'abord être insérées dans le sous-menu Variable, à l'aide du menu contextuel.

Pour configurer des variables :

  1. Cliquez avec le bouton droit sur la variable Paramètres.
  2. Sélectionnez la commande Insérer variable dans le menu contextuel.
  3. La boîte de dialogue de sélection de variables multiples s'affiche.
  4. Sélectionnez les variables de votre choix.
    Remarque : les variables d'autres projets ayant été chargés peuvent également être sélectionnées.
  5. Confirmez en cliquant sur le bouton OK.

Vous pouvez configurer individuellement les limites des valeurs minimales et maximales pour les différentes variables.

info Info

La propriété Valeur pour le remplissage des archives est utilisée en tant que valeur standard :

  • Pour les variables de nouvelles recettes
  • Lors de l'ajout de variables à un groupe de recettes dans les nouvelles recettes

info Info

Vous pouvez utiliser une virgule ou un point comme séparateur décimal. Le séparateur décimal est automatiquement transformé en point décimal.

Trier les variables

Vous pouvez trier les variables dans le gestionnaire de groupes de recette comme vous le souhaitez.

Sélectionnez la variable que vous voulez déplacer et choisissez une des actions suivantes :

- choisissez haut ou bas dans le menu contextuel
- déplacez les variables par glisser-déplacer

Vous pouvez également déplacer les variables dans la boîte de sélection de variables avec les bouton ^ et v situés en bas à droite de cette boîte de dialogue.

Suppression de variables

Pour supprimer les variables :

  1. Sélectionnez les variables souhaitées
    (sélection multiple possible).
  2. Cliquez avec le bouton droit sur les variables sélectionnées.
  3. Sélectionnez la commande Supprimer variable dans le menu contextuel.
  4. Les variables sont supprimées après une demande de confirmation.
    Remarque : les variables sont uniquement supprimées du groupe de recettes, et sont conservées dans le projet.

Autres sujets abordés dans ce chapitre

Modifier les paramètres de variables

Variables d'acquittement


Modifier les paramètres de variables

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Variables des groupes de recettes -> Modifier les paramètres de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez l'élément de menu Modifier les paramètres de la variable dans le menu contextuel Variables.

Dans la boîte de dialogue, vous pouvez modifier les réglages suivants.

Paramètres | Description
Nom de la variable | Dans cette colonne, toutes les variables utilisées dans ce groupe de recettes sont affichées.
Valeur min. | Définissez la valeur minimale de la variable. Remarque : Les variables binaires comportent une valeur minimale de 0. Cette valeur ne peut pas être modifiée.
Valeur max. | Définissez la valeur maximale de la variable. Remarque : Les variables binaires comportent une valeur minimale de 1. Cette valeur ne peut pas être modifiée.
Verrouillage | Sélectionnez le verrouillage souhaité dans la liste déroulante. (Voir également Verrouillage et visibilité).
Visibilité | Choisissez une variable adéquate en cliquant avec le bouton droit de la souris et en sélectionnant l'élément de menu Sélection des variables. Vous pouvez également saisir le nom de la variable directement. (Voir également Verrouillage et visibilité).
Filtre | Saisissez un texte de filtre. (Voir également Filtre).
Clavier | Choisissez un affichage adéquat en cliquant avec le bouton droit de la souris et en sélectionnant Sélection de l'écran. Vous pouvez également saisir le nom de l'écran directement. (Voir également Clavier).

info Info

Contrôle de la visibilité des variables

Les paramètres suivants permettent de contrôler la visibilité et le fonctionnement des variables :

  • Filtre : Définit les conditions selon lesquelles les variables peuvent être filtrées. Les variables qui ne correspondent pas au filtre ne sont pas affichées. Les filtres sont contrôlés par l'utilisateur.
  • Visibilité : contrôle l'affichage des variables dans la liste à l'aide de la valeur limite d'une variable. Les variables définies sur "Non visible" ne sont pas affichées. La visibilité est contrôlée par le procédé.
  • Autorisation : définit les autorisations permettant de modifier une variable. Les variables pour lesquelles l'utilisateur ne dispose pas d'une autorisation sont affichées, mais ne peuvent pas être actionnées. Les autorisations sont contrôlées par la personne chargée de la configuration du projet et par l'administrateur.

Clés du clavier du Gestionnaire de groupes de recettes

Les claviers dans zenon sont utilisés en tant que claviers virtuels autorisant la saisie sur des équipements sans clavier physique dans le Runtime. Les claviers sont définis à l'aide d'un synoptique de type Clavier. zenon fournit des claviers générés automatiquement, qui peuvent être configurés par l'utilisateur.

Sous Eléments de contrôle -> Spécifiques au gestionnaire de groupes de recettes, vous trouverez les éléments suivants, qui sont disponibles pour la fonction Clavier du gestionnaire de groupes de recettes :

Élément

Description

Envoyer valeur

La valeur prescrite est transmise à la variable et le clavier est fermé.

Enregistrer la recette

La recette concernée est enregistrée et le clavier est fermé.

Envoyer valeur et enregistrer recette

La valeur prescrite est transmise à la variable, la recette est enregistrée et le clavier est fermé.

1 à 32

Les claviers peuvent être liés à des limites provenant des matrices de réaction. Pour cela, la variable correspondante

  • doit être liée à la une matrice de réaction de type Numérique ou une matrice de réaction de type Chaîne et
  • les états égale doivent être inclus

Dans le Runtime, les touches utilisées sont représentées. Cliquez sur la touche pour écrire la valeur liée en tant que recommandation de limite dans la fenêtre de saisie.

Autres sujets abordés dans ce chapitre

Verrouillage et visibilité

Filtre

Clavier


Verrouillage et visibilité

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Variables des groupes de recettes -> Modifier les paramètres de variables -> Verrouillage et visibilité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez interdire à l'utilisateur d'accéder à certaines zones de la table de recettes à l'aide des fonctions de verrouillage ou de visibilité. La différence entre ces fonctions est la suivante : avec la fonction de verrouillage, la zone correspondante est grisée, tandis qu'avec la fonction de visibilité, elle n'est pas affichée du tout.

Verrouillage

Vous attribuez un verrouillage à chaque variable dans la colonne Verrouillage. La liste déroulante affiche les verrouillages disponibles. Dans le Runtime, la ligne est affichée normalement ou grisée, en fonction de l'état du verrouillage. Vous trouverez plus d'informations au chapitre Verrouillage.

info Info

Affichage avec les fonctions de rapport

Le nom du verrouillage n'est pas disponible dans le Runtime. Cela signifie que seuls les ID de verrouillage sont affichés dans la liste de recettes lorsque les verrouillages sont affichés à l'aide des fonctions recipew ou recipef.

Visibilité

Vous attribuez une visibilité à chaque variable dans la colonne Visibilité. Pour cela :

  1. Cliquez avec le bouton droit sur la cellule et sélectionnez la variable utilisée pour contrôler la visibilité, ou saisissez directement son nom dans la cellule
  2. Définissez une valeur limite pour la variable

Dès que la variable de contrôle dépasse la valeur limite définie, la variable attribuée dans la table des recettes est masquée.

info Info

La table de recette est actualisée après chaque changement d'un état attribué. Durant le développement, gardez à l'esprit qu'un changement fréquent des états attribués peut constituer un problème durant l'exécution du Runtime.


Filtre

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Variables des groupes de recettes -> Modifier les paramètres de variables -> Filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les filtres permettent de masque les recettes au niveau de l'utilisateur.

Les filtres sont définis à l'aide de la propriété Filtre texte pour les variables dans la vue de détail du Gestionnaire de groupes de recettes. Une expression de filtrage libre est attribuée aux variables. Ce texte de filtre est utilisé dans le synoptique Gestionnaire de groupes de recettes pour restreindre l'affichage des variables. Ce filtre peut être défini comme suit :

  • Cette procédure est effectuée dans le Runtime, sur le synoptique de Gestionnaire de groupes de recettes, à l'aide de la liste déroulante Filtre de recette.
  • Lors de l'appel du synoptique de Gestionnaire de groupes de recettes

Si aucun filtre n'est sélectionné, toutes les variables qui ne comportent pas un texte de filtre sont affichées.

info Info

Le filtre s'applique uniquement à l'affichage de la table de recette. Par exemple, si une recette est transmise au contrôleur, toutes les valeurs de la recette sont écrites.


Clavier

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Variables des groupes de recettes -> Modifier les paramètres de variables -> Clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez lier un synoptique de type Clavier pour chaque variable dans cette colonne. Dans le Runtime, le synoptique Clavier lié est invoqué lorsque vous cliquez sur la valeur de la variable. Il n'est plus possible de saisir les valeurs directement. Lorsque vous fermez le synoptique Clavier en cliquant sur OK, la nouvelle valeur est saisie dans la table de recette. En outre, la nouvelle fonction de synoptique Envoi valeur est disponible. D'un clic, vous pouvez transférer une valeur prescrite préalablement définie.


Variables d'acquittement

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Variables des groupes de recettes -> Variables d'acquittement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Des variables peuvent être liées à chaque groupe de recettes ; elles sont fournies avec les données des recettes pour les actions d'écriture, de lecture, de vérification et d'importation de données XML. Ces variables d'acquittement spécifiques au Gestionnaire de groupes de recettes se comportent comme des variables de driver système, mais sont attribuées à des groupes de recettes individuels. Elles permettent ainsi d'évaluer simultanément plusieurs groupes de recettes.

Vous pouvez lier autant de variables que vous le souhaitez.
Note concernant les versions de zenon antérieures à 7.10 SP0 : Si la propriété - est définie sur MS Access, la longueur maximale du texte est de 300 caractères. Le stockage sous forme de fichiers binaires est automatiquement utilisé à partir de la version 7.10.

Les données de recette suivantes peuvent être définies sur des variables :

  • Nom de recette
  • Numéro de recette
  • Version de la recette
  • État de la recette sous forme de texte
    (sous la forme 1 - Texte ; le texte n'est pas traduit, mais cette fonction peut être activée par le biais de l'élément d'affichage)
  • État de la recette sous forme de nombre
  • Niveau d'autorisation de la recette
  • Heure de la dernière modification
  • Utilisateur ayant effectué la dernière modification
  • Commentaires 1 - 8

Création d'une variable d'acquittement

Pour créer une variable d'acquittement :

  1. Sélectionnez le groupe de recettes
  2. Accédez au nœud souhaité
    • Ecrire recette retour
    • Lire recette retour
    • Vérification valeur de recette retour
    • Retour Import XML
  3. Cliquez sur le bouton ... adjacent à la propriété souhaitée.
  4. La boîte de dialogue de liaison de variables s'affiche à l'écran.

Vous trouverez des remarques concernant les propriétés individuelles dans l'aide de la propriété concernée. Le résultat est fourni localement et sur le réseau pour toutes les actions réalisées par le biais des variables de driver système.

info Info

Les modifications effectuées en langage VBA sont uniquement visibles après la réouverture du Gestionnaire de groupes de recettes.


Ajouter des recettes à un groupe de recettes

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Ajouter des recettes à un groupe de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour ajouter une recette à un groupe de recettes :

  1. Cliquez avec le bouton droit sur le nœud Recettes dans le groupe de recettes souhaité
  2. Sélectionnez Nouvelle recette dans le menu contextuel.
  3. Une nouvelle recette est créée avec un nom par défaut ; le nom est déjà sélectionné pour modification
  4. Définissez les propriétés souhaitées pour le nom, le numéro, la version, l'autorisation et le commentaire.

info Info

Si la recette doit être utilisée sous forme de fichier binaire, le nom peut uniquement contenir des caractères alphanumériques.

Attribution d'un nom lors de la création

Les nouvelles recettes sont créées avec un nom par défaut, par exemple, recette_0. En outre, un numéro de recette est attribué à chaque nouvelle recette. Pour chaque nouvelle recette ce numéro est incrémenté automatiquement.

Le nom de la recette doit être unique. L'unicité du numéro de recette n'est pas contrôlée. Elle est uniquement utilisée pour appeler une recette via une variable, à l'aide de la fonction Gestionnaire de groupes de recettes. Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.

Example Exemple

Il existe déjà une recette Recipe_0 avec le numéro de recette 0 et une recette Recipe_2 avec le numéro de recette 2. Lors de la création d'une nouvelle recette, une recette portant le nom Recipe_1 et un numéro de recette 3 sont créées.

Autres sujets abordés dans ce chapitre

Éditer une recette d'un groupe de recettes


Éditer une recette d'un groupe de recettes

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Ajouter des recettes à un groupe de recettes -> Éditer une recette d'un groupe de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour modifier une recette provenant d'un groupe de recettes :

  • Cliquez avec le bouton droit sur une recette.
  • Sélectionnez la commande Éditer recette.
  • La boîte de dialogue Groupes de recettes s'affiche à l'écran.

Entrée

Description

Généralités

Numéro de recette

Numéro de la recette

Écriture synchrone

Actif : Lors de l'écriture d'une recette, tous les éléments de contrôle sont verrouillés sur le synoptique de Gestionnaire de groupes de recettes jusqu'à ce que le driver confirme que toutes les valeurs ont été écrites avec succès, ou que le délai d'attente défini a expiré.

Inactive : Les valeurs de la recette sont écrites sans attendre de confirmation. Les éléments de contrôle peuvent être immédiatement réutilisés. La confirmation du driver est faite sur le bit d'état WR-SUC de chaque variable : il est mis à 1 lorsque la valeur a été écrite avec succès.
Conseils :

  • ce paramètre peut être modifié en Runtime dans le synoptique du gestionnaire de groupes de recettes avec le bouton Renommer recette.
  • La barre de progression fonctionne uniquement si cette propriété est active.

Timeout (Délai d'attente) [ms]

Si Écriture de façon synchrone est cochée pour une recette, on peut alors définir ici le temps d'attente maximum. Les éléments de contrôle du Gestionnaire de groupes de recettes peuvent être actionnés une dernière fois après ce délai.
Si la valeur 0 est saisie dans Délai d'attente, zenon calcule le délai d'attente avant expiration comme suit :
30000+(100*nombre de points de données)
Conseil : ce paramètre peut être modifié en Runtime dans le synoptique du gestionnaire de groupes de recettes avec le bouton Renommer recette.

Niveau d'autorisation

Seuls les utilisateurs qui auront ce niveau d'autorisation pourront modifier la recette en Runtime. Ceci concerne la modification manuelle de la recette sur le synoptique du groupe de recettes mais aussi les possibilités de la renommer, la supprimer, et aussi la "remplir" avec les valeurs lues sur le matériel.
Remarque : les groupes de recettes ne peuvent être modifiés que par les utilisateurs qui ont l'autorisation nécessaire pour accéder à toutes les recettes du groupe.

Entrées de liste

Nom de la variable

Nom d'une variable.

Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune modification n'est possible.

Valeur min.

Valeur minimale de la variable

Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune modification n'est possible.

Valeur max.

Valeur maximale de la variable

Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune modification n'est possible.

Action

Fonction exécutée sur les variables.

L'entrée peut être modifiée dans la liste. Pour plus de détails, reportez-vous au chapitre Actions :

Valeur ou variable

Valeur transférée au contrôle lors de l'écriture de la recette.

La valeur dépendante de l'action peut être modifiée dans la liste.

Unité

Unité d'une variable

Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune modification n'est possible.

info Info

Le nom de la recette doit être unique. L'unicité du numéro de recette n'est pas contrôlée. Elle est uniquement utilisée pour appeler une recette via une variable, à l'aide de la fonction Gestionnaire de groupes de recettes. Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.

Autres sujets abordés dans ce chapitre

Actions


Actions

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Ajouter des recettes à un groupe de recettes -> Éditer une recette d'un groupe de recettes -> Actions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour définir une action, cliquez sur la variable concernée dans la ligne Action. Cliquez sur le symbole comportant une flèche, puis sélectionnez l'action souhaitée dans la liste déroulante. Si vous avez besoin d'entrées dans la cellule Valeur ou variable, cliquez sur la cellule et saisissez une valeur. Pour sélectionner une variable, cliquez avec le bouton droit sur la cellule pour afficher la boîte de dialogue de sélection.

Action | Description | Saisir une valeur dans Valeur ou variable.
Aucune action | Désactive une variable dans cette recette. | Aucune saisie.
Commuter vers valeur spontanée | Bascule de la valeur de remplacement vers la valeur spontanée. | Aucune saisie.
Modification valeur spontanée | Définit la valeur spontanée sur la valeur spécifiée sous Valeur ou variable. | Saisir une valeur prescrite.
Basculer et modifier la valeur spontanée | Bascule de la valeur de remplacement vers la valeur spontanée et définit la valeur spontanée sur la valeur spécifiée sous Valeur ou variable. | Saisir une valeur prescrite.
Commuter vers valeur de remplacement | Bascule de la valeur spontanée vers la valeur de remplacement. | Aucune saisie.
Modifier valeur de remplacement | Définit la valeur de remplacement sur la valeur spécifiée sous Valeur ou variable. | Saisir la valeur de remplacement.
Commuter vers et modifier valeur de remplacement | Bascule de la valeur spontanée vers la valeur de remplacement et définit la valeur de remplacement sur la valeur spécifiée sous Valeur ou variable. | Saisir la valeur de remplacement.
Désactiver valeur spontanée | Désactive la valeur spontanée en définissant le bit d'état OFF (bit 20). | Aucune saisie.
Activer valeur spontanée | Active la valeur spontanée en réinitialisant le bit OFF. | Aucune saisie.
Etat utilisateur | Informations d'état. Définit le bit d'état correspondant de la variable. Remarque : vous pouvez uniquement définir les bits d'état identifiés comme définis par l'utilisateur. Les bits d'état automatiquement définis par le système ne peuvent pas être modifiés. | Saisissez l'intitulé d'état court : =1 pour définir =0 pour réinitialiser Vous pouvez définir d'autres états en les séparant par un point-virgule (;). Par exemple : M1 ; état utilisateur 0
Link with variable (Lier à une variable) | Lie une variable à une autre variable. | Nom d'une variable. Cliquez avec le bouton droit dans le champ pour ouvrir le menu contextuel dans lequel vous pouvez afficher la boîte de dialogue de sélection de variables. La valeur de la variable est transférée vers la variable de recette sélectionnée. Il est possible d'utiliser des variables d'autres projets actuellement chargés en mémoire.

attention Attention

Si la fonction Lire toutes les valeurs est utilisée avec l'action Link with variable (Lier à une variable) au niveau de la recette, l'autorisation de l'utilisateur n'est pas vérifiée et l'action n'est pas consignée dans le journal. Si vous voulez créer un journal, vous devez le créer manuellement, par ex. à l'aide d'une macro VBA.

Note concernant la réglementation FDA : En conséquence, cette fonctionnalité ne peut pas être utilisée pour les projets qui doivent repesctés de façon stricte les standards de la FDA !

Autres sujets abordés dans ce chapitre

Vérification de l'écriture de valeurs prescrites


Vérification de l'écriture de valeurs prescrites

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Ajouter des recettes à un groupe de recettes -> Éditer une recette d'un groupe de recettes -> Actions -> Vérification de l'écriture de valeurs prescrites

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Vérification de l'écriture de valeurs prescrites

Lors de l'écriture de valeurs, la valeur reçoit un bit d'état qui a été écrit. Si le procédé d'écriture est un succès, le bit d'état correspondant est défini :

  • WR-ACK

    Le driver a reçu une valeur à écrire.

  • WR-SUC

    Valeur 1 : Écriture réussie.

    Valeur 0 : l'action d'écriture a échoué. La valeur n'a pas été écrite.

info Info

Dans le cas d'un rechargement du projet ou d'un basculement sur le serveur redondant, les réponses actuellement actives ou les confirmations d'écriture sont abandonnées.

Cette combinaison d'états existe jusqu'au prochain changement de valeur. À ce moment, les deux états sont définis sur 0, jusqu'à ce que l'action d'écriture soit terminée. Pour l'évaluation, la combinaison de bits suivante doit être demandée dans la matrice de réaction :

WR-ACK, WR-SUC

Résultat :

  • WR-ACK 1, WR-SUC 1: l'action d'écriture a réussi.
  • WR-ACK 1, WR-SUC 0: l'action d'écriture a échoué.

attention Attention

Le mécanisme montre seulement que l'action d'écrire a réussi (ou non) sur l'automate. Ceci ne veut pas dire que la valeur a effectivement changé dans l'automate car l'automate peut resetter ou écraser la valeur immédiatement après. (Par exemple, pour l'écriture de résultats ou de bits transitoires, définis pour un court laps de temps.)

Modules

Ce mécanisme peut être utilisé dans les modules suivants :

  • Fonction Spécifier valeur prescrite : activez l'option Attendre confirmation d'écriture dans la boîte de dialogue de configuration de la fonction.
  • Les recettes standard : Activate property Ecrire de façon synchrone .
  • Groupes de recettes : Activate property Ecrire de façon synchrone.

Entrée dans la liste CEL

  • Fonction Spécifier valeur prescrite

    Pour l'entrée dans la liste CEL, vous devez activer la propriété Fonction envoi valeur prescrite dans le nœud Liste chronologique d'événements dans les paramètres du projet. La réaction positive ou négative à l'exécution de la fonction est ensuite écrite dans la liste CEL.

  • Recettes standard et Gestionnaire de groupes de recettes

    Pour une entrée dans la liste CEL, une variable de driver du système est utilisée et définie sur 1 lors de l'écriture réussie d'une recette. Une variable globale est évaluée sur le serveur, et une variable locale sur chaque client permet de déterminer quand l'écriture la dernière recette exécutée a été finalisée.
    Avec ces variables, une entrée dans la liste CEL peut être générée par l'intermédiaire d'une limite ou d'une matrice de réaction. La requête est exécutée par le biais d'une matrice de réaction multi-analogique ou multi-binaire.


Version de la recette

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Version de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il est possible de suivre les versions des recettes. Les versions peuvent être gérées dans le Runtime, via les paramètres de l'Éditeur et les fonctions et éléments de contrôle du Runtime.

Pour créer une nouvelle version de recette dans l'Éditeur, deux possibilités s'offrent à vous :

  1. Nouvelle version de recette : Crée une nouvelle version de la recette sélectionnée.
    Pour cela :
    1. Sélectionnez la recette dans la vue de détail du Gestionnaire de groupes de recettes
    2. Sélectionnez la commande Create new recipe version (Créer une nouvelle version de recette) dans le menu contextuel.

    ou

  2. Création d'une copie d'une version de recette : crée une copie de la version sélectionnée de la recette comme s'il s'agissait d'une nouvelle version.
    Pour cela :
    1. Sélectionnez la version de la recette dans la vue de détail du module RGM
    2. Sélectionnez la commande Duplicate as recipe version (Copier en tant que version de la recette) dans le menu contextuel.

Une nouvelle version de la recette est créée et insérée sous la recette. Le numéro de version est automatiquement généré dans la propriété Version de recette. Le nombre de versions disponibles est affiché à droite de la recette d'origine.

Pour créer une nouvelle version d'une recette dans le Runtime, utilisez la fonction Créer une nouvelle version d'une recette.

info Info

Au maximum, 89 999 versions d'une recette peuvent être créées.


État de la recette

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> État de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'état de la recette est utilisé pour l'identification et le filtrage d'une recette, avec les éléments suivants :

  • Propriété Etat de la recette
  • Synoptique de Gestionnaire de groupes de recettes
  • Fonction d'appel de synoptique de gestionnaire de groupes de recettes
  • Fonction Gestionnaire de groupes de recettes

Cette fonction comprend un indice fourni par zenon et un texte d'état individuel. L'état de la recette peut être réglé différemment pour chaque version de la recette. Cette propriété peut être modifiée à l'aide des fonctions et éléments de contrôle dans le synoptique du Runtime.

Pour créer un état de recette :

  1. Sélectionnez le nom Groupes de recettes dans la vue de détail du Gestionnaire de groupes de recettes
  2. Cliquez sur la propriété Identification état de recette
  3. La boîte de dialogue de configuration de l'état de la recette s'affiche

Paramètres

Description

Identification état de recette

Création et gestion du nom de l'état de la recette.

#

Indice de l'état. Cette information est générée automatiquement.

Texte d'état

Le texte d'état est défini conformément au contenu de cette boîte de dialogue :

  • Création : cliquez sur le bouton Nouveau.
  • Édition : cliquez sur le texte pour le modifier, si nécessaire.

Ce texte peut également contenir des mots-clé (précédés du préfixe @) pour le changement de langues.

Nouveau

Insère un nouvel état à la fin de la liste.

Supprimer

Supprime le texte d'état sélectionné.

Si l'état à supprimer se trouve à la fin de la liste, le texte d'état et le numéro d'indice sont supprimés.

Si l'état à supprimer ne se trouve pas à la fin de la liste, le texte d'état est supprimé, mais le numéro d'indice est conservé. Ceci permet de renseigner les informations manquantes ultérieurement.

OK

Accepte la saisie et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


List of status bits

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> List of status bits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | État utilisateur 1 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélection sur le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En cours d'utilisation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | VAL_M;valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | RG;Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Non valide | _VSB_I_BIT
19 | T_CHG_A | Annonce heure été/hiver | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel externe | _VSB_RT_E
22 | T_INTERN | Horodatage temps réel interne | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | MM_TR;Message de marche du transfo | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | VALR;valeur de remplacement Si aucune valeur n'a été transférée, la valeur de remplacement définie est utilisée ; dans le cas contraire, la dernière valeur valide est utilisée. | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Non mis à jour | _VSB_ACTUAL
30 | T_STD | Heure standard | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission, bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission, bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission, bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission, bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission, bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission, bit 6 | _VSB_TCB5
38 | N_CONF | Pas d'acceptation du mode Select par le matériel (IEC 60870) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | DEVNORM;État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : bloqué | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substitué | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : non topique | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : dépassement | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : sélectionné | _VSB_SE_BIT
49 | T_INVAL | Temps invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | RES52 | réservé | non défini
53 | RES53 | réservé | non défini
54 | RES54 | réservé | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Info

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états


Windows CE

Manuels -> Gestionnaire de groupes de recettes -> Configuration dans l'Éditeur -> Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser le gestionnaire de groupes de recettes sous Windows CE, les données du gestionnaire de groupes de recettes doivent être sauvegardées dans la base de données MS Access. Pour Windows CE, les données sont enregistrées au format binaire, sous forme de fichier.

Dans Propriétés du projet -> - Général, si vous cochez la case Projet WindowsCE, les données du module RGM sont automatiquement enregistrées au format binaire.
Vous pouvez définir l'enregistrement des données au format binaire manuellement, indépendamment du projet CE, en sélectionnant
Propriétés du groupe de recettes -> Groupes de recettes -> - -> Fichiers binaires (compatibles CE).

attention Attention

Aucune fonction de conversion d'une base de données MS Access vers le format binaire ou inversement n'est prévue.

Les données existantes du module RGM ne sont pas converties ! Si nécessaire, vous devez exporter les données au format XML avant leur conversion. Vous pouvez ensuite convertir le projet et importer les données dans le nouveau stockage de données.

Modification de la base de données

Si, pour le module RGM, vous avez sélectionné la base de données MS ACCESS DB dans la propriété -, puis coché la case Projet WindowsCE, un conseil relatif à la conversion s'affiche :

Pour conserver les données de la base de données actuelle :

  1. Exportez les données au format XML
  2. Convertissez la base de données
  3. Importez le fichier XML

Boîte de dialogue de filtre dans le Runtime

Si vous activez la propriété Avec dial. de filtre dans les options de la liste de valeurs de la recette lors de l'appel de synoptique, des options limitées sont disponibles sous Windows CE :

  • Filtres recette
  • Paramètres des colonnes (pour la table de recettes)

Les options Sélection recette, Equipment modeling (Modélisation d'équipements) et les paramètres des colonnes de la liste de recettes ne sont pas disponibles.

Projets multi-utilisateurs

Dans les projets multi-utilisateurs, vous pouvez exporter indépendamment les données binaires et la base de données MS Access.

Dans la fenêtre Traitement en cours, l'état du type de stockage défini sur cet ordinateur est affiché. Si des fichiers binaires sont utilisés, vous ne pourrez pas voir si la base de données Access a également été exportée.

Dans ce cas, le scénario suivant est possible :

  • Sur le PC A, la base de données Access est exportée
  • Sur le PC B, le projet Windows CE est activé, et donc converti en données binaires
  • Sur le PC B, les fichiers binaires sont exportés
  • Sur le PC B, les modifications sont appliquées, puis synchronisées avec le PC A
  • Les données du PC A sont alors également converties en fichiers binaires
  • La base de données reste toutefois extraite sur le PC A
  • Il n'y a que lorsque le PC B convertit à nouveau les données sous forme de base de données Access que vous pourrez voir que la base de données Access est extraite sur le PC A


Fonctions

Manuels -> Gestionnaire de groupes de recettes -> Fonctions

Lorsque la fonction standard est créée depuis le menu contextuel dans l'affichage détaillé, <CD_PRODUCTNANE> crée automatiquement une fonction de Gestionnaire de groupe de recettes pour la recette sélectionnée.

Autres sujets abordés dans ce chapitre

Fonction Appel de synoptique Gestionnaire de groupes de recettes

Fonction Gestionnaire de groupes de recettes


Fonction Appel de synoptique Gestionnaire de groupes de recettes

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Appel de synoptique Gestionnaire de groupes de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'appel du synoptique de Gestionnaire de groupes de recettes, vous définissez une recette devant être transmise lors de l'appel. Ces paramètres peuvent également être définis dans le Runtime, si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime).

Pour configurer l'appel de synoptique :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Appel de synoptique.

    Appel de synoptique

    Cette fonction ouvre le synoptique sélectionné. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

    Plus de détails dans l'aide en ligne

  3. Sélectionnez le synoptique du Gestionnaire de groupes de recettes
  4. Sélectionnez vos paramètres sur les différents onglets
    • Table de valeurs des recettes : Paramètres de la recette
    • Paramètres des colonnes de la table de valeur des recettes : paramètres d'affichage dans le Runtime.
    • Filtres recette : définition des recettes d'un groupe de recettes devant être affichées sur un synoptique de Gestionnaire de groupes de recettes.
    • Paramètres des colonnes de la liste de recettes : paramètres d'affichage des listes de recettes.
    • Equipment modeling (Modélisation d'équipements) : sélection des modèles d'équipements.

info Info

Vous trouverez les paramètres de visibilité des variables du Runtime dans les sections suivantes :

  • Modifier les paramètres des variables : Filtre, Visibilité
  • Modification d'une recette d'un groupe de recettes : Groupes d'autorisation

Ces paramètres ont uniquement trait à l'affichage dans la table de recettes. Par exemple, si une recette est transmise au contrôleur, toutes les valeurs de la recette sont écrites.

Autres sujets abordés dans ce chapitre

Table de valeurs des recettes

Paramètres des colonnes de la table de valeur des recettes

Filtres recette

Paramétrage colonnes liste recette

Equipment modeling (Modélisation d'équipements)


Table de valeurs des recettes

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Appel de synoptique Gestionnaire de groupes de recettes -> Table de valeurs des recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La recette à transmettre est sélectionnée sur cet onglet.

Paramètres

Description

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables
  • À partir d'un fichier

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Remarque : Si la sélection des recettes aboutit à une erreur dans le Runtime (recette non présente dans le Runtime, aucune sélection effectuée, recette non contenue dans le filtre), aucune recette n'est sélectionnée et l'affichage de la liste déroulante Recette reste vide.

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à un symbole statique version la plus basse de la recette.
  • La valeur 90001 correspond à un symbole statique version la plus élevée de la recette.

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur version la plus élevée ou version la plus basse, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Mise en forme de la table de valeurs des recettes

Paramètres de mise en forme de la table de valeurs des recettes.

Table

Sélection du fichier du rapport. Cliquez sur le type de fonction pour ouvrir une liste déroulante de sélection.

  • Utiliser liste standard
  • Utiliser un fichier de format pour la liste

Utiliser une table standard :

Dans le Runtime, les valeurs de la recette sont affichées dans une table simple, sur un synoptique de Gestionnaire de groupes de recettes. Les colonnes de cette table peuvent être définies à l'aide des paramètres des colonnes de la table de valeurs de recettes.

Sélection du fichier de mise en forme de la table :

Autorise l'utilisation d'un fichier de rapport (*.xrs) pour l'affichage des valeurs de recettes. Ce fichier doit avoir été créé préalablement dans le générateur de rapport. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.

Filtre d'affichage des valeurs

Sélection du filtre actif lors de l'appel de synoptique, afin de limiter la liste de valeurs de recette affichées.

Critères de filtre

Sélection du filtre. Cliquez sur le texte pour afficher une liste déroulante de sélection du filtre.

  • Critère de filtre statique
  • Critère de filtre sous forme de variable

Critère de filtre statique :

Sélection d'un filtre défini dans la propriété de variable Filtre texte.

Critère de filtre sous forme de variable :

Le critère de filtre est dérivé d'une variable STRING.

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Remarque : seules des fonctions limitées sont disponibles sous Windows CE lors de l'utilisation du bouton Filtre du Gestionnaire de groupes de recettes :

  • Filtres recette
  • Paramètres des colonnes (pour la table de recettes)

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

Bloquer les modifications du synoptique

Bloque tous les éléments de contrôle du synoptique de Gestionnaire de groupes de recettes. L'utilisateur ne peut alors apporter aucune modification au Gestionnaire de groupes de recettes.

OK

Valide les paramètres définis sur tous les onglets et ferme la boîte de dialogue.

Annuler

Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue. La fonction est créée lors de la première configuration de l'appel de synoptique, toutefois, sans cible.

Aide

Ouvre l'aide en ligne.

info Info

Le nom de la recette doit être unique. L'unicité du numéro de recette n'est pas contrôlée. Elle est uniquement utilisée pour appeler une recette via une variable, à l'aide de la fonction Gestionnaire de groupes de recettes. Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.


Paramètres des colonnes de la table de valeur des recettes

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Appel de synoptique Gestionnaire de groupes de recettes -> Paramètres des colonnes de la table de valeur des recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Toutes les colonnes de la liste de recettes sont librement configurables. Vous pouvez rendre les colonnes visibles, les trier et leur attribuer un intitulé à votre convenance. En outre, vous pouvez masquer la numérotation des lignes.

Paramètres | Description
Type de colonne | Type de colonne. Cette donnée ne peut pas être éditée. L'affichage dans le Runtime est activé ou désactivé par l'intermédiaire d'une case à cocher.
Description | Définit l'en-tête de la colonne concernée. Vous pouvez configurer celui-ci afin d'autoriser le changement de langue. La valeur peut être édité.
Largeur | Définit la largeur de la colonne, en caractères. Vous pouvez également définir la largeur de la colonne en faisant glisser la colonne avec la souris dans la ligne d'affichage horizontale des noms de colonnes. La valeur peut être édité.
Vers le haut | Déplace la colonne sélectionnée vers le haut. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Vers le bas | Déplace la colonne sélectionnée vers le bas. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Champ avec affichage horizontal des noms de colonnes | Affiche les colonnes actives dans la liste. Vous pouvez définir les tailles des colonnes en faisant glisser les bordures des colonnes à l'aide de la souris.
Display numbering column (Afficher la colonne de numérotation) | Actif : La première colonne de la liste est affichée, et fournit les numéros de ligne.
OK | Valide les paramètres définis sur tous les onglets et ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue. La fonction est créée lors de la première configuration de l'appel de synoptique, toutefois, sans cible.
Aide | Ouvre l'aide en ligne.


Filtres recette

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Appel de synoptique Gestionnaire de groupes de recettes -> Filtres recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous définissez quelles recettes d'un groupe de recettes doivent être affichées dans un synoptique de type Gestionnaire de groupes de recettes. Seules les recettes autorisées par le filtre de recettes de la fonction d'appel de synoptique sont affichées. Le filtrage repose sur les noms des recettes.

info Info

Si la sélection des recettes aboutit à une erreur dans le Runtime (recette non présente dans le Runtime, aucune sélection effectuée, recette non contenue dans le filtre), aucune recette n'est sélectionnée et l'affichage de la liste déroulante Recette reste vide.

Paramètres

Description

Text filter (Filtre de texte)

Définit les critères de filtre.

Aucun filtre de texte

Actif : Le filtre de texte n'est pas utilisé.

Search for (words separated by spaces) (Rechercher [mots séparés par des espaces])

Actif : Le filtre de recettes est utilisé. Les paramètres supplémentaires sont activés.

Champ de saisie

Saisissez les mots ou chaînes de caractères souhaité(e)s.

Note capitalization (Tenir compte de la capitalisation)

Actif : la capitalisation est prise en compte lors du chiffrage.

Words do not have to appear in the recipe name in full (Les mots entiers n'apparaissent pas dans le nom de la recette)

Actif : Les expressions saisies dans le champ de saisie sont prises en compte, même si elles n'apparaissent que dans un mot dans le nom de la recette.

At least one word must be present in the recipe name (Au moins un mot doit être présent dans le nom de la recette)

Actif : Au moins un mot de la chaîne recherchée doit apparaître dans le nom de la recette.

All words must be present in the recipe name (Tous les mots doivent être présents dans le nom de la recette)

Actif : Tous les mots de la chaîne recherchée doivent être présents dans le nom de la recette, mais l'ordre n'a pas d'importance.

Filter text must appear in the recipe name exactly (Le texte filtré apparaît exactement dans le nom de la recette)

Actif : Tous les mots de la chaîne recherchée doivent être présents dans le nom de la recette, dans le même ordre.

Filtre étendu

Paramètres des filtres de version et d'état.

Version

Filtre de version : sélection dans une liste déroulante ou saisie directe.

Liste déroulante :

  • Version la plus basse
  • Version la plus haute
  • Tout

Ces paramètres sont toujours associés à l'état.

Saisie directe :

  • Saisie numérique, valeurs séparées par une virgule. Par exemple : 1.2.6

Les entrées peuvent comprendre des chiffres, des virgules et des espaces ; leur validité est contrôlée. Les saisies erronées sont identifiées lorsque la boîte de dialogue est confirmée en cliquant sur OK, ou que l'onglet est modifié. La boîte de dialogue reste ouverte et la zone de liste contenant l'entrée erronée est sélectionnée.

État

Critère de filtre d'état. Sélection :

Liste déroulante :

  • Tout
  • État préalablement configuré

Saisie directe :

  • Saisie numérique, valeurs séparées par une virgule. Par exemple : 1.2.6

La langue des textes d'état peut être modifiée.

Les entrées peuvent comprendre des chiffres, des virgules et des espaces ; leur validité est contrôlée. Les saisies erronées (telles que les lettres) sont identifiées lorsque la boîte de dialogue est confirmée en cliquant sur OK. La boîte de dialogue reste ouverte et la zone de liste contenant l'entrée erronée est sélectionnée.

OK

Valide les paramètres définis sur tous les onglets et ferme la boîte de dialogue.

Annuler

Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue. La fonction est créée lors de la première configuration de l'appel de synoptique, toutefois, sans cible.

Aide

Ouvre l'aide en ligne.

Combinaisons possibles du filtre de version et du filtre d'état

Filtre de version | Filtre d'état | Résultat
Version la plus basse | Tout | Seules les versions les plus basses de toutes les recettes sont affichées.
Version la plus basse | 1.2 | Seules les versions les plus basses de toutes les versions de recettes comportant l'état 1 ou 2 sont affichées.
Version la plus haute | Tout | Seules les versions les plus hautes de toutes les recettes sont affichées.
Version la plus haute | 1.2 | Seules les versions les plus hautes de toutes les versions de recettes comportant l'état 1 ou 2 sont affichées.
Tout | Tout | Toutes les versions des recettes sont affichées.
Tout | 1.2 | Toutes les versions des recettes comportant l'état 1 ou 2 sont affichées.
2.3 | Tout | Toutes les versions des recettes 2 et 3 sont affichées, indépendamment de l'état.
2.3 | 1.2 | La version 2 ou 3 de la recette est affichée, si celle-ci comporte l'état 1 ou 2.


Paramétrage colonnes liste recette

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Appel de synoptique Gestionnaire de groupes de recettes -> Paramétrage colonnes liste recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, les paramètres des colonnes pour l'affichage de la liste de recettes dans le Runtime sont configurés.

Attention : les paramètres des colonnes de la liste de recettes ne sont pas disponibles pour les projets CE.

Paramètres | Description
Champ de liste | Affichage des colonnes configurées.
Sélection des colonnes | Ouvre la boîte de dialogue permettant de sélectionner les colonnes de caractères.
Format des colonnes | Ouvre la boîte de dialogue de mise en forme des colonnes.
OK | Applique toutes les modifications et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

D'autres paramètres, tels que les barres de défilement, sont configurés dans les propriétés du champ de liste. Pour plus de détails, reportez-vous à la section Apparence de la liste de recettes.

Autres sujets abordés dans ce chapitre

Sélection des colonnes

Format des colonnes


Sélection des colonnes

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Appel de synoptique Gestionnaire de groupes de recettes -> Paramétrage colonnes liste recette -> Sélection des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette section, vous configurez les colonnes affichées dans le Runtime.

Bouton | Fonction
Ajouter | Déplace la colonne sélectionnée des colonnes disponibles vers les éléments sélectionnés. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont affichées dans la vue de détail.
Ajouter tout | Déplace toutes les colonnes disponibles vers les colonnes sélectionnées.
Supprimer | Supprime les colonnes marquées des éléments sélectionnés et les affiche dans la liste des colonnes disponibles. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, ces colonnes sont supprimées de la vue de détail.
Supprimer tout | Toutes les colonnes sont supprimées de la liste des colonnes sélectionnées.
Flèche vers le haut | Déplace l'entrée sélectionnée vers le haut. Cette fonction est uniquement disponible pour les entrées uniques ; les sélections multiples ne sont pas autorisées dans ce cas.
Flèche vers le bas | Déplace l'entrée sélectionnée vers le bas. Cette fonction est uniquement disponible pour les entrées uniques ; les sélections multiples ne sont pas autorisées dans ce cas.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Abandonne les paramètres et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Format des colonnes

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Appel de synoptique Gestionnaire de groupes de recettes -> Paramétrage colonnes liste recette -> Format des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les colonnes sont mises en forme ici.

Paramètre

Description

Colonnes disponibles

Liste de colonnes disponibles avec la fonction de sélection de colonnes. La colonne sélectionnée ici est configurée à l'aide des paramètres de la section Paramètres.

Paramètre

Paramètres de la colonne sélectionnée.

Intitulé

Nom de l'intitulé de colonne. Cet intitulé de colonne est compatible avec la fonction de changement de langue en ligne. Pour cela, insérez le caractère @ devant le nom de l'intitulé.

Largeur

Largeur de la colonne en caractères.
Calcul : nombre de caractères multiplié par la largeur moyenne des caractères de la police sélectionnée.

Alignement

Alignement.

Paramètres possibles :

  • Justifié à gauche : le texte est justifié contre le bord gauche de la colonne.
  • Centré le texte est centré dans la colonne.
  • Justifié à droite : le texte est justifié contre le bord droit de la colonne.

Désactiver le filtre sur les colonnes dans le Runtime

Actif : le filtre de cette colonne ne peut pas être modifié dans le Runtime.

Remarque : Uniquement disponible pour :

  • Contrôle de batch
  • Synoptique Extended Trend
  • Gestion de messages
  • Gestionnaire de groupes de recettes

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Equipment modeling (Modélisation d'équipements)

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Appel de synoptique Gestionnaire de groupes de recettes -> Equipment modeling (Modélisation d'équipements)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ici, vous procédez à l'attribution des modèles et niveaux d'équipements :

Propriété | Description
Barre d'outils | Reportez-vous au chapitre Vue de détail des barres d'outils et menus contextuels.
Ajouter | Ajoute les groupes et niveaux sélectionnés à la sélection.
Supprimer | Supprime les éléments sélectionnés de la sélection.
OK | Valide les paramètres définis sur tous les onglets et ferme la boîte de dialogue.
Annuler | Aucun élément n'est sélectionné.
Aide | Ouvre l'aide en ligne.

Add groups (Ajouter les groupes)

  • Sélectionnez le modèle d'équipement de votre choix.
  • Sélectionnez un groupe d'équipements ou un niveau d'équipement ; les éléments situés au même niveau hiérarchique peuvent être sélectionnés en même temps par une sélection multiple (en maintenant la touche Ctrl enfoncée).
  • Ajoutez votre sélection à la liste en cliquant sur le bouton Ajouter dans la partie inférieure de la boîte de dialogue.
  • Les sous-groupes ne sont pas ajoutés automatiquement.
  • Vous pouvez sélectionner autant de groupes que vous le souhaitez.

Delete groups (Supprimer les groupes)

  • Sélectionnez les éléments que vous souhaitez supprimer dans la partie inférieure de la boîte de dialogue.
  • Cliquez sur le bouton Supprimer.

Remarque : les modifications apportées à un élément dans l'arborescence sont conservées, même si vous cliquez sur le bouton Annuler. Annuler signifie uniquement qu'aucun élément n'a été sélectionné.


Fonction Gestionnaire de groupes de recettes

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction exécute des actions définies pour une recette sélectionnée du gestionnaire de groupes de recettes dans le Runtime.

Paramètres

Description

Action

Sélection du type de fonction souhaité dans la liste déroulante. La sélection peut être modifiée ultérieurement. Fonctions possibles :

  • Exécuter recette
  • Lire recette
  • Vérification des valeurs de recettes
  • Renommer recette
  • Modification de l'état des recettes
  • Créer une nouvelle recette
  • Supprimer recette
  • Dupliquer
  • Dupliquer et lire
  • Créer une nouvelle version de recette
  • Supprimer la version de la recette
  • Créer une copie comme nouvelle version de la recette
  • Créer une copie et lire en tant nouvelle de la recette
  • Écrire les valeurs de la recette dans les variables de sauvegarde
  • Écrire les variables de sauvegarde dans les valeurs de la recette
  • Exporter XML tous
  • Exportation du groupe de recettes au format XML
  • Exporter la recette au format XML
  • Importer XML
  • Informations détaillées de la recette lors de l'enregistrement de la documentation au format XML
  • Exportation d'une recette vers un fichier texte
  • Importer la recette depuis un fichier texte

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans action.

Aide

Ouvre l'aide en ligne.

info Info

Le nom de la recette doit être unique pour toutes les fonctions. L'unicité du numéro de recette n'est pas contrôlée. Il est uniquement utilisé pour appeler une recette via une variable, à l'aide de la fonction Gestionnaire de groupes de recettes. Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.

Autres sujets abordés dans ce chapitre

Exécuter recette

Lire recette

Vérification des valeurs de recettes

Renommer recette

Modification de l'état des recettes

Créer une nouvelle recette

Supprimer recette

Dupliquer

Dupliquer et Lire

Créer une nouvelle version de recette

Supprimer la version de la recette

Créer une copie comme nouvelle version de la recette

Créer une copie et lire en tant nouvelle de la recette

Écrire les valeurs de la recette dans les variables de sauvegarde

Écrire les variables de sauvegarde dans les valeurs de la recette

Exporter XML tous

Exportation du groupe de recettes au format XML

Exporter la recette au format XML

Importer XML

Informations détaillées de la recette lors de l'enregistrement de la documentation au format XML

Exportation d'une recette vers un fichier texte

Importer la recette depuis un fichier texte


Exécuter recette

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Exécuter recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction transmet la recette sélectionnée au Runtime.

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Lire recette

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Lire recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les valeurs des variables correspondantes sont lues et écrites dans la recette sélectionnée (enseignement).

Lors de la lecture, une vérification est effectuée pour s'assurer que les valeurs des propriétés Valeur min. et Valeur max. ont été respectées. Si les valeurs réelles sont inférieures ou supérieures à celles de ces propriétés, ou si la variable comporte l'état INVALID, les valeurs ne sont pas écrites dans la recette. Les erreurs peuvent être évaluées à l'aide des variables système.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Vérification des valeurs de recettes

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Vérification des valeurs de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction exécute une vérification de la recette. La valeur de la recette et la valeur réelle sont alors comparées, et le résultat est transféré vers la variable système correspondante.

Les valeurs de recettes peuvent être vérifiées à l'aide de la fonction Groupes de recettes ou de VBA.

Groupes de recettes

Cette fonction écrit, lit, copie, importe ou exporte la recette sélectionnée du module optionnel "Gestionnaire de groupes de recettes" (Recipe Group Manager, RGM). De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne

Gestionnaire de groupes de recettes

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.

attention Attention

La fonction utilise des points décimaux lors de la synchronisation avec l'automate. Si, pour les variables du type de données REAL, la propriété Nombre de décimales n'est pas configurée conformément aux paramètres de l'automate et les valeurs dans la zone du point décimal sont différentes, la fonction affiche différentes valeurs.

VBA

Les valeurs de recettes peuvent être exécutées automatiquement via VBA : Pour cela, utilisez la fonction (Check()). Celle-ci reprend les paramètres suivants ou renvoie les variables suivantes :

Check(ByRef vList As Variant)as Long

  • Valeur renvoyée : correspond aux valeurs de la variable système Vérification des valeurs de recettes du Gestionnaire de groupes de recettes - Résultat.
  • vList : correspond aux valeurs de la variable système Vérification des valeurs de recettes du Gestionnaire de groupes de recettes - Ecarts.
    Dans ce cas, une nouvelle entrée est utilisée pour chaque index de tableau (pas de retour à la ligne).

Variables système

La fonction exécute une vérification de la recette. La valeur de la recette et la valeur réelle sont alors comparées, et le résultat est transféré vers la variable système correspondante. La variable peut être sélectionnée et vérifiée localement ou globalement. Les variables qui ne peuvent pas être vérifiées en raison d'erreurs de communication avec l'automate (état INVALID) sont identifiées par un arrière-plan coloré (rouge).

Variable

Type de données

Description

Vérification des valeurs de recettes du Gestionnaire de groupes de recettes - Ecarts (recettes globales et locales)

STRING

Dresse la liste de toutes les différences de variables dans l'ordre suivant :

[Nom de la variable ; valeur de la recette ; valeur de la variable ; unité]

Chaque entrée est écrite sur une nouvelle ligne.

Éléments requis : La variable Vérification des valeurs de recettes du Gestionnaire de groupes de recettes - Résultat possède la valeur 1.

Attention : La variable peut être crée et vérifiée localement ou globalement.

RGM vérification valeurs recette - autorisation (global/local)

DINT

Niveau d'autorisation de la dernière recette vérifiée.

Vérification groupe de recettes - opérateur dernière modification (global/local)

STRING

Nom de l'utilisateur connecté lors de la dernière modification de la dernière recette vérifiée.

Vérification des valeurs de recettes du Gestionnaire de groupes de recettes - résultat (recettes globales et locales)

DINT

Résultat de la vérification :

  • 0 : toutes les valeurs correspondent.
  • 1 : au moins une valeur diffère de la valeur de la recette.
  • 2 : au moins une variable est défaillante (INVALID).

Messages d'erreur :

  • -1 : Une erreur s'est produite lors de la lecture de la valeur de la variable.
  • -2 : le groupe de recettes n'a pas pu être ouvert.
  • -3 : la recette n'a pas pu être ouverte.

Attention : La variable peut être sélectionnée et vérifiée localement ou globalement.

Vérification groupe de recettes - Commentaires 1 à 8 (global/local)

STRING

Huit commentaires peuvent être ajoutés à une recette. La variable contient le commentaire du numéro respectif pour la dernière recette coché.

Vérification des valeurs de groupe de recettes du Gestionnaire de groupes de recettes - nom du groupe de recettes (recettes globales et locales)

STRING

Nom du groupe de recettes de la dernière recette vérifiée.

Éléments requis : La variable Vérification des valeurs de recettes du Gestionnaire de groupes de recettes - Résultat possède la valeur >=-1.

Attention : La variable peut être crée et peut etre localement ou globalement.

Vérification des valeurs de recettes du Gestionnaire de groupes de recettes - nom de la recette (recettes globales et locales)

STRING

Nom de la dernière recette vérifiée.

Éléments requis : La variable Vérification des valeurs de recettes du Gestionnaire de groupes de recettes - Résultat possède la valeur >=-1.

Attention : La variable peut être crée et peut etre localement ou globalement.

Vérification des valeurs de recettes du Gestionnaire de groupes de recettes - numéro de recette (recettes globales et locales)

UDINT

Numéro de la dernière recette vérifiée.

Éléments requis : La variable Vérification des valeurs de recettes du Gestionnaire de groupes de recettes - Résultat possède la valeur >=-1.

Attention : La variable peut être crée et peut etre localement ou globalement.

Vérification groupe de recettes - l'état de la recette (global/local)

DINT

État de la dernière recette vérifiée sous forme de nombre.

Vérification groupe de recettes - texte état recette (global/local)

STRING

État de la dernière recette - vérification de la recette sous forme de texte 1 - @Text

Vérification groupe de recettes - Version de la recette (global/local)

DINT

Version de la dernière recette vérifiée.

Vérification groupe de recettes - heure dernière modification (global/local)

STRING

Heure de la dernière modification de la dernière recette vérifiée.


Renommer recette

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Renommer recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction renomme la recette sélectionnée, ainsi que toutes ses versions.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette cible

Sélectionnez la méthode suivant laquelle vous souhaitez renommer la recette cible :

  • Nom de recette cible statique
  • Créer une nouvelle recette cible
  • Nom de recette cible à partir d'une variable

Nom de la recette cible statique :

Sélection d'une recette existante dans une liste déroulante.

Créer un nom de nouvelle recette cible

Une nouvelle recette est créée avec un nom généré automatiquement.

Nom de recette cible à partir d'une variable :

Le nom de la recette cible est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

La recette n'est pas renommée si les valeurs des variables ne sont pas valides.

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Modification de l'état des recettes

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Modification de l'état des recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction modifie l'état d'une recette.

Le programme tente de définir la valeur de l'état de la recette sélectionnée, puis la recette est enregistrée. Si la valeur d'état spécifiée n'est pas valide (0 ou une valeur d'état non configurée), la recette n'est pas modifiée et une entrée est insérée dans la liste CEL. La variable de la fonction du Gestionnaire de groupes de recettes en cours de traitement affiche, dans ce cas, une erreur (4).

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Recette cible

Définition de l'état de la recette cible.

État de la recette cible

Sélection du nouvel état de la recette parmi les états existants ou à l'aide d'une variable.

Liste de recettes cible statiques :

Sélection d'un état existant dans une liste déroulante.

État de la recette cible à partir d'une variable :

l'état de la recette est dérivé d'une variable, sous forme de valeur numérique. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

L'action est annulée si l'état ne peut pas être trouvé dans la recette

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Créer une nouvelle recette

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Créer une nouvelle recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction crée une nouvelle recette dans le groupe de recettes sélectionné.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Supprimer recette

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Supprimer recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction supprime la recette sélectionnée, ainsi que toutes ses versions.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Dupliquer

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Dupliquer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction supprime la recette sélectionnée. Les valeurs des variables correspondantes sont écrites dans la nouvelle recette.

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Recette cible

Définition de l'état de la recette cible.

Création de la recette cible

Paramètres de définition du nom de la recette. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de recette cible statique
  • Créer une nouvelle recette cible
  • Nom de recette cible à partir d'une variable

Nom de recette cible statique

Sélection d'un nom existant dans une liste déroulante.

Créer une nouvelle recette cible

Le nom est créé et attribué par le système.

Nom de recette cible à partir d'une variable

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Version de la recette cible

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette cible statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de la recette cible à partir d'une variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette cible

Sélection du nouvel état de la recette parmi les états existants ou à l'aide d'une variable.

Liste de recettes cible statiques :

Sélection d'un état existant dans une liste déroulante.

État de la recette cible à partir d'une variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

L'action est annulée si l'état ne peut pas être trouvé dans la recette

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Dupliquer et Lire

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Dupliquer et Lire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction supprime la recette sélectionnée. Les valeurs des variables correspondantes sont écrites dans la nouvelle recette. Les valeurs sont lues depuis l'automate. Si les valeurs ne peuvent pas être lues, les valeurs de la copie ne proviennent plus de l'automate, mais sont uniquement copiées depuis la recette d'origine.

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Recette cible

Définition de l'état de la recette cible.

Création de la recette cible

Paramètres de définition du nom de la recette. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de recette cible statique
  • Créer une nouvelle recette cible
  • Nom de recette cible à partir d'une variable

Nom de recette cible statique

Sélection d'un nom existant dans une liste déroulante.

Créer une nouvelle recette cible

Le nom est créé et attribué par le système.

Nom de recette cible à partir d'une variable

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Version de la recette cible

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette cible statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de la recette cible à partir d'une variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette cible

Sélection du nouvel état de la recette parmi les états existants ou à l'aide d'une variable.

Liste de recettes cible statiques :

Sélection d'un état existant dans une liste déroulante.

État de la recette cible à partir d'une variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

L'action est annulée si l'état ne peut pas être trouvé dans la recette

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Créer une nouvelle version de recette

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Créer une nouvelle version de recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction crée une nouvelle version de recette pour la recette sélectionnée. Les valeurs de la recette sont renseignées avec les valeurs de remplacement des variables sélectionnées. Au maximum, 89 999 versions d'une recette peuvent être créées.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Supprimer la version de la recette

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Supprimer la version de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction supprime la version sélectionnée de la recette. La recette entière est sélectionnée s'il n'existe qu'une seule version de la recette.

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Créer une copie comme nouvelle version de la recette

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Créer une copie comme nouvelle version de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction crée une nouvelle version de recette pour la recette sélectionnée. Les valeurs de la recette sont renseignées avec les valeurs de la recette sélectionnée.

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Créer une copie et lire en tant nouvelle de la recette

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Créer une copie et lire en tant nouvelle de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction crée une nouvelle version de recette pour la recette sélectionnée. Les valeurs de la recette sont renseignées avec les valeurs de la recette sélectionnée. Les valeurs sont lues depuis l'automate. Si les valeurs ne peuvent pas être lues, les valeurs de la copie ne proviennent plus de l'automate, mais sont uniquement copiées depuis la recette d'origine.

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Écrire les valeurs de la recette dans les variables de sauvegarde

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Écrire les valeurs de la recette dans les variables de sauvegarde

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction écrit les valeurs de la recette dans une variable de sauvegarde.

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Écrire les variables de sauvegarde dans les valeurs de la recette

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Écrire les variables de sauvegarde dans les valeurs de la recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction écrit les valeurs d'une variable de sauvegarde dans les valeurs de la recette.

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée. Si les valeurs de la variable ne sont pas valides, aucune recette n'est ouverte.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Exporter XML tous

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Exporter XML tous

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction exporte le contenu intégral du Gestionnaire de groupes de recettes vers un fichier XML.

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de fichier

Paramètres d'attribution du nom de fichier du fichier d'exportation. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de fichier statique
  • Nom de fichier de la variable
  • Attribution automatique du nom de fichier

Si aucun autre dossier n'est stipulé, le fichier d'exportation est conservé dans le dossier d'exportation du projet :

%CD_USERDATA%\[Projet]\Export

Nom de fichier statique :

Le nom du fichier d'export est directement défini par l'utilisateur. Le nom du fichier peut être fourni avec le chemin indiqué, ou le chemin d'exportation défini peut être utilisé. En outre, il est possible de générer des noms de fichier de manière dynamique, grâce aux opérateurs de données.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et spécifier un nom de dossier.

Si un nom est fourni sans chemin, l'écriture est effectuée dans le fichier d'exportation situé dans le dossier du Runtime.

Nom de fichier à partir d'une variable :

Le nom du fichier d'export est défini par le contenu d'une variable STRING. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Les variables peuvent également générer les noms de fichiers avec un chemin absolu, un chemin relatif et des opérateurs de données.

Attribution automatique du nom de fichier :

Le nom du fichier d'exportation est créé automatiquement. Il comprend le préfixe RGM, ainsi que l'opérateur de données <DateTime>.

Par exemple : RGM 10_11_2011 10_42_29.xml

Écraser les fichiers existants

Actif : tout fichier portant le même nom et existant déjà dans le dossier est remplacé.

Inactive : l'exportation est annulée si un fichier portant le même nom est présent.

Par défaut : Inactive

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Opérateurs de données de chemins dynamiques


Opérateurs de données de chemins dynamiques

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Exporter XML tous -> Opérateurs de données de chemins dynamiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remplissage

condition

Résultat

<Nom du projet>
  • Systématique

Nom du projet

<DateTime>
  • Systématique

La date et l'heure au format correspondant aux paramètres du système.

Tous les caractères non valides ou interdits dans les noms de fichier sont remplacés par un tiret bas (_).

Par exemple, pour la sélection Allemand (Allemagne), la date 24.12.2001 à 16:04 et 59 secondes devient : 24_12_2011 16_04_59

<RGMGroupName>
  • Exportation d'un groupe de recettes
  • Exportation d'une recette
  • Importation avec une sélection de groupe

Nom du groupe de recettes sélectionné.

<RGMRecipeName>
  • Exportation d'une recette

Nom de la recette sélectionnée.

<RGMRecipeVersion>
  • Exportation d'une recette

Numéro de version de la recette sélectionnée.


Exportation du groupe de recettes au format XML

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Exportation du groupe de recettes au format XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction exporte le groupe de recettes sélectionné et son contenu sous forme de fichier XML.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Sélection de fichier

Paramètres d'attribution du nom de fichier du fichier d'exportation. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de fichier statique
  • Nom de fichier de la variable
  • Attribution automatique du nom de fichier

Si aucun autre dossier n'est stipulé, le fichier d'exportation est conservé dans le dossier d'exportation du projet :

%CD_USERDATA%\[Projet]\Export

Nom de fichier statique :

Le nom du fichier d'export est directement défini par l'utilisateur. Le nom du fichier peut être fourni avec le chemin indiqué, ou le chemin d'exportation défini peut être utilisé. En outre, il est possible de générer des noms de fichier de manière dynamique, grâce aux opérateurs de données.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et spécifier un nom de dossier.

Si un nom est fourni sans chemin, l'écriture est effectuée dans le fichier d'exportation situé dans le dossier du Runtime.

Nom de fichier à partir d'une variable :

Le nom du fichier d'export est défini par le contenu d'une variable STRING. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Les variables peuvent également générer les noms de fichiers avec un chemin absolu, un chemin relatif et des opérateurs de données.

Attribution automatique du nom de fichier :

Le nom du fichier d'exportation est créé automatiquement. Il comprend le préfixe RGM, ainsi que l'opérateur de données <RGMGroupName>.

Par exemple : <RGM GroupName>.xml produit, pour le nom Group 1 : Group 1.xml.

Écraser le fichier existant

Actif : tout fichier portant le même nom et existant déjà dans le dossier est remplacé.

Inactive : l'exportation est annulée si un fichier portant le même nom est présent.

Par défaut : Inactive

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.

Opérateurs de données de chemins dynamiques

Remplissage

condition

Résultat

<Nom du projet>
  • Systématique

Nom du projet

<DateTime>
  • Systématique

La date et l'heure au format correspondant aux paramètres du système.

Tous les caractères non valides ou interdits dans les noms de fichier sont remplacés par un tiret bas (_).

Par exemple, pour la sélection Allemand (Allemagne), la date 24.12.2001 à 16:04 et 59 secondes devient : 24_12_2011 16_04_59

<RGMGroupName>
  • Exportation d'un groupe de recettes
  • Exportation d'une recette
  • Importation avec une sélection de groupe

Nom du groupe de recettes sélectionné.

<RGMRecipeName>
  • Exportation d'une recette

Nom de la recette sélectionnée.

<RGMRecipeVersion>
  • Exportation d'une recette

Numéro de version de la recette sélectionnée.


Exporter la recette au format XML

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Exporter la recette au format XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction exporte la recette sélectionnée vers un fichier XML. Le nom du groupe de recettes est également exporté. Si les groupes de recettes sont renommés après l'exportation, cette attribution est perdue lors de l'importation.

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Sélection de fichier

Paramètres d'attribution du nom de fichier du fichier d'exportation. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de fichier statique
  • Nom de fichier de la variable
  • Attribution automatique du nom de fichier

Si aucun autre dossier n'est stipulé, le fichier d'exportation est conservé dans le dossier d'exportation du projet :

%CD_USERDATA%\[Projet]\Export

Nom de fichier statique :

Le nom du fichier d'export est directement défini par l'utilisateur. Le nom du fichier peut être fourni avec le chemin indiqué, ou le chemin d'exportation défini peut être utilisé. En outre, il est possible de générer des noms de fichier de manière dynamique, grâce aux opérateurs de données.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et spécifier un nom de dossier.

Si un nom est fourni sans chemin, l'écriture est effectuée dans le fichier d'exportation situé dans le dossier du Runtime.

Nom de fichier à partir d'une variable :

Le nom du fichier d'export est défini par le contenu d'une variable STRING. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Les variables peuvent également générer les noms de fichiers avec un chemin absolu, un chemin relatif et des opérateurs de données.

Attribution automatique du nom de fichier :

Le nom du fichier d'exportation est créé automatiquement. Il comprend le préfixe RGM, ainsi que les opérateurs de données <RGMRecipeName>.<RGMRecipeVersion>.

Par exemple : <RGMRecipeName>.<RGMRecipeVersion> produit, pour la recette Recipe 1 avec la version 3 : Recipe 1.3.xml.

Écraser les fichiers existants

Actif : tout fichier portant le même nom et existant déjà dans le dossier est remplacé.

Inactive : l'exportation est annulée si un fichier portant le même nom est présent.

Par défaut : Inactive

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Importer XML

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Importer XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction importe le contenu du fichier XML spécifié. Si le fichier contient des recettes individuelles n'appartenant pas à un groupe, ces recettes sont importées dans le groupe sélectionné ; dans le cas contraire, la sélection de groupe est ignorée :

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes dans lequel sont importées les recettes non attribuées. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables
  • À l'aide d'un fichier d'importation

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Ce paramètre est ignoré si des groupes de recettes sont déjà présents dans le fichier XML.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Nom de groupe de recettes à partir d'un fichier.

Le nom du groupe de recettes est dérivé du fichier à importer.

Sélection de fichier

Paramètres de sélection du fichier depuis lequel doit se dérouler l'importation. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de fichier statique
  • Nom de fichier de la variable

Le dossier par défaut pour les données exportées est le dossier d'exportation du projet :

%CD_USERDATA%\[Projet]\Export

Nom de fichier statique :

Le nom du fichier d'importation est défini par l'utilisateur. Le nom du fichier peut être fourni avec le chemin indiqué, ou le chemin d'exportation défini peut être utilisé. En outre, il est possible de générer des noms de fichier de manière dynamique, grâce aux opérateurs de données.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et de fichiers.

Nom de fichier à partir d'une variable :

Le nom du fichier d'importation est défini par le contenu d'une variable STRING. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Les variables peuvent également générer les noms de fichiers avec un chemin absolu, un chemin relatif et des opérateurs de données.

Remplacement des recettes existantes

Actif : Les recettes existantes portant le même nom sont remplacées durant l'importation.

Inactive : Les recettes existantes ne sont pas remplacées. Seules les nouvelles recettes sont créées.

Par défaut : Inactive

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Informations détaillées de la recette lors de l'enregistrement de la documentation au format XML

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Informations détaillées de la recette lors de l'enregistrement de la documentation au format XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction exporte les informations détaillées de la recette vers la documentation au format XML.

Remarque : Ces données ne peuvent plus être importées. Elles sont destinées à constituer la base d'une documentation exacte.

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette


Exportation d'une recette vers un fichier texte

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Exportation d'une recette vers un fichier texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction exporte la recette sélectionnée vers un fichier texte.

Paramètre

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes et de la recette. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Recette

Paramètres de sélection de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Recette statique
  • Nom de recette par nom de variable
  • Nom de recette par numéro de variable

Recette statique :

Sélection d'une recette déjà créée.

Nom de recette par nom de variable :

Le nom de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Numéro de recette par numéro de variable :

Le numéro de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.

Version de la recette

Sélection de la version de la recette parmi les versions existantes ou à l'aide d'une variable.

Version d'une recette statique :

Sélection d'une version d'une recette existante dans une liste déroulante. Sélection possible :

  • Version de recette préexistante
  • Version la plus basse ;
    Sélection d'un état de recette supplémentaire autorisée
  • Version la plus élevée ;
    Sélection d'un état de recette supplémentaire autorisée

Version de recette par variable :

La version de la recette est dérivée d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si la version de la recette est obtenue à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 90000 correspond à la version la plus élevée en termes statistiques
  • La valeur 90001 correspond à la version la plus élevée statistique

État de la recette

Sélection de l'état de la recette parmi les états existants ou à l'aide d'une variable.

État de la recette :

L'état de la recette est évalué conjointement à la version. Disponible uniquement si la version de la recette possède la valeur plus petite version ou plus grande version, ou si elle est dérivée d'une variable.
version la plus élevée avec l'état Départ.

Sélection d'un état de recette dans la liste déroulante.

  • État existant
  • Tout

État de la recette par variable :

L'état de la recette est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Remarque : si l'état de la recette est obtenu à partir d'une variable numérique, les considérations suivantes s'appliquent :

  • La valeur 0 est évaluée comme Tous
  • L'action est annulée si l'état ne peut pas être trouvé dans la recette

Sélection de fichier

Paramètres d'attribution du nom de fichier du fichier d'exportation. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de fichier statique
  • Nom de fichier de la variable
  • Attribution automatique du nom de fichier

Si aucun autre dossier n'est stipulé, le fichier d'exportation est conservé dans le dossier d'exportation du projet :

%CD_USERDATA%\[Projet]\Export

Nom de fichier statique :

Le nom du fichier d'export est directement défini par l'utilisateur. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et spécifier un nom de dossier.

Si un nom est fourni sans chemin, l'écriture est effectuée dans le fichier d'exportation situé dans le dossier du Runtime.

Nom de fichier à partir d'une variable :

Le nom du fichier d'export est défini par le contenu d'une variable STRING. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Attribution automatique du nom de fichier :

Le nom du fichier d'exportation est créé automatiquement. Il comprend le préfixe RGM, ainsi que la date et l'heure.

Par exemple : RGM 10_11_2011 10_42_29.txt

Écraser les fichiers existants

Actif : tout fichier portant le même nom et existant déjà dans le dossier est remplacé.

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Importer la recette depuis un fichier texte

Manuels -> Gestionnaire de groupes de recettes -> Fonctions -> Fonction Gestionnaire de groupes de recettes -> Importer la recette depuis un fichier texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction importe les données depuis un fichier texte.

Paramètres

Description

Action

Affiche l'action sélectionnée dans la boîte de dialogue de la fonction du Gestionnaire de groupes de recettes. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune sélection n'est possible.

Sélection de groupes de recettes/
de recettes

Sélection du groupe de recettes à importer. La sélection peut être effectuée :

  • De manière statique, à partir d'entrées prédéfinies
  • De manière dynamique, à l'aide de variables
  • À l'aide d'un fichier d'importation

Cliquez sur Propriétés pour afficher une liste déroulante permettant de sélectionner une méthode.

Groupe de recettes

Paramètres de sélection du groupe de recettes. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Groupe recette statique
  • Nom de groupe de recettes à partir d'une variable

Groupe de recettes statiques :

Sélection d'un groupe de recettes déjà créé.

Nom de groupe de recettes à partir d'une variable :

Le nom du groupe de recettes est dérivé d'une variable. Cliquez sur le bouton .... Ouvre la boîte de dialogue de sélection de variables.

Nom de groupe de recettes à partir d'un fichier.

Le nom du groupe de recettes est dérivé du fichier à importer.

Sélection de fichier

Paramètres de sélection du fichier depuis lequel doit se dérouler l'importation. Cliquez sur le texte pour ouvrir une liste déroulante de sélection.

  • Nom de fichier statique
  • Nom de fichier de la variable

Le dossier par défaut pour les données exportées est le dossier d'exportation du projet :

%CD_USERDATA%\[Projet]\Export

Nom de fichier statique :

Le nom du fichier d'importation est défini par l'utilisateur. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et de fichiers.

Nom de fichier à partir d'une variable :

Le nom du fichier d'importation est défini par le contenu d'une variable STRING. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Remplacement des recettes existantes

Actif : Les recettes existantes portant le même nom sont remplacées durant l'importation.

Configuration du Runtime

Paramètres de fonctionnement dans le Runtime.

Avec dial. de filtre

Actif : La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Blocage de la sélection de groupes de recettes dans le Runtime

Actif : la sélection de groupes de recettes est bloquée dans le Runtime.

Disponible uniquement si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue. La fonction est créée, mais sans cible.

Aide

Ouvre l'aide en ligne.


Fonctionnement dans le Runtime

Manuels -> Gestionnaire de groupes de recettes -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le synoptique configuré dans l'Éditeur est accessible dans le Runtime, via la fonction d'appel de synoptique.

Développement : voir la section Création d'un synoptique de Gestionnaire de groupes de recettes.

Liste recettes

Une entrée individuelle peut être sélectionnée dans la liste. La recette sélectionnée est affichée dans la table de valeurs des recettes, et peut ensuite être éditée à l'aide des boutons (renommer, supprimer, etc.).

Si la liste est utilisée conjointement aux listes déroulantes Nom de recette et/ou Recipe version (Version de la recette), la sélection est synchronisée. Si la sélection est modifiée dans la liste déroulante, la sélection change dans la liste de recettes, et inversement. Si l'entrée sélectionnée n'est pas visible en raison d'un critère de filtre, aucune sélection n'est effectuée dans la liste.

De nouvelles recettes et versions de recettes sont ajoutées à la fin de la liste, indépendamment des critères de filtre. Les données de recettes modifiées, par exemple le texte d'un commentaire ou de l'état, sont affichées après l'enregistrement de la recette. Les textes (c'est-à-dire la langue) des commentaires et les intitulés de colonnes sont traduits.

Apparence de la liste de recettes : reportez-vous à la section Édition de la liste de recettes.

Modification du nom ou du numéro de recette

Le nom de la recette doit être unique. L'unicité du numéro de recette n'est pas contrôlée. Il est uniquement utilisé pour appeler une recette via une variable, à l'aide de la fonction Gestionnaire de groupes de recettes. Si plusieurs recettes comportant le même numéro existent, zenon utilise la première recette trouvée.

Changement de nom ou suppression de recettes

Pour pouvoir renommer ou supprimer une recette, un utilisateur doit disposer de l'autorisation d'utilisation associée à toutes les versions existantes de la recette.

Actualité des informations affichées

Le synoptique de Gestionnaire de groupes de recettes utilise une copie de la base de données du Gestionnaire de groupes de recettes dans le Runtime.

Les informations actuelles provenant de la base de données sont affichées dans le Runtime lors de l'affichage du synoptique du Gestionnaire de groupes de recettes. Cet affichage n'est pas mis à jour automatiquement.

Les modifications sont mises à jour comme suit :

  • Si le contenu est modifié en raison de l'exécution d'une fonction (telle que Gestionnaire de groupes de recettes - Lire toutes les valeurs) ou de l'édition du synoptique dans un client, la modification n'est pas représentée dans le synoptique actuellement affiché. Pour afficher les modifications, vous devez fermer, puis rouvrir le synoptique. La base de données est alors lue à nouveau, et l'état mis à jour est affiché.
  • Les nouveaux groupes de recettes sont affichés immédiatement, dès la réouverture du synoptique ; les variables sont uniquement affichées après avoir été rechargées.
  • Les recettes et groupes de recettes modifiés dans l'Éditeur sont uniquement affichés après un rechargement.

attention Attention

Si la variable de visibilité (propriété Visibilité/Variable) modifie sa valeur pendant qu'un synoptique de Gestionnaire de groupes de recettes contenant la variable est ouvert, le Gestionnaire de groupes de recettes est ouvert. Les modifications du synoptique qui ne sont pas enregistrées sont alors perdues.

Autres sujets abordés dans ce chapitre

Montrer la valeur comme un texte

Informations d'état des recettes et du Gestionnaire de groupes de recettes

Écriture de valeurs dans une recette depuis un synoptique (variables de sauvegarde)


Montrer la valeur comme un texte

Manuels -> Gestionnaire de groupes de recettes -> Fonctionnement dans le Runtime -> Montrer la valeur comme un texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Conditions préalables

Si vous voulez afficher la signification d'une valeur dans une recette pour une valeur dans le Runtime, vous devez satisfaire les conditions préalables suivantes.

Créez une matrice de réaction de type Numérique ou Chaîne (le type de matrice de réaction doit correspondre au type de variable utilisé) pour la variable utilisée dans la recette. Dans la matrice de réaction, définissez des états "égale" et spécifiez la signification souhaitée, c'est-à-dire le texte que vous souhaitez afficher.
Pour afficher des textes, vous pouvez utiliser des limites ou des matrices de réaction de type binaire comportant des états différents de l'état "égale". Si vous procédez de cette manière, vous ne pouvez pas utiliser les fonctions du synoptique de type Clavier.

Affichage dans le Runtime

Dans la liste de recettes dans la colonne Show value as text (Afficher la valeur sous forme de texte) du synoptique Gestionnaire de groupes de recettes, les textes de limite liés affichés proviennent soit de la matrice de réaction, soit de la limite dépassée par la valeur de la recette.

Dans les listes de Gestionnaire de groupes de recettes que vous avez développées, vous pouvez obtenir les mêmes fonctionnalités à l'aide des fonctions recipew et recipef avec le paramètre symbole.

Si une valeur de recette est modifiée et un état de limite est dépassé, le texte de limite affiché est immédiatement mis à jour.

Entrées de la liste chronologique d'événements

Lors des modifications de valeurs de recettes et de l'écriture de recettes (valeur de la recette), les valeurs et les textes de limite correspondants sont inscrits dans l'entrée de la liste chronologique d'événements. Si aucun état ou limite n'est dépassé, seule la valeur est écrite.


Informations d'état des recettes et du Gestionnaire de groupes de recettes

Manuels -> Gestionnaire de groupes de recettes -> Fonctionnement dans le Runtime -> Informations d'état des recettes et du Gestionnaire de groupes de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le Runtime, les informations d'état sont fournies pour :

  • Lecture/écriture
  • Export/import
  • et l'enregistrement

Si une recette est écritre, la variable d'état contient le resultat de l'opération d'écriture.

Valeurs

Exécuter recette

Variable de driver système Recette standard/Recette de groupe écrite complètement

Valeur | Résultat
0 | Envoyer valeur d'initialisation avant la recette
1 | Ecriture réussie
2 | Ecriture non exécutée à cause d'une erreur de paramètre
3 | Ecriture non réussie
4 | Attente système prêt
5 | Ecriture terminée car le RT a été arrêté
6 | Timeout

Remarque : si le réseau est actif dans le projet, la variable de driver système Recette/Recette de groupe écrite complètement localement est significative pour la fonction exécutée sur l'ordinateur local.

info Info

Le terme "écriture" désigne l'écriture sur le driver. Le driver transfère ensuite la recette vers le contrôle. Ce qui signifie :

  • Propriété Ecrire de façon synchrone inactif : la valeur 1 pour le paramètre Recette/Recette de groupe écrite complètement ne signifie pas que les valeurs sont disponibles dans le contrôle. Elles sont écrites dans le driver.
  • Propriété Ecrire de façon synchrone active : le changement de valeur se déroule lorsque toutes les valeurs au niveau du contrôle sont actuelles.

Remarque : La progression de l'écriture est uniquement affichée si la propriété Ecrire de façon synchrone est active.

Recette en cours

Variable de driver système Fonction 'en cours' recette standard/recette de groupe

Valeur

Résultat

-1

en cours d'exécution

0

Valeur d'initialisation, lecture réussie

1

L'utilisateur n'a pas l'autorisation

2

Pas d'autorisation sur le réseau

3

Annulé par l’utilisateur

4

Erreur - impossible de lire quelque chose, e.g.

  • Si la communication avec le matériel est interrompue avant que la lecture aie démarré
  • un bloc de donnée n'est pas disponible sur l'automate
  • Erreur lors de la transmission

5

Erreur lors de l'enregistrement du fichier de recette

Fonctions spécifiques selon le type de synoptique

  • Lecture (Variable de driver de système : Lecture toutes les valeurs de la recette standard/recette de groupe terminée
  • Exportation/importation et
  • Enregistrer

d'une recette via une fonction spécifique du synoptique, les valeurs suivantes sont disponibles :

Valeur

Résultat

0

Valeur d'initialisation attend une réponse du driver

1

Lecture réussie

2

Erreur pendant la lecture, l'exportation/importation ou l'enregistrement

  • Si la communication avec le matériel est interrompue avant que la lecture aie démarré
  • un bloc de donnée n'est pas disponible sur l'automate
  • Erreur lors de la transmission


Écriture de valeurs dans une recette depuis un synoptique (variables de sauvegarde)

Manuels -> Gestionnaire de groupes de recettes -> Fonctionnement dans le Runtime -> Écriture de valeurs dans une recette depuis un synoptique (variables de sauvegarde)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les valeurs des recettes peuvent être modifiées directement dans le Runtime, à l'aide de synoptiques. Pour cela, des variables de sauvegardes sont utilisées ; elles peuvent être lues et écrites dans le Gestionnaire de groupes de recettes, à l'aide de la fonction Groupes de recettes.

Groupes de recettes

Cette fonction écrit, lit, copie, importe ou exporte la recette sélectionnée du module optionnel "Gestionnaire de groupes de recettes" (Recipe Group Manager, RGM). De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne

Définition d'une variable de sauvegarde

Une variable de sauvegarde peut être définie pour chaque variable dans un groupe de recettes. Chaque variable de sauvegarde peut uniquement être utilisée une fois par groupe de recettes. Il n'est pas nécessaire que toutes les variables du groupe de recettes comportent une variable de sauvegarde. Pour définir une variable de sauvegarde :

  1. Sélectionnez la variable du groupe de recettes
  2. Accédez au groupe Général dans les propriétés.
  3. Cliquez sur la propriété Variable graphique
  4. La boîte de dialogue de sélection de variables s'affiche à l'écran
  5. Sélectionnez la variable de sauvegarde de votre choix
  6. Confirmez la boîte de dialogue en cliquant sur OK.

Procédure de configuration

  1. Définissez une variable de sauvegarde pour chaque variable comportant des valeurs pouvant être modifiées dans le Runtime à l'aide d'un synoptique, durant la configuration.
    Ces variables sont définies à l'aide de la propriété Général/Variable graphique.
  2. Configurez un synoptique affichant les valeurs de recettes modifiables (par exemple, une cuve).
  3. Liez le synoptique à la fonction Groupes de recettes, puis sélectionnez l'action Write recipe value to shadow variables (Écrire les valeurs de la recette dans les variables de sauvegarde).
  4. Configurez un bouton sur le synoptique.
  5. Liez le bouton à la fonction Groupes de recettes, puis sélectionnez l'action Write shadow variables to recipe values (Écrire les variables de sauvegarde dans les valeurs de la recette).

Procédure dans le Runtime

  1. Le synoptique de configuration des valeurs du Gestionnaire de groupes de recettes est appelé.
  2. Les variables sont alors remplacées par les variables de sauvegarde.
  3. Lors de l'ouverture du synoptique, la fonction Groupes de recettes est appelée par l'action Write recipe values to shadow variables (Écrire les valeurs de la recette dans les variables de sauvegarde).
  4. Les valeurs de la recette sont affichées sur le synoptique et peuvent être modifiées.
  5. Les valeurs modifiées sont écrites dans la recette du Gestionnaire de groupes de recettes à l'aide du bouton associé à la fonction Groupes de recettes/Write shadow variables to recipe values (Écrire les variables de sauvegarde dans les valeurs de la recette).
  6. Si une erreur se produit, elle peut être évaluée à l'aide des variables du driver système et des entrées des fichiers LOG.


Traitement des erreurs

Manuels -> Gestionnaire de groupes de recettes -> Traitement des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les erreurs peuvent être évaluées à l'aide des messages des variables de driver système et des messages d'erreur. Les messages des variables du driver système sont présentés dans le chapitre Manuel des variables du driver système, section Gestionnaire de groupes de recettes.

Fichiers journaux

Entrée

Niveau

Signification

Événements COM

Événement COM "RecipeCreate" renvoyé avec le message "bCancel == TRUE"

DÉBOGAGE

Message des événements COM si l'action correspondante est annulée avec le paramètre de fonction bCancel :

  • RecipeCreate
  • VersionCreate
  • RecipeDuplicate
  • VersionDuplicate
  • VersionDuplicateRead
  • RecipeRename
  • RecipeDelete
  • VersionDelete

Aucune entrée de fichier journal spéciale n'est insérée si l'action n'est pas annulée dans la fonction d'événement.

Variables de sauvegarde

Module RGM : valeur enseignée hors plage min-max. Variable : "x1", Value: x2, FromShadow: x3

ÉCHEC

Une valeur lue dépasse la valeur des propriétés Valeur min. ou Valeur max. de la valeur cible de la recette.

  • x1 : Nom de la variable
  • x2: valeur normalisée de la variable
  • x3: remarque concernant la valeur de procédé ou la valeur d'une variable de sauvegarde

Erreur lors de la lecture de la valeur actuelle pour la journalisation dans la liste CEL.

INTERNE

Une erreur s'est produite lors de la lecture de la valeur actuelle pour la journalisation dans la liste CEL (recette définie). Raisons possibles :

  • Une valeur est située hors des limites Valeur min. et Valeur max.
    -> Entrée supplémentaire Gestionnaire de groupes de recettes : valeur enseignée hors plage min-max. Variable : "x1", Value: x2, FromShadow: x3
  • Une valeur comporte l'état INVALID
  • Le délai d'attente a expiré

Messages contextuels

Message | Signification
Le nom "Recipe\Test" contient des caractères non valides (\"'./*?<>!|). | Le nom du groupe de recettes ou le nom de la recette saisi n'est pas conforme aux directives d'attribution de noms. L'expression entre parenthèses contient des caractères non autorisés.
Supprimer la version "7" de la recette "Recipe1" ? | Demande de confirmation avant la suppression d'une version de recette sur le synoptique de Gestionnaire de groupes de recettes dans le Runtime.


Exemples

Manuels -> Gestionnaire de groupes de recettes -> Exemples

Vous trouverez ici des exemples de configuration :


Écriture de la version la plus élevée d'une recette avec l'état Autorisée sur un automate

Manuels -> Gestionnaire de groupes de recettes -> Exemples -> Écriture de la version la plus élevée d'une recette avec l'état Autorisée sur un automate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour écrire la version la plus élevée d'une recette avec l'état Autorisé dans un automate dans le Runtime :

  1. Création de textes d'état pour l'état de la recette :
    1. Ouvrez la propriété Identification état de recette dans l'élément Groupes de recettes
    2. Dans la boîte de dialogue, créez les états :

      - 1 provisoire

      - 2 vérifiée

      - 3 autorisée

      - 4 bloquée

      - 5 supprimée

    Conseil : ici, vous pouvez également définir les textes d'état avec le préfixe @, ainsi que les mots-clé de changement de langue (par exemple : @Validée

  2. Création de plusieurs versions d'une recette :
    1. Créez un nouveau groupe de recettes à l'aide du menu contextuel
    2. Liez des variables au groupe de recettes
    3. Création d'une nouvelle recette
    4. Créez une nouvelle version de la recette.
    5. Changez l'état de la deuxième version de la recette en 3 Autorisée
  3. Création de la fonction :
    1. Sélectionnez la recette, puis sélectionnez l'option Créer une fonction standard dans le menu contextuel ou la barre d'outils
    2. La boîte de dialogue de configuration s'affiche à l'écran.
    3. Sélectionnez Exécuter recette
    4. Définissez le paramètre Recipe version (Version de la recette) sur >
    5. Dans Recette statique, sélectionnez l'entrée 3 Autorisée

Si la fonction est exécutée dans le Runtime, la version la plus élevée de la recette avec l'état 3 Autorisée est écrite sur l'automate. Si, par exemple, une nouvelle version d'une recette est créée avec l'état 3 Autorisée, cette nouvelle version est écrite sur l'automate lors de la prochaine exécution de la fonction.


Changement de langue du texte affiché dans l'élément de texte dynamique

Manuels -> Gestionnaire de groupes de recettes -> Exemples -> Changement de langue du texte affiché dans l'élément de texte dynamique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser le changement de langue pour un élément de texte dynamique, créez celui-ci dans l'Éditeur et activez-le dans le Runtime.

Dans l'Éditeur

Pour créer et configurer un élément dynamique du type texte dynamique :

  1. Cliquez sur le symbole de texte dynamique dans la barre d'outils de l'élément, puis faites glisser l'élément vers le synoptique.
  2. Sélectionnez une variable de chaîne.
  3. Activez la propriété Traduire le texte affiché.

Dans le Runtime

Le point de consigne par défaut affiche le texte sous forme de valeur brute. Le texte peut être édité :

Le texte affiché est modifié par la fonction de changement de langue :


Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM)

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module IMM permet de gérer les machines et les données de maintenance. Des périodes de maintenance peuvent être planifiées et gérées facilement. En un coup d'œil, on peut voir sur quel matériel, équipement, machine, etc. doit être effectuée une maintenance aujourd'hui, cette semaine, le mois prochain etc. De plus, les travaux de maintenance effectués sont enregistrés et donc, tout le travail déjà réalisé peut être visualisé.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client).

Autres sujets abordés dans ce chapitre

Fonctionnalités

Limitations

Préparatifs

Création d'un synoptique de type IMM

Tâche de maintenance

Données d'entrée

Intégration dans le procédé

Fonctionnement dans le Runtime

Fonctions


Fonctionnalités

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Fonctionnalités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Les matériels peuvent être copiés et collés, un numéro consécutif est ajouté au nom du matériel.
  • La vue liste peut être ajustée avec le filtre de synoptique. Vous pouvez sélectionner les colonnes, définir leur largeur, leur nom et leur ordre.
  • Chaque vue de liste peut être affichée et imprimée en tant que fichier HTML à l'aide de feuilles de styles.
  • L'identifiant de l'équipement ne peut être créé que par le menu contextuel dans l'arbre.
  • Identifiants d'équipements multi-hiérarchiques
  • Les matériels peuvent être créés avec le menu contextuel dans l'arbre ou dans la liste, si l'équipement a été sélectionné dans l'arbre. Cet équipement est alors automatiquement inséré dans le matériel avec un identifiant d'équipement.
  • En cliquant sur le bouton de la colonne, les éléments sont triés par ordre alphabétique.
  • Capacité multi-projets
  • Serveur-Client
  • La possibilité de supprimer des matériels est liée à un groupe d'autorisation utilisateur et il y a deux possibilités de suppression. La première : supprimer dans le sens où les données sont quand même conservées dans la base de données et l'historique n'est pas supprimé. Avec cette méthode, la balise ACTIVE est définie sur 0 dans la base de donnée. Il est également possible d'effectuer une suppression définitive : toutes les données sont détruites dans la base de données, y compris les tâches de maintenance et l'historique.
  • Les cases à cocher dans l'arbre sur les identifiants d'équipement jouent le rôle de filtre. Si elles sont cochées, seuls les matériels, les entrées historisées et les tâches de maintenance appartenant à cet identifiant d'équipement sont affichés.


Limitations

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Limitations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module stocke toutes les données dans une base de données Microsoft SQL Server (SQL Server 2000 ou plus récent). MS SQL Server n'est pas inclus dans zenon. Toutefois, vous pouvez utiliser le programme SQL Server Express Edition qui est installé avec l'Éditeur zenon.

Les autres serveurs SQL, tels qu'Oracle, ne sont pas pris en charge.


Préparatifs

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Préparatifs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Base de données

Développement


Base de données

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Préparatifs -> Base de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Créer une base de données dédiée

Démarrer une instance de l'interpréteur de commandes Windows par le menu Démarrer puis Exécuter et taper cmd.exe.

Démarrer le programme de service osql.exe.

osql.exe -E -S nom de l'ordinateur/nom d'instance

Instructions pour la création d'une base de données

1> CREATE DATABASE nom de la base de données

2> GO

Nom de la base de données

n'importe quel nom, par exemple : Maintenance

Fermer le service osql.exe avec "exit".


Développement

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Préparatifs -> Développement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Quatre tables sont créées dans la base de données. Les noms des tables peuvent être définis librement.

attention Attention

Nom des tables : maximum 128 caractères.
Le premier caractère doit être l'un des suivants : a-z, A-Z, tiret bas
Ensuite, les caractères suivants peuvent être utilisés : a-z, A-Z, caractère numérique, souligné

Base de données pour les fichiers journaux de maintenance :

Données maître :

Tâche de maintenance :

Historique :

Documents :

Connexion à la base de données

Dans les propriétés du projet, sous "Industrial Maintenance Manager", vous pouvez saisir manuellement la chaîne ODBC dans la zone de texte adjacente à "Base de données". Si vous activez le bouton pour les propriétés du projet, la boîte de dialogue suivante s'affiche :

Nouveau ...

Cliquez sur ce bouton pour ajouter un nouveau fichier de source de données.

Dans la boîte de dialogue, le champ "Créer une nouvelle source de données", sélectionnez SQL Server et cliquez sur Suivant de façon à entrer le nom et l'endroit de stockage du nouveau fichier DSN.

Cliquez à nouveau sur Suivant pour afficher un résumé des nouvelles informations.

Cliquez sur Terminer pour ouvrir la boîte de dialogue des paramètres spécifiques au driver.

Si vous sélectionnez un nom de serveur depuis la liste, aucune configuration supplémentaire n'est nécessaire.

Cliquez à nouveau sur Suivant.

Cliquez à nouveau sur Suivant.

Maintenant vous pouvez sélectionner la base de données créée précédemment.

Cliquez sur Terminer.

Maintenant vous pouvez tester la connexion sélectionnée.


Création d'un synoptique de type IMM

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Création d'un synoptique de type IMM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un synoptique IMM :

  1. Créez un nouveau synoptique.
  2. sélectionnez le type de synoptique Industrial Maintenance Manager (IMM) dans la liste déroulante
  3. Sélectionnez Insérer un modèle dans le menu Éléments de contrôle.
  4. Insérez les éléments standard
  5. Sélectionnez les éléments supplémentaires selon le besoin et insérez-les à l'emplacement souhaité sur l'écran.
  6. Créez une fonction d'appel de synoptique pour pouvoir appeler le synoptique dans le Runtime.

Paramètre | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant. Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur. Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Fichier | Liste des processus affichés dans le Runtime.
New equipment identifier (Nouvel identifiant d'équipement) | Crée un nouvel identifiant d'équipement.
Delete equipment identifier (Supprimer l'identifiant d'équipement) | Supprimer l'identifiant d'équipement sélectionné.
Nouveau matériel | Ajoute un nouveau matériel.
Éditer matériel | Permet de modifier le matériel sélectionné.
Matériel inactif | Bascule le matériel vers l'état inactif.
Supprimer matériel | Supprime le matériel.
Échange de matériel | Effectue un échange de matériel.
Échange de compteur | Effectue un échange de compteur.
Copier | Copie l'élément sélectionné vers le presse-papiers.
Coller | Colle l'élément sélectionné depuis le presse-papiers.
Éditer la maintenance | Permet de modifier une procédure de maintenance.
Exécuter la maintenance | Active l'exécution de la procédure de maintenance.
Exécuter une réparation | Active l'exécution de la procédure de réparation.
Imprimer liste | Imprime la liste.
Imprimer les détails | Imprime les détails.
Filtre | Applique le filtre.
Actualiser | Rafraîchit l'affichage.
Profils de filtre | Administration des profils de filtre.
Sélection profil | Sélectionnez un filtre dans la liste déroulante.
Enregistrer | Enregistre le filtre sélectionné.
Supprimer | Supprime le filtre sélectionné.

Autres sujets abordés dans ce chapitre

Affichage durant le Runtime


Affichage durant le Runtime

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Création d'un synoptique de type IMM -> Affichage durant le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous appelez un synoptique de type IMM durant le Runtime, il est scindé en deux volets.

Autres sujets abordés dans ce chapitre

Partie gauche : l'arbre

Partie droite : Fichier


Partie gauche : l'arbre

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Création d'un synoptique de type IMM -> Affichage durant le Runtime -> Partie gauche : l'arbre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres | Description
Données maître | Les identifications d'équipement sont utilisées comme des noeuds dans l'arbre. Ces noeuds ont une 'case à cocher' pour limiter la sélection. Cette sélection définit l'affichage dans la liste. Dans les données maître, les tâches de maintenance et l'historique, seules les données appartenant aux équipements sélectionnés sont affichées.
Historique | Ici les données historisées sont filtrées selon des périodes de temps. Avec "Filtre libre", une boîte de dialogue pour la sélection d'une période de temps est ouverte.
Tâches de maintenance | Ici les tâches de maintenance 'courantes' sont filtrées selon des périodes de temps. Avec "Filtre libre", une boîte de dialogue pour la sélection d'une période de temps est ouverte.


Partie droite : Fichier

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Création d'un synoptique de type IMM -> Affichage durant le Runtime -> Partie droite : Fichier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

On affiche ici sous forme de liste ce qui a été sélectionné dans l'arbre. La liste peut être triée par ordre croissant ou décroissant sur chaque colonne.

En plus, vous avez un menu contextuel dans cette vue qui donne accès à différentes fonctions selon ce qui est sélectionné dans l'arbre.

Sélection de données maître :

Commande

Description

Nouveau consommateur

Sous 'Nouveau matériel' de nouveaux maîtres peuvent être créés. La définition est faite dans une boîte de dialogue avec trois pages de propriétés (onglets). Sur la première page, les données pour le matériel sont définies. Dans l'onglet "Tâches de maintenance", vous pouvez créer autant de tâches de maintenance que nécessaire pour ce matériel. De façon à avoir un aperçu des tâches de maintenance, leur titre est affichée dans une liste dans cette page. Sur la dernière page, vous pouvez assigner autant de documents que nécessaire à ce matériel. De façon à avoir un aperçu de ces documents, ils sont affichés dans une liste comme pour les tâches de maintenance. Si vous double-cliquez sur un document, il est ouvert si l'application associée est installée.

Éditer matériel

Similaire à la commande 'Nouveau matériel' avec la seule différence que les champs sont renseignés avec les données existantes. Un matériel doit avoir été sélectionné.

Échange de matériel

Les variables pour les compteurs d'opérations et compteurs d'heures peuvent être échangées ici. Le calcul pour planifier les maintenances est basé sur ces variables. Si un échange de matériel est effectué, une entrée est ajoutée dans l'historique. De plus, l'intervalle de maintenance est réinitialisé et les valeurs des nouvelles variables sont utilisées comme valeurs initiales pour le calcul des maintenances.

Les données du matériel restent les mêmes, seules les variables liées sont échangées. Celles-ci doivent être entrées dans une boîte de dialogue. Si la variable n'existe pas, un avertissement est affiché, indiquant qu'à cet instant, aucune variable valide n'est liée à ce matériel.

Échange de compteur

Si un compteur est échangé, la variable reste la même, mais la lecture du compteur (valeur de la variable) est modifiée. Si un échange de compteur est effectué, une entrée est ajoutée dans l'historique. Vous pouvez choisir si l'intervalle de maintenance doit être réinitialisé ou pas.

Une nouvelle valeur de départ peut être définie pour le matériel échangé.

Supprimer matériel

Le matériel sélectionné peut être supprimé. Toutes les données associées (tâches de maintenance, historiques des données et documents) sont supprimées. Pour des raisons de sécurité, l'utilisateur doit confirmer que les données doivent bien être détruites.

Remarque : Vous pouvez créer un saut de ligne en appuyant sur Ctrl+Entrée.

Les accès aux fichiers suivants sont supportés :

'Lecteurs' locaux | Disque dur local
chemin UNC | Par exemple, \\Nom-serveur\nom-version
'Lecteurs' connectés | Disque dur sur un ordinateur réseau

attention Attention

Éléments requis : Pour pouvoir afficher les documents, vous devez installer un logiciel de visualisation adéquat. par exemple Adobe Acrobat Reader pour les fichiers .pdf.

Échange de matériel

Échange de compteur

Sélection des tâches de maintenance

En double-cliquant sur une tâche de maintenance, les données de cette tâche sont affichées. Mais les données ne peuvent pas être modifiées.

Exécuter une réparation

Si une réparation est effectuée, une entrée est ajoutée dans l'historique. La tâche de maintenance reste dans la queue, car elle n'est pas considérée comme effectuée. Une entrée est créée dans l'historique.

Similaire à 'Exécuter une maintenance' , avec, comme seule différence, le fait que le compteur peut être mis à jour.

Imprimer liste

La liste affichée peut être envoyée dans un fichier XML telle quelle et visualisée dans un explorateur html avec une feuille de styles. Ce fichier HTML peut alors être enregistré ou directement imprimé.

Imprimer les détails

Les données de la tâche de maintenance sélectionnée sont imprimées.

Éditer la maintenance

Ici les données de la tâche de maintenance sélectionnée peuvent être définies.

Exécuter la maintenance

Si une maintenance est exécutée, les compteurs sont mis à jour et une entrée dans l'historique est générée. De plus, la tâche de maintenance est considérée comme effectuée pour cet intervalle, et donc elle est supprimée de la queue.

Sous 'Documents' les documents liés sont affichés dans la liste. Vous pouvez ouvrir un fichier avec un double-clic, si l'application correspondante est installée.

Sélection historique

Ici, il n'y a qu'une seule entrée de menu : Imprimer liste. La procédure est la même que celle décrite sous Tâche de maintenance - Imprimer liste.


Tâche de maintenance

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Tâche de maintenance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le calcul des maintenances en instance est la fonction centrale du module IMM. Une tâche de maintenance peut comporter trois intervalles de maintenance différents :

- un intervalle de temps en jours

- un compteur d'heures ou

- un compteur d'opérations.

La date à laquelle la maintenance doit être effectuée est calculée à partir de ces intervalles.

Si une maintenance arrive dans la zone d'avertissement, elle est montrée dans la liste des maintenances à effectuer, avec une note qui indique que le niveau d'avertissement est atteint. Si elle atteint l'intervalle de maintenance, la maintenance est positionnée comme 'à faire', ce qui est aussi montré dans la liste de maintenances.

La fonction 'Déterminer les maintenances'

Avec la fonction Déterminer les maintenances, la liste de toutes les maintenances à faire dans la période de temps sélectionnée est récupérée à partir du module IMM. Ces maintenances 'à faire' sont alors utilisées pour déterminer les valeurs spécifiques aux équipements comme étant configurées.

Les valeurs numériques définies correspondant au nombre total de maintenance 'à faire' pour les équipements qui remplissent les critères de filtre sont envoyées dans les variables d'état correspondantes.

Si vous créez une nouvelle fonction Déterminer les maintenances dans l'éditeur, la boîte de dialogue de configuration suivante apparaît :

Période | Ici vous pouvez sélectionner la période pour laquelle vous voulez déterminer les maintenances 'à faire' (voir IMM).

Autres sujets abordés dans ce chapitre

Période

Heures et compteur d'opérations


Période

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Tâche de maintenance -> Période

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans les données des tâches de maintenance, un intervalle de temps en jours peut être défini. En outre, une période de préavis peut être définie : un certain nombre de jours avant la fin de l'intervalle de temps, la tâche de maintenance doit être évaluée comme une tâche de maintenance actuelle. (message 'Maintenance à faire dans xx jours').

Si la période de temps ou la valeur du compteur de l'intervalle de maintenance est atteinte, la maintenance est entrée avec le texte 'Intervalle de maintenance dépassé'.

La date de la dernière maintenance est mise à jour à chaque exécution. Lors de la création de la tâche de maintenance, cette date prend la valeur de la date courante.


Heures et compteur d'opérations

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Tâche de maintenance -> Heures et compteur d'opérations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour le calcul de la maintenance courante, la différence entre l'ancienne valeur du compteur lors de la dernière maintenance et la valeur courante est divisée par le nombre de jours passés depuis la dernière maintenance et ajoutée à l'ancienne. Si c'est plus grand que ce qui est autorisé, la maintenance est évaluée comme 'courante' et affichée dans la liste.

Si une variable a une valeur plus petite que lors de la dernière maintenance, un message est affiché.


Données d'entrée

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Données d'entrée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les valeurs des variables sont entrées dans les données de maintenance seulement si la tâche de maintenance vient d'être créés. Dans les autres cas, les anciennes valeurs sont conservées.

Si un matériel est créé et qu'aucune variables n'est liée, la valeur initiale reste dans la tâche de maintenance. Aussi dans cette configuration, les valeurs de variables dans les tâches de maintenance ne sont pas écrasées si les variables sont entrées ultérieurement. Un message est affiché, si la variable nécessaire pour le calcul de la maintenance a toujours sa valeur initiale. La valeur de la variable ne peut être modifiée qu'en exécutant une réparation, un échange de matériel ou une tâche de maintenance.


Intégration dans le procédé

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Intégration dans le procédé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Message concernant le succès des tâches de maintenance. Une variable entière peut être assignée au matériel. Vous pouvez aussi définir la valeur de retour de cette variable dans la tâche de maintenance. Si les tâches de maintenance n'ont pas besoin d'être différentier, vous pouvez saisir toujours la même valeur ici. Si aucune valeur n'est définie, aucune valeur n'est donnée à la variable.
  • Réponse dans le procédé : une variable indiquant l'état de la maintenance peut être liée à chaque tâche de maintenance. (Etat OK : 0 et Etat à faire : 1)


Fonctionnement dans le Runtime

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fonctions suivantes sont disponibles :

  • Nouveau matériel: Crée un nouveau matériel. Un identifiant d'équipement doit être sélectionné.
  • Éditer matériel : Modifie un matériel. Un matériel doit avoir été sélectionné.
  • Matériel inactif : Désactive un matériel, i.e. les données ne sont plus affichées mais restent dans la base de données.
  • Exécuter la maintenance : Une maintenance doit être sélectionnée pour effectuer cette commande.
  • Actualiser : Les données de la base de données et les variables sont réactualisées.
  • Filtres : Ouvre la boîte de dialogue de filtre pour modifier les colonnes.
  • Imprimer : Génère un fichier HTML avec la vue liste souhaitée. La vue courante est 'capturée' comme elle est. L'historique et les maintenances qui doivent être effectuées peuvent être imprimés.
  • Imprimer les détails : Visualise les détails d'une tâche de maintenance en HTML. Une tâche de maintenance doit être sélectionnée.


Fonctions

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Appel de synoptique

Détermination des maintenances ouvertes


Appel de synoptique

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Fonctions -> Appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la création d'une fonction d'appel de synoptique de type IMM, la boîte de dialogue de configuration des paramètres des colonnes s'affiche. Ces paramètres peuvent être configurés individuelle pour :

  • Données maître
  • Tâches de maintenance
  • Historique

Autres sujets abordés dans ce chapitre

Données maître

Tâches de maintenance

Historique


Données maître

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Fonctions -> Appel de synoptique -> Données maître

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration de l'historique à afficher :

  • Compteur d'heures de fonctionnement actuelles
  • Compteur de changements de cycles actuels
  • Identification d'équipement
  • Description
  • Marque
  • Device
  • Activation date (Date d'activation)
  • Numéro de série
  • État
  • Type
  • Intervalle de temps depuis la dernière maintenance

Paramètres | Description
Type de colonne | Cochez les cases des colonnes que vous souhaitez afficher dans le Runtime. L'intitulé ne peut pas être modifié. Actif : la colonne est affichée dans le Runtime.
Description | Définit l'en-tête de la colonne concernée. Vous pouvez configurer celui-ci afin d'autoriser le changement de langue. La valeur peut être édité.
Largeur | Définit la largeur de la colonne, en pixels. Vous pouvez également définir la largeur de la colonne en faisant glisser la colonne avec la souris dans la ligne d'affichage horizontale des noms de colonnes. La valeur peut être édité.
Vers le haut | Déplace la colonne sélectionnée vers le haut. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Vers le bas | Déplace la colonne sélectionnée vers le bas. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Champ avec affichage horizontal des noms de colonnes | Affiche les colonnes actives dans la liste. Vous pouvez définir les tailles des colonnes en faisant glisser les bordures des colonnes à l'aide de la souris.


Tâches de maintenance

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Fonctions -> Appel de synoptique -> Tâches de maintenance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration des tâches de maintenance à afficher :

  • Compteur d'heures de fonctionnement actuelles
  • Compteur de changements de cycles actuels
  • Identification d'équipement
  • Description
  • Date d'échéance
  • Device
  • Interne - externe
  • Commentaire
  • État
  • Tâche de maintenance
  • Intervalle de temps depuis la dernière maintenance

Paramètres | Description
Type de colonne | Cochez les cases des colonnes que vous souhaitez afficher dans le Runtime. L'intitulé ne peut pas être modifié. Actif : la colonne est affichée dans le Runtime.
Description | Définit l'en-tête de la colonne concernée. Vous pouvez configurer celui-ci afin d'autoriser le changement de langue. La valeur peut être édité.
Largeur | Définit la largeur de la colonne, en pixels. Vous pouvez également définir la largeur de la colonne en faisant glisser la colonne avec la souris dans la ligne d'affichage horizontale des noms de colonnes. La valeur peut être édité.
Vers le haut | Déplace la colonne sélectionnée vers le haut. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Vers le bas | Déplace la colonne sélectionnée vers le bas. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Champ avec affichage horizontal des noms de colonnes | Affiche les colonnes actives dans la liste. Vous pouvez définir les tailles des colonnes en faisant glisser les bordures des colonnes à l'aide de la souris.


Historique

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Fonctions -> Appel de synoptique -> Historique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration de l'historique à afficher :

  • Identification d'équipement
  • Utilisateurs
  • Description
  • Date
  • Device
  • Commentaire
  • Tâche de maintenance
  • Relevé de compteur lors de la maintenance

Paramètres | Description
Type de colonne | Cochez les cases des colonnes que vous souhaitez afficher dans le Runtime. L'intitulé ne peut pas être modifié. Actif : la colonne est affichée dans le Runtime.
Description | Définit l'en-tête de la colonne concernée. Vous pouvez configurer celui-ci afin d'autoriser le changement de langue. La valeur peut être édité.
Largeur | Définit la largeur de la colonne, en pixels. Vous pouvez également définir la largeur de la colonne en faisant glisser la colonne avec la souris dans la ligne d'affichage horizontale des noms de colonnes. La valeur peut être édité.
Vers le haut | Déplace la colonne sélectionnée vers le haut. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Vers le bas | Déplace la colonne sélectionnée vers le bas. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Champ avec affichage horizontal des noms de colonnes | Affiche les colonnes actives dans la liste. Vous pouvez définir les tailles des colonnes en faisant glisser les bordures des colonnes à l'aide de la souris.


Détermination des maintenances ouvertes

Manuels -> Gestionnaire de maintenance industrielle (Industrial Maintenance Manager - IMM) -> Fonctions -> Détermination des maintenances ouvertes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Déterminer les maintenances ouvertes collecte la liste de toutes les maintenances en attente sur le module de maintenance industrielle pour une période de temps donnée. Celles-ci servent à déterminer les valeurs spécifiques aux équipements comme étant configurées.

Lors de l'exécution de la fonction :

  • les valeurs prescrites numériques sont écrites dans les variables d'état correspondantes ; ces valeurs prescrites correspondent au nombre total de maintenances en attente spécifiques à l'équipement, et qui correspondent à l'attribution des ID d'équipement aux variables d'état.
  • Les variables d'état développées au niveau de l'équipement et des procédures de maintenance sont actualisées.

Pour configurer la fonction :

  • Sélectionnez Nouvelle fonction...
  • Ouvrez la section Application.
  • Sélectionner Déterminer les maintenances ouvertes.
  • La boîte de dialogue de configuration de la fonction s'affiche à l'écran.

Paramètres | Description
Période | Période pendant laquelle la maintenance en attente a été déterminée. Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.
Labels d'équipements existants | Saisissez les intitulés des équipements devant être attribués à une variable d'état. Forme : les intitulés d'équipements sont séparés par des virgules et saisis sous forme de listes. Les intitulés des équipements peuvent contenir des opérateurs. (Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.)
Variable d'état | Une variable numérique qui contient le nombre de maintenances ouvertes pour l'équipement est définie sous l'identifiant de l'équipement comme valeur prescrite.
Attributions | Liste des attributions d'intitulés d'équipements aux variables d'état.
Ajouter | Ajoute une ligne d'attribution.
Supprimer | Supprime l'attribution sélectionnée.

Example Exemple

2 maintenances sont actives dans Equipment1 et 1 maintenance est active dans Equipment2.
Equipment1 et Equipment2 sont les seuls équipements dans cet exemple.
Le développement de la fonction est semblable à la capture d'écran affichée.

Les variables d'état contiennent les valeurs prescrites suivantes :

Maintenances_today_all = 3

Maintenances_today_all2 = 3

Maintenances_today_equipment1_2 = 3

Maintenances_today_equipment1 = 2

Maintenances_today_equipment2 = 1

info Info

Pour des opérations en réseau, la fonction est toujours exécutée sur le serveur.


Historian - Serveur d'archives

Manuels -> Historian - Serveur d'archives

L'archivage, l'enregistrement des données de procédé et par conséquent, les variables dérivées sont exécutées par le Serveur d'archives dans zenon. Le Serveur d'archives gère l'enregistrement des données souhaitées et propose plusieurs formats de stockage et d'exportation. Il permet d'accéder aux données relatives au post-traitement et à l'évaluation – également hors de CD_PRODUCTNAME.

Dans zenon, vous pouvez évaluer ou traiter les données d'archives à l'aide du module Tendances étendues, du générateur de rapports ou d'un synoptique de type Maintenance de l'archive.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (autonome, serveur, veille).

Remarque : la version Starter Edition du Serveur d'archives, dotée de fonctions limitées, est déjà intégrée à la licence standard.

Autres sujets abordés dans ce chapitre

Généralités

Format des fichiers d'archive

Réduction des données et archives résultantes

Configuration dans l'Éditeur

Définir les archives résultantes

Archivage par lot

Archive de variables de type STRING

Options d'affichage

Ordre d'archivage

Profils de filtre

Fonctions

Manipulations en Runtime


Généralités

Manuels -> Historian - Serveur d'archives -> Généralités

Le module Serveur d'archives est disponible dans deux versions dans zenon : la version Starter Edition et la version avec licence.

En règle générale, zenon distingue 3 méthodes d'archivage standard.

  • Archivage cyclique
  • Départ/arrêt de l'archivage
  • RDA (Realtime Data Acquisition - Acquisition de données temps réel)

Autres sujets abordés dans ce chapitre

Serveur d'archives, version Starter Edition

Version avec licence du Serveur d'archives

Archivage cyclique

Départ/arrêt de l'archivage

Acquisition de données temps réel (RDA)


Serveur d'archives, version Starter Edition

Manuels -> Historian - Serveur d'archives -> Généralités -> Serveur d'archives, version Starter Edition

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La licence standard pour la version de zenon basée sur TAG inclut une version limitée du Serveur d'archives. La version Starter Edition repose sur le Serveur d'archives standard, mais comporte les limitations suivantes :

  • Pas d'archivage de lot
  • Pas de RDA
  • Pas d'archivage événementiel (spontané), ni d'archivage déclenché par un événement ; archivage cyclique uniquement
  • Pas de transfert de données, buffer circulaire uniquement
  • Pas d'archives résultantes
  • Pas de manipulation des données via les synoptiques Maintenance de l'archive ou le Générateur de rapports
  • L'exportation sous CE est uniquement possible au format ASCII (également possible aux formats XML et DBF sur un PC)
  • Les données d'archives peuvent uniquement être enregistrées au format ARX

attention Attention
  • Vous ne pouvez pas utiliser les fonctions qui outrepasseraient les limitations mentionnées ci-dessus si vous n'avez que la version Starter Edition pour l'Éditeur.
  • Vous ne pouvez pas démarrer des archives qui ne respectent pas les limitations mentionnées ci-dessus, si vous n'avez que la version 'Starter Edition' pour le Runtime. Une entrée est créée dans le serveur de diagnostic.
    Aucune opération d'enregistrement ne peut être exécutée par le rapport ou la maintenance de l'archive.
    Exemple : Une archive avec fonction d'archivage événementiel est créée. Elle n'est pas démarrée dans le Runtime. Ceci signifie qu'aucune données n'est enregistrée pour cette archive.


Version avec licence du Serveur d'archives

Manuels -> Historian - Serveur d'archives -> Généralités -> Version avec licence du Serveur d'archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La licence de la version simplifiée du Serveur d'archives présente sur le PC peut être mise à niveau vers la version complète du Serveur d'archives à tout instant, sans problème de compatibilité (extension de licence).

  • Si vous disposez de licences pour la version Starter Edition et la version standard du Serveur d'archives, toutes les fonctions du Serveur d'archives sont disponibles.
  • La version Starter Edition n'est pas disponible dans la version dont la licence repose sur le nombre d'E/S.
  • La version Starter Edition du Serveur d'archives est disponible avec le module Extended Trend Starter Edition for Windows CE 6.0 Runtime (l'exportation de données est uniquement disponible au format CSV dans Windows CE).
    Aucun de ces modules n'est disponible pour les versions plus anciennes de Windows CE.

Transfert vers SQL

La version avec licence du module Serveur d'archives peut être améliorée avec une fonction de transfert vers SQL. Pour cela, vous devez acheter une licence de SQL Server pour zenon.


Archivage cyclique

Manuels -> Historian - Serveur d'archives -> Généralités -> Archivage cyclique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'archivage cyclique, une archive est démarrée régulièrement, puis arrêtée après un intervalle de temps défini.

Pendant ce temps, des valeurs peuvent être écrites dans l'archive. Les valeurs peuvent être écrites dans l'archive par le biais d'un enregistrement cyclique, d'un enregistrement événementiel ou d'un enregistrement en cas de modification.

info Info

Soyez conscient de la différence entre l'archivage cyclique et l'enregistrement cyclique.

L'archivage cyclique signifie que dans un cycle défini, une archive est démarrée et finie.

Exemple :

Une archive est démarrée tous les jours à 0:00:00, et finie à 23:59:59.

L'enregistrement cyclique signifie qu'à une heure donnée, une valeur est écrite dans l'archive.

Exemple : la valeur de la variable X est écrite dans l'archive toutes les 10 minutes.


Départ/arrêt de l'archivage

Manuels -> Historian - Serveur d'archives -> Généralités -> Départ/arrêt de l'archivage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez contrôler l'archivage manuellement dans le Runtime de zenon, via les fonctions Archive : départ et Archive : arrêt.

Tant qu'une archive est active, une valeur peut être écrite dans l'archive. Les valeurs peuvent être écrites dans l'archive par le biais d'un enregistrement cyclique, d'un enregistrement événementiel ou d'un enregistrement en cas de modification.


Acquisition de données temps réel (RDA)

Manuels -> Historian - Serveur d'archives -> Généralités -> Acquisition de données temps réel (RDA)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction RDA est utilisée pour lire les valeurs archivées dans un système de contrôle et les sauvegarder dans une archive zenon. On utilisera fréquemment cette fonction pour archiver les tâches d'un système de contrôle connecté de façon non permanente à zenon.

La fonction RDA peut également être utilisée pour effectuer une analyse rétrospective en cas d'erreur au niveau de l'automate. Pour cela, le contrôle doit être configuré de manière adéquate.

1. Définir des variables dans l'automate

Une zone distincte, continue, linéaire doit être définie dans l'automate pour chacune des variables RDA.

Afin d'éviter tout problème, le type de données des variables ne doit pas être plus petit que celui selon lequel est organisé le système automate !

La première variable de la zone désignée dans la fonction RDA sur l'automate est utilisée comme commutateur de déclenchement du processus de transfert. Cela signifie que si la variable est définie sur 1 par l'automate, les valeurs suivantes sont chargées et archivées dans zenon, comme indiqué dans l'en-tête. Après cela, le driver réinitialise automatiquement sa valeur à 0.

2. Définition de la variable dans zenon

Dans zenon, vous pouvez définir les variables comme vous le faites habituellement. Les variables doivent provenir d'une zone mémoire continue et linéaire dans l'automate.

Veillez à bien définir la propriété HD values (Valeurs HD) de la section Paramètres additionnels/Stockage données disque dur sur Valeurs retriées (RDA).

3. Création d'une archive dans zenon

Créez une archive et sélectionnez les variables RDA. L'archive définie doit être une archive événementielle.

Autres sujets abordés dans ce chapitre

Format de données de l'automate

En-tête de description

Description des types


Format de données de l'automate

Manuels -> Historian - Serveur d'archives -> Généralités -> Acquisition de données temps réel (RDA) -> Format de données de l'automate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les types de données RDA utilisables (BYTE, WORD, DWORD, Float) dépendent du driver zenon utilisé (par ex. S5PG32, PSUNI32, etc.)

attention Attention

Aucune valeur postérieure (futur) ne pourra être lue. Ceci peut arrive si l'automate et le PC ont des systèmes d'heures différents. Donc veillez à toujours synchroniser les temps.


En-tête de description

Manuels -> Historian - Serveur d'archives -> Généralités -> Acquisition de données temps réel (RDA) -> En-tête de description

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Paramètre | Description
Index [0] | La taille dépend du type de données dans zenon , par ex. : (BYTE, WORD, DWORD, FLOAT). Le bit de déclenchement est défini sur 1 par l'automate lorsque des données utilisateur sont demandées. Il est automatiquement réglé sur "0" après que zenon ait reçu les données demandées.
Index [1] | Format Intel 32 bits Nombre de données utilisateur Défini par l'automate
Index [2] | Format Intel 32 bits Temps de cycle en ms, utilisé uniquement pour le TYPE 1. Défini par l'automate
Index [3] | Format Intel 32 bits? Type 1 ... sans temps ?(pour raisons de compatibilité uniquement, ne doit plus être utilisé) ?Type 2 ... avec format de temps 1 Type 3 ... avec format de temps 2 ?Type 4 ? défini par l'automate
Index [4] | Format Intel 32 bits, Index de la valeur la plus ancienne (concerne uniquement le TYPE 1) Défini par l'automate et agit sur l'archive comme suit :
Index [5] | Début des données de référence. Taille variable en fonction du type de données de zenon. Par exemple : (BYTE, WORD, DWORD, FLOAT)


Description des types

Manuels -> Historian - Serveur d'archives -> Généralités -> Acquisition de données temps réel (RDA) -> Description des types

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

TYPE 1

TYPE 2

TYPE 3

TYPE 4


TYPE 1

Manuels -> Historian - Serveur d'archives -> Généralités -> Acquisition de données temps réel (RDA) -> Description des types -> TYPE 1

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Paramètre | Description
Index [5] | Début des données de référence. Taille variable en fonction du type de données de zenon. Par exemple : (BYTE, WORD, DWORD, FLOAT)
Index [6] |
Index [...] |

Numéro | 5 | Résultat dans l'archive |  |  |  |  |
Valeur la plus ancienne |  | 0 | 1 | 2 | 3 | 4 | Archive
Valeur Automate | Index Automate | Valeur | Valeur | Valeur | Valeur | Valeur | Heure
1 | 0 | 1 | 2 | 3 | 4 | 5 | 12:00 AM
2 | 1 | 5 | 1 | 2 | 3 | 4 | 00:01
3 | 2 | 4 | 5 | 1 | 2 | 3 | 00:02
4 | 3 | 3 | 4 | 5 | 1 | 2 | 00:03
5 | 4 | 2 | 3 | 4 | 5 | 1 | 00:04

attention Attention

Ce type a été remplacé par le Type 4 et ne doit plus être utilisé. Il n'existe encore que pour des raisons de compatibilité.


TYPE 2

Manuels -> Historian - Serveur d'archives -> Généralités -> Acquisition de données temps réel (RDA) -> Description des types -> TYPE 2

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètre

Description

Index [5]

Début des données de référence. Taille variable en fonction du type de données de zenon.
Par exemple : (BYTE, WORD, DWORD, FLOAT)

Index [6]

Format de temps sur 4 octets -->
Octet1 = heures 0 - 23
Octet2 = minutes 0 - 59
Octet3 = secondes 0 - 59
Octet4 = centièmes de seconde 0 - 100

Index [7]

Données de référence. Taille variable en fonction du type de données de zenon.
Par exemple : (BYTE, WORD, DWORD, FLOAT)

Index [8]

Format de temps sur 4 octets -->
Octet1 = heures 0 - 23
Octet2 = minutes 0 - 59
Octet3 = secondes 0 - 59
Octet4 = centièmes de seconde 0 - 100

Index [...]


TYPE 3

Manuels -> Historian - Serveur d'archives -> Généralités -> Acquisition de données temps réel (RDA) -> Description des types -> TYPE 3

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Paramètre | Description
Index [5] | Début des données de référence. Taille variable en fonction du type de données de zenon. Par exemple : (BYTE, WORD, DWORD, FLOAT)
Index [6] | Format d'heure sur 8 octets -> Octet 1 = année 97, 98, ... (CONSEIL : Le format d'heure comporte deux chiffres à partir de 1900, c'est-à-dire qu'il comporte trois chiffres à partir de 2000.) Octet2=mois 1 – 12 Octet3=jour 1 – 31 Octet4=heure 0 – 23 Octet5=minute 0 – 59 Octet6=seconde 0 – 59 Octet7=centième de seconde 0 – 99 Octet8=rés.
Index [7] | Données de référence Taille variable en fonction du type de données de zenon. Par exemple : (BYTE, WORD, DWORD, FLOAT)
Index [8] | Format d'heure sur 8 octets -> Octet 1 = année 97, 98, ... (CONSEIL : Le format d'heure comporte deux chiffres à partir de 1900, c'est-à-dire qu'il comporte trois chiffres à partir de 2000.) Octet2=mois 1 – 12 Octet3=jour 1 – 31 Octet4=heure 0 – 23 Octet5=minute 0 – 59 Octet6=seconde 0 – 59 Octet7=centième de seconde 0 – 99 Octet8=rés.
Index [...] |


TYPE 4

Manuels -> Historian - Serveur d'archives -> Généralités -> Acquisition de données temps réel (RDA) -> Description des types -> TYPE 4

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Paramètre | Description
Index [5] | Format d'heure sur 8 octets -> Octet 1 = année 97, 98, ... (CONSEIL : Le format d'heure comporte deux chiffres à partir de 1900, c'est-à-dire qu'il comporte trois chiffres à partir de 2000.) Octet2=mois 1 – 12 Octet3=jour 1 – 31 Octet4=heure 0 – 23 Octet5=minute 0 – 59 Octet6=seconde 0 – 59 Octet7=centième de seconde 0 – 99 Octet8=rés.
Index [6] | Début des données de référence. Taille variable en fonction du type de données de zenon. Par exemple : (BYTE, WORD, DWORD, FLOAT)
Index [...] |


Format des fichiers d'archive

Manuels -> Historian - Serveur d'archives -> Format des fichiers d'archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les archives possèdent la structure de données suivante : le nom du fichier d'archive est une concaténation d'un terme court, et de la date de stockage en UTV dans le format AAMMJJhhmmss et l'extension ARX.

Le fichier d'archive ARX contient la définition des variables et les valeurs numériques. Les fichiers ARS contiennent les données de type STRING (chaîne de caractères). L'en-tête de l'archive contient la définition de l'archive et éventuellement les valeurs des variables de lot. La mémoire réservée pour la valeur de la variable de lot dépend de la taille de la chaîne dans le cas où la variable de lot est une chaîne de caractères, et prend 32 caractères dans le cas d'une variable numérique. Les chaînes de lot sont stockées en Unicode. Si aucune variable de lot n'est définie, aucune place mémoire n'est réservée.

Les enregistrements de données dans les fichiers ARX ont une longueur de 24 octets et donnent la possibilité de stocker des valeurs de type double. L'information d'état est stockée sur 64 bits.

Grâce à cette structure de fichiers, les archives peuvent être enregistrées toutes les secondes. Pour les archives cycliques, toutefois, nous recommandons de ne pas définir des durées de cycle inférieures à 30 secondes.

Si le format des fichiers d'archives a été modifié, au démarrage du Runtime, le système vérifie si des fichiers d'archives comportant l'extension de fichier ARV se trouvent dans le répertoire du Runtime. Après confirmation, les fichiers sont convertis au nouveau format. Cette conversion est faite pour tous les projets avant que le projet ne démarre.

Structure de données

le nom du fichier d'archive est une concaténation d'un terme court, et de la date de stockage en UTV dans le format AAMMJJhhmmss et l'extension ARX.

Example Exemple

A1070405071200.ARX

A1 | Nom de l'archive
07 | Année
04 | Mois
05 | Jour
07 | Heures (UTC)
12 | min
00 | Secondes

Heure UTC et heure locale

Les archives utilisent l'heure locale lors de l'enregistrement.

L'heure locale définie sur l'ordinateur est la suivante : heure UTC + fuseau horaire + heure d'hiver/heure d'été

Le Runtime de zenon tient automatiquement compte de l'heure locale dans les demandes d'archives.

Par exemple : Berlin en été

Heure locale : 14:00

UTC : 14:00 moins 1 (heure d'été) moins 1 (fuseau horaire) = 12:00.

La valeur qui survient à 14:00, heure locale, est horodatée 12:00.

Si vous demandez les valeurs enregistrées entre 13:00 et 15:00, heure locale, à Berlin. Le Runtime recherche alors les valeurs comportant un horodatage entre 11:00 et 13:00 dans l'archive, et les affiche à l'heure locale (soit de 13:00 à 15:00).


Réduction des données et archives résultantes

Manuels -> Historian - Serveur d'archives -> Réduction des données et archives résultantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'archive repose sur le principe des archives en cascade ; cela signifie que les variables souhaitées sont capturées dans une archive spécifiée, et sont ensuite transférées vers une archive résultante par le biais de fonctions de synthèse.

Ceci peut être utilisé autant de fois que nécessaire. La fonction de synthèse est exécutée en fin de cycle d'archivage. Les fonctions d'agrégation suivantes sont variables sur l'ensemble du cycle d'archivage par variable :

  1. Calcul de la somme
  2. Moyenne
  3. Minimum
  4. Maximum

Dans un même projet, plusieurs cascades peuvent travailler en parallèle.

attention Attention

Les chaînes de caractères (STRING) ne peuvent pas être compressées.

Il existe différents types d'archives. Les déclencheurs suivants sont disponibles pour les entrées dans les archives :

Paramètre | Description
cyclique | L'écriture des valeurs dans l'archive est déclenchée selon un cycle prédéfini.
Selon événement | L'écriture des valeurs dans l'archive est déclenchée selon le front montant d'une variable bit définie.
En cas de modification | L'écriture des valeurs dans l'archive est déclenchée lorsque la valeur d'une des variables change, c'est à dire que le nombre de valeurs archivées dépend du nombre de changements de valeurs. La définition d'une hystérésis sur les variables permet de diminuer la fréquence des valeurs archivées.

attention Attention

Dans une archive de type Événementiel, les variables sont également enregistrées à chaque changement d'état.

Par exemple : si un driver est arrêté, toutes ses variables reçoivent l'état OFF. Par conséquent, l'arrêt et le démarrage d'un driver déclenchent deux entrées.

  • OFF
  • SPONT ou GI (en cas de reconnexion réussie)

Ceci se produit également lorsque la valeur de la variable n'est pas modifiée.

Il existe plusieurs possibilités d'exportation d'un cycle d'archivage.

Paramètre | Description
Base de données | Stockage circulaire pour chaque archive, dans lequel est retenu le nombre de cycles d'archivage défini. Traitement ultérieur des données des archives à l'intérieur de la période de temps définie par ce stockage circulaire. En cas de dépassement de capacité du stockage circulaire, vous pouvez décider soit la suppression de l'archive la plus ancienne soit l'export de celle-ci vers un fichier.
Exporter un fichier | Lorsqu'un cycle d'archivage est fermé, il est immédiatement exporté vers un fichier.
Fonction Exporter | L'exportation d'archives, c'est à dire l'enregistrement d'archives dans des fichiers à l'aide d'un filtre de temps, peut être réalisée dans un fichier dans un format standard (ASCII, dBase, XML, SQL). Les noms de fichiers sont générés indépendamment du système. La structure (aammjjhhmmss.txt/XML) effectue un codage de l'heure d'exportation comprenant des identificateurs pour l'archive, l'année, le mois, le jour, les heures, les minutes et les secondes. Les fichiers peuvent être conservés localement et sur un serveur de fichiers.

Si le format des fichiers d'archives a été modifié, au démarrage du Runtime, le système vérifie si des fichiers d'archives comportant l'extension de fichier ARV se trouvent dans le dossier du Runtime. Après confirmation, les fichiers sont convertis au nouveau format. Cette conversion est faite pour tous les projets avant que le projet ne démarre.

Les anciens fichiers de l'archive sont renommés après la conversion. Nous recommandons de faire une sauvegarde de ces fichiers avant.

Le serveur et le serveur redondant font la conversion en parallèle avant l'alignement des données.


Configuration dans l'Éditeur

Manuels -> Historian - Serveur d'archives -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module Serveur d'archives se trouve dans le gestionnaire de projets. Il permet de créer et gérer des archives.

Autres sujets abordés dans ce chapitre

Vue de détail Archive du menu contextuel

Créer une nouvelle archive

Colonnes dans la vue de détails du serveur d'archive


Vue de détail Archive du menu contextuel

Manuels -> Historian - Serveur d'archives -> Configuration dans l'Éditeur -> Vue de détail Archive du menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Barre d'outils Historian (Serveur d'archives) et archives

Paramètres | Description
Nouvelle archive | Ouvre l'assistant de création d'archives.
Nouvelle archive résultante | Ouvre l'assistant de création d'archives résultantes.
Editer archive | Ouvre la boîte de dialogue d'édition de l'archive sélectionnée.
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Supprimer une variable | Supprime une variable de la liste sans confirmation.
Supprimer | Supprime l'archive sélectionnée.
Retour à l'élément de départ | Si vous avez saisi la liste via la fonction Éléments liés, le symbole vous ramène à l'élément de départ. Uniquement disponible dans le menu contextuel lorsque tous les éléments liés sont ouverts.
Exporter XML (sélection) | Exporte les archives sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Rename archive (Renommer l'archive) | Permet de modifier le nom de l'archive.
Aide | Ouvre l'aide en ligne.

Menu contextuel Historian (Serveur d'archives)

Elément de menu | Action
Nouvelle archive | Ouvre l'assistant de création d'une nouvelle archive.
Enregistrer | Enregistre les archives modifiées.
Exporter XML tous | Exporte toutes les archives sous forme de fichier XML.
Exporter XML (sélection) | Exporte les archives sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel Archive

Elément de menu | Action
Editer archive | Ouvre la boîte de dialogue d'édition de l'archive sélectionnée.
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Nouvelle archive résultante | Ouvre l'assistant de création d'archives résultantes.
Supprimer | Supprime l'archive sélectionnée.
Exporter XML (sélection) | Exporte les archives sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Renommer | Permet de modifier le nom de l'archive.
Aide | Ouvre l'aide en ligne.

Menu contextuel Liste de variables

Elément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Aide | Ouvre l'aide en ligne.

Menu contextuel Variable

Elément de menu | Action
Supprimer une variable | Supprime une variable de la liste. Attention : Aucune demande de confirmation n'est affichée.


Créer une nouvelle archive

Manuels -> Historian - Serveur d'archives -> Configuration dans l'Éditeur -> Créer une nouvelle archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Créez une nouvelle archive en sélectionnant le nœud Serveur d'archives dans le gestionnaire de projets. Vous pouvez ensuite créer une nouvelle archive en cliquant sur l'icône appropriée dans la barre d'outils ou en sélectionnant l'élément de menu Nouvelle archive... dans le menu contextuel.

L'assistant de création d'archives s'ouvre (voir Assistant). Si vous voulez configurer l'archive sans l'aide de l'assistant, cliquez sur Annuler.

Dans la boîte de dialogue Nouvelle archive, configurez les paramètres de la nouvelle archive. La boîte de dialogue est également affichée si vous souhaitez modifier les propriétés d'une archive existante.

Autres sujets abordés dans ce chapitre

Assistant

Propriétés

Runtime

Type d'archivage

Enregistrer

Options


Assistant

Manuels -> Historian - Serveur d'archives -> Configuration dans l'Éditeur -> Créer une nouvelle archive -> Assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'assistant vous aide pour effectuer la configuration de base d'une archive. Par défaut il est ouvert. Si vous voulez configurer l'archive sans l'aide de l'assistant, cliquez sur Annuler.

Si vous souhaitez Créer une nouvelle archive ou définir une archive résultante, l'assistant vous propose son aide et vous guide tout au long de la configuration, étape par étape : il vous demande le nom et l'identification / abréviation de l'archive, et vous permet de sélectionner les variables à archiver et de paramétrer le type d'enregistrement des valeurs.

1. Abréviation et nom

D'abord vous devez donner le nom et l'identification de l'archive. L'identification ne peut pas être modifiée par la suite. Le nom peut être modifié par la suite. Les deux informations doivent être renseignées pour pouvoir continuer.

Remarque : Le nom court peut uniquement comprendre des caractères alphanumériques, c'est-à-dire des lettres de A à Z (mais aucun caractère accentué ou spécial) et des chiffres de 0 à 9.

2. Sélection des variables

Cliquez sur le bouton Sélection de variables pour ouvrir la boîte de sélection des variables et sélectionner les variables à archiver.

3. Type d'archivage

Vous pouvez choisir le type d'archivage souhaité. Reportez-vous au chapitre Type d'archivage.

Paramètres | Description
Balayage cyclique | Ensuite, définissez le Temps de cycle.
Archivage événementiel | Spécifiez une variable de déclenchement en cliquant sur le bouton ....
Archivage événementiel | Aucun autre paramètre n'est nécessaire dans ce cas (archive lorsque la valeur de la variable change).

info Info

Pour une nouvelle archive, la boîte de dialogue de définition du type d'enregistrement est affichée. Pour une archive résultante, cette boîte de dialogue n'est pas affichée car ce type d'archive utilise toujours le type événementiel.

Paramètres | Description
Next | Va à la page suivante de l'assistant.
Retour | Revient à la page précédente de l'assistant.
Terminer | Termine l'assistant. La nouvelle archive est ajoutée dans l'arbre des archives (dans la vue de détail du gestionnaire de projet).
Annuler | Tout le paramétrage effectué est perdu. Aucune archive n'est créée.

Cycle d'enregistrement - comment est-il calculé ?

Le cycle durant lequel les données des archives sont sauvegardées et transférées (voir le chapitre Sauvegarde) est déterminé automatiquement en fonction des données saisies. Le système essaie de trouver autant de valeurs 'raisonnables' que possible pour le cycle de stockage, de façon à ce que les fichiers résultants n'excèdent pas une taille utilisable, et pour qu'il y ait cependant assez de valeurs pour les calculs pour les archives résultantes.

Le cycle de stockage est calculé comme suit : Pour les archives de type mode événementiel et déclenché, le cycle de stockage est de deux heures. Pour les archives cycliques ou les archives résultantes (qui comportent bien un type événementiel, mais qui contiennent des valeurs cycliques issues des archives sources), le cycle d'enregistrement est défini de telle sorte qu'il n'y ait pas plus de 65000 variables par fichier d'archive (pour les archives avec vraiment beaucoup de variables), mais qu'il y ait aussi au moins 6 valeurs par variable. Ceci assure qu'il y a assez de valeurs disponibles pour les archives résultantes.

S'il y a moins de variables dans l'archive, le cycle est choisi de façon à ce que la taille du fichier n'excède pas 65000 valeurs et que la valeur du cycle soit aussi 'entier' que possible (nombre entier multiple de 1, 5, 10, 30 ou 60 minutes).

Le temps de stockage est défini à 1 an (sans transfert).

La date pour le début du balayage et de l'enregistrement est fixée à 00:00:00 le 1er janvier du calendrier de l'année courante.


Propriétés

Manuels -> Historian - Serveur d'archives -> Configuration dans l'Éditeur -> Créer une nouvelle archive -> Propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur l'onglet Propriétés, les paramètres suivants sont disponibles.

Paramètres

Description

Intitulé de l'archive

Identification

Identifiant court (deux caractères) unique de l'archive ; nécessaire lors de la génération automatique de noms par le biais des fonctions d'exportation.

Attention : Vous ne pouvez pas modifier l'identifiant ultérieurement.
Remarque : utilisez uniquement des caractères alphanumériques (A-Z et 0-9) pour l'identification. Ceci permet d'éviter d'éventuels problèmes durant l'exportation ou le transfert de l'archive.

Nom d'archive

Nom des archives à créer.

Sélection des variables

Le menu contextuel permet d'ajouter des variables devant être prises en compte dans l'archive. Vous pouvez ajouter à l'archive des variables provenant de tous les projets présents dans le même espace de travail.

Note : la redondance n'est pas prise en charge. Ceci peut entraîner des pertes de données. Gardez cela à l'esprit lors de la création d'archives.

Batchs

Variable batch

Variable de type chaîne. La valeur de la variable est utilisée comme nom de batch. Cliquez avec le bouton gauche pour ouvrir une boîte de dialogue dans laquelle vous sélectionnerez la variable souhaitée.

Note : La valeur de la variable est utilisée comme nom de batch. Lorsque l'archive est active, la valeur de la variable – et donc du lot – peut changer. Veuillez en tenir compte lors du filtrage.
Lors de la finition de l'archive, la valeur de la variable est utilisée comme nom de batch final.

Indexer les batchs

Si vous cochez cette case, l'indexage automatique des valeurs de batch de l'archive est effectué. Ceci autorise un accès rapide aux valeurs de batch.

Equipment modeling (Modélisation d'équipements)

Equipment groups (Groupes d'équipements)

Définit l'appartenance d'un groupe d'équipements. Cliquez avec le bouton gauche de la souris pour ouvrir une boîte de dialogue dans laquelle vous sélectionnerez les groupes d'équipements souhaités.

info Info

Les archives peuvent stocker des variables des sous-projets. Les variables de sous-projets peuvent être identifiées grâce au nom du sous-projet intégré au nom de la variable.

Pour la variable de batch (Archivage de batch) et la variable d'événement, vous pouvez utiliser des variables provenant des sous-projets.


Runtime

Manuels -> Historian - Serveur d'archives -> Configuration dans l'Éditeur -> Créer une nouvelle archive -> Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur l'onglet Runtime, les paramètres suivants sont disponibles.

Paramètre | Description
Démarrer et arrêter |
Au départ et à la fin du Runtime | Le traitement de l'archive démarre et se termine automatiquement avec l'exécution du Runtime. Remarque : Si vous sélectionnez ce paramètre, vous ne devez pas démarrer ou arrêter l'archive par le biais de fonctions. Cela peut provoquer un comportement indésirable dans le Runtime.
Défini par l'utilisateur (par exemple, par le biais de fonctions) | L'archive est démarrée ou arrêtée via la fonction Archive : départ et Archive : arrêt.
Archive par bloc RDA | La gestion de l'archive peut être effectuée via RDA.
Exécuter fonction sur |
Départ archive | Définissez une fonction exécutée au démarrage de l'archive.
Arrêt archive | Définissez une fonction exécutée à l'arrêt de l'archive.
Début de l'archivage |
Date/Heure | Définition de l'heure de démarrage du cycle de balayage et d'enregistrement. L'heure définie n'affecte pas le premier contrôle, mais définit l'heure du premier type d'enregistrement des fichiers à archiver.

Example Exemple

Il y a l'heure du cycle d'enregistrement et de sauvegarde (Recording and Save Cycle - SSC) et l'heure de cycle (Cycle Time - CT). Ne confondez pas ces deux cycles.

L'heure de la première valeur (DTV) est déterminée en arrondissant les heures des cycles de contrôle et d'enregistrement au plus près du cycle de balayage. En déployant cette fonction, vous constaterez peut-être certains cas de figure spéciaux, qui ne sont pas toujours faciles à résoudre :

L'arrondi du SSC au premier SC est fait heures à heures, minutes à minutes et secondes à secondes. Ceci signifie : Si l'heure (H:M:S) du cycle SSC est antérieure à celle du cycle SC, ce dernier est toujours 0 !

Si l'heure de cycle est un jour, l'heure de cycle et le cycle d'enregistrement sont toujours considérés comme étant 00:00:00 -> le balayage commence à minuit.

Pour un cycle mensuel, le cycle démarre toujours le premier jour du mois, à 00:00:00.

Quelques exemples :

SSC : Type d'enregistrement et cycle d'enregistrement
DTV : première valeur de temps
SSCr : Cycle de balayage et d'enregistrement approximatif
SC : Temps de cycle

SSC : XX:XX:XX SC: 1J 00:00:00 -> DTV 00:00:00 ; SSCr 00:00:00 + SC 00:00:00 = DTV 00:00.00

SSC : 00:01:00 SC: 0J 23:59:00 -> DTV 23:59:00 ; SSCr 00:00:00 + SC 23:59:00 = DTV 23:59:00

SSC : 00:30:00 SC: 0J 00:30:00 -> DTV 01:00:00 ; SSCr 00:30:00 + SC 00:30:00 = DTV 01:00:00

SSC : 00:30:00 SC: 0J 00:29:00 -> DTV 00:58:00 ; SSCr 00:29:00 + SC 00:29:00 = DTV 00:58:00

SSC : 00:30:00 SC: 0J 00:05:00 -> DTV 00:35:00 ; SSCr 00:30:00 + SC 00:05:00 = DTV 00:35:00

SSC : 12:29:00 AM SC: 0J 00:05:00 -> DTV 00:30:00 ; SSCr 00:25:00 + SC 00:05:00 = DTV 00:30:00

SSC : 12:00:00 AM SC: 2J 00:00:00 -> DTV 00:30:00 ; SSCr 00:00:00 + SC 2J 00:00:00 = DTV 3. 12:00 AM

Chaque nouvelle archive démarre avec la DTV selon les calculs décrits. Le cycle d'enregistrement ne couvre pas plusieurs archives, c'est-à-dire si le temps de cycle ne forme pas partie intégrante du cycle de balayage et d'enregistrement, l'enregistrement contiendra un vide à l'endroit du changement des archives.


Type d'archivage

Manuels -> Historian - Serveur d'archives -> Configuration dans l'Éditeur -> Créer une nouvelle archive -> Type d'archivage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur l'onglet Type d'enregistrement, les paramètres suivants sont disponibles.

Paramètres

Description

Cyclique

Archivage cyclique

Sélectionnez ce bouton d'option si vous souhaitez effectuer une capture cyclique des données d'archive. Ensuite, définissez le temps de cycle.

Temps de cycle :

Définissez le temps de cycle (jours, heures, minutes et secondes) dans lequel les valeurs doivent être lues par le système.

Mensuellement

L'acquisition des valeurs est exécutée à chaque changement de mois

Offset

Définissez pendant combien de temps l'archive doit attendre les valeurs demandées.
L'offset n'a aucune incidence sur l'horodatage des valeurs. Il est principalement utilisé pour les drivers lents.
Note : gardez à l'esprit que l'offset doit toujours être inférieur au temps de cycle.

Événementiel

Archivage événementiel

Sélectionnez ce bouton d'option si vous souhaitez effectuer une capture événementielle des données d'archive.

Variable de déclenchement

Définissez la variable qui déclenche la lecture des valeurs. La lecture est déclenchée par un front montant(0->1) de la variable de déclenchement.

L'horodatage est repris

Les deux boutons d'option permettent de définir si la variable de déclenchement ou la variable d'archive sont utilisées pour l'horodatage.

En cas de modification

Archivage événementiel

Si vous sélectionnez ce bouton d'option, les variables sont uniquement écrites dans l'archive en cas de changement de valeur. Pour la plage de mesure, une hystérésis peut être définie (reportez-vous à la rubrique Hystérésis du chapitre Variables).

Enregistrement du synoptique de procédé au démarrage

A la création d'un nouveau fichier d'archive, les valeurs actuelles des variables sont écrites dans l'archive.

Enregistrement du synoptique de procédé à la fin

A la fermeture d'un fichier d'archive, les valeurs actuelles des variables sont écrites dans l'archive.

Si une variable est lue pour la première fois (par exemple, lors du démarrage du Runtime ou lorsque le serveur redondant met à jour le serveur) une valeur d'initisalisation peut être définie.

Enregistrement déclenché/événementiel

Ignorer la valeur initiale

Cochez cette case si vous ne voulez pas tenir compte de la valeur initiale dans l'archive.


Enregistrer

Manuels -> Historian - Serveur d'archives -> Configuration dans l'Éditeur -> Créer une nouvelle archive -> Enregistrer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Grâce au module Tendance étendue, au Générateur de rapports et aux synoptiques de type Maintenance de l'archive, vous pouvez gérer les contenus d'archives. Définissez le comportement de stockage de chaque archive pour pouvoir modifier l'archive ultérieurement.

Cette boîte de dialogue vous permet également de définir les options d'enregistrement de l'archive.

attention Attention !

Si vous modifiez les options relatives au type ou au cycle de stockage, l'archive alpha (c'est-à-dire le fichier d'archive actuellement en cours d'écriture par zenon) est supprimée.

Sur l'onglet Enregistrement, les paramètres suivants sont disponibles.

Paramètre

Description

Format de sauvegarde

Format interne (*.arx)

Les données sont disponibles dans un système circulaire (FIFO) aux fins de leur post-traitement et évaluation ; les données sont stockées dans répertoire défini par le chemin d'accès du projet (...\\chemin projet\\ordinateur\\nom projet), et ne sont transférées dans le chemin d'accès spécifique à l'exportation qu'après leur transfert

dBase (*.dbf)

Lors de la fermeture de l'archive, les données sont immédiatement transférées sous forme de fichier *.dbf.

(Attention : le post-traitement, la création d'un journal ou d'une courbe ne sont plus possibles pour les archives transférées !)

CSV (*.txt)

Lors de la fermeture de l'archive, les données sont immédiatement transférées sous forme de fichier *.txt.

(Attention : le post-traitement, la création d'un journal ou d'une courbe ne sont plus possibles pour les archives transférées !)

Unicode

Si vous cochez cette case, les fichiers exportés sont enregistrés au format Unicode.

Fichiers XML (*.xml)

Lors de la fermeture de l'archive, les données sont immédiatement transférées sous forme de fichier *.xml.

(Attention : le post-traitement, la création d'un journal ou d'une courbe ne sont plus possibles pour les archives transférées !)

Cycle d'enregistrement

Cycle

Sélectionnez ce bouton d'option pour définir la longueur des archives en jours, heures, minutes, secondes. La longueur de chaque archive détermine la taille des fichiers et le nombre de fichiers d'archive, et définit le temps de cycle des archives résultantes.

Jours

Définissez le cycle d'enregistrement des archives.

Heures

Définissez le cycle d'enregistrement des archives.

min

Définissez le cycle d'enregistrement des archives.

Secondes

Définissez le cycle d'enregistrement des archives.

Changement de mois

Sélectionnez ce bouton d'option pour enregistrer l'archive à chaque changement de mois. (archive mensuelle)

Changement d'année

Sélectionnez ce bouton d'option pour enregistrer l'archive à chaque changement d'année. (archive annuelle)

Transfert

Durée de stockage

Définissez la durée de stockage de l'archive en heures, jours, mois ou années.
Notez que la durée de stockage est directement associée au cycle d'enregistrement. Au maximum, 65 535 archives peuvent être stockées.

Exemple : Temps de cycle de 1 seconde -> durée de stockage maximale de 18 heures. Temps de cycle de 1 minute -> durée de stockage maximale de 1092 heures ou 45 jours ou 1 mois.

Transfert après expiration du délai de stockage

Do not evacuate (Ne pas transférer) (les archives sont supprimées)

Sélectionnez cette case d'option si vous souhaitez supprimer les archives au terme de la durée de stockage.

Format interne (*.arx)

Si vous sélectionnez cette case d'option, les archives sont transférées au format de base de données interne *.arx. Les fichiers ARX peuvent être lus et écrits dans zenon.

Base de données SQL

Si vous sélectionnez cette case d'option, les archives sont transférées vers une base de données SQL. Définissez la base de données SQL en cliquant sur ....
Attention : les archives transférées vers SQL peuvent uniquement être lues dans zenon.

Créer table

Cliquez sur le bouton pour créer ou, si nécessaire, actualiser les tables requises dans SQL.

Fichiers XML (*.xml)

Si vous sélectionnez cette case d'option, les archives sont transférées au format XML.

CSV (*.txt)

Si vous sélectionnez cette case d'option, les archives sont transférées au format TXT.

En Unicode

Cochez cette case pour enregistrer les fichiers TXT transférés au format Unicode.

dBase (*.dbf)

Si vous sélectionnez cette case d'option, les archives sont transférées au format DBF.

Colonnes exportées lors du transfert au format CSV/dBase : V-nom de variable, I-identification, W-valeur, S-état, D-date, Z-heure

Pour les options de transfert dBase et CSV, vous avez la possibilité de transférer plusieurs paramètres des variables archivées.
Saisissez, dans le champ de texte, les caractères correspondant aux paramètres que vous souhaitez transférer.
V = Nom de la variable
I = Identification
W = Valeur
S = État
D = Date
Z = Heure
Par défaut, tous les paramètres sont sélectionnés.

La configuration des séparateurs de colonnes (pour l'exportation au format ASCII) et des décimales s'effectue dans le fichier projekt.ini.

Paramètre | Description
[ARCHIV] |
TRENNZEICHEN=, | Spécification des séparateurs possibles

Les noms de fichier des archives devant être exportées sont établis comme suit :

Paramètre | Description
nnAAMMJJHHMMSS.xxx | Nom de fichier
- nn | Identificateur court de l'archive, conformément à la définition
- aa | Année (par exemple 05 pour 2005)
- mm | Année (par exemple 03 pour 2005)
- jj | Jour
- hh | Heures en temps UTC/GMT
- mm | Minutes 01 à 59
- ss | Secondes 01 à 59
- xxx | Format de fichier (DBF, TXT)

attention Attention !

Pour le démarrage et l'arrêt par l'utilisateur des archives :

Les paramètres dans la partie Cycle ne sont pas nécessaires, car le départ et l'arrêt sont faits "à la main" (c'est-à-dire par l'intermédiaire de fonctions). La valeur est donc ignorée en ce qui concerne la taille des fichiers.

Mais la valeur a quand même un impact sur combien de fichiers d'archives sont stockés. Les tailles diverses des fichiers d'archive ne sont pas prises en compte. zenon calcule le nombre d'archives devant être sauvegardées comme suit :

Exemple : 5 heures (Durée de stockage) / 15 minutes (Cycle) = 20 fichiers d'archives à sauvegarder.

Autres sujets abordés dans ce chapitre

Transfert


Transfert

Manuels -> Historian - Serveur d'archives -> Configuration dans l'Éditeur -> Créer une nouvelle archive -> Enregistrer -> Transfert

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'onglet Enregistrer, vous pouvez définir la méthode de transfert des archives fermées. Plusieurs possibilités s'offrent à vous.

  • Do not evacuate (Ne pas transférer) (les archives sont supprimées)
  • Format interne (*.arx)
  • Base de données SQL

Do not evacuate (Ne pas transférer) (les archives sont supprimées)

Les anciens fichiers d'archives sont détruits.

attention Attention

Si la valeur 0 est entrée dans la propriété "Durée de stockage", aucune archive n'est stockée. La seule archive existante est l'archive courante.

Format interne (*.arx)

Si le nombre d'archives a atteint le nombre à conserver, les archives les plus anciennes sont transférées au format ARX. Ce fichier peut ultérieurement être importé dans zenon, où il peut être lu et écrit.

Base de données SQL

Si le nombre d'archives a atteint le nombre à conserver, les archives les plus anciennes sont transférées au serveur SQL.
Le transfert vers une base de données SQL offre l'avantage de la capacité d'utiliser les fichiers d'archives dans les tendances et les rapports dans zenon.
Pour enregistrer les données dans une archive dans une base de données SQL :

  1. dans l'onglet Enregistrer, sélectionnez propriété Base de données SQL.
  2. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de base de données.
  3. Cliquez sur le bouton Créer table pour créer des tables.

    Le bouton Créer table permet de créer des tables nouvelles ou d'adapter automatiquement des tables existantes à un instant donné, par exemple, si des variables sont ajoutées ou supprimées dans une archive ou si la chaîne Provider (Fournisseur) est adaptée manuellement.

    Si vous configurez une archive pour un transfert vers SQL et reconfigurez l'archive ultérieurement, vous devez adapter les tables dans SQL en conséquence.
    Exemple :
    Si vous avez configuré une archive pour le transfert vers SQL, les tables ont déjà été créées dans SQL ; si vous liez ensuite une variable à l'archive de batch, vous devez recréer les tables dans SQL. Dans le cas contraire, le transfert vers SQL ne pourra pas être effectué. En effet, la table correspondant aux informations de batch n'existe pas. Dans ce cas, un message est inscrit dans la liste CEL et le module Diagnosis Server, indiquant que l'archive n'a pas pu être transférée.

    Chaque fois que vous ajoutez ou supprimez des variables dans des archives configurées pour le transfert vers SQL, vous devez mettre les tables à jour dans SQL.

attention Attention

Assurez-vous que le fournisseur configuré dans la connexion est également disponible sur l'ordinateur du Runtime dans le Runtime.

Remarque : Un client SQL est également installé avec l'Éditeur de zenon. Le Runtime de zenon ne nécessite pas de serveur SQL ; aussi, aucun client SQL n'est automatiquement installé. Celui-ci peut être téléchargé dans le Centre de téléchargement Microsoft et doit être installé individuellement.

Assurez-vous d'avoir installé la version correcte lors de l'installation du fournisseur. Celle-ci doit correspondre à la version de zenon utilisée. Ceci signifie : si la version 32 bits du Runtime de zenon est utilisée, le fournisseur doit également être une version 32 bits, même s'il est installé sous un système d'exploitation 64 bits et même si la base de données est une application 64 bits.

Contrairement aux archives au format dBase, ASCII ou XML, les archives transférées vers une base de données SQL sont automatiquement rechargées à chaque fois que cela s'avère nécessaire (par ex. pour les tendances étendues).
Le bouton ... ouvre la boîte de dialogue standard Microsoft permettant de sélectionner la source OLE DB et de définir une connexion.

info Info

Reportez-vous à la documentation Microsoft pour des informations plus détaillées.

Table de base de données

Mise en forme de la table de données Nom de projet_nom court

Colonne

Type

Signification

VARIABLE

int[4]

ID numérique de la variable

CALCULATION

int[4]

Type de réduction de données dans les archives résultantes.

Jusqu'à 4 valeurs sont possibles : somme, valeur moyenne, minimum, maximum.
Lors de l'exportation de l'archive résultante sous forme de fichier (par exemple, .csv), les valeurs 1 à 4 sont écrites sous forme de chaînes :

  • 1=Somme
  • 2=Valeur moyenne
  • 3=Minimum
  • 4=Maximum

Lors du transfert ou de l'exportation vers SQL, les valeurs sont écrites sous forme d'un entier en code ASCII :

  • 49=Somme
  • 50=Valeur moyenne
  • 51=Minimum
  • 52=Maximum

TIMESTAMP_S

int[4]

Horodatage au format UNIX

TIMESTAMP_MS

int[4]

Nombre de millisecondes à ajouter à l'horodatage

VALUE

float[8]

Valeur

STATUS

int[4]

Drapeau d'état de la valeur (état de zenon)

GUID

char[36]

Contient le GUID du projet de la variable d'un autre projet ou ZERO si c'est dans le projet propriétaire.

STRVALUE

varchar

variable chaîne, la longueur dépend de la chaîne la plus longue à archiver. Pour les variables numériques, ce champ prend la valeur ZÉRO.

Le nom de la table de base de données Nomdeprojet_VARIABLES est constitué du nom du projet et du nom court de l'archive. Les deux parties sont reliées par un caractère souligné. Ainsi, si le nom du projet est ARV_IN_DB et le nom court de l'archive est A1, le nom de la table sera ARV_IN_DB_A1.

Table de noms de batch

La table contenant les noms de batch des archives évacuées au format SQL :

  • Possède le nom [Nom de projet]_[abréviation de l'archive]_LOT
  • Comporte 3 colonnes
Colonne | Type | Signification
LOT | varchar (128) | Nom de batch
START_S | int | Horodatage Unix du début du batch
END_S | int | Horodatage Unix de la fin du batch

Format de la table des références croisées

Colonne | Type | Signification
VARIABLE | int[4] | ID numérique de la variable
NAME | varchar[128] | Nom de la variable
GUID | char[36] | 36 car, prend le GUID du projet de la variable si elle provient d'un autre projet ou ZERO si c'est dans le projet de l'archive courante.

Le nom de la table des références croisées est une concaténation du nom du projet et du suffixe "VARIABLES". Les deux parties sont reliées par un caractère souligné. Donc si le nom du projet est 'ARV_IN_DB', le nom de la table sera 'ARV_IN_DB_VARIABLES'.

Les nouvelles colonnes GUID et STRVALUE doivent être ajoutées dans la base de données SQL à la main ou par l'intermédiaire de l'Éditeur. Dans l'Éditeur, vous devez afficher l'onglet Enregistrer de toutes les archives concernées. Là, vous ouvrez le texte de connexion à la base de données et confirmez la boîte de dialogue qui s'ouvre. Après la fermeture de cette boîte de dialogue, les modifications sont effectuées dans la base de données.

attention Attention

Si ces modifications ne sont pas effectuées, aucune donnée d'archive ne sera transférée vers la base de donnée SQL.
  • XML (*.XML) : Si le nombre d'archives a atteint le nombre à conserver, les archives les plus anciennes sont transférées au format XML.
  • CSV (*.txt) : Si le nombre d'archives a atteint le nombre d'archives que vous souhaitez transférer, les archives les plus anciennes sont enregistrées au format CSV dans un fichier TXT.
    Si vous cochez la case En Unicode, le fichier TXT transféré est enregistré au format Unicode.
  • dBase (*.dbf) : Si le nombre d'archives a atteint le nombre à conserver, les archives les plus anciennes sont transférées au format DBF.


Options

Manuels -> Historian - Serveur d'archives -> Configuration dans l'Éditeur -> Créer une nouvelle archive -> Options

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur l'onglet Options, les paramètres suivants sont disponibles.

Paramètres

Description

Calcul dans l'archive résultante

Calcul dans les archives résultantes pour les états

Cochez cette case si vous souhaitez tenir compte des bits d'état lors du calcul de l'archive résultante.

Les états supplémentaires sont :

  • Affichés dans l'Éditeur d'archives
  • Affichés dans le rapport et peuvent également être définis

Pour la définition de l'état, voir le chapitre Gestion d'états.
Note : Si vous cochez cette case, vous devez sélectionner au moins un bit d'état.

Set time stamp in the following archive (Définir les informations d'horodatage dans l'archive résultante)

Date/heure valeur minimale/maximale

Activez cette option si vous souhaitez utiliser les informations d'horodatage associées aux valeurs minimale ou maximale trouvées.

Date/heure du calcul

Activez cette option si vous souhaitez utiliser les informations d'horodatage du calcul.

Archives de remplacement

Créer fichiers pour archives manquantes

Actif : les fichiers d'archive manquants lorsque le Runtime n'est pas actif sont créés lors du prochain démarrage du Runtime.
Note : Pour cela, l'option d'enregistrement cyclique doit être sélectionnée.

Inactif : seul le cycle actuel est finalisé.

Créer un filtre d'état

Cochez la case adjacente à chaque état affiché pour déterminer, pour chaque valeur de l'archive, si elle doit être prise en compte dans l'archive résultante.

Example Exemple

Dans l'archive résultante, seules les valeurs pour lesquelles le bit NORM est défini et le bit INVALID n'est pas défini.

Pour cela, vous définissez un 1 vert pour le bit NORM et un 1 rouge pour le bit INVALID. Les cases à cocher de tous les autres bits restent grisées.

Vous pouvez inclure ou exclure des bits définis ou non définis de manière explicite.

info Info

Tous les bits d'état définis durant l'illustration ne sont pas visualisés. Les bits non visualisés sont les suivants :

  • T_EXTERN (bit d'état 21)
  • T_INTERN (bit d'état 22)
  • INFO (bit d'état 26)
  • RES28 (bit d'état 28)
  • RES31 (bit d'état 31)
  • WR_ACK (bit d'état 40)
  • WR_SUC (bit d'état 41)
  • COT0 (bi d'état 32) à COT5 (bit d'état 37)
  • T_STD (bit d'état 30)

Les bits d'état non visualisés sont les suivants :

  • Non enregistré sous forme de fichier TXT ou écrit dans un fichier XML
  • N'apparaît pas lors de l'impression
  • Non affiché dans le gestionnaire de groupes de recettes

Vous trouverez un aperçu de tous les bits d'état au chapitre Bits d'état.


Colonnes dans la vue de détails du serveur d'archive

Manuels -> Historian - Serveur d'archives -> Configuration dans l'Éditeur -> Colonnes dans la vue de détails du serveur d'archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La nouvelle archive est montrée dans la vue de détails. Les colonnes suivantes sont visualisées par défaut :

Archives

Démarrer, Arrêter

Départ

Balayage

Transfert

Lots

Numéro

Taille estimée

Ces colonnes sont statiques et ne peuvent pas être supprimées.

Autres sujets abordés dans ce chapitre

Recherche incrémentielle


Recherche incrémentielle

Manuels -> Historian - Serveur d'archives -> Configuration dans l'Éditeur -> Colonnes dans la vue de détails du serveur d'archive -> Recherche incrémentielle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour démarrer une recherche incrémentielle, cliquez sur une entête de colonne dans la vue de détails. La colonne sélectionnée est identifiée par une icône représentant des jumelles. Vous pouvez entrer un terme à rechercher et l'Éditeur montrera l'entrée trouvée.


Définir les archives résultantes

Manuels -> Historian - Serveur d'archives -> Définir les archives résultantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez l'archive à partir de laquelle vous souhaitez créer une archive résultante, puis cliquez sur l'icône Nouvelle archive résultante dans la barre d'outils. Vous pouvez également sélectionner l'entrée New following archive (Nouvelle archive résultante) dans le menu contextuelle et ainsi, démarrer la définition de l'archive résultante.
Comme lors de la création d'une archive, un assistant est disponible pour vous guider tout au long du procédé.

Autres sujets abordés dans ce chapitre

Archive et sélection de variables pour l'archive résultante


Archive et sélection de variables pour l'archive résultante

Manuels -> Historian - Serveur d'archives -> Définir les archives résultantes -> Archive et sélection de variables pour l'archive résultante

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les propriétés suivantes sont disponibles.

Paramètre | Description
Archives disponibles | Parmi les archives disponibles, sélectionnez les variables qui doivent être prises en compte dans l'archive résultante. Sélection multiple avec Ctrl ou Maj.
Somme | Cochez cette case si vous souhaitez ajouter les valeurs des variables sélectionnées en fonction du cycle de mémoire.
Moyenne | Cochez cette case si vous souhaitez constituer la valeur moyenne des variables sélectionnées.
Minimum | Cochez cette case pour déterminer la valeur minimale de chaque variable sélectionnée.
Maximum | Cochez cette case pour déterminer la valeur maximale de chaque variable sélectionnée.

La liste des variables sélectionnées et des types de réduction des données liées est disponible dans la vue de détail de l'archive. Vous pouvez ajouter ou supprimer des colonnes.

Des variables supplémentaires peuvent être ajoutées à l'archive résultante par glisser-déposer. Deux possibilités vous sont offertes : les variables individuelles peuvent être sélectionnées dans l'archive de base avant d'être déplacées vers le type de réduction de données choisi pour l'archive résultante (faites-les glisser en maintenant enfoncé le bouton gauche de la souris), ou l'archive de base peut être transférée dans son intégralité (en procédant de la même manière) dans l'archive résultante, toutes les variables étant alors attribuées lors de l'opération.

Dans zenon, les archives résultantes sont automatiquement configurées pour un balayage en cas de modification. Le mode de balayage ne peut pas être modifié. La fréquence de contrôle découle de la longueur de l'archive de base. Les valeurs des variables sont enregistrées dans l'archive résultante chaque fois que l'archive de base est évaluée. Par défaut, toutes les valeurs de l'archive de base sont prises en compte dans les calculs (c'est-à-dire les entrées INVALID et les valeurs manuelles) si cela n'est pas modifié dans la définition de l'archive de base, dans la section Options.


Archivage par lot

Manuels -> Historian - Serveur d'archives -> Archivage par lot

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'archivage par lot permet d'attribuer facilement des désignations de lots à une archive. Le traitement par lot permet de filtrer les données d'archive lors de leur traitement ultérieur, par exemple dans le module Tendances étendues ou le générateur de rapport.

Pour un accès plus rapide aux batchs dans le filtre de batch, il y a maintenant un index de données par archive qui est créé. De façon à utiliser l'indexage automatique, la propriété "Indexer les batchs" doit être cochée dans la définition de l'archive. Cet index est stocké dans le fichier <Désignation abrégée>.ARI. Si une archive batch est enregistrée, une entrée dans le fichier d'index est générée. Lors du transfert des archives, l'index est aussi mis à jour.

Pour le transfert au format ARX, l'option format interne est aussi disponible.

Si les archives sont détruites avec la fonctions "Opérations sur fichiers" ou à partir du système d'exploitation, un nouvel indexage doit être exécuté avec la fonction "Indexer les archives".

L'index est créé uniquement à partir d'un fichier d'archive du répertoire Runtime. Si des archives sont lues depuis le dossier de restauration, elles sont lues fichier par fichier.

Avec la fonction Indexer les archives, l'index des batchs est régénéré pour une archive. Générer un fichier d'index peut prendre du temps selon le nombre de fichiers d'archive. De façon à ne pas bloquer le Runtime, ceci est effectué en tâche de fond. Si le nouvel indexage n'est pas terminé mais que les valeurs de batchs sont requises, cette requête doit attendre la fin de la procédure. Avec l'option "Exécuter de façon synchrone", l'exécution de la fonction attend la fin du nouvel indexage.

Autres sujets abordés dans ce chapitre

Configuration du filtre de lot


Configuration du filtre de lot

Manuels -> Historian - Serveur d'archives -> Archivage par lot -> Configuration du filtre de lot

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un filtre de lot est utilisé pour plusieurs fonctions (appel de synoptique, exportation, impression, listes, etc.), comme expliqué ci-dessous.

Les options pouvant être configurées sont les suivantes :

Paramètre

Description

Filtre sur lot actif

Activer le filtre de lot
Cette entrée doit être activée pour que les fonctions d'archivage et de journalisation lot et no. lot puissent être utilisées.

Lot

Nom du lot à filtrer
* : tous les lots dans la limite de temps
Lot1|Lot2 liste de lots

Derniers lots effectués

Les X dernières archives fermées sont affichées.

Ce paramètre fonctionne uniquement avec les archives, pas avec la liste d'alarmes (AML) ou la liste chronologique d'événements (CEL).

Condition préalable à l'utilisation de ce paramètre : l'option Filtre sur lot actif doit être activée.

Limites horaires :

Définit les limites de temps de l'adoption de lots.
  • A l'extérieur :

les lots qui ne se trouvent que partiellement dans la limite de temps sont entièrement inclus.
  • A l'intérieur :

les lots qui ne se trouvent que partiellement dans la limite de temps ne sont pas inclus.
  • De l'extérieur :

les lots qui démarrent avant la limite de temps sont entièrement inclus; les lots qui se terminent après la limite de temps ne sont pas inclus.
  • Jusqu'à l'extérieur :

les lots qui se terminent après la limite de temps sont entièrement inclus ; les lots qui démarrent avant la limite de temps ne sont pas inclus.
  • Couper

affiche les variables de lots qui ne sont que partiellement compris dans la limite de temps.

Voir également les chapitres Extended Trend, Générateur de rapport et le chapitre Synoptique de maintenance de l'archive.


Archive de variables de type STRING

Manuels -> Historian - Serveur d'archives -> Archive de variables de type STRING

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables de types STRING peuvent être archivées. Elles sont stockées dans un fichier dont le nom est constitué comme suit : <Nom court><Heure>.AVS.

Ce fichier contient seulement les données de type STRING et ont un lien logique avec les fichiers ARX. Dans le fichier ARX, on stocke l'information si une archive de type STRING existe ou pas.

info Info

Si aucune variables de type STRING n'est stockée dans l'archive, il n'y a pas de fichier ARS.

Les opérations doivent inclure les deux fichiers. Si le fichier ARS manque, les données du fichier ARX ne sont pas chargées.

Les données de type STRING sont stockées en Unicode avec la longueur dynamique des données. Ceci permet de gagner de la place mémoire et est indépendant de la longueur de chaîne définie sur la variable. Dans l'enregistrement des données du fichier ARX, on a la position de l'enregistrement STRING dans le fichier ARS. Il y a des exceptions où il y a un mauvais indexage des chaînes dans les fichiers ARS, car lorsqu'elles sont éditées elles changent leur position.

Dans les propriétés des variables, une valeur de remplacement peut être renseignée pour les chaînes de caractères de façon à ce que les archives contiennent toujours une valeur. La Valeur chaîne pour le remplissage des archives est utilisée si zenon nécessite (par exemple, pour le renseignement des archives cycliques) une valeur pour une variable de chaîne et aucune valeur n'est disponible. Si aucune valeur n'a été transférée, la valeur de remplacement définie est utilisée ; dans le cas contraire, la dernière valeur valide est utilisée.

L'Éditeur calcule les tailles d'archives en prenant la valeur maximum des longueurs de chaîne.

attention Attention

Si la longueur d'une variable de chaîne devant être archivée est modifiée, ce champ de données doit être adapté lors du transfert ou de l'exportation vers SQL.

Cette adaptation peut être effectuée manuellement, avec un outil d'administration de bases de données (par exemple Manager Studio for MS-SQL Server), ou dans la configuration de l'archive. Pour toutes les archives concernées : dans l'Éditeur, ouvrez l'onglet Enregistrement et modifiez la table avec la fonction Créer table.

Remarque : ces modifications doivent être effectuées avant que les modifications soient acceptées dans le Runtime. Sinon les chaînes les plus longues pourraient être archivées tronquées !

En règle générale, la taille du champ de données dépend directement de la variable de chaîne la plus longue de l'archive. Lors de l'archivage des variables de drivers système, il convient de noter que la longueur des chaînes est limitée à 5 caractères et ne peut pas être modifiée. Le contenu des chaînes du driver système peut toutefois comporter plus de 5 caractères. Insérez une variable de chaîne supplémentaire d'une longueur (par exemple) de 256 caractères dans l'archive pour éviter toute perte de données.


Options d'affichage

Manuels -> Historian - Serveur d'archives -> Options d'affichage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Paramètres | Description
Générateur de rapports | Les données des archives de type STRING peuvent être affichées dans des rapports.
Tendance étendue | La sélection des variables de type STRING comme source de données n'est pas autorisée.
Enregistrement au format DBF : | Si le format DBF a été choisi comme format d’archive, la table contient une colonne supplémentaire de nom "strwer". C'est la longueur de la chaîne la plus grande qui est prise comme longueur de chaîne ; Cependant le maximum est de 255 caractères.
SQL | Deux colonnes ont été ajoutées à la table <Nom du projet>_<raccourci>. GUID : char 36 ; prend le GUID du projet de la variable si elle provient d'un autre projet ou ZERO si c'est dans le projet de l'archive courante. STRVALUE : varchar ; la longueur dépend de la variable de chaîne la plus longue à archiver. Pour les variables numériques, ce champ prend la valeur ZÉRO. Une colonne a été ajoutée à la table <Nom du projet>_VARIABLES. GUID : char 36 ; prend le GUID du projet de la variable si elle provient d'un autre projet ou ZERO si c'est dans le projet de l'archive courante. Une table supplémentaire contient les informations de lot pour l'archive. Dans cette table, les informations suivantes sont affichées : nom du lot, heures de début et de fin.

attention Attention

Le chargement d'archives volumineuses peut entraîner une baisse des performances dans le Runtime.


Ordre d'archivage

Manuels -> Historian - Serveur d'archives -> Ordre d'archivage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Gardez à l'esprit que le transfert de données demande un certain temps. En conséquence, après un événement déclencheur, un délai de plusieurs secondes peut se présenter, en fonction du nombre de valeurs.

Gardez également à l'esprit que le PC travaille de manière asynchrone par rapport à l'automate, et que par conséquent, tous les drapeaux déclencheurs ne pourront pas systématiquement être exécutés en même temps. Ceci peut provoquer des décalages de temps au niveau des données (ne peut se produire qu'avec le TYPE 1).

La solution à ce problème est l'identification de la date et de l'heure dans l'automate (TYPE 2, TYPE 3 et TYPE 4)

Avec le TYPE 4, au contraire des TYPES 2 et 3, seule l'heure de départ est transférée. Gardez à l'esprit que l'ordre des entrées dans le TYPE 4 est simplement l'inverse de l'ordre des entrées dans le TYPE 1.

attention Attention

Dans les réseaux redondants, la mise à jour du serveur est faite après que tous les projets sont chargés et synchronisés. Comme il n'y a pas de buffer de redondance pour les données des sous-projets, ces données ne sont pas à jour lors d'une commutation de redondance ou lors d'un rechargement de projet !

info Info

Généralités

Format de données de l'automate

Description de l'entête

Description des types


Profils de filtre

Manuels -> Historian - Serveur d'archives -> Profils de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les profils permettent à l'utilisateur de sauvegarder des paramètres de filtre pendant le Runtime. Pour utiliser les profils, un sous-menu Profils existe dans le menu Élément de contrôle ; il comporte les éléments suivants :

Paramètre | Description
Profils de filtre | Gestion de profils
Sélection profil | Sélectionnez le profil sauvegardé (liste déroulante).
Enregistrer | Enregistrer les paramètres sous forme de profil (bouton)
Supprimer | Supprimer profil (bouton)

Les paramètres de filtre peuvent être modifiés dans le Runtime. Vous pouvez ensuite attribuer aux paramètres définis un nom unique saisi dans l'élément Sélection profil. Le bouton Enregistrer permet d'enregistrer le profil de façon permanente et de le rendre disponible lors des sessions futures.

Après avoir sélectionné un profil qui n'est plus nécessaire pour la sélection de profil, vous pouvez le supprimer en cliquant sur le bouton Supprimer.


Fonctions

Manuels -> Historian - Serveur d'archives -> Fonctions

Dans zenon, plusieurs fonctions permettent de contrôler l'archivage.

Autres sujets abordés dans ce chapitre

Appel de synoptique - Maintenance de l'archive

Archive : Stop

Indexer les archives

Archive : Départ

Afficher les archives actives

Export archives (Exporter les archives)


Appel de synoptique - Maintenance de l'archive

Manuels -> Historian - Serveur d'archives -> Fonctions -> Appel de synoptique - Maintenance de l'archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les filtres peuvent être préconfigurés dans l'Éditeur pour activer un synoptique de type Maintenance de l'archive (archive prédéfinie ; archive avec bits d'état présélectionnés).

Informations concernant info

Les paramètres de filtre peuvent être modifiés dans le Runtime.

Les options pouvant être configurées sont les suivantes :

Paramètre | Description
Filtre | Définit les critères de filtre (variable, valeur, état, etc.)
Format | Format d'affichage et tri des entrées d'archives affichées
Heure | Tri de toutes les entrées selon la date et l'heure
Variable | Tri selon le nom de variable
Non trié | Aucun tri
Lecture depuis le dossier de restauration | Cochez cette case si vous souhaitez utiliser les archives du dossier de restauration. Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues.

Après avoir sélectionné l'archive, les filtres peuvent être définis.

info Info

Notez que les archives transférées sélectionnées sont d'abord copiées vers le dossier de sauvegarde avant d'être accessibles par le biais de l'option Lire depuis le dossier de restauration.
Lors du transfert, les archives transférées sont enregistrées dans le dossier Archives transférées. Ce dossier n'est pas compatible avec le dossier de restauration.
Vous pouvez définir les dossiers de stockage de fichiers dans la boîte de dialogue Paramètres de standard de l'onglet Dossier. Cette boîte de dialogue est accessible sous Fichier -> Configuration générale -> Standard.

Autres sujets abordés dans ce chapitre

Filtre


Filtre

Manuels -> Historian - Serveur d'archives -> Fonctions -> Appel de synoptique - Maintenance de l'archive -> Filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'option Filtre affiche une boîte de dialogue contenant trois onglets :

  • Filtre d'archive
  • Heure
  • Lots

Filtre d'archive

Filtres et combinaisons configurables :

Paramètre | Description
États | Les valeurs des variables dans l'archive sont filtrées selon les bits d'état sélectionnés ici.
Variable | Seules les valeurs des variables de l'archive sélectionnées ici seront affichées ; sélectionnez les variables avec un clic souris.
Valeurs (Minimum, Maximum) | filtrage de toutes les valeurs archives si leurs valeurs techniques est comprises entre un minimum et un maximum.

Tenez compte des limites de mémoire (taille maximale de représentation) définies dans le synoptique de type Maintenance de l'archive lors de la modification d'archives.

Les options État, Variables et min/max ne peuvent être sélectionnées que si l'option Toutes les propriétés n'est pas activée dans la boîte de dialogue Filtre.

Conseil relatif à l'onglet Heure : Si vous définissez l'option Tout comme type de filtre de temps, toutes les entrées de Runtime depuis le 1.1.2000 sont affichées.


Archive : Stop

Manuels -> Historian - Serveur d'archives -> Fonctions -> Archive : Stop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour arrêter une archive active en mode de fonctionnement en ligne. Après l'arrêt de l'archive, le script de fin configuré dans l'archive est exécuté.

Saisissez le nom de l'archive à terminer en guise de paramètre de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie.

Avant d'utiliser cette fonction, l'archive doit avoir été créée dans l'Éditeur. Sélectionnez l'archive appropriée dans la fenêtre de sélection d'archives, puis cliquez sur OK.

Indiquez le nom court de l'archive dans la gestion de fonction comme paramètre d'appel (p.ex.: Fin archive [01]).

attention Attention !

Attention : si le démarrage et l'arrêt de l'archive sont définis par l'intermédiaire du démarrage et de l'arrêt du Runtime, le démarrage ou l'arrêt manuel des archives via des fonctions peut provoquer des réactions indésirables au niveau du Runtime.


Indexer les archives

Manuels -> Historian - Serveur d'archives -> Fonctions -> Indexer les archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction effectue une indexation ultérieure des archives de lot. Ceci est à utiliser après la suppression ou l'édition de ces archives.

Saisissez le nom de l'archive de lot à indexer en guise de paramètre de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie. Ici, seules les archives de lot existantes sont mentionnées.

Paramètre | Description
Exécuter de façon synchrone | Valide uniquement en cas d'exécution dans un script. Cochez cette case si vous ne souhaitez pas que la fonction suivante démarre avant la fin de l'autre fonction.

Informations concernant info

La fonction Index d'archive est toujours exécutée sur le serveur de gestion du procédé.


Archive : Départ

Manuels -> Historian - Serveur d'archives -> Fonctions -> Archive : Départ

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour démarrer une archive en ligne. Après le lancement de l'archive, la fonction associée au départ l'archive (si elle a été définie dans la configuration de l'archive) est exécutée.

Saisissez le nom de l'archive à créer en guise de paramètre de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie.

Avant d'utiliser cette fonction, l'archive doit avoir été créée dans l'Éditeur. Sélectionnez l'archive appropriée dans la fenêtre de sélection d'archives, puis cliquez sur OK.

Indiquez le nom court de l'archive dans la gestion de fonction comme paramètre d'appel (p.ex.: Archive : Départ [01]).

attention Attention !

Attention : si le démarrage et l'arrêt de l'archive sont définis par l'intermédiaire du démarrage et de l'arrêt du Runtime, le démarrage ou l'arrêt manuel des archives via des fonctions peut provoquer des réactions indésirables au niveau du Runtime.


Afficher les archives actives

Manuels -> Historian - Serveur d'archives -> Fonctions -> Afficher les archives actives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le Runtime, cette fonction affiche une fenêtre système prédéfinie contenant les archives actuellement actives. La fenêtre système est toujours affichée au premier plan.


Export archives (Exporter les archives)

Manuels -> Historian - Serveur d'archives -> Fonctions -> Export archives (Exporter les archives)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour exporter les données enregistrées dans une archive dans un fichier en mode de fonctionnement en ligne. Spécifiez la configuration de fichier (nom, chemin, formatage, etc.), l'archive et le filtre de temps pour les paramètres de transfert.

Attention : Le nom de fichier ne peut contenir aucun caractère spécial. Les caractères suivants sont interdits : \ / : * ? " < > |

Pour configurer l'exportation :

  1. dans le gestionnaire de projet, accédez au nœud Fonctions
  2. sélectionnez Nouvelle fonction... dans le menu contextuel ou la barre d'outils.
  3. La boîte de dialogue de sélection de fonction s'affiche à l'écran.
  4. Accédez au nœud Serveur d'archives
  5. Sélectionnez Exporter les archives
  6. La boîte de dialogue de configuration de l'exportation s'affiche à l'écran.

Les options pouvant être configurées sont les suivantes :

Paramètre

Description

Généralités

Dans cet onglet, vous pouvez définir :

  • Export format (Format d'exportation)
  • Les colonnes à exporter
  • Options
  • Fichier d'exportation

Archive

Sélectionnez l'archive à exporter.

Heure

Indiquez la plage de temps correspondante.

Pour plus de détails, reportez-vous au chapitre Temps dans le manuel Gestion des alarmes.

Lots

Sélectionnez les lots souhaités

info Info

Si vous exportez une archive de batch active, l'heure de l'exportation est saisie comme heure de fin. La valeur actuelle de la variable de batch est utilisée comme nom.

Notez qu'il n'est pas nécessaire que ces valeurs soient conformes aux valeurs de l'archive de batch fermée.

Vérification de la mémoire durant la lecture

La quantité de mémoire disponible est vérifiée lors de la lecture d'archives.

SQL

Si moins de 10 % de la mémoire disponible sont libres, la lecture des données de SQL Server est annulée.

Fichiers ARX

L'espace disponible est vérifié avant la lecture des données d'archive (*.arx). La lecture est annulée si :

  • Moins de 10 % de la mémoire disponible sont libres
  • La taille de la mémoire réservée définie (SPEICHER=) dans le fichier project.ini est dépassée

L'annulation est documentée dans l'outil Diagnosis Viewer, par le biais d'un message d'erreur.

attention Attention

Si des fichiers créés dans le Serveur d'archives dépassent la quantité de mémoire réservée dans le fichier project.ini ou la règle des 10 %, les données ne peuvent pas être lues.

Exporter XML...

Les colonnes Nom variable (V) et Identification (I) contiennent uniquement le nom correspondant de la variable ou l'identification de la variable. Dans les versions antérieures de zenon, les informations concernant par exemple le résumé des archives suivantes étaient enregistrées dans la colonne Nom variable. Notez que certaines incompatibilités peuvent se produire lors de l'exportation au format XML de versions plus anciennes, par rapport à la version actuelle.

Autres sujets abordés dans ce chapitre

Généralités

Archive


Généralités

Manuels -> Historian - Serveur d'archives -> Fonctions -> Export archives (Exporter les archives) -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour exporter les données vers un fichier, indiquez les options et propriétés du fichier.

Paramètre

Description

Export format (Format d'exportation)

dBase

Fichier dBase IV (*.dbf)
Attention : Les fichiers DBF doivent :

  • posséder un nom conforme au format DOS 8.3 (8 caractères alphanumériques pour le nom, 3 caractères pour l'extension, pas d'espace)
  • être conservés près du répertoire racine

CSV

Fichier texte CSV (*.txt)

Structure (-> représente une marque de tabulation) :
Nom -> identification -> valeur -> unité -> (état_HI_DWORD)(état_LO_DWORD) -> seconde

XML

Fichier xml (*.xml)

SQL

Évacuation des archives dans une base de données SQL

Remarque : l'exportation vers une base de données SQL est uniquement possible si vous possédez la licence correspondante pour l'Éditeur et le Runtime.

Colonnes exportées

Nom de variable (V)

Nom de la variable

Identification (I)

Identification de variable

Valeur (W)

Valeur technique enregistrée

Unité (U)

Unité correspondante

État (S)

État de la variable

Date (D)

Date correspondante

Heure (Z)

horodatage correspondant

Options

Afficher cette boîte de dialogue dans le Runtime

Si vous activez cette option, la boîte de dialogue sera affichée dans le Runtime lorsque le synoptique sera invoqué.

Lire les archives depuis chemin de sauvegarde

Les archives à exporter sont lues depuis le dossier de restauration.

Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues.

En Unicode

Disponible uniquement si vous avez sélectionné le format d'exportation CSV.

Si vous activez cette option, les fichiers exportés sont enregistrés au format Unicode (UTF-16).

Export to file (Exporter vers le fichier)

Indication du fichier vers lequel les archives seront exportées.

Nom de fichier

Nom de fichier qui peut être défini librement (le fichier est toujours importé avec le même nom).
Remarque : Le nom ne peut contenir aucun caractère spécial. Les caractères suivants sont interdits : \ / : * ? " < > |

Le champ de saisie n'est pas affiché dès que vous activez l'option Attribution automatique du nom de fichier.

Attribution automatique du nom de fichier

Le nom de fichier est généré automatiquement à partir d'un identifiant court, d'un identifiant utilisateur et d'une date.

Nom

AMJHMM.yyy avec

J

Année (un caractère : 1..9, A, B, C, …)

M

Mois (un caractère : 1..9, A, B, C, …)

T

Jour (un caractère : 1..9, A, B, C, …)

H

Heure (un caractère : 1..9, A, B, C, …)

MM

Minutes (deux caractères)

yyy

Extension du fichier (TXT, DBF, XML)

Générer nom fichier avec le nom du lot

Visible uniquement si vous activez l'option Attribution automatique du nom de fichier.

Le nom de lot est utilisé pour créer le nom du fichier d'exportation

Remarque : si vous sélectionnez cette option, vous devez veiller à ce que le nom de batch ne contienne aucun caractère spécial.

Postfix (Suffixe)

Intitulé libre (ASCII - 29 lignes); automatiquement ajouté au nom du fichier.
Remarque :uniquement si l'option Generate filename automatically (Générer le nom de fichier automatiquement) a été sélectionnée.

Dossier d'export

Affiche le chemin d'exportation défini.

Celui-ci peut être modifié via l'élément de menu Fichier -> Configuration standard -> Standard Path (Chemin standard), onglet Archives exportées.

Exporter dans base de données SQL

Connexion à la base de données

La base de données devant être utilisée pour l'exportation des données vers une base de données SQL.

Remarque : l'exportation vers une base de données SQL est uniquement possible si vous possédez la licence correspondante pour l'Éditeur et le Runtime.

Table

La table devant être utilisée pour l'exportation des données vers une base de données SQL.

Remarque : l'exportation vers une base de données SQL est uniquement possible si vous possédez la licence correspondante pour l'Éditeur et le Runtime.


Archive

Manuels -> Historian - Serveur d'archives -> Fonctions -> Export archives (Exporter les archives) -> Archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Indiquez l'archive qui sera exportée après la configuration de fichier.

info Info

L'archive qui sera exportée doit être sélectionnée à l'aide de la souris. Avant d'utiliser cette fonction, l'archive doit avoir été créée dans l'Éditeur.

Dans l'interface de gestion des fonctions, le nom court est affiché sous la forme d'un paramètre de transfert (par exemple, Exporter archive ([auto] 01 [T]ascii).


Manipulations en Runtime

Manuels -> Historian - Serveur d'archives -> Manipulations en Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le Runtime, le synoptique de type Maintenance de l'archive est ouvert à l'aide d'une fonction (par exemple, un bouton). Le synoptique prédéfini dans l'Éditeur est ouvert.

Les opérations en ligne possibles sont les suivantes :

Paramètre | Description
Ouvrir | Ouvrir une nouvelle archive et définir les conditions de filtrage
Fermer | Fermer l'archive actuellement ouverte
Enregistrer | Enregistrer les modifications apportées à l'archive et effectuer une mise à jour de l'archive résultante sur confirmation
Éditer | Modifier l'entrée d'archive sélectionnée. Modifier une valeur, l'état de la variable est alors modifié automatiquement en "Valeur manuelle"
Insérer | Ajouter des entrées de l'archive dans les fichiers d'archives correspondants. Si aucun fichier d'archives n'existe pour la période de temps spécifiée, aucune nouvelle entrée ne peut être ajoutée. Un message d'erreur s'affiche dans la zone de liste de filtres.
Supprimer | Supprimer l'entrée de l'archive.
Sélection | Sélectionner plusieurs entrées d'archive et sélectionner ces entrées pour modification en mode d'édition.
Fenêtre | Une boîte de dialogue est ouverte. Vous pouvez définir les largeurs des colonnes ainsi que la police de caractères utilisée pour l'affichage de l'archive.
Imprimer | Imprimer les informations relatives à l'archive actuellement ouverte

Lors de l'impression d'archives, le fichier ARV_G.FRM est utilisé avec les mots-clé correspondants. La partie cyclique est entourée des signes "%%" . Le fichier doit être stocké dans le répertoire d'installation.

Mots-clé |
@HEADZEIT | Date/heure de l'archive
@ARCHIVNAME | Nom de l'archive
@DATZEIT | Date/heure spécifiques à l'entrée de l'archive
@KANALNAME | Nom de la variable spécifique à l'entrée de l'archive
@WERT | Valeur de l'entrée de l'archive
@EINHEIT | Unité de l'entrée de l'archive
@AMELDUNG | Texte conditionnel de l'entrée de l'archive
@STATUS | Texte d'état spécifique à l'entrée de l'archive

Example Exemple

ARV_G.FRM

@HEADZEIT @ARCHIVNAME
Page: @SEITE -----------------??

Date/time TTA Value Unit Condition text Status
?-------------------------------------------------------------------------------------------------?
%%
?@DATZEIT @KANALNAME @WERT @EINHEIT @AMELDUNG @STATUS
?%%

Les boutons sont accessibles ou non (grisés) selon leurs fonctions. Au-dessus des boutons, on trouve des zones d'affichage pour les éléments suivants :

Paramètre | Description
Nom d'archive | Identificateur court de l'archive actuellement ouverte
Nombre d'entrées | Nombre total des entrées affichées pour les variables du procédé (après application des conditions de filtrage !)
Nombre d'I-bits | Nombre d'entrées de l'archive possédant un état "INVALID"

La zone de liste de filtres peut être utilisée pour obtenir un aperçu global des filtres définis et des conditions d'édition.

Si une archive autre que celle concernée par la fonction est ouverte, en cliquant sur le bouton "Ouvrir", vous pouvez accéder au masque de sélection d'archives comportant les paramètres de tri et les conditions de filtrage.

Si une archive est ouverte et affichée à l'écran, les valeurs spécifiques à l'archive peuvent être modifiées.

Autres sujets abordés dans ce chapitre

Synoptique de type Maintenance de l'archive

Travailler avec les fonctions d'archive


Synoptique de type Maintenance de l'archive

Manuels -> Historian - Serveur d'archives -> Manipulations en Runtime -> Synoptique de type Maintenance de l'archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les synoptiques de type Maintenance de l'archive servent à l'affichage et l'édition en ligne de valeurs archivées sous forme de tables. (Vous trouverez d'autres informations concernant les types de synoptiques prédéfinis au chapitre Synoptiques / Types de synoptiques prédéfinis).

attention Attention

Vous devez détenir une licence d'utilisation du module archive pour pouvoir utiliser cette fonction.

La création de la fenêtre d'archive s'effectue dans l'Éditeur en créant un nouveau synoptique de type Maintenance de l'archive.

Lors de l'ouverture du synoptique, un synoptique vide est affiché et la liste déroulante Éléments de contrôle contient des éléments correspondant au type de synoptique.

En vous servant des éléments de contrôle, vous pouvez disposer individuellement les éléments fonctionnels dans le synoptique (affichage global ; l'Éditeur propose uniquement un affichage en deux dimensions). Les éléments fonctionnels sont répartis en catégories distinctes, à savoir Boutons (pour le mode d'utilisation en ligne), Listes (affichage d'archive(s) et conditions de filtrage) et Visualiser (affichage d'informations pour l'édition de valeurs d'archives).

Les éléments de contrôle sont les suivants :

Paramètre | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant. Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur. Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Boutons | éléments de contrôle prédéfinis
Ouvrir | Afficher une nouvelle archive
Fermer | Fermer l'archive actuelle
Enregistrer | Enregistre les modifications dans l'archive
Éditer | Édition des valeurs sélectionnées
Insérer | Insérer de nouvelles valeurs dans l'archive
Supprimer | Supprimer des valeurs de l'archive
Sélection | Définir les critères des filtres utilisés pour la sélection
Colonnes | Paramètres des colonnes
Imprimer | Imprimer l'affichage
Listes |
boîte liste archive | Affichage des archives
boîte de filtre | Affichage des critères de filtre
Afficher |
Définir filtre | Affiche l'état actuel du filtre de temps actuel dans le Runtime.
Nombre de valeurs | Nombre de valeurs lues dans l'archive
Nombre INVALID | Nombre de valeurs lues avec l'état INVALID (bit d'état).
Visualiser identif. archive | Affiche la désignation courte de l'archive
Archives actives | État actuel de l'archive (actif : l'archive a été démarrée et est en cours de fonctionnement, inactif : l'archive a été arrêtée - pas d'archivage en cours sur cette archive)
Profils | Gestion de profils
Sélection profil | Sélectionne un profil enregistré
Enregistrer | Enregistre les paramètres sous forme de profil
Supprimer | Supprime le profil sélectionné

info Info

Une valeur décimale peut être saisie avec une virgule (,) ou un point (.) ; le séparateur décimal sera automatiquement remplacé par un point.

Lorsque vous cliquez sur le bouton Insérer un modèle dans la liste déroulante Éléments de contrôle, tous les éléments de contrôle sont insérés à des emplacements prédéfinis, avec des valeurs standard.

Il est possible d'apporter des modifications aux éléments de contrôle en termes de taille, d'orientation et de disposition, et de modifier également la police utilisateur. La police sélectionnée n'est affichée qu'en mode de fonctionnement en ligne. Vous pouvez supprimer de l'affichage les éléments dont la présence dans l'affichage en mode de fonctionnement en ligne est inutile ou indésirable (par ex. Démarrer, Arrêter, Actualiser, etc.). L'ajout d'autres éléments dynamiques de synoptique et d'éléments vectoriels est également possible.

Pour activer un synoptique autorisant l'édition des archives en ligne, utilisez la fonction Appel de synoptique - Maintenance de l'archive.

Autres sujets abordés dans ce chapitre

Filtre d'appel de synoptique


Filtre d'appel de synoptique

Manuels -> Historian - Serveur d'archives -> Manipulations en Runtime -> Synoptique de type Maintenance de l'archive -> Filtre d'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous appelez un synoptique de type Serveur d'archives, le filtre suivant est affiché. Si vous définissez l'option Tout comme type de filtre de temps, toutes les entrées de Runtime depuis le 1.1.2000 sont affichées.

Paramètre

Description

Filtre lot

Sur le côté gauche de l'écran, vous pouvez sélectionner l'archive de votre choix parmi les archives disponibles. Sur le côté droit, les lots disponibles sont affichés. Ici, vous pouvez filtrer les lots.

Nom de batch

Dans cette colonne sont affichés les noms des lots disponibles. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre alphabétique croissant ou décroissant.

Dans la partie inférieure de l'en-tête, vous pouvez saisir une chaîne de caractères. Seuls les lots correspondant à la chaîne de caractères saisie seront affichés.

Start date (Date de début)

Dans cette colonne, la date de début des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant. Les lots comportant la même date de début sont triés en fonction de l'heure de début.

Dans la partie inférieure de l'en-tête, vous pouvez saisir une date de début manuellement ou utiliser le calendrier affiché.

Heure de début

Disponible uniquement si vous avez saisi une date de début.

Dans cette colonne, la date de début des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant.

Dans la partie inférieure de l'en-tête, vous pouvez saisir l'heure de début manuellement.

Remarque : "*" signifie 0:00:00 heure.

End date (Date de fin)

Dans cette colonne, la date de fin des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant. Les lots comportant la même date de fin sont triés en fonction de l'heure de fin.

Dans la partie inférieure de l'en-tête, vous pouvez saisir une date de fin manuellement ou utiliser le calendrier affiché.

Heure de fin

Disponible uniquement si vous avez saisi une date de fin.

Dans cette colonne, l'heure de fin des lots disponibles est affichée. En cliquant avec le bouton gauche sur la partie supérieure de l'en-tête, vous pouvez trier les lots par ordre croissant ou décroissant.

Dans la partie inférieure de l'en-tête, vous pouvez saisir l'heure de fin manuellement.

Remarque : "*" signifie 11:59:59 heure.

Durée

Cette colonne affiche la durée de chaque lot disponible. Elle est uniquement disponible à des fins d'affichage.

info Info

Les lots encore ouverts sont affichés s'ils correspondent aux critères de filtre définis.

info Info

La valeur de la variable de lot est écrite dans le fichier d'index et dans l'en-tête du fichier ARX au début du lot. Ces entrées sont ajustées à chaque modification de la variable. Lors de la fermeture du lot, la valeur de la variable de lot à cet instant est finalement écrite dans le fichier d'index et dans l'en-tête.

De cette manière, le nom du lot est définitif à la fermeture du lot.


Travailler avec les fonctions d'archive

Manuels -> Historian - Serveur d'archives -> Manipulations en Runtime -> Travailler avec les fonctions d'archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En mode de fonctionnement en ligne, les fonctions suivantes sont disponibles pour le contrôle et la surveillance des archives :

Paramètre | Description
Archive : Départ | Démarre l'archive créée dans l'Éditeur
Archive : Stop | Arrête l'archive créée dans l'Éditeur
Archive : liste des archives actives | Fenêtre affichant les archives actuellement actives.
Indexer les archives | Indexation des archives de lot.

info Info

L'archive en cours écrit les données enregistrées dans une archive alpha (xx.ARX ; xx - désignation courte de l'archive). Si l'archive est arrêtée par le système (fonction Archive : arrêt), le fichier est copié sous un autre nom. Si le mode de fonctionnement en ligne prend fin avant qu'une définition n'ait été exécutée (coupure de courant), l'archive alpha reste en l'état. Si une archive est configurée comme une archive cyclique, alors, lors du redémarrage du Runtime, le système la remplit avec des valeurs par défaut pour la zone manquante dans l'intervalle courant. Si aucune valeur n'a été transférée, la valeur de remplacement définie est utilisée ; dans le cas contraire, la dernière valeur valide est utilisée. Les entrées existantes ne sont pas écrasées.

Autres sujets abordés dans ce chapitre

Modifier des valeurs

Ajout de valeurs

Supprimer des valeurs

Mémoriser des valeurs dans une archive

Définition de la représentation en liste

Sélection multiple de valeurs


Modifier des valeurs

Manuels -> Historian - Serveur d'archives -> Manipulations en Runtime -> Travailler avec les fonctions d'archive -> Modifier des valeurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour modifier les entrées des valeurs de l'archive, double-cliquez sur une zone correspondant à une valeur, ou cliquez sur le bouton Édition pour éditer les valeurs sélectionnées. Une boîte de dialogue vous invite à spécifier la nouvelle valeur.

Si une ou plusieurs valeurs ont été modifiées, l'état de l'entrée est étendu en "Valeur manuelle". Dans le même temps, la couleur des en-têtes de colonnes vire du bleu au rouge, et le bouton Enregistrer devient accessible. La sélection est effacée de l'écran.


Ajout de valeurs

Manuels -> Historian - Serveur d'archives -> Manipulations en Runtime -> Travailler avec les fonctions d'archive -> Ajout de valeurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour compléter des archives fermées ou inactives avec des valeurs manquantes, cliquez sur le bouton Insérer. Le masque de saisie s'affiche à l'écran.

  • Si une entrée de l'archive est sélectionnée, vous pouvez spécifier le nombre de valeurs et la valeur pour la variable de procédé de l'archive devant être sélectionnée. Toutes les entrées sont identifiées par la même date et heure lors de leur insertion.
  • Si aucune entrée n'est sélectionnée, en complément de la valeur et du nombre de valeurs, vous pouvez définir l'heure de départ de l'ajout des valeurs ainsi que le cycle (en secondes).

Si une ou plusieurs valeurs ont été modifiées, l'état de l'entrée est étendu en "Valeur manuelle". Dans le même temps, la couleur des en-têtes de colonnes vire du bleu au rouge, et le bouton Enregistrer devient accessible. La sélection est effacée de l'écran.


Supprimer des valeurs

Manuels -> Historian - Serveur d'archives -> Manipulations en Runtime -> Travailler avec les fonctions d'archive -> Supprimer des valeurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si une ou plusieurs entrées d'une archive doivent être supprimées, sélectionnez les lignes à l'aide de la souris ou du bouton Sélection, et cliquez ensuite sur le bouton Supprimer. Un masque de confirmation s'affiche à l'écran.

Si vous souhaitez réellement supprimer la valeur, cliquez sur le bouton Oui ; sinon, cliquez sur le bouton Non.


Mémoriser des valeurs dans une archive

Manuels -> Historian - Serveur d'archives -> Manipulations en Runtime -> Travailler avec les fonctions d'archive -> Mémoriser des valeurs dans une archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les modifications en cours et non-enregistrées apportées à l'archive sont identifiées par un en-tête de colonne rouge. Les valeurs sont mémorisées dans l'archive lorsque vous cliquez sur le bouton Enregistrer. Si des archives résultantes sont liées à l'archive en cours d'édition, celles-ci sont automatiquement mises à jour.


Définition de la représentation en liste

Manuels -> Historian - Serveur d'archives -> Manipulations en Runtime -> Travailler avec les fonctions d'archive -> Définition de la représentation en liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous souhaitez modifier le formatage de l'affichage de la liste en mode de fonctionnement en ligne, cliquez sur le bouton Fenêtre.


Sélection multiple de valeurs

Manuels -> Historian - Serveur d'archives -> Manipulations en Runtime -> Travailler avec les fonctions d'archive -> Sélection multiple de valeurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez sur le bouton Sélection pour effectuer une sélection multiple de valeurs.

La case Toutes les entrées signifie Toutes les variables. Cocher cette case désactive la sélection de variables et impacte le filtre de temps.

Dans l'affichage dans le Runtime, lorsque les conditions de filtrage ont été définies, les entrées d'archive sont affichées sur un fond sombre.

Si vous souhaitez réinitialiser la sélection, sélectionnez l'option "Supprime la sélection" dans la boîte de dialogue activée par "Sélection".


Historique des modifications

Manuels -> Historique des modifications

L'historique des modifications permet d'avoir un document complet sur toute la phase de développement du projet. Toutes les modifications apportées à un projet – modification, suppression, création, etc. – peuvent être consignées. Par défaut, l'historique des modifications est désactivé et doit être activé dans l'Éditeur.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Exporter XML tous... | Exporte toutes les entrées sous forme de fichier XML.
Exporter CSV tous | Exporte toutes les entrées sous forme de fichier CSV.
Activer filtre étendu | Ouvre la boîte de dialogue de configuration des filtres de développement améliorés.
Désactiver le filtre étendu | Supprime les paramètres des filtres étendus et désactive la propriété de développement des paramètres de filtres étendus.
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Configuration dans l'Éditeur

Données enregistrées

Actions enregistrées

Exporter données


Configuration dans l'Éditeur

Manuels -> Historique des modifications -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'historique des modifications doit être activé dans l'Éditeur. Pour cela :

  1. Accédez au groupe Historique des modifications dans les propriétés du projet.
  2. Activez la propriété Historique des modifications actif.
  3. Sélectionnez les détails à enregistrer par le biais de la propriété Niveau de détails :
    • Objet : seuls les noms d'objet des objets modifies sont enregistrés.
    • Propriétés : outre les noms d’objet, les propriétés modifiées ainsi et les nouvelles valeurs sont affichées dans l’historique des modifications.
    • Modifications de valeurs : Non seulement les nouvelles valeurs des propriétés sont affichées mais aussi les anciennes. Ce qui permet de tracer complètement les modifications. Ce paramètre correspond au niveau de journalisation le plus détaillé.
  4. Pour les projets multi-utilisateurs, la capacité de saisir un commentaire peut être déverrouillée automatiquement pour l'accès en écriture via la propriété Permettre automatiquement les modifications ;
    ce paramètre est désactivé par défaut, car il peut significativement affecter les performances du système.

Protection de l'historique des modifications

L'accès des utilisateurs à la fonction d'activation/de désactivation de l'historique des modifications peut être protégé. Pour cela :

  1. Accédez au groupe Gestion utilisateur dans les propriétés du projet.
  2. Cliquez dans le champ de la propriété Autorisations sur fonctions.
  3. La boîte de dialogue de modification de l'autorisation des fonctions s'ouvre.
  4. Sélectionnez Activer/désactiver l'historique des modif. pour le niveau d'autorisation souhaité.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Historique des modifications


Barre d'outils et menu contextuel de la vue de détail Historique des modifications

Manuels -> Historique des modifications -> Configuration dans l'Éditeur -> Barre d'outils et menu contextuel de la vue de détail Historique des modifications

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu contextuel

Élément de menu | Action
Filtre Module | Définit le filtre pour le module de l'entrée sélectionnée.
Filtre Objet | Définit le filtre pour l'objet de l'entrée sélectionnée.
Activer filtres étendus | Active la propriété de développement des paramètres de filtres étendus.
Désactiver filtres étendus | Supprime les paramètres des filtres étendus et désactive la propriété de développement des paramètres de filtres étendus.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Copier | Copie l'entrée sélectionnée vers le presse-papier.
Supprimer | Supprime les entrées sélectionnées.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Exporter CSV (sélection) | Exporte les entrées sélectionnées sous forme de fichier CSV.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. La cellule sélectionnée dans une ligne peut être identifiée grâce au symbole représentant des jumelles dans l'en-tête.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Aide | Ouvre l'aide en ligne.


Données enregistrées

Manuels -> Historique des modifications -> Données enregistrées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si l'historique des modifications est activé, les modifications sont affichées dans la vue de détail du Gestionnaire de projet, conformément aux paramètres sélectionnés. La première entrée de l’historique des modifications documente l’activation de cette fonctionnalité. Lors de la désactivation, la dernière entrée est la désactivation de l'historique des modifications.

Entrée

Description

État

État de l'objet pour les projets multi-utilisateurs.

Vert : l'objet comporte l'état Autoriser les modifications.

Vide. l'objet comporte l'état Appliquer les modifications.

Date / Heure

Date et heure.

Action

Type d'interférence. Valeurs possibles :

  • Nouveau
  • Modifié
  • Supprimé
  • Nouveau – VBA
  • Modifié – VBA
  • Supprimé – VBA

Module

Le module (par exemple PFS, Archive, Rapport, etc.) dans lequel les modifications ont été effectuées.

Objet

L'objet qui a été modifié.

Élément

L'élément qui a été modifié. L'enregistrement contient le nom défini dans la propriété Nom d'élément.

Propriété

La propriété des objets/éléments modifiés.

Ancienne valeur

La valeur de la propriété avant les modifications.

Disponible uniquement si vous avez sélectionné l'option Modification de valeur dans la propriété de projet Niveau de détails.

Nouvelle valeur

Valeur de la propriété après la modification.

Disponible uniquement si, sous Niveau de détails dans les paramètres du projet,

le paramètre Propriétés ou Modifications de valeurs a été sélectionné.

Utilisateur

L'utilisateur ayant effectué les modifications. Si la gestion d'utilisateurs n'est pas activée ou aucun utilisateur n'est authentifié, l'utilisateur Windows est affiché et entré dans l'historique.

Ordinateur

Nom de l'ordinateur où les modifications ont été faites.

Commentaire

Texte libre

Vous pouvez trier les colonnes à votre convenance en effectuant un glisser-déposer. Chaque colonne peut être filtrée pour afficher certains contenus.

Remarque : si vous modifiez certaines propriétés ouvrant une boîte de dialogue de paramètres supplémentaires, toutes les modifications ne sont pas enregistrées.
Par exemple : dans le module Batch Control, vous pouvez modifier un paramètre lié à une phase via une formule. Cette modification n'est pas enregistrée. Si vous modifiez la formule, en revanche, la modification est enregistrée.

Autres sujets abordés dans ce chapitre

Filtrage des données


Filtrage des données

Manuels -> Historique des modifications -> Données enregistrées -> Filtrage des données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il existe deux solutions pour filtrer la liste de l'historique des modifications :

  1. Filtrage amélioré de l'historique des modifications
  2. Filtrage de la vue de liste

Filtrage amélioré de l'historique des modifications

Vous pouvez accéder au filtrage amélioré par le biais du menu contextuel du Gestionnaire de projet, mais également dans la vue de détail.

Paramètres | Description
Nombre maximal d'entrées : | Définit le nombre maximal d'ensemble de données affichés dans la liste. 0 : nombre illimité. Par défaut : 1000
Période de temps | Autorise le filtrage pendant une période de temps spécifiée, depuis ou jusqu'à un certain point dans le temps. Actif : seules les entrées de la période de temps spécifiée sont affichées. Par défaut : Désactivée.
A partir de | La date et l'heure après lesquelles les modifications doivent être affichées.
À | La date et l'heure jusqu'auxquelles les modifications doivent être affichées.


Actions enregistrées

Manuels -> Historique des modifications -> Actions enregistrées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'historique des modifications, les informations suivantes sont consignées :

Objet

Modifications

zenon Logic
  • zenon Logic – Nouveau projet
  • zenon Logic – Suppression de projet
  • zenon Logic – Modification de projet

Archives
  • Nouvelle archive
  • Supprimer une archive
  • Modifier une archive
  • Ajouter variable
  • Supprimer une variable

Utilisateurs
  • Nouvel utilisateur
  • Supprimer un utilisateur
  • Modifier un utilisateur

Synoptiques
  • Nouveau synoptique
  • Suppression de synoptique
  • Modification de synoptique

Fichiers
  • Ajouter un fichier
  • Supprimer un fichier
  • Modifier un fichier

Type de données
  • Nouveau type de données
  • Supprimer un type de donnée
  • Modifier un type de donnée

Éléments dynamiques/Éléments vectoriels
  • Nouvel élément
  • Supprimer un élément
  • Modifier un élément

Fonctions
  • Nouvelle fonction
  • Supprimer une fonction
  • Modifier une fonction

Menus
  • Nouveau menu principal
  • Supprimer un menu principal
  • Modifier un menu principal
  • Nouveau menu contextuel
  • Supprimer un menu contextuel
  • Modifier un menu contextuel

Gestion de messages
  • Lors de l'enregistrement de modifications

Moteur de contrôle de procédés (PCE : Process Control Engine)
  • Lors de l'enregistrement de modifications

Projet
  • Déplacer un projet dans l'arbre des projets.

Sauvegarde projet
  • Création d'une sauvegarde de projet comportant un numéro de version.

Matrices de réaction
  • Nouvelle matrice de réaction
  • Supprimer une matrice de réaction
  • Modifier une matrice de réaction

Rapport
  • Nouveau rapport
  • supprimer un rapport
  • Modifier un rapport (lors de la sauvegarde)

Recette
  • Nouvelle recette
  • Supprimer recette
  • Modifier une recette
  • Ajouter variable
  • Supprimer une variable
  • Modifier la valeur

Groupes de recettes
  • Nouveau groupe de recettes
  • Supprimer groupe de recettes
  • Modifier un groupe de recettes
  • Nouvelle recette
  • Modifier une recette
  • Supprimer recette
  • Ajouter variable
  • Supprimer une variable
  • Modifier la valeur
  • Modifier la source
  • Modifier le type de source

Cadres
  • Nouveau cadre
  • Suppression de cadre
  • Modification de cadre

Planning
  • Lors de l'enregistrement de modifications

Polices
  • Nouvelle police
  • Supprimer une police
  • Modifier une police

Scripts
  • Nouveau script
  • Supprimer un script
  • Modifier un script

Table de langues
  • Nouvelle entrée
  • Supprimer une entrée
  • Modifier une entrée

Drivers
  • Nouveau driver
  • Supprimer un driver
  • Modifier un driver

VBA
  • Lorsque les modifications sont enregistrées dans l'Éditeur VBA, une entrée est générée.

Variables
  • Nouvelle variable
  • Supprimer une variable
  • Modifier une variable

Verrouillages
  • Nouveau verrouillage
  • Modifier un verrouillage
  • Supprimer un verrouillage
  • Nouvelle variable
  • Supprimer une variable

Commandes temporisées
  • Nouvelle commande temporisée
  • Supprimer une commande temporisée
  • Modifier une commande temporisée


Exporter données

Manuels -> Historique des modifications -> Exporter données

Les données l'historique des modifications peuvent être exportées sous forme de fichier XML ou CSV.

Pour exporter les données :

  1. Sélectionnez les entrées souhaitées
    (pour effectuer une sélection multiple, utilisez les combinaisons de touches Ctrl + bouton gauche, Maj + bouton gauche ou Ctrl+A).
  2. Sélectionnez le format d'exportation souhaité (XML ou CSV) dans le menu contextuel.
  3. La boîte de dialogue de sélection de l'emplacement de sauvegarde du fichier s'affiche à l'écran.
  4. Saisissez un nom de fichier et confirmez en cliquant sur Enregistrer.

Remarque : les en-têtes des entrées dans les données exportées sont en anglais.


Import - Export

Manuels -> Import - Export

Des sections d'un projet (par ex. fonctions, variables, synoptiques, etc.) peuvent être importées dans zenon ou exportées depuis zenon. Vous pouvez ainsi utiliser, enregistrer ou modifier des éléments au niveau externe, dans d'autres projets.

tutorial Informations concernant la licence

Les fonctions d'importation et d'exportation sont intégrées à la licence standard, pour la plupart des formats.

Exception : la fonction d'exportation au format SQL nécessite une licence supplémentaire.

Autres sujets abordés dans ce chapitre

Généralités

Archives

Synoptiques

Utilisateurs

Type de données

Fonctions

Menus

Matrices de réaction

Recettes standard

Groupes de recettes

Variables

Verrouillages

Commandes temporisées

Attributions

Messages d'erreur


Généralités

Manuels -> Import - Export -> Généralités

Les données exportées peuvent être éditées par un outil externe et être importées dans le même projet ou dans un autre projet.

attention Attention

Limitations :

  • Formules :
    L'importation et l'exportation au format CSV ou dBase n'autorisent pas l'utilisation de configurations de variables spécifiques aux pilotes, telles que les formules. Ces dernières doivent être exportées et importées au format XML.
  • Langage XML et rétrocompatibilité :
    L'importation/l'exportation au format XML n'autorise pas de rétrocompatibilité. Les données provenant de versions antérieures de zenon ne peuvent pas être reprises. Le transfert de données des versions récentes vers les versions antérieures n'est pas pris en charge.

Les fonctionnalités suivantes sont disponibles pour l'import / export :

  • Définition de variable
    • Type de données
    • Matrices de réaction
    • Attributions
  • Synoptiques
    • Cadres
    • Polices
  • Fonctions
    • Fonctions - Scripts
  • Le serveur d'archives
  • Recettes standard
  • Gestionnaire de groupes de recettes
  • Commandes temporisées
  • Verrouillages
  • Gestion des menus
  • Gestion utilisateurs

Ici vous pouvez exporter soit tous les objets d'un type, soit seulement ceux sélectionnés.

  • Tous les objets : Sélectionnez le dossier dans le gestionnaire de projet >Menu contextuel, entrée 'Exporter XML tous ...'
  • Objets sélectionnés Sélectionnez un ou plusieurs objets dans l'affichage détaillé >Menu contextuel, entrée "Exporter XML (sélection) ..."

Lors de l'import / export, les objets sont identifiés par leurs noms et non par leur ID interne, c'est à dire que si des objets sont importés dans un autre projet, ils n'auront pas le même ID interne !

Durant l'importation, une barre de progression affiche l'état de l'importation/exportation.

attention Attention

Si un élément dans le projet et un élément dans le fichier d’import ont le même nom, alors l’élément dans le projet est écrasé par l’élément du fichier d’import. (Les seules exceptions sont les types de donnée)

Les propriétés des objets sont listées dans le fichier d'export avec leur nom interne, qui est aussi utilisé pour l'accès depuis VBA.

Les propriétés sont décrites en détail dans l'aide relative aux propriétés de l'Éditeur.

Les propriétés qui n'existent pas dans le fichier d'import (par exemple, parce qu'elles ont été supprimées), sont remplies avec les valeurs par défaut pour les éléments qui n'existent pas dans le projet et qui sont donc créés. Si les éléments existent déjà dans le projet, les propriétés manquantes restent inchangées.

Example Exemple

Une variable est importée une première fois sans décalage. Le décalage est donc initialisé avec la valeur par défaut 0. Avec l'importation au format S7, le décalage est modifié en 100. La variable est ensuite réimportée ; le décalage est toujours absent dans le fichier d'importation. Et donc l'offset 100 ne sera pas modifié.

attention Attention

Le fichier XML à importer doit être cohérent. Il n'y a pas de contrôle de cohérence lors de l'import du fichier. S'il y a des erreurs dans le fichier d'import, ceci peut avoir des effets indésirables, voire même des crashs de l'éditeur.

Vous devez faire particulièrement attention si toutes les propriétés n’existent pas dans le fichier XML et sont donc remplies avec des valeurs par défaut. Par exemple : Une variable binaire comporte une limite de 300.


Archives

Manuels -> Import - Export -> Archives

Le fichier d'exportation destiné aux archives comporte les sections suivantes :

Liste d'archives

Lors de l'exportation/importation d'archives, les variables et/ou fonctions liées ne sont pas automatiquement exportées/importées. Vous devez veiller à ce que les variables resp. les fonctions nécessaires soient exportées / importées avant. Vous pouvez exporter / importer toutes les archives en une seule fois ou alors seulement les archives sélectionnées.


Synoptiques

Manuels -> Import - Export -> Synoptiques

Exportation de synoptiques

Les variables et les fonctions incluses sont exportées avec les synoptiques. Le fichier d'exportation pour les synoptiques comporte les sections suivantes :

  • Synoptiques
  • Cadres
  • Symboles
  • Variables
  • Fonctions

Pour exporter des synoptiques :

  1. Sélectionnez les synoptiques de votre choix.
  2. Sélectionnez Exporter XML (sélection)... dans le menu contextuel de la vue de détail.
    Vous pouvez également sélectionner, dans le nœud Synoptique, la commande Exporter XML (tout)....
  3. La boîte de dialogue de sélection de l'emplacement d'enregistrement s'ouvre
  4. Sélectionnez l'emplacement d'enregistrement de votre choix
  5. Attribuez un nom
  6. Prêtez attention au type de fichier XML
  7. Confirmez en cliquant sur le bouton Enregistrer

Les synoptiques sélectionnés sont exportés vers un fichier XML, et peuvent être importés à tout instant dans ce projet ou d'autres projets.

Importation de synoptiques

Pour importer les synoptiques :

  1. Dans le menu contextuel du nœud Synoptiques ou la vue de détail Synoptiques, sélectionnez la commande Importer XML...
  2. La boîte de dialogue de sélection de l'emplacement d'enregistrement s'ouvre
  3. Accédez à l'emplacement d'enregistrement du fichier XML souhaité
  4. Sélectionnez le fichier de votre choix
  5. Confirmez l'importation en cliquant sur le bouton Ouvrir.

Les synoptiques sont importés.

Conflits de noms durant l'importation

Lors de l'importation d'un synoptique, le nom (attribut ShortName) conservé dans le fichier XML est utilisé pour le nom du synoptique créé. Si un synoptique portant le même nom existe déjà, l'importation est interrompue et un message d'erreur est affiché :

Paramètres | Description
Oui | Le synoptique décrit dans le message d'erreur est remplacé par le synoptique du fichier XML lors de l'importation. En cas de nouveau conflit, le message d'erreur est affiché une nouvelle fois.
Non | Le synoptique décrit dans le message d'erreur n'est pas importé. Le synoptique existant est conservé. En cas de nouveau conflit, le message d'erreur est affiché une nouvelle fois.
Yes, all (Oui, tous) | Le synoptique décrit dans le message d'erreur est remplacé par le synoptique du fichier XML lors de l'importation. Ce paramètre est utilisé automatiquement lorsqu'une erreur liée à l'utilisation du même nom se produit. Tous les synoptiques affectés sont remplacés.
No, all (Non pour tous) | Le synoptique décrit dans le message d'erreur n'est pas importé. Le synoptique existant est conservé. Ce paramètre est utilisé automatiquement lorsqu'une erreur liée à l'utilisation du même nom se produit. Tous les synoptiques affectés sont conservés.

Remarque : seul l'attribut ShortName est utilisé. Le nom de fichier n'a aucune importance au regard des synoptiques devant être importés. Il ne peut donc pas être utilisé pour résoudre le conflit.

Variables et fonctions dans les synoptiques

Les éléments dynamiques et les cadres sont automatiquement importés avec les synoptiques. Les variables et les fonctions doivent être importées manuellement avant, à partir du même fichier.

Seules les variables et fonctions du premier niveau sont traitées, i.e. les variables et fonctions qui sont directement liées au synoptique. Comme, des variables peuvent être liées à des fonctions (par exemple : envoi de valeur) et que des fonctions peuvent être liées aux variables (par exemple sur les limites), il peut être nécessaires d'importer d'abord les variables, puis les fonctions et à nouveau les variables. Ainsi tous les liens seront recréés correctement.

Exemple : Un synoptique contient un bouton avec une fonction Envoi de valeur vers une variable. La fonction est importée avec le synoptique, mais sans la variable.

info Info

Nous recommandons ici l'utilisation des assistants d'importation XML.

Autres sujets abordés dans ce chapitre

Cadres

Polices

Symboles


Cadres

Manuels -> Import - Export -> Synoptiques -> Cadres

Les cadres peuvent être importés / exportés indépendamment des synoptiques.

Les cadres sont exportés avec leurs coordonnées d'origine (dépendant de la résolution de l'écran de l'ordinateur d'origine). Lors de l'importation, vous devez être conscient que les cadres ne sont pas automatiquement adaptés à la résolution de l'écran cible.


Polices

Manuels -> Import - Export -> Synoptiques -> Polices

Lors de l'exportation de polices, les informations suivantes sont exportées :

  • Liste de polices
  • Polices

Toutes ces données sont automatiquement importées avec les polices.


Symboles

Manuels -> Import - Export -> Synoptiques -> Symboles

L'importation/exportation des symboles est possible à partir du projet et de la bibliothèque globale de symboles. Les symboles sélectionnés ou tous les symboles d'une bibliothèque (c'est-à-dire la bibliothèque complète) peuvent être importés ou exportés. Le chemin d'exportation peut être défini librement.

Exportation de symboles

Pour exporter des symboles :

  1. Sélectionnez les symboles de votre choix
  2. Sélectionnez Exporter XML (sélection)... dans le menu contextuel ou la vue de détail.
    Vous pouvez également procéder ainsi : Dans le menu contextuel du nœud Bibliothèque de symboles du projet, sélectionnez la commande Exporter XML (tout)....
  3. La boîte de dialogue de sélection de l'emplacement d'enregistrement s'ouvre
  4. Sélectionnez l'emplacement d'enregistrement de votre choix
  5. Attribuez un nom
  6. Prêtez attention au type de fichier XML
  7. Confirmez en cliquant sur le bouton Enregistrer

Les symboles sélectionnés sont exportés vers un fichier XML, et peuvent être importés à tout instant dans ce projet ou d'autres projets.

Importation de symboles

Pour importer des symboles :

  1. Dans le menu contextuel du nœud ou la vue de détail de la Bibliothèque de symboles du projetn ou dans la vue de détail de la Bibliothèque de symboles globale, sélectionnez la commande Importer XML....
  2. La boîte de dialogue de sélection de l'emplacement d'enregistrement s'ouvre
  3. Accédez à l'emplacement d'enregistrement du fichier XML souhaité
  4. Sélectionnez le fichier de votre choix
  5. Confirmez l'importation en cliquant sur le bouton Ouvrir.

Les symboles sont importés.

Conflits de noms durant l'importation

Lors de l'importation d'un symbole, le nom (attribut ShortName) conservé dans le fichier XML est utilisé pour le nom du symbole créé. Si un symbole portant le même nom existe déjà, l'importation est interrompue et un message d'erreur est affiché :

Paramètres | Description
Oui | Le symbole décrit dans le message d'erreur est remplacé par le symbole du fichier XML lors de l'importation. En cas de nouveau conflit, le message d'erreur est affiché une nouvelle fois.
Non | Le symbole décrit dans le message d'erreur n'est pas importé. Le symbole existant est conservé. En cas de nouveau conflit, le message d'erreur est affiché une nouvelle fois.
Yes, all (Oui, tous) | Le symbole décrit dans le message d'erreur est remplacé par le symbole du fichier XML lors de l'importation. Ce paramètre est utilisé automatiquement lorsqu'une erreur liée à l'utilisation du même nom se produit. Tous les symboles affectés sont remplacés.
No, all (Non pour tous) | Le symbole décrit dans le message d'erreur n'est pas importé. Le symbole existant est conservé. Ce paramètre est utilisé automatiquement lorsqu'une erreur liée à l'utilisation du même nom se produit. Tous les symboles affectés sont conservés.

Remarque : seul l'attribut ShortName est utilisé. Le nom de fichier n'a aucune importance au regard du symbole devant être importé. Il ne peut donc pas être utilisé pour résoudre le conflit.


Utilisateurs

Manuels -> Import - Export -> Utilisateurs

Le fichier d'export pour les utilisateurs a les sections suivantes :

Liste des utilisateurs

Les utilisateurs locaux, qui ont été créés dans le projet, peuvent être exportés / importés.

attention Attention

Les mots de passe des utilisateurs sont exportés dans un format crypté. Ainsi ils ne peuvent pas être modifiés directement dans le fichier d'export.


Type de données

Manuels -> Import - Export -> Type de données

Le fichier d'exportation des types de données comporte les sections suivantes :

Liste de types de données

Voir aussi le chapitre : Import des variables et des types de données.

Autres sujets abordés dans ce chapitre

Création manuelle de types de données


Création manuelle de types de données

Manuels -> Import - Export -> Type de données -> Création manuelle de types de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

attention Attention

Seulement pour les experts

Si un type de données doit être défini manuellement dans un fichier XML, les en-têtes suivants doivent être utilisés :

info Info

<Apartment ShortName=' zenOn(R) type list' Version=' 0x00000000' >
<Type TypeID=' 3' IsComplex=' FALSE' >
<Name>UINT</Name>
</Type>
</Apartment>

Les autres propriétés de définition de types ne doivent pas être définies.


Fonctions

Manuels -> Import - Export -> Fonctions

Lors de l'export / import des fonctions, les variables, etc. liées ne sont pas automatiquement exportées / importées. Vous devez veiller à ce que les objets nécessaires soient exportées / importées avant.

info Info

A partir de la version 6.50 de zenon, les informations horaires sont enregistrées dans une fonction à base de XML au format UTC (secondes à partir du 01.01.1970, 00:00). Ceci affecte par exemple les fonctions telles que les appels de synoptique sur les types de synoptiques suivants :

  • Liste d'alarmes
  • Filtre de liste de messages d'alarme
  • Maintenance de l'archive
  • Liste chronologique d'événements
  • Filtre de liste chronologique d'événements
  • Tendance étendue
  • Module PFS (Production & Facility Scheduler)
  • Rapport
  • Filtre de temps

Pour les versions de zenon antérieures à la version 6.50, ces informations sont enregistrées dans un format à base de chaîne (par exemple, 02.01.1970 01:00:00).

Autres sujets abordés dans ce chapitre

Scripts


Scripts

Manuels -> Import - Export -> Fonctions -> Scripts

Le fichier d'export pour les scripts a les sections suivantes :

Liste de scripts

Lors de l'export / import des scripts, les fonctions liées ne sont pas automatiquement exportées / importées. Vous devez veiller à ce que les fonctions nécessaires soient importées / exportées avant.

Chaque script a sa propre section dans le fichier d'export contenant le nom du script et les noms des fonctions liées.


Menus

Manuels -> Import - Export -> Menus

Le fichier d'export pour les menus a les sections suivantes :

Liste des menus

Lors de l'export / import des menus, les variables, les fonctions, les pages d'aide et les macros liées ne sont pas automatiquement exportées / importées. Vous devez veiller à ce que les variables et/ou les fonctions nécessaires soient exportées / importées avant.


Matrices de réaction

Manuels -> Import - Export -> Matrices de réaction

Le fichier d'export pour les matrices de réaction a les sections suivantes :

Liste des matrices de réaction


Recettes standard

Manuels -> Import - Export -> Recettes standard

Le fichier d'export pour les recettes standard a les sections suivantes :

Liste recettes

Liste de variables

Liste des drivers

Liste des types de données

Les variables incluses sont exportées avec les recettes standard. Les recettes sont importées automatiquement. Les variables doivent être importées manuellement avant à partir du même fichier.

En plus de l'import / export XML, les recettes standard peuvent aussi être importées au format ASCII.
Attention : La fonction d'importation au format ASCII permet uniquement d'importer les recettes individuellement.

C'est la valeur du signal automate des variables de la recette qui est sauvegardée et non la valeur avec l'ajustement linéaire (celle visualisée dans les synoptiques). Cette valeur est utilisée en VBA et pour l'export de recettes en XML.


Groupes de recettes

Manuels -> Import - Export -> Groupes de recettes

Le fichier d'export pour les recettes du gestionnaire de groupes de recettes a les sections suivantes :

  • Liste des groupes de recettes

Lors de l'export / import des groupes de recettes et de leurs recettes, les variables liées ne sont pas automatiquement exportées / importées. Faites attention à ce que les variables nécessaires soit exportées / importées avant.

Le fichier XML est basé sur les groupes de recettes, i.e. chaque groupe de recettes est importé (avec ses variables, ses recettes et ses valeurs de recettes). Après un import, les valeurs existant dans les recettes, et qui ne sont pas dans le fichier d'import, seront conservées. De même pour les recettes et les variables utilisées.

Lors de l'import d'une seule recette d'un groupe de recette, ce qui suit s'applique : le groupe concerné doit être sélectionné. Si ce n'est pas le cas, un message d'erreur est affiché dans la fenêtre de suivi.

info Info

En plus du langage XML, le gestionnaire de groupes de recettes prend également en charge l'importation de recettes au format ASCII.
Attention : La fonction d'importation au format ASCII permet uniquement d'importer les recettes individuellement.


Variables

Manuels -> Import - Export -> Variables

Les variables peuvent être exportées et importées avec zenon :

  • XML: exportation et importation ; durant l'importation, les fichiers sont analysés et, en cas de conflit, des solutions sont proposées.
  • CSV : Exportation et Importation ; durant l'importation, les données actuelles sont remplacées.
  • DBF : Exportation et Importation ; durant l'importation, les données actuelles sont remplacées.
  • S7 : Import
  • Projets TwinCAT : Import

info Info

Lors de l'importation/l'exportation au format CSV, aucune variable complexe (variables de structure, arrays) ne peuvent être importées ou exportées.

Exporter

Le fichier d'export pour les variables a les sections suivantes :

  • Liste de variables
  • Liste des drivers
  • Liste de types de données

Les drivers et les types de données sont exportés avec les variables. Reportez-vous également au manuel Variables, chapitre Exportation de données.

attention Attention

Dans le fichier XML, il doit absolument y avoir au moins un driver, sinon aucune variable n'est importée ! Veuillez noter aussi que le paramétrage du driver dans le fichier XML est dépendant du projet.

Import

Lors de l'importation des variables, zenon ouvre une boîte de dialogue dans laquelle les drivers source du fichier XML peuvent être attribués aux drivers cible dans le projet. Toutes les variables du driver source sont alors importées en tant que variables du driver cible. Les types de donnée sont automatiquement importés avec les variables. Les drivers doivent avoir été créés dans le projet avant l'import. Voir le chapitre Importation des variables et des types de données.

attention Attention

Les modifications concernant les variables sont rassemblées dans une liste non triée. Par conséquent, lors de l'importation, une seule modification peut être reprise pour chaque variable. Si plusieurs modifications doivent être reprises, plusieurs procédures d'importation doivent être réalisées.

Exemple : Si la même variable est renommée et supprimée durant la même procédure d'importation, l'importation peut également aboutir à la présence d'une variable non supprimée, mais renommée dans le projet.

Importation de variables de structure :

Structures

Les structures qui diffèrent des structures existantes peuvent être importées dans des structures déjà existantes. Les variables reposant sur celles-ci sont adaptées automatiquement.

  • Les éléments de structure sont identifiés par leur nom.
  • Avec les éléments de structure déjà existants, le type est adapté si nécessaire.
  • Les éléments non existants sont ajoutés.
  • Les éléments qui n'existent pas dans le type de données de structure sont supprimés.

Variables inactives

Lors de l'importation des variables de structure, les variables actives et inactives sont importées. Les importations existantes ne sont pas remplacées durant l'importation. Si une variable inactive est importée dans un projet, puis activée, elle reste active même après une nouvelle importation au format XML.

Autres sujets abordés dans ce chapitre

Importation et exportation des variables et des types de données

Importer XML

Importer CSV

Exportation au format CSV

Projets S7

Importation et exportation au format dBase


Importation et exportation des variables et des types de données

Manuels -> Import - Export -> Variables -> Importation et exportation des variables et des types de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'importation/l'exportation de variables, les conditions suivantes s'appliquent :

  • La procédure d'importation/exportation ne doit pas être lancée depuis le projet global.
  • La procédure doit être lancée par l'intermédiaire des éléments suivants :
    • Menu contextuel des variables ou types de données dans l'arborescence du projet
    • Menu contextuel d'une variable ou d'un type de données
    • Symbole dans les variables de la barre de symboles

attention Attention

Lors de l'import / l'écrasement d'un type existant, toutes les variables basées sur le type de données existant sont modifiées.

Exemple :

Soit un type de données XYZ basé sur le type INT avec des variables liées à ce type de données. Le fichier XML à importer contient également un type de données nommé XYZ, mais basé sur le type STRING. Si ce type de données est importé, le type existant est écrasé et le type est modifié pour toutes les variables liées, c'est-à-dire que toutes les variables deviennent des variables de type STRING, et non plus de type INT.


Importer XML

Manuels -> Import - Export -> Variables -> Importer XML

Lors de l'importation de variables ou de types de données, ces éléments sont analysés par zenon en fonction de l'attribution des drivers. L'utilisateur peut ensuite décider ce qu'il souhaite faire des variables et types de données correspondants :

  • Importer
  • Écraser
  • Ne pas importer

Seules les actions 'raisonnables' sont proposées.

Les conflits suivants empêchent l'import :

  • Le type de données existe déjà et la variable liée ne peut pas être convertie avec le type de données que vous souhaitez importer.
  • Le type de données est un type complexe et les éléments du type existant sont différents des éléments du type à importer en termes de nombre ou de nom.
  • Le type de données est complexe et contient les mêmes éléments, mais les éléments ont un type différent qui ne permet pas la conversion des variables liées.
  • Le type de variable ne peut pas être importé (voir ci-dessus).
  • Le type de variable diffère du type de variable existant (simple/complexe).
  • L'attribution du driver pour la variable est incorrect (le driver attribué ne supporte pas le type de données correspondant et/ou le domaine concerné).

Paramètres

Description

Éléments à importer

Dresse la liste de toutes les variables et types de données devant être importés. Pour les variables complexes, les variables simples correspondantes sont représentées. Les types structure peuvent être étendus et les éléments de structure sont affichés à titre d'information.

Des symboles indiquent si l'élément peut être importé (coche verte) ou non (X rouge), ou si un conflit doit être résolu (symbole bleu).

Détails de l'import :

décrit l'état de l'importation et propose des solutions de résolution du conflit.

Description

Décrit l'état de l'élément.

Actions possibles

Décrit les actions possibles.

Action

Une liste déroulante avec les actions possibles et l'action couramment sélectionnée. S'il n'y a qu'une seule action possible, elle est sélectionnée et ne peut être changée.

Importer un nouveau type de donnée / une nouvelle variable

La variable / le type de données n'existe pas encore. Il sera créé lors de l'importation. (Par défaut)

Aucune intervention de l'utilisateur n'est possible.

Do not import data type/variable (Ne pas importer le type de données/la variable)

La variable/le type de données existe déjà et il y a des conflits.

Aucune intervention de l'utilisateur n'est possible.

Import data type/variable (Importer le type de données/la variable)

La variable/le type de données existe déjà et il n'y a aucun conflit.

L'utilisateur peut décider si la variable / le type doit être écrasé(e) ou ne pas être importé(e). Par défaut, la variable/le type de données est remplacé.

Limitations

  • Cohérence

    Le fichier XML à importer doit être cohérent. Il n'y a pas de contrôle de cohérence lors de l'import du fichier. S'il y a des erreurs dans le fichier d'import, ceci peut avoir des effets indésirables, voire même entraîner un blocage de l'Éditeur.

    Vous devez faire particulièrement attention si toutes les propriétés n’existent pas dans le fichier XML et sont donc remplies avec des valeurs par défaut. Par exemple : Une variable binaire comporte une limite de 300.

  • Compatibilité descendante

    Lors de l'importation/exportation au format XML, aucune rétrocompatibilité n'est offerte. Les données provenant de versions antérieures de zenon ne peuvent pas être reprises. Le transfert de données des versions récentes vers les versions antérieures n'est pas pris en charge.

  • Types structure

    Les données de type Structure doivent comporter un nombre d'éléments structure identiques. Si, par exemple, des données de type Structure dans le projet comportent trois éléments structurels, un type de données portant le même nom dans le fichier XML, mais quatre éléments structurels, aucune des variables basées sur ce type de données n'est dans le fichier d'exportation n'est importée dans le projet.

Autres sujets abordés dans ce chapitre

Attribuer un driver

Attribuer une zone

Traitement des erreurs lors de l'importation

Édition manuelle de fichiers XML de variables


Attribuer un driver

Manuels -> Import - Export -> Variables -> Importer XML -> Attribuer un driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La commande Importer ouvre la boîte dialogue d'attribution de drivers :

Paramètres | Description
Table d'attribution | Affiche l'attribution actuelle.
Allocate driver object type (Attribuer un type d'objet de driver) | Ouvre la boîte de dialogue d'attribution des types d'objets de drivers.
Cancel driver allocation (Annuler l'attribution des drivers) | Dissocie les attributions existantes.
Liste des drivers | Dresse la liste de tous les drivers existants du projet.
Créer un nouveau driver | Pour créer un nouveau driver, ouvrez la boîte de dialogue correspondante :
Attribuer un driver | Attribue le driver sélectionné dans la liste de drivers au driver sélectionné dans la table d'attribution.
OK | Applique les paramètres, ferme la boîte de dialogue et démarrer l'importation.
Annuler | Abandonne les paramètres et ferme la boîte de dialogue sans effectuer l'importation.
Aide | Ouvre l'aide en ligne.

Créer un nouveau driver

Durant l'importation, vous pouvez créer et attribuer de nouveaux drivers à l'aide du bouton Nouveau driver. Cela ouvre la boîte de dialogue de création et de configuration des nouveaux drivers.


Attribuer une zone

Manuels -> Import - Export -> Variables -> Importer XML -> Attribuer une zone

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètre | Description
Table d'attribution | Affiche l'attribution actuelle.
Cancel allocation (Annuler une attribution) | Dissocie les attributions existantes.
Type d'objet de driver du driver cible | Liste des types d'objet de driver disponibles.
Allocate driver object type (Attribuer un type d'objet de driver) | Attribue le type d'objet de driver sélectionné au type d'objet de driver sélectionné dans la table d'attribution.
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Abandonne les paramètres et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Traitement des erreurs lors de l'importation

Manuels -> Import - Export -> Variables -> Importer XML -> Traitement des erreurs lors de l'importation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si des incompatibilités sont détectées lors de la procédure d'importation de la variable, la boîte de dialogue de résolution de l'erreur s'affiche.

Paramètres | Description
Éléments à importer | Liste des éléments à importer. Les éléments ayant provoqué un incident sont affichés en surbrillance.
Détails de l'import : | Détails concernant la procédure d'importation.
Description | Description de l'erreur.
Actions possibles | Description des actions pouvant être définies pour cette erreur.
Actions | Liste déroulante de sélection de l'action souhaitée.
OK | Appliquer les actions, ferme la boîte de dialogue et importe les variables.
Annuler | Abandonne l'entrée et annule l'importation des variables.


Édition manuelle de fichiers XML de variables

Manuels -> Import - Export -> Variables -> Importer XML -> Édition manuelle de fichiers XML de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fichiers XML peuvent être édités avec un programme externe après l'exportation et/ou avant l'importation.

attention Attention

Nous recommandons que les fichiers XML soient édités uniquement par des experts.
Des importations de fichiers incorrects peuvent conduire à une corruption ou une destruction de votre projet ! Par conséquent, veillez toujours à enregistrer votre projet de l'éditer.

La définition de l'entête doit contenir les propriétés suivantes :

Paramètres | Description
ShortName | Nom de la variable
DriverID | Driver ID (Identifiant de driver) Considérez que l'identification de chaque driver dépend du projet. Vous pouvez obtenir l'identification exacte du driver en créant le driver et une variable associée à ce driver dans le projet, puis en l'exportant en XML.
TypeID | ID du type de données. Attention : l'élément TypeID dépend aussi du projet. Pour plus de détails, reportez-vous au chapitre relatif à l'importation de types de données.
HWObjectType | Identification du type d'objet de driver On définit ici la zone concernée sur l'automate, par ex. la zone de bloc de données, les données de l'automate, entrées, sorties etc. Tous les types d'objets ne sont pas supportés par tous les drivers. Veuillez consulter la documentation du driver correspondant pour connaître la liste des types d'objets qu'il supporte. Les identifications correctes sont listées dans la catégorie "tpKanaltypes" dans le catalogue d'objets en VBA.
HWObjectName | Nom du type d'objet driver Information redondante du HWObjectType. Cette propriété ne sert qu'à titre d'information.
IsComplex | TRUE = variable structurelle FALSE = variable simple
Matrix | Nom de la matrice de réaction liée Cette propriété est vide si aucune matrice de réaction n'est liée.

Trois exemples de syntaxes pour l'édition de fichiers XML :

No. | Exemple | Expression | Commentaire
1. | Création d'une nouvelle variable avec l'import | <Variable ShortName='WIZ_VAR_10' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='PLC marker' IsComplex='FALSE' Matrix=''> |
2. | Suppression d'une variable existante avec l'import | <Variable ShortName='WIZ_VAR_10' Delete='TRUE' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='PLC marker' IsComplex='FALSE' Matrix='>> | Si la variable existait dans le projet zenon, vous pouvez la supprimer en utilisant l'attribut Delete. Assurez-vous que l'attribut n'est pas vide. Cela signifie qu'elle doit contenir, par exemple, TRUE ou FALSE. Sinon le contenu de cette entrée n'est pas évalué.
3. | Changement du nom d'une variable existante avec l'import | <Variable ShortName='WIZ_VAR_10' Delete='TRUE' DriverID='4' TypeID='2' HWObjectType='8' HWObjectName='SPS-Merker' IsComplex='FALSE' Matrix='' NewName='Standard_1'> | Lors d'une modification du nom, la variable est d'abord importée puis renommée. Cela signifie que vous pouvez modifier les propriétés de la variable et la renommer en même temps. S'il y a déjà une variable avec le nouveau nom, la modification du nom échoue. La fenêtre de sortie vous fournit d'autres informations.


Importer CSV

Manuels -> Import - Export -> Variables -> Importer CSV

zenon permet d'exporter les variables sous forme de fichiers CSV et de les importer depuis des fichiers CSV, par exemple aux fins de leur édition ultérieure dans Microsoft Excel. Les variables exportées au format CSV sont toujours enregistrées sous forme de fichiers TXT au format Unicode.

Si la limite de compatibilité de Microsoft Excel a été dépassée durant l'exportation et l'exportation a été effectuée malgré l'avertissement, le fichier TXT destiné à l'importation ne contiendra pas toutes les données exportées.

Spécification du format

  • Séparateur : Tabulation
  • Extension de fichier : .txt
  • Codage : le fichier exporté est codé au format Unicode. Le fichier devant être importé doit être codé au format Unicode, lui aussi.

info Info

L'importation et l'exportation au format CSV ou dBase sont pris en charge ; pas de configuration de variables spécifiques aux pilotes, tels que les formules. Utilisation de l'exportation/l'importation au format XML à cette fin.

Compatibilité avec Microsoft Excel

Exportation vers Excel

Pour l'importation correcte des variables exportées sous forme de fichiers CSV dans Microsoft Excel, gardez les aspects suivants à l'esprit :

  • Format :
    Pour que Microsoft Excel utilise le séparateur de décimales adéquat, vous devez définir le format dans les Paramètres régionaux de votre système d'exploitation sur Anglais. Attention : ce paramètre est obligatoire pour l'utilisation des séparateurs décimaux ; dans le cas contraire, les valeurs seront incorrectement interprétées et enregistrées.
  • Unicode :
    Les fichiers doivent être enregistrés dans Microsoft Excel au format Unicode text (.txt). Ils sont enregistrés sous forme de fichiers TXT. Dans les versions antérieures de Microsoft Excel, la description peut légèrement varier.
    Attention : Si vous utilisez un format différent, les données ne pourront pas être importées correctement !
  • Signe @ :
    Microsoft Excel n'interprète pas les cellules contenant le signe @ comme du texte, et peut donc ne pas en autoriser l'édition. Vous devez modifier le type (catégorie) de cellule de Standard en Texte pour modifier les cellules contenant des signes @. Pour cela,
    • Marquez la cellule ou la colonne.
    • Cliquez avec le bouton droit sur la cellule et sélectionnez la commande Format des cellules dans le menu contextuel.
    • Dans la boîte de dialogue, sélectionnez la catégorie Texte.
  • Valeurs maximales :
    • Microsoft Excel 97-2003 : 65536 lignes, 256 colonnes
    • Microsoft Excel 2007 : 1048576 lignes, 16384 colonnes

attention Attention

Si les nombres de 16 384 ou 256 colonnes et 1 048 576 ou 65 536 sont dépassés, une boîte de dialogue s'affiche, vous permettant d'exporter un nombre limité de propriétés dynamiques, le cas échéant. Si vous observez la limite, le programme exporte autant de propriétés dynamiques que possible.

Les propriétés statistiques ne sont pas limitées.

Si la suppression des propriétés dynamiques ne suffit pas, un message d'information supplémentaire s'affiche à l'écran.

Pour le nombre maximal de variables, vous devez également observer que l'en-tête occupe une ligne.

Importation depuis Excel

Lors de l'importation depuis Excel, vous ne devez pas supprimer la dernière ligne (ligne vide). Dans le cas contraire, le fichier CSV ne pourra pas être importé dans zenon.

Autres sujets abordés dans ce chapitre

Conditions requises

Suppression ou changement de nom d'une variable durant l'importation

Compatibilité avec Microsoft Excel

Exemple pour l'importation


Conditions requises

Manuels -> Import - Export -> Variables -> Importer CSV -> Conditions requises

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Définition des formats

Format | Contenu
VariableName | Le nom de la variable
DriverName | Description du driver disponible
DriverType | Type de driver disponible
HWObjectType | Numéro du driver Type d'objet driver ; le nom dépend de la langue. Également décrit dans Driver object type (Type d'objet pilote), et peut être déterminé par l'exportation d'une variable correspondante ou à l'aide de la documentation du pilote.
TypeName | Nom du type de données disponible

Contenu

  • Driver du DRIVERTYPE importé ; le DRIVERNAME importé doit exister :
    Si aucun driver possédant le DRIVERTYPE et le DRIVERNAME correspondants ne peut être trouvé, la prochaine étape consiste à tenter de lier la variable à un driver semblable. D'abord, le programme recherche uniquement le DRIVERTYPE, puis le DRIVERNAME. Si aucun driver ne peut être trouvé pour une attribution, la prochaine étape consiste à tenter de lier la variable au driver interne, puis à un driver existant. Si aucun driver n'est disponible ou si la variable ne peut pas être attribuée à un driver, la variable n'est pas importée. La boîte de dialogue d'attribution de driver (reportez-vous au chapitre Importation de variables et de types de données) permet de créer et/ou modifier le lien concerné avant l'importation de la variable. Vous pouvez ouvrir cette boîte de dialogue après avoir sélectionné le fichier que vous souhaitez importer.
  • Type de données simple, avec les paramètres TYPENAME et HWOBJECTTYPE: importés.
    Si le type de données comportant le paramètre TYPENAME importé correspondant n'est pas disponible, la variable n'est pas importée. Après que toutes les autres variables aient été exécutées ou importées, la fenêtre de sortie affiche le nombre de variables n'ayant pas pu être importées à cause de types de données manquants.

L'entête

Un en-tête doit exister pour décrire les valeurs des propriétés :
L'en-tête décrit les propriétés basées sur des colonnes. La première entrée de l'en-tête est toujours valide pour la première entrée de la valeur, la deuxième entrée de l'en-tête est toujours valide pour la deuxième entrée de la valeur, et ainsi de suite. Le nombre de champs que contient l'en-tête doit correspondre au nombre maximal de champs de l'ensemble du fichier.

  • Il n'est pas nécessaire que l'en-tête
    se trouve dans la première ligne du fichier, mais il doit se trouver à la première ligne de toutes les lignes.
  • La casse (majuscules/minuscules)
    • N'est pas importante dans l'en-tête.
    • Est prise en compte pour les valeurs des propriétés.
  • L'en-tête doit être concis et complet.
    Si un champ vide (l'espace entre deux séparateurs) se trouve dans l'en-tête, l'importation sera annulée.
    Définition du champ vide : deux séparateurs successifs entre lesquels ne se trouve aucun contenu.
  • Les espaces situés avant et après le texte
    dans un champ (la présence de guillemets est sans importance) sont interprétés comme tels. Aucun espace n'est supprimé. Par conséquent, la valeur ou le champ doivent être précis.
  • Le séparateur
    ne doit pas être utilisé en bout de ligne, à une exception près : un champ existant avec une valeur vide.
  • Tous les champs (l'espace entre les séparateurs) dans lesquels se trouve le séparateur doivent être saisis entre guillemets.
    Cela affecte uniquement le champ correspondant. Il n'est pas nécessaire de saisir les autres champs qui ne répondent pas à ces critères entre guillemets. Les tabulations de délimitation sont automatiquement supprimées des champs entre guillemets.
  • Si vous utilisez des guillemets,
    l'intégralité du champ (l'espace entre les séparateurs) doit être saisie entre guillemets et tous les guillemets saisis intentionnellement doivent être doublés. Le nombre de guillemets doit dont être pair.
    Exemple :
    • T"e"st devient "T""e""st"
    • "AB"C" devient """AB""C"""
    • AB"C devient "AB""C"
  • Une valeur vide ne peut pas être représentée de manière valide par deux guillemets n'entourant pas de texte.
  • Les champs vides (deux séparateurs consécutifs)
    sont interprétés comme une entrée inexistante pour cette colonne. Si le champ d'une propriété existant pour la variable est vide et, par conséquent, non défini, la valeur standard de la propriété est utilisée.
  • Si le nombre de champs contenant des valeurs est inférieur au nombre de champs défini dans l'en-tête,
    les autres champs inexistants sont interprétés comme des champs vides.
  • Si le nombre de valeurs ou de champs
    contenus dans une ligne est supérieur au nombre de champs déterminé dans l'en-tête, les derniers champs ou valeurs ou les champs ou valeurs affectés sont ignorés.
  • Les points-virgules et les virgules
    peuvent être utilisés librement dans les champs (sans guillemets).
  • Les points
    sont toujours considérés comme des séparateurs décimaux pour les valeurs numériques.
  • Les lignes vides sont autorisées.
    Elles sont ignorées.

Noms, liens et remplacements

  • Chaque variable doit posséder son propre nom dans le fichier.
    Si plusieurs variables portant le même nom existent, la première variable est importée et les autres sont ignorées.
  • Les liens doivent exister.
    Matrice de réaction, fonctions, variables, domaines d'alarmes, groupes d'alarmes/d'événements, classes d'alarmes/d'événements, interverrouillages et autres sont uniquement liés durant l'importation s'ils existent dans le projet. Si l'élément n'existe pas sous ce nom, l'élément n'est pas lié. Si une propriété ne peut pas être liée, les propriétés restantes sont importées malgré tout.
  • Les propriétés dynamiques (telles que les limites) possèdent une identification et un numéro de séquence communs.
    Le numéro de séquence commence par 0. La description est semblable au format d'exportation XML. (Par exemple : Limits_8_Active, Limits_8_Text, Limits_8_LimitValue, …)
  • Les variables tableau et les variables de types de données complexes ne sont ni exportés, ni importés.
  • Les variables complexes disponibles ne sont pas remplacées durant l'installation.
  • L'importation d'une variable est autorisée su le même nom existe dans un élément enfant d'une variable complexe existante. Si, par exemple, le nom de la variable que vous souhaitez importer est ABC.DEF et la variable DEF dans l'Éditeur zenon est une variable enfant de la variable ABC dans l'Éditeur, la variable est insérée malgré tout.
  • Toutes les propriétés importées ou exportées possèdent des noms de colonne/d'en-tête semblables à ceux du fichier XML importé ou exporté. Les noms de colonne/d'en-tête sont déterminé de la manière la plus simple, à savoir l'exportation d'une variable correspondante.
  • Certains drivers possèdent des propriétés spécifiques aux drivers. Pour déterminer les noms de colonne/d'en-tête correspondants, la meilleure solution consiste à exporter une variable avec le driver correspondant.

Limitations

Propriétés qui ne sont ni exportées, ni importées :

  • ID_ComplexVariable
  • ID_Complex
  • HWObjectName
  • ID_DriverTyp
  • DriverID
  • TypeID
  • IsComplex
  • Toutes les propriétés IsLocal ou
  • IsSWProtokol, IsSW_Akt et IsSW_VBA


Suppression ou changement de nom d'une variable durant l'importation

Manuels -> Import - Export -> Variables -> Importer CSV -> Suppression ou changement de nom d'une variable durant l'importation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez supprimer ou renommer des variables durant l'importation. La suppression est effectuée par le biais d'une entrée dans le champ KANAL_D. Le changement de nom est effectué par le biais d'une entrée dans le champ KANAL_R. La variable devant être supprimée ou renommée est définie dans le champ VariableName.

Suppression de variables

Les variables sont supprimées si des entrées valides sont détectées dans les champs KANAL_D et VariableName du fichier CSV.

Champ | Fonction | valide si
KANAL_D | Définit la commande de suppression. | 1
VariableName | Nom de la variable devant être supprimée. | Entrée ; ne doit pas être exclusivement constituée de caractères non imprimables

Pour la suppression, vous pouvez utiliser des fichiers CSV contenant uniquement ces deux champs (format court).

Changement de nom d'une variable

Les variables sont supprimées si des entrées valides sont détectées dans les champs KANAL_R et VariableName du fichier CSV.

Champ | Fonction | valide si
KANAL_R | Nom original de la variable devant être remplacée. | Entrée ; ne doit pas être exclusivement constituée de caractères non imprimables
VariableName | Nouveau nom de la variable. | Entrée ; ne doit pas être exclusivement constituée de caractères non imprimables

Pour le changement de nom, vous pouvez utiliser des fichiers CSV contenant uniquement ces deux champs (format court).

attention Attention

Si le changement de nom et la suppression sont définis dans la même ligne, la variable est supprimée.

Messages dans la fenêtre d'affichage

Si des variables sont supprimées ou renommées durant l'importation au format CSV, des messages sont affichés dans la fenêtre d'affichage de l'Éditeur, indiquant la réussite ou l'échec des actions :

Message

Niveau

Description

Rename variable '%s' does not exist. (La variable '%s' devant être renommée n'existe pas.)

Avertissement

La variable devant être renommée, désignée par le nom de variable défini dans le champ KANAL_R, n'existe pas.

Variable '%s' which should be deleted does not exist. (La variable '%s' qui doit être supprimée n'existe pas.)

Avertissement

La variable devant être supprimée, désignée par le nom de variable défini dans le champ VariableName, n'existe pas.

Variable '%s' was renamed in '%s'. (La variable '%s' doit être renommée en '%s'.)

Normal

Le changement de nom de la variable a réussi.

Variable '%s' was deleted. (La variable '%s' a été supprimée.)

Normal

La suppression de la variable a réussi.

%i of %i variable(s) renamed. (%i variable(s) sur %i a (ou ont) été renommée(s).)

Normal

ou Avertissement

Ce message est uniquement affiché lorsqu'un changement de nom est effectué avec des champs valides, c'est-à-dire des champs qui ne sont pas vides KANAL_R. Le premier opérateur (%i) correspond au nombre de changements de nom réussis. Le deuxième opérateur correspond au nombre de changements de nom définis.

Si tous les changements de nom n'ont pas pu être effectués avec succès, le résultat comporte l'indication "Avertissement".

%i of %i variable(s) deleted. (%i variable(s) sur %i a (ou ont) été supprimée(s).)

Normal

Ou

Avertissement

Ce message est uniquement affiché lors d'une opération de suppression par le biais de champs KANAL_D valides (valeur numérique 1). Le premier opérateur (%i) correspond au nombre de suppressions réussies. Le deuxième opérateur correspond au nombre de suppressions définies.

Si toutes les suppressions n'ont pas pu être effectuées avec succès, le résultat comporte l'indication "Avertissement".


Compatibilité avec Microsoft Excel

Manuels -> Import - Export -> Variables -> Importer CSV -> Compatibilité avec Microsoft Excel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Exportation vers Excel

Pour l'importation correcte des variables exportées sous forme de fichiers CSV dans Microsoft Excel, gardez les aspects suivants à l'esprit :

  • Format :
    Pour que Microsoft Excel utilise le séparateur de décimales adéquat, vous devez définir le format dans les Paramètres régionaux de votre système d'exploitation sur Anglais. Attention : ce paramètre est obligatoire pour l'utilisation des séparateurs décimaux ; dans le cas contraire, les valeurs seront incorrectement interprétées et enregistrées.
  • Unicode :
    Les fichiers doivent être enregistrés dans Microsoft Excel au format Unicode text (.txt). Ils sont enregistrés sous forme de fichiers TXT. Dans les versions antérieures de Microsoft Excel, la description peut légèrement varier.
    Attention : Si vous utilisez un format différent, les données ne pourront pas être importées correctement !
  • Signe @ :
    Microsoft Excel n'interprète pas les cellules contenant le signe @ comme du texte, et peut donc ne pas en autoriser l'édition. Vous devez modifier le type (catégorie) de cellule de Standard en Texte pour modifier les cellules contenant des signes @. Pour cela,
    • Marquez la cellule ou la colonne.
    • Cliquez avec le bouton droit sur la cellule et sélectionnez la commande Format des cellules dans le menu contextuel.
    • Dans la boîte de dialogue, sélectionnez la catégorie Texte.
  • Valeurs maximales :
    • Microsoft Excel 97-2003 : 65536 lignes, 256 colonnes
    • Microsoft Excel 2007 : 1048576 lignes, 16384 colonnes

attention Attention

Si les nombres de 16 384 ou 256 colonnes et 1 048 576 ou 65 536 sont dépassés, une boîte de dialogue s'affiche, vous permettant d'exporter un nombre limité de propriétés dynamiques, le cas échéant. Si vous observez la limite, le programme exporte autant de propriétés dynamiques que possible.

Les propriétés statistiques ne sont pas limitées.

Si la suppression des propriétés dynamiques ne suffit pas, un message d'information supplémentaire s'affiche à l'écran.

Pour le nombre maximal de variables, vous devez également observer que l'en-tête occupe une ligne.

Importation depuis Excel

Lors de l'importation depuis Excel, vous ne devez pas supprimer la dernière ligne (ligne vide). Dans le cas contraire, le fichier CSV ne pourra pas être importé dans zenon.


Exemple pour l'importation

Manuels -> Import - Export -> Variables -> Importer CSV -> Exemple pour l'importation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour l'importation d'une variable, les informations suivantes doivent être fournies dans le fichier :

VariableName | DriverName | DriverType | HWObjectType | TypeName
Test | MyDriver | Intern | 33 | Type de données Mydata

Avant de pouvoir importer le fichier, vous devez vous assurer d'avoir créé un driver appelé MyDriver, de type Interne, dans le projet. Ce driver doit être compatible avec le type de canal / HWObjectType. En outre, le type de données MyData doit exister. Lorsque vous sélectionnez le fichier à importer, une boîte de dialogue d'attribution de driver s'affiche. Dans cette boîte de dialogue, touts les variables à importer d'un driver créé dans le projet peuvent être liées à un autre driver. Si vous souhaitez utiliser le même driver, vous pouvez confirmer la boîte de dialogue directement en cliquant sur OK. Les variables sont ensuite importées.


Exportation au format CSV

Manuels -> Import - Export -> Variables -> Exportation au format CSV

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon permet d'exporter les variables sous forme de fichiers CSV et de les importer depuis des fichiers CSV, par exemple aux fins de leur édition ultérieure dans Microsoft Excel.

Exception : les types de données complexes et les variables tableau ne doivent pas être exportés.

attention Attention

Les données sont exportées sous forme de fichier texte Unicode délimité par des tabulations, avec l'extension de fichier .txt, et non .csv.

Explication : Microsoft Excel enregistre les fichiers CSV sous forme de fichiers texte ANSI avec le séparateur de colonnes ;. Si les données sont enregistrées au format CSV dans Excel, les données Unicode sont supprimées. Cela endommage alors irrémédiablement les données d'exportation du projet.

Options d'exportation

  1. Exportation de toutes les variables exportables dans le projet
  2. Exportation de variables exportables sélectionnées
    • Disponible uniquement si au moins une variable exportable a été sélectionnée

Durant l'exportation des variables, une boîte de dialogue s'affiche, vous permettant de choisir l'emplacement de sauvegarde et le nom du fichier. L'extension de fichier est prédéfinie (.txt).

Si le fichier que vous souhaitez exporter et modifier dans Microsoft Excel contient trop de propriétés, plusieurs possibilités s'offrent à vous :

  • Supprimer des propriétés ou des lignes :
    une partie seulement, par exemple, des limites ou des variables est exportée (en fonction de la limitation). Notamment, les informations qui ne peuvent pas être traitées par des versions antérieures de Microsoft Excel ne seront pas exportées. Le fichier exporté peut être modifié avec un programme externe.
  • Exporter toutes les propriétés
  • Annuler l'exportation

Compatibilité avec Microsoft Excel

Exportation vers Excel

Pour l'importation correcte des variables exportées sous forme de fichiers CSV dans Microsoft Excel, gardez les aspects suivants à l'esprit :

  • Format :
    Pour que Microsoft Excel utilise le séparateur de décimales adéquat, vous devez définir le format dans les Paramètres régionaux de votre système d'exploitation sur Anglais. Attention : ce paramètre est obligatoire pour l'utilisation des séparateurs décimaux ; dans le cas contraire, les valeurs seront incorrectement interprétées et enregistrées.
  • Unicode :
    Les fichiers doivent être enregistrés dans Microsoft Excel au format Unicode text (.txt). Ils sont enregistrés sous forme de fichiers TXT. Dans les versions antérieures de Microsoft Excel, la description peut légèrement varier.
    Attention : Si vous utilisez un format différent, les données ne pourront pas être importées correctement !
  • Signe @ :
    Microsoft Excel n'interprète pas les cellules contenant le signe @ comme du texte, et peut donc ne pas en autoriser l'édition. Vous devez modifier le type (catégorie) de cellule de Standard en Texte pour modifier les cellules contenant des signes @. Pour cela,
    • Marquez la cellule ou la colonne.
    • Cliquez avec le bouton droit sur la cellule et sélectionnez la commande Format des cellules dans le menu contextuel.
    • Dans la boîte de dialogue, sélectionnez la catégorie Texte.
  • Valeurs maximales :
    • Microsoft Excel 97-2003 : 65536 lignes, 256 colonnes
    • Microsoft Excel 2007 : 1048576 lignes, 16384 colonnes

attention Attention

Si les nombres de 16 384 ou 256 colonnes et 1 048 576 ou 65 536 sont dépassés, une boîte de dialogue s'affiche, vous permettant d'exporter un nombre limité de propriétés dynamiques, le cas échéant. Si vous observez la limite, le programme exporte autant de propriétés dynamiques que possible.

Les propriétés statistiques ne sont pas limitées.

Si la suppression des propriétés dynamiques ne suffit pas, un message d'information supplémentaire s'affiche à l'écran.

Pour le nombre maximal de variables, vous devez également observer que l'en-tête occupe une ligne.

Importation depuis Excel

Lors de l'importation depuis Excel, vous ne devez pas supprimer la dernière ligne (ligne vide). Dans le cas contraire, le fichier CSV ne pourra pas être importé dans zenon.


Projets S7

Manuels -> Import - Export -> Variables -> Projets S7

zenon permet d'importer des projets S7 pour Step 7 et TIA. Dans cette documentation, le terme Step 7 est synonyme de TIA, à des fins de simplicité.

Minimum requis

Pour utiliser des projets S7 dans zenon, vous pouvez :

  • Utiliser la fonction d'importation automatique pour les versions jusqu'à Step 7 Version 11
  • Importer des variables avec Step 7 Version 11 ou une version ultérieure via l'outil Variable Export Manager de Step 7, puis les importer dans zenon par le biais d'une importation automatique

Les variables dont vous avez besoin sont créées dans zenon pendant l'importation. Il est impossible d'utiliser le nom WinCC. Des noms zenon ou WinCC ou des noms combinés peuvent être sélectionnés. Pour les noms WinCC, il est possible de sélectionner les étapes technologiques et de spécifier un séparateur.

info Info

L'import S7 n'importe pas les structures. L'information de structure issue du projet S7 est résolue et importée "à plat". D'autres drivers offrent également la possibilité de lire les variables du programme de contrôle (par exemple, OPC, Codesys, Bernecker et Rainer, etc.).

Autres sujets abordés dans ce chapitre

Généralités

Import S7 project (Importer projet S7)

Veuillez sélectionner les postes désirés

Sélection de variables


Généralités

Manuels -> Import - Export -> Variables -> Projets S7 -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour que l'importation d'un projet S7 :

  • soit possible, celui-ci doit être disponible localement sur le disque dur ou sur le réseau.
  • Le projet ne doit pas être ouvert par un programme Step7 au même moment.
  • Tout le contenu doit être traduit en langage Step 7 ou PC S7 pour garantir l'adoption de tous les objets dans zenon.
  • À partir de Step 7 Version 11, les variables doivent être exportées à l'aide de l'application Variable Export Manager, et le fichier exporté doit être présent sur l'ordinateur utilisé pour l'importation.

info Info

Pour l'importation de projets PCS7, le sous-répertoire CSV_export est nécessaire. Dans ce sous-répertoire doit se trouver un fichier CSV pour chaque poste du projet ; celui-ci doit porter le même nom que le poste. Pour l'importation, les noms hiérarchiques contenus dans ce fichier sont utilisés.


Import S7 project (Importer projet S7)

Manuels -> Import - Export -> Variables -> Projets S7 -> Import S7 project (Importer projet S7)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour importer des projets S7 :

  1. Dans l'Éditeur zenon, accédez au nœud Variables.
  2. Cliquez avec le bouton droit de la souris sur le nœud Variables.
  3. Dans le menu contextuel, sélectionnez la commande Importation/exportation avancée -> Importer projet S7
  4. Sélectionnez le pilote souhaité dans la boîte de dialogue de sélection.
  5. Cliquez sur le bouton OK.
  6. Suivez les étapes définies dans l'assistant d'importation.
    1. Sélectionnez le projet souhaité.
    2. Sélectionnez les postes de votre choix.
    3. Configurez les postes.
    4. Sélection des variables

Boîte de dialogue d'importation

Les paramètres suivants sont disponibles :

Paramètre

Description

Sélection de projet

S7 project file (Fichier de projet S7)

Sélectionnez le fichier de projet (*.s7p) de votre choix.

Driver cible

Ici, vous pouvez revoir le driver que vous avez précédemment sélectionné. Plus aucune modification ne peut être apportée ici.

Structure projet

Lorsque vous sélectionnez un fichier de projet, la structure du projet sélectionné est affichée.

Options

Seulement les variables modifiables

Activez ces options si vous souhaitez importer uniquement les variables de type "Operation and Monitoring" (OaM, Opération et suivi).

Dénomination des variables

Les noms sont créés en fonction des niveaux technologiques.

Sélectionnez les niveaux technologiques (1 à 5 et circulaire) de programmation CFC que vous souhaitez utiliser pour nommer les variables.

Séparateur

Sélection du caractère de séparation des niveaux technologiques sélectionnés.

Nomenclature interne

La nomenclature interne est utilisée pour les noms des objets créés.

Exemple : S0 (pour l'adresse réseau = 0)

Nomenclature WinCC

La nomenclature WinCC est utilisée pour les noms des objets créés.

Exemple : Programme S7

Combiné

Utilise à la fois les nomenclatures interne et WinCC pour les noms des objets créés.

Un point (.) est utilisé en tant que séparateur de colonnes.

Import target (Cible de l'importation)

Liste de variables

Les variables sont importées dans la liste de variables zenon. Durant l'importation, le programme vérifie si une variable portant le même nom existe déjà. Si c'est le cas, les attributs spécifiques à zenon sont conservés ; cela signifie que les variables importées et existantes sont fusionnées.

Fichier

Les variables sont importées dans le fichier spécifié (*.dbf). Vous pouvez modifier ce fichier et l'importer dans zenon.

Remarque : tenez compte des tailles limitées des champs du fichier DBF. Si les tailles de champ sont dépassées, certaines informations risquent d'être perdues durant l'importation.

Exécuter

Démarre l'importation. La boîte de dialogue de sélection de postes s'affiche à l'écran.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

info Info

Les paramètres modifiés dans cette boîte de dialogue sont enregistrés. Lorsque vous ouvrez à nouveau la boîte de dialogue, tous les paramètres que vous avez modifiés sont affichés à nouveau.


Veuillez sélectionner les postes désirés

Manuels -> Import - Export -> Variables -> Projets S7 -> Veuillez sélectionner les postes désirés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez les postes de votre choix.

Paramètres | Description
Liste de postes | Liste des postes du fichier de projet sélectionné. Sélection par clic de souris. Une sélection multiple est possible.
Sélectionner tout | Sélectionne tous les projets.
Configurer les barres d'outils | Ouvre la boîte de dialogue de configuration des postes.
OK | Accepte la sélection et ouvre la boîte de dialogue de sélection de variables. En fonction de la taille du projet, cette procédure peut demander un certain temps.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Paramétrage du poste


Paramétrage du poste

Manuels -> Import - Export -> Variables -> Projets S7 -> Veuillez sélectionner les postes désirés -> Paramétrage du poste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette boîte de dialogue, vous pouvez définir des filtres et effectuer différents réglages.

Les paramètres suivants sont disponibles :

Paramètres

Description

Configurer les barres d'outils

Adresse réseau

Indique l'Adresse réseau et affecte le nom du poste.

Remarque : commence toujours par un zéro (0).

Pré-filtre

Actif

Actif : utilise les variables et les types de données affichés dans la liste en tant que « préfiltre ». Les différences entre Step 7 et zenon ne sont pas affichées.

Inactive : les variables et les types de données de Step 7 et de zenon sont comparés durant l'importation. Les différences sont affichées. Vous êtes invité à indiquer si vous souhaitez supprimer ou fusionner les éléments non présents.

Data blocks (Blocs de données)

Sélectionnez les blocs de données depuis lesquels vous souhaitez importer les variables. Vous pouvez sélectionner plusieurs blocs de données en appuyant sur les touches Ctrl et Maj.

Type de données

Sélectionnez les types de données qui forment la base des variables que vous souhaitez importer. Vous pouvez sélectionner plusieurs types de données en appuyant sur les touches Ctrl et Maj.

Domaines

Sélectionnez le domaine de votre choix. Les choix proposés sont les suivants :

  • Tous les domaines
  • Seulement les blocs
  • Aucun bloc

Options

Offer only not available variables (Proposer uniquement les variables indisponibles)

Seules les variables qui n'existent pas encore dans zenon sont proposées.

Montrer seulement les variables disponibles

Les variables déjà existantes sont recherchées. Ces éléments peuvent fusionnés durant l'importation.

Rechercher les variables à supprimer

Lorsque vous avez sélectionné les variables, toutes les variables qui ne sont pas disponibles dans le projet S7 sont affichées. Elles peuvent être supprimées du projet zenon.

Inactive ; si cette option est active, aucune comparaison des variables devant être importées et des variables existantes destinées à être supprimées n'a lieu !

Attribution aux variables existantes selon l'adresse, au lieu du nom

Actif : les variables de pilotes déjà existantes sont fusionnées à l'aide de l'adresse de la variable, au lieu du nom. Il est ainsi possible d'accepter les noms modifiés issus d'un projet Step 7.

Préfixe

None (Aucune)

Les variables importées ne reçoivent pas un préfixe avant le nom.

Adresse réseau

L'adresse réseau est attribuée aux noms importés, suivie d'un point inséré ; cette expression est insérée en préfixe, avant le nom.

Entrée libre

Saisissez le préfixe de votre choix dans le champ de saisie. Lors de l'importation d'une variable, le préfixe saisi est inséré devant le nom de la variable, séparé de celui-ci par un point.

Remarque : si vous effectuez une autre importation, vous devez utiliser le même préfixe. Dans le cas contraire, les variables seront créées deux fois.

OK

Accepte la sélection et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Sélection de variables

Manuels -> Import - Export -> Variables -> Projets S7 -> Sélection de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Toutes les variables disponibles pour l'importation sont affichées. Les informations suivantes sont disponibles pour chaque variable :

  • Nom de la variable
  • Commentaire
  • Zone de données
  • Type de données
  • Bloc de données
  • Offset
  • Bit
  • Attributs
  • Informations concernant l'adresse.

Vous pouvez trier la liste en fonction de chaque colonne, par ordre croissant ou décroissant, et filtrer les données à l'aide d'un texte de filtre. Les informations d'adresse de la colonne contiennent toutes les informations cumulées de la variable concernée.

Vous pouvez sélectionner l'ensemble du projet ou des postes uniques dans l'arborescence. Les variables concernées sont affichées en fonction de votre sélection. Sélectionnez les variables souhaitées, puis cliquez sur le bouton Ajouter pour ajouter la variable à l'importation. Les variables sélectionnées sont affichées dans la partie inférieure de la boîte de dialogue. Pour supprimer des variables ici, sélectionnez les variables de votre choix et cliquez sur le bouton Supprimer.

Informations concernant info

En appuyant sur les touches Ctrl et/ou Maj, vous pouvez sélectionner plusieurs entrées à la fois.

  • En maintenant la touche Ctrl enfoncée, vous pouvez sélectionner plusieurs entrées.
  • En maintenant la touche Maj enfoncée pendant que vous sélectionnez deux entrées, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées.
  • En maintenant les touches Ctrl et Maj enfoncées pendant que vous sélectionnez deux entrées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.

Lorsque vous avez terminé, cliquez sur le bouton OK pour fermer la boîte de dialogue et confirmer les modifications que vous avez apportées. Les variables sont créées dans zenon.


Importation et exportation au format dBase

Manuels -> Import - Export -> Variables -> Importation et exportation au format dBase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les données peuvent être exportées vers et importées depuis dBase.

info Info

L'importation et l'exportation au format CSV ou dBase sont pris en charge ; pas de configuration de variables spécifiques aux pilotes, tels que les formules. Utilisation de l'exportation/l'importation au format XML à cette fin.

Importer un fichier DBF

Pour démarrer l'importation :

  1. Cliquez avec le bouton droit sur la liste de variables
  2. Dans le menu déroulant de la boîte de dialogue Extended export/import... (Exportation/importation étendue...), sélectionnez l'option Import dBase...
  3. Suivez les consignes de l'assistant d'importation

Le format du fichier est décrit dans le chapitre Structure des fichiers.

info Info

Remarque :

  • Le type d'objet de driver et le type de données doivent être modifiés au niveau du driver cible dans le fichier DBF pour que les variables soient importées.
  • dBase ne prend pas en charge les structures ou les tableaux (variables complexes) lors de l'importation.

Exporter un fichier DBF

Pour démarrer l'exportation :

  1. Cliquez avec le bouton droit sur la liste de variables
  2. Dans le menu déroulant de la boîte de dialogue Extended export/import... (Exportation/importation étendue...), sélectionnez l'option Import dBase...
  3. Suivez les consignes de l'assistant d'exportation

attention Attention

Les fichiers DBF :

  • doivent être conformes au format de fichier DOS 8.3 pour les noms de fichier (8 caractères alphanumériques pour le nom, 3 caractères pour le suffixe, pas d'espace)
  • Ne doivent pas comporter de points (.) dans le nom du chemin.
    Par exemple, le chemin C:\users\John.Smith\test.dbf n'est pas valide.
    Valide : C:\users\JohnSmith\test.dbf
  • doivent être enregistrés à proximité du répertoire racine, afin de ne pas dépasser la limite de longueur applicable aux noms de fichier, chemin inclus : maximum 255 caractères.

Le format du fichier est décrit dans le chapitre Structure des fichiers.

info Info

dBase ne prend pas en charge les structures ou les tableaux (variables complexes) lors de l'exportation.

Autres sujets abordés dans ce chapitre

Fichier de variable dBase IV


Fichier de variable dBase IV

Manuels -> Import - Export -> Variables -> Importation et exportation au format dBase -> Fichier de variable dBase IV

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour assurer l'importation et l'exportation de variables, le fichier dBase IV doit posséder la structure et le contenu suivants :

attention Attention

dBase ne prend pas en charge les structures ou les tableaux (variables complexes) lors de l'exportation.

Les fichiers DBF doivent :

  • posséder un nom conforme au format DOS 8.3 (8 caractères alphanumériques pour le nom, 3 caractères pour l'extension, pas d'espace)
  • Être conservés à proximité du répertoire racine (Root)

Structure

Description | Type | Taille de champ | Commentaire
KANALNAME | Char | 128 | Nom de la variable. La longueur peut être limitée à l'aide de l'entrée MAX_LAENGE dans le fichier project.ini.
KANAL_R | C | 128 | Le nom original d'une variable devant être remplacée par le nouveau nom saisi sous VARIABLENNAME (le contenu du champ/de la colonne doit être saisi manuellement). La longueur peut être limitée à l'aide de l'entrée MAX_LAENGE dans le fichier project.ini .
KANAL_D | Log | 1 | La variable est supprimée avec l'entrée 1 (le contenu du champ/de la colonne doit être saisi manuellement).
TAGNR | C | 128 | Identification. La longueur peut être limitée à l'aide de l'entrée MAX_LAENGE dans le fichier project.ini .
Unité | C | 11 | Unité technique
DATENART | C | 3 | Type de données (par exemple bit, octet, word, etc.) ; correspond au type de données.
KANALTYP | C | 3 | Zone mémoire dans l'automate (par exemple, zone de marqueur, zone de données, etc.) ; correspond au type d'objet de driver.
HWKANAL | Num | 3 | Adresse bus
BAUSTEIN | N | 3 | Adresse de blocs de données (datablock) (seulement pour les variable de la zone de données de l'automate)
ADRESSE | N | 5 | Offset
BITADR | N | 2 | Pour les variables bit : adresse du bit Pour les variables de type octet : 0=octet de poids faible, 8 octet de poids fort ?Pour les variables de type chaîne de caractères : Longueur de la chaîne (max 63 caractères)
ARRAYSIZE | N | 16 | Nombre de variables dans l'ensemble pour les variables indexées ATTENTION : Seule la première variable est complètement disponible. Toutes les autres ne sont disponibles que pour le VBA ou le gestionnaire de groupes de recettes.
LES_SCHR | R | 1 | Autorisation-Lecture-Ecriture, 0 : Pas d'autorisation pour forcer les variables. 1 : Autorisation de définir la valeur.
MIT_ZEIT | R | 1 | Horodatage dans zenon (uniquement si pris en charge par le driver)
OBJEKT | N | 2 | Numéro d'identification de l'objet primitif spécifique au driver Inclut TREIBER-OBJEKTTYP et DATENTYP
SIGMIN | Flottant | 16 | Signal non linéaire – minimum (résolution du signal)
SIGMAX | F | 16 | Signal non linéaire – maximum (résolution du signal)
ANZMIN | F | 16 | Valeur technique - minimum (plage de mesures)
ANZMAX | F | 16 | Valeur technique - maximum (plage de mesures)
ANZKOMMA | N | 1 | Nombre de décimales pour l'affichage des valeurs (plage de mesures)
UPDATERATE | F | 19 | Intervalle d'actualisation des variables mathématiques (en secondes, une décimale possible) Non utilisée pour toutes les autres variables
MEMTIEFE | N | 7 | Uniquement pour des raisons de compatibilité
HDRATE | F | 19 | Période de rafraîchissement HD pour les valeurs consignées dans l'historique (en secondes, une décimale possible)
HDTIEFE | N | 7 | Profondeur de spécification HD des valeurs historiques (nombre)
NACHSORT | R | 1 | Les données HD sous forme de valeurs post-triées
DRRATE | F | 19 | Mise à jour de la sortie (pour le serveur DDE de zenon, en [s], une décimale possible)
HYST_PLUS | F | 16 | Hystérésis positif, dans la plage de mesures
HYST_MINUS | F | 16 | Hystérésis négatif, dans la plage de mesures
PRIOR | N | 16 | Priorité de la variable
REAMATRIZE | C | 32 | Matrice de réaction attribuée
ERSATZWERT | F | 16 | Valeur de remplacement dans la plage de mesures
SOLLMIN | F | 16 | Valeur minimum pour les actions d'envoi de valeur prescrite, dans la plage de mesures
SOLLMAX | F | 16 | Valeur maximum pour les actions d'envoi de valeur prescrite, dans la plage de mesures
VOMSTANDBY | R | 1 | Récupération de la valeur à partir du serveur redondant, la valeur de la variable n'est pas demandée par le serveur mais par le serveur redondant dans les réseaux redondants.
RESOURCE | C | 128 | identification ressources Chaîne de caractères libre pour l'exportation et l'affichage dans les listes. La longueur peut être limitée à l'aide de l'entrée MAX_LAENGE dans le fichier project.ini .
ADJWVBA | R | 1 | Ajustement de valeur non linéaire : 0 : l'ajustement de valeur non linéaire est utilisé. 1: L'ajustement non linéaire n'est pas utilisé.
ADJZENON | C | 128 | Macro VBA liée pour lire la valeur de la variable pour l'ajustement non linéaire.
ADJWVBA | C | 128 | Macro VBA liée pour écrire la valeur de la variable pour l'ajustement non linéaire.
ZWREMA | N | 16 | Compteur REMA lié.
MAXGRAD | N | 16 | Dépassement gradient pour le compteur REMA.

attention Attention

Lors de l'importation, le type d'objet de driver et le type de données doivent être modifiés au niveau du driver cible dans le fichier DBF, pour que les variables soient importées.

Définition de la limite

Définition de la limite pour les valeurs limites 1 à 4 et l'état 1 à 4 :

Description | Type | Taille de champ | Commentaire
AKTIV1 | R | 1 | Valeur limite active (par valeur limite disponible)
GRENZWERT1 | F | 20 | Valeur technique ou identifiant d'une variable liée pour une limite dynamique (voir VARIABLEx) (si VARIABLEx est égal à 1 et ici à -1, le lien existant vers une variable n'est pas écrasé).
SCHWWERT1 | F | 16 | Valeur de seuil de la limite
HYSTERESE1 | F | 14 | Non utilisé
BLINKEN1 | R | 1 | Définition de l'attribut de clignotement
BTB1 | R | 1 | Enregistrement dans le CEL
ALARM1 | R | 1 | Alarme
DRUCKEN1 | R | 1 | Sortie sur imprimante (pour liste CEL ou liste d'alarmes)
QUITTIER1 | R | 1 | Acquittement nécessaire
LOESCHE1 | R | 1 | Suppression nécessaire
VARIABLE1 | R | 1 | Lien de valeur limite dynamique La limite est définie par une valeur absolue (voir le champ GRENZWERTx).
FUNC1 | R | 1 | Liaison de fonctions
ASK_FUNC1 | R | 1 | Exécution via la liste d'alarmes
FUNC_NR1 | N | 10 | Identifiant de la fonction liée (si -1 est saisi ici, la fonction existante n'est pas écrasée lors de l'importation)
A_GRUPPE1 | N | 10 | Groupe d'alarmes/d'événements
A_KLASSE1 | N | 10 | Classe d'alarmes/d'événements
MIN_MAX1 | C | 3 | Minimum, Maximum
FARBE1 | N | 10 | Couleur sous forme de code Windows
GRENZTXT1 | C | 66 | Texte de valeur limite
A_DELAY1 | N | 10 | Délai
INVISIBLE1 | R | 1 | Invisible

Les expressions dans la colonne Commentaire se réfèrent aux expressions utilisées dans les boîtes de dialogue pour la définition des variables. Pour plus d'informations, voir le chapitre Définition des variables.


Verrouillages

Manuels -> Import - Export -> Verrouillages

Le fichier d'export pour les verrouillages a les sections suivantes :

  • Liste des verrouillages

Durant l'exportation/l'importation des interverrouillages, les variables liées ne sont pas automatiquement exportées ou importées. Vous devez veiller à ce que les variables nécessaires soient importées/exportées auparavant.

Autres sujets abordés dans ce chapitre

Groupe de commandes


Groupe de commandes

Manuels -> Import - Export -> Verrouillages -> Groupe de commandes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Export

Les groupes de commandes peuvent être exportés un par un ou tous ensemble.

info Info

Les groupes de commandes et les interverrouillages généraux ne sont pas exportés ensemble !

Importer

La relation entre les groupes de commandes existants et les groupes de commandes devant être importés est créée grâce à leur nom. Si un groupe de commandes portant ce nom existe, il est actualisé.

S'il y a déjà un interverrouillage général avec ce nom, un nouveau groupe de commandes est créé avec un nouveau nom.

Les groupes de commandes non-existants sont créés.

Les verrouillages généraux existants dans le fichier d'import ne sont pas importés.

Les références absolues à des variables sont établies grâce au nom.

Les nouveaux verrouillages de commande prennent un ID unique qui n'a jamais été utilisé avant.


Commandes temporisées

Manuels -> Import - Export -> Commandes temporisées

Le fichier d'export pour les commandes temporisées a les sections suivantes :

Liste des commandes temporisées

Liste de fonctions

Les fonctions incluses sont exportées avec les commandes temporisées. Les commandes temporisées sont importées automatiquement. Les fonctions doivent être importées manuellement avant à partir du même fichier.


Attributions

Manuels -> Import - Export -> Attributions

Le fichier d'export pour les attributions a les sections suivantes :

Liste des attributions

Lors de l'import / export des attributions, les variables liées ne sont pas automatiquement importées / exportées. Faites attention à ce que les variables nécessaires soit exportées / importées avant.


Messages d'erreur

Manuels -> Import - Export -> Messages d'erreur

Les erreurs survenues durant l'import ou l'exportation sont affichées dans la fenêtre d'affichage.

Message d'erreur | Cause et solution possible
Erreur : "Le fichier ne peut pas être ouvert car il est déjà ouvert par un autre utilisateur." | Le fichier est verrouillé pour modification. L'utilisateur doit déverrouiller le fichier avant que la procédure d'importation/exportation ne puisse être effectuée.
Erreur : "La base de données ne peut pas être créée ou ouverte" | Les droits de création du champ sont peut-être manquants, ou le fichier est corrompu.
Erreur : "Variable is invalid and cannot be saved" (La variable n'est pas valide et ne peut pas être enregistrée.) | La variable n'est pas valide. Vérifiez tous les paramètres de la variable.
Erreur : "Variable could not be added to the database." (Impossible d'ajouter la variable à la base de données.) | Une erreur s'est produite durant l'enregistrement dans la base de données.
Erreur : "La variable contient une adresse matérielle invalide." | Une adresse de matériel de la variable est incorrecte. Corrigez l'adresse avant de redémarrer l'importation.
Erreur : "Le driver ne peut pas fournir un objet nécessaire à l'import/export. L'import/export est arrêté." | Le driver sélectionné ne comporte aucun objet pouvant être importé/exporté.
Erreur : "La variable ne peut pas être supprimée car elle n'existe pas" | Une variable sélectionnée pour être supprimée n'existe plus.
Avertissement : Une variable portant le même nom existe déjà. L'importation sera effectuée avec l'ancien nom. | Une variable devant être renommée durant l'importation ne sera pas renommée, car une variable portant le même nom existe déjà. La variable sera importée sous son nom d'origine.
Avertissement : "Variable cannot be renamed and is newly created." (La variable ne peut pas être renommée et sera créée.) | Une variable devant être renommée ne peut pas être renommée. Il s'agit

Les erreurs durant l'importation au format XML sont gérées et résolues dans une boîte de dialogue spécifique.


Industrial Performance Analyzer

Manuels -> Industrial Performance Analyzer

Le module Industrial Performance Analyzer (IPA) est conçu pour afficher et évaluer les données d'alarmes et les périodes d'indisponibilité associées dans différentes vues de liste. Le module IPA accède à une base de données SQL dans laquelle sont conservées les alarmes (si elles sont correctement configurées).

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client).

Grâce à ses différents paramètres de filtre, le module IPA offre une flexibilité maximale. Ainsi, par exemple, vous pouvez filtrer différents domaines de votre équipement afin d'afficher uniquement les alarmes qui se sont produites dans ces domaines. Le module IPA permet également de détecter et localiser les points faibles de vos équipements. Cela s'avère particulièrement utile durant la mise en œuvre de nouveaux équipements, puisque cela vous permet de déterminer les causes de difficultés initiales et d'y remédier. Associé au module Production & Facility Scheduler (PFS), le module IPA permet d'afficher les périodes d'indisponibilité après déduction des périodes de pause. Il soustrait automatiquement des véritables périodes d'indisponibilité les durées de pause reçues du module PFS. Vous pouvez ainsi déterminer la durée d'indisponibilité nette de vos équipements. En outre, le module IPA peut obtenir les horaires et noms de postes du module PFS. Cela facilite les opérations de développement et vous permet de gagner du temps. De plus, la maintenance des horaires et noms de postes ne doit être effectuée qu'une seule fois. En outre, vous avez la certitude que les modules PFS et IPA utilisent les mêmes données.

info Info

Le module Industrial Performance Analyzer est conçu pour s'exécuter sur PC. Son utilisation s'effectue donc à l'aide d'un clavier et d'une souris. Nous ne garantissons pas sa compatibilité totale avec un écran tactile.

Autres sujets abordés dans ce chapitre

Fonctionnalité de base

Configuration dans l'Éditeur

Manipulations en Runtime


Fonctionnalité de base

Manuels -> Industrial Performance Analyzer -> Fonctionnalité de base

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Toutes les données d'alarmes développées de façon correspondante (voir également Variables) sont conservées dans une base de données SQL. Le module IPA est prend en charge les bases de données compatibles ODBC telles que Oracle SQL server, Microsoft SQL server, Microsoft MSDE, MySQL server etc. Ces serveurs peuvent se trouver sur votre ordinateur local ou quelque part sur le réseau.

Dans le Runtime, les données d'alarme correspondantes sont enregistrées dans une mémoire tampon, et sont ensuite écrites de façon cyclique dans la base de données. La durée du cycle est définie dans l'éditeur (voir également Paramètres généraux).

Il est possible que certains projets Runtime réalisent des écritures dans la même base de données.

L'utilisation d'un mode de stockage centralisé pour les données d'alarmes garantit une sécurité élevée des données et la disponibilité élevée des données des alarmes.

Dans le Runtime zenon, l'affichage et l'évaluation des données d'alarmes est mis en œuvre dans le module Industrial Performance Analyzer.


Configuration dans l'Éditeur

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous devez configurer les paramètres suivants pour afficher et évaluer les données d'alarme dans le Runtime.

Autres sujets abordés dans ce chapitre

General settings

Variables

Changement de langues

Synoptique Industrial Performance Analyzer

Fonction Appel de synoptique

Fonction Créer/Imprimer un document IPA


General settings

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> General settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Under the proyect properties you find the section There you define settings for the IPA which concern the whole project.

The following properties are available:

Parameter | Description
IPA active | Select this property in order to activate the IPA.
Database | Define the database in which the IPA should write the alarm data (see also Database)
Table name | Enter a freely definable name for the database table for your IPA data. A table with this name is automatically created in the database when the Runtime connects to the database for the first time.
Saving cycle | Define the interval in which the alarm data is written from the buffer to the database. In practice values are between 2 and 5 minutes.
Buffer size | Define how many alarms the buffer should be able to save. At the end of each interval the contents of the buffer is written to the database. After that the buffer is empty. If there are more alarms than the number you have entered within the interval, the oldest alarms will be lost at first.
Shift from PFS | Select this property in order to apply the times for the shifts from the Production & Facility Scheduler. If you activate this property, you can display downtimes with breaks already subtracted during the evaluation of the alarms.
Shift from variable | Select a variable of type INT. Together with the property shift name from list, you can assign numbers to shift names.
Pre-defined time filter | Define different time filters which you can access in the Runtime.
Alarm reason | Define different time filters which you can access in the Runtime.
Equipment identification | Define different equipment identifiers which you can access in the Runtime.
Equipment identification via | You can decide whether you want to use the beginning of a variable identification or the beginning of a variable name as part of the equipment identification.
Shift name from PFS | Select this property in order to apply the shift names for the defined shifts from the Production & Facility Scheduler.
Shift name from list | Define shift names to values. Via the value of the variable which you entered under Shift name from variable the defined shift name is displayed for the corresponding alarm in the Runtime.
To delete | Via the drop-down list select the user authorization which a user must have in order to delete database entries of the Industrial Performance Analyzer.
To edit | Via the drop-down list select the user authorization which a user must have in order to edit database entries of the Industrial Performance Analyzer.

Autres sujets abordés dans ce chapitre

Base de données

Filtres horaires pré-définis

Causes des alarmes

Equipment identification

Nom d'équipe depuis la liste


Base de données

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> General settings -> Base de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À la propriété Base de données, cliquez sur le bouton comportant trois points pour ouvrir la boîte de dialogue de sélection de la source de données du fichier.

  1. Pour créer un fichier DSN, cliquez sur Nouveau....
  2. Sélectionnez l'entrée Serveur SQL dans la boîte de dialogue suivante, puis cliquez sur Suivant.
  3. Saisissez le nom de la source de données, puis cliquez à nouveau sur Suivant.
  4. Cliquez sur Terminer pour fermer la boîte de dialogue.
  5. Sélectionnez le serveur SQL correspondant sous Serveur, puis cliquez sur Suivant.
  6. Vous n'avez rien à modifier dans la boîte de dialogue suivante. Cliquez sur Suivant.
  7. Cochez la case Remplacer la base de données standard par, puis sélectionnez la base de données de votre choix. Cliquez sur Continuer.
  8. Ici encore, vous n'avez rien à modifier dans cette boîte de dialogue. Cliquez sur Terminer pour fermer la boîte de dialogue.

La boîte de dialogue suivante affiche vos paramètres dans l'aperçu. Ici, vous pouvez tester les données source. Confirmez ce test et la boîte de données suivante en cliquant sur OK.


Filtres horaires pré-définis

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> General settings -> Filtres horaires pré-définis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsque vous sélectionnez ce paramètre, la boîte de dialogue suivante est affichée.

Paramètres | Description
Ajouter... | Ajoutez une nouvelle heure au filtre. Saisissez un nom unique et définissez une heure de début et de fin dans la boîte de dialogue qui s'affiche à l'écran.
Modifier... | Actif uniquement lorsque vous avez sélectionné une entrée existante. Vous pouvez modifier le nom, l'heure de début et l'heure de fin dans la boîte de dialogue qui apparaît.
Supprimer | Actif uniquement lorsque vous avez sélectionné une ou plusieurs entrées existantes. Supprime les filtres horaires sélectionnés.

Les filtres horaires que vous définissez ici sont disponibles dans le Runtime. Par exemple, vous pouvez définir les horaires des postes (poste du matin, poste du soir etc.) ici puis, sur le synoptique Industrial Performance Analyzer, vous pouvez accéder à ces horaires lors de l'application d'un filtre.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Autres sujets abordés dans ce chapitre

Ajouter un filtre de temps prédéfini


Ajouter un filtre de temps prédéfini

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> General settings -> Filtres horaires pré-définis -> Ajouter un filtre de temps prédéfini

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La boîte de dialogue Définition vous permet d'ajouter un nouveau filtre de temps ou de modifier un filtre de temps existante.

Paramètres | Description
Nom | Nom unique du filtre de temps.
Heure de début | Heure à partie de laquelle le filtre de temps est valide.
Heure de fin | Heure à laquelle le filtre de temps se termine.


Causes des alarmes

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> General settings -> Causes des alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsque vous sélectionnez ce paramètre, la boîte de dialogue suivante est affichée.

Paramètres | Description
Ajouter... | Ajouter une nouvelle cause d'alarme. Spécifiez un nom et un numéro distinct dans la boîte de dialogue qui s'affiche à l'écran.
Modifier... | Actif uniquement lorsque vous avez sélectionné une entrée existante. Vous pouvez modifier le numéro et le nom dans la boîte de dialogue qui s'affiche à l'écran.
Supprimer | Actif uniquement lorsque vous avez sélectionné une ou plusieurs entrées existantes. Supprime les causes d'alarmes sélectionnées.

Les causes d'alarmes que vous définissez ici sont disponibles dans le Runtime. Sur le synoptique Industrial Performance Analyzer, vous pouvez associer une cause d'alarme à chaque alarme. Sélectionnez pour cela la cause d'alarme dans une liste que vous gérez ici.

Autres sujets abordés dans ce chapitre

Ajouter une cause d'alarme


Ajouter une cause d'alarme

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> General settings -> Causes des alarmes -> Ajouter une cause d'alarme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La boîte de dialogue Cause d'alarme vous permet d'ajouter de nouvelles causes ou de modifier des causes existantes.

Paramètres | Description
Numéro | Numéro unique de la cause d'alarme.
Nom | Cause unique.


Equipment identification

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> General settings -> Equipment identification

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

When you select this setting, the following dialog will be dislpayed.

Parameter | Description
Add... | Add a new equipment identification. Enter a name for the equipment identification in the appearing dialog.
Change... | Only active when you have selected an existing entry. You can change the name of the equipment identification in the appearing dialog.
Delete | Only active when you have selected one or more existing entries. Deletes the selected equipment identification.

The equipment identification you define here are available in the Runtime. The equipment identification can appear as prefix in the name or in the identification of the variable (see also property Equipment identification via in General properties). The prefix is ended by an underscore '_'. An allocation to an equipment identification only takes place if a created equipment identification exactly matches the prefix.

Example Exemple

Equipment identification:

  • Equipment11

Variable name or variable identification:

  • Equipment1_Variable1
  • Equipment11_Variable1

Only variable Equipment11_Variable1 is allocated to the created equipment identification Equipment11.

With the help of the equipment identification, you can filter for the desired pieces of equipment.

Autres sujets abordés dans ce chapitre

Ajouter une identification d'équipement


Ajouter une identification d'équipement

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> General settings -> Equipment identification -> Ajouter une identification d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La boîte de dialogue Identification d'équipement vous permet d'ajouter de nouvelles identifications d'équipements ou de modifier des identifications existantes.

Paramètres | Description
Identification d'équipement | Nom de l'identification d'équipement.


Nom d'équipe depuis la liste

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> General settings -> Nom d'équipe depuis la liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsque vous sélectionnez ce paramètre, la boîte de dialogue suivante est affichée.

Paramètres | Description
Ajouter... | Ajoute un nouveau nom de poste. Spécifiez un nom et un numéro distinct dans la boîte de dialogue qui s'affiche à l'écran.
Modifier... | Actif uniquement lorsque vous avez sélectionné une entrée existante. Vous pouvez modifier le numéro et le nom dans la boîte de dialogue qui s'affiche à l'écran.
Supprimer | Actif uniquement lorsque vous avez sélectionné une ou plusieurs entrées existantes. Supprime les noms de postes sélectionnés.

Les noms de postes que vous définissez ici sont disponibles dans le Runtime. Ils vous aident lors du filtrage de données. Seules les alarmes qui se sont produites durant le poste correspondant sont affichées.

Autres sujets abordés dans ce chapitre

Ajouter un nom d'équipe depuis une liste


Ajouter un nom d'équipe depuis une liste

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> General settings -> Nom d'équipe depuis la liste -> Ajouter un nom d'équipe depuis une liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La boîte de dialogue Nom d'équipe vous permet d'ajouter de nouveaux noms d'équipe ou de modifier des noms d'équipe existants.

Paramètre | Description
Numéro | Numéro unique de l'équipe.
Nom | Nom unique de l'équipe.


Variables

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour enregistrer les alarmes dans la base de données du module IPA, vous devez cocher la case Enregistrer dans la base de données IPA pour chaque variable correspondante. Seules les alarmes provenant des variables pour lesquelles cette propriété a été activée sont conservées dans la base de données et peuvent alors être affichées et évaluées dans le synoptique Industrial Performance Analyzer.

attention Attention

Dans le texte de limite de la variable et dans l'identification de la variable, vous ne devez utiliser que des caractères autorisés dans les traitements SQL.


Changement de langues

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Changement de langues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'outil Industrial Performance Analyzer, la fonction de changement de langue est disponible pour les sections suivantes :

  • Groupes d'alarmes/d'événements et classes d'alarmes/d'événements
  • Identification d'équipement

    Remarque : Le caractère @ n'étant pas autorisé dans les noms de variables, la fonction de changement de langue est uniquement disponible pour la fonction d'identification des équipements si vous sélectionnez l'option Identification équipement avec avec le paramètre Filtre sur identification de variable.

  • Cause d'alarme
  • Nom de poste

    Remarque : L'utilisation du caractère @ n'étant pas autorisée dans l'outil Production & Facility Scheduler, la fonction de changement de langue n'est pas disponible pour les noms de poste si vous avez sélectionné les entrées correspondantes dans la liste Nom d'équipe depuis la liste.

Vous devez identifier les termes pour lesquels la fonction de changement de langue doit être utilisée avec le caractère @. En outre, vous devez vous assurer que les entrées correspondantes sont disponibles dans le fichier de langue.


Synoptique Industrial Performance Analyzer

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Synoptique Industrial Performance Analyzer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour afficher et évaluer les données d'alarme que le module Industrial Performance Analyzer conserve dans la base de données, dans le Runtime, vous devez utiliser le synoptique Industrial Performance Analyzer.

Créez un nouveau synoptique (voir également Synoptiques) et sélectionnez le Type de synoptique Industrial Performance Analyzer. Via le menu Eléments de contrôle, vous pouvez ajouter les éléments standard au synoptique Industrial Performance Analyzer en sélectionnant l'entrée de menu Insérer un modèle. Vous pouvez également ajouter les éléments de contrôle nécessaires individuellement, via le menu Eléments de contrôle.

Les éléments de contrôle suivants sont disponibles :

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant. Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur. Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Fichier | Affichage des données d'alarmes sous forme de table. Les informations sont lues depuis la table dans la base de données et sont ensuite affichées ici.
Mettre à jour la base de données | Relit les données provenant de la base de données.
Filtre ... | Ouvre la boite de définition de filtres.
Filtre précédent | Charge le dernier paramètre de filtre. Les dix derniers paramètres de filtre sont conservés.
Annuler filtre | Désactive tous les paramètres de filtre.
Créer un document | Crée un document contenant les données sélectionnées et ouvre le document. Ces données sont affichées sous forme d'une table.
Créer diagramme | Affiche les données sélectionnées dans un diagramme.
Paramétrage du diagramme | Définition de la représentation du diagramme, par exemple un bargraphe ou un schéma de secteurs.
Affichage courant | Texte classé affichant le type de liste sélectionné.
Ligne d'état | Texte classé affichant les paramètres de filtre sélectionnés.
Profils de filtre | Enregistre les filtres et les vues définies en ligne en tant que profils.
Sauvegarder profil | Enregistre un paramètre en ligne dans un profil.
Supprime le profil sélectionné | Supprime le profil sélectionné.
Sélection profil | Active un profil dans une liste.


Fonction Appel de synoptique

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Fonction Appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous créez une fonction Appel de synoptique (voir également Fonctions) sur le synoptique Industrial Performance Analyzer, la boîte de dialogue de filtre IPA est affichée. Ici, vous pouvez définir des filtres et configurer des paramètres qui seront pris en compte lorsque le Runtime basculera vers le module Industrial Performance Analyzer.

Vous trouverez d'autres informations concernant les paramètres de la boîte de dialogue de filtre au chapitre Filtre.


Fonction Créer/Imprimer un document IPA

Manuels -> Industrial Performance Analyzer -> Configuration dans l'Éditeur -> Fonction Créer/Imprimer un document IPA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec cette fonction, vous pouvez manuellement créer un rapport IPA et l'enregistrer en HTML ou l'imprimer sur l'imprimante par défaut de Windows. Vous trouverez cette fonction dans le groupe AML et CEL.

Vous pouvez alors utiliser les mêmes options de filtre de la même manière que lorsque vous utilisez la fonction d'appel de synoptique pour le synoptique Industrial Performance Analyzer. Sur l'onglet Document cible, spécifiez si vous souhaitez que le rapport soit imprimé sur l'imprimante standard de Windows ou enregistré sous forme de fichier dans le dossier d'exportation.

Si vous souhaitez enregistrer le rapport dans un fichier, cochez la case Imprimer dans un fichier et spécifiez un nom pour le fichier.

attention Attention

Veillez à saisir le nom de fichier avec l'extension .html, afin que votre ordinateur puisse reconnaître le fichier sans difficulté et l'ouvrir avec un logiciel approprié.

Exemple pour le nom de fichier :

IPA_010109.html

Si vous ne cochez pas cette case, le rapport sera imprimé.


Manipulations en Runtime

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous contrôlez le module IPA dans le Runtime à l'aide du synoptique Industrial Performance Analyzer. Le synoptique est ouvert avec les paramètres de filtre et autres paramètres définis dans l'éditeur. Vous le verrez s'afficher conformément aux paramètres définis dans l'éditeur.

Chaque affichage comporte un mode de tri des colonnes spécifique (voir le chapitre Filtre). Vous pouvez également trier l'affichage vous-même, en sélectionnant chaque colonne disponible. Cliquez sur l'en-tête de la colonne souhaitée pour réorganiser et trier l'affichage en fonction de cette colonne. Si vous souhaitez sélectionner plusieurs colonnes simultanément, maintenez la touche Ctrl enfoncée et cliquez sur les colonnes souhaitées, l'une après l'autre. Vous obtiendrez un tri en cascade. Si vous ne souhaitez plus utiliser le mode de tri par défaut, une flèche adjacente à l'en-tête de la colonne indique que l'affichage est trié en fonction de cette colonne. Vous pouvez trier les données par ordre croissant ou décroissant. Si vous cliquez une fois sur une colonne avec le bouton gauche, les entrées sont triées par ordre décroissant. Cliquez à nouveau avec le bouton gauche pour sélectionner les différents sens de tri.

Les éléments de contrôle développés dans l'éditeur sont également disponibles pour configurer le fonctionnement du module Industrial Performance Analyzer et l'affichage des éléments de contrôle des données d'alarmes (voir également Synoptique Industrial Performance Analyzer).

Supprimer des entrées

Vous pouvez uniquement supprimer les entrées de la base de données à l'aide du module interne Industrial Performance Analyzer. Pour supprimer une entrée, cliquez dessus avec le bouton droit. Sélectionnez l'élément de menu Supprimer les lignes sélectionnées de la base de données dans le menu contextuel. Si vous possédez les autorisations nécessaires, l'entrée est également supprimée (voir également Paramètres généraux).

Cause de l'alarme et commentaire

Si vous voulez ajouter une cause d'alarme et/ou un commentaire à une alarme, deux possibilités s'offrent à vous. Double-cliquez sur la ligne de votre choix. Dans la boîte de dialogue qui s'affiche, vous pouvez sélectionner une cause d'alarme dans la liste déroulante Cause d'alarme et saisir un commentaire dans le champ Commentaire.

Vous pouvez également accéder à la boîte de dialogue en cliquant avec le bouton droit sur la ligne de votre choix et en sélectionnant l'élément Modifier la cause d'alarme dans le menu contextuel.

Autres sujets abordés dans ce chapitre

Filtre

Créer un document

Diagramme


Filtre

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La boîte de dialogue de filtre vous permet de paramétrer l'apparence du synoptique Industrial Performance Analyzer. Vous définissez les alarmes que vous souhaitez afficher, ainsi que les critères de tri.

Chaque type de liste affiche certaines colonnes spécifiques, et comporte un mode de tri par défaut spécifique. Il existe trois types de listes : listes de sommes, listes de statistiques et liste simple.

Liste de groupes

Nom liste | Colonnes disponibles | Tri par défaut
Selon une classe | Classe d'alarmes/d'événements ; Nombre ; Durée totale | Colonne: Nombre, en commençant par le plus grand nombre
Alarmes liées à une seule variable | Variable, Identification de la variable ; Nombre ; Durée totale brute ; Durée totale nette ; Texte de limite, Classes d'alarmes/d'événements, Groupes d'alarmes/d'événements, Équipement, Projet | Colonne: Nombre, en commençant par le plus grand nombre
Alarmes liées à un groupe | Classe d'alarmes/d'événements ; Nombre ; Durée totale | Colonne: Nombre, en commençant par le plus grand nombre
Alarmes liées à un équipement | Equipement, Nombre, Durée totale | Colonne: Nombre, en commençant par le plus grand nombre

Liste statistique

Nom liste | Colonnes disponibles | Tri par défaut
Durée totale de pannes sur un équipement | Equipement, Durée totale | Colonne: Durée totale, en commençant par l'alarme la plus longue
les n alarmes les plus courtes | État, Variable, Identification de la variable, Début, Durée, Durée brute, Classe d'alarmes, Groupe d'alarmes, Texte de limite, Début de poste, Fin de poste, Equipement, Projet, Cause de l'alarme, Commentaire | Colonne: Durée, en commençant par l'alarme la plus courte
les n alarmes les plus fréquentes | Nombre, Nom de la variable, Identification de la variable, Début, Durée totale, Durée totale brute, Classe d'alarmes/d'événements, Groupe d'alarmes/d'événements, Texte de limite, Equipement, Projet, Cause de l'alarme, Commentaire | Colonne: Nombre, en commençant par le plus grand nombre
les n alarmes les plus longues | État, Variable, Identification de la variable, Début, Durée, Durée brute, Classe d'alarmes, Groupe d'alarmes, Texte de limite, Début de poste, Fin de poste, Equipement, Projet, Cause de l'alarme, Commentaire | Colonne: Durée, en commençant par l'alarme la plus longue
les n alarmes les plus récentes | État, Variable, Identification de la variable, Début, Durée, Durée brute, Classe d'alarmes, Groupe d'alarmes, Texte de limite, Début de poste, Fin de poste, Equipement, Projet, Cause de l'alarme, Commentaire | Colonne: Durée, en commençant par l'alarme la plus ancienne

Saisissez le nombre souhaité dans le champ n=.

Liste simple

Nom liste | Colonnes disponibles | Tri par défaut
Liste d'alarmes | État, Variable, Identification de la variable, Début, Durée, Durée brute, Classe d'alarmes, Groupe d'alarmes, Texte de limite, Début de poste, Fin de poste, Equipement, Projet, Cause de l'alarme, Commentaire | Colonne: Durée, en commençant par l'alarme la plus ancienne

Autres sujets abordés dans ce chapitre

Base de données et vue

Date/Heure

Equipment identification

Alarm/event classes

Alarm groups

Divers

Début de poste

Fin de poste

Alarm reason

Définition des colonnes


Base de données et vue

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Base de données et vue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez la vue de votre choix sous Vue.

Les champs DSN name (Nom DSN) et Table affichent la connexion au serveur SQL et le nom de la table dans laquelle le module IPA écrit les données de l'alarme. Ces champs sont uniquement fournis à des fins d'information. Vous ne pouvez y apporter aucune modification (voir également Base de données). Vous pouvez modifier les réglages avec ces propriétés :

Paramètres | Description
Afficher la grille | Affiche une trame lors de l'affichage des données d'alarme.
n= | Définit le nombre d'entrées que peuvent contenir les vues n alarmes les plus courtes, n alarmes les plus fréquentes, n alarmes les plus longues et n dernières alarmes.


Date/Heure

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Date/Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser ce filtre, cochez la case Active. Si vous fermez la boîte de dialogue en cliquant sur OK, vos paramètres sont utilisés sur l'affichage. Si vous désactivez la case à cocher Active, les paramètres sont conservés. Ils ne sont toutefois pas utilisés sur l'affichage.

Sélectionnez Aujourd'hui, Hier, Avant-hier ou Sélection dans le filtre de date. Si vous sélectionnez Sélection, spécifiez une plage de dates librement définie. Si vous activez l'option Utiliser l'heure, saisissez l'heure de votre choix pour les dates de début et de fin. Si vous n'activez pas l'option Utiliser l'heure, la plage d'heures s'étend de 00h00 à la date de début à 24h00 à la date de fin.

Sélectionnez Sélection ou Personnalisé dans le filtre de temps. Si vous sélectionnez Sélection, spécifiez une plage d'heures librement définie. Si vous sélectionnez Personnalisé, sélectionnez une plage d'heures que vous aurez préalablement créée dans l'Editeur. Voir également le chapitre Filtres horaires prédéfinis.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

info Info

La plage d'heures sous Heure est valide pour chaque jour sélectionné sous Date. Si vous sélectionnez l'option Sélection sous Date, 01.10.2008 sous Début et 05.10.2008 sous Fin, la plage de temps sélectionnée sous Heure est valide pour chacun des cinq jours du 1er octobre au 5 octobre. Octobre.


Equipment identification

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Equipment identification

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser ce filtre, cochez la case Active. Si vous fermez la boîte de dialogue en cliquant sur OK, vos paramètres sont utilisés sur l'affichage. Si vous désactivez la case à cocher Active, les paramètres sont conservés. Ils ne sont toutefois pas utilisés sur l'affichage.

In the filter of the equipment identification one or more pieces of equipment can be activated. You can select the entries in the left list and move them to the right list with the help of the arrow key.

The alarms of the pieces of equipment of the right-hand list will be displayed.

The equipment identification is carried out using the prefix of the variable name or the variable identification depending on your project setting (see also General settings). You administrate the list for the equipment identification in the Editor under Equipment identification.

info Info

Lors du filtrage, plusieurs entrées peuvent être sélectionnées en même temps. Vous pouvez sélectionner plusieurs entrées en maintenant les touches Ctrl ou Maj enfoncées. En maintenant la touche Ctrl enfoncée, vous pouvez sélectionner plusieurs entrées individuellement. En maintenant la touche Maj enfoncée, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées. En maintenant les touches Ctrl et Maj enfoncées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Alarm/event classes

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Alarm/event classes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser ce filtre, cochez la case Active. Si vous fermez la boîte de dialogue en cliquant sur OK, vos paramètres sont utilisés sur l'affichage. Si vous désactivez la case à cocher Active, les paramètres sont conservés. Ils ne sont toutefois pas utilisés sur l'affichage.

In the filter of the alarm/event classes one or more alarm/event classes can be activated. You can select the entries in the left list and move them to the right list with the help of the arrow key.

The alarms of the groups in the right list will be displayed.

info Info

In the Runtime, only the name of the alarm/event class is displayed. Thus a better sorting of the entries is achieved. The number of the alarm/event class is not displayed.

info Info

Lors du filtrage, plusieurs entrées peuvent être sélectionnées en même temps. Vous pouvez sélectionner plusieurs entrées en maintenant les touches Ctrl ou Maj enfoncées. En maintenant la touche Ctrl enfoncée, vous pouvez sélectionner plusieurs entrées individuellement. En maintenant la touche Maj enfoncée, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées. En maintenant les touches Ctrl et Maj enfoncées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Alarm groups

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Alarm groups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser ce filtre, cochez la case Active. Si vous fermez la boîte de dialogue en cliquant sur OK, vos paramètres sont utilisés sur l'affichage. Si vous désactivez la case à cocher Active, les paramètres sont conservés. Ils ne sont toutefois pas utilisés sur l'affichage.

In the filter of the alarm/event group one or more alarm/event groups can be activated. You can select the entries in the left list and move them to the right list with the help of the arrow key.

The alarms of the groups in the right list will be displayed.

info Info

In the Runtime only the name of the alarm/event group is displayed. Thus a better sorting of the entries is achieved. The number of the alarm/event group is not displayed.

info Info

Lors du filtrage, plusieurs entrées peuvent être sélectionnées en même temps. Vous pouvez sélectionner plusieurs entrées en maintenant les touches Ctrl ou Maj enfoncées. En maintenant la touche Ctrl enfoncée, vous pouvez sélectionner plusieurs entrées individuellement. En maintenant la touche Maj enfoncée, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées. En maintenant les touches Ctrl et Maj enfoncées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Divers

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Divers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cet onglet, quelques fonctions de filtre supplémentaires sont disponibles.

Paramètre | Description
Durée alarme | Filtrer sur la durée des alarmes. Seules les alarmes qui ont une durée dans cet intervalle de temps seront considérées.
Fréquence d'alarme | Filtrer les données d'alarmes selon la fréquence des alarmes. Seules les alarmes qui ont une fréquence dans cet intervalle seront considérées. Ce filtre ne peut être activé que si, dans la vue de liste, le choix les n alarmes les plus fréquentes a été activé.
État d'alarme | Filtrage par état d'alarme. Choisissez l'une de ces possibilités : active, disparue ou les deux.
Texte de limite | Filtrer les données d'alarmes sur le texte de limite de l'alarme. Soit sur le texte – c'est-à-dire lister toutes les alarmes avec le mot "Test" dans le texte d'alarme, par exemple (en respectant la casse ou non), ou alors avec des expressions avec des caractères génériques.
Identification variable | Filtrer les données d'alarmes sur le texte d'identification de la variable. Soit avec un texte, soit avec des expressions génériques.
Projet | Filtrer sur le projet depuis lequel l'alarme a été écrite dans la base de données. Si vous voulez spécifier plusieurs projets, ils doivent être séparés par une virgule ','.

Autres sujets abordés dans ce chapitre

Expressions génériques


Expressions génériques

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Divers -> Expressions génériques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les expressions génériques désignent des chaînes constituées de caractères normaux (par ex. lettres, chiffres etc.) et de caractères spéciaux appelés métacaractères. Lors du filtrage ou de la recherche de caractères dans des textes, vous pouvez définir une chaîne de caractères spécifique.

info Info

Ne confondez pas les expressions génériques et les opérateurs génériques (par ex., * équivaut à n'importe quelle chaîne). Les expressions génériques sont beaucoup plus efficaces, et vous permettent de définir votre recherche de manière très précise.

La liste suivante contient tous les métacaractères et leur utilisation en tant qu'expressions génériques :

Métacaractère | Description
\ | Identifie le caractère suivant comme étant un caractère spécial, un caractère littéral, une référence arrière ou un échappement octal. Par exemple, n correspond au caractère n. \n correspond à un caractère de nouvelle ligne. La séquence \\ correspond à \ et \( correspond à (.
^ | Correspond à la position au début de la chaîne de saisie.
$ | Correspond à la position à la fin de la chaîne de saisie.
* | Correspond au caractère ou à la sous-expression précédent(e) zéro fois ou davantage. Par exemple, zo* correspond à "z, zo, zoo" etc.
+ | Correspond au caractère ou à la sous-expression précédent(e) une fois ou davantage. Par exemple, zo+ correspond à zo, zoo etc. mais pas à z.
? | Correspond au caractère ou à la sous-expression précédent(e) zéro‑ fois ou davantage. Par exemple, fa(it)? correspond à fa dans fa ou fait.
{n} | n est un entier non négatif. Correspond à exactement n‑fois. Par exemple, o{2} ne correspond pas au o dans Bob, mais correspond aux deux o dans food.
{n,} | n est un entier non négatif. Correspond à au moins n‑fois. Par exemple, o{2} ne correspond pas au o dans Bob, mais correspond o dans foooood. o{1,} est équivalent à o*. o{0,} est équivalent à o+.
{n,m} | m et n sont des entiers non négatifs, où n <= m correspond au moins à n et au plus à m fois. Par exemple, o{1,3} correspond au trois premiers o dans fooooood. o{0.1,} est équivalent à o?. Remarque : Vous ne devez pas insérer un espace entre la virgule et les nombres.
? | Quand ce caractère suit immédiatement un des autres quantificateurs (*, +, ?, {n}, {n,}, {n,m}), le motif correspondant est non Greedy. Un motif non Greedy correspond à une partie aussi réduite que possible de la chaîne recherchée, tandis que le motif Greedy par défaut correspond à une partie aussi importante que possible de la chaîne recherchée. Par exemple, dans la chaîne oooo, o+? correspond à un seul o, tandis que o+ correspond à tous les o.
. | Correspond à n'importe quel caractère, sauf \n. Pour obtenir un caractère \n, utilisez un motif tel que [\s\S].
(motif) | Une sous-expression qui correspond au motif et capture la correspondance. Pour obtenir les caractères de parenthèses, ( ), utilisez \( ou \).
(motif ?:) | Une sous-expression qui correspond au motif mais ne capture pas la correspondance, c'est-à-dire qui représente une correspondance sans capture stockée pour une éventuelle utilisation ultérieure. Utile pour associer des éléments d'un motif à l'aide du caractère "ou" (|). Par exemple, industr(?:y|ies) est une expression plus économique que industry|industries.
(motif ?=) | Une sous-expression qui exécute une recherche anticipée positive, qui établit une correspondance avec la chaîne à tout point auquel commence une chaîne correspondant au motif. Il s'agit d'une correspondance sans capture, ce qui signifie que la correspondance n'est pas capturée aux fins d'une éventuelle utilisation ultérieure. Par exemple, Windows (?=XP|VISTA) correspond à Windows dans Windows XP, mais pas à Windows dans Windows 7. Les recherches anticipées ne consument pas les caractères ; cela signifie qu'après une correspondance, la recherche de la prochaine correspondance commence immédiatement après la dernière correspondance, pas après les caractères contenant la portion anticipée.
(motif ?!) | Une sous-expression qui exécute une recherche anticipée négative, qui établit une correspondance avec la chaîne à tout point auquel commence une chaîne ne correspondant pas au motif. Il s'agit d'une correspondance sans capture, ce qui signifie que la correspondance n'est pas capturée aux fins d'une éventuelle utilisation ultérieure. Par exemple, Windows (?!=XP|VISTA) correspond à Windows dans Windows 7, mais pas à Windows dans Windows XP. Les recherches anticipées ne consument pas les caractères ; cela signifie qu'après une correspondance, la recherche de la prochaine correspondance commence immédiatement après la dernière correspondance, pas après les caractères contenant la portion anticipée.
x|y | Correspond soit à x ou y. Par exemple, z|cool correspond soit à z, soit à cool. (z|c)ool correspond à zool ou cool.
[xyz] | Un ensemble de caractères. Correspond à n'importe lequel des caractères entre crochets. Exemple : [abc] correspond à a dans plaine.
[^xyz] | Un ensemble de caractères négatif. Correspond à tout caractère non inséré entre crochets. Exemple : [abc] correspond au p dans plaine.
[a-z] | Une plage de caractères. Correspond à tout caractère dans la plage spécifiée. Exemple : Par exemple, [a-z] correspond à tout caractère alphabétique dans la plage de a à z.
[^a-z] | Une plage de caractères négative. Correspond à tout caractère absent de la plage spécifiée. Exemple : Par exemple, [^a-z] correspond à tout caractère non compris dans la plage de a à z.
\b | Correspond à une limite de mot, c'est-à-dire à la position entre un mot et un espace. Exemple : Par exemple, er\b correspond au er dans scier, mais pas au er dans verbe.
\B | Correspond à une limite autre que celle d'un mot. Exemple : Par exemple, er\B correspond au er dans verbe, mais pas au er dans scier.
\cx | Correspond au caractère de contrôle indiqué par x. Par exemple, \cM correspond à Ctrl+M ou un caractère de retour de chariot. La valeur de x doit être compris dans la plage de A à Z ou de a à z. Dans le cas contraire, le programme considère que c est un caractère littéral c.‑
\d | Correspond à un caractère de chiffre. Equivalent à [0-9].
\D | Correspond à un caractère autre qu'un chiffre. Equivalent à [^0-9].
\f | Correspond à un caractère de présentation de page suivante. Equivalent à \x0c et \cL.
\n | Correspond à un caractère de nouvelle ligne. Equivalent à \x0a et \cJ.
\r | Correspond à un caractère de retour de chariot. Equivalent à \x0d et \cM.
\s | Correspond à tout caractère de "blanc" tel qu'un espace, une tabulation, un caractère de présentation de page suivante et ainsi de suite. Equivalent à [ \f\n\r\t\v].
\S | Correspond à tout caractère autre qu'un caractère de "blanc". Equivalent à [^ \f\n\r\t\v].
\t | Correspond à un caractère de tabulation. Equivalent à \x09 et \cl.
\v | Correspond à un caractère de tabulation verticale. Equivalent à \x0b et \cK.
\w | Correspond à tout caractère de mot, soulignements inclus. Equivalent à [A-Za-z0-9_].
\W | Correspond à tout caractère autre qu'un caractère de mot. Equivalent à [^A-Za-z0-9_].
\xn | Correspond à n, où n est une valeur d'échappement hexadécimal. Les valeurs d'échappement hexadécimales doivent mesurer exactement deux caractères. Exemple : Par exemple, \x41 correspond à A. \x041 est équivalent à \x04& 1. Autorise l'utilisation de codes ASCII dans des expressions génériques.
\num | Correspond à num, où num est un entier positif. Une référence aux correspondances capturées. Exemple : Par exemple, (.)\1 correspond à deux caractères consécutifs identiques.
\n | Identifie soit une valeur d'échappement octale, soit une référence arrière. Si \n est précédé d'au moins n sous-expressions capturées, n est une référence arrière. Dans le cas contraire, n est une valeur d'échappement octale si n est un chiffre octal (0‑7).
\nm | Identifie soit une valeur d'échappement octale, soit une référence arrière. Si \nm est précédé d'au moins nm sous-expressions capturées, nm est une référence arrière. If \nm est précédé d'au moins n sous-expressions capturées, n est une référence arrière suivie d'un m littéral. Si aucune des conditions précédentes n'existe, \nm correspond à la valeur d'échappement octale nm lorsque n et m sont des chiffres octaux (0-7).
\nml | Correspond à la valeur d'échappement octale nml lorsque n est un chiffre octal (0‑3) et que m et l sont des chiffres octaux (0‑7).
\un | Correspond à n, lorsque n est un caractère Unicode exprimé sous la forme de quatre chiffres hexadécimaux. Exemple : \u00A9 correspond au symbole de copyright (©).


Début de poste

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Début de poste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser ce filtre, cochez la case Active. Si vous fermez la boîte de dialogue en cliquant sur OK, vos paramètres sont utilisés sur l'affichage. Si vous désactivez la case à cocher Active, les paramètres sont conservés. Ils ne sont toutefois pas utilisés sur l'affichage.

Dans le filtre Début de poste, un ou plusieurs postes peuvent être sélectionnés. Vous pouvez sélectionner les entrées dans la liste de gauche et les déplacer vers la liste de droite à l'aide des touches fléchées.

Le filtre Début de poste fait référence au poste actif lorsque l'entrée Date/heure d'apparition était active. Vous pouvez gérer la liste contenant les noms des postes dans l'éditeur, sous l'intitulé Nom de poste donné par une liste.

info Info

Lors du filtrage, plusieurs entrées peuvent être sélectionnées en même temps. Vous pouvez sélectionner plusieurs entrées en maintenant les touches Ctrl ou Maj enfoncées. En maintenant la touche Ctrl enfoncée, vous pouvez sélectionner plusieurs entrées individuellement. En maintenant la touche Maj enfoncée, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées. En maintenant les touches Ctrl et Maj enfoncées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Fin de poste

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Fin de poste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser ce filtre, cochez la case Active. Si vous fermez la boîte de dialogue en cliquant sur OK, vos paramètres sont utilisés sur l'affichage. Si vous désactivez la case à cocher Active, les paramètres sont conservés. Ils ne sont toutefois pas utilisés sur l'affichage.

Dans le filtre Poste fin, un ou plusieurs postes peuvent être sélectionnés. Vous pouvez sélectionner les entrées dans la liste de gauche et les déplacer vers la liste de droite à l'aide des touches fléchées.

Le filtre Fin poste fait référence au poste actif lorsque l'entrée Date/heure d'apparition était active. Les alarmes et les postes de la liste de droite seront affichés. Vous pouvez gérer la liste contenant les noms des postes dans l'éditeur, sous l'intitulé Nom de poste donné par une liste.

info Info

Lors du filtrage, plusieurs entrées peuvent être sélectionnées en même temps. Vous pouvez sélectionner plusieurs entrées en maintenant les touches Ctrl ou Maj enfoncées. En maintenant la touche Ctrl enfoncée, vous pouvez sélectionner plusieurs entrées individuellement. En maintenant la touche Maj enfoncée, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées. En maintenant les touches Ctrl et Maj enfoncées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Alarm reason

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Alarm reason

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser ce filtre, cochez la case Active. Si vous fermez la boîte de dialogue en cliquant sur OK, vos paramètres sont utilisés sur l'affichage. Si vous désactivez la case à cocher Active, les paramètres sont conservés. Ils ne sont toutefois pas utilisés sur l'affichage.

In the filter alarm reasons one or more alarm reasons can be activated. You can administrate the alarm reasons in the Editor in the area Alarm reasons.

info Info

Lors du filtrage, plusieurs entrées peuvent être sélectionnées en même temps. Vous pouvez sélectionner plusieurs entrées en maintenant les touches Ctrl ou Maj enfoncées. En maintenant la touche Ctrl enfoncée, vous pouvez sélectionner plusieurs entrées individuellement. En maintenant la touche Maj enfoncée, vous sélectionnez toutes les entrées situées entre les deux entrées sélectionnées. En maintenant les touches Ctrl et Maj enfoncées, vous sélectionnez toutes les entrées situées entre les entrées sélectionnées. Les entrées préalablement sélectionnées restent sélectionnées.


Définition des colonnes

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime -> Filtre -> Définition des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous personnalisez les colonnes prédéfinies.

Paramètre | Description
Vue des listes | Sélectionnez la liste de votre choix dans la liste déroulante.
Colonnes | Dans cette liste sont affichées toutes les colonnes disponibles dans la vue de liste sélectionnée.
Personnalisé | Cochez cette case pour personnaliser la valeur prescrite en fonction de l'intitulé de la colonne et de la largeur de la colonne.
Titres des colonnes | Saisissez un nouveau titre pour la colonne sélectionnée.
Largeur de colonne | Définissez la largeur de la colonne sélectionnée, en pixels. Si vous saisissez 0, la colonne n'est pas affichée.


Créer un document

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime -> Créer un document

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En plus de l'affichage des données d'alarmes, un document au format HTML peut être créé. Ces documents peuvent être imprimés ou enregistrés.

Après avoir défini les filtres et les options de tri de votre choix, vous pouvez générer le document en cliquant sur Créer un document.

Le format du document est défini avec un fichier XSL (fichier de styles). Plusieurs fichiers prédéfinis sont disponibles :

Fichier XSL | Description
Single_list.xsl | affichage d'alarmes simples
Statistical_duration.xsl | affichage statistique de l'indisponibilité totale d'un équipement
Statistical_frequency.xsl | affichage statistique des n alarmes les plus fréquentes, les plus longues ou des n dernières alarmes.
Sum_list_equipment.xsl | Liste groupée selon un équipement.
Sum_list_single_alarm.xsl | Liste groupée relative à une seule alarme
Sum_list_group.xsl | Liste groupée selon un groupe.
Sum_list_class.xsl | liste groupée selon une classe

Ces feuilles de style se trouve dans les dossiers correspondants pour :

C:\ProgramData\COPA-DATA\zenon710\IPA\

Si plusieurs fichiers de style se trouvent dans un répertoire, une boîte de dialogue demande quel est le fichier à utiliser.


Diagramme

Manuels -> Industrial Performance Analyzer -> Manipulations en Runtime -> Diagramme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour les listes de sommes et la liste de statistiques des n alarmes les plus fréquentes, un diagramme peut être créé en complément du document.

Le format du diagramme est défini avec les paramètres du diagramme.

Sur l'onglet Diagramme général, un des diagrammes suivants peut être sélectionné :

Type diagramme | Description
Barre horizontale | La barre est affichée horizontalement.
Barre verticale | La barre est affichée verticalement.
Schéma en secteurs | Pour le schéma en secteur, l'option 2D ou 3D peut être sélectionnée.

Le résumé des alarmes est affiché selon le temps ou selon le nombre. Dans la section Divers, la couleur de la barre peut être sélectionnée. En plus l'affichage d'une grille peut être activée ici.

Dans onglet Labeling (Etiquetage), vous sélectionnez la police de caractères et la couleur de l'étiquetage du diagramme. Le Style définit le texte à afficher.

Dans l'onglet Légende, vous sélectionnez la police de caractères et la couleur du texte utilisé pour la légende. Vous pouvez aussi définir comment la légende doit être affichée et où.


Installation et mises à jour

Manuels -> Installation et mises à jour

Lors de la première installation de zenon et de l'exécution des Service Pack et des mises à niveau, la procédure d'installation démarre automatiquement et vous guide tout au long du processus d'installation. Si vous avez désactivé la fonction Exécution automatique de votre lecteur de CD/DVD, vous pouvez démarrer l'installation en exécutant le fichier start.exe situé dans le répertoire racine de votre DVD de zenon.

Remarques concernant l'installation :

  • Avant d'installer zenon :
    • Toutes les mises à jour actuelles du système d'exploitation doivent être installées.
    • Aucun redémarrage ne doit être en attente.
  • Avec Windows 7 Embedded Standard, zenon est installé dans le cadre d'une procédure d'installation normale. Vous trouverez des informations concernant la configuration matérielle requise au chapitre Le Runtime sous Windows Embedded Standard 7.
  • zenon pour Windows CE est installé dans le cadre de la procédure d'installation normale. Vous trouverez plus de détails à ce sujet au chapitre Runtime sous Windows CE.

attention Attention

zenon 7.10 ne peut pas être installé sur les systèmes sur lesquels Microsoft SQL Server Data Engine (MSDE) est déjà installé. Ceci affecte tous les systèmes sur lesquels est installé zenon 6.20 ou une version antérieure.

info Info

Durant l'installation, si vous recevez un message d'erreur indiquant qu'un service ne peut pas être démarré :

  • Redémarrez d'abord l'ordinateur
  • Ensuite, redémarrez le programme d'installation de zenon

Systèmes d'exploitation 64 bits : Installation de versions antérieures après l'installation de la version 7.10

Sous un système d'exploitation 64 bits, si une version antérieure de zenon est installée après l'installation de zenon 7.10, les services 64 bits de la version 7.10 doivent être enregistrés manuellement, à l'aide de la ligne de commande. Pour cela :

  1. exécutez la ligne de commande avec des droits d'administrateur.
  2. Accédez au dossier C:\Program Files\Common Files\COPA-DATA\zenAdminSrv
  3. Démarrez le service zenAdminSrv.exe avec le paramètre -service
  4. Accédez au dossier C:\Program Files\Common Files\COPA-DATA\zenLogSrv
  5. Démarrez le service zenLogSrv.exe avec le paramètre -service

Example Exemple

zenAdminSrv:

  • Dossier : C:\Program Files\Common Files\COPA-DATA\zenAdminSrv
  • Commande : zenAdminSrv.exe -service

zenLogSrv :

  • Dossier : C:\Program Files\Common Files\COPA-DATA\zenLogSrv
  • Commande : zenLogSrv.exe -service

Installation de la version 7.x et de la version 6.51 sur le même ordinateur

Si une version 7.x est installée sur un système sur lequel zenon 6.51 est déjà installé, le pilote Multiple Network Protocol Driver doit être réinstallé après le redémarrage de l'ordinateur.

Pour cela,

  1. Redémarrez le système
  2. Sur les systèmes x64 :
    1. Sur le DVD, accédez au dossier Additional_Software\COPA-DATA Multiple Network Protocol Driver x64
    2. Exécutez le fichier intitulé Install.bat
  3. Sur les systèmes X86 :
    1. Sur le DVD, accédez au dossier Additional_Software\COPA-DATA Multiple Network Protocol Driver x86
    2. Exécutez le fichier intitulé Install.bat

Ceci permet de réinstaller le pilote et de le lier correctement à la carte réseau.

Autres sujets abordés dans ce chapitre

Minimum requis pour le système

Chemins d'installation et de fonctionnement

Installation standard de zenon

zenon pour Windows CE

Runtime zenon Logic pour Windows CE

Serveur Web de zenon

Client Web de CD_PRODUCTNAME

Mises à jour (installations de versions), Service Pack et mises à niveau

FAQ

Assistance technique


Minimum requis pour le système

Manuels -> Installation et mises à jour -> Minimum requis pour le système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon 7.11 peut être utilisé avec tous les systèmes d'exploitation actuels de Microsoft. Le matériel utilisé n'est pas important. Le système d'exploitation ne tient pas compte des fonctions matérielles, afin que zenon puisse normalement être utilisé sans limitation sur tous les équipements.

zenon est toujours testé avec les dernières versions en date des systèmes d'exploitation et les derniers Service Pack et correctifs disponibles. Vous pouvez donc considérer qu'en règle générale, zenon peut être utilisé avec les tous derniers Service Pack et correctifs.

Il est possible que les modifications apportées par les Service Packs et correctifs de Microsoft provoquent des incompatibilités et affectent les fonctionnalités du logiciel. Si cela est le cas, COPA-DATA publiera une version mise à jour dans les meilleurs délais. En cas de problème, veuillez contacter notre assistance technique : support@copadata.com.

Autres sujets abordés dans ce chapitre

Système d'exploitation

Logiciels supplémentaires

Autorisation utilisateur

Logiciels antivirus

Configuration matérielle requise

Structure des fichiers

Ports libres


Système d'exploitation

Manuels -> Installation et mises à jour -> Minimum requis pour le système -> Système d'exploitation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Systèmes d'exploitation supportés pour la version PC :

Système d'exploitation

Service Pack requis

Éditeur

Runtime
  • Windows Embedded Standard 7
    (si toutes les composantes nécessaires du système d'exploitation sont présentes).
    Remarque : Éditeur zenon indisponible

-

-
  • Windows Vista
    (Business, Enterprise et Ultimate, versions x86 et x64).

SP 2

SP 2
  • Windows 7
    (Professionnel, Enterprise et Ultimate, versions x86 et x64).

SP 1

-
  • Windows 8
    (Standard, Professionnel, Enterprise, versions x86 et x64).

-

-
  • Windows Server 2008
    (toutes les éditions)

SP 2

SP 2
  • Windows Server 2008 R2
    (toutes les éditions)

SP 1

  • Windows Serveur 2012

-

-

Conseils :

  • tous les systèmes d'exploitation sont pris en charge dans la version multilingue.
  • Windows 8 RT n'est pas pris en charge pour des raisons liées au système.
  • Les processeurs Itanium ne sont pas pris en charge, quel que soit le système d'exploitation.

attention Attention

Les mises à jour automatiques de Windows influencent le déroulement de l'installation.

Si une mise à jour du système d'exploitation Windows est effectuée pendant le fonctionnement du programme d'installation de zenon, des problèmes peuvent survenir durant l'installation de zenon. Pour éviter cela :

  • Désactivez la fonction de mise à jour automatique de Windows durant l'installation
    ou
  • Exécutez la mise à jour de Windows avant de démarrer l'installation de zenon

Microsoft .NET Framework

zenon nécessite Microsoft .NET Framework 3.5 (ou une version ultérieure) pour VSTA et WPF. Si .NET Framework n'est pas installé, il est installé automatiquement sous Windows et Server 2008.

Sous Windows 7 et Windows Server 2008 R2, .NET Framework est un composant du système d'exploitation et ne peut pas être installé automatiquement. Le programme d'installation affiche un message d'erreur et se ferme. .NET Framework doit être activé manuellement pour les systèmes d'exploitation suivants : Sélectionnez Panneau de configuration - >Programmes et fonctionnalités - > Activer ou désactiver des fonctionnalités Windows.

Systèmes d'exploitation supportés pour la version Windows CE :

  • Windows CE 5.0
  • Windows CE 6.0

Les processeurs supportés pour les différentes versions de Windows CE sont listés dans le chapitre Versions CE/processeurs supportés. Vous trouverez les instructions d'installation du Runtime sous Windows CE au chapitre Runtime.

Aperçu

 | Windows Embedded Standard 7 | Fenêtre Vista/Windows 7/Windows 8/ Server 2008 (R2) | Windows CE
Éditeur |  | X |
Runtime | X | X |
Runtime Windows CE |  |  | X
zenon Web Server | X | X | X
Client Web | X | X |

Informations concernant info

Si vous utilisez toujours la dernière version (Service Pack) de votre système d'exploitation, vous évitez non seulement les problèmes de compatibilité, mais également les problèmes de sécurité.


Logiciels supplémentaires

Manuels -> Installation et mises à jour -> Minimum requis pour le système -> Logiciels supplémentaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

SQL Server

L'Éditeur de zenon utilise une base de données SQL. Ce logiciel est également installé lors de l'installation de zenon.

  • Jusqu'à la version 6.20 SP4 : SQL Server 2000 (MSDE)
  • À partir de la version 6.21 : SQL Server 2005 Express
  • À partir de la version 7.00 SP0 SQL Server 2008R2 SP1 Express
  • À partir de la version 7.10 SP0 SQL Server 2012 SP1 Express

attention Attention

Tenez compte des consignes suivantes lors du changement de version de SQL Server : Les projets doivent être sauvegardés et exportés dans leur version d'origine, puis réimportés dans la nouvelle version.

Dongle

  • Le logiciel requis pour la protection par dongle (Wibu-Key ou CodeMeter) est installé et mis à jour automatiquement.

Conditions requises sous Windows Vista :

Lors de l'installation de zenon sous Windows Vista, les programmes suivants doivent être installés manuellement avant le démarrage de l'installation :

  • Microsoft Installer 4.5
  • .NET 3.51
  • Powershell 2.0

Une fois ces programmes installés, redémarrez le système avant d'installer zenon.

Les fichiers d'installation de ces programmes sont disponibles sur le DVD de zenon ou sur la page de téléchargements de Microsoft.


Autorisation utilisateur

Manuels -> Installation et mises à jour -> Minimum requis pour le système -> Autorisation utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour procéder à l'installation, vous devez disposer de droits d'administrateur de Windows.

Pour utiliser le programme, vous devez disposer de droits d'utilisateur standard de Windows. Le contrôle de compte utilisateur (UAC) peut être activé au niveau de sécurité le plus élevé.


Logiciels antivirus

Manuels -> Installation et mises à jour -> Minimum requis pour le système -> Logiciels antivirus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les logiciels antivirus peuvent ralentir l'installation de zenon, voir même empêcher l'installation de zenon.

Si le logiciel antivirus que vous utilisez entraîne des problèmes durant l'installation, désactivez le logiciel antivirus pour la durée de l'installation. Notez que pendant ce temps, l'ordinateur est plus vulnérable aux menaces informatiques. Réactivez immédiatement votre logiciel antivirus après l'installation de zenon.


Configuration matérielle requise

Manuels -> Installation et mises à jour -> Minimum requis pour le système -> Configuration matérielle requise

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les versions PC et CE de zenon possèdent différentes exigences au regard des périphériques requis. Dans ce chapitre, vous trouverez les configurations matérielles requises pour les versions uniques de l'éditeur et du Runtime, ainsi que le serveur Web et le client Web.

L'Éditeur utilise un serveur Microsoft SQL Server en tant que serveur SQL, et possède des exigences matérielles supérieures à celles du Runtime. Si l'éditeur et le Runtime doivent s'exécuter simultanément sur un même système, les exigences matérielles s'ajoutent logiquement.

attention Attention

Nous recommandons des cartes graphiques avec leurs propres mémoires graphiques.
Les cartes graphiques utilisant de mémoire partagée nécessitent une trop grande quantité de mémoire vive (RAM), et provoquent donc une baisse des performances.

Autres sujets abordés dans ce chapitre

Éditeur

Runtime

Runtime sous Windows Embedded Standard 7

Runtime Windows CE

Serveur Web

Client Web


Éditeur

Manuels -> Installation et mises à jour -> Minimum requis pour le système -> Configuration matérielle requise -> Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration minimale requise présentée ci-dessous repose sur une installation complète de l'éditeur. Pour des gros projets ou plusieurs projets chargés en même temps vous aurez besoin d'une configuration avec plus de capacité

Matériel | Configuration minimale requise | Recommandée
CPU | Pentium IV. | Bicœur.
Mémoire vive (RAM) | Windows Vista/7/8 : plus de 1024 Mo. Remarque : plus le nombre de projets disponibles simultanément en mémoire est élevé, plus la quantité de mémoire disponible doit être importante. | Windows Vista/7/8: 4096 Mo.
Disque dur | Au moins 4 Go d'espace disque pour une installation complète, plus l'espace disque nécessaire aux projets. |
Résolution d'écran | VGA étendu, 1024 x 768 pixels. | Configuration à double écran : 2 fois 1680 x 1050.
Carte graphique | 64 Mo de mémoire dédiée. Les cartes graphiques utilisant une mémoire partagée peuvent entraîner une baisse des performances. |
Périphériques d'entrée | Clavier standard ou souris standard. |
Lecteur de DVD | Recommandé pour l'installation. L'installation peut également être effectuée via le réseau. |
Port USB ou parallèle | Nécessaire pour brancher le dongle en cas d'utilisation d'une licence par dongle. En cas d'utilisation d'un dongle réseau, uniquement nécessaire sur le serveur de dongle. |
Connexion réseau (facultative) | Recommandée : 10 Mbit/s avec protocole TCP/IP pour le transport à distance, le dongle réseau, les sauvegardes de projets sur un serveur de fichiers central, un éditeur compatible avec les projets multi-utilisateurs etc. | 100 Mbit/s.


Runtime

Manuels -> Installation et mises à jour -> Minimum requis pour le système -> Configuration matérielle requise -> Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration minimale requise présentée ci-dessous repose sur une installation complète du Runtime. Pour des gros projets ou plusieurs projets chargés en même temps vous aurez besoin d'une configuration avec plus de capacité

Matériel | Configuration minimale requise | Recommandée
CPU | Processeur Pentium cadencé à 400 MHz | Dual Core.
Mémoire vive (RAM) | Windows Vista/7/8 : plus de 512 Mo. Remarque : l'exécution de projets utilisant de grandes quantités de données, de projets en réseau, de plusieurs projets simultanément et de projets en mode redondant nécessitent davantage de mémoire. | Windows Vista/7/8: 4096 Mo.
Disque dur | 2 Go d'espace disque pour l'installation du Runtime, ainsi que l'espace nécessaire aux projets. Attention : Si vous consignez les données historiques (par ex. les données archivées ou les données de la liste d'alarmes ou de la liste chronologique d'événements), vous devez disposer de suffisamment d'espace disque ou devez vous assurer, durant le développement du projet, que les données historiques sont évacuées ou supprimées. | 80 Go d'espace disque.
Résolution d'écran | VGA, 640 x 480 pixels. |
Carte graphique | 64 Mo de mémoire dédiée. Les cartes graphiques utilisant une mémoire partagée peuvent entraîner une baisse des performances. |
Périphériques d'entrée | Clavier et/ou souris. Le système peut également être actionné via un écran tactile. De nombreux claviers logiciels personnalisables sont disponibles à cette fin. |
Lecteur de DVD (facultatif) | Recommandé pour l'installation. L'installation peut également être effectuée via le réseau ou depuis un support de stockage. |
Port USB ou parallèle (facultatif) | Recommandé pour le dongle. Dongle réseau aussi disponible. |
Connexion réseau (facultative) | 64 kbits/s pour les projets client/serveur standard. 100 Mbit/s full duplex pour le fonctionnement en mode redondant. | 100 kbits/s full duplex pour les projets client/serveur standard.
Connexion distante (facultative) | Configuration minimale requise : modem analogique doté d'un débit de 9600 Bit/s. | 1 Mbit/s full duplex.
Connexion WAN (optionnel) | Toute connexion via un routeur, par ex. une connexion RNIS ou ADSL ; pour des raisons techniques, les transferts de données via un réseau étendu sont plus lents que les transferts via un réseau local. Assurez-vous de contrôler les taux de transferts de données possibles de votre technologie de réseau étendu lors de la création du projet. |
Gestion de message (Message control) (optionnel) | Veuillez vous reporter au chapitre Gestion de messages pour la configuration requise pour ce module. |
Interfaces (optionnel) | Les interfaces requises dépendent des exigences de la connexion à l'automate et/ou au bus ; par exemple, interfaces série RS232 ou RS422/485, emplacements ISA/PCI, etc. |


Runtime sous Windows Embedded Standard 7

Manuels -> Installation et mises à jour -> Minimum requis pour le système -> Configuration matérielle requise -> Runtime sous Windows Embedded Standard 7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration minimale requise est valide pour une installation du Runtime adaptée au système d'exploitation Windows Embedded Standard 7. Le matériel employé doit être plus puissant pour les projets plus importants.

Ce tableau présente uniquement les conditions requises différentes de l'installation standard. Les autres paramètres correspondent aux valeurs indiquées au chapitre Configuration matérielle requise pour le Runtime.

Matériel

Configuration minimale requise

Recommandée

Mémoire vive (RAM)
  • 256 Mo.

Remarque : l'exécution de projets utilisant de grandes quantités de données, de projets en réseau, de plusieurs projets simultanément et de projets en mode redondant nécessitent davantage de mémoire.
  • 2048 MB

Support de stockage
  • 2 Go de mémoire disponible sur le lecteur C:\ avant l'installation de .NET Framework 3.5 et 4.5
    800 Mo de mémoire disponible après l'installation de .NET Framework
  • Vous avez aussi besoin d'espace pour les projets.
  • 80 GB

Attention : Si vous consignez les données historiques (par ex. les données archivées ou les données de la liste d'alarmes ou de la liste chronologique d'événements), vous devez disposer de suffisamment d'espace disque ou devez vous assurer, durant le développement du projet, que les données historiques sont évacuées ou supprimées.


Runtime Windows CE

Manuels -> Installation et mises à jour -> Minimum requis pour le système -> Configuration matérielle requise -> Runtime Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration minimale requise présentée ci-dessous repose sur une installation complète du Runtime sous Windows CE. Le matériel employé doit être plus puissant pour les projets plus importants.

Matériel | Configuration minimale requise | Recommandée
CPU | Au moins 400 MHz. | 1 GHz.
Mémoire vive (RAM) | 64 Mo. | 256 Mo pour Windows CE 5.0. 1024 Mo pour Windows CE 6.0.
Support de stockage | 64 Mo d'espace disque. Support de stockage enregistrable permanent pour les données du projet. | 256 Mo d'espace disque ou plus.
Connexion réseau | Pour les projets client/serveur standard : 10 Mbit/s full duplex. |


Serveur Web

Manuels -> Installation et mises à jour -> Minimum requis pour le système -> Configuration matérielle requise -> Serveur Web

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration minimale requise présentée ci-dessous repose sur une installation complète du serveur Web. Pour des gros projets ou plusieurs projets chargés en même temps vous aurez besoin d'une configuration avec plus de capacité

Matériel | Configuration minimale requise | Recommandée
CPU | Pentium IV. |
Mémoire vive (RAM) | Windows Vista/7/8 : plus de 1024 Mo. |
Disque dur | 256 Mo d'espace disque. | 1 Go d'espace disque.
Connexion réseau | 10 Mbit/s full duplex. | 100 Mbit/s full duplex.
Connexion distante (facultative) | Configuration minimale requise : modem analogique doté d'un débit de 9600 Bit/s. | 1 Mbit/s full duplex.


Client Web

Manuels -> Installation et mises à jour -> Minimum requis pour le système -> Configuration matérielle requise -> Client Web

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration minimale requise présentée ci-dessous repose sur une installation complète du client Web. Pour des gros projets ou plusieurs projets chargés en même temps vous aurez besoin d'une configuration avec plus de capacité

Matériel | Configuration minimale requise | Recommandée
CPU | Pentium IV. | Dual Core
Mémoire vive (RAM) | Windows Vista/7/8 : plus de 1024 Mo. |
Disque dur | 64 Mo d'espace disque pour l'installation du client Web, ainsi que l'espace nécessaire aux projets. | 80 Go d'espace disque.
Connexion réseau | 10 Mbit/s full duplex. | 100 Mbit/s full duplex.
Connexion distante (facultative) | Configuration minimale requise : modem analogique doté d'un débit de 9600 Bit/s. | 1 Mbit/s full duplex.


Structure des fichiers

Manuels -> Installation et mises à jour -> Minimum requis pour le système -> Structure des fichiers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'arborescence des fichiers est créée (ou étendue) au cours de l'installation.

Les fichiers programme de zenon sont copiés vers un dossier que vous pouvez définir durant l'installation.

De plus, le programme d'installation demande également un dossier pour les bases de données SQL des projets. Le support de stockage utilisé pour l'archivage de projets (SQL, synoptiques etc.) doit comporter suffisamment d'espace, car toutes les données des projets et actuels sont enregistrées sur celui-ci.

Dossier | Chemin
Liste des programmes | Système 32 bits : C:\Program Files\COPA-DATA\zenon7xxx Système 64 bits : C:\Program Files\COPA-DATA\zenon7xxx C:\Program Files (x86)\COPA-DATA\zenon7xxx
Dossier de données du programme, par ex. symboles globale, gabarits d'impression, fichiers journaux etc. | C:\ProgramData\COPA-DATA\zenon7xxx
Dossier de la base de données (SQL) | C:\ProgramData\COPA-DATA\SQL
Dossier système | C:\ProgramData\COPA-DATA\System
Editeur de paramètres et profils | C:\Users\UserName\AppData\Local\COPA-DATA\zenon\Editor
Paramètres de l'application Diagnosis Viewer | C:\Users\UserName\AppData\Local\COPA-DATA\zenon\DiagView

Dossier de définition du runtime et dossier de données

Dossier du Runtime

l'éditeur crée des fichiers runtime dans le dossier du runtime ; des fichiers peuvent également être transférés vers ce dossier à l'aide du module de transport à distance. Lors de la création d'un projet, vous devez définir le dossier du Runtime. Vous pourrez ultérieurement modifier ce dossier dans les propriétés du projet. Avec le module de transport à distance, le dossier du Runtime est défini dans les paramètres du module.

Dossier de données

Le Runtime enregistre tous les fichiers de données créés dans le Runtime, tels que les fichiers d'alarmes, les fichiers d'archives et autres, dans le dossier de données. Par défaut, le dossier de données est un sous-dossier du dossier du Runtime. Ce dossier reçoit automatiquement le nom de l'ordinateur sur lequel s'exécute le Runtime. Vous pouvez modifier cet emplacement de sauvegarde dans les propriétés du projet (Général/Dossier des données).

Conseil : ne définissez jamais le dossier de données sur un support amovible, tel qu'une clé USB ou un périphérique réseau. Nous vous conseillons d'enregistrer les données localement, et de les sauvegarder au niveau externe.

Attention : si le chemin défini n'existe pas, aucune autre donnée n'est écrite depuis le Runtime. Ce qui signifie : une perte totale de données. Le Runtime peut encore être contrôlé, mais doit être redémarré dès que le chemin redevient disponible. La disponibilité du dossier peut être contrôlée par le biais de la variable de driver du système Runtime folder not available (Dossier de données du Runtime indisponible).


Ports libres

Manuels -> Installation et mises à jour -> Minimum requis pour le système -> Ports libres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon et zenon Logic nécessitent certains ports de communication pour les communications via le réseau. Si ces ports sont occupés par d'autres programmes, par exemple un serveur SQL précédemment installé, les communications de zenon peuvent être perturbées.

Vous pouvez contrôler les paramètres du port :

  1. Saisissez netstat -a -n -o dans la ligne de commande.

    Procédez comme suit pour accéder à la ligne de commande dans Windows :

    • appuyez sur la touche Windows et R.
    • Saisissez cmd et confirmez en cliquant sur OK.
    • Une fenêtre MS-DOS s'affiche.
    • Saisissez la commande netstat.
  2. La liste de tous les ports TCP et UDP actuellement utilisés s'affiche à l'écran.
  3. Contrôlez les ports d'écoute (état : LISTEN) si l'identifiant de processus (PID) des ports utilisés par zenon et zenon Logic correspond aux processus de zenon et zenon Logic.

    Les PID sont affichés dans la fenêtre Processus du Gestionnaire de tâches de Windows ; à cette fin, activez la colonne PID dans le menu Sélectionner un affichage -> Colonnes.

  4. Si d'autres logiciels utilisent ces ports, reconfigurez ce logiciel. Les ports de zenon ne peuvent pas être modifiés.

    Les ports de zenon ne peuvent pas être modifiés librement.

Paramètres des ports de zenon et zenon Logic

Application | Description | Port
stratonrt[k].exe | Runtime zenon Logic | 1200-1210 (modifiable) 4500-4510 (modifiable) 7000-7010 (modifiable) 9000-9010 (modifiable)
zennetsrv.exe | Service réseau | 1100-1100 (fixe)
zensyssrv.exe | Service de transfert. | 1101-1101 (fixe)
zendbsrv.exe | Service de base de données | 1103-1103 (fixe)
zenAdminsrv.exe | Service d'administration | 50777-50777 (fixe)
zenLogSrv.exe | Service de journalisation | 50780
zenvnc.exe | Le service Remote Desktop | 5600-5600 (fixe) 5610-5610 (fixe)
CodeMeter.exe | Service de dongle CodeMeter | 22350 (peut, mais ne doit pas être modifié)
WkSvW32.exe | Service réseau Wibu-Key | 22347 (fixe)


Chemins d'installation et de fonctionnement

Manuels -> Installation et mises à jour -> Chemins d'installation et de fonctionnement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Chemins de zenon :

  • Configuration
  • Éditeur
  • Runtime

info Info

Vous pouvez afficher de nombreux chemins par défaut à l'aide de la commande set :

  • Démarrez l'interface de ligne de commande (saisissez cmd dans le menu Démarrer de Windows)
  • Saisissez la commande set
  • Appuyez sur la touche Entrée pour afficher les dossiers standard de Windows et de zenon

Remarque : puisque les chemins absolus diffèrent selon les systèmes d'exploitation, les chemins sont présentés sous forme de variable d'environnement dans ce chapitre. Par exemple, %ProgramData% au lieu de C:\ProgramData.

Configuration

Lors de l'installation, les chemins sont définis pour les éléments suivants :

  • Éléments requis
  • Éditeur zenon :
  • Dossier SQL de zenon

Seuls les chemins de l'Éditeur de zenon et du dossier SQL de zenon peuvent être personnalisés.
Le programme d'installation nécessite également des droits d'administrateur. Cela s'applique également à la modification des chemins d'installation.

Éléments requis

Les chemins d'installation des éléments requis correspondent aux chemins standard définis par l'Éditeur, et ne peuvent pas être modifié lors de l'installation.

Les éléments requis installés varient selon le type d'installation effectué :

  • Éditeur zenon :
  • Runtime de zenon
  • Client Web de CD_PRODUCTNAME
  • Runtime zenon Logic
Éléments requis | Éditeur | Runtime | Client Web | Runtime zenon Logic
Microsoft .NET Framework 3.5 SP1 | + | + | - | -
Microsoft .NET Framework 4.0 | + | + | - | -
Microsoft Visual C++ 2005 Redistributables | + | + | - | +
Microsoft Visual C++ 2010 Redistributables | + | + | + | +
Microsoft Visual C++ 2012 Redistributables | + | + | + | +
Microsoft SQL-Server 2012 SP1 Express (à partir de la version 7.10) | + | - | - | -
VSTA | + | + | - | -
OPC-Core Components (jusqu'à la version 6.22 SP1) | + | + | - | -
Logiciel pour dongle Wibu-Key 6.0 x86/x64 | + | + | - | -
COPA-DATA Multiple Network Protocol Driver x86/x64 | + | + | - | +
Logiciel pour dongle CodeMeter x86/x64 | + | + | - | -
Report Viewer 10.0 (à partir de la version 7.00) | + | + | + | -
VBA 7.1 | + | + | + | -

zenon

L'installation de l'Éditeur de zenon nécessite deux chemins :

  • Éditeur de zenon :
    • Systèmes 32 bits : %ProgramFiles%\COPA-DATA\zenon [Version]
    • Systèmes 64 bits : %ProgramFiles(x86)%\COPA-DATA\zenon [Version]

    Ces chemins peuvent être personnalisés durant l'installation.

  • Dossier SQL de zenon :
    • À partir de la version 7.10 : %ProgramData%\COPA-DATA\SQL2012\

    Ces chemins peuvent être personnalisés manuellement par le biais du fichier zenDB.ini.

Éditeur zenon :

Dans l'Éditeur de zenon, les chemins suivants sont utilisés par défaut :

Objet | Chemin
Station de travail | %CD_USERDATA% Par exemple : C:\Users\Public\Documents\zenon_Projects
Projets | %CD_USERDATA% Par exemple : C:\Users\Public\Documents\<CD_zenon_Projects Raccourci-clavier conseillé : sélectionnez le projet -> Ctrl+Alt+D
Dossier SQL du projet | %ProgramData%\COPA-DATA\[Dossier SQL]\[UID]\FILES Raccourci-clavier conseillé : sélectionnez le projet -> Ctrl+Alt+E
project.ini | %ProgramData%\COPA-DATA\[Dossier SQL]\[UID]\FILES\zenon\system
zenon6.ini | %ProgramData%\COPA-DATA\System Par exemple : C:\ProgramData\COPA-DATA\System
Sauvegarde | %ProgramData%\COPA-DATA\[Dossier SQL]\UID]\BACKUP %ProgramData%\COPA-DATA\[Dossier SQL]\[UID]\FILES\[Projects]
Fichiers compilés | %CD_USERDATA%\[Workspace]\[Project]\RT
Fichiers externes | %CD_USERDATA%\[Workspace]\[Project]\RT\FILES\... Remarque : dans le projet, ce dossier peut être défini par le biais de la propriété Stockage fichier.
Fichiers système | Dossier système de Windows.

Runtime de zenon

Dans l'Éditeur de zenon, les chemins suivants sont utilisés par défaut :

Objet | Chemin
Projets | %CD_USERDATA%\[Workspace]\[Project]\RT
Fichiers externes | %CD_USERDATA%\[Workspace]\[Project]\RT\FILES\...
Archives exportées, liste chronologique d'événements et liste d'alarmes | %CD_USERDATA%\[Workspace]\[Project]\Export Remarque : dossier créé lors de la première exportation.
Fichiers système | Dossier système de Windows.

zenon Logic

Les chemins de zenon Logic sont créés en fonction des chemins de zenon.


Installation standard de zenon

Manuels -> Installation et mises à jour -> Installation standard de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon démarre automatiquement l'installation et effectue l'ensemble de la procédure d'installation lorsque le DVD de zenon est inséré. Vous pouvez également démarrer l'installation en exécutant le fichier start.exe situé dans le répertoire racine de votre DVD de zenon.

attention Attention

L'ordinateur redémarre automatiquement durant l'installation, si nécessaire. Fermez tous les autres programmes avant l'installation.

  1. Sélectionnez la langue d'installation souhaitée dans la liste déroulante.
  2. Cliquez sur le bouton Suivant pour ouvrir la fenêtre contenant les conditions d'accord de licence.
  3. Confirmez les conditions d'accord de licence en cochant la case correspondante.

    Vous pouvez également modifier les conditions d'accord de licence en cliquant sur le bouton Imprimer.

  4. Cliquez sur le bouton Suivant pour ouvrir la fenêtre de sélection du produit souhaité.
  5. Sélectionnez le produit de votre choix. Il est uniquement possible de sélectionner les produits qui n'ont pas encore été installés. Si vous souhaitez réinstaller un produit, vous devez d'abord le désinstaller depuis le Panneau de configuration.

    • Éditeur : Installe l'Éditeur zenon et le Runtime zenon. Les autres composants requis pour l'Éditeur sont également installés ensemble automatiquement.
    • Runtime : Installe uniquement le Runtime zenon.
    • Serveur Web : installe le serveur Web de zenon et les clients Web de zenon correspondants.
  6. Cliquez sur le produit souhaité pour ouvrir la fenêtre de sélection de l'édition.
  7. Sélectionnez la version comportant la licence de votre choix :
    • zenon Supervisor Edition
    • zenon Energy Edition
    • zenon Pharma Edition
    • zenon Operator Edition

  8. Cliquez sur l'édition souhaitée pour ouvrir la fenêtre de sélection du type d'installation.
    • Installer maintenant : démarrer l'installation de l'édition sélectionnée.
      L'ordinateur peut redémarrer automatiquement durant l'installation. Suivez les instructions de l'assistant
    • Défini par l'utilisateur : ouvre d'autres fenêtres pour l'installation en cours.
      Vous pouvez saisir un numéro de série existant et modifier le répertoire d'installation.

Installation définie par l'utilisateur

  1. Si vous sélectionnez une installation définie par l'utilisateur, la fenêtre de saisie du numéro de série s'affiche :

    • Sélectionnez Version démo si vous ne possédez pas de licence.
    • Si vous possédez déjà une licence, saisissez le numéro de série et le numéro d'activation.
  2. Cliquez sur le bouton Suivant pour ouvrir la fenêtre permettant de modifier le dossier d'installation.

    • Si nécessaire, définissez individuellement les dossiers correspondant aux versions 32 bits et 64 bits du programme.
    • Définissez le dossier cible de la base de données du projet.
      Remarque : Ce dossier ne peut pas être modifié ultérieurement. L'emplacement de sauvegarde sélectionné ici doit disposer d'une quantité suffisante d'espace libre. Tous les utilisateurs doivent disposer d'une autorisation d'écriture.
    • Si vous souhaitez également installer le projet de démonstration, cochez la case correspondante.
      Le projet de démonstration fournit des exemples de scénarios d'utilisation possibles dans différentes industries. Vous trouvez plus de détails dans la section Projet de démonstration de zenon.
  3. Cliquez sur le bouton Installer. L'installation de l'édition sélectionnée démarre.
    L'ordinateur peut redémarrer automatiquement durant l'installation. Suivez les instructions de l'assistant

Autres sujets abordés dans ce chapitre

Traitement des erreurs


Traitement des erreurs

Manuels -> Installation et mises à jour -> Installation standard de zenon -> Traitement des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si l'installation ne se déroule pas correctement, un message d'erreur s'affichera à l'écran. Pour obtenir l'aide du service technique de COPA-DATA :

  • Les fichiers journaux se trouvent dans le dossier %Temp%/SCADALOG.
  • Créez un fichier ZIP avec le contenu du dossier.
  • Si possible, créez une capture d'écran du message d'erreur.
  • Ensuite, transmettez le fichier et la capture d'écran à support@copadata.com.

Si vous avez déjà fermé la fenêtre contenant le message d'erreur, vous pouvez consulter les fichiers journaux contenant toutes les informations concernant l'installation de SQL Server dans le dossier suivant :
Vista/Windows 7/Windows 8: C:\Program Files\Microsoft SQL Server\110\Setup Bootstrap\LOG

Conseil : le fichier summary.txt contient les informations de dépannage.

info Info

Pare-feu : zenon configures automatiquement le pare-feu installé avec Windows durant l'installation. Les pare-feu d'autres fournisseurs doivent être correctement configurés par l'utilisateur.

Sources d'erreurs fréquentes durant l'installation :

  • Le logiciel antivirus est actif et bloque l'installation en méprenant le programme d'installation pour un virus. Solution : isolez le système du réseau, désactivez le logiciel antivirus, puis exécutez l'installation à nouveau.
  • Le pare-feu n'a pas été correctement configuré. Solution : isolez le système du réseau, désactivez le pare-feu, puis exécutez l'installation à nouveau.
  • Installation incorrecte de SQL sur le système. Solution : créez des sauvegardes de projet ; si possible, désinstallez SQL Server, renommez le dossier SQL, puis redémarrez l'installation.


zenon pour Windows CE

Manuels -> Installation et mises à jour -> zenon pour Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Composants

La version CE du Runtime de zenon comprend les composants suivants :

  • Runtime CE de zenon
  • DLL de langue
  • DLL de réseau
  • DLL de driver
  • zenon6.ini
  • Service de transfert.

Éléments requis pour l'installation du Runtime sur les systèmes distants

  • Les versions PC et CE de zenon doivent correspondre (même version, même Service Pack). CE doit déjà être installé sur le PC.
  • Le service de transport (SysSrvCE.exe) de zenon doit être installé et démarré sur le terminal CE, ou vous devez disposer d'une connexion ActiveSync. Vous trouverez des conseils relatifs à l'installation manuelle via un support de stockage au chapitre Installation manuelle et mise à jour du Runtime.
  • Le terminal CE vers lequel seront transférées les données doit comporter au moins 8 Mo de "mémoire programme" disponible, afin de garantir le bon transfert des données. Ce paramètre peut être adapté via le Panneau de configuration -> Propriétés du système.

Suite des actions

Vous trouverez plus de détails concernant la compatibilité, l'installation et la mise à jour aux chapitres suivants :

  • Versions CE / processeurs supportés
  • Mise à jour du Runtime Windows CE

info Info

La licence du Runtime sur Windows CE peut être définie par l'intermédiaire de l'outil Transport à distance. Lorsque vous vous connectez au système cible, vous pouvez entrer le numéro de série et le numéro de licence pour la version CE. Le numéro de série est enregistré sur la plate-forme CE dans le fichier zenon6.ini. Le numéro d'activation est enregistré dans la base de registres de Windows CE.

Informations concernant info

Lors du démarrage de zenonrce.exe, le fichier syssrvce.exe est également exécuté. Cela permet de garantir qu'une connexion TCP peut toujours être établie. Les délais excessifs sont évités, et un seul fichier est nécessaire pour la fonction de démarrage automatique.

Autres sujets abordés dans ce chapitre

CE - Prise en charge des versions et processeurs

Fichiers système

Mise à jour du Runtime Windows CE

Installation et mise à jour manuelles du Runtime

Pocket PC (PDA, Pocket PC)

Dépannage


CE - Prise en charge des versions et processeurs

Manuels -> Installation et mises à jour -> zenon pour Windows CE -> CE - Prise en charge des versions et processeurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la version actuelle de zenon (7.11), les versions de Windows CE et les processeurs suivants sont pris en charge :

  • CE 5.00 pour x86
  • CE 5.00 pour ARMV4/V5
  • CE 6.00 pour x86
  • CE 6.00 pour ARMV4/V5

info Info

Vous trouverez des informations concernant les versions de CE et les processeurs pris en charge par les versions antérieures de zenon dans la documentation correspondante ; vous pouvez également contacter l'assistance de COPA-DATA.


Fichiers système

Manuels -> Installation et mises à jour -> zenon pour Windows CE -> Fichiers système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Runtime Windows CE a besoin de certains fichiers système. Si un de ces fichiers manque, le système affiche un message d'erreur au démarrage du Runtime qui indique qu'un ou plusieurs composants n'ont pas été trouvés. Les fichiers système suivants sont requis :

Fichier | Description
mfc90u.dll | Nécessaire au Runtime. Au démarrage un message d'erreur apparaît si ce fichier n'existe pas.
msvcr90.dll | Nécessaire au Runtime. Au démarrage un message d'erreur apparaît si ce fichier n'existe pas.
atl90.dll | Non nécessaire pour démarrer le Runtime, mais requis pour utiliser les drivers avec des connexions réseau et pour utiliser zenon sur un réseau. Si ce fichier n'existe pas, la plate-forme ne fonctionnera pas en tant que client et les connexions TCP/IP des drivers ne fonctionneront pas.
IMGDECMP.dll | N'est pas nécessaire pour démarrer le Runtime, mais nécessaire pour afficher la transparence si la fonction Alpha Blending n'est pas intégrée au système d'exploitation. L'animation de fichiers GIF n'est pas possible sous Windows CE.
VBSCRIPT.dll + JSCRIPT.dll | N'est pas nécessaire pour démarrer le Runtime. Ce fichier est nécessaire pour PCE (Process Control Engine – Moteur de Contrôle de Procédé)

Certains de ces fichiers système sont installés lors de l'installation de zenon pour CE et peuvent être transférés vers le périphérique CE à l'aide de l'outil UpdateCE. Tous ces fichiers système devraient être intégrés à l'image du système d'exploitation du périphérique CE par le fabricant.

attention Attention !

Pour les fournisseurs d'images du système d'exploitation Windows CE :
Les versions de CE antérieures à la version 6.0 nécessitent le fichier toolhelp.dll. Activez l'option suivante dans Platform Manager pour que le fichier soit disponible sur le périphérique CE, et que Toolhelp.h soit disponible dans l'application SDK.
Core OS -> Display Based Device ->Core OS Services -> Debugging Tools -> Toolhelp API. Ainsi, le fichier Toolhelp.dll fait partie de l'image.
Conseil : utilisez toujours la dernière version en date du Service Pack du module Platform Builder.

Remarque : le fichier toolhelp.dll n'est pas nécessaire sous Windows CE 6, et ne doit pas être utilisé avec ce système d'exploitation.


Mise à jour du Runtime Windows CE

Manuels -> Installation et mises à jour -> zenon pour Windows CE -> Mise à jour du Runtime Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour effectuer une mise à jour du Runtime Windows CE :

  • assurez-vous que le service de transport de zenon (SysSrvCE.exe) s'exécute sur le périphérique CE.
  • Assurez-vous de ne pas avoir établi une connexion à distance avec le périphérique via l'éditeur zenon.
  • Dans le menu de zenon, sélectionnez Options, puis Mise à jour du Runtime Windows CE.
  • La boîte de dialogue de transfert des fichiers de Runtime s'affiche à l'écran.
  • Configurez le lien
  • Définissez les données que vous souhaitez transférer.
  • Choisissez la version adéquate.
  • Démarrez la mise à jour.

Configurez la connexion.

Vous pouvez configurer les connexions au périphérique Windows CE dans l'onglet Connexion.

Paramètre | Description
Série | Paramètres de connexion série avec le périphérique Windows CE ; sélectionnez un port.
TCP/IP | Paramètres de connexion TCP/IP au périphérique Windows CE.
Adresse | Adresse IP.
Nom | Nom.
Syssrvce.exe starts with these settings (Syssrvce.exe démarre avec ces paramètres) | Paramètres de démarrage de syssrvce.exe.
Série | Actif : Connexion série sélectionnée ; vous devez sélectionner le port.
TCP/IP | Actif : Connexion TCP/IP sélectionnée.
Connection with MS ActiveSync (Connexion à MS ActiveSync) | Paramètres de la connexion via MS ActiveSync
Use MS ActiveSync for initial transport of syssrvce.exe (Utiliser MS ActiveSync pour le transport initial de syssrvce.exe) | Actif : syssrvce.exe est transféré durant le premier transport via MS ActiveSync.
Destination folder (Dossier de destination) | Dossier cible.
Aide | Ouvre l'aide en ligne
Enregistrer | Enregistre toutes les modifications.
Quitter | Ferme l'outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Définissez les fichiers que vous souhaitez transférer.

Paramètre | Description
Files to update (Fichiers à mettre à jour) | Fichiers à transférer.
HMI Runtime (Runtime IHM) | Actif : Transfère les fichiers zenon vers le périphérique cible. Par défaut : active
PLC Runtime (Runtime de l'automate) | Actif : Transfère les fichiers zenon Logic vers le périphérique cible. Par défaut : Inactive
OS system files (Fichiers système du système d'exploitation) | Actif : Transfère les fichiers nécessaires au système d'exploitation. Par défaut : active
Update zenon6.ini (Mettre à jour zenon6.ini) | Transfère zenon6.ini vers le périphérique cible. Ceci permet également de modifier les informations concernant la licence du périphérique cible.
Options |
Langue | Langue du système cible. Par défaut : anglais.
HMI drivers (Drivers IHM) | Sélectionnez les drivers IHM que vous souhaitez transférer.
Disponible | Liste des drivers disponibles.
Selected (Sélectionnés) | Liste des drivers sélectionnés.
Ajouter | Ajoute les drivers choisis à la liste des drivers sélectionnés.
Ajouter tout | Ajoute tous les drivers à la liste des drivers sélectionnés.
Supprimer | Supprime les drivers sélectionnés de la liste des drivers sélectionnés.
Supprimer tout | Supprime tous les drivers de la liste des drivers sélectionnés.
Aide | Ouvre l'aide en ligne
Enregistrer | Enregistre toutes les modifications.
Quitter | Ferme l'outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Select version (Sélectionnez la version)

Sélectionnez la version adéquate dans l'onglet Versions, si celle-ci n'a pas été automatiquement reconnue.

Paramètre | Description
WinCE version (Version WinCE) | Version du système d'exploitation Windows CE installé sur le périphérique cible. Cliquez sur le type de fonction pour ouvrir une liste déroulante de sélection.
Processor type (Type de processeur) | Processeur de l'équipement.
Source path (Chemin source) | Chemin du dossier contenant les fichiers. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un dossier.
Nouveau | Insère une nouvelle entrée vide dans la liste.
Supprimer | Supprime l'entrée sélectionnée de la liste.
Test | Contrôle les paramètres.
Aide | Ouvre l'aide en ligne
Enregistrer | Enregistre toutes les modifications.
Quitter | Ferme l'outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Démarrer la mise à jour

Pour établir une connexion :

  • Cliquez sur le bouton Démarrer de l'onglet Mise à jour.

  • Les données transférées sont contrôlées et affichées dans une fenêtre.
  • Démarrez le transfert vers le périphérique cible en cliquant sur le bouton Suivant .

Si le transfert ne peut pas démarrer parce que certains fichiers sont manquants, un message d'erreur contenant la liste des fichiers manquants s'affiche à l'écran :

  • Si vous voyez s'afficher le message d'erreur "The current update was not completed" (La mise à jour actuelle n'a pas été terminée), la mise à jour a été interrompue ou n'a pas été exécutée correctement.

info Info

Si vous voulez remplacer zenVNCServer.exe par le biais d'une mise à jour, le programme se termine et redémarre après la mise à jour. Pour cela, le fichier zenVNCSrvCE.exe doit contenir

l'entrée suivant dans le fichier UpdateCE.ini, à la section [SOURCES_FILES_GENERAL] (existe par défaut) :

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Installation et mise à jour manuelles du Runtime

Manuels -> Installation et mises à jour -> zenon pour Windows CE -> Installation et mise à jour manuelles du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'installation et la mise à jour sont également possibles sans le service de transport à distance et ActiveSync. Dans ce cas, vous devez copier les fichiers requis manuellement sur une carte de stockage destinée au périphérique CE. Vous devez connaître la version de CE et le type de processeur utilisés.

Il est impératif de copier les fichiers suivants du dossier correspondant à la plate-forme utilisée vers une carte de stockage destinée au périphérique CE :

  • zenonRCE.exe (Runtime)
  • LogCliLibCE.dll (dll de diagnostic)
  • zenon6.ini (fichier de configuration)
  • Cd_tooCE.dll (dll d'aide)
  • ZenNetSrvCE.dll (réseau)
  • L'une des dll de langue suivante : RChineCE.dll, RCzechCE.dll, REngliCE.dll, RFrancCE.dll, RGermaCE.dll, RItaliCE.dll, RRussiCE.dll, RSpaniCE.dll (la langue sélectionnée est enregistrée dans le fichier zenon6.ini).
  • syssrvce.exe (service de transport et serveur de diagnostic)
  • atl90.dll (fichier système, peut former partie du système d'exploitation)
  • mfc90u.dll (fichier système, peut former partie du système d'exploitation)
  • msvcr90.dll (fichier système, peut former partie du système d'exploitation)

Les autres fichiers, tels que les drivers ou le logiciel de gestion de poste distant (zenVNCCfgCE.exe et zenVNCSrvCE.exe), sont facultatifs.


Pocket PC (PDA, Pocket PC)

Manuels -> Installation et mises à jour -> zenon pour Windows CE -> Pocket PC (PDA, Pocket PC)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les systèmes Pocket PC ne sont plus pris en charge à partir de la version 7.


Dépannage

Manuels -> Installation et mises à jour -> zenon pour Windows CE -> Dépannage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Erreurs possibles :

Erreur | Solution possible
Erreur de connexion durant la mise à jour via l'interface COM. | L'Explorateur Windows est ouvert et augmente les temps d'accès. Pour résoudre ce problème, fermez l'Explorateur Windows.
Le service de transport ne fonctionne pas. | Contrôlez la version du service de transport. Minimum : version 5.21 SP3 ou ultérieure, ou version 5.50 SP1 ou ultérieure.
Le programme de mise à jour du Runtime n'est pas en mesure d'établir une connexion. | Fermez les connexions ouvertes de l'Éditeur avec le service de transport CE.


Runtime zenon Logic pour Windows CE

Manuels -> Installation et mises à jour -> Runtime zenon Logic pour Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'installation du Runtime zenon Logic (Runtime d'automate) sur un système CE se déroule de manière semblable à l'installation du Runtime sous Windows CE.

Éléments requis : service de transport exécutable sous CE.

La version CE du Runtime zenon Logic comprend les composants suivants :

  • Runtime zenon Logic
  • DLL de langue
  • Driver d'E/S de zenon Logic
  • zenon6.ini

Installation

  • Dans le menu de zenon, sélectionnez Options -> Mise à jour du Runtime Windows CE.
  • La boîte de dialogue de transfert des fichiers de Runtime s'affiche à l'écran.
  • Cochez la case PLC Runtime (Runtime de l'automate) dans la fenêtre Fichier pour copier les fichiers nécessaires à zenon Logic vers le répertoire d'exécution de CE.
  • Basculez vers l'onglet Connexion.

  • Définissez la connexion au périphérique Windows CE. Saisissez l'adresse IP ou le port série.
  • Si zenon6.ini doit également être transféré, choisissez d'actualiser zenon6.ini. Ceci permet également de modifier les informations concernant la licence du périphérique cible.
  • Sélectionnez la version adéquate parmi les versions du Runtime Windows CE , si celui-ci n'a pas été automatiquement reconnu.

Mise à jour

Pour cette procédure, reportez-vous au chapitre Mise à jour du Runtime Windows CE.

Attention : Vous devez activer l'option PLC Runtime (Runtime de l'automate) dans l'onglet Fichiers !

info Info

Les fichiers MFC sont toujours transférés à l'aide de Windows CE 6.0.


Serveur Web de zenon

Manuels -> Installation et mises à jour -> Serveur Web de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour installer le serveur Web ou l'application Webserver Pro de zenon :

  1. Activez les services Web sur l'ordinateur.

    Le dossier C:\inetpub\wwwroot doit exister.

  2. Insérez le DVD de zenon dans le lecteur ; l'écran de présentation s'affiche.

    Si vous avez désactivé la fonction d'exécution automatique de votre lecteur de CD/DVD, exécutez le fichier start.exe depuis le CD.

  3. Sélectionnez le serveur Web de zenon.
  4. Suivez la procédure d'installation.
  5. Redémarrez l'ordinateur.

Après l'installation, les fichiers d'installation du client Web se trouvent dans les sous-répertoires du chemin d'installation du serveur Web (xxx représente la version de zenon), par ex. : C:/Program Files/COPA-DATA/zenonWebServer/zenon/controlversions/Versionxxx/zenon_WEB_Client_Setup_GERMAN.EXE
ou

C:/Inetpub/wwwroot/zenon/controlversions/Versionxxx/zenon_WEB_Client_Setup_GERMAN.EXE

Les exemples de site Web (index*.html et init*.html) sont également installés. Ils se trouvent dans le sous-dossier zenon de l'emplacement d'installation du serveur Web, par exemple :
C:/Programs/zenonWebServer/zenon/index.htm
or
C:/Inetpub/wwwroot/zenon/index.html

info Info

Le service de serveur Web de zenon démarre uniquement automatiquement dans la version avec licence. Dans le mode démo, vous devez démarrer le serveur Web manuellement, via une console de serveur Web dans le panneau de configuration.

Informations supplémentaires

Vous trouverez d'autres détails concernant le serveur Web dans le manuel Serveur Web et Serveur Web Pro et des détails concernant la gestion des licences dans le manuel Gestion des licences.


Client Web de CD_PRODUCTNAME

Manuels -> Installation et mises à jour -> Client Web de CD_PRODUCTNAME

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le client Web de zenon est principalement un contrôle ActiveX, qui affiche les informations dans un navigateur Web. L'affichage se comporte comme sur un client normal. La connexion au serveur de Runtime est mise en œuvre à l'aide du serveur Web de zenon, via des communications TCP/IP.

Après l'installation, les fichiers d'installation du client Web se trouvent dans les sous-répertoires du chemin d'installation du serveur Web (xxx représente la version de zenon), par ex. : C:/Program Files/COPA-DATA/zenonWebServer/zenon/controlversions/Versionxxx/zenon_WEB_Client_Setup_GERMAN.EXE
ou

C:/Inetpub/wwwroot/zenon/controlversions/Versionxxx/zenon_WEB_Client_Setup_GERMAN.EXE

Toutes les installations de clients Web disposent d'une signature numérique et peuvent aisément être fournies aux fins du téléchargement sur Internet. Vous trouverez d'autres installations de clients Web sur le CD du serveur Web de zenon, dans le répertoire Web Client Versions. Chaque version est disponible en plusieurs langues.

Informations concernant info

Le client Web envoie des fichiers d'erreurs et de traces (log). Le serveur de diagnostic est également installé lors de l'installation du client Web.


Mises à jour (installations de versions), Service Pack et mises à niveau

Manuels -> Installation et mises à jour -> Mises à jour (installations de versions), Service Pack et mises à niveau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Mise à jour (installation de version)

Une mise à jour est installée par-dessus l'installation existante ; elle remplace uniquement les fichiers modifiés dans la nouvelle version. Tous les projets et paramètres individuels restent inchangés. Veuillez noter que la qualité des installations de versions n'est jamais garantie à 100 %. Seuls les correctifs sont testés. Si des effets collatéraux indésirables se produisent site à l'installation d'un correctif, il arrive parfois que ces "effets secondaires" ne soient pas visibles durant les tests. COPA-DATA préconise donc toujours l'utilisation de Service Pack. Ces correctifs sont soumis à un processus d'assurance-qualité rigoureux.

Remarque concernant le client Web : pour installer une mise à jour pour le client Web de zenon, vous devez préalablement désinstaller le client Web.

Service pack

Les Service Pack contiennent toujours une version complète de zenon. La procédure d'installation ne remplace pas certains fichiers. Au lieu de cela, elle supprime l'ancienne version et installe la nouvelle version à sa place. Si vous installez un Service Pack, tous vos projets et paramètres individuels demeurent intacts. Les projets ne sont pas convertis au format de la nouvelle version durant l'installation. Les différents projets sont convertis lors de leur première ouverture dans l'éditeur. Une boîte de dialogue vous informe au sujet de cette procédure. L'ancienne version est automatiquement sauvegardée.

Un Service Pack contient toujours tous les correctifs des versions précédentes.

Mise à niveau

Si vous souhaitez installer une nouvelle version de zenon, démarrez la procédure d'installation. La nouvelle version sera installée parallèlement à l'ancienne version. Tous les projets et paramètres individuels restent inchangés. Les projets ne sont pas convertis au format de la nouvelle version durant l'installation. Les différents projets sont convertis lors de leur première ouverture dans l'éditeur. Une boîte de dialogue vous informe au sujet de cette procédure. L'ancienne version est automatiquement sauvegardée. Si vous souhaitez uniquement utiliser la dernière version en date, utilisez l'outil Ajout/suppression de programmes du Panneau de configuration de Windows pour supprimer l'ancienne version.

attention Attention

Si une mise à jour implique la modification de SQL Server (par exemple, mise à jour de zenon 6.51 vers zenon 7.11), vous devez sauvegarder tous les projets ou l'espace de travail avant de procéder à l'installation. Cette sauvegarde est lue après l'installation. Pour plus de détails, reportez-vous également à la section Projets multi-utilisateurs/Mise à jour avec modification du serveur SQL.

Si vous souhaitez utiliser plusieurs versions de zenon simultanément, vous devez gérer ces dernières à l'aide de l'outil Startup Tool. Vous ne pouvez démarrer qu'une version à la fois. Vous pouvez sélectionner la version que vous souhaitez exécuter en utilisant l'outil Startup Tool, qui ajuste automatiquement tous les paramètres nécessaires. Vous trouvez plus de détails au chapitre Startup Tool.

info Info

Les nouvelles versions (Service Pack, mise à niveau) comportent toujours des modifications structurelles. Les projets et paramètres restent inchangés durant l'installation. Si vous ouvrez l'éditeur pour la première fois, les projets sont convertis pour la nouvelle version. Parallèlement à cela, une sauvegarde automatique de l'ancienne version est créée.

Les projets convertis ne peuvent pas être modifiés dans les anciennes versions. À compter de la version 6.2, l'éditeur permet de créer des projets adaptés aux différentes versions du Runtime.

Vous trouverez des conseils importants concernant la conversion de projets dans le texte de révision. Le texte de révision est fourni avec le Service Pack ou la mise à niveau sur le DVD d'installation, à la rubrique Information. Il est également disponible en ligne.

Projets multi-utilisateurs

Pour garantir que l'évolution vers une nouvelle version de zenon se déroule sans perte de données dans un projet multi-utilisateurs :

  1. Activez tous les éléments désactivés en sélectionnant Clients -> Accepter les modifications.
    Aucun élément ne doit être désactivé. Ceci s'applique pour tous les projets.
  2. Installez la nouvelle version de zenon sur le serveur.
  3. Convertissez tous les projets de serveur dans la nouvelle version : pour cela, chargez tous les projets dans l'Éditeur sur l'ordinateur du serveur.
  4. Installez la nouvelle version de zenon sur l'ordinateur du client.
  5. Chargez les projets sur le client, puis désactivez-les.

Mise à jour avec modification du serveur SQL

Si une mise à jour nécessite de modifier le serveur SQL (par exemple, mise à jour de zenon 6.51 vers zenon 7.11), des étapes supplémentaires sont requises. Ces étapes sont effectuées :

  • Après l'activation de tous les projets
  • Avant l'installation de la nouvelle version

Procédure lors de la modification du serveur SQL :

  1. Activez tous les éléments désactivés en sélectionnant Clients -> Accepter les modifications.
  2. Sur le serveur du projet multi-utilisateurs, ouvrez l'Éditeur dans la version de départ
  3. Créez des sauvegardes de tous les projets que vous souhaitez modifier ou ouvrir avec la nouvelle version
    • Soit sous forme de sauvegardes de projet uniques
    • Soit sous forme de sauvegarde de l'espace de travail complet
  4. Installez la nouvelle version sur le serveur
  5. Convertissez tous les projets du serveur dans la nouvelle version en chargeant les sauvegardes de projet précédemment créées dans l'Éditeur
  6. Installez la mise à jour sur tous les clients
  7. Transférez les projets provenant du serveur multi-utilisateurs vers les clients
    (tenez compte du nouveau nom de l'instance SQL)
  8. Les projets sont convertis, synchronisés et prêts à être utilisés

Attention : Assurez-vous que les paramètres du pare-feu autorisent le trafic des données circulant entre le serveur de projets multi-utilisateurs et les clients.


FAQ

Manuels -> Installation et mises à jour -> FAQ

Les erreurs durant l'installation se produisent principalement lorsqu'un logiciel antivirus ou une installation existante empêche le remplacement ou la création de fichiers. Vous trouverez ici les causes les plus fréquentes d'erreurs d'installation et leur solution.

zenon

Problème

Solution

L'installation est interrompue.

Message d'erreur habituel : Error 1304. Error writing to file... (Erreur 1304. Erreur d'écriture du fichier...)

Désactivez le logiciel antivirus. Fermez les programmes inutiles.

Retour en arrière après une erreur sur le fichier OPCenum.exe.

It est possible que certaines composantes du serveur OPC qui existent déjà sur le système ne puissent être écrasées.

  • Supprimez les fichiers suivants :
    - C:\Windows\System32\OPC*.dll
    - C:\Windows\System32\OPCenum.exe
  • Supprimez le dossier :
    C:\Program Files\Common Files\OPC Foundation
  • Supprimez toutes les entrées de base de registre contenant le texte opcenum.

Des projets de démo ont été installés, mais il est impossible de les afficher. De nouveaux projets ne peuvent pas être créés.

Contrôlez le nom de l'ordinateur. Le nom de l'ordinateur :

  • Ne doit pas comporter plus de 15 caractères
  • Doit être conforme aux conventions de nommage d'ordinateurs de NetBIOS

Message d'erreur indiquant qu'un service ne peut pas être démarré.
  • Redémarrez d'abord l'ordinateur
  • Ensuite, redémarrez le programme d'installation de zenon

SQL Server 2008

Problème

Solution

The zenDBSrv cannot establish a connection to the data base. (zenDBSrv ne peut pas établir une connexion à la base de données.)

Causes possibles :

  • L'instance de SQL Server est incorrecte ou ne s'exécute pas.
  • Les entrées dans le fichier zenDB.ini sont incorrectes.
  • Mot de passe erroné.
  • zenDBCli.dll et zenDBSrv n'ont pas été correctement enregistrés.

Entrée de fichier journal :

Invalid Connection Configuration: No SQL Server Instance! (Configuration de connexion non valide : aucune instance de SQL Server!)

Dans le fichier zenDB.ini, aucune instance de SQL Server n'est configurée pour la connexion à la base de données. Sans instance, le service zenDBSrv ne peut établir la connexion et se ferme donc.

SQL Server 2005

Problème

Solution

Impossible d'installer le SQL Server.

Lors de l'installation de SQL Server, les composants suivants sont également installés :

  • Microsoft SQL Server 2005
  • Microsoft SQL Server Native Client
  • Microsoft SQL Server VSS Writer
  • Microsoft SQL Server Setup Support Files (English)
  • MSXML 6.0 Parser

Si l'un de ces composants existe déjà sur le système, l'installation peut échouer.

Vérifiez si les composants devant être installés existent déjà sur le système et, le cas échéant, désinstallez-les.

Le fichier journal du serveur SQL peut vous aider à déterminer la cause de certaines erreurs : Vous le trouverez sous le nom summary.txt, dans le dossier C:\Program Files\Microsoft SQL Server\90\Setup Bootstrap\LOG.

Message d'erreur :
The sa password must meet SQL Server password policy requirements (Le mot de passe de l'administrateur système doit être conforme aux exigences relatives aux mots de passe de SQL Server). Pour obtenir des instructions concernant la création de mots de passe forts, reportez-vous à la section Authentication Mode de SQL Server Books Online (en anglais uniquement).

Désactivez la fonction Credential Manager (Gestionnaire d'identifiants) de HP ProtectTool.

Message d'erreur :
The installation of the Microsoft SQL-Servers 2005 Express Edition + .Net Framework 2.0 has failed. The setup is terminated. (L'installation de Microsoft SQL-Servers 2005 Express Edition avec .NET Framework 2.0 a échoué. Le programme d'installation a été fermé).

Reportez-vous à la configuration minimale requise du serveur SQL :

  • Mémoire
  • Processeur

Client Web 6.22
Le module IPA ne parvient pas à localiser les fichiers XSL.

Créez les entrées suivantes dans la base de registre.

HKLM\SOFTWARE\COPA-DATA\DataDir

  • UserData
  • Système
  • ProgramData_6220
  • ProgramDir_6220

Remarque : problème résolu à compter de la version 6.22 SP1.

Impossible d'installer le SQL Server.

Si zenon a été désinstallé, une nouvelle installation peut échouer si le dossier de désinstallation n'est pas supprimé.

Solution : supprimez ou renommez les sous-dossiers

  • Données
  • Données de modèle

dans le dossier %Program Files%\Microsoft SQL Server\MSSQL.x\MSSQL.

SQL Server 2005 sur les ordinateurs Toshiba

Problème

Solution

Dans le fichier journal de SQL (par exemple, SQLSetup0006_AUTOTRONIC031_SQL.log) créé lors de l'installation, les erreurs suivantes ont été signalées :

  • Code d'erreur : 1067
    MSI (s) (48!3C) [09:25:30:515]: Product: Microsoft SQL Server 2005 Express –
  • Erreur 29503. The SQL Server service failed to start (Erreur 29503). Le service SQL Server n'a pas démarré). Pour plus d'informations, reportez-vous aux sections « How to: View SQL Server 2005 Setup Log Files » et « Starting SQL Server Manually » de SQL Server Books Online (en anglais uniquement).
    The error is (1067) The process terminated unexpectedly. (Erreur (1067). Le processus s'est terminé de manière inattendue.
  • Erreur 29503. The SQL Server service failed to start (Erreur 29503). Le service SQL Server n'a pas démarré). Pour plus d'informations, reportez-vous aux sections « How to: View SQL Server 2005 Setup Log Files » et « Starting SQL Server Manually » de SQL Server Books Online (en anglais uniquement).
    The error is (1067) The process terminated unexpectedly. (Erreur (1067). Le processus s'est terminé de manière inattendue.

La raison de cette erreur est, le plus souvent, une clé manquante dans la base de registre de Windows.
Dans ce cas :

  • Désinstallez tous les logiciels SQL, tels que
    Microsoft SQL Server 2005, Microsoft SQL Server Native Client, Microsoft SQL Server Setup Support Files, Microsoft SQL Server, Server VSS Writer etc.
  • Ouvrez regedit.
  • Accédez à la clé :
    HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Servi ces\Tcpip\Parameters.
  • Cliquez avec le bouton droit sur Paramètres.
  • Sélectionnez Nouveau -> Valeur de chaîne.
  • Saisissez Domain en tant que nouvelle valeur.
  • Appuyez sur la touche Entrée et fermez regedit.
  • Exécutez le programme d'installation distinct de SQL Server 2005 sur le DVD de zenon -> Additional_Software\SQL Server 2005 Express Edition.
  • Pour cela, exécutez le fichier Install.bat.
  • Après avoir correctement installé SQL Server 2005, installez à nouveau zenon.


Assistance technique

Manuels -> Installation et mises à jour -> Assistance technique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Niveau d'assistance Basic

Si vous avez besoin d'assistance durant l'installation, notre service d'assistance technique sera ravi de vous aider.

Les utilisateurs bénéficiant du niveau d'assistance Basic peuvent contacter le service d'assistance à l'adresse e-mail suivante : support@copadata.com.

Niveaux d'assistance Advanced et Premium

Si vous êtes titulaire d'un accord de service de niveau Advanced ou Premium, utilisez le numéro de téléphone ou l'adresse e-mail qui vous ont été fournis. Les employés de notre service commercial (sales@copadata.com) seront ravis de vous aider si vous souhaitez remplacer votre accord de service de niveau Basic par un accord de service de niveau Advanced ou Premium.


Interface SAP

Manuels -> Interface SAP

Pour connecter le niveau ERP au niveau du procédé, zenon utilise une interface bidirectionnelle pour interagir avec les applications SAP. Ceci offre aux utilisateurs SAP un accès direct au niveau des procédés.

Le système de contrôle peut être configuré pour envoyer des messages concernant tous les types d'événements à l'application SAP. Les entreprises peuvent établir un lien direct entre le niveau des procédés et le niveau ERP par le biais d'une boucle fermée, et obtenir ainsi une vue d'ensemble complète de tous les procédés – de la gestion des commandes et des recettes à la production et à l'expédition. Ceci leur permet par exemple de suivre la gestion des entrepôts en temps réel, car le système de contrôle au niveau SCADA fournit des données exactes concernant la consommation réelle de ressources. Avec ces données, les entreprises peuvent obtenir des données de base importantes pour leur production ponctuelle et à long terme.

zenon fournit un module de communication intégré, qui autorise le transfert direct de données de procédé vers SAP ERP. Dans un environnement SAP, ces données sont entre autres utilisées pour les tâches suivantes :

  • Transmission de l'état des commandes de procédés
  • Informations relatives à la consommation et la production de matériaux
  • Informations relatives à l'état des ressources
  • Transmission d'événements de procédé sélectionnés

Les messages de procédés dans SAP peuvent être utilisés pour des tâches telles que la création de lots électroniques et de protocoles d'exploitation, ou pour l'actualisation de commandes de procédés ou de stocks de matériaux.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (autonome, serveur, veille).

Menu contextuel Gestionnaire de projet

Elément de menu | Action
Enregistrer | Enregistre les modifications apportées à la configuration SAP ERP.
Exporter XML tous... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Editor profile (Profil d'Éditeur) | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

info Info

Documents de mesure :

Le système de contrôle permet de mesurer les valeurs des variables de procédés en fonction des calendriers, puis de transférer ces valeurs vers le système SAP sous la forme de documents de mesure. Ces documents de mesure peuvent être utilisés dans le système SAP pour la planification et la création de tâches de maintenance, mais également à des fins statistiques.

info Info

Message de maintenance :

Conjointement aux valeurs mesurées issues des messages d'alarme dans le système de contrôle, il est également possible de créer des messages de maintenance dans le système SAP. Ces rapports peuvent ensuite déclencher d'autres actions dans le système SAP, en fonction des flux de travail qui y sont définis. Par exemple, un message de maintenance peut automatiquement déclencher la création d'une tâche de maintenance pour l'équipement affecté.

info Info

Appels de fonctions :

Les blocs fonctionnels SAP peuvent être appelés depuis zenon et exécutés dans le Runtime. La fonction SAP zenon contient une liste d'objets qui affichent les paramètres et tables du bloc fonctionnel SAP.

Autres sujets abordés dans ce chapitre

Principes de base et exigences

Configuration dans l'Éditeur


Principes de base et exigences

Manuels -> Interface SAP -> Principes de base et exigences

Pour utiliser la fonction d'intégration directe au monde de SAP, l'ordinateur exécutant le système de contrôle doit en outre être équipé de l'interface utilisateur SAP. Les bibliothèques de programmes incluses à l'interface utilisateur de SAP sont nécessaires pour établir des communications avec un système SAP.

Aucune autre configuration n'est requise au niveau de SAP. L'installation de l'interface SAP suffit à autoriser les échanges de données. Les autres paramètres peuvent être saisis directement dans l'environnement de développement.

info Info

L'intégration à SAP/ERP a été testée et approuvée avec la version 7100.2.92.5705 de l'interface SAP.

Par le biais de l'interface RFC, les actions dans le système SAP sont exécutées par l'appel de blocs fonctionnels. Les blocs fonctionnels sont fournis avec le système SAP. Les blocs fonctionnels définis par l'utilisateur peuvent également être programmés par l'intermédiaire de l'espace de travail ABAP. ABAP est un langage de programmation développé par SAP ; il est utilisé pour tous les blocs fonctionnels du système SAP. L'intégration au système de contrôle est actuellement limitée aux blocs fonctionnels standard fournis par SAP. Toutefois, nous avons créé une interface flexible dans le système de contrôle, qui pose les bases de l'intégration de blocs fonctionnels spécifiques aux clients. Des extensions peuvent être ajoutées à l'interface après validation par la division de marketing du produit, au moyen de cycles d'extension standard du produit.

Les descriptions complètes des blocs fonctionnels avec leurs paramètres, des tables internes et des structures utilisées peuvent être consultées dans le système SAP par l'intermédiaire des fonctions de l'API RFC ou de différents blocs fonctionnels.

L'intégration se déroule conformément à la procédure suivante :

Exigences dans zenon

info Info

Vous devez disposer d'une licence pour utiliser le module d'interface de SAP.

Exigences concernant le système ERP SAP

info Info

Le module de maintenance (catégorie : logistique) doit être déployé comme partenaire de communications dans le système SAP ERP.

Autres sujets abordés dans ce chapitre

Messages de maintenance :

Documents de mesure

Appels de fonctions


Messages de maintenance :

Manuels -> Interface SAP -> Principes de base et exigences -> Messages de maintenance :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le système de planification doit être informé à tout instant des dysfonctionnements, des périodes d'indisponibilité et autres. Les indicateurs de productivité peuvent uniquement être calculés correctement lorsque les périodes de disponibilité et d'indisponibilité correspondantes sont connues. Le système SAP utilise les messages de maintenance à cette fin.

Chaque message de maintenance défini dans zenon pour une variable de procédé peut être configuré sous forme de rapport de dysfonctionnement. Les messages importants sont généralement documentés dans SAP. "Importants" signifie que les messages nécessitent l'exécution de services de maintenance pour être résolus.

Les messages de maintenance sont générés à partir des alarmes de zenon. Lorsqu'une alarme existe pour l'une des variables liées à l'élément, un message de maintenance sera créé dans le module de maintenance du système SAP. Si un événement validé existe pour une alarme, le message de maintenance sera acquis par l'intermédiaire du numéro de document, et l'horodatage de l'événement validé sera enregistré.

Pour chaque type de message provenant de SAP, vous pouvez créer un groupe de messages personnalisé dans zenon. La propriété la plus significative d'un message dans le système SAP est appelée Type de notification. Cette propriété définit de quelle manière le message sera traité dans le flux de travail du système SAP. Le système SAP propose des types de notification prédéfinis. Si vous ne spécifiez pas un des types de notification prédéfinis lorsque vous tentez de créer un message de maintenance, le système SAP ne créera pas un message de maintenance, mais affichera un message d'erreur.

info Info

Vous pouvez également choisir de définir un site de maintenance et un rapporteur pour chaque message de maintenance. Si vous ne spécifiez pas un site ou un rapporteur, le système SAP insérera des valeurs par défaut.

Chaque message de maintenance fait référence à une partie de l'installation définie dans le système SAP. Cette partie de l'installation peut être un emplacement fonctionnel ou un équipement. Chaque emplacement fonctionnel peut à son tour contenir des emplacements fonctionnels et/ou des équipements.

Chaque emplacement fonctionnel et chaque équipement possèdent un identifiant unique, qui doit être spécifié lors de la création d'un rapport de dysfonctionnement. L'identifiant des emplacements fonctionnels et des équipements est issu de l'identifiant de ressource des variables liées. Via la propriété "Emplacement fonctionnel/Equipement", vous pouvez spécifier si l'identifiant de ressource doit être interprété en tant qu'identifiant d'un emplacement fonctionnel ou d'un équipement.

Vous pouvez maintenant lier des variables aux messages de maintenance que vous venez de définir. Si une alarme existe pour l'une des variables liées, un message de maintenance sera créé dans le système SAP sur la base des paramètres définis, de la valeur et du texte de limite de la variable.

Les messages de maintenance reçoivent un numéro de document unique dans le système SAP ; celui-ci sera enregistré sous forme de commentaire dans l'entrée d'alarme de la variable de zenon. Ceci vous permet de lier l'événement d'alarme au numéro de document dans le message de maintenance dans le système SAP.

attention Attention

SI une alarme comporte un texte de limite dynamique, le champ de commentaire de l'entrée n'est pas disponible ; au lieu de cela, une entrée sera créée dans la liste chronologique d'événements, permettant de lier l'alarme au numéro de document.

Autres sujets abordés dans ce chapitre

Principes techniques


Principes techniques

Manuels -> Interface SAP -> Principes de base et exigences -> Messages de maintenance : -> Principes techniques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les messages de maintenance dans le système SAP sont créés en exécutant les blocs fonctionnels ALM_PM_MAINTNOT_CREATE et ALM_PM_MAINTNOT_SAVE. Si l'alarme est validée, l'heure de validation sera insérée dans le message de maintenance préalablement créé par l'exécution des blocs fonctionnels ALM_PM_MAINTNOT_MODIFY_DATA et ALM_PM_MAINTNOT_SAVE.

Ces blocs fonctionnels sont créés dans le système SAP durant l'installation standard du module de maintenance, et sont ensuite disponibles pour les applications externes.

attention Attention

En raison des adaptations individuelles du système SAP aux exigences de clients spécifiques, il est possible que ces blocs fonctionnels ne soient plus disponibles ! Dans ce cas, le système SAP renverra le message d'erreur FU_NOT_FOUND.

Si l'événement Alarme validée se présente dans zenon pour l'une des variables liées, le message de maintenance associé à l'alarme sera recherché (au moyen du numéro de document) et l'heure de validation du dysfonctionnement sera insérée. Ceci se produit lors de l'exécution du bloc fonctionnel ALM_PM_MAINTNOT_MODIFY_DATA. Le numéro de document du message de maintenance est transmis au bloc fonctionnel avec le paramètre NUMBER . Les valeurs des champs devant être modifiés sont spécifiées dans le paramètre NOTIFHEADER ; les champs devant être modifiés sont identifiés par des drapeaux dans le paramètre NOTIF .

Le message de maintenance modifié est alors enregistré dans la base de données SAP par l'exécution des blocs fonctionnels ALM_ et BAPI_TRANSACTION_COMMIT.


Documents de mesure

Manuels -> Interface SAP -> Principes de base et exigences -> Documents de mesure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans les applications SAP, les valeurs mesurées décrivent un état spécifique d'un système de production à un instant donné du flux du procédé. Toute variable existant dans zenon peut être définie en tant que document de mesure. Ceci autorise le transfert de données indépendantes des protocoles issues du procédé en temps réel vers le niveau de gestion supérieur.

Dans de nombreux cas, il est plus intéressant d'agréger les données de procédé au niveau des procédés avant de les transférer, sous un format condensé, vers le SAP système aux fins de leur analyse. Par exemple, zenon fournit au système SAP des valeurs moyennes et d'autres valeurs statistiques calculées à partir des séries de valeurs. Ceci évite de surcharger le système de gestion de données brutes.

Les valeurs mesurées et les relevés de compteurs sont enregistrés de manière cyclique, et enregistrées sous la forme de documents mesurés pour un point de mesure dans le système SAP. Les propriétés du point de mesure dans le système SAP déterminent s'il s'agit d'une valeur mesurée ou d'un compteur. La valeur de la variable actuelle est utilisée en tant que valeur du document de mesure.

Plusieurs points de mesure peuvent être définis pour chaque emplacement technique ou chaque équipement dans le système SAP. Durant la définition des points de mesure, vous pouvez configurer si le point de mesure doit poursuivre une valeur mesurée ou un relevé de compteur. Les relevés de compteur présentent des valeurs dont la croissance est monotone, ce qui signifie que chaque nouvelle valeur saisie doit être égale ou supérieure à la valeur précédente.

Les valeurs mesurées et les relevés de compteur sont transmis au système SAP par le biais de "documents de mesure".

Dans le système de contrôle, les valeurs mesurées sont enregistrées en fonction de programmes horaires. Pour chaque programme, vous pouvez définir les jours et heures d'enregistrement des valeurs mesurées. Un programme horaire peut être exécuté quotidiennement, ou certains jours seulement. En outre, vous pouvez définir une heure de début et une heure de fin, ainsi qu'un intervalle pour chaque programme. Entre l'heure de début et l'heure de fin, les valeurs mesurées des variables liées dans l'intervalle spécifié seront enregistrées.

Vous pouvez lier un certain nombre de valeurs à chaque programme horaire. À chaque exécution du programme horaire, les valeurs actuelles des variables seront lues et un document de mesure sera créé pour chaque variable dans le système SAP. Chaque point de mesure comporte un numéro unique, qui doit être défini dans le document de mesure. L'identifiant de ressource des variables liées est utilisé pour déterminer le numéro du point de mesure.

info Info

Les variables du système de contrôle et les points de mesure SAP sont liés par le biais de l'identifiant du point de mesure dans le système SAP. Ce nombre consécutif unique doit être saisi dans l'identifiant de ressource des variables dans le système de contrôle.

Autres sujets abordés dans ce chapitre

Principes techniques


Principes techniques

Manuels -> Interface SAP -> Principes de base et exigences -> Documents de mesure -> Principes techniques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les documents de mesure utilisés pour les points de mesure et les compteurs sont créés dans le système SAP avec le bloc fonctionnel "MEASUREM_*". Le document de mesure est attribué à un point de mesure ou un compteur. L'utilisation d'un point de mesure ou d'un compteur sera définie durant la création du point de mesure. Le point de mesure/compteur est identifié via un numéro unique dans le système SAP.

Le document de mesure contient la date de la mesure (date, heure), une valeur mesurée et son unité, un rapporteur (créateur du document) et un bref texte. Si la date de mesure n'est pas spécifiée, la date de création du document sera utilisée. Si l'unité de la valeur mesurée est omise, l'unité spécifiée au point de mesure/compteur sera utilisée.

Lorsque le paramètre COMMIT_WORK est défini, le document est immédiatement inscrit dans la base de données SAP. Les documents de mesure sont créés dans le système SAP lors de l'exécution du bloc fonctionnel MEASUREM_DOCUM_RFC_SINGLE_001.

info Info

Le bloc fonctionnel MEASUREM_DOCUM_RFC_SINGLE_001 est créé durant l'installation standard du module de maintenance dans le système SAP.

attention Attention !

En raison des adaptations individuelles du système SAP aux exigences de clients spécifiques, il est possible que ces blocs fonctionnels ne soient plus disponibles ! Dans ce cas, le système SAP renverra le message d'erreur FU_NOT_FOUND.


Appels de fonctions

Manuels -> Interface SAP -> Principes de base et exigences -> Appels de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fonctions souhaitées dans le système SAP peuvent être appelées depuis zenon ; cela ne nécessite que quelques opérations de configuration et de tâches de programmation en langage VBA. Pour cela, une image de l'interface du bloc fonctionnel à appeler est affichée dans l'Éditeur avec les paramètres, tables et structures requis, et est liée aux variables de zenon. L'appel de fonction est effectué en exécutant une fonction de zenon, qui est fournie en tant que paramètre par cette image.

Blocs fonctionnels

Les actions dans le système SAP et le transfert de données vers le système SAP sont exécutés par l'appel des blocs fonctionnels concernés. Les blocs fonctionnels sont fournis avec le système SAP ; toutefois, des blocs fonctionnels définis par l'utilisateur peuvent également être créés via le module Workbench ABAP.

Paramètres

Les données sont transférées vers et depuis les blocs fonctionnels via les paramètres d'importation et d'exportation. Les données d'entrée sont "importées", du point de vue des blocs fonctionnels du système SAP ; les données de résultat sont "exportées". La documentation des blocs fonctionnels dans le système SAP repose sur ce point de vue.

Outre l'importation et l'exportation de paramètres, il existe également des paramètres changeants, qui sont utilisés à la fois pour les transferts de données et les affichages de résultats.

Tables internes

Les données sous forme de tables ou de listes peuvent être transférées vers des tables internes ou temporaires, et peuvent être transférées par des blocs fonctionnels.

Types de données, structures

Outre les autres types de données simples (numérique, texte, date, heure, etc.), les données peuvent également être transférées sous forme de structures. Les données dans les tables sont habituellement transférées sous forme de structures, mais les paramètres peuvent également comporter des données structurées.

Prise en charge par le système SAP

Les descriptions complètes de l'interface des blocs fonctionnels, y compris leurs paramètres, tables internes et structures, peuvent être lues depuis le système SAP.

L'interface SAP de zenon exploite cette possibilité, dans la mesure où elle propose un assistant permettant de sélectionner les blocs fonctionnels et lire la description de l'interface.

Les objets configurés sont également comparés à la description de l'interface du bloc fonctionnel dans le système SAP, qui est appelée lorsqu'une fonction SAP est appelée.


Configuration dans l'Éditeur

Manuels -> Interface SAP -> Configuration dans l'Éditeur

Les points de mesure, messages de maintenance et appels de fonction peuvent uniquement être configurés dans un environnement de développement équipé d'une interface SAP dotée d'une licence. Si l'interface SAP comporte une licence, des paramètres sont disponibles pour la connexion SAP dans l'arborescence du projet du nœud Interface SAP. Les détails relatifs à la configuration des paramètres sont décrits dans les chapitres suivants.

Menu contextuel du nœud SAP ERP du Gestionnaire de projet

Elément de menu | Action
Enregistrer | Enregistre les modifications apportées à la configuration SAP ERP.
Exporter XML tous... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Editor profile (Profil d'Éditeur) | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Barre d'outils et menus contextuels

Paramètres de connexion à un système SAP

Messages de maintenance :

Documents de mesure

Appels de fonctions


Barre d'outils et menus contextuels

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Barre d'outils et menus contextuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Symbole

Action

New message type (Nouveau type de message)

Insère un nouveau message vide dans la liste.

New time plan (Nouveau planning horaire)

Insère un nouveau planning horaire vide dans la liste.

Nouvelle fonction SAP

Ouvre l'assistant pour sélectionner un bloc fonctionnel SAP.

Ajouter variable

Ouvre la boîte de dialogue de sélection de variables.

New parameter (Nouveau paramètre)

Crée de nouveaux paramètres pour la fonction sélectionnée.

New table (Nouvelle table)

Crée une nouvelle table pour la fonction sélectionnée.

New structure field (Nouveau champ de structure)

Crée un nouveau champ de structure pour les paramètres sélectionnés ou la table sélectionnée.

Créer une fonction standard

Crée une fonction Execute SAP function (Exécuter fonction SAP) de zenon pour la fonction SAP sélectionnée.

Retour à l'élément de départ

Si vous avez saisi la liste via la fonction Éléments liés, le symbole vous ramène à l'élément de départ.
Uniquement disponible dans le menu contextuel lorsque tous les éléments liés sont ouverts.

Enregistrer

Enregistre les modifications apportées à la configuration SAP ERP.

Supprimer

Supprime l'entrée sélectionnée après une demande de confirmation.

Déplacer vers le haut

Remonte l'élément sélectionné dans la vue de détail d'une position.

Déplacer vers le bas

Abaisse l'élément sélectionné dans la vue de détail d'une position.

Tout étendre

Développe toutes les structures fermées.

Cliquez sur la flèche adjacente au symbole pour ouvrir la liste déroulante de sélection :

  • Tout étendre
  • Tout réduire
  • Expand selection (Etendre la sélection)
  • Reduce selection (Réduire la sélection)

Exporter XML tous...

Exporte toutes les entrées sous forme de fichier XML.

Importer XML

Importe des entrées à partir d'un fichier XML.

Propriétés

Ouvre la fenêtre de propriétés.

Aide

Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Menu contextuel du nœud SAP ERP

Menu contextuel des messages de maintenance

Menu contextuel des messages de maintenance

Menu contextuel du nœud Documents de mesure

Menu contextuel Planning horaire

Menu contextuel de la liste de variables des messages de maintenance et documents de mesure

Menu contextuel Appels de fonction

Menu contextuel des fonctions SAP individuelles


Menu contextuel du nœud SAP ERP

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Barre d'outils et menus contextuels -> Menu contextuel du nœud SAP ERP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Elément de menu | Action
Enregistrer | Enregistre les modifications apportées à la configuration SAP ERP.
Exporter XML tous... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.


Menu contextuel des messages de maintenance

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Barre d'outils et menus contextuels -> Menu contextuel des messages de maintenance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Elément de menu | Action
New message type (Nouveau type de message) | Insère un nouveau message vide dans la liste.
Export all XML maintenance messages (Exporter tous les messages de maintenance au format XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.


Menu contextuel des messages de maintenance

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Barre d'outils et menus contextuels -> Menu contextuel des messages de maintenance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Elément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Eléments liés | Affiche les éléments liés au message de maintenance dans une liste déroulante et permet d'accéder directement à ces éléments.
Supprimer | Supprime l'entrée sélectionnée après une demande de confirmation.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Propriétés | Ouvre la fenêtre des propriétés.
Aide | Ouvre l'aide en ligne.


Menu contextuel du nœud Documents de mesure

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Barre d'outils et menus contextuels -> Menu contextuel du nœud Documents de mesure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Elément de menu | Action
New time plan (Nouveau planning horaire) | Insère un nouveau planning horaire vide dans la liste.
Export all XML measurement documents (Exporter tous les documents de mesure au format XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.


Menu contextuel Planning horaire

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Barre d'outils et menus contextuels -> Menu contextuel Planning horaire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Elément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Eléments liés | Affiche les éléments liés au planning horaire dans une liste déroulante et permet d'accéder directement à ces éléments.
Supprimer | Supprime l'entrée sélectionnée après une demande de confirmation.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Propriétés | Ouvre la fenêtre des propriétés.
Aide | Ouvre l'aide en ligne.


Menu contextuel de la liste de variables des messages de maintenance et documents de mesure

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Barre d'outils et menus contextuels -> Menu contextuel de la liste de variables des messages de maintenance et documents de mesure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Elément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Eléments liés | Affiche les éléments liés à la variable dans une liste déroulante et permet d'accéder directement à ces éléments.
Remove selected variable (Supprimer la variable sélectionnée) | Supprime les variables sélectionnés de la liste.
Aide | Ouvre l'aide en ligne.


Menu contextuel Appels de fonction

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Barre d'outils et menus contextuels -> Menu contextuel Appels de fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel du nœud Appels de fonction

Elément de menu | Action
Nouvelle fonction SAP | Ouvre l'assistant pour sélectionner un bloc fonctionnel de SAP.
Export all SAP functions (Exporter toutes les fonctions SAP) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel de la table Appels de fonction

Paramètres | Description
Nouvelle fonction SAP | Create new SAP function (Créer une nouvelle fonction SAP)
Créer une fonction standard | Crée une nouvelle fonction de zenon pour appeler la fonction SAP sélectionnée.
Eléments liés | Affiche les éléments liés à la fonction SAP dans une liste déroulante et permet d'accéder directement à ces éléments.
Supprimer | Supprime l'entrée sélectionnée après une demande de confirmation.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Read in RFC function component from the SAP system (Lire un bloc fonctionnel RFC depuis le système SAP) | Lit la description d'interface du bloc fonctionnel depuis le système SAP. Si aucun nom SAP n'est fourni, l'assistant de sélection de blocs fonctionnels est affiché.
Affiche la documentation du bloc fonctionnel RFC | Lit la documentation du bloc fonctionnel depuis le système SAP et l'affiche sous forme de fichier HTML à l'aide du navigateur Web.
Aide | Ouvre l'aide en ligne.


Menu contextuel des fonctions SAP individuelles

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Barre d'outils et menus contextuels -> Menu contextuel des fonctions SAP individuelles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel des fonctions SAP

Paramètres | Description
New parameter (Nouveau paramètre) | Crée un nouveau paramètre avec la fonction SAP.
New table (Nouvelle table) | Crée une nouvelle table avec la fonction SAP.
Créer une fonction standard | Crée une nouvelle fonction de zenon pour appeler la fonction SAP sélectionnée.
Eléments liés | Affiche les éléments liés à la fonction SAP dans une liste déroulante et permet d'accéder directement à ces éléments.
Supprimer | Supprime l'entrée sélectionnée après une demande de confirmation.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Propriétés | Ouvre la fenêtre des propriétés.
Read in RFC function component from the SAP system (Lire un bloc fonctionnel RFC depuis le système SAP) | Lit la description d'interface du bloc fonctionnel depuis le système SAP. Si aucun nom SAP n'est fourni, l'assistant de sélection de blocs fonctionnels est affiché.
Affiche la documentation du bloc fonctionnel RFC | Lit la documentation du bloc fonctionnel depuis le système SAP et l'affiche sous forme de fichier HTML à l'aide du navigateur Web.
Aide | Ouvre l'aide en ligne.

Menu contextuel des listes de paramètres d'une fonction SAP

Paramètres

Description

New parameter (Nouveau paramètre)

Crée un nouveau paramètre avec la fonction SAP.

New table (Nouvelle table)

Crée une nouvelle table avec la fonction SAP.

New structure field (Nouveau champ de structure)

Crée un nouveau champ de structure pour le paramètre ou la table.

Eléments liés

Affiche les éléments liés à la fonction SAP dans une liste déroulante et permet d'accéder directement à ces éléments.

Supprimer

Supprime l'entrée sélectionnée après une demande de confirmation.

Etendre/réduire les nœuds

Affiche ou masque les champs de structure des paramètres et des tables.
  • Tout étendre

Affiche les champs de structure de tous les paramètres et tables.
  • Tout réduire

Masque les champs de structure de tous les paramètres et tables.
  • Expand selection (Etendre la sélection)

Affiche les champs de structure des paramètres et tables sélectionnés.
  • Reduce selection (Réduire la sélection)

Masque les champs de structure des paramètres et tables sélectionnés.

Aide

Ouvre l'aide en ligne.

Liste de paramètres contextuelle d'une fonction SAP pour le champ de structure sélectionné.

Paramètres | Description
New structure field (Nouveau champ de structure) | Crée un nouveau champ de structure pour le paramètre ou la table.
Eléments liés | Affiche les éléments liés à la fonction SAP dans une liste déroulante et permet d'accéder directement à ces éléments.
Supprimer | Supprime les champs de structure sélectionnés.
Déplacer vers le haut | Remonter le champ de structure sélectionné d'une position.
Déplacer vers le bas | Descendre le champ de structure sélectionné d'une position.
Aide | Ouvre l'aide en ligne.


Paramètres de connexion à un système SAP

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Paramètres de connexion à un système SAP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour établir une connexion à un système SAP, vous devez spécifier certains paramètres de base. Ces derniers sont configurés dans les propriétés SAP ERP de la vue de détail du gestionnaire de projet.

Paramètres | Description
Système SAP ERP | Contient les paramètres du système SAP ERP connecté
Login SAP | Contient les paramètres d'enregistrement sur le système SAP.
Messages | Contient des informations concernant les messages.
Erreur de recherche | Contient les propriétés de dépannage.

Vous trouverez des détails concernant les propriétés individuelles dans l'aide de la propriété concernée.


Messages de maintenance :

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Messages de maintenance :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le système de planification doit toujours être informé des défaillances, des périodes d'indisponibilité, etc. Le système SAP utilise des messages de maintenance à cette fin. Chaque message de maintenance défini dans zenon pour une variable de procédé peut être configuré sous forme de rapport de dysfonctionnement.

info Info

Si une alarme existe pour l'une des variables liées, un message de maintenance sera créé dans le système SAP sur la base du type de notification défini et du texte de limite de l'alarme. Le numéro du composant de l'installation (emplacement fonctionnel ou équipement) sera obtenu à partir de l'identifiant de ressource de la variable.

Menu contextuel des messages de maintenance (groupe)

Elément de menu | Action
New message type (Nouveau type de message) | Insère un nouveau message vide dans la liste.
Export all XML maintenance messages (Exporter tous les messages de maintenance au format XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel des messages de maintenance

Elément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Eléments liés | Affiche les éléments liés au message de maintenance dans une liste déroulante et permet d'accéder directement à ces éléments.
Supprimer | Supprime l'entrée sélectionnée après une demande de confirmation.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Propriétés | Ouvre la fenêtre des propriétés.
Aide | Ouvre l'aide en ligne.


Documents de mesure

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Documents de mesure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans les applications SAP, les valeurs mesurées décrivent un état spécifique d'un système de production à un instant donné du flux du procédé. Toute variable existant dans zenon peut être définie en tant que document de mesure. Ceci autorise le transfert de données indépendantes des protocoles issues du procédé en temps réel vers le niveau de gestion supérieur. Les documents de mesure sont transférés vers un système SAP sur la base d'un programme horaire fixe.

info Info

Aux heures définies dans le programme horaire, les valeurs actuelles des variables liées sont lues. Ensuite, un document de mesure est créé dans le système SAP pour chaque valeur de variable.

Menu contextuel des documents de mesure (groupe)

Elément de menu | Action
New time plan (Nouveau planning horaire) | Insère un nouveau planning horaire vide dans la liste.
Export all XML measurement documents (Exporter tous les documents de mesure au format XML) | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel des documents de mesure

Elément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Eléments liés | Affiche les éléments liés au planning horaire dans une liste déroulante et permet d'accéder directement à ces éléments.
Supprimer | Supprime l'entrée sélectionnée après une demande de confirmation.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Propriétés | Ouvre la fenêtre des propriétés.
Aide | Ouvre l'aide en ligne.


Appels de fonctions

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Appels de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les actions dans le système SAP et le transfert de données vers le système SAP sont exécutés par l'appel des blocs fonctionnels concernés. Les blocs fonctionnels sont fournis avec le système SAP. Toutefois, les blocs fonctionnels définis par l'utilisateur peuvent également être programmés par l'intermédiaire du module Workbench ABAP.

Les fonctions souhaitées du système SAP peuvent être appelées directement depuis zenon. Pour cela, une image de l'interface du bloc fonctionnel à appeler est affichée dans l'Éditeur avec les paramètres, tables et structures requis, et est liée aux variables de zenon. L'appel de fonction est effectué en exécutant une fonction de zenon, qui est fournie en tant que paramètre par cette image.

Remarque : l'interface RFC de SAP n'autorise qu'un appel de fonction à la fois. Pour éviter les chevauchements d'appels de fonction, l'activité peut être surveillée à l'aide d'une variable.

Autres sujets abordés dans ce chapitre

Sélection de blocs fonctionnels avec l'assistant

Fonctions SAP

Paramètres, tables et champs de structure

Variables liées

Appel de fonctions SAP


Sélection de blocs fonctionnels avec l'assistant

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Appels de fonctions -> Sélection de blocs fonctionnels avec l'assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour sélectionner un bloc fonctionnel depuis SAP :

  1. Dans la vue de détail de l'interface de SAP, sélectionnez le nœud Appels de fonction.

  2. Sélectionnez Nouvelle fonction SAP... dans le menu contextuel ou la barre d'outils.
  3. L'assistant de sélection du bloc fonctionnel SAP s'ouvre (pour cela, le paramètre Utiliser l'assistant doit être activé dans les options du projet).

    Attention : testez votre projet sur un système de test avant d'appeler des blocs fonctionnels SAP dans un système productif. Des erreurs lors de l'appel peuvent nuire à l'intégrité des données dans le système SAP.

  4. Sélectionnez le bloc fonctionnel de votre choix.

Paramètres | Description
Select function block (Sélectionner le bloc fonctionnel) | Liste déroulante de sélection des blocs fonctionnels SAP. L'expression de recherche peut être saisie librement ou sélectionnée dans une liste déroulante.
Liste de blocs fonctionnels | Liste de blocs fonctionnels correspondant au terme de recherche.
Retour | Revient à l'écran de départ de l'assistant.
Terminer | Enregistre le bloc fonctionnel et tous les éléments SAP associés dans une fonction SAP de zenon.
Annuler | Crée une fonction SAP vide dans zenon.


Fonctions SAP

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Appels de fonctions -> Fonctions SAP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une fonction SAP affiche un bloc fonctionnel du système SAP dans zenon. Il contient une liste d'objets qui affichent les paramètres et tables du bloc fonctionnel SAP. Avec une fonction SAP, des variables peuvent être liées pour fournir des informations concernant l'état de l'appel et le résultat du dernier appel.

Créer une fonction SAP

Les fonctions SAP sont créées via l'élément de menu Nouvelle fonction SAP du menu contextuel du nœud Appels de fonction, ou via la liste de fonctions SAP.

Si la propriété Utiliser l'assistant a été activée dans les options du projet, l'assistant démarre pour permettre la sélection d'un bloc fonctionnel SAP. L'assistant lit la description de l'interface du bloc fonctionnel sélectionné depuis SAP, et crée tous les objets dans l'Éditeur.

Les fonctions SAP peuvent également être éditées manuellement :

  • Pour comparer la fonction SAP à la description de l'interface dans le système SAP pour le procédé, sélectionnez la commande Read in RFC function block from SAP system (Lire le bloc fonctionnel RFC depuis le système SAP). Si aucun nom de bloc fonctionnel n'a été fourni, l'assistant s'ouvre afin d'autoriser la sélection de blocs fonctionnels. Les paramètres déjà définis (en particulier, les variables liées), ne sont pas modifiées dans le procédé.
  • Lors de la création d'une fonction SAP, la propriété Nom fonction reçoit un nom créé automatiquement pour la fonction SAP ; ce dernier peut être modifié à votre convenance.
  • La propriété Bloc fonctionnel RFC contient le nom du bloc fonctionnel dans le système SAP. Le nom fourni doit correspondre au nom dans le système SAP ; dans le cas contraire, l'Exception FU_NOT_FOUND se produit lorsque la fonction SAP est appelée.

Autres sujets abordés dans ce chapitre

Messages d'erreur

Surveillance de l'activité

Documentation du bloc fonctionnel RFC


Messages d'erreur

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Appels de fonctions -> Fonctions SAP -> Messages d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables renvoient des informations concernant le résultat du dernier appel de la fonction SAP. Pour cela, les variables sont liées aux propriétés correspondantes :

  • Code d'erreur : contient un code numérique correspondant au résultat du dernier appel.
  • Texte d'erreur : brève description du dernier code d'erreur apparu.
  • Description d'erreur : description étendue de la dernière erreur générée par l'interface RFC de SAP.

Codes d'erreur de l'interface RFC

Code d'erreur | Texte de l'erreur | Signification
-1 | No connection to the SAP system (Pas de connexion au système SAP) | Le système SAP ne peut pas être atteint (erreur de réseau, enregistrement etc.).
0 | OK | Aucune erreur ne s'est produite.
1 | Error occurred (Une erreur s'est produite) | Erreur inconnue ; pour plus de détails, consultez la propriété de description de l'erreur.
2 | Exception raised (Exception survenue) | Une Exception s'est produite dans le bloc fonctionnel (paramètre non valide, etc.).
3 | System exception raised, connection closed (Exception système survenue, connexion interrompue) | Une Exception s'est produite dans le système.
4 | Call received (Appel reçu) | Les autres appels de fonction restent actifs.

Conseil :

  • La langue du texte d'erreur dépend de la langue système du Runtime.
  • Tous les codes n'apparaissent pas lors de l'appel des blocs fonctionnels.


Surveillance de l'activité

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Appels de fonctions -> Fonctions SAP -> Surveillance de l'activité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une variable (numérique) liée à la propriété Activité peut adopter trois valeurs, en fonction de l'état de la fonction SAP :

  • 0 : la fonction SAP est inactive et n'est actuellement pas en cours d'exécution.
  • 1 : la fonction SAP est placée dans la file d'attente des appels (l'interface RFC de SAP n'autorise qu'un appel de fonction à la fois).
  • 2 : l'appel de fonction est transmis au système SAP, et une réponse est attendue du système SAP.
    Ensuite, la variable reprend l'état 0 (inactive).

Cette variable peut être utilisée pour un verrouillage, afin d'éviter le chevauchement d'appels de fonctions, par exemple.


Documentation du bloc fonctionnel RFC

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Appels de fonctions -> Fonctions SAP -> Documentation du bloc fonctionnel RFC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La documentation d'un bloc fonctionnel de SAP peut être appelée via l'option Display documentation of the RFC function block (Afficher la documentation du bloc fonctionnel RFC) du menu contextuel.

La documentation

  • doit être présente dans le système SAP, car cette dernière
  • est lue dans la langue de l'utilisateur SAP enregistré.
  • Elle est affichée dans le navigateur Web au format HTML.

Toute documentation déjà lue est conservée dans le dossier Temp de l'utilisateur Windows actuel, et appelée depuis ce dossier lors de la prochaine consultation.

Configuration personnalisée de l'affichage

Pour configurer l'affichage de la documentation de manière personnalisée :

  1. Créez une feuille de style portant le nom sapdoc.css.
  2. Enregistrez la feuille de style dans le dossier Temp de l'utilisateur.

Exemple de feuille de style

BODY,H1,H2,H3,H4,H5,H6,P,TD,TH,UL,DL,DIV {font-family: Geneva, Arial, Helvetica, sans-serif;}

BODY,TD {font-size: 90%;}

H1 {font-size: 120%; color: 1c1e41;}

H2 {font-size: 110%; color: 1c1e41;}

H3 {font-size: 100%; color: 1c1e41;}

H4 {font-size: 90%; font-style: italic; color: 1c1e41;}

H5 {font-size: 90%; font-style: normal; font-weight: lighter; color: 1c1e41;}

TH {font-size: 90%; font-weight: bold; text-align: left; color: 1c1e41;}


Paramètres, tables et champs de structure

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Appels de fonctions -> Paramètres, tables et champs de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'appel d'une fonction SAP, les données sont transférées via des paramètres et des tables. Les valeurs des paramètres, des tables et des champs de structure sont dérivés des variables liées (paramètres entrants) ou allouées aux variables liées après l'appel (paramètres de retour).

Créer les paramètres, tables et champs de structure

Les paramètres, tables et champs de structure sont créés via le menu contextuel dans la liste de paramètres d'une fonction SAP.

  • Dénomination
    • Lors de la création via le menu contextuel, les objets reçoivent des noms générés automatiquement (propriété Nom dans le système SAP). Ceux-ci doivent être modifiés de manière à correspondre aux objets associés dans le système SAP.
    • Lors de la création d'une fonction SAP à l'aide de l'assistant, les noms sont générés automatiquement, conformément à la description de l'interface dans le système SAP.
  • Paramètres et tables
    • Lorsque la fonction SAP est appelée, seuls les paramètres et tables présents dans la description de l'interface du bloc fonctionnel du système SAP sont utilisés.
    • Si des paramètres ou des tables non optionnels ne sont pas configurés ou liés à des variables, ils sont renseignés avec des valeurs initiales lors de l'appel de la fonction SAP. Ceci renvoie généralement une Exception, et donc un message d'erreur, lors de l'appel d'une fonction.
  • Propriétés informatives
    • Certaines propriétés des paramètres, tables et champs de structure (type, caractère optionnel et informations) sont uniquement fournis à des fins d'information. Ces dernières sont renseignées avec les informations provenant de la description de l'interface dans le système SAP par l'assistant lors de la création d'une fonction SAP, mais peuvent être modifiées à tout instant.
    • Elles ne sont pas évaluées lors de l'appel de la fonction SAP. Au lieu de cela, les entrées de la description de l'interface sont utilisées.


Variables liées

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Appels de fonctions -> Variables liées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La propriété Variable est utilisée pour les variables d'une fonction SAP aux paramètres, tables et champs de structure.

Pour lier des variables :

  • Utilisez la propriété Variable dans la fenêtre des propriétés. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables
    ou
  • A l'aide de la souris, glissez-déposez la variable souhaitée sur un objet dans la liste de paramètres

Si des variables de structure sont liées à des paramètres de structure et des tables, les variables des champs de structure sont également renseignées avec l'élément de structure de la variable, si possible.

Attention : ceci fonctionne uniquement lors de la liaison d'une variable par glisser-déplacer.

Appel d'une fonction SAP

Lors de l'appel d'une fonction SAP, les valeurs des variables sont lues ; ces dernières sont liées aux paramètres et tables aux fins du transfert de données vers le bloc fonctionnel, puis sont allouées aux paramètres et aux tables.

Et inversement, les valeurs des paramètres et tables renvoyées depuis un appel de fonction sont allouées aux variables liées.

Numéro de ligne pour les tables

Les objets pour les tables peuvent être liés via une variable avec la propriété Nombre de lignes.

Acceptation de valeurs :

  • Avant un appel de fonction, la valeur de Nombre de lignes détermine le nombre de lignes de la variable liée (ensemble) transférées vers la table.
  • Après l'appel de fonction, la valeur renvoie le nombre de lignes dans la table renvoyées depuis l'appel de fonction.


Appel de fonctions SAP

Manuels -> Interface SAP -> Configuration dans l'Éditeur -> Appels de fonctions -> Appel de fonctions SAP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fonctions SAP sont appelées via un nouveau type de fonction de zenon, la fonction Execute SAP function (Exécuter fonction SAP). Cette fonction comporte l'ID (interne) de la fonction SAP devant être exécutée en tant que paramètre.

Pour appeler une fonction SAP de zenon dans le Runtime :

  1. Créez une nouvelle fonction zenon via Fonctions -> Menu contextuel -> Nouvelles fonctions.
  2. Sélectionnez Execute SAP function (Exécuter fonction SAP) dans le nœud Application.
  3. La boîte de dialogue de configuration des fonctions s'affiche alors à l'écran.
  4. Sélectionnez la fonction SAP de votre choix.

Paramètres | Description
Fonction SAP | Liste déroulante permettant de sélectionner une fonction SAP. Celle-ci doit avoir été préalablement créée dans le projet.
Afficher cette boîte de dialogue dans le Runtime | Ouvrez cette boîte de dialogue dans le Runtime avant d'exécuter la fonction.
OK | Crée la fonction avec les paramètres sélectionnés.
Annuler | Crée la fonction sans paramètres.
Aide | Ouvre l'aide en ligne.

Conseil : dans l'Éditeur, l'élément de menu Créer une fonction standard du menu contextuel peut être utilisé pour créer automatiquement une fonction pour une fonction SAP sélectionnée, qui exécute la fonction SAP dans le Runtime.


Interfaces de programmation

Manuels -> Interfaces de programmation

Différentes interfaces d'intégration de vos programmes ou d'automatisation des plannings sont disponibles dans zenon :

  • Moteur de contrôle de procédés (PCE : Process Control Engine)
  • Liste de macros
  • VSTA

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Le menu contextuel

Élément de menu | Action
Ouvrir l'Éditeur PCE | Ouvre l'éditeur PCE.
Ouvrir l'éditeur VBA | Ouvre l'éditeur VBA.
Ouvrir Éditeur VSTA | Ouvre l'éditeur VSTA.
Profil | Ouvre la liste déroulante permettant de sélectionner un profil de l'éditeur.
Aide | Ouvre l'aide en ligne.

Ouverture de l'Éditeur VBA et VSTA

VBA dans l’éditeur

VBA démarre le même environnement de développement pour l'espace de travail et le projet. Pour ouvrir l'Éditeur VBA :

  1. Accédez au nœud Script.
  2. Cliquez avec le bouton droit sur Macros VBA.
  3. Sélectionnez Open in VBA Editor... (Ouvrir dans l'Éditeur VBA) dans le menu contextuel.

alternative : appuyez sur les touches Ctrl+F11.

VSTA dans l’éditeur

VSTA comporte des environnements de développement distincts pour l'espace de travail et le projet. Vous ne pouvez en utiliser qu'un à la fois. Au démarrage, tous les autres environnements de développement VSTA ouverts seront fermés.

Pour ouvrir l'Éditeur VSTA pour l'espace de travail :

  1. Appuyez sur les touches Alt+F10.
  2. Le code correspondant à l'espace de travail et à tous les projets chargés est affiché

Pour ouvrir l'Éditeur VSTA pour le projet actuellement chargé :

  1. Accédez au nœud Script.
  2. Cliquez avec le bouton droit sur VSTA
  3. Sélectionnez Open VSTA Editor... (Ouvrir l'Éditeur VSTA) dans le menu contextuel.
  4. L'Éditeur est ouvert pour le projet actuellement chargé.

API à partir de la version 7.10 :

For the use of zenon programming interfaces, the following is applicable from zenon 7.10:

  • VSTA / .NET : .NET Framework 4.0 doit être disponible.
  • VBA : Si, dans le code VBA, des fonctions de Windows API ou d'autres fichiers DLL importés sont utilisées, ces exécutions doivent être adaptées à la version 64 bits. En règle générale, les dispositions suivantes s'appliquent : Un fichier VBA créé avec une version 32 bits ne peut pas être utilisé sans modification dans une


Moteur de contrôle de procédés (PCE : Process Control Engine)

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

info Info

Le module Process Control Engine (PCE) offre la possibilité de développer des applications cycliques en scripts VB ou Java. Le PCE est particulièrement adapté pour les fonctions longues qui tournent en tâche de fond (e.g. nombreuses fonctions d'export). Contrairement à VBA, l'environnement PCE supporte le traitement multifil.


L'éditeur PCE

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> L'éditeur PCE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'éditeur PCE est accessible dans le Interfaces de programmation, sous l'entrée Scripts. Pour ouvrir l'éditeur PCE, sélectionner l'entrée Ouvrir l'éditeur PCE dans le menu contextuel.


Le gestionnaire de tâches

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> L'éditeur PCE -> Le gestionnaire de tâches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le gestionnaire de tâches de l'éditeur PCE liste les tâches existantes et les variables liées.

Un double-clic sur une tâche, l'ouvre dans la zone d'édition. Un menu contextuel est affiché en cliquant sur la tâche avec le bouton droit de la souris.

Le menu contextuel d'une tâche a les quatre entrées suivantes :

Paramètre | Description
Propriétés tâche | Ouvre la boite de dialogue des propriétés de la tâche.
Variables de la tâche ... | Ouvre la boite de sélection des variables. Vous pouvez ainsi ajouter de nouvelles variables à la tâche.
Supprimer tâche | Supprime la tâche sans confirmation.
Compiler tâche | Compile la tâche.


La zone d'édition

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> L'éditeur PCE -> La zone d'édition

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la zone d'édition de l'éditeur PCE, le code des tâches est saisi en VB Script ou Java Script.


La fenêtre de sortie

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> L'éditeur PCE -> La fenêtre de sortie

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com


Les menus de l'éditeur Moteur de contrôle de procédé (PCE)

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> L'éditeur PCE -> Les menus de l'éditeur Moteur de contrôle de procédé (PCE)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com


Menu Fichier

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> L'éditeur PCE -> Les menus de l'éditeur Moteur de contrôle de procédé (PCE) -> Menu Fichier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu Fichier contient les commandes suivantes :

Paramètre | Description
Enregistrer | Enregistre les nouvelles tâches et les tâches modifiées.
Imprimer | Imprime la tâche courante.
Fermer | Ferme l'éditeur PCE.


Menu Editer

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> L'éditeur PCE -> Les menus de l'éditeur Moteur de contrôle de procédé (PCE) -> Menu Editer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu Editer contient les commandes suivantes :

Paramètre | Description
Annuler | Annule la dernière action.
Répéter | Refait la dernière action annulée.
Couper | "Déplace" le texte sélectionné dans le presse-papier Windows.
Copier | "Copie" le texte sélectionné dans le presse-papier Windows.
Insérer | "Colle" le texte inclu dans le presse-papier Windows à la position du curseur.
Supprimer |
Sélectionner tout | Sélectionne le texte complet de la tâche.
Rechercher | Recherche un texte dans la tâche courante.
Rechercher le suivant | Recherche l'occurence suivante du texte recherché.
Rechercher le précédent | Recherche l'occurence précédente du texte recherché.
Remplacer... | Remplace un texte par un autre dans la tâche courante.
Signets | Gestion des signets dans le code de la tâche courante.
- Spécifier un signet | positionne un signet à la ligne sélectionnée dans le code.
- Signet suivant | va au signet suivant dans le code.
- Signet précédent | va au signet précédent dans le code.
- Supprimer tous les signets | supprime tous les signets dans le code.


Menu Exécuter

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> L'éditeur PCE -> Les menus de l'éditeur Moteur de contrôle de procédé (PCE) -> Menu Exécuter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu Exécuter contient les commandes suivantes :

Enregistrer toutes les tâches et redémarrer |
Compiler tâche | Compile la tâche.


Menu Options

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> L'éditeur PCE -> Les menus de l'éditeur Moteur de contrôle de procédé (PCE) -> Menu Options

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu Options contient les commandes suivantes :

Paramètre | Description
Configurer les barres d'outils | Ouvre la boîte de paramétrage de l'éditeur Moteur de contrôle de procédé.
Gestionnaire de tâches | Ouvre / ferme le gestionnaire de tâches.
Fenêtre d'affichage | Ouvre / ferme la fenêtre de suivi (sortie).
Barre d'état | Ouvre / ferme la barre d'état.


Menu Fenêtre

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> L'éditeur PCE -> Les menus de l'éditeur Moteur de contrôle de procédé (PCE) -> Menu Fenêtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu Fenêtre contient les commandes suivantes :

Fermer

Cascade

Mosaïque

Aligner les symboles

Listes des dernières fenêtres ouvertes.


Menu Aide

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> L'éditeur PCE -> Les menus de l'éditeur Moteur de contrôle de procédé (PCE) -> Menu Aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu Aide contient les commandes suivantes :

Commande

Action

Aide

Ouvre l'aide en ligne.

A propos ...

Ouvre une fenêtre contenant des informations sur zenon:

  • Numéro de série
  • Numéro d'activation :
  • Identifiants/E/S couverts par la licence
  • Module couvert par la licence

Un curseur permet de parcourir le contenu de la fenêtre d'informations. Cliquez sur la fenêtre ou appuyez sur la touche Échap pour fermer la fenêtre d'informations.


La barre de boutons de l'éditeur Moteur de contrôle de procédé (PCE)

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> L'éditeur PCE -> La barre de boutons de l'éditeur Moteur de contrôle de procédé (PCE)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les commandes principales de l'éditeur PCE peuvent aussi être exécutées depuis la barre de boutons.

Les fonctions suivantes sont disponibles :

Paramètre | Description
Fermer | Ferme l'éditeur PCE.
Enregistrer tout | Enregistre les nouvelles tâches et les tâches modifiées.
Print active screen | Imprime la tâche courante.
Couper | "Déplace" le texte sélectionné dans le presse-papier Windows.
Copier | "Copie" le texte sélectionné dans le presse-papier Windows.
Insérer | "Colle" le texte inclu dans le presse-papier Windows à la position du curseur.
Annuler | Annule la dernière action.
Répéter | Refait la dernière action annulée.
Rechercher | Recherche un texte dans la tâche courante.
Rechercher le suivant | Recherche l'occurence suivante du texte recherché.
Rechercher le précédent | Recherche l'occurence précédente du texte recherché.
Remplacer... | Remplace un texte par un autre dans la tâche courante.
Sauver et relancer |
Lancer debugger |
Signet suivant | va au signet suivant dans le code.
Spécifier un signet | positionne un signet à la ligne sélectionnée dans le code.
Signet précédent | va au signet précédent dans le code.
Supprimer tous les signets | supprime tous les signets dans le code.


Suite des actions

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> Suite des actions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com


Créer une tâche

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> Suite des actions -> Créer une tâche

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec le menu contextuel du gestionnaire de tâche, une nouvelle tâche peut être créée.


Propriétés de la tâche

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> Suite des actions -> Créer une tâche -> Propriétés de la tâche

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après la création d'une tâche, la boîte de dialogue des propriétés de la nouvelle tâche s'ouvre automatiquement.

Les propriétés suivantes peuvent être définies :

Paramètre | Description
Nom | Nom unique de la tâche.
Type | Les tâches peuvent être exécutées de façon cyclique ou une seule fois. Cyclic : la tâche est exécutée cycliquement dans l'intervalle défini sous Temps de cycle à atteindre. Once: tla tâche est exécutée une seule fois.
Priorité | Prioriétés du procédé pour les systèmes multithread ( idle, basse, normal, haute, la plus haute, critique (temps)). Par défaut : Normal main process : la tâche tourne dans le même 'thread' que le Runtime. Si la tâche rentre dans une boucle d'attente ou si elle 'plante', cela influence aussi le Runtime.
Fichier script | Sélection du fichier script : Fichiers VB (*.vbs) pour les scripts VB ou Fichiers JS (*.js) pour les scripts Java. Le fichier correspondant est créé lorsque la tâche est ouverte dans la zone d'édition pour la première fois.
Type de démarrage | System start (démarrage système) : Cette tâche est démarrée automatiquement avec le runtime. (C'est la seule façon disponible si vous utilisez le PCE sous Windows CE, car Windows CE ne supporte pas le VBA). event triggered (Événementiel) : la tâche est démarré dans une macro VBA avec la syntaxe suivante : thisProject.Tasks.Item("nom de la tâche").Run
Temps de cycle à atteindre | Pour les tâches cyclique, c'est le temps qui doit être atteint par la tâche en millisecondes. Si ce temps de cycle n'est pas respecté, la tâche est exécutée aussi vite que possible.

Pour des modifications ultérieures des propriétés, cette boîte de dialogue peut être ouverte par le menu contextuel de la tâche et l'entrée Propriétés tâche.


Variables de la tâche

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> Suite des actions -> Créer une tâche -> Variables de la tâche

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une fois les propriétés définies, la boîte de dialogue de sélection de variables s'ouvre automatiquement. Dans cette boîte de dialogue, vous pouvez sélectionner les variables devant être traitées dans la tâche.

Toutes les variables lues ou écrites dans la tâche doivent être liées ici. Il est également possible d'accéder à une variable via l'objet de la variable, mais seules les valeurs directement liées à la tâche concernée sont automatiquement mises à jour lors de l'initialisation de la tâche, avant son exécution.

La variable doit avoir le format :

Task.Value('Nom de la variable')=123

Si vous souhaitez modifier la sélection de la variable ultérieurement, il est également possible d'ouvrir cette boîte de dialogue en affichant le menu contextuel de la tâche et en sélectionnant l'entrée Tâche variables….


Entrer le code

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> Suite des actions -> Entrer le code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Double-cliquer sur une tâche dans le gestionnaire de tâche ouvre celle-ci dans la zone d'édition. Le fichier VBS ou JS correspondant est créé lorsque la tâche est ouverte pour la première fois.

Quatre procédures sont créées automatiquement :

Paramètre | Description
Task_Init() | Cette procédure est exécutée automatiquement lorsque la tâche est démarrée.
Task_Main() | Cette procédure est exécutée soit une seule fois (type Une seule fois) ou cycliquement (type Cyclique).
Task_Exit() | Cette procédure est exécutée automatiquement lorsque la tâche est terminée.
Task_Timer(lTimerId) | Cette procédure est exécutée cycliquement tant que le Timer correspondant tourne. Le temps de cycle est défini en tant que paramètre lors du démarrage du Timer.

De façon générale, le PCE utilise le même modèle d'objet que le VBA (voir les guides VBA). Lorsque vous utilisez des objets VBA (sauf l'objet Task) le 'multithreading' est perdu, car ces objets ne peuvent être utilisés que depuis le thread principal.

attention Attention

Dans l'interface COM, les fonctions ne bénéficient pas toutes de la possibilité de multi-thread et si ce n'est pas le cas, alors elles ne peuvent être utilisées que dans le contexte du thread principal. Si une propriété différente de "processus principal" est définie pour une tâche PCE, il ne doit alors pas y avoir d'accès depuis le PCE vers le thread principal. Dans le cas où il y a un quand même un accès à l'interface COM, ceci peut conduire à des états système indéterminés, comme par exemple, un blocage du Runtime.

La collection Tasks et l'objet Task sont donc d'une importance spéciale.


La collection Tasks

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> Suite des actions -> Entrer le code -> La collection Tasks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Count

Item

Parent


L'objet Task

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> Suite des actions -> Entrer le code -> L'objet Task

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

ActualCycleTime

Propriété

Temps de cycle courant de la tâche

CountVariable

Propriété

Nombre de variables liées à la tâche

CycleTime

Propriété

Temps de cycle défini pour la tâche

DynProperties

Propriété

ErrorNumber

Propriété

ErrorString

Propriété

Quitter

Evénement

A l'initialisation

Evénement

ItemVariable

Style

Main

Evénement

MemValue

Propriété

Avec "Task.MemValue("Nom")=valeur" une variable interne est créée et une valeur lui ait assignée. Il n'y a pas besoin de déclarer la variable au préallable.

Cette variable peut aussi être utilisée depuis les autres tâches. Cela permet ainsi d'échanger des valeurs entre les tâches.

Nom

Propriété

Nom de la tâche courante

Parent

Propriété

La collection Tasks

Priorité

Propriété

Priorité de la tâche courante

Exécuter

Style

Démarre une tâche

Sleep

Style

Suspend une tâche

StartTimer

Style

La méthode "StartTimer" démarre un timer de la tâche.

États

Propriété

Stop

Style

Arrête une tâche

StopTimer

Style

La méthode "StopTimer" arrête un timer de la tâche.

Timer

Evénement

Type

Propriété

Valeur

Propriété

Avec "Task.Value("nom de la variable liée")=valeur" une variable du projet prend une nouvelle valeur.


Fonction Visualiser PCE

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> Suite des actions -> Fonction Visualiser PCE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Visualiser PCE de zenon permet d'ouvrir l'Éditeur PCE depuis le Runtime.


Exécuter des tâches

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> Suite des actions -> Exécuter des tâches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com


Exécution de tâches au démarrage du système

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> Suite des actions -> Exécuter des tâches -> Exécution de tâches au démarrage du système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la configuration de la tâche, si e paramètre Type de démarrage est défini sur Démarrage du système , la tâche est automatiquement démarrée avec le Runtime.

C'est la seule façon disponible si vous utilisez le PCE sous Windows CE, car Windows CE ne supporte pas le VBA.


Exécuter des tâches déclenchées par un événement

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> Suite des actions -> Exécuter des tâches -> Exécuter des tâches déclenchées par un événement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com


Sur un PC

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> Suite des actions -> Exécuter des tâches -> Exécuter des tâches déclenchées par un événement -> Sur un PC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Sur un PC

Une tâche peut aussi être démarrée selon un événement. Dans ce cas, le type de démarrage doit être Selon événement. Maintenant la tâche n'est pas démarrée automatiquement avec le runtime.

Une macro VBA doit être créée de façon à exécuter la tâche lorsqu'on sélectionne un bouton, ou lors d'un dépassement de limite ou sur n'importe quel autre événement. Avec l'instruction VBA suivante la tâche peut être démarrée :

thisProject.Tasks.Item("Nom de la tâche").Run

La tâche est démarrée automatiquement dans son propre 'thread' si la priopriété Processus principal n'a pas été activée.

Avec l'instruction VBA suivante la tâche peut être arrêtée à tout moment :

thisProject.Tasks.Item("Nom de la tâche").Stop


Sur un terminal CE

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> Suite des actions -> Exécuter des tâches -> Exécuter des tâches déclenchées par un événement -> Sur un terminal CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Sur un terminal CE

Comme Windows CE ne supporte pas VBA, la façon de faire décrite ci-avant n'est pas possible sur un terminal CE. Mais il y a, ici aussi, la possibilité d'exécuter des tâches déclenchées selon des événements.

Une tâche avec le type de démarrage Démarrage système est créée. Cette tâche est démarrée automatiquement avec le runtime. Et cette tâche a la priorité PROCESSUS PRINCIPAL pour qu'elle tourne dans le même 'thread' que le runtime. Maintenant des variables 'bit' sont liées à cette tâche, et exécuteront d'autres tâches déclenchées selon un événement. Avec l'instruction suivante la tâche peut être démarrée :

Parent.Item("Nom de la tâche").Run

La tâche est démarrée automatiquement dans son propre 'thread' si la priopriété PROCESSUS PRINCIPAL n'a pas été activée.

Avec l'instruction suivante la tâche peut être arrêtée à tout moment :

Parent.Item("Nom de la tâche").Stop


VBScript - Introduction

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com


Type de données

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Type de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com


Variant

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Type de données -> Variant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

VBScript possède un seul type de données, appelé Variant. Un Variant est un type de données spécial, qui peut contenir différentes sortes d'informations, en fonction de son utilisation. Parce que le type de données Variant est l'unique type de données disponible dans VBScript, il s'agit également du type de données renvoyé par toutes les fonctions dans VBScript.

Dans sa forme la plus simple, un Variant peut contenir des informations numérique ou de chaîne. Un Variant se comporte comme un nombre lorsqu'il est utilisé dans un contexte numérique, et se comporte comme une chaîne lorsqu'il est utilisé dans une chaîne de texte. Concrètement, si vous utilisez des données qui ressemblent à des nombres, VBScript suppose qu'il s'agit de nombres et traite ces données de la manière la plus appropriée. Vous pouvez toujours utiliser des nombres comme des chaînes de caractères en les saisissant entre des guillemets (" "). Si vous utilisez des données pouvant uniquement être interprétées comme des chaînes, c'est ainsi que ces données seront interprétées par VBScript.


Sous-type Variant

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Type de données -> Sous-type Variant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En plus des classifications simples numérique ou chaîne, un Variant peut rajouter une distinction sur la nature spécifique d'une information numérique. Par exemple, vous pouvez avoir une information numérique qui représente une date ou une heure. Si on l'utilise avec une autre date ou heure, le résultat sera toujours exprimé comme une date ou une heure. Vous avez aussi une grande variété d'information numérique allant de valeurs booléennes jusqu'aux énormes nombres flottants (réels). Ces différentes catégories qui peuvent être contenues dans un élément Variant sont appelées sous-types. La plupart du temps, vous pouvez mettre le type de données que vous souhaitez dans un élément Variant ; cet élément se comporte de la façon la plus appropriée par rapport aux données qu'il contient.

La table suivante montre les sous-types de données qu'un Variant peut contenir.

Sous-type | Signification
Empty | Le variant n'est pas initialisé. La valeur est 0 pour les variables numériques et une chaine de longueur nulle ("") pour les variables chaine.
Null | Le variant ne contient intentionnellement aucune donnée valide.
Booléen | Contient soit TRUE soit FALSE.
Byte | Contient un entier dans la plage de 0 à 255.
Entier | Contient un entier dans la plage de -32 768 à 32 767.
Currency | -922,337,203,685,477.5808 to 922,337,203,685,477.5807.
Long | Contient un entier dans la plage de -2 147 483 648 à 2 147 483 647.
Single | Contient un nombre flottant (réel) simple précision dans la plage -3.402823E38 à -1.401298E-45 pour les valeurs négatives; 1.401298E-45 à 3.402823E38 pour les valeurs positives.
Double | Contient un nombre flottant (réel) double précision dans la plage -1.79769313486232E308 à -4.94065645841247E-324 pour les valeurs négatives; 4.94065645841247E-324 à 1.79769313486232E308 pour les valeurs positives.
Date (Time) | Contient un nombre qui représente une date entre le 1er janvier 100 jusqu'au 31 décembre 9999.
String | Contient une variable chaine qui peut contenir jusqu'à 2 milliards de caractères.
Objet | Contient un objet.
Erreur | Contient un numéro d'erreur.


Variables

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une variable est un opérateur très utile, qui fait référence à un emplacement dans la mémoire de l'ordinateur dans lequel vous pouvez conserver des informations du programme susceptibles d'évoluer durant l'exécution de votre script. Par exemple, vous pouvez créer une variable appelée ClickCount pour mémoriser le nombre de fois qu'un utilisateur clique sur un objet sur une page Web particulière. L'emplacement auquel la variable est conservée dans la mémoire de l'ordinateur est sans importance. Ce qui est important, c'est que pour afficher ou modifier la valeur d'une variable, il suffit de la désigner par son nom. Dans VBScript, les variables appartiennent toujours à un type de données fondamental, Variant.


Déclarer les variables

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Variables -> Déclarer les variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous déclarez les variables de façon explicite en utilisant le mot clé Dim, ou Public ou encore Private. Exemple :

Dim DegresFahrenheit

Vous déclarez plusieurs variables en les séparant avec une virgule. Exemple :

Dim Haut, Bas, Gauche, Droit


Restrictions concernant les noms

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Variables -> Restrictions concernant les noms

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les noms de variable suivent les conventions de nommage du VBScript. Un nom de variable :

  • doit commencer par une lettre.
  • ne peut pas contenir un point.
  • ne doit pas excéder 255 caractères.
  • doit être unique dans la portée dans laquelle il est déclaré.


Portée et durée de vie des variables

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Variables -> Portée et durée de vie des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsque vous déclarez une variable dans une procédure, seul le code de la procédure peut lire ou modifier la valeur de cette variable. Elle a une portée locale et est une variable de niveau procédure.

Si vous déclarez une variable en dehors d'une procédure, elle sera accessible par toutes les procédures du script. C'est une variable de niveau script et à une portée de niveau script.

La durée de vie d'une variable correspond au temps pendant lequel elle existe. La vie d'une variable de niveau script démarre au moment où elle est déclarée jusqu'au moment où le script s'arrête. Une variable locale à une procédure n'existe que tant qu'on se trouve dans la procédure. Lorsqu'on sort de la procédure, la variable est supprimée.

Les variables locales sont idéales pour stocker des données temporaires uniquement nécessaires dans la procédure. Vous pouvez avoir des variables locales de même nom dans différentes procédures car chacune d'elles n'est connue que dans la procédure dans laquelle elle est déclarée.


Attribution de valeurs à des variables

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Variables -> Attribution de valeurs à des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour attribuer des valeurs à des variables, on crée une expression comme suit : la variable est insérée à gauche de l'expression, tandis que la valeur que vous souhaitez attribuer à la variable se trouve à droite. Exemple :

B = 200


Variables scalaires et variables de tableau

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Variables -> Variables scalaires et variables de tableau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la plupart des cas, il n'est nécessaire d'attribuer qu'une seule valeur à une variable que vous avez déclarée. Une variable contenant une valeur unique est une variable scalaire. Dans certains cas, il est pratique de pouvoir assigner plus d'une valeur à une seule variable. Dans ce cas, vous créez une variable contenant une série de valeurs. Ce type de variable est appelé "variable de tableau". Les variables tableaux sont déclarées presque comme les variables scalaires. La seule différence est l'utilisation des parenthèses après leurs noms. Dans l'exemple suivant, une variable de tableau à une dimension contenant 11 éléments est déclarée :

Dim A(10)

Bien que le nombre indiqué entre parenthèses soit 10, tous les tableaux dans VBScript possèdent une base zéro, ce qui signifie que ce tableau comporte en réalité 11 éléments. Dans un système où le premier élément est à l'indice 0, le nombre d'élément d'un tableau est le nombre indiqué entre parenthèses + 1. Ce type de tableau est appelé "tableau à taille fixe".

On utilise un index spécifique au tableau pour attribuer des données à chacun des éléments du tableau. En commençant à zéro et en finissant à 10, il est possible d'attribuer des données aux éléments d'un tableau comme indiqué ici :

A(0) = 256

A(1) = 324

A(2) = 100

. . .

A(10) = 55

De même, les données peuvent être extraites de chaque élément à l'aide d'un index spécifique à l'élément concerné du tableau de votre choix. Exemple :

. . .

SomeVariable = A(8)

. . .

Les tableaux ne sont pas limités à une dimension. Ils peuvent comporter jusqu'à 60 dimensions, bien que la plupart des utilisateurs ne puissent appréhender plus de trois ou quatre dimensions. Vous pouvez déclarer plusieurs dimensions en séparant les nombres définissant la taille d'un tableau (spécifiés entre parenthèses) par des virgules. Dans l'exemple suivant, la variable MyTable est un tableau à deux dimensions constitué de 6 lignes et 11 colonnes :

Dim MyTable(5, 10)

Dans un tableau à deux dimensions, le premier nombre représente toujours le nombre de lignes ; le deuxième nombre représente le nombre de colonnes.

Vous pouvez également déclarer un tableau dont la taille évolue durant l'exécution de votre script. Ce type de tableau est appelé "tableau dynamique". Le tableau est initialement déclaré dans une procédure, à l'aide de la déclaration Dim ou ReDim. Toutefois, pour un tableau dynamique, aucune indication de taille ou de nombre de dimensions n'est insérée entre les parenthèses. Exemple :

(Dim AnArray()

ReDim AnotherArray()

Pour utiliser un tableau dynamique, vous devez ensuite utiliser la déclaration ReDim pour déterminer le nombre de dimensions et la taille de chaque dimension. In the following example, ReDim sets the initial size of the dynamic array to 25. A subsequent ReDim statement resizes the array to 30, but uses the Preserve keyword to preserve the contents of the array as the resizing takes place.

ReDim MyArray(25)

. . .

ReDim Preserve MyArray(30)


Constantes

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Constantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une constante est un nom significatif qui remplace un nombre ou une chaine de caractères et qui ne change jamais. Le VBScript définit un nombre de constantes intrinsèques. Vous pouvez obtenir des informations sur ces constantes intrinsèques à partir de la référence du langage VBScript.

Vous pouvez créer des constantes utilisateur en VBScript en utilisant le mot clé Const. Vous pouvez ainsi donner un nom significatif pour les constantes textuelles ou numériques. Vous leur assignez leur valeur et ensuite, vous les utilisez dans un script. Exemple :

Const MaChaine = "Ceci est une chaine de caractères."

Const MonAge = 49

Notez que les chaines de caractères sont encadrées par des guillemets (" "). Les guillemets sont le moyen le plus évident pour différentier les valeurs de chaines de caractères des valeurs numériques. La réprésentation des dates (type Date) et heures (type Time) sont encadrées par le signe dièse (#). Exemple :

Const CutoffDate = #6-1-97#

Vous pouvez définir une convention de nommage pour différentier les constantes des variables. Ceci vous permettra d'éviter d'assigner une valeur dans une constante dans vos scripts. Par exemple, vous pouvez utiliser les préfixes "vb" sur vos variables ou "cste" sur vos constantes ; vous pouvez aussi choisir d'écrire vos constantes en majuscules. Mais assurez-vous que les constantes et les variables peuvent bien être distinguées. Vous éviterez ainsi quelques problèmes lors de l'écriture de scripts complexes.


Opérateurs

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Opérateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

VBScript comporte une vaste gamme d'opérateurs, et notamment des opérateurs arithmétiques, des opérateurs de comparaison, des opérateurs de concaténation et des opérateurs logique.


Priorité des opérateurs

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Opérateurs -> Priorité des opérateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si plusieurs opérateurs apparaissent dans un énoncé, chaque partie est évaluée selon un ordre prédéfini. Cet ordre est appelé la priorité des opérateurs. Vous pouvez utiliser des parenthèses pour changer l'ordre des priorités et forcer des parties d'une expression à être évaluées avant d'autres. Les opérations entre parenthèses sont toujours exécutées avant les opérations en dehors des parenthèses. Entre les parenthèses, cependant, la priorité des opérateurs est prise en compte.

Lorsque des expressions contiennent des opérateurs de plus d'une catégorie, les opérateurs arithmétiques sont évalués en premier, puis les opérateurs de comparaison, et les opérateurs logiques sont évalués en dernier. Les opérateurs de comparaison sont d'égales priorités, et sont donc évalués de gauche à droite. Les opérateurs arithmétiques et logiques sont évalués dans l'ordre suivant.


Opérateurs arithmétiques

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Opérateurs -> Opérateurs arithmétiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Description | Symbole
Mise en exposant | ^
Négation unaire | -
Multiplication | *
Division | /
Division entière | /
Modulo | Mod
Addition | +
Soustraction | -
Concaténation de chaînes |


Opérateurs de comparaison

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Opérateurs -> Opérateurs de comparaison

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Description | Symbole
Egalité | =
Inégalité | <>
Inférieur à | <
Supérieur à | >
Inférieur ou égal à | <=
Supérieur ou égal à | >=
Equivalence d'objet | Is


Opérations logiques

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Opérateurs -> Opérations logiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si plusieurs opérateurs apparaissent dans un énoncé, chaque partie est évaluée selon un ordre prédéfini. Cet ordre est appelé la priorité des opérateurs. Vous pouvez utiliser des parenthèses pour changer l'ordre des priorités et forcer des parties d'une expression à être évaluées avant d'autres. Les opérations entre parenthèses sont toujours exécutées avant les opérations en dehors des parenthèses. Entre les parenthèses, cependant, la priorité des opérateurs est prise en compte.

Lorsque des expressions contiennent des opérateurs de plus d'une catégorie, les opérateurs arithmétiques sont évalués en premier, puis les opérateurs de comparaison, et les opérateurs logiques sont évalués en dernier. Les opérateurs de comparaison sont d'égales priorités, et sont donc évalués de gauche à droite. Les opérateurs arithmétiques et logiques sont évalués dans l'ordre suivant.


Déclarations conditionnelles

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Déclarations conditionnelles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez contrôler le déroulement de votre script au moyen de déclarations conditionnelles et de déclarations en boucle. À l'aide de déclarations conditionnelles, vous pouvez rédiger un code VBScript qui prend des décisions et répète des actions.


Prise de décisions avec la déclaration If...Then...Else

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Déclarations conditionnelles -> Prise de décisions avec la déclaration If...Then...Else

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La déclaration If...Then...Else est utilisée pour évaluer si une condition est True (vraie) ou False (fausse) et, en fonction du résultat, pour spécifier une ou plusieurs déclarations à exécuter. Habituellement, la condition est une expression qui utilise un opérateur de comparaison pour comparer une valeur ou une variable avec une autre. Pour plus d'informations concernant les opérateurs de comparaison, reportez-vous à la section Opérateurs de comparaison. Les déclarations If...Then...Else peuvent être imbriquées à autant de niveaux différents que nécessaire.


Exécuter des traitements si une condition est vraie

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Déclarations conditionnelles -> Prise de décisions avec la déclaration If...Then...Else -> Exécuter des traitements si une condition est vraie

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Exécuter des traitements si une condition est vraie

Pour n'exécuter qu'une seule instruction si une condition est vraie, utilisez la syntaxe sur une seule ligne pour le If...Then...Else. L'exemple suivant illustre la syntaxe avec une seule ligne. Notez que cet exemple n'utilise pas le mot clé Else.

Sub FixDate()
Dim myDate
myDate = #2/13/95#
If myDate < Now Then myDate = Now
End Sub

Pour exécuter plus qu'une ligne de code, vous devez utiliser la syntaxe correspondante. Cette syntaxe inclue l'instruction End If, comme montré dans l'exemple suivant :

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
End If
End Sub

Pour n'exécuter qu'une seule instruction si une condition est vraie, utilisez la syntaxe sur une seule ligne pour le If...Then...Else. L'exemple suivant illustre la syntaxe avec une seule ligne. Notez que cet exemple n'utilise pas le mot clé Else.

Sub FixDate()
Dim myDate
myDate = #2/13/95#
If myDate < Now Then myDate = Now
End Sub

Pour exécuter plus qu'une ligne de code, vous devez utiliser la syntaxe correspondante. Cette syntaxe inclue l'instruction End If, comme montré dans l'exemple suivant :

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
End If
End Sub


Exécute certains traitements si une condition est vraie et d'autres traitements si la condition est fausse.

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Déclarations conditionnelles -> Prise de décisions avec la déclaration If...Then...Else -> Exécute certains traitements si une condition est vraie et d'autres traitements si la condition est fausse.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Exécute certains traitements si une condition est vraie et d'autres traitements si la condition est fausse.

Vous pouvez utiliser les instructions If...Then...Else pour définir deux blocs de traitements à exécuter : un bloc à exécuter si la condition est True (vraie) et l'autre bloc si la condition est False (fausse).

Sub AlertUser(value)
If value = 0 Then
AlertLabel.ForeColor = vbRed
AlertLabel.Font.Bold = True
AlertLabel.Font.Italic = True
Else
AlertLabel.Forecolor = vbBlack
AlertLabel.Font.Bold = False
AlertLabel.Font.Italic = False
End If
End Sub


Décider entre plusieurs alternatives

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Déclarations conditionnelles -> Prise de décisions avec la déclaration If...Then...Else -> Décider entre plusieurs alternatives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Décider entre plusieurs alternatives

Une variante du If...Then...Else permet de choisir entre plusieurs alternatives. En ajoutant le mot clé ElseIf on étend les possibilités du If...Then...Else pour orienter le flux du programme selon diverses conditions.

Exemple :
Sub ReportValue(value)
If value = 0 Then
MsgBox value
ElseIf value = 1 Then
MsgBox value
ElseIf value = 2 then
Msgbox value
Else
Msgbox Walue out of range!
End If


Prise de décisions avec la déclaration Select Case

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Déclarations conditionnelles -> Prise de décisions avec la déclaration Select Case

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La structure Select Case fournit une alternative au If...Then...ElseIf pour exécuter un bloc d'instructions ou un autre parmi plusieurs blocs d'instructions. Une déclaration Select Case fournit une capacité semblable à la déclaration If...Then...Else, mais elle rend le code plus efficace et lisible.

Un Select Case marche avec une expression simple qui n'est évaluée qu'une fois au début de la structure. Le résultat de l'expression est alors comparé avec les valeurs de chaque Case à l'intérieur de la structure. En cas de correspondance, le bloc de déclarations associé à la déclaration Case est exécuté, comme dans l'exemple suivant.

Select Case Document.Form1.CardType.Options(SelectedIndex).Text
Case MasterCard
DisplayMCLogo
ValidateMCAccount
Case Visa
DisplayVisaLogo
ValidateVisaAccount
Case American Express
DisplayAMEXCOLogo
ValidateAMEXCOAccount
Case Else
DisplayUnknownImage
PromptAgain
End Select


Utilisation de boucles de code

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Utilisation de boucles de code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'utilisation de boucles vous permet d'exécuter un groupe de déclarations à plusieurs reprises. Certaines boucles répètent des déclarations jusqu'à ce qu'une condition soit False (fausse) ; d'autres répètent des déclarations jusqu'à ce qu'une condition soit True (vraie). Il existe également des boucles qui répètent des déclarations un nombre spécifique de fois.

Les déclarations en boucle suivantes sont disponibles dans VBScript :

Paramètre | Description
Utilisation de boucles Do : | exécute une boucle pendant ou jusqu'à ce qu'une condition soit True (vraie).
Utilisation de boucles While...Wend : | exécute une boucle pendant qu'une condition est True (vraie).
Utilisation de boucles For...Next : | utilise un compteur pour exécuter des déclarations un certain nombre de fois.
Utilisation de boucles For Each...Next : | répète un groupe de déclarations pour chaque article d'une collection ou chaque élément d'un tableau.


Utilisation des déclarations Do... Loop

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Utilisation de boucles de code -> Utilisation des déclarations Do... Loop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez utiliser des déclarations Do...Loop pour exécuter un bloc de déclarations autant de fois que vous le souhaitez. Les déclarations sont répétées lorsqu'une condition est True (vraie) ou jusqu'à ce qu'une condition devienne True (vraie).


Répéter des déclarations lorsqu'une condition est True (vraie)

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Utilisation de boucles de code -> Utilisation des déclarations Do... Loop -> Répéter des déclarations lorsqu'une condition est True (vraie)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Répéter des déclarations lorsqu'une condition est True (vraie)

Utilisez le mot-clé While pour vérifier une condition dans une déclaration Do...Loop. Vous pouvez contrôler la condition avant de définir la boucle (comme indiqué dans l'exemple ChkFirstWhile ci-dessous), ou vous pouvez la contrôler après une exécution au moins de la boucle (comme indiqué dans l'exemple ChkLastWhile). Dans la procédure ChkFirstWhile, si monNum est défini sur 9 au lieu de 20, les déclarations à l'intérieur de la boucle ne s'exécuteront jamais. Dans la procédure ChkLastWhile, les déclarations à l'intérieur de la boucle s'exécutent une fois seulement, car la condition est déjà False (fausse).

Sub ChkFirstWhile()
Dim counter, monNum
counter = 0

monNum = 20

Do While monNum > 10

monNum = monNum - 1

compteur = compteur + 1

Loop

MsgBox 'La boucle a fait ' & compteur & ' répétitions.'

End Sub

Sub ChkLastWhile()

Dim compteur, monNum

compteur = 0

monNum = 9

Do
monNum = monNum - 1
counter = counter + 1

Loop While monNum > 10

MsgBox 'La boucle a fait ' & compteur & ' répétitions.'

End Sub


Répéter une déclaration jusqu'à ce qu'une condition devienne True (vraie)

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Utilisation de boucles de code -> Utilisation des déclarations Do... Loop -> Répéter une déclaration jusqu'à ce qu'une condition devienne True (vraie)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Répéter une déclaration jusqu'à ce qu'une condition devienne True (vraie)

Il existe deux manières d'utiliser le mot-clé Until pour vérifier une condition dans une déclaration Do...Loop. Vous pouvez contrôler la condition avant de définir la boucle (comme indiqué dans l'exemple ChkFirstUntil ci-dessous), ou vous pouvez la contrôler après une exécution au moins de la boucle (comme indiqué dans l'exemple ChkLastUntil). Tant que la condition est False, la boucle s'exécute.

Sub ChkFirstUntil()

Dim compteur, monNum

compteur = 0

monNum = 20

Do Until monNum = 10

monNum = monNum - 1

compteur = compteur + 1

Loop

MsgBox 'La boucle a fait ' & compteur & ' répétitions.'

End Sub

Sub ChkLastUntil()

Dim compteur, monNum

compteur = 0

monNum = 1

Je

monNum = monNum - 1

compteur = compteur + 1

Loop Until monNum = 10

MsgBox 'La boucle a fait ' & compteur & ' répétitions.'

End Sub


Sortir d'une boucle Do ... Loop depuis l'intérieur de la boucle

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Utilisation de boucles de code -> Utilisation des déclarations Do... Loop -> Sortir d'une boucle Do ... Loop depuis l'intérieur de la boucle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Sortir d'une boucle Do ... Loop depuis l'intérieur de la boucle

Vous pouvez sortir d'un Do...Loop en utilisant l'instruction Exit Do. Parce qu'il est souvent nécessaire de sortir d'une boucle seulement dans certaines situations, pour éviter des boucles infinies, il est préférable d'utiliser l'instruction Exit Do dans la partie vraie d'un énoncé If...Then...Else. Si la condition est fausse, la boucle continue à fonctionner normalement.

Dans l'exemple suivant, monNum est assigné à une valeur qui crée une boucle infinie. L'énoncé If...Then...Else vérifie cette condition de façon à éviter cette boucle infinie.

Sub ExitExemple()

Dim compteur, monNum

compteur = 0

monNum = 9

Do Until monNum = 10

monNum = monNum - 1

compteur = compteur + 1

If monNum < 10 Then Exit Do

Loop

MsgBox 'La boucle a fait ' & compteur & ' répétitions.'

End Sub


Utilisation de boucles While...Wend

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Utilisation de boucles de code -> Utilisation de boucles While...Wend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La déclaration While...Wend est incluse dans VBScript à l'intention des développeurs familiarisés avec son utilisation. Toutefois, en raison du manque de flexibilité inhérent aux déclarations While...Wend, nous vous recommandons d'utiliser les déclarations Do...Loop à leur place.


Utilisation des déclarations For...Next

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Utilisation de boucles de code -> Utilisation des déclarations For...Next

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez utiliser des déclarations For...Next pour exécuter un bloc de déclarations un nombre spécifique de fois. Pour les boucles, utilisez un compteur de variables dont la valeur augmente ou diminue à chaque répétition de la boucle.

L'exemple suivant déclenche 50 exécutions d'une procédure appelée MyProc. La déclaration For spécifie le compteur de variables x et ses valeurs de début et de fin. La déclaration Next augmente la variable du compteur de 1.

Sub DoMyProc50Times()

Dim x

For x = 1 To 50

MyProc

Next

End Sub

À l'aide du mot-clé Step, vous pouvez augmenter ou diminuer la variable du compteur selon la valeur spécifiée. Dans l'exemple suivant, la variable du compteur j est augmentée de 2 à chaque réinitialisation de la boucle. Lorsque la boucle est terminée, le total est la somme de 2, 4, 6, 8 et 10.

Sub DoMyProc50Times()

Dim x

For x = 1 To 50

MyProc

Next

End Sub

Pour diminuer la variable du compteur, utilisez une valeur Step négative. Vous devez spécifier une valeur de fin inférieure à la valeur de début. Dans l'exemple suivant, la variable du compteur monNum est diminuée de 2 à chaque réinitialisation de la boucle. Lorsque la boucle est terminée, le total est la somme de 16, 14, 12, 10, 8, 6, 4 et 2.

Sub NewTotal()

Dim monNum, total

For monNum = 16 To 2 Step -2

total = total + monNum

Next

MsgBox 'Le total est de ' & total

End Sub


Utilisation de boucles For Each...Next

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Utilisation de boucles de code -> Utilisation de boucles For Each...Next

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une boucle For Each...Next est semblable à une boucle For...Next. Au lieu de répéter les déclarations un nombre de fois, une boucle For Each...Next répète un groupe de déclarations pour chaque élément d'une collection d'objets ou pour chaque élément d'un tableau. Cette déclaration s'avère particulièrement utile si vous ne savez pas combien d'éléments comporte une collection.

Dans l'exemple de code HTML suivant, le contenu d'un objet Dictionary est utilisé pour insérer du texte dans plusieurs zones de texte.

<HTML>

<HEAD><TITLE>Formulare und Elemente</TITLE></HEAD>

<SCRIPT LANGUAGE='VBScript'>

<!--

Sub cmdChange_OnClick

Dim d 'Create a variable

Set d = CreateObject('Scripting.Dictionary')

d.Add '0', 'Athen' 'Add some keys and items

d.Add '1', 'Belgrade'

d.Add '2', 'Le Caire'

For Each I in d

Document.frmForm.Elements(I).Value = D.Item(I)

Next

End Sub

-->

</SCRIPT>

<BODY>

<CENTER>

<FORM NAME='frmForm'

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Text'><p>

<Input Type = 'Button' NAME='cmdChange' VALUE='Hierauf klicken'><p>

</FORM>

</CENTER>

</BODY>

</HTML>


Types de procédures

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Types de procédures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com


Procédures Sub

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Types de procédures -> Procédures Sub

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une procédure Sub est une série de déclarations VBScript (délimitée par des déclarations Sub et End Sub) qui exécutent des actions, mais ne renvoient aucune valeur. Une procédure Sub peut avoir des arguments (constantes, variables ou expressions qui lui sont passées par la procédure appelante). Si une procédure Sub n'a pas d'argument, sa déclaration Sub doit inclure une parenthèse ouvrante et une parenthèse fermante ().

La procédure Sub suivante utilise deux fonctions VBScript intrinsèques (ou intégrées), MsgBox ert InputBox, pour inviter l'utilisateur à saisir des informations. Elle affiche ensuite les résultats d'un calcul basé sur ces informations. Le calcul est exécuté dans la procédure Function créée à l'aide de VBScript. La procédure Function est sera présentée après l'exposé suivant.

Sub ConvertTemp()

temp = InputBox('Veuillez entrer la température en degrés F.', 1)

MsgBox 'La température est ' & Celsius(temp) & ' degrés C.'

End Sub


Les procédures 'Function'

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Types de procédures -> Les procédures 'Function'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une procédure Function est une série d'instructions VBScript inclue entre les mots clé Function et End Function. Une procédure Function est similaire à une procédure Sub mais en plus elle retourne une valeur. Une procédure Function peut avoir des arguments (constantes, variables ou expressions qui lui sont passées par la procédure appelante). Si une procédure Function n'a pas d'argument, sa déclaration Function doit inclure une parenthèse ouvrante et une parenthèse fermante. Une Function retourne une valeur en affectant une valeur directement dans le nom de la fonction dans une instruction de la procédure. Le type de la valeur retournée par une Function est toujours un Variant.

Dans l'exemple suivant, la fonction Celsius fait la conversion en degrés Celsius d'une valeur en degrés Fahrenheit. Quand la fonction est appelée à partir de la procédure Sub ConvertirTemp, une variable contenant la valeur de l'argument est passé à la fonction. Le résultat du calcul est retourné à la procédure appelante et affiché dans un message (message box).

Sub ConvertTemp()

temp = InputBox('Veuillez entrer la température en degrés F.', 1)

MsgBox 'La température est ' & Celsius(temp) & ' degrés C.'

End Sub

Function Celsius(fDegres)

Celsius = (fDegres - 32) * 5 / 9

End Function


Insertion et extraction de données dans les procédures

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Types de procédures -> Insertion et extraction de données dans les procédures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Chaque fragment de données est transmis à vos procédures à l'aide d'un argument . Les arguments servent d'opérateurs pour les données que vous souhaitez intégrer à votre procédure. Lorsque vous créez une procédure à l'aide de la déclaration Sub ou de la déclaration Function, vous devez inclure des parenthèses après le nom de la procédure. Les éventuels arguments doivent être insérés entre ces parenthèses, séparés par des virgules. Par exemple, dans l'exemple suivant, fDegrees est un opérateur représentant la valeur transmise à la fonction Celsius aux fins de la conversion.

Function Celsius(fDegres)

Celsius = (fDegres - 32) * 5 / 9

End Function


Utilisation des procédures Sub et Function dans le code

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Types de procédures -> Utilisation des procédures Sub et Function dans le code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans du code, une procédure Function doit toujours être insérée à droite d'une attribution de variable ou dans une expression.

Exemples :

Temp = Celsius(fDegrees)

ou

MsgBox 'La température est ' & Celsius(temp) & ' degrés C.'

Pour appeler une procédure Sub depuis une autre procédure, saisissez le nom de la procédure avec des valeurs pour les éventuels arguments nécessaires, en séparant chaque valeur par une virgule. La déclaration Call n'est pas requise, mais si vous l'utilisez, vous devez insérer les éventuels arguments entre parenthèses.

L'exemple suivant présente deux appels de procédure MyProc. Dans un cas, la déclaration Call est insérée dans le code, mais pas dans l'autre. Les deux appels renvoient le même résultat.

Call MyProc(premierarg, secondarg)

MyProc premierarg, secondarg


Conventions de codage

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Conventions de codage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les conventions de codage sont des suggestions destinées à vous aider dans l'écriture de vos scripts utilisant Microsoft Visual Basic Scripting Edition.

Les conventions de codage peuvent inclure les points suivants :

Conventions de nommage des objets, variables, et procédures

Conventions pour les commentaires

Formatage du texte et règles d'indentation

La raison principale pour l'utilisation d'un jeu de conventions cohérent est de standardiser la structure et le style du codage pour un script ou un groupe de scripts de façon à ce que vous et d'autres personnes puissent lire et comprendre le code facilement. Utiliser de bonnes conventions de codage permet d'avoir un code source clair, précis et lisible, qui est cohérent avec les conventions d'autres langages et intuitif.


Conventions de nommage constantes

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Conventions de codage -> Conventions de nommage constantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les versions antérieures de VBScript ne comportaient aucun mécanisme autorisant la création de constantes définies par l'utilisateur. Les constantes, le cas échéant, étaient mises en œuvre sous forme de variables et se distinguaient des autres variables par l'utilisation de caractères en majuscules. Plusieurs mots étaient séparés à l'aide du caractère "tiret bas" (_).

Exemples :

USER_LIST_MAX
NEW_LINE

Bien que cette manière de nommer les constantes fonctionne toujours, vous pouvez utiliser une autre méthode de dénomination. Vous pouvez créer des constantes réelles à l'aide de l'instruction Const. Cette convention utilise un format à casse mixte, dans lequel les noms de constantes comportent le préfixe "con".

Par exemple :

conYourOwnConstant


Conventions de nommage des variables

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Conventions de codage -> Conventions de nommage des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour améliorer la lisibilité et la cohérence de vos scripts VB, utilisez les préfixes suivants dans les noms de vos variables.

Sous-type | Préfixe | Exemple
Booléen | bln | blnTrouve
Byte | byt | bytDonneeBrute
Date (Time) | dtm | dtmDebut
Double | dbl | dblTolerance
Erreur | err | errNumOrdre
Entier | int | intQuantite
Long | lng | lngDistance
Objet | obj | objCourant
Single | sng | sngMoyenne
String | str | strPrenom


Portée des variables

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Conventions de codage -> Portée des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables doivent toujours être définies avec la plus petite portée possible. Les variables des scripts VB peuvent avoir les portées suivantes.

Plage valide | Déclaration | Visibilité
Niveau procédure | Event, Function ou Sub. | Visible dans la procédure dans laquelle elle est déclarée.
Niveau script | Section HEAD d'une page HTML, en dehors de toute procédure. | Visible dans chaque procédure du script.


Préfixes des portées des variables

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Conventions de codage -> Portée des variables -> Préfixes des portées des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Préfixes des portées des variables

Lorsque vos scripts grossissent, il peut devenir difficile de différentier rapidement la portée des variables utilisées. Une lettre préfixe, identifiant la portée et précédant le préfixe concernant le type, peut être utilisée, sans augmenter trop la longueur des noms de variables.

Plage valide | Préfixe | Exemple
Niveau procédure | aucun | dblVitesse
Niveau script | s | sblnCalcEnCours


Noms de variables et de procédures

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Conventions de codage -> Noms de variables et de procédures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans les noms de variable ou de procédure, les majuscules peuvent être utilisées. Le nom doit être assez long pour décrire l'utilisation de la variable. En plus, les noms de procédure devraient commencer par un verbe, comme par exemple InitTableau ou FermerDialogue.

Pour les termes fréquemment utilisés ou les termes longs, des abréviations standard sont recommandées pour garder une longueur de nom raisonnable. En général, les noms de variable supérieurs à 32 caractères sont difficiles à lire. Si vous utilisez des abréviations, faites en sorte d'utilser toujours les mêmes et de façon cohérente dans tout le script. Par exemple, utiliser tantôt Cnt ou tantôt Count dans un même script peut engendrer une certaine confusion.


Conventions de nommage des objets

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Conventions de codage -> Conventions de nommage des objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La table suivante liste les conventions recommandées pour les objets lors de la programmation en VBScript.

Type d'objets | Préfixe | Exemple
Panel 3D | pnl | pnlGroup
Bouton animé | ani | aniboîteMail
Check box | chk | chkLectureSeule
Combo box, liste déroulante | cbo | cboAnglais
Bouton commande | cmd | cmdQuitter
Dialogue | dlg | dlgOuvertureFichier
Cadre (frame) | fra | fraLangue
Barre de défilement horizontale (scrollbar) | hsb | hsbVolume
Image | img | imgIcone
Label | lbl | lblMessageAide
Ligne | lin | linVerticale
Liste | lst | lstCodes
Spin | spn | spnPages
Texte | txt | txtNom
Barre de défilement verticale (scrollbar) | vsb | vsbTaux
Réglette (Slider) | sld | sldEchelle


Conventions pour commenter le code

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Conventions de codage -> Conventions pour commenter le code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Chaque procédure devrait commencer par un bref commentaire décrivant le but de la procédure. Cette description ne doit pas entrer dans les détails de l'implémentation (comment les opérations sont exécutées), car ceux-ci peuvent éventuellement évoluer avec le temps. Ceci pourrait engendrer des efforts de maintenance sur les commentaires et - pire encore - conduire à des commentaires faux. Le code lui-même et des commentaires entre les lignes de code décrivent l'implémentation.

Les arguments passés à une procédure doivent être décrits lorsque leur rôle n'est pas évident et lorsque la procédure s'attend à ce qu'ils soient dans une plage de valeurs spécifique. Les valeurs retournées par les fonctions et les variables qui sont modifiées par une procédure, particulièrement avec des arguments passés par référence, doivent aussi être décrites au début de la procédure.

Les commentaires en entête de procédure doivent inclure les sections suivantes. Par exemple, voir la section "Formater votre code" qui suit.

Section entête | Commentaire
But | Ce que fait la procédure (et non pas comment elle le fait).
Hypothèses | Liste des effets de la procédure sur chaque variable externe, contrôle ou autre élément.
Effets | Liste des effets de la procédure sur chaque variable externe, contrôle ou autre élément.
Entrées | Explication de chaque argument qui n'est pas évident. Chaque argument doit apparaître sur une ligne différente.
Valeurs retournées | Explication de la valeur retournée.

Points à se rappeler :

Chaque variable importante doit contenir un commentaire sur son utilisation dans sa ligne de déclaration.

Les variables, contrôles et procédures doivent être nommés clairement de façon à fournir une auto-documentation ; ainsi seuls les éléments complexes nécessitent un commentaire détaillé.

Au début du script, vous devriez inclure un descriptif global, énumérant les objets, procédures, algorithmes, boîtes de dialogue et dépendances système. Parfois quelques lignes de pseudocode peut aider à comprendre un algorithme.


Mise en forme du code

Manuels -> Interfaces de programmation -> Moteur de contrôle de procédés (PCE : Process Control Engine) -> VBScript - Introduction -> Conventions de codage -> Conventions pour commenter le code -> Mise en forme du code

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Mise en forme du code

L'espace écran doit être économisé autant que possible, mais tout en permettant que le formatage du code reflète la structure logique et l'imbrication. Voici quelques suggestions :

  • Indenter les blocs imbriqués de 4 espaces.
  • Indenter les commentaires généraux des procédures de 1 espace.
  • Les instructions du niveau le plus haut, suivant directement le commentaire général, doivent être indentées de 4 espaces. Chaque bloc imbriqué suivant doit, à son tour, être identé de 4 espaces.

Exemple :

Le code suivant respecte les conventions de codage du VB script.

  • ' But : Recherche la 1ière occurence de l'utilisateur donné dans UserList.
  • Inputs: strUserList() : liste d'utilisateurs dans laquelle il faut chercher.
  • strZielUser : nom de l'utilisateur recherché.
  • Valeurs retournées : Index de la première occurence de strTargetUser dans strUserList.
    Si l'utilisateur recherché n'est pas trouvé, retourne -1. -1.

Function intFindUser (strUserList(), strTargetUser)

Dim i ' compteur pour boucle.

Dim blnFound ' flag indiquant qu'on a trouvé.

intFindUser = -1

i = 0 ' Initialisation du compteur pour la boucle

Do While i <= Ubound(strUserList) and Not blnFound

If strUserList(i) = strTargetUser Then

blnFound = True ' mise à True du flag

intFindUser = i ' affectation de la valeur de retour avec la valeur du compteur de boucle

End If

i = i + 1 ' Incrémente le compteur de boucle

Loop

End Function


Liste de macros

Manuels -> Interfaces de programmation -> Liste de macros

Vous pouvez utiliser le VBA et VSTA pour étendre les fonctions de zenon. L'usage de macros avec zenon est décrit.

Le menu contextuel

Élément de menu | Action
Ouvrir Éditeur VBA | Ouvre l'éditeur VBA.
Exporter VBE tous | Ouvre la boîte de dialogue de sélection du répertoire de stockage des données VBE exportées.
Importer VBE | Ouvre la boîte de dialogue de sélection du fichier d'importation de données VBE.
Profils de l'Éditeur | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

info Info

Si des macros VBA sont modifiées dans l'Éditeur,

  • Les fichiers de Runtime sont compilés et transférés vers le Runtime
  • Le Runtime est actualisé
  • Les éléments VSTA sont également actualisés, même si aucune modification n'a été effectuée dans VSTA

VBA démarre le même environnement de développement pour l'espace de travail et le projet. Pour ouvrir l'Éditeur VBA :

  1. Accédez au nœud Script.
  2. Cliquez avec le bouton droit sur Macros VBA.
  3. Sélectionnez Open in VBA Editor... (Ouvrir dans l'Éditeur VBA) dans le menu contextuel.

alternative : appuyez sur les touches Ctrl+F11.


Vue de détail de la barre d'outils et du menu contextuel VBA

Manuels -> Interfaces de programmation -> Liste de macros -> Vue de détail de la barre d'outils et du menu contextuel VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Barre d'outils

Élément de menu | Action
New VBA macro (Nouvelle macro VBA) | Crée une nouvelle macro et ouvre l'éditeur de macros.
Ouvrir l'éditeur VBA | Ouvre l'éditeur VBA.
Enregistrer | Enregistre les macros.
Supprimer | Supprime l'élément sélectionné.
Exporter VBE tous | Ouvre la boîte de dialogue de sélection du répertoire de stockage des données VBE exportées.
Importer VBE | Ouvre la boîte de dialogue de sélection du fichier d'importation de données VBE.
Renommer | Permet de renommer la macro sélectionnée.
Aide | Ouvre l'aide en ligne.

Menu contextuel Module

Élément de menu | Action
Ouvrir l'éditeur VBA | Ouvre l'éditeur VBA.
Enregistrer | Enregistre les macros.
Exporter VBE tous | Ouvre la boîte de dialogue de sélection du répertoire de stockage des données VBE exportées.
Importer VBE | Ouvre la boîte de dialogue de sélection du fichier d'importation de données VBE.
Aide | Ouvre l'aide en ligne.

Menu contextuel Macro

Élément de menu | Action
New VBA macro (Nouvelle macro VBA) | Crée une nouvelle macro et ouvre l'éditeur VBA.
Aide | Ouvre l'aide en ligne.

Tool bar editor

Les macros créées en langage VBA peuvent être gérées via l'élément de barre d'outils Liste de macros.

Symbole

(de gauche à droite)

Fonction

Recharger la liste des macros VBA/VSTA

Charge toutes les macros Public Sub Name () incluses dans myWorkspace et les modules dans la liste déroulante de la barre d'outils.

Rechercher une macro

Vous pouvez rechercher des macros par l'intermédiaire d'un champ de saisie ou d'une liste déroulante. La largeur de la liste déroulante est déterminée en fonction de l'élément le plus large.

Liste déroulante Macros

Contient toutes les macros chargées et vous permet de les sélectionner.

Exécuter la macro sélectionnée

Exécute la macro sélectionnée dans la liste déroulante.

Execute allocated macro #<x> (Exécuter la macro associée no. x)

Exécute la macro associée au symbole.

Allocate macros (Associer des macros)

Ouvre la boîte de dialogue d'association de macros. Jusqu'à 5 macros peuvent être associées aux symboles 1 à 5.

VBA

Filtres pour macros VBA. Seules les macros VBA sont affichées.

VSTA

Filtres pour macros VSTA. Seules les macros VSA sont affichées.

TOUT

Annule le filtre actuel et affiche toutes les macros.

AZ

Trie les macros par ordre croissant, de 0 à 9 et de A à Z.

ZA

Trie les macros par ordre décroissant, de Z à A et de 9 à 0.

Options de la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.

info Info

Si la boîte de dialogue d'association de macros ne contient pas toutes les macros de myWorkspace, exécutez la fonction Recharger la liste des macros VBA dans la barre d'outils.


VBA aux systèmes 64 bits

Manuels -> Interfaces de programmation -> Liste de macros -> VBA aux systèmes 64 bits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon has supported 64-bit operating systems since version 7.10. La version de VBA utilisée est la version 7.1. zenon est également disponible dans une version 64 bits. Si, dans le code VBA, des fonctions de Windows API ou d'autres fichiers DLL importés sont utilisées, ces exécutions doivent être adaptées à la version 64 bits. En règle générale, les dispositions suivantes s'appliquent : Un fichier VBA créé avec une version 32 bits doit donc, avant d'être utilisé dans une version 64 bits,‑

There are some defines/functions available in VBA in order to write 32-bit and 64-bit compatible code. Par exemple :

#if Win64 then

Declare PtrSafe Function MyMathFunc Lib "User32" (ByVal N As LongLong) As LongLong

#else

Declare Function MyMathFunc Lib "User32" (ByVal N As Long) As Long

#end if

#if VBA7 then

Declare PtrSafe Sub MessageBeep Lib "User32" (ByVal N AS Long)

#else

Declare Sub MessageBeep Lib "User32" (ByVal N AS Long)

#end if

You can also obtain some useful notes on the porting of VBA 32-bit code to VBA 64-bit from Microsoft:

  • Microsoft Office 2010, notes on porting: http://msdn.microsoft.com/en-us/library/ee691831.aspx
  • 32-bit and 64-bit declares for API calls: http://www.jkp-ads.com/articles/apideclarations.asp


Notions fondamentales

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Décrit les notions fondamentales du langage de programmation VBA (Visual Basic for Applications)


Les propriétés des objets

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Les propriétés des objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une propriété d'objet est un attribut de l'objet. Dans le cas de l'objet Variable, c'est par exemple, la valeur, le nom ou l'identification. Dans le cas d'un cercle, ce sera la position ou la couleur du cercle dans le synoptique. Chaque objet a au moins une propriété (généralement plus), chaque propriété ayant une certaine valeur. La propriété Name est un texte, la propriété Value est une valeur entre 0 et 1000, par exemple.

La particularité des propriétés est que si on change leur valeur par un programme VBA, alors on change le comportement ou l'apparence de l'objet. Si vous modifiez, par exemple, la propriété Value d'un objet Variable, la variable actuellement sélectionnée reçoit cette nouvelle valeur. Vous ne pouvez pas toujours changer la valeur d'une propriété. La propriété Count de l'objet variable ne peut pas être modifiée car elle représente le nombre de variables créées. Vous ne pouvez pas ajouter des variables en changeant la valeur de la propriété Count. Ainsi certaines propriétés ont l'attribut 'lecture seule', c'est à dire qu'elles ne sont accessible qu'en lecture.


Les méthodes des objets

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Les méthodes des objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En plus des propriétés, chaque objet peut avoir des méthodes. Une méthode n'est pas un attribut, mais une requête sur l'objet pour faire quelque chose. Un formulaire comporte une méthode Show (Afficher). Qu'est-ce que cela fait ? Cela demande au 'form' de s'afficher à l'écran. De façon similaire, le formulaire disparaît si l'on utilise la méthode globale Unload.

L'avantage des méthodes est que le programmeur n'a pas à connaître la structure de l'objet, et par dessus tout, il n'a pas la possiblité de changer les données internes de l'objet.

L'exécution de la méthode Show (Afficher) ou Unload (Masquer) fonctionne de la façon suivante :

frmSollwert.Show bzw. Unload frmSollwert

Si vous voulez ouvrir un autre 'form', la méthode est la même, vous avez juste à changer le nom du 'form' (nom de l'objet).

frmChange.Show bzw. Unload frmChange

Donc une seule et même méthode peut être utilisée pour chacun des objets. Mais tous les objets n'ont pas des méthodes.


Les événements des objets

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Les événements des objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour 90% des choses que vous aurez à faire avec les objets, vous utiliserez les propriétés et les méthodes, mais il y a aussi un troisième type d'attribut que les objets peuvent avoir : les événements. Certains objets du système de contrôle peuvent réagir à des événements. Les événements se produisent de manière indépendante durant l'utilisation de zenon.

Example Exemple

Lorsqu'un synoptique est ouvert, un événement d'ouverture est déclenché sur l'objet synoptique correspondant. En tant que programmeur, vous pouvez ajouter des commandes dans la procédure d'événement (procédure exécutée lorsque l'événement survient), qui définissent ce qui doit arriver dans ce cas. Un exemple lors du changement de la valeur d'une variable. Vous pouvez créer un événement qui réagit au changement de valeurs d'une variable.


Structure d'objet VBA dans zenon

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Structure d'objet VBA dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En termes simples, il existe une liste d'objets et des occurrences multiples d'objets dans la structure du projet.

Exemple :

Projets – Projet

Variables – Variable

Éléments – Élément

Vous pouvez obtenir davantage d'informations concernant le modèle d'objet :

  • Dans l'aide de VBA

  • Dans la présentation graphique, dont vous pouvez obtenir l'impression intégrale auprès de COPA-DATA.

  • Dans le navigateur d'objets de VBA


Comment utiliser les macros VBA

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Comment utiliser les macros VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer une nouvelle macro dans la fenêtre Project info de la page de propriétés Macro Browser, sélectionnez l'événement auquel la nouvelle macro doit être exécutée.

Cliquer avec le bouton droit de la souris sur cet événement, ouvre un menu.

Sélectionnez l'entrée 'Nouvelle macro'. zenon génère alors une procédure :

Public Sub LeftClickUp_Sollwert(obElem As Element)
End Sub

Si une macro existe déjà, elle peut être éditée, supprimée ou renommée en cliquant dessus avec le bouton droit de la souris.

attention Attention

Si vous sélectionnez l'élément de menu Rename macro (Renommer la macro), faites attention à ne pas modifier le nom de l'événement, par exemple LeftClickUp_. Sinon cette fonction ne sera pas exécutée. De plus, vous devez modifier à la main le nom de la macro dans l'éditeur VBA.

Après avoir codé le code source à exécuter dans la procédure générée par zenon, la macro doit être liée à l'élément.

Sélectionnez l'élément dans le synoptique pour afficher ses propriétés.

Dans les propriétés VBA / Evénements ..., la macro peut être liée à l'élément graphique.

En runtime, lorsque l'utilisateur clique avec le bouton gauche de la souris sur l'élément, l'événement LeftClickDown est exécuté et s'il y a une macro associée, elle est exécutée.


Insérer des macros existantes

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Comment utiliser les macros VBA -> Insérer des macros existantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour insérer des macros existantes dans un autre projet, vous pouvez suivre les instructions suivantes :

  1. Dans l'éditeur VBA, exportez tous les 'forms' et 'modules' et importez-les dans l'autre projet.
  2. Les macros dépendants des événements, dans ModuleElement.bas, ne sont pas, pour le moment, affichées dans l'explorateur de macros. Donc ces macros doivent être créées dans l'explorateur de macros.

    Le moyen le plus facile est d'utiliser le nom de la macro existante.

    par exemple :
    LeftClickUp_ DateSet2
    LeftClickUp_ DateSet4
    LeftClickUp_ TimeSet
    Draw_ Date2
    Draw_ Date4
    Draw_ Time

  3. Lors de la création de macros, zenon génère des procédures avec le même nom que les macros existantes. Vous devez détruire ces macros générées.
  4. Connectez les macros à un élément dynamique comme vous le faites habituellement.

info Info

Si le matériel n'est pas connecté et si le mode simulation du driver SAIA est utilisé, n'oublier par d'arrêter le driver.


Comment insérer un élément ActiveX dans zenon ?

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Comment insérer un élément ActiveX dans zenon ?

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un élément ActiveX est dessiné dans le synoptique comme tous les autres éléments dynamiques ; une boîte de dialogue s'ouvre, dans laquelle vous sélectionnez le contrôle ActiveX que vous désirez utiliser.

  • Après avoir sélectionné l'élément dans la liste, vous pouvez lui associer des variables. Pour cela, cliquez sur le bouton Variable et sélectionnez une variable ou créez-en une nouvelle.
  • Dans l'étape suivante, nous donnons un nom d'objet à l'élément ActiveX pour pouvoir y accéder en VBA.
  • Dans notre exemple, nous lui donnons le nom d'objet Slide6_DW18, car c'est un ActiveX de type Slider lié à la variable Doubleword18.
  • Maintenant l'élément Slider doit être activé et édité dans l'éditeur VBA.
  • Pour cela, nous créons une nouvelle macro, comme indiqué au chapitre Comment utiliser les macros VBA.

La macro Init_Slider passe l'élément à initialiser au sous-programme Init_Slider de l'objet thisProject qui contient les données du projet courant.

Public SubInit_Slider(obElem AsElement)
thisProject . Init _ Slider obElem
End Sub

Comme pour la macro Init_Slider, la macro Draw_Slider passe l'élément au sous-programme Draw_Slider de thisProject.

Public Sub Draw_SliderValue (obElem As Element, ByVal hdc As OLE _ HANDLE )
thisProject.Draw_Slider obElem
obElem.Draw hdc
End Sub

Le code suivant est ajouté dans la partie thisProject.

Public Declarations
Public WithEvents obSlider As Slider
Public obSliderPV As Variable
Public Sub Init_Slider (obElem As Element)
Set obSlider = obElem.ActiveX

'ActiveX existe
If obSlider Is Nothing Then
Exit Sub
End If
Set obSliderPV = obElem . ItemVariable(0)
'La variable existe
If obSliderPV Is Nothing Then
Exit Sub
End If
obSlider.Max = obSliderPV.RangeMax
obSlider.Min = obSliderPV.RangeMin
obSlider.TickFrequency = 1000
obSlider.LargeChange = 25
obSlider.SmallChange = 1
obSlider.Value = obSliderPV.Value

End Sub

Public Sub Draw _ Slider ( obElem As Element )
Dim vVar As Variant
Dim obDynPic As DynPicture

Set obSliderPV = obElem.ItemVariable ( 0 )
Set obDynPic = thisProject.DynPictures. Item (BILD_1)
'variable exists
If obSliderPV Is Nothing Then
Exit Sub
End If


Accès depuis un programme externe

Pour accéder aux données de zenon depuis un programme externe comme par exemple un programme en Visual Basic, l'interface COM est utilisée. L'interface COM est aussi utilisé par VBA. Donc il n'y a que quelques petites différences auxquelles il faut faire attention.


Visual Basic 6

De façon à pouvoir accéder à l'interface COM, vous devez implémenter :

Avec ce type de librairie, vous pouvez accéder aux objets de l'application dans zenon (le runtime).

Comme dans ce cas, il n'y pas d'objet thisProject, il doit être créé pour pouvoir accéder aux données.

Dim obProject As zenon.Project
Set obProject = zenon.Application.Projects.Item(PROJEKTNAME)

Si le projet VB doit être compatible avec tous les projets zenon (indépendamment du nom du projet), il peut être défini comme suit :

Set obProject = zenon.Application.Projects.Item(0)

Après la création de l'objet projet (thisProject), vous pouvez par exemple accéder aux variables en lecture ou en écriture.

Lecture :

Value = obProject.Variables.Item(Variablenname).Value

Écriture :

obProject.Variables.Item(Variablenname).Value = Value


Fonctionnalité des variables en ligne

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez imaginez les variables en ligne de VBA : OnlineVariable comme un container qui peut contenir les variables du système de contrôle (elles doivent être ajoutées dans le container). Si la valeur d'une des variables du container change, un événement est déclenché.


Fonctionnalité de l'événement

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne -> Fonctionnalité de l'événement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si le conteneur est activé (Container.Define), toutes les variables du conteneur sont forcées une fois, de façon à ce que la valeur courante des variables soit connue. La procédure Container_VariableChange est donc exécutée pour chaque variable du container. Dès que toutes les variables ont été initialisées, cet événement survient toujours si une des variables du container a sa valeur qui change.

On évite qu'une valeur soit lue si ce n'est pas sa valeur courante.


Définir et créer un conteneur

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne -> Définir et créer un conteneur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Définition :

Public WithEvents Container As OnlineVariable

Avec cette ligne de code, le container est défini.

Créer :

Set Container = thisProject . OnlineVariables. CreateOnlineVariables( Containername)


Placer des variables dans le conteneur

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne -> Placer des variables dans le conteneur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Container . Add Variablenname1
Container . Add Variablenname2
Container . Add Variablenname3
Container . Add Variablenname4
...

Répéter cette ligne pour toutes les variables à ajouter au container.


Créer un événement

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne -> Créer un événement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Private Sub Container_VariableChange(ByVal obVar As zenon.IVariable)

...

End Sub

Cet événement est créé automatiquement, lorsque que le container est sélectionné dans la liste de gauche en haut de l'éditeur VBA (liste des objets). La procédure ci-dessus est alors ajoutée au code source. obVar permet de transmettre la variable dont la valeur a changé. Lorsque cet événement survient, la valeur actuelle de la variable (obVar.Value) peut être lue. Référez-vous à la documentation sur la hiérarchie des objets VBA pour voir les propriétés et les valeurs qui peuvent être utilisées sur les variables.


Activer un événement

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne -> Activer un événement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Container.Define

Cette ligne active le 'monitoring' des variables dans le container. Lorsque vous exécutez la commande Define, le conteneur est actif.


Désactiver l'événement

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne -> Désactiver l'événement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Container.Undefine

Cette commande permet de désactiver la surveillance dans le conteneur. L'événement (VariableChange) n'est plus exécuté.


Suppression lors de la fermeture

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Fonctionnalité des variables en ligne -> Suppression lors de la fermeture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

De façon à ne pas laisser des éléments en mémoire lors de la fermeture du runtime, le container doit être supprimé juste avant la fermeture du runtime.

thisProject. OnlineVariables. DeleteOnlineVariables ( Containername )

Tant que ce conteneur n'a pas été supprimé, il est impossible de créer un conteneur portant le même nom.


List of status bits

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> List of status bits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | État utilisateur 1 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélection sur le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En cours d'utilisation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | VAL_M;valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | RG;Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Non valide | _VSB_I_BIT
19 | T_CHG_A | Annonce heure été/hiver | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel externe | _VSB_RT_E
22 | T_INTERN | Horodatage temps réel interne | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | MM_TR;Message de marche du transfo | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | VALR;valeur de remplacement Si aucune valeur n'a été transférée, la valeur de remplacement définie est utilisée ; dans le cas contraire, la dernière valeur valide est utilisée. | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Non mis à jour | _VSB_ACTUAL
30 | T_STD | Heure standard | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission, bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission, bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission, bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission, bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission, bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission, bit 6 | _VSB_TCB5
38 | N_CONF | Pas d'acceptation du mode Select par le matériel (IEC 60870) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | DEVNORM;État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : bloqué | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substitué | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : non topique | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : dépassement | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : sélectionné | _VSB_SE_BIT
49 | T_INVAL | Temps invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | RES52 | réservé | non défini
53 | RES53 | réservé | non défini
54 | RES54 | réservé | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Info

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états


Lasso de sélection d'éléments dynamiques dans le Runtime

Manuels -> Interfaces de programmation -> Liste de macros -> Notions fondamentales -> Lasso de sélection d'éléments dynamiques dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les éléments dynamiques liés à une variable ou une fonction peuvent être présélectionnés à l'aide du lasso dans le Runtime, et ainsi être utilisés pour des événements.

Avec la méthode SelElements, l'utilisateur peut identifier les éléments dynamiques sélectionnés tels qu'ils ont été sélectionnés dans le Runtime. Ces éléments DynPicture.SelElements peuvent ensuite utilisés pour des événements tels que glisser-déplacer.

Sélection avec le lasso

Pour sélectionner des éléments avec le lasso dans le Runtime, vous devez :

  • Activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet
  • Activer la propriété Runtime/sélectionnable avec le lasso dans la propriété de l'élément dynamique

Dans le Runtime, plusieurs méthodes de sélection d'éléments sont disponibles :

  • Sélectionner les éléments : cliquez sur une zone vide, maintenez le bouton de la souris enfoncé et tracez le lasso sur les éléments affichés à l'écran
  • Étendre la sélection : effectuez un Ctrl+clic sur un élément pour le sélectionner/le déselectionner, conjointement aux autres éléments sélectionnés
  • Ajouter des éléments : tout en dessinant le lasso, maintenez la touche Ctrl enfoncée pour ajouter des éléments à la sélection existante
  • Annuler la sélection : tracez un lasso ne contenant aucun élément


Macros dans l'éditeur

Manuels -> Interfaces de programmation -> Liste de macros -> Macros dans l'éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les macros peuvent être exécutées à l'aide d'une barre d'outils configurable dans l'éditeur. A cette fin, les macros sont liées avec les boutons de la barre d'outils VBA.

En outre, les macros peuvent être exécutées manuellement à l'aide de l'éditeur VBA.

Grâce aux assistants, les tâches de développement répétitives peuvent être exécutées, ou des projets entiers peuvent être créés d'un simple clic sur un bouton. Quelques exemples d'assistants sont déjà fournis dans zenon. Ces assistants peuvent être améliorés et complétés, si nécessaire. Ils sont utiles lors de la création d'un projet, lors de l'importation et l'exportation, lors de la création de variables etc. Vous trouvez plus de détails au chapitre Assistants.

Evénements dans l'éditeur

Les événements dans l'éditeur forment partie de l'espace de travail VBA et permettent de réagir à des événements lors de la programmation de l'espace de travail, par exemple pour des assistants ou lors de l'utilisation de la fonction de transport distant. Par exemple :

  • OnElementCreated
  • OnElementDeleted
  • OnElementDoubleClicked
  • OnObjectCreated
  • ...

Vous trouverez des informations concernant tous les événements dans la rubrique d'aide du chapitre Objet Modèle.


Barre d'outils Liste de macros

Manuels -> Interfaces de programmation -> Liste de macros -> Macros dans l'éditeur -> Barre d'outils Liste de macros

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les macros créées en langage VBA peuvent être gérées via l'élément de barre d'outils Liste de macros.

Symbole

(de gauche à droite)

Fonction

Recharger la liste des macros VBA/VSTA

Charge toutes les macros Public Sub Name () incluses dans myWorkspace et les modules dans la liste déroulante de la barre d'outils.

Rechercher une macro

Vous pouvez rechercher des macros par l'intermédiaire d'un champ de saisie ou d'une liste déroulante. La largeur de la liste déroulante est déterminée en fonction de l'élément le plus large.

Liste déroulante Macros

Contient toutes les macros chargées et vous permet de les sélectionner.

Exécuter la macro sélectionnée

Exécute la macro sélectionnée dans la liste déroulante.

Execute allocated macro #<x> (Exécuter la macro associée no. x)

Exécute la macro associée au symbole.

Allocate macros (Associer des macros)

Ouvre la boîte de dialogue d'association de macros. Jusqu'à 5 macros peuvent être associées aux symboles 1 à 5.

VBA

Filtres pour macros VBA. Seules les macros VBA sont affichées.

VSTA

Filtres pour macros VSTA. Seules les macros VSA sont affichées.

TOUT

Annule le filtre actuel et affiche toutes les macros.

AZ

Trie les macros par ordre croissant, de 0 à 9 et de A à Z.

ZA

Trie les macros par ordre décroissant, de Z à A et de 9 à 0.

Options de la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.

info Info

Si la boîte de dialogue d'association de macros ne contient pas toutes les macros de myWorkspace, exécutez la fonction Recharger la liste des macros VBA dans la barre d'outils.


Lier les macros

Manuels -> Interfaces de programmation -> Liste de macros -> Macros dans l'éditeur -> Lier les macros

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les macros peuvent être invoquées par l'intermédiaire d'un bouton de la barre d'outils. Cinq macros maximum peuvent être liées de cette manière. Le bouton Attribuer des macros permet d'ouvrir la boîte de dialogue d'attribution de macros.

Paramètre | Description
No. de macro | Le numéro de macro correspond au numéro du bouton de la barre d'outils. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de macro.
OK | Crée des liens avec les boutons et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

Paramètre | Description
Existing selection (Sélection existante) | Liste des macros pouvant être liées.
Pas de sélection | Supprime l'attribution existante pour le bouton.
OK | Attribue la macro sélectionnée au bouton.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Fonctions dans zenon

Manuels -> Interfaces de programmation -> Liste de macros -> Fonctions dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la boîte de dialogue Function selection (Sélection de fonction), vous trouverez les fonctions suivantes sous l'élément VBA.

Fonction | Description
Ouvrir l'Éditeur PCE | Cette fonction ouvre l'éditeur du module optionnel Process Control Engine (PCE)
Ouvrir l'éditeur VBA | Ouvre l'éditeur VBA.
Exécuter macro VBA | Exécute une macro VBA sélectionnée. Attention : L'événement VBA projet inactif est exécuté par le script AUTO_END_xxx. Par conséquent, la fonction Exécuter macro VBA de zenon n'est plus exécutée dans les scripts, car VBA n'est pas en cours d'exécution à ce stade.
Montrer la boîte de dialogue des macros VBA | Ouvre la boîte de dialogue de macros VBA.


Exécuter macro VBA

Manuels -> Interfaces de programmation -> Liste de macros -> Fonctions dans zenon -> Exécuter macro VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous sélectionnez la fonction Exécuter macro VBA, la boîte de dialogue suivante s'affiche.

Les paramètres suivants sont disponibles :

Paramètre | Description
Sélection macro | Ouvre la boîte de dialogue de sélection des macros (voir également Sélection des macros)
Paramètre | Saisissez la valeur souhaitée (chaîne) pour un paramètre.
Nouveau | Cliquez sur ce bouton pour appliquer la valeur au paramètre dans la liste des paramètres disponibles.
Supprimer | Cliquez sur ce bouton pour supprimer l'entrée sélectionnée de la liste des paramètres disponibles. Vous ne pouvez supprimer qu'une entrée à la fois.
Vers le haut | Cliquez sur ce bouton pour remonter l'entrée sélectionnée d'une place. Dans l'ordre des paramètres, l'entrée est déplacée d'une place vers l'avant.
Bas | Cliquez sur ce bouton pour descendre l'entrée sélectionnée d'une place. Dans l'ordre des paramètres, l'entrée est déplacée d'une place vers l'arrière.

Il est possible d'ajouter des chaînes aux macros créées avec des paramètres. Ces chaînes sont transférées sous forme de paramètres individuels dans le Runtime lors de l'exécution de la macro.

info Info

Vous devez vous assurer que le nombre de paramètres de la macro liée correspond au nombre de paramètres créés.


Sélection macro

Manuels -> Interfaces de programmation -> Liste de macros -> Fonctions dans zenon -> Exécuter macro VBA -> Sélection macro

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsque vous cliquez sur le bouton ..., la boîte de dialogue suivante s'affiche.

Sélectionnez la macro souhaitée parmi les macros disponibles, puis cliquez sur OK.


Développement d'assistants dans VBA

Manuels -> Interfaces de programmation -> Liste de macros -> Développement d'assistants dans VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Depuis la version 6, il est possible d'automatiser des projets d'ingénierie à l'aide d'assistants. Ainsi, les tâches récurrentes peuvent être confiées à un assistant qui exécute les actions souhaitées, telles que la création d'un projet ou la création de cadres et de synoptiques conformément à un standard prédéfini.

Un autre domaine d'application des assistants est l'automatisation des modifications dans les projets existants, par ex. la modification des propriétés d'éléments dynamiques dans tous les synoptiques d'un projet existant.

La base des assistants est le langage Microsoft Visual Basic for Applications (VBA) et le modèle d'objet de zenon.

À l'heure actuelle, les assistants suivants sont disponibles :

  • Assistant Projet
  • Assistant d'importation
  • Assistant Vue globale
  • Assistant de recherche de texte VBA
  • Assistant de création de mots-clés
  • Assistant de traduction de mots-clés
  • Assistant de création de variables

Les assistants sont disponibles sous forme de fichiers de code source VBA sur le DVD d'installation. Les nouveaux assistants peuvent être mis en œuvre dans l'environnement VBA.


Utilisation d'un assistant

Manuels -> Interfaces de programmation -> Liste de macros -> Développement d'assistants dans VBA -> Utilisation d'un assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'entrée de menu Assistants dans le menu Fichier permet d'accéder à la sélection des assistants. Dans cette boîte de dialogue, tous les assistants activés sont affichés dans leurs catégories.

Si un assistant ne comporte aucune catégorie, la catégorie Non lié est automatiquement créée. Dans cette catégorie, tous les assistants non liés sont affichés.

Lorsque l'utilisateur sélectionne un assistant et clique sur le bouton OK, l'assistant sélectionné est exécuté.

info Info

Les assistants sont uniquement compatibles avec les projets à un utilisateur, et non avec les projets multi-utilisateurs.


Structure d'un assistant

Manuels -> Interfaces de programmation -> Liste de macros -> Développement d'assistants dans VBA -> Structure d'un assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un assistant est un formulaire UserForm conservé dans le nœud spécifique à l'application du programme. En règle générale, le formulaire UserForm est constitué d'un élément multi-pages affichant les différentes étapes de l'assistant.

Le bouton Suivant permet d'afficher la page suivante de l'élément multi-pages. Toutes les entrées devant être conservées temporairement (par exemple, la création d'objets tels que les cadres, les synoptiques, etc.) sont déterminées lorsque l'utilisateur clique sur le bouton Terminer de l'assistant.

info Info

Les formulaires UserForms utilisés en tant qu'assistant doivent contenir des méthodes publiques fournissent des informations concernant l'assistant au système de contrôle. Si ces routines sont manquantes dans un formulaire UserForm, celui-ci n'est pas considéré comme un assistant.


Intégration dans VBA

Manuels -> Interfaces de programmation -> Liste de macros -> Développement d'assistants dans VBA -> Intégration dans VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les assistants sont conservés dans un nœud spécifique de l'application, ZWorkspace. Cet objet représente l'espace de travail actuellement chargé dans l'Éditeur, et est uniquement disponible dans l'Éditeur de zenon.

Tous les objets dans ce projet VBA peuvent accéder à l'espace de travail actuel par le biais de l'objet MyWorkspace. Celui-ci est toujours lié au projet actuellement actif, accessible à l'aide de la propriété ActiveDocument.

Le contenu de l'objet ZWorkspace est conservé dans le fichier ZenWorkspace.vba. Celui-ci est copié dans le répertoire d'installation lors de la première installation de la version 6. Ce fichier n'est pas remplacé lors des mises à jour ultérieures. Vous trouverez plus d'informations concernant la mise à jour des assistants à la fin de ce didacticiel.


Développement d'un assistant

Manuels -> Interfaces de programmation -> Liste de macros -> Développement d'assistants dans VBA -> Développement d'un assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce didacticiel décrit le développement d'un assistant permettant de créer des variables pour un driver sélectionné.

Démarrez l'environnement VBA depuis l'Éditeur de zenon, puis accédez au dossier ZWorkspace/Forms. Ce fichier contient les éléments de base nécessaires au développement d'un assistant. Modifiez le nom du formulaire UserForm.

Si le dossier indiqué ci-dessus n'est pas disponible, vous pouvez l'importer à l'aide de la commande Importer fichier.

info Info

Le développement d'un assistant nécessite des connaissances concernant le modèle d'objet de zenon et le langage VBA. Ces rubriques ne sont pas couvertes dans ce didacticiel.

Créez la surface affichée ci-dessus. Ensuite, basculez vers le module de codage du formulaire UserForm, puis faites défiler le fichier jusqu'à la fin. C'est là que vous trouverez les méthodes suivantes.

  • Public Function GetWizardName () As String

    Renvoie le nom unique de l'assistant. Modifiez le contenu en Assistant de création de variables.

  • Public Function GetWizardInfo () As String

    Renvoie une brève description dans la sélection d'assistants. Modifiez le contenu en Assistant de création de variables pour un driver sélectionné.

  • Public Function GetWizardCategory () As String

    Renvoie la catégorie de l'assistant. Dans la sélection d'assistants, les assistants sont affichés sous forme d'arborescence des catégories. Modifiez le contenu en Variables.

  • Public Function IsZenOnWizard () As Boolean

    Affichage de l'assistant dans la sélection d'assistants. Si cette méthode renvoie la valeur False, l'assistant n'est pas affiché, par exemple parce qu'il n'est pas encore terminé. Modifiez le type de retour en True.

Ces méthodes fournissent les informations concernant l'assistant demandées par le système de contrôle. Gardez à l'esprit que l'assistant est uniquement affiché dans la sélection d'assistants si la méthode IsZenOnWizard renvoie True.

Basculez vers l'événement Initialize du formulaire UserForm, puis modifiez le contenu de la table de chaînes m_strCaption. Dans la mesure où cet assistant ne comporte que deux étapes, il est possible de supprimer les autres attributions.

Ajoutez les définitions suivantes à la partie supérieure du module de code :

Private m_obDriver As Driver
Private m_obVarType As VarType
Private m_nChannelType As Integer

Créez une méthode d'initialisation de la zone de liste modifiable des drivers. Cette routine a pour objectif d'afficher tous les drivers chargés du projet actuel dans une zone de liste modifiable.

cbDriver.Clear
Dim nIndex As Long
For nIndex = 0 To MyWorkspace.ActiveDocument.Drivers.Count - 1
Dim obDriver As Driver
Set obDriver = MyWorkspace.ActiveDocument.Drivers.Item(nIndex)
If (Not obDriver Is Nothing) Then
cbDriver.AddItem
obDriver.Name
End If
Next nIndex
If (cbDriver.ListCount > 0) Then
cbDriver.ListIndex = 0
End If

En outre, une autre routine doit être définie pour afficher, dans une zone de liste modifiable, tous les types de variables définis dans le projet.

If (Not m_obDriver Is Nothing) Then
cbVarType.Clear
Dim nIndex As Long , nSelect As Integer
For nIndex = 0 To MyWorkspace.ActiveDocument.VarTypes.Count - 1
Dim obVarType As VarType
Set obVarType = MyWorkspace.ActiveDocument.VarTypes.Item(nIndex)
If (Not obVarType Is Nothing And obVarType.IsSimple = True) Then
cbVarType.AddItem
obVarType.Name
If (obVarType.Name = INT) Then
nSelect = nIndex
End If
End If
Next nIndex
cbVarType.ListIndex = nSelect
End If

Lors de l'ouverture de l'assistant, toutes les variables existantes sont contrôlées, afin d'identifier un offset de départ libre pour la création des nouvelles variables. Pour cela, la méthode suivante est appliquée.

Private Function FindHighestOffsetVar() As Long
On Error GoTo Error
Dim nIndex As Long, nOffset As Long
For nIndex = 0 To MyWorkspace.ActiveDocument.Variables.Count - 1

Dim obVar As Variable
Set obVar = MyWorkspace.ActiveDocument.Variables.Item(nIndex)
If (Not obVar Is Nothing) Then
If (obVar.Offset > nOffset) Then
nOffset = obVar.Offset
End If
End If
Next nIndex
FindHighestOffsetVar = nOffset
Exit Function
Error : MsgBox
Error occurs: + Err.Description + Source + Err.Source
End Function

Basculez vers l'événement Initialize du formulaire UserForm, puis ajoutez les lignes suivantes à cette méthode :

txtStart.Value = CStr(FindHighestOffsetVar + 1)

InitializeDriver

L'attribution à txtStart définit l'offset de départ pour la création des variables. La méthode InitializeDriver renseigne la zone de liste modifiable avec les drivers existants.

Créez un événement Change pour la zone de liste modifiable de drivers et ajoutez-y le code suivant Une fois le driver sélectionné, les types de variables sont obtenus. L'objet de driver sélectionné est stocké dans la variable m_obDriver pour être utilisé ultérieurement.

Private Sub cbDriver_Change()
cmdNext.Enabled = True
Set m_obDriver = MyWorkspace.ActiveDocument.Drivers.Item(cbDriver.Value)
If (Not m_obDriver Is Nothing) Then
InitializeVarType
End If
End Sub

Créez un événement Change pour la zone de liste modifiable de variables et ajoutez-y le code suivant Le type de variable sélectionné est stocké dans la variable m_obVarType pour être utilisé ultérieurement.

Private Sub cbVarType_Change()
Set m_obVarType = MyWorkspace.ActiveDocument.VarTypes.Item(cbVarType.Value)
End Sub

Il ne reste maintenant plus qu'à créer la routine d'événement de création des variables avec les paramètres définis. Pour cela, il est nécessaire de cliquer sur le bouton Terminer.

Private Sub cmdFinish_Click()
On Error GoTo Error
If (cbVarType.ListIndex = -1) Then
MsgBox 'Veuillez sélectionner un type de variable'
cbVarType.SetFocus
Exit Sub
End If
If (txtStart.Value = Or txtCount.Value = Or txtStep.Value = ) Then
MsgBox 'Veuillez saisir l'offset de départ', 'décompte de création de variables et étape'
txtStart.SetFocus
End If
If (m_obVarType Is Nothing) Then
MsgBox 'Type de variable + cbVarType.Name + n'existe pas !'
Exit Sub
End If
Dim nPrvMousePtr As Integer
nPrvMousePtr = MousePointer
MousePointer = fmMousePointerHourGlass
DoEvents
Dim strName As String
Dim nIndex As Long , nVarIndex As Integer
Dim nStartOff As Long , nStep As Integer
nVarIndex = 1
nStartOff = CLng (txtStart.Value)
nStep = CLng (txtStep.Value)
For nIndex = 0 To CLng (txtCount.Value - 1)
Dim obVar As Variable
strName = txtName.Value + _ + CStr (nIndex + 1)
'*** Garantit l'unicité du nom de la variable
Dim bResult As Boolean
bResult = False
Do
Set obVar = MyWorkspace.ActiveDocument.Variables.Item(strName)
If (obVar Is Nothing) Then
bResult = True
Else
nVarIndex = nVarIndex + 1
strName = txtName.Value + _ + CStr (nVarIndex)
End If
Loop While
bResult = False
'*** Crée la variable
Set obVar = MyWorkspace.ActiveDocument.Variables.CreateVar (strName, m_obDriver, tpSPSMerker, m_obVarType)
If ( Not obVar Is Nothing) Then
obVar.Offset = nStartOff
nStartOff = nStartOff + nStep
End If
Next nIndex
MousePointer = nPrvMousePtr
Unload Me
Exit Sub
Error :
MousePointer = nPrvMousePtr
MsgBox Error occurs: + Err.Description + Source + Err.Source
End Sub

À la fin de l'assistant, la validité des paramètres définis est contrôlée. Si ce n'est pas le cas, un message est affiché et l'utilisateur est invité à corriger les entrées concernées.

Si les paramètres définis sont valides, les variables sont créées. Les variables reçoivent un nom et un indice. Si une variable portant le même nom existe déjà dans le projet, l'indice disponible suivant est utilisé. Dans notre exemple de code, une variable contenant le marqueur d'automate associé au type de canal est créée. À chaque cycle, l'offset de la variable augmente.


Mise à jour des assistants

Manuels -> Interfaces de programmation -> Liste de macros -> Développement d'assistants dans VBA -> Mise à jour des assistants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour mettre à jour les assistants :

  1. Sélectionnez l'option Mettre à jour les assistants... dans le menu Fichier.
  2. Une boîte de dialogue permettant de mettre à jour les assistants disponibles s'affiche.
  3. Sélectionnez les assistants souhaités.
  4. Démarrez la mise à jour en cliquant sur Démarrer la mise à jour.

Si un assistant ou une classe existe déjà dans l'espace de travail, un message d'avertissement est affiché.

attention Attention

Les assistants existants sont remplacés durant la mise à jour. Les modifications individuelles apportées à un assistant sont perdues.


Foire aux questions

Manuels -> Interfaces de programmation -> Liste de macros -> Foire aux questions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce chapitre fournit des réponses à des questions fréquentes. Vous trouverez d'autres solutions en ligne, dans le forum des utilisateurs de COPA-DATA.


Pourquoi le bouton reste enfoncé ?

Manuels -> Interfaces de programmation -> Liste de macros -> Foire aux questions -> Pourquoi le bouton reste enfoncé ?

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si Une marco est liée à l'événement LeftClickUp sur un bouton, alors à la fin de la macro il faut exécuter le LeftClickUp.

Public Sub LeftClickUp_Schalter(obElem As Element)
frmSchalter.Show

obElem.LeftClickUp
End Sub


La macro n'est pas exécutée avec le premier clic

Manuels -> Interfaces de programmation -> Liste de macros -> Foire aux questions -> La macro n'est pas exécutée avec le premier clic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La solution correspond à la réponse fournie à la question : Pourquoi le bouton reste-t-il enfoncé ? :

Si Une marco est liée à l'événement LeftClickUp sur un bouton, alors à la fin de la macro il faut exécuter le LeftClickUp.

Public Sub LeftClickUp_Schalter(obElem As Element)
frmSchalter.Show

obElem.LeftClickUp
End Sub


Les macros ne marchent plus dans le runtime ?

Manuels -> Interfaces de programmation -> Liste de macros -> Foire aux questions -> Les macros ne marchent plus dans le runtime ?

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cela peut arriver si l'Éditeur VBA est ouvert en runtime et que le Stop/Start est sélectionné pour arrêter / démarrer VBA Dans ce cas, les objets (OnlineVariables, ScreenObjects, etc.) deviennent non valides, car ils perdent leur lien dans le cas d'une nouvelle initialisation.


Windows CE et VBA

Manuels -> Interfaces de programmation -> Liste de macros -> Foire aux questions -> Windows CE et VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'éditeur, le VBA peut être utilisé pour les assistants. Il ne peut pas être utilisé dans le Runtime. Pour des informations détaillées concernant l'éditeur, reportez-vous au chapitre Comment faire un projet CE.


Exemples

Manuels -> Interfaces de programmation -> Liste de macros -> Exemples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous trouverez ici quelques exemples de code VBA :


Initialisation de MouseEvents et du contrôle ActiveX

Manuels -> Interfaces de programmation -> Liste de macros -> Exemples -> Initialisation de MouseEvents et du contrôle ActiveX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Option Explicit

Public Sub Init_ActiveX(obElem As Element)

'Initialisation d'ActiveX...

thisProject.Init_MSChart_AX obElem

End Sub

Public Sub LeftClickUp_Sample1(obElem As Element)

'Initialisation du formulaire Userform...

frmSample1.InitForm obElem

'Affichage du formulaire Userform

frmSample1.Show

End Sub

Public Sub LeftClickUp_Sample2(obElem As Element)

'Initialisation du formulaire Userform...

frmSample2.InitForm obElem

'Affichage du formulaire Userform

frmSample2.Show

End Sub

Public Sub LeftClickUp_Sample3(obElem As Element)

'Initialisation du formulaire Userform...

frmSample3.InitForm obElem

'Affichage du formulaire Userform

frmSample3.Show

End Sub

Public Sub LeftClickUp_Sample4(obElem As Element)

Dim NewForm As New frmSample4

'Initialisation du nouveau formulaire Userform...

NewForm.InitForm obElem

'Affichage du nouveau formulaire Userform

NewForm.Show (0)

End Sub


Afficher les informations d'une variable

Manuels -> Interfaces de programmation -> Liste de macros -> Exemples -> Afficher les informations d'une variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Afficher le nom de la variable correspondant à l'élément sur lequel vous avez cliqué :

Option Explicit

Dim obVar As Variable

'Procédure publique d'initialisation d'objets définie par l'utilisateur

Public Sub InitForm(obElem As Element)

'définit l'objet variable sous forme de variable liée de l'élément

Set obVar = obElem.ItemVariable(0)

'écrit la variable dans le champ de texte

txtVarName.Text = obVar.Name

End Sub

Private Sub cmdExit_Click()

'ferme le formulaire Userform

Unload Me

End Sub


Lire et écrire des valeurs de variable

Manuels -> Interfaces de programmation -> Liste de macros -> Exemples -> Lire et écrire des valeurs de variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lire la valeur de la variable et la réécrire :

Option Explicit

Dim obVar As Variable

'Procédure publique d'initialisation d'objets définie par l'utilisateur

Public Sub InitForm(obElem As Element)

'définit l'objet variable sous forme de variable liée de l'élément

Set obVar = obElem.ItemVariable(0)

'écrit la variable dans le champ de texte

txtVarName.Text = obVar.Name

End Sub

Private Sub cmdExit_Click()

'ferme le formulaire Userform

Unload Me

End Sub

Private Sub cmdRead_Click()

'Lire la valeur de la variable et l'écrire dans le champ de texte :

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'écrire le texte sous forme de valeur dans la variable

obVar.Value = txtValue.Text

'ou changer le texte en valeur avant l'écriture...

'obVar.Value = Val(txtValue.Text)

End Sub


Lire et écrire des variables et déployer les variables en ligne

Manuels -> Interfaces de programmation -> Liste de macros -> Exemples -> Lire et écrire des variables et déployer les variables en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lire les informations de la variable, écrire les valeurs et déployer les variables en ligne :

Option Explicit

Dim obVar As Variable

Dim WithEvents zOnlineVariable As OnlineVariable

'Procédure publique d'initialisation d'objets définie par l'utilisateur

Public Sub InitForm(obElem As Element)

'définit l'objet variable sous forme de variable liée de l'élément

Set obVar = obElem.ItemVariable(0)

'écrit la variable dans le champ de texte

txtVarName.Text = obVar.Name

'créer un conteneur OnlineVariable

Set zOnlineVariable = thisProject.OnlineVariables.CreateOnlineVariables("OLV")

'ajouter les variables au conteneur (selon le nom de la variable)

zOnlineVariable.Add obVar.Name

End Sub

Private Sub cmdExit_Click()

'ferme le formulaire Userform

Unload Me

End Sub

Private Sub cmdRead_Click()

'Lire la valeur de la variable et l'écrire dans le champ de texte :

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'écrire le texte sous forme de valeur dans la variable

obVar.Value = txtValue.Text

'ou changer le texte en valeur avant l'écriture...

'obVar.Value = Val(txtValue.Text)

End Sub

Private Sub cmdOLV_Start_Click()

'démarrer la variable OnlineVariable - Define

'l'événement VariableChange sera exécuté

zOnlineVariable.Define

End Sub

Private Sub cmdOLV_Start_Click()

'arrêter la variable OnlineVariable - UnDefine

'l'événement VariableChange sera arrêté

zOnlineVariable.Undefine

End Sub

Private Sub zOnlineVariable_VariableChange(ByVal obVar As IVariable)

'écrire la valeur réelle dans le champ de texte

txtOLV.Text = obVar.Value

End Sub

Private Sub UserForm_Terminate()

'l'événement VariableChange sera arrêté s'il est en cours d'exécution

zOnlineVariable.Undefine

'supprimer le conteneur OnlineVariable

thisProject.OnlineVariables.DeleteOnlineVariables ("OLV")

End Sub


Utiliser une boîte de dialogue plusieurs fois

Manuels -> Interfaces de programmation -> Liste de macros -> Exemples -> Utiliser une boîte de dialogue plusieurs fois

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les formulaires Userform peuvent être utilisés à plusieurs reprises.

Option Explicit

Dim obVar As Variable

Dim WithEvents zOnlineVariable As OnlineVariable

Dim strOLVName As String

Public Sub InitForm(obElem As Element)

'définit l'objet variable sous forme de variable liée de l'élément

Set obVar = obElem.ItemVariable(0)

'écrit la variable dans le champ de texte

txtVarName.Text = obVar.Name

'créer le nom du conteneur en ligne

strOLVName = "OLV_" & obElem.Name

'obtenir le conteneur en ligne existant

Set zOnlineVariable = thisProject.OnlineVariables.Item(strOLVName)

'vérifier si le conteneur en ligne existe

If zOnlineVariable Is Nothing Then

'créer un conteneur OnlineVariable

Set zOnlineVariable = thisProject.OnlineVariables.CreateOnlineVariables(strOLVName)

'ajouter les variables au conteneur (selon le nom de la variable)

zOnlineVariable.Add obVar.Name

End If

End Sub

Private Sub cmdExit_Click()

Unload Me 'fermer le formulaire Userform

End Sub

Private Sub cmdRead_Click()

'Lire la valeur de la variable et l'écrire dans le champ de texte :

txtValue.Text = obVar.Value

End Sub

Private Sub cmdWrite_Click()

'écrire le texte sous forme de valeur dans la variable

obVar.Value = txtValue.Text

'ou changer le texte en valeur avant l'écriture...

'obVar.Value = Val(txtValue.Text)

End Sub

Private Sub cmdOLV_Start_Click()

'l'événement VariableChange sera exécuté

zOnlineVariable.Define

End Sub

Private Sub cmdOLV_Start_Click()

'l'événement VariableChange sera arrêté

zOnlineVariable.Undefine

End Sub

Private Sub zOnlineVariable_VariableChange(ByVal obVar As IVariable)

'écrire la valeur réelle dans le champ de texte

txtOLV.Text = obVar.Value

End Sub

Private Sub UserForm_Terminate()

'l'événement VariableChange sera arrêté s'il est en cours d'exécution

zOnlineVariable.Undefine

'supprimer le conteneur OnlineVariable

thisProject.OnlineVariables.DeleteOnlineVariables (strOLVName)

End Sub


Alarme – Evénements et gestion des contrôles ActiveX

Manuels -> Interfaces de programmation -> Liste de macros -> Exemples -> Alarme – Evénements et gestion des contrôles ActiveX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Option Explicit

Dim WithEvents obChart As MSChart

Dim WithEvents zOLV As OnlineVariable

Dim WithEvents zAlarm As Alarm

'la procédure est exécutée au démarrage du Runtime zenon

Private Sub Project_Active()

'initialiser l'objet alarme pour les événements

Set zAlarm = thisProject.Alarm

End Sub

'la procédure est exécutée lorsqu'une alarme est activée

Private Sub zAlarm_AlarmComes(ByVal obItem As IAlarmItem)

Dim strInfo As String

'écrire les informations spécifiques concernant l'alarme dans une variable StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Comes").Value = strInfo

End Sub

'la procédure est exécutée lorsqu'une alarme est désactivée

Private Sub zAlarm_AlarmGoes(ByVal obItem As IAlarmItem)

Dim strInfo As String

'écrire les informations spécifiques concernant l'alarme dans une variable StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Goes").Value = strInfo

End Sub

'la procédure est exécutée lorsqu'une alarme a été acquittée par un utilisateur

Private Sub zAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)

Dim strInfo As String

'écrire les informations spécifiques concernant l'alarme dans une variable StringVariable

strInfo = obItem.Text & " - " & obItem.Name

thisProject.Variables.Item("Var_Acknowledged").Value = strInfo

End Sub

'la procédure est exécutée lors de l'arrêt du Runtime zenon

Private Sub Project_Inactive()

'libérer l'objet alarme

Set zAlarm = Nothing

'supprimer la varable OnlineVariable pour actualiser la fonction Chart...

thisProject.OnlineVariables.DeleteOnlineVariables "CHART"

End Sub

'procédure d'initialisation du contrôle ActiveX MSChart...

Public Sub Init_MSChart_AX(YourAX As Element)

Set obChart = YourAX.AktiveX

obChart.RowCount = 3

obChart.ColumnCount = 1

Set zOLV = thisProject.OnlineVariables.Item("CHART")

'est-ce que la variable OnlineVariable actuelle existe ?

If zOLV Is Nothing Then

'si ce n'est pas le cas, elle doit être créée...

Set zOLV = thisProject.OnlineVariables.CreateOnlineVariables("CHART")

zOLV.Add "Internal_UINT_001"

zOLV.Add "Internal_UINT_002"

zOLV.Add "Internal_UINT_003"

End If

zOLV.Undefine 'en cas d'arrêt, l'actualisation est impossible

'START - début de la surveillance des variables...

zOLV.Define

End Sub

'événement en cas de modification de la variable - actualisation du diagramme....

Private Sub zOLV_VariableChange(ByVal obVar As IVariable)

'configuration des valeurs à afficher dans le contrôle du diagramme

Select Case obVar.Name

Case "Internal_UINT_001"

obChart.Row = 1

obChart.RowLabel = "Var1"

obChart.Data = obVar.Value

Case "Internal_UINT_001"

obChart.Row = 2

obChart.RowLabel = "Var2"

obChart.Data = obVar.Value

Case "Internal_UINT_003"

obChart.Row = 3

obChart.RowLabel = "Var3"

obChart.Data = obVar.Value

End Select

End Sub

'événement du contrôle ActiveX Chart...

Private Sub obChart_DblClick()

MsgBox "Vous avez double-cliqué sur le contrôle ActiveX !"

End Sub


Accès aux alarmes

Manuels -> Interfaces de programmation -> Liste de macros -> Exemples -> Accès aux alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Description :

Dans la boîte de dialogue (form) frmAlarm, une alarme en mémoire peut être sélectionnée dans un combobox. Après la sélection, toutes les données de l'alarme sont écrites dans les champs texte ci-dessous (groupe, classe, variable, ...).

On utilise une macro indépendante des événements pour afficher le frmAlarm, car on ne la lie pas à un élément.

Sub Alarm ()
frmAlarm.Show
End Sub

'La macro est exécutée avec la fonction "Exécuter marco".

'A l'ouverture, la boîte de dialogue (form) est initialisée et donc la procédure suivante est exécutée. Cette procédure s'occupe d'écrire toutes les alarmes en mémoire dans le combobox (liste de choix) dans la boîte de dialogue (form).

Private Sub UserForm _ Initialize ()

'fill combobox with all AlarmItems
Dim i As Integer
Dim obAlarmItems As AlarmItems
Dim obAlarm As Alarm

Set obAlarm = thisProject.Alarm
Set obAlarmItems = obAlarm.AlarmItems (*)

If obAlarmItems.Count = 0 Then
MsgBox (# Alarms = 0 )
Exit Sub
End If

For i = 0 To obAlarmItems.Count - 1
cmbAlarmItems.AddItem obAlarmItems.Item ( i ). Name
Next i

txtAktiv.Text = obAlarm.Aktiv
cmbAlarmItems.Text = cmbAlarmItems.List ( 0 )
End Sub

'Lorsqu'une alarme est sélectionnée dans la zone de liste, l'événement Modifier de la zone de liste réagit.
Private Sub cmbAlarmItems _ Change ()

'Insérer les propriétés actuelles de l'élément AlarmItem dans des zones de texte
Dim obAlarmItems As AlarmItems
Dim obAlar As Alarm

Set obAlarm = thisProject.Alarm
Set obAlarmItems = obAlarm.AlarmItems (*)
txtComputer.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Computer
txtCountreactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Countreactivated
txtName.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ). Name
txtProjectname.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Projectname
txtStatus.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Status
txtStatusreactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Statusreactivated
txtTagname.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Tagname
txtTimecomes.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timecomes
txtTimegoes.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timegoes
txtTimequitted.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timequitted
txtTimereactivated.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Timereactivated
txtUser.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).User
txtUsertext.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Usertext
txtValue.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).Value
tbGroup.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).AlarmGroup
tbClass.Text = obAlarmItems.Item ( cmbAlarmItems.ListIndex ).AlarmClass
End Sub


Définition d'un interrupteur (utilisation de variables de procédé)

Manuels -> Interfaces de programmation -> Liste de macros -> Exemples -> Définition d'un interrupteur (utilisation de variables de procédé)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cet exemple, on dessine une pompe qui est constitué d'un cercle et d'un triangle. Définissez le triangle en tant que symbole. Par dessus, dessinez une combinaison multiple et liez-la à trois variables booléennes.

De plus, définissez la couleur que le triangle doit prendre selon les valeurs de ces variables.

D'abord, nous combinons la combinaison multiple avec une macro qui ouvre un 'form' VBA de nom frmSwitch.

Dans la boîte de dialogue (le 'form' VBA), nous serons capable de change les valeurs des trois booléens.

info Info

Seule une des trois variables peut avoir la valeur 1 (c'est à dire si une des variables est mise à 1, les deux autres sont mises à 0).

Pour pouvoir utiliser cette macro plusieurs fois dans le projet avec différentes variable, les variables liées à la combinaison multiple peuvent contenir dans leur nom l'état de la pompe qu'elle contrôle.

Par exemple :
Variable_Auto
Variable_Hand
Variable_Revi

info Info

Les suffixes _Auto, _Hand et _Revi sont définis de façon fixe dans le code source de l'exemple.

Avec les suffixes de 5 caractères des noms de variables, on définit quelle variable est mise à 1 ou à 0 en cliquand sur un bouton 'toggle' (bascule).

Dans la macro LeftClickUp_Switch un sous-programme FindVariable est appelé dans le 'form' frmSwitch qui récupère l'élément qui a été sélectionné dans obElem.

Public Sub LeftClickUp_Schalter (obElem As Element)
frmSchalter.FindVariable obElem
position (pixel en points = (pixel * 0,75))
frmSchalter.Top = obElem.Bottom * 0.75
frmSchalter.Left = obElem.Left * 0.75
frmSchalter.Show
obElem.LeftClickUp
End Sub

Déclaration des variables globales :

Dim cmdLast As ToggleButton
Dim strHand As String
Dim strAuto As String
Dim strRevi As String
Dans le sous-programme FindVariable, toutes les variables liées à l'élément passé sont contrôlées.

Selon le suffixe (_Auto, _Hand or _Revi), les noms des variables sont assignés aux variables string déclarées ci-dessus.

De plus, les états des variables sont déterminés et dépendent de la valeur (1 ou 0) du bouton 'toggle' correspondant (enfoncé ou pas).

Lors de l'ouverture de la boîte de dialogue frmSwitch, le nom du bouton 'toggle' couramment enfoncé est écrit dans une variable string. Dans le cas où l'utilisateur décide d'annuler cette action, les valeurs originales sont restaurées.

Public Sub FindVariable (obElem As Element)
Dim i As Integer
Dim obVariable As Variable

For i = 0 To obElem . CountVariable - 1
Select Case Right $( obElem. ItemVariable ( i ). Name , 5 )
Case _ Auto
strAuto = obElem . ItemVariable ( i ). Name

Case _ Hand
strHand = obElem . ItemVariable ( i ). Name

Case _ Revi
strRevi = obElem . ItemVariable ( i ). Name
End Select
Next i

Set obVariable = thisProject . Variables . Item ( strHand )
If obVariable . Value = 1 Then
tbHand . Value = True
Set cmdLast = tbHand
End If

Set obVariable = thisProject . Variables . Item ( strAuto )
If obVariable . Value = 1 Then
tbAuto . Value = True
Set cmdLast = tbAuto
End If

Set obVariable = thisProject . Variables . Item ( strRevi )
If obVariable . Value = 1 Then
tbRev . Value = True
Set cmdLast = tbRev
End If

If tbHand . Value = False And tbAuto . Value = False And tbRev . Value = False Then
tbOff . Value = True
Set cmdLast = tbOff
End If
End Sub

La fonction créée automatiquement VarExists vérifie seulement si les variables liées existent réellement. Si ce n'est pas le cas, un message d'erreur est affiché. La variable n'existe pas.

Function VarExists ()

Dim obVariable As Variable
Set obVariable = thisProject . Variables . Item (strHand)

If obVariable Is Nothing Then
MsgBox (La variable n'existe pas)
VarExitsts = False
Exit Function
End If

Set obVariable = thisProject . Variables . Item (strAuto)
If obVariable Is Nothing Then
MsgBox (La variable n'existe pas)
VarExitsts = False
Exit Function
End If

Set obVariable = thisProject . Variables . Item (strRev)
If obVariable Is Nothing Then
MsgBox (La variable n'existe pas)
VarExitsts = False
Exit Function
End If

VarExists = True
End Function

Si l'utilisateur clique sur Annuler (Cancel), la modification de valeur est annulée et la valeur originale est restaurée.

Private Sub cmdExit _ Click ()
cmdLast.Value = True
Unload Me
End Sub

Private Sub cmdOk _ Click ()
Unload Me
End Sub

Si un bouton 'toggle' est cliqué, aucun autre bouton 'toggle' ne peut être sélectionné.

Private Sub tbAuto_Change ()
If tbAuto . Value = False And tbHand.Value = False And tbRev . Value = False Then
tbOff . Value = True
End Sub

Dans l'événement click de chaque bouton 'toggle', on vérifie si il est enfoncé et si la variable existe. Si les deux conditions sont vraies, alors les valeurs sont envoyées vers les variables liées.


VSTA

Manuels -> Interfaces de programmation -> VSTA

La fonctionnalité du Runtime et de l'Éditeur zenon peut être étendue indépendamment au moyen de la programmation .NET, avec Visual Studio Tools for Applications (VSTA).

VSTA est également disponible, avec certaines restrictions, pour le serveur Web et le client Web.

info Info

Si des macros VBA sont modifiées dans l'Éditeur,

  • Les fichiers de Runtime sont compilés et transférés vers le Runtime
  • Le Runtime est actualisé
  • Les éléments VSTA sont également actualisés, même si aucune modification n'a été effectuée dans VSTA

VSTA comporte des environnements de développement distincts pour l'espace de travail et le projet. Vous ne pouvez en utiliser qu'un à la fois. Au démarrage, tous les autres environnements de développement VSTA ouverts seront fermés.

Pour ouvrir l'Éditeur VSTA pour l'espace de travail :

  1. Appuyez sur les touches Alt+F10.
  2. Le code correspondant à l'espace de travail et à tous les projets chargés est affiché

Pour ouvrir l'Éditeur VSTA pour le projet actuellement chargé :

  1. Accédez au nœud Script.
  2. Cliquez avec le bouton droit sur VSTA
  3. Sélectionnez Open VSTA Editor... (Ouvrir l'Éditeur VSTA) dans le menu contextuel.

L'Éditeur est ouvert pour le projet actuellement chargé.


Notions fondamentales

Manuels -> Interfaces de programmation -> VSTA -> Notions fondamentales

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

VSTA est un environnement de développement Microsoft fondé sur la technologie .NET. Il est nécessaire de disposer d'une connaissance des principes de la programmation orientée objet, de .NET et de C#/Visual Basic.NET pour le comprendre.

info Info

VSTA n'est pas pris en charge par le Web client de zenon.


Configuration de l'environnement VSTA

Manuels -> Interfaces de programmation -> VSTA -> Notions fondamentales -> Configuration de l'environnement VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La prise en charge de VSTA est déjà activée par défaut dans zenon. Lors de la désactivation de la prise en charge de VBA, l'environnement VSTA n'est également plus disponible.

L'environnement VSTA peut être activé ou désactivé manuellement à l'aide de l'entrée suivante dans C:\Users\All Users\COPA-DATA\System\zenon6.ini :

Activer VSTA | Désactiver VSTA
[VSTA] ON=1 | [VSTA] ON=0

La prise en charge de VBA est activée ou désactivée comme suit :

Activer VBA | Désactiver VBA
[VBA] ON=1 | [VBA] ON=0

L'environnement de développement pour VSTA dans zenon est alors disponible.

info Info

VSTA autorise le développement de projets dans les langages de programmation C# et Visual Basic .NET. C# est considéré comme le langage standard des projets VSTA dans l'Éditeur Le langage peut être changé en Visual Basic.NET avec l'entrée suivante :

[VSTA]

CSHARP=0


Accès au modèle d'objet zenon

Manuels -> Interfaces de programmation -> VSTA -> Notions fondamentales -> Accès au modèle d'objet zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le modèle d'objet zenon utilisé dans VBA est également accessible dans VSTA. Le modèle d'objet offre des fonctionnalités identiques dans les deux environnements de développement.

attention Attention

Certaines modifications apportées au modèle d'objet ont été réalisées en raison des limites inhérentes à la dénomination d'objets VSTA. Vous les trouverez dans le tableau ci-dessous.

Ancienne propriété | Nouvelle propriété
IDriver.Name | IDriver.Identification
IDriver.Driver | IDriver.Name
Ancien événement | Nouvel événement
IApplication.Close | IApplication.OnClose
IZenWorkspace.Startup | IZenWorkspace.OnStartup
IZenWorkspace.Exit | IZenWorkspace.OnExit

L'accès dans VSTA est autorisé via l'objet this, qui remplace l'objet MyWorkspace dans VBA. Les méthodes et objets suivants sont identiques. Dans la méthode suivante, un gabarit portant le nom TemplateName est créée dans zenon.

public void Macro1()

{

this.ActiveDocument.Templates().Create("TemplateName", true);

}

info Info

Contrairement à VBA, l'utilisation des lettres majuscules et minuscules après les noms de fonctions est importante dans VSTA.

Pour accéder aux méthodes dans zenon, vous devez enregistrer et compiler le projet en procédant comme suit :

  1. Cliquez sur Fichier -> Enregistrer MyWorkspace.cs pour enregistrer le projet.
  2. Cliquez sur Fichier -> Construire WorkspaceAddin pour compiler le projet.

La méthode est ensuite disponible en tant que macro dans la barre d'outils Macro VBA de l'Éditeur zenon. Si la boîte de dialogue d'affectation des macros n'affiche pas toutes les macros de MyWorkspace, exécutez la fonction Recharger la liste des macros VBA depuis la barre d'outils.

info Info

Les macros VSTA comportant des paramètres, par exemple Public void MacroWithParam(string mString), ne sont pas prises en charge et ne sont pas disponibles dans la barre d'outils de macros.


Fonctions dans zenon

Manuels -> Interfaces de programmation -> VSTA -> Notions fondamentales -> Fonctions dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour VSTA, de nouvelles fonctions ont été créées dans zenon. Elles sont incluses dans le groupe de fonctions VSTA.

Parallèlement aux fonctions VBA existantes, des fonctions semblables ont été mises en œuvre pour VSTA :

Nom de la fonction

Description

Ouvrir Éditeur VSTA

Ouvre l'éditeur VSTA dans le Runtime.

Exécuter macro VSTA

Une macro VSTA peut être sélectionnée dans l'éditeur ; elle sera démarrée lors de l'exécution de la fonction dans le Runtime.

Remarque : Les macros VSTA comportant des paramètres, par exemple Public void MacroWithParam(string mString), ne sont pas prises en charge. Elles ne sont pas non plus disponibles aux fins du développement dans l'Éditeur, ni au démarrage de la fonction dans le Runtime.

Montrer la boîte de dialogue des macros VSTA

Une boîte de dialogue est affichée dans le Runtime ; elle contient une liste des macros VSTA existantes, que vous pouvez sélectionner et exécuter à votre convenance.


Débogage d'une macro complémentaire VSTA

Manuels -> Interfaces de programmation -> VSTA -> Notions fondamentales -> Débogage d'une macro complémentaire VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il est possible de déboguer les macros complémentaires que vous avez créées dans l'éditeur VSTA. A cette fin, notez que les macros complémentaires du projet peuvent uniquement être déboguées dans le Runtime zenon, et que les macros complémentaires de l'espace de travail peuvent uniquement être déboguées dans l'Éditeur zenon.

Pour démarrer une session de débogage, sélectionnez Debug -> Start Debugging (Débogage -> Démarrer le débogage). Vous pouvez insérer des points d'interruption de la même manière que dans l'éditeur VBA, en cliquant avec le bouton gauche dans la barre d'outils de points d'interruption grise, près de la marge gauche adjacente à la cellule correspondante.

info Info

Lors du débogage de macros complémentaires du Runtime, tenez compte des aspects suivants :

Les fichiers de Runtime modifiés dans zenon doivent être recréés avant le débogage.


Nouveaux événements dans VSTA

Manuels -> Interfaces de programmation -> VSTA -> Notions fondamentales -> Nouveaux événements dans VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une macro complémentaire se termine lors de la compilation d'un code modifié et du démarrage ou de l'arrêt d'une session de débogage ; aussi, de nouveaux événements ont été mis en œuvre dans VSTA. Ils permettent par exemple d'évaluer et d'approuver la référence d'un objet, ainsi que d'enregistrer les données existantes.

Deux événements sont associés à chaque fin. Le premier événement démarre peu de temps avant la fin, et le deuxième démarre après le démarrage d'une nouvelle session d'une macro complémentaire.

Événement | Description
OnPreVSTADebugStart | est déclenchée peu de temps avant le démarrage d'une session de débogage. Lors du démarrage d'une session de débogage, une macro complémentaire active est supprimée ; les références doivent être approuvées et les données existantes doivent être enregistrées, le cas échéant.
OnVSTADebugStart | est déclenchée peu de temps après le démarrage d'une session de débogage.
OnPreVSTADebugStop | est déclenchée peu de temps avant l'arrêt d'une session de débogage. Lors de l'arrêt d'une session de débogage, une macro complémentaire active est supprimée ; les références doivent être approuvées et les données existantes doivent être enregistrées, le cas échéant.
OnVSTADebugStopped | est déclenchée peu de temps après l'arrêt d'une session de débogage.
OnPreVSTAUpdate | est déclenchée avant la suppression de la macro complémentaire, si une nouvelle version de la macro complémentaire a été créée avec succès.
OnPostVSTAUpdate | est déclenchée lorsqu'une nouvelle version de la macro complémentaire est chargée.


Créer une sauvegarde de projets VSTA

Manuels -> Interfaces de programmation -> VSTA -> Notions fondamentales -> Créer une sauvegarde de projets VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les projets VSTA dans le Runtime sont automatiquement enregistrés sous forme d'archive zip lors de la création du fichier Runtime, puis intégrés aux enregistrements de l'espace de travail.

En revanche, les projets VSTA dans l'éditeur doivent être enregistrés manuellement. Les projets de l'Éditeur VSTA se trouvent dans le dossier C:/ProgramData/COPA-DATA/*version*/VSTAWorkspace/ .


Créer un projet VSTA

Manuels -> Interfaces de programmation -> VSTA -> Créer un projet VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

A l'instar de VBA, VSTA offre la possibilité de créer des projets pour l'éditeur et le Runtime. En principe, les projets dans l'éditeur sont mis en œuvre dans le langage de programmation C#. Dans le Runtime, C# et Visual Basic.NET sont tous deux disponibles.

info Info

Un seul projet peut être affiché à la fois dans l'éditeur VSTA. En outre, une seule instance de l'éditeur VSTA peut être active. Lors du démarrage de l'éditeur VSTA, toute instance en cours d'exécution est fermée.


Projets VSTA dans l'éditeur

Manuels -> Interfaces de programmation -> VSTA -> Créer un projet VSTA -> Projets VSTA dans l'éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la création d'un projet pour l'Éditeur zenon, une macro complémentaire VSTA pour l'espace de travail est chargée. Pour modifier la macro complémentaire, vous devez ouvrir l'éditeur VSTA en cliquant sur Fichier - Ouvrir éditeur VSTA.... L'interface utilisateur de l'éditeur VSTA est identique à l'environnement de développement Visual Studio de Microsoft.

info Info

Vous pouvez accéder à l'aide de l'éditeur VSTA en sélectionnant le menu Aide -> Contenu. Cette aide fournit un aperçu général des fonctions de l'éditeur, des fonctions de l'infrastructure .NET Framework et de la programmation en Visual Basic.NET et C#.

La macro complémentaire VSTA est essentiellement constituée de la classe MyWorkspace. Vous pouvez maintenant étendre cette classe avec vos propres méthodes. Par défaut, la classe accepte les deux méthodes suivantes :

Fonction | Description
MyWorkspace_Startup | Exécutée automatiquement au démarrage de zenon, après la création d'une version et au démarrage d'une session de débogage.
MyWorkspace_Shutdown | Exécutée automatiquement au démarrage de zenon, après la création d'une version et au démarrage d'une session de débogage.

attention Attention

Les noms de méthodes peuvent uniquement commencer par Macro (par exemple Macro1, MacroVSTA) ; ils ne doivent pas contenir de paramètres et doivent être définis comme publics. En outre, les noms de classes et d'autres méthodes et événements créés par VSTA ne peuvent pas être modifiés.

Pour accéder aux méthodes dans zenon, vous devez enregistrer et compiler le projet en procédant comme suit :

  1. Cliquez sur Fichier -> Enregistrer MyWorkspace.cs pour enregistrer le projet.
  2. Cliquez sur Fichier -> Construire WorkspaceAddin pour compiler le projet.

La méthode est ensuite disponible en tant que macro dans la barre d'outils Macro VBA de l'Éditeur zenon. Si la boîte de dialogue d'affectation des macros n'affiche pas toutes les macros de MyWorkspace, exécutez la fonction Recharger la liste des macros VBA depuis la barre d'outils.


Projets VSTA dans le Runtime

Manuels -> Interfaces de programmation -> VSTA -> Créer un projet VSTA -> Projets VSTA dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un projet VSTA pour le Runtime, l'environnement VSTA doit être démarré. Procédez comme suit :

  1. Ouvrez l'élément Program interfaces (Interfaces du programme) dans le gestionnaire de projet.
  2. Ouvrez le menu contextuel VSTA.
  3. Cliquez sur Ouvrir éditeur VSTA...

Sélectionnez le langage de votre choix dans la boîte de dialogue de sélection qui s'affiche maintenant à l'écran. Un projet est ensuite créé dans le langage de programmation de votre choix.

info Info

Vous ne pouvez pas modifier votre choix de langage par la suite ; cette boîte de dialogue est donc uniquement affichée la première fois.

Dans ce projet, une classe appelée ThisProject est créée par zenon ; elle accepte les deux méthodes suivantes :

Fonction | Description
ThisProject_Startup | Exécutée automatiquement au démarrage du Runtime.
ThisProject_Shutdown | Exécutée automatiquement à l'arrêt du Runtime.

Vous pouvez maintenant étendre la classe avec vos propres méthodes.

attention Attention

Les noms de méthodes peuvent uniquement commencer par Macro (par exemple Macro1, MacroVSTA) ; ils ne doivent pas contenir de paramètres et doivent être définis comme publics. En outre, les noms de classes et d'autres méthodes et événements créés par VSTA ne peuvent pas être modifiés.

Il est possible d'accéder à toutes les fonctionnalités du Runtime via le modèle d'objet zenon. Les fonctions spécifiques à l'éditeur ne peuvent pas être utilisées comme dans VBA.

Le Runtime zenon démarre automatiquement au démarrage du programme de débogage. Vous trouverez d'autres informations au chapitre relatif audébogage d'une macro complémentaire VSTA.

info Info

Vous pouvez accéder à l'aide de l'éditeur VSTA en sélectionnant le menu Aide -> Contenu. Cette aide fournit un aperçu général des fonctions de l'éditeur, des fonctions de l'infrastructure .NET Framework et de la programmation en Visual Basic.NET et C#.


Développement d'assistants dans VSTA

Manuels -> Interfaces de programmation -> VSTA -> Créer un projet VSTA -> Développement d'assistants dans VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'environnement VSTA, à l'image de VBA, offre la possibilité de développer vos propres assistants.

Pour pouvoir accéder à un formulaire dans le modèle d'objet zenon, vous devez copier une référence à celui-ci dans le formulaire. Pour cela, créez une méthode dans la classe MyWorkspace . Dans l'exemple suivant, une instance de formulaire est créée avec le nom Wizard (Assistant) et la méthode ZenonInstance, avec une référence au modèle d'objet zenon invoquée en tant que paramètre. Pour afficher le formulaire Wizard, sélectionnez ShowDialog().

public void Macro1()

{

Form1 Wizard = new Form1();

Wizard.ZenonInstance(this.Application);

Wizard.ShowDialog();

}

Une variable membre reconnaissant le modèle d'objet zenon doit être créée dans le code du formulaire.

public zenOn.IApplication m_Zenon=null;

Enfin, la méthode ZenonInstance est créée. Cette méthode insère la référence du modèle d'objet dans l'objet m_Zenon.

public void ZenonInstance(zenOn.IApplication app)

{

m_Zenon = app;

}

Vous pouvez maintenant développer, dans le formulaire, vos propres classes et méthodes employant le modèle d'objet. Tous les objets, méthodes et attributs sont accessibles via l'objet m_Zenon.


Exemples

Manuels -> Interfaces de programmation -> VSTA -> Exemples

Ici, vous trouverez des exemples de l'utilisation de VSTA, dans le Runtime et dans l'éditeur.


Création de variables dans l'Éditeur zenon

Manuels -> Interfaces de programmation -> VSTA -> Exemples -> Création de variables dans l'Éditeur zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cet exemple, un fichier texte est ouvert et le contenu de ce fichier est utilisé pour créer les variables dans l'Éditeur zenon. Le fichier texte peut contenir autant de lignes que vous le souhaitez. Chaque ligne inclut le nom et le type de données d'une variable ; ces informations sont séparées par une virgule (exemple : Variable1,BOOL).

La méthode Macro1 recherche d'abord le driver interne dans l'Éditeur zenon. L'utilisateur voit ensuite s'afficher une boîte de dialogue de sélection de fichier, dans laquelle il doit sélectionner le fichier texte. La méthode lit ensuite le fichier texte et crée les variables. La méthode GetDataType est ensuite requise pour déterminer et attribuer le type de données associé lors de la création des variables.

using System;

using System.Windows.Forms;

using System.IO;

namespace WorkspaceAddin

{

[System.AddIn.AddIn("MyWorkspace", Version = "1.0", Publisher = "", Description = "")]

public partial class MyWorkspace

{

private void MyWorkspace_Startup(object sender, EventArgs e)

{

}

private void MyWorkspace_Shutdown(object sender, EventArgs e)

{

}

public zenOn.IVarType GetDataType(zenOn.IVarType vType, string strVType)

{

//obtient les informations vartype correspondantes pour bool, int, real et strings

switch (strVType)

{

case "BOOL":

vType = this.ActiveDocument.VarTypes().Item("BOOL");

break;

case "INT":

vType = this.ActiveDocument.VarTypes().Item("INT");

break;

case "REAL":

vType = this.ActiveDocument.VarTypes().Item("REAL");

break;

case "STRING":

vType = this.ActiveDocument.VarTypes().Item("STRING");

break;

default:

vType = this.ActiveDocument.VarTypes().Item("INT");

break;

}

return vType;

}

public void Macro1()

{

//crée les objet qui adoptent le driver interne et le type de variable

zenOn.IDriver zInternDriver = null;

zenOn.IVarType vType = null;

//rechercher le driver interne et définir une exception si aucun driver n'a été trouvé

try

{

for (int nDriverCount = 0; nDriverCount < this.ActiveDocument.Drivers().Count; nDriverCount++)

{

if (this.ActiveDocument.Drivers().Item(nDriverCount).Name == "Intern")

{

zInternDriver = this.ActiveDocument.Drivers().Item(nDriverCount);

}

}

}

catch (Exception xDrv)

{

MessageBox.Show("Impossible de trouver le driver zenon 'Intern'. Erreur : " + xDrv.Message);

throw;

}

this.ActiveDocument.Variables().DoAutoSave(false);

try

{

OpenFileDialog VarFileSelect = new OpenFileDialog();

String[] strVarLine = new String[2];

//afficher la boîte de dialogue de sélection de fichier

if (VarFileSelect.ShowDialog() == DialogResult.OK)

{

string strLine = string.Empty;

//ouvrir le nouveau lecteur de flux avec le fichier sélectionné

StreamReader ImportStream = new StreamReader(VarFileSelect.FileName, System.Text.Encoding.Default);

//acquérir les données ligne par ligne, scinder les lignes à chaque ',' et créer les variables

while ((strLine = ImportStream.ReadLine()) != null)

{

strVarLine = strLine.Split(new Char[] { ',' });

this.ActiveDocument.Variables().CreateVar(strVarLine[0], zInternDriver, zenOn.tpKanaltypes.tpSystemVariable, GetDataType(vType,strVarLine[1]));

}

ImportStream.Close();

}

}

catch (Exception xFileRd)

{

MessageBox.Show("Une erreur s'est produite lors de l'ouverture du fichier : " + xFileRd.Message);

throw;

}

this.ActiveDocument.Variables().DoAutoSave(true);

}

#region Code généré par VSTA

private void InternalStartup()

{

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

}

}


Écriture des informations du projet dans la fenêtre de sortie zenon.

Manuels -> Interfaces de programmation -> VSTA -> Exemples -> Écriture des informations du projet dans la fenêtre de sortie zenon.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cet exemple, nous allons démontrer comment accéder à la fenêtre de sortie des éditeurs zenon à l'aide de VSTA. La méthode nommée Macro1 lit les synoptiques de procédé créés dans le projet à cette fin, identifie le gabarit concerné et tous les drivers disponibles, ainsi que leurs intitulés.

using System;

namespace WorkspaceAddin

{

[System.AddIn.AddIn("MyWorkspace", Version = "1.0", Publisher = "", Description = "")]

public partial class MyWorkspace

{

private void MyWorkspace_Startup(object sender, EventArgs e)

{

}

private void MyWorkspace_Shutdown(object sender, EventArgs e)

{

}

public void Macro1()

{

string strPicName = string.Empty;

string strCorTemp = string.Empty;

string strDriverName = string.Empty;

string strDrvDesc = string.Empty;

//imprimer la chaîne de démarrage dans la fenêtre de sortie

this.Application.DebugPrint(" --------------START--------------", zenOn.tpDebugPrintStyle.tpMsg);

//parcourir tous les synoptiques et imprimer le nom et le modèle utilisé dans la fenêtre de sortie

for (int i = 0; i < this.ActiveDocument.DynPictures().Count; i++)

{

strPicName = this.ActiveDocument.DynPictures().Item(i).Name;

strCorTemp = this.ActiveDocument.DynPictures().Item(i).get_DynProperties("Template").ToString();

this.Application.DebugPrint(" Picture '" + strPicName + "' uses Template '" + strCorTemp + "'",zenOn.tpDebugPrintStyle.tpMsg);

}

//imprimer la chaîne de séparation dans la fenêtre de sortie

this.Application.DebugPrint(" ------------------------------",zenOn.tpDebugPrintStyle.tpMsg);

//parcourir tous les drivers et imprimer le nom et la description dans la fenêtre de sortie

for (int i = 0; i < this.ActiveDocument.Drivers().Count; i++)

{

strDriverName = this.ActiveDocument.Drivers().Item(i).Name;

strDrvDesc = this.ActiveDocument.Drivers().Item(i).Identification;

this.Application.DebugPrint(" Driver '" + strDriverName + "' has description '" + strDrvDesc + "'", zenOn.tpDebugPrintStyle.tpMsg);

}

//imprimer la chaîne de fin dans la fenêtre de sortie

this.Application.DebugPrint(" ---------------FIN---------------", zenOn.tpDebugPrintStyle.tpMsg);

}

#region Code généré par VSTA

private void InternalStartup()

{

this.Startup += new System.EventHandler(MyWorkspace_Startup);

this.Shutdown += new System.EventHandler(MyWorkspace_Shutdown);

}

#endregion

}

}


Lecture de variables de zenon par le biais d'expressions régulières

Manuels -> Interfaces de programmation -> VSTA -> Exemples -> Lecture de variables de zenon par le biais d'expressions régulières

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'exemple suivant, les variables de zenon sont lues dans un projet de Runtime et enregistrées dans un fichier texte local.

A l'aide d'expressions régulières, les variables sont uniquement lues si leurs noms commencent par 3 chiffres suivis d'un tiret bas (par exemple, 001_var ou 234_xyz). L'utilisateur doit alors sélectionner un dossier. Un fichier texte comportant un nom défini en fonction de l'heure est créé dans ce dossier. Dans ce fichier, les noms, intitulés et valeur actuelle de doutes les variables concernées sont enregistrés, séparés par un point-virgule.

info Info

Il est possible que des références manuelles doivent être ajoutées pour exécuter l'exemple dans le Runtime zenon Runtime. Pour cela, ouvrez le menu contextuel dans l'explorateur du projet et cliquez sur Ajouter une référence.... Les références requises dans cet exemple sont les suivantes :

  • Microsoft.VisualStudio.Tools.Applications.Runtime.v9.0
  • Système
  • System.AddIn
  • System.Data
  • System.Windows.Forms
  • System.Xml
  • zenonVSTAProxy6500

using System;

using System.Text.RegularExpressions;

using System.IO;

using System.Windows.Forms;

namespace ProjectAddin

{

[System.AddIn.AddIn("ThisProject", Version = "1.0", Publisher = "", Description = "")]

public partial class ThisProject

{

private void ThisProject_Startup(object sender, EventArgs e)

{

}

private void ThisProject_Shutdown(object sender, EventArgs e)

{

}

public void Macro1()

{

string sFilename = string.Empty;

string strName = string.Empty;

string strDescription = string.Empty;

string strValue = string.Empty;

//définir le modèle d'expression régulière

Regex rexMatch = new Regex("^([0-9]){3}[_]");

try

{

sFilename = FolderSelection("Sélectionnez l'emplacement auquel vous souhaitez conserver les informations sur les variables");

//créer le StreamWriter dans le fichier .txt

StreamWriter MatchedVariables = new StreamWriter(sFilename, true);

//parcourir toutes les variables dans zenon

for (int i = 0; i < this.Variables().Count; i++)

{

//si le nom de la variable correspond au modèle, obtenir le nom, le nom de la balise et la valeur actuelle

if (rexMatch.IsMatch(this.Variables().Item(i).Name))

{

strName = this.Variables().Item(i).Name;

strDescription = this.Variables().Item(i).Tagname;

strValue = this.Variables().Item(i).get_Value(0).ToString();

//écrire les informations dans le fichier .txt

MatchedVariables.WriteLine(strName + ";" + strDescription + ";" + strValue);

}

}

//fermer le flux

MatchedVariables.Close();

}

catch (Exception xFS)

{

MessageBox.Show ("Une erreur s'est produite -> " + xFS.Message);

throw;

}

}

private string FolderSelection(String strCaption)

{

string strSelectedPath = string.Empty;

//créer une boîte de dialogue de sélection du dossier de sortie

FolderBrowserDialog FolderSelectionDialog = new FolderBrowserDialog();

FolderSelectionDialog.Description = strCaption;

try

{

if (FolderSelectionDialog.ShowDialog() == DialogResult.OK)

{

//si la sélection était valide, obtenir la date actuelle et la convertir au format de date du fichier

//ensuite, créer un fichier .txt avec le nom zenonVar et l'état correspondant

DateTime currentTime = DateTime.Now;

strSelectedPath = FolderSelectionDialog.SelectedPath + "\\zenonVar" + currentTime.ToFileTime() + ".txt";

}

}

catch (Exception xFD)

{

MessageBox.Show("Une erreur est survenue : "+xFD.Message);

throw;

}

return strSelectedPath;

}

#region Code généré par VSTA

private void InternalStartup()

{

this.Startup += new System.EventHandler(ThisProject_Startup);

this.Shutdown += new System.EventHandler(ThisProject_Shutdown);

}

#endregion

}

}


Modèles d'objet

Manuels -> Interfaces de programmation -> Modèles d'objet

Ceci est l'aide relative aux modèles d'objet

Ici, vous trouverez le modèle d'objet de zenon. Ce modèle est applicable à VBA, VSTA, PCE et à l'interface COM externe.


Constants

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com


tpAdrMode

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpAdrMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpAdrMode constants...

Name | Value | Description
tpAdrPacked | 1 |
tpAdrAccType | 2 |
tpAdrManual | 3 |


tpALCGroundFaultMode

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpALCGroundFaultMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpALCGroundFaultMode constants...

Name | Value | Description
tpALCGroundFaultModePart | 0 |
tpALCGroundFaultModeFull | 1 |


tpALCGroundFaultType

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpALCGroundFaultType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpALCGroundFaultType constants...

Name | Value | Description
tpALCGroundFaultTypeNone | 0 |
tpALCGroundFaultTypeTransAdv | 1 |
tpALCGroundFaultTypeTransLag | 2 |
tpALCGroundFaultTypePermAdv | 3 |
tpALCGroundFaultTypePermLag | 4 |


tpALCShortFaultType

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpALCShortFaultType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpALCShortFaultType constants...

Name | Value | Description
tpALCShortFaultTypeNone | 0 |
tpALCShortFaultTypePermAdv | 1 |
tpALCShortFaultTypePermLag | 2 |


tpALCType

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpALCType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpALCType constants...

Name | Value | Description
tpALCTypeNone | 0 |
tpALCTypeSource | 1 |
tpALCTypeSwitch | 2 |
tpALCTypeSink | 3 |
tpALCTypeTrafo | 4 |
tpALCTypeLink | 5 |


tpArvVarCal

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpArvVarCal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpArvVarCal constants...used in: AddVariable(...)

Name | Value | Description
tpCalc_All | 0 | All calculations
tpCalc_Sum | 1 | Sum
tpCalc_Mean | 2 | Mean
tpCalc_Min | 3 | Min
tpCalc_Max | 4 | Max


tpBuildMethod

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpBuildMethod

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpBuildMethod constants...

Name | Value | Description
tpAll | 0 |
tpIncremental | 1 |


tpDatatypes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpDatatypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpDatatypes constants...

Name | Value | Description
tptypeBIT | 8 | BOOL
tptypeINT_8 | 10 | SINT
tptypeUINT_8 | 9 | USINT
tptypeINT_16 | 1 | INT
tptypeUINT_16 | 2 | UINT
tptypeINT_32 | 3 | DINT
tptypeUINT_32 | 4 | UDINT
tptypeINT_64 | 26 | LINT
tptypeUINT_64 | 27 | ULINT
tptypeFLOAT_REAL | 5 | REAL
tptypeSTRING | 12 | STRING


tpDebugPrintStyle

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpDebugPrintStyle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpDebugPrintStyle constants...used in: DebugPrint(...)

Name | Value | Description
tpNrm | 16777216 | Show message (black)
tpWarn | 33554432 | Display warning (orange)
tpErr | 67108864 | Show errors (red)
tpMsg | 134217728 | Default style (blue)


tpDriverMode

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpDriverMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpDriverMode constants...

Name | Value | Description
tpSimul | 0 | Simulation
tpHardware | 1 | Hardware


tpDriverStatus

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpDriverStatus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpDriverStatus constants...

Name | Value | Description
tpStop | 0 | Stop
tpStart | 1 | Start


tpDynPicturesTypes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpDynPicturesTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpDynPicturesTypes constants...used in: Create(...)

Name | Value | Description
tpStandard | 0 | Standard
tpListWindow | 1 | Nodepad
tpAML | 2 | Alarm message list
tpArchEdit | 3 | Archive revision
tpCEL | 4 | Chronologic event list
tpETM | 5 | Extended trend
tpVideo | 6 | Video
tpReports | 7 | Report Generator
tpBefehl | 8 | Command input (Sicam 230)
tpBefehlsgabe | 9 | DBAG Command (Sicam 230)
tpStatus | 10 | State (Sicam 230)
tpHelp | 11 | Peak Load Projection
tpRGM | 12 | RGM
tpLogin | 13 | Login
tpHTML | 14 | HTML
tpKeyboard | 15 | Keyboard
tpPFS | 16 | Production & Facility Scheduler
tpRezepturen | 17 | Recipe
tpZustand | 18 | State protocol (Sicam 230)
tpWeltbild | 19 | World view
tpBefBewag | 20 | Scripting command output (Sicam 230)
tpVarStatus | 21 | Variable diagnosis
tpSea | 22 | Switching sequence (Sicam 230)
tpASM | 23 | Industrie Performance Analyzer
tpAlmMgmt | 24 | Alarm management (Sicam 230)
tpIMM | 25 | Industrie Maintainance Manager
tpEnergy | 26 | Command input
tpEMS | 27 | Energy Management System
tpTimeFilter | 28 | Time filter
tpAlarmFilter | 29 | Alarm Message List Filter
tpCELFilter | 30 | Chronological Event List Filter
tpGraph7 | 31 | S7 graph
tpBatchControl | 32 | Batch
tpReportViewer | 33 | Report viewer
tpMessageControl | 34 | Message control


tpElementTypes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpElementTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpElementTypes constants...used in: Create(...), Type

Name | Value | Description
tpDynBargraph | 0 | Bar display
tpDynZahlenElem | 1 | Numerical value
tpDynText | 2 | Dynamic text
tpDynTrend | 4 | Trend element
tpDynZeiger | 5 | Pointer instrument
tpDynBewegt | 6 | Only for compatibility
tpDynBinaer | 7 | Status element
tpDynBitmap | 8 | Only for compatibility
tpDynVerkn | 9 | Only for compatibility
tpDynButton | 10 | Button
tpDynSchalter | 11 | Switch
tpDynMultibin | 12 | Multibin
tpDynMeldung | 13 | Message element
tpDynUhr | 14 | Clock
tpDynBefMdi | 15 | Only for compatibility
tpDynStatus | 16 | Combined element
tpDynBaButton | 17 | Only for compatibility
tpDynControl | 18 | Only for compatibility
tpDynAegel | 19 | Only for compatibility
tpDynActiveX | 20 | ActiveX
tpDynTopLgt | 21 | Only for compatibility
tpDynTopStrg | 22 | Only for compatibility
tpDynInstrument | 23 | Universal slider
tpDynCombiList | 24 | Combo-/Listbox
tpDynWindows | 25 | Only for compatibility
tpDynListbox | 26 | Only for compatibility
tpDynCombobox | 27 | Only for compatibility
tpDynListCtrl | 28 | Only for compatibility
tpDynWPF | 29 | WPF element
tpDynGFXListCtrl | 30 | Only for compatibility
tpDynListCtrlNoH | 31 | Only for compatibility
tpDynMarker | 32 | Only for compatibility
tpDot | 100 | Only for compatibility
tpLine | 101 | Line
tpRectangle | 102 | Rectangle
tpCircle | 103 | Ellipse/Circle
tpPolyLine | 104 | Polyline
tpText | 107 | Static text
tpArc | 108 | Arc of a circle
tpSolid | 109 | Only for compatibility
tpTraceDr | 111 | Only for compatibility
tpKegel | 114 | Only for compatibility
tpFillPara | 115 | Only for compatibility
tpFillTria | 116 | Only for compatibility
tpFillBlock | 117 | Only for compatibility
tpPie | 121 | Only for compatibility
tpRoundRect | 127 | Only for compatibility
tpPolygon | 128 | Polygon
tpSymbol | 129 | Embedded symbol
tpSymbolLnk | 130 | Linked symbol
tpSegme_Dxf | 131 | Segment of a circle
tpWMF | 133 | Only for compatibility
tpEMF | 134 | Only for compatibility
tpWinkel | 135 | Only for compatibility
tpPipe | 136 | Pipe


tpFunctionTypes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpFunctionTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpFunctionTypes constants...used in: Create(...)

Name | Value | Description
tpPicture | 3 | Screen switch
tpLastPicture | 4 | Screen: Return to last
tpPrintAmlCel | 5 | Print AML or CEL
tpExportAmlCel | 6 | Export AML
tpPrintHardCopy | 8 | Print screenshot
tpAlarmAckBlink | 10 | Alarms: acknowledge flashing
tpExit | 12 | Exit Runtime
tpSendVal | 13 | Write set value
tpPlaySound | 14 | Play audio file
tpExecute | 15 | Start program
tpCloseTemplate | 17 | Close frame
tpReadDBaseFile | 18 | Read dBase file
tpSelectScript | 19 | select online
tpExecuteScript | 20 | execute
tpSwitchOnlinePrint | 22 | Switch online printing on/off
tpPrintActual | 23 | Print current values
tpClosePicture | 26 | Close screen
tpExportData | 29 | Export data
tpSelectRecipeOffline | 30 | Standard recipe single with dialog
tpSelectRecipeOnline | 31 | Standard recipe single with online dialog
tpSelectRecipeDirect | 32 | Standard recipe single directly
tpRedundancySwitch | 33 | Redundancy switch
tpActivateAlarm | 34 | Alarm Message List active
tpDeactivateAlarm | 35 | Alarm Message List inactive
tpActDeactAlarm | 38 | Alarm Message List active/inactive
tpFunctionsOnOff | 42 | Functions active/inactive at limit
tpTrendOnOff | 43 | HD administration inactive/active
tpTrendOn | 44 | HD administration active
tpTrendOff | 45 | HD administration inactive
tpArchiveStart | 46 | Archive: Start
tpArchiveStop | 47 | Archive: Stop
tpListActiveArchive | 48 | Display open archives
tpFunctionsOn | 51 | Functions active at limit
tpFunctionsOff | 52 | Functions inactive at limit
tpCommandOutput | 60 | SAT function
tpCreateSCProtocol | 61 | SAT function
tpFuncLogin | 70 | Log in with dialog
tpFuncLogout | 71 | Log out
tpChangePassword | 72 | Change password
tpBeepStart | 73 | Start continuous tone
tpBeepFinish | 74 | Stop continuous tone
tpExportCel | 76 | Export CEL
tpPrintReport | 77 | Print Report Generator
tpLoginNoPassword | 78 | Login without password
tpReadTextlist | 79 | Language change
tpExportReport | 80 | Export Report Generator
tpCreateProtocol | 81 | Online printing start new page
tpFileOperation | 82 | File operations
tpDriverCommand | 83 | Driver Commands
tpAlarmAck | 84 | Alarms: acknowledge
tpWindowToBack | 85 | Window to the background
tpWindowToFront | 86 | Window to foreground
tpTemplateFocusOn | 87 | Set focus to frame
tpTemplateFocusOff | 88 | Take focus away from frame
tpActivateInput | 91 | Activate input to the element with the focus
tpExecReport | 92 | Report Generator: execute
tpRecipeGroupManager | 93 | Recipegroup Manager
tpExportArchive | 95 | Export archives
tpOverviewWindow | 96 | Show overview window
tpUserEdit | 97 | Change user
tpMonitorAssign | 98 | Monitor assign
tpAlarmsGroupsClasses | 99 | Activate/deactivate Alarm Message List, alarm/event groups/classes
tpSendMessage | 100 | Send a Message
tpVBAEditor | 101 | Open VBA editor
tpVBAMacroDialog | 102 | Show VBA macro dialog
tpShowPCE | 103 | Open PCE editor
tpVBAExecMacro | 104 | Execute VBA macro
tpNetAuth | 105 | Authorization in the network
tpReloadProject | 106 | Reload project online
tpShowRecipeDB | 107 | Show receiving database
tpSaveAlarms | 108 | Save AML and CEL memory buffer
tpSetFocus | 109 | Move focus
tpPictureIndex | 110 | Screen with index
tpAlarmgroupOnOff | 111 | Alarm/event group log in/log off
tpWriteTime | 112 | Write time to variable
tpReadTime | 113 | Read time from variable
tpDeleteAlarm | 114 | Alarms: delete
tpSendMessageAct | 115 | Send Message: activate
tpSendMessageDeact | 116 | Send Message: deactivate
tpExecPFSEvent | 117 | PFS - execute user-defined event
tpVSTAEditor | 130 | Open VSTA editor
tpVSTAExecMacro | 131 | Execute VSTA macro
tpVSTAMacroDialog | 132 | Show VSTA macro dialog
tpAlignVmImage | 139 | Transfer driver simulation image to the standby
tpSimulation | 141 | Activate/deactivate project simulation
tpSapCallFunction | 149 | Execute SAP function
tpEarthfault | 150 | Earthfault search
tpMsgSuppress | 151 | Group/class/area/equipment suppressed
tpMsgSaveQueue | 152 | Save current queue
tpReportViewerPrint | 153 | Report Viewer: export / print
tpBatchStateModeCmd | 154 | Execute recipe command change/mode change
tpBatchCreateCr | 155 | Create control recipe


tpGlobalMultiTouchMode

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpGlobalMultiTouchMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

tpGlobalMultiTouchMode

List of predefined tpGlobalMultiTouchMode constants...

Name | Value | Description
tpGMTNone | 0 | Multi-Touch recognition: deacivated
tpGMTWindows7 | 1 | Multi-Touch recognition: Windows 7
tpGMTWindows8 | 2 | Multi-Touch recognition: Windows 8


tpHardcopyOutput

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpHardcopyOutput

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpHardcopyOutput constants...used in: Hardcopy(...)

Name | Value | Description
tpBMP | 0 | Imagetype BMP of dynpicture hardcopy(...)


tpKanaltypes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpKanaltypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpKanaltypes constants...the usage of the object type depends on which driver is used.

Detailed information to each driver and object type is found in the Driver manual. Used in: SupportsChannel(...), IsAllowed(...), CreateVar(...), CreateArrayVar(...), CreateArrayVarEx(...)

Name | Value
tpControlStatus | 0
tpAdChan | 1
tpDaChan | 2
tpDigital | 3
tpFilter | 4
tpStrings | 5
tpConfigDef | 6
tpVirtuell | 7
tpSPSMerker | 8
tpSonderMerker | 9
tpSPSEingang | 10
tpSPSAusgang | 11
tpTimerEvent | 12
tpTriggerEvent | 13
tpInitFile | 14
tpDatenbaustein | 15
tpTerminal | 16
tpVirtuellOnlBerechnen | 17
tpDataTakerChan | 18
tpProgram | 19
tpSPSDatenRegister | 20
tpSPSFileRegister | 21
tpSPSTimer | 22
tpSPSZaehler | 23
tpHWStatus | 24
tpDataBlock | 25
tpEzObjekt | 32
tpSystemVariable | 33
tpExBaustein | 34
tpDriverVariable | 35
tpSonderMerker1 | 36
tpCsFirst | 64
tpCsLast | 79
tpCsDialog | 80
tpCsDaialogLast | 95
tpCsDbFirst | 96
tpCsDbLast | 127


tpLockResult

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpLockResult

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Name | Value | Description
tpAllowed | 0 |
tpLocked | 1 |
tpBusy | 2 |


tpLoginResult

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpLoginResult

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Result of the CheckLogin(...) method in Passwords.

Name | Value | Description
tpLoginOk | 0 | Login Ok
tpWrongUser | 1 | Wrong user
tpWrongPassword | 2 | Wrong password
tpWrongUserSystemLocked | 3 | Wrong user- System locked
tpSystemLocked | 4 | System locked
tpUserLocked | 5 | User locked
tpWrongPasswordUserLocked | 6 | Wrong password - User locked
tpPasswordExpired | 7 | Password expired
tpUserDeactivated | 8 | User deactivated
tpDefaultError | 255 | Default Error


tpModulePaths

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpModulePaths

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpModulePaths constants...

Name | Value | Description
tpPathGraphic | 0 |
tpPathExport | 1 |
tpPathBMP | 2 |
tpPathAlloc | 3 |
tpPathList | 4 |
tpPathMedia | 5 |
tpPathReport | 6 |
tpPathBackup | 7 |
tpPathExpArchives | 8 |
tpPathLanguage | 9 |
tpPathHelp | 10 |
tpPathPictures | 11 |
tpPathPCE | 12 |
tpPathSystem | 13 |
tpPathVideos | 14 |
tpPathDrivers | 15 |
tpPathAdditional | 17 |
tpPathRDLC | 18 |


tpMsgCtrlCelDetail

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpMsgCtrlCelDetail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Name | Value
tpCelDetailAll | 0
tpCelDetailPositiv | 1
tpCelDetailNegative | 2
tpCelDetailNone | 3


tpNetSendType

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpNetSendType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpNetSendType constants...

Name | Value | Description
tpToServer | 0 |
tpToStandby | 1 |
tpToAllClients | 2 |
tpToSpecificClient | 3 |


tpPfsDayLink

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpPfsDayLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpPfsDayLink constants...

Name | Value | Description
tpPfsExecute | 48 |
tpPfsSkip | 49 |
tpPfsDefaultDay | 50 |
tpPfsDefaultHDay | 51 |
tpPfsUnused | 52 |


tpPfsDefaultDays

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpPfsDefaultDays

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpPfsDefaultDays constants...

Name | Value | Description
tpPfsMonday | 2 |
tpPfsTuesday | 3 |
tpPfsWednesday | 4 |
tpPfsThursday | 5 |
tpPfsFriday | 6 |
tpPfsSaturday | 7 |
tpPfsSunday | 1 |
tpPfsHoliday | 8 |


tpPfsEventTypes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpPfsEventTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpPfsEventTypes constants...

Name | Value | Description
tpPfsCycleStart | 1 |
tpPfsCycleStartWithProduction | 2 |
tpPfsCycleStartWithoutProduction | 3 |
tpPfsProductionStart | 4 |
tpPfsProductionEnd | 5 |
tpPfsShiftStart | 6 |
tpPfsShiftEnd | 7 |
tpPfsBreakStart | 8 |
tpPfsBreakEnd | 9 |
tpPfsUserEvent | 10 |


tpPfsLinkTypes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpPfsLinkTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpPfsLinkTypes constants...

Name | Value | Description
tpPfsVariable | 32 |
tpPfsFunction | 33 |
tpPfsVariableWithMacro | 34 |
tpPfsFunctionWithMacro | 35 |


tpPfsTimeTypes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpPfsTimeTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpPfsTimeTypes constants...used in: CreateTime(...), Type

Name | Value | Description
tpPfsAbsoluteTime | 149 | PFS Timemodel absolute
tpPfsRelativeTime | 150 | PFS Timemodel relative


tpPointerDeviceChange

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpPointerDeviceChange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

tpPointerDeviceChange

Name | Value | Description
tpPDC_ARRIVAL | 1 |
tpPDC_REMOVAL | 2 |
tpPDC_ORIENTATION_0 | 4 |
tpPDC_ORIENTATION_90 | 8 |
tpPDC_ORIENTATION_180 | 16 |
tpPDC_ORIENTATION_270 | 32 |
tpPDC_MODE_DEFAULT | 64 |
tpPDC_MODE_CENTERED | 128 |
tpPDC_MAPPING_CHANGE | 256 |
tpPDC_RESOLUTION | 512 |
tpPDC_ORIGIN | 1024 |


tpProjectNetTypes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpProjectNetTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpProjectNetTypes constants...

Name | Value | Description
tpMainstation | 0 |
tpServer | 1 |
tpStandBy | 2 |
tpClient | 3 |


tpRema

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpRema

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpRema constants...used in: Create(...), Type

Name | Value | Description
tpBinaer | 1 | Binary
tpAnalog | 2 | Numeric
tpMultiBinaer | 3 | Multi binary
tpMultiAnalog | 4 | Multi numeric
tpString | 5 | String


tpRemoteTransportType

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpRemoteTransportType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpRemoteTransportType constants...

Name | Value | Description
tpSerial | 0 |
tpTCP | 1 |


tpRGMRecipeImport

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpRGMRecipeImport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Name | Value | Description
tpOverwriteRecipe | 0 |
tpCreateNewRecipe | 1 |
tpValuesDiffer | 2 |


tpRTCustomAction

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpRTCustomAction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpRTCustomAction constants...

Name | Value | Description
tpCopy | 0 |
tpCopyRegister | 1 |
tpCopyExecute | 2 |


tpRunStates

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpRunStates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpRunStates constants...

Name | Value | Description
tpRS_proc | 0 |
tpRS_2proc | 1 |
tpRS_2sim | 2 |
tpRS_simul | 3 |
tpRS_sim2sim | 4 |


tpSapActivity

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpSapActivity

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpSapActivity constants...used in: ActivityChanged(...), Activity

Name | Value | Description
tpSapActivity_inactive | 0 | Function not called
tpSapActivity_inqueue | 1 | Function waiting
tpSapActivity_active | 2 | Function active


tpSapError

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpSapError

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpSapError constants...used in: Call(...), CallAsync(...), CallFinished(...), ErrorCode

Name | Value | Description
tpSapError_No_Connection | -1 | No connection to SAP-system
tpSapError_Ok | 0 | Ok
tpSapError_Failure | 1 | Error occurred
tpSapError_Exception | 2 | Exception raised
tpSapError_Sys_Exception | 3 | System exception raised, connection closed
tpSapError_Call | 4 | Call received
tpSapError_Internal_Com | 5 | Internal communication, repeat (internal use only)
tpSapError_Closed | 6 | Connection closed by the other side
tpSapError_Retry | 7 | No data yet (RfcListen or RfcWaitForRequest only)
tpSapError_No_Tid | 8 | No Transaction ID available
tpSapError_Executed | 9 | Function already executed
tpSapError_Synchronize | 10 | Synchronous Call in Progress (only for Windows)
tpSapError_Memory_Insufficient | 11 | Memory insufficient
tpSapError_Version_Mismatch | 12 | Version mismatch
tpSapError_Not_found | 13 | Function not found (internal use only)
tpSapError_Call_Not_Supported | 14 | This call is not supported
tpSapError_Not_Owner | 15 | Caller does not own the specified handle
tpSapError_Not_Initialized | 16 | RFC not yet initialized
tpSapError_System_Called | 17 | A system call such as RFC_PING for connection test is executed
tpSapError_Invalid_Handle | 18 | An invalid handle was passed to an API call
tpSapError_Invalid_Parameter | 19 | An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
tpSapError_Canceled | 20 | An rfc call has been canceled by user
tpSapError_Conversion | 21 | An error during conversion has been detected
tpSapError_Invalid_Protocol | 22 | The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
tpSapError_Timeout | 23 | Timeout


tpScreenRawEventRouting

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpScreenRawEventRouting

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

tpScreenRawEventRouting

Name | Value | Description
tpScreenRawEventRoutingDeactivated | 0 |
tpScreenRawEventRoutingAllEvents | 1 |
tpScreenRawEventRoutingSelectedEvents | 2 |


tpStateBit

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpStateBit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpStateBit constants...

Name | Value | Description
tpBitAlarm | 1 |
tpBitPrint | 4 |
tpBitBlink | 8 |
tpBitFkt | 16 |
tpBitFktQuery | 32 |
tpBitNoQuit | 128 |
tpBitDelete | 256 |
tpBitBtb | 512 | Not real-time
tpBitBtbRt | 1024 | Real-time
tpBitTransparent | 2048 | Transparent
tpBitFktServer | 4096 | Execute function on server
tpBitFktClient | 8192 | Execute function on client
tpBitQuitAlarm | 16384 | Protocol alarm accepted
tpBitOutAlarm | 32768 | Alarm on outgoing alarm


tpTaskStatus

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpTaskStatus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpTaskStatus constants...only for use in PCE (Process Control Engine) in the Programming Interfaces.

Used in: Status

Name | Value | Description
tpStopTask | 0 | Stop
tpInitTask | 1 | Initialize
tpRunTask | 2 | Run


tpTaskTyp

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpTaskTyp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpTaskTyp constants...only for use in PCE (Process Control Engine) in the Programming Interfaces.

Usewd in: Type

Name | Value | Description
tpCycleTask | 0 | Cyclic
tpCallTask | 1 | Once


tpZenMenus

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpZenMenus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpZenMenus constants...

Name | Value | Description
tpVariable | 2 |
tpRtFunction | 1 |
tpVbaMacro | 3 |
tpZenHelp | 6 |


tpZenPathType

Manuels -> Interfaces de programmation -> Modèles d'objet -> Constants -> tpZenPathType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

List of predefined tpZenPathType constants...

Name | Value | Description
tpzenOnIniPath | 0 |
tpzenOnExePath | 1 |
tpzenOnUserPath | 2 |
tpzenOnAppDataPath | 3 |


Alarm

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object contains the alarming of the control system. It allows the access of the alarms that contain all important information.Every alarm action (receive/clear/acknowledge) executes an event available for VB(A). The object must be defined WithEvents.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zAlarm As Alarm

'procedure is executed on startup of the zenOn runtime
Private Sub Project_Active()
'init the alarm object for events
Set zAlarm = thisProject.Alarm
End Sub

'procedure is executed when an Alarm comes
Private Sub zAlarm_AlarmComes(ByVal obItem As IAlarmItem)
'print specific information to Debug window...
Debug.Print obItem.Timecomes & " > " & obItem.Text
End Sub

'procedure is executed when an Alarm has gone
Private Sub zAlarm_AlarmGoes(ByVal obItem As IAlarmItem)
'print specific information to Debug window...
Debug.Print obItem.Timegoes & " < " & obItem.Text
End Sub

'procedure is executed when an Alarm was acknowledged by a user
Private Sub zAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)
'print specific information to Debug window...
Debug.Print obItem.TimeAcknowledged & " | " & obItem.Text
End Sub

'procedure is executed on terminating the zenOn Runtime
Private Sub Project_Inactive()
'free the alarm object
Set zAlarm = Nothing
End Sub


Alarm-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Aktiv | Alarm-module in-/active | not used | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes


Aktiv

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Properties -> Aktiv

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the status of the alarm administration. If the value is True, the alarms administration is active. If it is not active the alarm buffer cannot be extended, i.e. no further alarms occur. It does not influence clearing existing alarms.De/activating the alarms administration is possible with the following functions of the control system:· Alarms active· Alarms inactive· Alarms active/inactive· Alarms/groups/classes

Datatype

Aktiv() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Alarm-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IAlarmItems | AlarmItems | - | not used | available | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


AlarmItems

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods -> AlarmItems

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the object AlarmItems of the alarming module. In this collection all existing alarms are listed. With the method Item you can access single alarms. The single alarm entries contain information on the alarms.Filter String:If the string is not "*", then the string should represent the name (case sensitive) of a zenon function.If a function with the given name exists, the filter settings within this function will be used.--> only version 6.51 and above

Datatype

AlarmItems(String strFilter) As AlarmItems

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

The filtering is not implemented at this time. For later use

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strFilter As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub GetAlarmItems()
Dim zAML As Alarm
Dim zAML_Items As AlarmItems
Dim zAML_Item As AlarmItem
Dim i As Integer
'set alarm objects
Set zAML = thisProject.Alarm
Set zAML_Items = zAML.AlarmItems("*")
'get count of active alarms...
MsgBox zAML_Items.Count & " Alarms in memory..."
'get text of active alarms...
For i = 0 To zAML_Items.Count - 1
Set zAML_Item = zAML_Items.Item(i)
Debug.Print zAML_Item.Text
Next i
End Sub


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With DynProperties it is possible to get access to additional Properties/Methods of Objects.

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property. Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()

'Sample: Set the Network Aktive Flag of the Project. MyWorkspace.ActiveDocument.DynProperties("NetActive") = True 'also set a computer as server... MyWorkspace.ActiveDocument.DynProperties("NetServer") = "COMPUTERNAME"

End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a StringArray of all Dynproperties available for this Object. Example how to call this method:

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object. A blank String like that returns the first layer of properties: DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps() Dim vProps As VariantDim i As Integer'get all DynProperties of the actual object (DynPicture, Element, ...) vProps = zenOnObject.DynPropertiesEnum("")

'Print informations of DynProperties into output window

For i = 0

To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Alarm-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | AlarmAcknowledged | Event: Is fired by alarm going... | not used | available | yes | yes
void | AlarmComes | Returns the alarm-items objects | not used | available | yes | yes
void | AlarmGoes | Event: Is fired by alarm coming... | not used | available | yes | yes
void | AlarmListSelectionChanged | Event: Is fired when the selection in the alarmlist has changed... | not used | available | yes | yes
void | AlarmUsertextChanged | Event: Is fired when the usertext has changed... | not used | available | yes | yes


AlarmAcknowledged

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Events -> AlarmAcknowledged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This Event is fired when an alarm was acknowledged by a user.To get these Event, an Object has to be declared and initialised

Datatype

AlarmAcknowledged(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

The returned object is an object of type AlarmItem and has all properties and methods like the original AlarmItem object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obItem As AlarmItem

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()
Set zAlarm = thisProject.Alarm
End Sub

Private Sub zAlarm_AlarmAcknowledged(ByVal obItem As IAlarmItem)
Debug.Print obItem.Text
End Sub


AlarmComes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Events -> AlarmComes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the alarm-items objects, Event is fired when an Alarm comes up...To get these Event, an Object has to be declared and initialised

Datatype

AlarmComes(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Returns an Object of Type AlarmItem (The AlarmItem which comes up)

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obItem As AlarmItem

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()
Set zAlarm = thisProject.Alarm
End Sub

Private Sub zAlarm_AlarmComes(ByVal obItem As IAlarmItem)
Debug.Print obItem.Text
End Sub


AlarmGoes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Events -> AlarmGoes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This Event is fired when an alarm has been gone.To get these Event, an Object has to be declared and initialised.

Datatype

AlarmGoes(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Returns an Object of Type AlarmItem (The AlarmItem which has gone)

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obItem As AlarmItem

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zAlarm As Alarm

Private Sub Project_Active()
Set zAlarm = thisProject.Alarm
End Sub

Private Sub zAlarm_AlarmGoes(ByVal obItem As IAlarmItem)
Debug.Print obItem.Text
End Sub


AlarmListSelectionChanged

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Events -> AlarmListSelectionChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The event will be fired whenever the Selection in the list is changed, when an item is selected the Entry will be passed on through the zenon-API. When an item has been deselected, the eventparameter will be "Nothing".Additionally the event will be triggered whenever an AML/CEL picture is closed. (This could lead the event being triggered twice with "Nothing").NOTE: When the Property "hide current selection" has been set at the listcontrol, the event will/should not be fired(!)

Datatype

AlarmListSelectionChanged(AlarmItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

The returned object is an object of type AlarmItem and has all properties and methods like the original AlarmItem object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obItem As AlarmItem

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zAMLPIC_Open()
'boolen flag to remember the open event
bAML = True
'init AML Object to get the AlarmListSelectionChanged event
Set zAML = thisProject.Alarm
End Sub

Private Sub zAMLPIC_Close()
'release object
Set zAML = Nothing
End Sub

Private Sub zAML_AlarmListSelectionChanged(ByVal obItem As IAlarmItem)
'If the boolen is TRUE, the first events can be ignored
'because in this case the events returns the default
'selection on opening the picture
If bAML = True Then
bAML = False
Else
If obItem Is Nothing Then Exit Sub
Debug.Print "A_Changed - " & obItem.Text
End If
End Sub


AlarmUsertextChanged

Manuels -> Interfaces de programmation -> Modèles d'objet -> Alarm -> Alarm-Events -> AlarmUsertextChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

AlarmUsertextChanged(String bsText) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AlarmItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The object AlarmItem contains information on an alarm. The different objects AlarmItem can be accessed with the method Alarm of the current project. The returned object contains the collection AlarmItems, where the single alarms are listed.If the object Alarm was defined with WithEvents, the events for received/cleared/acknowledged alarms are executed. Each of these events gets an object AlarmItem as a parameter.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub GetAlarmItems()
Dim zAML As Alarm
Dim zAML_Items As AlarmItems
Dim zAML_Item As AlarmItem
Dim i As Integer

'set alarm objects
Set zAML = thisProject.Alarm
Set zAML_Items = zAML.AlarmItems("*")

'get text of active alarms...
For i = 0 To zAML_Items.Count - 1
Set zAML_Item = zAML_Items.Item(i)
Call PrintAlarm(zAML_Item)
Next i
End Sub

Sub PrintAlarm(YourAlarmItem As AlarmItem)
'this procedure will print out a set of informations
'depending to the given AlarmItem...
Debug.Print "TimeComes : " & YourAlarmItem.Timecomes
Debug.Print "TimeGoes : " & YourAlarmItem.Timegoes
Debug.Print "TimeAcknowledged: " & YourAlarmItem.TimeAcknowledged
Debug.Print "Text : " & YourAlarmItem.Text
Debug.Print "Variable : " & YourAlarmItem.Variable.Name
Debug.Print "Value : " & YourAlarmItem.Value
End Sub


AlarmItem-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
short | AlarmClass | Alarmclass | not used | read only | yes | yes
short | AlarmGroup | Alarmgroup | not used | read only | yes | yes
BSTR | Computer | Computer, which raised the alarm | not used | read only | yes | yes
long | Countreactivated | - | not used | read only | yes | yes
BSTR | Name | Name | not used | read only | yes | yes
IAlarmItems | Parent | Parent-object | read only | read only | yes | yes
BSTR | Projectname | Project-name | not used | read only | yes | yes
long | Status | Status of the variable | not used | read only | yes | yes
long | Statusreactivated | - | not used | read only | yes | yes
BSTR | Tagname | TagName of the linked variable | not used | read only | yes | yes
BSTR | Text | Alarmtext of the variable (limit/rema) | not used | read only | yes | yes
DATE | TimeAcknowledged | - | not used | read only | yes | yes
DATE | Timecomes | Time of the alarm | not used | read only | yes | yes
DATE | Timegoes | - | not used | read only | yes | yes
DATE | Timequitted |  | not used | not used | yes | yes
DATE | Timereactivated | - | not used | read only | yes | yes
BSTR | User | User, which raised the alarm | not used | read only | yes | yes
BSTR | Usertext | - | not used | available | yes | yes
VARIANT | Value | Value of the variable | not used | read only | yes | yes


AlarmClass

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> AlarmClass

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the defined alarm class. A limit or a status in a REMA can be linked with an alarm class.As a default no alarm class is linked.A maximum of 8 different alarm classes can be defined. The alarm classes have the following tasks:- Priorityfor picture alarming- Colour switching- Definition of alarm colours in the alarms list and for picture alarming- Filter criteria in the alarms list and chronologic events list- Function calling- Execution of e.g. acoustic alarming

Datatype

AlarmClass() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


AlarmGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> AlarmGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the defined alarm class. A limit or a status in a REMA can be linked with an alarm class.As a default no alarm group is linked.A maximum of 256 different alarm groups can be defined. The alarm groups serve for the object orientated technological differenciation:- Group 1 = pumps- Group 2 = electricity- Group 3 = ...

Datatype

AlarmGroup() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Computer

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Computer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of the computer, on which the action occurred, e.g. acknowledging an alarm. The field for the computer name is limited to 47 characters.If the project runs stand-alone (without network), this property returns the name of the computer, where the project runs. In a network this name can be a client, a server or a stand-by.

Datatype

Computer() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Countreactivated

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Countreactivated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the number of the reactivations of the alarm. In the project configuration the option with time reactivated can be set. So a received and not acknowledged alarm only generates one entry. A new occuarance of the alarm only sets a counter, updates the time received and the status.If this option is not used every occurance of the alarm generates a new entry.

Datatype

Countreactivated() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property returns the name of the variable linked to the alarm entry. This variable can also be found with the method Variable of this object.The variable was defined as an alarm variable in the limit/REMA definition.The name of the variable is unique. With this name the variable can be found in the central variables list of the project.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As AlarmItems

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Projectname

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Projectname

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of the project in which the alarm occurred. As the object Alarm is always executed in the current project, this property is always the same as Project.Name and thisProject.Name in VBA.With this name the project can be found in the central project list of the application.

Datatype

Projectname() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property returns the status of the value, that executed the alarm, e.g. the variable Heating_1 has a maximum limit of 10. The value is set to 15 on error. In this case the property contains the status of the value 15.The returned value contains the status in bit code.The following stati are possible in the control system:· Invalid (I-Bit)· Not actualized· Alternate value (EWERT)· General request (GA)· Spontan· Summer/Winter time· Switched off (N_AKT)· Realtime external· Realtime internal· Wintertime· Hand value· User flag 1 .. 8 (ST_M1 .. ST_M8)· Select (SELEC)· Revision (REV)· Run contact (LAUF)· Runtime overflow (LZÜ)· Fail Trafo (SM_TR)· NS· INFO· Set direction

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Statusreactivated

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Statusreactivated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the status of the reactivated, violated value. Usually this is the property of the current status.If the option with time reactivated in the alarm configuration is set, this property returns the status of the newest violation. With this setting a received unacknowledged alarm only generates one entry. On the next occurence a counter is increased and the time received and the status of the value is updated.

Datatype

Statusreactivated() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Tagname

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Tagname

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property returns the identification of the variable that executed the alarm. Further properties of the linked variable can be found out with the method Variable. In this case the object Variable is returned.

Datatype

Tagname() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Text

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Alarmtext of the variable (limit/rema)

Datatype

Text() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TimeAcknowledged

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> TimeAcknowledged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property contains the time stamp of the event „acknowledged“. Acknowledging an alarm means, that the user read the entry and reacted. Acknowledging is always done by a user.On acknowledging the fields computer and user are set to the current computer and user. This action closes the alarm entry.

Datatype

TimeAcknowledged() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timecomes

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Timecomes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property contains the time stamp of the first event „received“.If the option with time reactivated in the alarm configuration is set, this alarm entry is also used for the next violation (unless it is acknowledged). Thereby the time received, the number of reactivations and the status of the value is updated.The property Timereactivated returns the time of the last event „received“.If this option is not set each event „received“ creates an own alarm entry with the appropriate information.

Datatype

Timecomes() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timegoes

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Timegoes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property contains the time stamp of the event „cleared“. The event „cleared“ is executed an the end of the alarm, i.e. the limit violation no longer exists. The time stamp of the event „cleared“ always is greater than that of the event „received“ (see Timecomes).If the option with time reactivated in the alarm configuration is set, it is possible that the time cleared is smaller than the time reactivated (see Timereactived).

Datatype

Timegoes() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Timequitted

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Timequitted

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property contains the time stamp of the event „acknowledged“. Acknowledging an alarm means, that the user read the entry and reacted. Acknowledging is always done by a user.On acknowledging the fields computer and user are set to the current computer and user. This action closes the alarm entry.

Datatype

Timequitted() As DATE

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Timereactivated

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Timereactivated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property contains the time stamp of the last event „received“. Usually this is the property Timecomes.If the option with time reactivated in the alarm configuration is set, this entry is updated the next time the alarm occurs (unless it is acknowledged). Thereby the time received, the number of reactivations and the status of the value is updated.

Datatype

Timereactivated() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> User

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the identification of the user that acknowledged the current alarm. The user logged in at that time is found out and his identification is read. This is transferred to the object Alarm. If no user is logged in, the user SYSTEM is automatically logged in.With this identification the user can be located in the central user administration of the process control system.

Datatype

User() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Usertext

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Usertext

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

additional Text defined by the User.

Datatype

Usertext() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Value

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Properties -> Value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property returns the „invalid“ value responsible for the occurence of the alarm. The current value was changed from the raw value to a zenOn value.The property value is set on the first event „received“ of the alarm entry. If the alarm is reactivated, only the number of reactivations, the time received and the status of the value is updated.

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


AlarmItem-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Acknowledge | Quit the Alarm | not used | available | yes | yes
VARIANT_BOOL | Delete | Delete the Alarm | not used | available | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
VARIANT_BOOL | Quit |  | not used | not used | yes | yes
IVariable | Variable | Returns the linked variable | not used | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


Acknowledge

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> Acknowledge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Method to set an Alarm as "acknowledged"

Datatype

Acknowledge() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Method to set an Alarm as "deleted"

Datatype

Delete() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property. Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property. Example: "NetAktive" Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp() 'Sample: Set the Network Aktive Flag of the Project. MyWorkspace.ActiveDocument.DynProperties("NetActive") = True 'also set a computer as server... MyWorkspace.ActiveDocument.DynProperties("NetServer") = "COMPUTERNAME"

End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object. A blank String like that returns the first layer of properties: DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()

Dim vProps As Variant

Dim i As Integer

'get all DynProperties of the actual object (DynPicture, Element, ...)

vProps = zenOnObject.DynPropertiesEnum("")

'Print informations of DynProperties into output window

For i = 0

To UBound(vProps) Debug.Print vProps(i)

Next i

End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Quit

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> Quit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Method to set an Alarm as "quitted"

Datatype

Quit() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variable

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItem -> AlarmItem-Methods -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the variable linked to the alarm entry. The variable contains general process information, whereas the alarm entry contains information on the alarm.Refer to the chapter Variable for more detailled information.Hint: The variable should be checked on Nothing.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AlarmItems

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItems

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The alarm entries are administered in this collection. If a new alarm occurs, it is added to this collection.The single alarm entries contain information on the alarm, e.g. name, variable, alarm group, alarm class, ...

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'*** In this example all alarm entries are read and displayed in the Output window of VBA.
'*** Run Aml_Items and write information of the items to the debug-window of the VBA-IDE
Public Sub Aml_Items()
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Write information to debug-window of the VBA-IDE
For nIndex = 0 To obAml.AlarmItems.Count - 1
Set obAmlItem = obAml.AlarmItems.Item(nIndex)
If Not obAmlItem Is Nothing Then
Debug.Print "Alarm: " & obAmlItem.Name & _
" Variable: " & obAmlItem.Variable.Name & _
" AmlGroup: " & CStr(obAmlItem.AlarmGroup) & _
" AmlClass: " & CStr(AlarmItem.AlarmClass)
End If
Next nIndex
End Sub

'**********************************************************************
'* This codesample browses all alarms and searches in the alargroups *
'* 1-3 for non acknowledged alarms. *
'* ------------------------------------------------------------------ *
'* Autor: Mark Clemens Support, COPA-DATA GmbH *
'**********************************************************************
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
Dim obAmlItems As AlarmItems
Dim nIndex As Variant
Dim obVariable As Variable
Dim nAcknowledged1, nAcknowledged2, nAcknowledged3 As Boolean

Sub Aml_Items()
'*** Reset internal variables
nAcknowledged1 = False
nAcknowledged2 = False
nAcknowledged3 = False
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Get all alarmitems
Set obAmlItems = obAml.AlarmItems("*")
For nIndex = 0 To obAmlItems.Count - 1
Set obAmlItem = obAmlItems.Item(nIndex)
If (Not obAmlItem Is Nothing) Then
'*** Define which alarmgroups should be searched
Select Case obAmlItem.AlarmGroup
Case 1
'*** Search for non acknowledged alarms by comparing the TimeAcknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged1 = True
End If
Case 2
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged2 = True
End If
Case 3
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged3 = True
End If
End Select
End If
Next nIndex
'*** After all Alarms have been analyzed set the processvariables
'***Group 1
Set obVariable = thisProject.Variables.Item("group1_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged1 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 2
Set obVariable = thisProject.Variables.Item("group2_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged2 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 3
Set obVariable = thisProject.Variables.Item("group3_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged3 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
End Sub


AlarmItems-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItems -> AlarmItems-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Aktiv | Alarm-module in-/active | not used | read only | yes | yes
long | Count | Count of the alarm-items | read only | read only | yes | yes
IAlarm | Parent | Parent-object | read only | read only | yes | yes


Aktiv

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItems -> AlarmItems-Properties -> Aktiv

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the status of the alarm administration. If the value is True, the alarms administration is active. If it is not active the alarm buffer cannot be extended, i.e. no further alarms occur. It does not influence clearing existing alarms.De/activating the alarms administration is possible with the following functions of the control system:· Alarms active· Alarms inactive· Alarms active/inactive· Alarms/groups/classes

Datatype

Aktiv() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItems -> AlarmItems-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItems -> AlarmItems-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Alarm

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


AlarmItems-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItems -> AlarmItems-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IAlarmItem | Item | Returns the alarm-item on the given position | available | available | yes | yes


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> AlarmItems -> AlarmItems-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object for the alarm entry at the position vID. All existing alarms of the project are in this collection. The returned object Alarmitem contains important information on the alarm.This method Item only allows accessing with the index.Hint: Check the returned object on Nothing, if no object for the search creteria was found.

Datatype

Item(VARIANT vIndex) As AlarmItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vID As Variant

Unique index for the position of the element in the list. Care that the index is < Count, i.e. for nIndex = 0 to Count-1

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** In this example all alarm entries are read and displayed in the Output window of VBA.
'*** Run Aml_Items and write information of the items to the debug-window of the VBA-IDE
Public Sub Aml_Items()
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Write information to debug-window of the VBA-IDE
For nIndex = 0 To obAml.AlarmItems.Count - 1
Set obAmlItem = obAml.AlarmItems.Item(nIndex)
If Not obAmlItem Is Nothing Then
Debug.Print "Alarm: " & obAmlItem.Name & _
" Variable: " & obAmlItem.Variable.Name & _
" AmlGroup: " & CStr(obAmlItem.AlarmGroup) & _
" AmlClass: " & CStr(AlarmItem.AlarmClass)
End If
Next nIndex
End Sub

'**********************************************************************
'* This codesample browses all alarms and searches in the alargroups *
'* 1-3 for non acknowledged alarms. *
'* ------------------------------------------------------------------ *
'* Autor: Mark Clemens Support, COPA-DATA GmbH *
'**********************************************************************
Dim obAml As Alarm
Dim obAmlItem As AlarmItem
Dim obAmlItems As AlarmItems
Dim nIndex As Variant
Dim obVariable As Variable
Dim nAcknowledged1, nAcknowledged2, nAcknowledged3 As Boolean

Sub Aml_Items()
'*** Reset internal variables
nAcknowledged1 = False
nAcknowledged2 = False
nAcknowledged3 = False
'*** Get Alarm-object of the current project
Set obAml = thisProject.Alarm
'*** Get all alarmitems
Set obAmlItems = obAml.AlarmItems("*")
For nIndex = 0 To obAmlItems.Count - 1
Set obAmlItem = obAmlItems.Item(nIndex)
If (Not obAmlItem Is Nothing) Then
'*** Define which alarmgroups should be searched
Select Case obAmlItem.AlarmGroup
Case 1
'*** Search for non acknowledged alarms by comparing the TimeAcknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged1 = True
End If
Case 2
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged2 = True
End If
Case 3
'*** Search for non acknowledged alarms by comparing the timeacknowledged Date
If obAmlItem.TimeAcknowledged = "01.01.1970 01:00:00" Then
nAcknowledged3 = True
End If
End Select
End If
Next nIndex
'*** After all Alarms have been analyzed set the processvariables
'***Group 1
Set obVariable = thisProject.Variables.Item("group1_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged1 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 2
Set obVariable = thisProject.Variables.Item("group2_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged2 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
'***Group 3
Set obVariable = thisProject.Variables.Item("group3_not_acknowledged")
If Not (obVariable Is Nothing) Then
If nAcknowledged3 = True Then
obVariable.Value = 1
Else
obVariable.Value = 0
End If
End If
End Sub


ALCEdge

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this object you have the opportunity to get informations about a selected procedural element.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub ALCEdge()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine
Dim zAlcNode1 As ALCNode 'Child object from type ALCEngine
Dim zAlcNode2 As ALCNode 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Get the first procedural element of the project
Set zAlcEdge = zAlcEngine.EdgeItem(0)

'Returns the ID of the procedural element in the screen
MsgBox "ElementID of the procedural element = " & zAlcEdge.ElementID
'Returns the screen in which the procedural element is used
MsgBox "Screen = " & zAlcEdge.Picture
'Returns the ID of the ALC source (the list of these Ids is available at the project property "Automatic line coloring")
MsgBox "Source ID = " & zAlcEdge.SourceID

'Returns the type of procedural element
If zAlcEdge.Type = 0 Then
MsgBox "Type = tpALCTypeNode"
ElseIf zAlcEdge.Type = 1 Then
MsgBox "Type = tpALCTypeSource"
ElseIf zAlcEdge.Type = 2 Then
MsgBox "Type = tpALCTypeSwitch"
ElseIf zAlcEdge.Type = 3 Then
MsgBox "Type = tpALCTypeSink"
ElseIf zAlcEdge.Type = 4 Then
MsgBox "Type = tpALCTypeTrafo"
ElseIf zAlcEdge.Type = 5 Then
MsgBox "Type = tpALCTypeLink"
End If

'Returns the variable which is linked to the procedural element
MsgBox "Linkes variable = " & zAlcEdge.Variable.Name

'Returns the first connected node (HINT:Not all procedural elements include two Nodes!)
Set zAlcNode1 = zAlcEdge.Node1
'Returns the ID of the node in the screen
MsgBox "Link ID Node1 = " & zAlcNode1.LinkID
'Returns the second connected node
Set zAlcNode2 = zAlcEdge.Node2
'Returns the ID of the node in the screen
MsgBox "Link ID Node2 = " & zAlcNode2.LinkID

End Sub


ALCEdge-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ElementID | Returns the ID of the element the edge is connected with. | read only | read only | yes | yes
BSTR | ElementRef | Returns the reference name of the element the edge is connected with. | not used | available | yes | yes
tpALCGroundFaultType | GroundFaultType | Returns the ground fault detection type if the edge is of type Switch. | not used | available | yes | yes
IVariable | GroundFaultVarDisp | Returns the attached ground fault display Variable if ground fault detection is enabled. | not used | available | yes | yes
IVariable | GroundFaultVarFwd | Returns the attached ground fault forward Variable if ground fault detection is enabled. | not used | available | yes | yes
IVariable | GroundFaultVarRev | Returns the attached ground fault reverse Variable if ground fault detection is enabled. | not used | available | yes | yes
IVariable | GroundFaultVarTrg | Returns the attached ground fault trigger Variable if ground fault detection is enabled. | not used | available | yes | yes
IALCNode | Node1 | Returns the first ALC node. | read only | read only | yes | yes
IALCNode | Node2 | Returns the second ALC node. | read only | read only | yes | yes
BSTR | Picture | Returns the name of the picture the element is located in. | read only | read only | yes | yes
long | ReverseSourceID | Returns the reverse Source ID if the edge is of type Trafo. | not used | available | yes | yes
tpALCShortFaultType | ShortFaultType | Returns the short fault detection type if the edge is of type Switch. | not used | available | yes | yes
IVariable | ShortFaultVarDisp | Returns the attached short fault display Variable if short fault detection is enabled. | not used | available | yes | yes
IVariable | ShortFaultVarFwd | Returns the attached short fault forward Variable if short fault detection is enabled. | not used | available | yes | yes
IVariable | ShortFaultVarRev | Returns the attached short fault reverse Variable if short fault detection is enabled. | not used | available | yes | yes
IVariable | ShortFaultVarTrg | Returns the attached short fault trigger Variable if short fault detection is enabled. | not used | available | yes | yes
long | SourceID | Returns the Source ID if the edge is of type Source or Trafo. | read only | read only | yes | yes
tpALCType | Type | Returns the type of this ALC edge. | read only | read only | yes | yes
IVariable | Variable | Returns the attached Variable if the edge is of type Source or Switch. | read only | read only | yes | yes


ElementID

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ElementID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the ID of the procedural element in the picture.

Datatype

ElementID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetNameOfElement()
Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get first procedural element of the project
Set zAlcEdge = thisProject.ALCEngine.EdgeItem(0)
'Get name of this procedural element (combielement)
Debug.Print "Name of element = " & FindElem(zAlcEdge).Name

End Sub

Function FindElem(zAlcEdge As ALCEdge) As Element
Dim i As Integer
Dim zPIC As DynPicture

'Get picture object
Set zPIC = thisProject.DynPictures.Item(zAlcEdge.Picture)
'Enum elements in picture
For i = 0 To zPIC.Elements.count - 1
'Check element id
If zPIC.Elements.Item(i).ID = zAlcEdge.ElementID Then
'Return Element
Set FindElem = zPIC.Elements.Item(i)
Exit Function
End If
Next i
End Function


ElementRef

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ElementRef

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ElementRef() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultType

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> GroundFaultType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

GroundFaultType() As tpALCGroundFaultType

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarDisp

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarDisp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

GroundFaultVarDisp() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarFwd

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarFwd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

GroundFaultVarFwd() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarRev

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarRev

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

GroundFaultVarRev() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


GroundFaultVarTrg

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> GroundFaultVarTrg

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

GroundFaultVarTrg() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Node1

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> Node1

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an object from type "ALCNode". It represents a node which is connected to the procedural element. Hint: It is also possible that only one of the two nodes is connected to the procedural element.

Datatype

Node1() As ALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Node2

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> Node2

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an object from type "ALCNode". It represents a node which is connected to the procedural element. Hint: It is also possible that only one of the two nodes is connected to the procedural element.

Datatype

Node2() As ALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> Picture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the picture in which the procedural element is used.

Datatype

Picture() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ReverseSourceID

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ReverseSourceID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ReverseSourceID() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultType

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ShortFaultType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ShortFaultType() As tpALCShortFaultType

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarDisp

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarDisp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ShortFaultVarDisp() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarFwd

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarFwd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ShortFaultVarFwd() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarRev

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarRev

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ShortFaultVarRev() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ShortFaultVarTrg

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> ShortFaultVarTrg

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ShortFaultVarTrg() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


SourceID

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> SourceID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the ID of the ALC source (the list of these IDs is available at the zenOn project property "Automatic line coloring")

Datatype

SourceID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Type() As tpALCType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Variable

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEdge -> ALCEdge-Properties -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an object from type "Variable". It represents the variable which is linked to the procedural element.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ALCEngine

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this object you have the opportunity to get line and procedural elements via an index or from specific Screens and specific Element IDs.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'This method searches a procedural element via an index in the project
Sub GetEdgeItem()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Get the first ALC procedural element of the project
Set zAlcEdge = zAlcEngine.EdgeItem(0)
MsgBox "Element is in screen = " & zAlcEdge.Picture
FindEdge

End Sub

'This method searches for a procedural element in a specific screen with a specific ElementID
Sub FindEdge()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Returns an ALC procedural element with a specific ID (element ID in the screen) from a specific screen
Set zAlcEdge = zAlcEngine.FindEdge("BILD3", 10)
'Show the name of the variable which is connected to the procedural element
MsgBox "Variable of the element = " & zAlcEdge.Variable.Name
NodeItem

End Sub

'This method searches a line element via an index in the project
Sub NodeItem()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine
Dim LineStates As Variant 'Collect the line states
Dim i As Integer

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Number of connections in the project
MsgBox "Node count = " & zAlcEngine.NodeCount
'Get the first line element of the screen
Set zAlcNode = zAlcEngine.NodeItem(0)

LineStates = zAlcNode.LineStates
'Show the first line state in RT (Be careful that the line has to have a state unequal "empty")
MsgBox "Line state = " & LineStates(0)
FindNode

End Sub

'This method searches for a line element in a specific screen with a specific ElementID
Sub FindNode()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Returns an ALC line element with a specific ID (element ID in the screen) from a specific screen
Set zAlcNode = zAlcEngine.FindNode("BILD3", 18)
'Returns the number of procedural elements which are connected to the line element
MsgBox "Number of connected procedural elements = " & zAlcNode.EdgeCount

End Sub


ALCEngine-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | EdgeCount | Returns the number of ALC edges. | read only | read only | yes | yes
long | GraphAliasCount | Returns the number of ALC alias elements. | read only | read only | yes | yes
long | GraphElemCount | Returns the number of ALC elements. | read only | read only | yes | yes
tpALCGroundFaultMode | GroundFaultMode | Get/Set the ground fault mode. | not used | available | yes | yes
long | NodeCount | Returns the number of ALC nodes. | read only | read only | yes | yes
IProject | Parent | Returns the parent of the ALCEngine Object. | read only | read only | yes | yes
double | MaxOverload |  | not used | read only | yes | yes


EdgeCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties -> EdgeCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the number of procedural elements (generator, source, switch, disconnector, drain, transformator, link) from a project.

Datatype

EdgeCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


GraphAliasCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties -> GraphAliasCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects.

Datatype

GraphAliasCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


GraphElemCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties -> GraphElemCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects.

Datatype

GraphElemCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


GroundFaultMode

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties -> GroundFaultMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

GroundFaultMode() As tpALCGroundFaultMode

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MaxOverload

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties -> MaxOverload

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MaxOverload() As double

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


NodeCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties -> NodeCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the number of nodes in a project.

Datatype

NodeCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ALCEngine-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | AckGroundFault | Acknowledges a ground fault detection. | not used | available | yes | yes
void | AckShortFault | Acknowledges a short fault detection. | not used | available | yes | yes
IALCEdge | EdgeItem | Returns the ALC edge at the given index. | read only | read only | yes | yes
IALCEdge | FindEdge | Returns the ALC edge associated to the given element. | read only | read only | yes | yes
IALCEdge | FindEdgeByRef | Returns the ALC edge associated to the given element. | not used | read only | yes | yes
IALCNode | FindNode | Returns the ALC node associated to the given element. | read only | read only | yes | yes
IALCNode | FindNodeByRef | Returns the ALC node associated to the given element. | not used | read only | yes | yes
IALCGraphAlias | GraphAliasItem | Returns the ALC alias element at the given index. | read only | read only | yes | yes
IALCGraphElem | GraphElemItem | Returns the ALC element at the given index. | read only | read only | yes | yes
IALCNode | NodeItem | Returns the ALC node at the given index. | read only | read only | yes | yes


AckGroundFault

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> AckGroundFault

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

AckGroundFault(IVariable pVariable) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AckShortFault

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> AckShortFault

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

AckShortFault(IVariable pVariable) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


EdgeItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> EdgeItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns a procedural element (generator, source, switch, disconnector, drain, transformator, link) from the project. Such an element is from type ALCEdge.

Datatype

EdgeItem(long lIndex) As ALCEdge

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Position of the element in the project.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetEdgeItem()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = MyWorkspace.ActiveDocument.ALCEngine
'Get the first ALC procedural element of the project
Set zAlcEdge = zAlcEngine.EdgeItem(0)
MsgBox "Element is in picture = " & zAlcEdge.Picture

End Sub


FindEdge

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> FindEdge

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns a procedural element (generator, source, switch, disconnector, drain, transformator, link) from a specific picture with a specific ID (ID of the element in the picture).

Datatype

FindEdge(String bsPicture, long lElementID) As ALCEdge

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

ID of the element in the Screen. String that defines the Screen in which the ALC element is used.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lElementID As Long

bsPicture As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub FindEdge()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = MyWorkspace.ActiveDocument.ALCEngine
'Returns an ALC procedural element with a specific ID (element ID in the picture) from a specific picture
Set zAlcEdge = zAlcEngine.FindEdge("BILD3", 17)
'Show the ALC ID if the element
MsgBox "Source ID of the element = " & zAlcEdge.SourceID

End Sub


FindEdgeByRef

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> FindEdgeByRef

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

FindEdgeByRef(String bsElemRef) As ALCEdge

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FindNode

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> FindNode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns an ALC node from a specific picture with a specific ID (ID of the element in the picture).

Datatype

FindNode(String bsPicture, long lElementID) As ALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

ID from one of the line elements which is connected to the node. String that defines the Screen in which the ALC element is used.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lElementID As Long

bsPicture As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub FindNode()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Returns a ALC node with a specific ID (ID from one of the connected line elements) from a specific picture
Set zAlcNode = zAlcEngine.FindNode("BILD3", 18)
'Returns the number of procedural elements which are connected to the line element
MsgBox "Number of connected procedural elements = " & zAlcNode.EdgeCount

End Sub


FindNodeByRef

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> FindNodeByRef

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

FindNodeByRef(String bsElemRef) As ALCNode

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GraphAliasItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> GraphAliasItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

GraphAliasItem(long lIndex) As ALCGraphAlias

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GraphElemItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> GraphElemItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

GraphElemItem(long lIndex) As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


NodeItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Methods -> NodeItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns a node from the project. Such an element is from object type "ALCNode".

Datatype

NodeItem(long lIndex) As ALCNode

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Position of the element in the project.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub NodeItem()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = MyWorkspace.ActiveDocument.ALCEngine
'Get the first node of the picture
Set zAlcNode = zAlcEngine.NodeItem(0)
'Returns the number of procedural elements which are connected to the line element
MsgBox "Number of edges = " & zAlcNode.EdgeCount

End Sub


ALCEngine-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | CheckInterlocking | Event: Is fired to check interlockings. | not used | available | yes | yes


CheckInterlocking

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCEngine -> ALCEngine-Events -> CheckInterlocking

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CheckInterlocking(ALCEdge pALCEdge, long nNewState, tpLockResult LockResult, String bsText, Boolean bUnlockable) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ALCGraphAlias

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphAlias

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this object you have the opportunity to get line and procedural elements via an index or from specific Screens and specific Element IDs.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

//Iterate all ALCGraph aliases using the GraphAliasCount property. this.ActiveDocument is the active workspace

//Create an instance of the zenOn.IALCGraphAlias to collect a Graph element on index

//Print the output using the output window, use: this.Parent.DebugPrint().

public void Macro_GraphAlias()

{

for (int i = 0; i < this.ActiveDocument.ALCEngine().GraphAliasCount; i++)

{

zenOn.IALCGraphAlias AlcAlias = this.ActiveDocument.ALCEngine().GraphElemItem(i);

this.Parent.DebugPrint(string.Format("ID: {0}; Type: {1}; Picture: {2}", AlcAlias.ElementID, AlcAlias.Type, AlcAlias.Picture), zenOn.tpDebugPrintStyle.tpNrm);

}

}

VB.NET

//Iterate all ALCGraph aliases using the GraphAliasCount property. this.ActiveDocument is the active workspace

//Create an instance of the zenOn.IALCGraphAlias to collect a Graph element on index

//Print the output using the output window, use: this.Parent.DebugPrint().

Public Sub Macro_GraphAlias()

For i As Integer = 0 To Me.ActiveDocument.ALCEngine().GraphAliasCount - 1

Dim AlcAlias As zenOn.IALCGraphAlias = Me.ActiveDocument.ALCEngine().GraphElemItem(i)

Me.Parent.DebugPrint(String.Format("ID: {0}; Type: {1}; Picture: {2}", AlcAlias.ElementID, AlcAlias.Type, AlcAlias.Picture), zenOn.tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA


ALCGraphAlias-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphAlias -> ALCGraphAlias-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ElementID | Returns the ID of the element the edge is connected with. | read only | read only | yes | yes
BSTR | ElementRef | Returns the reference name of the element the edge is connected with. | read only | read only | yes | yes
IALCGraphElem | OriginalGraphElem | Returns the original ALC element. | read only | read only | yes | yes
BSTR | Picture | Returns the name of the picture the element is located in. | read only | read only | yes | yes
tpALCType | Type | Returns the type of this ALC edge. | read only | read only | yes | yes


ElementID

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphAlias -> ALCGraphAlias-Properties -> ElementID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ElementID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementRef

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphAlias -> ALCGraphAlias-Properties -> ElementRef

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ElementRef() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


OriginalGraphElem

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphAlias -> ALCGraphAlias-Properties -> OriginalGraphElem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OriginalGraphElem() As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphAlias -> ALCGraphAlias-Properties -> Picture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Picture() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphAlias -> ALCGraphAlias-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Type() As tpALCType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ALCGraphElem

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this object you have the opportunity to get line and procedural elements via an index or from specific Screens and specific Element IDs.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

//Iterate all ALCGraph elements using the GraphElemCount property. this.ActiveDocument is the active workspace

//Create an instance of the zenOn.IALCGraphElem to collect a Graph element on index

//Print the output using the output window, use: this.Parent.DebugPrint().

public void Macro_GraphElem()

{

for (int i = 0; i < this.ActiveDocument.ALCEngine().GraphElemCount; i++)

{

zenOn.IALCGraphElem AlcElem = this.ActiveDocument.ALCEngine().GraphElemItem(i);

this.Parent.DebugPrint(string.Format("ID: {0}; Type: {1}; Picture: {2}", AlcElem.ElementID, AlcElem.Type, AlcElem.Picture), zenOn.tpDebugPrintStyle.tpNrm);

}

}

VB.NET

//Iterate all ALCGraph elements using the GraphElemCount property. this.ActiveDocument is the active workspace

//Create an instance of the zenOn.IALCGraphElem to collect a Graph element on index

//Print the output using the output window, use: this.Parent.DebugPrint().

Public Sub Macro_GraphElem()

For i As Integer = 0 To Me.ActiveDocument.ALCEngine().GraphElemCount - 1

Dim AlcElem As zenOn.IALCGraphElem = Me.ActiveDocument.ALCEngine().GraphElemItem(i)

Me.Parent.DebugPrint(String.Format("ID: {0}; Type: {1}; Picture: {2}", AlcElem.ElementID, AlcElem.Type, AlcElem.Picture), zenOn.tpDebugPrintStyle.tpNrm)

Next

End Sub

VBA


ALCGraphElem-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ElementID | Returns the ID of the element the edge is connected with. | read only | read only | yes | yes
BSTR | ElementRef | Returns the reference name of the element the edge is connected with. | read only | read only | yes | yes
double | Length | Returns the length | read only | read only | yes | yes
long | LoadType | Returns the load type | read only | read only | yes | yes
double | LoadVal | Returns the fixed load value | read only | read only | yes | yes
long | MaxIType | Returns the maximal current type | read only | read only | yes | yes
double | MaxIVal | Returns the fixed maximal current | read only | read only | yes | yes
long | Node1Count | Returns the number of elements connected to first node. | read only | read only | yes | yes
long | Node2Count | Returns the number of elements connected to second node. | read only | read only | yes | yes
BSTR | Picture | Returns the name of the picture the element is located in. | read only | read only | yes | yes
double | React | Returns the reactance | read only | read only | yes | yes
double | Resist | Returns the resistance | read only | read only | yes | yes
long | ReverseSourceID | Returns the reverse Source ID if the edge is of type Trafo. | read only | read only | yes | yes
long | SourceID | Returns the Source ID if the edge is of type Source or Trafo. | read only | read only | yes | yes
tpALCType | Type | Returns the type of this ALC edge. | read only | read only | yes | yes
IVariable | VarCalcI | Returns the variable for calculated current | read only | read only | yes | yes
IVariable | VarCurI | Returns the variable for actual current | read only | read only | yes | yes
IVariable | VarCurP | Returns the variable for actual power | read only | read only | yes | yes
IVariable | Variable | Returns the attached Variable if the edge is of type Source or Switch. | read only | read only | yes | yes
IVariable | VarLoad | Returns the variable for load value | read only | read only | yes | yes
IVariable | VarMaxI | Returns the variable for maximal current | read only | read only | yes | yes
IVariable | VarProtReact | Returns the variable for protection reactance | read only | read only | yes | yes


ElementID

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> ElementID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ElementID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementRef

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> ElementRef

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ElementRef() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Length

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> Length

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Length() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LoadType

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> LoadType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

LoadType() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LoadVal

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> LoadVal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

LoadVal() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


MaxIType

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> MaxIType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MaxIType() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


MaxIVal

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> MaxIVal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MaxIVal() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Node1Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> Node1Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Node1Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Node2Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> Node2Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Node2Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> Picture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Picture() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


React

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> React

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

React() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Resist

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> Resist

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Resist() As double

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ReverseSourceID

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> ReverseSourceID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ReverseSourceID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SourceID

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> SourceID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SourceID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Type() As tpALCType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarCalcI

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> VarCalcI

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VarCalcI() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarCurI

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> VarCurI

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VarCurI() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarCurP

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> VarCurP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VarCurP() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Variable

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarLoad

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> VarLoad

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VarLoad() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarMaxI

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> VarMaxI

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VarMaxI() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarProtReact

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Properties -> VarProtReact

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VarProtReact() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ALCGraphElem-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IALCGraphElem | Node1Item | Returns the the element connected to first node at the given index. | read only | read only | yes | yes
IALCGraphElem | Node2Item | Returns the the element connected to second node at the given index. | read only | read only | yes | yes


Node1Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Methods -> Node1Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Node1Item(long lIndex) As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Node2Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCGraphElem -> ALCGraphElem-Methods -> Node2Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Node2Item(long lIndex) As ALCGraphElem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ALCNode

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCNode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this object you have the opportunity to get informations about the line and procedural elements of a single node in your topology.

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub ALCNode()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine
Dim CountElements As Long
Dim LineStates As Variant
Dim i As Integer

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Get the first node of the project
Set zAlcNode = zAlcEngine.NodeItem(2)

'Return the number of procedural devices which are connected to the node
MsgBox "Number of connected procedural elements = " & zAlcNode.EdgeCount
'Return one of the connected procedural elements
Set zAlcEdge = zAlcNode.EdgeItem(0)
'Return type of connected procedural element
If zAlcEdge.Type = 0 Then
MsgBox "Type = tpALCTypeNode"
ElseIf zAlcEdge.Type = 1 Then
MsgBox "Type = tpALCTypeSource"
ElseIf zAlcEdge.Type = 2 Then
MsgBox "Type = tpALCTypeSwitch"
ElseIf zAlcEdge.Type = 3 Then
MsgBox "Type = tpALCTypeSink"
ElseIf zAlcEdge.Type = 4 Then
MsgBox "Type = tpALCTypeTrafo"
ElseIf zAlcEdge.Type = 5 Then
MsgBox "Type = tpALCTypeLink"
End If

'Return number of line elements which are connected to the node
CountElements = UBound(zAlcNode.ElementIDs)
MsgBox "Number of connected line elements = " & CountElements

'Print current states of a node
If (IsEmpty(zAlcNode.LineStates)) Then
Debug.Print "No line state active"
Else
LineStates = zAlcNode.LineStates
For i = 0 To UBound(LineStates)
Debug.Print "State " & i & " = " & LineStates(i)
Next i
End If

'Return link ID if a link (procedural element) is connected to the node
MsgBox "Link ID = " & zAlcNode.LinkID

End Sub


ALCNode-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | EdgeCount | Returns the number of edges connected to this node. | read only | read only | yes | yes
VARIANT | ElementIDs | Returns the IDs of the elements the Node is connected with. | read only | read only | yes | yes
VARIANT | ElementRefs | Returns the reference names of the elements the Node is connected with. | not used | available | yes | yes
VARIANT | LineStates | Returns the all line states at this node. | not used | read only | yes | yes
long | LinkID | Returns the ID of the linked Source. | read only | read only | yes | yes
VARIANT | Pictures | Returns the names of the pictures the Node is in. | read only | read only | yes | yes


EdgeCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Properties -> EdgeCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the number of procedural devices which are connected to the node.

Datatype

EdgeCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementIDs

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Properties -> ElementIDs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a set of IDs of the line elements which are connected to the node.

Datatype

ElementIDs() As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ElementRefs

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Properties -> ElementRefs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ElementRefs() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


LineStates

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Properties -> LineStates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a set of ALC states which are currently active in runtime. These states are a declared in the zenOn project settings at the "Automatic Line Coloring" property.

Datatype

LineStates() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LinkID

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Properties -> LinkID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the ID of a projected link (procedural element) which is available for this node.

Datatype

LinkID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Pictures

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Properties -> Pictures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a set of pictures where the line elements of the node are projected. This is helpful when links (procedural elements) are projected and so one node is extracted over many pictures.

Datatype

Pictures() As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ALCNode-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IALCEdge | EdgeItem | Returns the ALC edge at the given index. | available | available | yes | yes


EdgeItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> ALCNode -> ALCNode-Methods -> EdgeItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns an object from type "ALCEdge". You have the opportunity to get one of the procedural elements which are connected to the node.

Datatype

EdgeItem(long lIndex) As ALCEdge

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Select one of the connected procedural elements. With the "EdgeCount" property you see how many elements are connected (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub EdgeItem()

Dim zAlcEngine As ALCEngine 'Object from type ALCEngine
Dim zAlcNode As ALCNode 'Child object from type ALCEngine
Dim zAlcEdge As ALCEdge 'Child object from type ALCEngine

'Get ALCEngine data from the project
Set zAlcEngine = thisProject.ALCEngine
'Get the first line element of the project
Set zAlcNode = zAlcEngine.NodeItem(0)

'Return the number of procedural devices which are connected to the node
MsgBox "Number of connected procedural elements = " & zAlcNode.EdgeCount
'Return one of the connected procedural elements
Set zAlcEdge = zAlcNode.EdgeItem(0)
'Return type of connected procedural element
If zAlcEdge.Type = 0 Then
MsgBox "Type = tpALCTypeNode"
ElseIf zAlcEdge.Type = 1 Then
MsgBox "Type = tpALCTypeSource"
ElseIf zAlcEdge.Type = 2 Then
MsgBox "Type = tpALCTypeSwitch"
ElseIf zAlcEdge.Type = 3 Then
MsgBox "Type = tpALCTypeSink"
ElseIf zAlcEdge.Type = 4 Then
MsgBox "Type = tpALCTypeTrafo"
ElseIf zAlcEdge.Type = 5 Then
MsgBox "Type = tpALCTypeLink"
End If

End Sub


Application

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Includes the whole application of the control system. This is the only object in the hierarchy, that can be used by the internal function GetObject of Visual Basic. You can only use GetObject, if the Runtime of the control system is already running.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub GetProjects()
Dim strResult As String
Dim zPROJECT As Project
Dim i As Integer

'get active project...
strResult = "Active Project: " & MyWorkspace.ActiveDocument.Name & vbCrLf & vbCrLf
'get projects in workspace...
strResult = strResult & "Projects in Workspace:" & vbCrLf
For i = 0 To ApplicationED.Projects.Count - 1
Set zPROJECT = ApplicationED.Projects.Item(i)
If Not zPROJECT Is Nothing Then
strResult = strResult & zPROJECT.Name & vbCrLf
End If
Next i
'Show Result in a Messagebox
MsgBox strResult, vbInformation, "GetProjects"
End Sub


Application-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Computer | - | available | available | yes | yes
VARIANT_BOOL | Enabled | - | available | available | yes | yes
VARIANT_BOOL | Hide | - | available | available | yes | yes
OLE_HANDLE | hWnd | - | available | available | yes | yes
VARIANT_BOOL | IsElementWizard | - | not used | not used | yes | yes
IZenWorkspace | MyWorkspace | Returns the ZenWorkspace object (Editor Only). | read only | not used | yes | yes
BSTR | Name | - | available | available | yes | yes
BSTR | Path | - | available | available | yes | yes
long | RunState | Returns the Application run state. | read only | read only | yes | yes
BSTR | Version | - | available | available | yes | yes
long | VersionNumber | Returns the Application version. | read only | read only | yes | yes
VARIANT | WizardResult | - | not used | not used | yes | yes


Computer

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> Computer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property returns the name of the computer on which the Runtime is running.

Datatype

Computer() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Enabled

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> Enabled

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Sets the visibility of the application main window. This property can be read as well as written. If the value is set to False, the window is deactivated. Thus online operation, e.g. switching pictures in the Runtime, is prevented.As a default the value is set to True. In this case online operation is possible.The example listed below accesses the object Application of the control system from an external application and de/activates the main window depending of the status.

Datatype

Enabled() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOnEnable()
Dim obZenOn As zenOn.Application
'Get existing Object (zenOn Runtime)
Set obZenOn = GetObject(, "zenOn.Application")
If (obZenOn Is Nothing) Then
MsgBox "zenOn Runtime not active"
Exit Sub
End If
'Enable/Disable Main Window...
obZenOn.Enabled = Not obZenOn.Enabled
End Sub


Hide

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> Hide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property returns/sets the visibility of the main window. If the value is True, the main window is hidden. With the value False the main window is shown again.The sample listed below accesses the object Application of the control system from an external application and hides/shows the main window depending of the status.

Datatype

Hide() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOnHide()
Dim obZenOn As zenOn.Application
'Get existing Object (zenOn Runtime)
Set obZenOn = GetObject(, "zenOn.Application")
If (obZenOn Is Nothing) Then
MsgBox "zenOn Runtime not running"
Exit Sub
End If
'Hide/Show Application...
obZenOn.Hide = Not m_obZenOn.Hide
End Sub


hWnd

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> hWnd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property returns the handle of the main window of the application. The handle mostly is needed for API calls, e.g. to send messages to the window.

Datatype

hWnd() As OLE_HANDLE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


IsElementWizard

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> IsElementWizard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

IsElementWizard() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


MyWorkspace

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> MyWorkspace

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the Workspace object.

Datatype

MyWorkspace() As ZenWorkspace

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property returns the name of the application.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Path

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> Path

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property returns the path from which the application was started. The name of the application is added to the path.For Example:C:\Program Files\COPA-DATA\zenOn620\zenrt32.exe

Datatype

Path() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RunState

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> RunState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RunState() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Version

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> Version

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property returns the version of the application.

Datatype

Version() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


VersionNumber

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> VersionNumber

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VersionNumber() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


WizardResult

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Properties -> WizardResult

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

WizardResult() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Application-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Activate | - | available | available | yes | yes
void | Close | - | available | available | yes | yes
void | DebugPrint | - | available | not used | yes | yes
void | DynProperties [PUT] | - | available | available | yes | yes
VARIANT | DynProperties [GET] | - | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
void | MDIChild | - | not used | not used | yes | yes
void | Modeless | - | available | available | yes | yes
void | PrepareModeless | - | available | available | yes | yes
IProjects | Projects | - | available | available | yes | yes
BSTR | zenOnPath [GET] | - | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


Activate

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> Activate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method switches the main window of the application to the foreground (if this is not already the case).

Datatype

Activate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Close

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> Close

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Closes the application.

Datatype

Close() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DebugPrint

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> DebugPrint

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Sends a message to the output window of the editor.

Datatype

DebugPrint(String bsText,tpDebugPrintStyle tpStyle) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MDIChild

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> MDIChild

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MDIChild(IDispatch dispUserForm) As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Modeless

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> Modeless

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Modeless(IDispatch dispUserForm) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PrepareModeless

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> PrepareModeless

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

PrepareModeless(String strFormName, VARIANT strProjectName) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Projects

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> Projects

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the collection of projects loaded in the Runtime (object Application). With this projectlist the loaded projects can be accessed. The collection Projects can be accessed directly or it can be stored in a temporary variable.Each project is offered as an object Project in VBA.

Datatype

Projects() As Projects

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'create all runtime files for all projects in the workspace...
Public Sub CreateAllRuntimeFiles()
Dim i As Integer
On Error Resume Next
For i = 0 To ApplicationED.Projects.Count - 1
ApplicationED.Projects.Item(i).Build tpAll
Next i
End Sub


zenOnPath [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Methods -> zenOnPath [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

zenOnPath(tpZenPathType lPath) As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Number or Constant

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lPath As tpZenPathType

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Application-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | OnClose |  | available | available | yes | yes


OnClose

Manuels -> Interfaces de programmation -> Modèles d'objet -> Application -> Application-Events -> OnClose

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnClose() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Archive

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "Archive" object contains project information like the name, the source archive and other properties. The archive also is the basis for "ArchiveVariables" and "ArchiveFilters".The "ArchiveVariables" object contains all archive variables. Each archive variable contains further projecting information.With the "ArchiveFilters" object you can define and execute dynamic filters. In a filter you can define the variables from which you need the values. Additionally you can define the time period and the status. On executing the filter you get a list with all Runtime variables for that filter.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_Archive()
'Declarations
Dim zArchive As Archive

'Initialize zArchive with the first available archive
Set zArchive = thisProject.Archives.Item(0)

'If no archive is available ...
If zArchive Is Nothing Then
'... then inform the user
MsgBox ("No archive available!")

'Otherwise, output some details on the archive
Else
'Output the name
Debug.Print "Name: " & zArchive.Name
'Output the type
Select Case zArchive.Type
Case Is = 1
Debug.Print vbTab & "Type: Cyclic scanning"
'Output the cycle rate, if the archive is cyclic
Debug.Print vbTab & "Cycle rate: " & zArchive.Cycle
Case Is = 2
Debug.Print vbTab & "Type: Event-triggered scanning"
Case Is = 3
Debug.Print vbTab & "Type: Spontaneous scanning"
End Select

'Output the term
Debug.Print vbTab & "Term: " & zArchive.LongName
'Output the ID
Debug.Print vbTab & "ID: " & zArchive.ID
End If
End Sub


Archive-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Cycle | Reading in of the values is done cyclically by the system (days, hours, minutes and seconds) | not used | read only | yes | yes
long | ID | - | not used | read only | yes | yes
BSTR | Identifier | Returns the archive identifier. | not used | read only | yes | yes
BSTR | LongName |  | not used | read only | yes | yes
BSTR | Name | Two-character unique short identifier of the archive | not used | read only | yes | yes
IArchives | Parent | - | not used | read only | yes | yes
short | Type | - | not used | read only | yes | yes


Cycle

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties -> Cycle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the cycle rate of the current archive in seconds.Hint: In the case of an event-triggered or spontaneous scanning archive, this property will return 0.

Datatype

Cycle() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unique ID of the current archive.

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Identifier

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties -> Identifier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the identificator, also called "term" within zenOn, of the current archive.

Datatype

Identifier() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LongName

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties -> LongName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the identificator, also called "term" within zenOn, of the current archive.

Datatype

LongName() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of the current "Archive" object.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Archives

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Type() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Archive-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveFilters | ArchiveFilters | - | not used | available | yes | yes
IArchiveVariables | ArchiveVariables | - | not used | available | yes | yes
VARIANT | BatchIndex [GET] | Returns the batchinformation of the archive. | not used | read only | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


ArchiveFilters

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods -> ArchiveFilters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a collection ("ArchiveFilters" object) of all available filters. It is also possible to create new filters and delete existing ones.Hint: For further information, please have a look at the "ArchiveFilters" part.

Datatype

ArchiveFilters() As ArchiveFilters

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveVariables

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods -> ArchiveVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a collection ("ArchiveVariables" object) with all assigned archive variables.Hint: For further information, please have a look, at the "ArchiveVariables" part.

Datatype

ArchiveVariables() As ArchiveVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


BatchIndex [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods -> BatchIndex [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

BatchIndex() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archive -> Archive-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveED

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "ArchiveED" object contains project information like the name, the source archive and other properties.It is used within the editor in order to initialize the archive. Hence, the object won't be available in the runtime.In the "Archive" object, which will be available in the runtime, some properties will be set to read-only.&amp;rarr; Therefore all important initialization should be done by means of the "ArchiveED" object.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ArchiveED()
'Declarations
Dim zArchiveED As ArchiveED
Dim zTimeConvert As clsTimeConvert
Dim i As Integer

'Initialize zArchiveED with the archive selected by the identification name "01"
Set zArchiveED = MyWorkspace.ActiveDocument.ArchivesED.Item("01")
'If no such archive is available ...
If zArchiveED Is Nothing Then
'... then create a whole new archive with the identification name "01" and the name "zenOn_ArchiveED"
Set zArchiveED = MyWorkspace.ActiveDocument.ArchivesED.CreateArchive("01", "zenOn_ArchiveED", Nothing)
End If

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

With zArchiveED
'Set the scanning mode: Cyclic scanning
.DynProperties("Cyclic") = 1
'Set the scanning cycle rate: 5 seconds
.DynProperties("TimeGap") = 5
'Set the offset: 0 seconds
.DynProperties("Offset") = 0
'Set the saving cycle: 60 seconds
.DynProperties("Cycle") = 60
'Set the start time of the cycle: 2007-07-30 12:00:00
.DynProperties("CycleStart") = zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 12:00:00")))
'Add the "WIZ_VAR_12" variable to the archive
.AddVariable "WIZ_VAR_12", 0, Nothing
End With

'Output the configuration
With zArchiveED
'Output the identifier and the name
Debug.Print "Name: " & .DynProperties("ShortName") & " - " & .DynProperties("LongName")
'Output the scanning mode
Debug.Print vbTab & "Cyclic: " & .DynProperties("Cyclic")
'Output the scanning cycle
Debug.Print vbTab & "Scanning cycle: " & .DynProperties("TimeGap") & " sec."
'Output the offset
Debug.Print vbTab & "Offset: " & .DynProperties("Offset") & " sec."
'Output the archive saving cycle
Debug.Print vbTab & "Save cycle: " & .DynProperties("Cycle") & " sec."
'Output the start time of the cycle
Debug.Print vbTab & "Cycle start: " & Format(zTimeConvert.zenOn2System(CDbl(.DynProperties("CycleStart"))), "yyyy-mm-dd hh:mm:ss")
End With

End Sub


ArchiveED-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchivesED | Parent | - | read only | read only | yes | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchivesED

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ArchiveED-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IArchiveVarED | Item | - | available | not used | yes | yes
VARIANT_BOOL | RemoveVariable | - | available | not used | yes | yes
IArchiveVarED | AddVariable | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


AddVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> AddVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

AddVariable(VARIANT vNameOrId, tpArvVarCal tpCalculation, IArchiveED* pSourceArchive) As ArchiveVarED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an "ArchiveVarED" object from the collection, which is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Element name:The element can be accessed with the unique name of the corresponding "Variable" object that was assigned to the "ArchiveVarED" object.</li><li>Index:Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVarED" object in the list.</li></ul>Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveVarED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoveVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Methods -> RemoveVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Removes an assigned "Variable" object from the collection.

Datatype

RemoveVariable(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveED-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

C++ Class CD_CArchiv


C++ Class CD_CArchiv

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveED -> ArchiveED-Dynproperties -> C++ Class CD_CArchiv

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | AuslUnicode | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | BeginTime | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
ZT_VARIABLE | ChargeVar | - | Indique les noms des projets. Si plusieurs noms de projets sont indiqués, ils sont séparés par un point-virgule.
VT_UI2 | Count | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Cycle | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_UI4 | CycleStart | - | Description de la condition de verrouillage.Dans le Runtime, ce texte peut être affiché dans le synoptique Alimentation (si le module Energy Edition dispose d'une licence) ou peut être évalué à l'aide d'une macro VBA.
VT_I1 | Cyclic | - | Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.
VT_BSTR | DataSource | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_VARIABLE | EventVar | - | Cette propriété vous permet d'obtenir/de définir le nombre d'éléments de routage d'état.
VT_UI4 | FileFormat | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | FktEnd | - | Nom du fichier inséré.Les fichiers externes intégrés de cette manière sont enregistrés dans le répertoire du Runtime, ainsi que dans le répertoire de la base de données du projet.ATTENTION : chaque fois que des nouveaux fichiers de Runtime sont générés, les fichiers dans le répertoire du Runtime sont remplacés par les fichiers provenant du répertoire de la base de données. Par conséquent, les fichiers externes doivent uniquement être modifiés par l'intermédiaire du menu contextuel du fichier correspondant et ne doivent pas être modifiés de manière externe, afin de garantir que les fichiers modifiés sont également mis à jour dans le répertoire de la base de données.
VT_UI4 | FktStart | - | Cette propriété obtient.configure la chaîne du fournisseur de base de données pour le transfert d'archives au format SQL.
VT_UI4 | Flags | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_BSTR | Format | - | Paramètres des filtres de temps
VT_BOOL | IsChargeIdx | - |
VT_UI4 | LastIndex | - | Crée, affiche et modifie les variables devant être exportées. Renvoie un objet Variable.Conseil : "ExportStruct.Vars[-1]" renvoie le nombre de variables.
VT_BSTR | LongName | - | Cette propriété renvoie l'identifiant unique de la variable à laquelle est liée la limite.
VT_UI2 | Modus | - | Ouvre la boîte de dialogue de définition de la formule de la condition.Dans un réseau, les conditions sont toujours calculées localement. Lors de l'utilisation de variables locales (par ex. driver de système ou variables internes), différentes conditions peuvent être vraies sur un client et sur le serveur.
VT_UI4 | Offset | - | Identifiant interne unique de la fonction.
VT_BSTR | ShortName | - | Cette propriété obtient/définit les bits d'état étendus (PN_BIT, WR-ACK, WR-SUC, BL_BIT, SB_BIT, NT_BIT, OV_BIT, SE_BIT) de l'état d'une matrice de réaction. Conseil : Pour plus d'informations, reportez-vous à l'aide relative à l'obtention des informations d'état.
VT_BSTR | SourceShortName | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_UI8 | StateActiveF | - |
VT_UI8 | StateActiveFBanned | - |
VT_UI8 | StateF | - |
VT_UI8 | StateFBanned | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_UI4 | TimeGap | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_BOOL | Unicode | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.


ArchiveFilter

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "ArchiveFilter" object is used to filter archive entries by a specified date / time and state.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ArchiveFilter()
'Declarations
Dim zArchive As Archive
Dim zArvFilter As ArchiveFilter
Dim zArvVars As ArchiveFilterVariables
Dim zTimeConvert As clsTimeConvert
Dim dTime As Double
Dim i As Integer

'Initialize zArchive with the first available archive
Set zArchive = thisProject.Archives.Item(0)

'If no archive is availabe, then ...
If zArchive Is Nothing Then
'... inform the user
MsgBox ("No archive available!")

Else
'Initialize zArvFilter by creating a new archive filter
Set zArvFilter = zArchive.ArchiveFilters.CreateArchiveFilter

'Every archive variable within the collection...
For i = 0 To zArchive.ArchiveVariables.Count - 1
'... will be added to the archive filter
zArvFilter.AddArchiveVariable zArchive.ArchiveVariables.Item(i)
Next i

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

'Set dTime by converting the desired system time into the zenOn compatible UTC time
dTime = zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 14:00:00")))
'Set the converted time as the start time for the filter
zArvFilter.StartTime = dTime

'Set dTime by converting the desired system time into the zenOn compatible UTC time
dTime = zTimeConvert.System2zenOn(CDbl(CDate("31.07.2007 11:15:00")))
'Set the converted time as the end time for the filter
zArvFilter.EndTime = dTime

'All I-BIT and HWERT bits
zArvFilter.StatusMask = &H41000 'Check only I-BIT + HWERT
zArvFilter.StatusBit = &H41000 'Return data if one of those bits are TRUE or both

'Initialize zArvVars by initiating a new filter query
Set zArvVars = zArvFilter.Query

'For every filtered variable within the result...
For i = 0 To zArvVars.Count - 1
With zArvVars.Item(i)
'... output the name of the variable ...
Debug.Print "Variable: " & .ArchiveVariable.Name
'... and the amount of I-BIT and HWERT bits within the specified time range
Debug.Print vbTab & "I-BIT + HWERT: " & .ArchiveValues.Count & vbNewLine
End With
Next i
End If
End Sub


ArchiveFilter-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CountArchiveVariables | - | not used | read only | yes | yes
long | EndTime | - | not used | available | yes | yes
IArchiveFilters | Parent | - | not used | read only | yes | yes
long | Raster | - | not used | available | yes | yes
VARIANT_BOOL | ReadOnlyVarsInFilter | Load only in the filter defined variables. | not used | available | yes | yes
long | StartTime | - | not used | available | yes | yes
long | StatusBit | - | not used | available | yes | yes
long | StatusMask | - | not used | available | yes | yes


CountArchiveVariables

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> CountArchiveVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the amount of "ArchiveVariable" objects within the collection.

Datatype

CountArchiveVariables() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


EndTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> EndTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the end time of the filter.

Every data that is within the range of the "StartTime" and "EndTime" properties, will not be filtered out and therefore returned.

Hint: For further information, please have a look at the StartTime property part.

Datatype

EndTime() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilters

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Raster

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> Raster

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

If the utilized archive type is none cyclic and this property is set to 0, then all archive entries between the start- and the end time will be returned.Otherwise (i.e. "Raster" property set greater than 0 and the archive type is cyclic) not all archive entries will be returned, but beginning with the start time each N-th (N="Raster") entry is returned.<h5>Example:</h5>Cyclic archive with an cylic rate of 15 minutes (900 seconds) &amp;rarr; Entries are recorded every 15 minutes (e.g. 07:45, 08:00, 08:15, ...)"StartTime" is 12:15 and the "Raster" property is set to 3 &amp;rarr; Every third entry is returned (e.g. 12:15, 13:00, 13:45, 14:30, ...)ATTENTION: If the start time doesn't match the archive cyle time then no data entries will be returned.e.g. Archive entries are 12:15, 12:30, 12:45, 13:00, ..."Raster" is set to 3, but "Start-Time" is set to 12:16 &amp;rarr; It would return 12:16, 13:01, 13:46 but archive cycle is lagging one minute behind &amp;rarr; No entries will be returned!

Datatype

Raster() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ReadOnlyVarsInFilter

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> ReadOnlyVarsInFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ReadOnlyVarsInFilter() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


StartTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> StartTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the start time of the filter as long.

Every data that is within the range of the "StartTime" and "EndTime" properties, will not be filtered out and therefore returned.

ATTENTION: zenOn uses UTC time internally, hence the desired start time has to be converted from the local time zone into UTC.

Datatype

StartTime() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

The following macro should be used to set the time correctly. Follow the instructions inside the macro header.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'##############################################################################
'## Name : clsTimeConvert ##
'## Description: Macro to convert from local time into UTC and vice versa ##
'## ##
'## Instructions ##
'## 1. Copy the macro into a textfile and save it under "clsTimeConvert.cls" ##
'## 2. Import the file into the VBA project ##
'## >> File -> Import file... ##
'## >> Shortcut CTRL + M ##
'## 3. Declare a variable as "clsTimeConvert" within the VBA project ##
'## e.g. Dim zTimeConversion as clsTimeConvert ##
'## 4. Convert from local time into UTC ##
'## e.g. zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 14:00:00"))) ##
'##############################################################################
Option Explicit
Private Declare Function GetTimeZoneInformation _
Lib "kernel32" (lpTimeZoneInformation As TIME_ZONE_INFORMATION) As Long
Private Type SYSTEMTIME
wYear As Integer
wMonth As Integer
wDayOfWeek As Integer
wDay As Integer
wHour As Integer
wMinute As Integer
wSecond As Integer
wMilliseconds As Integer
End Type
Private Type TIME_ZONE_INFORMATION
Bias As Long
StandardName(1 To 64) As Byte
StandardDate As SYSTEMTIME
StandardBias As Long
DaylightName(1 To 64) As Byte
DaylightDate As SYSTEMTIME
DaylightBias As Long
End Type
Const TIME_ZONE_ID_UNKNOWN = &H0
Const TIME_ZONE_ID_STANDARD = &H1
Const TIME_ZONE_ID_DAYLIGHT = &H2
Dim SommerZeit As Boolean
Dim SommerZeitDate As Date
Dim SommerZeitName$
Dim SommerZeitGMT&
Dim NormalZeitDate As Date
Dim NormalZeitName$
Dim NormalZeitGMT

Public Function zenOn2System(dTime As Double) As Double
'Converts zenOn (GMT) time to system time format...
zenOn2System = (dTime - GetTimeZone) / 86400 + 25569
End Function

Public Function System2zenOn(lTime As Double) As Double
'Converts system time to zenOn time (GMT) format...
System2zenOn = (lTime - 25569) * 86400 + GetTimeZone
End Function

Private Function GetTimeZone() As Long
Dim TZI As TIME_ZONE_INFORMATION
Dim Result&, ErrFlag As Boolean
Result = GetTimeZoneInformation(TZI)
Select Case Result
Case TIME_ZONE_ID_UNKNOWN
SommerZeit = False
Case TIME_ZONE_ID_STANDARD
SommerZeit = False
Case TIME_ZONE_ID_DAYLIGHT
SommerZeit = True
Case Else
Exit Function
End Select
If SommerZeit = True Then
GetTimeZone = (60 * TZI.Bias) + (60 * TZI.DaylightBias)
Else
GetTimeZone = (60 * TZI.Bias) + (60 * TZI.StandardBias)
End If
End Function


StatusBit

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> StatusBit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the value of the relevant state bits.

Hint: For further information on state bits, please have a look at the ReaStatusStd part within the "State" object.

'No state bit filtering -> Default

zArvFilter.StatusMask = 0 'Check none of the states

zArvFilter.StatusBit = 0 '"StatusBit" doesn't matter

'All I-BIT bits

zArvFilter.StatusMask = &H40000 'Check only I-BIT

zArvFilter.StatusBit = &H40000 'Return data if I-BIT is TRUE'

All states, except I-BIT bits

zArvFilter.StatusMask = Not &H40000 'Check all states without I-BIT

zArvFilter.StatusBit = &HFFFFFFFF 'Return data if any of the other bits is TRUE

'All I-BIT and HWERT bits

zArvFilter.StatusMask = &H41000 'Check only I-BIT + HWERT

zArvFilter.StatusBit = &H41000 'Return data if one of those bits is TRUE or both

'All states, except I-BIT + HWERT bits

zArvFilter.StatusMask = Not &H41000 'Check all states without I-BIT + HWERT

zArvFilter.StatusBit = &HFFFFFFFF 'Return data if any of the other bits is TRUE

Datatype

StatusBit() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


StatusMask

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Properties -> StatusMask

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

StatusMask() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ArchiveFilter-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddArchiveVariable | - | not used | available | yes | yes
VARIANT_BOOL | ApplyChanges | - | not used | available | yes | yes
IArchiveFilterVariables | ArchiveFilterVariables | - | not used | available | yes | yes
VARIANT_BOOL | ArchiveFilterVariablesInfo | Return arrays with the information to all the defined variables in the filter. | not used | available | yes | yes
VARIANT_BOOL | ArchiveFilterVariablesInfoEx | Return arrays with the information to all the defined variables in the filter. Works cross-project. | not used | available | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IArchiveVariable | ItemArchiveVariable | - | not used | available | yes | yes
IArchiveFilterVariables | Query | - | not used | available | yes | yes
VARIANT_BOOL | QueryBlock | - | not used | available | yes | yes
VARIANT_BOOL | QueryBlockEx | - | not used | available | yes | yes
VARIANT_BOOL | RemoveArchiveVariable | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


AddArchiveVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> AddArchiveVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Adds an existing archive variable ("ArchiveVariable" object) to the filter. Thus, the data of the variable will be returned after the filtering.The following code initiates that all assigned archive variables will be added to the archive filter.

Datatype

AddArchiveVariable(IArchiveVariable ArchiveVariable) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

"ArchiveVariable" object that should be added to the filter.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

ArchiveVariable As ArchiveVariable

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_AddArchiveVariable(ByRef zArchive As Archive)
'Declarations
Dim zArFilter As ArchiveFilter
Dim i As Integer

'Initialize zArFilter by creating a new archive filter
Set zArFilter = zArchive.ArchiveFilters.CreateArchiveFilter

'Every archive variable within the collection...
For i = 0 To zArchive.ArchiveVariables.Count - 1
'... will be added to the archive filter
zArFilter.AddArchiveVariable zArchive.ArchiveVariables.Item(i)
'Output the name of the added variable
Debug.Print "Variable """ & zArchive.ArchiveVariables.Item(i).Name & """ added!"
Next i

End Sub


ApplyChanges

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> ApplyChanges

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Apply changes on the filter.

Datatype

ApplyChanges() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveFilterVariables

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> ArchiveFilterVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariables" object, containing a collection of all filtered archive variables.

Datatype

ArchiveFilterVariables() As ArchiveFilterVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveFilterVariablesInfo

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> ArchiveFilterVariablesInfo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns information on the assigned archive filter variables.Following three parameters have to be passed:

  • Count: Returns the amount of archive filter variables.
  • vIDs: Returns the IDs of the archive filter variables.
  • vNames: Returns the names of the archive filter variables.

Datatype

ArchiveFilterVariablesInfo(long Count, LPVARIANT vIDs, LPVARIANT vNames) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

"Variant" variable passed to the "ArchiveFilterVariablesInfo" method, in order to return the IDs of the archive filter variables.

"Variant" variable passed to the "ArchiveFilterVariablesInfo" method, in order to return the amount of archive filter variables.

"Variant" variable passed to the "ArchiveFilterVariablesInfo" method, in order to return the names of the archive filter variables.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIDs As Variant

Count As Long

vNames As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_ArchiveFilter_ArchiveFilterVariablesInfo(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zCount As Long
Dim zIDs As Variant
Dim zNames As Variant

'Initiate the information query
zArvFilter.ArchiveFilterVariablesInfo zCount, zIDs, zNames

'For every archive filter variable within the collection...
For i = 0 To zCount - 1
'... output the variable count
Debug.Print i + 1 & ". Variable"
'... output the name
Debug.Print vbTab & "Name: " & zNames(i)
'... output the ID
Debug.Print vbTab & "ID" & vbTab & ": " & zIDs(i)
Next i

End Sub


ArchiveFilterVariablesInfoEx

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> ArchiveFilterVariablesInfoEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Like the "ArchiveFilterVariablesInfo" method, this command returns information on the assigned archive filter variables.Additionally it will also return information on the project name and the utilized calculation mode, if it is a following archive.Following five parameters have to be passed:<ul><li>Count: Returns the amount of archive filter variables.</li><li>vIDs: Returns the IDs of the archive filter variables.</li><li>vNames: Returns the names of the archive filter variables.</li><li>vProjects: Returns the project name.</li><li>vCalculations: Returns the calculation mode, if it is a following archive.</li></ul>

Datatype

ArchiveFilterVariablesInfoEx(long Count, LPVARIANT vIDs, LPVARIANT vNames, LPVARIANT vProjects, LPVARIANT vCalculations) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemArchiveVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> ItemArchiveVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an "ArchiveVariable" object (which was formerly added to the filter) from the collection. The object is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Element name: The element can be accessed with its unique name.</li><li>Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVariable" object in the list.</li></ul>Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

ItemArchiveVariable(VARIANT vNameOrPos) As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Query

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> Query

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Initiates the filtering of the data.Returns an "ArchiveFilterVariables" object, if data matched the filter query. Hence, the returned object will contain the filtered data.Otherwise, this method will return "Nothing", if no data was matched.

Datatype

Query() As ArchiveFilterVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


QueryBlock

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> QueryBlock

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Like the "Query" method, the "QueryBlock" command initiates the filtering of the data.

The difference between these two methods is, that the "QueryBlock" method is dedicated for performance oriented tasks, because the usage of arrays is faster than the approach of the "Query" method with the collections. The drawback of the "QueryBlock" method is the increased complexity of coding.

The "QueryBlock" command requires two parameters:

vPvIDs: A variant variable which will constitute an array containing all IDs of the filtered variables.

vValues: A variant variable which will store an cascaded array designed the following way:

Level: Return type, e.g.

'Declaration
Dim zValues As Variant
'Initiates the filtering
zArvFilter.QueryBlock zPvIDs, zValues
'zValues is the return type, which contains all variables and the corresponding values

Level: Variable, e.g.

'Declaration
Dim vVarTemp As Variant
'Assign the first variable within the cascaded "zValues" array to "vVarTemp"
vVarTemp = zValues(0)

Level: Variable values, e.g.

'Declaration
Dim vValTemp As Variant
'Assign the the third value within the vVarTemp variable to "vValTemp"
vValTemp = vVarTemp(2)
'Alternatively: Third value of the first variable within "zValues"
vValTemp = zValues(0)(2)

Level: Value parameters

vValTemp (0) 'Returns the date and time when the value was recorded
'Hint: The time has to be converted from zenOn internally UTC into local time.
'Use the zenOn "clsTimeConvert" macro to do so.
zValues (0)(2)(0) 'Alternatively

vValTemp (1) 'Returns the milliseconds, in addition to the time, when the value was recorded
zValues (0)(2)(1) 'Alternatively

vValTemp (2) 'Returns the value that was recorded at the specified time and date
zValues (0)(2)(1) 'Alternatively

vValTemp (3) 'Returns the state type, e.g. &H40000 -> I-BIT
zValues (0)(2)(1) 'Alternatively

Datatype

QueryBlock(LPVARIANT vPvIDs,LPVARIANT vValues) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

vValues As Variant

"Variant" variable for the "QueryBlock" method, in order to store a cascaded array which is filled with the filtered variables and the recorded values.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

vPvIDs As Variant

"Variant" variable for the "QueryBlock" method, in order to store an array of IDs of the corresponding filtered archive variables.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vValues As Variant

vPvIDs As Variant

Examples

The following example initiates a filtering with the "QueryBlock" command and outputs the details of the filter result.

ATTENTION: The passed "ArchiveFilter" object has to be initialized beforehand, i.e. filter starttime and endtime, etc.

Hint:
In order to output the correct date and time of the filter result, the zenOn "clsTimeConvert" macro should be used.
For the macro code and further information on the macro and the time conversion, please have a look at the StartTime part.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_ArchiveFilter_QueryBlock(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zTimeConvert As clsTimeConvert
Dim zPvIDs As Variant
Dim zValues As Variant
Dim i As Integer
Dim j As Integer
Dim vVarTemp As Variant
Dim vValTemp As Variant
Dim nVarCount As Integer
Dim nValCount As Integer

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

zArvFilter.QueryBlock zPvIDs, zValues

'Get the number of variables and assign it to "nVarCount"
nVarCount = UBound(zValues, 1)
'For every filtered variable output the recorded values
For i = 0 To nVarCount
'Assign the current variable to "vVarTemp"
vVarTemp = zValues(i)
'Get the number of values within the variable and assign it to "nValCount"
nValCount = UBound(vVarTemp, 1)
'For every value within the filtered variable output the recorded details
For j = 0 To nValCount
'Assign the current value to "vValTemp"
vValTemp = vVarTemp(j)
'Output the count number of the current value
Debug.Print j + 1 & ". Value"
'Output the variable name to which the value belongs
Debug.Print vbTab & "Var-Name: " & zArvFilter.ArchiveFilterVariables.ItemById(zPvIDs(i)).ArchiveVariable.Name
'Output the ID of the variable
Debug.Print vbTab & "Var-ID" & vbTab & ": " & CStr(zPvIDs(i))
'Output the date and time when the value was recorded -> Format: year-month-day hour:minute:second.millisecond
Debug.Print vbTab & "Time" & vbTab & ": " & Format(zTimeConvert.zenOn2System((vValTemp(0))), "yyyy-mm-dd hh:mm:ss") & "." & CStr(vValTemp(1))
'Output the value that was recorded
Debug.Print vbTab & "Value" & vbTab & ": " & CStr(vValTemp(2))
'Output the state of the value
Debug.Print vbTab & "State" & vbTab & ": &H" & Hex(vValTemp(3))
Next j
Next i

End Sub


QueryBlockEx

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> QueryBlockEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Like the "QueryBlock" method, the "QueryBlockEx" command initiates the filtering of the data.

The difference between these two methods is, that the "QuerBlockEx" command will also return the project name and the utilized calculation modes (if it is a following archive) in addition to the "QueryBlock" results.

Hint: For further information, please have a look at the QueryBlock part.

Datatype

QueryBlockEx(LPVARIANT vProjects, LPVARIANT vPvIDs, LPVARIANT vCalculations, LPVARIANT vValues) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

vValues As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store a cascaded array which is filled with the filtered variables and the recorded values.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

vCalculations As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store an array of calculation modes, which were utilized by the recorded values.
The array is returned by the method, hence the user has only to pass an "Variant" variable.
Hint: For further information on calculation modes, please have a look at the Calculation property within the "ArchiveVariable" object.

vPvIDs As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store an array of IDs of the corresponding filtered archive variables.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

vProjects As Variant

"Variant" variable for the "QueryBlockEx" method, in order to store an array of project names, where the filter was applied.
The array is returned by the method, hence the user has only to pass an "Variant" variable.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vValues As Variant

vCalculations As Variant

vPvIDs As Variant

vProjects As Variant

Examples

The following example initiates a filtering with the "QueryBlockEx" command and outputs details on the project name and the utilized calculation modes.

ATTENTION: The passed "ArchiveFilter" object has to be initialized beforehand, i.e. filter starttime and endtime, etc.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_ArchiveFilter_QueryBlockEx(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zPvIDs As Variant
Dim zValues As Variant
Dim zProjects As Variant
Dim zCalculations As Variant
Dim i As Integer

'Initiate the filtering
Debug.Print zArvFilter.QueryBlockEx(zProjects, zPvIDs, zCalculations, zValues)

'Output every project name
For i = 0 To UBound(zProjects, 1)
Debug.Print CStr(zProjects(i))
Next i

'Output every calculation mode
For i = 0 To UBound(zCalculations, 1)
Debug.Print CStr(zCalculations(i))
Next i

End Sub


RemoveArchiveVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilter -> ArchiveFilter-Methods -> RemoveArchiveVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Removes an "ArchiveVariable" object (which was formerly added to the filter) from the filter. The object is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Element name: The element can be accessed with its unique name.</li><li>Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVariable" object in the list.</li></ul>

Datatype

RemoveArchiveVariable(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveFilters

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This collection administers all filter objects.HINT:As a default there are no filters. You can administer any number of filters.With "CreateArchiveFilter" you can create a new filter. On the contrary, you can delete an existing filter with "DeleteArchiveFilter".Like in any other collection you can access an ArchiveFilter object with the "Item" method.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ArchiveFilters()
'Declarations
Dim zArvFilters As ArchiveFilters
Dim zArvFilter As ArchiveFilter
Dim i As Integer

'Initialize zArvFilters with the archive filter collection of the first available archive
Set zArvFilters = thisProject.Archives.Item(0).ArchiveFilters

'For every archive filter within the collection ...
For i = 0 To zArvFilters.Count - 1
'... assign it to zArvFilter
Set zArvFilter = zArvFilters.Item(i)
'If the filter is available (zArvFilter is not "Nothing")...
If Not (zArvFilter Is Nothing) Then
'... then initiate the filtering
zArvFilter.Query
End If
Next i

End Sub


ArchiveFilters-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters -> ArchiveFilters-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | not used | read only | yes | yes
IArchive | Parent | - | not used | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters -> ArchiveFilters-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters -> ArchiveFilters-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Archive

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveFilters-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters -> ArchiveFilters-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveFilter | CreateArchiveFilter | - | not used | available | yes | yes
VARIANT_BOOL | DeleteArchiveFilter | - | not used | available | yes | yes
IArchiveFilter | Item | - | available | available | yes | yes


CreateArchiveFilter

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters -> ArchiveFilters-Methods -> CreateArchiveFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method creates a new "ArchiveFilter" object. Afterwards, the filter is configurable in order to return the required data.

Datatype

CreateArchiveFilter() As ArchiveFilter

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteArchiveFilter

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters -> ArchiveFilters-Methods -> DeleteArchiveFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method removes an existing filter ("ArchiveFilter" object) from the collection.Subsequently, the filter won't be available any more. Trying to access it, will return an incorrect filter or a segmentation fault.

Datatype

DeleteArchiveFilter(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilters -> ArchiveFilters-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an "ArchiveFilter" object from the collection, which is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Element name: The element can be accessed with its unique name.</li><li>Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveFilter" object in the list.</li></ul>Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveFilter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveFilterVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "ArchiveFilterVariable" object contains the filtered archive variable for the "ArchiveFilter" object.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ArchiveFilterVariable(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zArvFilterVar As ArchiveFilterVariable
Dim i As Integer

'Initialize zArvFilterVar with the first available filtered archive variable
Set zArvFilterVar = zArvFilter.ArchiveFilterVariables.Item(0)

'If no filtered archive variable is available ...
'HINT: Filtered archive variables are only availabe after a archive filter query was initiated
If zArvFilterVar Is Nothing Then
'... then inform the user
MsgBox ("No filtered archive variable available!")

'Otherwise, output some details
Else
'Output the variable name
Debug.Print "Variable: " & zArvFilterVar.ArchiveVariable.Name

With zArvFilterVar.ArchiveValues
'For every archive value within "zArvFilterVar" ...
For i = 0 To .Count - 1
'... output the recorded value
Debug.Print vbTab & i + 1 & ".Value: " & .Item(i).Value
Next i
End With
End If
End Sub


ArchiveFilterVariable-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariable -> ArchiveFilterVariable-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveFilterVariables | Parent | - | not used | read only | yes | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariable -> ArchiveFilterVariable-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilterVariables

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveFilterVariable-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveValues | ArchiveValues | - | not used | available | yes | yes
VARIANT | ArchiveValuesBlock | - | not used | read only | yes | yes
IArchiveVariable | ArchiveVariable | - | not used | available | yes | yes


ArchiveValues

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods -> ArchiveValues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an "ArchiveValues" object, which contains a collection of all "ArchiveValue" objects assigned to this filtered archive variable.

Datatype

ArchiveValues() As ArchiveValues

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveValuesBlock

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods -> ArchiveValuesBlock

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an array of values for the actual ArchiveFilterVariable object.This works only when a query has already been executed.

Datatype

ArchiveValuesBlock() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariable -> ArchiveFilterVariable-Methods -> ArchiveVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an "ArchiveVarible" object, which constitutes the assigned archive variable.

Datatype

ArchiveVariable() As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveFilterVariables

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariables" object, containing a collection of the filtered archive variables.This object is utilized by the "ArchiveFilter" object, in order to access the collection of "ArchiveFilterVariable" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ArchiveFilterVariables(ByRef zArvFilter As ArchiveFilter)
'Declarations
Dim zArvFilterVars As ArchiveFilterVariables
Dim i As Integer

'Initialize zArvFilterVars with the filtered archive variable collection of the current archive
Set zArvFilterVars = zArvFilter.ArchiveFilterVariables

'If no filtered archive variables are available ...
'HINT: Filtered archive variables are only availabe after a archive filter query was initiated
If zArvFilterVars Is Nothing Then
'... then inform the user
MsgBox ("No filtered archive variables available!")

'Otherwise:
Else
'For every filtered archive variable ...
For i = 0 To zArvFilterVars.Count - 1
'... output the name
Debug.Print i + 1 & ". Variable: " & zArvFilterVars.Item(i).ArchiveVariable.Name
Next i
End If
End Sub


ArchiveFilterVariables-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables -> ArchiveFilterVariables-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | not used | read only | yes | yes
IArchiveFilter | Parent | - | not used | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables -> ArchiveFilterVariables-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables -> ArchiveFilterVariables-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilter

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveFilterVariables-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveFilterVariable | Item | - | available | not used | yes | yes
IArchiveFilterVariable | ItemById | - | not used | available | yes | yes
IArchiveFilterVariable | ItemByIdEx | - | not used | read only | yes | yes


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariable" object from the collection, which is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Element name: The element can be accessed with its unique name.</li><li>Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveFilterVariable" object in the list.</li></ul>Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveFilterVariable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods -> ItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an "ArchiveFilterVariable" object from the collection specified by its internal uniqe ID, which is identified by the parameter vVariableId.Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

ItemById(VARIANT vVariableId) As ArchiveFilterVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemByIdEx

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveFilterVariables -> ArchiveFilterVariables-Methods -> ItemByIdEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an object of type ArchiveFilterVariable.

Datatype

ItemByIdEx(VARIANT vVariableId, VARIANT vProjectName, VARIANT vCalculation) As ArchiveFilterVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Uniqe PvID of linked zenOn Variable

Type of claculation as long
Calculation Types

Projectname as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vVariableId As Variant

vCalculation As Variant

vProjectName As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetArchiveFilterVariable(zArvFilter As ArchiveFilter)
Dim zVariable As Variable
Dim zFilterVar As ArchiveFilterVariable
'get variable object to read the PvID!
Set zVariable = thisProject.Variables.Item("WIZ_VAR_10")
'get the filtervariable with SUM calculation
Set zFilterVar = zArvFilter.ArchiveFilterVariables.ItemByIdEx(zVariable.PvID, thisProject.Name, 1)
End Sub


Archives

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The object is a collection of all existing archives.With the property "Parent" you come to the parent of the object. The parent of the Archives object is a Project. In the Project most of the modules are anchored.With the property "Item" you can search for an archive. As search criteria you can enter the position of the archive in the list or the name.With the property "Count" you find out the number of elements in the list. With a loop you then can iterate through all elements and e.g display them.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_Archives()
'Declarations
Dim zProject As Project
Dim zArchives As Archives
Dim i As Integer

'Initialize zProject with the current project
Set zProject = thisProject
'Initialize zArchives with the current "Archive" object collection
Set zArchives = zProject.Archives

'For every "Archive" object within the collection...
For i = 0 To zArchives.Count - 1
'... output the name ...
Debug.Print i + 1 & ". Archive: " & zArchives.Item(i).Name
'... and the name of the included variables
Call zenOn_ArchiveVariables(zArchives.Item(i).ArchiveVariables)
Next i

End Sub

Sub zenOn_ArchiveVariables(ByRef zArchiveVars As ArchiveVariables)
'Declarations
Dim i As Integer

'For every "ArchiveVariable" object within the collection...
For i = 0 To zArchiveVars.Count - 1
'... output the name of the variable
Debug.Print vbTab & i + 1 & ". Var: " & zArchiveVars.Item(i).Name
Next i

End Sub


Archives-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archives -> Archives-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | not used | read only | yes | yes
IProject | Parent | - | not used | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archives -> Archives-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archives -> Archives-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Archives-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archives -> Archives-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchive | Item | - | available | not used | yes | yes


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> Archives -> Archives-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an "Archive" object from the collection, which is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Element name: The element can be accessed with its unique name.</li><li>Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "Archive" object in the list.</li></ul>Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As Archive

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchivesED

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "ArchivesED" object manages the collection of "ArchiveED" objects.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ArchivesED()
'Declarations
Dim zArchivesED As ArchivesED
Dim i As Integer

'Initialize zArchivesED with the archives of the current editor project
Set zArchivesED = MyWorkspace.ActiveDocument.ArchivesED

'For every archive within the collection ...
For i = 0 To zArchivesED.Count - 1
With zArchivesED.Item(i)
'... output the identifier and the name
Debug.Print .DynProperties("ShortName") & " - " & .DynProperties("LongName")
End With
Next i

End Sub


ArchivesED-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | not used | yes | yes
IProject | Parent | - | read only | not used | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


ArchivesED-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
IArchiveED | CreateArchive | - | available | not used | yes | yes
VARIANT_BOOL | DelArchive | - | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
IArchiveED | Item | - | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateArchive

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> CreateArchive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new archive ("ArchiveED" object) by its term, the name and optionally the source archive, if the new archive should be the following archive of the specified one.

Datatype

CreateArchive(String bstrShortName, String bstrLongName, IArchiveED pSourceArchive) As ArchiveED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DelArchive

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> DelArchive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Delete an existing archive ("ArchiveED" object) by its name.

Datatype

DelArchive(String bstrShortName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file. Existing settings will be replaced/merged.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an "ArchiveED" object from the collection, which is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Element name: The element can be accessed with its unique identification name (ShortName).</li><li>Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveED" object in the list.</li></ul>Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport (VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchivesED -> ArchivesED-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "ArchiveValue" object contains the value parameters for the "ArchiveFilterVariable" object.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ArchiveValue(ByRef zArvFilterVar As ArchiveFilterVariable)
'Declarations
Dim zArvValue As ArchiveValue
Dim zTimeConvert As clsTimeConvert

'Initialize zArvValue with the first available value within the current archive variable
Set zArvValue = zArvFilterVar.ArchiveValues.Item(0)

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

'If no value is available ...
If zArvValue Is Nothing Then
'... then inform the user
MsgBox ("No value available!")

'Otherwise:
Else
'Output the date and time when the value was recorded
Debug.Print "Date / Time: " & Format(zTimeConvert.zenOn2System(CDbl(zArvValue.Time)), "yyyy-mm-dd hh:mm:ss") & "." & zArvValue.TimeMilliSec
'Output the recorded value
Debug.Print "Recorded value: " & zArvValue.Value
'Output the state of the value
Debug.Print "State: &H" & Hex(zArvValue.Status)
End If

End Sub


ArchiveValue-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveValues | Parent | - | not used | read only | yes | yes
long | Status | - | not used | available | yes | yes
long | Time | - | not used | available | yes | yes
long | TimeMilliSec | - | not used | available | yes | yes
VARIANT | Value | - | not used | available | yes | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveValues

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or modifies the state of the recorded value.

Hint: For further information on state bits, please have a look at the ReaStatusStd part within the "State" object.

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Time

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or modifies the time when the value was recorded.

ATTENTION: zenOn uses UTC time internally, hence the desired start time has to be converted from the local time zone into UTC.

Please use the zenOn "clsTimeConvert" macro do that correctly.
For the macro code and further information on the zenOn "clsTimeConvert" macro, please have a look at the StartTime property within the "Archive Filter" object.

Datatype

Time() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TimeMilliSec

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Properties -> TimeMilliSec

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or modifies the milliseconds, in addition to the time, when the value was recorded.

Datatype

TimeMilliSec() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Value

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Properties -> Value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or modifies the value that was recorded.

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


ArchiveValue-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
VARIANT_BOOL | SetModified | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetModified

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValue -> ArchiveValue-Methods -> SetModified

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Use this method, in order to adopt parameter modifications.

Datatype

SetModified() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveValues

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "ArchiveValues" object manages the "ArchiveValue" objects.This object is utilized by the "ArchiveFilterVariable" object, in order to access the collection of "ArchiveValue" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ArchiveValues(ByRef zArvFilterVar As ArchiveFilterVariable)
'Declarations
Dim zArvValues As ArchiveValues
Dim zArvValue As ArchiveValue
Dim zTimeConvert As clsTimeConvert
Dim i As Integer

'Initialize zArvValue with the archive values collection of the current archive variable
Set zArvValues = zArvFilterVar.ArchiveValues

'Initialize zTimeConvert by creating a new instance of the zenOn "clsTimeConvert" macro
Set zTimeConvert = New clsTimeConvert

'If no value is available ...
If zArvValues Is Nothing Then
'... then inform the user
MsgBox ("No archive values available!")

'Otherwise:
Else
'Create a new archive value
'!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
'!! ATTENTION: !!
'!! This code is designed for spontaneous archive types. !!
'!! If it is used in combination with a cyclic archive, this !!
'!! code may corrupt the archive, which results in an loss of !!
'!! data. !!
'!! !!
'!! USE AT YOUR OWN RISK !!
'!! !!
'!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

'Initialize zArvValue by creating a new value entry
Set zArvValue = zArvValues.CreateArchiveValue

'Set the state of the value to a manual entry
zArvValue.Status = &H1000
'Set the time when the value was entered
zArvValue.Time = zTimeConvert.System2zenOn(CDbl(CDate("30.07.2007 12:00:00")))
'Set the milliseconds, in addition to the time
zArvValue.TimeMilliSec = 0
'Set the desired value
zArvValue.Value = 1531

'Apply the modifications to the value
zArvValue.SetModified

'For every archive value within the collection
For i = 0 To zArvValues.Count - 1
'Assign the current archive value to zArvValue
Set zArvValue = zArvValues.Item(i)
'Output the count of the value
Debug.Print i + 1 & ". Value"
'Output the date and time when the value was recorded
Debug.Print vbTab & "Date / Time: " & Format(zTimeConvert.zenOn2System(CDbl(zArvValue.Time)), "yyyy-mm-dd hh:mm:ss") & "." & zArvValue.TimeMilliSec
'Output the recorded value
Debug.Print vbTab & "Recorded value: " & zArvValue.Value
'Output the state of the value
Debug.Print vbTab & "State: &H" & Hex(zArvValue.Status)
Next i
End If
End Sub


ArchiveValues-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues -> ArchiveValues-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | not used | read only | yes | yes
IArchiveFilterVariable | Parent | - | not used | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues -> ArchiveValues-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues -> ArchiveValues-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveFilterVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveValues-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues -> ArchiveValues-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveValue | CreateArchiveValue | - | not used | available | yes | yes
VARIANT_BOOL | DeleteArchiveValue | - | not used | available | yes | yes
IArchiveValue | Item | - | available | available | yes | yes


CreateArchiveValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues -> ArchiveValues-Methods -> CreateArchiveValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method creates a new "ArchiveValue" object.

Datatype

CreateArchiveValue() As ArchiveValue

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteArchiveValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues -> ArchiveValues-Methods -> DeleteArchiveValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method removes an existing archive value ("ArchiveValue" object) from the collection.

Datatype

DeleteArchiveValue(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveValues -> ArchiveValues-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an "ArchiveValue" object from the collection, which is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Element name: The element can be accessed with its unique name.</li><li>Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveValue" object in the list.</li></ul>Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveVarED

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "ArchiveVarED" object contains the assigned "Variable" object and projecting information on the calculation mode.The object is utilized by the "ArchiveED" object.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ArchiveVarED(ByRef zArchiveED As ArchiveED)
'Declarations
Dim zArvVarED As ArchiveVarED

'Initialize zArvVarED with the "ArchiveVarED" object, where the variable named "WIZ_VAR_10" is assigned to it.
Set zArvVarED = zArchiveED.Item("WIZ_VAR_10")
'If the variable is not assigned to it ...
If zArvVarED Is Nothing Then
'... then add it to the archive
Set zArvVarED = zArchiveED.AddVariable("WIZ_VAR_10", 0, Nothing)
End If

'Output the variable name
Debug.Print "Variable name: " & zArvVarED.DynProperties("Variable").Name

'Output the calculation mode
Select Case zArvVarED.DynProperties("Calculation")
Case 0
Debug.Print "Calculation mode: All values"
Case 1
Debug.Print "Calculation mode: Sum"
Case 2
Debug.Print "Calculation mode: Average"
Case 3
Debug.Print "Calculation mode: Minimum"
Case 4
Debug.Print "Calculation mode: Maximum"
End Select

End Sub


ArchiveVarED-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED -> ArchiveVarED-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED -> ArchiveVarED-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED -> ArchiveVarED-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED -> ArchiveVarED-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED -> ArchiveVarED-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchiveVarED-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED -> ArchiveVarED-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

C++ Class CD_CVarArv


C++ Class CD_CVarArv

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVarED -> ArchiveVarED-Dynproperties -> C++ Class CD_CVarArv

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI1 | Calculation | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_VARIABLE | Variable | - |


ArchiveVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object is an archive variable containing the projecting information. "ArchiveVariable" objects are assigned to "Archive" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ArchiveVariable(ByRef zArchive As Archive)
'Declarations
Dim zArvVar As ArchiveVariable

'Initialize zArvVar with the first available archive variable within the collection
Set zArvVar = zArchive.ArchiveVariables.Item(0)

'If no archive variable is available ...
If zArvVar Is Nothing Then
'... then inform the user
MsgBox ("No archive variable available!")

'Otherwise, output some details
Else
'Output the name of the assigned variable
Debug.Print "Name: " & zArvVar.Name
'Output the ID
Debug.Print "ID: " & zArvVar.ID
'Output the utilized unit
Debug.Print "Unit: " & zArvVar.Unit
'Output the utilized calculation mode, if it is a following archive
Debug.Print "Calculation mode: " & zArvVar.Calculation
End If
End Sub


ArchiveVariable-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Calculation | - | not used | read only | yes | yes
long | ID | - | not used | read only | yes | yes
BSTR | LongText | - | not used | read only | yes | yes
BSTR | Name | - | not used | read only | yes | yes
IArchiveVariables | Parent | - | not used | read only | yes | yes
IArchiveVariable | SourceVariable | - | not used | read only | yes | yes
BSTR | Unit | - | not used | read only | yes | yes


Calculation

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties -> Calculation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Calculation() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unique ID of the current "ArchiveVariable" object.

Datatype

ID() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LongText

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties -> LongText

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the identifier of the current "ArchiveVariable" object.

Datatype

LongText() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of the current "ArchiveVariable" object.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ArchiveVariables

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


SourceVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties -> SourceVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

To get the SourceVariable As ArchiveVariable

Datatype

SourceVariable() As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Unit

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Properties -> Unit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unit (as string) of the current "ArchiveVariable" object.

Datatype

Unit() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveVariable-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IVariable | Variable | - | not used | available | yes | yes


Variable

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariable -> ArchiveVariable-Methods -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the assigned variable as "Variable" object.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ArchiveVariable(ByRef zArchive As Archive)
'Declarations
Dim zArvVar As ArchiveVariable

'Initialize zArvVar with the first available archive variable within the collection
Set zArvVar = zArchive.ArchiveVariables.Item(0)

'If no archive variable is available ...
If zArvVar Is Nothing Then
'... then inform the user
MsgBox ("No archive variable available!")

'Otherwise, output some details
Else
'Output the name of the assigned variable
Debug.Print "Name: " & zArvVar.Name
'Output the ID
Debug.Print "ID: " & zArvVar.ID
'Output the utilized unit
Debug.Print "Unit: " & zArvVar.Unit
'Output the utilized calculation mode, if it is a following archive
Debug.Print "Calculation mode: " & zArvVar.Calculation
End If
End Sub


ArchiveVariables

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "ArchiveVariables" object is a collection of all defined "ArchiveVariable" objects.This object is utilized by the "Archive" object, in order to access the collection of "ArchiveVariable" objects.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ArchiveVariables(ByRef zArchive As Archive)
'Declarations
Dim zArVars As ArchiveVariables
Dim i As Integer

'Initialize zArVars with the variable collection of the passed archive
Set zArVars = zArchive.ArchiveVariables

'For every variable within the collection...
For i = 0 To zArVars.Count - 1
'... output the name of the variable
Debug.Print i + 1 & ". Variable: " & zArVars.Item(i).Name
Next i

End Sub


ArchiveVariables-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables -> ArchiveVariables-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | not used | read only | yes | yes
IArchive | Parent | - | not used | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables -> ArchiveVariables-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables -> ArchiveVariables-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Archive

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ArchiveVariables-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables -> ArchiveVariables-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IArchiveVariable | Item | - | available | available | yes | yes
IArchiveVariable | ItemById | - | not used | available | yes | yes
IArchiveVariable | ItemByIdEx | - | not used | read only | yes | yes


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables -> ArchiveVariables-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an "ArchiveVariable" object from the collection, which is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Element name: The element can be accessed with its unique name.</li><li>Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "ArchiveVariable" object in the list.</li></ul>Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As ArchiveVariable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables -> ArchiveVariables-Methods -> ItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an "ArchiveVariable" object from the collection specified by its internal uniqe ID, which is identified by the parameter vVariableId.Hint: The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

ItemById(VARIANT vVariableId) As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemByIdEx

Manuels -> Interfaces de programmation -> Modèles d'objet -> ArchiveVariables -> ArchiveVariables-Methods -> ItemByIdEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns an object of type ArchiveFilterVariable.

Datatype

ItemByIdEx(VARIANT vVariableId, VARIANT vProjectName, VARIANT vCalculation) As ArchiveVariable

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Uniqe PvID of linked zenOn Variable

Type of claculation as long
Calculation Types

Projectname as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vVariableId As Variant

vCalculation As Variant

vProjectName As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetArchiveVariable(zArchive As Archive)
Dim zVariable As Variable
Dim zArvVar As ArchiveVariable
'get variable object to read the PvID!
Set zVariable = thisProject.Variables.Item("WIZ_VAR_10")
'get the archivevariable with SUM calculation
Set zArvVar = zArchive.ArchiveVariables.ItemByIdEx(zVariable.PvID, thisProject.Name, 1)
End Sub


Cel

Manuels -> Interfaces de programmation -> Modèles d'objet -> Cel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The CEL Object represents the "Chronologival Event List" an offers the feature to write user defined Events into the list or react on entries in the list...There are some methods and events implemented, to see how they are working look at the Sample below or take a detailed look at the objects properties...

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'##########################################################
'### this Code can be used within the 'thisProject' ###
'### object class, because of the project events! ###
'##########################################################
'Declare Objects to get the Events...
Dim WithEvents zCEL As Cel
Dim WithEvents zCELPIC As DynPicture
Dim bCEL As Boolean

'##########################################################
'### Project Events - START/END of the zenOn Runtime ###
'##########################################################
Private Sub Project_Active()
'Init screen pbjects to get Open/Close events of the screens
Set zCELPIC = thisProject.DynPictures.Item("CEL")
End Sub

Private Sub Project_Inactive()
'release objects
Set zCELPIC = Nothing
End Sub

'##########################################################
'### Procedures/Events for the Chronological event list ###
'##########################################################
Private Sub zCELPIC_Open()
'boolen flag to remember the open event
bCEL = True
'init CEL Object to get the CelListSelectionChanged event
Set zCEL = thisProject.Cel
End Sub

Private Sub zCELPIC_Close()
'release object
Set zCEL = Nothing
End Sub

Private Sub zCEL_CelListSelectionChanged(ByVal obItem As ICelItem)
'If the boolen is TRUE, the first events can be ignored
'because in this case the events returns the default
'selection on opening the screen
If bCEL = True Then
bCEL = False
Else
Debug.Print "C_Changed - " & obItem.Text
End If
End Sub


Cel-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Parent | Parent-object | read only | read only | yes | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Cel-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ICelItems | CelItems | Return the CelItems | not used | read only | yes | yes
void | WriteCelString | Creates a new cel-item (only runtime) | not used | available | yes | yes
void | WriteCelStringEx | Creates a new extended cel-item (only runtime) | not used | available | yes | yes


CelItems

Manuels -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods -> CelItems

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Object to get all Items are actually in memory...<h4>Filter String:</h4>If the string is not "*", then the string should represent the name (case sensitive) of a zenon function.If a function with the given name exists, the filter settings within this function will be used.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />--> only version 6.51 and above

Datatype

CelItems(String strFilter) As CelItems

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A Filter is not implemented yet. To avoid problems in future use always the asterisk...
Example:

Debug.Print zCelItems("*").Count

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strFilter As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'##########################################################
'### Get all CEL Items of the project ###
'##########################################################
Public Sub GetAllItems()
Dim i As Integer
'get all items in memory...
For i = 0 To thisProject.Cel.CelItems("*").Count - 1
'print text of item to outputwindow
Debug.Print thisProject.Cel.CelItems("*").Item(i).Text
Next i
End Sub


WriteCelString

Manuels -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods -> WriteCelString

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new cel-item (only runtime)

Datatype

WriteCelString(String strCelString) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

The given String will be written into the chronological event list (actual Timestamp)
Example: "VBA Error " & Err.Number & " in procedure DoSome!"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strCelString As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub WriteString2CEL(YourText As String)
'a new entry will be generated in the CEL with the actual timestamp...
thisProject.Cel.WriteCelString YourText
End Sub


WriteCelStringEx

Manuels -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Methods -> WriteCelStringEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new extended cel-item (only runtime)

Datatype

WriteCelStringEx(String strCelString,String szPvName,long iGroup,long iClass,VARIANT Value,long Status) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

StatusValue contains all actual status information as single bits...

Status Bits:

Status | Bit | Value (DEC) | Value (HEX)
ST_M1 / Status1 | 0 | 1 | 1
ST_M2 / Status2 | 1 | 2 | 2
ST_M3 / Status3 | 2 | 4 | 4
ST_M4 / Status4 | 3 | 8 | 8
ST_M5 / Status5 | 4 | 16 | 10
ST_M6 / Status6 | 5 | 32 | 20
ST_M7 / Status7 | 6 | 64 | 40
ST_M8 / Status8 | 7 | 128 | 80
SELEC / Select | 8 | 256 | 100
REV / Revision | 9 | 512 | 200
DIREC / Desired direction | 10 | 1.024 | 400
RTE / Runtime exceeded | 11 | 2.048 | 800
MVALUE / Manual value | 12 | 4.096 | 1000
ST_M14 / Status14 | 13 | 8.192 | 2000
ST_M15 / Status15 | 14 | 16.384 | 4000
ST_M16 / Status16 | 15 | 32.768 | 8000
GR / General request | 16 | 65.536 | 10000
SPONT / Spontaneous | 17 | 131.072 | 20000
I-BIT / Invalid | 18 | 262.144 | 40000
SU/WI / Summer/winter time announcement | 19 | 524.288 | 80000
N_UPD / switched off | 20 | 1.048.576 | 100000
RT_E / Realtime external | 21 | 2.097.152 | 200000
RT_I / Realtime internal | 22 | 4.194.304 | 400000
NSORT / Not sortable | 23 | 8.388.608 | 800000
DM_TR / Default message trafo value | 24 | 16.777.216 | 1000000
RM_TR / Running message trafo value | 25 | 33.554.432 | 2000000
INFO / Info for variable | 26 | 67.108.864 | 4000000
AVALUE / Alternative value | 27 | 134.217.728 | 8000000
ACTUAL / Not updated | 29 | 536.870.912 | 20000000
WINTER / Winter time | 30 | 1.073.741.824 | 40000000
BLINK / Blink | 31 | 2.147.483.648 | 80000000
TCBx / Transmission cause bit x | 32 | 4.294.967.296 | 100000000
TCBx / Transmission cause bit x | 33 | 8.589.934.592 | 200000000
TCBx / Transmission cause bit x | 34 | 17.179.869.184 | 400000000
TCBx / Transmission cause bit x | 35 | 34.359.738.368 | 800000000
TCBx / Transmission cause bit x | 36 | 68.719.476.736 | 1000000000
TCBx / Transmission cause bit x | 37 | 137.438.953.472 | 2000000000
PN_BIT / P/N bit | 38 | 274.877.906.944 | 4000000000

ID of AlarmClass for filtering within the chronological event list...

The given String will be written into the chronological event list (actual Timestamp)

Example: "VBA Error " & Err.Number & " in procedure DoSome!"

ID of AlarmGroup for filtering within the chronological event list...

Name of a variable, the variable will be listed in the chronological event list...

Value as Variant, means the value entry within the chronological event list...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Status As Long

iClass As Long

strCelString As String

iGroup As Long

szPvName As String

Value As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub WriteExString2CEL(YourText As String, VarName As String, _
GroupNr As Long, ClassNr As Long, _
vValue As Variant, lStatus As Long)
'a new entry will be generated in the CEL with the actual timestamp...
Call thisProject.Cel.WriteCelStringEx(YourText, VarName, GroupNr, _
ClassNr, vValue, lStatus)
End Sub


Cel-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | CelItemAdded | Event is fired when a new entry has been added to the CEL | not used | available | yes | yes
void | CelItemCommentChanged |  | not used | available | yes | yes
void | CelListSelectionChanged |  | not used | read only | yes | yes


CelItemAdded

Manuels -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Events -> CelItemAdded

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Event is fired, when a new item was added...

Datatype

CelItemAdded(CelItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Returns the added CelItem as Object...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obItem As CelItem

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zCEL As Cel

'##########################################################
'### Procedures/Events of the Project ###
'##########################################################
Private Sub Project_Active()
'init CEL Object to get the CelItemAdded event
Set zCEL = thisProject.Cel
End Sub

Private Sub Project_Inactive()
'release object
Set zCEL = Nothing
End Sub

'##########################################################
'### Procedures/Events for the CEL DynPicture ###
'##########################################################
Private Sub zCEL_CelItemAdded(ByVal obItem As ICelItem)
'when a new entry was generated....
Debug.Print "CelItemAdded - " & obItem.Text
End Sub


CelItemCommentChanged

Manuels -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Events -> CelItemCommentChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CelItemCommentChanged(String bsText) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CelListSelectionChanged

Manuels -> Interfaces de programmation -> Modèles d'objet -> Cel -> Cel-Events -> CelListSelectionChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The event will be fired whenever the Selection in the list is changed, when an item is selected the Entry will be passed on through the zenon-API. When an item has been deselected, the eventparameter will be "Nothing".Additionally the event will be triggered whenever an AML/CEL picture is closed. (This could lead the event being triggered twice with "Nothing").NOTE: When the Property "hide current selection" has been set at the listcontrol, the event will/should not be fired(!)

Datatype

CelListSelectionChanged(CelItem obItem) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Returns the added CelItem as Object...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obItem As CelItem

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zCELPIC As DynPicture
Dim WithEvents zCEL As Cel
Dim bCEL As Boolean

'##########################################################
'### Procedures/Events of the Project ###
'##########################################################
Private Sub Project_Active()
'set this object to get the Picture Open/Close Events...
Set zCELPIC = thisProject.DynPictures.Item("CELPICTURENAME")
End Sub

Private Sub Project_Inactive()
'release object
Set zCELPIC = Nothing
End Sub

'##########################################################
'### Procedures/Events for the CEL DynPicture ###
'##########################################################
Private Sub zCELPIC_Open()
'boolen flag to remember the open event
bCEL = True
'init CEL Object to get the CelListSelectionChanged event
Set zCEL = thisProject.Cel
End Sub

Private Sub zCELPIC_Close()
'release object
Set zCEL = Nothing
End Sub

'##########################################################
'### Procedures/Events for the ChronologicalEventList ###
'##########################################################
Private Sub zCEL_CelListSelectionChanged(ByVal obItem As ICelItem)
'If the boolen is TRUE, the first events can be ignored
'because in this case the events returns the default
'selection on opening the picture
If bCEL = True Then
bCEL = False
Else
If obItem Is Nothing Then Exit Sub
Debug.Print "SelectionChanged - " & obItem.Text
End If
End Sub


CelItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object deliveres all information stored with the cel item...You can read this like shown in the Sample, but ther some more, like the Username, the Computer, Value or something else...

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'##########################################################
'### Get all CEL Items of the project ###
'##########################################################
Public Sub GetAllItems()
Dim i As Integer
Dim zCItem As CelItem
'get all items in memory...
For i = 0 To thisProject.Cel.CelItems("*").Count - 1
'set object to a specific item...
Set zCItem = thisProject.Cel.CelItems("*").Item(i)
'print time, text, Variablename and User-Comment of item to outputwindow
Debug.Print "Time: " & zCItem.Time
Debug.Print "Text: " & zCItem.Text
Debug.Print "Variable: " & zCItem.VariableName
Debug.Print "Comment: " & zCItem.Comment
Debug.Print "-----------------------------"
Next i
End Sub


CelItem-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
short | Class | Returns the class | not used | read only | yes | yes
BSTR | Comment | Returns the comment | not used | available | yes | yes
BSTR | Computer | Returns the computer name | not used | read only | yes | yes
short | Group | Returns the group | not used | read only | yes | yes
long | Status | Return the status | not used | read only | yes | yes
BSTR | TagName | Returns the Tagname of the variable | not used | read only | yes | yes
BSTR | Text | Returns the text | not used | read only | yes | yes
DATE | Time | Returns the time | not used | read only | yes | yes
BSTR | User | Returns the user | not used | read only | yes | yes
VARIANT | Value | Returns the value | not used | read only | yes | yes
BSTR | VariableName | Returns the name of the variable | not used | read only | yes | yes


Class

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Class

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Alarm/CEL class as number (the number which was set in the Alarm/CEL configuration...

Datatype

Class() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Comment

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Comment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

A comment which can be changed by the user...

Datatype

Comment() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Computer

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Computer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Computername, where the Entry was raised...

Datatype

Computer() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Group

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Group

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Alarm/CEL group as number (the number which was set in the Alarm/CEL configuration...

Datatype

Group() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Status() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


TagName

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> TagName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The TagName of the Variable, which has raised the entry...

Datatype

TagName() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Text

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Text of the actual entry...

Datatype

Text() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Time

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The time when the entry was created...The Time is given as Double, but if you print it out, you will get the Date/Time format of the system...

Datatype

Time() As DATE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


User

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> User

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The user who was logged in during the entry has been added....

Datatype

User() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> Value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Value of the Variable...

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


VariableName

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Properties -> VariableName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Name of the Variable as string

Datatype

VariableName() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


CelItem-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItem -> CelItem-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CelItems

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItems

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this object it is possible to get all CEL entries are in memory. You are able to read all properties of each item...Hint:The Filter should be set always like "*", because this feature is implemented for future and does not work for now.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'##########################################################
'### Get all CEL Items of the project ###
'##########################################################
Public Sub GetAllItems()
Dim i As Integer
'get all items in memory...
For i = 0 To thisProject.Cel.CelItems("*").Count - 1
'print text of item to outputwindow
Debug.Print thisProject.Cel.CelItems("*").Item(i).Text
Next i
End Sub


CelItems-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItems -> CelItems-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of CelItems | read only | read only | yes | yes
ICel | Parent | Parent-object | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItems -> CelItems-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItems -> CelItems-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Cel

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CelItems-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItems -> CelItems-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ICelItem | Item | Returns the CelItem at the given index | available | not used | yes | yes


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> CelItems -> CelItems-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

To get a defined entry of the List.You can read all available properties like the Text or the Name of the linked Variable, the Username and so on...

Datatype

Item(VARIANT vIndex) As CelItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ColorPalettes

Manuels -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub Read_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim vProps As Variant

Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument
'get all DynProperties of the actual object (ColorPalettes)
vProps = zPRJ.ColorPalettes.DynPropertiesEnum("")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'Palette,SUBITEM,Palette,
'ColorNames,String,Color name,

vProps = zPRJ.ColorPalettes.DynPropertiesEnum("Palette")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'PaletteColors,String,Colors of the palette,
'PaletteName,String,Palette name,

Debug.Print zPRJ.ColorPalettes.DynProperties("ColorNames")
'Result:
'Color_01;Color_02;Color_03;Color_04;Colo5_05;

For i = 0 To zPRJ.ColorPalettes.DynProperties("Palette[-1]")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteName")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteColors")
Next i
'Result:
'Light
'#FFFFFF;#FFFF00;#FFC0CB;#AFEEEE;#00005E;
'Dark
'#000000;#0000FF;#8B0000;#388E8E;#E6E6FA;

'In the sample Project there were 2 colorpalettes with 5 colors each...
End Sub

Sub Write_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim strColors As String
Dim nCount As Integer

Set zPRJ = MyWorkspace.ActiveDocument

'create a new ColorPalette
Call zPRJ.ColorPalettes.CreateDynProperty("Palette")

'define a set of 5 colors as a string...
strColors = "#FFEEDD;#FF8800;#FFC5DB;#AFFE12;#01205F;"

'get number of ColorPalettes
nCount = zPRJ.ColorPalettes.DynProperties("Palette[-1]")

'set name of Palette...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteName") = "VBA_Colors_" & nCount
'set defined colors...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteColors") = strColors

End Sub

Sub AddNewColor()
Dim zPRJ As Project
Dim vColors As Variant
Dim i As Integer
Dim strColor As String

Set zPRJ = MyWorkspace.ActiveDocument

'get actual color-names
vColors = Split(zPRJ.ColorPalettes.DynProperties("ColorNames"), ";")
For i = 0 To UBound(vColors) - 1
Debug.Print i & ": " & vColors(i)
Next i

'add a new Color...
strColor = zPRJ.ColorPalettes.DynProperties("ColorNames")
strColor = strColor & "Color_" & Format(UBound(vColors) + 1, "00") & ";"
zPRJ.ColorPalettes.DynProperties("ColorNames") = strColor

End Sub


ColorPalettes-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty |  | available | not used | yes | yes
void | DynProperties [PUT] |  | available | not used | yes | yes
VARIANT | DynProperties [GET] |  | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


CreateDynProperty

Manuels -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "Palette"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Write_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim strColors As String
Dim nCount As Integer

Set zPRJ = MyWorkspace.ActiveDocument

'create a new ColorPalette
Call zPRJ.ColorPalettes.CreateDynProperty("Palette")

'define a set of 5 colors as a string...
strColors = "#FFEEDD;#FF8800;#FFC5DB;#AFFE12;#01205F;"

'get number of ColorPalettes
nCount = zPRJ.ColorPalettes.DynProperties("Palette[-1]")

'set name of Palette...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteName") = "VBA_Colors_" & nCount
'set defined colors...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteColors") = strColors

End Sub

Sub AddNewColor()
Dim zPRJ As Project
Dim vColors As Variant
Dim i As Integer
Dim strColor As String

Set zPRJ = MyWorkspace.ActiveDocument

'get actual color-names
vColors = Split(zPRJ.ColorPalettes.DynProperties("ColorNames"), ";")
For i = 0 To UBound(vColors) - 1
Debug.Print i & ": " & vColors(i)
Next i

'add a new Color...
strColor = zPRJ.ColorPalettes.DynProperties("ColorNames")
strColor = strColor & "Color_" & Format(UBound(vColors) + 1, "00") & ";"
zPRJ.ColorPalettes.DynProperties("ColorNames") = strColor

End Sub


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "ColorNames"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Read_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim vProps As Variant

Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument
'get all DynProperties of the actual object (ColorPalettes)
vProps = zPRJ.ColorPalettes.DynPropertiesEnum("")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'Palette,SUBITEM,Palette,
'ColorNames,String,Color name,

vProps = zPRJ.ColorPalettes.DynPropertiesEnum("Palette")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'PaletteColors,String,Colors of the palette,
'PaletteName,String,Palette name,

Debug.Print zPRJ.ColorPalettes.DynProperties("ColorNames")
'Result:
'Color_01;Color_02;Color_03;Color_04;Colo5_05;

For i = 0 To zPRJ.ColorPalettes.DynProperties("Palette[-1]")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteName")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteColors")
Next i
'Result:
'Light
'#FFFFFF;#FFFF00;#FFC0CB;#AFEEEE;#00005E;
'Dark
'#000000;#0000FF;#8B0000;#388E8E;#E6E6FA;

'In the sample Project there were 2 colorpalettes with 5 colors each...
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "ColorNames"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Write_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim strColors As String
Dim nCount As Integer

Set zPRJ = MyWorkspace.ActiveDocument

'create a new ColorPalette
Call zPRJ.ColorPalettes.CreateDynProperty("Palette")

'define a set of 5 colors as a string...
strColors = "#FFEEDD;#FF8800;#FFC5DB;#AFFE12;#01205F;"

'get number of ColorPalettes
nCount = zPRJ.ColorPalettes.DynProperties("Palette[-1]")

'set name of Palette...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteName") = "VBA_Colors_" & nCount
'set defined colors...
zPRJ.ColorPalettes.DynProperties("Palette[" & nCount - 1 & "].PaletteColors") = strColors

End Sub

Sub AddNewColor()
Dim zPRJ As Project
Dim vColors As Variant
Dim i As Integer
Dim strColor As String

Set zPRJ = MyWorkspace.ActiveDocument

'get actual color-names
vColors = Split(zPRJ.ColorPalettes.DynProperties("ColorNames"), ";")
For i = 0 To UBound(vColors) - 1
Debug.Print i & ": " & vColors(i)
Next i

'add a new Color...
strColor = zPRJ.ColorPalettes.DynProperties("ColorNames")
strColor = strColor & "Color_" & Format(UBound(vColors) + 1, "00") & ";"
zPRJ.ColorPalettes.DynProperties("ColorNames") = strColor

End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Read_ColorPalettes_DynProps()
Dim zPRJ As Project
Dim vProps As Variant

Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument
'get all DynProperties of the actual object (ColorPalettes)
vProps = zPRJ.ColorPalettes.DynPropertiesEnum("")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'Palette,SUBITEM,Palette,
'ColorNames,String,Color name,

vProps = zPRJ.ColorPalettes.DynPropertiesEnum("Palette")
'Print informations of DynProperties into output window
For i = 0 To UBound(vProps)
Debug.Print vProps(i)
Next i
'Result:
'PaletteColors,String,Colors of the palette,
'PaletteName,String,Palette name,

Debug.Print zPRJ.ColorPalettes.DynProperties("ColorNames")
'Result:
'Color_01;Color_02;Color_03;Color_04;Colo5_05;

For i = 0 To zPRJ.ColorPalettes.DynProperties("Palette[-1]")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteName")
Debug.Print zPRJ.ColorPalettes.DynProperties("Palette[" & i & "].PaletteColors")
Next i
'Result:
'Light
'#FFFFFF;#FFFF00;#FFC0CB;#AFEEEE;#00005E;
'Dark
'#000000;#0000FF;#8B0000;#388E8E;#E6E6FA;

'In the sample Project there were 2 colorpalettes with 5 colors each...
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ExportColorPalettes()
Dim zPRJ As Project
Dim bResult As Boolean

'get active project...
Set zPRJ = MyWorkspace.ActiveDocument

'export color palettes...
bResult = zPRJ.ColorPalettes.Export("C:\Temp\ColorPalettes.xml")

'check result, write to output-window...
If bResult = False Then
ApplicationED.DebugPrint "VBA Export of ColorPalettes failed.", tpErr
Else
ApplicationED.DebugPrint "VBA ColorPalettes exported.", tpMsg
End If

End Sub


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Imports settings using a xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ImportColorPalettes()
Dim zPRJ As Project
Dim bResult As Boolean

'get active project...
Set zPRJ = MyWorkspace.ActiveDocument

'import color palettes...
bResult = zPRJ.ColorPalettes.Import("C:\Temp\ColorPalettes.xml")

'check result, write to output-window...
If bResult = False Then
ApplicationED.DebugPrint "VBA Import of ColorPalettes failed.", tpErr
Else
ApplicationED.DebugPrint "VBA ColorPalettes imported.", tpMsg
End If

End Sub


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export a single ColorPalette to an XML File.

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ColorPalettes-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

ColorPalettes-Dynproperties


ColorPalettes

Manuels -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Dynproperties -> ColorPalettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | ColorNames | Nom couleur |
CD_CPalette | Palette | Palette |


CD_CPalette-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ColorPalettes -> ColorPalettes-Dynproperties -> CD_CPalette-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | PaletteColors | Couleurs de la palette |
VT_BSTR | PaletteName | Nom palette | Nom de la palette. Par défaut : Palette de couleur suivi d'un numéro d'indice, par exemple Palette de couleur 1. Plus de détails dans l'aide en ligne.


ComplexItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> ComplexItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object represents the items of a structure datatype.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub test_IComplexItem()
Dim zComplexItem As ComplexItem
Dim zVarTypes As VarTypes
Dim i As Integer, j As Variant, k As Long

Set zVarTypes = thisProject.VarTypes
For i = 0 To zVarTypes.Count - 1
If (zVarTypes.Item(i).IsSimple = 0 And zVarTypes.Item(i).SubItemCount > 1) Then
Set zComplexItem = zVarTypes.Item(i).SubItem(1)

'write properties
zComplexItem.DynProperties("BitOffset") = 2 'EDwriteable
zComplexItem.DynProperties("Description") = "YourDescr..." 'EDwriteable
zComplexItem.DynProperties("Dim1") = 2 'EDwriteable
zComplexItem.DynProperties("Dim2") = 2 'EDwriteable
zComplexItem.DynProperties("Dim3") = 2 'EDwriteable
Debug.Print zComplexItem.DynProperties("HasRef") 'ReadOnly
zComplexItem.DynProperties("ID_DataTyp") = 19 'EDwriteable
Debug.Print zComplexItem.DynProperties("ItemIndex") 'ReadOnly
zComplexItem.DynProperties("Name") = "YourName" 'EDwriteable
zComplexItem.DynProperties("Offset") = 10 'EDwriteable

'read properties
Debug.Print zComplexItem.DynProperties("BitOffset")
Debug.Print zComplexItem.DynProperties("Description")
Debug.Print zComplexItem.DynProperties("Dim1")
Debug.Print zComplexItem.DynProperties("Dim2")
Debug.Print zComplexItem.DynProperties("Dim3")
Debug.Print zComplexItem.DynProperties("HasRef")
Debug.Print zComplexItem.DynProperties("ID_DataTyp")
Debug.Print zComplexItem.DynProperties("ItemIndex")
Debug.Print zComplexItem.DynProperties("Name")
Debug.Print zComplexItem.DynProperties("Offset")

'Methods
zComplexItem.MoveItemDown
zComplexItem.MoveItemUp
End If
Next i
End Sub


ComplexItem-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IVarType | Parent | - | read only | read only | yes | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As VarType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ComplexItem-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
VARIANT_BOOL | MoveItemDown | - | available | not used | yes | yes
VARIANT_BOOL | MoveItemUp | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MoveItemDown

Manuels -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Methods -> MoveItemDown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

move the ComplexItem one down in the Tree...

Datatype

MoveItemDown() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MoveItemUp

Manuels -> Interfaces de programmation -> Modèles d'objet -> ComplexItem -> ComplexItem-Methods -> MoveItemUp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

move the ComplexItem one up in the Tree...

Datatype

MoveItemUp() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Driver

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The object Driver includes important information on the defined drivers, e.g. name, driver, status and mode.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub DriversSample()
Dim zDrivers As Drivers
Dim zDriver As Driver
Dim i As Integer

'get drivers collection
Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Enumerate existing drivers in the project
For i = 0 To zDrivers.Count - 1
Debug.Print zDrivers.Item(i).Name
Next i

'Create a new driver and check if already exists
Set zDriver = zDrivers.Item("NewSimulationDriver")
If zDriver Is Nothing Then
Set zDriver = zDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")
End If

End Sub


Driver-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Identification | Name | available | read only | yes | yes
BSTR | Name | Programname | available | read only | yes | yes
IDrivers | Parent | Parent-object | read only | read only | yes | yes


Identification

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Properties -> Identification

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Identification() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name (EXE) of the driver.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Drivers

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Driver-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Browse | Imports variables from PLC or file. | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
VARIANT_BOOL | CloseConfig | Closes driver config and stops driver. | available | not used | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
VARIANT_BOOL | OpenConfig | Starts driver and opens driver config for access via properties. | available | not used | yes | yes
VARIANT_BOOL | SupportsChannel | Returns True when the given channeltype is supported for the given datatype. | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


Browse

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> Browse

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Browse(String bsFilter, String bsResult) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Driver specific filterstring for online import of variables.

IEC870: Net=NetAddress;Filter={Address="Filterstring1";Type="Filterstring2";}; Logix32: Net=NetAddress;Struct="Filterstring1";Name="Filterstring2"; The Filterstrings must be used as in the dialog when importing manual ly in the editor...

Returns a message as String like you can see in the LogViewer...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFilter As String

bsResult As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CloseConfig

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> CloseConfig

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CloseConfig(Boolean bSave) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Defines wether to save (True) the actual driver configuration or not (False).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bSave As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OpenConfig

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> OpenConfig

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OpenConfig() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SupportsChannel

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> SupportsChannel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns "True" when the actual driver object support the given VarType and ChannelType combination.

Datatype

SupportsChannel(tpKanaltypes ChannelType, IVarType ObVarType) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

ChannelType (constant) to be checked.

VarType object to be checked.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

ChannelType As tpKanaltypes

ObVarType As VarType

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Channelsupport()
Dim zDRV As Driver
Dim zVTP As VarType
'get a Driver object for Simulation-Driver
Set zDRV = MyWorkspace.ActiveDocument.Drivers.Item("SIMUL_WIZ")
'get a VarType object for UINT
Set zVTP = MyWorkspace.ActiveDocument.VarTypes.Item("UINT")

If zDRV.SupportsChannel(tpSPSMerker, zVTP) = True Then
Debug.Print "This combination is supported by the driver."
Else
Debug.Print "NOT supported by this driver!"
End If
End Sub


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Driver-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

Driver-Dynproperties


Driver

Manuels -> Interfaces de programmation -> Modèles d'objet -> Driver -> Driver-Dynproperties -> Driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

Driver-DynpropertiesId

Id driver

VT_UI2

SimulEvPort

Port d'événements

Disponible uniquement si un projet de simulation a été créé.

Port TCP/IP utilisé pour les échanges de données spontanés. Le numéro de port doit être unique, ne doit pas être utilisé dans le projet et doit être disponible sur l'ordinateur sur lequel est exécuté le driver. Lors de la création de la simulation, un numéro de port distinct est attribué automatiquement.

Remarque : Un numéro de port attribué automatiquement est seulement unique pour le projet correspondant. Pour les projets multi-hiérarchiques, vous devez vérifier cela de façon à éviter les erreurs de communication avec le module Workbench/le Runtime de zenon Logic.

Minimum : 6001 (en cas d'attribution automatique, recommandé en cas d'attribution manuelle)

Maximum : 6998 (en cas d'attribution automatique, recommandé en cas d'attribution manuelle)

Par défaut : 6001

Plus de détails dans l'aide en ligne

VT_BSTR

SimulName

Nom

Nom du projet de simulation. Si aucun nom valide n'est disponible au démarrage de l'espace de travail de zenon Logic, un nom est attribué automatiquement. Le nom est constitué du nom du driver et de sa description.

Conditions de validité des noms :

- non vides

- uniques dans le projet

- constitués uniquement de caractères autorisés dans zenon Logic ; les caractères suivants sont interdits : /\:*?<>!|"

Minimum : 1 caractères.

Maximum : 15 caractères.

Plus de détails dans l'aide en ligne

VT_UI2

SimulPort

Port standard

Disponible uniquement si un projet de simulation a été créé.

Port TCP/IP pour les communications avec l'espace de travail zenon Logic. Le numéro de port doit être unique, ne doit pas être utilisé dans le projet et doit être disponible sur l'ordinateur sur lequel s'exécute le driver. Lors de la création de la simulation, un numéro de port distinct est attribué automatiquement.

Remarque : Un numéro de port attribué automatiquement est seulement unique pour le projet correspondant. Pour les projets multi-hiérarchiques, vous devez vérifier cela de façon à éviter les erreurs de communication avec le module Workbench/le Runtime de zenon Logic.

Minimum : 6000 (en cas d'attribution automatique, recommandé en cas d'attribution manuelle)

Maximum : 6999 (en cas d'attribution automatique, recommandé en cas d'attribution manuelle)

Par défaut : 6000

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BSTR

NameFile

Nom de fichier

Nom de fichier du driver.
Le fichier se trouve dans le dossier de programme du système de contrôle.

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Désignation

Nom unique du driver.
zenon identifie le driver à l'aide de ce nom, et non à l'aide du nom de fichier. Il est ainsi possible de charger le même driver plusieurs fois. Cela s'avère par exemple nécessaire lorsque vous devez accéder à des types de contrôles identiques, connectés à plusieurs interfaces série différentes.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_BSTR

Description

Description

Description du driver.

Plus de détails dans l'aide en ligne


Drivers

Manuels -> Interfaces de programmation -> Modèles d'objet -> Drivers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The object Drivers, is a collection of which contains the defined drivers of the project.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub DriversSample()
Dim zDrivers As Drivers
Dim zDriver As Driver
Dim i As Integer

'get drivers collection
Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Enumerate existing drivers in the project
For i = 0 To zDrivers.Count - 1
Debug.Print zDrivers.Item(i).Name
Next i

'Create a new driver and check if already exists
Set zDriver = zDrivers.Item("NewSimulationDriver")
If zDriver Is Nothing Then
Set zDriver = zDrivers.CreateDriver("NewSimulationDriver", "SIMUL32")
End If

End Sub


Drivers-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined drivers | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Drivers-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IDriver | CreateDriver | Creates a new driver | available | not used | yes | yes
IDriver | CreateDriverEx | Creates a new driver | available | not used | yes | yes
VARIANT_BOOL | DeleteDriver | Deletes the given driver | available | not used | yes | yes
IDriver | Item | Returns driver by position or name | available | available | yes | yes


CreateDriver

Manuels -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Methods -> CreateDriver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new driver and returns the created driver as Driver object.

Datatype

CreateDriver(String strName,String strEXEName) As Driver

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateDriverEx

Manuels -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Methods -> CreateDriverEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateDriverEx(String strName,String strEXEName,Boolean bShowDlg) As Driver

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteDriver

Manuels -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Methods -> DeleteDriver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes the given driver by its name

Datatype

DeleteDriver(String strName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> Drivers -> Drivers-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object Driver from the collection, which is identified by the parameter vID.The parameter vID can have two values:

Datatype

Item(VARIANT vID) As Driver

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vID As Variant Index or name. If the parameter is a numerical value, the driver is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the driver is searched by its name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPicture

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This collection contains the defined Screens. The single Screens can contain different dynamic elements. Each Screen is linked to a Frame, that contains general information on the outer appearance.Screens always come from the current project – the global project is ignored, as Screens are not supported in global projects.The single Screens can be found in the collection by their unique name or by the index. Each Screen is identified by an unique name.Hint:For the use of events in an object DynPicture an object DynPicture of this Screen must be defined with WithEvents.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'##############################################
'## VBA Code in the Module "ModuleElement" ##
'## ---------------------------------------- ##
'## LeftClickUp - Event has to be created in ##
'## the Editor with the Name "PopUp"... ##
'## (Scripting - VBA Makros - ModuleElement) ##
'##############################################

'event for clicking on a element
Public Sub LeftClickUp_PopUp(obElem As Element)
'save the position information of the element to public
'member variables in the thisProject Classmodule...
thisProject.lLeft = obElem.Left
thisProject.lTop = obElem.Top
'execute different functions depending to the element name...
'Example for FuntionName: POPUP_Valve001
'>> Valve001 ist the Objectname of the Element!
thisProject.RtFunctions.Item("POPUP_" & obElem.Name).Start
End Sub

'###############################################
'## VBA Code in the ClassModule "thisProject" ##
'## ----------------------------------------- ##
'## When the POPUP Screen opens, the Open - ##
'## Event is executed and the new positions ##
'## will be set with the Move - Method ##
'###############################################

'declaration of the position members...
Public lLeft As Long
Public lTop As Long
'declaring the DynPicture Object for the OPEN event...
Dim WithEvents dynPicPOPUP As DynPicture

'on project startup...
Private Sub Project_Active()
'setting the Dynpicture object to the "POPUP" Screen...
Set dynPicPOPUP = thisProject.DynPictures.Item("POPUP")
'check if there was a problem an initializing the DynPicture Object...
If dynPicPOPUP Is Nothing Then
MsgBox "moving the Screen is not possible..."
End If
End Sub

'when the Screen opens...
Private Sub dynPicPOPUP_Open()
'moving the Screen...
dynPicPOPUP.Move lLeft, lTop, dynPicPOPUP.Width, dynPicPOPUP.Height
End Sub

'on project exit...
Private Sub Project_Inactive()
If dynPicPOPUP Is Nothing Then Exit Sub
'release the object...
Set dynPicPOPUP = Nothing
End Sub


DynPicture-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AutoKBLayout | Use regional settings for keyboard layout | available | read only | yes | yes
OLE_COLOR | BackColor |  | available | read only | yes | yes
BSTR | BackgroundImage | Background image for the picture | available | read only | yes | yes
long | BackgroundImageStyle | Style for the background image | available | read only | yes | yes
long | BorderStyle | Style of the picture-border (for resizing) | available | read only | yes | yes
long | Bottom | Bottom-coordinate of the picture | read only | not used | yes | yes
VARIANT_BOOL | Enable |  | available | available | yes | yes
long | EndFunction | Rt-Function by closing the picture | available | read only | yes | yes
long | Height | Height of the picture | available | read only | yes | yes
VARIANT_BOOL | Hide |  | available | available | yes | yes
long | Left | Left-coordinate of the picture | read only | read only | yes | yes
short | MonitorId | Returns the ID of the Monitor on which the picture is opened. (RT-Only) | not used | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
VARIANT_BOOL | Online |  | not used | read only | yes | yes
IDynPictures | Parent |  | read only | read only | yes | yes
IPictureFilter | PictureFilter | Return the current picture filter. (RT-Only) | not used | available | yes | yes
long | Right | Right-coordinate of the picture | read only | not used | yes | yes
VARIANT_BOOL | ShowInCE | Use picture in CE-projects | available | not used | yes | yes
VARIANT_BOOL | ShowModal | Show picture as modal dialog | available | not used | yes | yes
VARIANT_BOOL | ShowTitle | Shows the name in the titelbar | available | not used | yes | yes
long | StartFunction | Rt-Function by showing the picture | available | not used | yes | yes
BSTR | Template |  | available | read only | yes | yes
long | Top | Top-coordinate of the picture | read only | read only | yes | yes
long | Type |  | available | not used | yes | yes
VARIANT_BOOL | UseTemplateSize | Use size-properties of the linked template | available | not used | yes | yes
long | Width | Width of the picture | available | read only | yes | yes
long | ZoomLevel | Zoom level of a world picture (RT-Only) |  |  |  |


AutoKBLayout

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> AutoKBLayout

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Enables or disables the automatic keyboard layout functionality.Hint: Only available for pictures of type "Keyboard".

Datatype

AutoKBLayout() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackColor

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> BackColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundImage

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> BackgroundImage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the path to the background image for the DynPicture.

Datatype

BackgroundImage() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundImageStyle

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> BackgroundImageStyle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

BackgroundImageStyle() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BorderStyle

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> BorderStyle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

BorderStyle() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Bottom

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Bottom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the position of the bottom picture border in pixel. The value defines the distance from the top border of the screen.

Datatype

Bottom() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Enable

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Enable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property de/activates the current picture. Usually this property returns True, i.e. operation of the picture is allowed.If this property returns False, the picture is deactivated. In this case the elements of the picture cannot be operated, e.g. clicking on dynamic elements.The picture stays inactive, until this property is set back to True.Hint: Reopening the picture does not change this setting.

Datatype

Enable() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


EndFunction

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> EndFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the name of the function that should be executed automatically when the picture is closed in the Runtime.Hint: If more than one function should be executed, then a script with all the desired functions has to be created and the function for executing the script has to be linked here.

Datatype

EndFunction() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Height

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the defined height of the picture in pixels. The height of the picture is the difference between the bottom and the top border.Hint: This property cannot be set, if the property "UseTemplateSize" is set TRUE.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


Hide

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Hide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property can influence the visibility of the picture. Usually this property returns False, i.e. the picture is displayed.If the property is set to True, the picture is displayed invisibly. The picture stays invisible, until this property is set back to False.Hint: Reopening the picture does not change this setting.

Datatype

Hide() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Left

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Left

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the position of the left picture border in pixel. The value defines the distance from the left border of the screen.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Left() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


MonitorId

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> MonitorId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MonitorId() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unique name of the current picture. With this name the picture can be found in the central pictures list of the project.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Online

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Online

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property checks, if the current picture is open.The following example searches for the picture START. If it is found, a MsgBox informs the user, whether or not the picture is corrently opened.

Datatype

Online() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Is the current picture shown
Public Sub LeftClickUp_Picture_IsOnline(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = thisProject.DynPictures.Item("START")
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** is picture shown?????
If (obPicture.Online = True) Then
MsgBox "Picture 'Start' is shown at the moment..."
Else
MsgBox "Picture 'Start' is NOT shown at the moment..." & vbCrLf & _
"Current Picture is '" & obElem.Parent.Parent.Name & "'!"
End If

obElem.LeftClickUp
End Sub


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As DynPictures

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PictureFilter

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> PictureFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

PictureFilter() As PictureFilter

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Right

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Right

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the position of the right picture border in pixel. The value defines the distance from the left border of the screen.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Right() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


ShowInCE

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> ShowInCE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The picture is also displayed under Windows CE, if set TRUE.Thus in networks with PCs and CE devices, functionalities, which are not supported by Windows CE, can be used on the PCs without having problems on the CE devices.

Datatype

ShowInCE() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ShowModal

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> ShowModal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Show picture as modal dialog, if set TRUE.As long as this picture is open in the Runtime, no other picture beside it can be operated (e.g. for a login picture). Other pictures that were opened out of this picture can be operated.

Datatype

ShowModal() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ShowTitle

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> ShowTitle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Shows the titlebar, if set TRUE.

Datatype

ShowTitle() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


StartFunction

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> StartFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the name of the function that should be executed automatically when the picture is opened in the Runtime.Hint: If more than one function should be executed, then a script with all the desired functions has to be created and the function for executing the script has to be linked here.

Datatype

StartFunction() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Template

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Template

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the name of the Frame where the picture is linked to.

Datatype

Template() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Top

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Top

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the position of the top picture border in pixel. The value defines the distance from the top border of the screen.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Top() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Type() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


UseTemplateSize

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> UseTemplateSize

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Use size-properties of the linked Frame.Hint: If set TRUE the properties "Height" and "Width" cannot be set.

Datatype

UseTemplateSize() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Width

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> Width

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the defined width of the picture in pixels. The width of the picture is the difference between the right and the left border.Hint: This property cannot be set, if the property "UseTemplateSize" is set TRUE.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


ZoomLevel

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Properties -> ZoomLevel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ZoomLevel() As long

Availability

Environment | Available
Editor |
Runtime |
VBA |
VSTA |


DynPicture-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Activate | Activates the picture (only runtime) | available | available | yes | yes
void | BringToTop | Brings picture to top of Z-order | not used | available | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
VARIANT_BOOL | CloseDynPicture | Closes the Screen when its currently opened (RT-Only) | not used | available | yes | yes
VARIANT_BOOL | Copy | Copies the picture | available | not used | yes | yes
VARIANT_BOOL | CreateMdiDefaultElements | Create the MDI-Default elements (only with MDI-Windows) | available | not used | yes | yes
void | DeselectElements | Deselects all currently selected Elements | not used | available | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IElements | Elements | Returns the Elements-list | available | available | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | Hardcopy | Creates a Bitmap of the picture, with the appearance as shown in the editor. | available | not used | yes | yes
short | ImportMdiElements | Imports the MDI-Default elements from a template (only with MDI-Windows) | available | not used | yes | yes
IElement | InsertSymbol | Insert a symbol from the symbol-library | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
IMdiElements | MdiElements | Returns the list of the available MDI-controls | available | not used | yes | yes
void | Move |  | available | available | yes | yes
VARIANT_BOOL | Save |  | available | not used | yes | yes
IElements | SelElements | Returns the list of selected Elements | not used | available | yes | yes
void | SetZoomAndPos | Sets zoom factors and position of a world picture (RT-Only) |  |  |  |
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes
void | Update |  | not used | available | yes | yes
void | UpdateAll | Update the picture | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


Activate

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Activate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method brings the current picture to the foreground – if it is overlapped by another picture.Be aware, that the according picture has to be opened before.The picture „Dialog“ will be switched to the foreground. If the picture is not open yet, a MsgBox shall inform the user. By switching to another picture the picture is brought to the background – but not closed. The example was written in zenOn-VBA.

Datatype

Activate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


BringToTop

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> BringToTop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

BringToTop() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CloseDynPicture

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> CloseDynPicture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CloseDynPicture() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Copy

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Copy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Copies the settings of an existing "DynPicture" object to the current object.

Datatype

Copy(IDynPicture PictureSource) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

"DynPicture" object from which the settings should be copied from.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

PictureSource As DynPicture

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CopyDynPicture()
'Declarations
Dim zPic As DynPicture
Dim zPicCopy As DynPicture

'Initialize zPic with the start picture
Set zPic = MyWorkspace.ActiveDocument.DynPictures.Item("START")
'Initialize zPicCopy by creating a new picture linked to Frame "MAIN_WIZARD" as standard picture type
Set zPicCopy = MyWorkspace.ActiveDocument.DynPictures.Create("zPicCopy", "MAIN_WIZARD", 0)

'Copy the settings from zPic to zPicCopy
zPicCopy.Copy zPic

End Sub


CreateMdiDefaultElements

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> CreateMdiDefaultElements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Create the MDI-Default elements (only by MDI-Windows)

Datatype

CreateMdiDefaultElements() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeselectElements

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> DeselectElements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deselects all selected elements in the corresponding picture.Hint: Only available, if the lasso selection is activated within the project.<span style="font-family:courier new;">MyWorkspace.ActiveDocument.DynProperties("RuntimeLasso") = True</span>

Datatype

DeselectElements() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Elements

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the collection of the defined dynamic elements contained in the picture.Each defined dynamic element is available as an object Element. The defined dynamic elements can be accessed in the collection by their unique names or by their indices.The name has to be given to the element explicitely by the user.

Datatype

Elements() As Elements

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Hardcopy

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Hardcopy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Exports the picture into a file. Currently only the export as a bitmap file is available.

Datatype

Hardcopy(String bsFileName,tpHardcopyOutput lOutputFormat) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ImportMdiElements

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> ImportMdiElements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ImportMdiElements(String FileName, Boolean DelElements) As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


InsertSymbol

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> InsertSymbol

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Insert a symbol from the symbol-library by its name as string.

Datatype

InsertSymbol(String bsName, String bsLibrary, Boolean bLinked) As Element

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of the symbol within the library.

Name of the library.

If set TRUE the symbol constitutes a linked symbol. Otherwise the symbol will be embedded.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bsLibrary As String

bLinked As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_DynPicture_InsertSymbol()
'Declarations
Dim zPic As DynPicture

'Initialize zPic with the start picture
Set zPic = MyWorkspace.ActiveDocument.DynPictures.Item("START")

'Insert linked symbol "Brake motor" from the category "F_Motors" to the start picture
zPic.InsertSymbol "Brake motor", "F_Motors", True

End Sub


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MdiElements

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> MdiElements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the list ("MdiElements" object) of the available MDI-controls.

Datatype

MdiElements() As MdiElements

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Move

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Move

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property moves the picture to a new position. The parameters include the new position of the picture.Hint: After this method UpdateAll should be executed to redraw the picture.The following VBA example moves the current picture to the bottom and to the right by 10 pixels.

Datatype

Move(long Left, long Top, long Width, long Height) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

^

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Left As Long

Height As Long

Top As Long

Width As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub
'*** The current picture is moved by 10 pixel/side (top,bottom,left,right)
Public Sub LeftClickUp_Picture_Move(obElem As Element)
Dim obPicture As DynPicture

'*** Get picture-object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** De/-activate the current picture
obPicture.Move obPicture.Left + 10, obPicture.Top + 10, obPicture.Width, obPicture.Height
obElem.LeftClickUp
End Sub


Save

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Method to save the picture (changes in this collection)

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SelElements

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> SelElements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a list ("Elements" object) of selected "Element" objects within the picture.Hint: Only available, if the lasso selection is activated within the project.<span style="font-family:courier new;">MyWorkspace.ActiveDocument.DynProperties("RuntimeLasso") = True</span>

Datatype

SelElements() As Elements

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_DynPicture_ListSelection()
'Declarations
Dim zPic As DynPicture
Dim i As Integer

'Initialize zPic with the start picture
Set zPic = thisProject.DynPictures.Item("START")

'For every selected element in the start picture...
For i = 0 To zPic.SelElements.Count - 1
'...output the name
Debug.Print i + 1 & ". item: " & zPic.SelElements.Item(i).Name
Next i

'Deselect all selected elements
zPic.DeselectElements

End Sub


SetZoomAndPos

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> SetZoomAndPos

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SetZoomAndPos(FLOAT ZoomX, FLOAT ZoomY, long ZoomLevel, long CursorX, long CursorY, long PosX, long PosY, long iPosMode) As void

Availability

Environment | Available
Editor |
Runtime |
VBA |
VSTA |

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Update

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> Update

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method redraws a certain area of the picture. The user has to know which part of the picture should be redrawn. The parameters include the corners of the rectangular area that should be redrawn.Hint: Use UpdateAll to redraw the entire picture.

Datatype

Update(long Left, long Top, long Bottom, long Right) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UpdateAll

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Methods -> UpdateAll

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method redraws the entire picture. All elements in the picture are redrawn.

Datatype

UpdateAll() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPicture-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Close | Event is fired by closing the picture | not used | available | yes | yes
void | Open | Event is fired by opening the picture | not used | available | yes | yes
void | Timer | - | not used | available | yes | yes


Close

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Events -> Close

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is executed on closing the current picture.Hint: For the use of events, the "DynPicture" object must be defined with WithEvents.

Datatype

Close() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Declaration of zPIC, in order to use it with events
Dim WithEvents zPIC As dynpicture

'Event is fired, when project is opened
Private Sub Project_Active()
'Initialize zPIC with the start picture
Set zPIC = thisProject.DynPictures.Item("START")
End Sub

'Event is fired, when picture is closed
Private Sub zPIC_Close()
'Output the time when the picture was closed
Debug.Print Now & " Picture CLOSED!"
End Sub

'Event is fired, when project is closed
Private Sub Project_Inactive()
'Deinitialize zPIC on project close
Set zPIC = Nothing
End Sub


Open

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Events -> Open

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is executed, when the current picture is opened.Hint: For the use of events, the "DynPicture" object must be defined with WithEvents.

Datatype

Open() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Declaration of zPIC, in order to use it with events
Dim WithEvents zPIC As dynpicture

'Event is fired, when project is opened
Private Sub Project_Active()
'Initialize zPIC with the start picture
Set zPIC = thisProject.DynPictures.Item("START")
End Sub

'Event is fired, when picture is opened
Private Sub zPIC_Open()
'Output the time when the picture was opened
Debug.Print Now & " Picture OPENED!"
End Sub

'Event is fired, when project is closed
Private Sub Project_Inactive()
'Deinitialize zPIC on project close
Set zPIC = Nothing
End Sub


Timer

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Events -> Timer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is executed in a cyclic interval – depending on the flash frequency set in the project. In this event extended visualization effects can be realized, e.g. mini animations.Hint: For the use of events, the "DynPicture" object must be defined with WithEvents.

Datatype

Timer() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPicture-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

C++ Class CDrawDocSymb

Screen


Screen

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Dynproperties -> Screen

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

DontResizeElements

Ne pas adapter l'élément à la résolution de l'écran

Actif : les éléments présents dans le synoptique ne sont pas automatiquement adaptés à la résolution de l'écran, mais conservent la position et la taille définies dans l'Éditeur.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

Multi-Touch

'Multi-touche' pour le zoom et le déplacement

Actif : Pour les fonctions de zoom et de défilement dans la vue globale, vous pouvez utiliser des gestes MultiTouch, même s'ils n'ont pas été programmés dans VSTA. Si cette propriété est active, aucun événement VBA/VSTA n'est créé pour le mode MultiTouch.

Disponible uniquement si la propriété Multi-Touche actif est inactive et la propriété Dimension du gabarit n'est pas activée.

Plus de détails dans l'aide en ligne.

VT_I4

Width

Largeur [pixels]

Disponible uniquement si la propriété Dimension du gabarit est inactive.
Largeur d'un synoptique en pixels.

Remarque : les tailles inférieures à la taille du cadre sont ignorées. Si la taille des synoptiques est définie sur une valeur supérieure à celle du cadre, ils basculent vers la vue globale ; un synoptique supplémentaire de type Vue globale est alors nécessaire aux fins de la navigation.

Plus de détails dans l'aide en ligne

ZT_FUNCTION

StartFunction

Fonction à l'ouverture

Fonction exécutée automatiquement lors de l'ouverture d'un synoptique dans le Runtime.
Ouvre la boîte de dialogue de sélection de fonctions.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

Plus de détails dans l'aide en ligne

VT_UI4

StartFunctionID

-

ZT_FUNCTION

EndFunction

Fonction à la fermeture

Fonction exécutée automatiquement lors de la fermeture d'un synoptique dans le Runtime.
Ouvre la boîte de dialogue de sélection de fonctions.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

Attention : Ouvrir un autre synoptique basé sur le même gabarit ferme automatiquement ce synoptique et par conséquent, la fonction liée.

Plus de détails dans l'aide en ligne

VT_UI4

EndFunctionID

-

VT_BOOL

SizeFromTemplate

Dimension du gabarit

Actif : la taille et la position du synoptique sont définies par le cadre lié.
Inactif : la largeur et la hauteur du synoptique peuvent être définies sur une valeur supérieure à celle du cadre. La position du coin supérieur gauche est toujours définie par le cadre.
Par défaut : active.

Remarque : les tailles inférieures à la taille du cadre sont ignorées. Si la taille des synoptiques est définie sur une valeur supérieure à celle du cadre, ils basculent vers la vue globale ; un synoptique supplémentaire de type Vue globale est alors nécessaire aux fins de la navigation.

Plus de détails dans l'aide en ligne

VT_BOOL

Modal

Dialogue modal

Actif : Aussi longtemps que ce synoptique est ouvert dans le Runtime, aucun autre synoptique ne peut être utilisé parallèlement (par exemple pour créer un synoptique de connexion). Les synoptiques ouverts à partir de ce synoptique peuvent être utilisés.
Inactif : Les synoptiques peuvent être utilisés normalement.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ShowInCE

Visible sous CE

Actif : Le synoptique est également visible dans Windows CE.
Inactif : Le synoptique n'est pas affiché dans Windows CE.
Par défaut : active

Ainsi, dans les réseaux comportant des PC et des terminaux CE, les fonctionnalités non prises en charge par Windows CE peuvent être utilisées sur les PC sans générer de problèmes sur les terminaux CE.

Plus de détails dans l'aide en ligne

ZT_FILE

BackgroundPic

Fichier graphique

Sélection du fichier graphique d'arrière-plan qui sera affiché au dernier niveau d'arrière-plan du synoptique.

Plus de détails dans l'aide en ligne

VT_I2

BackgroundPicStyle

Alignement

Uniquement disponible lorsque vous avez sélectionné l'élément Fichier graphique.
Affiche le type d'élément graphique d'arrière-plan sur le synoptique :
Normal : taille d'origine, positionné dans le coin supérieur gauche.
Centré : taille d'origine, centré au milieu du synoptique.
Étiré : étiré à la taille du synoptique.
Mosaïque : taille d'origine, affiché sous forme de "carreaux" positionnés côte à côte.

Plus de détails dans l'aide en ligne

VT_BSTR

Template

Gabarit

S'adapte au gabarit lié sans convertir les éléments aux nouvelles dimensions du synoptique (agrandissement ou réduction).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

PicActivVar

Variable donnant le synoptique actif

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.
La boîte de dialogue de sélection de variables s'ouvre ; seules les variables bit sont affichées.

Attention : Ouvrir un autre synoptique basé sur le même gabarit ferme automatiquement ce synoptique et par conséquent, la fonction liée.

Exemple : La couleur d'arrière-plan des boutons dans une barre d'outils doit indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux différents synoptiques comportant tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées à la couleur d'arrière-plan dynamique des boutons correspondants. Le bouton permettant d'afficher le synoptique récemment ouvert comporte donc toujours la couleur d'arrière-plan vert, tandis que les autres boutons sont de couleurs blanche.

Plus de détails dans l'aide en ligne

VT_BOOL

AutoKBLayout

Texte automatique

Active : Pour les lettres, les numéros et les touches de fonction du synoptique de type Clavier, les intitulés originaux du clavier définis par le système d'exploitation sont utilisés. Aucun intitulé alternatif ne peut être défini. Si des touches comportent des intitulés différents, les intitulés d'origine seront toujours utilisés dans le Runtime. Des intitulés différents peuvent toujours être définis pour les touches de fonction telles que Tabulation ou Maj.

Inactive : Des intitulés peuvent être définis pour chaque touche individuellement ; ils sont affichés de manière correspondante dans le Runtime.

Par défaut : active

Remarque : l'intitulé du pavé numérique du clavier n'est pas défini automatiquement et peut être adapté à tout instant dans le Runtime, indépendamment de la configuration de la propriété.

Plus de détails dans l'aide en ligne

VT_UI4

Type

Type de synoptique

Standard : type de synoptique utilisé pour la création de synoptiques de procédé. Tous les éléments vectoriels et dynamiques peuvent être utilisés.
Types de synoptiques spéciaux : les synoptiques qui ne sont pas du type "Standard" ne doivent être créés qu'une seule fois ; ils peuvent ensuite être ouverts avec différentes données via les paramètres de filtre spéciaux de la fonction Appel de synoptique. Après avoir sélectionné un type de synoptique particulier, les éléments de contrôle associés au type de synoptique deviennent accessibles dans le menu.

Attention : Lorsque vous modifiez le type de synoptique de "Standard" en un type de synoptique spécial, ce choix est définitif et ne peut plus être modifié par la suite.

Par défaut : Standard

Plus de détails dans l'aide en ligne

ZT_COLOR

BackgroundColor

Arrière-plan (couleur)

Détermine la couleur d'arrière-plan du synoptique. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....
Par défaut : Couleur du cadre.
Remarque : la couleur du cadre est reprise en copie et n'est pas liée. Si vous modifiez ultérieurement la couleur du cadre, cette modification n'aura aucune incidence sur les synoptiques existants, mais uniquement sur les nouveaux synoptiques créés.

Plus de détails dans l'aide en ligne.

VT_I4

Height

Hauteur [pixels]

Disponible uniquement si la propriété Dimension du gabarit est inactive.
Hauteur du synoptique en pixels.

Remarque : les tailles inférieures à la taille du cadre sont ignorées. Si la taille des synoptiques est définie sur une valeur supérieure à celle du cadre, ils basculent vers la vue globale ; un synoptique supplémentaire de type Vue globale est alors nécessaire aux fins de la navigation.

Plus de détails dans l'aide en ligne

VT_UI1

AmbientAlpha

Transparence de contour

Disponible uniquement si la propriété Cadre de mise en évidence est active.

Définit la transparence de l'élément Couleur de contour du cadre sur lequel repose le synoptique. Cliquez sur le bouton ... pour afficher un curseur permettant de définir la transparence.

Plus de détails dans l'aide en ligne

ZT_COLOR

AmbientColor

Couleur de contour

Disponible uniquement si la propriété Cadre de mise en évidence est active.

Définit couleur de l'entourage du cadre sur lequel repose le synoptique. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection des couleurs.

Plus de détails dans l'aide en ligne

VT_BOOL

Highlight

Cadre de mise en évidence

Disponible uniquement si la propriété Dialogue modal est active.

Actif : Le cadre sur lequel repose le synoptique est affiché en surbrillance. Ainsi, toute la zone située à l'extérieur du cadre est colorée avec une couleur et une transparence définies. La zone du cadre sélectionné n'est pas affectée par cette coloration. Vous ne devez pas appeler plusieurs synoptiques simultanément avec cette propriété.

Plus de détails dans l'aide en ligne

VT_BSTR

Title

Nom

Nom unique du synoptique.
Par défaut : Synoptique x (où x est un numéro consécutif).

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

MultiTouch

'Multi-touche' pour le zoom et le déplacement

Actif : Pour les fonctions de zoom et de défilement dans la vue globale, vous pouvez utiliser des gestes MultiTouch, même s'ils n'ont pas été programmés dans VSTA. Si cette propriété est active, aucun événement VBA/VSTA n'est créé pour le mode MultiTouch.

Disponible uniquement si la propriété Multi-Touche actif est inactive et la propriété Dimension du gabarit n'est pas activée.

Plus de détails dans l'aide en ligne.

VT_I2

MultiTouchMove

-

Disponible uniquement si la propriété Dimension du gabarit a été désactivée et la propriété Reconnaissance du projet est définie sur Windows 8.

Définit les réactions au geste Déplacer. Sélectionnez dans la liste déroulante :

  • Déplacer le contenu : le contenu peut être déplacé horizontalement et verticalement. La direction est définie par les propriétés - et -.
  • Absence de réaction

Par défaut : Déplacer le contenu

Plus de détails dans l'aide en ligne.

VT_I2

MultiTouchMoveHor

-

Disponible uniquement si le paramètre Déplacer le contenu a été sélectionné pour la propriété -.

Définit si le contenu peut être déplacé horizontalement. Sélectionnez dans la liste déroulante :

  • Déplacer horizontalement : Le contenu peut être déplacé horizontalement.
  • Absence de réaction

Par défaut : Déplacer horizontalement

Plus de détails dans l'aide en ligne.

VT_I2

MultiTouchMoveVer

-

Disponible uniquement si le paramètre Déplacer le contenu a été sélectionné pour la propriété -.

Définit si le contenu peut être déplacé verticalement. Sélectionnez dans la liste déroulante :

  • Déplacer verticalement : Le contenu peut être déplacé verticalement.
  • Absence de réaction

Par défaut : Déplacer verticalement

Plus de détails dans l'aide en ligne.

VT_I2

MultiTouchZoom

-

Disponible uniquement si la propriété Dimension du gabarit a été désactivée et la propriété Reconnaissance du projet est définie sur Windows 8.

Définit la réaction au geste Agrandir. Sélectionnez dans la liste déroulante :

  • Agrandir le contenu
  • Absence de réaction

Par défaut : Agrandir le contenu

Plus de détails dans l'aide en ligne.

VT_BOOL

NCPointerDown

NCPointerDown

Actif : L'événement NCPointerDown n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_BOOL

NCPointerUp

NCPointerUp

Actif : L'événement NCPointerUp n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_BOOL

NCPointerUpdate

NCPointerUpdate

Actif : L'événement NCPointerUpdate n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_BOOL

PointerActivate

PointerActivate

Actif : L'événement PointerActivate n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_BOOL

PointerCaptureChanged

PointerCaptureChanged

Actif : L'événement PointerCaptureChanged n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_BOOL

PointerDeviceChange

PointerDeviceChange

Actif : L'événement PointerDeviceChange n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_BOOL

PointerDeviceInRange

PointerDeviceInRange

Actif : L'événement PointerDeviceInRange n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_BOOL

PointerDeviceOutOfRange

PointerDeviceOutOfRange

Actif : L'événement PointerDeviceOutOfRange n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_BOOL

PointerDown

PointerDown

Actif : L'événement PointerDown n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_BOOL

PointerEnter

PointerEnter

Actif : L'événement PointerEnter n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_BOOL

PointerHWheel

PointerHWheel

Actif : L'événement PointerHWheel n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_BOOL

PointerLeave

PointerLeave

Actif : L'événement PointerLeave n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_BOOL

PointerUp

PointerUp

Actif : L'événement PointerUp n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_BOOL

PointerUpdate

PointerUpdate

Actif : L'événement PointerUpdate n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_BOOL

PointerWheel

PointerWheel

Actif : L'événement PointerWheel n'est pas évalué.

Plus de détails dans l'aide en ligne.

VT_UI2

RawEventRouting

Routage événement données brutes

Uniquement disponible si la propriété Reconnaissance des propriétés de projet pour l'élément Intéraction est définie sur Windows 8.

Sélection des événements à évaluer dans une liste déroulante :

  • All events (Tous les événements) : tous les événements sont évalués.
  • Deactivated (Désactivée) : l'évaluation est désactivée.
  • Only selected events (Uniquement les événements sélectionnés) : seuls les événements activés par le biais de cases à cocher sont évalués.

Par défaut : Désactivée

Plus de détails dans l'aide en ligne.


CDrawObj-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Dynproperties -> CDrawObj-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne


C++ Class CDrawDocSymb

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPicture -> DynPicture-Dynproperties -> C++ Class CDrawDocSymb

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

BackgroundColor

Arrière-plan (couleur)

Détermine la couleur d'arrière-plan du symbole. Cliquez sur le bouton pour ouvrir la palette de couleurs, ou saisissez la couleur sous forme de code hexadécimal (RVB).

Attention : La couleur d'arrière-plan définie ici est valide pour tous les symboles, et est exclusivement utilisée en tant que couleur d'arrière-plan dans l'éditeur de symboles.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Définit la hauteur des symboles en pixels. La hauteur définie est utilisé en tant que hauteur d'origine du symbole lorsque vous le faites glisser vers un synoptique.

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Définit la largeur des symboles en pixels. La largeur définie est utilisé en tant que largeur d'origine du symbole lorsque vous le faites glisser vers un synoptique.

Plus de détails dans l'aide en ligne


DynPictures

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This collection contains the defined Screens. The single Screens can contain different dynamic elements. Each Screen is linked to a Frame, that contains general information on the outer appearance.Screens always come from the current project – the global project is ignored, as Screens are not supported in global projects.The single Screens can be found in the collection by their unique name or by the index. Each Screen is identified by an unique name.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateScreen()
Dim zPIC As DynPicture
Const ScreenName As String = "Alarm-Screen"
Const TemplateName As String = "MAIN"
'check if Screen already exists...
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item(ScreenName)
If zPIC Is Nothing Then
'create new Screen if not existing...
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Create(ScreenName, TemplateName, tpAML)
'set the backcolor and create Default MDI Elements
With zPIC
.BackColor = vbRed
.CreateMdiDefaultElements
End With
End If
End Sub

Sub ScreenList()
Dim i, n As Integer
Dim zProject As Project
Dim zPicture As DynPicture
'use this in VBA at zenOn Runtime...
'Set zProject = thisproject
'or use this in the zenOn Editor...
Set zProject = MyWorkspace.ActiveDocument
'run trough all screens of the project...
For i = 0 To zProject.DynPictures.Count - 1
Set zPicture = zProject.DynPictures.Item(i)
Debug.Print zPicture.Name
'get count of elements within the actual screen
Debug.Print zPicture.Elements.Count & " Elements in this Screen..."
Next i
End Sub


DynPictures-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IProject | Parent | The parent object of the current object | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


DynPictures-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | AddMarker | Adds a marker into a screen | not used | available | yes | yes
IDynPicture | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
VARIANT_BOOL | DelMarker | Deletes a marker from a screen | not used | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IDynPicture | Item | Returns a object at a position or by a specified key | available | available | yes | yes
IDynPicture | ItemOnMonitor | Returns a screen with given name on the given monitor.(RT-Only) | not used | available | yes | yes
VARIANT_BOOL | SetupTouchInertia | Setup inertia settings for multitouch manipulation | not used | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT | GetPointerInfo | Returns the PointerInfo for the given PointerId | not used | available | No | yes


AddMarker

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> AddMarker

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

AddMarker(String bsScreenName, long nElementID, short nPosition, short nLineColorIndex, short nFillColorIndex) As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Create(String bsName,String bsTemplate,tpDynPicturesTypes tpType) As DynPicture

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes the corresponding "DynPicture" object from the collection by its unique name.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DelMarker

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> DelMarker

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DelMarker(String bsID) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetPointerInfo

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> GetPointerInfo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets the information for the specified pointer associated with the current message.

//Layout of the pointer_info structure

typedef struct tagPOINTER_INFO {

POINTER_INPUT_TYPE pointerType;

UINT32 pointerId;

UINT32 frameId;

POINTER_FLAGS pointerFlags;

HANDLE sourceDevice;

HWND hwndTarget;

POINT ptPixelLocation;

POINT ptHimetricLocation;

POINT ptPixelLocationRaw;

POINT ptHimetricLocationRaw;

DWORD dwTime;

UINT32 historyCount;

INT32 inputData;

DWORD dwKeyStates;

UINT64 PerformanceCount;

POINTER_BUTTON_CHANGE_TYPE ButtonChangeType;

} POINTER_INFO;

See also: GetPointerInfo (msdn)

Datatype

GetPointerInfo(VARIANT vPointerId) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

object vPointerId

VB.NET

obDynPicture As IDynPicture

vPointerId As Object

Examples

C#

/// <summary>

/// Helper function that takes a screen and a pointer ID and writes information about the pointer into the CEL

/// </summary>

/// <param name="obDynPicture">the zenon screen</param>

/// <param name="vPointerId">the pointer object</param>

private void GetPointerInfo(zenOn.IDynPicture obDynPicture, object vPointerId)

{

//get method name and print in CEL

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

Cel().WriteCelString(CelString);

//get pointer infos

try

{

//cast this on an object array

object[] PointerInfo = (object[])DynPics.GetPointerInfo(vPointerId);

//iterate through all

for (int i = 0; i < PointerInfo.Length; i++)

{

//if the type of the object is an array, we suppose it is the POINT type - which has definition for x and y position

if (PointerInfo[i] is System.Object[])

{

//to get the information, we have to cast it first to object[] because the compiler would not accept the index otherwise and convert it to a string then

Cel().WriteCelString(Pointer_Info_Definition[i] + " for x has value " + Convert.ToString(((object[])(PointerInfo[i]))[0]));

Cel().WriteCelString(Pointer_Info_Definition[i] + " for y has value " + Convert.ToString(((object[])(PointerInfo[i]))[1]));

}

else

{

//if it's not object[], simply cast it to string and write an CEL entry

switch (i)

{

case 0:

PointerType pt = (PointerType)(Convert.ToUInt32(PointerInfo[i]));

Cel().WriteCelString("PointerType: " + pt.ToString());

break;

case 3:

PointerFlags pf = (PointerFlags)(Convert.ToUInt32(PointerInfo[i]));

Cel().WriteCelString("PointerFlags: " + pf.ToString());

break;

default:

Cel().WriteCelString(Pointer_Info_Definition[i] + " has value " + PointerInfo[i].ToString());

break;

}

}

}

}

catch (Exception ex)

{

Cel().WriteCelString("Can't get PointerInfo: " + ex.Message);

}

}

VB.NET

/// <summary>

/// Helper function that takes a screen and a pointer ID and writes information about the pointer into the CEL

/// </summary>

/// <param name="obDynPicture">the zenon screen</param>

/// <param name="vPointerId">the pointer object</param>

Private Sub GetPointerInfo(obDynPicture As zenOn.IDynPicture, vPointerId As Object)

'get method name and print in CEL

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Cel().WriteCelString(CelString)

'get pointer infos

Try

'cast this on an object array

Dim PointerInfo As Object() = DirectCast(DynPics.GetPointerInfo(vPointerId), Object())

'iterate through all

For i As Integer = 0 To PointerInfo.Length - 1

'if the type of the object is an array, we suppose it is the POINT type - which has definition for x and y position

If TypeOf PointerInfo(i) Is System.Object() Then

'to get the information, we have to cast it first to object[] because the compiler would not accept the index otherwise and convert it to a string then

Cel().WriteCelString(Pointer_Info_Definition(i) + " for x has value " & Convert.ToString(DirectCast(PointerInfo(i), Object())(0)))

Cel().WriteCelString(Pointer_Info_Definition(i) + " for y has value " & Convert.ToString(DirectCast(PointerInfo(i), Object())(1)))

Else

'if it's not object[], simply cast it to string and write an CEL entry

Select Case i

Case 0

Dim pt As PointerType = DirectCast(Convert.ToUInt32(PointerInfo(i)), PointerType)

Cel().WriteCelString("PointerType: " & pt.ToString())

Exit Select

Case 3

Dim pf As PointerFlags = DirectCast(Convert.ToUInt32(PointerInfo(i)), PointerFlags)

Cel().WriteCelString("PointerFlags: " & pf.ToString())

Exit Select

Case Else

Cel().WriteCelString(Pointer_Info_Definition(i) + " has value " & PointerInfo(i).ToString())

Exit Select

End Select

End If

Next

Catch ex As Exception

Cel().WriteCelString("Can't get PointerInfo: " + ex.Message)

End Try

End Sub


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object "DynPicture" from the collection, which is identified by the parameter vID.The parameter vID can have two values:<ul><li>Index: Access with an index mostly is used in combination with the property Count to find out the position of the variable object in the list.</li><li>Picture name: The picture can also be accessed with its unique name.</li></ul>Hint:The returned object should always be checked on Nothing, for the case that no object was found for the search criteria.

Datatype

Item(VARIANT vDynPictureID) As DynPicture

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemOnMonitor

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> ItemOnMonitor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ItemOnMonitor(String bsSName, short MonitorId) As DynPicture

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetupTouchInertia

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> SetupTouchInertia

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SetupTouchInertia(FLOAT Deceleration, FLOAT AngularDeceleration, FLOAT ExpansionDeceleration) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport (VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPictures-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Close | Event is fired when a screen is closed. | not used | available | yes | yes
void | ElementInit | Event is fired when an element is initialized.(RT-Only) | not used | available | yes | yes
void | ElementLeftButtonDblClick | Event is fired when an element is double clicked with the left mouse button.(RT-Only) | not used | available | yes | yes
void | ElementLeftButtonDown | Event is fired when the left mouse button is pushed down on an element.(RT-Only) | not used | available | yes | yes
void | ElementLeftButtonUp | Event is fired when the right mouse button is released on an element.(RT-Only) | not used | available | yes | yes
void | ElementMouseOver | Event is fired when the mouse is moved over an element.(RT-Only) | not used | available | yes | yes
void | ElementRightButtonDblClk | Event is fired when an element is double clicked with the right mouse button.(RT-Only) | not used | available | yes | yes
void | ElementRightButtonDown | Event is fired when the right mouse button is pushed down on an element.(RT-Only) | not used | available | yes | yes
void | ElementRightButtonUp | Event is fired when the right mouse button is released on an element.(RT-Only) | not used | available | yes | yes
void | Open | Event is fired when a screen is opened. | not used | available | yes | yes
void | TouchEvent | Event is fired for all touch events.(RT-Only) | not used | available | yes | yes
void | TouchManipulationCompleteEvent | Event is fired when a touch manipulation ends.(RT-Only) | not used | available | yes | yes
void | TouchManipulationDeltaEvent | Event is fired when a touch manipulation is in progress.(RT-Only) | not used | available | yes | yes
void | TouchManipulationStartEvent | Event is fired when a touch manipulation starts.(RT-Only) | not used | available | yes | yes
void | WindowPosChanged | Event is fired when a screen is moved or resized.(RT-Only) | not used | available | yes | yes
void | ElementGesture | Event is fired when a gesture was recognized for a picture element | not used | available | No | yes
void | NCPointerDown | Posted when a pointer makes contact over the non-client area of a screen. | not used | available | No | yes
void | NCPointerUp | Posted when a pointer that made contact over the non-client area of a screen breaks contact. | not used | available | No | yes
void | NCPointerUpdate | Posted to provide an update on a pointer that made contact over the non-client area of a screen or when a hovering uncaptured contact moves over the non-client area of a screen. | not used | available | No | yes
void | PictureGesture | Event is fired when a gesture was recognized for a picture | not used | available | No | yes
void | PointerActivate | Sent to an inactive screen when a primary pointer generates a WM_POINTERDOWN over the screen. | not used | available | No | yes
void | PointerCaptureChanged | Sent to a screen that is losing capture of an input pointer. | not used | available | No | yes
void | PointerDeviceChange | Sent to a screen when there is a change in the settings of a monitor that has a digitizer attached to it. The parameter lDeviceChange represents a value of the tpPointerDeviceChange enum. | not used | available | No | yes
void | PointerDeviceInRange | Sent to a screen when a pointer device is detected within range of an input digitizer. | not used | available | No | yes
void | PointerDeviceOutOfRange | Sent to a screen when a pointer device has departed the range of an input digitizer. | not used | available | No | yes
void | PointerDown | Posted when a pointer makes contact over the client area of a screen. | not used | available | No | yes
void | PointerEnter | Sent to a screen when a pointer moves into the boundaries of the screen. | not used | available | No | yes
void | PointerHWheel | Posted to the screen with foreground keyboard focus when a horizontal scroll wheel is rotated. | not used | available | No | yes
void | PointerLeave | Sent to a screen when a pointer moves out of the boundaries of the screen. | not used | available | No | yes
void | PointerUp | Posted when a pointer that made contact over the client area of a screen breaks contact. | not used | available | No | yes
void | PointerUpdate | Posted to provide an update on a pointer that made contact over the client area of a screen or on a hovering uncaptured pointer over the client area of a screen. | not used | available | No | yes
void | PointerWheel | Posted to the screen with foreground keyboard focus when a scroll wheel is rotated. | not used | available | No | yes


Close

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> Close

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Close(DynPicture obDynPicture) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ElementGesture

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementGesture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Defines the output of the Interaction Context object. See also: interaction_context_output (msdn)

Datatype

ElementGesture(IElement* obElement, VARIANT interactionContextOutput) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IElement obElement

object interactionContextOutput

VB.NET

obElement As IElement

interactionContextOutput As Object

Examples

C#

/// <summary>

/// event handler for the ElementGesture event

/// </summary>

/// <param name="obElement">element on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

void DynPics_ElementGesture(zenOn.IElement obElement, object interactionContextOutput)

{

CELMakeSeperator();

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obElement.Name);

Cel().WriteCelString(CelString);

WriteInteractionContextOutputToCEL(interactionContextOutput);

}

VB.NET

/// <summary>

/// event handler for the ElementGesture event

/// </summary>

/// <param name="obElement">element on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

Private Sub DynPics_ElementGesture(obElement As zenOn.IElement, interactionContextOutput As Object)

CELMakeSeperator()

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obElement.Name)

Cel().WriteCelString(CelString)

WriteInteractionContextOutputToCEL(interactionContextOutput)

End Sub


ElementInit

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementInit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ElementInit(Element obElement) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Declaration of DynPictures, in order to use it with events
Dim WithEvents zDynPictures As DynPictures

Private Sub Project_Active()
'Reference to the zenon Project DynPictures
Set zDynPictures = thisProject.DynPictures
End Sub

'This event is triggered when an element is initialized
Private Sub zDynPictures_ElementInit(ByVal obElement As IElement)
Debug.Print ("Element name: " & obElement.Name)
End Sub


ElementLeftButtonDblClick

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementLeftButtonDblClick

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ElementLeftButtonDblClick(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ElementLeftButtonDown

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementLeftButtonDown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ElementLeftButtonDown(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ElementLeftButtonUp

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementLeftButtonUp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ElementLeftButtonUp(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ElementMouseOver

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementMouseOver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ElementMouseOver(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ElementRightButtonDblClk

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementRightButtonDblClk

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ElementRightButtonDblClk(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ElementRightButtonDown

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementRightButtonDown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ElementRightButtonDown(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ElementRightButtonUp

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> ElementRightButtonUp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ElementRightButtonUp(DynPicture obDynPicture, IElement obElement, long lPosX, long lPosY, long lButton) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


NCPointerDown

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> NCPointerDown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Posted when a pointer makes contact over the non-client area of a window. The message targets the window over which the pointer makes contact. The pointer is implicitly captured to the window so that the window continues to receive input for the pointer until it breaks contact.

If a window has captured this pointer, this message is not posted. Instead, a NCPointerDown is posted to the window that has captured this pointer.

If the application does not process this message, DefWindowProc may perform one or more system actions depending on the hit-test result included in the message. Typically, applications should not need to handle this message.

Datatype

NCPointerDown(IDynPicture*obDynPicture, VARIANT vPointerId, long lHitTestResult, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int lPointerId

int lHitTestResult

int lX

int lY

VB.NET

obDynPicture As IDynPicture

lPointerId As Integer

lHitTestResult As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_NCPointerDown(zenOn.IDynPicture obDynPicture, int lPointerId, int lHitTestResult, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_NCPointerDown(obDynPicture As zenOn.IDynPicture, lPointerId As Integer, lHitTestResult As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY)

Cel().WriteCelString(CelString)

End Sub


NCPointerUp

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> NCPointerUp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Posted when a pointer that made contact over the non-client area of a window breaks contact. The message targets the window over which the pointer makes contact and the pointer is, at that point, implicitly captured to the window so that the window continues to receive input for the pointer until it breaks contact, including the NCPointerUp notification.

If a window has captured this pointer, this message is not posted. Instead, a NCPointerUp is posted to the window that has captured this pointer.

Datatype

NCPointerUp(IDynPicture*obDynPicture, VARIANT vPointerId, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int lPointerId

int lX

int lY

VB.NET

obDynPicture As IDynPicture

lPointerId As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_NCPointerUp(zenOn.IDynPicture obDynPicture, int lPointerId, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, [X,Y]: {1}, {2}", lPointerId, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_NCPointerUp(obDynPicture As zenOn.IDynPicture, lPointerId As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, [X,Y]: {1}, {2}", lPointerId, lX, lY)

Cel().WriteCelString(CelString)

End Sub


NCPointerUpdate

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> NCPointerUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Posted to provide an update on a pointer that made contact over the non-client area of a window or when a hovering uncaptured contact moves over the non-client area of a window. While the pointer is hovering, the message targets whichever window the pointer happens to be over. While the pointer is in contact with the surface, the pointer is implicitly captured to the window over which the pointer made contact and that window continues to receive input for the pointer until it breaks contact.

If a window has captured this pointer, this message is not posted. Instead, a NCPointerUpdateis posted to the window that has captured this pointer.

Datatype

NCPointerUpdate(IDynPicture*obDynPicture, VARIANT vPointerId, long lHitTestResult, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int lPointerId

int lHitTestResult

int lX

int lY

VB.NET

obDynPicture As IDynPicture

lPointerId As Integer

lHitTestResult As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_NCPointerUpdate(zenOn.IDynPicture obDynPicture, int lPointerId, int lHitTestResult, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_NCPointerUpdate(obDynPicture As zenOn.IDynPicture, lPointerId As Integer, lHitTestResult As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, hit-test-result: {1}, [X,Y]: {2}, {3}", lPointerId, lHitTestResult, lX, lY)

Cel().WriteCelString(CelString)

End Sub


Open

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> Open

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Open(DynPicture obDynPicture) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PictureGesture

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PictureGesture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Defines the output of the Interaction Context object. See also:

INTERACTION_CONTEXT_OUTPUT

interaction_context_output (msdn)

Datatype

PictureGesture(IDynPicture* obDynPicture, VARIANT interactionContextOutput) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

object interactionContextOutput

VB.NET

obDynPicture As IDynPicture

interactionContextOutput As Object

Examples

C#

/// <summary>

/// event handler for the PictureGesture event

/// </summary>

/// <param name="obDynPicture">screen on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

void DynPics_PictureGesture(zenOn.IDynPicture obDynPicture, object interactionContextOutput)

{

CELMakeSeperator();

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

Cel().WriteCelString(CelString);

WriteInteractionContextOutputToCEL(interactionContextOutput);

}

VB.NET

/// <summary>

/// event handler for the PictureGesture event

/// </summary>

/// <param name="obDynPicture">screen on which the event occured</param>

/// <param name="interactionContextOutput">object that contains the information about the gesture</param>

Private Sub DynPics_PictureGesture(obDynPicture As zenOn.IDynPicture, interactionContextOutput As Object)

CELMakeSeperator()

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Cel().WriteCelString(CelString)

WriteInteractionContextOutputToCEL(interactionContextOutput)

End Sub


PointerActivate

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerActivate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Sent to an inactive window when a primary pointer generates a PointerDown over the window. As long as the message remains unhandled, it travels up the parent window chain until it is reaches the top-level window. Applications can respond to this message to specify whether they wish to be activated.

Datatype

PointerActivate(IDynPicture*obDynPicture, OLE_HANDLE hWnd, long lHitTestResult, VARIANT vPointerId) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int hWnd

int lHitTestResult

object vPointerId

VB.NET

obDynPicture As IDynPicture

hWnd As Integer

lHitTestResult As Integer

vPointerId As Object

Examples

C#

void DynPics_PointerActivate(zenOn.IDynPicture obDynPicture, int hWnd, int lHitTestResult, object vPointerId)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, hit-test-result: {1}, hWnd = {2}", Convert.ToString(vPointerId), lHitTestResult, hWnd.ToString());

Cel().WriteCelString(CelString);

GetPointerInfo(obDynPicture, vPointerId);

}

VB.NET

Private Sub DynPics_PointerActivate(obDynPicture As zenOn.IDynPicture, hWnd As Integer, lHitTestResult As Integer, vPointerId As Object)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, hit-test-result: {1}, hWnd = {2}", Convert.ToString(vPointerId), lHitTestResult, hWnd.ToString())

Cel().WriteCelString(CelString)

GetPointerInfo(obDynPicture, vPointerId)

End Sub


PointerCaptureChanged

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerCaptureChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Sent to a window that is losing capture of an input pointer. A window should use this notification to stop processing subsequent messages and initiate any cleanup required for the pointer being lost. Processing of gestures associated with the pointer should also be terminated and remaining contacts re-associated with the window.

Datatype

PointerCaptureChanged(IDynPicture*obDynPicture, VARIANT vPointerId, OLE_HANDLE hWnd) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

object vPointerId

int hWnd

VB.NET

obDynPicture As IDynPicture

vPointerId As Object

hWnd As Integer

Examples

C#

void DynPics_PointerCaptureChanged(zenOn.IDynPicture obDynPicture, object vPointerId, int hWnd)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}", Convert.ToString(vPointerId));

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerCaptureChanged(obDynPicture As zenOn.IDynPicture, vPointerId As Object, hWnd As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}", Convert.ToString(vPointerId))

Cel().WriteCelString(CelString)

End Sub


PointerDeviceChange

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerDeviceChange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Sent to a window when there is a change in the settings of a monitor that has a digitizer attached to it. This message contains information regarding the scaling of the display mode.

Datatype

PointerDeviceChange(IDynPicture*obDynPicture, long lDeviceChange) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

int lDeviceChange

VB.NET

obDynPicture As IDynPicture

lDeviceChange As Integer

Examples

C#

void DynPics_PointerDeviceChange(zenOn.IDynPicture obDynPicture, int lDeviceChange)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("device-change: {0}", lDeviceChange);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerDeviceChange(obDynPicture As zenOn.IDynPicture, lDeviceChange As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("device-change: {0}", lDeviceChange)

Cel().WriteCelString(CelString)

End Sub


PointerDeviceInRange

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerDeviceInRange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Sent to a window when a pointer device is detected within range of an input digitizer. This message contains information regarding the device and its proximity.

Datatype

PointerDeviceInRange(IDynPicture*obDynPicture) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

VB.NET

obDynPicture As IDynPicture

Examples

C#

void DynPics_PointerDeviceInRange(zenOn.IDynPicture obDynPicture)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerDeviceInRange(obDynPicture As zenOn.IDynPicture)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Cel().WriteCelString(CelString)

End Sub


PointerDeviceOutOfRange

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerDeviceOutOfRange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Sent to a window when a pointer device has departed the range of an input digitizer. This message contains information regarding the device and its proximity.

Datatype

PointerDeviceOutOfRange(IDynPicture*obDynPicture) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

VB.NET

obDynPicture As IDynPicture

Examples

C#

void DynPics_PointerDeviceOutOfRange(zenOn.IDynPicture obDynPicture)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerDeviceOutOfRange(obDynPicture As zenOn.IDynPicture)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Cel().WriteCelString(CelString)

End Sub


PointerDown

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerDown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Posted when a pointer makes contact over the client area of a window. This input message targets the window over which the pointer makes contact, and the pointer is implicitly captured to the window so that the window continues to receive input for the pointer until it breaks contact.

Datatype

PointerDown (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bNew, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact, VARIANT_BOOL bPrimary, VARIANT_BOOL bFirstButton, VARIANT_BOOL bSecondButton, VARIANT_BOOL bThirdButton, VARIANT_BOOL bFourthButton, VARIANT_BOOL bFifthButton, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bNew

bool bInRange

bool bInContact

bool bPrimary

bool bFirstButton

bool bSecondButton

bool bThirdButton

bool bFourthButton

bool bFifthButton

int lX

int lY

VB.NET

obDynPicture As IDynPicture

obElement As IElement

vPointerId As Object

bNew As Boolean

bInRange As Boolean

bInContact As Boolean

bPrimary As Boolean

bFirstButton As Boolean

bSecondButton As Boolean

bThirdButton As Boolean

bFourthButton As Boolean

bFifthButton As Boolean

lX As Integer

lY As Integer

Examples

C#

void DynPics_PointerDown(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bNew, bool bInRange, bool bInContact, bool bPrimary, bool bFirstButton, bool bSecondButton, bool bThirdButton, bool bFourthButton, bool bFifthButton, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

string ButtonMatrix = "";

ButtonMatrix += (bFirstButton == true) ? "[1]" : "[x]";

ButtonMatrix += (bSecondButton == true) ? "[2]" : "[x]";

ButtonMatrix += (bThirdButton == true) ? "[3]" : "[x]";

ButtonMatrix += (bFourthButton == true) ? "[4]" : "[x]";

ButtonMatrix += (bFifthButton == true) ? "[5]" : "[x]";

CelString += string.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, ButtonMatrix, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerDown(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bNew As Boolean, bInRange As Boolean, bInContact As Boolean, _

bPrimary As Boolean, bFirstButton As Boolean, bSecondButton As Boolean, bThirdButton As Boolean, bFourthButton As Boolean, bFifthButton As Boolean, _

lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Dim ButtonMatrix As String = ""

ButtonMatrix += If((bFirstButton = True), "[1]", "[x]")

ButtonMatrix += If((bSecondButton = True), "[2]", "[x]")

ButtonMatrix += If((bThirdButton = True), "[3]", "[x]")

ButtonMatrix += If((bFourthButton = True), "[4]", "[x]")

ButtonMatrix += If((bFifthButton = True), "[5]", "[x]")

CelString += String.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, _

ButtonMatrix, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerEnter

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerEnter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Sent to a window when a new pointer enters detection range over the window (hover) or when an existing pointer moves within the boundaries of the window.

The PointerEnter notification can be used by a window to provide feedback to the user while the pointer is over its surface or to otherwise react to the presence of a pointer over its surface.

Datatype

PointerEnter (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bNew, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bNew

bool bInRange

bool bInContact

VB.NET

obDynPicture As IDynPicture

obElement As IElement

vPointerId As Object

bNew As Boolean

bInRange As Boolean

bInContact As Boolean

Examples

C#

void DynPics_PointerEnter(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bNew, bool bInRange, bool bInContact)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

if (obElement != null)

{

CelString += string.Format("on element {0}, ", obElement.Name);

}

CelString += string.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}", Convert.ToString(vPointerId), bNew, bInRange, bInContact);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerEnter(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bNew As Boolean, bInRange As Boolean, bInContact As Boolean)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

If obElement IsNot Nothing Then

CelString += String.Format("on element {0}, ", obElement.Name)

End If

CelString += String.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}", Convert.ToString(vPointerId), bNew, bInRange, bInContact)

Cel().WriteCelString(CelString)

End Sub


PointerHWheel

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerHWheel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Posted to the window with foreground keyboard focus when a horizontal scroll wheel is rotated.

To retrieve the wheel scroll units, use the inputData filed of the POINTER_INFO structure returned by calling GetPointerInfo function. This field contains a signed value and is expressed in a multiple of WHEEL_DELTA. A positive value indicates a rotation forward and a negative value indicates a rotation backward.

Note that the wheel inputs may be delivered even if the mouse cursor is located outside of application’s window. The wheel messages are delivered in a way very similar to the keyboard inputs. The focus window of the foregournd message queue receives the wheel messages.

POINTER_INFO structure:

//Helper array that stores the definition of the POINTER_INFO so we can have a look at it more nicely in the CEL

string[] Pointer_Info_Definition = {

"PointerType",

"PointerID",

"FrameID",

"PointerFlags",

"SourceDevice",

"hwndTarget",

"PixelLocation",

"HimetricLocation",

"PixelLocationRaw",

"HimetricLocationRaw",

"Time",

"historyCount",

"inputData",

"KeyStates",

"PerformanceCount",

"ButtonChangeType"

};

Datatype

PointerHWheel (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, long lWheelDelta, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

int lWheelDelta

int lX

int lY

VB.NET

obDynPicture As IDynPicture

obElement As IElement

vPointerId As Object

lWheelDelta As Integer

lX As Integer

lY As Integer

Examples

C#

void DynPics_PointerHWheel(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, int lWheelDelta, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerHWheel(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, lWheelDelta As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerLeave

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerLeave

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Sent to a window when a pointer leaves detection range over the window (hover) or when a pointer moves outside the boundaries of the window.

The PointerLeave notification can be used by a window to change mode or stop any feedback to the user while the pointer is over the window surface.

Datatype

PointerLeave (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bInRange

bool bInContact

VB.NET

Dim obDynPicture As IDynPicture

Dim obElement As IElement

Dim vPointerId As Object

Dim bInRange As Boolean

Dim bInContact As Boolean

Examples

C#

void DynPics_PointerLeave(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bInRange, bool bInContact)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, is-in-range: {1}, is-in-contact: {2}", Convert.ToString(vPointerId), bInRange, bInContact);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerLeave(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bInRange As Boolean, bInContact As Boolean)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, is-in-range: {1}, is-in-contact: {2}", Convert.ToString(vPointerId), bInRange, bInContact)

Cel().WriteCelString(CelString)

End Sub


PointerUp

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerUp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Posted when a pointer that made contact over the client area of a window breaks contact. This input message targets the window over which the pointer makes contact and the pointer is, at that point, implicitly captured to the window so that the window continues to receive input messages including the PointerUp notification for the pointer until it breaks contact.

Important:

When a window loses capture of a pointer and it receives the PointerCaptureChanged notification, it typically will not receive any further notifications. For this reason, it is important that you not make any assumptions based on evenly paired PointerDown/PointerUp or PointerEnter/PointerLeave notifications.

Datatype

PointerUp (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bIsCanceled, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact, VARIANT_BOOL bPrimary, VARIANT_BOOL bFirstButton, VARIANT_BOOL bSecondButton, VARIANT_BOOL bThirdButton, VARIANT_BOOL bFourthButton, VARIANT_BOOL bFifthButton, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPictureI

Element obElement

object vPointerId

bool bIsCanceled

bool bInRange

bool bInContact

bool bPrimary

bool bFirstButton

bool bSecondButton

bool bThirdButton

bool bFourthButton

bool bFifthButton

int lX

int lY

VB.NET

Dim obDynPictureI As IDynPicture

Dim obElement As Element

Dim vPointerId As Object

Dim bIsCanceled As Boolean

Dim bInRange As Boolean

Dim bInContact As Boolean

Dim bPrimary As Boolean

Dim bFirstButton As Boolean

Dim bSecondButton As Boolean

Dim bThirdButton As Boolean

Dim bFourthButton As Boolean

Dim bFifthButton As Boolean

Dim lX As Integer

Dim lY As Integer

Examples

C#

void DynPics_PointerUp(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bIsCanceled, bool bInRange, bool bInContact, bool bPrimary, bool bFirstButton, bool bSecondButton, bool bThirdButton, bool bFourthButton, bool bFifthButton, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

string ButtonMatrix = "";

ButtonMatrix += (bFirstButton == true) ? "[1]" : "[x]";

ButtonMatrix += (bSecondButton == true) ? "[2]" : "[x]";

ButtonMatrix += (bThirdButton == true) ? "[3]" : "[x]";

ButtonMatrix += (bFourthButton == true) ? "[4]" : "[x]";

ButtonMatrix += (bFifthButton == true) ? "[5]" : "[x]";

CelString += string.Format("pointer-id: {0}, is-canceled: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bIsCanceled, bInRange, bInContact, bPrimary, ButtonMatrix, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerUp(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bIsCanceled As Boolean, bInRange As Boolean, bInContact As Boolean, _

bPrimary As Boolean, bFirstButton As Boolean, bSecondButton As Boolean, bThirdButton As Boolean, bFourthButton As Boolean, bFifthButton As Boolean, _

lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Dim ButtonMatrix As String = ""

ButtonMatrix += If((bFirstButton = True), "[1]", "[x]")

ButtonMatrix += If((bSecondButton = True), "[2]", "[x]")

ButtonMatrix += If((bThirdButton = True), "[3]", "[x]")

ButtonMatrix += If((bFourthButton = True), "[4]", "[x]")

ButtonMatrix += If((bFifthButton = True), "[5]", "[x]")

CelString += String.Format("pointer-id: {0}, is-canceled: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bIsCanceled, bInRange, bInContact, bPrimary, _

ButtonMatrix, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerUpdate

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Posted to provide an update on a pointer that made contact over the non-client area of a window or when a hovering uncaptured contact moves over the non-client area of a window. While the pointer is hovering, the message targets whichever window the pointer happens to be over. While the pointer is in contact with the surface, the pointer is implicitly captured to the window over which the pointer made contact and that window continues to receive input for the pointer until it breaks contact.

If a window has captured this pointer, this message is not posted. Instead, a PointerUpdate is posted to the window that has captured this pointer.

Each pointer has a unique pointer identifier during its lifetime. The lifetime of a pointer begins when it is first detected.

A PointerEnter message is generated if a hovering pointer is detected. A PointerDown message followed by a PointerEnter message is generated if a non-hovering pointer is detected.

During its lifetime, a pointer may generate a series of PointerUpdate messages while it is hovering or in contact.

The lifetime of a pointer ends when it is no longer detected. This generates a PointerLeave message.

When a pointer is aborted, POINTER_FLAG_CANCELED is set.

A PointerLeave message may also be generated when a non-captured pointer moves outside the bounds of a window.

Datatype

PointerUpdate (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, VARIANT_BOOL bNew, VARIANT_BOOL bInRange, VARIANT_BOOL bInContact, VARIANT_BOOL bPrimary, VARIANT_BOOL bFirstButton, VARIANT_BOOL bSecondButton, VARIANT_BOOL bThirdButton, VARIANT_BOOL bFourthButton, VARIANT_BOOL bFifthButton, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

bool bNew

bool bInRange

bool bInContact

bool bPrimary

bool bFirstButton

bool bSecondButton

bool bThirdButton

bool bFourthButton

bool bFifthButton

int lX

int lY

VB.NET

Dim obDynPicture As IDynPicture

Dim obElement As IElement

Dim vPointerId As Object

Dim bNew As Boolean

Dim bInRange As Boolean

Dim bInContact As Boolean

Dim bPrimary As Boolean

Dim bFirstButton As Boolean

Dim bSecondButton As Boolean

Dim bThirdButton As Boolean

Dim bFourthButton As Boolean

Dim bFifthButton As Boolean

Dim lX As Integer

Dim lY As Integer

Examples

C#

void DynPics_PointerUpdate(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, bool bNew, bool bInRange, bool bInContact, bool bPrimary, bool bFirstButton, bool bSecondButton, bool bThirdButton, bool bFourthButton, bool bFifthButton, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

string ButtonMatrix = "";

ButtonMatrix += (bFirstButton == true) ? "[1]" : "[x]";

ButtonMatrix += (bSecondButton == true) ? "[2]" : "[x]";

ButtonMatrix += (bThirdButton == true) ? "[3]" : "[x]";

ButtonMatrix += (bFourthButton == true) ? "[4]" : "[x]";

ButtonMatrix += (bFifthButton == true) ? "[5]" : "[x]";

CelString += string.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, ButtonMatrix, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerUpdate(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, bNew As Boolean, bInRange As Boolean, bInContact As Boolean, _

bPrimary As Boolean, bFirstButton As Boolean, bSecondButton As Boolean, bThirdButton As Boolean, bFourthButton As Boolean, bFifthButton As Boolean, _

lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

Dim ButtonMatrix As String = ""

ButtonMatrix += If((bFirstButton = True), "[1]", "[x]")

ButtonMatrix += If((bSecondButton = True), "[2]", "[x]")

ButtonMatrix += If((bThirdButton = True), "[3]", "[x]")

ButtonMatrix += If((bFourthButton = True), "[4]", "[x]")

ButtonMatrix += If((bFifthButton = True), "[5]", "[x]")

CelString += String.Format("pointer-id: {0}, is-new: {1}, is-in-range: {2}, is-in-contact: {3}, is-primary: {4}, buttons: {5}, [X, Y]: {6},{7}", Convert.ToString(vPointerId), bNew, bInRange, bInContact, bPrimary, _

ButtonMatrix, lX, lY)

Cel().WriteCelString(CelString)

End Sub


PointerWheel

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> PointerWheel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Posted to the window with foreground keyboard focus when a horizontal scroll wheel is rotated.

To retrieve the wheel scroll units, use the inputData filed of the POINTER_INFO structure returned by calling GetPointerInfo function. This field contains a signed value and is expressed in a multiple of WHEEL_DELTA. A positive value indicates a rotation forward and a negative value indicates a rotation backward.

Note that the wheel inputs may be delivered even if the mouse cursor is located outside of application’s window. The wheel messages are delivered in a way very similar to the keyboard inputs. The focus window of the foregournd message queue receives the wheel messages.

POINTER_INFO structure:

//Helper array that stores the definition of the POINTER_INFO so we can have a look at it more nicely in the CEL

string[] Pointer_Info_Definition = {

"PointerType",

"PointerID",

"FrameID",

"PointerFlags",

"SourceDevice",

"hwndTarget",

"PixelLocation",

"HimetricLocation",

"PixelLocationRaw",

"HimetricLocationRaw",

"Time",

"historyCount",

"inputData",

"KeyStates",

"PerformanceCount",

"ButtonChangeType"

};

Datatype

PointerWheel (IDynPicture* obDynPicture, IElement* obElement, VARIANT vPointerId, long lWheelDelta, long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | No
VSTA | yes

Parameters

C#

IDynPicture obDynPicture

IElement obElement

object vPointerId

int lWheelDelta

int lX

int lY

VB.NET

Dim obDynPicture As IDynPicture

Dim obElement As IElement

Dim vPointerId As Object

Dim lWheelDelta As Integer

Dim lX As Integer

Dim lY As Integer

Examples

C#

void DynPics_PointerWheel(zenOn.IDynPicture obDynPicture, zenOn.IElement obElement, object vPointerId, int lWheelDelta, int lX, int lY)

{

string CelString = string.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name);

CelString += string.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY);

Cel().WriteCelString(CelString);

}

VB.NET

Private Sub DynPics_PointerWheel(obDynPicture As zenOn.IDynPicture, obElement As zenOn.IElement, vPointerId As Object, lWheelDelta As Integer, lX As Integer, lY As Integer)

Dim CelString As String = String.Format("VSTA: {0} on {1} ", System.Reflection.MethodBase.GetCurrentMethod().Name, obDynPicture.Name)

CelString += String.Format("pointer-id: {0}, wheel-delta: {1}, [X,Y]; {2}, {3}", Convert.ToString(vPointerId), lWheelDelta, lX, lY)

Cel().WriteCelString(CelString)

End Sub


TouchEvent

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> TouchEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

TouchEvent(SAFEARRAY(long) pvX, SAFEARRAY(long) pvY, SAFEARRAY(OLE_HANDLE) pvSource, SAFEARRAY(long) pvID, SAFEARRAY(long) pvFlags, SAFEARRAY(long) pvMask, SAFEARRAY(long) pvTime, SAFEARRAY(long) pvExtraInfo, SAFEARRAY(long) pvXContact, SAFEARRAY(long) pvYContact) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TouchManipulationCompleteEvent

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> TouchManipulationCompleteEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

TouchManipulationCompleteEvent(long lX, long lY, long lTransX, long lTransY, FLOAT fScaleFactor, FLOAT fRotation, long lContacts) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TouchManipulationDeltaEvent

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> TouchManipulationDeltaEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

TouchManipulationDeltaEvent(long lX, long lY, long lTransX, long lTransY, FLOAT fScaleFactor, FLOAT fRotation, long lContacts) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TouchManipulationStartEvent

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> TouchManipulationStartEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

TouchManipulationStartEvent(long lX, long lY) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


WindowPosChanged

Manuels -> Interfaces de programmation -> Modèles d'objet -> DynPictures -> DynPictures-Events -> WindowPosChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

WindowPosChanged(DynPicture obDynPicture) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


EdLimit

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The object EDLimit is only availaible within the zenOn Editor and is not usable during Runtime. It represents the limits from the variables as well as from the datatypes.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub test_EDLimit()
Dim zEDLimit As EdLimit
Dim zVAR As Variable
Dim vDynProps As Variant
Dim strDynProp As String

'FROM DataType
'Set zEDLimit = Myworkspace.ActiveDocument.VarTypes.Item("UINT").EdLimitItem(0)

'FROM Variable
Set zVAR = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_10")
Set zEDLimit = zVAR.EdLimitItem(0)

'READ SETTINGS of EDLimit for Variable and Datatype
Debug.Print "Active : " & zEDLimit.Active
Debug.Print "Alarm : " & zEDLimit.Alarm
Debug.Print "AlarmAck : " & zEDLimit.AlarmAck
Debug.Print "AlarmDelete : " & zEDLimit.AlarmDelete
Debug.Print "Blinking : " & zEDLimit.Blinking
Debug.Print "Cel : " & zEDLimit.Cel
Debug.Print "Class : " & zEDLimit.Class
Debug.Print "Color : " & zEDLimit.color
Debug.Print "Delay : " & zEDLimit.Delay
Debug.Print "Group : " & zEDLimit.Group
Debug.Print "HelpCapture : " & zEDLimit.HelpCapture
Debug.Print "HelpFile : " & zEDLimit.HelpFile
Debug.Print "Invisible : " & zEDLimit.Invisible
Debug.Print "IsMax : " & zEDLimit.IsMax
Debug.Print "IsSimple : " & zEDLimit.IsSimple
Debug.Print "IsVariable : " & zEDLimit.IsVariable
Debug.Print "LimitValue : " & zEDLimit.LimitValue
Debug.Print "ParentID : " & zEDLimit.ParentID
Debug.Print "Print : " & zEDLimit.Print
Debug.Print "Text : " & zEDLimit.Text
Debug.Print "ThresholdValue: " & zEDLimit.ThresholdValue

'READ DYNPROPERTIES of EDLimit for Variable and Datatype
vDynProps = zEDLimit.DynPropertiesEnum("")
For Each strItem In vDynProps
strDynProp = Mid(strItem, 1, InStr(1, strItem, ",") - 1)
Debug.Print "--------------------"
Debug.Print strItem
Debug.Print zEDLimit.DynProperties(strDynProp)
Next

End Sub


EdLimit-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | Limit in/-active | available | not used | yes | yes
VARIANT_BOOL | Alarm | - | available | not used | yes | yes
VARIANT_BOOL | AlarmAck | - | available | not used | yes | yes
VARIANT_BOOL | AlarmComment | - | available | not used | yes | yes
VARIANT_BOOL | AlarmDelete | - | available | not used | yes | yes
VARIANT_BOOL | Blinking | - | available | not used | yes | yes
VARIANT_BOOL | Cel | - | available | not used | yes | yes
short | Class | - | available | not used | yes | yes
long | Color | - | available | not used | yes | yes
long | Delay | - | available | not used | yes | yes
short | Group | - | available | not used | yes | yes
BSTR | HelpCapture | - | available | not used | yes | yes
BSTR | HelpFile | - | available | not used | yes | yes
VARIANT_BOOL | Invisible | - | available | not used | yes | yes
VARIANT_BOOL | IsMax | - | available | not used | yes | yes
VARIANT_BOOL | IsSimple | - | available | not used | yes | yes
VARIANT_BOOL | IsVariable | - | available | not used | yes | yes
double | LimitValue | - | available | not used | yes | yes
IDispatch | Parent | Parent-object | read only | read only | yes | yes
long | ParentID | ID of the variable | available | not used | yes | yes
VARIANT_BOOL | Print | - | available | not used | yes | yes
BSTR | Text | - | available | not used | yes | yes
double | ThresholdValue | - | available | not used | yes | yes
IVariable | Variable | - | available | not used | yes | yes


Active

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Limit in/-active

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Alarm

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Alarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Should the Limit raise an Alarm?

Datatype

Alarm() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


AlarmAck

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> AlarmAck

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Alarm has to be acknowledged by the user whe n this flag is set to true.

Datatype

AlarmAck() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


AlarmComment

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> AlarmComment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

AlarmComment() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


AlarmDelete

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> AlarmDelete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Alarm has to be deleted by the user whe n this flag is set to true.

Datatype

AlarmDelete() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Blinking

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Blinking

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Blinking will be enabled if this flag is set to true...

Datatype

Blinking() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Cel

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Cel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Write into CEL...

Datatype

Cel() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Class

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Class

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Class of this Limit

Datatype

Class() As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Color

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Color

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Color of this Limit

Datatype

Color() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Delay

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Delay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Delay of this Limit in seconds

Datatype

Delay() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Group

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Group

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Group number of this Limit

Datatype

Group() As short

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


HelpCapture

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> HelpCapture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Represents the HelpCapture if you use the embedded help features of zenOn

Datatype

HelpCapture() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


HelpFile

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> HelpFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Represents the HelpFile if you use the embedded help features of zenOn

Datatype

HelpFile() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Invisible

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Invisible

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Invisible Flag can be used with the 'Status' element for example...

Datatype

Invisible() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IsMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> IsMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

MIN or MAXLimit will be reached on underrun the limit or on overflow the setting...

Datatype

IsMax() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IsSimple

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> IsSimple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns -1 when the datatype is a simple datatype and 0 when it is a complex datatype.

Datatype

IsSimple() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IsVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> IsVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The limit value is not defined through a fixed technical assignment of value, but through the technical value of another variable.A 'Variable' has to be linked also with this limit.

Datatype

IsVariable() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


LimitValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> LimitValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Value when the Limit is reached.

Datatype

LimitValue() As double

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Dispatch

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ParentID

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> ParentID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

ID of the variable or datatype

Datatype

ParentID() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Print

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Print

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Alarm or limit violation (with set option "in CEL") is printed online.

Datatype

Print() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Text

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Text

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Text of the limit as it is displayed in lists, in the status line, and in dynamic elements on a limit violation.

Datatype

Text() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ThresholdValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> ThresholdValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

A threshold value can be defined, that is used for the releasing of the limit violation. So undesired reactions on quick series of alarms for analog values can be avoided.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />Example 1: Maximum value = 900, threshold = 10 makes 890Limit is violated above 900 and violation is released under 890.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />Example 2: Minimum value = 900, threshold = 10 makes 910Limit is violated below 900 and violation is released over 910.In differnce to the hysteresis this property does not influence the display of the value but only the alarm behaviour.

Datatype

ThresholdValue() As double

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Variable

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Properties -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Variable as object, which should be used as dynamic limit value.Only available, if the dynamic limit is active!

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


EdLimit-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> EdLimit -> EdLimit-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Element

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object contains the most important information on a defined dynamic element, e.g. type, position, colour, ...

Dynamic elements are created in the Editor of the contol system. With a DynPicture you get the list of the defined elements. In the project the central list of the defined Screens is available.
Most of the dynamic elements can be linked to variables or functions. Additionally these elements can be linked to different VBA macros. The VBA macros are managed in the Macro Browser of the Editor and liked to the properties of the elements.

Hint:
The VBA macros are only available within the control system. External applications have no access to the defined macros.

The following VBA macros are available:

  • Init: available
  • LeftClickUp: available
  • LeftClickDown: Executed on releasing the left mouse button
  • LeftDClick: Executed on doubleclicking the left mouse button
  • RightClickUp: Executed on clicking the right mouse button
  • RightClickDown: Executed on releasing the right mouse button
  • RightDClick: Executed on doubleclicking the right mouse button
  • SetFocus: Executed on activating the element
  • KillFocus: Executed on leaving the element
  • Draw: Executed on drawing the element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Sample how to get all elements within an symbol...
Sub GetItAll()
'Define objects...
Dim zPIC As DynPicture
Dim zELE As Element
'allocate the Screen
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ScreenName")
'check if Screen object is valid...
If zPIC Is Nothing Then Exit Sub
'allocate the element
Set zELE = zPIC.Elements.Item("SymbolName")
'check if element object is valid...
If zELE Is Nothing Then Exit Sub
'get all elements within the symbol an its sub symbols...
Call GetElements(zELE)
End Sub

'Procedure with recursive calls to get all subsymbols...
Sub GetElements(zElem As Element)
Dim i As Integer
For i = 0 To zElem.Elements.Count - 1
'check if element is of type symbol
If zElem.Elements.Item(i).Type = tpSymbol Then
'recursiv call
Call GetElements(zElem.Elements.Item(i))
Else
'print the name of each element...
Debug.Print i & ": " & zElem.Elements.Item(i).Name
End If
Next i
End Sub


Element-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
OLE_COLOR | BackColor | Background-Color | available | available | yes | yes
IVariable | BackColorVariable | - | available | not used | yes | yes
long | Bottom | Height of the element | available | read only | yes | yes
long | CountVariable | Count of linked variables | read only | read only | yes | yes
ISymbolElements | Elements | Returns the list of linked symbols | available | not used | yes | yes
VARIANT_BOOL | Enable | De/-Activates the element (only runtime) | read only | available | yes | yes
VARIANT_BOOL | Focus | Sets the focus to the element | read only | read only | yes | yes
OLE_COLOR | ForeColor | Text-Color | available | read only | yes | yes
long | Height | Height of the element | available | read only | yes | yes
BSTR | HelpCapture | Help-Index in the helpfile for context-sensitive help | available | read only | yes | yes
BSTR | HelpFile | Name of the linked helpfile | available | read only | yes | yes
VARIANT_BOOL | Hide | Show/Hide the element (only runtime) | not used | available | yes | yes
BYTE | HorizontalOrigin | - | available | read only | yes | yes
BSTR | HotKey | Hotkey for the element | available | read only | yes | yes
OLE_HANDLE | hWnd | Handle for picture | not used | read only | yes | yes
long | ID | ID of the element (unique) | read only | read only | yes | yes
long | Left | Left-coordinate of the element | available | read only | yes | yes
IVariable | LineColorVariable | - | available | not used | yes | yes
BSTR | MenuName | Name of the linked zenOn-Menu | available | read only | yes | yes
BSTR | Name | Name of the element (optional) | available | read only | yes | yes
IElements | Parent | Parent-Object of the element | read only | read only | yes | yes
short | PasswordLevel | Password-Level for user-action | available | read only | yes | yes
long | Right | Width of the element | available | read only | yes | yes
BSTR | StationName | - | available | read only | yes | yes
VARIANT_BOOL | SymbolInLibrary | Insert the given symbol into the symbol-library | read only | not used | yes | yes
long | SymbolNo | - | read only | read only | yes | yes
BSTR | ToolTip | Info-Text for the element (is shown by mouseover in the runtime) | available | not used | yes | yes
long | Top | Top-coordinate of the element | available | read only | yes | yes
IVariable | TwistVariable | - | available | not used | yes | yes
double | TwistVarMax | - | available | read only | yes | yes
double | TwistVarMin | - | available | read only | yes | yes
long | TwistViewMax | - | available | read only | yes | yes
long | TwistViewMin | - | available | read only | yes | yes
long | Type | Type of the element () | read only | read only | yes | yes
BYTE | VerticalOrigin | - | available | read only | yes | yes
double | VisibilityFrom | - | available | read only | yes | yes
VARIANT_BOOL | VisibilityFromLimit | - | available | read only | yes | yes
double | VisibilityTo | - | available | read only | yes | yes
IVariable | VisibilityVariable | - | available | not used | yes | yes
long | Width | Width of the element | available | read only | yes | yes
IVariable | XVariable | - | available | not used | yes | yes
double | XVarMax | - | available | read only | yes | yes
double | XVarMin | - | available | read only | yes | yes
long | XViewMax | - | available | read only | yes | yes
long | XViewMin | - | available | read only | yes | yes
IVariable | XZoomVariable | - | available | not used | yes | yes
double | XZoomVarMax | - | available | read only | yes | yes
double | XZoomVarMin | - | available | read only | yes | yes
long | XZoomViewMax | - | available | read only | yes | yes
long | XZoomViewMin | - | available | read only | yes | yes
IVariable | YVariable | - | available | not used | yes | yes
double | YVarMax | - | available | read only | yes | yes
double | YVarMin | - | available | read only | yes | yes
long | YViewMax | - | available | read only | yes | yes
long | YViewMin | - | available | read only | yes | yes
IVariable | YZoomVariable | - | available | not used | yes | yes
double | YZoomVarMax | - | available | read only | yes | yes
double | YZoomVarMin | - | available | read only | yes | yes
long | YZoomViewMax | - | available | read only | yes | yes
long | YZoomViewMin | - | available | read only | yes | yes
short | ZoomMax | - | available | read only | yes | yes
short | ZoomMin | - | available | read only | yes | yes
tpLockResult | InterlockingStatus | Returns whether the Element is currently interlocked. | not used | read only | yes | yes


BackColor

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> BackColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


BackColorVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> BackColorVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Name (as string) of the variable, whose limit colors should influence the background/filling color of the element.

Datatype

BackColorVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Bottom

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Bottom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the position of the bottom window border of the dynamic element in pixel. The value defines the distance from the top border of the screen.

Datatype

Bottom() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


CountVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> CountVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the number of variables linked to the dynamic element.Hint: With the method "ItemVariable" the single variables of the dynamic element can be found out.The following VBA example reads all variables of a Trend element and displays them in the Debug window of VBA. Then the user is asked if VBA should be opened, to let him read the messages.

Datatype

CountVariable() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Get variables of trend TREND_1.

Public Sub LeftClickUp_Element_Variables(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture
Dim obVariable As Variable
Dim obFunction As RtFunction
Dim nIndex As Long

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element TREND_1
Set obElement = obPicture.Elements.Item("TREND_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** Get variables of trend
Debug.Print "TREND_1: " + CStr(obElement.CountVariable) + " variabls
End Sub


Elements

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the collection ("SymbolElements" object) of the embedded "Element" objects.

Datatype

Elements() As SymbolElements

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Enable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Enable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

De/activates the dynamic element. If deactivated, actions like setting a value are not executed.Usually this property returns True indicating, that the element is active. Setting it to False deactivates the element.Hint: VBA macros are also executed, if the element is deactivated. Standard actions, e.g. executing functions for a button are not executed when deactivated.The following example de/activates the dynamic element BITMAP_BTN_1, which is on the current picture, depending on the current status of the element.

Datatype

Enable() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** De/-activate element BITMAP_BTN_1
Public Sub LeftClickUp_Element_Enabled(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element BITMAP_BTN_1
Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** De/-activate element
obElement.Enable = Not obElement.Enable
obElement.Update
End Sub


Focus

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Focus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property checks, if the current element has the focus. Only one element per picture can have the focus at the same time.An element gets the focus, when clicking on it with the mouse or switching to it with the Tab key.In the later case the Tab functionality for the Runtime has to be activated.

Datatype

Focus() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ForeColor

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> ForeColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ForeColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Height

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Height of the element (in pixels).

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HelpCapture

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> HelpCapture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Help-Index in the helpfile for context-sensitive help

Datatype

HelpCapture() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HelpFile

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> HelpFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Name of the linked helpfile

Datatype

HelpFile() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Hide

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Hide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property can influence the visibility of the dynamic element. Usually this property returns False, i.e. the element is displayed.If the property is set to True, the element is hidden. And the element stays invisible, until this property is set back to False.Reopening the picture resets the element.The following example influences the visibility of the dynamic element BITMAP_BTN_1, which exists in the current picture.

Datatype

Hide() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Change visibility of BITMAP_BTN_1
Public Sub LeftClickUp_Element_Hide(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element BITMAP_BTN_1
Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** De/-activate element
obElement.Hide = Not obElement.Hide
obElement.Update
End Sub


HorizontalOrigin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> HorizontalOrigin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

HorizontalOrigin() As BYTE

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HotKey

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> HotKey

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Hotkey for the element

Datatype

HotKey() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


hWnd

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> hWnd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the handle for the dynamic element. Each window in Windows is identified by a handle. This handle is used for most of the standard routines, e.g. for drawing.

Datatype

hWnd() As OLE_HANDLE

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

ID of the element (unique)

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Left

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Left

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the position of the left window border of the dynamic element in pixel. The value defines the distance from the left border of the screen.The following example moves a Bitmap-Button to the right by the width of the element. If the right border of the picture is reached, the element is moved to the left border.

Datatype

Left() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Move picture
Public Sub LeftClickUp_Element_Move_Horizontal(obElem As Element)
Dim obElement As Element
Dim obPicture As DynPicture
Dim nWidth As Long

'*** Get picture-Object
Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

'*** Get element BITMAP_BTN_1
Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

'*** moves element to top of the picture
nWidth = (obElement.Bottom - obElement.Top)

'*** moves element
If (obElement.Right <= obPicture.Width) Then
obElement.Move obElement.Right, obElement.Top,
(obElement.Right + nWidth), obElement.Bottom
Else
obElement.Move obPicture.Left, obElement.Top,
obPicture.Left + nWidth, obElement.Bottom
End If
End Sub


LineColorVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> LineColorVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Name (as string) of the variable, whose limit colors should influence the line/text color of the element.

Datatype

LineColorVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


MenuName

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> MenuName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Name of the linked zenOn-Menu as string.

Datatype

MenuName() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of the dynamic element. This property is optional, i.e. if the user did not define a name, an empty string is returned.Hint: With this unique name a dynamic element can be found in the list of the dynamic elements of the picture.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Elements

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PasswordLevel

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> PasswordLevel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property returns the password level of the dynamic element. Usually this method returns 0 indicating, that no password level is set.If the value is > 0, only users with the defined password level are allowed to execute the action.

Datatype

PasswordLevel() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Right

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Right

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the position of the right window border of the dynamic element in pixel. The value defines the distance from the left border of the screen.

Datatype

Right() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StationName

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> StationName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Element is entered into the object list of the world view with the text defined with this property as string.

Datatype

StationName() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


SymbolInLibrary

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> SymbolInLibrary

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Insert the given symbol into the symbol-library

Datatype

SymbolInLibrary() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


SymbolNo

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> SymbolNo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Number of symbol within the picture

Datatype

SymbolNo() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ToolTip

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> ToolTip

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Info-Text for the element (is shown by mouseover in the runtime)

Datatype

ToolTip() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Top

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Top

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the position of the top window border of the dynamic element in pixel. The value defines the distance from the top border of the screen.The following example moves a Bitmap-Button down by the height of the element. If the bottom border of the picture is reached, the element is moved to the top border.

Datatype

Top() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Move element BITMAP_BTN_1
Public Sub LeftClickUp_Element_Move(obElem As Element)

Dim obElement As Element
Dim obPicture As DynPicture
Dim nHeight As Long
Dim nOldTop As Long

Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

nHeight = (obElement.Bottom - obElement.Top)
nOldTop = obElement.Top

'*** moves element
If (obElement.Bottom > obPicture.Height) Then
obElement.Move obElement.Left, 0, obElement.Right, (nHeight)
Else
obElement.Move obElement.Left, obElement.Bottom, obElement.Right,
(obElement.Bottom + nHeight)
End If

'*** update picture
obElement.Update
obPicture.Update obElement.Left, nOldTop, obElement.Right,
(obElement.Bottom + nHeight)
obElem.LeftClickUp
End Sub


TwistVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> TwistVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Name of the variable for rotating the element as string.

Datatype

TwistVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TwistVarMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> TwistVarMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Highest variable value for rotating the element.Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistVarMin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> TwistVarMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Lowest variable value for rotating the element.Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistViewMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> TwistViewMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Rotation angle of the element for variable maximum (in &#176;).Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TwistViewMin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> TwistViewMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Rotation angle of the element for variable minimum (in &#176;).Hint: A variable has to be assigned to the property "TwistVariable", in order to use this property.

Datatype

TwistViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the type of the "Element" object.The following table gives an overview of the common element types:

Value | Hex | Name | Description
0 | &H0 | tpDynBargraph | Bar Graph
1 | read only | tpDynZahlenElem | Numerical value
2 | read only | tpDynText | Link Text
4 | yes | tpDynTrend | Trend Graph
5 | yes | tpDynZeiger | Indicating instrument
6 | &H6 | tpDynBewegt | Move element
7 | &H7 | tpDynBinaer | Binary element
8 | &H8 | tpDynBitmap | Bitmap button
9 | &H9 | tpDynVerkn | Invisible button
10 | &HA | tpDynButton | Text button
11 | &HB | tpDynSchalter | Switch
12 | &HC | tpDynMulitbin | Multi-binary element
13 | &HD | tpDynMeldung | Message
14 | &HE | tpDynUhr | Clock
15 | &HF | tpDynBefMdi | Command element
16 | &H10 | tpDynStatus | State element
17 | &H11 | tpDynBaButton | Picture alarm
18 | &H12 | tpDynControl | Control element
19 | &H13 | tpDynAegel |
20 | &H14 | tpDynActiveX | ActiveX element
21 | &H15 | tpDynTopLgt | Topological line
22 | &H16 | tpDynTopStrg | Topological branch
23 | &H17 | tpDynInstrument | Universal Slider
24 | &H18 | tpDynCombiList | ComboListBox
100 | &H64 | tpDot |
101 | &H65 | tpLine | Line
102 | &H66 | tpRectangle | Rectangle
103 | &H67 | tpCircle | Ellipse / Circle
104 | &H68 | tpPolyLine | Polyline
107 | &H6B | tpText | Text
108 | &H6C | tpArc | Arc of circle
109 | &H6D | tpSolid |
111 | &H6F | tpTraceDr |
114 | &H72 | tpKegel |
115 | &H73 | tpFillPara |
116 | &H74 | tpFillTria |
117 | &H75 | tpFillBlock |
121 | &H79 | tpPie | Pie
127 | &H7F | tpRoundRect | Rounded rectangle
128 | &H80 | tpPolygon | Polygon
129 | &H81 | tpSymbol | Embedded symbol
130 | &H82 | tpSymbolLnk | Linked symbol
131 | &H83 | tpSegme_Dxf | Graphical element of DXF
133 | &H85 | tpWMF | Graphical element of WMF
134 | &H86 | tpEMF | Graphical element of EMF
135 | &H87 | tpWinkel | 3D-angle
136 | &H88 |  | Tube

Datatype

Type() As long
VBA | yes | tpDynBargraph | Bar Graph
VSTA | yes | tpDynBargraph | Bar Graph

Availability

Environment | Available
Editor | read only
Runtime | read only


VerticalOrigin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> VerticalOrigin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VerticalOrigin() As BYTE

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityFrom

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> VisibilityFrom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Lowest value of the variable, for which the element is visible.Hint: Only available, after a variable has been assigned to the property "VisibilityVariable" and the property "VisibilityFromLimit" is set to FALSE.

Datatype

VisibilityFrom() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityFromLimit

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> VisibilityFromLimit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

If set TRUE, the visibility of the element will be influenced by the limit definition of the variable.ATTENTION: At least for one limit of the variable the property "invisible" must be activated.Otherwise, the visibility is influenced by the properties "VisibilityFrom" and "VisibilityTo" of the element.Hint: Only available, after a variable has been assigned to the property "VisibilityVariable".

Datatype

VisibilityFromLimit() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityTo

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> VisibilityTo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Highest value of the variable, for which the element is visible.Hint: Only available, after a variable has been assigned to the property "VisibilityVariable" and the property "VisibilityFromLimit" is set to FALSE.

Datatype

VisibilityTo() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VisibilityVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> VisibilityVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Name (as string) of the variable, whose value should influence the visibility of the element.Hint: If no variable is linked, the element is always visible.

Datatype

VisibilityVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Width

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> Width

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Width of the element (in pixel).

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Name of the variable for horizontal moving of the element as string.

Datatype

XVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


XVarMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XVarMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Highest variable value for horizontal moving of the element.Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XVarMin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XVarMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Lowest variable value for horizontal moving of the element.Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XViewMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XViewMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Horizontal position of the element for variable maximum (in pixels).Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XViewMin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XViewMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Horizontal position of the element for variable minimum (in pixels).Hint: A variable has to be assigned to the property "XVariable", in order to use this property.

Datatype

XViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XZoomVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Name of the variable for zooming the width of the element as string.

Datatype

XZoomVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


XZoomVarMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XZoomVarMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Highest variable value for zooming the width of the element.Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomVarMin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XZoomVarMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Lowest variable value for zooming the width of the element.Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomViewMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XZoomViewMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Zoom factor of the width of the element for variable maximum (in %).Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


XZoomViewMin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> XZoomViewMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Zoom factor of the width of the element for variable minimum (in %).Hint: A variable has to be assigned to the property "XZoomVariable", in order to use this property.

Datatype

XZoomViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Name of the variable for vertical moving of the element as string.

Datatype

YVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


YVarMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YVarMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Highest variable value for vertical moving of the element.Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YVarMin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YVarMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Lowest variable value for vertical moving of the element.Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YViewMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YViewMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Vertical position of the element for variable maximum (in pixels).Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YViewMin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YViewMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Vertical position of the element for variable minimum (in pixels).Hint: A variable has to be assigned to the property "YVariable", in order to use this property.

Datatype

YViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YZoomVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Name of the variable for zooming the height of the element as string.

Datatype

YZoomVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


YZoomVarMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YZoomVarMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Highest variable value for zooming the height of the element.Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomVarMax() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomVarMin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YZoomVarMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Lowest variable value for zooming the height of the element.Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomVarMin() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomViewMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YZoomViewMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Zoom factor of the height of the element for variable maximum (in %).Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomViewMax() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


YZoomViewMin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> YZoomViewMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Zoom factor of the height of the element for variable minimum (in %).Hint: A variable has to be assigned to the property "YZoomVariable", in order to use this property.

Datatype

YZoomViewMin() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZoomMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> ZoomMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Highest zoom step in which the element should be visible in the worldview. Default: -1.Hint: Where visible from zoom step -1 to -1 means, that the element is visible in all zoom steps.

Datatype

ZoomMax() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZoomMin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Properties -> ZoomMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Lowest zoom step in which the element should be visible in the worldview. Default: -1.Hint: Where visible from zoom step -1 to -1 means, that the element is visible in all zoom steps.

Datatype

ZoomMin() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Element-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddVariable | Add a link to a zenOn-Variable | available | not used | yes | yes
IDispatch | AktiveX | Returns the linked Active-X control (Standard = Nothing) | not used | available | yes | yes
VARIANT_BOOL | CreateDynProperty |  | available | not used | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IVariable | ItemVariable | Returns the linked variable on the given position (depent of the type) | available | available | yes | yes
void | LeftClickDown | - | not used | available | yes | yes
void | LeftClickUp | - | not used | available | yes | yes
void | LeftDClick | - | not used | available | yes | yes
void | Move | Moves the element to the given position | not used | available | yes | yes
VARIANT_BOOL | RemoveVariable | Remove the link to the zenOn-variable on the position | available | not used | yes | yes
void | RightClickDown | - | not used | available | yes | yes
void | RightClickUp | - | not used | available | yes | yes
void | RightDClick | - | not used | available | yes | yes
void | SaveAktiveX | Saves the current ActiveX-settings into to picture (requires additional Save for the picture) | available | not used | yes | yes
void | Update | Updates the element | available | available | yes | yes
void | WPFProperty [PUT] | Get/Set a property of a certain WPF-Element. | available | not used | yes | yes
VARIANT | WPFProperty [GET] | Get/Set a property of a certain WPF-Element. | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


AddVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> AddVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Assigns a variable to the object.

Datatype

AddVariable(LPDISPATCH lpVar) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AktiveX

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> AktiveX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the object for the linked Active-X Control, if the dynamic element is an ActiveX element of the control system. If this is not the case, this method returns "Nothing".Hint: The returned object should be checked on "Nothing", as only the ActiveX element of the control system needs this method.

Datatype

AktiveX() As Dispatch

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateDynProperty

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method is able to create SubItems of the actual object. The parameter has to be the name of the SubItem to be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> ItemVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object Variable, which is identified by the parameter vID. Most of the dynamic elements can be linked to variables. The visualization of most elements depends on the linked variables.The parameter vID can have two values:<ul><li>Index: Access with an index mostly is used in combination with the property Count to find out the position of the variable object in the list.</li><li>Variable name: The variable can also be accessed with its unique name.</li></ul>

Datatype

ItemVariable(VARIANT vPv) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


LeftClickDown

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> LeftClickDown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method executes the action of the dynamic element for pressing the left mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro LeftClickDown.

Datatype

LeftClickDown() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


LeftClickUp

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> LeftClickUp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method executes the action of the dynamic element for releasing the left mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro LeftClickUp.

Datatype

LeftClickUp() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


LeftDClick

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> LeftDClick

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method executes the action of the dynamic element for doubleclicking the left mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro LeftDClick.

Datatype

LeftDClick() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Move

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> Move

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property moves the dynamic element. The parameter define the new position. Update the element after using this method.Hint: Change the parameters Bottom and Right for correct operation.The following example moves a Bitmap-Button down by the height of the element. If the bottom border of the picture is reached, the element is moved to the top border.

Datatype

Move(long Left, long Top, long Right, long Bottom) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

New position for right border of screen in pixel.

New position for left border of screen in pixel.

New position for lower border of screen in pixel.

New position for upper border of screen in pixel.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Right As Long

Left As Long

Bottom As Long

Top As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'*** Move element BITMAP_BTN_1
Public Sub LeftClickUp_Element_Move(obElem As Element)

Dim obElement As Element
Dim obPicture As DynPicture
Dim nHeight As Long
Dim nOldTop As Long

Set obPicture = obElem.Parent.Parent
If (obPicture Is Nothing) Then
MsgBox "Error: Picture-object is invalid..."
Exit Sub
End If

Set obElement = obPicture.Elements.Item("BITMAP_BTN_1")
If (obElement Is Nothing) Then
MsgBox "Error: element BITMAP_BTN_1 doesn't exists..."
Exit Sub
End If

nHeight = (obElement.Bottom - obElement.Top)
nOldTop = obElement.Top

'*** moves element
If (obElement.Bottom > obPicture.Height) Then
obElement.Move obElement.Left, 0, obElement.Right, (nHeight)
Else
obElement.Move obElement.Left, obElement.Bottom, obElement.Right,
(obElement.Bottom + nHeight)
End If

'*** update picture
obElement.Update
obPicture.Update obElement.Left, nOldTop, obElement.Right,
(obElement.Bottom + nHeight)
obElem.LeftClickUp
End Sub


RemoveVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> RemoveVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Remove the link to the zenOn-variable on the position

Datatype

RemoveVariable(long nPosition) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RightClickDown

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> RightClickDown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method executes the action of the dynamic element for pressing the right mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro RightClickDown.

Datatype

RightClickDown() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RightClickUp

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> RightClickUp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method executes the action of the dynamic element for releasing the right mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro RightClickUp.

Datatype

RightClickUp() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RightDClick

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> RightDClick

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method executes the action of the dynamic element for doubleclicking the right mouse button. This action can be a set value action or the execution of a function depending of the type of dynamic element.Hint: This method should be used in combination with the VBA macro RightDClick.

Datatype

RightDClick() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SaveAktiveX

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> SaveAktiveX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SaveAktiveX() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Update

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> Update

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method updates a dynamic element. After changes with VBA always use this method to actualize the display.

Datatype

Update() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


WPFProperty [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> WPFProperty [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

WPFProperty(String bsElement,String bsProperty) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


WPFProperty [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Methods -> WPFProperty [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

WPFProperty (String bsElement,String bsProperty,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Element-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

Element-Dynproperties

227

'ActiveX' (tpDynActiveX)

'Angle' (tpWinkel)

'Arc of circle' (tpArc)

'Bargraph' (tpDynBargraph)

Basisklasse Bildelemente

Basisklasse dynamische Bildelemente

Basisklasse Vektorelemente

'Binary' (tpDynBinaer)

'Bitmap button' (tpDynBitmap)

Circle' (tpCircle)

'Clock' (tpDynUhr)

'Combi' (tpDynStatus)

'Combo/Listbox' (tpDynCombiList)

'Combobox' (tpDynCombobox)

'Command' (tpDynBefMdi)

'EMF/WMF' (tpEMF, tp WMF)

Frame polygon'

'Frame vector'

'Indicating instrument' (tpDynZeiger)

'Invisible button' (tpDynVerkn)

Line' (tpLine)

'Link text' (tpDynText)

'Linked Symbol' (tpSymbolLnk)

'Listbox' (tpDynListbox)

'Listcontrol' (tpDynListCtrl)

'MDI element'

'Message' (tpDynMeldung)

'Move' (tpDynBewegt)

'Multibin' (tpDynMultibin)

'Numerical value' (tpDynZahlenElem)

'Picture alarm' (tpDynBaButton)

'Polygon' (tpPolygon)

'Polyline' (tpPolyLine)

'Rectangle' (tpRectangle)

'Segment of circle' (tpSegme_Dxf)

'Static text' (tpText)

'Switch' (tpDynSchalter)

'Symbol' (tpSymbol)

'Text button' (tpDynButton)

'Topological line' (tpDynTopStrg)

'Topological wire' (tpDynTopLgt)

'Trend curve' (tpDynTrend)

'Tube' ()

'Universal slider' (tpDynInstrument)

'Window' (tpDynWindows)

'WPF Element-Dynproperties' (tpDynWPF)


Frame polygon'

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> Frame polygon'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaLineColor

Transparence du contour [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_BOOL

ALCAlias

Utiliser alias

Disponible uniquement si la propriété Couleur définie par CAL est active.
Actif : un alias est utilisé. Dans le Runtime, l'élément reçoit ses couleurs CAL d'un autre élément du modèle topologique, même s'il ne fait pas partie du modèle.

Plus de détails dans l'aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton .... pour ouvrir la boîte de dialogue et sélectionner un élément existant.

Plus de détails dans l'aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Alternative color (Couleur de remplacement).

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l'aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur two highest prior sources (Deux sources antérieures les plus élevées).

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l'aide en ligne.

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l'aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant limitée fixe.

Plus de détails dans l'aide en ligne.

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si la propriété Couleur définie par CAL a été activée.

Définition de l'affichage de l'alimentation sécurisée.

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l'aide en ligne

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d'affichage lorsque l'élément est connecté à plusieurs sources :
La source la plus prioritaire : Seule la couleur de la source comportant la priorité la plus élevée est utilisée.
Les deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur alternative : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l'aide en ligne

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l'affichage lorsque l'élément est connecté à plusieurs sources actives.
Alimentation multiple : L'élément est affiché selon les règles de l'alimentation multiple.
Alimentation sécurisée : L'élément est affiché selon les règles de l'alimentation sécurisée.
No priority (Pas de priorité) : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l'aide en ligne

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Actif : La couleur automatique de la source liée est utilisée.
Inactif : La couleur standard est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Variable pour la limite de la capacité de transport de courant

VT_I2

Align

Alignement

Direction du dégradé de couleur.
– horizontal
– vertical

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l'élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Actif : La luminosité du dégradé de couleurs peut être librement définie.
Inactif : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Plus de détails dans l'aide en ligne

VT_I2

ColorGradientAngle

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientOffset

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

VT_I2

Combine

Utilisation domaine

Définit les effets qu'aura l'élément créé sur le cadre.

Les paramètres suivants sont disponibles :

Couverture : La surface de l'élément est utilisée en tant que zone du synoptique.

Couper : la surface de l'élément est supprimée des surfaces situées dessous.

ORed (Variable) : cet élément est découpé ou couvert, en fonction de la présence d'un élément de couverture situé sous l'élément.

Remarque : La manière dont la surface est utilisée dépend toujours des surfaces situées sous l'élément.

Pour les nouveaux éléments, les derniers paramètres sélectionnés sont utilisés.

Plus de détails dans l'aide en ligne

VT_BSTR

Coordinates

-

Spécifie la position du bord inférieur de la fenêtre d'aperçu sur l'écran (en pixels).

ZT_IMAGELIST

FillPattern

Remplissage (type)

Sélection du motif de remplissage de l'élément dans la liste.

Cette propriété est uniquement disponible si la propriété Par les valeurs de luminosité est inactive.

Plus de détails dans l'aide en ligne

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

Lightning

Gradient de couleur

Disponible uniquement si la propriété Remplissage (type) a été définie sur Color gradient (Dégradé de couleurs).

Définit le dégradé de couleurs pour tous les éléments vectoriels.

Linéaire : dégradé continu
Defined point (Point défini) : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineCapEnd

Type de terminaison

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de fin de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

VT_R4

LineCapScale

Dimension

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le facteur d'agrandissement de largeur de ligne de la flèche. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Epaisseur de ligne [Pixels].

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Valeur : supérieure ou égale à 1

Par défaut : 4

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineCapStart

Type de démarrage

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de début de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

ZT_COLOR

LineColor

Ligne (couleur)

Couleur de ligne de l'élément.

Plus de détails dans l'aide en ligne

ZT_COLOR

LineColorEx

Ligne (couleur)

Détermine la couleur de trait de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineType

Type de la ligne

Sélection du type de ligne de l'élément dans la liste.
Attention : dans les paramètres du projet dans le nœud Apparence graphique, si vous désactivez la propriété Qualité graphique, vous pouvez uniquement utiliser une épaisseur de ligne >1 avec une ligne de type Trait continu.
Plus de détails dans l'aide en ligne

VT_UI2

LineWidth

Epaisseur de ligne [Pixels]

Épaisseur de la ligne (en pixels).
Minimum : 0
Dans ce cas, l'épaisseur de la ligne est de 1 pixel.
Maximum : 65535
Par défaut : 1
Attention : Dans les paramètres du projet dans le nœud Apparence graphique, si vous définissez la propriété Qualité graphique sur Windows basis (Configuration Windows), vous pouvez uniquement utiliser une épaisseur de ligne 1 avec une ligne de type Trait continu.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

Shifted

Gradient de couleur 'décalé'

La distance de décalage de l'effet de lumière par rapport au centre de l'élément

Plus de détails dans l'aide en ligne

VT_R4

SplineTension

Arrondir

Disponible uniquement si vous avez activé l'option Qualité graphique dans les propriétés du projet dans le nœud Apparence graphique/Synoptiques.

Définit la valeur d'arrondi des polylignes, des polygones et des barres verticales.

Valeurs : 0,0 (pas d'arrondi) à 1,0 (arrondi maximal)

Par défaut : 0

Plus de détails dans l'aide en ligne.


CDynEleVar-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> CDynEleVar-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | ProjectVar | - | Uniquement disponible si la liste chronologique d'événements est active :Actif : En cas d'écriture réussie des valeurs sur le matériel, l'entrée correspondante est insérée dans la liste CEL.Inactif : L'écriture réussie des valeurs n'est pas consignée dans la liste CEL.(Par défaut) Inactif :ATTENTION : Cette fonctionnalité est uniquement utilisable lors de l'écriture de valeurs avec la fonction Envoi de valeur vers matériel, si cette option est activée dans la fonction.
VT_BSTR | SymVarName | - | Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de couleur de ligne/de texte de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.
VT_BSTR | SymVarTagNr | - | Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de position dynamique x de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.


'Frame vector'

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Frame vector'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaLineColor

Transparence du contour [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.


Element dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> Element dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

ZT_COLOR

TextColor

Texte (couleur)

Couleur du texte de l'élément.

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci clavier

Les raccourcis autorisent l'exécution d'éléments actionnables. Par exemple :

- Exécution d'éléments de contrôle et de fonctions attribuées à un élément
- Écriture de valeur prescrite (dans le cas d'un interrupteur, par exemple)
- Définition du focus de certaines fenêtres (telles que les courbes dans le module Tendance étendue ou les listes déroulantes dans le Gestionnaire de groupes de recettes)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l'aide en ligne

VT_BSTR

Legend

Texte

Intitulé de l'élément dans l'Éditeur.

Plus de détails dans l'aide en ligne

VT_UI2

StyleL

Style L

Style Windows de l'élément ; utilisation interne uniquement.

Plus de détails dans l'aide en ligne

VT_UI2

StyleH

Style H

Style Windows de l'élément ; utilisation interne uniquement.

Plus de détails dans l'aide en ligne

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

VT_BOOL

TranslateText

Traduire le texte affiché

Actif : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

ZT_FILE

CheckOffImage

Off

Sélection d'un élément graphique affichant l'état Value is 0 and property cannot be edited (La valeur est 0 et la propriété ne peut pas être modifiée).

Plus de détails dans l'aide en ligne

ZT_FILE

CheckOffImageInActive

Off (inactif)

Sélection d'un élément graphique affichant l'état Value is 0 and property cannot be edited (La valeur est 0 et la propriété ne peut pas être modifiée).

Plus de détails dans l'aide en ligne

ZT_FILE

CheckOnImage

On

Sélection d'un élément graphique affichant l'état Value is 1 and property cannot be edited (La valeur est 1 et la propriété ne peut pas être modifiée).

Plus de détails dans l'aide en ligne

ZT_FILE

CheckOnImageInActive

On (inactif)

Sélection d'un élément graphique affichant l'état Value is 1 and property cannot be edited (La valeur est 1 et la propriété ne peut pas être modifiée).

Plus de détails dans l'aide en ligne

VT_BOOL

AdvancedStyleH

Paramètres du graphique étendu

Disponible uniquement pour PC.

Contrôle l'utilisation des barres de défilement personnalisables horizontales et verticales, de l'en-tête et de la grille. Si vous activez cette propriété, vous pouvez personnaliser l'affichage du champ de liste de la liste d'alarmes (AML) et de la liste chronologique d'événements (CEL).

Par défaut : inactive.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

VT_BOOL

EnableHeader

Entête éditable

Disponible uniquement si vous avez sélectionné Actions autorisées sur les en-têtes de colonne dans le groupe Liste d'alarmes pour la propriété Entête alarmes, ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements.

Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Permet d'effectuer des actions sur l'en-tête du champ de liste correspondant. Dans le Runtime, vous pouvez déplacer les colonnes individuelles et en modifier la largeur. Vous pouvez trier l'affichage en fonction de n'importe quelle colonne.

Active : vous pouvez effectuer des actions sur l'en-tête.

Par défaut : active

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_COLOR

GridColorH

Couleur de la ligne horizontale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne

ZT_COLOR

GridColorV

Couleur de la ligne verticale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne

VT_UI2

GridSizeH

Epaisseur ligne horizontale [Pixels]

Largeur en pixels des lignes horizontales de la grille. Changez cette valeur pour modifier les lignes horizontales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes horizontales sont masquées.

Par défaut : 1.

Plus de détails dans l'aide en ligne

VT_UI2

GridSizeV

Epaisseur ligne verticale [Pixels]

Largeur en pixels des lignes verticales de la grille. Changez cette valeur pour modifier les lignes verticales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes verticales sont masquées.

Par défaut : 1.

Plus de détails dans l'aide en ligne

ZT_IMAGELIST

GridTypeH

Type de ligne horizontale

Définit le type des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne horizontale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : la grille est uniquement affiché si vous activez la grille dans la fonction Appel de synoptique ou dans le filtre dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_IMAGELIST

GridTypeV

Type de ligne verticale

Définit le type des lignes verticales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne verticale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : la grille est uniquement affiché si vous activez la grille dans la fonction Appel de synoptique ou dans le filtre dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

HeaderBackColor

Remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs dans l'en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_COLOR

HeaderBackColor2

Couleur du dégradé

Disponible uniquement si vous avez sélectionné Actions autorisées sur les entêtes de colonne ou Entête fixe dans le groupe Liste d'alarmes pour la propriété Entête alarmes ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements. En outre, vous devez activer les propriétés Paramètres du graphique étendu et Montrer l'entête pour la zone de liste correspondante.

Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs dans l'en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste d'alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

VT_I2

HeaderColorGradientAngle

Angle

Disponible uniquement si vous avez sélectionné Actions autorisées sur les entêtes de colonne ou Entête fixe dans le groupe Liste d'alarmes pour la propriété Entête alarmes ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements. En outre, vous devez activer les propriétés Paramètres du graphique étendu et Montrer l'entête pour la zone de liste correspondante.

Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l'angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste d'alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

VT_I2

HeaderColorGradientOffset

Offset

Définit la distance du dégradé de couleurs depuis le centre de l'en-tête jusqu'au bord gauche ou droit, en pourcentage. 0 signifie le centre de l'en-tête, 100 signifie le bord droit de l'en-tête et -100 signifie le bord gauche de l'en-tête.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste d'alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_SCHRIFT

HeaderFont

Police

Cette propriété est disponible sous Windows Vista et dans les versions ultérieures.

Définit la police de caractères utilisée pour le texte de l'en-tête. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de polices de caractères prédéfinies.

La police de caractères utilisée pour le nouvel élément sera la police utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_COLOR

HeaderFontColor

Texte (couleur)

Définit la couleur du texte de l'en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

VT_I2

HeaderLightning

Effet de lumière

Sélectionnez le type de dégradé de couleurs pour l'en-tête parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé avec des rayons commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Par défaut : Linéaire

Plus de détails dans l'aide en ligne de la liste d'alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_FILE

DescDownImage

Tri décroissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l'en-tête du champ de liste lors du tri décroissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_FILE

AscSortImage

Tri croissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l'en-tête du champ de liste lors du tri croissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_FILE

HeaderBarImage

Fond

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché en arrière-plan dans l'en-tête du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

VT_I2

HeaderStyle

Style d'affichage

Disponible uniquement si vous avez sélectionné Actions autorisées sur les entêtes de colonne ou Entête fixe dans le groupe Liste d'alarmes pour la propriété Entête alarmes ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements. En outre, vous devez activer les propriétés Paramètres du graphique étendu et Montrer l'entête pour la zone de liste correspondante.

Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Définissez l'apparence de l'en-tête du champ de liste. Sélectionnez l'une des options suivantes :

Dégradé de couleurs : utilise un dégradé de couleurs spécial pour l'en-tête. Vous pouvez personnaliser le dégradé de couleurs à l'aide des propriétés Remplissage, Couleur du dégradé, Effet de lumière, Offset et Angle.

Fichier graphique : utilise le fichier graphique sélectionné pour les zones individuelles. Si aucun fichier graphique n'a été sélectionné, l'affichage Dégradé de couleurs est utilisé.

Par défaut : utilise le paramètre standard pour l'en-tête. Vous pouvez uniquement modifier les éléments Police et Texte (couleur) à l'aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_COLOR

BackColorH

Remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_COLOR

BackColor2H

Gradient de couleur

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ButtonHeightH

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ButtonWidthH

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ColorGradientAngleH

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l'angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Décalage [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste CEL.

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ColorGradientOffsetH

Décalage [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement horizontale jusqu'au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement horizontale, 100 signifie le bord droit de la barre de défilement horizontale et -100 signifie le bord gauche de la barre de défilement horizontale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste CEL.

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

LightningH

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement horizontale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé avec des rayons commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Par défaut : Linéaire

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapLeftH

Flêche de gauche de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement gauche de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapRightH

Flêche de droite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement droite de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapSpanH

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement horizontale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapThumbH

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

BarStyleH

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l'apparence de l'en-tête du champ de liste. Sélectionnez l'une des options suivantes :

Dégradé de couleurs : utilise un dégradé de couleurs spécial pour l'en-tête. Vous pouvez personnaliser le dégradé de couleurs à l'aide des propriétés Remplissage, Gradient de couleur, Gradient de couleur, Décalage [%] et Angle [°].

Fichier graphique : utilise le fichier graphique sélectionné pour les zones individuelles. Si aucun fichier graphique n'a été sélectionné, l'affichage Dégradé de couleurs est utilisé.

Par défaut : utilise le paramètre standard pour l'en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l'aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ThumbSizeH

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_BOOL

HideSelection

Ne pas marquer la ligne sélectionnée

Ce paramètre permet de définir si la ligne sélectionnée est affichée en surbrillance dans la zone de liste. Si vous activez cette propriété, vous ne pouvez pas voir l'entrée que vous avez sélectionnée. Toutes les lignes de la liste sont identiques.

Par défaut : inactive.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

VT_BOOL

ShowBorder

Montrer le cadre

Permet d'afficher un cadre autour de l'élément. Les balises des propriétés Style L et Style H sont masquées.

Active : le cadre est affiché autour de l'élément correspondant.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ShowHeader

Montrer l'entête

Disponible uniquement si vous avez sélectionné Actions autorisées sur les entêtes de colonne ou Entête fixe dans le groupe Liste d'alarmes pour la propriété Entête alarmes ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements.
Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Affiche l'en-tête du champ de liste correspondant. Dans le groupe Entête, vous pouvez personnaliser l'apparence de l'en-tête.

Active : l'en-tête est affiché.

Par défaut : active

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_COLOR

BackColorV

Remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_COLOR

BackColor2V

Couleur du dégradé

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ButtonHeightV

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ButtonWidthV

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ColorGradientAngleV

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l'angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Décalage [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ColorGradientOffsetV

Décalage [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement verticale jusqu'au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement verticale, 100 signifie le bord droit de la barre de défilement verticale et -100 signifie le bord gauche de la barre de défilement verticale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

LightningV

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement verticale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé avec des rayons commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Par défaut : Linéaire

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapLeftV

Flêche du haut de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le haut de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapRightV

Flêche du bas de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le bas de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapSpanV

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement verticale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapThumbV

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

BarStyleV

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l'apparence de l'en-tête du champ de liste. Sélectionnez l'une des options suivantes :

Dégradé de couleurs : utilise un dégradé de couleurs spécial pour l'en-tête. Vous pouvez personnaliser le dégradé de couleurs à l'aide des propriétés Remplissage, Couleur du dégradé, Gradient de couleur, Décalage [%] et Angle [°].

Fichier graphique : utilise le fichier graphique sélectionné pour les zones individuelles. Si aucun fichier graphique n'a été sélectionné, l'affichage Dégradé de couleurs est utilisé.

Par défaut : utilise le paramètre standard pour l'en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l'aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ThumbSizeV

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_BOOL

KbdUsage

Utiliser le synoptique clavier

Lors de la sélection de l'élément dans le Runtime, le clavier est affiché.
Lors de la sélection d'un champ de saisie libre dans le Runtime, le synoptique de clavier DIALOGKBD est appelé, s'il est disponible.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

VT_UI4

RowHeight

Hauteur de ligne [pixel]

Permet de définir la hauteur des lignes en pixels, indépendamment de la taille de la police.

Valeur maximale : 255 pixels
Valeur minimale : 0 pixel (la hauteur des lignes est adaptée à la taille de la police).

Par défaut : 0

Attention : si la hauteur de ligne

  • sélectionnée est trop élevée, dans certaines circonstances, aucune information ne sera affichée dans le Runtime.
  • sélectionnée est inférieure à la taille de la police, les éléments graphiques seront tronqués.

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColorSelectFocus

Couleur de fond pour la sélection avec le focus

Couleur de l'arrière-plan de l'entrée sélectionnée de l'élément de contrôle tactile si le focus se trouve sur l'élément.

Par défaut : Valeur du système d'exploitation.

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColorSelectNoFocus

Couleur de fond pour la sélection sans le focus

Couleur de l'arrière-plan de l'entrée sélectionnée de l'élément de contrôle tactile si le focus ne se trouve pas sur l'élément.

Par défaut : Valeur du système d'exploitation.

Plus de détails dans l'aide en ligne.

ZT_COLOR

TextColorSelectFocus

Couleur du texte pour la sélection avec le focus

Couleur du texte de l'entrée sélectionnée de l'élément de contrôle tactile si le focus se trouve sur l'élément.

Par défaut : Valeur du système d'exploitation.

Plus de détails dans l'aide en ligne.

ZT_COLOR

TextColorSelectNoFocus

Couleur de texte pour la sélection sans le focus

Couleur du texte de l'entrée sélectionnée de l'élément de contrôle tactile si le focus ne se trouve pas sur l'élément.

Par défaut : Valeur du système d'exploitation.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_BOOL

IsSetValue

Forçage valeurs actif

Actif : La configuration des variables pour cet élément dynamique est autorisée.
Inactif : La variable est protégée en écriture dans cet élément.

Plus de détails dans l'aide en ligne

VT_BOOL

WithPanes

Fenêtres ancrables

Actif : La liste de fenêtres ancrables est affichée dans l'éditeur de recettes.

Inactive : La liste de fenêtres ancrables n'est pas affichée dans l'éditeur de recettes.

Par défaut : active

Plus de détails dans l'aide en ligne.

VT_BOOL

WithTBs

Barres d'outils

Actif : Les barres d'outils sont affichées dans l'éditeur de recettes.

Inactive : Les barres d'outils ne sont pas affichées dans l'éditeur de recettes. Ce choix est recommandé si les actions des symboles individuels sont attribuées à des boutons spécifiques.

Par défaut : active

Plus de détails dans l'aide en ligne.


'MDI element'

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'MDI element'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne


'Window' (tpDynWindows)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Window' (tpDynWindows)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne


'Combobox' (tpDynCombobox)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Combobox' (tpDynCombobox)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne


'Listbox' (tpDynListbox)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Listbox' (tpDynListbox)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne


'Listcontrol' (tpDynListCtrl)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Listcontrol' (tpDynListCtrl)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_COLOR

TextColor

Texte (couleur)

Couleur du texte de l'élément.

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

ZT_SHORTCUT

ShortCut

Raccourci clavier

Les raccourcis autorisent l'exécution d'éléments actionnables. Par exemple :

- Exécution d'éléments de contrôle et de fonctions attribuées à un élément
- Écriture de valeur prescrite (dans le cas d'un interrupteur, par exemple)
- Définition du focus de certaines fenêtres (telles que les courbes dans le module Tendance étendue ou les listes déroulantes dans le Gestionnaire de groupes de recettes)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l'aide en ligne

VT_BSTR

Legend

Texte

Intitulé de l'élément dans l'Éditeur.

Plus de détails dans l'aide en ligne

VT_UI2

StyleL

Style L

Style Windows de l'élément ; utilisation interne uniquement.

Plus de détails dans l'aide en ligne

VT_UI2

StyleH

Style H

Style Windows de l'élément ; utilisation interne uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

TranslateText

Traduire le texte affiché

Actif : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BOOL

AdvancedStyleH

Paramètres du graphique étendu

Disponible uniquement pour PC.

Contrôle l'utilisation des barres de défilement personnalisables horizontales et verticales, de l'en-tête et de la grille. Si vous activez cette propriété, vous pouvez personnaliser l'affichage du champ de liste de la liste d'alarmes (AML) et de la liste chronologique d'événements (CEL).

Par défaut : inactive.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

VT_BOOL

EnableHeader

Entête éditable

Disponible uniquement si vous avez sélectionné Actions autorisées sur les en-têtes de colonne dans le groupe Liste d'alarmes pour la propriété Entête alarmes, ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements.

Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Permet d'effectuer des actions sur l'en-tête du champ de liste correspondant. Dans le Runtime, vous pouvez déplacer les colonnes individuelles et en modifier la largeur. Vous pouvez trier l'affichage en fonction de n'importe quelle colonne.

Active : vous pouvez effectuer des actions sur l'en-tête.

Par défaut : active

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_COLOR

GridColorH

Couleur de la ligne horizontale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne

ZT_COLOR

GridColorV

Couleur de la ligne verticale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne

VT_UI2

GridSizeH

Epaisseur ligne horizontale [Pixels]

Largeur en pixels des lignes horizontales de la grille. Changez cette valeur pour modifier les lignes horizontales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes horizontales sont masquées.

Par défaut : 1.

Plus de détails dans l'aide en ligne

VT_UI2

GridSizeV

Epaisseur ligne verticale [Pixels]

Largeur en pixels des lignes verticales de la grille. Changez cette valeur pour modifier les lignes verticales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes verticales sont masquées.

Par défaut : 1.

Plus de détails dans l'aide en ligne

ZT_IMAGELIST

GridTypeH

Type de ligne horizontale

Définit le type des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne horizontale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : la grille est uniquement affiché si vous activez la grille dans la fonction Appel de synoptique ou dans le filtre dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_IMAGELIST

GridTypeV

Type de ligne verticale

Définit le type des lignes verticales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne verticale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : la grille est uniquement affiché si vous activez la grille dans la fonction Appel de synoptique ou dans le filtre dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

HeaderBackColor

Remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs dans l'en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_COLOR

HeaderBackColor2

Couleur du dégradé

Disponible uniquement si vous avez sélectionné Actions autorisées sur les entêtes de colonne ou Entête fixe dans le groupe Liste d'alarmes pour la propriété Entête alarmes ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements. En outre, vous devez activer les propriétés Paramètres du graphique étendu et Montrer l'entête pour la zone de liste correspondante.

Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs dans l'en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste d'alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

VT_I2

HeaderColorGradientAngle

Angle

Disponible uniquement si vous avez sélectionné Actions autorisées sur les entêtes de colonne ou Entête fixe dans le groupe Liste d'alarmes pour la propriété Entête alarmes ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements. En outre, vous devez activer les propriétés Paramètres du graphique étendu et Montrer l'entête pour la zone de liste correspondante.

Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l'angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste d'alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

VT_I2

HeaderColorGradientOffset

Offset

Définit la distance du dégradé de couleurs depuis le centre de l'en-tête jusqu'au bord gauche ou droit, en pourcentage. 0 signifie le centre de l'en-tête, 100 signifie le bord droit de l'en-tête et -100 signifie le bord gauche de l'en-tête.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste d'alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_SCHRIFT

HeaderFont

Police

Cette propriété est disponible sous Windows Vista et dans les versions ultérieures.

Définit la police de caractères utilisée pour le texte de l'en-tête. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de polices de caractères prédéfinies.

La police de caractères utilisée pour le nouvel élément sera la police utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_COLOR

HeaderFontColor

Texte (couleur)

Définit la couleur du texte de l'en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

VT_I2

HeaderLightning

Effet de lumière

Sélectionnez le type de dégradé de couleurs pour l'en-tête parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé avec des rayons commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Par défaut : Linéaire

Plus de détails dans l'aide en ligne de la liste d'alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_FILE

DescDownImage

Tri décroissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l'en-tête du champ de liste lors du tri décroissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_FILE

AscSortImage

Tri croissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l'en-tête du champ de liste lors du tri croissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_FILE

HeaderBarImage

Fond

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché en arrière-plan dans l'en-tête du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

VT_I2

HeaderStyle

Style d'affichage

Disponible uniquement si vous avez sélectionné Actions autorisées sur les entêtes de colonne ou Entête fixe dans le groupe Liste d'alarmes pour la propriété Entête alarmes ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements. En outre, vous devez activer les propriétés Paramètres du graphique étendu et Montrer l'entête pour la zone de liste correspondante.

Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Définissez l'apparence de l'en-tête du champ de liste. Sélectionnez l'une des options suivantes :

Dégradé de couleurs : utilise un dégradé de couleurs spécial pour l'en-tête. Vous pouvez personnaliser le dégradé de couleurs à l'aide des propriétés Remplissage, Couleur du dégradé, Effet de lumière, Offset et Angle.

Fichier graphique : utilise le fichier graphique sélectionné pour les zones individuelles. Si aucun fichier graphique n'a été sélectionné, l'affichage Dégradé de couleurs est utilisé.

Par défaut : utilise le paramètre standard pour l'en-tête. Vous pouvez uniquement modifier les éléments Police et Texte (couleur) à l'aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_COLOR

BackColorH

Remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_COLOR

BackColor2H

Gradient de couleur

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ButtonHeightH

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ButtonWidthH

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ColorGradientAngleH

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l'angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Décalage [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste CEL.

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ColorGradientOffsetH

Décalage [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement horizontale jusqu'au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement horizontale, 100 signifie le bord droit de la barre de défilement horizontale et -100 signifie le bord gauche de la barre de défilement horizontale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste CEL.

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

LightningH

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement horizontale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé avec des rayons commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Par défaut : Linéaire

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapLeftH

Flêche de gauche de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement gauche de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapRightH

Flêche de droite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement droite de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapSpanH

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement horizontale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapThumbH

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

BarStyleH

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l'apparence de l'en-tête du champ de liste. Sélectionnez l'une des options suivantes :

Dégradé de couleurs : utilise un dégradé de couleurs spécial pour l'en-tête. Vous pouvez personnaliser le dégradé de couleurs à l'aide des propriétés Remplissage, Gradient de couleur, Gradient de couleur, Décalage [%] et Angle [°].

Fichier graphique : utilise le fichier graphique sélectionné pour les zones individuelles. Si aucun fichier graphique n'a été sélectionné, l'affichage Dégradé de couleurs est utilisé.

Par défaut : utilise le paramètre standard pour l'en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l'aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ThumbSizeH

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_BOOL

HideSelection

Ne pas marquer la ligne sélectionnée

Ce paramètre permet de définir si la ligne sélectionnée est affichée en surbrillance dans la zone de liste. Si vous activez cette propriété, vous ne pouvez pas voir l'entrée que vous avez sélectionnée. Toutes les lignes de la liste sont identiques.

Par défaut : inactive.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

VT_BOOL

ShowBorder

Montrer le cadre

Permet d'afficher un cadre autour de l'élément. Les balises des propriétés Style L et Style H sont masquées.

Active : le cadre est affiché autour de l'élément correspondant.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ShowHeader

Montrer l'entête

Disponible uniquement si vous avez sélectionné Actions autorisées sur les entêtes de colonne ou Entête fixe dans le groupe Liste d'alarmes pour la propriété Entête alarmes ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements.
Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Affiche l'en-tête du champ de liste correspondant. Dans le groupe Entête, vous pouvez personnaliser l'apparence de l'en-tête.

Active : l'en-tête est affiché.

Par défaut : active

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

ZT_COLOR

BackColorV

Remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_COLOR

BackColor2V

Couleur du dégradé

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ButtonHeightV

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ButtonWidthV

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ColorGradientAngleV

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l'angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Décalage [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ColorGradientOffsetV

Décalage [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement verticale jusqu'au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement verticale, 100 signifie le bord droit de la barre de défilement verticale et -100 signifie le bord gauche de la barre de défilement verticale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

LightningV

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement verticale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé avec des rayons commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Par défaut : Linéaire

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapLeftV

Flêche du haut de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le haut de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapRightV

Flêche du bas de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le bas de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapSpanV

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement verticale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

ZT_FILE

BitmapThumbV

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

BarStyleV

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l'apparence de l'en-tête du champ de liste. Sélectionnez l'une des options suivantes :

Dégradé de couleurs : utilise un dégradé de couleurs spécial pour l'en-tête. Vous pouvez personnaliser le dégradé de couleurs à l'aide des propriétés Remplissage, Couleur du dégradé, Gradient de couleur, Décalage [%] et Angle [°].

Fichier graphique : utilise le fichier graphique sélectionné pour les zones individuelles. Si aucun fichier graphique n'a été sélectionné, l'affichage Dégradé de couleurs est utilisé.

Par défaut : utilise le paramètre standard pour l'en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l'aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_I2

ThumbSizeV

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

VT_BOOL

KbdUsage

Utiliser le synoptique clavier

Lors de la sélection de l'élément dans le Runtime, le clavier est affiché.
Lors de la sélection d'un champ de saisie libre dans le Runtime, le synoptique de clavier DIALOGKBD est appelé, s'il est disponible.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

RowHeight

Hauteur de ligne [pixel]

Permet de définir la hauteur des lignes en pixels, indépendamment de la taille de la police.

Valeur maximale : 255 pixels
Valeur minimale : 0 pixel (la hauteur des lignes est adaptée à la taille de la police).

Par défaut : 0

Attention : si la hauteur de ligne

  • sélectionnée est trop élevée, dans certaines circonstances, aucune information ne sera affichée dans le Runtime.
  • sélectionnée est inférieure à la taille de la police, les éléments graphiques seront tronqués.

Plus de détails dans l'aide en ligne.


'ActiveX' (tpDynActiveX)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'ActiveX' (tpDynActiveX)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_AKTIVE_X

ActiveX

Paramètres ActiveX

Sélection de l'élément ActiveX et de la variable liée.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

CDynEleVar

DynEleVar

-

Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de largeur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


'Angle' (tpWinkel)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Angle' (tpWinkel)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaLineColor

Transparence du contour [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_I2

Lightning

Gradient de couleur

Disponible uniquement si la propriété Remplissage (type) a été définie sur Color gradient (Dégradé de couleurs).

Définit le dégradé de couleurs pour tous les éléments vectoriels.

Linéaire : dégradé continu
Defined point (Point défini) : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne.

ZT_COLOR

LineColorEx

Ligne (couleur)

Détermine la couleur de trait de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientAngle

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientOffset

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

LineColor

Ligne (couleur)

Couleur de ligne de l'élément.

Plus de détails dans l'aide en ligne

VT_UI2

LineWidth

Epaisseur de ligne [Pixels]

Épaisseur de la ligne (en pixels).
Minimum : 0
Dans ce cas, l'épaisseur de la ligne est de 1 pixel.
Maximum : 65535
Par défaut : 1
Attention : Dans les paramètres du projet dans le nœud Apparence graphique, si vous définissez la propriété Qualité graphique sur Windows basis (Configuration Windows), vous pouvez uniquement utiliser une épaisseur de ligne 1 avec une ligne de type Trait continu.

Plus de détails dans l'aide en ligne

VT_I2

Align

Alignement

Direction du dégradé de couleur.
– horizontal
– vertical

Plus de détails dans l'aide en ligne

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l'élément.

Plus de détails dans l'aide en ligne

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

Shifted

Gradient de couleur 'décalé'

La distance de décalage de l'effet de lumière par rapport au centre de l'élément

Plus de détails dans l'aide en ligne

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Actif : La couleur automatique de la source liée est utilisée.
Inactif : La couleur standard est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d'affichage lorsque l'élément est connecté à plusieurs sources :
La source la plus prioritaire : Seule la couleur de la source comportant la priorité la plus élevée est utilisée.
Les deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur alternative : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l'aide en ligne

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si la propriété Couleur définie par CAL a été activée.

Définition de l'affichage de l'alimentation sécurisée.

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l'aide en ligne

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l'affichage lorsque l'élément est connecté à plusieurs sources actives.
Alimentation multiple : L'élément est affiché selon les règles de l'alimentation multiple.
Alimentation sécurisée : L'élément est affiché selon les règles de l'alimentation sécurisée.
No priority (Pas de priorité) : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

LineCapStart

Type de démarrage

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de début de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineCapEnd

Type de terminaison

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de fin de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

VT_R4

LineCapScale

Dimension

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le facteur d'agrandissement de largeur de ligne de la flèche. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Epaisseur de ligne [Pixels].

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Valeur : supérieure ou égale à 1

Par défaut : 4

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineType

Type de la ligne

Sélection du type de ligne de l'élément dans la liste.
Attention : dans les paramètres du projet dans le nœud Apparence graphique, si vous désactivez la propriété Qualité graphique, vous pouvez uniquement utiliser une épaisseur de ligne >1 avec une ligne de type Trait continu.
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

FillPattern

Remplissage (type)

Sélection du motif de remplissage de l'élément dans la liste.

Cette propriété est uniquement disponible si la propriété Par les valeurs de luminosité est inactive.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l'élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Actif : La luminosité du dégradé de couleurs peut être librement définie.
Inactif : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Plus de détails dans l'aide en ligne

VT_BOOL

ALCAlias

Utiliser alias

Disponible uniquement si la propriété Couleur définie par CAL est active.
Actif : un alias est utilisé. Dans le Runtime, l'élément reçoit ses couleurs CAL d'un autre élément du modèle topologique, même s'il ne fait pas partie du modèle.

Plus de détails dans l'aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton .... pour ouvrir la boîte de dialogue et sélectionner un élément existant.

Plus de détails dans l'aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Alternative color (Couleur de remplacement).

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l'aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur two highest prior sources (Deux sources antérieures les plus élevées).

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l'aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l'aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant limitée fixe.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCVarCalcIEx

-

Ligne CAL : Valeur mesurée du flux de courant calculé pour l'exportation.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Variable pour la limite de la capacité de transport de courant

CDynEleVar

ALCVarMaxIEx

-

ZT_VARIABLE_DYN

BackColorVariable2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne


'Arc of circle' (tpArc)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Arc of circle' (tpArc)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaLineColor

Transparence du contour [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_I2

Lightning

Gradient de couleur

Disponible uniquement si la propriété Remplissage (type) a été définie sur Color gradient (Dégradé de couleurs).

Définit le dégradé de couleurs pour tous les éléments vectoriels.

Linéaire : dégradé continu
Defined point (Point défini) : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne.

ZT_COLOR

LineColorEx

Ligne (couleur)

Détermine la couleur de trait de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientAngle

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientOffset

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

LineColor

Ligne (couleur)

Couleur de ligne de l'élément.

Plus de détails dans l'aide en ligne

VT_UI2

LineWidth

Epaisseur de ligne [Pixels]

Épaisseur de la ligne (en pixels).
Minimum : 0
Dans ce cas, l'épaisseur de la ligne est de 1 pixel.
Maximum : 65535
Par défaut : 1
Attention : Dans les paramètres du projet dans le nœud Apparence graphique, si vous définissez la propriété Qualité graphique sur Windows basis (Configuration Windows), vous pouvez uniquement utiliser une épaisseur de ligne 1 avec une ligne de type Trait continu.

Plus de détails dans l'aide en ligne

VT_I2

Align

Alignement

Direction du dégradé de couleur.
– horizontal
– vertical

Plus de détails dans l'aide en ligne

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l'élément.

Plus de détails dans l'aide en ligne

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

Shifted

Gradient de couleur 'décalé'

La distance de décalage de l'effet de lumière par rapport au centre de l'élément

Plus de détails dans l'aide en ligne

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Actif : La couleur automatique de la source liée est utilisée.
Inactif : La couleur standard est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d'affichage lorsque l'élément est connecté à plusieurs sources :
La source la plus prioritaire : Seule la couleur de la source comportant la priorité la plus élevée est utilisée.
Les deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur alternative : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l'aide en ligne

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si la propriété Couleur définie par CAL a été activée.

Définition de l'affichage de l'alimentation sécurisée.

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l'aide en ligne

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l'affichage lorsque l'élément est connecté à plusieurs sources actives.
Alimentation multiple : L'élément est affiché selon les règles de l'alimentation multiple.
Alimentation sécurisée : L'élément est affiché selon les règles de l'alimentation sécurisée.
No priority (Pas de priorité) : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

LineCapStart

Type de démarrage

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de début de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineCapEnd

Type de terminaison

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de fin de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

VT_R4

LineCapScale

Dimension

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le facteur d'agrandissement de largeur de ligne de la flèche. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Epaisseur de ligne [Pixels].

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Valeur : supérieure ou égale à 1

Par défaut : 4

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineType

Type de la ligne

Sélection du type de ligne de l'élément dans la liste.
Attention : dans les paramètres du projet dans le nœud Apparence graphique, si vous désactivez la propriété Qualité graphique, vous pouvez uniquement utiliser une épaisseur de ligne >1 avec une ligne de type Trait continu.
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

FillPattern

Remplissage (type)

Sélection du motif de remplissage de l'élément dans la liste.

Cette propriété est uniquement disponible si la propriété Par les valeurs de luminosité est inactive.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l'élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Actif : La luminosité du dégradé de couleurs peut être librement définie.
Inactif : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Plus de détails dans l'aide en ligne

VT_BOOL

ALCAlias

Utiliser alias

Disponible uniquement si la propriété Couleur définie par CAL est active.
Actif : un alias est utilisé. Dans le Runtime, l'élément reçoit ses couleurs CAL d'un autre élément du modèle topologique, même s'il ne fait pas partie du modèle.

Plus de détails dans l'aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton .... pour ouvrir la boîte de dialogue et sélectionner un élément existant.

Plus de détails dans l'aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Alternative color (Couleur de remplacement).

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l'aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur two highest prior sources (Deux sources antérieures les plus élevées).

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l'aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l'aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant limitée fixe.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCVarCalcIEx

-

Ligne CAL : Valeur mesurée du flux de courant calculé pour l'exportation.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Variable pour la limite de la capacité de transport de courant

CDynEleVar

ALCVarMaxIEx

-

ZT_VARIABLE_DYN

BackColorVariable2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne


'Segment of circle' (tpSegme_Dxf)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Segment of circle' (tpSegme_Dxf)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaLineColor

Transparence du contour [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_I2

Lightning

Gradient de couleur

Disponible uniquement si la propriété Remplissage (type) a été définie sur Color gradient (Dégradé de couleurs).

Définit le dégradé de couleurs pour tous les éléments vectoriels.

Linéaire : dégradé continu
Defined point (Point défini) : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne.

ZT_COLOR

LineColorEx

Ligne (couleur)

Détermine la couleur de trait de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientAngle

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientOffset

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

LineColor

Ligne (couleur)

Couleur de ligne de l'élément.

Plus de détails dans l'aide en ligne

VT_UI2

LineWidth

Epaisseur de ligne [Pixels]

Épaisseur de la ligne (en pixels).
Minimum : 0
Dans ce cas, l'épaisseur de la ligne est de 1 pixel.
Maximum : 65535
Par défaut : 1
Attention : Dans les paramètres du projet dans le nœud Apparence graphique, si vous définissez la propriété Qualité graphique sur Windows basis (Configuration Windows), vous pouvez uniquement utiliser une épaisseur de ligne 1 avec une ligne de type Trait continu.

Plus de détails dans l'aide en ligne

VT_I2

Align

Alignement

Direction du dégradé de couleur.
– horizontal
– vertical

Plus de détails dans l'aide en ligne

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l'élément.

Plus de détails dans l'aide en ligne

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

Shifted

Gradient de couleur 'décalé'

La distance de décalage de l'effet de lumière par rapport au centre de l'élément

Plus de détails dans l'aide en ligne

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Actif : La couleur automatique de la source liée est utilisée.
Inactif : La couleur standard est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d'affichage lorsque l'élément est connecté à plusieurs sources :
La source la plus prioritaire : Seule la couleur de la source comportant la priorité la plus élevée est utilisée.
Les deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur alternative : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l'aide en ligne

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si la propriété Couleur définie par CAL a été activée.

Définition de l'affichage de l'alimentation sécurisée.

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l'aide en ligne

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l'affichage lorsque l'élément est connecté à plusieurs sources actives.
Alimentation multiple : L'élément est affiché selon les règles de l'alimentation multiple.
Alimentation sécurisée : L'élément est affiché selon les règles de l'alimentation sécurisée.
No priority (Pas de priorité) : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

LineCapStart

Type de démarrage

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de début de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineCapEnd

Type de terminaison

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de fin de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

VT_R4

LineCapScale

Dimension

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le facteur d'agrandissement de largeur de ligne de la flèche. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Epaisseur de ligne [Pixels].

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Valeur : supérieure ou égale à 1

Par défaut : 4

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineType

Type de la ligne

Sélection du type de ligne de l'élément dans la liste.
Attention : dans les paramètres du projet dans le nœud Apparence graphique, si vous désactivez la propriété Qualité graphique, vous pouvez uniquement utiliser une épaisseur de ligne >1 avec une ligne de type Trait continu.
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

FillPattern

Remplissage (type)

Sélection du motif de remplissage de l'élément dans la liste.

Cette propriété est uniquement disponible si la propriété Par les valeurs de luminosité est inactive.

Plus de détails dans l'aide en ligne

VT_R8

SegEndAngle

Angle de fin [degrés]

Fin de l'angle d'ouverture. L'angle d'ouverture du quartier de cercle est affiché entre l'angle de début et l'angle de fin.

Plus de détails dans l'aide en ligne

VT_I2

SegEndX

Point final X [pixels]

VT_I2

SegEndY

Point final Y [pixels]

VT_R8

SegStartAngle

Angle de début [degrés]

Début de l'angle d'ouverture. L'angle d'ouverture du quartier de cercle est affiché entre l'angle de début et l'angle de fin.

Plus de détails dans l'aide en ligne

VT_I2

SegStartX

Point de départ X [pixels]

VT_I2

SegStartY

Point de départ Y [pixels]

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l'élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Actif : La luminosité du dégradé de couleurs peut être librement définie.
Inactif : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Plus de détails dans l'aide en ligne

VT_BOOL

ALCAlias

Utiliser alias

Disponible uniquement si la propriété Couleur définie par CAL est active.
Actif : un alias est utilisé. Dans le Runtime, l'élément reçoit ses couleurs CAL d'un autre élément du modèle topologique, même s'il ne fait pas partie du modèle.

Plus de détails dans l'aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton .... pour ouvrir la boîte de dialogue et sélectionner un élément existant.

Plus de détails dans l'aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Alternative color (Couleur de remplacement).

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l'aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur two highest prior sources (Deux sources antérieures les plus élevées).

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l'aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l'aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant limitée fixe.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCVarCalcIEx

-

Ligne CAL : Valeur mesurée du flux de courant calculé pour l'exportation.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Variable pour la limite de la capacité de transport de courant

CDynEleVar

ALCVarMaxIEx

-

ZT_VARIABLE_DYN

BackColorVariable2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R4

EndOffset

Angle de fin du segment [pixel]

Épaisseur en pixels du quartier à l'angle de fin, entre le bord extérieur de l'ellipse et le point central. Disponible uniquement si la propriété Epaisseur de segment ajustable a été activée et la propriété Epaisseur de fin égal épaisseur de début a été désactivée.

Minimum : 0 pixel

Maximum : Une valeur inférieure à moins de la hauteur ou moins de la moitié de l'élément.

Par défaut : 12:00 AM

Plus de détails dans l'aide en ligne.

VT_BOOL

OffsetAdjustable

Epaisseur de segment ajustable

Épaisseur du quartier pour un quartier de cercle Indisponible pour Qualité graphique Windows de base, pour Projet WindowsCE actif ou pour Gradient de couleur Par les valeurs de luminosité.

Actif : L'épaisseur d'un quartier de cercle peut être configurée individuellement.

Plus de détails dans l'aide en ligne.

VT_BOOL

OffsetEndEqualsStart

Epaisseur de fin égal épaisseur de début

Actif : Définissez l'épaisseur du quartier pour l'angle de fin sur une valeur identique à celle de l'angle de début. La propriété Angle de fin du segment [pixel] est désactivée. Cela signifie que l'ensemble de l'élément est affiché avec une épaisseur de quartier homogène. Disponible uniquement si la propriété Epaisseur de segment ajustable a été activée.

Plus de détails dans l'aide en ligne.

VT_R4

StartOffset

Angle de départ du segment [pixel]

Épaisseur en pixels du quartier à l'angle de fin, entre le bord extérieur de l'ellipse et le point central. Disponible uniquement si la propriété Epaisseur de segment ajustable est active.

Minimum : 0 pixel

Maximum : Une valeur inférieure à moins de la hauteur ou moins de la moitié de l'élément.

Par défaut : 12:00 AM

Plus de détails dans l'aide en ligne.


'Picture alarm' (tpDynBaButton)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Picture alarm' (tpDynBaButton)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBorderColor

Transparence du cadre [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Disponible uniquement si la propriété Qualité graphique est active.

Définit l'opacité de la couleur via une valeur comprise entre 0 et 100.

0 : invisible

100 : opaque.

Toutes les valeurs comprises entre ces valeurs définissent un niveau de transparence variable selon le réglage.

Par défaut : 0

Plus de détails dans l'aide en ligne

ZT_COLOR

BorderColor

Couleur cadre

Détermine la couleur du cadre de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton .... Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

ZT_FILE

FileNameDown

Fichier graphique bouton enfoncé

Fichier graphique devant être affiché sur le bouton lorsque le bouton est actionné (*.bmp, *.wmf, *.jpg, *.gif). Cliquez sur le bouton .... La boîte de dialogue de sélection de fichiers s'ouvre.
Attention : les synoptiques doivent être disponibles dans le nœud Fichiers/Éléments graphiques du gestionnaire de projet.

Plus de détails dans l'aide en ligne

VT_I4

CornerAll_X

Tous les x [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de rayon de l'axe X (en pourcentage) pour tous les coins. Cette valeur est utilisée pour tous les coins dont les valeurs sont égales à -1. Les coins individuels peuvent ainsi être définir de manière indépendante.

Si la valeur du rayon est modifiée, tous les coins reçoivent automatiquement la valeur -1. Dans ce cas, tous les coins reprennent leur valeur prédéfinie.

Plage de valeurs : 0 % à 100 %.

Par défaut : 20

Plus de détails dans l'aide en ligne.

VT_I4

CornerAll_Y

Tous les y [%]

Disponible uniquement si la propriété Proportionnel est active et la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de rayon de l'axe Y (en pourcentage) pour tous les coins. Cette valeur est utilisée pour tous les coins dont les valeurs sont égales à -1. Les coins individuels peuvent ainsi être définir de manière indépendante.

Si la valeur du rayon est modifiée, tous les coins reçoivent automatiquement la valeur -1. Dans ce cas, tous les coins reprennent leur valeur prédéfinie.

Plage de valeurs : 0 % à 100 %.

Par défaut : 20

Plus de détails dans l'aide en ligne.

VT_I4

CornerLeftBottom_X

x bas/gauche [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe X pour le coin inférieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerLeftBottom_Y

y bas/gauche [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin inférieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerLeftTop_X

x haut/gauche [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe X pour le coin supérieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerLeftTop_Y

y haut/gauche [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin supérieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_BOOL

CornerProportional

Proportionnel

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Actif : Lors de la création d'un coin arrondi, seule la valeur X peut être saisie. La valeur Y est toujours la même.

Le pourcentage défini pour la propriété Tous les x [%] désigne le côté le plus court (largeur ou hauteur) de l'élément.

Inactif : Les valeurs X et Y peuvent être librement définies. La valeur X fait référence à la largeur de l'élément. La valeur Y fait référence à la hauteur de l'élément.

Par défaut : active

Plus de détails dans l'aide en ligne.

VT_I4

CornerRightBottom_X

x bas/droit [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de rayon de l'axe X pour le coin inférieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerRightBottom_Y

y bas/droit [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin inférieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerRightTop_X

x haut/droit [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe X pour le coin supérieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerRightTop_Y

y haut/droit [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin supérieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientAngle

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientOffset

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_COLOR

TextColor

Texte (couleur)

Couleur du texte de l'élément.

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BOOL

Transparent

Transparent

Actif : Désactive la couleur d'arrière-plan de l'élément.

L'effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l'aide en ligne

VT_BSTR

Text1

Texte ligne 1

Première ligne de texte dans un bouton.
En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez &&.

La chaîne de caractères \n permet d'insérer un saut de ligne.

Attention : Pour utiliser \n, la propriété Texte ligne 2 doit être vide.

Plus de détails dans l'aide en ligne

VT_BSTR

Text2

Texte ligne 2

Deuxième ligne de texte dans un bouton.
En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez &&.

Remarque : cette propriété est utilisée à des fins de compatibilité avec les versions antérieures. Dans les versions actuelles : Utilisez la propriété Texte ligne 1 et commencez les nouvelles lignes par \n.

Attention : cette ligne doit rester vide si le saut de ligne automatique doit être utilisé.

Plus de détails dans l'aide en ligne

VT_BOOL

Wordbreak

Retour à la ligne automatique

Actif : Le retour automatique à la ligne est utilisé pour le texte dans l'élément.
La longueur des lignes dépend de la largeur de l'élément.
Inactif : Le texte est affiché sur une ligne.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

DownText

Texte bouton appuyé

Intitulé affiché sur le bouton lorsque l'utilisateur clique dessus.

La chaîne de caractères \n commence une nouvelle ligne.

Plus de détails dans l'aide en ligne

VT_UI2

BtnStyleBorder

Forme du bouton

Forme du bouton :
anguleux : le bouton comporte des coins pointus. Les propriétés du groupe Coins arrondis vous permettent de transformer les coins pointus en coins arrondis.
Rond : le bouton est arrondi.

Plus de détails dans l'aide en ligne.

VT_BOOL

BtnStyleInvert

Inverser le gradient de couleur

Disponible uniquement si le remplissage du bouton n'est pas effectué avec une couleur.
Actif : Le dégradé de luminosité est inversé.
Inactif : Le dégradé de luminosité n'est pas inversé.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI2

BtnStyleFill

Remplissage

Remplissage du bouton :
Monochrome : pas de dégradé
Linéaire : dégradé continu
Lumineux : du bas jusqu'à la moitié, couleur de remplissage 1 ; puis, dégradé du milieu jusqu'au sommet de l'élément.
Point défini : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowState

Visualiser l'état de la variable

Actif : l'état des variables est indiqué par un carré de couleur au niveau de l'élément.

Couleur :
Un carré rouge indique un problème de communication avec l'automate.
Un carré bleu au niveau du client indique que la connexion entre le client et le serveur a été interrompue.
Un carré bleu au niveau de la station indique que la valeur n'a pas été initialisée.

Position du carré au niveau de l'élément selon la forme de l'élément :

Rond : bord supérieur, au milieu
Arrondi : coin supérieur droit, légèrement décalé vers la gauche
Rectangulaire et tous autres paramètres : coin supérieur droit

Inactif : L'état n'est pas affiché.

Plus de détails dans l'aide en ligne

VT_I2

HorizontalAlign

Alignement horizontal

Alignement horizontal de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- aligné à gauche
- aligné à droite

Par défaut : centré

Plus de détails dans l'aide en ligne

VT_I2

VerticalAlign

Alignement vertical

Alignement vertical de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- au-dessus
- au-dessous

Par défaut : centré

Plus de détails dans l'aide en ligne

VT_UI2

Frame

Cadre élément

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Cadre fin

3D

Par défaut : Cadre fin

Plus de détails dans l'aide en ligne

VT_UI2

GraphicSize

Taille du graphique

Définition de la taille du fichier graphique.

  • Étiré : La taille du fichier est ajustée à la taille de l'élément.
  • Taille originale : L'élément graphique lié est affiché à sa taille originale.
    Lors de la sélection de cette option, les propriétés Largeur [pixels] et Hauteur [pixels] ne peuvent plus être configurées individuellement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur.

Par défaut : Étiré

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

BAGlobal

Global

Les alarmes sont prises en compte au niveau du système.
Utilisation principale : somme des alarmes de la liste d'alarmes globale.
Actif : les alarmes sont prises en compte indépendamment du synoptique lié.
La fonction liée sera uniquement utilisée lors de l'appel de synoptique.

Inactif : seules les alarmes du synoptique lié sont prises en compte.

VT_UI2

BAProjekt

Projet

Sélection d'un projet unique ou de tous les projets.

Disponible uniquement si l'option Global est active.

Utilisé pour les projets à hiérarchies multiples.

VT_BOOL

BAPriorit?t

Priorité

Priorité de la classe d'alarmes/d'événements.
Actif : même si plusieurs classes d'alarmes/d'événements ont été sélectionnées, une seule sera affichée.
Règles de priorité :

  1. moins le numéro de classe est élevé, plus la priorité est élevée.
  2. Une alarme non acquittée est prioritaire sur une alarme acquittée.

Inactive : toutes les classes sélectionnées seront affichées (côte à côte).

VT_BOOL

BAUnsichtbar

Invisible

L'élément ne sera pas affiché durant le Runtime

Actif : L'élément sera masqué dans le Runtime.
Cette option est appliquée si l'élément actionne simplement une variable de synoptique, mais n'est pas destiné à être affiché seul.

Inactif : l'élément sera affiché sous forme de bouton.

ZT_ALARMKLASSE

BAKlassen

Classes d'alarmes/d'événements

Sélection des groupes d'alarmes/d'événements devant être affichés.

Ouvre le catalogue de sélection de classes.

VT_UI2

Offset

Première classe d'alarmes/d'événements à afficher

À partir ce cette classe, les états des classes seront écrits dans la variable d'image.

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_BOOL

AbbModus

Image des classes d'alarmes/d'événements sélectionnées

Définit de quelle manière les états de classes seront écrits dans la variable d'image.

Actif : Les états des classes d'alarmes/d'événements seront écrits dans la variable d'image, sans espace.
Par exemple : classes sélectionnées 1,3 -> classe 1 : bits 0,1 ; classe 3 : bits 2,3

Inactif : Les états des classes d'alarmes/d'événements sélectionnées seront écrits dans la variable d'image, à des positions fixes.
Par exemple : classes sélectionnées 1,3 -> classe 1 : bits 0,1 ; 0 (classe 2 : bits 2,3) ; classe 3 : bits 4,5

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

ZT_FUNCTION_DYN

Function

Fonction

Nom de la fonction liée.
Ouvre la boîte de dialogue de sélection.
Cette fonction est exécutée si l'utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

<CD_SIEMENS_PRODUCTNAME et élément synoptique d'alarmes uniquement :

outre la propriété standard Appel de synoptique, le synoptique dont les états d'alarmes doivent être affichés seront déterminés par la fonction liée.
Obligatoire (sauf si le paramètre Global est actif)

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

ZT_SHORTCUT

ShortCut

Raccourci clavier

Les raccourcis autorisent l'exécution d'éléments actionnables. Par exemple :

- Exécution d'éléments de contrôle et de fonctions attribuées à un élément
- Écriture de valeur prescrite (dans le cas d'un interrupteur, par exemple)
- Définition du focus de certaines fenêtres (telles que les courbes dans le module Tendance étendue ou les listes déroulantes dans le Gestionnaire de groupes de recettes)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l'aide en ligne

ZT_FILE

FileName

Fichier graphique

Fichier graphique affiché sur le bouton lorsque ce dernier n'est pas actionné (*.bmp, *.wmf, *.jpg, *.gif, *.png). Cliquez sur le bouton .... La boîte de dialogue de sélection de fichiers s'ouvre.
Attention : Les fichiers graphiques doivent déjà être disponibles dans le nœud Fichiers/Éléments graphiques dans le Gestionnaire de projets :

Plus de détails dans l'aide en ligne

VT_BOOL

Animate

Toujours

Actif : L'animation s'exécute toujours.
Inactif : L'animation ne s'exécute pas. Vous pouvez activer ou désactiver l'animation via un lien facultatif vers Variable.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

AnimateVar

Variable

Variable de bit permettant d'activer ou de désactiver l'animation.

Plus de détails dans l'aide en ligne

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


'Bargraph' (tpDynBargraph)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Bargraph' (tpDynBargraph)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

TextColor

Couleur barre

Couleur de la barre du diagramme à barres. La couleur définie est utilisée si aucun dépassement de valeur limite n'est enregistré.

Plus de détails dans l'aide en ligne

VT_BOOL

Transparent

Transparent

Actif : Désactive la couleur d'arrière-plan de l'élément.

L'effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowState

Visualiser l'état de la variable

Actif : l'état des variables est indiqué par un carré de couleur au niveau de l'élément.

Couleur :
Un carré rouge indique un problème de communication avec l'automate.
Un carré bleu au niveau du client indique que la connexion entre le client et le serveur a été interrompue.
Un carré bleu au niveau de la station indique que la valeur n'a pas été initialisée.

Position du carré au niveau de l'élément selon la forme de l'élément :

Rond : bord supérieur, au milieu
Arrondi : coin supérieur droit, légèrement décalé vers la gauche
Rectangulaire et tous autres paramètres : coin supérieur droit

Inactif : L'état n'est pas affiché.

Plus de détails dans l'aide en ligne

VT_UI2

Frame

Cadre élément

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Cadre fin

3D

Par défaut : Cadre fin

Plus de détails dans l'aide en ligne

VT_BOOL

Explicit

Explicite

Cette propriété affecte uniquement l'affichage de valeurs comportant des limites définies issues des variables. Les limites des matrices de réaction ne sont pas prises en compte.

Actif : si une limite de la variable liée est dépassée, seule la partie de l'affichage correspondant au dépassement de limite est affichée dans la couleur de la limite correspondante.
Si la variable comporte plusieurs limites définies, les zones correspondantes de l'affichage sont toujours affichées dans la couleur de la limite correspondante.

Inactif : Si une limite de la variable liée est dépassée, l'affichage entier reprend les couleurs de la limite dépassée.

Par défaut : Inactif

Remarque : disponible uniquement pour l'élément Instrument à aiguille si l'affichage est activé sous la forme Bande ou Arc de cercle .

Plus de détails dans l'aide en ligne

VT_BOOL

ShowScale

Visualiser echelle

Actif : Une échelle est affichée sur l'élément.
Inactif : Aucune échelle n'est affichée.

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

VT_UI2

Direction

Sens de déplacement

Direction de la barre.
Haut : Valeur la plus basse en bas, valeur la plus élevée en haut.
Bas : Valeur la plus basse en haut, valeur la plus élevée en bas.
Gauche : Valeur la plus basse à droite, valeur la plus élevée à gauche.
Droite : Valeur la plus basse à gauche, valeur la plus élevée à droite.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

IsSetValue

Forçage valeurs actif

Actif : La configuration des variables pour cet élément dynamique est autorisée.
Inactif : La variable est protégée en écriture dans cet élément.

Plus de détails dans l'aide en ligne

VT_R8

SetValue

Valeur prescrite

Valeur devant être définie ou proposée en tant que valeur par défaut.
Si le paramètre Proposer la valeur actuelle est actif : Valeur ajoutée à la valeur numérique.
Associée à la propriété « Sans boîte de dialogue », l'augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_R8

Min

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite inférieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l'aide en ligne

VT_R8

Max

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite supérieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l'aide en ligne

VT_BOOL

HWDirect

Sans dialogue

Actif : La valeur est transmise au matériel sans qu'il soit possible de la modifier dans Runtime.
Inactif : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l'aide en ligne

VT_BOOL

Preset

Proposer la valeur courante

Actif : La valeur réelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous « Valeur prescrite / Modification de valeur » avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactif : La valeur définie dans la propriété « Valeur prescrite / Modification de valeur » est proposée.

Plus de détails dans l'aide en ligne

VT_BOOL

LimitFromVar

Plages de la variable

Actif : La limitation de la plage pour laquelle lest valeurs prescrites peuvent être écrites n'est pas définie par l'intermédiaire des paramètres « Min » et « Max », mais est directement issue des définitions de variables (bouton « Étendue »).
Inactif : La plage peut être directement limitée par les paramètres « Minimum » et « Maximum ».

Plus de détails dans l'aide en ligne

VT_UI1

SetValueWith

Spécifier valeur prescrite par

Envoyer valeur avec:
Envoi de commande : la nouvelle valeur est définie à l'aide du paramètre Saisie valeur prescrite dans la section Commandes.

boîte de dialogue : la nouvelle valeur est saisie à l'aide d'une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boite de dialogue standard.

Élément : La valeur est saisie directement dans l'élément graphique (uniquement pour les éléments Valeur numérique et Texte dynamique).

Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l'aide en ligne

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Saisie valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle qu'elle est définie dans les propriétés correspondantes
3) Coordonnée gauche de l'élément, en pixels
4) Coordonnée supérieure de l'élément, en pixels
5) Coordonnée droite de l'élément, en pixels
6) Coordonnée inférieure de l'élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

VT_BOOL

FromZero

Autour de zéro

Affecte uniquement l'affichage des valeurs signées :
Actif : La barre s'étend de 0 jusqu'à la valeur actuelle de la variable liée.
Inactif : La barre s'étend de la valeur la plus basse affichée jusqu'à la valeur actuelle de la variable liée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_R8

ViewMin

Minimum

Valeur la plus basse de la variable devant être affichée dans l'élément.

Plus de détails dans l'aide en ligne

VT_R8

ViewMax

Maximum

Valeur la plus élevée de la variable devant être affichée dans l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Absolute

Montant absolu

Pour l'élément Valeur numérique, disponible uniquement si la propriété Visualiser valeur en pourcentage est inactive.

Actif : Affichage non signé de la valeur de variable (-200 = 200).
Inactif : Affichage normal de la valeur.
Par défaut : inactive.

Remarque : Dans ce cas, la valeur prescrite est saisie en pourcentage.

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

CDynEleVar

DynEleVar

-

Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de largeur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_BOOL

ViewLimitFromVar

Appliquer la plage de visualisation à partir de la variable

Reprend la zone d'affichage de la variable liée. Vous pouvez actualiser cet affichage durant le remplacement par une variable comportant une plage de valeurs différente.

Plus de détails dans l'aide en ligne.

VT_BOOL

KbdUsage

Utiliser le synoptique clavier

Lors de la sélection de l'élément dans le Runtime, le clavier est affiché.
Lors de la sélection d'un champ de saisie libre dans le Runtime, le synoptique de clavier DIALOGKBD est appelé, s'il est disponible.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_PICTURE

KbdName

Synoptique clavier

Nom du synoptique de type Clavier lié.
Disponible uniquement si un synoptique de type Clavier est utilisé :

Si aucun synoptique de type Clavier n'est sélectionné ici, le synoptique SETSTRINGKBD est ouvert pour les variables de type chaîne, le synoptique SETVALUEKBD est ouvert pour les valeurs numériques (variables sans bit) et le synoptique SETBOOLKBD est ouvert pour les variables de type bit.

Plus de détails dans l'aide en ligne

VT_BOOL

LimitColor

Utiliser la couleur de la limite

Vous pouvez spécifier si la couleur de limite définie au niveau de la variable liée à l'élément doit être affichée dans le Runtime. En fonction de l'élément, la couleur affecte le texte affiché ou, dans le cas d'une réglette universelle, l'indicateur.

Actif : La couleur de limite définie est affichée dans le Runtime.

Par défaut : active (afin de garantir la compatibilité)

Plus de détails dans l'aide en ligne

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

DynMinVar

Minimum

Variable définissant la valeur minimum de la plage d'affichage dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

DynMaxVar

Maximum

Variable définissant la valeur maximum de la plage d'affichage dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


'Command' (tpDynBefMdi)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Command' (tpDynBefMdi)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

CDrawBefCommand

Action

Action

Propriétés des actions de commande

Plus de détails dans l'aide en ligne

VT_BOOL

AlwaysSelectable

Toujours sélectionnable

Actif : sélection de commande directement via un clic sur le bouton gauche de la souris.

Inactif : la sélection de commandes est uniquement possible après sélection de la fonction correspondante (Fonctions -> Application -> Activation des commandes).
Lorsque les commandes sont activées dans le Runtime, une bordure est affichée autour de tous les éléments configurés de cette manière.

Crée une nouvelle action de commande via un clic sur le bouton droit de la souris -> Nouvelle action.

Attention : disponible uniquement dans le volet gauche de la boîte de dialogue.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


CDrawBefCommand-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> CDrawBefCommand-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | Passwordlevel | Groupe autorisation | Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné. Minimum : 0. Maximum : 127. Par défaut : 0. Plus de détails dans l'aide en ligne
CD_CBildumschaltung | PictSwitch | - |
CD_CHtmlFilter CD_CKeyboardFilter CListenFilter CVideoFilter CDWeltZoomPara CD_CArchEditFilter CDiagram CVarStatusFilter CD_CAmlCelFilter CRezepturFilter CFPMFilter CD_CTabellenFilter | PictFilter | - |
VT_UI2 | Mode | Mode | Utilisée pour sélectionner la fin souhaitée Entrée : L'élément de commande sera utilisé pour la saisie de commandes. Appel de fonction : L'élément de commande sera utilisé pour l'exécution de fonctions. Cette option est uniquement fournie pour des raisons de compatibilité avec des versions antérieures, et ne doit plus être utilisée.
ZT_FUNCTION | Function | Fonction | Spécifie la fonction devant être exécutée pour le mode : Fonction . Plus utilisé. Conservée uniquement pour raisons de compatibilité avec les versions précédentes.
VT_I2 | ActivationGroup | Groupe d'activation | Spécifies le groupe d'activation. Uniquement nécessaire en association avec la fonction de présélection.


'Move' (tpDynBewegt)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Move' (tpDynBewegt)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BOOL

IsXActive

Modification direction X active

Actif : Le déplacement horizontal de l'élément lié est disponible.
Inactif : Le déplacement horizontal n'est pas disponible.

Plus de détails dans l'aide en ligne

VT_BOOL

IsYActive

Modification direction Y active

Actif : Le déplacement vertical de l'élément lié est disponible.
Inactif : Le déplacement vertical n'est pas disponible.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

VT_BOOL

IsXZoomActive

Modification largeur active

Actif : La fonction de zoom à la largeur de l'élément lié est disponible.
Inactif : La fonction de zoom à la largeur de l'élément n'est pas disponible.

Plus de détails dans l'aide en ligne

VT_BOOL

IsYZoomActive

Modification hauteur active

Activer la fonction de zoom à la hauteur de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_UI2

Symbol

Symbole

Un symbole peut être sélectionné dans la liste de symboles affichée à l'écran.

Plus de détails dans l'aide en ligne

CDynEleVar

DynEleVarX

-

Cette propriété obtient/définit le paramètre Traiter chaque modif. de valeur comme un nouveau dépassement de limite d'un état.

CDynEleVar

DynEleVarY

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

DynEleVarXZoom

-

CDynEleVar

DynEleVarYZoom

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


'Binary' (tpDynBinaer)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Binary' (tpDynBinaer)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

ShowState

Visualiser l'état de la variable

Actif : l'état des variables est indiqué par un carré de couleur au niveau de l'élément.

Couleur :
Un carré rouge indique un problème de communication avec l'automate.
Un carré bleu au niveau du client indique que la connexion entre le client et le serveur a été interrompue.
Un carré bleu au niveau de la station indique que la valeur n'a pas été initialisée.

Position du carré au niveau de l'élément selon la forme de l'élément :

Rond : bord supérieur, au milieu
Arrondi : coin supérieur droit, légèrement décalé vers la gauche
Rectangulaire et tous autres paramètres : coin supérieur droit

Inactif : L'état n'est pas affiché.

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

IsSetValue

Forçage valeurs actif

Actif : La configuration des variables pour cet élément dynamique est autorisée.
Inactif : La variable est protégée en écriture dans cet élément.

Plus de détails dans l'aide en ligne

VT_R8

SetValue

Valeur prescrite

Valeur devant être définie ou proposée en tant que valeur par défaut.
Si le paramètre Proposer la valeur actuelle est actif : Valeur ajoutée à la valeur numérique.
Associée à la propriété « Sans boîte de dialogue », l'augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_R8

Min

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite inférieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l'aide en ligne

VT_R8

Max

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite supérieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l'aide en ligne

VT_BOOL

HWDirect

Sans dialogue

Actif : La valeur est transmise au matériel sans qu'il soit possible de la modifier dans Runtime.
Inactif : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l'aide en ligne

VT_BOOL

Preset

Proposer la valeur courante

Actif : La valeur réelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous « Valeur prescrite / Modification de valeur » avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactif : La valeur définie dans la propriété « Valeur prescrite / Modification de valeur » est proposée.

Plus de détails dans l'aide en ligne

VT_BOOL

LimitFromVar

Plages de la variable

Actif : La limitation de la plage pour laquelle lest valeurs prescrites peuvent être écrites n'est pas définie par l'intermédiaire des paramètres « Min » et « Max », mais est directement issue des définitions de variables (bouton « Étendue »).
Inactif : La plage peut être directement limitée par les paramètres « Minimum » et « Maximum ».

Plus de détails dans l'aide en ligne

VT_UI1

SetValueWith

Spécifier valeur prescrite par

Envoyer valeur avec:
Envoi de commande : la nouvelle valeur est définie à l'aide du paramètre Saisie valeur prescrite dans la section Commandes.

boîte de dialogue : la nouvelle valeur est saisie à l'aide d'une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boite de dialogue standard.

Élément : La valeur est saisie directement dans l'élément graphique (uniquement pour les éléments Valeur numérique et Texte dynamique).

Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l'aide en ligne

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Saisie valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle qu'elle est définie dans les propriétés correspondantes
3) Coordonnée gauche de l'élément, en pixels
4) Coordonnée supérieure de l'élément, en pixels
5) Coordonnée droite de l'élément, en pixels
6) Coordonnée inférieure de l'élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes

Plus de détails dans l'aide en ligne

VT_BOOL

ContitionText

Affichage texte de limite

Actif : La valeur d'état/valeur limite de la variable attribuée est affichée dans l'élément.
Inactif : Aucun texte n'est affiché.

Plus de détails dans l'aide en ligne

VT_BOOL

FillArea

Colorer uniquement zone de remplissage

Actif : dans les cercles, polygones et rectangles attribués à ce symbole lié, seule la couleur de remplissage change en fonction de la définition de couleur des variables. La couleur du cadre est conservée.
Inactif : La couleur du cadre est modifiée en conséquence.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

VT_UI2

Symbol

Symbole

Un symbole peut être sélectionné dans la liste de symboles affichée à l'écran.

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

CDynEleVar

DynEleVar

-

Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de largeur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_BOOL

KbdUsage

Utiliser le synoptique clavier

Lors de la sélection de l'élément dans le Runtime, le clavier est affiché.
Lors de la sélection d'un champ de saisie libre dans le Runtime, le synoptique de clavier DIALOGKBD est appelé, s'il est disponible.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_PICTURE

KbdName

Synoptique clavier

Nom du synoptique de type Clavier lié.
Disponible uniquement si un synoptique de type Clavier est utilisé :

Si aucun synoptique de type Clavier n'est sélectionné ici, le synoptique SETSTRINGKBD est ouvert pour les variables de type chaîne, le synoptique SETVALUEKBD est ouvert pour les valeurs numériques (variables sans bit) et le synoptique SETBOOLKBD est ouvert pour les variables de type bit.

Plus de détails dans l'aide en ligne

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


'Bitmap button' (tpDynBitmap)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Bitmap button' (tpDynBitmap)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

ThreeDimensional

3D

Actif : L'élément est affiché en trois dimensions.
Inactif : L'élément est affiché en deux dimensions.

Plus de détails dans l'aide en ligne

VT_I2

GraphicSize

Taille du graphique

Définition de la taille du fichier graphique.

  • Étiré : La taille du fichier est ajustée à la taille de l'élément.
  • Taille originale : L'élément graphique lié est affiché à sa taille originale.
    Lors de la sélection de cette option, les propriétés Largeur [pixels] et Hauteur [pixels] ne peuvent plus être configurées individuellement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur.

Par défaut : Étiré

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

ZT_FUNCTION_DYN

Function

Fonction

Nom de la fonction liée.
Ouvre la boîte de dialogue de sélection.
Cette fonction est exécutée si l'utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

<CD_SIEMENS_PRODUCTNAME et élément synoptique d'alarmes uniquement :

outre la propriété standard Appel de synoptique, le synoptique dont les états d'alarmes doivent être affichés seront déterminés par la fonction liée.
Obligatoire (sauf si le paramètre Global est actif)

Plus de détails dans l'aide en ligne

ZT_SHORTCUT

ShortCut

Raccourci clavier

Les raccourcis autorisent l'exécution d'éléments actionnables. Par exemple :

- Exécution d'éléments de contrôle et de fonctions attribuées à un élément
- Écriture de valeur prescrite (dans le cas d'un interrupteur, par exemple)
- Définition du focus de certaines fenêtres (telles que les courbes dans le module Tendance étendue ou les listes déroulantes dans le Gestionnaire de groupes de recettes)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l'aide en ligne

ZT_FILE

FileName

Fichier graphique

Fichier graphique affiché sur le bouton lorsque ce dernier n'est pas actionné (*.bmp, *.wmf, *.jpg, *.gif, *.png). Cliquez sur le bouton .... La boîte de dialogue de sélection de fichiers s'ouvre.
Attention : Les fichiers graphiques doivent déjà être disponibles dans le nœud Fichiers/Éléments graphiques dans le Gestionnaire de projets :

Plus de détails dans l'aide en ligne

ZT_MDIFUNKTION

MDIFunction

Fonction spécifique au synoptique

Uniquement disponible sur les synoptiques de type spécial (synoptiques de type autre que Standard) :
Nom de la fonction spécifique au type de synoptique lié
Ouvre la boîte de dialogue permettant de sélectionner les fonctions spécifiques au type de synoptique.
Au lieu d'une fonction générale, vous pouvez lier une fonction configurée spécialement pour le type de synoptique. Cette fonction est exécutée si l'utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.

Plus de détails dans l'aide en ligne

VT_BOOL

Animate

Toujours

Actif : L'animation s'exécute toujours.
Inactif : L'animation ne s'exécute pas. Vous pouvez activer ou désactiver l'animation via un lien facultatif vers Variable.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

AnimateVar

Variable

Variable de bit permettant d'activer ou de désactiver l'animation.

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


'Text button' (tpDynButton)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Text button' (tpDynButton)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBorderColor

Transparence du cadre [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Disponible uniquement si la propriété Qualité graphique est active.

Définit l'opacité de la couleur via une valeur comprise entre 0 et 100.

0 : invisible

100 : opaque.

Toutes les valeurs comprises entre ces valeurs définissent un niveau de transparence variable selon le réglage.

Par défaut : 0

Plus de détails dans l'aide en ligne

ZT_COLOR

BorderColor

Couleur cadre

Détermine la couleur du cadre de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton .... Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

ZT_FILE

FileNameDown

Fichier graphique bouton enfoncé

Fichier graphique devant être affiché sur le bouton lorsque le bouton est actionné (*.bmp, *.wmf, *.jpg, *.gif). Cliquez sur le bouton .... La boîte de dialogue de sélection de fichiers s'ouvre.
Attention : les synoptiques doivent être disponibles dans le nœud Fichiers/Éléments graphiques du gestionnaire de projet.

Plus de détails dans l'aide en ligne

VT_I4

CornerAll_X

Tous les x [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de rayon de l'axe X (en pourcentage) pour tous les coins. Cette valeur est utilisée pour tous les coins dont les valeurs sont égales à -1. Les coins individuels peuvent ainsi être définir de manière indépendante.

Si la valeur du rayon est modifiée, tous les coins reçoivent automatiquement la valeur -1. Dans ce cas, tous les coins reprennent leur valeur prédéfinie.

Plage de valeurs : 0 % à 100 %.

Par défaut : 20

Plus de détails dans l'aide en ligne.

VT_I4

CornerAll_Y

Tous les y [%]

Disponible uniquement si la propriété Proportionnel est active et la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de rayon de l'axe Y (en pourcentage) pour tous les coins. Cette valeur est utilisée pour tous les coins dont les valeurs sont égales à -1. Les coins individuels peuvent ainsi être définir de manière indépendante.

Si la valeur du rayon est modifiée, tous les coins reçoivent automatiquement la valeur -1. Dans ce cas, tous les coins reprennent leur valeur prédéfinie.

Plage de valeurs : 0 % à 100 %.

Par défaut : 20

Plus de détails dans l'aide en ligne.

VT_I4

CornerLeftBottom_X

x bas/gauche [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe X pour le coin inférieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerLeftBottom_Y

y bas/gauche [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin inférieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerLeftTop_X

x haut/gauche [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe X pour le coin supérieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerLeftTop_Y

y haut/gauche [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin supérieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_BOOL

CornerProportional

Proportionnel

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Actif : Lors de la création d'un coin arrondi, seule la valeur X peut être saisie. La valeur Y est toujours la même.

Le pourcentage défini pour la propriété Tous les x [%] désigne le côté le plus court (largeur ou hauteur) de l'élément.

Inactif : Les valeurs X et Y peuvent être librement définies. La valeur X fait référence à la largeur de l'élément. La valeur Y fait référence à la hauteur de l'élément.

Par défaut : active

Plus de détails dans l'aide en ligne.

VT_I4

CornerRightBottom_X

x bas/droit [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de rayon de l'axe X pour le coin inférieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerRightBottom_Y

y bas/droit [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin inférieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerRightTop_X

x haut/droit [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe X pour le coin supérieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerRightTop_Y

y haut/droit [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin supérieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientAngle

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientOffset

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_COLOR

TextColor

Texte (couleur)

Couleur du texte de l'élément.

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BOOL

Transparent

Transparent

Actif : Désactive la couleur d'arrière-plan de l'élément.

L'effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l'aide en ligne

VT_BSTR

Text1

Texte ligne 1

Première ligne de texte dans un bouton.
En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez &&.

La chaîne de caractères \n permet d'insérer un saut de ligne.

Attention : Pour utiliser \n, la propriété Texte ligne 2 doit être vide.

Plus de détails dans l'aide en ligne

VT_BSTR

Text2

Texte ligne 2

Deuxième ligne de texte dans un bouton.
En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez &&.

Remarque : cette propriété est utilisée à des fins de compatibilité avec les versions antérieures. Dans les versions actuelles : Utilisez la propriété Texte ligne 1 et commencez les nouvelles lignes par \n.

Attention : cette ligne doit rester vide si le saut de ligne automatique doit être utilisé.

Plus de détails dans l'aide en ligne

VT_BOOL

Wordbreak

Retour à la ligne automatique

Actif : Le retour automatique à la ligne est utilisé pour le texte dans l'élément.
La longueur des lignes dépend de la largeur de l'élément.
Inactif : Le texte est affiché sur une ligne.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

DownText

Texte bouton appuyé

Intitulé affiché sur le bouton lorsque l'utilisateur clique dessus.

La chaîne de caractères \n commence une nouvelle ligne.

Plus de détails dans l'aide en ligne

VT_BOOL

FktOnDown

Exécution sur appui

Actif : La fonction liée est exécutée lorsque l'élément est actionné.
Inactif : La fonction liée est exécutée lorsque l'élément est relâché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI2

BtnStyleBorder

Forme du bouton

Forme du bouton :
anguleux : le bouton comporte des coins pointus. Les propriétés du groupe Coins arrondis vous permettent de transformer les coins pointus en coins arrondis.
Rond : le bouton est arrondi.

Plus de détails dans l'aide en ligne.

VT_BOOL

BtnStyleInvert

Inverser le gradient de couleur

Disponible uniquement si le remplissage du bouton n'est pas effectué avec une couleur.
Actif : Le dégradé de luminosité est inversé.
Inactif : Le dégradé de luminosité n'est pas inversé.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI2

BtnStyleFill

Remplissage

Remplissage du bouton :
Monochrome : pas de dégradé
Linéaire : dégradé continu
Lumineux : du bas jusqu'à la moitié, couleur de remplissage 1 ; puis, dégradé du milieu jusqu'au sommet de l'élément.
Point défini : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowState

Visualiser l'état de la variable

Actif : l'état des variables est indiqué par un carré de couleur au niveau de l'élément.

Couleur :
Un carré rouge indique un problème de communication avec l'automate.
Un carré bleu au niveau du client indique que la connexion entre le client et le serveur a été interrompue.
Un carré bleu au niveau de la station indique que la valeur n'a pas été initialisée.

Position du carré au niveau de l'élément selon la forme de l'élément :

Rond : bord supérieur, au milieu
Arrondi : coin supérieur droit, légèrement décalé vers la gauche
Rectangulaire et tous autres paramètres : coin supérieur droit

Inactif : L'état n'est pas affiché.

Plus de détails dans l'aide en ligne

VT_I2

HorizontalAlign

Alignement horizontal

Alignement horizontal de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- aligné à gauche
- aligné à droite

Par défaut : centré

Plus de détails dans l'aide en ligne

VT_I2

VerticalAlign

Alignement vertical

Alignement vertical de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- au-dessus
- au-dessous

Par défaut : centré

Plus de détails dans l'aide en ligne

VT_UI2

Frame

Cadre élément

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Cadre fin

3D

Par défaut : Cadre fin

Plus de détails dans l'aide en ligne

VT_BOOL

ThreeDimensional

3D

Actif : L'élément est affiché en trois dimensions.
Inactif : L'élément est affiché en deux dimensions.

Plus de détails dans l'aide en ligne

VT_UI2

GraphicSize

Taille du graphique

Définition de la taille du fichier graphique.

  • Étiré : La taille du fichier est ajustée à la taille de l'élément.
  • Taille originale : L'élément graphique lié est affiché à sa taille originale.
    Lors de la sélection de cette option, les propriétés Largeur [pixels] et Hauteur [pixels] ne peuvent plus être configurées individuellement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur.

Par défaut : Étiré

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

StayPressed

Etat

Disponible uniquement si les propriétés Commutateur, Mode temporaire et Réaction immédiate sont actives.

Actif : Tant que l'utilisateur maintient le bouton de souris appuyé sur cet élément, son affichage graphique ne change pas, indépendamment des changements de valeurs possibles au niveau de l'automate. Au niveau de l'élément Commutateur, la propriété 3D doit être active pour que cela se produise.
Inactif : L'élément affiche toujours la valeur de la variable provenant de l'automate.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_BOOL

ResetOnLeave

Remise à 0 en quittant

Disponible uniquement si la propriété Mode temporaire est active :
Maintenez le bouton de la souris enfoncé et éloignez le pointeur de la souris du bouton pour réinitialiser automatiquement la valeur de la variable.

Plus de détails dans l'aide en ligne

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

ZT_FUNCTION_DYN

Function

Fonction

Nom de la fonction liée.
Ouvre la boîte de dialogue de sélection.
Cette fonction est exécutée si l'utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

<CD_SIEMENS_PRODUCTNAME et élément synoptique d'alarmes uniquement :

outre la propriété standard Appel de synoptique, le synoptique dont les états d'alarmes doivent être affichés seront déterminés par la fonction liée.
Obligatoire (sauf si le paramètre Global est actif)

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

VT_BOOL

Switch

Commutateur

Disponible uniquement si la propriété Forçage valeurs actif est inactive.

Actif : l'élément modifie la valeur d'une variable de bit.
Inactif : l'élément exécute une fonction.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

Scanner

Mode temporaire

Disponible uniquement si la propriété Commutateur est active. (Exception : (Exception : toujours disponible dans l'élément dynamique Interrupteur.)Actif :
Actif : L'état cible (défini dans la propriété Mode temporaire MARCHE) est maintenu seulement tant que le bouton gauche de la souris est enfoncé et au moins pendant le temps définis par Durée de maintien [ms].
Inactif : L'état cible persiste après que le bouton de la souris ait été relâché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ScannerOn

Mode temporaire MARCHE

Disponible uniquement si la propriété Mode temporaire est active :
Actif : Bascule le commutateur sur ON (Marche).
Inactif : Bascule le commutateur sur OFF (Arrêt).
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

FastReaction

Réaction immédiate

Disponible uniquement si la propriété Commutateur est active :
Actif : Le commutateur change immédiatement de position dans le Runtime, indépendamment de la définition du bit lié au niveau l'automate. Lors du prochain cycle de mise à jour des drivers, le bit sera lu sur l'automate. Le commutateur correspondra alors à la position correcte du bit dans l'automate.
Attention : Le commutateur sera uniquement actionnable lorsque la valeur aura été lue sur l'automate.

Inactif : Le commutateur changera uniquement de position après que le bit ait été transmis à l'automate, puis lu sur l'automate.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI2

ReactionTime

Durée de maintien [ms]

Disponible uniquement si la propriété Commutateur est active :
Si la propriété Mode temporaire est active : Temps (en ms) durant lequel un état est maintenu à partir de l'instant où un clic gauche est effectué sur l'élément correspondant.

Si la propriété Mode temporaire est inactive : réaction retardée à un clic gauche.

Plus de détails dans l'aide en ligne

ZT_SHORTCUT

ShortCut

Raccourci clavier

Les raccourcis autorisent l'exécution d'éléments actionnables. Par exemple :

- Exécution d'éléments de contrôle et de fonctions attribuées à un élément
- Écriture de valeur prescrite (dans le cas d'un interrupteur, par exemple)
- Définition du focus de certaines fenêtres (telles que les courbes dans le module Tendance étendue ou les listes déroulantes dans le Gestionnaire de groupes de recettes)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l'aide en ligne

ZT_FILE

FileName

Fichier graphique

Fichier graphique affiché sur le bouton lorsque ce dernier n'est pas actionné (*.bmp, *.wmf, *.jpg, *.gif, *.png). Cliquez sur le bouton .... La boîte de dialogue de sélection de fichiers s'ouvre.
Attention : Les fichiers graphiques doivent déjà être disponibles dans le nœud Fichiers/Éléments graphiques dans le Gestionnaire de projets :

Plus de détails dans l'aide en ligne

ZT_MDIFUNKTION

MDIFunction

Fonction spécifique au synoptique

Uniquement disponible sur les synoptiques de type spécial (synoptiques de type autre que Standard) :
Nom de la fonction spécifique au type de synoptique lié
Ouvre la boîte de dialogue permettant de sélectionner les fonctions spécifiques au type de synoptique.
Au lieu d'une fonction générale, vous pouvez lier une fonction configurée spécialement pour le type de synoptique. Cette fonction est exécutée si l'utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.

Plus de détails dans l'aide en ligne

VT_BOOL

Animate

Toujours

Actif : L'animation s'exécute toujours.
Inactif : L'animation ne s'exécute pas. Vous pouvez activer ou désactiver l'animation via un lien facultatif vers Variable.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

AnimateVar

Variable

Variable de bit permettant d'activer ou de désactiver l'animation.

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

CDynEleVar

DynEleVar

-

Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de largeur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

BackColorVariable2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


CDynEleFkt-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> CDynEleFkt-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FUNCTION | ProjectFunction | - |
VT_BSTR | Name | - |


Circle' (tpCircle)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> Circle' (tpCircle)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaLineColor

Transparence du contour [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_I2

Lightning

Gradient de couleur

Disponible uniquement si la propriété Remplissage (type) a été définie sur Color gradient (Dégradé de couleurs).

Définit le dégradé de couleurs pour tous les éléments vectoriels.

Linéaire : dégradé continu
Defined point (Point défini) : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne.

ZT_COLOR

LineColorEx

Ligne (couleur)

Détermine la couleur de trait de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientAngle

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientOffset

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

LineColor

Ligne (couleur)

Couleur de ligne de l'élément.

Plus de détails dans l'aide en ligne

VT_UI2

LineWidth

Epaisseur de ligne [Pixels]

Épaisseur de la ligne (en pixels).
Minimum : 0
Dans ce cas, l'épaisseur de la ligne est de 1 pixel.
Maximum : 65535
Par défaut : 1
Attention : Dans les paramètres du projet dans le nœud Apparence graphique, si vous définissez la propriété Qualité graphique sur Windows basis (Configuration Windows), vous pouvez uniquement utiliser une épaisseur de ligne 1 avec une ligne de type Trait continu.

Plus de détails dans l'aide en ligne

VT_I2

Align

Alignement

Direction du dégradé de couleur.
– horizontal
– vertical

Plus de détails dans l'aide en ligne

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l'élément.

Plus de détails dans l'aide en ligne

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

Shifted

Gradient de couleur 'décalé'

La distance de décalage de l'effet de lumière par rapport au centre de l'élément

Plus de détails dans l'aide en ligne

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Actif : La couleur automatique de la source liée est utilisée.
Inactif : La couleur standard est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d'affichage lorsque l'élément est connecté à plusieurs sources :
La source la plus prioritaire : Seule la couleur de la source comportant la priorité la plus élevée est utilisée.
Les deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur alternative : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l'aide en ligne

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si la propriété Couleur définie par CAL a été activée.

Définition de l'affichage de l'alimentation sécurisée.

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l'aide en ligne

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l'affichage lorsque l'élément est connecté à plusieurs sources actives.
Alimentation multiple : L'élément est affiché selon les règles de l'alimentation multiple.
Alimentation sécurisée : L'élément est affiché selon les règles de l'alimentation sécurisée.
No priority (Pas de priorité) : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

LineCapStart

Type de démarrage

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de début de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineCapEnd

Type de terminaison

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de fin de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

VT_R4

LineCapScale

Dimension

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le facteur d'agrandissement de largeur de ligne de la flèche. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Epaisseur de ligne [Pixels].

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Valeur : supérieure ou égale à 1

Par défaut : 4

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineType

Type de la ligne

Sélection du type de ligne de l'élément dans la liste.
Attention : dans les paramètres du projet dans le nœud Apparence graphique, si vous désactivez la propriété Qualité graphique, vous pouvez uniquement utiliser une épaisseur de ligne >1 avec une ligne de type Trait continu.
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

FillPattern

Remplissage (type)

Sélection du motif de remplissage de l'élément dans la liste.

Cette propriété est uniquement disponible si la propriété Par les valeurs de luminosité est inactive.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l'élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Actif : La luminosité du dégradé de couleurs peut être librement définie.
Inactif : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Plus de détails dans l'aide en ligne

VT_BOOL

ALCAlias

Utiliser alias

Disponible uniquement si la propriété Couleur définie par CAL est active.
Actif : un alias est utilisé. Dans le Runtime, l'élément reçoit ses couleurs CAL d'un autre élément du modèle topologique, même s'il ne fait pas partie du modèle.

Plus de détails dans l'aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton .... pour ouvrir la boîte de dialogue et sélectionner un élément existant.

Plus de détails dans l'aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Alternative color (Couleur de remplacement).

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l'aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur two highest prior sources (Deux sources antérieures les plus élevées).

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l'aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l'aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant limitée fixe.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCVarCalcIEx

-

Ligne CAL : Valeur mesurée du flux de courant calculé pour l'exportation.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Variable pour la limite de la capacité de transport de courant

CDynEleVar

ALCVarMaxIEx

-

ZT_VARIABLE_DYN

BackColorVariable2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne


'Combo/Listbox' (tpDynCombiList)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Combo/Listbox' (tpDynCombiList)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

CDynEleVarMulti

States

-

Cette propriété obtient/définit le groupe d'alarmes d'un état.

ZT_COLOR

TextColor

Texte (couleur)

Couleur du texte de l'élément.

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowState

Visualiser l'état de la variable

Actif : l'état des variables est indiqué par un carré de couleur au niveau de l'élément.

Couleur :
Un carré rouge indique un problème de communication avec l'automate.
Un carré bleu au niveau du client indique que la connexion entre le client et le serveur a été interrompue.
Un carré bleu au niveau de la station indique que la valeur n'a pas été initialisée.

Position du carré au niveau de l'élément selon la forme de l'élément :

Rond : bord supérieur, au milieu
Arrondi : coin supérieur droit, légèrement décalé vers la gauche
Rectangulaire et tous autres paramètres : coin supérieur droit

Inactif : L'état n'est pas affiché.

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_BSTR

Status

Entrées

Disponible uniquement si la propriété Entrées depuis une variable chaine est inactive.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de définition des entrées pour une liste statique ou zone de liste.

Plus de détails dans l'aide en ligne

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

VT_UI2

ControlType

Type

Liste déroulante : cet élément est utilisé en tant que liste déroulante.
Zone de liste : cet élément est utilisé en tant que zone de liste.
Par défaut : zone de liste.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

CDynEleVar

DynEleVar

-

Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de largeur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.

VT_BOOL

UseDynContent

Entrées depuis une variable chaine

Actif : Les entrées dans la liste déroulante sont définies par le biais de la variable de chaîne sélectionnée dans la propriété Variable.

Inactif : les entrées sont définies par le biais de la boîte de dialogue de la propriété Entrées dans l'Éditeur.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

DynContentVariable

Variable

Disponible uniquement si la propriété Entrées depuis une variable chaine est active.

Sélection de la variable de chaîne contenant les entrées de la liste déroulante. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_COLOR

TextColorSelected

Couleur de texte pour l'entrée sélectionnée

Définit la couleur du texte lorsqu'un élément est sélectionné. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton .... La couleur est statique et n'utilise pas la variable liée.

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColorSelected

Couleur d'arrière plan pour l'entrée sélectionnée

Définit la couleur d'arrière-plan lorsqu'un élément est sélectionné. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton .... La couleur est statique, et n'utilise pas la variable liée.

Plus de détails dans l'aide en ligne.

VT_BOOL

InstantReaction

Réaction immédiate

Vous permet d'afficher une réaction telle qu'elle s'est déjà produite, même si la réponse d'un pilote dont la réaction est lente n'a pas encore été reçue.

Active : affiche la réaction du pilote telle qu'elle s'est déjà produite dans la visualisation, même si le système est toujours en attente de cette réaction.

Par défaut : active

Remarque : Si le driver ne réagit pas, l'absence de réaction ne sera pas prise en compte.

Plus de détails dans l'aide en ligne

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.


CDynEleVarMulti-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> CDynEleVarMulti-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | KeyFlags1 | - |
VT_UI4 | KeyFlags2 | - |
VT_BSTR | BitmapHigh | - | Cette propriété renvoie le délai d'expiration du délai d'attente d'écriture.
VT_BSTR | BitmapLow | - | Propriétés de la fonction liée.
ZT_COLOR | BkColorHigh | - | La fonction peut afficher, basculer ou fermer la fenêtre d'aperçu :0 &rarr; Afficher1 &rarr; Basculer2 &rarr; Fermer
ZT_COLOR | BkColorLow | - | Cette propriété vous permet de déterminer si la propriété AdjustHardwareValue doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.
VT_I2 | KeyFlags3 | - |
ZT_COLOR | ColorHigh | - | Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Nombre d'alarmes non acquittées déclenchant l'affichage du deuxième message dans la ligne d'état dans le Runtime. Ce message est affiché en caractères blancs sur fond bleu.Minimum : 0.Maximum : 100.Par défaut : 0.ATTENTION : le nombre spécifié ici doit être inférieur à celui indiqué pour le message 3.
ZT_COLOR | ColorLow | - | Cette propriété vous permet d'attribuer un verrouillage de manière nominative.
VT_BSTR | StateTextHigh | - | La boîte de dialogue de configuration de la liste d'alarmes s'affiche.
VT_BSTR | StateTextLow | - | Cette propriété vous permet de déterminer si la propriété Recording type (Type d'enregistrement) doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.
VT_UI2 | Symbol | Symbole | Un symbole peut être sélectionné dans la liste de symboles affichée à l'écran. Plus de détails dans l'aide en ligne
VT_BSTR | Bits | - |
VT_UI4 | Value | - |


Basisklasse dynamische Bildelemente

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> Basisklasse dynamische Bildelemente

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


'Link text' (tpDynText)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Link text' (tpDynText)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_COLOR

TextColor

Texte (couleur)

Couleur du texte de l'élément.

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BOOL

Transparent

Transparent

Actif : Désactive la couleur d'arrière-plan de l'élément.

L'effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l'aide en ligne

VT_BOOL

Wordbreak

Retour à la ligne automatique

Actif : Le retour automatique à la ligne est utilisé pour le texte dans l'élément.
La longueur des lignes dépend de la largeur de l'élément.
Inactif : Le texte est affiché sur une ligne.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ShowState

Visualiser l'état de la variable

Actif : l'état des variables est indiqué par un carré de couleur au niveau de l'élément.

Couleur :
Un carré rouge indique un problème de communication avec l'automate.
Un carré bleu au niveau du client indique que la connexion entre le client et le serveur a été interrompue.
Un carré bleu au niveau de la station indique que la valeur n'a pas été initialisée.

Position du carré au niveau de l'élément selon la forme de l'élément :

Rond : bord supérieur, au milieu
Arrondi : coin supérieur droit, légèrement décalé vers la gauche
Rectangulaire et tous autres paramètres : coin supérieur droit

Inactif : L'état n'est pas affiché.

Plus de détails dans l'aide en ligne

VT_I2

HorizontalAlign

Alignement horizontal

Alignement horizontal de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- aligné à gauche
- aligné à droite

Par défaut : centré

Plus de détails dans l'aide en ligne

VT_I2

VerticalAlign

Alignement vertical

Alignement vertical de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- au-dessus
- au-dessous

Par défaut : centré

Plus de détails dans l'aide en ligne

VT_UI2

Frame

Cadre élément

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Cadre fin

3D

Par défaut : Cadre fin

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

IsSetValue

Forçage valeurs actif

Actif : La configuration des variables pour cet élément dynamique est autorisée.
Inactif : La variable est protégée en écriture dans cet élément.

Plus de détails dans l'aide en ligne

VT_R8

SetValue

Valeur prescrite

Valeur devant être définie ou proposée en tant que valeur par défaut.
Si le paramètre Proposer la valeur actuelle est actif : Valeur ajoutée à la valeur numérique.
Associée à la propriété « Sans boîte de dialogue », l'augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l'aide en ligne

VT_BSTR

SetValueText

Texte valeur prescrite

Texte valeur prescrite

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_R8

Min

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite inférieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l'aide en ligne

VT_R8

Max

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite supérieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l'aide en ligne

VT_BOOL

HWDirect

Sans dialogue

Actif : La valeur est transmise au matériel sans qu'il soit possible de la modifier dans Runtime.
Inactif : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l'aide en ligne

VT_BOOL

Preset

Proposer la valeur courante

Actif : La valeur réelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous « Valeur prescrite / Modification de valeur » avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactif : La valeur définie dans la propriété « Valeur prescrite / Modification de valeur » est proposée.

Plus de détails dans l'aide en ligne

VT_BOOL

LimitFromVar

Plages de la variable

Actif : La limitation de la plage pour laquelle lest valeurs prescrites peuvent être écrites n'est pas définie par l'intermédiaire des paramètres « Min » et « Max », mais est directement issue des définitions de variables (bouton « Étendue »).
Inactif : La plage peut être directement limitée par les paramètres « Minimum » et « Maximum ».

Plus de détails dans l'aide en ligne

VT_UI1

SetValueWith

Spécifier valeur prescrite par

Envoyer valeur avec:
Envoi de commande : la nouvelle valeur est définie à l'aide du paramètre Saisie valeur prescrite dans la section Commandes.

boîte de dialogue : la nouvelle valeur est saisie à l'aide d'une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boite de dialogue standard.

Élément : La valeur est saisie directement dans l'élément graphique (uniquement pour les éléments Valeur numérique et Texte dynamique).

Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l'aide en ligne

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Saisie valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle qu'elle est définie dans les propriétés correspondantes
3) Coordonnée gauche de l'élément, en pixels
4) Coordonnée supérieure de l'élément, en pixels
5) Coordonnée droite de l'élément, en pixels
6) Coordonnée inférieure de l'élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

VT_BSTR

DynText

Texte

Uniquement disponible avec des valeurs numériques :
texte affiché si aucune limite n'a été dépassée (dans le cas contraire, la valeur du texte de valeur limite correspondant est affichée).

Plus de détails dans l'aide en ligne

VT_BOOL

TextFromVariable

Texte issu de la valeur d'une variable

Disponible uniquement pour les variables Chaîne.

Actif : Le texte est identique à celui de la valeur de la variable liée.

Inactif : le texte est identique à celui de la matrice de réaction.

Par défaut : Actif

Plus de détails dans l'aide en ligne

T_BOOL

TranslateText

Traduire le texte affiché

Actif : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

CDynEleVar

DynEleVar

-

Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de largeur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_BOOL

KbdUsage

Utiliser le synoptique clavier

Lors de la sélection de l'élément dans le Runtime, le clavier est affiché.
Lors de la sélection d'un champ de saisie libre dans le Runtime, le synoptique de clavier DIALOGKBD est appelé, s'il est disponible.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_PICTURE

KbdName

Synoptique clavier

Nom du synoptique de type Clavier lié.
Disponible uniquement si un synoptique de type Clavier est utilisé :

Si aucun synoptique de type Clavier n'est sélectionné ici, le synoptique SETSTRINGKBD est ouvert pour les variables de type chaîne, le synoptique SETVALUEKBD est ouvert pour les valeurs numériques (variables sans bit) et le synoptique SETBOOLKBD est ouvert pour les variables de type bit.

Plus de détails dans l'aide en ligne

VT_BOOL

LimitColor

Utiliser la couleur de la limite

Vous pouvez spécifier si la couleur de limite définie au niveau de la variable liée à l'élément doit être affichée dans le Runtime. En fonction de l'élément, la couleur affecte le texte affiché ou, dans le cas d'une réglette universelle, l'indicateur.

Actif : La couleur de limite définie est affichée dans le Runtime.

Par défaut : active (afin de garantir la compatibilité)

Plus de détails dans l'aide en ligne

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


'Universal slider' (tpDynInstrument)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Universal slider' (tpDynInstrument)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowValueBasis

Base d'affichage

Disponible uniquement si vous avez sélectionné Binaire, Hexadécimal ou Octal pour la propriété Base pour l'affichage de valeurs.

Affiche une abréviation de la base derrière la valeur :

Les abréviations suivantes sont utilisées :

- pour une valeur binaire : b

- pour une valeur décimale : aucune abréviation

- pour une valeur décimale exponentielle : aucune abréviation

- pour une valeur hexadécimale : h

- pour une valeur octale : o

Par défaut : Actif

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BOOL

Transparent

Transparent

Actif : Désactive la couleur d'arrière-plan de l'élément.

L'effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowState

Visualiser l'état de la variable

Actif : l'état des variables est indiqué par un carré de couleur au niveau de l'élément.

Couleur :
Un carré rouge indique un problème de communication avec l'automate.
Un carré bleu au niveau du client indique que la connexion entre le client et le serveur a été interrompue.
Un carré bleu au niveau de la station indique que la valeur n'a pas été initialisée.

Position du carré au niveau de l'élément selon la forme de l'élément :

Rond : bord supérieur, au milieu
Arrondi : coin supérieur droit, légèrement décalé vers la gauche
Rectangulaire et tous autres paramètres : coin supérieur droit

Inactif : L'état n'est pas affiché.

Plus de détails dans l'aide en ligne

VT_UI2

Frame

Cadre élément

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Cadre fin

3D

Par défaut : Cadre fin

Plus de détails dans l'aide en ligne

VT_BOOL

ShowUnit

Afficher l'unité

Uniquement disponible pour :
Général : si la propriété Visu. valeur a été activée.
Pour l'élément Horloge : disponible uniquement si le paramètre Différence de temps a été sélectionné pour l'élément Type d'affichage.
Pour l'élément Instrument à aiguille : uniquement disponible si la propriété 3D a été activée.

Actif : L'unité technique de la variable liée est affichée derrière la valeur.
Si la valeur est affichée en pourcentage, le caractère de pourcentage % est affiché à la place de l'unité de la variable liée.Inactif :
Inactif : l'unité n'est pas affichée.
Par défaut : active.

Remarque :

Plus de détails dans l'aide en ligne

VT_BOOL

Percentage

Visualiser valeur en pourcentage

Actif : La valeur de variable est affichée sous la forme 0-100 %.
0% = plage de mesure minimum
100 % = plage de mesure maximum
La conversion est linéaire. Les saisies de points de consigne sont également converties en pourcentage.
Inactif : La valeur n'est jamais affichée normalement.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

MouseMovement

Envoi valeur pendant le déplacement souris

Actif : Envoi continu de nouvelles valeurs pendant le déplacement de la souris.
Inactif : Envoi unique de la nouvelle valeur lorsque le bouton de la souris est relâché.
(uniquement si l'option « Directement au matériel » est activée dans la section « Valeur prescrite »)

Plus de détails dans l'aide en ligne

VT_BOOL

ShowValue

Visu. valeur

Affichage complémentaire de la valeur actuelle sous forme de nombre. La position dans l'élément et la couleur de la police utilisée peuvent être définies.

Plus de détails dans l'aide en ligne

ZT_COLOR

ValueColor

Couleur pour la valeur

Couleur de la valeur à afficher.

Plus de détails dans l'aide en ligne

VT_I2

ValuePos

Valeur de la position

Position de la valeur à afficher.

Plus de détails dans l'aide en ligne

VT_UI2

ValueBase

Base pour l'affichage de valeurs

Définissez la base de numérotation utilisée pour l'affichage des valeurs. Les bases suivantes sont disponibles :
Binaire : affichage au format binaire. Ce format est signalé par un caractère « b » affiché à droite de la valeur.
Décimal : affichage décimal.
Exponentiel : affichage décimal sous forme exponentielle. Exemple : 1E+03 est égal à 1000 en notation décimale.
Hexadécimal : affichage hexadécimal. Ce format est signalé par un caractère « b » affiché à droite de la valeur.
Octal : affichage octal. Ce format est signalé par un caractère « o » affiché à droite de la valeur.
Par défaut : décimal.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowScale

Visualiser echelle

Actif : Une échelle est affichée sur l'élément.
Inactif : Aucune échelle n'est affichée.

Plus de détails dans l'aide en ligne

VT_I2

ScaleDistance

Distance [pixels]

Distance entre l'échelle et l'élément (en pixels).

Plus de détails dans l'aide en ligne

VT_I2

ScaleHeight

Hauteur [pixels]

Hauteur de l'échelle.

Plus de détails dans l'aide en ligne

VT_I2

MainTicks

Graduations principales

Espacement des divisions principales (affichage numérique) de l'échelle.

Exemple : si vous saisissez 50, une division principale est affichée toutes les 50 unités : 0 - 50 - 100 - 150, etc.

Plus de détails dans l'aide en ligne

VT_I2

SmallTicks

Graduations secondaires

Espacement des divisions principales (pas d'affichage numérique) de l'échelle.
Exemple : une valeur de 100 entraîne l'affichage d'une division intermédiaire tous les 1000, à partir de la plus petite valeur affichée.

Plus de détails dans l'aide en ligne

ZT_COLOR

MainTickColor

Couleur des graduations principales

Couleur des divisions principales (affichage numérique) sur l'échelle.

Plus de détails dans l'aide en ligne

ZT_COLOR

SmallTickColor

Couleur des graduations secondaires

Couleur des divisions principales (pas d'affichage numérique) sur l'échelle.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowLegend

Afficher la légende

Si cette option est activée, le texte (valeurs) est affiché sur l'échelle.

Plus de détails dans l'aide en ligne

VT_I2

LegendDistance

Distance [pixels]

Distance entre la légende et l'échelle (en pixels).

Plus de détails dans l'aide en ligne

ZT_COLOR

LegendColor

Couleur de légende

Couleurs de la légende.

Plus de détails dans l'aide en ligne

VT_BOOL

Logarithmic

Logarithmique

Actif : Échelle logarithmique
Inactif : Échelle linéaire

Plus de détails dans l'aide en ligne

VT_BOOL

ReverseDirection

Direction inversée

Affichage inversé des valeurs minimale et maximale

Plus de détails dans l'aide en ligne

VT_BOOL

Discrete

Echelonné

La configuration de valeurs s'effectue uniquement par étapes définies.

Plus de détails dans l'aide en ligne

VT_I2

DiscreteSteps

Etapes échelonnées

Nombre d'incréments pour la propriété Etapes échelonnées.

Minimum : 2

Maximum : 20

Par défaut : 5

Plus de détails dans l'aide en ligne

VT_BOOL

ShowKnob

Afficher le bouton

Un élément fonctionnel est représenté par un bouton, plutôt que la valeur actuelle.

Plus de détails dans l'aide en ligne

VT_I2

KnobStyle

Type de bouton

Sélectionnez la forme du bouton dans la liste : (plat, haut, enfoncé).

Plus de détails dans l'aide en ligne

ZT_COLOR

KnobColor

Couleur de bouton

Couleur du bouton.

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_I2

Shape

Forme

Linéaire : affichage sous forme de barre ou de réglette.
Rond : affichage sous forme d'instrument à aiguille.

Plus de détails dans l'aide en ligne

VT_I2

Align

Alignement

Uniquement disponible pour la forme linéaire :
Horizontal : affichage horizontal de la barre ou de la réglette.
Vertical : affichage vertical de la barre ou de la réglette.

Plus de détails dans l'aide en ligne

VT_R8

Start

Angle de départ

Disponible uniquement pour la forme ronde :
Position de l'instrument à aiguille pour la valeur minimum (0° en bas).

Plus de détails dans l'aide en ligne

VT_R8

End

Angle final

Disponible uniquement pour la forme ronde :
Position de l'instrument à aiguille pour la valeur maximum (0° en bas).

Plus de détails dans l'aide en ligne

VT_I2

Style

Style

Les styles suivantes sont disponibles :
- Réglette/Potentiomètre
- Barre
- Barre de LED
- Réglette animée

Plus de détails dans l'aide en ligne

VT_I2

Pointer

Type d'instrument à aiguille

Représentation graphique de la valeur actuelle avec un élément :
- Ligne
- Instrument à aiguille
- Triangle

Plus de détails dans l'aide en ligne

VT_BOOL

Explicit

Barre explicite

Disponible uniquement si les paramètres Bargraphe, Réglette animée ou Bargraphe à LED ont été sélectionnés pour la propriété Style.

Cette propriété affecte uniquement l'affichage de valeurs comportant des limites définies issues des variables. Les limites des matrices de réaction ne sont pas prises en compte.

Actif : si une limite de la variable liée est dépassée, seule la partie de l'affichage correspondant au dépassement de limite est affichée dans la couleur de la limite correspondante.
Si la variable comporte plusieurs limites définies, les zones correspondantes de l'affichage sont toujours affichées dans la couleur de la limite correspondante.

Inactif : Si une limite de la variable liée est dépassée, l'affichage entier reprend les couleurs de la limite dépassée.

Par défaut : Inactif

Plus de détails dans l'aide en ligne.

ZT_COLOR

PointerColor

Couleur instrument à aiguille/barre

Couleur de l'aiguille ou de la barre.

Plus de détails dans l'aide en ligne

VT_BOOL

MinMaxView

Visualiser indicateur

Activer l'affichage minimum/maximum.

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

MinMaxShape

Type d'affichage

Affichage graphique (indicateur) de la valeur minimum ou maximum avec un élément :
- Ligne
- Instrument à aiguille
- Triangle

Plus de détails dans l'aide en ligne

ZT_COLOR

MinColor

Couleur valeur min

Couleur de la valeur minimum affichée.

Plus de détails dans l'aide en ligne

ZT_COLOR

MaxColor

Couleur valeur max

Couleur de la valeur maximum affichée.

Plus de détails dans l'aide en ligne

VT_BOOL

AutoReset

Reset auto.

Réinitialisation automatique de l'indicateur pour l'affichage des valeurs minimum/maximum après un intervalle défini.

Plus de détails dans l'aide en ligne

VT_I2

AutoResetTime

Reset automatique après [min]

Délai de réinitialisation de l'affichage des valeurs min./max.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

VT_I2

LeftFrame

Gauche [pixels]

Distance entre le bord gauche de l'élément et l'affichage graphique (en pixels).

Plus de détails dans l'aide en ligne

VT_I2

RightFrame

Droit [pixels]

Distance entre le bord droit de l'élément et l'affichage graphique (en pixels).

Plus de détails dans l'aide en ligne

VT_I2

TopFrame

Haut [pixels]

Distance entre le bord supérieur de l'élément et l'affichage graphique (en pixels).

Plus de détails dans l'aide en ligne

VT_I2

BottomFrame

Bas [pixels]

Distance entre le bord inférieur de l'élément et l'affichage graphique (en pixels).

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowTitle

Visualiser titre

Visualiser titre.

Plus de détails dans l'aide en ligne

VT_I2

TitlePos

Position titre

Emplacement du titre.

Plus de détails dans l'aide en ligne

ZT_COLOR

TitleColor

Couleur titre

Couleur du texte du titre.

Plus de détails dans l'aide en ligne

VT_BSTR

TitleText

Texte titre

Texte à afficher en tant que titre.

Plus de détails dans l'aide en ligne

VT_I2

ValueDistance

Distance [pixels]

Distance entre le titre et l'affichage de la valeur (en pixels).

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

IsSetValue

Forçage valeurs actif

Actif : La configuration des variables pour cet élément dynamique est autorisée.
Inactif : La variable est protégée en écriture dans cet élément.

Plus de détails dans l'aide en ligne

VT_R8

SetValue

Valeur prescrite

Valeur devant être définie ou proposée en tant que valeur par défaut.
Si le paramètre Proposer la valeur actuelle est actif : Valeur ajoutée à la valeur numérique.
Associée à la propriété « Sans boîte de dialogue », l'augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_R8

Min

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite inférieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l'aide en ligne

VT_R8

Max

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite supérieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l'aide en ligne

VT_BOOL

HWDirect

Sans dialogue

Actif : La valeur est transmise au matériel sans qu'il soit possible de la modifier dans Runtime.
Inactif : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l'aide en ligne

VT_BOOL

Preset

Proposer la valeur courante

Actif : La valeur réelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous « Valeur prescrite / Modification de valeur » avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactif : La valeur définie dans la propriété « Valeur prescrite / Modification de valeur » est proposée.

Plus de détails dans l'aide en ligne

VT_BOOL

LimitFromVar

Plages de la variable

Actif : La limitation de la plage pour laquelle lest valeurs prescrites peuvent être écrites n'est pas définie par l'intermédiaire des paramètres « Min » et « Max », mais est directement issue des définitions de variables (bouton « Étendue »).
Inactif : La plage peut être directement limitée par les paramètres « Minimum » et « Maximum ».

Plus de détails dans l'aide en ligne

VT_UI1

SetValueWith

Spécifier valeur prescrite par

Envoyer valeur avec:
Envoi de commande : la nouvelle valeur est définie à l'aide du paramètre Saisie valeur prescrite dans la section Commandes.

boîte de dialogue : la nouvelle valeur est saisie à l'aide d'une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boite de dialogue standard.

Élément : La valeur est saisie directement dans l'élément graphique (uniquement pour les éléments Valeur numérique et Texte dynamique).

Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l'aide en ligne

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Saisie valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle qu'elle est définie dans les propriétés correspondantes
3) Coordonnée gauche de l'élément, en pixels
4) Coordonnée supérieure de l'élément, en pixels
5) Coordonnée droite de l'élément, en pixels
6) Coordonnée inférieure de l'élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

VT_R8

ViewMin

Minimum

Valeur la plus basse de la variable devant être affichée dans l'élément.

Plus de détails dans l'aide en ligne

VT_R8

ViewMax

Maximum

Valeur la plus élevée de la variable devant être affichée dans l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Absolute

Montant absolu

Pour l'élément Valeur numérique, disponible uniquement si la propriété Visualiser valeur en pourcentage est inactive.

Actif : Affichage non signé de la valeur de variable (-200 = 200).
Inactif : Affichage normal de la valeur.
Par défaut : inactive.

Remarque : Dans ce cas, la valeur prescrite est saisie en pourcentage.

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

CDynEleVar

DynEleVar

-

Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de largeur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_BOOL

ViewLimitFromVar

Appliquer la plage de visualisation à partir de la variable

Reprend la zone d'affichage de la variable liée. Vous pouvez actualiser cet affichage durant le remplacement par une variable comportant une plage de valeurs différente.

Plus de détails dans l'aide en ligne.

VT_BOOL

KbdUsage

Utiliser le synoptique clavier

Lors de la sélection de l'élément dans le Runtime, le clavier est affiché.
Lors de la sélection d'un champ de saisie libre dans le Runtime, le synoptique de clavier DIALOGKBD est appelé, s'il est disponible.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_PICTURE

KbdName

Synoptique clavier

Nom du synoptique de type Clavier lié.
Disponible uniquement si un synoptique de type Clavier est utilisé :

Si aucun synoptique de type Clavier n'est sélectionné ici, le synoptique SETSTRINGKBD est ouvert pour les variables de type chaîne, le synoptique SETVALUEKBD est ouvert pour les valeurs numériques (variables sans bit) et le synoptique SETBOOLKBD est ouvert pour les variables de type bit.

Plus de détails dans l'aide en ligne

VT_BOOL

LimitColor

Utiliser la couleur de la limite

Vous pouvez spécifier si la couleur de limite définie au niveau de la variable liée à l'élément doit être affichée dans le Runtime. En fonction de l'élément, la couleur affecte le texte affiché ou, dans le cas d'une réglette universelle, l'indicateur.

Actif : La couleur de limite définie est affichée dans le Runtime.

Par défaut : active (afin de garantir la compatibilité)

Plus de détails dans l'aide en ligne

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

VT_BOOL

ShowLeadingZeros

Montrer les zéros devant le nombre

Disponible uniquement si vous avez sélectionné Binaire, Décimal, Hexadécimal ou Octal pour la propriété Base pour l'affichage de valeurs.

Décidez si vous souhaitez afficher les valeurs numériques précédées de zéros.

Actif : Les valeurs numériques sont affichées avec un nombre de chiffres variables en fonction de leur base. Les chiffres qui ne sont pas utilisés par la valeur numérique sont remplacés par des zéros placés avant la valeur numérique. Les paramètres suivants sont disponibles pour les différentes bases :

- Binaire : 32 chiffres

- Décimale : 10 chiffres

- Hexadécimale : 8 chiffres

- Octale : 11 chiffres

Par défaut : Inactive

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

DynMinVar

Minimum

Variable définissant la valeur minimum de la plage d'affichage dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

DynMaxVar

Maximum

Variable définissant la valeur maximum de la plage d'affichage dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


Line' (tpLine)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> Line' (tpLine)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaLineColor

Transparence du contour [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_I2

Lightning

Gradient de couleur

Disponible uniquement si la propriété Remplissage (type) a été définie sur Color gradient (Dégradé de couleurs).

Définit le dégradé de couleurs pour tous les éléments vectoriels.

Linéaire : dégradé continu
Defined point (Point défini) : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne.

ZT_COLOR

LineColorEx

Ligne (couleur)

Détermine la couleur de trait de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientAngle

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientOffset

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

LineColor

Ligne (couleur)

Couleur de ligne de l'élément.

Plus de détails dans l'aide en ligne

VT_UI2

LineWidth

Epaisseur de ligne [Pixels]

Épaisseur de la ligne (en pixels).
Minimum : 0
Dans ce cas, l'épaisseur de la ligne est de 1 pixel.
Maximum : 65535
Par défaut : 1
Attention : Dans les paramètres du projet dans le nœud Apparence graphique, si vous définissez la propriété Qualité graphique sur Windows basis (Configuration Windows), vous pouvez uniquement utiliser une épaisseur de ligne 1 avec une ligne de type Trait continu.

Plus de détails dans l'aide en ligne

VT_I2

Align

Alignement

Direction du dégradé de couleur.
– horizontal
– vertical

Plus de détails dans l'aide en ligne

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l'élément.

Plus de détails dans l'aide en ligne

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

Shifted

Gradient de couleur 'décalé'

La distance de décalage de l'effet de lumière par rapport au centre de l'élément

Plus de détails dans l'aide en ligne

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Actif : La couleur automatique de la source liée est utilisée.
Inactif : La couleur standard est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d'affichage lorsque l'élément est connecté à plusieurs sources :
La source la plus prioritaire : Seule la couleur de la source comportant la priorité la plus élevée est utilisée.
Les deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur alternative : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l'aide en ligne

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si la propriété Couleur définie par CAL a été activée.

Définition de l'affichage de l'alimentation sécurisée.

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l'aide en ligne

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l'affichage lorsque l'élément est connecté à plusieurs sources actives.
Alimentation multiple : L'élément est affiché selon les règles de l'alimentation multiple.
Alimentation sécurisée : L'élément est affiché selon les règles de l'alimentation sécurisée.
No priority (Pas de priorité) : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

LineCapStart

Type de démarrage

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de début de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineCapEnd

Type de terminaison

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de fin de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

VT_R4

LineCapScale

Dimension

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le facteur d'agrandissement de largeur de ligne de la flèche. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Epaisseur de ligne [Pixels].

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Valeur : supérieure ou égale à 1

Par défaut : 4

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineType

Type de la ligne

Sélection du type de ligne de l'élément dans la liste.
Attention : dans les paramètres du projet dans le nœud Apparence graphique, si vous désactivez la propriété Qualité graphique, vous pouvez uniquement utiliser une épaisseur de ligne >1 avec une ligne de type Trait continu.
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

FillPattern

Remplissage (type)

Sélection du motif de remplissage de l'élément dans la liste.

Cette propriété est uniquement disponible si la propriété Par les valeurs de luminosité est inactive.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l'élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Actif : La luminosité du dégradé de couleurs peut être librement définie.
Inactif : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Plus de détails dans l'aide en ligne

VT_BOOL

ALCAlias

Utiliser alias

Disponible uniquement si la propriété Couleur définie par CAL est active.
Actif : un alias est utilisé. Dans le Runtime, l'élément reçoit ses couleurs CAL d'un autre élément du modèle topologique, même s'il ne fait pas partie du modèle.

Plus de détails dans l'aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton .... pour ouvrir la boîte de dialogue et sélectionner un élément existant.

Plus de détails dans l'aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Alternative color (Couleur de remplacement).

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l'aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur two highest prior sources (Deux sources antérieures les plus élevées).

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l'aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l'aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant limitée fixe.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCVarCalcIEx

-

Ligne CAL : Valeur mesurée du flux de courant calculé pour l'exportation.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Variable pour la limite de la capacité de transport de courant

CDynEleVar

ALCVarMaxIEx

-

ZT_VARIABLE_DYN

BackColorVariable2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne


'Message' (tpDynMeldung)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Message' (tpDynMeldung)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_COLOR

TextColor

Texte (couleur)

Couleur du texte de l'élément.

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BOOL

Transparent

Transparent

Actif : Désactive la couleur d'arrière-plan de l'élément.

L'effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l'aide en ligne

VT_BOOL

ThreeDimensional

3D

Actif : L'élément est affiché en trois dimensions.
Inactif : L'élément est affiché en deux dimensions.

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_UI4

TextChangeTime

Temps pour le changement de texte [s]

Lorsque plusieurs bits sont définis pour variables de ligne, le basculement du texte se déroule automatiquement dans le délai configuré.

Plus de détails dans l'aide en ligne

ZT_MELDETEXT

MessageText

Fichier texte

Sélection du fichier texte.

Plus de détails dans l'aide en ligne

VT_BSTR

Variable

Sélection colonne

La variable de colonne de la liste doit être une variable mot, et définit la position de la colonne depuis laquelle est extrait le texte.

Attention : La variable de colonne doit être sélectionnée avant la variable de ligne.

Plus de détails dans l'aide en ligne

VT_BSTR

ColVars

Activation ligne

Les variables de ligne définissent la position de la ligne depuis laquelle est extrait le texte.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


'EMF/WMF' (tpEMF, tp WMF)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'EMF/WMF' (tpEMF, tp WMF)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaLineColor

Transparence du contour [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_I2

Lightning

Gradient de couleur

Disponible uniquement si la propriété Remplissage (type) a été définie sur Color gradient (Dégradé de couleurs).

Définit le dégradé de couleurs pour tous les éléments vectoriels.

Linéaire : dégradé continu
Defined point (Point défini) : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne.

ZT_COLOR

LineColorEx

Ligne (couleur)

Détermine la couleur de trait de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientAngle

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientOffset

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

LineColor

Ligne (couleur)

Couleur de ligne de l'élément.

Plus de détails dans l'aide en ligne

VT_UI2

LineWidth

Epaisseur de ligne [Pixels]

Épaisseur de la ligne (en pixels).
Minimum : 0
Dans ce cas, l'épaisseur de la ligne est de 1 pixel.
Maximum : 65535
Par défaut : 1
Attention : Dans les paramètres du projet dans le nœud Apparence graphique, si vous définissez la propriété Qualité graphique sur Windows basis (Configuration Windows), vous pouvez uniquement utiliser une épaisseur de ligne 1 avec une ligne de type Trait continu.

Plus de détails dans l'aide en ligne

VT_I2

Align

Alignement

Direction du dégradé de couleur.
– horizontal
– vertical

Plus de détails dans l'aide en ligne

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l'élément.

Plus de détails dans l'aide en ligne

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

Shifted

Gradient de couleur 'décalé'

La distance de décalage de l'effet de lumière par rapport au centre de l'élément

Plus de détails dans l'aide en ligne

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Actif : La couleur automatique de la source liée est utilisée.
Inactif : La couleur standard est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d'affichage lorsque l'élément est connecté à plusieurs sources :
La source la plus prioritaire : Seule la couleur de la source comportant la priorité la plus élevée est utilisée.
Les deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur alternative : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l'aide en ligne

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si la propriété Couleur définie par CAL a été activée.

Définition de l'affichage de l'alimentation sécurisée.

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l'aide en ligne

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l'affichage lorsque l'élément est connecté à plusieurs sources actives.
Alimentation multiple : L'élément est affiché selon les règles de l'alimentation multiple.
Alimentation sécurisée : L'élément est affiché selon les règles de l'alimentation sécurisée.
No priority (Pas de priorité) : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

LineCapStart

Type de démarrage

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de début de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineCapEnd

Type de terminaison

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de fin de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

VT_R4

LineCapScale

Dimension

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le facteur d'agrandissement de largeur de ligne de la flèche. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Epaisseur de ligne [Pixels].

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Valeur : supérieure ou égale à 1

Par défaut : 4

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineType

Type de la ligne

Sélection du type de ligne de l'élément dans la liste.
Attention : dans les paramètres du projet dans le nœud Apparence graphique, si vous désactivez la propriété Qualité graphique, vous pouvez uniquement utiliser une épaisseur de ligne >1 avec une ligne de type Trait continu.
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

FillPattern

Remplissage (type)

Sélection du motif de remplissage de l'élément dans la liste.

Cette propriété est uniquement disponible si la propriété Par les valeurs de luminosité est inactive.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l'élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Actif : La luminosité du dégradé de couleurs peut être librement définie.
Inactif : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Plus de détails dans l'aide en ligne

VT_BOOL

ALCAlias

Utiliser alias

Disponible uniquement si la propriété Couleur définie par CAL est active.
Actif : un alias est utilisé. Dans le Runtime, l'élément reçoit ses couleurs CAL d'un autre élément du modèle topologique, même s'il ne fait pas partie du modèle.

Plus de détails dans l'aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton .... pour ouvrir la boîte de dialogue et sélectionner un élément existant.

Plus de détails dans l'aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Alternative color (Couleur de remplacement).

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l'aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur two highest prior sources (Deux sources antérieures les plus élevées).

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l'aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l'aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant limitée fixe.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCVarCalcIEx

-

Ligne CAL : Valeur mesurée du flux de courant calculé pour l'exportation.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Variable pour la limite de la capacité de transport de courant

CDynEleVar

ALCVarMaxIEx

-

ZT_VARIABLE_DYN

BackColorVariable2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne


'Multibin' (tpDynMultibin)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Multibin' (tpDynMultibin)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

RegardAllVarBlinking

-

Couleur de la grille générale.

VT_UI1

LinkType

-

Spécifie le texte d'en-tête (intitulé de colonne) pour l'option Nom de la variable (propriété dynamique Entry (Entrée), option 0).

ZT_COLOR

BlinkBackColor

-

Forme du bouton.Anguleux : les coins du bouton sont pointus.Rond : le bouton est elliptique ou circulaire.Arrondi : les coins du bouton sont arrondis.

VT_BOOL

FillOnly

-

Deuxième paramètre de transfert à deux mots pour les marqueurs de valeur.

VT_BOOL

IsBackColor

-

Numéro du groupe/de la classe d'alarmes.

VT_BOOL

IsText

-

Largeur de colonne pour le nom de variable.

CDynEleVarMulti

States

-

Cette propriété obtient/définit le groupe d'alarmes d'un état.

VT_BOOL

OriginalSize

-

Uniquement disponible si l'historique des modifications est actif :Objet : seuls les noms d'objet des objets modifiés sont enregistrés dans la liste. Les détails relatifs aux propriétés modifiées ou à leurs valeurs n'apparaissent pas dans l'historique des modifications.Propriétés : outre les noms d’objet, les propriétés modifiées et leurs nouvelles valeurs sont affichées dans l’historique.Valeurs : cette option propose les informations les plus détaillées. Outre la nouvelle valeur d'une propriété modifiée, son ancienne valeur est enregistrée. Ainsi, le suivi complet du niveau de la valeur est possible.Par défaut : Propriétés.

VT_UI2

SwitchFunction

-

Spécifie le nom abrégé de l'archive à laquelle est liée la variable.

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

ShowState

Visualiser l'état de la variable

Actif : l'état des variables est indiqué par un carré de couleur au niveau de l'élément.

Couleur :
Un carré rouge indique un problème de communication avec l'automate.
Un carré bleu au niveau du client indique que la connexion entre le client et le serveur a été interrompue.
Un carré bleu au niveau de la station indique que la valeur n'a pas été initialisée.

Position du carré au niveau de l'élément selon la forme de l'élément :

Rond : bord supérieur, au milieu
Arrondi : coin supérieur droit, légèrement décalé vers la gauche
Rectangulaire et tous autres paramètres : coin supérieur droit

Inactif : L'état n'est pas affiché.

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_MULTI

Status

Configuration

Ouvre la boîte de dialogue de définition des états.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

VT_UI2

ReactionTime

Durée de maintien [ms]

Disponible uniquement si la propriété Commutateur est active :
Si la propriété Mode temporaire est active : Temps (en ms) durant lequel un état est maintenu à partir de l'instant où un clic gauche est effectué sur l'élément correspondant.

Si la propriété Mode temporaire est inactive : réaction retardée à un clic gauche.

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


Basisklasse Bildelemente

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> Basisklasse Bildelemente

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne


'Tube' ()

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Tube' ()

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaLineColor

Transparence du contour [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_I2

Lightning

Gradient de couleur

Disponible uniquement si la propriété Remplissage (type) a été définie sur Color gradient (Dégradé de couleurs).

Définit le dégradé de couleurs pour tous les éléments vectoriels.

Linéaire : dégradé continu
Defined point (Point défini) : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne.

ZT_COLOR

LineColorEx

Ligne (couleur)

Détermine la couleur de trait de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientAngle

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientOffset

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

LineColor

Ligne (couleur)

Couleur de ligne de l'élément.

Plus de détails dans l'aide en ligne

VT_UI2

LineWidth

Epaisseur de ligne [Pixels]

Épaisseur de la ligne (en pixels).
Minimum : 0
Dans ce cas, l'épaisseur de la ligne est de 1 pixel.
Maximum : 65535
Par défaut : 1
Attention : Dans les paramètres du projet dans le nœud Apparence graphique, si vous définissez la propriété Qualité graphique sur Windows basis (Configuration Windows), vous pouvez uniquement utiliser une épaisseur de ligne 1 avec une ligne de type Trait continu.

Plus de détails dans l'aide en ligne

VT_I2

Align

Alignement

Direction du dégradé de couleur.
– horizontal
– vertical

Plus de détails dans l'aide en ligne

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l'élément.

Plus de détails dans l'aide en ligne

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

Shifted

Gradient de couleur 'décalé'

La distance de décalage de l'effet de lumière par rapport au centre de l'élément

Plus de détails dans l'aide en ligne

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Actif : La couleur automatique de la source liée est utilisée.
Inactif : La couleur standard est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d'affichage lorsque l'élément est connecté à plusieurs sources :
La source la plus prioritaire : Seule la couleur de la source comportant la priorité la plus élevée est utilisée.
Les deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur alternative : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l'aide en ligne

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si la propriété Couleur définie par CAL a été activée.

Définition de l'affichage de l'alimentation sécurisée.

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l'aide en ligne

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l'affichage lorsque l'élément est connecté à plusieurs sources actives.
Alimentation multiple : L'élément est affiché selon les règles de l'alimentation multiple.
Alimentation sécurisée : L'élément est affiché selon les règles de l'alimentation sécurisée.
No priority (Pas de priorité) : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

LineCapStart

Type de démarrage

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de début de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineCapEnd

Type de terminaison

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de fin de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

VT_R4

LineCapScale

Dimension

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le facteur d'agrandissement de largeur de ligne de la flèche. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Epaisseur de ligne [Pixels].

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Valeur : supérieure ou égale à 1

Par défaut : 4

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineType

Type de la ligne

Sélection du type de ligne de l'élément dans la liste.
Attention : dans les paramètres du projet dans le nœud Apparence graphique, si vous désactivez la propriété Qualité graphique, vous pouvez uniquement utiliser une épaisseur de ligne >1 avec une ligne de type Trait continu.
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

FillPattern

Remplissage (type)

Sélection du motif de remplissage de l'élément dans la liste.

Cette propriété est uniquement disponible si la propriété Par les valeurs de luminosité est inactive.

Plus de détails dans l'aide en ligne

VT_BSTR

Coordinates

-

Spécifie la position du bord inférieur de la fenêtre d'aperçu sur l'écran (en pixels).

VT_R4

SplineTension

Arrondir

Disponible uniquement si vous avez activé l'option Qualité graphique dans les propriétés du projet dans le nœud Apparence graphique/Synoptiques.

Définit la valeur d'arrondi des polylignes, des polygones et des barres verticales.

Valeurs : 0,0 (pas d'arrondi) à 1,0 (arrondi maximal)

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l'élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Actif : La luminosité du dégradé de couleurs peut être librement définie.
Inactif : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Plus de détails dans l'aide en ligne

VT_BOOL

ALCAlias

Utiliser alias

Disponible uniquement si la propriété Couleur définie par CAL est active.
Actif : un alias est utilisé. Dans le Runtime, l'élément reçoit ses couleurs CAL d'un autre élément du modèle topologique, même s'il ne fait pas partie du modèle.

Plus de détails dans l'aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton .... pour ouvrir la boîte de dialogue et sélectionner un élément existant.

Plus de détails dans l'aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Alternative color (Couleur de remplacement).

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l'aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur two highest prior sources (Deux sources antérieures les plus élevées).

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l'aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l'aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant limitée fixe.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCVarCalcIEx

-

Ligne CAL : Valeur mesurée du flux de courant calculé pour l'exportation.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Variable pour la limite de la capacité de transport de courant

CDynEleVar

ALCVarMaxIEx

-

ZT_VARIABLE_DYN

BackColorVariable2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne


'Polygon' (tpPolygon)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Polygon' (tpPolygon)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaLineColor

Transparence du contour [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_I2

Lightning

Gradient de couleur

Disponible uniquement si la propriété Remplissage (type) a été définie sur Color gradient (Dégradé de couleurs).

Définit le dégradé de couleurs pour tous les éléments vectoriels.

Linéaire : dégradé continu
Defined point (Point défini) : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne.

ZT_COLOR

LineColorEx

Ligne (couleur)

Détermine la couleur de trait de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientAngle

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientOffset

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

LineColor

Ligne (couleur)

Couleur de ligne de l'élément.

Plus de détails dans l'aide en ligne

VT_UI2

LineWidth

Epaisseur de ligne [Pixels]

Épaisseur de la ligne (en pixels).
Minimum : 0
Dans ce cas, l'épaisseur de la ligne est de 1 pixel.
Maximum : 65535
Par défaut : 1
Attention : Dans les paramètres du projet dans le nœud Apparence graphique, si vous définissez la propriété Qualité graphique sur Windows basis (Configuration Windows), vous pouvez uniquement utiliser une épaisseur de ligne 1 avec une ligne de type Trait continu.

Plus de détails dans l'aide en ligne

VT_I2

Align

Alignement

Direction du dégradé de couleur.
– horizontal
– vertical

Plus de détails dans l'aide en ligne

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l'élément.

Plus de détails dans l'aide en ligne

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

Shifted

Gradient de couleur 'décalé'

La distance de décalage de l'effet de lumière par rapport au centre de l'élément

Plus de détails dans l'aide en ligne

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Actif : La couleur automatique de la source liée est utilisée.
Inactif : La couleur standard est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d'affichage lorsque l'élément est connecté à plusieurs sources :
La source la plus prioritaire : Seule la couleur de la source comportant la priorité la plus élevée est utilisée.
Les deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur alternative : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l'aide en ligne

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si la propriété Couleur définie par CAL a été activée.

Définition de l'affichage de l'alimentation sécurisée.

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l'aide en ligne

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l'affichage lorsque l'élément est connecté à plusieurs sources actives.
Alimentation multiple : L'élément est affiché selon les règles de l'alimentation multiple.
Alimentation sécurisée : L'élément est affiché selon les règles de l'alimentation sécurisée.
No priority (Pas de priorité) : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

LineCapStart

Type de démarrage

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de début de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineCapEnd

Type de terminaison

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de fin de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

VT_R4

LineCapScale

Dimension

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le facteur d'agrandissement de largeur de ligne de la flèche. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Epaisseur de ligne [Pixels].

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Valeur : supérieure ou égale à 1

Par défaut : 4

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineType

Type de la ligne

Sélection du type de ligne de l'élément dans la liste.
Attention : dans les paramètres du projet dans le nœud Apparence graphique, si vous désactivez la propriété Qualité graphique, vous pouvez uniquement utiliser une épaisseur de ligne >1 avec une ligne de type Trait continu.
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

FillPattern

Remplissage (type)

Sélection du motif de remplissage de l'élément dans la liste.

Cette propriété est uniquement disponible si la propriété Par les valeurs de luminosité est inactive.

Plus de détails dans l'aide en ligne

VT_BSTR

Coordinates

-

Spécifie la position du bord inférieur de la fenêtre d'aperçu sur l'écran (en pixels).

VT_R4

SplineTension

Arrondir

Disponible uniquement si vous avez activé l'option Qualité graphique dans les propriétés du projet dans le nœud Apparence graphique/Synoptiques.

Définit la valeur d'arrondi des polylignes, des polygones et des barres verticales.

Valeurs : 0,0 (pas d'arrondi) à 1,0 (arrondi maximal)

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l'élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Actif : La luminosité du dégradé de couleurs peut être librement définie.
Inactif : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Plus de détails dans l'aide en ligne

VT_BOOL

ALCAlias

Utiliser alias

Disponible uniquement si la propriété Couleur définie par CAL est active.
Actif : un alias est utilisé. Dans le Runtime, l'élément reçoit ses couleurs CAL d'un autre élément du modèle topologique, même s'il ne fait pas partie du modèle.

Plus de détails dans l'aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton .... pour ouvrir la boîte de dialogue et sélectionner un élément existant.

Plus de détails dans l'aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Alternative color (Couleur de remplacement).

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l'aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur two highest prior sources (Deux sources antérieures les plus élevées).

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l'aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l'aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant limitée fixe.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCVarCalcIEx

-

Ligne CAL : Valeur mesurée du flux de courant calculé pour l'exportation.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Variable pour la limite de la capacité de transport de courant

CDynEleVar

ALCVarMaxIEx

-

ZT_VARIABLE_DYN

BackColorVariable2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne


'Polyline' (tpPolyLine)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Polyline' (tpPolyLine)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaLineColor

Transparence du contour [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_I2

Lightning

Gradient de couleur

Disponible uniquement si la propriété Remplissage (type) a été définie sur Color gradient (Dégradé de couleurs).

Définit le dégradé de couleurs pour tous les éléments vectoriels.

Linéaire : dégradé continu
Defined point (Point défini) : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne.

ZT_COLOR

LineColorEx

Ligne (couleur)

Détermine la couleur de trait de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientAngle

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientOffset

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

LineColor

Ligne (couleur)

Couleur de ligne de l'élément.

Plus de détails dans l'aide en ligne

VT_UI2

LineWidth

Epaisseur de ligne [Pixels]

Épaisseur de la ligne (en pixels).
Minimum : 0
Dans ce cas, l'épaisseur de la ligne est de 1 pixel.
Maximum : 65535
Par défaut : 1
Attention : Dans les paramètres du projet dans le nœud Apparence graphique, si vous définissez la propriété Qualité graphique sur Windows basis (Configuration Windows), vous pouvez uniquement utiliser une épaisseur de ligne 1 avec une ligne de type Trait continu.

Plus de détails dans l'aide en ligne

VT_I2

Align

Alignement

Direction du dégradé de couleur.
– horizontal
– vertical

Plus de détails dans l'aide en ligne

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l'élément.

Plus de détails dans l'aide en ligne

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

Shifted

Gradient de couleur 'décalé'

La distance de décalage de l'effet de lumière par rapport au centre de l'élément

Plus de détails dans l'aide en ligne

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Actif : La couleur automatique de la source liée est utilisée.
Inactif : La couleur standard est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d'affichage lorsque l'élément est connecté à plusieurs sources :
La source la plus prioritaire : Seule la couleur de la source comportant la priorité la plus élevée est utilisée.
Les deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur alternative : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l'aide en ligne

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si la propriété Couleur définie par CAL a été activée.

Définition de l'affichage de l'alimentation sécurisée.

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l'aide en ligne

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l'affichage lorsque l'élément est connecté à plusieurs sources actives.
Alimentation multiple : L'élément est affiché selon les règles de l'alimentation multiple.
Alimentation sécurisée : L'élément est affiché selon les règles de l'alimentation sécurisée.
No priority (Pas de priorité) : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

LineCapStart

Type de démarrage

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de début de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineCapEnd

Type de terminaison

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de fin de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

VT_R4

LineCapScale

Dimension

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le facteur d'agrandissement de largeur de ligne de la flèche. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Epaisseur de ligne [Pixels].

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Valeur : supérieure ou égale à 1

Par défaut : 4

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineType

Type de la ligne

Sélection du type de ligne de l'élément dans la liste.
Attention : dans les paramètres du projet dans le nœud Apparence graphique, si vous désactivez la propriété Qualité graphique, vous pouvez uniquement utiliser une épaisseur de ligne >1 avec une ligne de type Trait continu.
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

FillPattern

Remplissage (type)

Sélection du motif de remplissage de l'élément dans la liste.

Cette propriété est uniquement disponible si la propriété Par les valeurs de luminosité est inactive.

Plus de détails dans l'aide en ligne

VT_BSTR

Coordinates

-

Spécifie la position du bord inférieur de la fenêtre d'aperçu sur l'écran (en pixels).

VT_R4

SplineTension

Arrondir

Disponible uniquement si vous avez activé l'option Qualité graphique dans les propriétés du projet dans le nœud Apparence graphique/Synoptiques.

Définit la valeur d'arrondi des polylignes, des polygones et des barres verticales.

Valeurs : 0,0 (pas d'arrondi) à 1,0 (arrondi maximal)

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l'élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Actif : La luminosité du dégradé de couleurs peut être librement définie.
Inactif : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Plus de détails dans l'aide en ligne

VT_BOOL

ALCAlias

Utiliser alias

Disponible uniquement si la propriété Couleur définie par CAL est active.
Actif : un alias est utilisé. Dans le Runtime, l'élément reçoit ses couleurs CAL d'un autre élément du modèle topologique, même s'il ne fait pas partie du modèle.

Plus de détails dans l'aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton .... pour ouvrir la boîte de dialogue et sélectionner un élément existant.

Plus de détails dans l'aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Alternative color (Couleur de remplacement).

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l'aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur two highest prior sources (Deux sources antérieures les plus élevées).

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l'aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l'aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant limitée fixe.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCVarCalcIEx

-

Ligne CAL : Valeur mesurée du flux de courant calculé pour l'exportation.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Variable pour la limite de la capacité de transport de courant

CDynEleVar

ALCVarMaxIEx

-

ZT_VARIABLE_DYN

BackColorVariable2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne


'Rectangle' (tpRectangle)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Rectangle' (tpRectangle)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaLineColor

Transparence du contour [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_I4

CornerAll_X

Tous les x [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de rayon de l'axe X (en pourcentage) pour tous les coins. Cette valeur est utilisée pour tous les coins dont les valeurs sont égales à -1. Les coins individuels peuvent ainsi être définir de manière indépendante.

Si la valeur du rayon est modifiée, tous les coins reçoivent automatiquement la valeur -1. Dans ce cas, tous les coins reprennent leur valeur prédéfinie.

Plage de valeurs : 0 % à 100 %.

Par défaut : 20

Plus de détails dans l'aide en ligne.

VT_I4

CornerAll_Y

Tous les y [%]

Disponible uniquement si la propriété Proportionnel est active et la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de rayon de l'axe Y (en pourcentage) pour tous les coins. Cette valeur est utilisée pour tous les coins dont les valeurs sont égales à -1. Les coins individuels peuvent ainsi être définir de manière indépendante.

Si la valeur du rayon est modifiée, tous les coins reçoivent automatiquement la valeur -1. Dans ce cas, tous les coins reprennent leur valeur prédéfinie.

Plage de valeurs : 0 % à 100 %.

Par défaut : 20

Plus de détails dans l'aide en ligne.

VT_I4

CornerLeftBottom_X

x bas/gauche [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe X pour le coin inférieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerLeftBottom_Y

y bas/gauche [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin inférieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerLeftTop_X

x haut/gauche [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe X pour le coin supérieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerLeftTop_Y

y haut/gauche [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin supérieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_BOOL

CornerProportional

Proportionnel

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Actif : Lors de la création d'un coin arrondi, seule la valeur X peut être saisie. La valeur Y est toujours la même.

Le pourcentage défini pour la propriété Tous les x [%] désigne le côté le plus court (largeur ou hauteur) de l'élément.

Inactif : Les valeurs X et Y peuvent être librement définies. La valeur X fait référence à la largeur de l'élément. La valeur Y fait référence à la hauteur de l'élément.

Par défaut : active

Plus de détails dans l'aide en ligne.

VT_I4

CornerRightBottom_X

x bas/droit [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de rayon de l'axe X pour le coin inférieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerRightBottom_Y

y bas/droit [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin inférieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerRightTop_X

x haut/droit [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe X pour le coin supérieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I4

CornerRightTop_Y

y haut/droit [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin supérieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

VT_I2

Lightning

Gradient de couleur

Disponible uniquement si la propriété Remplissage (type) a été définie sur Color gradient (Dégradé de couleurs).

Définit le dégradé de couleurs pour tous les éléments vectoriels.

Linéaire : dégradé continu
Defined point (Point défini) : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne.

ZT_COLOR

LineColorEx

Ligne (couleur)

Détermine la couleur de trait de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientAngle

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientOffset

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

LineColor

Ligne (couleur)

Couleur de ligne de l'élément.

Plus de détails dans l'aide en ligne

VT_UI2

LineWidth

Epaisseur de ligne [Pixels]

Épaisseur de la ligne (en pixels).
Minimum : 0
Dans ce cas, l'épaisseur de la ligne est de 1 pixel.
Maximum : 65535
Par défaut : 1
Attention : Dans les paramètres du projet dans le nœud Apparence graphique, si vous définissez la propriété Qualité graphique sur Windows basis (Configuration Windows), vous pouvez uniquement utiliser une épaisseur de ligne 1 avec une ligne de type Trait continu.

Plus de détails dans l'aide en ligne

VT_I2

Align

Alignement

Direction du dégradé de couleur.
– horizontal
– vertical

Plus de détails dans l'aide en ligne

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l'élément.

Plus de détails dans l'aide en ligne

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

Shifted

Gradient de couleur 'décalé'

La distance de décalage de l'effet de lumière par rapport au centre de l'élément

Plus de détails dans l'aide en ligne

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Actif : La couleur automatique de la source liée est utilisée.
Inactif : La couleur standard est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d'affichage lorsque l'élément est connecté à plusieurs sources :
La source la plus prioritaire : Seule la couleur de la source comportant la priorité la plus élevée est utilisée.
Les deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur alternative : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l'aide en ligne

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si la propriété Couleur définie par CAL a été activée.

Définition de l'affichage de l'alimentation sécurisée.

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l'aide en ligne

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l'affichage lorsque l'élément est connecté à plusieurs sources actives.
Alimentation multiple : L'élément est affiché selon les règles de l'alimentation multiple.
Alimentation sécurisée : L'élément est affiché selon les règles de l'alimentation sécurisée.
No priority (Pas de priorité) : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

LineCapStart

Type de démarrage

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de début de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineCapEnd

Type de terminaison

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de fin de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

VT_R4

LineCapScale

Dimension

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le facteur d'agrandissement de largeur de ligne de la flèche. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Epaisseur de ligne [Pixels].

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Valeur : supérieure ou égale à 1

Par défaut : 4

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineType

Type de la ligne

Sélection du type de ligne de l'élément dans la liste.
Attention : dans les paramètres du projet dans le nœud Apparence graphique, si vous désactivez la propriété Qualité graphique, vous pouvez uniquement utiliser une épaisseur de ligne >1 avec une ligne de type Trait continu.
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

FillPattern

Remplissage (type)

Sélection du motif de remplissage de l'élément dans la liste.

Cette propriété est uniquement disponible si la propriété Par les valeurs de luminosité est inactive.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l'élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Actif : La luminosité du dégradé de couleurs peut être librement définie.
Inactif : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Plus de détails dans l'aide en ligne

VT_BOOL

ALCAlias

Utiliser alias

Disponible uniquement si la propriété Couleur définie par CAL est active.
Actif : un alias est utilisé. Dans le Runtime, l'élément reçoit ses couleurs CAL d'un autre élément du modèle topologique, même s'il ne fait pas partie du modèle.

Plus de détails dans l'aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton .... pour ouvrir la boîte de dialogue et sélectionner un élément existant.

Plus de détails dans l'aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Alternative color (Couleur de remplacement).

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l'aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur two highest prior sources (Deux sources antérieures les plus élevées).

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l'aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l'aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant limitée fixe.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCVarCalcIEx

-

Ligne CAL : Valeur mesurée du flux de courant calculé pour l'exportation.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Variable pour la limite de la capacité de transport de courant

CDynEleVar

ALCVarMaxIEx

-

ZT_VARIABLE_DYN

BackColorVariable2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne


'Switch' (tpDynSchalter)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Switch' (tpDynSchalter)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

ShowState

Visualiser l'état de la variable

Actif : l'état des variables est indiqué par un carré de couleur au niveau de l'élément.

Couleur :
Un carré rouge indique un problème de communication avec l'automate.
Un carré bleu au niveau du client indique que la connexion entre le client et le serveur a été interrompue.
Un carré bleu au niveau de la station indique que la valeur n'a pas été initialisée.

Position du carré au niveau de l'élément selon la forme de l'élément :

Rond : bord supérieur, au milieu
Arrondi : coin supérieur droit, légèrement décalé vers la gauche
Rectangulaire et tous autres paramètres : coin supérieur droit

Inactif : L'état n'est pas affiché.

Plus de détails dans l'aide en ligne

VT_BOOL

ThreeDimensional

3D

Actif : L'élément est affiché en trois dimensions.
Inactif : L'élément est affiché en deux dimensions.

Plus de détails dans l'aide en ligne

VT_UI2

GraphicSize

Taille du graphique

Définition de la taille du fichier graphique.

  • Étiré : La taille du fichier est ajustée à la taille de l'élément.
  • Taille originale : L'élément graphique lié est affiché à sa taille originale.
    Lors de la sélection de cette option, les propriétés Largeur [pixels] et Hauteur [pixels] ne peuvent plus être configurées individuellement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur.

Par défaut : Étiré

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

StayPressed

Etat

Disponible uniquement si les propriétés Commutateur, Mode temporaire et Réaction immédiate sont actives.

Actif : Tant que l'utilisateur maintient le bouton de souris appuyé sur cet élément, son affichage graphique ne change pas, indépendamment des changements de valeurs possibles au niveau de l'automate. Au niveau de l'élément Commutateur, la propriété 3D doit être active pour que cela se produise.
Inactif : L'élément affiche toujours la valeur de la variable provenant de l'automate.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_BOOL

ResetOnLeave

Remise à 0 en quittant

Disponible uniquement si la propriété Mode temporaire est active :
Maintenez le bouton de la souris enfoncé et éloignez le pointeur de la souris du bouton pour réinitialiser automatiquement la valeur de la variable.

Plus de détails dans l'aide en ligne

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

VT_BOOL

Scanner

Mode temporaire

Disponible uniquement si la propriété Commutateur est active. (Exception : (Exception : toujours disponible dans l'élément dynamique Interrupteur.)Actif :
Actif : L'état cible (défini dans la propriété Mode temporaire MARCHE) est maintenu seulement tant que le bouton gauche de la souris est enfoncé et au moins pendant le temps définis par Durée de maintien [ms].
Inactif : L'état cible persiste après que le bouton de la souris ait été relâché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ScannerOn

Mode temporaire MARCHE

Disponible uniquement si la propriété Mode temporaire est active :
Actif : Bascule le commutateur sur ON (Marche).
Inactif : Bascule le commutateur sur OFF (Arrêt).
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

FastReaction

Réaction immédiate

Disponible uniquement si la propriété Commutateur est active :
Actif : Le commutateur change immédiatement de position dans le Runtime, indépendamment de la définition du bit lié au niveau l'automate. Lors du prochain cycle de mise à jour des drivers, le bit sera lu sur l'automate. Le commutateur correspondra alors à la position correcte du bit dans l'automate.
Attention : Le commutateur sera uniquement actionnable lorsque la valeur aura été lue sur l'automate.

Inactif : Le commutateur changera uniquement de position après que le bit ait été transmis à l'automate, puis lu sur l'automate.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI2

ReactionTime

Durée de maintien [ms]

Disponible uniquement si la propriété Commutateur est active :
Si la propriété Mode temporaire est active : Temps (en ms) durant lequel un état est maintenu à partir de l'instant où un clic gauche est effectué sur l'élément correspondant.

Si la propriété Mode temporaire est inactive : réaction retardée à un clic gauche.

Plus de détails dans l'aide en ligne

ZT_SHORTCUT

ShortCut

Raccourci clavier

Les raccourcis autorisent l'exécution d'éléments actionnables. Par exemple :

- Exécution d'éléments de contrôle et de fonctions attribuées à un élément
- Écriture de valeur prescrite (dans le cas d'un interrupteur, par exemple)
- Définition du focus de certaines fenêtres (telles que les courbes dans le module Tendance étendue ou les listes déroulantes dans le Gestionnaire de groupes de recettes)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l'aide en ligne

ZT_FILE

BitmapLow

Fichier graphique pour Off (0)

Fichier bitmap prédéfini ou défini par l'utilisateur pour l'état LOW (Bas) du commutateur.

Plus de détails dans l'aide en ligne

ZT_FILE

BitmapHigh

Fichier graphique pour On (1)

Fichier bitmap prédéfini ou défini par l'utilisateur pour l'état HIGH (Haut) du commutateur.

Plus de détails dans l'aide en ligne

VT_BOOL

Animate

Toujours

Actif : L'animation s'exécute toujours.
Inactif : L'animation ne s'exécute pas. Vous pouvez activer ou désactiver l'animation via un lien facultatif vers Variable.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

AnimateVar

Variable

Variable de bit permettant d'activer ou de désactiver l'animation.

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

CDynEleVar

DynEleVar

-

Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de largeur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.

ZT_IMAGELIST

PredefinedBitmaps

Graphiques prédéfinis

Des bitmaps prédéfinis pour l'état LOW/HIGH peuvent être sélectionnés dans la liste.

Plus de détails dans l'aide en ligne

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


'Combi' (tpDynStatus)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Combi' (tpDynStatus)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_BOOL

TopologyLRChanged

Bascule direction entrée/sortie (gauche / droite)

Bascule la connexion à gauche/droite des éléments topologiques comportant une connexion directe.

CStatusElemZustand

States

-

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

SymbolFormClickArea

La forme du symbole définie la zone de clic

Permet de créer un bouton à cliquer sous n'importe quelle forme. Disponible uniquement pour l 'option Symbole de la bibliothèque de l'élément combiné.

Actif : la forme du symbole est utilisée en tant que zone cliquable. Chaque élément du symbole est pris en compte individuellement pour la zone de clic.

Inactive : La forme de l'élément combiné (rectangle entier) est utilisée en tant que zone de clic.

Par défaut : Inactive

Attention : Indisponible pour for Windows CE.

Cette propriété est disponible à compter de la version 6.51. Pour les projets destinés aux précédentes versions du logiciel, la propriété est considérée comme inactive.

Plus de détails dans l'aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

Wordbreak

Retour à la ligne automatique

Actif : Le retour automatique à la ligne est utilisé pour le texte dans l'élément.
La longueur des lignes dépend de la largeur de l'élément.
Inactif : Le texte est affiché sur une ligne.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

FktOnDown

Exécution sur appui

Actif : La fonction liée est exécutée lorsque l'élément est actionné.
Inactif : La fonction liée est exécutée lorsque l'élément est relâché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

HorizontalAlign

Alignement horizontal

Alignement horizontal de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- aligné à gauche
- aligné à droite

Par défaut : centré

Plus de détails dans l'aide en ligne

VT_I2

VerticalAlign

Alignement vertical

Alignement vertical de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- au-dessus
- au-dessous

Par défaut : centré

Plus de détails dans l'aide en ligne

VT_BOOL

ThreeDimensional

3D

Actif : L'élément est affiché en trois dimensions.
Inactif : L'élément est affiché en deux dimensions.

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_UI2

RepresentationStyle

Type d'affichage

Bitmap : Vous pouvez sélectionner un bitmap pour chaque état.
Vous pouvez également modifier la couleur d'un symbole de synoptique.
Seulement symbole de synoptique : Pour chaque état, vous pouvez attribuer une couleur à un symbole déjà existant du synoptique.
Symbole de la bibliothèque : Pour chaque état, vous pouvez sélectionner un symbole de la bibliothèque, ainsi qu'une couleur de ligne et de remplissage.
Signe : Pour chaque état, vous pouvez définir un caractère (SICAM 230) uniquement.
Texte d'état et symbole de synoptique : un texte peut être défini pour chaque état.
Vous pouvez également modifier la couleur d'un symbole de synoptique.

Plus de détails dans l'aide en ligne

VT_BOOL

Overlapping

Superposer

Disponible uniquement pour un type d'affichage "Symbole de la bibliothèque" :
Actif : Si plusieurs attributions de valeurs sont actives, l'affichage sera superposé (c'est-à-dire que tous les états actifs seront affichés).
Inactif : Seul l'état comportant la priorité la plus élevée est affiché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SeparateColors

Couleurs séparées

Disponible uniquement si le chevauchement est actif.
Actif : Chaque état est affiché dans sa propre couleur.
Inactif : La couleur de l'état actif comportant la priorité la plus élevée sera utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SeparateBlinking

Clignotement séparé

Disponible uniquement si le chevauchement est actif.
Actif : Le clignotement de chaque état est affiché séparément.
Inactif : Le clignotement de l'état actif comportant la priorité la plus élevée sera utilisé.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

Chained

Textes chaînés

Disponible uniquement pour le type de représentation "Texte d'état" :
Actif : Lorsque plusieurs états s'appliquent, les textes d'état individuels sont affichés sous forme de chaîne combinée.
Inactif : Le texte de l'état actif comportant la priorité la plus élevée sera utilisé.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

FillColor

Transparent

Actif : L'arrière-plan du symbole est transparent.
Inactif : L'arrière-plan du symbole peut être défini individuellement pour chaque état.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

OriginalSize

Avec dimension originale

Actif : Le fichier bitmap est affiché à sa taille originale.
Inactif : Le fichier bitmap est étiré à la taille de l'élément de menu.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

IsPictureSymbol

Symbole de synoptique actif

Disponible uniquement pour un type d'affichage "Bitmap" ou "Texte d'état" :
Actif : Outre le bitmap animé ou le texte d'état, un symbole de synoptique peut également être contrôlé.
Inactif : Aucun symbole de synoptique ne peut être contrôlé en plus.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_UI2

PictureSymbol

Symbole de synoptique

Disponible uniquement pour le type d'affichage "Seulement symbole de synoptique" ou si l'option "Symbole de synoptique actif" est active :
Sélection du symbole de synoptique dont la couleur doit être changée en fonction de l'état.

Plus de détails dans l'aide en ligne

VT_BOOL

FillAreaOnly

Colorer uniquement remplissage

Actif : Le changement de couleur concerne uniquement la zone de remplissage.
Inactif : Le changement de couleur affecte également les lignes.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

BlinkingFromVariable

Reprende clignotement de la variable principale

Actif : L'attribut de clignotement des variables principales est utilisé et peut être acquitté au niveau de l'élément.
Inactif : Pas de clignotement.

Plus de détails dans l'aide en ligne

VT_BOOL

BlinkingFromAllVariables

Tenir compte du clignotement de toutes les variables

Disponible uniquement si l'option Name from variable (Nom issu de la variable) est désactivée.
Actif : L'attribut de clignotement de toutes les variables est utilisé.
Inactif : Seul l'attribut de clignotement de la variable principale est utilisé, ou aucun clignotement n'est défini (selon l'état de l'option Reprendre clignotement de la variable principale).

Plus de détails dans l'aide en ligne

VT_BOOL

BlinkingBackGroundTransparent

Arrière-plan clignotement transparent

Actif : L'arrière-plan du symbole est transparent lors du clignotement (l'arrière-plan d'un bitmap ne peut pas être affiché comme transparent).
Inactif : L'arrière-plan du symbole n'est pas transparent.

Plus de détails dans l'aide en ligne

ZT_COLOR

BlinkingBackColor

Arrière-plan clignotement (couleur)

La couleur d'arrière-plan avec l'option "Arrière-plan clignotant" n'est pas définie.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowState

Visualiser l'état de la variable principale

Si l'option "Display status" (Afficher l'état) est sélectionnée, l'attribution actuelle du bit d'état à la variable est affichée durant le fonctionnement en ligne, conjointement à l'affichage de la variable, lorsque l'utilisateur appuie sur le bouton droit de la souris.

Plus de détails dans l'aide en ligne

VT_BOOL

RedPoint

Visualiser l'état avec le carré

Si un état d'exception (par ex. "En défaut") est présent, une marque rouge est placée dans le coin supérieur droit de la zone de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

TopologyType

Type topologie

Type topologie

VT_UI1

TransformerSide

Coté transformateur

Côté transformateur

VT_UI1

SupplyNumber

Numéro d'alimentation

Numéro d'alimentation

ZT_COMBI

StateAndTest

Configuration et test

Ouvre la boîte de dialogue de définition des états.

Plus de détails dans l'aide en ligne

VT_BOOL

ColorFromVariable

Prendre la couleur de la variable principale

Actif : La couleur de remplissage des symboles embarqués et des symboles de la bibliothèque est définie par la variable principale avec l'état Par défaut en cas de dépassement de limite au niveau de la variable.
Ce qui signifie : tant qu'un dépassement de limite de la variable principale est actif, la couleur de remplissage provient de la couleur de valeur limite. La définition de couleur des états est remplacée ! Des attributs d'état supplémentaires, tels que Clignotement, Transparence ou Couleurs de symboles originales sont toutefois repris de la définition de l'état. Cette propriété n'affecte pas la notation du bitmap.

Exception : Si, pour l'état Par défaut, la propriété Couleurs de symboles originales est activée, la couleur de symbole originale est toujours utilisée.
Inactif : La couleur de la variable principale n'affecte pas la couleur affichée de l'élément combiné.
Par défaut : inactive.

Plus de détails dans l'aide en ligne

VT_BOOL

StayPressed

Etat

Disponible uniquement si les propriétés Commutateur, Mode temporaire et Réaction immédiate sont actives.

Actif : Tant que l'utilisateur maintient le bouton de souris appuyé sur cet élément, son affichage graphique ne change pas, indépendamment des changements de valeurs possibles au niveau de l'automate. Au niveau de l'élément Commutateur, la propriété 3D doit être active pour que cela se produise.
Inactif : L'élément affiche toujours la valeur de la variable provenant de l'automate.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

IsSetValue

Forçage valeurs actif

Actif : La configuration des variables pour cet élément dynamique est autorisée.
Inactif : La variable est protégée en écriture dans cet élément.

Plus de détails dans l'aide en ligne

ZT_COLOR

ButtonFillColor

Arrière-plan (couleur)

Couleur d'arrière-plan de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

SetValue

Valeur prescrite

Valeur devant être définie ou proposée en tant que valeur par défaut.
Si le paramètre Proposer la valeur actuelle est actif : Valeur ajoutée à la valeur numérique.
Associée à la propriété « Sans boîte de dialogue », l'augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I2

ALCType

Type de fonction

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL).

Sélection du type de fonction de l'élément. Cliquez sur le type de fonction pour ouvrir une liste déroulante de sélection :

  • Terminaison : Pour le côté barre omnibus ; bloque l'affichage du message d'erreur Line only connected on one side (Ligne connectée d'un côté seulement) lors de la compilation dans l'Éditeur.
  • Générateur : l'élément fonctionne comme un générateur (semblable à Source) ; si cette fonction est active, la couleur est transmise à la ligne suivante.
  • Aucune fonction : l'élément ne comporte aucune fonction dans le module Coloration Automatique des Lignes.
  • Lien : les informations de coloration automatique des lignes sont transférées d'un lien source vers un lien cible.
  • Source : si la source est active, la couleur est transmise à la ligne suivante.
  • Commutateur : La couleur est transmise à la ligne suivante si le sectionneur est fermé et s'il est alimenté par une source.
  • Vanne : fonctionne de la même manière que le paramètre commutateur. La couleur est transmise à la ligne suivante si la vanne est ouverte ou partiellement ouverte et si elle est alimentée par une source. Pour les valeurs de la variable principale : se reporter au manuel.
  • Drain : ce type de fonction n'a aucune incidence sur la coloration. VBA vous permet toutefois d'exécuter une requête pour déterminer si cet équipement est alimenté.
  • Transformateur : si l'élément est alimenté, il transforme une source (couleur) en une autre.
  • Sectionneur fonctionne de la même manière que le paramètre Commutateur, mais contient toutefois un verrouillage topologique (Sectionneur en charge). La couleur est transmise à la ligne suivante si le sectionneur est fermé et s'il est alimenté par une source.

Plus de détails dans l'aide en ligne

VT_I2

ALCSourceID

Source

Uniquement active si le type de fonction est Source ou Transformateur :
Sélection de la source/des transformateurs liés.

Plus de détails dans l'aide en ligne

VT_I2

ALCLinkID

Numéro de lien

Disponible uniquement si le type de fonction Lien a été sélectionné.
Numéro d'identification du lien. Un autre lien sur un écran différent doté du même numéro d'identification reprendra les données du lien source.

Plus de détails dans l'aide en ligne

VT_BOOL

ResetOnLeave

Remise à 0 en quittant

Disponible uniquement si la propriété Mode temporaire est active :
Maintenez le bouton de la souris enfoncé et éloignez le pointeur de la souris du bouton pour réinitialiser automatiquement la valeur de la variable.

Plus de détails dans l'aide en ligne

VT_R8

Min

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite inférieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l'aide en ligne

VT_R8

Max

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite supérieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l'aide en ligne

VT_BOOL

HWDirect

Sans dialogue

Actif : La valeur est transmise au matériel sans qu'il soit possible de la modifier dans Runtime.
Inactif : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l'aide en ligne

VT_BOOL

Preset

Proposer la valeur courante

Actif : La valeur réelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous « Valeur prescrite / Modification de valeur » avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactif : La valeur définie dans la propriété « Valeur prescrite / Modification de valeur » est proposée.

Plus de détails dans l'aide en ligne

VT_BOOL

LimitFromVar

Plages de la variable

Actif : La limitation de la plage pour laquelle lest valeurs prescrites peuvent être écrites n'est pas définie par l'intermédiaire des paramètres « Min » et « Max », mais est directement issue des définitions de variables (bouton « Étendue »).
Inactif : La plage peut être directement limitée par les paramètres « Minimum » et « Maximum ».

Plus de détails dans l'aide en ligne

VT_UI1

SetValueWith

Spécifier valeur prescrite par

Envoyer valeur avec:
Envoi de commande : la nouvelle valeur est définie à l'aide du paramètre Saisie valeur prescrite dans la section Commandes.

boîte de dialogue : la nouvelle valeur est saisie à l'aide d'une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boite de dialogue standard.

Élément : La valeur est saisie directement dans l'élément graphique (uniquement pour les éléments Valeur numérique et Texte dynamique).

Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l'aide en ligne

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Saisie valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle qu'elle est définie dans les propriétés correspondantes
3) Coordonnée gauche de l'élément, en pixels
4) Coordonnée supérieure de l'élément, en pixels
5) Coordonnée droite de l'élément, en pixels
6) Coordonnée inférieure de l'élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes

Plus de détails dans l'aide en ligne

ZT_FUNCTION_DYN

Function

Fonction

Nom de la fonction liée.
Ouvre la boîte de dialogue de sélection.
Cette fonction est exécutée si l'utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

<CD_SIEMENS_PRODUCTNAME et élément synoptique d'alarmes uniquement :

outre la propriété standard Appel de synoptique, le synoptique dont les états d'alarmes doivent être affichés seront déterminés par la fonction liée.
Obligatoire (sauf si le paramètre Global est actif)

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

VT_BOOL

Switch

Commutateur

Disponible uniquement si la propriété Forçage valeurs actif est inactive.

Actif : l'élément modifie la valeur d'une variable de bit.
Inactif : l'élément exécute une fonction.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

Scanner

Mode temporaire

Disponible uniquement si la propriété Commutateur est active. (Exception : (Exception : toujours disponible dans l'élément dynamique Interrupteur.)Actif :
Actif : L'état cible (défini dans la propriété Mode temporaire MARCHE) est maintenu seulement tant que le bouton gauche de la souris est enfoncé et au moins pendant le temps définis par Durée de maintien [ms].
Inactif : L'état cible persiste après que le bouton de la souris ait été relâché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ScannerOn

Mode temporaire MARCHE

Disponible uniquement si la propriété Mode temporaire est active :
Actif : Bascule le commutateur sur ON (Marche).
Inactif : Bascule le commutateur sur OFF (Arrêt).
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

FastReaction

Réaction immédiate

Disponible uniquement si la propriété Commutateur est active :
Actif : Le commutateur change immédiatement de position dans le Runtime, indépendamment de la définition du bit lié au niveau l'automate. Lors du prochain cycle de mise à jour des drivers, le bit sera lu sur l'automate. Le commutateur correspondra alors à la position correcte du bit dans l'automate.
Attention : Le commutateur sera uniquement actionnable lorsque la valeur aura été lue sur l'automate.

Inactif : Le commutateur changera uniquement de position après que le bit ait été transmis à l'automate, puis lu sur l'automate.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI2

ReactionTime

Durée de maintien [ms]

Disponible uniquement si la propriété Commutateur est active :
Si la propriété Mode temporaire est active : Temps (en ms) durant lequel un état est maintenu à partir de l'instant où un clic gauche est effectué sur l'élément correspondant.

Si la propriété Mode temporaire est inactive : réaction retardée à un clic gauche.

Plus de détails dans l'aide en ligne

ZT_SHORTCUT

ShortCut

Raccourci clavier

Les raccourcis autorisent l'exécution d'éléments actionnables. Par exemple :

- Exécution d'éléments de contrôle et de fonctions attribuées à un élément
- Écriture de valeur prescrite (dans le cas d'un interrupteur, par exemple)
- Définition du focus de certaines fenêtres (telles que les courbes dans le module Tendance étendue ou les listes déroulantes dans le Gestionnaire de groupes de recettes)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

CDynEleVar

DynEleVar

-

Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de largeur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_BOOL

KbdUsage

Utiliser le synoptique clavier

Lors de la sélection de l'élément dans le Runtime, le clavier est affiché.
Lors de la sélection d'un champ de saisie libre dans le Runtime, le synoptique de clavier DIALOGKBD est appelé, s'il est disponible.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_PICTURE

KbdName

Synoptique clavier

Nom du synoptique de type Clavier lié.
Disponible uniquement si un synoptique de type Clavier est utilisé :

Si aucun synoptique de type Clavier n'est sélectionné ici, le synoptique SETSTRINGKBD est ouvert pour les variables de type chaîne, le synoptique SETVALUEKBD est ouvert pour les valeurs numériques (variables sans bit) et le synoptique SETBOOLKBD est ouvert pour les variables de type bit.

Plus de détails dans l'aide en ligne

VT_BOOL

ALCAlias

Utiliser alias

Disponible uniquement si la propriété Couleur définie par CAL est active.
Actif : un alias est utilisé. Dans le Runtime, l'élément reçoit ses couleurs CAL d'un autre élément du modèle topologique, même s'il ne fait pas partie du modèle.

Plus de détails dans l'aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton .... pour ouvrir la boîte de dialogue et sélectionner un élément existant.

Plus de détails dans l'aide en ligne.

VT_BOOL

ALCExchangeInOut

Commuter entrée/sortie

Disponible uniquement si vous avez sélectionné Transformateur, Interrupteur, Vanne ou Séparateur pour l'option Type de fonction.

Actif : Déplace l'entrée de l'élément du module de coloration automatique des lignes vers la droite ou vers le bas et la sortie de l'élément vers la gauche ou vers le haut.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_I2

ALCGroundFaultType

Type

Disponible uniquement si vous avez sélectionné l'option Interrupteur pour la propriété Type de fonction.

Définit la direction (Leading [Devant]/Lagging [Derrière]) et le type de traitement du message (Aucun, Permanent message [Message permanent] ou Wiper [Variable]):

Aucun : interrupteur normal

Permanent message (Message permanent) : le message est considéré comme un déclenchement de défaut de terre.

Variable : les messages reçus durant une recherche de courant sont supprimés.

Retard : vous devez attendre 2 secondes avant le premier flanc montant d'une direction.

Avance : l'état actuel de la direction est utilisé.

Par défaut : aucun

Plus de détails dans l' aide en ligne .

ZT_VARIABLE_DYN

ALCGroundFaultVarDisp

Afficher

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de sortie de la détection d'erreur de manière à afficher l'état de l'équipement de détection de défaut de terre. La variable liée ici doit être une variable locale afin d'éviter tout problème de fonctionnement du réseau. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCGroundFaultVarDispEx

-

ZT_VARIABLE_DYN

ALCGroundFaultVarFwd

En avant

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de défaut de terre en avant. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCGroundFaultVarFwdEx

-

ZT_VARIABLE_DYN

ALCGroundFaultVarRev

En arrière

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de défaut de terre en arrière. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCGroundFaultVarRevEx

-

ZT_VARIABLE_DYN

ALCGroundFaultVarTrg

Déclenchement

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable affichant la détection d'un défaut de terre. Pour les équipements utilisant une détection de défaut de terre directionnelle, la direction (En arrière ou En avant) doit également être définie. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCGroundFaultVarTrgEx

-

VT_I2

ALCLoadType

Charger

VT_R8

ALCLoadVal

Charge fixe [A]

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l'aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant limitée fixe.

Plus de détails dans l'aide en ligne.

VT_I2

ALCReverseSourceID

Source pour alimentation inverse

Disponible uniquement si vous avez sélectionné l'option Transformateur pour la propriété Type de fonction.

Sélection des transformateurs liés.

Si vous sélectionnez une autre source comme UNDEFINED [0], le transformateur peut assurer une production réversible. Cela signifie que le transformateur se comporte de la même manière dans les deux directions : de l'entrée vers la sortie (en avant), mais également de la sortie vers l'entrée (en arrière). La seule différence est que la propriété Source pour alimentation inverse est utilisée pour la distribution ultérieure du numéro de source, et non la propriété Source.

Remarque : les états de réseau défaillants ou les configurations manquantes, tels qu'un signal provenant de l'entrée et de la sortie en même temps ou qu'un court-circuit à l'entrée et à la sortie, ne sont pas colorés de manière particulière. Cela signifie que le transformateur capable d'assurer une production réversible se comporte comme deux transformateurs commutés de manière antiparallèle, qui ne sont pas capables d'assurer une production réversible.

Plus de détails dans l'aide en ligne

VT_I2

ALCShortFaultType

Type

Disponible uniquement si vous avez sélectionné l'option Interrupteur pour la propriété Type de fonction.

Définit le traitement du message (Aucun ou Permanent message [Message permanent] et sa direction (Leading [Devant]/Lagging (Derrière]).

Aucun : interrupteur normal

Permanent message (Message permanent) : le message est considéré comme un déclenchement de défaut de terre.

Retard : vous devez attendre le premier flanc montant d'une direction.

Avance : l'état actuel de la direction est utilisé.

Par défaut : aucun

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCShortFaultVarDisp

Afficher

Disponible uniquement si un élément Type a été sélectionné.

Définit la variable de sortie de la détection d'erreur de manière à afficher l'état de l'équipement de détection de court-circuit. La variable liée ici doit être une variable locale afin d'éviter tout problème de fonctionnement du réseau. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCShortFaultVarDispEx

-

ZT_VARIABLE_DYN

ALCShortFaultVarFwd

En avant

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de court-circuit en avant. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCShortFaultVarFwdEx

-

ZT_VARIABLE_DYN

ALCShortFaultVarRev

En arrière

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de court-circuit en arrière. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCShortFaultVarRevEx

-

ZT_VARIABLE_DYN

ALCShortFaultVarTrg

Déclenchement

Disponible uniquement si un élément Type a été sélectionné.

Définit la variable du message de l'équipement de détection de court-circuit. Pour les équipements utilisant une détection de court-circuit directionnelle, la direction (En avant ou En arrière) doit également être définie. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCShortFaultVarTrgEx

-

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCVarCalcIEx

-

Ligne CAL : Valeur mesurée du flux de courant calculé pour l'exportation.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarCurI

Valeur mesurée du courant pour le flux actuel

CDynEleVar

ALCVarCurIEx

-

ZT_VARIABLE_DYN

ALCVarCurP

Valeur mesurée de la puissance apparente actuelle

CDynEleVar

ALCVarCurPEx

-

ZT_VARIABLE_DYN

ALCVarLoad

Variable Charge

CDynEleVar

ALCVarLoadEx

-

ZT_VARIABLE_DYN

ALCVarMaxI

Variable pour la limite de la capacité de transport de courant

CDynEleVar

ALCVarMaxIEx

-

ZT_VARIABLE_DYN

ALCVarProtReact

Valeur de réactance de la protection

CDynEleVar

ALCVarProtReactEx

-

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


CStatusElemZustand-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> CStatusElemZustand-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_COLOR | BkColor | - | Indique si les millisecondes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.
VT_BOOL | Blinking | - | Cette propriété obtient/définit le nombre de valeurs insérées dans un fichier d'archive. Par exemple : un cycle d'analyse de 1 seconde et une création de fichier cyclique toutes toutes les 30 secondes définit une valeur de 30 pour la propriété Cycle.
ZT_COLOR | Color | - | Variable contenant, sous forme de valeur, le nombre d'alarmes actives pour la classe d'alarmes/d'événements sélectionnée dans ce domaine d'alarmes.Ouvre la boîte de dialogue de sélection de variables.
VT_BSTR | DownText | - | Configure l'impression en ligne (par ex. pour un poste sans personnel) conformément à un état défini (activer, désactiver, actif/inactif).0 &rarr; Actif/Inactif1 &rarr; Activer2 &rarr; Désactiver
VT_BSTR | Formula | - | Ces propriétés sont uniquement disponibles si le module Industrial Maintenance Manager (IMM) comporte une licence.Propriétés du module IMM.
VT_BOOL | BkTransparent | - | Définition de l'angle d'un quartier de cercle
VT_BOOL | LayerTransparent | - | Affiche la boîte de dialogue de sélection de recette dans le Runtime, si la propriété est définie sur TRUE.
VT_UI8 | Status | - | Propriétés de définition des couleurs de la liste chronologique d'événements (CEL).
VT_UI8 | StatusMask | - |
VT_BOOL | IsSymbolColor | - | Spécifie la valeur de la durée (en secondes) devant être ajoutée ou soustraite (voir la propriété AddLen).
VT_BSTR | SymbolName | - | Cette propriété vous permet de définir le mot fort de l'état du texte chaîné.
VT_BSTR | SymbolPath | - | Cette propriété obtient/définir les bits d'état standard de l'état d'une matrice de réaction, par ex. zRema.DynProperties("State[1].ReaStatusMaskeStd") = &H40000 (I-BIT) Conseil : Pour plus d'informations, reportez-vous à l'aide relative à l'obtention des informations d'état.
VT_BSTR | TextOrBitmap | - | Couleur du texte des entrées de la liste chronologique d'événements (CEL).ATTENTION : Si la couleur associée à la classe des entrées dans le module de gestion des alarmes est utilisée comme couleur de texte, celle-ci est traitée avec une priorité plus élevée.ATTENTION : Pour utiliser la même couleur de texte pour l'ensemble de la liste, il est nécessaire d'utiliser également la même couleur pour les entrées non triées.
VT_BOOL | IsTopologyBkColor | - | Nombre maximum de tentatives.
VT_BOOL | IsTopologyColor | - | Indique si les options de temps doivent être affichées avec la date lors de l'enregistrement des valeurs.ConseilDisponible uniquement si l'une des options suivantes a été activée dans la propriété dynamique Entry (Entrée) : Heure de réception, Heure d'effacement, Heure d'acquittement et/ou Heure de réactivation
VT_UI4 | Value | - | Définition de la couleur du cadre.
VT_UI4 | ValueMask | - | Les textes de limite dynamiques utilisent le champ "texte de réaction" (commentaire) pour stocker la chaîne dynamique (limité à 80 caractères).Actif : Le champ Texte de réaction est disponible pour les commentaires ; il peut contenir jusqu'à 256 caractères. Outre le fichier A*.AML, un fichier nommé D*.AML est créé, dans lequel se trouve les contenus dynamiques.Inactif : le champ Texte de réaction est réservé aux textes de limite dynamique ; la saisie de commentaires est verrouillée.(Par défaut) Inactif :
VT_UI4 | Additive | - |
VT_UI4 | AdditiveMask | - | Spécifie le nombre de caractères pour les entrées de texte, pour l'option Classe (propriété dynamique Entry, option F).


'Symbol' (tpSymbol)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Symbol' (tpSymbol)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

CSymbLibProp

ExpProps

-

CDrawObj

Element-Dynpropertiess

-

VT_BSTR

Description

Description

Description spécifique du symbole. Vous pouvez également filtrer les informations en fonction de cette propriété.

Plus de détails dans l'aide en ligne.

VT_UI2

PropSymbolNumber

Numéro symbôle

Numéro unique des symboles.

Plus de détails dans l'aide en ligne

VT_BSTR

Category

Catégorie

Concept de catégorisation. Vous pouvez également filtrer ou grouper en fonction de cette propriété.

Plus de détails dans l'aide en ligne.


CSymbLibProp-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> CSymbLibProp-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description


CDrawObj-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> CDrawObj-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne


'Linked Symbol' (tpSymbolLnk)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Linked Symbol' (tpSymbolLnk)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI2

GraphicSize

Taille du graphique

Définition de la taille du fichier graphique.

  • Étiré : La taille du fichier est ajustée à la taille de l'élément.
  • Taille originale : L'élément graphique lié est affiché à sa taille originale.
    Lors de la sélection de cette option, les propriétés Largeur [pixels] et Hauteur [pixels] ne peuvent plus être configurées individuellement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur.

Par défaut : Étiré

Plus de détails dans l'aide en ligne

VT_BSTR

SubstituteSource

Source

Remplacement de variables et/ou de fonctions dans un symbole.

Saisissez la variable source/fonction source. Vous pouvez utiliser des opérateurs (?,*). Séparez les entrées multiples par un point-virgule (;).

Vous pouvez définir la cible à l'aide de la propriété Destination.
Exemple : Variables référencées dans le symbole : Tank1.fill level (Niveau de remplissage de la cuve n°1) et Tank1.position of the valve (Position de la vanne de la cuve n°1). Ces variables doivent être remplacées par Tank2.fill level (Niveau de remplissage de la cuve n°2) Tank2.position of the valve (Position de la vanne de la cuve n°2).
Pour cela, saisissez *1* pour Source et 2 pour Destination. Dans le Runtime, les variables contenant 1 sont remplacées par les variables contenant 2.

Plus de détails dans l'aide en ligne

VT_BSTR

SubstituteDestination

Destination

Remplacement de variables et/ou de fonctions dans un symbole.
Saisissez les nouvelles variables/fonctions à attribuer. Aucun opérateur n'est autorisé ici. Séparez les entrées multiples par un point-virgule (;).

Vous pouvez définir les sources à l'aide de la propriété Source.
Exemple : Variables référencées dans le symbole : Tank1.fill level (Niveau de remplissage de la cuve n°1) et Tank1.position of the valve (Position de la vanne de la cuve n°1). Ces variables doivent être remplacées par Tank2.fill level (Niveau de remplissage de la cuve n°2) Tank2.position of the valve (Position de la vanne de la cuve n°2).
Pour cela, saisissez *1* pour Source et 2 pour Destination. Dans le Runtime, les variables contenant 1 sont remplacées par les variables contenant 2.

Plus de détails dans l'aide en ligne

VT_BOOL

SubstituteOnName

par le nom de variable

Actif : Le remplacement des liens est mis en œuvre par l'intermédiaire du nom des variables.
Inactif : Le remplacement des liens est mis en œuvre par l'intermédiaire du nom des variables.

Plus de détails dans l'aide en ligne

VT_BOOL

SubstituteMatchCase

Respecter la casse

Actif : La capitalisation (lettres majuscules/minuscules) est prise en compte lors de la saisie de la source et la cible pour le remplacement des variables et/ou des fonctions.
Inactif : La capitalisation (lettres majuscules/minuscules) est prise en compte lors de la saisie de la source et la cible pour le remplacement des variables et/ou des fonctions.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_UI2

PropSymbolNumber

Numéro symbôle

Numéro unique des symboles.

Plus de détails dans l'aide en ligne

VT_BSTR

LinkName

Nom du symbole lié

Nom du symbole lié.

Plus de détails dans l'aide en ligne

VT_BOOL

SubstituteCombinedName

Noms hiérarchiques

Actif : les noms des variables liées sont formés à partir du nom d'objet du symbole et des variables définies dans le symbole. Les deux noms sont séparés par un point : "NomSymbole.Variable"
Inactif : Les noms de variable normaux sont utilisés.
Par défaut : Inactive
Exemple :
Nom de la variable : Motor.Speed
Le nom d'objet du symbole est Motor. L'élément dynamique utilisé dans le symbole comporte l'opérateur Speed en tant que variable liée.
L'opérateur Régime peut facilement être saisi pour la propriété du symbole lors de la création de la variable.
Les noms combinés fonctionnent également avec les symboles imbriqués :
Si vous avez un symbole Pompe, qui contient à son tour un symbole Moteur et un symbole Convertisseur avec l'opérateur de variable Puissance, la liaison fonctionne en présence d'une variable Pompe.Moteur.Puissance et d'une variable Pompe.Convertisseur.Puissance.

Plus de détails dans l'aide en ligne

VT_BSTR

Preview

Aperçu

Disponible uniquement si une variable est liée au symbole.

Ouvre la boîte de dialogue de remplacement des liens. Les modifications de l'aperçu sont reprises et inversées dans les propriétés Source et Destination.

Plus de détails dans l'aide en ligne


227

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 227

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne


'Static text' (tpText)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Static text' (tpText)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_LOGSCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

ATTENTION : cette option concerne uniquement les polices embarquées.

Plus de détails dans l'aide en ligne

ZT_COLOR

TextColor

Texte (couleur)

Couleur du texte de l'élément.

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BOOL

Transparent

Transparent

Actif : Désactive la couleur d'arrière-plan de l'élément.

L'effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l'aide en ligne

VT_BOOL

Wordbreak

Retour à la ligne automatique

Actif : Le retour automatique à la ligne est utilisé pour le texte dans l'élément.
La longueur des lignes dépend de la largeur de l'élément.
Inactif : Le texte est affiché sur une ligne.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

HorizontalAlign

Alignement horizontal

Alignement horizontal de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- aligné à gauche
- aligné à droite

Par défaut : centré

Plus de détails dans l'aide en ligne

VT_I2

VerticalAlign

Alignement vertical

Alignement vertical de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- au-dessus
- au-dessous

Par défaut : centré

Plus de détails dans l'aide en ligne

VT_BSTR

Text

Texte

Texte à afficher sur le synoptique.

En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez &&.

La chaîne de caractères \n permet d'insérer un saut de ligne.

Plus de détails dans l'aide en ligne

VT_UI2

TextAngle

Angle du texte [°]

Angle d'affichage du texte

Attention : cette option concerne uniquement les polices embarquées.

Plus de détails dans l'aide en ligne

VT_UI2

TextLetterAngle

Inclinaison des lettres [°]

Inclinaison des lettres.

Plus de détails dans l'aide en ligne


'Trend curve' (tpDynTrend)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Trend curve' (tpDynTrend)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BOOL

ThreeDimensional

3D

Actif : L'élément est affiché en trois dimensions.
Inactif : L'élément est affiché en deux dimensions.

Plus de détails dans l'aide en ligne

VT_BOOL

Area

Visualiser courbes en tant que surfaces

Actif : Les courbes sont représentées sous forme d'appels de fonctions.
Inactif : Les courbes sont affichées sous forme de lignes.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

NoInterpolation

Ne pas interpoler

Actif : Les valeurs sont liées sans interpolation, par étapes.
Inactif : Les valeurs sont liées avec interpolation.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

NumericalValues

Visualiser valeurs numériques

Actif : Les valeurs de la dernière actualisation sont affichées sous forme de nombres pour toutes les variables liées.
Inactif : Les valeurs ne sont pas affichées.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

Axes

Visualiser axes

Actif : L'axe de temps et de pourcentage est affiché.
Inactif : Aucun axe n'est affiché.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

Addresses

Afficher information courbe

Actif : Le nom ou le texte source modifié et la plage de mesure des variables liées sont affichés dans une légende.
Inactif : Aucune légende n'est affichée.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_I2

ScrollWidth

Largeur de défilement [%]

Cette propriété définit le pourcentage suivant lequel la courbe sera déplacée lorsque la limite d'affichage est atteinte ; des valeurs comprises entre 0 et 100 % sont autorisées.
0% : Supprimer l'entrée la plus ancienne pour chaque nouvelle entrée.
50% : En cas de dépassement de valeur limite, la moitié de la plage d'affichage est supprimée et l'écriture se poursuit.
100% : En cas de dépassement de valeur limite, la totalité de la plage d'affichage est supprimée et l'écriture reprend depuis le début.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI2

Direction

Sens de déplacement

Cette propriété définit la disposition de l'axe de temps affiché.
À droite : valeur la plus ancienne à gauche, valeur la plus récente à droite.
À gauche : valeur la plus ancienne à droite, valeur la plus récente à gauche.
En haut : valeur la plus ancienne en bas, valeur la plus récente en haut.
En bas : valeur la plus ancienne en haut, valeur la plus récente en bas.
Si les axes sont affichés, une flèche fans le coin inférieur de l'élément indique la direction.
Par défaut : vers la droite

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

VT_UI4

RepresentationHour

heures

Représentation des heures de la période
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI2

RepresentationMinute

Minutes

Représentation des minutes de la période
Minimum : 0.
Maximum : 59.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI2

RepresentationSecond

secondes

Représentation des secondes de la période
Minimum : 0.
Maximum : 59.
Par défaut : 0.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

VT_UI4

RefreshHour

heures

Heures de l'heure de mise à jour.
Minimum : 0.
Maximum : 119304.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI2

RefreshMinute

Minutes

Minutes de l'heure de mise à jour.
Minimum : 0.
Maximum : 59.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI2

RefreshSecond

secondes

Secondes de l'heure de mise à jour.
Minimum : 0.
Maximum : 59.
Par défaut : 1.

Plus de détails dans l'aide en ligne

VT_UI2

RefreshMilliSecond

Millisecondes

Millisecondes de l'heure de mise à jour.
Minimum : 0.
Maximum : 999.
Par défaut : 0.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

CDynEleVarTrend

Curves

Courbes

Propriétés des courbes de l'élément Tendance.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


CDynEleVarTrend-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> CDynEleVarTrend-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_COLOR | LineColor | Ligne (couleur) | Couleur normale ; la couleur de valeur limite est utilisée en cas de dépassement de limite. Plus de détails dans l'aide en ligne
VT_UI2 | LineStyle | Type de la ligne | Ligne continue, tirets, tiret-point. Plus de détails dans l'aide en ligne
VT_R8 | ViewMin | Plage d'affichage min. | Valeur minimale de la plage d'affichage technique de la courbe (extrait agrandi). Minimum : Valeur minimum de la variable. Maximum : Valeur maximum de la variable. Par défaut : Valeur minimum de la variable. Plus de détails dans l'aide en ligne
VT_R8 | ViewMax | Plage d'affichage max. | Valeur maximale de la plage d'affichage technique de la courbe (extrait agrandi). Minimum : Valeur minimum de la variable. Maximum : Valeur maximum de la variable. Par défaut : Valeur maximum de la variable. Plus de détails dans l'aide en ligne
VT_BSTR | TrendText | Nom de la courbe | Afficher si l'option "Afficher information courbe" est définie. Si cette propriété reste vide, le nom de la variable est affiché. Plus de détails dans l'aide en ligne
VT_BOOL | ViewLimitFromVar | Appliquer la plage de visualisation à partir de la variable | Reprend la zone d'affichage de la variable liée. Vous pouvez actualiser cet affichage durant le remplacement par une variable comportant une plage de valeurs différente. Plus de détails dans l'aide en ligne.


'Clock' (tpDynUhr)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Clock' (tpDynUhr)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_COLOR

TextColor

Texte (couleur)

Couleur du texte de l'élément.

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BOOL

Transparent

Transparent

Actif : Désactive la couleur d'arrière-plan de l'élément.

L'effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowState

Visualiser l'état de la variable

Actif : l'état des variables est indiqué par un carré de couleur au niveau de l'élément.

Couleur :
Un carré rouge indique un problème de communication avec l'automate.
Un carré bleu au niveau du client indique que la connexion entre le client et le serveur a été interrompue.
Un carré bleu au niveau de la station indique que la valeur n'a pas été initialisée.

Position du carré au niveau de l'élément selon la forme de l'élément :

Rond : bord supérieur, au milieu
Arrondi : coin supérieur droit, légèrement décalé vers la gauche
Rectangulaire et tous autres paramètres : coin supérieur droit

Inactif : L'état n'est pas affiché.

Plus de détails dans l'aide en ligne

VT_I2

HorizontalAlign

Alignement horizontal

Alignement horizontal de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- aligné à gauche
- aligné à droite

Par défaut : centré

Plus de détails dans l'aide en ligne

VT_I2

VerticalAlign

Alignement vertical

Alignement vertical de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- au-dessus
- au-dessous

Par défaut : centré

Plus de détails dans l'aide en ligne

VT_BOOL

ShowUnit

Afficher l'unité

Uniquement disponible pour :
Général : si la propriété Visu. valeur a été activée.
Pour l'élément Horloge : disponible uniquement si le paramètre Différence de temps a été sélectionné pour l'élément Type d'affichage.
Pour l'élément Instrument à aiguille : uniquement disponible si la propriété 3D a été activée.

Actif : L'unité technique de la variable liée est affichée derrière la valeur.
Si la valeur est affichée en pourcentage, le caractère de pourcentage % est affiché à la place de l'unité de la variable liée.Inactif :
Inactif : l'unité n'est pas affichée.
Par défaut : active.

Remarque :

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

IsSetValue

Forçage valeurs actif

Actif : La configuration des variables pour cet élément dynamique est autorisée.
Inactif : La variable est protégée en écriture dans cet élément.

Plus de détails dans l'aide en ligne

VT_R8

SetValue

Valeur prescrite

Valeur devant être définie ou proposée en tant que valeur par défaut.
Si le paramètre Proposer la valeur actuelle est actif : Valeur ajoutée à la valeur numérique.
Associée à la propriété « Sans boîte de dialogue », l'augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_R8

Min

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite inférieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l'aide en ligne

VT_R8

Max

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite supérieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l'aide en ligne

VT_BOOL

HWDirect

Sans dialogue

Actif : La valeur est transmise au matériel sans qu'il soit possible de la modifier dans Runtime.
Inactif : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l'aide en ligne

VT_BOOL

Preset

Proposer la valeur courante

Actif : La valeur réelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous « Valeur prescrite / Modification de valeur » avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactif : La valeur définie dans la propriété « Valeur prescrite / Modification de valeur » est proposée.

Plus de détails dans l'aide en ligne

VT_BOOL

LimitFromVar

Plages de la variable

Actif : La limitation de la plage pour laquelle lest valeurs prescrites peuvent être écrites n'est pas définie par l'intermédiaire des paramètres « Min » et « Max », mais est directement issue des définitions de variables (bouton « Étendue »).
Inactif : La plage peut être directement limitée par les paramètres « Minimum » et « Maximum ».

Plus de détails dans l'aide en ligne

VT_UI1

SetValueWith

Spécifier valeur prescrite par

Envoyer valeur avec:
Envoi de commande : la nouvelle valeur est définie à l'aide du paramètre Saisie valeur prescrite dans la section Commandes.

boîte de dialogue : la nouvelle valeur est saisie à l'aide d'une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boite de dialogue standard.

Élément : La valeur est saisie directement dans l'élément graphique (uniquement pour les éléments Valeur numérique et Texte dynamique).

Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l'aide en ligne

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Saisie valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle qu'elle est définie dans les propriétés correspondantes
3) Coordonnée gauche de l'élément, en pixels
4) Coordonnée supérieure de l'élément, en pixels
5) Coordonnée droite de l'élément, en pixels
6) Coordonnée inférieure de l'élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

VT_I2

ViewType

Type d'affichage

Heure absolue : l'heure de l'horloge du système est affichée au format souhaité.
Différence de temps : la valeur actuelle d'une variable liée est affichée au format d'heure défini.
Par défaut : Intervalle de temps absolu :

Plus de détails dans l'aide en ligne

VT_UI2

Format

Formatage

Format de l'affichage de l'heure/de la date.
Une chaîne de formatage doit être sélectionnée dans la liste.

Plus de détails dans l'aide en ligne

VT_BOOL

TwoLines

Représentation sur 2 lignes

Disponible uniquement avec l'heure absolue.
Actif : Lorsque l'heure et la date sont affichées simultanément, l'heure est affichée sur la première ligne et la date est affichée sur la deuxième ligne.
Inactif : La date et l'heure sont affichées sur une même ligne.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BSTR

Separator

Séparateur

Disponible uniquement avec le mode Différence de temps :
Séparateur pour l'affichage de l'heure/de la date.
(par exemple, : dans 10:15)

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

CDynEleVar

DynEleVar

-

Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de largeur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_BOOL

KbdUsage

Utiliser le synoptique clavier

Lors de la sélection de l'élément dans le Runtime, le clavier est affiché.
Lors de la sélection d'un champ de saisie libre dans le Runtime, le synoptique de clavier DIALOGKBD est appelé, s'il est disponible.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_PICTURE

KbdName

Synoptique clavier

Nom du synoptique de type Clavier lié.
Disponible uniquement si un synoptique de type Clavier est utilisé :

Si aucun synoptique de type Clavier n'est sélectionné ici, le synoptique SETSTRINGKBD est ouvert pour les variables de type chaîne, le synoptique SETVALUEKBD est ouvert pour les valeurs numériques (variables sans bit) et le synoptique SETBOOLKBD est ouvert pour les variables de type bit.

Plus de détails dans l'aide en ligne

VT_BOOL

LimitColor

Utiliser la couleur de la limite

Vous pouvez spécifier si la couleur de limite définie au niveau de la variable liée à l'élément doit être affichée dans le Runtime. En fonction de l'élément, la couleur affecte le texte affiché ou, dans le cas d'une réglette universelle, l'indicateur.

Actif : La couleur de limite définie est affichée dans le Runtime.

Par défaut : active (afin de garantir la compatibilité)

Plus de détails dans l'aide en ligne

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


Basisklasse Vektorelemente

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> Basisklasse Vektorelemente

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI1

AlphaBackColor

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaBackColor2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_UI1

AlphaLineColor

Transparence du contour [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

VT_I2

Lightning

Gradient de couleur

Disponible uniquement si la propriété Remplissage (type) a été définie sur Color gradient (Dégradé de couleurs).

Définit le dégradé de couleurs pour tous les éléments vectoriels.

Linéaire : dégradé continu
Defined point (Point défini) : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne.

ZT_COLOR

LineColorEx

Ligne (couleur)

Détermine la couleur de trait de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientAngle

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

VT_I2

ColorGradientOffset

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

ZT_COLOR

LineColor

Ligne (couleur)

Couleur de ligne de l'élément.

Plus de détails dans l'aide en ligne

VT_UI2

LineWidth

Epaisseur de ligne [Pixels]

Épaisseur de la ligne (en pixels).
Minimum : 0
Dans ce cas, l'épaisseur de la ligne est de 1 pixel.
Maximum : 65535
Par défaut : 1
Attention : Dans les paramètres du projet dans le nœud Apparence graphique, si vous définissez la propriété Qualité graphique sur Windows basis (Configuration Windows), vous pouvez uniquement utiliser une épaisseur de ligne 1 avec une ligne de type Trait continu.

Plus de détails dans l'aide en ligne

VT_I2

Align

Alignement

Direction du dégradé de couleur.
– horizontal
– vertical

Plus de détails dans l'aide en ligne

VT_UI1

OuterBrightness

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l'élément.

Plus de détails dans l'aide en ligne

VT_UI1

InnerBrightness

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l'élément.

Plus de détails dans l'aide en ligne

VT_I2

Shifted

Gradient de couleur 'décalé'

La distance de décalage de l'effet de lumière par rapport au centre de l'élément

Plus de détails dans l'aide en ligne

VT_BOOL

ALCUseColor

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Actif : La couleur automatique de la source liée est utilisée.
Inactif : La couleur standard est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

ALCMultiSource

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d'affichage lorsque l'élément est connecté à plusieurs sources :
La source la plus prioritaire : Seule la couleur de la source comportant la priorité la plus élevée est utilisée.
Les deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur alternative : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l'aide en ligne

VT_I2

ALCMSecuredSupply

Affichage alimentation sécurisée

Disponible uniquement si la propriété Couleur définie par CAL a été activée.

Définition de l'affichage de l'alimentation sécurisée.

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l'aide en ligne

VT_I2

ALCPrecedence

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l'affichage lorsque l'élément est connecté à plusieurs sources actives.
Alimentation multiple : L'élément est affiché selon les règles de l'alimentation multiple.
Alimentation sécurisée : L'élément est affiché selon les règles de l'alimentation sécurisée.
No priority (Pas de priorité) : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

LineCapStart

Type de démarrage

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de début de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineCapEnd

Type de terminaison

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de fin de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

VT_R4

LineCapScale

Dimension

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le facteur d'agrandissement de largeur de ligne de la flèche. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Epaisseur de ligne [Pixels].

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Valeur : supérieure ou égale à 1

Par défaut : 4

Plus de détails dans l'aide en ligne.

ZT_IMAGELIST

LineType

Type de la ligne

Sélection du type de ligne de l'élément dans la liste.
Attention : dans les paramètres du projet dans le nœud Apparence graphique, si vous désactivez la propriété Qualité graphique, vous pouvez uniquement utiliser une épaisseur de ligne >1 avec une ligne de type Trait continu.
Plus de détails dans l'aide en ligne

ZT_IMAGELIST

FillPattern

Remplissage (type)

Sélection du motif de remplissage de l'élément dans la liste.

Cette propriété est uniquement disponible si la propriété Par les valeurs de luminosité est inactive.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_H

Distance horiz. [pixels]

Distance horizontale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_UI2

Offset_V

Distance vertic. [pixels]

Distance verticale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

VT_BOOL

Brightness

Par les valeurs de luminosité

Disponible uniquement si l'élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Actif : La luminosité du dégradé de couleurs peut être librement définie.
Inactif : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Plus de détails dans l'aide en ligne

VT_BOOL

ALCAlias

Utiliser alias

Disponible uniquement si la propriété Couleur définie par CAL est active.
Actif : un alias est utilisé. Dans le Runtime, l'élément reçoit ses couleurs CAL d'un autre élément du modèle topologique, même s'il ne fait pas partie du modèle.

Plus de détails dans l'aide en ligne.

VT_BSTR

ALCAliasName

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton .... pour ouvrir la boîte de dialogue et sélectionner un élément existant.

Plus de détails dans l'aide en ligne.

ZT_COLOR

ALCAlternativeColor

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Alternative color (Couleur de remplacement).

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l'aide en ligne.

VT_I2

ALCDashLen

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur two highest prior sources (Deux sources antérieures les plus élevées).

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_R8

ALCLength

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l'aide en ligne.

VT_R8

ALCReact

Valeur de réactance du câble [Ohm]

VT_R8

ALCResist

Valeur de la résistance de la ligne électrique [Ohm]

VT_I2

ALCMaxIType

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l'aide en ligne.

VT_R8

ALCMaxIVal

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant limitée fixe.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarCalcI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l'aide en ligne.

CDynEleVar

ALCVarCalcIEx

-

Ligne CAL : Valeur mesurée du flux de courant calculé pour l'exportation.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

ALCVarMaxI

Variable pour la limite de la capacité de transport de courant

CDynEleVar

ALCVarMaxIEx

-

ZT_VARIABLE_DYN

BackColorVariable2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne


'Invisible button' (tpDynVerkn)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Invisible button' (tpDynVerkn)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

FktOnDown

Exécution sur appui

Actif : La fonction liée est exécutée lorsque l'élément est actionné.
Inactif : La fonction liée est exécutée lorsque l'élément est relâché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

StayPressed

Etat

Disponible uniquement si les propriétés Commutateur, Mode temporaire et Réaction immédiate sont actives.

Actif : Tant que l'utilisateur maintient le bouton de souris appuyé sur cet élément, son affichage graphique ne change pas, indépendamment des changements de valeurs possibles au niveau de l'automate. Au niveau de l'élément Commutateur, la propriété 3D doit être active pour que cela se produise.
Inactif : L'élément affiche toujours la valeur de la variable provenant de l'automate.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_BOOL

ResetOnLeave

Remise à 0 en quittant

Disponible uniquement si la propriété Mode temporaire est active :
Maintenez le bouton de la souris enfoncé et éloignez le pointeur de la souris du bouton pour réinitialiser automatiquement la valeur de la variable.

Plus de détails dans l'aide en ligne

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

ZT_FUNCTION_DYN

Function

Fonction

Nom de la fonction liée.
Ouvre la boîte de dialogue de sélection.
Cette fonction est exécutée si l'utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

<CD_SIEMENS_PRODUCTNAME et élément synoptique d'alarmes uniquement :

outre la propriété standard Appel de synoptique, le synoptique dont les états d'alarmes doivent être affichés seront déterminés par la fonction liée.
Obligatoire (sauf si le paramètre Global est actif)

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

VT_BOOL

Switch

Commutateur

Disponible uniquement si la propriété Forçage valeurs actif est inactive.

Actif : l'élément modifie la valeur d'une variable de bit.
Inactif : l'élément exécute une fonction.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

Scanner

Mode temporaire

Disponible uniquement si la propriété Commutateur est active. (Exception : (Exception : toujours disponible dans l'élément dynamique Interrupteur.)Actif :
Actif : L'état cible (défini dans la propriété Mode temporaire MARCHE) est maintenu seulement tant que le bouton gauche de la souris est enfoncé et au moins pendant le temps définis par Durée de maintien [ms].
Inactif : L'état cible persiste après que le bouton de la souris ait été relâché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ScannerOn

Mode temporaire MARCHE

Disponible uniquement si la propriété Mode temporaire est active :
Actif : Bascule le commutateur sur ON (Marche).
Inactif : Bascule le commutateur sur OFF (Arrêt).
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

FastReaction

Réaction immédiate

Disponible uniquement si la propriété Commutateur est active :
Actif : Le commutateur change immédiatement de position dans le Runtime, indépendamment de la définition du bit lié au niveau l'automate. Lors du prochain cycle de mise à jour des drivers, le bit sera lu sur l'automate. Le commutateur correspondra alors à la position correcte du bit dans l'automate.
Attention : Le commutateur sera uniquement actionnable lorsque la valeur aura été lue sur l'automate.

Inactif : Le commutateur changera uniquement de position après que le bit ait été transmis à l'automate, puis lu sur l'automate.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI2

ReactionTime

Durée de maintien [ms]

Disponible uniquement si la propriété Commutateur est active :
Si la propriété Mode temporaire est active : Temps (en ms) durant lequel un état est maintenu à partir de l'instant où un clic gauche est effectué sur l'élément correspondant.

Si la propriété Mode temporaire est inactive : réaction retardée à un clic gauche.

Plus de détails dans l'aide en ligne

ZT_SHORTCUT

ShortCut

Raccourci clavier

Les raccourcis autorisent l'exécution d'éléments actionnables. Par exemple :

- Exécution d'éléments de contrôle et de fonctions attribuées à un élément
- Écriture de valeur prescrite (dans le cas d'un interrupteur, par exemple)
- Définition du focus de certaines fenêtres (telles que les courbes dans le module Tendance étendue ou les listes déroulantes dans le Gestionnaire de groupes de recettes)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l'aide en ligne

ZT_MDIFUNKTION

MDIFunction

Fonction spécifique au synoptique

Uniquement disponible sur les synoptiques de type spécial (synoptiques de type autre que Standard) :
Nom de la fonction spécifique au type de synoptique lié
Ouvre la boîte de dialogue permettant de sélectionner les fonctions spécifiques au type de synoptique.
Au lieu d'une fonction générale, vous pouvez lier une fonction configurée spécialement pour le type de synoptique. Cette fonction est exécutée si l'utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

CDynEleVar

DynEleVar

-

Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de largeur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


'WPF Element' (tpDynWPF)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'WPF Element' (tpDynWPF)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

LinksConfig

Configuration

Ouvre la boîte de dialogue de configuration du fichier XAML. Les propriétés, événements, transformations et niveaux d'autorisation peuvent être attribués.

Plus de détails dans l'aide en ligne.

CWPFConnectionBase

Links

-

ZT_FILE

FileName

Fichier XAML

Sélection du fichier XAML pour l'élément WPF. Cliquez sur .... Ouvre la boite de dialogue de sélection. Vous devez déjà avoir créé le fichier dans la partie Fichier / Graphiques dans le gestionnaire de projet ou l'avoir sélectionné dans la boîte de dialogue à l'aide du symbole Ajouter fichier.

Plus de détails dans l'aide en ligne.

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.


CWPFConnectionBase-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> CWPFConnectionBase-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Link | Lien |
VT_BSTR | Element | Nom élément |


'Numerical value' (tpDynZahlenElem)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Numerical value' (tpDynZahlenElem)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowValueBasis

Base d'affichage

Disponible uniquement si vous avez sélectionné Binaire, Hexadécimal ou Octal pour la propriété Base pour l'affichage de valeurs.

Affiche une abréviation de la base derrière la valeur :

Les abréviations suivantes sont utilisées :

- pour une valeur binaire : b

- pour une valeur décimale : aucune abréviation

- pour une valeur décimale exponentielle : aucune abréviation

- pour une valeur hexadécimale : h

- pour une valeur octale : o

Par défaut : Actif

Plus de détails dans l'aide en ligne

VT_UI2

UnitPos

Position unité [%]

Disponible uniquement si la propriété Afficher l'unité est active.

Positionne l'affichage de l'unité et permet d'ajuster des unités de longueurs différentes en fonction de valeurs citées les unes après les autres. Pour le positionnement, saisissez un pourcentage compris entre 0 et 100.

L'unité est toujours affichée à droite de la position définie. La valeur correspondante affichée à gauche dépend de l'alignement défini.

Par défaut : 0 - signifie aucun alignement de pourcentage. La valeur et l'unité sont toujours affichées ensemble.

Plus de détails dans l'aide en ligne.

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_COLOR

TextColor

Texte (couleur)

Couleur du texte de l'élément.

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BOOL

Transparent

Transparent

Actif : Désactive la couleur d'arrière-plan de l'élément.

L'effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowState

Visualiser l'état de la variable

Actif : l'état des variables est indiqué par un carré de couleur au niveau de l'élément.

Couleur :
Un carré rouge indique un problème de communication avec l'automate.
Un carré bleu au niveau du client indique que la connexion entre le client et le serveur a été interrompue.
Un carré bleu au niveau de la station indique que la valeur n'a pas été initialisée.

Position du carré au niveau de l'élément selon la forme de l'élément :

Rond : bord supérieur, au milieu
Arrondi : coin supérieur droit, légèrement décalé vers la gauche
Rectangulaire et tous autres paramètres : coin supérieur droit

Inactif : L'état n'est pas affiché.

Plus de détails dans l'aide en ligne

VT_I2

HorizontalAlign

Alignement horizontal

Alignement horizontal de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- aligné à gauche
- aligné à droite

Par défaut : centré

Plus de détails dans l'aide en ligne

VT_I2

VerticalAlign

Alignement vertical

Alignement vertical de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- au-dessus
- au-dessous

Par défaut : centré

Plus de détails dans l'aide en ligne

VT_UI2

Frame

Cadre élément

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Cadre fin

3D

Par défaut : Cadre fin

Plus de détails dans l'aide en ligne

VT_BOOL

ShowUnit

Afficher l'unité

Uniquement disponible pour :
Général : si la propriété Visu. valeur a été activée.
Pour l'élément Horloge : disponible uniquement si le paramètre Différence de temps a été sélectionné pour l'élément Type d'affichage.
Pour l'élément Instrument à aiguille : uniquement disponible si la propriété 3D a été activée.

Actif : L'unité technique de la variable liée est affichée derrière la valeur.
Si la valeur est affichée en pourcentage, le caractère de pourcentage % est affiché à la place de l'unité de la variable liée.Inactif :
Inactif : l'unité n'est pas affichée.
Par défaut : active.

Remarque :

Plus de détails dans l'aide en ligne

VT_BOOL

Percentage

Visualiser valeur en pourcentage

Actif : La valeur de variable est affichée sous la forme 0-100 %.
0% = plage de mesure minimum
100 % = plage de mesure maximum
La conversion est linéaire. Les saisies de points de consigne sont également converties en pourcentage.
Inactif : La valeur n'est jamais affichée normalement.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI2

ValueBase

Base pour l'affichage de valeurs

Définissez la base de numérotation utilisée pour l'affichage des valeurs. Les bases suivantes sont disponibles :
Binaire : affichage au format binaire. Ce format est signalé par un caractère « b » affiché à droite de la valeur.
Décimal : affichage décimal.
Exponentiel : affichage décimal sous forme exponentielle. Exemple : 1E+03 est égal à 1000 en notation décimale.
Hexadécimal : affichage hexadécimal. Ce format est signalé par un caractère « b » affiché à droite de la valeur.
Octal : affichage octal. Ce format est signalé par un caractère « o » affiché à droite de la valeur.
Par défaut : décimal.

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

IsSetValue

Forçage valeurs actif

Actif : La configuration des variables pour cet élément dynamique est autorisée.
Inactif : La variable est protégée en écriture dans cet élément.

Plus de détails dans l'aide en ligne

VT_R8

SetValue

Valeur prescrite

Valeur devant être définie ou proposée en tant que valeur par défaut.
Si le paramètre Proposer la valeur actuelle est actif : Valeur ajoutée à la valeur numérique.
Associée à la propriété « Sans boîte de dialogue », l'augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_R8

Min

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite inférieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l'aide en ligne

VT_R8

Max

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite supérieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l'aide en ligne

VT_BOOL

HWDirect

Sans dialogue

Actif : La valeur est transmise au matériel sans qu'il soit possible de la modifier dans Runtime.
Inactif : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l'aide en ligne

VT_BOOL

Preset

Proposer la valeur courante

Actif : La valeur réelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous « Valeur prescrite / Modification de valeur » avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactif : La valeur définie dans la propriété « Valeur prescrite / Modification de valeur » est proposée.

Plus de détails dans l'aide en ligne

VT_BOOL

LimitFromVar

Plages de la variable

Actif : La limitation de la plage pour laquelle lest valeurs prescrites peuvent être écrites n'est pas définie par l'intermédiaire des paramètres « Min » et « Max », mais est directement issue des définitions de variables (bouton « Étendue »).
Inactif : La plage peut être directement limitée par les paramètres « Minimum » et « Maximum ».

Plus de détails dans l'aide en ligne

VT_UI1

SetValueWith

Spécifier valeur prescrite par

Envoyer valeur avec:
Envoi de commande : la nouvelle valeur est définie à l'aide du paramètre Saisie valeur prescrite dans la section Commandes.

boîte de dialogue : la nouvelle valeur est saisie à l'aide d'une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boite de dialogue standard.

Élément : La valeur est saisie directement dans l'élément graphique (uniquement pour les éléments Valeur numérique et Texte dynamique).

Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l'aide en ligne

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Saisie valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle qu'elle est définie dans les propriétés correspondantes
3) Coordonnée gauche de l'élément, en pixels
4) Coordonnée supérieure de l'élément, en pixels
5) Coordonnée droite de l'élément, en pixels
6) Coordonnée inférieure de l'élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

VT_BOOL

Absolute

Montant absolu

Pour l'élément Valeur numérique, disponible uniquement si la propriété Visualiser valeur en pourcentage est inactive.

Actif : Affichage non signé de la valeur de variable (-200 = 200).
Inactif : Affichage normal de la valeur.
Par défaut : inactive.

Remarque : Dans ce cas, la valeur prescrite est saisie en pourcentage.

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

CDynEleVar

DynEleVar

-

Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de largeur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_BOOL

KbdUsage

Utiliser le synoptique clavier

Lors de la sélection de l'élément dans le Runtime, le clavier est affiché.
Lors de la sélection d'un champ de saisie libre dans le Runtime, le synoptique de clavier DIALOGKBD est appelé, s'il est disponible.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_PICTURE

KbdName

Synoptique clavier

Nom du synoptique de type Clavier lié.
Disponible uniquement si un synoptique de type Clavier est utilisé :

Si aucun synoptique de type Clavier n'est sélectionné ici, le synoptique SETSTRINGKBD est ouvert pour les variables de type chaîne, le synoptique SETVALUEKBD est ouvert pour les valeurs numériques (variables sans bit) et le synoptique SETBOOLKBD est ouvert pour les variables de type bit.

Plus de détails dans l'aide en ligne

VT_BOOL

LimitColor

Utiliser la couleur de la limite

Vous pouvez spécifier si la couleur de limite définie au niveau de la variable liée à l'élément doit être affichée dans le Runtime. En fonction de l'élément, la couleur affecte le texte affiché ou, dans le cas d'une réglette universelle, l'indicateur.

Actif : La couleur de limite définie est affichée dans le Runtime.

Par défaut : active (afin de garantir la compatibilité)

Plus de détails dans l'aide en ligne

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

VT_BOOL

ShowLeadingZeros

Montrer les zéros devant le nombre

Disponible uniquement si vous avez sélectionné Binaire, Décimal, Hexadécimal ou Octal pour la propriété Base pour l'affichage de valeurs.

Décidez si vous souhaitez afficher les valeurs numériques précédées de zéros.

Actif : Les valeurs numériques sont affichées avec un nombre de chiffres variables en fonction de leur base. Les chiffres qui ne sont pas utilisés par la valeur numérique sont remplacés par des zéros placés avant la valeur numérique. Les paramètres suivants sont disponibles pour les différentes bases :

- Binaire : 32 chiffres

- Décimale : 10 chiffres

- Hexadécimale : 8 chiffres

- Octale : 11 chiffres

Par défaut : Inactive

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


'Indicating instrument' (tpDynZeiger)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Indicating instrument' (tpDynZeiger)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowValueBasis

Base d'affichage

Disponible uniquement si vous avez sélectionné Binaire, Hexadécimal ou Octal pour la propriété Base pour l'affichage de valeurs.

Affiche une abréviation de la base derrière la valeur :

Les abréviations suivantes sont utilisées :

- pour une valeur binaire : b

- pour une valeur décimale : aucune abréviation

- pour une valeur décimale exponentielle : aucune abréviation

- pour une valeur hexadécimale : h

- pour une valeur octale : o

Par défaut : Actif

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_COLOR

TextColor

Texte (couleur)

Couleur du texte de l'élément.

Plus de détails dans l'aide en ligne

ZT_COLOR

BackColor

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowState

Visualiser l'état de la variable

Actif : l'état des variables est indiqué par un carré de couleur au niveau de l'élément.

Couleur :
Un carré rouge indique un problème de communication avec l'automate.
Un carré bleu au niveau du client indique que la connexion entre le client et le serveur a été interrompue.
Un carré bleu au niveau de la station indique que la valeur n'a pas été initialisée.

Position du carré au niveau de l'élément selon la forme de l'élément :

Rond : bord supérieur, au milieu
Arrondi : coin supérieur droit, légèrement décalé vers la gauche
Rectangulaire et tous autres paramètres : coin supérieur droit

Inactif : L'état n'est pas affiché.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowUnit

Afficher l'unité

Uniquement disponible pour :
Général : si la propriété Visu. valeur a été activée.
Pour l'élément Horloge : disponible uniquement si le paramètre Différence de temps a été sélectionné pour l'élément Type d'affichage.
Pour l'élément Instrument à aiguille : uniquement disponible si la propriété 3D a été activée.

Actif : L'unité technique de la variable liée est affichée derrière la valeur.
Si la valeur est affichée en pourcentage, le caractère de pourcentage % est affiché à la place de l'unité de la variable liée.Inactif :
Inactif : l'unité n'est pas affichée.
Par défaut : active.

Remarque :

Plus de détails dans l'aide en ligne

VT_BOOL

ThreeDimensional

3D

Actif : L'élément est affiché en trois dimensions.
Inactif : L'élément est affiché en deux dimensions.

Plus de détails dans l'aide en ligne

VT_BOOL

Percentage

Représentation en pourcentage

Actif : La valeur de variable est affichée sous la forme 0-100 %.
0% = plage de mesure minimum
100 % = plage de mesure maximum
La conversion est linéaire. Les saisies de points de consigne sont également converties en pourcentage.
Inactif : La valeur est affichée normalement.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

Ribbon

Bande

Disponible uniquement si la propriété d'affichage Arc de cercle est inactive.

Indisponible pour for Windows CE.
Actif : la valeur est affichée par le biais d'une barre, de la valeur minimale jusqu'à la valeur actuelle.
Inactif : aucune barre n'est affichée.

Plus de détails dans l'aide en ligne

VT_BOOL

Pie

Arc de cercle

Disponible uniquement l'affichage sous forme de barre est inactif :
Actif : La valeur est affichée au moyen d'un cercle gradué, de la valeur minimum jusqu'à la valeur actuelle.
Inactif : Aucun cercle gradué n'est affiché.

Plus de détails dans l'aide en ligne

VT_BOOL

Explicit

Explicite

Cette propriété affecte uniquement l'affichage de valeurs comportant des limites définies issues des variables. Les limites des matrices de réaction ne sont pas prises en compte.

Actif : si une limite de la variable liée est dépassée, seule la partie de l'affichage correspondant au dépassement de limite est affichée dans la couleur de la limite correspondante.
Si la variable comporte plusieurs limites définies, les zones correspondantes de l'affichage sont toujours affichées dans la couleur de la limite correspondante.

Inactif : Si une limite de la variable liée est dépassée, l'affichage entier reprend les couleurs de la limite dépassée.

Par défaut : Inactif

Remarque : disponible uniquement pour l'élément Instrument à aiguille si l'affichage est activé sous la forme Bande ou Arc de cercle .

Plus de détails dans l'aide en ligne

VT_UI2

StartAngle

Angle de départ

Définition de l'angle initial (0° = inférieur, extension dans le sens horaire)

Plus de détails dans l'aide en ligne

VT_UI2

OpeningAngle

Angle d'ouverture

Angle d'ouverture du déplacement du pointeur (angle de début max. 360°)

Plus de détails dans l'aide en ligne

VT_UI2

ValueBase

Base pour l'affichage de valeurs

Définissez la base de numérotation utilisée pour l'affichage des valeurs. Les bases suivantes sont disponibles :
Binaire : affichage au format binaire. Ce format est signalé par un caractère « b » affiché à droite de la valeur.
Décimal : affichage décimal.
Exponentiel : affichage décimal sous forme exponentielle. Exemple : 1E+03 est égal à 1000 en notation décimale.
Hexadécimal : affichage hexadécimal. Ce format est signalé par un caractère « b » affiché à droite de la valeur.
Octal : affichage octal. Ce format est signalé par un caractère « o » affiché à droite de la valeur.
Par défaut : décimal.

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

IsSetValue

Forçage valeurs actif

Actif : La configuration des variables pour cet élément dynamique est autorisée.
Inactif : La variable est protégée en écriture dans cet élément.

Plus de détails dans l'aide en ligne

VT_R8

SetValue

Valeur prescrite

Valeur devant être définie ou proposée en tant que valeur par défaut.
Si le paramètre Proposer la valeur actuelle est actif : Valeur ajoutée à la valeur numérique.
Associée à la propriété « Sans boîte de dialogue », l'augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_R8

MainTicks

Graduations principales

Définit les graduations principales de l'échelle.
La valeur définit la distance entre les graduations principales. La valeur doit être supérieure ou égale à la valeur de la propriété Graduations secondaires. Si la valeur est identique, aucun élément Graduations secondaires n'est affiché.

Plus de détails dans l'aide en ligne

VT_R8

SmallTicks

Graduations secondaires

Définit la division de l'échelle entre Graduations principales.

La valeur définit la distance entre les graduations secondaires. La valeur doit être inférieure ou égale à la valeur de la propriété Graduations principales. Si la valeur est identique, aucune graduation secondaire n'est affichée.

Plus de détails dans l'aide en ligne

VT_R8

Min

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite inférieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l'aide en ligne

VT_R8

Max

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite supérieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l'aide en ligne

VT_BOOL

HWDirect

Sans dialogue

Actif : La valeur est transmise au matériel sans qu'il soit possible de la modifier dans Runtime.
Inactif : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l'aide en ligne

VT_BOOL

Preset

Proposer la valeur courante

Actif : La valeur réelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous « Valeur prescrite / Modification de valeur » avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactif : La valeur définie dans la propriété « Valeur prescrite / Modification de valeur » est proposée.

Plus de détails dans l'aide en ligne

VT_BOOL

LimitFromVar

Plages de la variable

Actif : La limitation de la plage pour laquelle lest valeurs prescrites peuvent être écrites n'est pas définie par l'intermédiaire des paramètres « Min » et « Max », mais est directement issue des définitions de variables (bouton « Étendue »).
Inactif : La plage peut être directement limitée par les paramètres « Minimum » et « Maximum ».

Plus de détails dans l'aide en ligne

VT_UI1

SetValueWith

Spécifier valeur prescrite par

Envoyer valeur avec:
Envoi de commande : la nouvelle valeur est définie à l'aide du paramètre Saisie valeur prescrite dans la section Commandes.

boîte de dialogue : la nouvelle valeur est saisie à l'aide d'une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boite de dialogue standard.

Élément : La valeur est saisie directement dans l'élément graphique (uniquement pour les éléments Valeur numérique et Texte dynamique).

Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l'aide en ligne

VT_UI2

Passwordlevel

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

VT_BSTR

SetProgram

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Saisie valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle qu'elle est définie dans les propriétés correspondantes
3) Coordonnée gauche de l'élément, en pixels
4) Coordonnée supérieure de l'élément, en pixels
5) Coordonnée droite de l'élément, en pixels
6) Coordonnée inférieure de l'élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

VT_R8

ViewMin

Minimum

Valeur la plus basse de la variable devant être affichée dans l'élément.

Plus de détails dans l'aide en ligne

VT_R8

ViewMax

Maximum

Valeur la plus élevée de la variable devant être affichée dans l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

CDynEleVar

DynEleVar

-

Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de largeur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_BOOL

KbdUsage

Utiliser le synoptique clavier

Lors de la sélection de l'élément dans le Runtime, le clavier est affiché.
Lors de la sélection d'un champ de saisie libre dans le Runtime, le synoptique de clavier DIALOGKBD est appelé, s'il est disponible.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_PICTURE

KbdName

Synoptique clavier

Nom du synoptique de type Clavier lié.
Disponible uniquement si un synoptique de type Clavier est utilisé :

Si aucun synoptique de type Clavier n'est sélectionné ici, le synoptique SETSTRINGKBD est ouvert pour les variables de type chaîne, le synoptique SETVALUEKBD est ouvert pour les valeurs numériques (variables sans bit) et le synoptique SETBOOLKBD est ouvert pour les variables de type bit.

Plus de détails dans l'aide en ligne

VT_BOOL

LimitColor

Utiliser la couleur de la limite

Vous pouvez spécifier si la couleur de limite définie au niveau de la variable liée à l'élément doit être affichée dans le Runtime. En fonction de l'élément, la couleur affecte le texte affiché ou, dans le cas d'une réglette universelle, l'indicateur.

Actif : La couleur de limite définie est affichée dans le Runtime.

Par défaut : active (afin de garantir la compatibilité)

Plus de détails dans l'aide en ligne

VT_UI4

Locking

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

VT_BOOL

ShowLeadingZeros

Montrer les zéros devant le nombre

Disponible uniquement si vous avez sélectionné Binaire, Décimal, Hexadécimal ou Octal pour la propriété Base pour l'affichage de valeurs.

Décidez si vous souhaitez afficher les valeurs numériques précédées de zéros.

Actif : Les valeurs numériques sont affichées avec un nombre de chiffres variables en fonction de leur base. Les chiffres qui ne sont pas utilisés par la valeur numérique sont remplacés par des zéros placés avant la valeur numérique. Les paramètres suivants sont disponibles pour les différentes bases :

- Binaire : 32 chiffres

- Décimale : 10 chiffres

- Hexadécimale : 8 chiffres

- Octale : 11 chiffres

Par défaut : Inactive

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


'Topological wire' (tpDynTopLgt)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Topological wire' (tpDynTopLgt)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

CDynEleVar

NCCurrentVarEx

-

CDynEleVar

NCVoltageVarEx

-

ZT_VARIABLE_DYN

NCMappingVar

Nom de base pour la variable résultat

Variable servant de base aux variables dans la topologie.

Dans la topologie, vous pouvez définir une variable pour chaque ligne. Cette variable sert de base aux variables supplémentaires,

que vous définissez durant le développement de la topologie. Vous pouvez attribuer des variables orientées performances, calculées par la topologie,

à ces valeurs.

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de bases de données.

CDynEleVar

NCMappingVarEx

-

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_BSTR

Coordinates

-

Spécifie la position du bord inférieur de la fenêtre d'aperçu sur l'écran (en pixels).

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_UI4

BrokenLine1

Ligne de séparation 1

Ligne de séparation 1

VT_UI2

SymbolFGES

Symbole FGES

Symbole FGES

VT_UI4

SymbolF1_Mode

Couleurs symbole F1

Couleurs symbole F1

VT_UI4

SymbolF2_Mode

Couleurs symbole F2

Couleurs symbole F2

VT_UI4

SymbolFGES_Mode

Couleurs symbole FGES

Couleurs symbole FGES

VT_UI4

BrokenLine2

Ligne de séparation 2

Ligne de séparation 2

VT_UI4

LineWidth

Epaisseur de trait

Épaisseur de trait

VT_BOOL

OBJNameLink

Nom d'objet comme lien

Nom d'objet comme lien

VT_UI4

DisplayMode

Mode de visualisation

Affichage du mode

VT_UI4

LineWidthFGES

Epaisseur de trait protégée

Épaisseur de trait protégée

VT_UI4

SaumWidth

Epaisseur bord

Épaisseur bord

VT_UI2

SymbolF1

Symbole F1

Symbole F1

VT_UI2

SymbolF2

Symbole F2

Symbole F2

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


'Topological line' (tpDynTopStrg)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Element -> Element-Dynproperties -> 'Topological line' (tpDynTopStrg)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VARIABLE_DYN

BlinkVariable

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectBlinkVariable

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectGlowColorVariable

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectVisibilityFromLimit

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityTo

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

GlowEffectVisibilityVariable

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

VT_R8

GlowEffectVisibilityFrom

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseBlinkColor

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

UseBlinkColor

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

VT_UI1

Layer

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffect2ndBlinkStateVisible

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectActive

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectAlpha

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

ZT_COLOR

GlowEffectColor

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectEvent

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI1

GlowEffectSpread

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

VT_BOOL

GlowEffectUseColor

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_I4

StartX

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

StartY

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndX

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

EndY

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

Width

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_I4

Height

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

Stationname

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMin

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

VT_I2

ZoomMax

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XVariable

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XViewMin

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XViewMax

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YVariable

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YViewMin

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

YViewMax

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

XZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMin

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

XZoomVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMin

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

VT_I4

XZoomViewMax

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

YZoomVariable

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

YZoomVarMax

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMin

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

VT_I4

YZoomViewMax

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

TwistVariable

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMin

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_R8

TwistVarMax

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMin

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_I4

TwistViewMax

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

VT_BOOL

EnablePunchFrame

Afficher le cadre

Une bordure peut être affichée autour de l'élément.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

ZT_COLOR

PunchFrameColor

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameOffset

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

VT_UI2

PunchFrameWidth

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

VT_UI1

HorizontalOrigin

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

VT_UI1

VerticalOrigin

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

CDynEleVar

VisVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

LnClVariable

-

Si l'option Écriture de façon synchrone est activée, il est possible de définir ici le délai d'attente.Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :3000+(100*nombre de points de données)Minimum : 0.Maximum : 4294967295.Par défaut : 0.

CDynEleVar

BkClVariable

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

XVar

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

CDynEleVar

YVar

-

Définit la limite supérieure de la plage de représentation des variables de procédé (fonction Zoom).

CDynEleVar

XVarZoom

-

Propriétés de l'image d'arrière-plan.

CDynEleVar

YVarZoom

-

Une nouvelle courbe est créée pour l'élément Tendance.

CDynEleVar

TwistVar

-

Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.

CDynEleVar

BlinkVar

-

CDynEleVar

GlowEffectBlinkVar

-

CDynEleVar

GlowEffectGlowColorVar

-

CDynEleVar

GlowEffectVisibilityVar

-

VT_UI1

PunchFrameAlpha

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

VT_I2

PunchFrameAngle

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

VT_I4

PunchFrameSize

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI1

PunchFrameSoftFocus

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

VT_UI1

PunchFrameType

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

VT_I4

Angle

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

BackColorVariable

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

LineColorVariable

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

VisibilityFromLimit

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_R8

VisibilityTo

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

VisibilityVariable

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

VT_R8

VisibilityFrom

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragBegin

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragDrop

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

DragOver

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

VT_BOOL

Tab

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

Font

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

VT_BOOL

UnderCE

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

Init

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

LeftDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickUp

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightClickDown

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

RightDClick

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

SetFocus

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

KillFocus

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Menu

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BSTR

Tooltip

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

ZT_FILE

Helpfile

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

ZT_VBAMAKRO

MouseOver

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

VT_I4

TABOrderH

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

VT_I4

TABOrderV

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE_DYN

Variable

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

VT_BOOL

LassoSelect

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

VT_UI4

BrokenLine1

Ligne de séparation 1

Ligne de séparation 1

ZT_VARIABLE_DYN

Variable_SS_1_1

Variable SS_1_1

Variable SS_1_1

ZT_VARIABLE_DYN

Variable_SS_1_2

Variable SS_1_2

Variable SS_1_2

ZT_VARIABLE_DYN

Variable_SS_1_3

Variable SS_1_4

Variable SS_1_3

ZT_VARIABLE_DYN

Variable_SS_1_4

Variable SS_1_4

Variable SS_1_4

VT_UI4

BrokenLine2

Ligne de séparation 2

Ligne de séparation 2

ZT_VARIABLE_DYN

Variable_Start1

Variable Start1

Variable Start1

ZT_VARIABLE_DYN

VariableStandardIsolatingPoint

Point de division variable

Point de division variable

ZT_VARIABLE_DYN

Variable_Start2

Variable Start2

Variable Start2

ZT_VARIABLE_DYN

Variable_SS_2_1

Variable SS_2_1

Variable SS_2_1

ZT_VARIABLE_DYN

Variable_SS_2_2

Variable SS_2_2

Variable SS_2_2

ZT_VARIABLE_DYN

Variable_SS_2_3

Variable SS_2_3

Variable SS_2_3

ZT_VARIABLE_DYN

Variable_SS_2_4

Variable SS_2_4

Variable SS_2_4

VT_BSTR

DistributionLineCharacter

Caractère divisé dans un autre endroit

Caractère divisé dans un autre endroit

VT_BSTR

ExtraPoints

Interruption multiple du caractère

Signe (plusieurs fois) interrompu

VT_UI4

LineWidth

Epaisseur de trait

Épaisseur de trait

VT_UI4

DisplayMode

Mode de visualisation

Affichage du mode

VT_UI4

LineWidthFGES

Epaisseur de trait protégée

Épaisseur de trait protégée

VT_UI4

SaumWidth

Epaisseur bord

Épaisseur bord

ZT_VARIABLE_DYN

SetValueDynMin

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

SetValueDynMax

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

VT_BOOL

GestureRecognitionActive

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlide

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideExact

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideHorizontal

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideRearrange

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSelect

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_CrossSlideSpeedBump

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Drag

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Exact

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Hold

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_HoldMouse

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Manipulation

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsX

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RailsY

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Rotation

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_RotationInertia

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Scaling

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_ScalingInertia

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_SecondaryTap

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_Tap

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TapDouble

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationInertia

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationX

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

VT_BOOL

Gestures_TranslationY

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.


Elements

Manuels -> Interfaces de programmation -> Modèles d'objet -> Elements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This collection contains the defined dynamic elements of a Screen.The single dynamic elements contain the most important properties, e.g. type, position, colour, ...The single dynamic elements can be found in the collection by their unique name or by the index.Hint for older Versions:Giving a name to a dynamic element is optional.If a dynamic element has no name, it is not found under certain circumstances.So the result of the method Item should always be checked on Nothing.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub ImportMdiTemplate()
Dim Picture As DynPicture
Dim Res As Integer
Set Picture = MyWorkspace.ActiveDocument.DynPictures.Item("Bild 2")
If Not Picture Is Nothing Then
Res = Picture.ImportMdiElements("C:\ProgramData\COPA-DATA\zenon700\Templates\ ScreenTypes\Keyboard\6eeae916-0098-40ab-9dc9-a9ce1dcf4bb5.zip", True)
If Res = 0 Then Picture.Save
End If
End Sub


Elements-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IDynPicture | Parent | The parent object of the current object | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As DynPicture

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Elements-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IElement | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
IElement | Item | Returns a object at a position or by a specified key | available | available | yes | yes
IElement | ItemById | Returns a object with the given Id | available | available | yes | yes


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new "Element" object by its name as string and its "Element" type.

Datatype

Create(String bsName,tpElementTypes tpType) As Element

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuels -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes an existing "Element" object by its name as string.

Datatype

Delete(String nElemId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object Element from the collection, which is identified by the parameter vID.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vID can have two values:<ul><li>Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.</li><li>Element name: The element can also be accessed with its unique name.</li></ul>Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vIndex) As Element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuels -> Interfaces de programmation -> Modèles d'objet -> Elements -> Elements-Methods -> ItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ItemById(VARIANT vElementId) As Element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FileManager

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This collection represents the directories and files of the files node.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub FileManager()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")
'Create a new folder in the language table list
zFileManagerFolder.CreateFolder ("MYOWNFOLDER")

End Sub


FileManager-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManager -> FileManager-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | Parent | Returns the parent of the FileManager Object. | read only | read only | yes | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManager -> FileManager-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


FileManager-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManager -> FileManager-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IFileManagerFolder | FolderItem | Returns the folder object for the given folder. | available | not used | yes | yes


FolderItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManager -> FileManager-Methods -> FolderItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

FolderItem(tpModulePaths lModule) As FileManagerFolder

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A constant which defines the specific folder.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lModule As tpModulePaths

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub FolderItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "language list"
Set zFileManagerFolder = zFileManager.FolderItem(9)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

'Read the "graphics list"
Set zFileManagerFolder = zFileManager.FolderItem(2)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Graphics\zenOn_Logo.jpg")

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Help\help.chm")

'Read the "multimedia list"
Set zFileManagerFolder = zFileManager.FolderItem(5)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Media\intro.wav")

'Read the "lists list"
Set zFileManagerFolder = zFileManager.FolderItem(4)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Lists\List.doc")

'Read the "drivers list"
Set zFileManagerFolder = zFileManager.FolderItem(15)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Drivers\driver.exe")

'Read the "others list"
Set zFileManagerFolder = zFileManager.FolderItem(17)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Others\infos.pdf")

End Sub


FileManagerFileItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This collection makes it possible to manage the files in a list.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub FileItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read the first file in the list
Set zFileManagerItem = zFileManagerFolder.FileItem(0)
'Returns the filename of the file in the list
Debug.Print "Filename = " & zFileManagerItem.FileName

End Sub


FileManagerFileItem-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | FileName | Returns the name of the File. | available | read only | yes | yes


FileName

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Properties -> FileName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the filename of the selected file.

Datatype

FileName() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


FileManagerFileItem-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FileManagerFileItem-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

Dateiobjekt


Dateiobjekt

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFileItem -> FileManagerFileItem-Dynproperties -> Dateiobjekt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Nom de fichier | Nom du fichier intégré. Les fichiers externes intégrés de cette manière sont enregistrés dans le répertoire du Runtime et dans le répertoire de la base de données du projet. Attention : chaque fois que des nouveaux fichiers de Runtime sont créés, les fichiers dans le dossier du Runtime sont remplacés par les fichiers provenant du dossier de la base de données. C'est la raison pour laquelle les fichiers externes doivent uniquement être modifiés par le biais du menu contextuel du fichier concerné, et non modifiés de manière externe – afin que les fichiers soient également modifiés dans le dossier de la base de données. Plus de détails dans l'aide en ligne.


FileManagerFolder

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This collection contains the folder object for the specified folder. The folder item object allows different methods for different tpModulepaths. Not all methods are supported for all tpModulepaths

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub AddItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

Call CreateFolder

End Sub

Sub CreateFolder()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Create a new folder in the list
zFileManagerFolder.CreateFolder ("My_Folder")

Call FolderItem

End Sub

Sub FolderItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder
Dim zFolderItem As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read a sub folder item
Set zFolderItem = zFileManagerFolder.FolderItem(0)
'Add a file at the created sub-folder
zFolderItem.AddItem ("C:\Programme\COPA-DATA\Help\editor.chm")

End Sub


FileManagerFolder-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | FileCount | Returns the amount of files located in the folder. | available | available | yes | yes
long | FolderCount | Returns the amount of folders located in the folder. | available | available | yes | yes
BSTR | Name | Name of the folder. | available | read only | yes | yes


FileCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Properties -> FileCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the number of files in a directory.

Datatype

FileCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


FolderCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Properties -> FolderCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the number of sub-directories in this directory.

Datatype

FolderCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of the directory.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


FileManagerFolder-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddItem | Inserts the given file into the folder. | available | not used | yes | yes
VARIANT_BOOL | CreateFolder | Creates a subfolder. | available | not used | yes | yes
VARIANT_BOOL | DeleteFile | Deletes the file from the folder. | available | not used | yes | yes
VARIANT_BOOL | DeleteFolder | Deletes the folder. | available | not used | yes | yes
IFileManagerFileItem | FileItem | Returns the file, at given index, from the folder. | available | available | yes | yes
IFileManagerFolder | FolderItem | Returns the sub-folder, at given index, from the folder. | available | available | yes | yes


AddItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Methods -> AddItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method allows adding files to the directory.

Datatype

AddItem(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub AddItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "language list"
Set zFileManagerFolder = zFileManager.FolderItem(9)
'Add a new item into the list
zFileManagerFolder.AddItem ("C:\Language_Tables\English.txt")

End Sub


CreateFolder

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Methods -> CreateFolder

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method creates a new directory. It is not supported for all tpModulepaths directories. Returns True if successfull

Datatype

CreateFolder(String bsFolderName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The folder name is defined by a string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFolderName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateFolder()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Create a new folder in the list
zFileManagerFolder.CreateFolder ("My_Folder")

End Sub


DeleteFile

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Methods -> DeleteFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method allows the deletion of files. Returns true if successfull.

Datatype

DeleteFile(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Defines the position of the file.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteFile()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "language list"
Set zFileManagerFolder = zFileManager.FolderItem(9)
'Delete the first file in the list
zFileManagerFolder.DeleteFile (0)

End Sub


DeleteFolder

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Methods -> DeleteFolder

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this method a list folder can be deleted.

Datatype

DeleteFolder(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Defines the position of the folder.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteFolder()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Delete the first folder
zFileManagerFolder.DeleteFolder (0)

End Sub


FileItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Methods -> FileItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns an object from type FileManagerFileItem.

Datatype

FileItem(long lIndex) As FileManagerFileItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Defines the position of the file.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub FileItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read the first file in the list
Set zFileManagerItem = zFileManagerFolder.FileItem(0)
'Returns the filename of the file in the list
Debug.Print "Filename = " & zFileManagerItem.FileName

End Sub


FolderItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> FileManagerFolder -> FileManagerFolder-Methods -> FolderItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns a sub-folder from type "FileManagerFolder".

Datatype

FolderItem(long lIndex) As FileManagerFolder

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Defines the position of the sub folder.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub FolderItem()

Dim zFileManager As FileManager 'Object from type FileManager
Dim zFileManagerFolder As FileManagerFolder 'Child object from type FileManager
Dim zFileManagerItem As FileManagerFileItem 'Child object from type FileManagerFolder
Dim zFolderItem As FileManagerFolder 'Child object from type FileManager

'Fill the object
Set zFileManager = MyWorkspace.ActiveDocument.FileManager

'Read the "help list"
Set zFileManagerFolder = zFileManager.FolderItem(10)
'Read a sub folder item
Set zFolderItem = zFileManagerFolder.FolderItem(0)
'Add a file at the created sub-folder
zFolderItem.AddItem ("C:\Programme\COPA-DATA\Help\editor.chm")

End Sub


FontItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Type definition of LOGFONT type (see MSDN)
Type LOGFONT
Height As Long
Width As Long
Escapement As Long
Orientation As Long
Weight As Long
Italic As Byte
Underline As Byte
StrikeOut As Byte
CharSet As Byte
OutPrecision As Byte
ClipPrecision As Byte
Quality As Byte
PitchAndFamily As Byte
FaceName As String * 32
End Type

Sub GetFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim n As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists
'enumerate all fontlists of the active project
For i = 0 To zFLs.Count - 1
Set zFL = zFLs.Item(i)
Debug.Print "Fontlist: " & zFL.DynProperties("Name")
'enumrate fonts of a fontlist
For n = 0 To zFL.Count - 1
Set zFI = zFL.Item(n)
Debug.Print zFI.DynProperties("Number")
Debug.Print zFI.DynProperties("Name")
Debug.Print zFI.DynProperties("Font")
'convert string to LOGFONT type in a function
lf = GetLogFontFromString(zFI.DynProperties("Font"))
Next n
Next i
End Sub

Sub CreateFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists

'define font (LOGFONT)
lf.Height = 10
lf.Width = 0
lf.Escapement = 0
lf.Orientation = 0
lf.Weight = 400
lf.Italic = 0
lf.Underline = 0
lf.StrikeOut = 0
lf.CharSet = 0
lf.OutPrecision = 3
lf.ClipPrecision = 2
lf.Quality = 5
lf.PitchAndFamily = 34
lf.FaceName = String(25, " ") & "Courier" '32 - 7

'create new fontlist
Set zFL = zFLs.Create
With zFL
'set name of new fontlist
.DynProperties("Name") = "VBA_FontList3"
For i = 1 To 10
'create fonts in fontlist
Set zFI = zFL.Create(i)
zFI.DynProperties("Name") = "VBA_Font_" & Format(i, "00")
zFI.DynProperties("Font") = strFont
'modify LOGFONT definition
lf.Height = 10 + (i * 2)
'set font
zFI.DynProperties("Font") = GetStringFromLogFont(lf)
Next i
End With

End Sub

'CONVERT A STRING TO LOGFONT TYPE
Function GetLogFontFromString(strFont As String) As LOGFONT
Dim vSplit As Variant
Dim sFaceName As String
Dim i As Integer

vSplit = Split(strFont, " ")

GetLogFontFromString.Height = vSplit(0)
GetLogFontFromString.Width = vSplit(1)
GetLogFontFromString.Escapement = vSplit(2)
GetLogFontFromString.Orientation = vSplit(3)
GetLogFontFromString.Weight = vSplit(4)
GetLogFontFromString.Italic = vSplit(5)
GetLogFontFromString.Underline = vSplit(6)
GetLogFontFromString.StrikeOut = vSplit(7)
GetLogFontFromString.CharSet = vSplit(8)
GetLogFontFromString.OutPrecision = vSplit(9)
GetLogFontFromString.ClipPrecision = vSplit(10)
GetLogFontFromString.Quality = vSplit(11)
GetLogFontFromString.PitchAndFamily = vSplit(12)
For i = 13 To UBound(vSplit)
sFaceName = sFaceName & vSplit(i) & " "
Next i
sFaceName = RTrim(sFaceName)
sFaceName = String(32 - Len(sFaceName), " ") & sFaceName

GetLogFontFromString.FaceName = sFaceName
End Function

'CONVERT A LOGFONT TO STRING
Function GetStringFromLogFont(lfFont As LOGFONT) As String
GetStringFromLogFont = lfFont.Height & " " & _
lfFont.Width & " " & _
lfFont.Escapement & " " & _
lfFont.Orientation & " " & _
lfFont.Weight & " " & _
lfFont.Italic & " " & _
lfFont.Underline & " " & _
lfFont.StrikeOut & " " & _
lfFont.CharSet & " " & _
lfFont.OutPrecision & " " & _
lfFont.ClipPrecision & " " & _
lfFont.Quality & " " & _
lfFont.PitchAndFamily & " " & _
lfFont.FaceName
End Function


FontItem-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontItem -> FontItem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | available | not used | yes | yes
VARIANT | DynProperties [GET] |  | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontItem -> FontItem-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontItem -> FontItem-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontItem -> FontItem-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontItem -> FontItem-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FontItem-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontItem -> FontItem-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

Font


Font

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontItem -> FontItem-Dynproperties -> Font

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Name

Nom

Description libre ; sert uniquement à des fins d'information.
Par défaut : Nouvelle police x (où x représente un nombre consécutif).
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

VT_UI2

Number

Numéro

Numéro unique de la police.
Le numéro est défini par le système lors de la création de la police. Les numéros 1 et 2 sont attribués de manière fixe et ne peuvent pas être modifiés. Tous les autres numéros de police peuvent être modifiés ultérieurement, tant que les nouveaux numéros attribués ne sont pas déjà utilisés pour d'autres polices.

Remarque : Si les mêmes numéros sont utilisés dans le projet global et le projet, la police du projet est utilisée.

Plus de détails dans l'aide en ligne

ZT_LOGSCHRIFT

Font

Police

Sélection du type de police parmi les types de polices disponibles sur l'ordinateur.
Attention : la boîte de dialogue de sélection du type de police est une boîte de dialogue standard de Windows. Celle-ci permet également de sélectionner d'autres propriétés, telles que la couleur des polices. Ces paramètres supplémentaires n'ont toutefois aucune incidence sur l'affichage dans zenon.

Plus de détails dans l'aide en ligne.


FontList

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontList

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Type definition of LOGFONT type (see MSDN)
Type LOGFONT
Height As Long
Width As Long
Escapement As Long
Orientation As Long
Weight As Long
Italic As Byte
Underline As Byte
StrikeOut As Byte
CharSet As Byte
OutPrecision As Byte
ClipPrecision As Byte
Quality As Byte
PitchAndFamily As Byte
FaceName As String * 32
End Type

Sub GetFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim n As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists
'enumerate all fontlists of the active project
For i = 0 To zFLs.Count - 1
Set zFL = zFLs.Item(i)
Debug.Print "Fontlist: " & zFL.DynProperties("Name")
'enumrate fonts of a fontlist
For n = 0 To zFL.Count - 1
Set zFI = zFL.Item(n)
Debug.Print zFI.DynProperties("Number")
Debug.Print zFI.DynProperties("Name")
Debug.Print zFI.DynProperties("Font")
'convert string to LOGFONT type in a function
lf = GetLogFontFromString(zFI.DynProperties("Font"))
Next n
Next i
End Sub

Sub CreateFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists

'define font (LOGFONT)
lf.Height = 10
lf.Width = 0
lf.Escapement = 0
lf.Orientation = 0
lf.Weight = 400
lf.Italic = 0
lf.Underline = 0
lf.StrikeOut = 0
lf.CharSet = 0
lf.OutPrecision = 3
lf.ClipPrecision = 2
lf.Quality = 5
lf.PitchAndFamily = 34
lf.FaceName = String(25, " ") & "Courier" '32 - 7

'create new fontlist
Set zFL = zFLs.Create
With zFL
'set name of new fontlist
.DynProperties("Name") = "VBA_FontList3"
For i = 1 To 10
'create fonts in fontlist
Set zFI = zFL.Create(i)
zFI.DynProperties("Name") = "VBA_Font_" & Format(i, "00")
zFI.DynProperties("Font") = strFont
'modify LOGFONT definition
lf.Height = 10 + (i * 2)
'set font
zFI.DynProperties("Font") = GetStringFromLogFont(lf)
Next i
End With

End Sub

'CONVERT A STRING TO LOGFONT TYPE
Function GetLogFontFromString(strFont As String) As LOGFONT
Dim vSplit As Variant
Dim sFaceName As String
Dim i As Integer

vSplit = Split(strFont, " ")

GetLogFontFromString.Height = vSplit(0)
GetLogFontFromString.Width = vSplit(1)
GetLogFontFromString.Escapement = vSplit(2)
GetLogFontFromString.Orientation = vSplit(3)
GetLogFontFromString.Weight = vSplit(4)
GetLogFontFromString.Italic = vSplit(5)
GetLogFontFromString.Underline = vSplit(6)
GetLogFontFromString.StrikeOut = vSplit(7)
GetLogFontFromString.CharSet = vSplit(8)
GetLogFontFromString.OutPrecision = vSplit(9)
GetLogFontFromString.ClipPrecision = vSplit(10)
GetLogFontFromString.Quality = vSplit(11)
GetLogFontFromString.PitchAndFamily = vSplit(12)
For i = 13 To UBound(vSplit)
sFaceName = sFaceName & vSplit(i) & " "
Next i
sFaceName = RTrim(sFaceName)
sFaceName = String(32 - Len(sFaceName), " ") & sFaceName

GetLogFontFromString.FaceName = sFaceName
End Function

'CONVERT A LOGFONT TO STRING
Function GetStringFromLogFont(lfFont As LOGFONT) As String
GetStringFromLogFont = lfFont.Height & " " & _
lfFont.Width & " " & _
lfFont.Escapement & " " & _
lfFont.Orientation & " " & _
lfFont.Weight & " " & _
lfFont.Italic & " " & _
lfFont.Underline & " " & _
lfFont.StrikeOut & " " & _
lfFont.CharSet & " " & _
lfFont.OutPrecision & " " & _
lfFont.ClipPrecision & " " & _
lfFont.Quality & " " & _
lfFont.PitchAndFamily & " " & _
lfFont.FaceName
End Function


FontList-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of Font objects. | available | not used | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


FontList-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IFontItem | Create | Create a new Font. | available | not used | yes | yes
void | DynProperties [PUT] |  | available | not used | yes | yes
VARIANT | DynProperties [GET] |  | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | available | not used | yes | yes
IFontItem | Item | Returns the Font at the given index. | available | not used | yes | yes
IFontItem | ItemById | Returns the Font with the given Id. | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Create(long lFontId) As FontItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Item(long lIndex) As FontItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Methods -> ItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ItemById(long lId) As FontItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FontList-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

Fontlist


Fontlist

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontList -> FontList-Dynproperties -> Fontlist

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | Nom | Nom de la liste de caractères. Plus de détails dans l'aide en ligne.


FontLists

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontLists

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Type definition of LOGFONT type (see MSDN)
Type LOGFONT
Height As Long
Width As Long
Escapement As Long
Orientation As Long
Weight As Long
Italic As Byte
Underline As Byte
StrikeOut As Byte
CharSet As Byte
OutPrecision As Byte
ClipPrecision As Byte
Quality As Byte
PitchAndFamily As Byte
FaceName As String * 32
End Type

Sub GetFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim n As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists
'enumerate all fontlists of the active project
For i = 0 To zFLs.Count - 1
Set zFL = zFLs.Item(i)
Debug.Print "Fontlist: " & zFL.DynProperties("Name")
'enumrate fonts of a fontlist
For n = 0 To zFL.Count - 1
Set zFI = zFL.Item(n)
Debug.Print zFI.DynProperties("Number")
Debug.Print zFI.DynProperties("Name")
Debug.Print zFI.DynProperties("Font")
'convert string to LOGFONT type in a function
lf = GetLogFontFromString(zFI.DynProperties("Font"))
Next n
Next i
End Sub

Sub CreateFontList()
Dim zPRJ As Project
Dim zFLs As FontLists
Dim zFL As FontList
Dim zFI As FontItem
Dim i As Integer
Dim lf As LOGFONT

Set zPRJ = MyWorkspace.ActiveDocument
Set zFLs = zPRJ.FontLists

'define font (LOGFONT)
lf.Height = 10
lf.Width = 0
lf.Escapement = 0
lf.Orientation = 0
lf.Weight = 400
lf.Italic = 0
lf.Underline = 0
lf.StrikeOut = 0
lf.CharSet = 0
lf.OutPrecision = 3
lf.ClipPrecision = 2
lf.Quality = 5
lf.PitchAndFamily = 34
lf.FaceName = String(25, " ") & "Courier" '32 - 7

'create new fontlist
Set zFL = zFLs.Create
With zFL
'set name of new fontlist
.DynProperties("Name") = "VBA_FontList3"
For i = 1 To 10
'create fonts in fontlist
Set zFI = zFL.Create(i)
zFI.DynProperties("Name") = "VBA_Font_" & Format(i, "00")
zFI.DynProperties("Font") = strFont
'modify LOGFONT definition
lf.Height = 10 + (i * 2)
'set font
zFI.DynProperties("Font") = GetStringFromLogFont(lf)
Next i
End With

End Sub

'CONVERT A STRING TO LOGFONT TYPE
Function GetLogFontFromString(strFont As String) As LOGFONT
Dim vSplit As Variant
Dim sFaceName As String
Dim i As Integer

vSplit = Split(strFont, " ")

GetLogFontFromString.Height = vSplit(0)
GetLogFontFromString.Width = vSplit(1)
GetLogFontFromString.Escapement = vSplit(2)
GetLogFontFromString.Orientation = vSplit(3)
GetLogFontFromString.Weight = vSplit(4)
GetLogFontFromString.Italic = vSplit(5)
GetLogFontFromString.Underline = vSplit(6)
GetLogFontFromString.StrikeOut = vSplit(7)
GetLogFontFromString.CharSet = vSplit(8)
GetLogFontFromString.OutPrecision = vSplit(9)
GetLogFontFromString.ClipPrecision = vSplit(10)
GetLogFontFromString.Quality = vSplit(11)
GetLogFontFromString.PitchAndFamily = vSplit(12)
For i = 13 To UBound(vSplit)
sFaceName = sFaceName & vSplit(i) & " "
Next i
sFaceName = RTrim(sFaceName)
sFaceName = String(32 - Len(sFaceName), " ") & sFaceName

GetLogFontFromString.FaceName = sFaceName
End Function

'CONVERT A LOGFONT TO STRING
Function GetStringFromLogFont(lfFont As LOGFONT) As String
GetStringFromLogFont = lfFont.Height & " " & _
lfFont.Width & " " & _
lfFont.Escapement & " " & _
lfFont.Orientation & " " & _
lfFont.Weight & " " & _
lfFont.Italic & " " & _
lfFont.Underline & " " & _
lfFont.StrikeOut & " " & _
lfFont.CharSet & " " & _
lfFont.OutPrecision & " " & _
lfFont.ClipPrecision & " " & _
lfFont.Quality & " " & _
lfFont.PitchAndFamily & " " & _
lfFont.FaceName
End Function


FontLists-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of Fontlist objects. | available | not used | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


FontLists-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IFontList | Create | Create a new FontList. | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IFontList | Item | Returns the FontList at the given index. | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Create() As FontList

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Imports settings using a xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)

'Export settings to an xml file
zenOnObject.Export ("C:\zenOn_eXaMpLe.xml, False")

'Import settings from an xml file
zenOnObject.Import ("C:\zenOn_eXaMpLe.xml, False")

End Sub


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Item(long lIndex) As FontList

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> FontLists -> FontLists-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport (VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Interlocking

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlocking

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With the interlocking object you have the opportunity to edit standard interlockings and command interlockings (zenOn Energy edition)

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub Get_Interlocking_Information()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlocking

'Load the available Interlockings
Set zInterlockings = thisProject.Interlockings
'Select a command interlocking called "switches"
Set zInterlocking = zInterlockings.Item("switches")

'Get all projected informations of the first action
'Get action type
Debug.Print "Action type = " & zInterlocking.DynProperties("Actions[0].Type")
'Get the linked variable
Debug.Print "Variable = " & zInterlocking.DynProperties("Actions[0].TTA")
'Get the "switching direction"
Debug.Print "Switching direction = " & zInterlocking.DynProperties("Actions[0].Direction")
'Get the "command setting status"
Debug.Print "Command setting status = " & zInterlocking.DynProperties("Actions[0].CommandState")
'Get state "CEL entries suppressed"
Debug.Print "CEL entries are suppressed = " & zInterlocking.DynProperties("Actions[0].CELBlock")
'Get the "timeout" in seconds
Debug.Print "Timeout (s) = " & zInterlocking.DynProperties("Actions[0].Timeout")
'Get the "edge delay" in milliseconds
Debug.Print "Edge delay (ms) = " & zInterlocking.DynProperties("Actions[0].EdgeDelay")
'Get the "modifyable stati"
Debug.Print "Modifyable stati = " & zInterlocking.DynProperties("Actions[0].State")
'Get state "nominal/actual value comparison"
Debug.Print "Nominal/actual value comparison is activated = " & zInterlocking.DynProperties("Actions[0].Actual")
'Get the "menu specific Screen"
Debug.Print "Menu specific picture = " & zInterlocking.DynProperties("Actions[0].Picture")
'Get state "close automatically"
Debug.Print "Close automatically is activated = " & zInterlocking.DynProperties("Actions[0].CloseMDIWnd")
'Get state "two-stage"
Debug.Print "Two-stage is activated = " & zInterlocking.DynProperties("Actions[0].TwoLevel")
'Get state "two-hand operation"
Debug.Print "Two-hand operation is activated = " & zInterlocking.DynProperties("Actions[0].TwoHand")

End Sub


Interlocking-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty |  | available | not used | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


CreateDynProperty

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With the DynProperties "Variables" and "Actions" you have the opportunity to create a variable at an interlocking and to create an action at a command interlocking (special interlockings for zenOn Energy).

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of DynProperty to be created as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Command_Interlockings()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlocking

'Load the available Interlockings
Set zInterlockings = thisProject.Interlockings
'Select a command interlocking
Set zInterlocking = zInterlockings.Item("Verriegelung 1")

'Create a "variable" at the command interlocking
zInterlocking.CreateDynProperty ("Variables")
'Allocate the first variable of the project variables list
zInterlocking.DynProperties("Variables[0].Name") = thisProject.Variables.Item(0)

'Create an "action" at the command interlocking
zInterlocking.CreateDynProperty ("Actions")
'The action should be from type "Double command"
zInterlocking.DynProperties("Actions[0].Type") = 1
'Set the "variable" via a string
zInterlocking.DynProperties("Actions[0].TTA") = "switch_1"
'Set the "switching direction" to ON
zInterlocking.DynProperties("Actions[0].Direction") = 1
'Set the "command setting status" to 1
zInterlocking.DynProperties("Actions[0].CommandState") = 1
'Set that CEL entries should be suppressed
zInterlocking.DynProperties("Actions[0].CELBlock") = True
'Set the "timeout" to 60 sec
zInterlocking.DynProperties("Actions[0].Timeout") = 60
'Set the edge "delay" to 2000 msec
zInterlocking.DynProperties("Actions[0].EdgeDelay") = 2000
'Read the "modifyable stati"
Debug.Print zInterlocking.DynProperties("Actions[0].State")
'Set the "nominal/actual value comparison" active
zInterlocking.DynProperties("Actions[0].Actual") = True
'Set the "menu specific picture" (menu type = commands) via a string
zInterlocking.DynProperties("Actions[0].Picture") = "Picture 1"
'Set the "close automatically" property active
zInterlocking.DynProperties("Actions[0].CloseMDIWnd") = True
'Set the "two-stage" property active
zInterlocking.DynProperties("Actions[0].TwoLevel") = True
'Set the "two-hand operation" property active
zInterlocking.DynProperties("Actions[0].TwoHand") = True

End Sub


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Interlocking-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

C++ Class CVerrieg


C++ Class CVerrieg

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Dynproperties -> C++ Class CVerrieg

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

IsGeneral

-

VT_BSTR

Name

Nom

Nom unique du verrouillage ou de la saisie de commande.
Par défaut : verrouillage/groupe de commandes (où x représente un nombre consécutif).
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

D'autres informations concernant la création des éléments suivants sont disponibles dans l'aide en ligne :

- Verrouillage

- Commande

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BSTR

TTA

Imp/Exp TTA


CBefPara-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Dynproperties -> CBefPara-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

CVerBed

LockingCondition

Conditions de verrouillage

Spécifie la méthode de centrage :0 &rarr; Centrage désactivé1 &rarr; Définir le centrage souhaité par l'intermédiaire d'un objet (propriété dynamique Poste)3 &rarr; Définir le centrage souhaité par l'intermédiaire de coordonnées (propriétés dynamiques X et Y)

VT_UI4

Timeout

Timeout

Disponible seulement pour les actions 'Commande' en 'Envoi valeur' :
Délai d'attente utilisé pour la temporisation du chien de garde, en secondes.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 30.

Plus de détails dans l'aide en ligne

VT_UI2

CommandState

Commande

Disponible uniquement pour l'action Commande :
Définit la valeur qui est écrite dans la variable de commande durant l'action "Commande".0 : La variable de commande est réinitialisée à 0.
1 : La variable de commande est réinitialisée à 1.
Par défaut : 1.

Plus de détails dans l'aide en ligne

ZT_ALARMKLASSE

State

Etats modifiables

Disponible uniquement pour l'action Commande :
Liste des états qui peuvent être modifiés avec l'action Envoi état.
Par défaut : aucun.

Plus de détails dans l'aide en ligne

VT_BOOL

Actual

Comparaison valeur nominale/actuelle

Actif : Une vérification est effectuée afin de déterminer si la valeur de la variable de réponse correspond déjà à la direction de la commutation à effectuer. Si c'est le cas, un message déverrouillable est affiché dans la commande.
Inactif : La direction de commutation n'est pas vérifiée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

ZT_VARIABLE_DYN

Name

Variable de l'action

Nom de la variable liée au groupe de commandes.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

VT_BOOL

CloseMDIWnd

Fermer automatiquement

Actif : Le synoptique de commande est automatiquement fermé lorsque l'action a été exécutée.
Inactif : Le synoptique de commande n'est pas automatiquement fermé.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

TwoHand

Opération à deux mains

Disponible seulement pour les exécutions en deux étapes :
Actif : L'élément de contrôle Execute 2 peut uniquement être actionné lorsque la touche Ctrl est enfoncée.
Inactif : L'élément de contrôle peut toujours être actionné.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

EdgeDelay

Durée d'impulsion

Disponible uniquement si l'option Commande simple a été sélectionnée pour la propriété Type action.
Après expiration de ce délai en millisecondes, la valeur de la variable de commande est réinitialisée sur 0 ou 1, en fonction du sens de commutation. La valeur n'est pas réinitialisée si vous avez activé la propriété Select Before Operate de la variable d'action.
Minimum : 0
Maximum : 4294967295
Par défaut : 1000
Attention : Le système n'attend pas que la tempo du chien de garde soit terminée.

Plus de détails dans l'aide en ligne

VT_BOOL

TwoLevel

A deux étapes

Actif : L'action sera exécutée après confirmation du contrôle "Execute 2".

Inactif : L'action sera exécutée :

  • après déverrouillage du dernier verrouillage.
  • immédiatement, si aucun verrouillage n'est actif.

Par défaut : active

Plus de détails dans l'aide en ligne

VT_BSTR

TTA

Imp/Exp TTA

VT_BSTR

Picture

Menu exp. synopt. spéc.

VT_R8

ValueDirectly

Spécifier valeur prescrite

Disponible uniquement si la propriété Etat de la réponse/direction de commutation a été définie sur DIR.

Définit les valeurs prescrites devant être écrites.

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_BOOL

UseQOC

Utiliser le qualificatif de commande

Disponible uniquement si vous possédez une licence pour le module Energy Edition.

Vous pouvez ajouter des informations supplémentaires aux commandes (qualificatif de commande) si cette capacité est prise en charge par le pilote. Pilotes possibles : IEC850, IEC870 et DNP3.

Active : Active la saisie sous la propriété Qualificatif de commande.

Par défaut : Inactive

VT_UI1

QOC

Qualificatif de commande

Saisissez une valeur numérique qui sera transmise au pilote sous forme de paramètre de commande. En fonction du driver, ce paramètre aura des effets différents.

  • IEC850: les valeurs comprises entre 0 et 3 seront insérées dans le champ Vérification des commandes ; les autres valeurs seront ignorées.
  • IEC870 : les valeurs comprises entre 0 et 31 seront insérées dans le champ QU des commandes ; les autres valeurs seront ignorées.
  • DNP3 : la valeur 1 signifie Envoyer une impulsion, toutes les autres signifient Verrouiller.

Minimum : 0

Maximum : 127

Par défaut : 0

Plus de détails dans l'aide en ligne.

VT_BSTR

CmdMenuID

ID du menu

ID unique de l'action. L'ID de menu est utilisé pour la création des menus contextuels dans le Runtime. Si deux actions comportent le même ID, elles sont identifiées à l'aide d'un symbole spécial dans l'arborescence des actions.

Plus de détails dans l'aide en ligne.

VT_UI2

Type

Type action

Disponible uniquement pour l'action Commande :
type de commande.
Commande double : écrit la valeur de la propriété Command status (État de la commande).
Commande simple : écrit la valeur de la propriété Command status (État de la commande). Après expiration du délai de front, la valeur 0 est écrite. Cette écriture n'est plus contrôlée par le Runtime.
Par défaut : commande simple.

Plus de détails dans l'aide en ligne

VT_UI2

Direction

Etat de la réponse/direction de commutation

Indisponible pour les actions suivantes : Bloquer, Verrouiller et Approuver.
Définit la valeur attendue et/ou l'état de la variable de réponse après l'exécution de l'action. Les entrées possibles varient en fonction de l'action.
Plus de détails dans l'aide en ligne.

VT_BOOL

CELBlock

Supprimer événement

Actif : Aucune entrée n'est créée dans la liste chronologique d'événements (CEL) lors de l'exécution de l'action.
Inactif : Une entrée est créée dans la liste chronologique d'événements (CEL) lors de l'exécution de l'action.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI2

PwlExecute

Groupe d'autorisation pour l'exécution

Définissez le niveau d'autorisation requis pour procéder au verrouillage. Cliquez sur le niveau pour ouvrir une liste déroulante de sélection.

Plus de détails dans l'aide en ligne.

VT_UI2

PwlUnlock

Groupe d'autorisation pour déverrouiller

Définissez le niveau d'autorisation requis pour procéder au déverrouillage. Cliquez sur le niveau pour ouvrir une liste déroulante de sélection.

Plus de détails dans l'aide en ligne.


CVerVar-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlocking -> Interlocking-Dynproperties -> CVerVar-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE_DYN | Name | Variable de verrouillage | Variable pouvant être utilisée pour la condition de verrouillage. En cliquant sur le bouton ..., vous pouvez échanger la variable sans devoir adapter la formule. Plus de détails dans l'aide en ligne


Interlockings

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlockings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With the interlockings object you have the opportunity to create and edit interlockings in the list.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub Interlockings()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlockings

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Creates an interlocking called "Interlocking" with an assignment
Set zInterlocking = zInterlockings.Create("Interlocking", False)
Call InterlockingsItem

End Sub

Sub InterlockingsItem()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlockings

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Returns an interlocking out of the list
Set zInterlocking = zInterlockings.Item("Interlocking")
'Rename the interlocking
zInterlocking.DynProperties("Name") = "My_Interlocking"

End Sub


Interlockings-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns the amount of interlockings. | read only | read only | yes | yes
IProject | Parent | Returns the parent of the interlockings object. | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object.

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Interlockings-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IInterlocking | Create | Creates a new interlocking. | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IInterlocking | Item | Returns the interlocking at the given index. | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new Interlocking an returns this new object.

Datatype

Create(String bsName,Boolean bCommand) As Interlocking

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name as string.

If this value is set to 'True' then a "Command" is created instead of an "Assignment".
"Commands" are only available within an "Energy Edition - License"!

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bCommand As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Interlockings()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Object from type Interlocking

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Creates an interlocking called "Interl_1" with an assignment
Set zInterlocking = zInterlockings.Create("Interl_1", False)
Debug.Print "Count = " & zInterlockings.Count

End Sub


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName, Boolean bCommand) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

Interlocking | False
Command | True
C#
C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

bCommand As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)

'Export settings to an xml file
zenOnObject.Export ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

'Import settings from an xml file
zenOnObject.Import ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

End Sub


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName, Boolean bCommand) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

Interlocking | False
Command | True
C#
C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

bCommand As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)

'Export settings to an xml file
zenOnObject.Export ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

'Import settings from an xml file
zenOnObject.Import ("C:\zenOn_eXaMpLe.xml, False") 'Interlocking

End Sub


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object "Interlocking" from the collection, which is identified by the parameter vItem.The parameter vItem can have two values:<ul><li>Index: Access with an index mostly is used in combination with the property Count to find out the position of the object in the list.</li><li>Name: The interlocking can also be accessed with its unique name.</li></ul>Hint:The returned object should always be checked on Nothing, for the case that no object was found for the search criteria.

Datatype

Item(VARIANT vItem) As Interlocking

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Index or name of the "Interlocking" object within the collection.

If the parameter is a numerical value, the object is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the object is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vItem As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub InterlockingsItem()

Dim zInterlockings As Interlockings 'Object from type Interlockings
Dim zInterlocking As Interlocking 'Child object from type Interlockings

'Fill the objects
Set zInterlockings = MyWorkspace.ActiveDocument.Interlockings
'Returns an interlocking out of the list
Set zInterlocking = zInterlockings.Item("Interlocking 1")
'Rename the interlocking
zInterlocking.DynProperties("Name") = "My_Interlocking"

End Sub


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> Interlockings -> Interlockings-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName,Boolean bCommand) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


LanguageTable

Manuels -> Interfaces de programmation -> Modèles d'objet -> LanguageTable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA


LanguageTable-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of Files in the Language Table | available | not used | yes | yes
IProject | Parent | Parent-object | available | not used | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Parent() As Project

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


LanguageTable-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateFile | Creates a new File in the Language Table | available | not used | yes | yes
VARIANT_BOOL | DeleteFile | Deletes a File from the Language Table | available | not used | yes | yes
VARIANT_BOOL | DeleteKey | Deletes a Key from all Files of the Language Table | available | not used | yes | yes
BSTR | GetString | Returns a String from the Language Table | available | not used | yes | yes
VARIANT_BOOL | ImportFile | Imports (and merges) an existing File into the Language Table | available | not used | yes | yes
IFileManagerFileItem | Item | Returns the File by Name or Position | available | not used | yes | yes
VARIANT_BOOL | SetString | Sets a String in the Language Table | available | not used | yes | yes


CreateFile

Manuels -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> CreateFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateFile(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub LangCreate()
Dim ILang As LanguageTable
Dim IFile As FileManagerFileItem
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
'Create a new empty file
ILang.CreateFile("ENGLISH.TXT")
End Sub


DeleteFile

Manuels -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> DeleteFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DeleteFile(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub LangDelete()
Dim ILang As LanguageTable
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
ILang.DeleteFile("ENGLISH.TXT")
End Sub


DeleteKey

Manuels -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> DeleteKey

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DeleteKey(String Key) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub KeyDelete()
Dim ILang As LanguageTable
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
If CheckOutAll Then
ILang.DeleteKey("Motor")
End If
End Sub


GetString

Manuels -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> GetString

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

GetString(String File, String Key) As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub GetKey()
Dim ILang As LanguageTable
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
Debug.Print ILang.GetString("ENGLISH.TXT", "Motor")
End Sub


ImportFile

Manuels -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> ImportFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ImportFile(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As FileManagerFileItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub LangItem()
Dim ILang As LanguageTable
Dim IFile As FileManagerFileItem

Set ILang = MyWorkspace.ActiveDocument.LanguageTable
Set IFile = ILang.Item("ENGLISH.TXT")
Debug.Print IFile.FileName
Set IFile = ILang.Item(3)
Debug.Print IFile.FileName
End Sub


SetString

Manuels -> Interfaces de programmation -> Modèles d'objet -> LanguageTable -> LanguageTable-Methods -> SetString

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SetString(String File, String Key, String Text) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub LangFill()
Dim i As Integer
Dim Ok As Boolean
Dim ILang As LanguageTable
Dim IFile As FileManagerFileItem
Set ILang = MyWorkspace.ActiveDocument.LanguageTable
Set IFile = ILang.Item("ENGLISH.TXT")
If Not IFile Is Nothing Then
If Not IFile.IsLocked And Not IFile.IsCheckedOut Then IFile.CheckOut
If IFile.IsCheckedOut Then
Ok = ILang.SetString("ENGLISH.TXT", "Motor", "Engine")
Ok = ILang.SetString("ENGLISH.TXT", "Schalter", "Switch")
End If
End If
End Sub


Limit

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The collection Variables contains all defined limits of a variable.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_Limit()
Dim zVAR As Variable
Dim zLimit As Limit
Dim vDynProps As Variant
Dim strDynProp As String

'set variable object to get the limits collection
Set zVAR = thisProject.Variables.Item("WIZ_VAR_10")
'set limit object
Set zLimit = zVAR.Limits.Item(0)

'read all Default Properties from a limit
With zLimit
'generate some output information
Debug.Print "Text: " & .Text
Debug.Print "Value: " & .Value
Debug.Print "AlarmClass: " & .AlarmClass
Debug.Print "AlarmGroup: " & .AlarmGroup
End With

'read all DynProperties from a limit
vDynProps = zLimit.DynPropertiesEnum("")
For Each strItem In vDynProps
strDynProp = Mid(strItem, 1, InStr(1, strItem, ",") - 1)
Debug.Print "--------------------"
Debug.Print strItem
Debug.Print zLimit.DynProperties(strDynProp)
Next
End Sub


Limit-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
short | AlarmClass | Alarmclass | not used | read only | yes | yes
short | AlarmGroup | Alarmgroup | not used | read only | yes | yes
Limits | Parent | Parent-object | read only | read only | yes | yes
BSTR | Text | Alarmtext | not used | read only | yes | yes
double | Value | Value | not used | read only | yes | yes


AlarmClass

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Properties -> AlarmClass

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the ID of the defined alarm class for the actual limit.At the moment the alarm class is not available as an object.

Datatype

AlarmClass() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


AlarmGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Properties -> AlarmGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the ID of the defined alarm group for the actual limit.At the moment the alarm group is not available as an object.

Datatype

AlarmGroup() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Limits

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Text

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Properties -> Text

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns/sets the limit text. For reading operations the translated string – in the current language of the Runtime – is returned.Allocating a limit directly changes the key of the entry – i.e. different to reading access, where the string is translated to the current language of the project.

Datatype

Text() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Properties -> Value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns/sets the limit, at which the current status occurs. The current status occurs – depending on the setting Min or Max – on violating this limit.The setting Min or Max cannot be changed via VBA. The methods IsMin and IsMax can check the type of the limit.

Datatype

Value() As double

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Limit-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
VARIANT_BOOL | IsMax | - | available | not used | yes | yes
VARIANT_BOOL | IsMin | - | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Methods -> IsMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns 'True' if the type of the current limit is 'Max', violated as soon as the current value is higher. Otherwise it is a minimum limit.

Datatype

IsMax() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsMin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limit -> Limit-Methods -> IsMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns 'True' if the type of the current limit is 'Min', violated as soon as the current value is lower. Otherwise it is a maximal limit.

Datatype

IsMin() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Limits

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The collection Limits contains the defined limits of a variable. With this collection you can access the defined limits.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_Limits()
Dim zVAR As Variable
Dim zLimit As Limit
Dim i As Integer

'set variable object to get the limits collection
Set zVAR = thisProject.Variables.Item("WIZ_VAR_10")

'enumerate all limits of the variable
For i = 0 To zVAR.Limits.Count - 1
Set zLimit = zVAR.Limits.Item(i)
Debug.Print "LIMIT " & (i + 1) & ":"
With zLimit
'generate some output information
Debug.Print "Text: " & .Text
Debug.Print "Value: " & .Value
Debug.Print "AlarmClass: " & .AlarmClass
Debug.Print "AlarmGroup: " & .AlarmGroup
Debug.Print "Status: " & .DynProperties("Status")
End With
Next i
End Sub


Limits-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limits -> Limits-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined limits | read only | read only | yes | yes
IVariable | Parent | Parent-object | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limits -> Limits-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limits -> Limits-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Limits-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limits -> Limits-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ILimit | Item | Returns limit on the given position | available | available | yes | yes


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> Limits -> Limits-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a "Limit" object by its position.

Datatype

Item(long iIndex) As Limit

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MdiElement

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The availibility and functionality of MDI elements, also called control elements within zenOn, depend on the corresponding Screen type. This collection returns the default settings of the MDI elements.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_MdiElements()
'Declarations
Dim zPIC As DynPicture
Dim zMDIs As MdiElements
Dim i As Integer

'Initialize zPIC with the ALARM Screen
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ALARM")
'Initialize zMDIs with the available MDI elements for the ALARM Screen
Set zMDIs = zPIC.MdiElements

'For every MDI element in the ALARM Screen...
For i = 0 To zMDIs.Count - 1
'... output the details
With zMDIs.Item(i)
Debug.Print "Caption: " & .Caption
Debug.Print "Position left: " & .Left
Debug.Print "Position top: " & .Top
Debug.Print "Width: " & .Width
Debug.Print "Height: " & .Height
End With
Next i
End Sub


MdiElement-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
OLE_COLOR | BackColor |  | available | read only | yes | yes
BSTR | Caption |  | available | not used | yes | yes
OLE_COLOR | ForeColor |  | available | read only | yes | yes
long | Height |  | available | read only | yes | yes
long | ID |  | available | not used | yes | yes
VARIANT_BOOL | IsDefault |  | available | not used | yes | yes
long | Left |  | available | read only | yes | yes
IMdiElements | Parent |  | read only | read only | yes | yes
long | Top |  | available | read only | yes | yes
tpElementTypes | Type |  | read only | available | yes | yes
long | Width |  | available | read only | yes | yes


BackColor

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> BackColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Caption

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> Caption

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Name of the linked picture type specific function.

Datatype

Caption() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ForeColor

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> ForeColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ForeColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Height

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> Height

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Height of the element (in pixels).

Datatype

Height() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unique ID of the "MdiElement" object.

Datatype

ID() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IsDefault

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> IsDefault

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns TRUE, if the "MdiElement" object belongs to the default elements.

Datatype

IsDefault() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Left

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> Left

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the position of the left window border of the element in pixel. The value defines the distance from the top border of the screen.

Datatype

Left() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As MdiElements

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Top

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> Top

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the position of the top window border of the element in pixel. The value defines the distance from the top border of the screen.

Datatype

Top() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Type of the "Element" object.

Datatype

Type() As tpElementTypes

Availability

Environment | Available
Editor | read only
Runtime | available
VBA | yes
VSTA | yes


Width

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Properties -> Width

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Width of the element (in pixel).

Datatype

Width() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


MdiElement-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MdiElement-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

MDI-Elemente Defaultliste


MDI-Elemente Defaultliste

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElement -> MdiElement-Dynproperties -> MDI-Elemente Defaultliste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | MenuID | - | Définit le texte du pied de page inséré dans le coin inférieur gauche de la page.Conseil : Les opérateurs suivants sont autorisés :%ZEIT% &rarr; Insère l'heure actuelle%DATUM% &rarr; Insère la date actuelle%SEITE% &rarr; Insère le numéro de page%DIAGRAMMNAME% &rarr; Insère le nom du diagramme
VT_UI4 | Info | - | Cette propriété renvoie la variable de la recette.
VT_I4 | Top | - | Spécifie le type de filtre.0 &rarr; Par défaut1 &rarr; Temps (jour)2 &rarr; Temps (semaine)3 &rarr; Temps (quinzaine)4 &rarr; Temps (mois)5 &rarr; Temps (année)6 &rarr; Temps 15 minutes7 &rarr; Temps 30 minutes8 &rarr; Temps 60 minutes9 &rarr; Temps relatif10 &rarr; Temps absolu11 &rarr; Batchs
VT_I4 | Left | - | Spécifie le format d'heure du filtre.ATTENTION : ce filtre est uniquement utilisable si la propriété dynamique BoxType est définie sur 0.10 &rarr; Temps relatif12 &rarr; Temps absolu14 &rarr; À partir du jour indiqué20 &rarr; À partir du mois indiqué22 &rarr; À partir de l'année indiquée25 &rarr; Tous
VT_I4 | Height | - | Indique si la valeur de longueur (propriété dynamique Length) doit être ajoutée ou soustraite.0 &rarr; Soustraire la valeur de longueur1 &rarr; Soustraire la valeur de longueur
VT_I4 | Width | - | Nom du fichier inséré.
VT_BOOL | Default | - | Définit le texte du pied de page centré en bas de la page.Conseil : pour plus d'informations, reportez-vous à la rubrique consacrée à la propriété dynamique FootLeft.
VT_UI2 | Type | - | Définit le format d'importation/d'exportation du fichier de recette.0 &rarr; Fichier texte (TXT)
VT_I4 | ID | - | Définit un commentaire pour l'impression de la tendance étendue.
VT_BSTR | Text | - | La boîte de dialogue de définition de la formule de la variable mathématique est affichée à l'écran.
VT_UI4 | Style | - | Indique le format de sortie.0 &rarr; dBase IV (*.DBF)1 &rarr; XML (*.xml)2 &rarr; ASCII (*.TXT)
VT_UI4 | StyleMask | - | Une légende indiquant la couleur de chaque courbe peut être activée pour l'impression des tendances étendues.
VT_UI4 | TextColor | - | Pour les valeurs HD (Hard Disk : stockées sur le disque dur), une mémoire circulaire est remplie et stockée.Active (TRUE) : la mémoire circulaire est réinitialisée pour l'exportation.Inactive (FALSE) : la mémoire circulaire est conservée pour l'exportation.
VT_UI4 | BackColor | - | Détermine si la légende et les courbes doivent être imprimées sur la même page.


MdiElements

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object manages "MdiElement" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_MdiElements()
'Declarations
Dim zPIC As DynPicture
Dim zMDIs As MdiElements
Dim i As Integer

'Initialize zPIC with the ALARM Screen
Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ALARM")
'Initialize zMDIs with the available MDI elements for the ALARM Screen
Set zMDIs = zPIC.MdiElements

'For every MDI element in the ALARM Screen...
For i = 0 To zMDIs.Count - 1
'... which is not a default element...
If Not zMDIs.Item(i).IsDefault Then
'... output the caption of the element.
Debug.Print zMDIs.Item(i).Caption
End If
Next i
End Sub


MdiElements-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElements -> MdiElements-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IDynPicture | Parent | The parent object of the current object | read only | read only | yes | yes
VARIANT_BOOL | UseProfile |  | read only | not used | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElements -> MdiElements-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElements -> MdiElements-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As DynPicture

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


UseProfile

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElements -> MdiElements-Properties -> UseProfile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns TRUE, if profile elements are available for this type of object.

Datatype

UseProfile() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


MdiElements-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElements -> MdiElements-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IMdiElement | Item | Returns a object at a position or by a specified key | available | available | yes | yes


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> MdiElements -> MdiElements-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object Element from the collection, which is identified by the parameter vID.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vID can have two values:<ul><li>Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.</li><li>Element name: The element can also be accessed with its unique name.</li></ul>Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vElementID) As MdiElement

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MDITemplate

Manuels -> Interfaces de programmation -> Modèles d'objet -> MDITemplate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function


MDITemplate-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> MDITemplate -> MDITemplate-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | DynProperties [GET] |  | read only | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MDITemplate -> MDITemplate-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MDITemplate -> MDITemplate-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MDITemplate -> MDITemplate-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MDITemplate-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> MDITemplate -> MDITemplate-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

MDITemplate-Dynproperties


MDITemplate dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> MDITemplate -> MDITemplate-Dynproperties -> MDITemplate dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | CopaDataTemplate | - |
VT_BOOL | DefaultTemplate | - |
VT_BSTR | Description | - |
VT_BSTR | Folder | - |
VT_BSTR | GUID | - |
VT_UI4 | Height | - |
VT_BSTR | Language | - |
VT_UI4 | MDIType | - |
VT_BSTR | Name | - |
VT_BSTR | ImportPath | - |
VT_UI4 | ScreenX | - |
VT_UI4 | ScreenY | - |
VT_UI4 | Width | - |


MDITemplates

Manuels -> Interfaces de programmation -> Modèles d'objet -> MDITemplates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function


MDITemplates-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> MDITemplates -> MDITemplates-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of MDI Templates in the Collection | available | not used | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> MDITemplates -> MDITemplates-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


MDITemplates-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> MDITemplates -> MDITemplates-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IMDITemplate | Item | Returns the MDI Template by Name or Position | available | not used | yes | yes


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> MDITemplates -> MDITemplates-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Item(VARIANT vPosOrName) As MDITemplate

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageControl

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The collection Projects contains all projects loaded in the Runtime. The single projects of the Runtime are available as objects Project in VBA.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />It is not possible to create an object of this type with the attribute New.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub


MessageControl-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActiveAtStartup |  | available | read only | yes | yes
short | Attempts |  | available | read only | yes | yes
tpMsgCtrlCelDetail | CelDetail |  | available | read only | yes | yes
VARIANT | CurrentQueue |  | not used | read only | yes | yes
VARIANT_BOOL | LogMessageDeleteActions |  | available | read only | yes | yes
short | TimeToWait |  | available | read only | yes | yes


ActiveAtStartup

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Properties -> ActiveAtStartup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ActiveAtStartup() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Attempts

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Properties -> Attempts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Attempts() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


CelDetail

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Properties -> CelDetail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CelDetail() As tpMsgCtrlCelDetail

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub


CurrentQueue

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Properties -> CurrentQueue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CurrentQueue() As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zMessageControl As MessageControl

Private Sub Project_Active()
Set zMessageControl = thisProject.MessageControl
End Sub

'====================================================================================================
' MessageControl Runtime
'====================================================================================================
Public Sub Macro_MessageControl()
Dim zMessageQueue As Variant
Dim zMessage As MessageControlMessage

Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
Debug.Print ("Message Control active druing Runtime start: " & CStr(zMessageControl.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(zMessageControl.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(zMessageControl.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(zMessageControl.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(zMessageControl.LogMessageDeleteActions));

'Get Message Queue
zMessageQueue = zMessageControl.CurrentQueue
If zMessageQueue <> Empty Then
For i = 0 To UBound(zMessageQueue)
'Get Message Item informations (Read only)
Set zMessage = zMessageQueue(i)
Call ShowMessageInformation(zMessageQueue(i))
Next i
Else
Debug.Print ("No messages")
End If

Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub

Public Function ShowMessageInformation(ByVal obMessage As MessageControlMessage)
Debug.Print ("========================================================")
Debug.Print ("Message Guid: " & obMessage.Guid)
Debug.Print ("Numbers of attempt: " & CStr(obMessage.Attempts))
Debug.Print ("Max. number of attempts:" & CStr(obMessage.MaxAttempts))
Debug.Print ("Waiting period between two attempts [min]: " & CStr(obMessage.TimeToWait))
Debug.Print ("Used dispatcher type: " & CStr(obMessage.DispatcherType))
Debug.Print ("Destination: " & obMessage.Destination)
Debug.Print ("Customer identifier: " & obMessage.CustomIdentifier)
Debug.Print ("Title of the message: " & obMessage.Title)
Debug.Print ("Current message text: " & obMessage.MessageText)
Debug.Print ("Time stamp when message is sending: " & CStr(obMessage.Send))
Debug.Print ("Time stamp when message was sent: " & CStr(obMessage.Sent))
Debug.Print ("Acknowledge required: " & CStr(obMessage.AcknowledgeRequired))
Debug.Print ("Time limit when message must be acknowledged: " & CStr(obMessage.AcknowledgeTimeOut))
Debug.Print ("Dispatch type style: " & CStr(obMessage.TypeStyle)) 'User, Usergroup....
Debug.Print ("Destination type: " & CStr(obMessage.DestinationType))
Debug.Print ("Codes from function: " & CStr(obMessage.CodesFromFunction))
Debug.Print ("Cycle Counter: " & CStr(obMessage.CycleCounter))
Debug.Print ("========================================================")
End Function


LogMessageDeleteActions

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Properties -> LogMessageDeleteActions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

LogMessageDeleteActions() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & Str(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub


TimeToWait

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Properties -> TimeToWait

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

TimeToWait() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'====================================================================================================
' MessageControl Workspace
'====================================================================================================
Private Sub MessageControl_Sample()
Dim zMessage As MessageControlMessage
Dim zMessageControl As MessageControl
Dim i As Integer
Dim count As Integer

On Error GoTo ErrorHandler
Stop
'Get Message Control Properties
Set zMessageControl = MyWorkspace.ActiveDocument.MessageControl
With zMessageControl
Debug.Print ("Message Control active during Runtime start: " & CStr(.ActiveAtStartup))
Debug.Print ("Max. number of attemtps: " & CStr(.Attempts))
Debug.Print ("Detail level for Log in CEL: " & CStr(.CelDetail))
Debug.Print ("Waiting period between two attempts[min] : " & CStr(.TimeToWait))
Debug.Print ("Log manuel deletion of messages in the CEL : " & CStr(.LogMessageDeleteActions));
'Set Message Control Properties
.ActiveAtStartup = False
.Attempts = 5
.CelDetail = tpCelDetailNone
.TimeToWait = 15
.LogMessageDeleteActions = True
End With
Exit Sub
ErrorHandler:
Debug.Print ("Error :" & Err.Description & " " & Err.Number)
End Sub


MessageControl-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | available | read only | yes | yes
VARIANT | DynProperties [GET] |  | available | read only | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | available | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageControl-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | MessageAcknowledged |  | not used | read only | yes | yes
void | MessageAcknowledgeTimeOut |  | not used | read only | yes | yes
void | MessageCreated |  | not used | available | yes | yes
void | MessageDeleted |  | not used | read only | yes | yes
void | MessageIn |  | not used | read only | yes | yes
void | MessageNegAcknowledged |  | not used | read only | yes | yes
void | MessageSendError |  | not used | read only | yes | yes
void | MessageSent |  | not used | read only | yes | yes
void | SelectionChanged |  | not used | read only | yes | yes


MessageAcknowledged

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageAcknowledged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MessageAcknowledged(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageAcknowledgeTimeOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageAcknowledgeTimeOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MessageAcknowledgeTimeOut(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageCreated

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageCreated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MessageCreated(AlarmItem obAlarmItem,IMessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zMessageControl As MessageControl

Private Sub Project_Active()
Set zMessageControl = thisProject.MessageControl
End Sub

'====================================================================================================
' MessageControl Runtime
' It has been generates a new message in the system. The Message Control Message object
' corresponding to the actual message object which will be shipped later.
' Access to this object is only allowed within the event handler.
'====================================================================================================
Private Sub zMessageControl_MessageCreated(ByVal obAlarmItem As IAlarmItem, ByVal obMessage As IMessageControlMessage)
Stop
If Not obAlarmItem Is Nothing Then
Debug.Print (obAlarmItem.Name)
End If

If Not obMessage Is Nothing Then
Debug.Print ("Current message text: " & obMessage.MessageText)
' Only in this event it is possible to overrite the MessageControlMessage Object
obMessage.MessageText = "New message text"
End If
End Sub


MessageDeleted

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageDeleted

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MessageDeleted(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MessageIn(String bsIdentifier,String bsMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageNegAcknowledged

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageNegAcknowledged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MessageNegAcknowledged(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageSendError

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageSendError

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MessageSendError(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageSent

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> MessageSent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MessageSent(MessageControlMessage obMessage) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SelectionChanged

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Events -> SelectionChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SelectionChanged(LPVARIANT obSelection) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageControl-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

MessageControl-Dynproperties


MessageControl dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControl -> MessageControl-Dynproperties -> MessageControl dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ActiveAtStartup

Actif lors du démarrage du runtime

Actif : Le module Gestion de messages est démarré conjointement au Runtime.

Par défaut : active

Plus de détails dans l'aide en ligne

VT_I2

Attempts

Nombre maximum d'essais

Nombre maximal de tentatives d'envoi si des erreurs d'envoi se produisent.

Maximum : 100

Minimum : 1

Par défaut : 3

Plus de détails dans l'aide en ligne

VT_I2

CelDetail

Enregistrer dans liste d'événements

Définit les événements consignés dans la liste chronologique d'événements. Sélectionnez dans la liste déroulante :

- Toutes les confirmations

- Aucune confirmation

- Uniquement les confirmations négatives

- Uniquement les confirmations positives

Plus de détails dans l'aide en ligne

ZT_COLOR

ErrorColor

Erreur lors de l'envoi

Définit le code de couleurs correspondant à l'échec de l'envoi d'un message dans la colonne d'état d'un synoptique de type Gestion de messages. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs.

Plus de détails dans l'aide en ligne

ZT_COLOR

SendingColor

Le message est envoyé

Définit le code de couleurs correspondant à l'envoi d'un message dans la colonne d'état d'un synoptique de type Gestion de messages. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs.

Plus de détails dans l'aide en ligne

ZT_COLOR

SentColor

Le message a été envoyé

Définit le code de couleurs correspondant à l'envoi réussi d'un message dans la colonne d'état d'un synoptique de type Gestion de messages. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs.

Plus de détails dans l'aide en ligne

VT_BOOL

LogDeleteActions

Tracer la suppression manuelle des messages dans la liste des événements

Actif : Toute suppression manuelle d'entrées de la liste CEL est consignée dans la liste CEL.

Plus de détails dans l'aide en ligne

ZT_FILE

ErrorImage

Erreur lors de l'envoi

Définit un fichier graphique affiché dans la colonne d'état d'un synoptique de type Gestion de messages en cas d'échec de l'envoi d'un message. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d'un fichier graphique.

Plus de détails dans l'aide en ligne

ZT_FILE

SendingImage

Le message est envoyé

Définit un fichier graphique affiché dans la colonne d'état d'un synoptique de type Gestion de messages durant l'envoi d'un message. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d'un fichier graphique.

Plus de détails dans l'aide en ligne

ZT_FILE

SentImage

Le message a été envoyé

Définit un fichier graphique affiché dans la colonne d'état d'un synoptique de type Gestion de messages en cas d'envoi réussi d'un message. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d'un fichier graphique.

Plus de détails dans l'aide en ligne

VT_BSTR

SubjectDyn

Partie dynamique du sujet

Définit la partie spécifique au projet du sujet des messages reçus et envoyés. Utilisé avec les propriétés Message e-mail (Outlook)/Sujet (ID) ou Paramètres e-mail (SMTP)/Sujet pour les e-mails sortants dans les paramètres d'envoi généraux de Gestion de messages (MessagCtrl). Les messages entrants sont filtrés pour ce contenu, pour être transmis au module Gestion de messages.

Le texte peut contenir des opérateurs.

  • Légende de la table de langues
  • Nom d'une variable
  • Entrée composée dans la table de langues

Syntaxe : $ signale un texte ; les sections de texte sont séparées par des points-virgules (;), et le texte doit se terminer par un point-virgule (;).
Exemple : $@Attention;%Var1;

Vous trouverez une liste de paramètres au chapitre Paramètres des textes de limite.

Plus de détails dans l'aide en ligne

VT_I2

TimeToWait

Temps d'attente entre deux tentatives [min]

Délai d'attente, en minutes, entre deux tentatives d'envoi ou de retransmission d'un message.

Par défaut : 5

Plus de détails dans l'aide en ligne


MessageControlMessage

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object represents the user administration of the current project.With this object new users can be created and existing users can be edited/deleted during online operation. These changes can be imported into the Editor with decompiling. See the documentation of the control system for further information on decompiling.Users also can be logged in and out with this collection. Additionally this objects offers information on the currently logged in user.A user login executes the event UserChange with which you can execute user defined actions.Hint: For the event the object has to be defined with the attribute WithEvents in Visual Basic or VBA.

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zMessageControl As MessageControl

Private Sub Project_Active()
Set zMessageControl = thisProject.MessageControl
End Sub

'====================================================================================================
' MessageControl Runtime
' It has been generates a new message in the system. The Message Control Message object
' corresponding to the actual message object which will be shipped later.
' Access to this object is only allowed within the event handler.
'====================================================================================================
Private Sub zMessageControl_MessageCreated(ByVal obAlarmItem As IAlarmItem, ByVal obMessage As IMessageControlMessage)
Stop
If Not obAlarmItem Is Nothing Then
Debug.Print (obAlarmItem.Name)
End If

If Not obMessage Is Nothing Then
Debug.Print ("Current message text: " & obMessage.MessageText)
' Only in this event it is possible to overrite the MessageControlMessage Object
obMessage.MessageText = "New message text"
Call ShowMessageInformation(obMessage)
End If
End Sub

Public Function ShowMessageInformation(ByVal obMessage As MessageControlMessage)
Debug.Print ("========================================================")
Debug.Print ("Message Guid: " & obMessage.Guid)
Debug.Print ("Numbers of attempt: " & CStr(obMessage.Attempts))
Debug.Print ("Max. number of attempts:" & CStr(obMessage.MaxAttempts))
Debug.Print ("Waiting period between two attempts [min]: " & CStr(obMessage.TimeToWait))
Debug.Print ("Used dispatcher type: " & CStr(obMessage.DispatcherType))
Debug.Print ("Destination: " & obMessage.Destination)
Debug.Print ("Customer identifier: " & obMessage.CustomIdentifier)
Debug.Print ("Title of the message: " & obMessage.Title)
Debug.Print ("Current message text: " & obMessage.MessageText)
Debug.Print ("Time stamp when message is sending: " & CStr(obMessage.Send))
Debug.Print ("Time stamp when message was sent: " & CStr(obMessage.Sent))
Debug.Print ("Acknowledge required: " & CStr(obMessage.AcknowledgeRequired))
Debug.Print ("Time limit when message must be acknowledged: " & CStr(obMessage.AcknowledgeTimeOut))
Debug.Print ("Dispatch type style: " & CStr(obMessage.TypeStyle)) 'User, Usergroup....
Debug.Print ("Destination type: " & CStr(obMessage.DestinationType))
Debug.Print ("Codes from function: " & CStr(obMessage.CodesFromFunction))
Debug.Print ("Cycle Counter: " & CStr(obMessage.CycleCounter))
Debug.Print ("========================================================")
End Function


MessageControlMessage-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AcknowledgeRequired |  | not used | available | yes | yes
DATE | AcknowledgeTimeOut |  | not used | available | yes | yes
BSTR | Attachment |  | not used | available | yes | yes
short | Attempts |  | not used | available | yes | yes
VARIANT_BOOL | CodesFromFunction |  | not used | available | yes | yes
BSTR | CustomIdentifier |  | not used | available | yes | yes
long | CycleCounter |  | not used | available | yes | yes
BSTR | Destination |  | not used | available | yes | yes
short | DestinationType |  | not used | available | yes | yes
short | DispatcherType |  | not used | available | yes | yes
BSTR | Guid |  | not used | available | yes | yes
short | MaxAttempts |  | not used | read only | yes | yes
BSTR | MessageText |  | not used | available | yes | yes
DATE | Send |  | not used | available | yes | yes
DATE | Sent |  | not used | available | yes | yes
short | TimeToWait |  | not used | available | yes | yes
BSTR | Title |  | not used | available | yes | yes
short | TypeStyle |  | not used | available | yes | yes


AcknowledgeRequired

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> AcknowledgeRequired

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

AcknowledgeRequired() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


AcknowledgeTimeOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> AcknowledgeTimeOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

AcknowledgeTimeOut() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Attachment

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> Attachment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Attachment() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Attempts

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> Attempts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Attempts() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CodesFromFunction

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> CodesFromFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CodesFromFunction() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CustomIdentifier

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> CustomIdentifier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CustomIdentifier() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


CycleCounter

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> CycleCounter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CycleCounter() As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Destination

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> Destination

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Destination() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


DestinationType

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> DestinationType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DestinationType() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


DispatcherType

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> DispatcherType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DispatcherType() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Guid() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MaxAttempts

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> MaxAttempts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MaxAttempts() As short

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


MessageText

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> MessageText

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MessageText() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Send

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> Send

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Send() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Sent

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> Sent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Sent() As DATE

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TimeToWait

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> TimeToWait

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

TimeToWait() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Title

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> Title

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Title() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


TypeStyle

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Properties -> TypeStyle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

TypeStyle() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


MessageControlMessage-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | not used | available | yes | yes
VARIANT | DynProperties [GET] |  | not used | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MessageControlMessage-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

MessageControlMessage-Dynproperties


MessageControlMessage dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> MessageControlMessage -> MessageControlMessage-Dynproperties -> MessageControlMessage dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | AckReq | Acquittement nécessaire | Le message doit être acquitté à réception. Plus de détails dans l'aide en ligne.
ZT_DATETIME | AckTimeOut | Time-out d'acquittement | Délai d'acquittement du message. Plus de détails dans l'aide en ligne.
VT_BSTR | Attachment | Lien | Nom de la pièce jointe au message. Concerne uniquement les e-mails envoyés via SMTP. Plus de détails dans l'aide en ligne.
VT_I2 | Attempts | Essais | Nombre de tentatives. Plus de détails dans l'aide en ligne.
VT_BOOL | CodesFromFunction | Codes spécifiques à la fonction | Indiquer si un code individuel est utilisé pour l'acquittement. Plus de détails dans l'aide en ligne.
VT_BSTR | CustomIdentifier | Identification | Identifiant personnalisé. Peut uniquement défini par le biais de code VBA/VSTA dans l'événement MessageCreated. Plus de détails dans l'aide en ligne.
VT_UI4 | CycleCounter | Compteur de cycles envoyés | Nombre de retransmissions du message. Plus de détails dans l'aide en ligne.
VT_BSTR | Destination | Cible | Adresse de destination du message (adresse e-mail, numéro de téléphone). Plus de détails dans l'aide en ligne.
VT_I2 | DestiType | Type de cible (ID) |
VT_I2 | DispatchType | Type d'envoi (ID) |
VT_BSTR | GUID | GUID | Identifiant unique (GUID) du message. Plus de détails dans l'aide en ligne.
VT_I2 | MaxAttempts | Nombre d'essais | Nombre Maximum de tentatives d'envoi. Plus de détails dans l'aide en ligne.
VT_BSTR | MessageText | Message | Texte du message. Plus de détails dans l'aide en ligne.
ZT_DATETIME | Send | Essai suivant | Heure de la prochaine tentative d'envoi du message. Plus de détails dans l'aide en ligne.
ZT_DATETIME | Sent | Créé / dernier envoi | Heure de création du message ou heure de la dernière tentative d'envoi. Plus de détails dans l'aide en ligne.
VT_I2 | TimeToWait | Période d'attente | Délai d'attente, en minutes, pour la surveillance du délai d'attente et la retransmission de messages. Plus de détails dans l'aide en ligne.
VT_BSTR | Title | Sujet |
VT_UI2 | TypeStyle | Style du type d'envoi (ID) |


OnlineVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The object OnlineVariable is a container for variables.The method Define of this object requests all variables, that are linked to that object. The same thing happens whenever a Screen is opened in the Runtime. On initializing the variable or changing the value an event is executed, in which the changed variable can be edited as a parameter.This object should always be used, if one or more variable(s) are needed, that perhaps are not yet requested. As the request for the value of a variable takes most time, the performance here is increased, as you can be sure, that the values of the linked variables always are requested because of the method Define.Hint: For the event the object Visual Basic has to be defined with the attribute WithEvents.Using online variables always needs the following procedure:· Linking the online variable to variables of the control system. For each variable the method Add has to be executed with the unique name of the variable. Alternatively you can also use the method AddBulk. In this case a dynamic string array is created, that contains the variables‘ names. This array then is passed to the method AddBulk.· Executing the method Define to activate monitoring the variables. A VBA event is executed, when a variable changes. The event contains the canges variable object as a parameter. In the routine the different actions are executed.· Executing the method Undefine of the object to stop monitoring the variables. From now on changes of the variables are no longer reported via the VBA event.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub VariablesOfOLV()
Dim i As Integer
Dim obOLV As OnlineVariable
Dim obVAR As Variable
'get OnlineVariable
Set obOLV = thisProject.OnlineVariables.Item(0)
Debug.Print "Active: " & obOLV.Aktiv
'enum linked variables
For i = 0 To obOLV.Count - 1
Set obVAR = obOLV.Item(i)
Debug.Print obVAR.Name & " - " & obVAR.Tagname
Next i
End Sub


OnlineVariable-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Aktiv | - | not used | available | yes | yes
long | Count | - | read only | read only | yes | yes
long | EventMode | Activated event mode | not used | read only | yes | yes
BSTR | Name | Name of the online-variable (unique) | not used | available | yes | yes
IOnlineVariables | Parent | Parent-object | read only | read only | yes | yes


Aktiv

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Properties -> Aktiv

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the communication status of the online variable.The communication is set to True on executing the method Define. On deleting the object or executing the method Undefine the communication status is set to False.From this moment on the event VariableChange is no longer executed.

Datatype

Aktiv() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


EventMode

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Properties -> EventMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

EventMode() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unique name of the current online variable. With this name the online variable can be accessed in the collection OnlineVariables of the current project.

Datatype

Name() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As OnlineVariables

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


OnlineVariable-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActivateBulkMode | Activate bulk event mode | not used | available | yes | yes
VARIANT_BOOL | Add | - | not used | available | yes | yes
VARIANT_BOOL | AddBulk | - | not used | available | yes | yes
VARIANT_BOOL | Define | - | not used | available | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IVariable | Item | - | available | not used | yes | yes
VARIANT_BOOL | Remove | - | not used | available | yes | yes
VARIANT_BOOL | SetMemCfg | - | not used | available | yes | yes
void | Undefine | - | not used | available | yes | yes
VARIANT_BOOL | WriteBack | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


ActivateBulkMode

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> ActivateBulkMode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ActivateBulkMode () As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Add

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> Add

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Add (String szPvName) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


AddBulk

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> AddBulk

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

AddBulk (SAFEARRAY(String) szPvNames) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Define

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> Define

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method activates monitoring of all variables linked to this object.Before executing this method control system variables have to be linked to the object with the methods Add or AddBulk.Now on the initialization of a variable or on changing ist value a VBA event is executed, in which the linked variable is available as a parameter. In this event you can e.g. request the value, ...On executing this method the property Aktiv returns True. It is set to False, when the object is deleted or the methof Undefine is executed to stop monitoring.

Datatype

Define() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Item (VARIANT vID) As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Remove

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> Remove

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Remove (String szPvName) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetMemCfg

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> SetMemCfg

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SetMemCfg (String szMemName, SAFEARRAY(String) szPvNames, SAFEARRAY(long) lOffsets, Boolean bAsRawValue) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Undefine

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> Undefine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method deactivates monitoring of the linked control system variables.The event VariableChange, usually executed on changing the value of a linked variable, is no longer executed.Hint: This is not necessary, if the online variables are used in combination with zenOn VBA and the events FireActive or FireInactive of the project, as the method Undefine is executed internally at the time of the FireInactive.

Datatype

Undefine() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


WriteBack

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Methods -> WriteBack

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

WriteBack () As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnlineVariable-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | VariableBulkChange | Event: Is fired to handle a bulk of changed variable values | not used | available | yes | yes
void | VariableChange | Event: Is fired by changing the value of a variable | not used | available | yes | yes


VariableBulkChange

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Events -> VariableBulkChange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VariableBulkChange (LPVARIANT pvVars, LPVARIANT pvPvIDs, LPVARIANT pvValues, LPVARIANT pvStatesLo, LPVARIANT pvStatesHi, LPVARIANT pvTimes) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Returns an array of variable objects

Returns an array of PvIDs of the changed variables.

Returns the actual values as array

Returns the LoWords as array

Returns the HiWords as array

Returns the UpdateTimes as array

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pvVars As Variant

pvPvIDs As Variant

pvValues As Variant

pvStatesLo As Variant

pvStatesHi As Variant

pvTimes As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zOLV As OnlineVariable
Dim strVariables() As String

Private Sub Project_Active()
Dim i As Integer
'create array of variable names
ReDim strVariables(thisProject.Variables.Count)
For i = 0 To thisProject.Variables.Count - 1
strVariables(i) = thisProject.Variables.Item(i).Name
Next i
'get/create onlinevariable - container
Set zOLV = thisProject.OnlineVariables.Item("myOLV")
If zOLV Is Nothing Then
Set zOLV = thisProject.OnlineVariables.CreateOnlineVariables("myOLV")
End If
'add variables as bulk to online - container
zOLV.AddBulk strVariables()
'activate BULK Mode
zOLV.ActivateBulkMode
'activate VariableChange - Event
zOLV.Define
End Sub

Private Sub zOLV_VariableBulkChange(pvVars As Variant, pvPvIDs As Variant, pvValues As Variant, pvStatesLo As Variant, pvStatesHi As Variant, pvTimes As Variant)
Dim i As Integer
Debug.Print "Changed Variables: " & UBound(pvVars)
For i = 0 To UBound(pvVars)
Debug.Print " - [" & pvPvIDs(i) & "] " & pvVars(i).Name & " = " & pvValues(i)
Next i
Debug.Print "----------------------------------------------------------------"
End Sub

Private Sub Project_Inactive()
'free objects
If Not zOLV Is Nothing Then
zOLV.Undefine
End If
thisProject.OnlineVariables.DeleteOnlineVariables ("myOLV")
Set zOLV = Nothing
End Sub


VariableChange

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariable -> OnlineVariable-Events -> VariableChange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VariableChange (Variable obVar) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnlineVariables

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This collection contains the single objects OnlineVariable. An online variable is an object, in which control system variables are linked, which on being initialized or changed execute a VBA event. In this VBA event user defined actions can be defined.The usage of online variables is recommended for the reading of variable values, as all variables linked to the online variable can be ordered with one action. This enhances the performance.An online variable can be compared to a container or – even better – a Screen of the control system without display. In such a Screen of the control system also all values are ordered from the driver when the Screen is opened.

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zOLV As OnlineVariable
Const strOLV As String = "MyOnlineVariableContainer"

'initialize event on runtime startup
Private Sub Project_Active()
'get object if already exists
Set zOLV = thisProject.OnlineVariables.Item(strOLV)
If zOLV Is Nothing Then
'if not exitst, create a new OnlineVariable container
Set zOLV = thisProject.OnlineVariables.CreateOnlineVariables(strOLV)
'add variables to the container
zOLV.Add "Variable1"
zOLV.Add "Variable2"
zOLV.Add "Variable3"
End If
'activate 'VariableChange' event
zOLV.Define
End Sub

'event is fired when a variable value changes
Private Sub zOLV_VariableChange(ByVal obVar As IVariable)
Dim vValue As Variant
vValue = obVar.Value
'ignore error values (i.e. on startup)
If IsError(vValue) Then Exit Sub
D ebug.Print obVar.Name & " = " & vValue
End Sub

'release objects on closing the runtime
Private Sub Project_Inactive()
'deactivate 'VariableChange' event
If Not zOLV Is Nothing Then zOLV.Undefine
Set zOLV = Nothing
End Sub


OnlineVariables-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables -> OnlineVariables-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined online-variables | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables -> OnlineVariables-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables -> OnlineVariables-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


OnlineVariables-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables -> OnlineVariables-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IOnlineVariable | CreateOnlineVariables | Creates a new online-variable (unique name) | not used | available | yes | yes
VARIANT_BOOL | DeleteOnlineVariables | Deletes the given variable | not used | available | yes | yes
IOnlineVariable | Item | Returns the variable by name or position | available | available | yes | yes


CreateOnlineVariables

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables -> OnlineVariables-Methods -> CreateOnlineVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateOnlineVariables (String Name) As OnlineVariable

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Unique name of the online variable. This name can be transferred to the method Item of the collection as a parameter to get the object from the collection.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Name As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zOLV As OnlineVariable
Const strOLV As String = "MyOnlineVariableContainer"

'initialize event on runtime startup
Private Sub Project_Active()
'get object if already exists
Set zOLV = thisProject.OnlineVariables.Item(strOLV)
If zOLV Is Nothing Then
'if not exitst, create a new OnlineVariable container
Set zOLV = thisProject.OnlineVariables.CreateOnlineVariables(strOLV)
'add variables to the container
zOLV.Add "Variable1"
zOLV.Add "Variable2"
zOLV.Add "Variable3"
End If
'activate 'VariableChange' event
zOLV.Define
End Sub


DeleteOnlineVariables

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables -> OnlineVariables-Methods -> DeleteOnlineVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DeleteOnlineVariables (String Name) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Unique name of the online variable. This name can be transferred to the method Item of the collection as a parameter to get the object from the collection.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Name As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'delete all OnlineVariables
Sub DeleteOLVs()
Dim i As Integer
Dim obOLV As OnlineVariable
Dim strOLVName As String
'enum all OnlineVarialbes and delete it...
For i = 0 To thisProject.OnlineVariables.Count - 1
Set obOLV = thisProject.OnlineVariables.Item(i)
strOLVName = obOLV.Name
Set obOLV = Nothing
thisProject.OnlineVariables.DeleteOnlineVariables (strOLVName)
Next i
End Sub


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> OnlineVariables -> OnlineVariables-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object OnlineVariable from the collection, which is identified by the parameter vID.The parameter vID can have two values:· Index: Access with an index mostly is used in combination with the property Count to find out the position of the online variable object in the list.· Variable name: The online variable can also be accessed with its unique name.

Datatype

Item(VARIANT vID) As OnlineVariable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name as Variant
If the parameter is a numerical value, the variable is searched by its index (>= 0 and <= Count-1). If it is an alphanumerical value, the variable is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'enumerate all OnlineVariables
Sub EnumOLVs()
Dim i As Integer
Dim obOLV As OnlineVariable
For i = 0 To thisProject.OnlineVariables.Count - 1
Set obOLV = thisProject.OnlineVariables.Item(i)
Debug.Print obOLV.Name & " (Vars: " & obOLV.Count & ")"
Next i
End Sub


Passwords

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object represents the user administration of the current project.With this object new users can be created and existing users can be edited/deleted during online operation. These changes can be imported into the Editor with decompiling. See the documentation of the control system for further information on decompiling.Users also can be logged in and out with this collection. Additionally this objects offers information on the currently logged in user.A user login executes the event UserChange with which you can execute user defined actions.Hint: For the event the object has to be defined with the attribute WithEvents in Visual Basic or VBA.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zUserAdministration As Passwords

'initialize event on runtime startup
Private Sub Project_Active()
Set zUserAdministration = thisProject.Passwords
End Sub

Private Sub zUserAdministration_UserChange()
Debug.Print zUserAdministration.LoggedUser; " is logged in!"
End Sub

'create a new user
Sub CreateUser()
Dim zUser As User
'12345 = Levels: 0,3,4,5,12,13
Set zUser = thisProject.Passwords.CreateUser("Full Name", "Username", "P@ssword", 12345)
With zUser
.Active = True
.Admin = True
.Locked = False
End With
End Sub

'change some user properties
Sub ChangeUser()
Dim zUser As User
Dim vResult As Variant

Set zUser = thisProject.Passwords.ItemUser(0)
Debug.Print zUser.Name & " will be changed"

'change the identification of the user
vResult = zUser.IdentificationChange("NewLogonName")

'change the password for the user
vResult = zUser.PasswordChange("P@ssword", "NewPassword")

End Sub

'login a user with its password...
Sub LoginUser()
Dim bResult As Boolean
bResult = zUserAdministration.LoginPassword("LogonName", "P@ssword")
End Sub

'release objects on closing the runtime
Private Sub Project_Inactive()
Set zUserAdministration = Nothing
End Sub


Passwords-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CountUser | Count of defined users | available | available | yes | yes
long | CountUserGroup | Count of defined usergroups | read only | read only | yes | yes
BSTR | LoggedUser | Current logged on user | available | available | yes | yes
BSTR | LoggedUsername | TagName of the logged on user | available | available | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes


CountUser

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Properties -> CountUser

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the number of defined users, created in the user adminsitration of the control system.This method mostly is used for the iteration, i.e. to run through all the users in combination with the method ItemUser.

Datatype

CountUser() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CountUserGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Properties -> CountUserGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the number of defined usergroups, created in the user adminsitration of the control system.This method mostly is used for the iteration, i.e. to run through all the usergroups in combination with the method ItemUserGroup.

Datatype

CountUserGroup() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LoggedUser

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Properties -> LoggedUser

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the identification of the user currently logged in.The identification can have up to 14 characters. The identification is the unique Id for the user, i.e. with this parameter the user can be identified.E.g. the identification for the user System is 0000.

Datatype

LoggedUser() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


LoggedUsername

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Properties -> LoggedUsername

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of the currently logged in user.The name of the user is defined in the control system.

Datatype

LoggedUsername() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Passwords-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
tpLoginResult | CheckLogin | Checks the Login of a user with given ID and password |  |  |  |
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
IUser | CreateUser | Creates a new user | available | available | yes | yes
IUser | CreateUserEx | Creates a new user | available | available | yes | yes
IUserGroup | CreateUserGroup | Creates a new usergroup | available | not used | yes | yes
VARIANT_BOOL | DeleteUser | Deletes the given user | available | available | yes | yes
VARIANT_BOOL | DeleteUserGroup | Deletes the given usergroup | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the user list | available | not used | yes | yes
VARIANT_BOOL | ExportGroup | Exports the usergroup list | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the user list | available | not used | yes | yes
VARIANT_BOOL | ImportGroup | Imports the usergroup list | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
IUser | ItemUser | Returns user by position or by name | available | available | yes | yes
IUserGroup | ItemUserGroup | Returns usergroup by position or by name | available | not used | yes | yes
VARIANT_BOOL | Login | Logs in the user with the given ID | available | available | yes | yes
VARIANT_BOOL | LoginPassword | Logs in the user with the given ID and the given password | available | available | yes | yes
void | Logoff | Log out the current user | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | available | yes | yes
VARIANT_BOOL | SingleExportGroup | Exports the Item with given Name oder Index | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckLogin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> CheckLogin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CheckLogin(String szUser,String szPassword,LPVARIANT vLevels) As tpLoginResult

Availability

Environment | Available
Editor |
Runtime |
VBA |
VSTA |

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_CheckLogin()
Dim zPassword As Passwords
Dim tpResult As tpLoginResult
Dim vLevels As Variant
Dim vUserLevel As Variant
Dim i As Integer
Dim j As Integer
Dim mask As Double
Dim userLevels As String

Set zPassword = thisProject.Passwords
'Get Login result
tpResult = zPassword.CheckLogin("John", "123456", vLevels)
' Show result
getTpResultInformaion (tpResult)

For i = 0 To UBound(vLevels) 'User levels split in 4 groups with 32 bits
j = 0
mask = 0

If vLevels(i) > 0 Then
For j = 0 To 31 - 1 ' iterate the 32 bits
mask = 2 ^ j ' 0,2,4,8,16,32,64....
If vLevels(i) And mask Then ' If bit is set the user has this level
userLevels = userLevels + CStr(j + (32 * i)) & " "
End If
Next j
End If
Next i
Debug.Print ("User Levels: " & userLevels)
End Sub

Private Function getTpResultInformaion(tpResult As tpLoginResult)

Select Case tpResult
Case tpLoginResult.tpLoginOk
Debug.Print ("Login Ok: " & tpLoginResult.tpLoginOk)
Case tpLoginResult.tpPasswordExpired
Debug.Print ("Password expired: " & tpLoginResult.tpPasswordExpired)
Case tpLoginResult.tpSystemLocked
Debug.Print ("System locked: " & tpLoginResult.tpSystemLocked)
Case tpLoginResult.tpUserDeactivated
Debug.Print ("User deactivated: " & tpLoginResult.tpUserDeactivated)
Case tpLoginResult.tpUserLocked
Debug.Print ("User locked: " & tpLoginResult.tpUserLocked)
Case tpLoginResult.tpWrongPassword
Debug.Print ("Wrong password: " & tpLoginResult.tpWrongPassword)
Case tpLoginResult.tpWrongPasswordUserLocked
Debug.Print ("Wrong password - User locked: " & tpLoginResult.tpWrongPasswordUserLocked)
Case tpLoginResult.tpWrongUser
Debug.Print ("Wrong user: " & tpLoginResult.tpWrongUser)
Case tpLoginResult.tpWrongUserSystemLocked
Debug.Print ("Wrong user- System locked: " & tpLoginResult.tpWrongUserSystemLocked)
Case tpLoginResult.tpDefaultError
Debug.Print ("Default Error: " & tpLoginResult.tpDefaultError)
End Select

End Function


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateUser

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> CreateUser

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method creates new users during online operation. If the identification is an empty string or an user with the same identification already exists, this method returns Nothing.Hint: Therefore the returned object always should be checked on Nothing.If the identification is valid, a new object User is created and the defined parameters are transferred to the object. Then the object is handed over to the central user administration and the changes are saved.

Datatype

CreateUser(String szIdentification,String szUsername,String szPassword,long dwLevel) As User

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Password level of the user as long.

Password of the user as string.

Unique name of the user as string.

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

dwLevel As Long

szPassword As String

szUsername As String

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'create a new user
Sub CreateUser()
Dim zUser As User
'12345 = Levels: 0,3,4,5,12,13
Set zUser = thisProject.Passwords.CreateUser("Full Name", "Username", "P@ssword", 12345)
With zUser
.Active = True
.Admin = True
.Locked = False
End With
End Sub


CreateUserEx

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> CreateUserEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method creates new users during online operation. If the identification is an empty string or an user with the same identification already exists, this method returns Nothing.Hint: Therefore the returned object always should be checked on Nothing.If the identification is valid, a new object User is created and the defined parameters are transferred to the object. Then the object is handed over to the central user administration and the changes are saved.

Datatype

CreateUserEx(String szIdentification,String szUsername,String szPassword,long dwLevel1,long dwLevel2,long dwLevel3,long dwLevel4) As User

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Password levels 0 to 31 of the user as long.

Password levels 32 to 63 of the user as long.

Password levels 64 to 95 of the user as long.

Password of the user as string.

Password levels 96 to 127 of the user as long.

Unique name of the user as string.

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

dwLevel1 As Long

dwLevel2 As Long

dwLevel3 As Long

szPassword As String

dwLevel4 As Long

szUsername As String

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'create a new user
Sub CreateUser()
Dim zUser As User
'12345 = Levels: 0,3,4,5,12,13
' 4711 = Levels: 32,33,34,37,38,41,44
' 555 = Levels: 64,65,67,69,73
' 1234 = Levels: 97,100,102,103,106
Set zUser = thisProject.Passwords.CreateUserEx("LogonName", "Full Username", "P@ssword", 12345, 4711, 555, 1234)
With zUser
.Active = True
.Admin = True
.Locked = False
End With
End Sub


CreateUserGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> CreateUserGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateUserGroup(String szName,long dwLevel) As UserGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteUser

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> DeleteUser

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method deletes the user with the identification szIdentification from the central user administration.This change is immediately saved, i.e. after deleting a user he is no longer available for the system.If no user with this identification can be found, the method returns False.

Datatype

DeleteUser(String szIdentification) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'delete a user
Sub DeleteUSer()
Dim bResult As Boolean
bResult = thisProject.Passwords.DeleteUSer("LogonName")
End Sub


DeleteUserGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> DeleteUserGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DeleteUserGroup(String szName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


ExportGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> ExportGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ExportGroup(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


ImportGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> ImportGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ImportGroup(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemUser

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> ItemUser

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the user from the collection, who is identified by the parameter vIndex.The parameter vIndex can have two values:· Index: Access with an index mostly is used in combination with the property Count to find out the position of the variable object in the list.· Identification: The user can also be accessed with his unique identification.Hint: The returned object should be checked on Nothing to find out, if no object for the search creteria was found.

Datatype

ItemUser(VARIANT vIndex) As User

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name as variant.
If the parameter is a numerical value, the user is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the user is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'enumerate all users
Sub EnumUsers()
Dim zUser As User
Dim i As Integer

For i = 0 To thisProject.Passwords.CountUser - 1
'get user object
Set zUser = thisProject.Passwords.ItemUser(i)
Debug.Print zUser.Identification & " > " & zUser.Name
Next i
End Sub


ItemUserGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> ItemUserGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ItemUserGroup(VARIANT vIndex) As UserGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Login

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> Login

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Searches for the user with the identification szIdentification and tries to log him in, if he is not the currently logged in user.If a user with thie identification cannot be found, an entry in the CEL is generated.Otherwise the user is logged in and the following further actions are executed:·System variable for current user level is actualized·System variable for the name of the current user is actualized·Alarming is informed about user change·All opened MDI windows are informed about user change·CEL entry for user is generated·UserChange event for the object Passwords is executed

Datatype

Login(String szIdentification) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name as variant.
If the parameter is a numerical value, the user is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the user is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'login a user...
Sub LoginUser()
Dim bResult As Boolean
bResult = zUserAdministration.Login("LogonName")
End Sub


LoginPassword

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> LoginPassword

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Searches for the user with the identification szIdentification and tries to log him in, if he is not the currently logged in user.In this case also the new password is compared to the current one.If a user with thie identification cannot be found, an entry in the CEL is generated.Otherwise the user is logged in and the following further actions are executed:·System variable for current user level is actualized·System variable for the name of the current user is actualized·Alarming is informed about user change·All opened MDI windows are informed about user change·CEL entry for user is generated·UserChange event for the object Passwords is executed

Datatype

LoginPassword(String szIdentification,String szPassword) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Password of the user as string.

Identification of a user as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szPassword As String

szIdentification As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'login a user with its password...
Sub LoginUser()
Dim bResult As Boolean
bResult = zUserAdministration.LoginPassword("LogonName", "P@ssword")
End Sub


Logoff

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> Logoff

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method logs out the current user and logs in the user SYSTEM.If the user SYSTEM is already active, no further steps are taken.

Datatype

Logoff() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExportGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> SingleExportGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExportGroup(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Passwords-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | UserChange |  | available | available | yes | yes
void | ValidatePassword |  | not used | available | yes | yes


UserChange

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Events -> UserChange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is executed, when a user is logged into the system.In this event you can execute your user defined actions.With the property LoggedUser and the method ItemUser you can find out the newly logged in user.Hint: For the event the object has to be defined with the attribute WithEvents in Visual Basic or VBA.

Datatype

UserChange() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ValidatePassword

Manuels -> Interfaces de programmation -> Modèles d'objet -> Passwords -> Passwords-Events -> ValidatePassword

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ValidatePassword(String bsIdentification, String bsPassword, Boolean bOK) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Contains the Identification of the User who tries to change his password...

Contains the new password wich was entered by the actual user...

Defines if the new password is valid or not.
Set the "bOK" to "False" if the password is not valid.
Default value = True

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsIdentification As String

bsPassword As String

bOK As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'The following Code is used in the "thisProject" classmodule...
Dim WithEvents zPWD As Passwords

Private Sub Project_Active()
Set zPWD = thisProject.Passwords
End Sub

Private Sub zPWD_ValidatePassword(ByVal bsIdentification As String, ByVal bsPassword As String, bOK As Boolean)
'check password length
If Len(bsPassword) < 8 Then
bOK = False
Else
'check if password contains username
If InStr(1, UCase(bsPassword), UCase(bsIdentification)) <> 0 Then
bOK = False
End If
End If

End Sub


PfsEngine

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The PfsEngine object is the entry point into the Pfs object model.With the property CountryName you can define the country for the holiday definition. The method events returns a list of the user-defined events.The Groups method returns the definition of the existing PFS equipments.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''
''''''Define PFS Engine with Events!'''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Dim WithEvents myPFS As PfsEngine

'''''''''''''''''''''''''''''''''''''''''''''
''''''''Define Events for PFS Engine'''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Private Sub myPFS_OnCreateGroup(ByVal obNewGroup As IPfsGroup)
Debug.Print "myPFS_OnCreateGroup " & " " & obNewGroup.Name & " was created!"
End Sub

Private Sub myPFS_OnCreateEvent(ByVal obNewEvent As IPfsEvent)
Debug.Print "myPFS_OnCreateEvent " & " " & obNewEvent.Name & " was created!"
End Sub

'''''''''''''''''''''''''''''''''''''''''''''
''''''''''Excecute the defined Events,'''''''
'''''''''''by creating new objects'''''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Sub TestEvents()
Set myPFS = MyWorkspace.ActiveDocument.Pfs
myPFS.Groups.CreateGroup ("TestGroup1")
myPFS.Events.CreateEvent ("TestEvent1")
End Sub

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''Creation of a PFS Engine object'''''''''''''
'''''''''''''''Giving out Group Names''''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''
Private Sub EnumGroups()
Dim i As Double
Dim myPFS As PfsEngine

Set myPFS = MyWorkspace.ActiveDocument.Pfs
For i = 0 To myPFS.Groups.Count - 1
Debug.Print myPFS.Groups.Item(i).Name
Next i
End Sub


PfsEngine-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | CountryName | - | available | available | yes | yes
IProject | Parent | - | read only | read only | yes | yes


CountryName

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Properties -> CountryName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property contains the value for the selected country. This is important because of the statutory holidays, which change automatically in the calendar, when a different country is selected.

Datatype

CountryName() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsEngine-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsEvents | Events | - | available | available | yes | yes
IPfsGroups | Groups | - | available | available | yes | yes
IPfsHolidays | Holidays | - | available | available | yes | yes
VARIANT_BOOL | Save | - | available | available | yes | yes


Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Methods -> Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "Event" Object is a collection of all "Event" objects, which are created from the user.

Datatype

Events() As PfsEvents

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Groups

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Methods -> Groups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "Groups" object manages the "Group" objects.

Datatype

Groups() As PfsGroups

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Holidays

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Methods -> Holidays

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

In the "Holidays" object all "Holiday" objects are managed.

Datatype

Holidays() As PfsHolidays

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With the "Save" methode all changes made in the PFS module can be saved.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsEngine-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | AfterUpdate | - | available | available | yes | yes
void | BeforeUpdate | - | available | available | yes | yes
void | OnCreateBreak | - | available | available | yes | yes
void | OnCreateEvent | - | available | available | yes | yes
void | OnCreateGroup | - | available | available | yes | yes
void | OnCreateSchedule | - | available | available | yes | yes
void | OnCreateScheduleTime | - | available | available | yes | yes
void | OnCreateScheduleValue | - | available | available | yes | yes
void | OnCreateShift | - | available | available | yes | yes
void | OnCreateTimeModell | - | available | available | yes | yes
void | OnDeleteBreak | - | available | available | yes | yes
void | OnDeleteEvent | - | available | available | yes | yes
void | OnDeleteGroup | - | available | available | yes | yes
void | OnDeleteSchedule | - | available | available | yes | yes
void | OnDeleteScheduleTime | - | available | available | yes | yes
void | OnDeleteScheduleValue | - | available | available | yes | yes
void | OnDeleteShift | - | available | available | yes | yes
void | OnDeleteTimeModell | - | available | available | yes | yes
void | OnRenameBreak | - | available | available | yes | yes
void | OnRenameEvent | - | available | available | yes | yes
void | OnRenameGroup | - | available | available | yes | yes
void | OnRenameSchedule | - | available | available | yes | yes
void | OnRenameShift | - | available | available | yes | yes
void | OnRenameTimeModell | - | available | available | yes | yes
void | OnSave | - | available | available | yes | yes


AfterUpdate

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> AfterUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, after the Save methode has been excecuted.

Datatype

AfterUpdate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


BeforeUpdate

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> BeforeUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, before the Save methode has been excecuted.

Datatype

BeforeUpdate() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateBreak

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateBreak

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a new break has been created.

Datatype

OnCreateBreak(PfsModellBreak obNewBreak) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateEvent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a new event has been created.

Datatype

OnCreateEvent(PfsEvent obNewEvent) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a new group has been created.

Datatype

OnCreateGroup(PfsGroup obNewGroup) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateSchedule

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateSchedule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a new schedule has been created.

Datatype

OnCreateSchedule(PfsSchedule obNewSchedule) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateScheduleTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateScheduleTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a new schedule time has been created.

Datatype

OnCreateScheduleTime(PfsScheduleTime obNewTime) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateScheduleValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateScheduleValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a new schedule value has been created.

Datatype

OnCreateScheduleValue(PfsScheduleValue obNewValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateShift

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateShift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a new shift has been created.

Datatype

OnCreateShift(PfsModellShift obNewShift) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnCreateTimeModell

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnCreateTimeModell

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a new time model has been created.-ll--?????

Datatype

OnCreateTimeModell(PfsTimeModell obNewModell) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteBreak

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteBreak

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a break has been deleted.

Datatype

OnDeleteBreak(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteEvent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when an event has been deleted.

Datatype

OnDeleteEvent(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a group has been deleted.

Datatype

OnDeleteGroup(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteSchedule

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteSchedule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a schedule has been deleted.

Datatype

OnDeleteSchedule(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteScheduleTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteScheduleTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a schedule time has been deleted.

Datatype

OnDeleteScheduleTime(String strGuid) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteScheduleValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteScheduleValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a schedule value has been deleted.

Datatype

OnDeleteScheduleValue(String strGuid) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteShift

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteShift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a shift has been deleted.

Datatype

OnDeleteShift(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnDeleteTimeModell

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnDeleteTimeModell

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a time model has been deleted.

Datatype

OnDeleteTimeModell(String strString) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameBreak

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnRenameBreak

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when the rename methode of a break is excecuted.

Datatype

OnRenameBreak(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameEvent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnRenameEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when the Rename methode of an event has been excecuted.

Datatype

OnRenameEvent(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnRenameGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when the rename methode of a group is excecuted.

Datatype

OnRenameGroup(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameSchedule

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnRenameSchedule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when the rename methode of a schedule is excecuted.

Datatype

OnRenameSchedule(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameShift

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnRenameShift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when the rename methode of a shift is excecuted.

Datatype

OnRenameShift(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRenameTimeModell

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnRenameTimeModell

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when the rename methode of a time model is excecuted.

Datatype

OnRenameTimeModell(String strOld,String strNew) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnSave

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEngine -> PfsEngine-Events -> OnSave

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when the Save methode is excecuted.

Datatype

OnSave() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsEvent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The PFSEvent object is an user defined event, which can be linked to the schedules as relative switching operations.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''''Renaming of an event''''''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''

Private Sub test()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs

mypfs.Events.Item(0).Rename ("my event")
Debug.Print mypfs.Events.Item(0).Name

End Sub


PfsEvent-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Guid | - | read only | read only | yes | yes
long | ID | - | read only | read only | yes | yes
BSTR | Name | - | read only | read only | yes | yes
IPfsEvents | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


Guid

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the Guid of the event which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

is the ID of the event

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

is the name of the event

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEvents

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsEvent-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Execute | - | available | available | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes
IPfsSchedules | Schedules | - | available | available | yes | yes
void | SetModify | - | available | available | yes | yes


Execute

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Methods -> Execute

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can manualy excecute an event.

Datatype

Execute() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Methods -> Rename

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can rename the event.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Schedules

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Methods -> Schedules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the schedule objects.

Datatype

Schedules() As PfsSchedules

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetModify

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvent -> PfsEvent-Methods -> SetModify

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can set the modify flag, so that the save option in the context menu of the PFS object is available.

Datatype

SetModify() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsEvents

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvents

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Events collection contains the user-defined events of the PFS.User-defined events can be linked to the schedules as relative switching operations.When execution the function Execute PFS event for an event, the linked switching operations in the schedule are executed.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''''Reading out Event Names ''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''

Private Sub test()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs

Dim i As Double

For i = 0 To mypfs.Events.Count - 1
Debug.Print mypfs.Events.Item(i).Name
Next i

End Sub


PfsEvents-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IPfsEngine | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEngine

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsEvents-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsEvent | CreateEvent | - | available | available | yes | yes
VARIANT_BOOL | DeleteEvent | - | available | available | yes | yes
IPfsEvent | Item | - | available | available | yes | yes
IPfsEvent | ItemByID | - | available | available | yes | yes


CreateEvent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Methods -> CreateEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the methode to create a new event.

Datatype

CreateEvent(String bstrName) As PfsEvent

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteEvent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Methods -> DeleteEvent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can delete an event.

Datatype

DeleteEvent(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object Event from the collection, which is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.</li><li>Event name: The element can also be accessed with its unique name.</li></ul>Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsEvent

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemByID

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsEvents -> PfsEvents-Methods -> ItemByID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object Event from the collection, which is identified by its ID.

Datatype

ItemByID(VARIANT vPosition) As PfsEvent

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The IPfsGroup object is an object which describes an equipment object in the PFS module.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Giving out all group names''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''''''''''

Private Sub test()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs

Dim i As Double

For i = 0 To mypfs.Groups.Count - 1
Debug.Print mypfs.Groups.Item(i).Name
Next i

End Sub


PfsGroup-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CycleEnd | - | available | available | yes | yes
long | CycleStart | - | available | available | yes | yes
BSTR | Guid | - | read only | read only | yes | yes
BSTR | Name | - | read only | read only | yes | yes
IPfsGroups | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


CycleEnd

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Properties -> CycleEnd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the end time of the group in seconds.

Datatype

CycleEnd() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


CycleStart

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Properties -> CycleStart

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the start time of the group in seconds.

Datatype

CycleStart() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the Guid of the group which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the name of the group.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsGroups

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsGroup-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Rename | - | available | available | yes | yes
IPfsSchedules | Schedules | - | available | available | yes | yes
void | SetModify | - | available | available | yes | yes
ISystemModelGroup | SystemModelGroupAtIndex | - | available | available | yes | yes
long | SystemModelGroupCount | - | available | available | yes | yes
IPfsTimeModells | TimeModells | - | available | available | yes | yes


Rename

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Methods -> Rename

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can rename the group.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Schedules

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Methods -> Schedules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "Schedules" object manages the "Schedule" objects.

Datatype

Schedules() As PfsSchedules

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetModify

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Methods -> SetModify

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can set the modify flag, so that the save option in the context menu of the PFS object is available.

Datatype

SetModify() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SystemModelGroupAtIndex

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Methods -> SystemModelGroupAtIndex

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SystemModelGroupAtIndex(long nIndex) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SystemModelGroupCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Methods -> SystemModelGroupCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SystemModelGroupCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TimeModells

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroup -> PfsGroup-Methods -> TimeModells

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "TimeModels" object manages the "TimeModel" objects.

Datatype

TimeModells() As PfsTimeModells

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsGroups

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Groups collection contains the groups of the PFS module (in the editor also called "equipments).

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''
''''''''''''''Test Groups''''''''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Private Sub TEST()

Dim myPFS As PfsEngine
Set myPFS = MyWorkspace.ActiveDocument.PFS

Call CreateGroups(myPFS)
Call ReadGroups(myPFS)

Call DeleteGroups(myPFS)
DoEvents

Call ReadGroups(myPFS)

End Sub
''''''''''''''''''''''''''''''''''''''''''''''
''''''''''Creates 5 Test Groups'''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Function CreateGroups(myPFS As PfsEngine)

Dim i As Integer
Dim myString As String

For i = 0 To 4
myString = "testgruppe " & i
myPFS.Groups.CreateGroup (myString)
Next i

Debug.Print "Groups were created!"

End Function
''''''''''''''''''''''''''''''''''''''''''''''
''''''''''Read out all Group names''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Function ReadGroups(myPFS As PfsEngine)

Dim i As Integer

For i = 0 To myPFS.Groups.Count - 1
Debug.Print myPFS.Groups.Item(i).Name
Next i

End Function
''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Delete all Groups''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Function DeleteGroups(myPFS As PfsEngine)

Dim strTMP As String
Dim i As Double

Debug.Print myPFS.Groups.Count & " Groups to delete!"

For i = myPFS.Groups.Count - 1 To 0 Step -1
strTMP = myPFS.Groups.Item(i).Name
Debug.Print "Group deleted! - " & strTMP & " - " & myPFS.Groups.DeleteGroup(strTMP)
Next i

myPFS.Save

End Function


PfsGroups-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IPfsEngine | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEngine

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsGroups-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsGroup | CreateGroup | - | available | available | yes | yes
VARIANT_BOOL | DeleteGroup | - | available | available | yes | yes
IPfsGroup | Item | - | available | available | yes | yes


CreateGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Methods -> CreateGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this method you can create a new group.

Datatype

CreateGroup(String bstrName) As PfsGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Methods -> DeleteGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can delete a group.

Datatype

DeleteGroup(VARIANT vName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsGroups -> PfsGroups-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the group object from the collection, which is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.</li><li>Group name: The group can also be accessed with its unique name.</li></ul>Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsHoliday

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsHoliday

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Holiday object contains information on a holiday from the feiertage.txt. This object contains a name and a date for the holiday.On loading the project only the holidays of the current year are acquired.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA


PfsHoliday-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsHoliday -> PfsHoliday-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Date | - | read only | read only | yes | yes
BSTR | Name | - | read only | read only | yes | yes
IPfsHolidays | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


Date

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsHoliday -> PfsHoliday-Properties -> Date

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the date of the current holiday.

Datatype

Date() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsHoliday -> PfsHoliday-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unique name of the holiday.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsHoliday -> PfsHoliday-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsHolidays

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsHoliday -> PfsHoliday-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsHolidays

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsHolidays

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Holidays collection contains all holiday definitions of the defined country for the current year. The holiday definition is saved in the Feiertage.txt.On activating a project these are acquired for the defined country.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''Giving out the Count of Holidays'''''''
''''''''''''''''''''''''''''''''''''''''''''''
Sub holidaytest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS
Dim i As Double

Debug.Print mypfs.Holidays.Count

End Sub


PfsHolidays-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsHolidays -> PfsHolidays-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IPfsEngine | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsHolidays -> PfsHolidays-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsHolidays -> PfsHolidays-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsEngine

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsHolidays -> PfsHolidays-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsHolidays-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsHolidays -> PfsHolidays-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsHoliday | Item | - | available | available | yes | yes


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsHolidays -> PfsHolidays-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the holiday object from the collection, which is identified by the parameter vPosition.The parameter vPosition is the index of the element you want to get.Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As PfsHoliday

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellBreak

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The ModellBreak object is a break within a shift in a time model. During the defined period of time the production should be interrupted.The breaks consist of an unique name and an unique period of time.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA


PfsModellBreak-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | EndTime | - | available | available | yes | yes
BSTR | Guid | - | read only | read only | yes | yes
BSTR | KeyNote | - | read only | read only | yes | yes
BSTR | Name | - | read only | read only | yes | yes
BSTR | Notes | - | read only | read only | yes | yes
IPfsModellBreaks | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes
DATE | StartTime | - | available | available | yes | yes


EndTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> EndTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the end time of the break.

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the Guid of the group which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


KeyNote

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> KeyNote

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Keynote returns the name of one or more main objects and of the current object sepperated with a dot. For instance "shift1.break1" is the keynote of the break1 which is an element of the shift1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the name of the break.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Notes

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> Notes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Notes can be added and read out, this property contains the notes to a selected break.

Datatype

Notes() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsModellBreaks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


StartTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Properties -> StartTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the start time of the break.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


PfsModellBreak-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Rename | - | available | available | yes | yes


Rename

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreak -> PfsModellBreak-Methods -> Rename

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this method you can rename a break.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellBreaks

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The ModellBreaks collection allows the access to the breaks of a shift. The breaks are the production-free times in a shift.The breaks consist of a unique name and a unique period of time.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Creating some breaks'''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Sub holidaytest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS
Dim mystring As String
Dim i As Double

For i = 0 To 5

mystring = "testbreak" & i

mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Item(0).Breaks.CreateBreak (mystring)
Debug.Print mystring & " was created!"

Next i

End Sub


PfsModellBreaks-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IPfsModellShift | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsModellShift

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsModellBreaks-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsModellBreak | CreateBreak | - | available | available | yes | yes
VARIANT_BOOL | DeleteBreak | - | available | available | yes | yes
IPfsModellBreak | Item | - | available | available | yes | yes


CreateBreak

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Methods -> CreateBreak

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new break in the current shift and returns it.

Datatype

CreateBreak(LPCTSTR lpszName) As PfsModellBreak

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteBreak

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Methods -> DeleteBreak

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes the defined break from the current shift.

Datatype

DeleteBreak(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellBreaks -> PfsModellBreaks-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the ModelBreak object from the collection, which is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.</li><li>ModelBreak name: The ModelBreak can also be accessed with its unique name.</li></ul>Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsModellBreak

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellShift

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The ModellShift object is a shift in a time model.Each shift consists of an unique name and a period of time (from/to). This period of time is the active production cycle.The defined period of time must be unique, i.e. you cannot define more than one shift for the same time.Each shift can contain any number of breaks, that interrupt the production cycle.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Creating, Reading out''''''''''''
''''''''''and Deletion of some shifts'''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS

'''''''Creation''''''''
Dim i As Double
Dim mystring As String
Debug.Print "--Creation:"

For i = 0 To 5
mystring = "testshift " & i
mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.CreateShift (mystring)
Debug.Print mystring & " was created!"
Next i

mypfs.Save

''''Reading Out''''''
Dim o As Double
Debug.Print "--Reading Out:"

For o = 0 To mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Count - 1
Debug.Print mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Item(o).Name
Next o

''''''Deletion''''''''
Dim f As Double
Debug.Print "--Deletion:"

For f = mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Count - 1 To f = 1 Step -1
mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.DeleteShift (f)
Debug.Print "shift " & f; " was deleted!"
Next f

End Sub


PfsModellShift-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | EndTime | - | available | available | yes | yes
BSTR | Guid | - | read only | read only | yes | yes
BSTR | KeyNote | - | read only | read only | yes | yes
BSTR | Name | - | read only | read only | yes | yes
BSTR | Notes | - | read only | read only | yes | yes
IPfsModellShifts | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes
DATE | StartTime | - | available | available | yes | yes


EndTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> EndTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the end time of the shift.

Datatype

EndTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the Guid of the ModelShift which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


KeyNote

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> KeyNote

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Keynote returns the name of one or more main objects and of the current object sepperated with a dot. For instance "group1.timemodel1.shift1" is the keynote of the break1 which is an element of the shift1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the name of the shift.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Notes

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> Notes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Notes can be added and read out, this property contains the notes to a selected shift.

Datatype

Notes() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsModellShifts

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


StartTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Properties -> StartTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the start time of the shift.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


PfsModellShift-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsModellBreaks | Breaks | - | available | available | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes


Breaks

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Methods -> Breaks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "Breaks" object manages the "Break" objects.

Datatype

Breaks() As PfsModellBreaks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShift -> PfsModellShift-Methods -> Rename

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode a shift can be renamed.

Datatype

Rename(String bstrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsModellShifts

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The ModellShifts collection allows the access to the shifts of a time model. The single shifts consist of a number and a period of time (from/to), when the shift is active.Any number of breaks can be defined for each shift. The breaks interrupt the production and are inactive states.The period of time of a shift has to be unique, i.e. it is not possible to define a shift within a shift.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''Reading out Count of shifts''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.Pfs
Debug.Print mypfs.Groups.Item(0).TimeModells.Item(0).Shifts.Count

End Sub


PfsModellShifts-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IPfsTimeModell | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsTimeModell

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the current project reference.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsModellShifts-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsModellShift | CreateShift | - | available | available | yes | yes
VARIANT_BOOL | DeleteShift | - | available | available | yes | yes
IPfsModellShift | Item | - | available | available | yes | yes


CreateShift

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Methods -> CreateShift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new shift.

Datatype

CreateShift(String bstrName) As PfsModellShift

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteShift

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Methods -> DeleteShift

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes the defined shift.

Datatype

DeleteShift(VARIANT vNameOrId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsModellShifts -> PfsModellShifts-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the linked shift on the defined position or with the unique name.

Datatype

Item(VARIANT vNameOrPos) As PfsModellShift

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsSchedule

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

In a schedule object you can create absolute and relativ times and link them with switching points, so that a funktion is excecuted or a the value of a variable can be changed.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Creation, Reading out''''''''''''
'''''''''''and Deletion of schedules''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.PFS
Dim mystring As String

''''''Creation''''''''
Dim i As Double
Debug.Print "---Creation:"

For i = 0 To 5
mystring = "schedule" & i
mypfs.Groups.Item(0).Schedules.CreateSchedule (mystring)
Debug.Print mystring & " was created!"
Next i

''''''Reading out'''''
Dim f As Double
Debug.Print "---Reading Out:"

For f = 0 To mypfs.Groups.Item(0).Schedules.Count - 1
Debug.Print mypfs.Groups.Item(0).Schedules.Item(f).Name
Debug.Print mypfs.Groups.Item(0).Schedules.Item(f).GUID
Debug.Print mystring & " was created!"
Next f

''''''Deletion'''''
Dim t As Double
Debug.Print "---Deletion:"

For t = mypfs.Groups.Item(0).Schedules.Count - 1 To 1 Step -1
mystring = mypfs.Groups.Item(0).Schedules.Item(t).Name
mypfs.Groups.Item(0).Schedules.DeleteSchedule (t)
Debug.Print mystring & " was deleted!"
Next t

End Sub


PfsSchedule-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | - | available | available | yes | yes
BSTR | Guid | - | read only | read only | yes | yes
BSTR | KeyNote | - | read only | read only | yes | yes
BSTR | Name | - | read only | read only | yes | yes
IPfsSchedules | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes
VARIANT_BOOL | Structure | - | available | available | yes | yes


Active

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this property the schedule can be activated or deactivated.

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the Guid of the Schedule which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


KeyNote

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties -> KeyNote

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Keynote returns the name of one or more main objects and of the current object sepperated with a dot. For instance "group1.schedule1" is the keynote of the schedule1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the name of the schedule.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedules

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Structure

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Properties -> Structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Structure property is true if the schedule is marked as "structured schedule".

Datatype

Structure() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


PfsSchedule-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddToDay | - | available | available | yes | yes
IPfsScheduleDays | ExecutionDays | - | available | available | yes | yes
VARIANT_BOOL | IsDefaultDay | - | available | available | yes | yes
tpPfsDayLink | IsOnDay | - | available | available | yes | yes
VARIANT_BOOL | RemoveFromDay | - | available | available | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes
IPfsScheduleLinks | ScheduleLinks | - | available | available | yes | yes
IPfsSchedules | Schedules | - | available | available | yes | yes
IPfsScheduleTimes | ScheduleTimes | - | available | available | yes | yes
void | SetDefaultDay | - | available | available | yes | yes
IPfsScheduleDays | SkippedDays | - | available | available | yes | yes


AddToDay

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> AddToDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode a schedule can be linked to a day. As parameters you have to give the methode the date and the type of the link.

Datatype

AddToDay(DATE vDay, tpPfsDayLink sType) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExecutionDays

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> ExecutionDays

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This Collection contains all days where a schedule is linked but not as default.

Datatype

ExecutionDays() As PfsScheduleDays

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDefaultDay

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> IsDefaultDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can check if a schedule is linked as default schedule to a daytype. For instance IsDefaultDay(tppfsMonday) would be true if the schedule is linked to all mondays, instead it would be false.

Datatype

IsDefaultDay(tpPfsDefaultDays sDayOfWeek) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsOnDay

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> IsOnDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can check with which link type the schedule is linked on a specific date. The methode returns a tpPFSDayLink.

Datatype

IsOnDay(DATE vDay) As tpPfsDayLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoveFromDay

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> RemoveFromDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode a schedule can be removed from a specific date.

Datatype

RemoveFromDay(DATE vDate, [optional] VARIANT bDayOnly) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> Rename

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can rename a schedule.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ScheduleLinks

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> ScheduleLinks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This collecton manages the functions and variables which are linked to the schedule.

Datatype

ScheduleLinks() As PfsScheduleLinks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Schedules

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> Schedules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

A Schedule can also be a container for other schedules, with the "Schedules" collection you can access the sub schedules of a schedule.

Datatype

Schedules() As PfsSchedules

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ScheduleTimes

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> ScheduleTimes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object manages the schedule times of the schedule.

Datatype

ScheduleTimes() As PfsScheduleTimes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetDefaultDay

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> SetDefaultDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can link a schedule as default to a day type.

Datatype

SetDefaultDay(tpPfsDefaultDays sDayOfWeek) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SkippedDays

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedule -> PfsSchedule-Methods -> SkippedDays

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Manages the days which are manualy linked to a schedule for some specific dates as skipped days.

Datatype

SkippedDays() As PfsScheduleDays

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleDay

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

A Schedule day object is a specific date on which a schedule is excecuted or not.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Reading out all Dates''''''''''''
'''''''of the ExecutionDays of a Schedule'''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test23()

Dim pfs As PfsEngine
Dim i As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

''''''Giving out the Count of all Execution Days
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count

For i = 0 To pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count - 1
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Item(i).Date
Next i

End Sub


PfsScheduleDay-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDay -> PfsScheduleDay-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
DATE | Date | - | read only | read only | yes | yes
IPfsSchedule | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes
short | Type | - | read only | read only | yes | yes


Date

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDay -> PfsScheduleDay-Properties -> Date

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the Date of the Schedule Day.

Datatype

Date() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDay -> PfsScheduleDay-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDay -> PfsScheduleDay-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDay -> PfsScheduleDay-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the type of the schedule day. Can contain the following values:

  • tpPfsExecute = 0x30,
  • tpPfsSkip = 0x31,
  • tpPfsDefaultDay = 0x32,
  • tpPfsDefaultHDay = 0x33,
  • tpPfsUnused = 0x34,

Datatype

Type() As short

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleDays

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDays

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The ScheduleDay collection contains a date, on which the schedule should be executed or not.With the Type property you can find out, if the schadule should be executed or not on the given day.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''''Reading out all Dates''''''''''''
'''''''of the ExecutionDays of a Schedule'''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test23()

Dim pfs As PfsEngine
Dim i As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

''''''Giving out the Count of all Execution Days
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count

For i = 0 To pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Count - 1
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ExecutionDays.Item(i).Date
Next i

End Sub


PfsScheduleDays-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDays -> PfsScheduleDays-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IPfsSchedule | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDays -> PfsScheduleDays-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDays -> PfsScheduleDays-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDays -> PfsScheduleDays-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleDays-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDays -> PfsScheduleDays-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleDay | Item | - | available | available | yes | yes


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleDays -> PfsScheduleDays-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the ScheduleDay object from the collection, which is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.</li><li>ScheduleDay name: The ScheduleDay can also be accessed with its unique name.</li></ul>Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsScheduleDay

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleLink

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The ScheduleLink object is a link to the variable/function. Depending on the Type property you can access the linked variable/function with the methods ItemVariable resp. ItemRtFunction.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'''''''''''''''''''''''''''''''''''''''''''''
''''''''Giving out all Names, function-''''''
'''''''or variable names of a schedule'''''''
'''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()

Dim pfs As PfsEngine
Dim i As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs
Dim mytype As Integer

Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Count - 1

For i = 0 To pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Count - 1
mytype = pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Type
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Type
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Name
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).GUID

If mytype = 32 Or mytype = 34 Then
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).Variable.Driver.Name
Else
Debug.Print pfs.Groups.Item(0).Schedules.Item(1).ScheduleLinks.Item(i).RtFunction.Name
End If

Next i
End Sub


PfsScheduleLink-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Guid | - | read only | read only | yes | yes
BSTR | Name | - | read only | read only | yes | yes
IPfsScheduleLinks | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes
tpPfsLinkTypes | Type | - | read only | read only | yes | yes


Guid

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the Guid of the ScheduleLink which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the name of the ScheduleLink.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsScheduleLinks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Type() As tpPfsLinkTypes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleLink-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRtFunction | RtFunction | - | read only | read only | yes | yes
IVariable | Variable | - | read only | read only | yes | yes


RtFunction

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Methods -> RtFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the function which is linked to the switching point. Is just available if the Type of the Link is correctly set.

Datatype

RtFunction() As RtFunction

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variable

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLink -> PfsScheduleLink-Methods -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the variable which is linked to the switching point. Is just available if the Type of the Link is correctly set.

Datatype

Variable() As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleLinks

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "IPfsScheduleLinks" object manages the collection of the "IPfsScheduleLink" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub PFS_Sample()
Dim i As Integer
Dim zPFS As PfsEngine
Dim zPFS_GRP As PfsGroup
Dim zPFS_SCD As PfsSchedule
Dim zPFS_SCL As PfsScheduleLink
Dim zFCT As RtFunction
Dim zVAR As Variable

'get PFS Engine
Set zPFS = MyWorkspace.ActiveDocument.Pfs
'get 1st found group
Set zPFS_GRP = zPFS.Groups.Item(0)
'get 1st found schedule
Set zPFS_SCD = zPFS_GRP.Schedules.Item(0)
'get count of ScheduleLinks
Debug.Print "ScheduleLinks: " & zPFS_SCD.ScheduleLinks.Count
'create new FunctionLink
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Item("myFunction")
Set zPFS_SCL = zPFS_SCD.ScheduleLinks.CreateFktLink(zFCT)
Debug.Print zPFS_SCL.Name
'create new VariableLink
Set zVAR = MyWorkspace.ActiveDocument.Variables.Item("myVAR")
Set zPFS_SCL = zPFS_SCD.ScheduleLinks.CreateVarLink(zVAR)
Debug.Print zPFS_SCL.Name
'enumerate ScheduleLinks
For i = 0 To zPFS_SCD.ScheduleLinks.Count - 1
Set zPFS_SCL = zPFS_SCD.ScheduleLinks.Item(i)
Debug.Print "Nr." & i & ": " & zPFS_SCL.Name & " [" & zPFS_SCL.Type & "]"
Next i
Set zPFS_SCL = Nothing
'delete ScheduleLinks
zPFS_SCD.ScheduleLinks.DeleteVarLink ("MyVAR")
'save changes
zPFS.Save
End Sub


PfsScheduleLinks-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IPfsSchedule | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleLinks-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleLink | CreateFktLink | - | available | available | yes | yes
IPfsScheduleLink | CreateVarLink | - | available | available | yes | yes
VARIANT_BOOL | DeleteFktLink | - | available | available | yes | yes
VARIANT_BOOL | DeleteVarLink | - | available | available | yes | yes
IPfsScheduleLink | Item | - | available | available | yes | yes


CreateFktLink

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> CreateFktLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can create a new function link.

Datatype

CreateFktLink(IRtFunction pFunction) As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateVarLink

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> CreateVarLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can create a new variable link.

Datatype

CreateVarLink(IVariable pVariable) As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteFktLink

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> DeleteFktLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode a function link can be deleted.

Datatype

DeleteFktLink(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteVarLink

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> DeleteVarLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode a variable link can be deleted.

Datatype

DeleteVarLink(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleLinks -> PfsScheduleLinks-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the ScheduleLink object at the specified position.

Datatype

Item(VARIANT vPosition) As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsSchedules

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Schedules collection contains the existing schedules of an equipment or a parent schedule. The single schedules contain the execution times and a pool of links, e.g. variables/functions. The times are linked to any number of switching points, that execute switching operations.With the Item method combined with the Count property you can iterate through the existing schedules.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
''''''''Reading out Count of schedules''''''''
''''''Creating and Deleting of Schedules''''''
''''''''''''''''''''''''''''''''''''''''''''''

Private Sub shifttest()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.pfs

Debug.Print mypfs.Groups.Item(0).Schedules.Count

mypfs.Groups.Item(0).Schedules.CreateSchedule ("myschedule1")
mypfs.Groups.Item(0).Schedules.CreateSchedule ("myschedule2")
mypfs.Groups.Item(0).Schedules.CreateSchedule ("myschedule3")

Debug.Print mypfs.Groups.Item(0).Schedules.Count

mypfs.Groups.Item(0).Schedules.DeleteSchedule ("myschedule1")
mypfs.Groups.Item(0).Schedules.DeleteSchedule ("myschedule2")
mypfs.Groups.Item(0).Schedules.DeleteSchedule ("myschedule3")

Debug.Print mypfs.Groups.Item(0).Schedules.Count

End Sub


PfsSchedules-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IPfsGroup | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsSchedules-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsSchedule | CreateSchedule | - | available | available | yes | yes
VARIANT_BOOL | DeleteSchedule | - | available | available | yes | yes
IPfsSchedule | Item | - | available | available | yes | yes


CreateSchedule

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Methods -> CreateSchedule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can create a new Schedule.

Datatype

CreateSchedule(String bstrName) As PfsSchedule

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSchedule

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Methods -> DeleteSchedule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can delete a Schedule.

Datatype

DeleteSchedule(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsSchedules -> PfsSchedules-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the Schedule object from the collection, which is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.</li><li>Schedule name: The Schedule can also be accessed with its unique name.</li></ul>Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsSchedule

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Schedule Times are the entries in a schedule which can contain switching points for functions or variables.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
''''''''Reading out Types and times of '''''''
''''''''''''''''all Schedule Times''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub mytest1()

Dim mypfs As PfsEngine
Set mypfs = MyWorkspace.ActiveDocument.pfs
Dim i As Integer

For i = 0 To mypfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count - 1
Debug.Print mypfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).Type
Debug.Print mypfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).Time
Next i

End Sub


PfsScheduleTime-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpPfsEventTypes | EventId | - | not used | not used | yes | yes
BSTR | Guid | - | read only | read only | yes | yes
double | Offset | - | available | available | yes | yes
IPfsScheduleTimes | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes
DATE | Time | - | available | available | yes | yes
tpPfsTimeTypes | Type | - | available | available | yes | yes
long | UserEventId | - | not used | not used | yes | yes


EventId

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> EventId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

[MISSING DESCRIPTION]

Datatype

EventId() As tpPfsEventTypes

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Guid

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the Guid of the ScheduleLink which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Offset

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> Offset

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the deviation of the set time.

Datatype

Offset() As double

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsScheduleTimes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Time

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> Time

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the Time which is set to the Schedule Time.

Datatype

Time() As DATE

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Type() As tpPfsTimeTypes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


UserEventId

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Properties -> UserEventId

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

[MISSING DESCRIPTION]

Datatype

UserEventId() As long

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


PfsScheduleTime-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsEvent | Event | - | not used | not used | yes | yes
IPfsScheduleValues | ScheduleValues | - | available | available | yes | yes


Event

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Methods -> Event

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

[MISSING DESCRIPTION]

Datatype

Event() As PfsEvent

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ScheduleValues

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTime -> PfsScheduleTime-Methods -> ScheduleValues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains all linked values of the schedule time.

Datatype

ScheduleValues() As PfsScheduleValues

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleTimes

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The ScheduleTimes collection contains the times of the schedule. As the times of a schedule are inherited to its children, this list contains all times of the schedule itself and all the times of parent schedules.Several switching operations can be executed at any time! With the Item method combined with the Count property you can iterate through the existing times.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
''''''''''Creating and Deletion of 5''''''''''
'''''''''''''''Schedule Times'''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()

Dim pfs As PfsEngine
Dim i As Integer
Dim g As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs
Dim mytime As tpPfsTimeTypes

mytime = tpPfsRelativeTime
g = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count
Debug.Print g

Debug.Print "-------Creation-------"

For i = 0 To 4
Debug.Print g
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.CreateTime (mytime)
pfs.Save
g = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count
Next i

Debug.Print "-------Deletion-------"

For i = g - 1 To 0 Step -1
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.DeleteTime (i)
pfs.Save
g = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Count
Debug.Print g
Next i

End Sub


PfsScheduleTimes-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IPfsSchedule | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsSchedule

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleTimes-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleTime | CreateTime | - | available | available | yes | yes
VARIANT_BOOL | DeleteTime | - | available | available | yes | yes
IPfsScheduleTime | Item | - | available | available | yes | yes


CreateTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Methods -> CreateTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can create a new ScheduleTime.

Datatype

CreateTime(tpPfsTimeTypes tpTimeType) As PfsScheduleTime

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Methods -> DeleteTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can delete a ScheduleTime.

Datatype

DeleteTime(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleTimes -> PfsScheduleTimes-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the ScheduleTime object from the collection, which is identified by the parameter vPosition.The parameter vPosition is the index of the element you want to get.Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As PfsScheduleTime

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

A ScheduleValue is a subelement of a ScheduleTime. One ScheduleTime can have many ScheduleValues. For Instance: An absolute ScheduleTime is configured at 12:00am. If you want to change the value of three variables and excecute two functions at 12:00am you need to add five ScheduleValues.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''Reading out Count, Value'''''''''''
''''''''''Active Status and type of'''''''''''
'''''''''''''''Schedule Values''''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()

Dim pfs As PfsEngine
Dim i As Integer
Dim g As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

Debug.Print "------>Count:"
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count

For i = 0 To pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count - 1
Debug.Print "--->Item " & i & ": "
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Item(i).value
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Item(i).Active
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Item(i).Type
Next i
End Sub


PfsScheduleValue-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | - | available | available | yes | yes
BSTR | Guid | - | available | available | yes | yes
IPfsScheduleValues | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes
tpPfsLinkTypes | Type | - | read only | read only | yes | yes
VARIANT | Value | - | available | available | yes | yes


Active

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property gives you the possibility to activate or deactivate single ScheduleValues.

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Guid

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the Guid of the ScheduleValue which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsScheduleValues

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Type() As tpPfsLinkTypes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Properties -> Value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the Value which is written to a variable when the ScheduleValue is executed.

Datatype

Value() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


PfsScheduleValue-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleLink | GetScheduleLink | - | available | available | yes | yes
IPfsScheduleLink | ScheduleLink |  | available | available | yes | yes
VARIANT_BOOL | SetScheduleLink | - | available | available | yes | yes


GetScheduleLink

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Methods -> GetScheduleLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This methode returns the ScheduleLink object of the ScheduleValue.

Datatype

GetScheduleLink() As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ScheduleLink

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Methods -> ScheduleLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

-

Datatype

ScheduleLink() As PfsScheduleLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetScheduleLink

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValue -> PfsScheduleValue-Methods -> SetScheduleLink

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can manually set the ScheduleLink.

Datatype

SetScheduleLink(IPfsScheduleLink pLink) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsScheduleValues

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The ScheduleValues collection contains the switching points of a schedule. A switching point is linked to a point of time, a variable/function and a value or VBA macro.The execution of the switching point is defined with a status (in-/active). The linked point of time can also be taken from a parent schedule.With this Item method combined with the Count property you can iterate through the switching points of a schedule.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

''''''''''''''''''''''''''''''''''''''''''''''
'''''''''''Creation and Deletion''''''''''''''
'''''''''''of 5 Schedule Values''''''''''''''
''''''''''''''''''''''''''''''''''''''''''''''
Private Sub test()
Dim pfs As PfsEngine
Dim i As Integer
Dim g As Integer
Set pfs = MyWorkspace.ActiveDocument.pfs

Dim mytype As tpPfsLinkTypes
mytype = tpPfsFunction

Debug.Print "---->Creation:"
For i = 0 To 4
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.CreateValue (mytype)
Next i

Debug.Print "---->Deletion:"
For i = pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count - 1 To 0 Step -1
pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.DeleteValue (i)
Debug.Print pfs.Groups.Item(0).Schedules.Item(0).ScheduleTimes.Item(0).ScheduleValues.Count
Next i
End Sub


PfsScheduleValues-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IPfsScheduleTimes | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsScheduleTimes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsScheduleValues-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsScheduleValue | CreateValue | - | available | available | yes | yes
VARIANT_BOOL | DeleteValue | - | available | available | yes | yes
IPfsScheduleValue | Item | - | available | available | yes | yes


CreateValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Methods -> CreateValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can create new Schedule Values at a specific ScheduleTime.

Datatype

CreateValue(tpPfsLinkTypes tpLinkType) As PfsScheduleValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Methods -> DeleteValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can delete a ScheduleValue.

Datatype

DeleteValue(long lIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsScheduleValues -> PfsScheduleValues-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the ScheduleValue object from the collection, which is identified by the parameter vPosition.The parameter vPosition is the index of the element you want to get.Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As PfsScheduleValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsTimeModell

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

A TimeModell contains shifts and breaks and defines the operating time of an equipment.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub PFS_Sample()
Dim i As Integer
Dim zPFS As PfsEngine
Dim zPFS_GRP As PfsGroup
Dim zPFS_TML As PfsTimeModell
'get PFS Engine
Set zPFS = MyWorkspace.ActiveDocument.Pfs
'get 1st found group
Set zPFS_GRP = zPFS.Groups.Item(0)
'get count of TimeModels
Debug.Print "TimeModels: " & zPFS_GRP.TimeModells.Count
'enumerate TimeModels
For i = 0 To zPFS_GRP.TimeModells.Count - 1
Set zPFS_TML = zPFS_GRP.TimeModells.Item(i)
Debug.Print "Nr." & i & ": " & zPFS_TML.Name
'check actual day...
Select Case zPFS_TML.IsOnDay(Now)
Case tpPfsDefaultDay
Debug.Print " tpPfsDefaultDay"
Case tpPfsDefaultHDay
Debug.Print " tpPfsDefaultHDay"
Case tpPfsExecute
Debug.Print " tpPfsExecute"
Case tpPfsSkip
Debug.Print " tpPfsSkip"
Case tpPfsUnused
Debug.Print " tpPfsUnused"
End Select
Next i
End Sub


PfsTimeModell-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Guid | - | read only | read only | yes | yes
BSTR | KeyNote | - | read only | read only | yes | yes
BSTR | Name | - | read only | read only | yes | yes
IPfsTimeModells | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


Guid

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the Guid of the TimeMoedel which is unique and can be used to identify the object.

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


KeyNote

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Properties -> KeyNote

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Keynote returns the path from the equipment to the TimeModell seperated with dots.. For instance "group1.timemodel1" is the keynote of the timemodel1.

Datatype

KeyNote() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Is the name of the Time Model.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsTimeModells

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsTimeModell-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddToDay | - | available | available | yes | yes
tpPfsDayLink | IsDefaultDay | - | available | available | yes | yes
tpPfsDayLink | IsOnDay | - | available | available | yes | yes
VARIANT_BOOL | RemoveFromDay | - | not used | not used | yes | yes
VARIANT_BOOL | Rename | - | available | available | yes | yes
void | SetDefaultDay | - | not used | not used | yes | yes
IPfsModellShifts | Shifts | - | available | available | yes | yes


AddToDay

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods -> AddToDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode a TimeModel can be linked to a Day. As parameters you have to hand over the Date of the day and a Boolean, which defines if the Schedule should be linked to all types of this day or just to this Date.

Datatype

AddToDay(DATE vDay, tpPfsDayLink sType) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDefaultDay

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods -> IsDefaultDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can check the tpPfsDefaultDays.

Datatype

IsDefaultDay(tpPfsDefaultDays sDayOfWeek) As tpPfsDayLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

sDayOfWeek As tpPfsDefaultDays

see tpPfsDefaultDays

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsOnDay

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods -> IsOnDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can check how a time model is linked to a day.

The methode returns a tpPfsDayLink.

Datatype

IsOnDay(DATE vDate) As tpPfsDayLink

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vDate As Date

This parameter is of type Date like 'Now' or 'CDate("24.11.2007")'.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoveFromDay

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods -> RemoveFromDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

[MISSING DESCRIPTION]

Datatype

RemoveFromDay(DATE vDay) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rename

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods -> Rename

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode a Time Model can be renamed.

Datatype

Rename(String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetDefaultDay

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods -> SetDefaultDay

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

[MISSING DESCRIPTION]

Datatype

SetDefaultDay(tpPfsDefaultDays nDayOfWeek) As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Shifts

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModell -> PfsTimeModell-Methods -> Shifts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This collection contains the shifts of the time model.

Datatype

Shifts() As PfsModellShifts

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PfsTimeModells

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The TimeModells collection contains the existing time models of a PFS equipment. The time models contain the shift/break times of an equipment. Any number of time models can exist in an equipment.Time models have to be unique within an equipment.With the Item method you can access a time model. With the Item method combined with the Count property you can iterate through the existing models.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub PFS_Sample()
Dim i As Integer
Dim zPFS As PfsEngine
Dim zPFS_GRP As PfsGroup
Dim zPFS_TML As PfsTimeModell
'get PFS Engine
Set zPFS = MyWorkspace.ActiveDocument.Pfs
'get 1st found group
Set zPFS_GRP = zPFS.Groups.Item(0)
'get count of TimeModels
Debug.Print "TimeModels: " & zPFS_GRP.TimeModells.Count
'create new TimeModel
Set zPFS_TML = zPFS_GRP.TimeModells.CreateModell("Temporary")
'enumerate TimeModels
For i = 0 To zPFS_GRP.TimeModells.Count - 1
Set zPFS_TML = zPFS_GRP.TimeModells.Item(i)
Debug.Print "Nr." & i & ": " & zPFS_TML.Name
Next i
Set zPFS_TML = Nothing
'delete TimeModel
zPFS_GRP.TimeModells.DeleteModell ("Temporary")
'save changes
zPFS.Save
End Sub


PfsTimeModells-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IPfsGroup | Parent | - | read only | read only | yes | yes
IProject | Session | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As PfsGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Session

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Properties -> Session

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains the "Project" object.

Datatype

Session() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PfsTimeModells-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IPfsTimeModell | CreateModell | - | available | available | yes | yes
VARIANT_BOOL | DeleteModell | - | available | available | yes | yes
IPfsTimeModell | Item | - | available | available | yes | yes


CreateModell

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Methods -> CreateModell

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can create a Time Model.

Datatype

CreateModell(String bstrName) As PfsTimeModell

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteModell

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Methods -> DeleteModell

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this methode you can delete a Time Model.

Datatype

DeleteModell(VARIANT vName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> PfsTimeModells -> PfsTimeModells-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the TimeModel object from the collection, which is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Index: Access with an index is mostly used in combination with the property Count to find out the position of the variable object in the list.</li><li>ModelBreak name: The TimeModel can also be accessed with its unique name.</li></ul>Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As PfsTimeModell

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PictureFilter

Manuels -> Interfaces de programmation -> Modèles d'objet -> PictureFilter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub ShowAlarms()
Dim zPicCEL As DynPicture
Dim zPicFilter As PictureFilter
Dim zFctAML As RtFunction

'Name of the CEL Screen
Const strCELPicture As String = "EVENTS"
'Name of the PictureSwitch Funktion to open the AML Screen
Const strAMLFunction As String = "picALARM"

'get CEL Screen objects
Set zPicCEL = thisProject.DynPictures.Item(strCELPicture)
'get AML function object
Set zFctAML = thisProject.RtFunctions.Item(strAMLFunction)

'check if Screen and Function exists
If Not zPicCEL Is Nothing And Not zFctAML Is Nothing Then
'if picture is not opened, then exit...
If zPicCEL.Online = False Then Exit Sub

'get actual PictureFilter
Set zPicFilter = zPicCEL.PictureFilter

'change Filter Settings in 'Picture Switch' function...
zFctAML.DynProperties("PictFilter.TimeFilter.ARVTime1") = zPicFilter.DynProperties("TimeFilter.ARVTime1")
zFctAML.DynProperties("PictFilter.TimeFilter.ARVTime2") = zPicFilter.DynProperties("TimeFilter.ARVTime2")
'execute function
zFctAML.Start
End If
End Sub


PictureFilter-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PictureFilter -> PictureFilter-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty |  | read only | read only | yes | yes
void | DynProperties [PUT] |  | not used | available | yes | yes
VARIANT | DynProperties [GET] |  | not used | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


CreateDynProperty

Manuels -> Interfaces de programmation -> Modèles d'objet -> PictureFilter -> PictureFilter-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> PictureFilter -> PictureFilter-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> PictureFilter -> PictureFilter-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> PictureFilter -> PictureFilter-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.
Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> PictureFilter -> PictureFilter-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Project

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The object Project is the most central VBA object, as it contains the single modules, as e.g. variables, drivers, ....The single objects of Project can be found in the collection Projects of the object Application. This way is needed for external applications, that are written e.g. in VB or VC++ and access the COM interface of the control system.In Visual Basic for Applications (VBA) the current project always is available via thisProject. The validity in ths case is restricted to the current project. If you need to access a project from within another project, then you have to get the appropriate project from the central collection Projects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub ProjectExample()

'Return the name of the actual project
MsgBox "Name of the actual project = " & thisProject.Name
'Return the SQL path of the project
MsgBox "Project path = " & thisProject.Path
'Return the unique GUID of the project
MsgBox "GUID of the project = " & thisProject.DynProperties("GUID")
'Return the number of pictures in the project
MsgBox "Number of pictures = " & thisProject.DynPictures.Count
'Return the number of variables in the project
MsgBox "Number of variables = " & thisProject.Variables.Count
'Return the number of templates in the project
MsgBox "Number of templates = " & thisProject.Templates.Count
'Return the number of functions in the project
MsgBox "Number of functions = " & thisProject.RtFunctions.Count

End Sub


Project-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IFontLists | FontLists | Returns the FontList object. | available | not used | yes | yes
BSTR | Guid | Returns the unique Project guid(Read Only). | read only | read only | yes | yes
VARIANT_BOOL | IsGlobal |  | read only | read only | yes | yes
VARIANT_BOOL | IsNet |  | available | read only | yes | yes
ILanguageTable | LanguageTable | Returns the Language Table | available | not used | yes | yes
IMessageControl | MessageControl | Returns the MessageControl object. | available | not used | yes | yes
BSTR | Name |  | read only | read only | yes | yes
tpProjectNetTypes | NetType |  | not used | read only | yes | yes
IProjects | Parent |  | read only | read only | yes | yes
BSTR | Path |  | read only | read only | yes | yes
IRemoteTransport | RemoteTransport | Returns the remote transport object. | available | not used | yes | yes
long | ScreenHeight | Sets the height of the screen (Editor Only). | available | not used | yes | yes
long | ScreenWidth | Sets the width of the screen (Editor Only). | available | not used | yes | yes
ISymbols | Symbols | Returns the Symbols object. | read only | not used | yes | yes
IUnits | Units | Returns the Units object. | available | not used | yes | yes


FontLists

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> FontLists

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

FontLists() As FontLists

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Guid

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Guid() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsGlobal

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> IsGlobal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if it is a global project and false if its not.

Datatype

IsGlobal() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsNet

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> IsNet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if the project is a network project and false if its not.

Datatype

IsNet() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


LanguageTable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> LanguageTable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

LanguageTable() As LanguageTable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


MessageControl

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> MessageControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MessageControl() As MessageControl

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of the project. The project name has to be unique within a workspace. Otherwise it cannot be loaded in the Editor.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


NetType

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> NetType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

NetType() As tpProjectNetTypes

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Projects

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Path

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> Path

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the path of the project.

Datatype

Path() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RemoteTransport

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> RemoteTransport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RemoteTransport() As RemoteTransport

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ScreenHeight

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> ScreenHeight

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the resolution (height) of the project.

Datatype

ScreenHeight() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ScreenWidth

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> ScreenWidth

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the resolution (width) of the project.

Datatype

ScreenWidth() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Symbols

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> Symbols

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Symbols() As Symbols

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Units

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Properties -> Units

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Units() As Units

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Project-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IAlarm | Alarm |  | not used | available | yes | yes
IALCEngine | ALCEngine |  | available | available | yes | yes
IArchives | Archives |  | not used | available | yes | yes
IArchivesED | ArchivesED |  | available | not used | yes | yes
VARIANT_BOOL | Build |  | available | not used | yes | yes
ICel | Cel |  | not used | available | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
IColorPalettes | ColorPalettes | Return the ColorPalettes object. | available | not used | yes | yes
VARIANT_BOOL | CreateDynProperty |  | available | not used | yes | yes
void | Decompile |  | available | not used | yes | yes
IDrivers | Drivers |  | available | available | yes | yes
IDynPictures | DynPictures |  | available | available | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IFileManager | FileManager |  | available | available | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
IInterlockings | Interlockings | Returns the Interlockings object. | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
void | ModulePath [PUT] |  | available | not used | yes | yes
BSTR | ModulePath [GET] |  | available | not used | yes | yes
VARIANT_BOOL | NetSend | By use of this methode, VBA-Data can be send to another System | not used | available | yes | yes
IOnlineVariables | OnlineVariables |  | not used | available | yes | yes
VARIANT_BOOL | ParentProject | Sets the parent project of the current project. | available | not used | yes | yes
IPasswords | Passwords |  | available | available | yes | yes
IPfsEngine | Pfs |  | available | available | yes | yes
IRecipes | Recipes |  | available | available | yes | yes
void | Reload |  | not used | available | yes | yes
IRemas | Remas |  | available | available | yes | yes
VARIANT_BOOL | ReplaceLinks | Replaces project links to 'bsSource' with 'bsTarget'. | not used | available | yes | yes
IRGMRecipeGroups | RGMGroups |  | available | available | yes | yes
IRtFunctions | RtFunctions |  | available | available | yes | yes
ISapFunctions | SapFunctions |  | not used | available | yes | yes
IScripts | Scripts |  | available | read only | yes | yes
VARIANT_BOOL | SetUserPropertyStrings | With this methode the Strings for the UserProperties (Rema and Limits) can be set | available | not used | yes | yes
BSTR | String |  | not used | available | yes | yes
ISystemModelManager | SystemModelManager | Return the SystemModelManager object. | available | not used | yes | yes
ITasks | Tasks |  | available | available | yes | yes
ITemplates | Templates |  | available | available | yes | yes
ITimeFunctions | TimeFunctions |  | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes
IVarAssignments | VarAssignments |  | available | available | yes | yes
IVariables | Variables |  | available | available | yes | yes
IVarTypes | VarTypes |  | available | available | yes | yes
IZenMenus | ZenMenus |  | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


Alarm

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Alarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object for alarming.With this object the single alarms can be accessed and the properties of the alarms can be read.With Events you have the possibility, to execute actions on the occurance of events.

Datatype

Alarm() As Alarm

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ALCEngine

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ALCEngine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the 'ALCEngine' object of the automatic line coloring mechanism.

Datatype

ALCEngine() As ALCEngine

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Archives

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the 'Archives' object to read and write archive values.

Datatype

Archives() As Archives

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ArchivesED

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ArchivesED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the 'ArchivesED' object to create archives in the editor.

Datatype

ArchivesED() As ArchivesED

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Build

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Build

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method starts an rebuild of the runtime files, depending to given parameter all or only the changed files are created.

Datatype

Build(tpBuildMethod lMethod) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A constant which defines the kind of compilation. tpAll = 0, tpIncremental = 1

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lMethod As tpBuildMethod

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub BuildRtFiles()
'build only changed
MyWorkspace.ActiveDocument.Build tpIncremental
'build all
MyWorkspace.ActiveDocument.Build tpAll
End Sub


Cel

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Cel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the 'Cel' object for the Chronologic Event List. With this object CEL entries can be created or inherited.

Datatype

Cel() As Cel

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ColorPalettes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ColorPalettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ColorPalettes() As ColorPalettes

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateDynProperty

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

New Items like AlarmClasses can be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

DynProperty as String to be created.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create/Change 3 AlarmClasses...
Sub CreateAlarmClasses()
Dim zPRJ As Project
Dim i As Integer
Dim bResult As Boolean

Set zPRJ = MyWorkspace.ActiveDocument
For i = 1 To 3
'check if AlarmClass exists
If CInt(zPRJ.DynProperties("AlarmClasses[-1]")) < i Then
'Create new AlarmClass
bResult = zPRJ.CreateDynProperty("AlarmClasses")
If bResult Then
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Name") = "Class_" & i
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Color") = RGB(120 + ((i - 1) * 63), 0, 0)
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Description") = "created by VBA"
End If
Else
'change existing classes
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Name") = "Class_" & i
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Color") = RGB(120 + ((i - 1) * 63), 0, 0)
zPRJ.DynProperties("AlarmClasses[" & i - 1 & "].Description") = "created by VBA"
End If
Next i
End Sub


Decompile

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Decompile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method starts an import of the runtime files, depending to given parameter there will be a warning message or not.

Datatype

Decompile(Boolean bPromptForOverwrite) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

True for a message in the editor which asks you if the projected files should be replaced by the runtime files. False if no message should appear.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bPromptForOverwrite As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeCompileRTFiles()
'Runtime files will be imported with warning message
MyWorkspace.ActiveDocument.Decompile True
End Sub


Drivers

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Drivers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the VBA object for the driver administration. In the driver administration all defined drivers are available. The single driver objects offer important information, e.g. status, driver name, ...

Datatype

Drivers() As Drivers

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPictures

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> DynPictures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the VBA object for the defined pictures (*.zp). With the name or the index a picture can be accessed. The different elements DynPicture contain information on the display (position, colour, status, ... ), the linked Frame and a list of the dynamic elements of the picture.

Datatype

DynPictures() As DynPictures

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FileManager

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> FileManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the VBA object for the file manager. With this object graphics, language, help, multimedia, lists, driver and other files can be managed.

Datatype

FileManager() As FileManager

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Interlockings

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Interlockings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the VBA object for the interlockings. With this object you have the opportunity to edit interlockings.

Datatype

Interlockings() As Interlockings

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ModulePath [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ModulePath [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ModulePath(tpModulePaths lModule) As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ModulePath [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ModulePath [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ModulePath (tpModulePaths lModule, String szNewValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


NetSend

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> NetSend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

NetSend(tpNetSendType NetSendType, String strDestination, long lId, VARIANT pvData) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A string wich defines the destination computer. For example: "Workstation_1". This parameter is only evaluated when tpNetSendType = tpToSpecificClient is used.

Defines the data which should be sent with the message.

Hint: No zenOn objects can be sent!

A constant which defines the different sending types.

This ID specifies a message and makes it possible to differ it from other messages.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strDestination As String

pvData As Variant

NetSendType As tpNetSendType

lId As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ServerNetSend()

'Server should send to all clients whith an ID = 99 and data = "This is a test"
Debug.Print thisProject.NetSend(2, "", 99, "This is a test")

End Sub


OnlineVariables

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> OnlineVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the VBA object for the online variables administration. The online variables enable a very performant access on changed variables values. With this object you can create an online variable dynamically and link it with a control system variable. The variable is identified with an unique name.With the method Define of the online variable checking the variable is activated.On initializing/changing a variable, that was linked to the online variable, in VBA a Event is executed. In the event handler you now can react on the changed value.

Datatype

OnlineVariables() As OnlineVariables

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ParentProject

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ParentProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ParentProject(String bsProjectName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Passwords

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Passwords

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object of the user administration. This object contains the defined users of the project. You also have the possibility to create new users or edit/delete existing users.Additionally you can use this object to find out the currently logged in user.

Datatype

Passwords() As Passwords

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Pfs

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Pfs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the PfsEngine object. With this object you have the opportunity to handle the hole Production & Facility Scheduler.

Datatype

Pfs() As PfsEngine

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Recipes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the recipes object. With this object you have the opportunity to handle standard recipes.

Datatype

Recipes() As Recipes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Reload

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Reload

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this method a project reload can be started via VBA. The parameter bAllFiles will define if all or only the changed files should be reloaded.

Datatype

Reload(Boolean bMody) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Remas

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Remas

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the remas object. With this object you have the opportunity to handle reaction matrixes.

Datatype

Remas() As Remas

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ReplaceLinks

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ReplaceLinks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ReplaceLinks(String bsSourcePrjName,String bsTargetPrjName) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RGMGroups

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> RGMGroups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the RGMRecipeGroups object. With this object you have the opportunity to handle recipes from the RGM.

Datatype

RGMGroups() As RGMRecipeGroups

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RtFunctions

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> RtFunctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the functions administration, containing all defined functions. The single functions contain general information on type, name and can be executed in the Runtime with the method Start.

Datatype

RtFunctions() As RtFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapFunctions

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> SapFunctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SapFunctions() As SapFunctions

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Scripts

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Scripts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a object for the scripts. With this object scripts can be created, edited and deleted.

Datatype

Scripts() As Scripts

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetUserPropertyStrings

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> SetUserPropertyStrings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Sets the 'UserProperty' strings for Remas/Limits.

Datatype

SetUserPropertyStrings(String strProperty, VARIANT vStrings) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Array of texts as variant.

Defines on wich UserProperty the array of string are imported.

Possible parameters:

  • UserProperty1
  • UserProperty2

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vStrings As Variant

strProperty As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'insert UserProperties when project is loaded in the editor.
Private Sub ZenWorkspace_OnProjectLoaded(ByVal obProject As IProject)
Dim arrProps(4) As String
Dim arrTexts As Variant
'insert UserPropertyStrings for Remas/Limits
Stop
arrProps(0) = "Property 1"
arrProps(1) = "Property 2"
arrProps(2) = "Property 3"
arrProps(3) = "Property 4"
arrProps(4) = "Property 5"
arrTexts = arrProps

'insert texts into "UserProperty1"
Call obProject.SetUserPropertyStrings("UserProperty1", arrTexts)
'insert texts into "UserProperty2"
Call obProject.SetUserPropertyStrings("UserProperty2", arrTexts)
End Sub

Sub ReadUserProps()
'returns the UserProperty1 as string from the specific limit
Debug.Print thisProject.Variables.Item("WIZ_VAR_10").Limits.Item(0).DynProperties("UserProperty1")
'it works also with remas...
End Sub


String

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> String

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this method texts from the language table can be translated. The key of a string has to be given with strKeyId. The translated string in the language of the Runtime is returned. Keyword in Language table: PlantAt table ZENONSTR.TXT: PlantAt table GERMAN.TXT: Anlage

Datatype

String(String strKeyId) As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

A string which defines the key word. For example: "@Plant"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strKeyId As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadLanguageString()

'Reads the keyyword "@Plant" and shows the translation in the selected language
'Returns "Anlage" when the GERMAN.TXT is selected
MsgBox thisProject.String("@Plant")

End Sub


SystemModelManager

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> SystemModelManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SystemModelManager() As SystemModelManager

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Tasks

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Tasks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a object for the tasks. This object contains a collection of tasks, tasks can be defined with the 'Process Control Engine' (PCE).A task is a VisualBasicScript file and can be executed over the Tasks/Task object model.

Datatype

Tasks() As Tasks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Templates

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Templates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the list of defined Frames. The single Frames contain information an position, colour, size, ...

Datatype

Templates() As Templates

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TimeFunctions

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> TimeFunctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the list of defined time functions. With this object time functions can be created, edited and deleted.

Datatype

TimeFunctions() As TimeFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VarAssignments

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> VarAssignments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns an object for the VarAssignments. The VarAssignments collection contains all existing allocations of the current project. With this collection you can access all or certain allocations.

Datatype

VarAssignments() As VarAssignments

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variables

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the variables list. The single variables contain on the one hand most of their defined properties, e.g. signal resolution, limits, name, .... and on the other hand Runtime data, e.g. current value, status, ...

Datatype

Variables() As Variables

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VarTypes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> VarTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns an object for the datatypes. With this object datatypes can be created, edited and deleted.

Datatype

VarTypes() As VarTypes

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ZenMenus

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Methods -> ZenMenus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns an object for the menus. With this object menus can be created, edited and deleted.

Datatype

ZenMenus() As ZenMenus

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Project-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Active |  | available | available | yes | yes
void | FirePostReload |  | not used | available | yes | yes
void | FirePreReload |  | not used | available | yes | yes
void | Inactive |  | not used | available | yes | yes
void | OnMessageSetDestination | Fired before a message is send. | not used | available | yes | yes
void | OnNetReceive | This event is fired when NetData is received, it contains the Data-Source, an Id and the actual Data | not used | available | yes | yes
void | OnPostVSTAUpdate | Fired after a running VSTA-Addin has been updated. | not used | available | yes | yes
void | OnPreVSTADebugStart | Fired before a VSTA-Debugging session is started. | not used | available | yes | yes
void | OnPreVSTADebugStop | Fired before a VSTA-Debugging session is stopped. | not used | available | yes | yes
void | OnPreVSTAUpdate | Fired before a running VSTA-Addin is updated. | not used | available | yes | yes
void | OnVSTADebugStart | Fired when a VSTA-Debugging session has been started. | not used | available | yes | yes
void | OnVSTADebugStopped | Fired when a VSTA-Debugging session has been stopped. | not used | available | yes | yes
void | SbToServer |  | not used | available | yes | yes
void | ServerToSb |  | not used | available | yes | yes


Active

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is executed on activating the project in the Runtime.A project is activated at the following actions:· Starting the Runtime· Reloading· Redundancy update

Datatype

Active() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FirePostReload

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> FirePostReload

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This action is fired after the FirePreReload on client or standby-server when a reload of the project is started.

Datatype

FirePostReload() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


FirePreReload

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> FirePreReload

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This action is fired on client or standby-server when a reload of the project is started.

Datatype

FirePreReload() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Inactive

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> Inactive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is executed on deactivating the project in the Runtime. A project is deactivated at the following actions:· Closing the Runtime · Reloading · Redundancy update

Datatype

Inactive() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnMessageSetDestination

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnMessageSetDestination

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnMessageSetDestination(String bsDestinationGuid, String bsDestination) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub Project_OnMessageSetDestination(ByVal bsDestinationGuid As String, bsDestination As String)
Dim strGuid As String
Dim strNewDestination

strGuid = "cdd44b4a-5951-43bb-a9d9-e0810dfb9bc3"
If bsDestinationGuid = strGuid Then
'Now we change the destination before a message is send!
strNewDestination = ""
bsDestination = strNewDestination
End If
End Sub


OnNetReceive

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnNetReceive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event reacts on receiving a NetSend message.

Datatype

OnNetReceive(String strSource, long lId, LPVARIANT pvData) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

This parameter reads out the data of the NetSend message.

This string provides the name of the sending computer.

This parameter reads out the ID of the NetSend message.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pvData As Variant

strSource As String

lId As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'This event will be executed when the client receives the NetSend message
Private Sub Project_OnNetReceive(ByVal strSource As String, ByVal lID As Long, pvData As Variant)

MsgBox "Source string = " & strSource
MsgBox "lID = " & lID
MsgBox "Data = " & pvData

End Sub


OnPostVSTAUpdate

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnPostVSTAUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnPostVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTADebugStart

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnPreVSTADebugStart

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTADebugStop

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnPreVSTADebugStop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStop() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTAUpdate

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnPreVSTAUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnPreVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStart

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnVSTADebugStart

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStopped

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> OnVSTADebugStopped

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnVSTADebugStopped() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SbToServer

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> SbToServer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is executed when the server crashes and so the standby gets server. It is also executed when the server restarts and the standby is downlevelled.

Datatype

SbToServer() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ServerToSb

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Events -> ServerToSb

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is executed when a standby which has been uplevelled to server is downlevelled to standby again. The event occurs on the standby server.

Datatype

ServerToSb() As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Project-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

Projekt Editor


Projekt Editor

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Dynproperties -> Projekt Editor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

AlarmAdminActive

Gestion d'alarmes active

Actif : la gestion des alarmes est active dans le Runtime. Les alarmes sont enregistrées et la liste d'alarmes est disponible.
Inactif : les alarmes ne sont pas enregistrées.
Par défaut : active.

Plus de détails dans l'aide en ligne

CBereich

AlarmAreas

Domaines d'alarmes

VT_BOOL

AlarmFlashAcknowledge

Acquittement clignotement

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Actif : lors de l'acquittement du clignotement d'un élément, l'alarme correspondante est également acquittée dans la liste d'alarmes
Inactif : l'acquittement du clignotement d'un élément interrompt uniquement le clignotement. L'alarme correspondante n'est pas acquittée.
Par défaut : inactive.
Le clignotement des éléments peut être acquitté en effectuant un double-clic droit sur l'élément, ou par le biais de la fonction Acquitter clignotement.

Plus de détails dans l'aide en ligne

VT_UI1

AlarmClsColor

Couleur de classe d'alarmes/d'événements

Disponible uniquement si la propriété Gestion d'alarmes active est active.
ne pas utiliser : Les couleurs des classes d'alarmes/d'événements ne sont pas utilisées dans la liste d'alarmes dans le Runtime.
comme couleur de texte : les couleurs des classes d'alarmes/d'événements sont utilisées comme couleur de texte des entrées correspondantes dans la liste d'alarmes dans le Runtime.Par défaut :
comme arrière-plan des lignes : les couleurs des classes d'alarmes/d'événements sont utilisées comme couleur d'arrière-plan des entrées correspondantes dans la liste d'alarmes dans le Runtime.
Par défaut : comme arrière-plan des lignes

Plus de détails dans l'aide en ligne

ZT_COLOR

AlarmColorDel

Couleur

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Uniquement disponibles pour les alarmes dont la propriété Suppr. obligatoire est active.

Couleur des informations d'horodatage Alarm deleted (Alarme supprimée) dans la liste d'alarmes. Définit également la couleur de l'élément graphique dans la colonne d'état des alarmes.

Cette couleur est uniquement utilisée pour les alarmes actives, et non pour les alarmes historiques.

Plus de détails dans l'aide en ligne

ZT_COLOR

AlarmColorClr

Couleur

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Couleur de l'information Cleared time (Heure d'effacement) dans la liste d'alarmes. Définit également la couleur de l'élément graphique dans la colonne d'état des alarmes.

Cette couleur est uniquement utilisée pour les alarmes actives, et non pour les alarmes historiques.

Plus de détails dans l'aide en ligne

ZT_COLOR

AlarmColorRec

Couleur

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Couleur de l'information Received time (Heure de réception) dans la liste d'alarmes. Définit également la couleur de l'élément graphique dans la colonne d'état des alarmes.

Cette couleur est uniquement utilisée pour les alarmes actives, et non pour les alarmes historiques.

Plus de détails dans l'aide en ligne

ZT_COLOR

AlarmColorAkn

Couleur

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Couleur de l'information Acknowledged time (Heure d'acquittement) dans la liste d'alarmes. Définit également la couleur de l'élément graphique dans la colonne d'état des alarmes.

Cette couleur est uniquement utilisée pour les alarmes actives, et non pour les alarmes historiques.

Plus de détails dans l'aide en ligne

VT_BSTR

AlarmPrefComes

Préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Saisissez un préfixe qui sera affiché à gauche de l'information d'horodatage des alarmes reçues. Le préfixe aide à identifier rapidement l'information d'horodatage de Date/heure d'apparition. Si l'entrée est vide, aucun préfixe n'est affiché.

Par défaut : >>

Plus de détails dans l'aide en ligne

ZT_FILE

AlarmPrefImageComes

Fichier graphique pour le préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Définissez un fichier qui sera affiché à gauche de l'information d'horodatage de l'alarme active, conjointement à ou à la place de Préfixe. Le fichier graphique aide à identifier rapidement l'information d'horodatage de Date/heure d'apparition. Si vous définissez un fichier conjointement à Préfixe, celui-ci sera affiché à la gauche du préfixe.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne

VT_UI4

AlarmMsgCnt1

Nombre d'alarmes Message 1

Disponible uniquement si la propriété Ligne d'état active est active.
Nombre d'entrées dans la liste d'alarmes nécessaires pour que ce message soit affiché dans la ligne d'état des alarmes du Runtime. Ce message est affiché en texte blanc sur fond bleu, et se superpose à la ligne d'état de l'alarme.
Minimum : 0 (aucun message n'est affiché)
Maximum : 100
Par défaut : 0
Attention : la valeur doit être inférieure à la valeur dans la propriété Nombre d'alarmes Message 2.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmMsgCnt2

Nombre d'alarmes Message 2

Disponible uniquement si la propriété Ligne d'état active est active.
Nombre d'entrées dans la liste d'alarmes nécessaires pour que ce message soit affiché dans la ligne d'état des alarmes du Runtime. Ce message est affiché en texte blanc sur fond bleu, et se superpose à la ligne d'état de l'alarme.
Minimum : 0 (aucun message n'est affiché)
Maximum : 100
Par défaut : 0
Attention : la valeur doit être inférieure à la valeur dans la propriété Nombre d'alarmes Message 3.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmMsgCnt3

Nombre d'alarmes Message 3

Disponible uniquement si la propriété Ligne d'état active est active.
Nombre d'entrées dans la liste d'alarmes nécessaires pour que ce message soit affiché dans la ligne d'état des alarmes du Runtime. Ce message est affiché en texte blanc sur fond bleu, et se superpose à la ligne d'état de l'alarme.
Minimum : 0 (aucun message n'est affiché)
Maximum : 100
Par défaut : 0
Attention : la valeur doit être inférieure à la valeur dans la propriété Taille de la mémoire circulaire (buffer circulaire).

Plus de détails dans l'aide en ligne

VT_BOOL

AlarmCELDelete

Supprimer alarmes

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Actif : si une alarme devant être supprimée est supprimée, une entrée est créée dans la liste chronologique d'événements (CEL).
Inactif : lorsqu'une alarme est supprimée, aucune entrée n'est créée dans la liste chronologique d'événements.
Par défaut : inactive.

Plus de détails dans l'aide en ligne.

VT_UI1

AlarmDetach

Gestion du buffer circulaire

Disponible uniquement si la propriété Gestion d'alarmes active est active.
En cas de dépassement du nombre d'alarmes défini dans la propriété Taille de la mémoire circulaire (buffer circulaire) dans la mémoire, une des actions suivantes est exécutée.
Rejeter les nouvelles : Les nouvelles alarmes sont ignorées. Elles ne sont donc pas enregistrées et sont effacées !
Move oldest (Déplacer la plus ancienne) : dès qu'une nouvelle alarme se déclenche, la plus ancienne alarme dans la mémoire est déplacée vers le fichier correspondant.
move newest (Déplacer les plus récentes) : l'alarme la plus récente est déplacée vers le fichier correspondant.
Par défaut : Move oldest (Déplacer la plus ancienne)

Plus de détails dans l'aide en ligne

VT_BSTR

AlarmPrefGoes

Préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Saisissez un préfixe qui sera affiché à gauche de l'information d'horodatage des alarmes reçues. Le préfixe aide à identifier rapidement l'information d'horodatage de Date/heure de disparition. Si l'entrée est vide, aucun préfixe n'est affiché.

Par défaut : >>

Plus de détails dans l'aide en ligne

ZT_FILE

AlarmPrefImageGoes

Fichier graphique pour le préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Définissez un fichier qui sera affiché à gauche de l'information d'horodatage de l'alarme désactivée, conjointement à ou à la place de Préfixe. Le fichier graphique aide à identifier rapidement l'information d'horodatage de Date/heure de disparition. Si vous définissez un fichier conjointement à Préfixe, celui-ci sera affiché à la gauche du préfixe.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne

CGruppe

AlarmGroups

Groupes d'alarmes/d'événements

ZT_FILE

AlarmImageDel

Fichier graphique pour l'état

Sélectionnez un fichier graphique correspondant à l'état Alarm deleted (Alarme supprimée). Vous pouvez afficher ce fichier dans le Runtime, dans la liste d'alarmes, à la place de la couleur sélectionnée pour l'état. Pour cela, affichez le type dans le filtre de la liste AML dans l'onglet Paramétrage des colonnes, sélectionnez le type d'affichage Fichier graphique pour la colonne d'état de l'alarme.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne

ZT_FILE

AlarmImageClr

Fichier graphique pour l'état

Sélectionnez un fichier graphique correspondant à l'état Alarm cleared (Alarme désactivée). Vous pouvez afficher ce fichier dans le Runtime, dans la liste d'alarmes, à la place de la couleur sélectionnée pour l'état. Pour cela, affichez le type dans le filtre de la liste AML dans l'onglet Paramétrage des colonnes, sélectionnez le type d'affichage Fichier graphique pour la colonne d'état de l'alarme.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne

ZT_FILE

AlarmImageRec

Fichier graphique pour l'état

Sélectionnez un fichier graphique correspondant à l'état Alarm received (Alarme reçue). Vous pouvez afficher ce fichier dans le Runtime, dans la liste d'alarmes, à la place de la couleur sélectionnée pour l'état. Pour cela, affichez le type dans le filtre de la liste AML dans l'onglet Paramétrage des colonnes, sélectionnez le type d'affichage Fichier graphique pour la colonne d'état de l'alarme.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne

ZT_FILE

AlarmImageAkn

Fichier graphique pour l'état

Sélectionnez un fichier graphique correspondant à l'état Alarm cleared (Alarme désactivée). Vous pouvez afficher ce fichier dans le Runtime, dans la liste d'alarmes, à la place de la couleur sélectionnée pour l'état. Pour cela, affichez le type dans le filtre de la liste AML dans l'onglet Paramétrage des colonnes, sélectionnez le type d'affichage Fichier graphique pour la colonne d'état de l'alarme.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne

CGruppe

AlarmClasses

Classes d'alarmes/d'événements

VT_UI1

AlarmHeader

Entête alarmes

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Pas d'en-tête : dans la liste d'alarmes, aucun en-tête comportant un intitulé de colonne n'est affiché dans le Runtime.

Entête fixe : un en-tête fixe, comportant les intitulés de colonne correspondants, est affiché dans la liste d'alarmes.

actions autorisées sur entêtes de colonne : Un en-tête modifiable, comportant les intitulés de colonne correspondants, est affiché dans la liste d'alarmes. Les colonnes individuelles peuvent être déplacées et leurs largeurs peuvent être personnalisées dans le Runtime. Vous pouvez effectuer un tri selon la colonne de votre choix.

Attention : les paramètres Pas d'entête et Actions autorisées sur entêtes de colonne n'ont aucun effet dans le Runtime si, pour l'élément de liste du synoptique de liste d'alarmes, la propriété Paramètres du graphique étendu est inactive ou si les paramètres de projet définis dans la propriété Qualité graphique du groupe Apparence graphique sont désactivés.
Par défaut : actions autorisées sur entêtes de colonne

Plus de détails dans l'aide en ligne

VT_UI2

AlarmMemCount

Taille de la mémoire circulaire (buffer circulaire)

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Nombre maximum d'entrées de la mémoire circulaire.

Minimum : 1
Maximum : 32767
Par défaut : 100

Recommandation : définir une taille au moins égale au nombre de variables pour lesquelles des alarmes peuvent se déclencher.

Attention : la taille de la mémoire circulaire doit toujours être choisie de manière adéquate. Dans le Runtime, la mémoire circulaire est gérée de manière dynamique dans la mémoire. Ainsi, des alarmes dépassant la taille de la mémoire circulaire peuvent être affichées. Dans le fichier d'enregistrement de la mémoire circulaire (alarm.bin), les alarmes sont enregistrées jusqu'à ce que le nombre défini soit atteint. Toutes les entrées sont également insérées dans le fichier d'alarmes (*.aml) situé dans le dossier de Runtime. Les deux fichiers sont synchronisés. En cas de dépassement de capacité de la mémoire circulaire, des entrées non acquittées peuvent être insérées dans le fichier d'alarme.

Plus de détails dans l'aide en ligne

VT_BOOL

AlarmTimeReactive

Utiliser heure de réactivation

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Actif : Si une même alarme se déclenche plusieurs fois d'affilée, une seule ligne est affichée dans la liste d'alarmes. Des informations supplémentaires (par ex., compteur d'alarmes) peuvent être affichées dans la liste.
Inactif : chaque alarme reçoit sa propre ligne dans la liste d'alarmes.
Par défaut : inactive.

Plus de détails dans l'aide en ligne

VT_BSTR

AlarmMsg1

Texte message 1

Disponible uniquement si la propriété Nombre d'alarmes Message 1 est supérieure à 0.
Texte du message correspondant à la propriété Nombre d'alarmes Message 1, affiché dans la ligne d'état dans le Runtime. Ce message est affiché en texte blanc sur fond bleu, et se superpose à la ligne d'état de l'alarme.

Plus de détails dans l'aide en ligne

VT_BSTR

AlarmMsg2

Texte message 2

Disponible uniquement si la propriété Nombre d'alarmes Message 2 est supérieure à 0.
Texte du message correspondant à la propriété Nombre d'alarmes Message 2, affiché dans la ligne d'état dans le Runtime. Ce message est affiché en texte blanc sur fond bleu, et se superpose à la ligne d'état de l'alarme.

Plus de détails dans l'aide en ligne

VT_BSTR

AlarmMsg3

Texte message 3

Disponible uniquement si la propriété Nombre d'alarmes Message 3 est supérieure à 0.
Texte du message correspondant à la propriété Nombre d'alarmes Message 3, affiché dans la ligne d'état dans le Runtime. Ce message est affiché en texte blanc sur fond bleu, et se superpose à la ligne d'état de l'alarme.

Plus de détails dans l'aide en ligne

VT_UI1

AmlOnlyStack

Enregistrer les données d'alarmes

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Mémoire circulaire uniquement : seules les alarmes actives (alarm.bin) sont enregistrées sur le disque dur.
Mémoire circulaire et données historiques : Les alarmes historiques (*.aml) sont également enregistrées.
Par défaut : sur les plates-formes CE, seule la mémoire circulaire (alarm.bin) est enregistrée sur le disque dur ; sur PC, les entrées historiques (*.aml) sont également enregistrées.
Par défaut : Par défaut :
Les fichiers (alarm.bin et *.aml) sont enregistrés dans le dossier \dossier du projet\nom de l'ordinateur\nom du projet.

Plus de détails dans l'aide en ligne

VT_BSTR

AlarmPrefQuit

Préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Saisissez un préfixe qui sera affiché à gauche de l'information d'horodatage des alarmes acquittées. Le préfixe aide à identifier rapidement l'information d'horodatage de Date/heure d'acquittement. Si l'entrée est vide, aucun préfixe n'est affiché.

Par défaut : --

Plus de détails dans l'aide en ligne

ZT_FILE

AlarmPrefImageQuit

Fichier graphique pour le préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Définissez un fichier qui sera affiché à gauche de l'information d'horodatage de l'alarme acquittée, conjointement à ou à la place de Préfixe. Le fichier graphique aide à identifier rapidement l'information d'horodatage de Date/heure d'acquittement. Si vous définissez un fichier conjointement à Préfixe, celui-ci sera affiché à la gauche du préfixe.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne

VT_BOOL

AlarmCELAcknowledge

Acquittement d'alarme

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Actif : si une alarme est acquittée, une entrée est créée dans la liste chronologique d'événements (CEL).Inactif :
Inactif : l'acquittement d'une alarme ne déclenche pas une entrée dans la liste chronologique d'événements.
Par défaut : inactive.

Plus de détails dans l'aide en ligne

VT_BOOL

AlarmStatusActive

Ligne d'état active

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Actif : dès qu'une alarme se produit, une ligne d'état rouge présentant des informations sur l'alarme est affichée en haut de l'écran dans le Runtime. Dans cette ligne d'état, l'alarme peut également être acquittée avec un double-clic droit si l'utilisateur connecté dispose des autorisations correspondantes.
Inactif : aucune ligne d'état n'est affichée.
Par défaut : active

Avertissement concernant la gestion multi-projet : la configuration dans le projet d'intégration définit le comportement des sous-projets, indépendamment de la configuration des sous-projets. La ligne d'état des alarmes du projet de niveau supérieur est toujours utilisée dans le Runtime.

Plus de détails dans l'aide en ligne

VT_UI1

AlarmStatusDisplay

Visualisation

Disponible uniquement si la propriété Ligne d'état active est active.
Alarme la plus ancienne : selon la configuration de la propriété afficher suivante, seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).
Dernière alarme : selon la configuration de la propriété afficher suivante, seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).
Par défaut : Alarme la plus ancienne

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

AlarmStatusFont

Police

Disponible uniquement si la propriété Ligne d'état active est active.
Police utilisée pour la ligne d'état dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BOOL

AlarmStatusAlign

afficher suivante

Disponible uniquement si la propriété Ligne d'état active est active.
Actif : toutes les alarmes non acquittées sont affichées les unes après les autres dans la ligne d'état dans le Runtime. Dès qu'une alarme est acquittée avec un double-clic droit, l'alarme suivante est affichée. Selon la configuration de la propriété Visualisation, l'alarme la plus ancienne ou la plus récente est affichée la première.
Inactif : seule une alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

AutoLogoutTime

Temps [min]

Temps d'inactivité après lequel un utilisateur est automatiquement déconnecté (en minutes).

Plus de détails dans l'aide en ligne

VT_BOOL

AutoLogout

Activer logout automatique

Actif : L'utilisateur est automatiquement déconnecté après le temps d'inactivité défini.
Inactif : L'utilisateur n'est pas automatiquement déconnecté par le système.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

CELAdminActive

Gestion des événements active

Actif : la liste chronologique d'événements (CEL) est active dans le Runtime. Les événements sont consignés et la liste CEL est disponible.
Inactif : aucun événement n'est enregistré.
Par défaut : active

Remarque : Les modifications prennent effet après le redémarrage du Runtime.

Plus de détails dans l'aide en ligne

VT_UI1

ArchiveChangeToCEL

Données d'archive

Disponible uniquement si la propriété Gestion des événements active est active.
Pas de traitement : l'édition des archives est consignée dans la liste CEL.
Enregistrer les modifications : lors de l'édition d'archives, le nom de l'archive, le nom de la variable, les valeurs ancienne et nouvelle et les informations d'horodatage sont consignées dans la liste CEL.
Par défaut : Pas de traitement

Plus de détails dans l'aide en ligne

VT_UI1

CELClsColor

Couleur de classe d'alarmes/d'événements

Disponible uniquement si la propriété Gestion des événements active est active.
ne pas utiliser : Les couleurs des classes d'alarmes/d'événements ne sont pas utilisées dans la liste CEL dans le Runtime.
comme couleur de texte : les couleurs des classes d'alarmes/d'événements sont utilisées comme couleur de texte des entrées correspondantes dans la liste CEL dans le Runtime. Elles remplacent la sélection de la propriété texte trié.
comme arrière-plan des lignes : Les couleurs des classes d'alarmes/d'événements sont utilisées comme couleurs d'arrière-plan des entrées correspondantes dans la liste CEL dans le Runtime.
Par défaut : Comme couleur de texte

Plus de détails dans l'aide en ligne

ZT_COLOR

CELColorSort

texte trié

Disponible uniquement si la propriété Gestion des événements active est active.

Définit la couleur du texte de l'entrée dans la liste chronologique d'événements (CEL).
Conseils :

1. Si vous choisissez l'option Comme couleur de texte pour la propriété Couleur de classe d'alarmes/d'événements, cette couleur est prioritaire pour la sélection dans texte trié.

2. Pour SICAM 230 : pour utiliser la même couleur partout dans la liste, vous devez sélectionner la même couleur pour la propriété texte non trié.

Plus de détails dans l'aide en ligne

ZT_COLOR

CELColorUnsort

texte non trié

Disponible uniquement si la propriété Gestion des événements active a été activée, et uniquement pour SICAM 230.
Couleur du texte des entrées non triées de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne

VT_UI1

CELHeader

Entête liste d'événements

Disponible uniquement si la propriété Gestion des événements active est active.
Pas d'en-tête : Dans la liste chronologique d'événements, aucun en-tête comportant un intitulé de colonne n'est affiché dans le Runtime.
Entête fixe : Un en-tête fixe, comportant les intitulés de colonne correspondants, est affiché dans la liste CEL.
actions autorisées sur entêtes de colonne : un en-tête configurable, comportant les intitulés de colonne correspondants, est affiché dans la liste CEL dans le Runtime. Vous pouvez déplacer les colonnes dans le Runtime, en modifier la largeur et les trier selon les colonnes.
Par défaut : actions autorisées sur entêtes de colonne

Plus de détails dans l'aide en ligne

VT_UI2

CELMemCount

Taille de la mémoire circulaire (buffer circulaire)

Disponible uniquement si la propriété Gestion des événements active est active.
Taille de la mémoire circulaire de la liste CEL. En cas de dépassement de capacité de la mémoire circulaire (cel.bin), les entrées sont transférées vers l'archive CEL (*.cel).
Minimum : 1
Maximum : 32767
Par défaut : 100

Remarque : dans le Runtime, il est possible que le nombre d'entrées affiché soit supérieur au nombre défini, car les anciennes entrées sont uniquement supprimées de la liste CEL lors de la mise à jour de la liste.

Plus de détails dans l'aide en ligne

VT_UI1

CelOnlyStack

Enregistrer les événements

Disponible uniquement si la propriété Gestion des événements active est active.
Mémoire circulaire et données historiques : toutes les entrées de la liste CEL (*.cel) sont enregistrées.

Only ring buffer (Mémoire circulaire uniquement) : seul un nombre défini d'entrées de la liste CEL (cel.bin) sont enregistrées. Ce nombre est défini par le biais de la propriété Taille de la mémoire circulaire (buffer circulaire).
Par défaut : sur les plates-formes CE, seule la mémoire circulaire (cel.bin) est enregistrée sur le disque dur ; sur PC, les entrées historiques (*.cel) sont également enregistrées.
Par défaut : Défaut
Les fichiers (cel.bin et *.cel) sont enregistrés dans le répertoire \dossier du projet\nom de l'ordinateur\nom du projet.

Plus de détails dans l'aide en ligne

VT_UI1

RecipeChangeToCEL

Modification de recettes

Disponible uniquement si la propriété Gestion des événements active est active.
Pas de traitement : la modification de recettes standard et de recettes dans le module Gestionnaire de groupes de recettes (RGM) n'est pas consignée dans la liste CEL.
Enregistrer les recettes : en cas de modification d'une recette, celle-ci est enregistrée avec le nom de la recette modifiée dans la liste CEL.
Enregistrer les recettes et valeurs : en cas de modification d'une recette, celle-ci est enregistrée avec le nom de la recette modifiée et le nom des anciennes et nouvelles valeurs des variables modifiées dans la liste CEL.
Par défaut : Pas de traitement

Plus de détails dans l'aide en ligne

VT_UI1

RecipeWriteToCEL

Envoi de recettes

Disponible uniquement si la propriété Gestion des événements active est active.
Pas de traitement : Pas de traitement : la modification de recettes standard et de recettes dans le module Gestionnaire de groupes de recettes (RGM) n'est pas consignée dans la liste CEL.
Enregistrer les recettes : En cas de modification d'une recette, celle-ci est enregistrée avec le nom de la recette modifiée dans la liste CEL.
Enregistrer les recettes et valeurs : en cas d'écriture d'une recette, celle-ci est enregistrée avec le nom de la recette et le nom des anciennes et nouvelles valeurs des variables dans la liste CEL.
Par défaut : Pas de traitement

Plus de détails dans l'aide en ligne

VT_BOOL

CELSpontan

Mettre à jour automatiquement

Disponible uniquement si la propriété Gestion des événements active est active.
Actif : lorsque la liste CEL est ouverte dans le Runtime, de nouveaux événements sont immédiatement ajoutés lorsqu'ils se produisent.
Inactif : lorsque la liste CEL est ouverte, aucune nouvelle entrée n'est ajoutée. Les nouvelles entrées sont ajoutées lors de la prochaine ouverture de la liste CEL.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

CELSysMsgPrint

Imprimer messages système

Actif : lors de l'impression en ligne, les messages système sont également imprimés.
Inactif : lors de l'impression en ligne, les messages système ne sont pas imprimés.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

DelUser

Supprimer utilisateurs

Actif : La suppression d'un utilisateur dans le Runtime est autorisée.
Inactif : Les utilisateurs peuvent uniquement être marqués comme supprimés. L'utilisateur reste présent dans la liste d'utilisateurs, mais n'est plus valide dans le Runtime (conformément aux directives de la FDA).
Par défaut : active

Plus de détails dans l'aide en ligne

VT_I2

DisabledButtonStyle

Boutons protégés

Disponible uniquement si la propriété Login temporaire actif est inactive.
Détermine l'apparence des boutons verrouillés en fonction de la configuration des autorisations d'utilisation. Dans le Runtime, cet élément est associé à la propriété Boutons verrouillés (Apparence graphique) pour autoriser l'utilisation des touches.

Formats possibles :

  • Grisé
  • Normal
  • Invisible

Par défaut : Normal

Plus de détails dans l'aide en ligne

VT_BOOL

EditSignature

Texte de signature éditable

Actif : Une boîte de dialogue de modification du texte de signature est affichée dans le Runtime.
Inactif : Le texte de signature ne peut pas être modifié dans le Runtime.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

FktLevelList

Autorisations sur fonctions

Les niveaux d'autorisation permettent de verrouiller certaines fonctions spécifiques du système (par ex. : Charger projet) pour les utilisateurs non autorisés. Un niveau d'autorisation dans l'Éditeur peut être attribué individuellement à chaque module.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de configuration du niveau d'autorisation dans le Runtime et dans l'Éditeur.

Attention : au moins un utilisateur doit être attribué à chaque niveau d'autorisation. Dans le cas contraire, vous risquez de ne plus pouvoir accéder à votre projet !

Plus de détails dans l'aide en ligne

VT_BSTR

IMMDns

Base de données

Définition de la connexion ODBC à la base de données du module Industrial Maintenance Manager (IMM).

Plus de détails dans l'aide en ligne

VT_BSTR

IMMTableDevice

Table pour les matériels

Le nom de la table de la base de données associée aux équipements. Si ce nom contient des espaces, le nom complet doit être saisi entre apostrophes. En règle générale, évitez d'utiliser des apostrophes dans les noms.

Plus de détails dans l'aide en ligne

VT_BSTR

IMMTableDoc

Table pour les documents

Le nom de la table de la base de données associée aux documents. Si ce nom contient des espaces, le nom complet doit être saisi entre apostrophes. En règle générale, évitez d'utiliser des apostrophes dans les noms.

Plus de détails dans l'aide en ligne

VT_BSTR

IMMTableHist

Table pour l'historique

Le nom de la table de la base de données associée aux historiques. Si ce nom contient des espaces, le nom complet doit être saisi entre apostrophes. En règle générale, évitez d'utiliser des apostrophes dans les noms.

Plus de détails dans l'aide en ligne

VT_BSTR

IMMTableMaint

Table pour travaux de maint.

Le nom de la table de la base de données associée aux travaux de maintenance. Si ce nom contient des espaces, le nom complet doit être saisi entre apostrophes. En règle générale, évitez d'utiliser des apostrophes dans les noms.

Plus de détails dans l'aide en ligne

VT_UI2

IMMUserLvl

Groupe autorisation

Groupe d'autorisations requis pour pouvoir supprimer des données de la base de données.

Plus de détails dans l'aide en ligne

VT_BSTR

UserLevelList

-

Vous pouvez attribuer un nom à chacun des 128 niveaux d'autorisation. La boîte de dialogue de saisie du nom est ouverte.

Plus de détails dans l'aide en ligne

VT_UI1

MinPwLength

Longueur min. mot de passe

Nombre minimum de caractères pour un mot de passe.
Minimum : 0.
Maximum : 20.
Par défaut : 6.

Plus de détails dans l'aide en ligne

VT_BOOL

AppCloseBox

Message de fin

Disponible uniquement si la propriété Réseau actif est active.
Actif : Lors de l'arrêt du Runtime sur un serveur, un message est affiché sur tous les clients connectés, indiquant que le Runtime a été arrêté. L'arrêt du Runtime est retardé de 70 secondes. Ainsi les actions peuvent être terminées proprement sur les clients.
Inactif : Le Runtime est arrêté sur le serveur, sans qu'un message soit affiché sur les clients.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowLock

Identification graphique active

Actif : Les éléments verrouillés peuvent être identifiés par un symbole représentant un cadenas ou un fichier graphique au choix.
Par défaut : Inactif

Plus de détails dans l'aide en ligne.

VT_BSTR

ALCConfig

Configuration CAL

La boîte de dialogue de configuration de la fonction de Coloration automatique des lignes (CAL) s'affiche.

Plus de détails dans l'aide en ligne

VT_I2

ALCGroundFaultMode

Mode de recherche pour les défauts de terre

Lors d'une recherche de défaut de terre, détermine si tout le réseau doit être coloré, ou seulement la section du réseau dans laquelle s'est produit le défaut de terre.

Plus de détails dans l'aide en ligne.

VT_R8

ALCMaxOverload

Nombre maximum acceptable de surcharge en courant [%]

VT_I2

ALCSearchMode

Mode pour la coloration

Définit le code de couleurs de l'état UNDEFINED (Non défini). Cliquez sur la liste déroulante pour afficher la sélection :

- Standard : la couleur source est diffusée sur le réseau, depuis chaque source activée, à condition que l'interrupteur suivant soit fermé.

Input takes priority (L'entrée est prioritaire) : uniquement les lignes colorées potentiellement alimentées par une source au moins, mais non alimentées explicitement par une source.

Par défaut : Standard

Plus de détails dans l'aide en ligne.

VT_BOOL

AsmActive

IPA actif

Le module Industrial Performance Analyzer (IPA) est conçu pour afficher et évaluer les données d'alarmes et les périodes d'indisponibilité associées dans différentes vues de liste.

Remarque : le module Industrial Performance Analyzer doit comporter une licence distincte.

Actif : vous pouvez accéder aux fonctionnalités du module Industrial Performance Analyzer. Vous pouvez maintenant modifier les propriétés supplémentaires que vous pouvez définir pour le module IPA dans cette zone.

Par défaut : inactive

Plus de détails dans l'aide en ligne

VT_BSTR

AKZ

Identification équipement

À l'aide des identifiants d'équipements, vous pouvez filtrer les données en fonction des informations concernant les alarmes sur les synoptiques de type Industrial Performance Analyzer. Les identifiants d'équipements définis peuvent être une partie de l'identifiant ou du nom de la variable ayant provoqué le déclenchement de l'alarme.

Cliquez avec le bouton gauche de la souris pour ouvrir une boîte de dialogue dans laquelle vous sélectionnerez les identifiants d'équipements souhaités.

Plus de détails dans l'aide en ligne

VT_UI1

AkzMode

Identification équipement avec

La définition des équipements peut être entrée dans le nom ou l'identification de la variable comme un préfixe. Vous devez prendre cela en considération lorsque vous créez les variables.
Identification : une partie de l'identifiant de la variable est utilisée pour l'identification de l'équipement dans le module Industrial Performance Analyzer (IPA).
Nom de la variable : une partie du nom de la variable est utilisé pour l'identification de l'équipement.

Par défaut : Nom de la variable :

Plus de détails dans l'aide en ligne

VT_UI4

AsmBufferSize

Taille du buffer

Nombre maximal d'alarmes pouvant être écrites dans la mémoire tampon.

Remarque : lorsque la mémoire tampon est pleine et que des alarmes supplémentaires doivent y être enregistrées, les plus anciennes alarmes enregistrées dans la mémoire tampon sont effacées. Gardez ceci à l'esprit lors du développement du projet.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 10000.

Plus de détails dans l'aide en ligne

ZT_ZEIT

AsmCycleTime

Cycle de sauvegarde

Définissez l'intervalle durant lequel les données d'alarme doivent être écrites depuis la mémoire tampon dans la base de données. Pour des raisons de performances, le module Industrial Performance Analyzer (IPA) ne dispose pas d'une connexion permanente à la base de données. Le cycle d'enregistrement vous permet de définir la fréquence à laquelle les données sont écrites dans la base de données.

Saisissez l'intervalle de temps au format HH:MM:SS.

Plus de détails dans l'aide en ligne

VT_BSTR

AsmDns

Base de données

Définissez la connexion à une base de données compatible ODBC (par ex. Microsoft SQL Server) devant être utilisée par le module Industrial Performance Analyzer pour enregistrer les données des alarmes. Cliquez sur le bouton avec le bouton gauche de la souris pour ouvrir la boîte de dialogue de sélection de la source de données. Si vous n'avez pas encore défini une source de données, vous pouvez définir une source de données à l'aide de cette boîte de dialogue.

Plus de détails dans l'aide en ligne

VT_BSTR

PredefFilter

Filtre de temps prédéfini

Lors de l'évaluation des données d'alarmes sur le synoptique Industrial Performance Analyzer dans le Runtime, vous pouvez utiliser des filtres de temps pour afficher uniquement les alarmes qui se sont produites durant certaines périodes.

Cliquez avec le bouton gauche de la souris pour ouvrir une boîte de dialogue dans laquelle vous pouvez définir les filtres de temps souhaités.

Plus de détails dans l'aide en ligne

VT_BSTR

AsmTable

Nom de table

Spécifiez le nom de la table dans la base de données compatible ODBC dans laquelle doivent être écrites les données provenant du module Industrial Performance Analyzer. Si aucune table portant ce nom n'existe, elle sera créée automatiquement lors du premier démarrage du Runtime.

Remarque : les noms de tables valides doivent uniquement inclure des caractères alphanumériques et/ou des espaces, et ne doivent pas commencer par un chiffre. Ils ne doivent pas excéder 128 caractères.

Plus de détails dans l'aide en ligne

ZT_DATETIME

BackupTime

Heure de la sauvegarde

Affiche l'heure de la dernière sauvegarde du projet.

Plus de détails dans l'aide en ligne.

VT_BOOL

BackupWithXML

Export XML actif

Actif : lors de chaque sauvegarde du projet, un fichier zip (version.zip) est inséré. Celui-ci comprend 24 fichiers XML contenant les sauvegardes des modules individuels.

Remarque : pour les projets multi-utilisateurs, uniquement pour les sauvegardes locales.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BOOL

ClearTypeFont

Polices ClearType

Actif : Les polices ClearType sont utilisées. Les polices ClearType peuvent améliorer la lisibilité des polices sur les écrans LCD dans leur résolution native.

Inactif : Les polices standard de Windows sont utilisées. Elles s'avèrent souvent très adaptées aux écrans à tube cathodique et aux écrans LCD avec des résolutions interpolées.
Remarque : Si vous avez sélectionné l'option Windows Base (Windows de base) ou Windows Enhanced (Windows optimisé) dans la propriété Qualité graphique, vous devez désactiver l'utilisation des polices ClearType pour les systèmes d'exploitation Windows Vista et Windows 7. Si vous avez sélectionné DirectX, les polices ClearType peuvent être activées ou désactivées indépendamment du système d'exploitation.

Par défaut : active.

Remarque : Les modifications apportées au paramètre prennent uniquement effet après le redémarrage de l'éditeur.

Plus de détails dans l'aide en ligne

VT_BSTR

AsmAlarmCauseListe

Causes d'alarme

Sur le synoptique Industrial Performance Analyzer, une cause d'alarme provenant d'une liste peut être associée à chaque alarme constatée. Les informations peuvent être filtrées en fonction des causes d'alarmes.

Ici, vous pouvez gérer la liste de causes des alarmes.

Cliquez avec le bouton gauche de la souris pour ouvrir une boîte de dialogue dans laquelle vous spécifierez les causes d'alarmes possibles.

Plus de détails dans l'aide en ligne

VT_BOOL

AsmShiftInfoPFS

Poste donné par le PFS

Les horaires des postes définis sont dérivés du module Production & Facility Scheduler. Les horaires des postes sont alors actualisés et gérés dans ce module.

Actif : le poste actif lors du déclenchement d'une alarme est lu dans le module Production & Facility Scheduler (PFS).
Inactif : le poste actif lors du déclenchement de l'alarme est lue depuis une variable liée et une liste définie.
Par défaut : active
Attention : le module Production & Facility Scheduler est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AsmShiftInfoVariable

Poste donné par variable

Disponible uniquement si vous avez activé la propriété IPA actif. En outre, la propriété Poste donné par le PFS doit être inactive.

Nom de la variable dont la valeur fournit des informations concernant le poste actif. Sélectionnez une variable de type INT. Celle-ci vous permet de créer le modèle de poste suivant.
Exemple :

1 = poste de matin, 2 = poste de jour, 3 = poste de nuit, -1 = pause. Vous pouvez définir le nom du poste aux fins de l'évaluation à l'aide de la propriété Nom de poste donné par une liste.

Plus de détails dans l'aide en ligne

VT_BSTR

AsmShiftNameListe

Nom de poste donné par une liste

Disponible uniquement si vous avez activé la propriété IPA actif. En outre, la propriété Nom de poste donné par le PFS doit être inactive.

Définissez les noms correspondant aux valeurs des variables que vous avez liées dans la propriété Poste donné par la variable.

Cliquez avec le bouton gauche de la souris pour ouvrir une boîte de dialogue dans laquelle vous pouvez attribuer des noms aux valeurs individuelles.

Des noms de poste peuvent être attribués aux valeurs d'une variable liée.

Plus de détails dans l'aide en ligne

VT_BOOL

AsmShiftNamePFS

Nom de poste donné par le PFS

Les noms des postes définis sont dérivés du module Production & Facility Scheduler. Les noms des postes sont alors actualisés et gérés dans ce module.

Actif : le poste actif lors du déclenchement d'une alarme est lu dans le module Production & Facility Scheduler (PFS).
Inactif : le poste actif lors du déclenchement de l'alarme est lue depuis une variable liée et une liste définie.
Par défaut : active

Attention : le module Production & Facility Scheduler est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_UI2

AsmUsrLvl

Pour supprimer

Le synoptique Industrial Performance Analyzer permet de supprimer les données d'alarmes disponibles dans la base de données dans le Runtime. Pour éviter tout abus, vous pouvez définir le niveau d'autorisation dont un utilisateur doit disposer pour supprimer des entrées.

Sélectionnez le mode de fonctionnement souhaité dans la liste déroulante.

Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI2

AsmUsrLvlCause

Pour éditer

Le synoptique Industrial Performance Analyzer permet de modifier les données d'alarmes disponibles dans la base de données dans le Runtime. Pour éviter tout abus, vous pouvez définir le niveau d'autorisation dont un utilisateur doit disposer pour modifier des entrées.

Sélectionnez le mode de fonctionnement souhaité dans la liste déroulante.

Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

MultiUser

Projet multi-utilisateur

Actif : le projet est utilisé comme un projet multi-utilisateurs. L'arborescence du projet comporte un nœud supplémentaire, intitulé "Traitement en cours".

Inactif : le projet est utilisé comme un projet simple.

(Par défaut) Inactif :

Cette propriété peut uniquement être activée via le menu contextuel du projet.

ATTENTION : l'activation de cette propriété ne peut pas être annulée. Vous pouvez toutefois convertir un projet multi-utilisateurs en projet simple via une sauvegarde de projet.

Plus de détails dans l'aide en ligne

VT_UI2

RTVersion

Créer fichiers RT pour

Par défaut : Les fichiers de Runtime sont créés pour la version actuelle de l'Éditeur.

6.20 SP4 : les fichiers de Runtime sont créés pour la version 6.20 Service Pack 4.

6.21 SP0 : les fichiers de Runtime sont créés pour la version 6.21 Service Pack 0.

6.21 SP1 : les fichiers de Runtime sont créés pour la version 6.21 Service Pack 1.

6.22 SP0 : les fichiers de Runtime sont créés pour la version 6.22 Service Pack 0.

6.22 SP1 : les fichiers de Runtime sont créés pour la version 6.22 Service Pack 1.

6.50 SP0 : les fichiers de Runtime sont créés pour la version 6.50 Service Pack 0.

6.51 SP0: les fichiers de Runtime sont créés pour la version 6.51 Service Pack 0.

Attention : pour garantir la cohérence des fichiers de Runtime, tous les fichiers de Runtime doivent être recréés à chaque modification de cette propriété. Les configurations de tous les drivers sont converties. Les paramètres qui n'existent pas dans la version correspondante sont définis sur le paramètre par défaut.

Plus de détails dans l'aide en ligne

VT_BOOL

RuntimeLasso

Sélection multiple en runtime (lasso)

Actif : En déplaçant la souris avec le bouton gauche de la souris enfoncé, plusieurs éléments peuvent être sélectionnés dans le Runtime. Une macro VBA peut accéder à ces éléments.
Inactif : La fonction lasso n'est pas utilisée.
Par défaut : Inactive
Remarque : le lasso fonctionne uniquement pour les éléments accessibles par le biais du clavier, liés à une variable ou une fonction. Les éléments statiques ne sont pas sélectionnés. La fonction de lasso peut être activée/désactivée pour certains éléments de synoptique via la propriété Runtime/sélectionnable avec le lasso.

Plus de détails dans l'aide en ligne.

VT_BOOL

VersionActive

Gestion de version active

Actif : La fonction de suivi de version des projets est utilisée. Chaque sauvegarde de projet comporte un numéro de version propre.

Inactif : la fonction de suivi des versions des sauvegardes de projet est désactivée.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_I2

VersionDetail

Numéro de détail

VT_I2

VersionNumber

Version principale

Disponible uniquement si la propriété Gestion de version active est active.

Numéro attribué par l'utilisateur. Au niveau interne, il est complété par un numéro détaillé, séparé par un point et affiché sous la forme Version du projet.

Attention : toute modification par l'utilisateur de ce numéro influe sur la cohérence du suivi des versions.

Plus de détails dans l'aide en ligne.

VT_BSTR

VersionString

Version du projet

Disponible uniquement si la propriété Gestion de version active est active.

Affiche la version du projet. Le numéro de version est constitué du numéro attribué par l'utilisateur (Version principale) suivi, après le point, du numéro détaillé attribué au niveau interne.

Plus de détails dans l'aide en ligne.

VT_BSTR

ADAM

Connexion ADAM/AD-LDS

Chemin de connexion à ADAM ou AD LDS.

Vous devez saisir le chemin de connexion au format suivant : [Nom du PC]:[port]/[organisation]

Exemple : w3k:50000/O=711,c=com

Pour plus d'informations sur AD LDS, reportez-vous à l'aide en ligne.

Pour plus d'informations sur ADAM, reportez-vous à l'aide en ligne.

VT_BSTR

ADAMPwd

Mot de passe ADAM/AD-LDS

Mot de passe de l'utilisateur local du PC ADAM/AD LDS.

Pour plus d'informations sur AD LDS, reportez-vous à l'aide en ligne.

Pour plus d'informations sur ADAM, reportez-vous à l'aide en ligne.

VT_BSTR

ADAMUser

Identification utilisateur ADAM/AD-LDS

Nom d'utilisateur d'un utilisateur local du PC ADAM/AD LDS possédant des droits d'administration.

Pour plus d'informations sur AD LDS, reportez-vous à l'aide en ligne.

Pour plus d'informations sur ADAM, reportez-vous à l'aide en ligne.

VT_BSTR

AltDataPath

Dossier des données

Vide. le chemin par défaut est utilisé pour l'enregistrement de la liste d'alarmes (AML), de la liste chronologique d'événements (CEL), des données de disque dur, des données d'archives, etc. (chemin du projet\nom de l'ordinateur\nom du projet).
Chemin : le chemin saisi ici est utilisé pour l'enregistrement des données (chemin saisi\nom de l'ordinateur\nom du projet).
Attention : si le chemin défini n'existe pas (problèmes de réseau, support amovible indisponible), aucune autre donnée n'est écrite depuis le Runtime. Ce qui signifie : une perte totale de données. Le Runtime reste actionnable, mais doit être redémarré. La disponibilité du dossier peut être contrôlée par le biais de la variable de driver du système Dossier de données du Runtime indisponible.
Conseil : ne définissez jamais le dossier de données sur un support amovible, tel qu'une clé USB ou un périphérique réseau. Nous vous conseillons d'enregistrer les données localement, et de les sauvegarder au niveau externe.

Plus de détails dans l'aide en ligne

VT_UI1

UseAntialiasing

Utiliser l'anticrénelage (antialiasing)

Disponible uniquement si la propriété Qualité graphique est active.

Active l'anti-aliasing. Cette fonction permet de lisser et rendre plus agréables l'affichage des lignes diagonales. Les effets de crénelage disparaissent lorsque cette option est activée. Si vous avez sélectionné l'option DirectX Software (Logiciel DirectX) ou DirectX Hardware (Matériel DirectX) dans la propriété Qualité graphique, vous pouvez activer ou désactiver l'anti-aliasing indépendamment des paramètres du système d'exploitation. La qualité de l'anti-aliasing de DirectX est supérieure à la qualité du mode Windows Enhanced (Windows optimisé).

l'anti-aliasing peut accroître les durées d'appel de synoptique, plus particulièrement sur les systèmes d'exploitation plus anciens.

Les paramètres possibles sont les suivants :

Activée : l'anti-aliasing est toujours actif

Désactivée : l'anti-aliasing est désactivé

Par défaut : Off

Plus de détails dans l'aide en ligne

ZT_FUNCTION

Function

Fonction

Disponible uniquement si l'appel de fonction automatique est actif :
Fonction exécutée après expiration du délai d'inactivité.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

Plus de détails dans l'aide en ligne

VT_BOOL

FuncActive

Exécution autom. de fonction active

Actif : Exécution automatique de la fonction si l'ordinateur n'a pas été utilisé pendant un certain temps.
Inactif : Désactive la fonctionnalité.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

FunctionID

Fonction

Disponible uniquement si l'appel de fonction automatique est actif :Fonction devant être exécutée après le délai défini en cas d'absence d'intervention de l'utilisateur.Si plusieurs fonctions doivent être exécutées ici, un script contenant l'ensemble des fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

VT_UI4

FuncActiveTime

Période sans action (en minutes)

Disponible uniquement si l'appel de fonction automatique est actif :
Saisissez ici le délai d'inactivité au terme duquel la fonction peut être exécutée.

Plus de détails dans l'aide en ligne

VT_I4

BlinkRate

Freq. Clignot. [10ième de sec.]

Saisir la fréquence de clignotement des éléments en dixièmes de seconde (par exemple : saisir 5 correspond à 1/2 cycle).
Minimum : 0.
Maximum : 2147483647.
Par défaut : 5.

Plus de détails dans l'aide en ligne

VT_BOOL

ChangeLogAktiv

Historique des modifications actif

Actif : Les modifications apportées au projet sont également consignées.
Inactif : Les modifications apportées au projet ne sont pas consignées.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ChangeLogCheckout

Permettre automatiquement les modifications

Uniquement disponible dans les projets multi-utilisateurs et si l'historique des modifications est actif :
Actif : Les modifications apportées aux entrées dans la liste sont automatiquement autorisées si des commentaires sont insérés. Ces modifications doivent alors être effectuées manuellement.
Inactif : Les commentaires peuvent uniquement être ajoutés après que la modification des entrées ait été manuellement autorisée.
(Par défaut) Inactif :

Attention : cette fonctionnalité consomme d'importantes ressources lorsqu'elle est activée.

Plus de détails dans l'aide en ligne

VT_UI1

ChangeLogState

Niveau de détails

Disponible uniquement si la propriété Historique des modifications actif est active.

Sélection du niveau de détails souhaité dans la liste déroulante.

  • Objet : seuls les noms d'objet des objets modifies sont enregistrés. Les détails concernant les propriétés qui ont été modifiées, ainsi que leurs valeurs, ne sont pas affichés dans l’historique des modifications.
  • Propriétés : outre les noms d’objet, les propriétés modifiées ainsi et les nouvelles valeurs sont affichées dans l’historique des modifications.
  • Modifications de valeurs : Ce paramètre correspond au niveau de journalisation le plus détaillé. Non seulement les nouvelles valeurs des propriétés sont affichées mais aussi les anciennes. Ce qui permet de tracer complètement les modifications.

Par défaut : Propriétés

Plus de détails dans l'aide en ligne

VT_BOOL

CursorVisible

Curseur visible

Actif : Le curseur est visible dans le Runtime.
Inactif : Le curseur n'est pas visible dans le Runtime. Pour les projets associés à un écran tactile, l'affichage du curseur peut être considéré comme gênant ; il peut être désactivé à l'aide de cette propriété.
Par défaut : active

Attention : Cette fonctionnalité fonctionne uniquement avec les éléments du système de contrôle (synoptiques, éléments, ...) mais pas avec les éléments standard de Windows (barres de titre, menus, barres de défilement, ...) Pour cela, le curseur doit être désactivé directement dans le système d'exploitation.

Plus de détails dans l'aide en ligne

VT_BOOL

DriverInvisible

Driver invisible

Actif : les drivers démarrés ne sont pas affichés dans la barre des tâches de Windows dans le Runtime.

Inactive : les drivers démarrés ne sont pas affichés dans la barre des tâches de Windows dans le Runtime.

Par défaut : inactive.

Plus de détails dans l'aide en ligne

VT_BOOL

EnableMenu

Menus principaux actifs

Actif : Ceci signifie qu'une barre d'affichage des menus est réservée le long du bord supérieur de la fenêtre du Runtime.
Inactif : Aucun menu principal n'est affiché dans le Runtime.
(Par défaut) Inactif :

Attention : Cette option doit être activée si les menus principaux sont utilisés.

Plus de détails dans l'aide en ligne

VT_BOOL

ExportUnicode

Exporter le texte en unicode

Actif : exportation du texte sous forme de fichiers Unicode.
Inactif : exportation du texte sous forme de fichiers ANSI.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

UseGDIplus

Qualité graphique

Paramètre de qualité de l'affichage graphique.
DirectX offre une qualité supérieure à celle des modes Windows Basic (Windows de base) ou Windows Enhanced (Windows optimisé). L'affichage DirectX est uniquement pris en charge dans le Runtime. En règle générale, il est préférable d'utiliser l'option DirectX Hardware (Matériel DirectX) et de n'utiliser l'option DirectX Software (Logiciel DirectX) qu'en cas d'absolue nécessité.

Sélection possible :

Windows Basic : Paramètres graphiques de base. Paramètre recommandé lorsque les ressources du matériel sont limitées.

Windows Enhanced (Windows optimisé) : offre des fonctions d'affichage graphique amélioré, nécessite davantage de ressources.

DirectX Software (Logiciel DirectX) : le calcul de l'affichage graphique est effectué par le processeur et peut entraîner une charge élevée au niveau du processeur.

Matériel DirectX : certains calculs graphiques sont effectués par la carte graphique. Si le système n'est pas compatible avec le paramètre, le paramètre DirectX Software (Logiciel DirectX) est sélectionné automatiquement.

Par défaut : Windows étendu

Attention : Les paramètres Windows Enhanced (Windows optimisé) et DirectX ne sont pas disponibles sous Windows CE.

Conseils :
un léger décalage des pixels peut apparaître en cas de changement de mode durant le développement. Par conséquent, définissez cette propriété avant de créer les synoptiques.
Lors de l'activation de l'option Windows Base (Windows de base) pour tous les types de ligne utilisant un paramètre Epaisseur de ligne [Pixels] > 1, tous les types de ligne sont définis sur Ligne continue.

Plus de détails dans l'aide en ligne

VT_BSTR

GUID

ID du projet

Chaque projet est identifié au moyen d'un GUID unique. Cette propriété ne peut pas être modifiée.
Il s'agit également du nom du sous-dossier du répertoire SQL dans lequel est enregistré le projet.

Plus de détails dans l'aide en ligne

VT_BSTR

Author

-

VT_BSTR

Comment

-

VT_BSTR

Company

-

VT_BSTR

Manager

-

VT_UI2

KeyboardSize

Taille du clavier [%]

Définit la taille, en pourcentage de la taille d'origine, d'affichage du clavier automatique dans le Runtime.
Minimum : 50 %
Maximum : 300 %
Par défaut : 100 %

Plus de détails dans l'aide en ligne

VT_BOOL

LimitFunctionOnStart

-

Actif : Au démarrage du Runtime, une fonction liée à une valeur limite active est exécutée.
Inactif : Au démarrage du Runtime, une fonction liée à une valeur limite active n'est pas exécutée.
Par défaut : active

ATTENTION : Cette propriété est uniquement valide pour les limites qui ne sont pas associées à des alarmes !

Exemple 1 : le Runtime est fermé et aucune limite n'est dépassée. Ensuite, une limite est dépassée et le Runtime est démarré. Si la limite dépassée est une alarmes, la fonction liée est exécutée au démarrage du Runtime. Si la limite n'est pas une alarme, la configuration de cette propriété est utilisée.
Exemple 2 : le Runtime est fermé et une limite qui n'est pas associée à une alarme est dépassée. La fonction liée a été exécutée au moment où la limite a été dépassée. Quand le Runtime démarre à nouveau, la limite est encore dépassée. En fonction de cette propriété, la fonction liée est exécutée à nouveau.

Plus de détails dans l'aide en ligne

VT_UI1

MainWindowStyle

Titre runtime

Affichage de la fenêtre principale du Runtime.

Pas de titre : affichage en plein écran, sans en-tête.

Titre avec boutons agrandir et réduire : la fenêtre peut être déplacée et sa taille peut être modifiée. Elle ne peut toutefois pas être fermée (même par le biais du menu contextuel, de la barre des tâches ou du raccourci-clavier Alt+F4). Cliquez avec le bouton droit sur l'en-tête pour afficher le menu contextuel.

Titre avec menu système, boutons agrandir et réduire : La fenêtre peut être déplacée et sa taille peut être modifiée ; elle peut être fermée d'un clic sur le bouton X. Cliquez avec le bouton droit de la souris sur l'en-tête pour ouvrir le menu contextuel.

Titre avec menu système : La fenêtre peut être déplacée et fermée d'un clic sur le bouton X. Cliquez avec le bouton droit de la souris sur l'en-tête pour ouvrir le menu contextuel.

Titre sans boutons : La fenêtre peut être déplacée et fermée d'un clic sur le bouton X. Cliquez avec le bouton droit de la souris sur l'en-tête pour ouvrir le menu contextuel.

Par défaut : Pas de titre

Attention : si cette propriété est modifiée dans l'Éditeur, le Runtime doit être redémarré. L'actualisation seule ne fonctionne pas, car pour reprendre la fenêtre principale, le Runtime doit être fermé, puis rouvert.

Plus de détails dans l'aide en ligne

VT_BOOL

Multi-Touch

Multi-Touche actif

Actif : Les gestes MultiTouch peuvent être utilisés. Les mouvements de raccourci (mouvements rapides) et le clic droit (appui long) sont désactivés.
Conditions préalables : Tous les drivers et périphériques correspondants sont disponibles. Le périphérique doit être connecté et mis sous tension.

Plus de détails dans l'aide en ligne.

VT_BSTR

Name

Nom du projet

Nom unique du projet.
Il est utilisé pour améliorer la lisibilité ; au niveau interne, en règle générale, le GUID est utilisé.

Les caractères autorisés sont les chiffres, les lettres et les caractères spéciaux suivants : $, -, @, _, {}, ~, !, ()
Remarque : lorsque vous modifiez le nom du projet, n'oubliez pas d'adapter d'éventuelles références à l'échelle du projet pour les projets d'intégration, ou l'utilisation des variables, des fonctions et du code VBA à l'échelle du projet. Pour cela, utilisez la boîte de dialogue de remplacement des références de projet.

Plus de détails dans l'aide en ligne

VT_BOOL

NetActive

Réseau actif

Actif : Le projet est utilisé comme un projet en réseau. Un serveur doit être défini.
Inactif : Le projet est un projet autonome.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

NetDataServer

Redondant en serveur de données

Disponible uniquement si un serveur redondant a été spécifié dans la propriété Redondant.
Actif : le serveur redondant est utilisé en tant que serveur de données, c'est-à-dire que le serveur redondant établit la connexion au matériel et transmet les données au serveur.
Inactif : le serveur lui-même est utilisé comme serveur de données.
Plus de détails dans l'aide en ligne

VT_I4

NetType

Type de redondance

Disponible uniquement si un ordinateur a été spécifié dans la propriété Redondant.

zenon prend en charge deux types de redondance :

Redondance logicielle : Ce système se compose d'un automate et de deux ordinateurs redondants du système de contrôle. Les deux ordinateurs doivent disposer d'une connexion à l'automate. Les deux ordinateurs communiquent avec le contrôle et actualisent simultanément les données provenant du contrôle. Les communications bidirectionnelles avec le contrôle sont gérées par l'ordinateur jouant le rôle de serveur. Le serveur établit des communications bidirectionnelles, le système redondant établit des communications unidirectionnelles. En cas de défaillance du serveur, le serveur redondant prend en charge les communications bidirectionnelles avec l'automate.

Redondance matérielle : Le système se compose de deux automates redondants et de deux ordinateurs contrôleurs redondants. Chaque serveur établit une communication bidirectionnelle avec un automate. Les deux ordinateurs et les deux automates synchronisent leurs données. Si un composant du premier système subit une défaillance, le deuxième composant prend le relais.

Par défaut : Redondance logicielle

Plus de détails dans l'aide en ligne

VT_BOOL

NetRoutingActive

Routage actif

Actif : L'ordinateur agit comme un ordinateur "nœud" et peut transmettre les paquets ('packets'). Ainsi tous les 'packets' réseau provenant de l'extérieur utilisent cet ordinateur.
Ce paramétrage peut conduire à des 'goulets d'étranglement' et influence les possibilités au niveau de la topologie réseau. C'est consistant de l'utiliser dans des constellations réseau particulières, par exemple, pour des réseaux WAN ou des réseaux "routés" ('routed'). Nous recommandons donc de ne pas activer ce paramètre.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

ZT_COMPUTER

NetSB

Redondant

Disponible uniquement si un serveur a été spécifié dans la propriété Serveur.
Cet ordinateur assume alors le rôle de serveur dans les systèmes redondants en cas de défaillance du serveur. L'interruption de la connexion au serveur est détectée lorsque le serveur ne répond pas dans le délai défini dans la propriété -. Une mémoire spécifique au serveur redondant pallie le délai entre l'interruption de la connexion au serveur et le basculement, évitant ainsi toute perte de données.

Conseil : le nom « localhost » ne doit pas être utilisé pour le serveur ou le serveur redondant.
Si le nom a été modifié, il ne peut pas être actualisé. Il ne sera mis à jour qu'après le redémarrage du Runtime.
Attention : les heures de système du serveur et du serveur redondant doivent être identiques.
Plus de détails dans l'aide en ligne

ZT_COMPUTER

NetServer

Serveur

Disponible uniquement si la propriété Réseau actif est active.
L'ordinateur qui établit la connexion au matériel lors de projets en réseau et gère les données du projet. Les clients se connectent à cet ordinateur.

Conseil : l'adresse IP n'est pas suffisante ; vous devez saisir le nom de l'ordinateur. le nom "localhost" ne doit pas être utilisé pour le serveur.
Si le nom a été modifié, il ne peut pas être actualisé. Il ne sera mis à jour qu'après le redémarrage du Runtime.

Plus de détails dans l'aide en ligne

VT_BOOL

NetTokenActive

Autorisation en réseau active

Disponible uniquement si la propriété Réseau actif est active.
La gestion des autorisations sur le réseau garantit qu'une seule station connectée au réseau peut exécuter une opération active (par ex., modification de valeurs prescrites) à un instant donné. L'accès passif (en lecture seule) est toujours possible, indépendamment de l'option choisie.
Actif : un seul ordinateur peut intervenir sur le projet à un instant donné (par ex., acquittement d'alarme, écriture de valeurs prescrites).
Inactif : plusieurs stations peuvent actionner le projet à la fois.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

NetTokenQuestion

Timeout pour requête [s]

Disponible uniquement si la propriété Autorisation en réseau active est active.
Si l'autorisation sur le réseau est bloquée par une station, elle peut être demandée par un autre ordinateur. La réponse à la demande doit être reçue dans la limite de temps définie ici. En cas d'expiration du délai d'attente de la réponse, la station demandeuse reçoit automatiquement l'autorisation.

Plus de détails dans l'aide en ligne

VT_UI4

NetTokenQuit

Timeout pour autorisation [s]

Disponible uniquement si la propriété Autorisation en réseau active est active.
L'ordinateur (client) possédant l'autorisation doit répondre au serveur avant expiration de ce délai. Si cet événement ne se produit pas, l'autorisation est automatiquement accordée.
Attention : cette valeur doit être inférieure au délai défini dans la propriété -.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowNotTranslated

Montrer les mots-clé non-traduits

Paramètres d'affichage des mots-clé n'existant dans aucun des fichiers de langue :

Actif : affichage sous forme de mot-clé dans le Runtime, par ex. : @Texte.
Inactif : affichage dans le Runtime sans le préfixe @, par ex. : Texte

Remarque : si le mot-clé existe dans un fichier de langue, mais ne comporte pas de traduction, aucun texte n'est affiché dans le Runtime (chaîne vide).

Plus de détails dans l'aide en ligne

VT_BOOL

CELPokeAck

Fonction envoi valeur prescrite

Disponible uniquement si la propriété Gestion des événements active est active.
Actif : en cas d'écriture réussie des valeurs sur le matériel, l'entrée correspondante est insérée dans la liste CEL.
Inactif : l'écriture réussie des valeurs n'est pas consignée dans la liste CEL.
Par défaut : Inactive
Remarque : pour utiliser ces propriétés, vous devez exécuter une écriture de valeur prescrite par le biais de la fonction Spécifier valeur prescrite.

Plus de détails dans l'aide en ligne

VT_BOOL

PrintActive

Impression active

Actif : la liste chronologique d'événements (CEL) ou la liste d'alarmes (AML) est imprimée en ligne. Pour chaque entrée dans la liste AML ou CEL, l'événement est transmis à l'imprimante définie dans les paramètres du projet.
Inactif : aucune impression en ligne n'est effectuée.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI1

PrintCEL

Impression pour

Disponible uniquement si la propriété Impression active est active.
Permet de spécifier si la liste AML ou CEL doit être imprimée en ligne. Une seule des deux listes peut être imprimée à la fois.

Liste d'alarmes : la liste d'alarmes (AML) est imprimée en ligne.
Liste chronologique d'événements : la liste chronologique d'événements est imprimée en ligne.
Par défaut : Liste d'alarmes

Plus de détails dans l'aide en ligne

VT_UI2

PrintLines

Lignes par page

Disponible uniquement si la propriété Impression active est active.
Nombre de lignes imprimées sur chaque page lors de l'impression en ligne.
Minimum : 0

Maximum : 65535
Par défaut : 72

Plus de détails dans l'aide en ligne

VT_UI2

RTVersionNr

-

VT_BOOL

SameComments

Même commentaires

Actif : les commentaires ajoutés à une alarme dans le Runtime sont également enregistrés au niveau de l'entrée correspondante de la liste chronologique d'événements (CEL).
Inactif : les commentaires ajoutés à une alarme sont uniquement conservés dans la liste d'alarmes.
Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

SelBorder

Sélection encadrée

Actif : dans la liste d'alarmes (AML) et la liste chronologique d'événements (CEL), les lignes sélectionnées sont mises en évidence par un cadre. Cette option est recommandée pour améliorer la lisibilité aux résolutions d'écran élevées.
Inactif : la couleur d'arrière-plan des lignes sélectionnées est inversée. Cette option est recommandée pour améliorer la lisibilité aux résolutions d'écran basses.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

ZT_PICTURE

StartPictureName

Synoptique de départ

Ce synoptique sera ouvert automatiquement lorsque le Runtime sera démarré. Le premier synoptique créé dans votre projet est saisi ici.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de synoptique.

Remarque : les types de synoptiques spéciaux sont ouverts avec un filtre vide, et par conséquent, sans données.

Plus de détails dans l'aide en ligne

VT_BOOL

Touchscreen

Clavier automatique

Pour les projets associés à un écran tactile.
Actif : Un synoptique de type Clavier est automatiquement appelé si une saisie est nécessaire (par exemple, pour l'écriture d'une valeur de point de consigne ou pour la connexion).
Inactif : Un synoptique de type Clavier n'est pas ouvert.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I4

KeyboardPixelHorz

Mouvement horizontal [pixel]

Distance horizontale (en pixels) de l'élément sélectionné pour la position préférée du clavier automatique.
Par défaut : 2.

Plus de détails dans l'aide en ligne

VT_I4

KeyboardPixelHorzAlt

Mouvement horizontal [pixel]

Distance horizontale (en pixels) de l'élément sélectionné pour la position alternative du clavier automatique.
Par défaut : 2.

Plus de détails dans l'aide en ligne

VT_I4

KeyboardPosHorz

Horizontal

Position horizontale du clavier automatique pour la position préférée.

Plus de détails dans l'aide en ligne

VT_I4

KeyboardPosHorzAlt

Horizontal

Position horizontale du clavier automatique pour la position alternative.

Plus de détails dans l'aide en ligne

VT_I4

KeyboardPosVert

Vertical

Position verticale du clavier automatique pour la position préférée.

Plus de détails dans l'aide en ligne

VT_I4

KeyboardPosVertAlt

Vertical

Position verticale du clavier automatique pour la position alternative.

Plus de détails dans l'aide en ligne

VT_I4

KeyboardPixelVert

Mouvement vertical [pixel]

Distance verticale (en pixels) de l'élément sélectionné pour la position préférée du clavier automatique.
Par défaut : 2.

Plus de détails dans l'aide en ligne

VT_I4

KeyboardPixelVertAlt

Mouvement vertical [pixel]

Distance verticale (en pixels) de l'élément sélectionné pour la position alternative du clavier automatique.
Par défaut : 2.

Plus de détails dans l'aide en ligne

VT_BOOL

TrendMilliSec

Tendance et valeurs HD en míllisecondes

Actif : Les valeurs HD sont affichées et traitées en millisecondes au niveau interne, tout comme l'actualisation des synoptiques actifs.
Inactif : Les valeurs HD sont affichées et traitées en secondes au niveau interne, tout comme l'actualisation des synoptiques actifs.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI1

VarIdentifier

Afficher les variables avec

Affichage des variables dans le Runtime :
Cliquez sur un élément avec le bouton droit de la souris et maintenez le bouton de la souris enfoncé pour afficher le nom, l'identification ou l'adresse de la variable, selon cette propriété.
En outre, cette propriété est utilisée pour l’affichage de l'élément Tendance.
Enfin, cette propriété est utilisée pour l’affichage de l'élément Tendance, ainsi que dans la boîte de dialogue de l'élément Combinaison multiple dans l'Éditeur.
Adresse : Les variables sont affichées avec leur adresse.
Identification : Les variables sont affichées avec leur identifiant.
Nom : Les variables sont affichées avec leur nom.
Par défaut : Nom.

Plus de détails dans l'aide en ligne

ZT_FILE

WorkingPath

Dossier runtime

Dossier des fichiers de Runtime du projet.
Dans ce dossier, les fichiers créés dans le Runtime sont enregistrés et le dossier est enregistré en tant que dossier de démarrage du Runtime.
Par défaut, le dossier spécifié durant la création du projet est utilisé. Le dossier peut être modifié par la suite.

Remarque : Les données historiques créées par le Runtime doivent être copiées manuellement dans le nouveau dossier, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

WindowsCE

Projet WindowsCE

Actif : les fonctionnalités qui ne sont pas prises en charge dans Windows CE sont masquées dans l'Éditeur (grisées ou invisibles).
Remarque : si vous avez sélectionné l'option Base de données MS Access pour la propriété - dans le module RGM, l'activation de cette propriété ouvre une boîte de dialogue affichant des conseils sur la conversion.

Inactif : toutes les fonctionnalités offertes par la licence de l'Éditeur sont disponibles.
Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

PWValid

Mot de passe - période de validité [j]

Saisissez une période (en jours) définissant la validité d'un mot de passe. Après expiration du délai d'attente, vous devez saisir un nouveau mot de passe.
Minimum : le mot de passe n'expire jamais ; il n'est pas nécessaire de le renouveler. Pour ce paramètre, la valeur 2147483647 est écrite dans la variable du driver du système Days until password expires (Jours avant expiration du mot de passe).
Maximum : 4294967295.
Par défaut : 0.
Attention : Pour les productions conformes aux directives de la FDA, la valeur 0 n'est pas autorisée, car la réglementation de la FDA nécessite la modification cyclique du mot de passe.

Plus de détails dans l'aide en ligne

VT_BOOL

SaveAmlStack

Sauvegarder buffer circulaire de manière spontanée

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Actif : chaque modification des données dans la liste d'alarmes déclenche l'enregistrement des données (alarm.bin).
Remarque : dans ce cas, la totalité de la mémoire circulaire est enregistrée à chaque enregistrement. Ceci peut exercer une charge significative sur le système, particulièrement dans le cas des lecteurs Flash.
Inactif : les données de la liste d'alarmes (alarm.bin) sont uniquement enregistrées lors de l'arrêt du Runtime ou de l'exécution de la fonction d'enregistrement de la mémoire circulaire des listes AML et CEL. Cette option est recommandée en cas de baisse des performances. Les données historiques (*.aml) peuvent être enregistrées indépendamment à chaque modification de la valeur.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

SaveCelStack

Sauvegarder buffer circulaire de manière spontanée

Actif : chaque modification des données de la liste chronologique d'événements déclenche l'enregistrement des données (cel.bin).
Remarque : dans ce cas, la totalité de la mémoire circulaire est enregistrée à chaque enregistrement. Ceci peut exercer une charge significative sur le système, particulièrement dans le cas des lecteurs Flash.
Inactif : les données de la liste chronologique d'événements (cel.bin) sont uniquement enregistrées lors de l'arrêt du Runtime ou de l'exécution de la fonction d'enregistrement de la mémoire circulaire des listes AML et CEL. Cette option est recommandée en cas de baisse des performances. Les données historiques (*.cel) peuvent être enregistrées indépendamment à chaque modification de la valeur.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

TempLogin

Login temporaire actif

Actif : si un utilisateur n'est pas connecté et tente d'actionner un élément nécessitant une autorisation utilisateur, il doit saisir ses nom d'utilisateur et mot de passe.Inactif : L'utilisateur est automatiquement déconnecté immédiatement après l'opération
Inactif : si un utilisateur n'est pas connecté et tente d'actionner un élément nécessitant une autorisation utilisateur, il reçoit un message indiquant qu'il ne dispose pas de l'autorisation requise.
Par défaut : active.

Remarque : Vous pouvez définir la position et la taille du masque de connexion dans le fichier zenon6.ini, dans la section [Befehlsgabe] Position =.

Plus de détails dans l'aide en ligne

VT_UI2

UserTries

Nb max d'erreurs utilisateur

Nombre de saisies incorrectes du mot de passe d'un utilisateur.
Le système est bloqué si ce nombre est dépassé. À l'exception des administrateurs, plus aucun utilisateur ne peut se connecter. Le système est automatiquement déverrouillé lorsqu'un administrateur se connecte. Une entrée correspondante est créée dans la liste chronologique d'événements (CEL). Toute modification de cette valeur ne prend effet dans le Runtime qu'après un redémarrage.
Minimum : 0
Maximum : 65535
Par défaut : 3

Plus de détails dans l'aide en ligne

VT_UI2

PasswordTries

Nb max d'erreurs mot de passe

Nombre de saisies incorrectes du mot de passe.
L'utilisateur correspondant est bloqué si ce nombre est dépassé. Une entrée correspondante est créée dans la liste chronologique d'événements (CEL). Seul un administrateur peut le débloquer.
Minimum : 0.
Maximum : 65535.
Par défaut : 3.

Plus de détails dans l'aide en ligne

VT_BOOL

AlarmLongDynLimits

Textes de limite dynamiques longs pour les alarmes

Détermine si le champ de commentaires des textes de limite dynamiques est disponible. La limite dynamique vous permet d'insérer les valeurs actuelles d'autres variables dans le texte de limite d'une variable.
Actif : Le contenu dynamique sera conservé dans un fichier au format de fichier D*.AML, qui sera conservé en plus du fichier A*.AML. Le champ de commentaires peut donc être utilisé pour les commentaires. Les textes de limite dynamiques peuvent comporter une longueur maximale de 254 caractères.
Inactif : le champ de commentaires est utilisé pour les textes de limite dynamiques et n'est donc pas disponible pour les commentaires. Longueur maximale : 80 caractères.
Par défaut : inactive.

Plus de détails dans l'aide en ligne

VT_UI4

ArciveOverPeriod

Evacuation d'archive [h]

L'heure désigne les heures de traitement de l'erreur.

Si une erreur est détectée lors du transfert d'une archive, une entrée est créée dans la liste chronologique d'événements après la période définie.

Si un fichier ARX ne peut pas être écrit, il est renommé en fichier .ar_ et le fichier suivant est utilisé.
Par défaut : 12

Plus de détails dans l'aide en ligne

VT_BOOL

CELLongDynLimits

Textes de limite dynamiques longs pour les événements

Détermine si le champ de commentaires des textes de limite dynamiques est disponible. La limite dynamique vous permet d'insérer les valeurs actuelles d'autres variables dans le texte de limite d'une variable.

Actif : Les contenus dynamiques sont stockés dans un fichier au format de fichier D*.CEL. Il est conservé avec le fichier C*.CEL. Le champ peut être utilisé pour la saisie de commentaires. Les textes de limite dynamiques peuvent comporter une longueur maximale de 254 caractères.

Inactif : le champ de commentaires est utilisé pour les textes de limite dynamiques et n'est donc pas disponible pour les commentaires. Longueur maximale : 80 caractères.
Par défaut : inactive.

Plus de détails dans l'aide en ligne

VT_I2

CELTextLen

Longueur texte statique pour les événements

Longueur en caractères du texte de limite statique dans la liste chronologique d'événements.

Définissez le nombre maximal de caractères que peut contenir le texte de limite statique dans la liste chronologique d'événements. Les valeurs minimum et maximum s'appliquent également à VBA/VSTA.

Minimum : 127

Maximum : 1023

Par défaut : 127

Restriction : lors de l'exportation au format dBase, la longueur est limitée à 256 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

Active

Données disque dur (HDD) actives

Actif : Les données de disque dur sont enregistrées.
Inactif : Les données de disque dur ne sont pas enregistrées.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

FillData

Stockage (buffer) des données

Actif : un nombre fixe de variables internes du système est stocké en mémoire et enregistré dans le bloc.
Inactif : chaque fois qu'une valeur arrive, elle est enregistrée.
Par défaut : active.

Calcul : chaque kème durée de cycle est enregistrée. k est le plus grand diviseur entier des valeurs de disque dur devant être enregistrées, et dont la valeur est inférieure à 84.
Exemple : nombre de valeurs 300 -> effectue un enregistrement toutes les 75 valeurs.

Plus de détails dans l'aide en ligne

VT_I2

LockedButtonStyle

Boutons verrouillés

Définit, dans le Runtime, l'apparence des boutons verrouillés par un verrouillage. Dans le Runtime, cet élément est associé à la propriété Boutons protégés (gestion d'utilisateurs) pour autoriser l'utilisation des touches.

Formats possibles :

  • Grisé
  • Normal
  • Invisible

Par défaut : Normal

Cette propriété agit indépendamment de la propriété Identification graphique active. Un bouton grisé peut, par exemple, également afficher un symbole de cadenas.

Plus de détails dans l'aide en ligne.

VT_UI4

MaxPrintJobs

Nbre max de travaux d'impression

Nombre maximum de documents à imprimer dans le gestionnaire d'impression de Windows. Une entrée est effectuée dans la liste chronologique d'événements (CEL) en cas de dépassement de ce nombre.
Minimum : 0.
Maximum : 65535.
Par défaut : 90.

Plus de détails dans l'aide en ligne

VT_UI1

DataSource

-

Sélection dans une liste déroulante de l'emplacement de stockage souhaité pour les fichiers du Gestionnaire de groupes de recettes :
Base de données MS Access : Base de données MS Access. Non adapté à Windows CE.
fichiers binaires (compatibles CE) : permet d'utiliser le module RGM sur un PC et sous Windows CE.

Par défaut : fichiers binaires (compatibles CE)

Remarque : Il est impossible de convertir les données à un stade ultérieur.

Plus de détails dans l'aide en ligne

VT_BOOL

ReportFont

Police de caractères pour la table de recette

Permet de définir la police de caractères des synoptiques du type Groupes de recettes. La police de caractères été spécifiée dans les paramètres de la propriété Police est utilisée. Hormis cela, ce paramètre n'a aucune incidence.

Si une table définie par l'utilisateur (créée à l'aide du générateur de rapports) est utilisée, les polices de caractères définies dans le rapport sont utilisées.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

VT_BOOL

ActionOK

Export de données

Actif : Un message est affiché dans le Runtime si l'exportation des données se déroule correctement.
Inactif : Le message de réussite n'est pas affiché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

ZT_SCHRIFT

RtDlgFont

Police de boite de dialogue

Disponible uniquement si la propriété Police de boite de dialogue ajustable est active.

Définit les étapes devant être utilisées pour les boîtes de dialogue et les paramètres à pages multiples dans le Runtime. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de polices de caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

EnRtDlgFont

Police de boite de dialogue ajustable

Permet d'afficher les boîtes de dialogue et les paramètres à pages multiples avec une police de caractères paramétrable dans le Runtime. Vous sélectionnez les polices de caractères pouvant être utilisées à l'aide de la propriété Police de boite de dialogue.

Active : la police de caractères que vous avez sélectionnée dans la propriété Police de boite de dialogue est affichée dans le Runtime.

Inactif : la police de caractères est utilisée pour les boîtes de dialogue et les paramètres à pages multiples dans le Runtime.

Par défaut : inactive.

Plus de détails dans l'aide en ligne

VT_BOOL

FileReplace

Ecrasement de fichiers

Actif : Si un fichier est remplacé durant l'exportation de données, un message est affiché dans le Runtime.
Inactif : Le message n'est pas illustré.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

InsufficientLevel

Droits insuffisants

Disponible uniquement si la propriété Saisie erronée est active.

Actif : Si l'utilisateur exécute, dans le Runtime, une fonction nécessitant un niveau d'autorisation auquel l'utilisateur connecté ne satisfait pas, une fenêtre affichant un message d'erreur est affichée.

Inactive : Aucun message d'erreur n'est affiché si l'utilisateur n'est pas autorisé à effectuer l'opération. La variable de driver du système Aucune autorisation pour l’exécution de la fonction est néanmoins définie, et peut être évaluée par le biais de la valeur limite ou d'une matrice de réaction.

Plus de détails dans l'aide en ligne

VT_BOOL

InvalidInput

Saisie erronée

Actif : en cas de saisie erronée de l'utilisateur (écriture de valeur prescrite, connexion, etc.), les messages correspondants sont affichés dans le Runtime.
Inactif : les messages sont supprimés. Dans ce cas, les variables de bit sont disponibles dans le driver de système, vous permettant de réagir à une saisie erronée en lisant une fonction et une valeur limite.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

BackPictCount

Nbre de syno pour fonction 'Retour au précédent'

Nombre de synoptiques devant être saisis dans la liste pour la fonction "Synoptique : retour au précédent".
Remarque : Chaque appel de la fonction Appel de synoptique compte, même si l'appel de synoptique ne se déroule pas directement, mais est saisi dans les propriétés du synoptique sous la forme Fonction à l'ouverture.
Minimum : 0.
Maximum : 65535.
Par défaut : 10.

Plus de détails dans l'aide en ligne

VT_BOOL

SysKeyLock

Bloquer les touches système

Actif : Les combinaisons de touches système telles que Alt+Échap, Ctrl+Échap, Alt+Tabulation, Alt-F4 etc. sont verrouillées dans le Runtime.
Inactif : les combinaisons de touches système ne sont pas verrouillées.
Par défaut : Inactive

Plus de détails dans l'aide en ligne

Remarque : d'autres touches système peuvent être bloquées dans le Runtime à l'aide du programme Keyblock Runtime Start.

VT_BOOL

FileWatcher

Indexer les fichiers runtime

Actif : Une mémoire cache du dossier des fichiers du Runtime est activée pour réduire les temps d'accès.
Inactif : La mémoire cache du dossier n'est pas utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

ZT_COLOR

FocusLineColor

Couleur de la ligne de focus

Définissez la couleur du cadre qui identifie l'objet sélectionné dans le Runtime. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

VT_UI2

FocusLineWidth

Epaisseur ligne de focus

Définissez la largeur de trait du cadre qui identifie l'objet sélectionné dans le Runtime.

Par défaut : 3 pixels

Plus de détails dans l'aide en ligne.

VT_UI1

UseActiveDirectory

Accès à Active Directory

Spécifiez si vous souhaitez utiliser Active Directory, ADAM ou aucun des deux. Les options suivantes sont disponibles :

- ADAM - Active Directory Application Mode : vous utilisez ADAM ou AD LDS. Assurez-vous d'avoir défini les paramètres correspondants pour les propriétés Connexion ADAM/AD-LDS, Identification utilisateur ADAM/AD-LDS et Mot de passe ADAM/AD-LDS.

- Oui : vous utilisez Active Directory.

- Non : vous n'accédez pas aux utilisateurs d'ADAM/AD LDS ou d'Active Directory. Les utilisateurs dans zenon sont totalement indépendants des utilisateurs Windows.

Par défaut : Non

Plus de détails dans l'aide en ligne

ZT_FILE

LockLockBitmap

Fichier graphique pour verrouillage fonctionnel

Disponible uniquement si la propriété Identification graphique active est active.

Sélection du fichier graphique affichant un élément verrouillé. Le fichier doit avoir été créé dans le gestionnaire de projet, dans le nœud Fichier/Graphiques, sous la forme d'un fichier bitmap.

Format autorisé : 16 x 16 pixels ; les fichiers bitmap de taille supérieure seront compressés lors de l'affichage.

Plus de détails dans l'aide en ligne.

ZT_FILE

LockUserBitmap

Fichier graphique pour verrouillage selon login

Disponible uniquement si la propriété Identification graphique active est active.

Sélection du fichier graphique affichant un élément verrouillé. Le fichier doit avoir été créé dans le gestionnaire de projet, dans le nœud Fichier/Graphiques, sous la forme d'un fichier bitmap.

Format autorisé : 16 x 16 pixels ; les fichiers bitmap de taille supérieure seront compressés lors de l'affichage.

Plus de détails dans l'aide en ligne.

ZT_COLOR

LockFillColor

Couleur de remplissage du symbole cadenas

Disponible uniquement si la propriété Identification graphique active est active.
Détermine la couleur de remplissage du symbole représentant un verrou. Détermine la couleur de trait du symbole représentant un verrou. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne

ZT_COLOR

LockLineColor

Couleur de ligne du symbole cadenas

Disponible uniquement si la propriété Identification graphique active est active.

Détermine la couleur de trait du symbole représentant un verrou. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne

VT_I2

ALCMarkerLine

Epaisseur de ligne du marqueur écran

Définit la largeur des lignes des marqueurs de synoptique, en pixels.

Par défaut : 3 pixels

Plus de détails dans l'aide en ligne.

VT_I2

ALCMarkerSize

Taille marqueur écran

Définit la largeur des marqueurs de synoptique, en pixels.

Par défaut : 20 pixels

Plus de détails dans l'aide en ligne.

VT_I2

ALCMarkerType

Affiche le type de marqueur écran

Affichage de formes pour les marqueurs de synoptique. Les choix disponibles sont les suivants :

  • Triangle
  • Cercle
  • Carré
  • Croix

Par défaut : Triangle

Plus de détails dans l'aide en ligne.

VT_BOOL

InputVisualisationPenActive

Actif

Actif : Les propriétés de fonctionnement tactile avec utilisation d'un stylet sont disponibles.

Plus de détails dans l'aide en ligne.

VT_BOOL

InputVisualisationPenBarrel

-

Actif : L'option Bouton du stylet est disponible en cas de fonctionnement tactile avec utilisation d'un stylet.

Plus de détails dans l'aide en ligne.

VT_BOOL

InputVisualisationPenPenDoubleTap

-

Actif : L'option Double appui est disponible en cas de fonctionnement tactile avec utilisation d'un stylet.

Plus de détails dans l'aide en ligne.

VT_BOOL

InputVisualisationPenPressAndHold

-

Actif : L'option Appui long est disponible en cas de fonctionnement tactile avec utilisation d'un stylet.

Plus de détails dans l'aide en ligne.

VT_BOOL

InputVisualisationPenRightTap

-

Actif : L'option Appuyer et toucher est disponible en cas de fonctionnement tactile avec utilisation d'un stylet.

Plus de détails dans l'aide en ligne.

VT_BOOL

InputVisualisationPenTap

-

Actif : L'option Appui bref est disponible en cas de fonctionnement tactile avec utilisation d'un stylet.

Plus de détails dans l'aide en ligne.

VT_BOOL

InputVisualisationTouchActive

Actif

Actif : Les propriétés de fonctionnement tactile avec utilisation aux doigts sont disponibles.

Plus de détails dans l'aide en ligne.

VT_BOOL

InputVisualisationTouchContact

-

Actif : L'option Contact est disponible en cas de fonctionnement tactile avec utilisation d'un stylet.

Plus de détails dans l'aide en ligne.

VT_BOOL

InputVisualisationTouchDoubleTap

-

Actif : L'option Double appui est disponible en cas de fonctionnement tactile aux doigts.

Plus de détails dans l'aide en ligne.

VT_BOOL

InputVisualisationTouchPressAndHold

-

Actif : L'option Appui long est disponible en cas de fonctionnement tactile aux doigts.

Plus de détails dans l'aide en ligne.

VT_BOOL

InputVisualisationTouchRightTap

-

Actif : L'option Appuyer et toucher est disponible en cas de fonctionnement tactile aux doigts.

Plus de détails dans l'aide en ligne.

VT_BOOL

InputVisualisationTouchTap

-

Actif : L'option Appui bref est disponible en cas de fonctionnement tactile aux doigts.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE

LockVar

Vérouillage fonctionnement

Permet de définir un bloc fonctionnel dans les projets sans réseau, par le biais d'une variable binaire.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Valeur de la réponse :

  • <>0 : Pas d'autorisation fonctionnelle disponible.
  • 0 : Autorisation disponible

Plus de détails dans l'aide en ligne.

VT_UI2

MultitouchMode

Reconnaissance

Sélection de l'interprétation des gestes MultiTouch :

  • Désactivée : désactive les gestes MultiTouch.
  • Windows 7 : Active les gestes pris en charge par Windows 7. Les gestes MultiTouch peuvent donc être utilisés pour agrandir et faire défiler l'affichage dans la vue globale, et les gestes MultiTouch peuvent être mis en œuvre par l'intermédiaire de VSTA.
  • Windows 8 : active les gestes pris en charge par Windows 8. Les gestes MultiTouch peuvent donc facilement être configurés par l'intermédiaire des propriétés de zenon.

Par défaut : Désactivée

Plus de détails dans l'aide en ligne.


CBereich-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Dynproperties -> CBereich-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | AlarmVar | Nbre alarmes actives | Variables qui contient le nombre d'alarmes actives dans ce domaine d'alarmes. Ouvre la boîte de dialogue de sélection de variables. Plus de détails dans l'aide en ligne
ZT_VARIABLE | QuitVar | Nbre alarmes non-acquittées | Variables qui contient le nombre d'alarmes non acquittées dans ce domaine d'alarmes. Ouvre la boîte de dialogue de sélection de variables. Plus de détails dans l'aide en ligne
ZT_VARIABLE | StatusVar | Variable d'état | Le premier bit de cette variable de type SINT (octet) montre s'il y a des alarmes actives dans ce domaine d'alarme. Le deuxième bit de cette variable indique si ce domaine d'alarme comporte des alarmes non acquittées. Plus de détails dans l'aide en ligne
CBereichItem | Items | Lien de classe | Ajoute les variables d'état, le nombre d'alarmes actives et le nombre d'alarmes non acquittées. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Nom du domaine d'alarmes. Plus de détails dans l'aide en ligne
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CGruppe-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Project -> Project-Dynproperties -> CGruppe-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_COLOR

Color

Couleur

Couleur du groupe d'alarmes/d'événements ou de la classe d'alarmes/d'événements.
La couleur de la classe d'alarmes/d'événements peut également être appliquée à la liste.

Plus de détails dans l'aide en ligne

ZT_FUNCTION

Function

Fonction

Nom de la fonction exécutée lorsqu'une alarme de ce groupe/cette classe se déclenche. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de fonctions. Vous pouvez également saisir le nom de la fonction dans la zone de texte.

Plus de détails dans l'aide en ligne

ZT_FILE

Image

Fichier graphique

Sélectionnez un élément graphique pour le du groupe d'alarmes/d'événements ou la classe d'alarmes/d'événements. Cliquez avec le bouton gauche sur le bouton pour ouvrir la boîte de dialogue de sélection de fichiers. Sélectionnez le fichier graphique de votre choix.

Par défaut : aucun fichier

D'autres informations sont disponibles dans l'aide en ligne des groupes d'alarmes/d'événements

D'autres informations sont disponibles dans l'aide en ligne des classes d'alarmes/d'événements

VT_BSTR

Name

Nom

Nom du groupe d'alarmes/d'événements ou de la classe d'alarmes/d'événements.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

StatusVar

Variable d'état

Nom de la variable dont la valeur indique si le groupe/la classe d'alarmes est actif (ou active), ou si les alarmes de ce groupe/cette classe d'alarmes sont ignorées à cet instant.

Vous pouvez uniquement sélectionner des variables de type binaire. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom de la variable dans la zone de texte.

Valeur de variable la = 1 : le groupe/la classe est actif/active.

Les groupes d'alarmes/d'événements ou les classes d'alarmes/d'événements peuvent être activés par le biais de la fonction Inscrire/désinscrire groupe d'alarmes/d'événements.

Inscrire/désinscrire groupe d'alarmes/d'événements

Cette fonction active ou désactive le lien vers l'automate pour le groupe d'alarmes/d'événements sélectionné.

Plus de détails dans l'aide en ligne

Plus de détails dans l'aide en ligne

VT_BSTR

Description

Description

Description du groupe d'alarmes/d'événements ou de la classe d'alarmes/d'événements.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.


Projects

Manuels -> Interfaces de programmation -> Modèles d'objet -> Projects

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The collection Projects contains all projects loaded in the Runtime. The single projects of the Runtime are available as objects Project in VBA.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />It is not possible to create an object of this type with the attribute New.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub GetProjects()
Dim i As Integer
'enumerate all projects
'"Application" instead of "ApplicationED" at runtime!
For i = 0 To ApplicationED.Projects.Count - 1
Debug.Print ApplicationED.Projects.Item(i).Name & _
ApplicationED.Projects.Item(i).DynProperties("GUID")
Next i
End Sub

Sub CreateProject()
'create a new project
ApplicationED.Projects.Create
End Sub


Projects-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
long | CountHidden | - | not used | not used | yes | yes
IApplication | Parent | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


CountHidden

Manuels -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Properties -> CountHidden

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CountHidden() As long

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Application

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Projects-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Create | Shows the dialog to create a new project and/or workspace. | available | not used | yes | yes
VARIANT_BOOL | CreateEx | Creates a new project without dialog. | available | not used | yes | yes
IProject | Item | - | available | not used | yes | yes
IProject | ItemHidden | - | not used | not used | yes | yes


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Opens the dialog to create a new project.

Datatype

Create() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateEx

Manuels -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Methods -> CreateEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateEx(String bsName, String bsPath, Boolean bGlobal, Boolean bMultiUser, String bsServer) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object Project from the collection, identified by the parameter vID.The parameter vID can have two values:- Index: The access with the index is often used in combination with the property Count to find an object Project by its position in the list. For „simple“ (not hierarchical) projects the index 0 always is the current project.- Project name: The project can be found by its name.

Datatype

Item(VARIANT vID) As Project

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemHidden

Manuels -> Interfaces de programmation -> Modèles d'objet -> Projects -> Projects-Methods -> ItemHidden

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ItemHidden(VARIANT vID) As Project

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


PropParam

Manuels -> Interfaces de programmation -> Modèles d'objet -> PropParam

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

PropParam

Possibility to determine PropertyOptions and read,write status for properties.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


PropParam-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> PropParam -> PropParam-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Enabled | Returns whether or not the property is enabled. | read only | read only | yes | yes
long | OptionCount | Returns the amount of options. | read only | read only | yes | yes


Enabled

Manuels -> Interfaces de programmation -> Modèles d'objet -> PropParam -> PropParam-Properties -> Enabled

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a value that determines if the property is usable or not.

Datatype

Enabled() As VARIANT_BOOL

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


OptionCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> PropParam -> PropParam-Properties -> OptionCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the amount of available Options, in case there are no Options this value will be: 0.

Datatype

OptionCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PropParam-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> PropParam -> PropParam-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | OptionText | Returns the text of the option at the given index | read only | read only | yes | yes
VARIANT | OptionValue | Returns the value of the option at the given index | read only | read only | yes | yes


OptionText

Manuels -> Interfaces de programmation -> Modèles d'objet -> PropParam -> PropParam-Methods -> OptionText

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the text of Option lIndex

Datatype

OptionText(long lIndex) As BSTR

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

Dim lIndex As Long

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


OptionValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> PropParam -> PropParam-Methods -> OptionValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the value of Option lIndex.

Datatype

OptionValue(long lIndex) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

long lIndex

VB.NET

Dim lIndex As Long

VBA

Dim lIndex As Long

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


Recipe

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Recipes serve for the assembling of input lists for setpoint values and commands which in online operation are executed with a function call.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_Recipe(ByRef zRecipes As Recipes)
'Declarations
Dim zRecipe As recipe
Dim zVariable As Variable
Dim i As Integer

'Initialization of zRecipe with the first element in the "zRecipes" object
Set zRecipe = zRecipes.Item(0)
'Initialization of zVariable with the first element in the "Variables" object
Set zVariable = thisProject.Variables.Item(0)

'Create new "RecipeValue" object
'Assign zVariable with a default value of 50
zRecipe.Create zVariable.PvID, 50

'For every "RecipeValue" object in zRecipe,...
For i = 0 To zRecipe.Count - 1
'... output the name
Debug.Print "Name: " & zRecipe.Item(i).ItemVariable.Name
'and value
Debug.Print "Value: " & zRecipe.Item(i).Value
Next i

'Delete the former created "RecipeValue" object
zRecipe.Delete (zVariable.PvID)

End Sub


Recipe-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
BSTR | Name | - | available | available | yes | yes
IRecipes | Parent | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the name of the recipe.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Recipes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Recipe-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRecipeValue | Create | Creates and returns a new Object | available | available | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | available | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
VARIANT_BOOL | ExecuteValues | - | not used | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | available | yes | yes
VARIANT_BOOL | ExportXML | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | ImportXML | Imports the selected XML file | available | not used | yes | yes
IRecipeValue | Item | Returns a object at a position or by a specified key | available | not used | yes | yes
VARIANT_BOOL | ReadValues | - | not used | available | yes | yes
VARIANT_BOOL | Save | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new "RecipeValue" object.

Datatype

Create(long PvID,double dfValue,[optional]VARIANT vProjekt) As RecipeValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

PvID from the "Variable" object that should be assigned.

Default value of the assigned variable.

Defines the project, where the "RecipeValue" object should be created. If this value is not specified, the current project will be selected.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

PvID As Long

dfValue As double

vProjekt As [optional]Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateRecipeValue(ByRef zRecipe As recipe)
'Declarations
Dim zVariable As Variable
Dim i As Integer

'Initialization of zVariable with the first "Variable" object within the "Variables" object
Set zVariable = thisProject.Variables.Item(0)

'Create new "RecipeValue" object within zRecipe
'zVariable.PvID assigns zVariable to the recipe
'22 will be the default value of zVariable
zRecipe.Create zVariable.PvID, 22

'For every "RecipeValue" object within zRecipe...
For i = 0 To zRecipe.Count - 1
'...output the value
Debug.Print i + 1 & ". value: " & zRecipe.Item(i).Value
Next i

End Sub


Delete

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes a "RecipeValue" object from the collection by the PvID of the "Variable" object that was assigned to the "RecipeValue" object.

Datatype

Delete(long PvID,[optional]VARIANT vProjekt) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

PvID from the "Variable" object that should be deleted.

Defines the project, where the "RecipeValue" object should be deleted. If this value is not specified the current project will be selected.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

PvID As Long

vProjekt As [optional]Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub DeleteRecipeValue(ByRef zRecipe As recipe)

'Declarations
Dim zVariable As Variable
Dim i As Integer

'Initialization of zVariable with the variable that is named "zenOn_Test"
Set zVariable = thisProject.Variables.Item("zenOn_Test")

'Deletes the variable "zenOn_Test" from the recipe
zRecipe.Delete zVariable.PvID

'For every "RecipeValue" object within zRecipe...
For i = 0 To zRecipe.Count - 1
'...output the value
Debug.Print i + 1 & ". value: " & zRecipe.Item(i).Value
Next i

End Sub


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExecuteValues

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> ExecuteValues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Overwrites the current values of the variables in the recipe with the recipe values.

Datatype

ExecuteValues() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Exports the recipe into a textfile.

Datatype

Export(String strFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExportXML

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> ExportXML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

ExportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


ImportXML

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> ImportXML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be merged.

Datatype

ImportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a "RecipeValue"object at a position or by a specified key.

Datatype

Item(VARIANT vID) As RecipeValue

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ReadValues

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> ReadValues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Reads the current values.

Datatype

ReadValues() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Saves the current values as the new recipe values.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Recipe-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

Recipe-Dynproperties


Recipe

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipe -> Recipe-Dynproperties -> Recipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | FilterRT | - | TRUE= Modèle par défautFALSE= Aucun modèle par défaut
VT_BSTR | RecipeName | - | Largeur du modèle.
VT_I2 | Position | - | Description du modèle.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_UI2 | PasswordLevel | Groupe autorisation | Niveaux d'autorisation requis pour modifier la recette dans le Runtime. Un utilisateur peut uniquement modifier les valeurs de la recette (lecture, édition manuelle, suppression) si elles sont conformes au niveau d'autorisation du mot de passe défini. Minimum : 0. Maximum : 127. Par défaut : 0. Plus de détails dans l'aide en ligne
VT_BSTR | Recipe-DynpropertiesName | Nom | Nom unique de la recette. Par défaut : Recette_x (x représente un nombre défini de manière consécutive). Plus de détails dans l'aide en ligne
VT_BOOL | SyncWrite | Ecrire de façon synchrone | Actif : L'exécution d'une fonction avec cette recette est uniquement interrompue si une réponse positive résulte de l'action d'écriture ou si la période d'attente définie a expiré. Dans les scripts, ceci permet de s'assurer que la fonction suivante n'est pas exécutée tant que celle-ci n'est pas terminée. La confirmation peut aussi être évaluée par le bit d'état WR-SUC. Inactif : N'attend pas la confirmation d'écriture. (Par défaut) Inactif : Plus de détails dans l'aide en ligne
VT_UI4 | SyncWriteTimeout | Timeout [ms] | Un délai d'attente peut être saisi ici si la propriété Écriture synchrone a été activée. Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante : 3000+(100*nombre de points de données) Minimum : 0. Maximum : 4294967295. Par défaut : 0. Plus de détails dans l'aide en ligne


Recipes

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object manages "Recipe" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_Recipes()
'Declarations
Dim zWork As Project
Dim zRecipes As Recipes
Dim zRecipe As recipe
Dim zRecipeValue As RecipeValue
Dim zVariable As Variable

'Initialization of zWork with current project
Set zWork = thisProject
'Initialization of zRecipes with the recipe list of the project
Set zRecipes = zWork.Recipes
'Initialization of zRecipe with the new "Recipe" object
Set zRecipe = zRecipes.Create("zenOn_Recipe")
'Initialization of zVariable with the first element in the "Variables" object
Set zVariable = zWork.Variables.Item(0)
'Initialization of zRecipeValue with the new assigned variable. Default-Value = 5
Set zRecipeValue = zRecipe.Create(zVariable.PvID, 5)

'Deletes the recipe "zenOn_Recipe"
zRecipes.Delete (zRecipe.Name)

End Sub


Recipes-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IProject | Parent | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Recipes-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRecipe | Create | Creates and returns a new Object | available | available | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | available | yes | yes
VARIANT_BOOL | ExportXML | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | not used | available | yes | yes
VARIANT_BOOL | ImportXML | Imports the selected XML file | available | not used | yes | yes
IRecipe | Item | Returns a object at a position or by a specified key | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | available | yes | yes


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new "Recipe" object by name as string parameter.

Datatype

Create(String strName) As Recipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Name of the new "Recipe" object as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateNewRecipe()
'Declarations
Dim zRecipes As Recipes
Dim zRecipe As recipe

'Initialization of zRecipes with the recipes list of the current project
Set zRecipes = thisProject.Recipes
'Initialization of zRecipe with the new "Recipe" object
Set zRecipe = zRecipes.Create("zenOn_Recipe")

End Sub


Delete

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes a "Recipe" object from the collection.

Datatype

Delete(String strName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Name of the former created "Recipe" object as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteRecipe()
'Declarations
Dim zRecipes As Recipes

'Initialization of zRecipes with the recipes list of the current project
Set zRecipes = thisProject.Recipes

'Deletes the recipe with the name "zenOn_Recipe"
zRecipes.Delete ("zenOn_Recipe")
End Sub


ExportXML

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> ExportXML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file.

Datatype

ExportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Imports a recipe from a textfile.

Datatype

Import(String strFileName) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ImportXML

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> ImportXML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be merged.

Datatype

ImportXML(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a "Recipe" object at a position or by a specified key.

Datatype

Item(VARIANT vID) As Recipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> Recipes -> Recipes-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport (VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> RecipeValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "RecipeValue" object is utilized by the "Recipe" object, in order to define the characteristics.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_RecipeValue(ByRef zRecipe As recipe)
'Declarations
Dim zRecipeValue As RecipeValue
Dim zVariable As Variable

'Initialization of zVariable with the first element in the "Variables" object
Set zVariable = thisProject.Variables.Item(0)

'Initialization of zRecipeValue by creating a new "RecipeValue" object
'Assigns zVariable with a default value of 50
Set zRecipeValue = zRecipe.Create(zVariable.PvID, 50)

'Delete the former created "RecipeValue" object
zRecipe.Delete (zVariable.PvID)
End Sub


RecipeValue-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRecipe | Parent | - | read only | read only | yes | yes
long | Type | - | read only | read only | yes | yes
double | Value | - | available | available | yes | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Recipe

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the type of the "RecipeValue" object.

Datatype

Type() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Value

Manuels -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Properties -> Value

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the value of the "RecipeValue" object.

Datatype

Value() As double

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RecipeValue-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IVariable | ItemVariable | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Methods -> ItemVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets, sets or modifies the assigend "Variable" object. For further information, please have a look at the "Variable" object part.

Datatype

ItemVariable() As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeValue-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

Rezeptur Sollwert


Rezeptur Sollwert

Manuels -> Interfaces de programmation -> Modèles d'objet -> RecipeValue -> RecipeValue-Dynproperties -> Rezeptur Sollwert

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | VarName | Variable | Variable
VT_BSTR | VarTagName | Identification | Identification
VT_BSTR | VarUnit | Unité | Unité
VT_R8 | Minimum | Minimum | Minimum
VT_R8 | SetValue | Valeur prescrite | Valeur prescrite
VT_R8 | Maximum | Maximum | Maximum


Rema

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Reaction Matrices are the most sophisticated way to deal with stati.Here single stati can be evaluated and cause alarms. Basically a status can be treated like a value. As with a value it is also possible with a status to cause certain actions.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_CreateAnalogRema()
'*************** Use this code in the editor ***************

'Declaration zRema
Dim zRema As Rema

'Initialize zRema by creating a new analog rema with the name "zenOn_AnalogRemaExample"
Set zRema = MyWorkspace.ActiveDocument.Remas.Create(tpAnalog, "zenOn_AnalogRemaExample")

'Create a new state...
zRema.CreateState

'... and intialize the state by handing the rema over to the initialization example for state objects
Call zenOn_SetStateForAnalogRema(zRema)

End Sub

Private Sub zenOn_SetStateForAnalogRema(ByRef zRema As Rema)

'Declaration zState
Dim zState As State

'Intialize zState with the first state inside the passed analog rema
Set zState = zRema.StateItem(1)

'Sets the comparision mode to "greater"
zState.CheckArt = 1

'This definition constitutes the threshold value, where the alarm will be triggered
zState.ReaAlarm = 11

'This definition means that the system will be set back to its normal configuration, when "ReaAlarm" goes below 10 (hysteresis)
zState.Hysterese = 1

'User message that will be displayed when the event occurs
zState.Text = "Limit is reached!"

'Moreover, the first defined function will be called when the event occurs
zState.Function = MyWorkspace.ActiveDocument.RtFunctions.Item(0).ID
'The function will only be executed when the tpBitFkt is set. Additionaly the tpBitAlarm flag is set too.
zState.Status = tpBitFkt Or tpBitAlarm

End Sub


Rema-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | IsAlarm | - | read only | read only | yes | yes
VARIANT_BOOL | IsBTB | - | read only | read only | yes | yes
VARIANT_BOOL | IsFunction | - | read only | read only | yes | yes
VARIANT_BOOL | IsFunctionClient | - | read only | read only | yes | yes
VARIANT_BOOL | IsFunctionServer | - | read only | read only | yes | yes
VARIANT_BOOL | IsStateBlinking | - | read only | read only | yes | yes
BSTR | Name | - | available | read only | yes | yes
IRemas | Parent | - | read only | read only | yes | yes
long | StateCount | - | read only | read only | yes | yes
tpStateBit | Status | - | read only | read only | yes | yes
tpRema | Type | - | read only | read only | yes | yes


IsAlarm

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> IsAlarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

At least one status of the reaction matrix is defined as an alarm.

Datatype

IsAlarm() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsBTB

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> IsBTB

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

At least one status of the reaction matrix is also logged in the Chronologic Event List (CEL).

Datatype

IsBTB() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsFunction

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> IsFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

At least one status of the reaction matrix is linked to a function.

Datatype

IsFunction() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsFunctionClient

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> IsFunctionClient

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

At least one status of the reaction matrix is linked to a function that runs on the client.

Datatype

IsFunctionClient() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsFunctionServer

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> IsFunctionServer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

At least one status of the reaction matrix is linked to a function that runs on the server.

Datatype

IsFunctionServer() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsStateBlinking

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> IsStateBlinking

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

At least for one status of the reaction matrix the property "flashing" is activated.

Datatype

IsStateBlinking() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the name of the Reaction Matrix.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Remas

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


StateCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> StateCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the amount of states within the Reaction Matrix.

Datatype

StateCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Status() As tpStateBit

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Type() As tpRema

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Rema-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty |  | available | not used | yes | yes
IState | CreateState | - | available | not used | yes | yes
void | DeleteState | - | available | not used | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
long | GetColor | - | available | read only | yes | yes
long | GetDelayZeit |  | available | available | yes | yes
tpStateBit | GetStatus | - | available | available | yes | yes
BSTR | GetText | - | available | available | yes | yes
VARIANT_BOOL | StateIsAlarm | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsBTB | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsFunction | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsFunctionClient | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsFunctionServer | - | read only | read only | yes | yes
VARIANT_BOOL | StateIsStateBlinking | - | read only | read only | yes | yes
IState | StateItem | - | available | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


CreateDynProperty

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This Method is able to create SubItems of the actual object, the Parameter has to be the Name of the SubItem to be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Subitem as String

Example: "State"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Base()
Dim zProject As Project
Dim zRema As Rema
Dim bResult As Boolean

'get Project and Rema object
Set zProject = MyWorkspace.ActiveDocument
Set zRema = zProject.Remas.Item("MyRema")

'create SubItem States....
bResult = CreateSubItem(zRema, "State")

If bResult Then
MsgBox "SubItem 'State' was created successfully!"
Else
MsgBox "SubItem 'State' already exists or could not be created!"
End If

End Sub

Function CreateSubItem(zenOnObject As Object, strDynProperty As String) As Boolean
Dim nCount As Integer
'get count of given DynProperty
nCount = zenOnObject.DynProperties(strDynProperty & "[-1]")
If nCount = 0 Then '0 = DynProperty-SubItem not found
'create SubItem with given parameters...
CreateSubItem = zenOnObject.CreateDynProperty(strDynProperty)
Exit Function
End If
CreateSubItem = False
End Function


CreateState

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> CreateState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new state within the Reaction matrix.

Datatype

CreateState() As State

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteState

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> DeleteState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes an existing state within the Reaction Matrix.

Datatype

DeleteState(VARIANT vPos) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetColor

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> GetColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the Color of the corresponding state object.

Datatype

GetColor(long iIndex) As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetDelayZeit

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> GetDelayZeit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

HIDDEN

Datatype

GetDelayZeit(long iIndex) As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetStatus

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> GetStatus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the "Status" flags from the corresponding state object. For further information have a look at the "Status" description in the "State" object part.

Datatype

GetStatus(long iIndex) As tpStateBit

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetText

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> GetText

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the set text that will be displayed, if the defined limit is reached.

Datatype

GetText(long iIndex) As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsAlarm

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> StateIsAlarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitAlarm" is set TRUE.

Datatype

StateIsAlarm(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsBTB

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> StateIsBTB

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitBtb" is set TRUE.

Datatype

StateIsBTB(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsFunction

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> StateIsFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitFkt" is set TRUE.

Datatype

StateIsFunction(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsFunctionClient

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> StateIsFunctionClient

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitFktClient" is set TRUE.

Datatype

StateIsFunctionClient(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsFunctionServer

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> StateIsFunctionServer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitFktServer" is set TRUE.

Datatype

StateIsFunctionServer(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateIsStateBlinking

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> StateIsStateBlinking

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns TRUE, if inside the "Status" DWORD of the corresponding "State" object the "tpBitBlink" is set TRUE.

Datatype

StateIsStateBlinking(long iIndex) As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StateItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> Rema -> Rema-Methods -> StateItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a "State" object with the selected state from the Reaction Matrix.

Datatype

StateItem(VARIANT vPos) As State

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Remas

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object manages "Rema" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RemasExample()

'Declarations
Dim zRemas As Remas
Dim zBinRema As Rema
Dim zAnaRema As Rema
Dim i As Integer

'Initialization of zRemas
Set zRemas = MyWorkspace.ActiveDocument.Remas
'Intialization of zBinRema by creating a new binary rema
Set zBinRema = zRemas.Create(tpBinaer, "zenOn_BinaryRema")
'Intialization of zAnaRema by creating a new analog rema
Set zAnaRema = zRemas.Create(tpAnalog, "zenOn_AnalogRema")

'Output some details on the remas
For i = 0 To zRemas.Count - 1
'Display name
Debug.Print "Name: " & zRemas.Item(i).Name
'Show type of Reaction Matrix
Select Case zRemas.Item(i).Type
Case Is = 1
Debug.Print "Type: Binary"
Case Is = 2
Debug.Print "Type: Analog"
Case Is = 3
Debug.Print "Type: MultiBinary"
Case Is = 4
Debug.Print "Type: MultiAnalog"
Case Is = 5
Debug.Print "Type: String"
End Select
Next i

'Delete the binary rema by its position
Debug.Print zRemas.Delete(1)
'Delete the analog rema by its name
Debug.Print zRemas.Delete("zenOn_AnalogRema")

End Sub


Remas-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of remas | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Remas-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
IRema | Create | Creates a new rema (unique name) | available | not used | yes | yes
VARIANT_BOOL | Delete | Delete the given rema | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
IRema | Item | Returns the rema on the given position or name | available | available | yes | yes
IRema | ItemById | Returns the rema with the given id | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Create(tpRema rID, String strName) As Rema

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes an existing Reaction Matrix by its position or by name.

Datatype

Delete(VARIANT vID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will not be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a "Rema" object with the Reaction Matrix at the given position.

Datatype

Item(VARIANT vNamePos) As Rema

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemById

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> ItemById

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a "Rema" object with the Reaction Matrix with the given ID.

Datatype

ItemById(VARIANT vID) As Rema

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport (VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Remas -> Remas-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoteTransport

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateCustomOption()
Dim obRemoteTP As RemoteTransport

Set obRemoteTP = MyWorkspace.ActiveDocument.RemoteTransport
'define basic remote transport settings
obRemoteTP.HidePasswordDialog = True
obRemoteTP.TransportType = tpTCP
obRemoteTP.TcpByIp = False
obRemoteTP.TcpIpName = "COMPUTERNAME"
'create custom options for the remote transport
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(0).Comment = "TEST: Copy - Execute"
obRemoteTP.CustomItem(0).ActionType = tpCopyExecute
obRemoteTP.CustomItem(0).Active = True
obRemoteTP.CustomItem(0).SourcePath = "source"
obRemoteTP.CustomItem(0).TargetPath = "target"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(1).Comment = "TEST: Copy"
obRemoteTP.CustomItem(1).ActionType = tpCopy
obRemoteTP.CustomItem(1).Active = False
obRemoteTP.CustomItem(1).SourcePath = "source1"
obRemoteTP.CustomItem(1).TargetPath = "target1"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(2).Comment = "TEST: Copy - Register"
obRemoteTP.CustomItem(2).ActionType = tpCopyRegister
obRemoteTP.CustomItem(2).Active = True
obRemoteTP.CustomItem(2).SourcePath = "source2"
obRemoteTP.CustomItem(2).TargetPath = "target2"
'save the changes...
obRemoteTP.Save
End Sub


RemoteTransport-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | CustomCount | Returns the amount of custom entries. | available | not used | yes | yes
BSTR | CEFolder | Get/Set the CE folder. | available | not used | yes | yes
VARIANT_BOOL | HidePasswordDialog | Get/Set whether the password dialog is shown. | available | not used | yes | yes
VARIANT_BOOL | IncludeAdditional | Get/Set whether the Additional folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeDrivers | Get/Set whether the Drivers folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeGraphics | Get/Set whether the Graphic folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeHelp | Get/Set whether the Help folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeLists | Get/Set whether the Lists folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeMedia | Get/Set whether the Media folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeReports | Get/Set whether the Reports folder is to be transported. | available | not used | yes | yes
VARIANT_BOOL | IncludeStraton | Get/Set whether the Straton folder is to be transported. | available | not used | yes | yes
BSTR | Password | Get/Set the connection password. | available | not used | yes | yes
BSTR | ProjectBase | Get/Set the project base. | available | not used | yes | yes
BSTR | SerialName | Get/Set the Serial connection address. | available | not used | yes | yes
BSTR | TcpIpName | Get/Set the TCP Name. | available | not used | yes | yes
tpRemoteTransportType | TransportType | Get/Set the connection type. | available | not used | yes | yes
VARIANT_BOOL | UseCEFolderSetting | Get/Set whether the CE folder setting is to be used. | available | not used | yes | yes


CEFolder

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> CEFolder

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CEFolder() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


CustomCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> CustomCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CustomCount() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


HidePasswordDialog

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> HidePasswordDialog

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

HidePasswordDialog() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeAdditional

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeAdditional

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

IncludeAdditional() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeDrivers

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeDrivers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

IncludeDrivers() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeGraphics

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeGraphics

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

IncludeGraphics() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeHelp

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeHelp

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

IncludeHelp() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeLists

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeLists

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

IncludeLists() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeMedia

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeMedia

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

IncludeMedia() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeReports

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeReports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

IncludeReports() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


IncludeStraton

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> IncludeStraton

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

IncludeStraton() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Password

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> Password

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Password() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ProjectBase

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> ProjectBase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ProjectBase() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


SerialName

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> SerialName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SerialName() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TcpIpName

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> TcpIpName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

TcpIpName() As BSTR

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TransportType

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> TransportType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

TransportType() As tpRemoteTransportType

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


UseCEFolderSetting

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Properties -> UseCEFolderSetting

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

UseCEFolderSetting() As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


RemoteTransport-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Connect | Start a remote transport connection. | available | not used | yes | yes
IRemoteTransportCustom | CreateCustom | Adds a new custom entry. | available | not used | yes | yes
IRemoteTransportCustom | CustomItem | Returns the custom entry at the given index. | available | not used | yes | yes
BOOL | DeleteCustom | Deletes the custom entry at the given index. | available | not used | yes | yes
void | Disconnect | Stop the current remote transport connection. | available | not used | yes | yes
void | RebootOS | Reboots the remote OS. | available | not used | yes | yes
void | ReloadRT | Reload the remote runtime. | available | not used | yes | yes
void | Retrieve | Retrieve all. | available | not used | yes | yes
BOOL | Save | Saves current remote transport setting. | available | not used | yes | yes
void | SetStartProject | Set start project. | available | not used | yes | yes
void | StartRT | Start the remote runtime. | available | not used | yes | yes
void | StopRT | Stop the remote runtime. | available | not used | yes | yes
void | TransferAll | Transfer all. | available | not used | yes | yes
void | TransferChanged | Transfer changes. | available | not used | yes | yes


Connect

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> Connect

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Connect() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateCustom

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> CreateCustom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateCustom() As RemoteTransportCustom

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CustomItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> CustomItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CustomItem(long lIndex) As RemoteTransportCustom

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteCustom

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> DeleteCustom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DeleteCustom(long lIndex) As BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Disconnect

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> Disconnect

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Disconnect() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RebootOS

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> RebootOS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RebootOS() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ReloadRT

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> ReloadRT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ReloadRT() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Retrieve

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> Retrieve

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Retrieve() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Save() As BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetStartProject

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> SetStartProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SetStartProject() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StartRT

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> StartRT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

StartRT() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StopRT

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> StopRT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

StopRT() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TransferAll

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> TransferAll

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

TransferAll() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TransferChanged

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransport -> RemoteTransport-Methods -> TransferChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

TransferChanged() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoteTransportCustom

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransportCustom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateCustomOption()
Dim obRemoteTP As RemoteTransport

Set obRemoteTP = MyWorkspace.ActiveDocument.RemoteTransport
'define basic remote transport settings
obRemoteTP.HidePasswordDialog = True
obRemoteTP.TransportType = tpTCP
obRemoteTP.TcpByIp = False
obRemoteTP.TcpIpName = "COMPUTERNAME"
'create custom options for the remote transport
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(0).Comment = "TEST: Copy - Execute"
obRemoteTP.CustomItem(0).ActionType = tpCopyExecute
obRemoteTP.CustomItem(0).Active = True
obRemoteTP.CustomItem(0).SourcePath = "source"
obRemoteTP.CustomItem(0).TargetPath = "target"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(1).Comment = "TEST: Copy"
obRemoteTP.CustomItem(1).ActionType = tpCopy
obRemoteTP.CustomItem(1).Active = False
obRemoteTP.CustomItem(1).SourcePath = "source1"
obRemoteTP.CustomItem(1).TargetPath = "target1"
obRemoteTP.CreateCustom
obRemoteTP.CustomItem(2).Comment = "TEST: Copy - Register"
obRemoteTP.CustomItem(2).ActionType = tpCopyRegister
obRemoteTP.CustomItem(2).Active = True
obRemoteTP.CustomItem(2).SourcePath = "source2"
obRemoteTP.CustomItem(2).TargetPath = "target2"
'save the changes...
obRemoteTP.Save
End Sub


RemoteTransportCustom-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransportCustom -> RemoteTransportCustom-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpRTCustomAction | ActionType | Get/Set the action type. | available | not used | yes | yes
VARIANT_BOOL | Active | Activate/deactivate the custom entry. | available | not used | yes | yes
BSTR | Comment | Get/Set the comment of the custom entry. | available | not used | yes | yes
BSTR | SourcePath | Get/Set the source path. | available | not used | yes | yes
BSTR | TargetPath | Get/Set the target path. | available | not used | yes | yes


ActionType

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> ActionType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ActionType() As tpRTCustomAction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Active

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


Comment

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> Comment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Comment() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


SourcePath

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> SourcePath

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SourcePath() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


TargetPath

Manuels -> Interfaces de programmation -> Modèles d'objet -> RemoteTransportCustom -> RemoteTransportCustom-Properties -> TargetPath

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

TargetPath() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


RGMRecipe

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Recipes serve for the assembling of input lists for setpoint values and commands which in online operation are executed with a function call.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RGMRecipe()
'Declarations
Dim zRGM_Recipe As RGMRecipe

'Initialization of zRGM_Recipe with the first recipe within the first recipe group
Set zRGM_Recipe = MyWorkspace.ActiveDocument.RGMGroups.Item(0).RecipeItem(0)

'Modify a Recipe:
Call Modify_RGMRecipe(zRGM_Recipe)

'Write Values from Recipe to variables
Call Write_RGMRecipe(zRGM_Recipe)

'Read from Variables and save as raceipe
Call Read_RGMRecipe(zRGM_Recipe)
End Sub

Sub Modify_RGMRecipe(zRGM_Recipe As RGMRecipe)
'Declarations
Dim i As Integer

For i = 0 To zRGM_Recipe.ValueCount - 1
'Set action type to "Modify spontaneous value"
zRGM_Recipe.ValueItem(i).DynProperties("Type") = 2
'Set value...
zRGM_Recipe.ValueItem(i).DynProperties("Value") = (i + 1) * 25
Next i
'Save the current value to the recipe
zRGM_Recipe.Save
End Sub

Sub Read_RGMRecipe(zRGM_Recipe As RGMRecipe)
'Read the current variable value and output the result
zRGM_Recipe.Read
'Save the current value to the recipe
zRGM_Recipe.Save
End Sub

Sub Write_RGMRecipe(zRGM_Recipe As RGMRecipe)
'Read the current variable value and output the result
zRGM_Recipe.Execute
'Save the current value to the recipe
zRGM_Recipe.Save
End Sub


RGMRecipe-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Number | The identification number of the recipe | available | available | yes | yes
IRGMRecipeGroup | Parent | Parent of object | read only | read only | yes | yes
long | Status | The numeric status value of the recipe | available | available | yes | yes
long | ValueCount | - | read only | read only | yes | yes
long | Version | The version of the recipe | available | available | yes | yes
BSTR | Name | The name of the recipe | available | available | yes | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Name() As BSTR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Number

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Properties -> Number

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Number() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipeGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Status() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ValueCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Properties -> ValueCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the amount of "RGMRecipeValue" objects within the "RGMRecipe" object, i.e. the amount of variables assigned to the recipe.

Datatype

ValueCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Version

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Properties -> Version

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Version() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RGMRecipe-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Check | Get differences between recipe and actual values | not used | available | yes | yes
VARIANT_BOOL | Duplicate | Duplicate this recipe | available | available | yes | yes
VARIANT_BOOL | DuplicateAsVersion | Duplicate this recipe into a new version | available | available | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
VARIANT_BOOL | Execute | - | available | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | available | yes | yes
VARIANT_BOOL | ExportXML | Export the data of this recipe to a xml file for documentation purpose | not used | available | yes | yes
VARIANT_BOOL | Read | - | available | available | yes | yes
VARIANT_BOOL | Save | - | available | available | yes | yes
IRGMRecipeValue | ValueItem | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


Check

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> Check

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Check(LPVARIANT pDifferences) As long

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Duplicate

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> Duplicate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Method to create a duplicate of the actual RGMRecipe.The given string parameter represents the duplicates name.A boolean result will be returned.

Datatype

Duplicate(String bsDuplicate) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DuplicateAsVersion

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> DuplicateAsVersion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DuplicateAsVersion() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Execute

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> Execute

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Overwrites the current values of the variables in the recipe with the recipe values.

Datatype

Execute() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ExportXML

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> ExportXML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export the RGMRecipe to an XML File.

Datatype

ExportXML(String strExportPath) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Read

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> Read

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Reads the current values.

Datatype

Read() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Saves the current values as the new recipe values.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ValueItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Methods -> ValueItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ValueItem(VARIANT vPosOrName) As RGMRecipeValue

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RGMRecipe-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

C++ Class CObRezept


C++ Class CObRezept

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipe -> RGMRecipe-Dynproperties -> C++ Class CObRezept

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Comment1

Commentaire 1

Lignes de commentaire 1 de la recette actuelle.

Plus de détails dans l'aide en ligne

VT_BSTR

Comment2

Commentaire 2

Lignes de commentaire 2 de la recette actuelle.

Plus de détails dans l'aide en ligne

VT_BSTR

Comment3

Commentaire 3

Lignes de commentaire 3 de la recette actuelle.

Plus de détails dans l'aide en ligne

VT_BSTR

Comment4

Commentaire 4

Lignes de commentaire 4 de la recette actuelle.

Plus de détails dans l'aide en ligne

VT_BSTR

Comment5

Commentaire 5

Lignes de commentaire 5 de la recette actuelle.

Plus de détails dans l'aide en ligne

VT_BSTR

Comment6

Commentaire 6

Lignes de commentaire 6 de la recette actuelle.

Plus de détails dans l'aide en ligne

VT_BSTR

Comment7

Commentaire 7

Lignes de commentaire 7 de la recette actuelle.

Plus de détails dans l'aide en ligne

VT_BSTR

Comment8

Commentaire 8

Lignes de commentaire 8 de la recette actuelle.

Plus de détails dans l'aide en ligne

VT_UI2

PWLevel

Groupe autorisation

Sélection du niveau d'autorisation souhaité dans la liste déroulante.

Plus de détails dans l'aide en ligne

VT_BSTR

RecipeName

Nom de recette

Nom de la recette. Le nom de la recette doit être unique. SI vous sélectionnez l'option Fichiers binaires pour la propriété -, le nom doit uniquement contenir des caractères alphanumériques.

Plus de détails dans l'aide en ligne

VT_UI4

RecipeNumber

Numéro de recette

Numéro de la recette

Plus de détails dans l'aide en ligne

VT_UI4

RecipeVersion

Version de recette

Affichage du numéro de version de la recette sélectionnée. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune modification n'est possible. Le numéro de version est automatiquement défini par le système. Au maximum, 89 999 versions d'une recette peuvent être créées.

Plus de détails dans l'aide en ligne.

VT_UI2

Status

Etat

Sélectionnez l'état de la recette dans la liste déroulante. (Configuration de l'état dans la propriété Groupes de recettes /Identification état de recette.) L'état de la recette peut être défini différemment pour chaque Version de recette. Cette propriété peut également être modifiée dans Runtime.

Plus de détails dans l'aide en ligne

VT_R8

TimeChange

-

Le nom est automatiquement généré à partir de l'heure du système, si la propriété est définie sur TRUE.

VT_R8

TimeSent

-

Variable de bit permettant d'activer ou de désactiver l'animation.

VT_BSTR

UserChange

Utilisateur lors de la dernière modification

Nombre de Mo réservés pour le buffer d'enregistrement.

VT_BSTR

UserSent

Utilisateur lors de la dernière écriture

Limite de temps de l'enregistrement, en secondes.Conseil : Disponible uniquement si la propriété IsTimeActive est active.

VT_BOOL

WriteSync

Ecrire de façon synchrone

Définie au niveau du groupe de recettes pour toutes les recettes de ce groupe ; peut être remplacée au niveau de chaque recette.

Actif : Lors de l'écriture d'une recette, tous les éléments de contrôle sont verrouillés sur le synoptique de Gestionnaire de groupes de recettes jusqu'à ce que le driver confirme que toutes les valeurs ont été écrites avec succès ou que le Timeout [ms] défini a expiré.

Inactive : Les valeurs de la recette sont écrites sans attendre de confirmation. Les éléments de contrôle peuvent être immédiatement réutilisés. La confirmation du driver est faite sur le bit d'état WR-SUC de chaque variable : il est mis à 1 lorsque la valeur a été écrite avec succès.

Plus de détails dans l'aide en ligne

VT_BOOL

WriteSync_IsLocal

-

VT_UI4

WriteTimeout

Timeout [ms]

Définie au niveau du groupe de recettes pour toutes les recettes de ce groupe ; peut être remplacée au niveau de chaque recette.

Si vous avez activé la propriété Ecrire de façon synchrone, vous pouvez saisir un délai d'attente ici. Les éléments de contrôle du Gestionnaire de groupes de recettes peuvent être actionnés une dernière fois après ce délai. Si la valeur 0 est saisie dans Délai d'attente, zenon calcule le délai d'attente avant expiration comme suit : 30000+(100*nombre de points de données)

Plus de détails dans l'aide en ligne

VT_BOOL

WriteTimeout_IsLocal

-


RGMRecipeGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "RGMRecipeGroup" object manages the "RGMRecipe" collection and the utilized "RGMRecipeVar" variables.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RGMGroup()

'Declarations
Dim zRGM_Group As RGMRecipeGroup
Dim zVariable As Variable
Dim zRGMGroup_Name As String

'Initialization of zRGMGroup_Name with the name of the created group
'zRGMGroup_Name = "zenOn_RGMGroup"
zRGMGroup_Name = MyWorkspace.ActiveDocument.RGMGroups.CreateGroup("zenOn_RGMGroup").DynProperties("Name")
'Initialization of zRGM_Group with the former created group
Set zRGM_Group = MyWorkspace.ActiveDocument.RGMGroups.Item(zRGMGroup_Name)

'Initialization of zVariable with the first element in the "Variables" object of the current project
Set zVariable = MyWorkspace.ActiveDocument.Variables.Item(0)

'Add variable to the recipe group
zRGM_Group.AddVariable zVariable
'Create a new recipe in the recipe group
zRGM_Group.CreateRecipe ("zenOn_RGMRecipe")

'Output the number of variables and recipes in the group
Debug.Print "Number of variables: " & zRGM_Group.VariableCount
Debug.Print "Number of recipes: " & zRGM_Group.RecipeCount & vbNewLine

'Rename the recipe
zRGM_Group.RenameRecipe "zenOn_RGMRecipe", "zenOn_RGMRecipeRenamed"

'Delete the whole recipe group
zRGM_Group.Parent.DeleteGroup (zRGM_Group.DynProperties("Name"))

End Sub


RGMRecipeGroup-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | - | available | available | yes | yes
IRGMRecipeGroups | Parent | Parent of object | read only | read only | yes | yes
long | VariableCount | - | available | available | yes | yes
long | RecipeCount | - | available | available | yes | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipeGroups

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RecipeCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> RecipeCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RecipeCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


VariableCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Properties -> VariableCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the amount of "RGMVar" objects within the collection, i.e. the amount of variables that are assigned.

Datatype

VariableCount() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RGMRecipeGroup-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | AddVariable | - | available | available | yes | yes
LPDISPATCH | CreateRecipe | - | available | available | yes | yes
LPDISPATCH | CreateRecipeVersion | Creates a new recipe version for the given recipe name | available | available | yes | yes
VARIANT_BOOL | DeleteRecipe | Delete a recipe object by name OR by nummeric index (for name all recipe versions are deleted) | available | available | yes | yes
VARIANT_BOOL | DeleteRecipeVersion | Delete a recipe object by name and version OR by nummeric index (for indexes the version is ignored) | available | available | yes | yes
VARIANT_BOOL | DeleteVariable | - | available | available | yes | yes
VARIANT_BOOL | Duplicate | Duplicate this recipe group | available | available | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | available | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | available | yes | yes
VARIANT | ListRecipesName | Passes an array with all recipes name of this group | available | available | yes | yes
VARIANT | ListRecipeVersions | Passes an array with all versions of a specified recipe | available | available | yes | yes
VARIANT | ListVariablesName | List all variable names from this group | available | available | yes | yes
IRGMRecipe | RecipeItem | Get a recipe object by name OR by nummeric index (for name the lowest version is returned) | available | available | yes | yes
IRGMRecipe | RecipeItemVersion | Get a recipe object by name and version OR by nummeric index (for indexes the version is ignored) | available | available | yes | yes
VARIANT_BOOL | RenameRecipe | - | available | available | yes | yes
VARIANT_BOOL | ReorderVariables | Reorders the variables in the group | available | available | yes | yes
VARIANT_BOOL | Save | Save the Recipegroup and all Recipegroup Variables | available | available | yes | yes
IRGMRecipeVar | VariableItem | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


AddVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> AddVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Adds a "Variable" object to the collection.

Datatype

AddVariable(LPDISPATCH lpVariable) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

"Variable" object that should be passed.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lpVariable As LPDISPATCH

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub AddRemoveVariable(ByRef zRGMGroup As RGMRecipeGroup)
'Declarations
Dim zVariable As Variable

'Initialization of zVariable with the first element of collection within the "Variables" object
Set zVariable = MyWorkspace.ActiveDocument.Variables.Item(0)

'Add the variable to the recipe group
zRGMGroup.AddVariable zVariable

'Remove the variable from the recipe group by its name
zRGMGroup.DeleteVariable (zVariable.Name)

End Sub


CreateRecipe

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> CreateRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new recipe by its name as a string.

Datatype

CreateRecipe(String bstrName) As LPDISPATCH

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateRecipeVersion

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> CreateRecipeVersion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateRecipeVersion(String bstrName) As LPDISPATCH

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_Recipes()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim zRecipe As RGMRecipe

Set zRecipeGroups = thisProject.RGMGroups

If zRecipeGroups.count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
Set zRecipe = zRecipeGroup.CreateRecipeVersion("Recipe_A")
If Not zRecipe Is Nothing Then
Debug.Print ("Created new recipe version")
Debug.Print ("Version: " & zRecipe.Version)
End If
End If
End Sub


DeleteRecipe

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DeleteRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes an existing recipe by its name as string or position within the collection.

Datatype

DeleteRecipe(VARIANT vPosOrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteRecipeVersion

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DeleteRecipeVersion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DeleteRecipeVersion(VARIANT vPosOrName, long nVersion) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DeleteVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes an existing "RGMRecipeVar" object from the collection by its name as string or position.

Datatype

DeleteVariable(VARIANT vPosOrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Duplicate

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Duplicate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Method to create a duplicate of the actual RGMRecipeGroup.The given string parameter represents the duplicates name.A boolean result will be returned.

Datatype

Duplicate(String bsDuplicate) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_ExportRecipeGroup()
Dim zRGMGroups As RGMRecipeGroups
Dim zRGMGroup As RGMRecipeGroup
Dim zFile As String
Dim i As Integer

Set zRGMGroups = thisProject.RGMGroups ' Get all recipe groups
zFile = zRGMGroups.Parent.ModulePath(tpModulePaths.tpPathExport)

For i = 0 To zRGMGroups.count - 1
Set zRGMGroup = zRGMGroups.Item(i) ' Get a recipe group
With zRGMGroup
Debug.Print ("Export: " & .Name & " To '" & zFile & .Name & ".XML'")
If Dir(zFile & .Name & ".XML") <> "" Then 'Check if file exist
Debug.Print ("File exist!")
Else
If zRGMGroups.Item(i).Export(.Name & ".XML") Then ' Export with relative path
Debug.Print ("Exported!")
Else
Debug.Print ("ERROR!")
End If
End If
End With
Set zRGMGroup = Nothing
Next i

End Sub


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file. Existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_ImportRecipeGroup()
Dim zRGMGroups As RGMRecipeGroups
Dim zRGMGroup As RGMRecipeGroup
Dim zFile As String
Dim i As Integer

Set zRGMGroups = thisProject.RGMGroups 'Get all recipe groups
zFile = zRGMGroups.Parent.ModulePath(tpModulePaths.tpPathExport) & "Group_B.XML" 'RuntimeFolder\Export\Group_B.XML

Debug.Print ("Import: " & zFile)
If Dir(zFile) <> "" Then 'Check if file exist
Debug.Print ("File exist!")
If zRGMGroups.Item("Group_B") Is Nothing Then
Set zRGMGroup = zRGMGroups.CreateGroup("Group_B") 'Create new RGMGroup
If zRGMGroup.Import(zFile) Then 'Import recipes with relative path
Debug.Print ("Imported!")
Else
Debug.Print ("Error!")
End If
Set zRGMGroup = Nothing
End If
End If

End Sub


ListRecipesName

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListRecipesName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ListRecipesName() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_RecipesList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vRecipeList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
vRecipeList = zRecipeGroup.ListRecipesName()
For i = 0 To UBound(vRecipeList)
Debug.Print (vRecipeList(i))
Next i
End If
End Sub


ListRecipeVersions

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListRecipeVersions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ListRecipeVersions(String bsRecipeName) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_RecipesVersionList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vRecipeList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
If Not zRecipeGroup.RecipeItem("Recipe_A") Is Nothing Then
Debug.Print ("Show Version of Recipe: " & zRecipeGroup.RecipeItem("Recipe_A").name)
' Get an array of the RecipeVersion
vRecipeList = zRecipeGroup.ListRecipeVersions("Recipe_A")

For i = 0 To UBound(vRecipeList)
Debug.Print ("Version: " & vRecipeList(i))
Next i
End If
Set zRecipeGroup = Nothing
End If
Set zRecipeGroups = Nothing
End Sub


ListVariablesName

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ListVariablesName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ListVariablesName() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Public Sub Macro_RecipesVariableList()
Dim zRecipeGroups As RGMRecipeGroups
Dim zRecipeGroup As RGMRecipeGroup
Dim vVariableList As Variant
Dim i As Integer

Set zRecipeGroups = MyWorkspace.ActiveDocument.RGMGroups

If zRecipeGroups.Count > 0 Then
Set zRecipeGroup = zRecipeGroups.Item(0)
If Not zRecipeGroup.RecipeItem("Recipe_A") Is Nothing Then
Debug.Print ("Show Version of Recipe: " & zRecipeGroup.RecipeItem("Recipe_A").name)
' Get an array with the variable names
vVariableList = zRecipeGroup.ListVariablesName()

For i = 0 To UBound(vVariableList)
Debug.Print ("Variable name: " & vVariableList(i))
Next i
End If
Set zRecipeGroup = Nothing
End If
Set zRecipeGroups = Nothing
End Sub


RecipeItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> RecipeItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a "RGMRecipe" object from the collection, selected by its name as string or position within the collection.

Datatype

RecipeItem(VARIANT vPosOrName) As RGMRecipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeItemVersion

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> RecipeItemVersion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RecipeItemVersion(VARIANT vPosOrName, long nVersion) As RGMRecipe

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RenameRecipe

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> RenameRecipe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Renames a recipe by passing the old and new name as string.

Datatype

RenameRecipe(String bstrOldName,String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ReorderVariables

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> ReorderVariables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ReorderVariables(VARIANT vNamesInNewOrder) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Macro_SortVars()
Dim zRecipeGroup As RGMRecipeGroup
Dim sVars1() As String
Dim sVars2() As String
Dim i As Integer

Set zRecipeGroup = MyWorkspace.ActiveDocument.RGMGroups.Item(0)

'Get list of variable names
sVars1 = zRecipeGroup.ListVariablesName
Debug.Print ("Before reorder")
For i = 0 To UBound(sVars1)
Debug.Print (i & ": " & sVars1(i))
Next i
' Move first variable down
ReDim sVars2(UBound(sVars1, 1))
Dim length As Integer
length = UBound(sVars1)
For i = 0 To length
If (i < length) Then
sVars2(i) = sVars1((i + 1)) ' set variable to next index
Else
sVars2(i) = sVars1(0) ' set last variable to first position
End If
Next i
' set new order
Dim b As Boolean
b = zRecipeGroup.ReorderVariables(sVars2)
Debug.Print ("After reorder")
'Get list of variable names
sVars1 = zRecipeGroup.ListVariablesName
For i = 0 To UBound(sVars1)
Debug.Print (i & ": " & sVars1(i))
Next i
End Sub


Save

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VariableItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Methods -> VariableItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a "RGMRecipeVar" object from the collection, selected by its name as string or position within the collection.

Datatype

VariableItem(VARIANT vPosOrName) As RGMRecipeVar

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RGMRecipeGroup-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

C++ Class CObRezepturen


C++ Class CObRezepturen

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroup -> RGMRecipeGroup-Dynproperties -> C++ Class CObRezepturen

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Feedback_Check_Comment1

Commentaire 1

Commentaire 1 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment2

Commentaire 2

Commentaire 2 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment3

Commentaire 3

Commentaire 3 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment4

Commentaire 4

Commentaire 4 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment5

Commentaire 5

Commentaire 5 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment6

Commentaire 6

Commentaire 6 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment7

Commentaire 7

Commentaire 7 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Comment8

Commentaire 8

Commentaire 8 de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Different

Vérification valeur recette - écart

Les écarts sont le résultat de la vérification de la recette sous forme de texte.

VT_BSTR

Feedback_Check_Name

Nom de recette

Nom de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Number

Numéro de recette

Numéro de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Result

Vérification valeur recette - résultat

Résultat de la vérification de la recette sous forme de valeur numérique.

VT_BSTR

Feedback_Check_Rights

Groupe autorisation

Niveau d'autorisation de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Status_Nr

Numéro d'état de la recette

État de la dernière recette vérifiée sous forme de nombre.

VT_BSTR

Feedback_Check_Status_Txt

Texte d'état de la recette

État de la dernière recette vérifiée. Le texte est constitué de la façon suivante : 1 - @Text
Ce texte est écrit sous forme de texte brut dans la variable. Pour afficher le texte traduit, vous devez activer la propriété Traduire le texte affiché pour l'élément affiché (texte dynamique).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Valeurs : Reportez-vous à la section Variables du driver système - Recettes standard et du Gestionnaire de groupes de recettes.

Plus de détails dans l'aide en ligne

VT_BSTR

Feedback_Check_Timechange

Modifier heure

Heure de la dernière modification de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Userchange

Editer utilisateur

Nom de l'utilisateur connecté lors de la dernière modification de la dernière recette vérifiée.

VT_BSTR

Feedback_Check_Version

Version de recette

Version de la dernière recette vérifiée.

VT_BSTR

Feedback_Read_Comment1

Commentaire 1

Commentaire 1 de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment2

Commentaire 2

Commentaire 2 de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment3

Commentaire 3

Commentaire 3 de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment4

Commentaire 4

Commentaire 4 de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment5

Commentaire 5

Commentaire 5 de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment6

Commentaire 6

Commentaire 6 de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment7

Commentaire 7

Commentaire 7 de la dernière recette lue.

VT_BSTR

Feedback_Read_Comment8

Commentaire 8

Commentaire 8 de la dernière recette lue.

VT_BSTR

Feedback_Read_Name

Nom de recette

Nom de la dernière recette lue.

VT_BSTR

Feedback_Read_Number

Numéro de recette

Numéro de la dernière recette lue.

VT_BSTR

Feedback_Read_Result

Lecture recette terminée

Résultat de la recette lue sous forme de valeur numérique.

VT_BSTR

Feedback_Read_Rights

Groupe autorisation

Niveau d'autorisation de la dernière recette lue.

VT_BSTR

Feedback_Read_Status_Nr

Numéro d'état de la recette

État de la dernière recette lue sous forme de nombre.

VT_BSTR

Feedback_Read_Status_Txt

Texte d'état de la recette

État de la dernière recette lue. Le texte est constitué de la façon suivante : 1 - @Text
Ce texte est écrit sous forme de texte brut dans la variable. Pour afficher le texte traduit, vous devez activer la propriété Traduire le texte affiché pour l'élément affiché (texte dynamique).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Valeurs : Reportez-vous à la section Variables du driver système - Recettes standard et du Gestionnaire de groupes de recettes.

Plus de détails dans l'aide en ligne

VT_BSTR

Feedback_Read_Timechange

Modifier heure

Heure de la dernière modification de la dernière recette lue.

VT_BSTR

Feedback_Read_Userchange

Editer utilisateur

Nom de l'utilisateur connecté lors de la dernière modification de la dernière recette lue.

VT_BSTR

Feedback_Read_Version

Version de recette

Version de la dernière recette lue.

VT_BSTR

Feedback_Write_Comment1

Commentaire 1

Commentaire 1 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment2

Commentaire 2

Commentaire 2 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment3

Commentaire 3

Commentaire 3 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment4

Commentaire 4

Commentaire 4 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment5

Commentaire 5

Commentaire 5 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment6

Commentaire 6

Commentaire 6 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment7

Commentaire 7

Commentaire 7 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Comment8

Commentaire 8

Commentaire 8 de la dernière recette écrite.

VT_BSTR

Feedback_Write_Name

Nom de recette

Nom de la dernière recette écrite.

VT_BSTR

Feedback_Write_Number

Numéro de recette

Numéro de la dernière recette écrite.

VT_BSTR

Feedback_Write_Result

Ecriture recette terminée

Résultat de l'écriture de la recette sous forme de valeur numérique.

VT_BSTR

Feedback_Write_Rights

Groupe autorisation

Niveau d'autorisation de la dernière recette écrite.

VT_BSTR

Feedback_Write_Status_Nr

Numéro d'état de la recette

État de la dernière recette écrite sous forme de nombre.

VT_BSTR

Feedback_Write_Status_Txt

Texte d'état de la recette

État de la dernière recette écrite. Le texte est constitué de la façon suivante : 1 - @Text
Ce texte est écrit sous forme de texte brut dans la variable. Pour afficher le texte traduit, vous devez activer la propriété Traduire le texte affiché pour l'élément affiché (texte dynamique).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Valeurs : Reportez-vous à la section Variables du driver système - Recettes standard et du Gestionnaire de groupes de recettes.

Plus de détails dans l'aide en ligne

VT_BSTR

Feedback_Write_Timechange

Modifier heure

Heure de la dernière modification de la dernière recette écrite.

VT_BSTR

Feedback_Write_Userchange

Editer utilisateur

Nom de l'utilisateur connecté lors de la dernière modification de la dernière recette écrite.

VT_BSTR

Feedback_Write_Version

Version de recette

Version de la dernière recette écrite.

VT_BSTR

Feedback_XMLImport_Result

Résultat de l'import

Réussite de l'importation au format XML.

VT_BSTR

Name

Nom de groupe

Nom du groupe de recettes.

Si vous sélectionnez l'option Fichiers binaires pour la propriété -, seuls les caractères alphanumériques sont autorisés.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

WriteSync

Ecrire de façon synchrone

Définie au niveau du groupe de recettes pour toutes les recettes de ce groupe ; peut être remplacée au niveau de chaque recette.

Actif : Lors de l'écriture d'une recette, tous les éléments de contrôle sont verrouillés sur le synoptique de Gestionnaire de groupes de recettes jusqu'à ce que le driver confirme que toutes les valeurs ont été écrites avec succès ou que le Timeout [ms] défini a expiré.

Inactive : Les valeurs de la recette sont écrites sans attendre de confirmation. Les éléments de contrôle peuvent être immédiatement réutilisés. La confirmation du driver est faite sur le bit d'état WR-SUC de chaque variable : il est mis à 1 lorsque la valeur a été écrite avec succès.

Plus de détails dans l'aide en ligne

VT_UI4

WriteTimeout

Timeout [ms]

Définie au niveau du groupe de recettes pour toutes les recettes de ce groupe ; peut être remplacée au niveau de chaque recette.

Si vous avez activé la propriété Ecrire de façon synchrone, vous pouvez saisir un délai d'attente ici. Les éléments de contrôle du Gestionnaire de groupes de recettes peuvent être actionnés une dernière fois après ce délai. Si la valeur 0 est saisie dans Délai d'attente, zenon calcule le délai d'attente avant expiration comme suit : 30000+(100*nombre de points de données)

Plus de détails dans l'aide en ligne


RGMRecipeGroups

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object manages "RGMRecipeGroup" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub zenOn_RGMGroups()
'Declarations
Dim zRGM_Groups As RGMRecipeGroups
Dim zRGM_Group As RGMRecipeGroup
Dim i As Integer

'Initialize zRGM_Groups with the "RGMGroups" object of the current project
Set zRGM_Groups = MyWorkspace.ActiveDocument.RGMGroups

'Create a new group called "zenOn_RGMGroup"
zRGM_Groups.CreateGroup ("zenOn_RGMGroup")

'Enumerate all recipe groups
For i = 0 To zRGM_Groups.Count - 1
'Assign the current item to zRGM_Group
Set zRGM_Group = zRGM_Groups.Item(i)

'Enumerate the groups
Debug.Print i + 1 & ". Group: "
'Output name of the group
Debug.Print " Name: " & zRGM_Group.DynProperties("Name")
'Output amount of recipes within the collection
Debug.Print " Recipes: " & zRGM_Group.RecipeCount
'Output amount of variables within the collection
Debug.Print " Variables: " & zRGM_Group.VariableCount
'Output a blank line
Debug.Print ""

'If there are recipes available, then output them
If zRGM_Group.RecipeCount > 0 Then
Call GetRecipesOfGroup(zRGM_Group)
End If

'If there are variables available, then output them
If zRGM_Group.VariableCount > 0 Then
Call GetVariablesOfGroup(zRGM_Group)
End If

Next i

'Delete the former created group
zRGM_Groups.DeleteGroup ("zenOn_RGMGroup")

Debug.Print ""
End Sub

Sub GetRecipesOfGroup(myRGMGroup As RGMRecipeGroup)
'Declarations
Dim zRGM_Recipe As RGMRecipe
Dim i As Integer

Debug.Print "Recipes"
'Enumerate all recipes in the group
For i = 0 To myRGMGroup.RecipeCount - 1
'Assign the current recipe item to zRGM_Recipe
Set zRGM_Recipe = myRGMGroup.RecipeItem(i)
'Output the recipe
Debug.Print " Recipe" & i + 1 & ": " & zRGM_Recipe.DynProperties("RecipeName")
Next i
'Output a blank line
Debug.Print ""
End Sub

Sub GetVariablesOfGroup(myRGMGroup As RGMRecipeGroup)
'Declarations
Dim zRGM_Variable As RGMRecipeVar
Dim i As Integer

'Enumerate all variables of the group
Debug.Print "Variables"
For i = 0 To myRGMGroup.VariableCount - 1
'Assign the current variable item to zRGM_Variable
Set zRGM_Variable = myRGMGroup.VariableItem(i)
'Output the variable
Debug.Print " Var" & i + 1 & ": " & zRGM_Variable.Name
Next i
'Output a blank line
Debug.Print ""
End Sub


RGMRecipeGroups-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IProject | Parent | Parent of object | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RGMRecipeGroups-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
IRGMRecipeGroup | CreateGroup | - | available | available | yes | yes
VARIANT_BOOL | DeleteGroup | - | available | available | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | available | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
IRGMRecipeGroup | Item | - | available | available | yes | yes
VARIANT_BOOL | RenameGroup | - | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> CreateGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new group by its name as string.

Datatype

CreateGroup(String bstrName) As RGMRecipeGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> DeleteGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes a group by its name as string.

Datatype

DeleteGroup(String bstrName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a "RGMRecipeGroup" object by its name as a string or by its position.

Datatype

Item(VARIANT vPosOrName) As RGMRecipeGroup

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RenameGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> RenameGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Renames a group by passing the old and new name as string.

Datatype

RenameGroup(String bstrOldName,String bstrNewName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport (VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RGMRecipeGroups-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | RecipeCreate | A new recipe is going to be created | available | available | yes | yes
void | RecipeCreated | A new recipe was created | available | available | yes | yes
void | RecipeDelete | A recipe is going to be deleted | available | available | yes | yes
void | RecipeDuplicate | A recipe is going to be created as a duplicate | available | available | yes | yes
void | RecipeDuplicated | A recipe was created as a duplicate | available | available | yes | yes
void | RecipeRename | A recipe is going to be renamed | available | available | yes | yes
void | RecipeXMLImport | A recipe is going to be imported from a XML file. | available | available | yes | yes
void | StatusChange | A recipe status is going to be changed | available | available | yes | yes
void | VersionCreate | A new recipe version is going to be created | available | available | yes | yes
void | VersionCreated | A new recipe version was created | available | available | yes | yes
void | VersionDelete | A recipe version is going to be deleted | available | available | yes | yes
void | VersionDuplicate | A recipe version is going to be created as a duplicate | available | available | yes | yes
void | VersionDuplicated | A recipe version was created as a duplicate | available | available | yes | yes
void | VersionDuplicatedRead | A recipe version was created as a duplicate and read from the PLC | available | available | yes | yes
void | VersionDuplicateRead | A recipe version is going to be created as a duplicate and read | available | available | yes | yes


RecipeCreate

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeCreate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RecipeCreate(RGMRecipeGroup obRecipeGroup, String strNewName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeCreated

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeCreated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RecipeCreated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeDelete

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeDelete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RecipeDelete(RGMRecipe obRecipe, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeDuplicate

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeDuplicate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RecipeDuplicate(RGMRecipeGroup obRecipeGroup, String strNewName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeDuplicated

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeDuplicated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RecipeDuplicated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeRename

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeRename

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RecipeRename(RGMRecipe obRecipe, String strNewName, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RecipeXMLImport

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> RecipeXMLImport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RecipeXMLImport(tpRGMRecipeImport nEventTopic, IRGMRecipeGroup obRecipeGroup, String strRecipeName, long nRecipeVersion, long lCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Dim WithEvents zRGMRecipeGroups As RGMRecipeGroups

Private Sub Project_Active()
Set zRGMRecipeGroups = thisProject.RGMGroups
End Sub

Public Sub zRGMRecipeGroups_RecipeXMLImport(ByVal nEventTopic As tpRGMRecipeImport, _
ByVal obRecipeGroup As IRGMRecipeGroup, _
ByVal strRecipeName As String, _
ByVal nRecipeVersion As Long, _
lCancel As Long)
Select Case nEventTopic
Case tpRGMRecipeImport.tpOverwriteRecipe
Debug.Print ("Overwrite recipe: " & tpRGMRecipeImport.tpOverwriteRecipe)
Case tpRGMRecipeImport.tpCreateNewRecipe
Debug.Print ("Create new recipe: " & tpRGMRecipeImport.tpCreateNewRecipe)
Case tpRGMRecipeImport.tpValuesDiffer
Debug.Print ("Values differ: " & tpRGMRecipeImport.tpValuesDiffer)
End Select
Debug.Print ("=======================================")
Debug.Print ("Recipe Group: " & obRecipeGroup.Name)
Debug.Print ("Recipe Name: " & strRecipeName)
Debug.Print ("Recipe Count: " & obRecipeGroup.RecipeCount)
Debug.Print ("Recipe Version: " & nRecipeVersion)

If (obRecipeGroup.RecipeCount = 1) Then
'Continue import
lCancel = 0
ElseIf (obRecipeGroup.RecipeCount = 2) Then
'Cancel the import for the current recipe and proceed with the next recipe.
lCancel = 1
ElseIf obRecipeGroup.RecipeCount > 2 Then
'Cancel the import for the current recipe and proceed with the next recipegroup
lCancel = 2
End If
End Sub


StatusChange

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> StatusChange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

StatusChange(RGMRecipe obRecipe, long nStatusNew, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionCreate

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionCreate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VersionCreate(RGMRecipeGroup obRecipeGroup, String strName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionCreated

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionCreated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VersionCreated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDelete

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDelete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VersionDelete(RGMRecipe obRecipe, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicate

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VersionDuplicate(RGMRecipeGroup obRecipeGroup, String strName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicated

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VersionDuplicated(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicatedRead

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicatedRead

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VersionDuplicatedRead(RGMRecipe obRecipe) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VersionDuplicateRead

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Events -> VersionDuplicateRead

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

VersionDuplicateRead(RGMRecipeGroup obRecipeGroup, String strName, long nNewNumber, Boolean bCancel) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RGMRecipeGroups-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

RGMRecipeGroups-Dynproperties


RGMRecipeGroups dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeGroups -> RGMRecipeGroups-Dynproperties -> RGMRecipeGroups dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_MEMFILE | StatusList | Identification état de recette | Configuration de l'identifiant d'état. Cliquez sur la propriété pour ouvrir la boîte de dialogue de configuration. Une liste d'états est utilisée lors de la sélection de l'état dans la recette. Plus de détails dans l'aide en ligne.


RGMRecipeValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "RGMRecipeValue" object is utilized by the "RGMRecipe" object, in order to define the characteristics.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub GetValuesOfRecipe(myRGMRecipe As RGMRecipe)
'Declarations
Dim zRGM_Value As RGMRecipeValue
Dim i As Integer

'enum all values of the recipe
For i = 0 To myRGMRecipe.ValueCount - 1
Set zRGM_Value = myRGMRecipe.ValueItem(i)
Debug.Print "Value: " & zRGM_Value.VarName & " = " & zRGM_Value.DynProperties("Value")
Next i

End Sub


RGMRecipeValue-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRGMRecipe | Parent | Parent of object | read only | read only | yes | yes
BSTR | VarName | Name of the Variable | read only | read only | yes | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipe

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarName

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Properties -> VarName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of the assigned variable.

Datatype

VarName() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RGMRecipeValue-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RGMRecipeValue-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

C++ Class CObWert


C++ Class CObWert

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeValue -> RGMRecipeValue-Dynproperties -> C++ Class CObWert

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I4 | Offset | - | Spécifie la méthode de zoom :TRUE &rarr; Le zoom est effectué par étapes prédéfiniesFALSE &rarr; Le zoom est effectué par pourcentage, spécifié par l'utilisateur dans la propriété dynamique ZoomFact
VT_I4 | SourceOffset | - | Si la propriété est définie sur 1, le filtrage est effectué sur la base des variables spécifiées dans la propriété dynamique SelVars. Dans le cas contraire (0), toutes les variables sont utilisées.
ZT_VARIABLE | SourceVar | - | Affiche la boîte de dialogue de sélection de programmes et de paramètres dans le Runtime, si la propriété est définie sur TRUE.
VT_BSTR | StringValue | - | Cette propriété vous permet d'obtenir/de définir la propriété "End function" d'une image par l'intermédiaire de l'identifiant de fonction unique.
VT_UI4 | Type | - | Affiche la boîte de dialogue de sélection d'imprimante dans le Runtime, si la propriété est définie sur TRUE.
VT_R8 | Value | - | Taille de l'image d'arrière-plan de l'élément de menu.Taille d'origine : L'image est affichée à sa taille d'origine. L'élément de menu est étiré à la taille de l'image.Étiré : L'image est étirée à la taille de l'élément de menu.Par défaut : Taille originaleExemple : Les menus doivent être utilisés dans un projet avec écran tactile. Par défaut, les paramètres du système d'exploitation sont utilisés pour définir la taille par défaut des différents éléments de menus. Toutefois, si l'image d'arrière-plan est utilisée à sa taille d'origine, la taille des entrées de menu peut être définie individuellement.
ZT_VARIABLE | Variable | - | Spécifie le moniteur sur lequel doit être affiché l'aperçu.


RGMRecipeVar

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object is utilized by the "RGMRecipeGroup" object, in order to define which Variable is assigned to it.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub GetVariablesOfGroup(myRGMGroup As RGMRecipeGroup)
'Declarations
Dim zRGM_Variable As RGMRecipeVar
Dim i As Integer

'enum all variables of the group
For i = 0 To myRGMGroup.VariableCount - 1
Set zRGM_Variable = myRGMGroup.VariableItem(i)
Debug.Print "Variable: " & zRGM_Variable.Name
Next i

End Sub


RGMRecipeVar-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Name of the Variable | read only | read only | yes | yes
IRGMRecipeGroup | Parent | Parent of object | read only | read only | yes | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of the assigned variable.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RGMRecipeGroup

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RGMRecipeVar-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RGMRecipeVar-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

C++ Class CObKanal


C++ Class CObKanal

Manuels -> Interfaces de programmation -> Modèles d'objet -> RGMRecipeVar -> RGMRecipeVar-Dynproperties -> C++ Class CObKanal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Filter

Filtre texte

Définit le filtre des variables.

Plus de détails dans l'aide en ligne

VT_BSTR

Interlocking

Verrouillage

Attribution d'un verrouillage à une variable. Sélectionnez le projet dans la liste déroulante.

Plus de détails dans l'aide en ligne

ZT_PICTURE

Keyboard

Synoptique clavier

Lien d'un synoptique de type Clavier devant être appelé par un clic gauche sur la variable pour saisir une valeur dans le Runtime. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Plus de détails dans l'aide en ligne

VT_R8

Max

Max

Disponible uniquement si la propriété Plages de la variable n'a pas été activée.

Valeur maximum de la variable.

Plus de détails dans l'aide en ligne

VT_R8

Min

Min

Disponible uniquement si la propriété Plages de la variable n'a pas été activée.

Valeur minimum de la variable.

Plus de détails dans l'aide en ligne

VT_I4

Offset

-

Cette propriété vous permet de déterminer si la propriété Forçage valeurs actif doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

RangeFromVar

Plages de la variable

Actif : Les valeurs limite définies sont dynamiquement dérivées de la variable, et ne sont pas définies de manière fixe dans le groupe de recettes.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE

ShadowVariable

Variable graphique

Les variables de sauvegarde permettent de modifier une valeur d'une recette du module RGM par le biais d'un synoptique dans le Runtime. Une variable de sauvegarde peut être définie pour chaque variable dans un groupe de recettes. Dans le Runtime, la variable du module RGM est remplacée par une variable de sauvegarde, via la fonction Groupes de recettes, avec l'action Write recipe value to shadow variable (Écrire les valeurs de la recette dans les variables de sauvegarde), puis réécrite, en cas de modification dans le module RGM, avec l'action Write shadow variable to recipe value (Écrire les variables de sauvegarde dans les valeurs de la recette).

Groupes de recettes

Cette fonction écrit, lit, copie, importe ou exporte la recette sélectionnée du module optionnel "Gestionnaire de groupes de recettes" (Recipe Group Manager, RGM). De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne

Cliquez sur le bouton pour afficher une boîte de dialogue de sélection des variables de sauvegarde. Chaque variable de sauvegarde peut uniquement être utilisée une fois par groupe de recettes.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE

Variable

-

Nom du fichier de sauvegarde.Par défaut : AAAA-MM-JJ_hh-mm-ss nom du projet.zip.

ZT_VARIABLE

VisibilityVar

Variable de visibilité

Sélectionnez une variable pour contrôler la visibilité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Plus de détails dans l'aide en ligne


RtFunction

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object is a zenOn function and contains the most important information about the function.A function can be accessed by a unique name, that has to be defined for it, or you can run through all functions by its index.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'########################################################################'
'# Procedure to change the properties of a function with replacing... #'
'# -------------------------------------------------------------------- #'
'# In the picture to show there are several linked variables, #'
'# beginning with 'Dummy/Dummy' this string will be replaced with the #'
'# given parameter 'strDest' and the function will be executed. #'
'########################################################################'
Sub ChangeFunction(strName As String, strDest As String)
Dim zFCT As RtFunction
Dim strTemp As String
Dim i As Integer

Set zFCT = thisProject.RtFunctions.Item(strName)
If zFCT Is Nothing Then
MsgBox "A function called: " & strName & " is missing!"
Exit Sub
End If
With zFCT
For i = 0 To CLng(.DynProperties("PictSwitch.SubstiVar")) - 1
strTemp = .DynProperties("PictSwitch.SubstiVar[" & i & "].Source")
strTemp = Replace(strTemp, "Dummy/Dummy", strDest)
.DynProperties("PictSwitch.SubstiVar[" & i & "].Destination") = strTemp
Next i
For i = 0 To CLng(.DynProperties("PictSwitch.SubstiFkt")) - 1
strTemp = .DynProperties("PictSwitch.SubstiFkt[" & i & "].Source")
strTemp = Replace(strTemp, "Dummy/Dummy", strDest)
.DynProperties("PictSwitch.SubstiFkt[" & i & "].Destination") = strTemp
Next i
End With
End Sub


RtFunction-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Actual |  | available | read only | yes | yes
VARIANT_BOOL | Client |  | available | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
BSTR | ParamString |  | read only | read only | yes | yes
IRtFunctions | Parent |  | read only | read only | yes | yes
VARIANT_BOOL | Server |  | available | read only | yes | yes
VARIANT_BOOL | StandBy |  | available | read only | yes | yes
long | Type |  | read only | read only | yes | yes
long | ID |  | read only | read only | yes | yes


Actual

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> Actual

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The function will be executed on the PC on which it was started.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />Only available in network projects!

Datatype

Actual() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Client

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> Client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The function will be executed on all clients of the project.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />Only available in network projects!

Datatype

Client() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property returns the name to identify the function. This name can be (but may not in earlier version) defined in the Editor on creating the function. The user has to define the name explicitely.This name has to be unique.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ParamString

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> ParamString

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the string wich is shown in the editor.

Datatype

ParamString() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As RtFunctions

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Server

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The function will be executed on the server of the project. <cs id="215" xmlns="http://www.authorit.com/xml/authorit" />Only available in network projects!

Datatype

Server() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StandBy

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> StandBy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The function will be executed on the standby server of the project. <cs id="215" xmlns="http://www.authorit.com/xml/authorit" />Only available in network projects!

Datatype

StandBy() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Type() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RtFunction-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
VARIANT_BOOL | Copy |  | available | not used | yes | yes
VARIANT_BOOL | CreateDynProperty |  | available | available | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
VARIANT_BOOL | Parameter |  | available | not used | yes | yes
VARIANT_BOOL | Start |  | not used | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Copy

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> Copy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Copies the settings of an existing function to the function object.

Datatype

Copy(IRtFunction pSource) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Existing function to be copied as object

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pSource As RtFunction

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CopyFunction()
Dim zFct As RtFunction
Dim zFctCopy As RtFunction
'get existing function
Set zFct = MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART")
'create new function
Set zFctCopy = MyWorkspace.ActiveDocument.RtFunctions.Create("TESTING", tpPicture)
'copy existing function settings to new one...
Debug.Print zFctCopy.Copy(zFct)
End Sub


CreateDynProperty

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

A new Subitem of the Function (i.e. Filter settings) can be created.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

DynProperty as String to be created.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create Function for TREND - PICTURE
Sub TrendFunction()
Dim zFCT As RtFunction
Dim i As Integer

'Get function
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Item("picTREND")
'function settings...
With zFCT
'check amount of 'PictFilter' subitems (normaly 1)
i = .DynProperties("PictFilter[-1]")
'if 0 (not exists) then create it...
If i = 0 Then .CreateDynProperty "PictFilter"
'change some settings
.DynProperties("PictFilter[0].RefreshRate") = 1

'enum CURVES
For i = 0 To CInt(.DynProperties("PictFilter[0].Curve[-1]")) - 1
'print curve settings
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].GraphName")
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarName")
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleTop")
Debug.Print .DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleBotton")
Next i
End With
End Sub


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Parameter

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> Parameter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Opens the dialog in the editor to configure the actual function.

Datatype

Parameter() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Start

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> Start

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method executes the function with its defined parameters (also the parameter 'with filter dialog').The parameters cannot be changed with VBA.

Datatype

Start() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RtFunction-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

RtFunction-Dynproperties

'Alarmgroup connection'

Alarming'

'Alarms : ackn. Flashing'

'Alarms/Groups/Classes'

'Authorization in network'

CFktBase

'Check maintanances'

'Client Simulation'

'Create IPA document'

'Driver Commands'

'EMS'

'Execute PFS event'

'Export alarms'

'Export archive'

'Export data'

'Fault location'

'File operations'

'Focus : Set'

'Graph7 Heuristics'

'Index archive'

'Language change'

'List of active archives'

'Login without password'

'Monitor assign'

'Open help'

'Overview window'

'Play sound-file'<br> 'Start program'

'Print a hard-copy'

'Print actual values'

'Print alarm- or CEL-list'

'Print Trend'

'Read dBase file'

'Read/Write time - variable'

'Recipegroup Manager'

'RecipeGroupManager'

'Reload'

'Report : execute'

'Runtime Profiles'

'SAT command activation'

'Save remanent data'

'Screen : Move center'

'Screen : Return to last'

'Screen switch'

'Screen with index'

'Script : execute/select online'

'Send a Message'

'Send value to hardware'

'Setpoint'

'Show menu'

Simulation image'

'Standard Recipe'

'Start SEA'

'Switch on/off online printing'

'Switch online printer'

Switch palette'

'Unit switch'

'VBA Execute Macro'

'VSTA Execute Macro'


RtFunction dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> RtFunction dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BOOL | IsDialogRT | - |
VT_BOOL | Activate | - |
VT_BSTR | Areas | - |
VT_BSTR | Classes | - |
VT_BSTR | Groups | - |
VT_BOOL | IsFilterRT | - |
CSystemModelFilter | SystemModelGroupFilter | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_UI4 | FunctionId | Numéro fonction |


CBatchCrCreateFunctionFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CBatchCrCreateFunctionFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I4 | CrNameCreation | - | Description sous forme de texte.
ZT_VARIABLE | CrNameCreationVar | - | Description sous forme de texte.
VT_I4 | IndividualJobIdLinkType | - | Description sous forme de texte.
ZT_VARIABLE | IndividualJobVariable | - | Description sous forme de texte.
VT_BOOL | LinkJobId | - | Description sous forme de texte.


CBatchCmdFuncFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CBatchCmdFuncFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I4 | StateCmd | - | Description sous forme de texte.
VT_I4 | StateCmdMode | - | Description sous forme de texte.


Alarming'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> Alarming'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CD_CAmlCelFilter | Filter | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CD_CAmlCelFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CD_CAmlCelFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | FileName | - | Spécifie combien de derniers batchs fermés doivent être affichés.Conseil : Uniquement disponible si la propriété dynamique LastCharge est définie sur 1.
VT_BSTR | VarFilter | - | Spécifie les limites de temps des batchs :0 &rarr; À l'extérieur : les batchs qui sont partiellement compris dans la limite de temps sont entièrement inclus.1 &rarr; À l'intérieur : les batchs qui sont partiellement compris dans la limite de temps ne sont pas inclus.2 &rarr; Depuis l'extérieur : les batchs qui ont démarré avant la limite de temps sont entièrement inclus. les batchs qui se sont terminés après la limite de temps ne sont pas inclus.3 &rarr; Vers l'extérieur : les batchs qui se sont terminés après la limite de temps sont entièrement inclus. les batchs qui ont démarré avant la limite de temps ne sont pas inclus.4 &rarr; Couper : on affiche les valeurs des batchs qui ont été enregistrées dans la limite de temps définie même si les batchs ne sont pas inclus complètement.Conseil : Uniquement disponible si la propriété dynamique LastCharge est définie sur 0.
VT_BSTR | FilterTitel | - | Spécifie la valeur minimale pour le filtrage de toutes les valeurs d'archive numériques et de leurs valeurs techniques entre les valeurs minimale et maximale spécifiées.Conseil : Uniquement disponible si la propriété dynamique Value (Valeur) est définie sur 1.
VT_BOOL | IsFilterRT | - | Spécifie la valeur maximale pour le filtrage de toutes les valeurs d'archive numériques et de leurs valeurs techniques entre les valeurs minimale et maximale spécifiées.Conseil : Uniquement disponible si la propriété dynamique Value (Valeur) est définie sur 1.
VT_BOOL | IsMatchCase | - | Tri des entrées d'archive affichées :0 &rarr; Heure : tri de toutes les entrées selon la date et l'heure1 &rarr; Variable : tri selon le nom de variable2 &rarr; Pas de tri
VT_BOOL | IsFromFiles | - | Obtient ou définit une variable (objet Variable) devant être utilisée pour sélectionner la recette par son nom ou son numéro.
VT_BOOL | IsReadAll | - | Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.
VT_BOOL | IsAutoName | - | Affiche la boîte de dialogue de configuration de recette dans le Runtime, si la propriété est définie sur TRUE.
VT_BOOL | IsAML | - | Lit les informations à partir du chemin de sauvegarde, si la propriété est définie sur TRUE.
VT_BOOL | IsDBASE | - | Si cette propriété est définie sur TRUE, elle autorise uniquement la sélection d'une recette dans le Runtime ; contrairement à la propriété IsRecOnly, elle n'autorise pas la configuration de la recette.Conseil : uniquement disponible si la propriété dynamique IsFillerRT est définie sur 1.
VT_BOOL | IsXML | - | Si cette propriété est définie sur TRUE, elle autorise uniquement la sélection d'une recette dans le Runtime ; contrairement à la propriété IsRecOnly, elle n'autorise pas la configuration de la recette.Conseil : uniquement disponible si la propriété dynamique IsFillerRT est définie sur 1.
VT_BOOL | IsRelationTime | - | Définit le mode de la recette.0 &rarr; Exécuter la recette1 &rarr; Dupliquer et lire2 &rarr; Lire la recette3 &rarr; Exporter la recette4 &rarr; Importer la recette5 &rarr; Dupliquer
VT_BOOL | IsUnicode | - | Si elle est définie sur TRUE, un nom sera automatiquement généré pour le fichier d'exportation file (propriété dynamique Mode, option 3).
VT_BOOL | IsFilterExp | - | Nom de la table dans la base de données du module Industrial Performance Analyzer (IPA).Si elle n'existe pas déjà, cette table est créée automatiquement lors du premier démarrage du Runtime.
VT_BOOL | IsAcknowledged | - | Obtient ou définit le nom du synoptique appelé.
VT_UI2 | EntriesCount | - | Définit le moniteur sur lequel le synoptique est affiché.-2 &rarr; Selon le demandeur0 &rarr; Écran 0 (écran par défaut)1 &rarr; Écran 1 (uniquement pour les projets multi-moniteurs)... &rarr; etc.
ZT_SCHRIFT | Font | - |
VT_BSTR | Classes | - | Définit le mode de transfert lors pour l'envoi de messages. Les types de messages suivants sont pris en charge :1 &rarr; E-mail3 &rarr; Téléphone4 &rarr; Pager (radiomessagerie) / SMS5 &rarr; SMS GSM6 &rarr; Téléphone (voix)
VT_BSTR | Groups | - | Spécifie le texte d'en-tête positionné dans le coin supérieur gauche de la page.Conseil : Pour plus d'informations, reportez-vous à la rubrique consacrée à la propriété dynamique FootLeft.
VT_BSTR | Projekts | - | Spécifie le texte d'en-tête positionné dans le coin supérieur droit de la page.Conseil : Pour plus d'informations, reportez-vous à la rubrique consacrée à la propriété dynamique FootLeft.
VT_BSTR | ResString | - | Vide : Le chemin standard est utilisé pour l'enregistrement de la liste d'alarmes (AML), de la liste chronologique d'événements (CEL), des données de disque dur, des données d'archives, etc. (chemin du projet\nom de l'ordinateur\nom du projet).Chemin : Le chemin saisi ici est utilisé pour l'enregistrement des données (chemin saisi\nom de l'ordinateur\nom du projet).ATTENTION : Si le chemin saisi n'existe pas (incidents réseau, carte mémoire manquante), les données seront perdues sans avertissement !
ZT_ZEIT | IncTime | - | Définit le texte du pied de page inséré dans le coin inférieur droit de la page.Conseil : Pour plus d'informations, reportez-vous à la rubrique consacrée à la propriété dynamique FootLeft.
VT_UI2 | mSeconds | - | Spécifie le titre pour l'impression de la tendance étendue.
CD_CZeitFilter | TimeFilter | - | Cette propriété vous permet d'obtenir/de définir l'identifiant d'une variable à partir d'un élément de structure. Cet identifiant est 0 lorsque la variable ne comporte aucun type de données de structure.
CD_CAmlCelListInfo | ListInfo | - | Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de hauteur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.
VT_BSTR | ProjectNames | - | Active (TRUE) : L'exécution de la fonction n'est pas terminée tant qu'une confirmation de l'écriture n'est pas reçue ou tant que le délai d'attente avant expiration fixe de 30 secondes n'est pas écoulé.Dans les scripts, ceci permet de s'assurer que la fonction suivante n'est pas exécutée tant que celle-ci n'est pas terminée.La confirmation peut aussi être évaluée par le bit d'état WR-SUC.Inactive (FALSE) : N'attend pas la confirmation d'écriture.
VT_BOOL | IsAscentOnly | - | Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.
CTextFilter | TextFilter | - | Cette propriété vous permet d'obtenir des informations concernant la variable liée à la propriété Modifier la largeur. Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.
VT_BOOL | NeedComment | - |
VT_BOOL | IsGoneOnly | - |
VT_BSTR | Areas | - |
CSystemModelFilter | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_BOOL | IsIncremental | - |
CRelPicItem | RTMDIFilterScreen | - |
VT_BOOL | IsSQL | - |
VT_BSTR | SQLBase | - |
VT_BSTR | SQLTable | - |
CStatusFilter | StatusFilter | - |


'Alarms : ackn. Flashing'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Alarms : ackn. Flashing'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CD_CBildumschaltung | PictSwitch | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CD_CBildumschaltung-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CD_CBildumschaltung-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | ProjectName | - | Spécifie le texte d'en-tête (intitulé de colonne) pour l'option Nom complet (propriété dynamique Entry (Entrée), option K).
VT_BSTR | Picture | - | Spécifie le texte d'en-tête (intitulé de colonne) pour l'option ClassNr (propriété dynamique Entry (Entrée), option J).
VT_I2 | Monitor | - | Uniquement disponible dans les synoptiques de type Clavier.Texte du bouton pour la première ligne, sans raccourci-clavier.Le caractère est indiqué, et le caractère suivant est souligné dans le Runtime. Pour afficher le caractère, saisissez-le deux fois.
VT_BOOL | IsFilterRT | - | Uniquement disponible dans les synoptiques de type Clavier.Texte du bouton de la première ligne, avec touche AltGr.Le caractère est indiqué, et le caractère suivant est souligné dans le Runtime. Pour afficher le caractère, saisissez-le deux fois.
VT_BOOL | IsMonScroll | - | Uniquement disponible dans les synoptiques de type Clavier.Texte du bouton de la deuxième ligne, avec touche Maj.Le caractère est indiqué, et le caractère suivant est souligné dans le Runtime. Pour afficher le caractère, saisissez-le deux fois.
VT_UI4 | WndType | - | Seuls les utilisateurs possédant le niveau d'utilisateur correspondant peuvent modifier les entrées de la base de données du module Industrial Performance Analyzer (IPA).
CSubsti | SubstiVar | - | Actif : L'exécution de la fonction avec cette recette n'est pas terminée tant qu'une confirmation de l'action d'écriture n'est pas reçue ou tant que le délai d'attente défini n'est pas écoulé.Dans les scripts, ceci permet de s'assurer que la fonction suivante n'est pas exécutée tant que celle-ci n'est pas terminée.La confirmation peut aussi être évaluée avec le bit d’état WR-SUC.Inactif : N'attend pas la confirmation d'écriture.Par défaut : inactif.
CSubsti | SubstiFkt | - | Local : Dans les projets en réseau, la variable interne est évaluée et/ou gérée localement, c'est-à-dire sur le client.Ceci signifie que la valeur de la variable peut être différente sur chaque client, et que les valeurs limite sont également évaluées localement.Réseau : Dans les projets en réseau, la variable interne est évaluée et/ou gérée sur le serveur du projet. Elle a la même valeur sur le serveur et tous les clients.Par défaut : local.
VT_BOOL | CaseSensitive | - |
CProjektVariableProp | IndexVar | - |
CIndexSubsti | IndexSubstitution | - |
CIndexSubsti | ALCSubstitution | - |


'Alarms/Groups/Classes'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Alarms/Groups/Classes'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | Action | - | Spécifie les niveaux de zoom.Conseil : uniquement disponible si la propriété dynamique ZoomType est définie sur 3.
VT_UI2 | ActionType | - | Spécifie le facteur de zoom en pourcentage.Conseil : uniquement disponible si la propriété dynamique ZoomType est définie sur 1.
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI2 | Index | - | Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.


'Alarmgroup connection'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Alarmgroup connection'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BOOL | IsAdvise | - | Si elle est définie sur 1, active le filtrage des batchs. Dans le cas contraire (0), les paramètres de la propriété dynamique spécifique au filtrage de batchs seront ignorés.
VT_I2 | GroupNr | - | Nom du batch devant être identifié par le filtre. Par défaut : * (Tous les batchs dans la limite de temps)Liste de batchs : Batch1|Batch2Conseil : Uniquement disponible si la propriété dynamique LastCharge est définie sur 0.
VT_BSTR | GroupName | - | Si elle est définie sur 1, les derniers batchs fermés (spécifiés par la propriété dynamique "Count") sont affichés.Dans le cas contraire (0), les batchs seront sélectionnés en fonction des limites de temps spécifiées.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


Simulation image'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> Simulation image'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CDrvProperty | Drivers | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CDrvProperty-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CDrvProperty-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Description | - |
VT_BSTR | FileName | - |


'Print alarm- or CEL-list'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Print alarm- or CEL-list'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CD_CAmlCelFilter | Filter | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Export alarms'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Export alarms'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CD_CAmlCelFilter | Filter | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Open help'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Open help'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | CHMFile | - | Affiche la boîte de dialogue de configuration dans le Runtime, si la propriété est définie sur TRUE.
VT_BSTR | HTMFile | - | Groupe logique de la variable système.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Reload'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Reload'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BOOL | IsAll | - | Si l'élément est connecté à plusieurs sources actives, le type d'écran peut être défini ici.Cette fonction est uniquement disponible dans la version Energy Edition du système de contrôle.La fonction de coloration automatique des lignes (ALC) doit être activée. Affichage de sources multiples :La source la plus prioritaire : seule la couleur de la source la plus prioritaire est utilisée.Les deux sources les plus prioritaires : Les différentes couleurs des deux sources dont la priorité est la plus élevée sont affichées sous forme de trait tireté.Par défaut : source la plus prioritaire.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


Switch palette'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> Switch palette'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | PaletteName | Nom palette | Nom de la palette. Par défaut : Palette de couleur suivi d'un numéro d'indice, par exemple Palette de couleur 1. Plus de détails dans l'aide en ligne.
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BOOL | IsDialogRT | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Language change'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Language change'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | FileName | - | Spécifie le texte d'en-tête (intitulé de colonne) pour l'option GroupNr (propriété dynamique Entry, option I).
VT_BSTR | RDLDirectory | - | Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Texte du troisième message affiché dans la ligne d'état dans le Runtime. Ce message est affiché en caractères blancs sur fond bleu.
VT_BSTR | GraphicsDirectory | - | Uniquement active si une fonction de type Source ou Transformateur est sélectionnée :Sélection de la source/du transformateur lié.
VT_BSTR | FontList | - | Disponible uniquement dans les projets réseau :sélectionnez les ordinateurs sur lesquels sera exécutée la fonction.
VT_BSTR | FileDirectory | - | Indisponible pour les actions Bloquer, Envoi valeur, Verrouiller et :Définit la valeur attendue et/ou l'état de la variable de réponse après l'exécution de l'action.Aucune : La variable de commande n'est pas modifiéeOFF : La variable de commande est définie sur 0.ON : La variable de commande est définie sur 1.Par défaut : ON.
VT_BSTR | MediaDirectory | - | Texte de légende de l'axe.
VT_BSTR | HelpDirectory | - | Si la propriété est définie sur TRUE, la courbe sélectionnée est affichée. Dans le cas contraire, la courbe et l'axe Y seront masqués.Conseil : Pour afficher uniquement l'axe Y, veuillez utiliser la propriété dynamique HasYAxis.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Index archive'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Index archive'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | ArvBackup | @Utiliser le répertoire de sauvegarde@ | Position de la variable dans la structure.
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | ArvName | - | Uniquement disponible dans les synoptiques de type Clavier.Texte du bouton de la première ligne, avec touche Ctrl.Le caractère est indiqué, et le caractère suivant est souligné dans le Runtime. Pour afficher le caractère, saisissez-le deux fois.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'List of active archives'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'List of active archives'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | ArvName | - | Uniquement disponible dans les synoptiques de type Clavier.Texte du bouton de la première ligne, avec touche Ctrl.Le caractère est indiqué, et le caractère suivant est souligné dans le Runtime. Pour afficher le caractère, saisissez-le deux fois.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Export archive'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Export archive'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CD_CArchivExportFilter | Filter | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CD_CArchivExportFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CD_CArchivExportFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsUnicode | - | Uniquement disponible dans les synoptiques de type Clavier.Texte du bouton pour la deuxième ligne, sans raccourci-clavier.Le caractère est indiqué, et le caractère suivant est souligné dans le Runtime. Pour afficher le caractère, saisissez-le deux fois.
VT_BSTR | Name | - | Uniquement disponible dans les synoptiques de type Clavier.Texte du bouton de la deuxième ligne, avec touche Ctrl.Le caractère est indiqué, et le caractère suivant est souligné dans le Runtime. Pour afficher le caractère, saisissez-le deux fois.
VT_BSTR | ArvName | - | Uniquement disponible dans les synoptiques de type Clavier.Texte du bouton de la deuxième ligne, avec touche AltGr.Le caractère est indiqué, et le caractère suivant est souligné dans le Runtime. Pour afficher le caractère, saisissez-le deux fois.
VT_BSTR | Format | - | Nom de la table de la base de données associée à l'historique.
VT_BOOL | IsFilterRT | - | Niveau d'autorisation utilisateur requis pour supprimer des données de la base de données.
VT_UI1 | Backup | - | Le nom de la table de la base de données associée aux documents.
VT_BSTR | ResString | - | Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Police utilisée pour la ligne d'état dans le Runtime.
CD_CZeitFilter | TimeFilter | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | Database | - | Filtres des noms de variables, dans lesquels les messages du système sont masqués, car non liés à une variable.Des opérateurs peuvent être utilisés ici. Par défaut : &rarr; * (toutes les variables)
VT_BSTR | DBTable | - | Filtres d'identification des variables, dans lesquels les messages du système sont masqués, car non liés à une variable.Des opérateurs peuvent être utilisés ici. Par défaut &rarr; *
VT_BOOL | IsMatchCase | - |


CFktBase

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CFktBase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Screen switch'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Screen switch'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | Picture | - | Spécifie le texte d'en-tête (intitulé de colonne) pour l'option ClassNr (propriété dynamique Entry (Entrée), option J).
VT_UI4 | WndType | - | Seuls les utilisateurs possédant le niveau d'utilisateur correspondant peuvent modifier les entrées de la base de données du module Industrial Performance Analyzer (IPA).
CD_CBildumschaltung | PictSwitch | - |
CD_CHtmlFilter CD_CKeyboardFilter CListenFilter CVideoFilter CDWeltZoomPara CD_CArchEditFilter CDiagram CVarStatusFilter CD_CAmlCelFilter CRezepturFilter CFPMFilter CD_CTabellenFilter | PictFilter | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CD_CHtmlFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CD_CHtmlFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsFilterRT | - | Distance verticale (en pixels) de l'élément sélectionné pour la position alternative du clavier automatique.Par défaut : 2.
VT_BSTR | URLSearch | - | Distance verticale (en pixels) de l'élément sélectionné pour la position préférée du clavier automatique.Par défaut : 2.
VT_BSTR | URLBrowse | - | Code de la fonction.
VT_UI2 | IdxSearch | - | Identifiant du client.
VT_UI2 | IdxBrowse | - | Le message a été envoyé


'Focus : Set'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Focus : Set'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CD_CSetFocus | Focus | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CD_CSetFocus-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CD_CSetFocus-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Direction | - | Les propriétés UserLevel vous permettent d'obtenir/de définir les groupes d'autorisation sélectionnés par l'intermédiaire d'une valeur longue. La valeur des groupes d'autorisation sélectionnés est répartie dans quatre propriétés. Par exemple : Les niveaux d'autorisation sélectionnés 0, 1 et 2 possèdent une valeur UserLevel0 de 7 (1+2+4).
VT_BOOL | IsOnElement | - | Uniquement disponible si le nom d'équipe n'est pas issu du module Production & Facility Scheduler (PFS) :Des noms d'équipe peuvent être attribués aux valeurs d'une variable liée.
VT_BSTR | IsElementName | - | Valeur longue définissant les touches de la propriété Combinaison de touches de l'élément combiné. Cette propriété est disponible lorsqu'une variable booléenne est liée à l'élément.


'Show menu'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Show menu'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_I2 | ActionType | - |
VT_BOOL | FilterInRT | - |
VT_BSTR | MenuName | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Screen : Move center'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Screen : Move center'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | Picture | - | Propriétés de la conception graphique du Runtime.
CD_CBildumschaltung | PictSwitch | - |
CDBildMittelPunktPara | MidParameter | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CDBildMittelPunktPara-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CDBildMittelPunktPara-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Type | - | Disponible uniquement si un symbole de cadenas doit être affiché :Couleur de remplissage du symbole de cadenas.
VT_BSTR | Station | - | Disponible uniquement si un symbole de cadenas doit être affiché :Couleur de ligne du symbole de cadenas.
VT_I2 | X | - | Propriétés du symbole de cadenas.Le symbole de cadenas est utilisé pour indiquer les éléments verrouillés par un niveau d'autorisation ou un verrouillage.
VT_I2 | Y | - | Propriétés de connexion des utilisateurs.
VT_I2 | ZoomType | - | Si la propriété est définie sur TRUE, affiche l'axe Y pour la courbe correspondante. Dans le cas contraire (FALSE), l'axe Y est masqué.
VT_I2 | ZoomPercent | - | Propriétés de visibilité de l'élément.
VT_I2 | ZoomLevel | - | Actif : Si cette option est cochée, la valeur de la variable de réponse est identique à celle de la direction de commutation devant être mise en œuvre. Si c'est le cas, un message de verrouillage déverrouillable est affiché dans la ligne de commande.Inactif : La direction de commutation n'est pas vérifiée.(Par défaut) Inactif :


'Monitor assign'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Monitor assign'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_I2 | SrcNum | - | La variable bit liée ici déclenche l'attribution. Si aucune variable n'est liée, l'attribution est exécutée de manière événementielle. Cela signifie que dès que la valeur de la variable source change, l'attribution est automatiquement écrite dans la variable cible.Ouvre la boîte de dialogue de sélection de variables ; seules les variables de bit sont affichées.
VT_I2 | DstNum | - | Front : L'attribution est exécutée chaque fois que la valeur de la variable de déclenchement liée change de 0 en 1.État : L'attribution est exécutée tant que la valeur de la variable de déclenchement liée est 1.Par défaut : Front.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Overview window'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Overview window'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
COverviewInfo | OverviewInfo | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


COverviewInfo-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> COverviewInfo-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Type | - | Disponible uniquement dans SAT230 :
VT_I2 | Action | - | Spécifie le nom du modèle devant être affichée dans l'aperçu.
VT_UI4 | Style | - | Propriétés uniquement disponibles si le module Coloration automatique des lignes (CAL) comporte une licence :Propriétés de la fonction CAL.
VT_UI4 | Color1 | - | Propriétés des coins arrondis.
VT_UI4 | Color2 | - | La boîte de dialogue de définition des états est ouverte.
VT_UI4 | Color3 | - | Spécifie les paramètres des opérations sur fichier.
VT_UI4 | Color4 | - | Spécifie les paramètres d'impression physique.
VT_I4 | PosLeft | - | Si la propriété est définie sur 1, le filtrage est effectué sur la base des états spécifiés dans la propriété dynamique SelStates. Dans le cas contraire (0), le filtrage en fonction de l'état est ignoré.
VT_I4 | PosTop | - | Synoptique d'arrière-plan pour l'entrée de menu.
VT_I4 | PosRight | - | Propriétés de l'action devant être exécutée avec l'entrée de menu.
VT_I4 | PosBottom | - | Disponible uniquement dans SAT230 :Propriétés de la gestion d'alarmes du synoptique.


'Screen with index'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Screen with index'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | Variable | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Screen : Return to last'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Screen : Return to last'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | Templates | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Check maintanances'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Check maintanances'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | TimeSpan | - |
CPlantStatusVar | VarList | - |
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CPlantStatusVar-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CPlantStatusVar-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Plants | - |
ZT_VARIABLE | ProjectVar | - |


'Print Trend'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Print Trend'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
CDiagram | Diagram | - |


CDiagram-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CDiagram-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsQuantityAct | - |
VT_BOOL | IsDateAct | - |
VT_BOOL | IsUnitsAct | - |
VT_BOOL | IsHeaderAct | - |
VT_BOOL | IsStdDevAct | - |
VT_BOOL | IsSumAct | - |
VT_BOOL | IsVarAct | - |
VT_BOOL | IsValueAct | - |
VT_BOOL | IsValueDiffAct | - |
VT_BOOL | IsTimeDiffAct | - |
VT_I2 | QuantityWidth | - |
VT_I2 | StdDevWidth | - |
VT_I2 | SumWidth | - |
VT_I2 | ValueDiffWidth | - |
VT_I2 | TimeDiffWidth | - |
CMsgQueueListConf | ListConfig | - |
VT_I2 | DataSource | - |
VT_UI4 | DelayRefresh | - | Indisponible pour l'action Verrouillage ou si aucun synoptique de commande n'est sélectionné :Attribution de l'action à un bouton d'action défini dans un synoptique Alimentation.Si le verrouillage de commande est utilisé avec un autre synoptique (par exemple, avec une fonction), l'attribution au bouton d'action n'est pas supprimée. Si aucun bouton correspondant n'est disponible, l'action n'est pas disponible dans le synoptique.Dans la liste de sélection, seuls les boutons d'action sans lien sont affichés.Par défaut : aucun.
VT_UI4 | XYStart | - | Uniquement disponible pour les exécutions en deux étapes :Actif : L'élément de contrôle Execute 2 peut uniquement être actionné lorsque la touche Ctrl est enfoncée.Inactif : L'élément de contrôle peut toujours être actionné.(Par défaut) Inactif :
VT_I4 | BordLeft | - | Disponible uniquement pour l'action "Commande simple" :Après ce délai en millisecondes, la variable de commande est réinitialisée avec une commande unique.Minimum : 0.Maximum : 4294967295.Par défaut : 1000.ATTENTION : Aucune attente tant que le délai d'attente avant expiration de la commande de surveillance est en cours.
VT_I4 | BordTop | - | La substitution d'indices est sensible à la casse si cette propriété est définie sur TRUE.
VT_I4 | BordRight | - | Accède aux variables attribuées pour la substitution d'indices.
VT_I4 | BordBottom | - | Remplace les indices.
VT_I2 | ScrollWidth | - | Le nom de la variable qui doit remplacer la source.
VT_R4 | RefreshRate | - | Actif : Avant que la valeur de la variable soit écrite dans l'équipement, le système de contrôle s'assure que la variable contenue dans l'équipement est prête pour cette action. (=Select before operate/SBO)Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable. (=Exécution directe)Par défaut : inactif.ATTENTION : cette fonction est uniquement prise en charge par les drivers IEC.
VT_UI4 | HGColor | - | Actif : En déplaçant la souris en maintenant le bouton gauche de la souris enfoncé, il est possible de sélectionner plusieurs éléments dans le Runtime. Une macro VBA peut ensuite accéder à ces éléments.Inactif : La fonction lasso n'est pas utilisée.(Par défaut) Inactif :ATTENTION : Ceci est uniquement vrai pour les éléments accessibles à l'aide du clavier et liés à une variable. Les éléments statiques simples ne sont pas sélectionnés.
VT_UI4 | GridColor | - | Nom de variable et/ou masque de remplacement de la variable de réponse.Une astérisque (*) peut être utilisée comme opérateur pour le texte de remplacement. Un seul opérateur peut être utilisé pour chaque nom. Lors de la définition du masque, vous devez veiller à ce que ce nom doit une vraie variable, après le remplacement.Si la variable utilisée ici (variable de remplacement ou absolue) n'existe pas lors de la création des fichiers de Runtime, le verrouillage de commandes n'est pas disponible dans le Runtime. Un message correspondant vous informera de cette erreurs lors de la création des fichiers du Runtime.Saisie directe ou ouverture de la boîte de dialogue de sélection de variables.
VT_I2 | DateWidth | - | Définit le mode d'accès au chemin de la source pour la fonction d'activation de fichier.0 = chemin absolu1 = chemin relatif depuis le répertoire du Runtime du projet 2 = chemin relatif depuis le répertoire de données du Runtime du projet (nom du répertoire identique au nom de l'ordinateur)
VT_I2 | VarWidth | - | Lors de la sélection de l'élément dans le Runtime, le clavier est affiché.Lors de la sélection d'un champ de saisie libre dans le Runtime, le synoptique de clavier DIALOGKBD est affiché, s'il est disponible.Par défaut : active
VT_I2 | ValueWidth | - | Obtient/définit la classe d'alarmes liée à une valeur limite.
VT_I2 | UnitsWidth | - | Obtient/définit le groupe d'alarmes d'une valeur limite.
VT_I2 | StateWidth | - | Classe d'alarmes pour l'entrée de domaine.
VT_I2 | StatusWidth | - | Numéro du domaine d'alarme.
VT_I2 | MinWidth | - | L'entrée de zone est supprimée.
VT_I2 | MWWidth | - | Position verticale du clavier automatique dans la position souhaitée.
VT_I2 | MaxWidth | - | Position horizontale du clavier automatique dans la position souhaitée.
VT_BOOL | IsStateAct | - | Crée une nouvelle entrée pour le domaine d'alarmes.
VT_BOOL | IsStatusAct | - | Verrouillage valide pour la variable de recette du groupe.
VT_BOOL | IsMinAct | - | Synoptique de clavier affiché pour cette variable de recette dans le Runtime en cas de changement de valeur.
VT_BOOL | IsMWAct | - | Délai d'attente entre deux tentatives [min].
VT_BOOL | IsMaxAct | - | Niveau de détail des entrées dans la liste CEL.0 = toutes les confirmations1= uniquement les confirmations positives2= uniquement les confirmations négatives3= aucun acquittement
VT_UI2 | Font | - | Le message est envoyé
VT_BOOL | IsArchive | - | Acquittement requis.
VT_BOOL | IsBorder | - | Erreur lors de l'envoi.
VT_BOOL | IsExponent | - | Nombre de tentatives.
VT_BOOL | IsBackup | - | Activer le module de gestion de messages au démarrage du Runtime.TRUE= module de gestion de messages activéFALSE= module de gestion de messages désactivé
VT_BOOL | IsXAxis | - | Compteur de cycles
VT_BSTR | Name | - |
CTrendPrintData | PrintData | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
CZeitAchse | TimeAxe | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CKurve | Curve | - | Cette propriété renvoie l'état d'une variable.
CXAchse | XAxe | - | Le type de démarrage définit si et comment le Runtime de STRATON sera démarré avec le Runtime du système de contrôle.Démarrage automatique : Le Runtime de STRATON est démarré avec le Runtime du système de contrôle. Si le Runtime du système de contrôle est arrêté, le Runtime de STRATON continue à s'exécuter.Arrêt / Démarrage automatique : Le Runtime de STRATON est démarré avec le Runtime du système de contrôle. Si le Runtime du système de contrôle est arrêté, le Runtime de STRATON est également arrêté.Démarrer manuellement : Aucune action n’est exécutée sur le Runtime de STRATON en cas de démarrage ou d'arrêt du Runtime du système de contrôle. Dans ce cas, le Runtime de STRATON doit être démarré manuellement (par exemple, via le programme STRATON Runtime Manager).Par défaut : démarrage/Arrêt automatiques
VT_BOOL | IsDeltaData | - | Description sous forme de texte.
VT_BOOL | IsSortData | - | Description sous forme de texte.


'EMS'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'EMS'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | EMSNet | - |
VT_BSTR | EMSArea | - |
VT_BOOL | EMSIsGas | - |
VT_BSTR | EMSAlgo | - |
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Fault location'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Fault location'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_COLOR | SourceBackground | - |
ZT_COLOR | SourceColor | - |
VT_I2 | SourceID | - |
CProjektVariableProp | Vars | - |
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CProjektVariableProp-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CProjektVariableProp-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | Title | - | Décalage de l'élément structurel dans la structure.


'Graph7 Heuristics'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Graph7 Heuristics'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_VARIABLE | ComBlock | - |
ZT_VARIABLE | DestVar | - |
VT_BSTR | G7File | - |
VT_BSTR | ZuliFile | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Create IPA document'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Create IPA document'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CD_CAsmFilter | Filter | - |
VT_BSTR | Filename | - |
VT_BOOL | ToFile | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CD_CAsmFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CD_CAsmFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
CAsmDBConnection | DBConnection | - |
VT_BOOL | ShowFilter | - |
VT_BOOL | ShowRaster | - |
CAsmFilterCriteria | SubFilter | - |
CD_CAsmListConfig | ListConfig | - |


'Send a Message'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Send a Message'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CD_CMessageFilter | Filter | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CD_CMessageFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CD_CMessageFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | MsgType | - | Disponible uniquement si la fonction de gestion des alarmes est active.La boîte de dialogue de définition des domaines d'alarmes s'affiche.
VT_UI2 | UserType | - | Actif : les messages du système sont imprimés lors de l'impression en ligne.Inactif : les messages du système ne sont pas imprimés lors de l'impression en ligne.Par défaut : active
VT_BSTR | GUID | - | Uniquement disponible si la liste chronologique d'événements est active :Actif : Lorsque la liste CEL est ouverte dans le Runtime, les nouvelles entrées sont ajoutées immédiatement, dès qu'elles se produisent.Inactif : lorsque la liste CEL est ouverte, aucune nouvelle entrée n'est ajoutée. Les nouvelles entrées sont ajoutées lors de la prochaine ouverture de la liste CEL.Par défaut : active
ZT_VARIABLE | Var | - | Cette propriété renvoie l'identifiant d'une matrice de réaction.
VT_BOOL | IsTextDlg | - | Cette propriété n'a d'importance que lorsqu'elle est associée aux types de démarrage de Runtime Démarrage autom. et Démarrage/arrêt autom.Actif : Si le Runtime de STRATON génère des messages d'erreur, ceux-ci sont enregistrés dans un fichier.Inactif : Si le Runtime de STRATON génère des messages d'erreur, ceux-ci ne sont pas enregistrés.(Par défaut) Inactif :ATTENTION : L'écriture de les fichiers journaux peut influencer le cycle de l'automate !
VT_BOOL | IsDynLimits | - | Actif : Les données présentes sur le disque dur sont enregistrées.Inactif : Les données présentes sur le disque dur ne sont pas enregistrées.Par défaut : active
VT_BOOL | IsUseVariable | - | Propriétés du module Workbench de STRATON.
VT_BSTR | ConstText | - | Obtient ou définit le nom du fichier devant être affiché.
VT_BSTR | HeaderFile | - | Si cette propriété est définie sur TRUE, le fichier ne peut pas être modifié dans le Runtime.
VT_BSTR | WaveFile | - | Nom du fichier à sauvegarder.
VT_BSTR | ErrorFile | - | Spécifie à qui le message doit être envoyé :2 &rarr; Groupe3 &rarr; Destinataire6 &rarr; Équipe actuelle
VT_BOOL | IsResign | - | Contrôle la vitesse de la vidéo. (Par défaut : 1000)
VT_I2 | ResignTime | - | Obtient ou définit le GUID du groupe ou du destinataire (en fonction de la propriété dynamique UserType) devant être informé.
VT_I4 | OldUserId | - | Active (TRUE) : La valeur est lue sur le matériel et ensuite proposée par défaut ou directement envoyée au matériel.En outre, pour les variables numériques, la propriété dynamique NumValue devient une nouvelle fonction, car la valeur saisie ici est ajoutée à la valeur par défaut (ou soustraite, dans le cas d'une valeur négative). Inactive (FALSE) : La valeur définie dans la propriété dynamique NumValue est proposée comme valeur par défaut ou directement envoyée au matériel.
VT_BSTR | AckCode | - |
VT_BSTR | AcknowledgeFunctions | - |
VT_BSTR | NegativeAcknowledgeFunctions | - |
VT_BOOL | AttachmentFromVar | - |
VT_BSTR | AttachmentName | - |
ZT_VARIABLE | AttachmentVar | - |
VT_BOOL | DestinationFromVariable | - |
ZT_VARIABLE | DestinationVar | - |
VT_BSTR | MessageContent | - |
VT_BSTR | NackCode | - |
VT_BSTR | AcknowledgeTimeOutFunctions | - |
VT_UI2 | MsgTypeStyle | - |
VT_BOOL | UseFuncCodes | - |


CSystemModelFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CSystemModelFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Client Simulation'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Client Simulation'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_I4 | SimulCmd | Type de simulation |
VT_BOOL | SimulErrMsg | Afficher les messages d'erreur en runtime |
VT_BSTR | SimulName | Nom image de simulation |
VT_BOOL | SimulRtDlg | Ouvrir dialogue en runtime |


'Authorization in network'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Authorization in network'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CD_CFktToken | Token | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CD_CFktToken-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CD_CFktToken-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Token | - | Distance entre le bord inférieur de l'élément de contrôle et l'axe X (origine 100% - axe Y). ATTENTION : espace pour la légende à droite de l'axe Y avec la police utilisateur configurée.


'Switch on/off online printing'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Switch on/off online printing'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_UI1 | Action | - | Uniquement disponible si le module Coloration automatique des lignes (CAL) comporte une licence :Type de fonction de l'élément :Évacuation : Ce type de fonction n'a aucune incidence sur la coloration, mais si elle est alimentée, la fonction peut être évaluée à l'aide d'une macro VBA.Lien : les informations de la fonction Coloration automatique des lignes sont transférées d'un lien source vers un lien cible.Aucune fonction : l'élément ne comporte aucune fonction dans le module Coloration Automatique des Lignes.Source : une source active transmet sa couleur à la ligne/au tube connecté.Interrupteur/vanne: la couleur est transmise à la ligne suivante si la vanne est ouverte ou l'interrupteur est fermé, et si cet élément est alimenté par une source.Transformateur : si l'élément est alimenté, il transforme une source (couleur) en une autre.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Switch online printer'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Switch online printer'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BOOL | IsDialogRT | - |
VT_BSTR | Printer | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Execute PFS event'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Execute PFS event'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CFPUserEventFilter | Filter | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CFPUserEventFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CFPUserEventFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | EventID | - | Tracer la suppression manuelle des messages dans la liste des événements


'Login without password'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Login without password'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | Alias | - | Distance entre le bord inférieur de l'élément de contrôle et l'axe X (origine 0% - axe Y). ATTENTION : espace pour deux lignes de légende de l'axe X avec la police utilisateur configurée.
VT_BOOL | Userflag | - |
ZT_VARIABLE | Variable | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CReportViewerFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CReportViewerFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
CBatchRecipeFilterReportViewer | BatchFilter | - | Description sous forme de texte.
VT_BSTR | Fct_Filename | - | Description sous forme de texte.
VT_BOOL | Fct_NameFromVar | - | Description sous forme de texte.
VT_BOOL | Fct_OverwriteFile | - | Description sous forme de texte.
VT_I4 | Fct_RenderDo | - | Description sous forme de texte.
ZT_VARIABLE | Fct_Variable | - | Description sous forme de texte.
CRptDatSet | DataSet | - |
CRelPicItem | RTMDIFilterScreen | - | Description sous forme de texte.
VT_BSTR | RDLFile | - |
CD_CZeitFilter | TimeFilter | - |


'RecipeGroupManager'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'RecipeGroupManager'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | RecipeName | - | Définit le défilement de l'écran si le bord droit du diagramme est atteint.ATTENTION : seulement pour les diagrammes avec valeurs en ligne.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Recipegroup Manager'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Recipegroup Manager'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CRezeptFilter | Filter | - | Cette propriété obtient/définit les bits d'état standard déclenchés par front montant/descendant d'une matrice de réaction Combinaison multiple. Conseil : Pour plus d'informations, reportez-vous à l'aide relative à l'obtention des informations d'état.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CRezeptFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CRezeptFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | StrPar1 | - | Spécifie le nom de la variable.
VT_BSTR | StrPar2 | - | Spécifie l'unité de la variable.
VT_BSTR | StrPar3 | - | Spécifie la valeur maximum de la variable.
VT_BSTR | StrPar4 | - | Spécifie la valeur minimum de la variable.
VT_BSTR | StrPar5 | - | Nombre de décimales de la valeur de la variable. Minimum : 0 | Maximum : 5 | Par défaut : 0
VT_UI4 | DWPar1 | - | Propriétés de stockage des données du module Industrial Performance Analyzer (IPA).
VT_UI4 | DWPar2 | - | Propriétés de l'évaluation des données du module Industrial Performance Analyzer (IPA).
VT_UI4 | DWPar3 | - | Nom de la variable/fonction source utilisée lors de la substitution.ATTENTION : Les caractères générique (*) sont autorisés au début et à la fin du nom des variables ou des fonctions.
VT_UI4 | DWPar4 | - | Nom de la variable/fonction cible utilisée lors de la substitution.
VT_UI4 | DWPar5 | - | Propriétés de la plage d'affichage fixe de l'élément.
VT_BSTR | PictName | - | Propriétés générales du menu sélectionné.
VT_BSTR | FormatFile | - | Macros VBA pour les événements glisser-déplacer.
VT_BSTR | ExportFile | - | Description du driver.
VT_BSTR | RecGroup | - | Propriétés générales du projet STRATON.
VT_BSTR | Recipe | - | Propriétés générales de la sauvegarde du projet.
VT_UI4 | RecNumber | - | Disponible uniquement si une barre de titre est affichée avec le synoptique :Actif : Un bouton de menu système est affiché dans la barre de titre.Inactif : Ce bouton n'est pas affiché.
VT_UI4 | WithNumber | - | Actif : L'équipe active lors du déclenchement d'une alarme est lue depuis le module Production & Facility Scheduler (PFS).Inactif : L'équipe active lors du déclenchement de l'alarme est lue depuis une variable liée et une liste définie.Par défaut : active. Inactive lorsque le module IPA est inactif.ATTENTION : Le module Production & Facility Scheduler est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.
ZT_VARIABLE | RecVar | - | Cette propriété obtient/définit l'option Indexer les batchs d'une archive de batch.
VT_BOOL | IsFilterRT | - | Dans le Runtime, la propriété définie par l'utilisateur peut être évaluée dans une macro VBA.
VT_BOOL | IsReadOnly | - | Cette propriété vous permet d'obtenir la valeur d'un texte chaîné.
VT_BOOL | IsRecOnly | - | Cette propriété vous permet d'obtenir/de définir les bits de valeur utilisés.
VT_BOOL | IsWithFormat | - | Cette propriété vous permet d'obtenir le mot fort de l'état du texte chaîné.
VT_UI4 | Modus | - | Cette propriété vous permet d'obtenir/définir le mot faible de l'état du texte chaîné.
VT_BOOL | IsRecNumName | - | Cette propriété vous permet d'obtenir/de définir le texte chaîné.
VT_I2 | IsAutoName | - | Actif : La fonction de gestion des utilisateurs du système de contrôle tient également compte des utilisateurs Windows.Inactif : La fonction de gestion des utilisateurs du système de contrôle ne tient pas compte des utilisateurs Windows.(Par défaut) Inactif :
VT_UI4 | ExportExt | - | Disponible uniquement si la gestion des alarmes est active.Couleur de la colonne d'heure d'acquittement des alarmes dans la liste d'alarmes dans le Runtime. Cette couleur est uniquement utilisée pour les alarmes actives, et non pour les alarmes historiques.
VT_UI4 | RecNameVar | - | Propriétés générales de la gestion des alarmes.
CTextFilter | TextFilter | - | Cette propriété vous permet d'obtenir des informations concernant la variable liée à la propriété Modifier la largeur. Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.
ZT_VARIABLE | FileNameVar | - | Propriétés du nom et de l'emplacement d'enregistrement du projet.
VT_BSTR | TargetRecipe | - |
ZT_VARIABLE | GrpVar | - |
VT_BOOL | WithGrpVar | - |
CSystemModelFilter | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_BSTR | ColOrder | - |
VT_BSTR | ColOrderAll | - |
VT_BOOL | ShowRowNr | - |
VT_BSTR | ColText_VarName | - |
VT_BSTR | ColText_Min | - |
VT_BSTR | ColText_Filter | - |
VT_BSTR | ColText_Max | - |
VT_BSTR | ColText_Mode | - |
VT_BSTR | ColText_Value | - |
VT_BSTR | ColText_Unit | - |
VT_BSTR | ColText_Symbolism | - |
VT_BSTR | ColText_ActVal | - |
VT_BSTR | ColText_ResLabel | - |
VT_BSTR | ColText_Identifier | - |
VT_I4 | ColWidth_VarName | - |
VT_I4 | ColWidth_Min | - |
VT_I4 | ColWidth_Filter | - |
VT_I4 | ColWidth_Max | - |
VT_I4 | ColWidth_Mode | - |
VT_I4 | ColWidth_Value | - |
VT_I4 | ColWidth_Unit | - |
VT_I4 | ColWidth_Symbolism | - |
VT_I4 | ColWidth_ActVal | - |
VT_I4 | ColWidth_ResLabel | - |
VT_I4 | ColWidth_Identifier | - |
VT_BSTR | FilterText | - |
ZT_VARIABLE | FilterVar | - |
CRGM_RecipesListConf | RecipesListConfig | - |
VT_UI4 | Status | - |
ZT_VARIABLE | StatusVar | - |
ZT_VARIABLE | TargetRecipeVar | - |
VT_UI4 | TargetStatus | - |
ZT_VARIABLE | TargetStatusVar | - |
VT_UI4 | TargetVersion | - |
ZT_VARIABLE | TargetVersionVar | - |
VT_UI4 | Version | - |
ZT_VARIABLE | VersionVar | - |
VT_BOOL | XMLExpOverwriteFile | - |
VT_BOOL | XMLImpOverwriteRecipe | - |
VT_BOOL | FilterVarOn | - | Description sous forme de texte.
VT_BSTR | ProjectName | - | Description sous forme de texte.
VT_BOOL | StatusVarOn | - | Description sous forme de texte.
VT_BOOL | TargetRecipeVarOn | - | Description sous forme de texte.
VT_BOOL | TargetStatusVarOn | - | Description sous forme de texte.
VT_BOOL | TargetVersionVarOn | - | Description sous forme de texte.
VT_BOOL | VersionVarOn | - | Description sous forme de texte.


'Standard Recipe'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Standard Recipe'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CRezeptFilter | Filter | - | Actif : Les modifications apportées au projet sont consignées.Inactif : Les modifications apportées au projet ne sont pas consignées.(Par défaut) Inactif :
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Runtime Profiles'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Runtime Profiles'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_I4 | LoadModus | - |
VT_BSTR | LoadName | - |
ZT_VARIABLE | LoadVar | - |
VT_I4 | SaveModus | - |
VT_BSTR | SaveName | - |
ZT_VARIABLE | SaveVar | - |
VT_I4 | Modus | - |


'SAT command activation'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'SAT command activation'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_I2 | Mode | - |


'Save remanent data'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Save remanent data'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_BOOL | SaveCEL | - |
VT_BOOL | SaveAML | - |
VT_BOOL | SaveSYMA | - |
VT_BOOL | SaveIDrv | - |
VT_BOOL | SaveZDrv | - |
VT_BOOL | SaveEnergy | - |


'Script : execute/select online'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Script : execute/select online'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | Script | - | Mode de capture :0 &rarr; AVI1 &rarr; Bitmap
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Start SEA'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Start SEA'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_BSTR | SwitchingSequence | - |
VT_BSTR | SEAParams | - |


'Setpoint'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Setpoint'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_UI2 | SubmitAndCloseWnd | - |
VT_BSTR | SetpointSetting | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Report : execute'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Report : execute'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CD_CTabellenFilter | Filter | - | Cette propriété obtient/définit les bits d'état supplémentaires (PN_BIT, WR-ACK, WR-SUC, BL_BIT, SB_BIT, NT_BIT, OV_BIT, SE_BIT) de l'état d'une matrice de réaction. Par exemple : zRema.DynProperties("State[1].ReaStatusMaskeExt") = &H40 (PN_BIT) Conseil : Pour plus d'informations, reportez-vous à l'aide relative à l'obtention des informations d'état.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CD_CTabellenFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CD_CTabellenFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | TableFile | - | Définit de la fréquence d'actualisation de l'écran, en secondes. Minimum : 0,1
VT_BSTR | ExportFile | - | L'enregistrement est automatiquement démarré lors de l'ouverture du synoptique, si la propriété est définie sur TRUE.
VT_BOOL | IsFilterRT | - | Couleur de fond des graphiques affichés.
VT_BOOL | IsReadOnly | - | Affiche, dans la barre de lecture, un menu permettant de contrôler la vidéo, si la propriété est définie sur TRUE.Conseil : Disponible uniquement si la propriété dynamique IsWithPlay est active.
VT_BOOL | IsCancel | - | Définit le nombre maximal d'heures pour l'option Pas plus ancien que pour le filtre de temps de la fonction d'activation de fichier.
VT_BOOL | IsAutoName | - | Représentation du temps en mode de fonctionnement en ligne :Si cette option est définie sur TRUE, l'axe est représenté avec les marques de temps existantes.Si l'option est définie sur FALSE, l'heure actuelle est 00:00, et l'axe est représenté sous forme de valeurs relatives pour l'affichage de valeurs passées : -01:00
VT_BOOL | IsBackup | - | Définit l'option Pas plus ancien que pour le filtre de temps de la fonction d'activation de fichier comme active (TRUE) ou inactive (FALSE).
VT_UI2 | Extension | - | Définit si un message d'erreur doit être affiché dans le Runtime si la fonction d'activation de fichier a (TRUE) ou n'a pas (FALSE) été exécutée correctement.
VT_BSTR | StrPar1 | - | Définit si la boîte de dialogue de fonction d'activation de fichier doit (TRUE) ou ne doit pas (FALSE) être affichée dans le Runtime avant l'exécution.
VT_BSTR | StrPar2 | - | Activation (TRUE) / désactivation (FALSE) de la propriété dynamique StatusWidth.
VT_BSTR | StrPar3 | - | Définit le chemin de destination et/ou le nom de fichier de la fonction d'activation de fichier. Selon le paramètre Mode, un chemin absolu (Mode=0, par ex. "c:\hugo.txt") ou un chemin / nom de fichier relatif (Mode=1 / Mode = 2, par ex. "\hugo.txt") sera utilisé.
VT_BSTR | StrPar4 | - | Activation (TRUE) / désactivation (FALSE) de la propriété dynamique MinWidth.
VT_BSTR | StrPar5 | - | Activation (TRUE) / désactivation (FALSE) de la propriété dynamique MWWidth.
VT_UI4 | DWPar1 | - | Sélection ou définition de la police utilisateur pour les légendes d'axes et les indicateurs de valeur.
VT_UI4 | DWPar2 | - | Propriétés du chapitre d'aide lié.
VT_UI4 | DWPar3 | - | Désactive l'affichage des poignées, si la propriété est définie sur TRUE.
VT_UI4 | DWPar4 | - | Conserve le rapport d'aspect lors de l'agrandissement, si la propriété est définie sur TRUE.
VT_UI4 | DWPar5 | - | Spécifie le niveau de zoom en pourcentage.Conseil : Uniquement disponible si la propriété dynamique IsLevelZoom est définie sur FALSE.
VT_BSTR | ResString | - | Permet de déplacer l'aperçu à l'aide des touches fléchées, conformément au nombre de pixels spécifié ici.
CD_CZeitFilter | TimeFilter | - | Disponible uniquement pour l'action Commande :Définit la valeur qui sera écrite dans la valeur de la variable de commande durant l'action "Commande".0 : La variable de commande est définie sur 0.1 : La variable de commande est définie sur 1.Par défaut : 1.


'Unit switch'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Unit switch'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_BSTR | PrimaryUnits | - |
VT_BSTR | ActiveSecondaryUnits | - |


'Export data'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Export data'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CExportInitStrukt | ExportStruct | - | Cette propriété obtient/définit les bits d'état supplémentaires (PN_BIT, WR-ACK, WR-SUC, BL_BIT, SB_BIT, NT_BIT, OV_BIT, SE_BIT) de l'état d'une matrice de réaction. Conseil : Pour plus d'informations, reportez-vous à l'aide relative à l'obtention des informations d'état.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CExportInitStrukt-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CExportInitStrukt-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Format | - | Disponible uniquement si la gestion des alarmes est active.Actif : L'acquittement du clignotement d'un élément acquitte également l'alarme correspondante.Inactif : L'acquittement du clignotement d'un élément interrompt uniquement le clignotement. L'alarme correspondante n'est pas acquittée.(Par défaut) Inactif :Le clignotement des éléments peut être acquitté en double-cliquant sur l'élément correspondant avec le bouton droit de la souris, ou en sélectionnant la fonction Acquitter le clignotement.
VT_I2 | InitVal | - | Propriétés du stockage des alarmes dans la mémoire et sur le disque dur.
VT_I2 | Type | - | Disponible uniquement si la gestion des alarmes est active.Ne pas utiliser : Les couleurs des classes d'alarmes/d'événements ne sont pas utilisées dans la liste d'alarmes dans le Runtime.comme couleur de texte : Les couleurs des classes d'alarmes/d'événements sont utilisées comme couleurs de texte des entrées correspondantes dans la liste d'alarmes dans le Runtime.Comme arrière-plan des lignes : Les couleurs des classes d'alarmes/d'événements sont utilisées comme couleurs d'arrière-plan des entrées correspondantes dans la liste d'alarmes dans le Runtime.Par défaut : comme arrière-plan des lignes.
VT_BSTR | AppName | - | Disponible uniquement si la gestion des alarmes est active.Actif : Dès qu'une alarme se produit, une ligne d'état rouge présentant des informations sur l'alarme est affichée en haut de l'écran dans le Runtime. Dans cette ligne d'état, l'alarme peut également être acquittée avec un double-clic droit si l'utilisateur connecté dispose des autorisations correspondantes.Inactif : aucune ligne d'état n'est affichée.Par défaut : active
VT_BOOL | IsUniText | - | Disponible uniquement si la gestion des alarmes est active.La boîte de dialogue de définition des colonnes de la liste d'alarmes s'affiche.Ces paramètres sont considérés comme les paramètres par défaut, et peuvent être modifiés lors de la définition des fonctions des différentes alarmes.
VT_BSTR | FileName | - | Actif : La gestion des alarmes est active dans le Runtime. Les alarmes sont enregistrées et la liste d'alarmes est disponible.Inactif : Aucune alarme n'est enregistrée.Par défaut : active
CProjektVariableProp | Vars | - | Disponible seulement pour l'action "Envoi état" :Liste des états qui peuvent être modifiés avec l'action Envoi état.Par défaut : aucun.


'Read dBase file'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Read dBase file'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | FileName | - | Propriétés de définition des couleurs pour la gestion des alarmes.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Print actual values'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Print actual values'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CFormatInfo | FormatInfo | - | Paramètres du filtre de batch
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CFormatInfo-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CFormatInfo-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | FormatFile | - | Noms des gabarits dont les synoptiques doivent être insérés dans la liste lors de l'exécution de la fonction "Synoptique : retour au précédent".Ouvre la boîte de dialogue de sélection de modèle.
VT_UI4 | Font | - | Cette propriété n'a d'importance que lorsqu'elle est associée aux types de démarrage du Runtime Démarrage/arrêt autom. et Démarrage autom.Actif : Démarre le Runtime de STRATON et l'arrête immédiatement en mode de débogage.Inactif : Démarre le Runtime de STRATON normalement.(Par défaut) Inactif :
VT_BOOL | IsCancel | - | Actif : Le gabarit sélectionné est affiché dans l'éditeur de gabarits.Inactif : Le gabarit n'est pas affiché dans l'éditeur de gabarits.(Par défaut) Inactif :


'Send value to hardware'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Send value to hardware'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CFktSwNeu | SetValue | - | Cette propriété obtient/définit l'heure de début du cycle.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CFktSwNeu-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CFktSwNeu-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_R8 | NumValue | - | Cette propriété n'a d'importance que lorsqu'elle est associée aux types de démarrage du Runtime Démarrage/arrêt autom. et Démarrage autom.Actif : Attribue au processus du Runtime de STRATON la priorité Temps réel dans Windows.Inactif : Attribue au processus du Runtime de STRATON la priorité Normal dans Windows.(Par défaut) Inactif :
VT_BSTR | StrValue | - | Délai d'attente avant expiration (en secondes) de la connexion au système cible STRATON.Ce délai d'attente peut être augmenté si la plate-forme cible est peu performante.Minimum : 0.Maximum : 4294967295.Par défaut : 10.
VT_R8 | Minimum | - | Noms des synoptiques devant être insérés dans la liste lors de l'exécution de la fonction Synoptique : retour au précédent.Minimum : 0.Maximum : 65535.Par défaut : 10.
VT_UI2 | Command | - | Cette propriété n'a d'importance que lorsqu'elle est associée aux types de démarrage du Runtime Démarrage/arrêt autom. et Démarrage autom.Adresse IP ou nom de l'ordinateur auquel le driver STRATON32 doit se connecter dans le Runtime.Par défaut : localhost.
VT_BOOL | IsDirect | - | Propriétés du Runtime de STRATON.
VT_BOOL | IsVarLimit | - | Synoptique de type Alimentation, utilisé lorsque l'action est exécutée à l'aide du menu contextuel de l'élément. Si aucun synoptique n'est sélectionné ici, le synoptique défini pour le verrouillage de commande est utilisé. L'utilisation d'un synoptique développé, mais inexistant entraîne l'affichage d'un message d'erreur lors de la création des fichier du Runtime ; l'action n'est pas acceptée.Par défaut : aucun.
VT_BOOL | IsCurValue | - | Actif : Après l'exécution de l'action, le synoptique de commande est automatiquement fermé.Inactif : Le synoptique de commande n'est pas automatiquement fermé.Par défaut : inactive
VT_UI1 | Setting | - | Cette propriété vous permet de déterminer si la propriété "Enregistrer dans la base de données du module IPA" doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.
ZT_VARIABLE | Variable | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | PrgName | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_R8 | Maximum | - | Cette propriété obtient/définit la variable utilisée comme variable de batch.
VT_BOOL | IsWriteSync | - | Cette propriété vous permet d'obtenir/de définir le nombre de caractères des éléments texte des listes AML/CEL.


'Driver Commands'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Driver Commands'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CTreiberCommand | Command | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CTreiberCommand-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CTreiberCommand-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsFilterRT | - | Cette propriété vous permet de déterminer si la propriété Verrouillage doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.
VT_UI4 | DrvIndex | - | Propriétés du cadre autour de l'élément.
VT_UI2 | Command | - | Définit l'option Pas plus récent que pour le filtre de temps de la fonction d'activation de fichier comme active (TRUE) ou inactive (FALSE).
VT_BSTR | UsrCommand | - | Si l'élément est connecté à plusieurs sources actives, vous pouvez définir le type d'affichage ici.Cette fonction est uniquement disponible dans la version Energy Edition du système de contrôle.La fonction de coloration automatique des lignes (ALC) doit être activée. Affichage de sources multiples :La source la plus prioritaire : seule la couleur de la source la plus prioritaire est utilisée.Les deux sources les plus prioritaires : Les différentes couleurs des deux sources dont la priorité est la plus élevée sont affichées sous forme de trait tireté.Par défaut : source la plus prioritaire.
VT_BSTR | ResString | - | Un cadre peut être affiché autour de l'élément.(Par défaut) Inactif :


'Read/Write time - variable'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Read/Write time - variable'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CUhrzeit | Time | - | Des mémoires tampon DOS sont utilisées pour la capture vidéo, si la propriété est définie sur TRUE.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CUhrzeit-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CUhrzeit-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | Variable | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.


'VBA Execute Macro'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'VBA Execute Macro'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CD_CVbaMacroFilter | Filter | - | Cette propriété obtient/définit la combinaison binaire déclenchée par front montant/descendant d'une matrice de réaction Combinaison multiple. Conseil : Pour plus d'informations, reportez-vous à l'aide relative à l'obtention des informations d'état.
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CD_CVbaMacroFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CD_CVbaMacroFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | MacroName | - | Distance entre le cadre et l'élément (en pixels).
VT_BOOL | IsBreakOnError | - | Définition de la largeur de trait du cadre.
VT_UI2 | Info | - | Définit le mode d'accès au chemin de la destination pour la fonction d'activation de fichier.0 = chemin absolu1 = chemin relatif depuis le répertoire du Runtime du projet 2 = chemin relatif depuis le répertoire de données du Runtime du projet (nom du répertoire identique au nom de l'ordinateur)
VT_BSTR | ProjectName | - | Affiche la description abrégée de la base derrière la valeur :Base binaire : b ; base décimale (dec) : pas de abrégée ; valeur hexa décimale (hex) : h ; valeur octale : o.Disponible uniquement si la base est binaire, hexadécimale ou octale : Par défaut : active
CFunctionParam | Parameters | - |


'VSTA Execute Macro'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'VSTA Execute Macro'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | MacroName | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'Play sound-file'-'Start program'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Play sound-file'-'Start program'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BSTR | FileName | - | Cette propriété vous permet de déterminer si la propriété "Valeur prescrite maximale" doit ou non être liée au type de données.FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.
VT_BSTR | FilePar | - | Nom de la courbe, librement défini.
VT_BOOL | IsDialogRT | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


'File operations'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'File operations'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CDateiOperationParameter | Parameter | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CDateiOperationParameter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CDateiOperationParameter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI2 | Modus | - | Position horizontale du clavier automatique pour la position alternative.
VT_I2 | Days | - | Description de la classe ou du groupe d'alarmes.
VT_I2 | Hours | - | L'élément ne clignote pas sur fond invisible, mais sur fond de la couleur de dépassement de limite de la variable sélectionnée.
VT_BOOL | IsYounger | - | Début de l'angle d'ouverture. L'angle d'ouverture d'un quartier de cercle est affiché entre l'angle de début et l'angle de fin.
VT_BOOL | IsOverwrite | - |
VT_BOOL | IsErrorMsg | - | Variable d'état du groupe d'alarmes / de la classe d'alarmes.Cette variable bit indique si le groupe/la classe d'alarmes est actuellement actif/active, ou si les alarmes de ce groupe/cette classe sont ignorées.Ouvre la boîte de dialogue de sélection de variables.
VT_BOOL | IsTimeCond | - | Il est impossible de saisir des intitulés alternatifs pour les touches d'un synoptique de type Clavier. Les intitulés originaux des touches du clavier, définis par le système d'exploitation, seront utilisés.
VT_BOOL | IsFilterRT | - | Cette propriété définit la variable de chaîne utilisée pour ouvrir le synoptique de Gestionnaire de groupe de recettes. La chaîne contenue dans cette variable sera utilisée pour afficher uniquement les variables contenant ce texte de filtre.
VT_BSTR | Source | - | La propriété Visibilité de la limite active dans le Runtime pour la variable liée ici définit si cette variable de recette est affichée ou non dans le Runtime pour ce groupe ou dans le synoptique de gestionnaire de groupe de recettes.
VT_BSTR | Destination | - | Le filtre défini par l'utilisateur auquel appartient la variable de recette du groupe de recettes.
VT_BOOL | Recursive | - |
VT_BOOL | IsOlder | - |
VT_I2 | OlderDays | - |
VT_I2 | OlderHours | - |
VT_UI2 | DstPathModus | - |
VT_UI2 | SrcPathModus | - |


'Print a hard-copy'

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> 'Print a hard-copy'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_FKTPARAM | Parameters | Paramètre | Paramètres de transfert de la fonction ; dépend du type de fonction. La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Description précise de la fonction. La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction. Maximum : 128 caractères. Par défaut : Fonction_x (x représente un nombre défini de manière consécutive). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | IsActual | Ordinateur courant | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée. Plus de détails dans l'aide en ligne
VT_BOOL | IsServer | Serveur | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur le serveur du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsStandBy | Redondant | Disponible uniquement dans les projets en réseau avec redondance : La fonction est exécutée sur le serveur redondant du projet. Plus de détails dans l'aide en ligne
VT_BOOL | IsClient | Client | Disponible uniquement dans les projets en réseau : La fonction est exécutée sur tous les clients du projet. Plus de détails dans l'aide en ligne
VT_UI4 | ID | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_UI4 | Type | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
CHardCopyPrintInfo | Info | - |
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CHardCopyPrintInfo-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunction -> RtFunction-Dynproperties -> CHardCopyPrintInfo-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Picture | - | Actif : L'animation s'exécute toujours.Inactif : L'animation n'est pas exécutée. Il est possible d'activer et de désactiver l'animation à l'aide d'une variable bit liée.
VT_BOOL | IsScreen | - | Nombre d'adresses récemment visitées devant être conservées par le système.
VT_BOOL | IsOffset | - | Si cette propriété est définie sur TRUE, le style de diagramme XY (axe X) est utilisé. Dans le cas contraire (FALSE), la représentation XT standard (axe Temps) est utilisée.
VT_BOOL | IsInvert | - | Spécifie le nom de la recette devant être affichée.
VT_BOOL | IsFax | - | Spécifie la position de la recette dans la liste.
VT_I2 | Monitor | - | Cette propriété vous permet de déterminer si la propriété "Plage de mesure maximale" doit ou non être liée au type de données.FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.


RtFunctions

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This collection contains the defined functions. The single functions can be executed at Runtime via VBA.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Create Function for TREND - PICTURE
Sub CreateTrendFunction()
Dim zPIC As DynPicture
Dim zFCT As RtFunction
Dim i As Integer

Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("TREND")
'Create new function
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Create("picTREND", tpPicture)
'function settings...
With zFCT
.DynProperties("Picture") = zPIC.Name
i = .DynProperties("PictFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter"
.DynProperties("PictFilter[0].RefreshRate") = 1
.DynProperties("PictFilter[0].Name") = "WIZARD TREND"
.DynProperties("PictFilter[0].IsArchive") = False
.DynProperties("PictFilter[0].IsXAxis") = False
'Add 3 CURVES
For i = 0 To 2
n = .DynProperties("PictFilter[0].Curve[-1]")
If n <= i Then
'create CURVE SubItem if needed
.CreateDynProperty ("PictFilter[0].Curve")
.CreateDynProperty ("PictFilter[0].Curve[" & i & "].VarInfo")
.CreateDynProperty ("PictFilter[0].Curve[" & i & "].YAxe")
.CreateDynProperty ("PictFilter[0].Curve[" & i & "].YAxe[0].Scale")
End If
'change curve settings
.DynProperties("PictFilter[0].Curve[" & i & "].GraphName") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].HasYAxis") = True
.DynProperties("PictFilter[0].Curve[" & i & "].IsShow") = True
.DynProperties("PictFilter[0].Curve[" & i & "].IsInterpolation") = True
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarName") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.Channel") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.Variable") = "MyVariable_" & i
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarMaxValue") = 1000
.DynProperties("PictFilter[0].Curve[" & i & "].VarInfo.VarMinValue") = 0
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.IsAutoScale") = False
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Color") = vbBlack
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleTop") = 1000
.DynProperties("PictFilter[0].Curve[" & i & "].YAxe.Scale.ScaleBotton") = 0
Next i
'filter settings (relative time 5 minutes)
.CreateDynProperty ("PictFilter[0].TimeAxe")
.DynProperties("PictFilter[0].TimeAxe.OldDiff") = 3600
.DynProperties("PictFilter[0].TimeAxe.TimeFilter.Options") = 65535
.DynProperties("PictFilter[0].TimeAxe.TimeFilter.ARVTime1") = CDate(25569.0451388889) '("01.01.1970 01:05:00")
.DynProperties("PictFilter[0].TimeAxe.TimeFilter.ARVTime2") = CDate(25569.0416666667) '("01.01.1970 01:00:00")
End With
End Sub

'Create Function for ALARM - PICTURE
Sub CreateAlarmFunction()
Dim zPIC As DynPicture
Dim zFCT As RtFunction
Dim i As Integer

Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("ALARM")
'Create new function
Set zFCT = MyWorkspace.ActiveDocument.RtFunctions.Create("picALARM", tpPicture)
'function and filter settings...
With zFCT
.DynProperties("Picture") = zPIC.Name
i = .DynProperties("PictFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter"
.DynProperties("PictFilter[0].VarFilter") = "*"
.DynProperties("PictFilter[0].FilterTitel") = "*"
i = .DynProperties("PictFilter[0].TimeFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].TimeFilter"
.DynProperties("PictFilter[0].TimeFilter[0].TimeFormat") = 10
.DynProperties("PictFilter[0].TimeFilter[0].Options") = 65535
.DynProperties("PictFilter[0].TimeFilter[0].ARVTime1") = CDate(25570.0416666667) '("02.01.1970 01:00:00")
.DynProperties("PictFilter[0].TimeFilter[0].ARVTime2") = CDate(25569.0416666667) '("01.01.1970 01:00:00")
i = .DynProperties("PictFilter[0].TimeFilter[0].ChargeFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].TimeFilter[0].ChargeFilter"
i = .DynProperties("PictFilter[0].TextFilter[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].TextFilter"
i = .DynProperties("PictFilter[0].ListInfo[-1]")
If i = 0 Then .CreateDynProperty "PictFilter[0].ListInfo"
End With
End Sub


RtFunctions-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IProject | Parent | The parent object of the current object | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RtFunctions-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IRtFunction | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IRtFunction | Item | Returns a object at a position or by a specified key | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new function and returns the new RtFunction object.

Datatype

Create(String bsName,tpFunctionTypes tpFuncType) As RtFunction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes the RtFunjction objects from the collection.

Datatype

Delete(VARIANT vNameOrPos) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object Function from the collection, which is identified by the parameter vNameOrPos.

Datatype

Item(VARIANT vNameOrPos) As RtFunction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

If the parameter is a numerical value, the function is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the function is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrPos As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> RtFunctions -> RtFunctions-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport (VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapFunction

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been d etected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub


SapFunction-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpSapActivity | Activity | Activity state of the function call (0 = inactive, 1 = in queue, 2 = call in progress) | available | available | yes | yes
tpSapError | ErrorCode | Code for result of last call | not used | read only | yes | yes
BSTR | ErrorText | Short text for result of last call | not used | read only | yes | yes
BSTR | LastError | Last Error | read only | read only | yes | yes
BSTR | Name | Name of the SAP function | available | available | yes | yes
ISapFunctions | Parent | Parent-object | available | available | yes | yes


Activity

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Properties -> Activity

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the actuial activity state of the SAP function.

Datatype

Activity() As tpSapActivity

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ErrorCode

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Properties -> ErrorCode

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ErrorCode() As tpSapError

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


ErrorText

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Properties -> ErrorText

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ErrorText() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


LastError

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Properties -> LastError

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

LastError() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Parent() As SapFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapFunction-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
tpSapError | Call | Calls the SAP function synchronously | available | available | yes | yes
tpSapError | CallAsync | Calls the SAP function asynchronously | available | available | yes | yes
ISapParameters | Parameters | Returns the SAP parameters collection | available | available | yes | yes
ISapTables | Tables | Returns the SAP tables collection | available | available | yes | yes


Call

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Methods -> Call

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Call([optional] VARIANT bReuseConnection) As tpSapError

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CallAsync

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Methods -> CallAsync

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CallAsync([optional] VARIANT bReuseConnection) As tpSapError

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Parameters

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Methods -> Parameters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Parameters() As SapParameters

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Tables

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Methods -> Tables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Tables() As SapTables

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapFunction-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | ActivityChanged | Activity state of the function call has changed | not used | read only | yes | yes
void | CallFinished | SAP function returns from asynchronous call | read only | read only | yes | yes


ActivityChanged

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Events -> ActivityChanged

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This events reacts on a change of the activity state of an SAP function.The Function object and the State-Value will be delivered from the event.

Datatype

ActivityChanged(SapFunction obFunction, tpSapActivity Activity) As void

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

SAP Function as 'SapFunction' object.

Value of SAP Activity (for more details see property 'Activity')

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obFunction As SapFunction

Activity As tpSapActivity

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub obFunReadTable_ActivityChanged(ByVal obFunction As ISapFunction,_
ByVal Activity As tpSapActivity)
thisProject.Variables.Item("ReadTableActive").Value = obFunction.Activity
End Sub


CallFinished

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Events -> CallFinished

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CallFinished(SapFunction obFunction, tpSapError Error) As void

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapFunction-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

SapFunction-Dynproperties


SapFunction dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunction -> SapFunction-Dynproperties -> SapFunction dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | ActivityVar | Activité | Variable numérique utilisée pour surveiller l'activité de la fonction SAP. Elle peut par exemple être utilisée pour configurer les verrouillages, afin d'éviter les chevauchements de cellules. Valeurs possibles : 0, 1, 2 0 = inactif 1 = mise en attente dans la file d'attente d'appels 2 = appel actif Plus de détails dans l'aide en ligne.
ZT_VARIABLE | ErrorVar | Code d'erreur | Variable numérique pour le code d'erreur de l'appel de fonction. Plus de détails dans l'aide en ligne.
ZT_VARIABLE | ErrorTextVar | Texte d'erreur | Variable de chaîne utilisée pour fournir une courte description de l'erreur qui s'est produite dernièrement. Plus de détails dans l'aide en ligne.
VT_BSTR | Info | Information | Texte court librement définissable. Utilisé uniquement à des fins d'information. Le cas échéant, il est défini lorsqu'une fonction SAP est créée via l'assistant, conformément à la description de l'interface dans le système SAP. Plus de détails dans l'aide en ligne.
VT_BSTR | Label | Nom fonction | Intitulé libre pour la fonction SAP. Plus de détails dans l'aide en ligne.
ZT_VARIABLE | LastErrorVar | Description d'erreur | Variable de chaîne utilisée pour fournir une description détaillée de la dernière erreur. Plus de détails dans l'aide en ligne.
VT_BSTR | Name | Bloc fonctionnel RFC | Nom du bloc fonctionnel appelé dans le système SAP. Plus de détails dans l'aide en ligne.


SapFunctions

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub


SapFunctions-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunctions -> SapFunctions-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP functions | available | available | yes | yes
IProject | Parent | Parent-object | available | available | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunctions -> SapFunctions-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunctions -> SapFunctions-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Parent() As Project

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapFunctions-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunctions -> SapFunctions-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapFunction | CreateSapFunction | Creates a new SAP function (unique name) | available | available | yes | yes
VARIANT_BOOL | DeleteSapFunction | Deletes the given SAP function | available | available | yes | yes
ISapFunction | Item | Returns the SAP function by name or position | available | available | yes | yes


CreateSapFunction

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunctions -> SapFunctions-Methods -> CreateSapFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateSapFunction(String Name) As SapFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapFunction

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunctions -> SapFunctions-Methods -> DeleteSapFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DeleteSapFunction(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapFunctions -> SapFunctions-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapParameter

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
S et obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub


SapParameter-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Default | SAP parameter has a default value (TRUE/FALSE) | available | available | yes | yes
BSTR | Name | Name of the SAP parameter | available | available | yes | yes
VARIANT_BOOL | Optional | SAP parameter is optional (TRUE/FALSE) | available | available | yes | yes
ISapParameters | Parent | Parent-object | available | available | yes | yes
BSTR | RawData | Returns the raw Data of the SAP parameter in a delimited string | not used | read only | yes | yes


Default

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Properties -> Default

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Default() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Optional

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Properties -> Optional

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Optional() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Parent() As SapParameters

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RawData

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Properties -> RawData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

returns the data of the Parameter as one line, the values are separated by a Line-Feed character...

Datatype

RawData() As String

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


SapParameter-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | Value [GET] | Value of the SAP parameter | available | available | yes | yes
void | Value [PUT] | Value of the SAP parameter | available | available | yes | yes


Value [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Methods -> Value [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Value [GET]([optional]VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Methods -> Value [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Value [PUT]([optional]VARIANT vIndex, VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapParameter-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

SapParameter-Dynproperties


SapParameter dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameter -> SapParameter-Dynproperties -> SapParameter dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Info

Information

Texte court librement définissable. Utilisé uniquement à des fins d'information et, le cas échéant, défini lorsqu'une fonction SAP est créée via l'assistant, conformément à la description de l'interface dans le système SAP.

Plus de détails dans l'aide en ligne.

VT_BSTR

Name

Nom dans le système SAP

Nom du paramètre, de la table ou du champ structuré dans le système SAP.

Plus de détails dans l'aide en ligne.

VT_BOOL

Optional

Optionel

Indique si le paramètre ou la table est facultatif. Les paramètres et les tables facultatifs peuvent être omis lors de l'appel d'un bloc fonctionnel.

Utilisé uniquement à des fins d'information, défini lorsqu'une fonction SAP est créée via l'assistant, conformément à la description de l'interface dans le système SAP.

Plus de détails dans l'aide en ligne.

VT_UI1

Type

Type

Type de paramètre. Dépendant du type de fonction. Utilisé uniquement à des fins d'information, défini lorsqu'une fonction SAP est créée via l'assistant, conformément à la description de l'interface dans le système SAP.

Importation : la valeur du paramètre est transférée vers le bloc fonctionnel lors de l'appel.

Exporter : la valeur du paramètre est renvoyée par l'appel de la fonction.

Changement : paramètres d'entrée et de retour.

Table : table des types de fonctions. Cette table ne peut pas être modifiée.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE

Variable

Variable

Variable zenon liée au paramètre, à la table ou au champ structuré. Pour les tables, il s'agit normalement d'une variable de tableau.

Plus de détails dans l'aide en ligne.


SapParameters

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameters

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub


SapParameters-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameters -> SapParameters-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP parameters | available | available | yes | yes
ISapFunction | Parent | Parent-object | available | available | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameters -> SapParameters-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameters -> SapParameters-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Parent() As SapFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapParameters-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameters -> SapParameters-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapParameter | CreateSapParameter | Creates a new SAP parameter (unique name) | available | available | yes | yes
VARIANT_BOOL | DeleteSapParameter | Deletes the given SAP parameter | available | available | yes | yes
ISapParameter | Item | Returns the SAP parameter by name or position | available | available | yes | yes


CreateSapParameter

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameters -> SapParameters-Methods -> CreateSapParameter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateSapParameter(String Name, [optional] VARIANT bOptional, [optional] VARIANT bDefault) As SapParameter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapParameter

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameters -> SapParameters-Methods -> DeleteSapParameter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DeleteSapParameter(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapParameters -> SapParameters-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapParameter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapRow

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRow

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
I f obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub


SapRow-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRow -> SapRow-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapRows | Parent | Parent-object | available | available | yes | yes
BSTR | RawData | Returns the raw Data of the SAP row in a delimited string | available | not used | yes | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRow -> SapRow-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Parent() As SapRows

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RawData

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRow -> SapRow-Properties -> RawData

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RawData() As String

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


SapRow-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRow -> SapRow-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | Value [GET] | Value of the SAP row / column | available | available | yes | yes
void | Value [PUT] | Value of the SAP row / column | available | available | yes | yes


Value [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRow -> SapRow-Methods -> Value [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Value [GET]([optional]VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRow -> SapRow-Methods -> Value [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Value [PUT]([optional]VARIANT vIndex, VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapRows

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub


SapRows-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP rows in the table | available | available | yes | yes
ISapTable | Parent | Parent-object | available | available | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Parent() As SapTable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapRows-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapRow | AppendSapRow | Appends a new SAP row at the end of the table | available | not used | yes | yes
VARIANT_BOOL | DeleteSapRow | Deletes the SAP row at the given index | available | not used | yes | yes
ISapRow | InsertSapRow | Inserts a new SAP row at the given index | available | not used | yes | yes
ISapRow | Item | Returns the SAP row at the given index | available | not used | yes | yes


AppendSapRow

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Methods -> AppendSapRow

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

AppendSapRow() As SapRow

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapRow

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Methods -> DeleteSapRow

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DeleteSapRow(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


InsertSapRow

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Methods -> InsertSapRow

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

InsertSapRow(long Index) As SapRow

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapRows -> SapRows-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapRow

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapTable

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
ShortError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub


SapTable-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | Name | Name of the SAP table | available | available | yes | yes
VARIANT_BOOL | Optional | SAP table is optional (TRUE/FALSE) | available | available | yes | yes
ISapFunctions | Parent | Parent-object | available | available | yes | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Optional

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Properties -> Optional

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Optional() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Parent() As SapFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapTable-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Clear | Deletes all rows in the table | available | available | yes | yes
ISapRows | Rows | Returns the collection of the rows in the table | available | not used | yes | yes


Clear

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Methods -> Clear

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Clear() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Rows

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Methods -> Rows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Rows() As SapRows

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SapTable-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

SapTable-Dynproperties


SapTable dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTable -> SapTable-Dynproperties -> SapTable dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Info

Information

Texte court librement définissable. Utilisé uniquement à des fins d'information et, le cas échéant, défini lorsqu'une fonction SAP est créée via l'assistant, conformément à la description de l'interface dans le système SAP.

Plus de détails dans l'aide en ligne.

VT_BSTR

Name

Nom dans le système SAP

Nom du paramètre, de la table ou du champ structuré dans le système SAP.

Plus de détails dans l'aide en ligne.

VT_BOOL

Optional

Optionel

Indique si le paramètre ou la table est facultatif. Les paramètres et les tables facultatifs peuvent être omis lors de l'appel d'un bloc fonctionnel.

Utilisé uniquement à des fins d'information, défini lorsqu'une fonction SAP est créée via l'assistant, conformément à la description de l'interface dans le système SAP.

Plus de détails dans l'aide en ligne.

VT_UI1

Type

Type

Type de paramètre. Dépendant du type de fonction. Utilisé uniquement à des fins d'information, défini lorsqu'une fonction SAP est créée via l'assistant, conformément à la description de l'interface dans le système SAP.

Importation : la valeur du paramètre est transférée vers le bloc fonctionnel lors de l'appel.

Exporter : la valeur du paramètre est renvoyée par l'appel de la fonction.

Changement : paramètres d'entrée et de retour.

Table : table des types de fonctions. Cette table ne peut pas être modifiée.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE

Variable

Variable

Variable zenon liée au paramètre, à la table ou au champ structuré. Pour les tables, il s'agit normalement d'une variable de tableau.

Plus de détails dans l'aide en ligne.

ZT_VARIABLE

RowCountVar

Nombre de lignes

Variables numériques correspondant au nombre de lignes devant être extraites de la variable liée à la table ou du nombre de lignes lues lors de l'appel d'une fonction SAP.

Plus de détails dans l'aide en ligne.


SapTables

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public WithEvents obFunReadTable As SapFunction

Public Sub ReadTable()
Dim obFunctions As SapFunctions

'Parameters
Dim obParQueryTable As SapParameter 'Input, Tablename
Dim obParDelimiter As SapParameter 'Input, Optional, Delimiter in DATA
Dim obParRowCount As SapParameter 'Input, Optional, 0 = all Rows
Dim obParRowSkip As SapParameter 'Input, Optional, 0 = from beginning
Dim obParNoData As SapParameter 'Input, Optional, "X" = read only Fielddefinitions (FIELDS)

'Tables
Dim obTabOptions As SapTable 'Input, WHERE-Clause
Dim obTabFields As SapTable 'Input/Output, Fielddefinitions
Dim obTabData As SapTable 'Output, Tabledata

Dim obRow As SapRow

Dim Error As tpSapError

' === Get Collection of Functionblocks
Set obFunctions = thisProject.SapFunctions

' === Create Functionblock "RFC_READ_TABLE" if not exists
Set obFunReadTable = obFunctions.Item("RFC_READ_TABLE")
If obFunReadTable Is Nothing Then
Set obFunReadTable = obFunctions.CreateSapFunction("RFC_READ_TABLE")
End If

' === Create Parameter if not exist
Set obParameters = obFunReadTable.Parameters 'Get Collection of Parameters
If Not obParameters Is Nothing Then

'Tablename
Set obParQueryTable = obParameters.Item("QUERY_TABLE")
If obParQueryTable Is Nothing Then
Set obParQueryTable = obParameters.CreateSapParameter("QUERY_TABLE")
End If
obParQueryTable.Value = thisProject.Variables.Item("QueryTable").Value

'Delimiter
Set obParDelimiter = obParameters.Item("DELIMITER")
If obParDelimiter Is Nothing Then
Set obParDelimiter = obParameters.CreateSapParameter("DELIMITER")
End If
obParDelimiter.Value = thisProject.Variables.Item("Delimiter").Value

'Count of Rows
Set obParRowCount = obParameters.Item("ROWCOUNT")
If obParRowCount Is Nothing Then
Set obParRowCount = obParameters.CreateSapParameter("ROWCOUNT")
End If
obParRowCount.Value = thisProject.Variables.Item("RowCount").Value

'StartRow
Set obParRowSkip = obParameters.Item("ROWSKIPS")
If obParRowSkip Is Nothing Then
Set obParRowSkip = obParameters.CreateSapParameter("ROWSKIPS")
End If
obParRowSkip.Value = thisProject.Variables.Item("RowSkips").Value

'Fields only
Set obParNoData = obParameters.Item("NO_DATA")
If obParNoData Is Nothing Then
Set obParNoData = obParameters.CreateSapParameter("NO_DATA")
End If
obParNoData.Value = thisProject.Variables.Item("NoData").Value
End If

' === Create Table if exits, either clear
Set obTables = obFunReadTable.Tables 'Get Collectin of Tables
If Not obTables Is Nothing Then

'Selections , "WHERE-Clause" (in)
Set obTabOptions = obTables.Item("OPTIONS")
If obTabOptions Is Nothing Then
Set obTabOptions = obTables.CreateSapTable("OPTIONS", False) 'Input
Else
obTabOptions.Clear
End If

'Names (in) and Structure (out) of read fields
Set obTabFields = obTables.Item("FIELDS")
If obTabFields Is Nothing Then
Set obTabFields = obTables.CreateSapTable("FIELDS", False) 'Input
Else
obTabFields.Clear
End If

'read Data (out)
Set obTabData = obTables.Item("DATA")
If obTabData Is Nothing Then
Set obTabData = obTables.CreateSapTable("DATA", False) 'Output
Else
obTabData.Clear
End If
End If

' === Call Function (asynchron), keeps the connection to the SAP-System afterwards
Error = obFunReadTable.CallAsync(True)

'>>> some zenon internals are used now in deep
'it comes back up again in "obFunReadTable_CallFinished"...

End Sub

' |
' |
' V

Private Sub obFunReadTable_CallFinished(ByVal obFunction As ISapFunction, ByVal Error As tpSapError)

'Back from zenon internals.
'This is used to avoid blocking the zenon Runtime during the Function call,
'because a function call may need some seconds to proceed...

' === Errorhandling
Call PrintError(Error, obFunReadTable.LastError)

' === check result
If Error = tpSapError_Ok Then 'no error
Dim obParameters As SapParameters
Dim obParameter As SapParameter
Dim obTables As SapTables
Dim obTable As SapTable

Dim obTabFields As SapTable 'Input
Dim obTabData As SapTable 'Output

Dim Count As Integer
Dim RowData As String

' === check Parameter and Tables
Set obTables = obFunReadTable.Tables

' === check Table "FIELDS"
Set obTabFields = obTables.Item("FIELDS")

Count = obTabFields.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
RowData = obTabFields.Rows.Item(i).RawData
'FIELDNAME = Name of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDNAME").Value = GetNextField(RowData)
'OFFSET = Start of the Field in the Row
thisProject.Variables.Item("FIELDS_Row[" & i & "].OFFSET").Value = CInt(GetNextField(RowData))
'LENGTH = Length of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].LENGTH").Value = CInt(GetNextField(RowData))
'TYPE = Datatype of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].TYPE").Value = GetNextField(RowData)
'FIELDTEXT = description of the Field
thisProject.Variables.Item("FIELDS_Row[" & i & "].FIELDTEXT").Value = GetNextField(RowData)
Next

' === check Table "DATA"
Set obTabData = obTables.Item("DATA")

Count = obTabData.Rows.Count
If Count > 5 Then Count = 5 'only the first 5 rows

For i = 0 To Count - 1
'One row of the table "DATA" contains only one filed with 512 characters
RowData = obTabData.Rows.Item(i).RawData
thisProject.Variables.Item("DATA_Row[" & i & "]").Value = RowData
Next
End If
End Sub

Public Sub PrintError(Error As tpSapError, LastError As String)
Dim ShortError As String

Select Case Error
Case tpSapError_No_Connection ' No connection to SAP system
ShortError = "No connection to SAP system"
Case tpSapError_Ok ' OK.
StError = "No Error"
Case tpSapError_Failure ' Error occurred
ShortError = "Error occurred"
Case tpSapError_Exception ' Exception raised
ShortError = "Exception raised"
Case tpSapError_Sys_Exception ' System exception raised, connection closed
ShortError = "System exception raised, connection closed"
Case tpSapError_Call ' Call received
ShortError = "Call received"
Case tpSapError_Internal_Com ' Internal communication, repeat (internal use only
ShortError = "Internal communication, repeat (internal use only)"
Case tpSapError_Closed ' Connection closed by the other side
ShortError = "Connection closed by the other side"
Case tpSapError_Retry ' No data yet (RfcListen or RfcWaitForRequest only)
ShortError = "No data yet (RfcListen or RfcWaitForRequest only)"
Case tpSapError_No_Tid ' No Transaction ID available
DError = "No Transaction ID available"
Case tpSapError_Executed ' Function already executed
ShortError = "Function already executed"
Case tpSapError_Synchronize ' Synchronous Call in Progress (only for Windows)
ShortError = "Synchronous Call in Progress (only for Windows)"
Case tpSapError_Memory_Insufficient ' Memory insufficient
ShortError = "Memory insufficient"
Case tpSapError_Version_Mismatch ' Version mismatch
ShortError = "Version mismatch"
Case tpSapError_Not_found ' Function not found (internal use only)
ShortError = "Function not found (internal use only)"
Case tpSapError_Call_Not_Supported ' This call is not supported
ShortError = "This call is not supported"
Case tpSapError_Not_Owner ' Caller does not own the specified handle
ShortError = "Caller does not own the specified handle"
Case tpSapError_Not_Initialized ' RFC not yet initialized
ShortError = "RFC not yet initialized"
Case tpSapError_System_Called ' A system call such as RFC_PING for connection test is executed
ShortError = "A system call such as RFC_PING for connection test is executed"
Case tpSapError_Invalid_Handle ' An invalid handle was passed to an API call
ShortError = "An invalid handle was passed to an API call"
Case tpSapError_Invalid_Parameter ' An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected.
ShortError = "An invalid parameter was passed to an API call or parameter length mismatch (expected and received) has been detected."
Case tpSapError_Canceled ' An rfc call has been canceled by user
ShortError = "An rfc call has been canceled by user"
Case tpSapError_Conversion ' An error during conversion has been detected
ShortError = "An error during conversion has been detected"
Case tpSapError_Invalid_Protocol ' The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format
ShortError = "The received data has an unsupported format. e.g.: non unicode application receives data sent in unicode format"
Case tpSapError_Timeout ' Timeout
ShortError = "Timeout"
End Select

'Errorcode
thisProject.Variables.Item("ErrorCode").Value = Error
'Description of the Error
thisProject.Variables.Item("ShortError").Value = ShortError
'More detailed description of the last error
thisProject.Variables.Item("LastError").Value = LastError
End Sub

Public Function GetNextField(ByRef Text As String)
'Function to extract FieldValues out of a RawData string...

pos = InStr(Text, Chr$(10)) 'search for delimiter
If pos > 0 Then 'delimiter exists?
GetNextField = Left$(Text, pos - 1) 'return text until delimiter
Else 'no more delimiters
GetNextField = Text 'return string
End If
Text = Right$(Text, Len(Text) - pos) 'return text until delimiter or end - cut
End Function

Private Sub Project_Inactive()
'release object to avoid memory leaks...
thisProject.SapFunctions.DeleteSapFunction ("RFC_READ_TABLE")
End Sub


SapTables-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTables -> SapTables-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined SAP tables | available | available | yes | yes
ISapFunctions | Parent | Parent-object | available | available | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTables -> SapTables-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTables -> SapTables-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Parent() As SapFunctions

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


SapTables-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTables -> SapTables-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ISapParameter | CreateSapTable | Creates a new SAP table (unique name) | available | available | yes | yes
VARIANT_BOOL | DeleteSapTable | Deletes the given SAP table | available | available | yes | yes
ISapTable | Item | Returns the SAP table by name or position | available | available | yes | yes


CreateSapTable

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTables -> SapTables-Methods -> CreateSapTable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateSapTable(String Name, [optional] VARIANT bOptional) As SapParameter

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DeleteSapTable

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTables -> SapTables-Methods -> DeleteSapTable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DeleteSapTable(String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> SapTables -> SapTables-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Item(VARIANT vID) As SapTable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index or name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Script

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

If several functions should be combined and be executed in the defined order (similar to a batch file), they can be entered into a script.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ScriptExample()
'**************** Use this code in the editor ****************

Dim zScript As Script
Dim i As Integer

'Initialize the script object with the first script in the scripts object (list)
Set zScript = MyWorkspace.ActiveDocument.Scripts.Item(0)

'If there is no script available (no script in the scripts object),...
If zScript Is Nothing Then
'...then inform the user
MsgBox ("No Script available")
'otherwise:
Else
'Output the name of the script
Debug.Print "Scriptname: " & zScript.Name

'For every function in the script...
For i = 0 To zScript.Count - 1
'...output the name of the function
Debug.Print i + 1 & ". Function: " & zScript.Item(i).Name
Next i

'Add the picSTART function to the script
zScript.Add (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)

'Remove the picSTART function from the script
zScript.Remove (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)
End If
End Sub


Script-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
BSTR | Name |  | available | read only | yes | yes
IScripts | Parent |  | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the name of the script.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Scripts

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Script-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Add |  | available | not used | yes | yes
void | DynProperties [PUT] |  | available | read only | yes | yes
VARIANT | DynProperties [GET] |  | available | read only | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | available | read only | yes | yes
IRtFunction | Item |  | available | available | yes | yes
VARIANT_BOOL | Remove |  | available | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


Add

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods -> Add

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Method adds a function to the script package by the corresponding function ID.

Datatype

Add(long nFuncID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Function ID

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

nFuncID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ManageScriptFunctions()
Dim zScript As Script

'Initialize the script object with the first script in the scripts object (list)
Set zScript = MyWorkspace.ActiveDocument.Scripts.Item(0)

'Add the picSTART function to the script
zScript.Add (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)

'Remove the picSTART function from the script
zScript.Remove (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)
End Sub


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the script function at the position vPosition. This method Item only allows accessing with the index.Hint: Check the returned object on Nothing, if no object for the search creteria was found.

Datatype

Item(VARIANT vPosition) As RtFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Remove

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Methods -> Remove

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Method removes a function from the script package by the corresponding function ID.

Datatype

Remove(long nFuncID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Function ID

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

nFuncID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ManageScriptFunctions()
Dim zScript As Script

'Initialize the script object with the first script in the scripts object (list)
Set zScript = MyWorkspace.ActiveDocument.Scripts.Item(0)

'Add the picSTART function to the script
zScript.Add (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)

'Remove the picSTART function from the script
zScript.Remove (MyWorkspace.ActiveDocument.RtFunctions.Item("picSTART").ID)
End Sub


Script-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

Script-Dynproperties


Script

Manuels -> Interfaces de programmation -> Modèles d'objet -> Script -> Script-Dynproperties -> Script

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BSTR

Name

Nom

Nom unique du script.
Par défaut : Script_x (x représente un nombre défini de manière consécutive).
Le nom peut être choisi librement, mais il existe pour les scripts des noms prédéfinis qui sont appliqués automatiquement. Ces noms peuvent être sélectionnés ou saisis.
AUTOSTART : Le script est exécuté automatiquement au démarrage du Runtime (poste de travail indépendant ou serveur) et après l’activation de l’affichage de départ (sur le poste de travail indépendant ou le serveur) si le projet est le projet de démarrage du Runtime.
AUTOEND : le script est exécuté automatiquement lors de l'arrêt du Runtime (poste de travail indépendant ou serveur) si le projet est le projet de démarrage du Runtime.
Attention : Les macros VBA devant être exécutées dans "AUTO_END" doivent être appelées via Project.Inactive. Il n'est pas nécessaire de spécifier les archives cycliques dans le script AUTOEND.
AUTOSTART_CLIENT : le script est exécuté automatiquement au démarrage du Runtime sur un client et avant l’activation de l’affichage de départ sur le client si le projet est le projet de démarrage du Runtime.
AUTOEND_CLIENT : le script est exécuté automatiquement lors de l'arrêt du Runtime sur un client si le projet est le projet de démarrage du Runtime.
AUTOSTART_SRVPRJ : le script est exécuté automatiquement au démarrage du Runtime sur le PC utilisé comme serveur du projet, avant l’activation de l'affichage de départ si le projet n’est pas le projet de démarrage du Runtime.
AUTOEND_SRVPRJ : le script est exécuté automatiquement lors de l'arrêt du Runtime sur le PC utilisé en tant que serveur du projet si le projet n'est pas le projet de démarrage du Runtime.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Conseil – Projets multi-utilisateurs : lorsque vous modifiez le nom d'un script, les paramètres des fonctions liées sont automatiquement ajustés après une demande de confirmation pour Permettre les modifications. Si le nom a été modifié avec succès, le script est modifié.

Plus de détails dans l'aide en ligne


Scripts

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object manages scripts.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_ScriptsExample()
'************ Use this script in the editor ************

Dim zScripts As Scripts
Dim i As Integer

'Initialize the scripts object with the current scripts
Set zScripts = MyWorkspace.ActiveDocument.Scripts

'For every script available in the scripts object...
For i = 0 To zScripts.Count - 1
'...output the name
Debug.Print i + 1 & ". Script: " & zScripts.Item(i).Name
Next i

End Sub


Scripts-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | read only | read only | yes | yes
IProject | Parent |  | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Scripts-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
IScript | Create |  | available | not used | yes | yes
VARIANT_BOOL | Delete |  | available | not used | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
IScript | Item |  | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Create a new script by name as string parameter

Datatype

Create(String bsName) As Script

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of the new script as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateDeleteScript()
Dim zScripts As Scripts
Dim i As Integer

'Initialize the scripts object with the current scripts
Set zScripts = MyWorkspace.ActiveDocument.Scripts

'Create a new script inside the scripts object
zScripts.Create ("zenOn_ScriptTest")

'Delete a script inside the scripts object
zScripts.Delete ("zenOn_ScriptTest")

End Sub


Delete

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Delete an existing script by name

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of the script as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateDeleteScript()
Dim zScripts As Scripts
Dim i As Integer

'Initialize the scripts object with the current scripts
Set zScripts = MyWorkspace.ActiveDocument.Scripts

'Create a new script inside the scripts object
zScripts.Create ("zenOn_ScriptTest")

'Delete a script inside the scripts object
zScripts.Delete ("zenOn_ScriptTest")

End Sub


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the corresponding script at the position vPosition. This method Item only allows accessing with the index.Hint: Check the returned object on "Nothing", if no object for the search criteria was found.

Datatype

Item(VARIANT vPosition) As Script

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport (VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Scripts-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

Scripts-Dynproperties


Scripts

Manuels -> Interfaces de programmation -> Modèles d'objet -> Scripts -> Scripts-Dynproperties -> Scripts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description


State

Manuels -> Interfaces de programmation -> Modèles d'objet -> State

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

States are utilized by Reaction Matrices, in order to define the characteristics.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_SetStateForBinaryRema(ByRef zRema As Rema)

'Declaration zState
Dim zState As State

'Intialize zState with the first state inside the passed binary rema
Set zState = zRema.StateItem(1)

'Defines the matching bit combination
zState.ReaWert = &H89 'Sets Bit0, Bit3 and Bit7 TRUE
zState.ReaWertMaske = &H81 'Defines that Bit0 and Bit7 will be checked (Bit3 is ignored)

'User message that will be displayed when the event occurs
zState.Text = "Bit combination is matched!"

'Moreover, the first defined function will be called when the event occurs
zState.Function = MyWorkspace.ActiveDocument.RtFunctions.Item(0)
'The function will only be executed when the tpBitFkt is set. Additionaly the tpBitAlarm flag is set too.
zState.Status = tpBitFkt Or tpBitAlarm

End Sub

Private Sub zenOn_SetStateForAnalogRema(ByRef zRema As rema)

'Declaration zState
Dim zState As State

'Intialize zState with the first state inside the passed analog rema
Set zState = zRema.StateItem(1)

'Sets the comparision mode to "greater"
zState.CheckArt = 1

'This definition constitutes the threshold value, where the alarm will be triggered
zState.ReaAlarm = 11

'This definition means that the system will be set back to its normal configuration, when "ReaAlarm" goes below 10 (hysteresis)
zState.Hysterese = 1

'User message that will be displayed when the event occurs
zState.Text = "Limit is reached!"

'Moreover, the first defined function will be called when the event occurs
zState.Function = MyWorkspace.ActiveDocument.RtFunctions.Item(0)
'The function will only be executed when the tpBitFkt is set. Additionaly the tpBitAlarm flag is set too.
zState.Status = tpBitFkt Or tpBitAlarm

End Sub


State-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | AllValues | - | available | read only | yes | yes
unsigned | char | - | available | read only | yes | yes
long | CheckArt | - | available | read only | yes | yes
long | ClassIdx | - | available | read only | yes | yes
long | Color | - | available | read only | yes | yes
long | DelayTime |  | available | available | yes | yes
long | Function | - | available | read only | yes | yes
long | GroupIdx | - | available | read only | yes | yes
double | Hysterese | - | available | available | yes | yes
IRema | Parent | - | read only | read only | yes | yes
long | ReaAlarm | - | available | read only | yes | yes
double | ReaAlarmBis | - | available | read only | yes | yes
long | ReaStatusExt | - | available | read only | yes | yes
long | ReaStatusFlankeExt | - | available | read only | yes | yes
long | ReaStatusFlankeStd | - | available | read only | yes | yes
long | ReaStatusMaskeExt | - | available | read only | yes | yes
long | ReaStatusMaskeStd | - | available | read only | yes | yes
long | ReaStatusStd | - | available | read only | yes | yes
long | ReaWert | - | available | read only | yes | yes
long | ReaWertFlanke | - | available | read only | yes | yes
long | ReaWertMaske | - | available | read only | yes | yes
tpStateBit | Status | - | available | available | yes | yes
BSTR | Text | - | available | read only | yes | yes


AllValues

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> AllValues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This Represents the checkbox 'Treat each change of value as new limit violation'

Datatype

AllValues() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


char

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> char

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

char() As unsigned

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


CheckArt

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> CheckArt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the comparision method for "ReaAlarm"<ul style="list-style-type:none;"><li>0 &amp;rarr; any</li><li>1 &amp;rarr; greater</li><li>2 &amp;rarr; less</li><li>3 &amp;rarr; equal</li><li>4 &amp;rarr; Area</li></ul>Option 4 (Area) requires "ReaAlarm" as the lower limit and "ReaAlarmBis" as the upper limit to be set.

Datatype

CheckArt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ClassIdx

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ClassIdx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the class index.

Datatype

ClassIdx() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Color

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> Color

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the color.

Datatype

Color() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


DelayTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> DelayTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

HIDDEN

Datatype

DelayTime() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Function

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> Function

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Assigns a function which will be called, when the Reaction Matrix matches.

Datatype

Function() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


GroupIdx

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> GroupIdx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the group index

Datatype

GroupIdx() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Hysterese

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> Hysterese

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the value when the system will be set back to the normal configuration. (Systems leaves triggered state)

Datatype

Hysterese() As double

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Rema

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ReaAlarm

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaAlarm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the limit value.Hint: The comparision method is selected with the "CheckArt" property.This value constitutes the lower limit of the area, if "CheckArt" option 4 (Area) is selected.

Datatype

ReaAlarm() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaAlarmBis

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaAlarmBis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This value constitutes the upper limit of the area, if "CheckArt" option 4 (Area) is selected. The lower limit is the "ReaAlarm" property.

Datatype

ReaAlarmBis() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusExt

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaStatusExt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ReaStatusExt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusFlankeExt

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaStatusFlankeExt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ReaStatusFlankeExt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusFlankeStd

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaStatusFlankeStd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ReaStatusFlankeStd() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateMultiBinaryRema()
Dim zRema As Rema
Dim zState As State

'Create a new analog Rema
Set zRema = MyWorkspace.ActiveDocument.Remas.Create(tpMultiBinaer, "zenOn_TestRema")
'Create a new state
Set zState = zRema.CreateState

'Set the I-Bit to trigger on both edges + the ST_M1 on negative edges
zState.ReaStatusFlankeStd = &H40000 Or &H1
zState.ReaStatusMaskeStd = &H0 Or &H1
zState.ReaStatusStd = &H0 Or &H0

End Sub


ReaStatusMaskeExt

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaStatusMaskeExt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Has to be set properly, if the bit in the ReaStatusExt DWORD should be adhered. Otherwise it will be ingored.<div style="margin-left: 10px;">e.g. PN_BIT should be checked &amp;rarr; <span style = "font-family: Courier New;">ReaStatusMaskeExt = &amp;H40</span></div>Hint: If a state bit should be checked, the corresponding mask is always the hex value of the state bit.The table with the state bits and the hex values can be found in the ReaStatusExt part.<span style="color: #FF0000">In order to check several state bits, the single masks have to be combined by ORing (logical OR).</span><div style="margin-left: 10px;">e.g. <span style = "font-family: Courier New;">ReaStatusMaskeExt = &amp;H40 <SPAN CLASS='KW'>Or</SPAN> &amp;H1000 <SPAN CLASS='RM'>'PN_BIT + BL_BIT are checked</SPAN></span></div>

Datatype

ReaStatusMaskeExt() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusMaskeStd

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaStatusMaskeStd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Has to be set properly, if the bit in the ReaStatusStd DWORD should be adhered. Otherwise it will be ingored.<div style="margin-left: 10px;">e.g. I-BIT should be checked &amp;rarr; <span style = "font-family: Courier New;">ReaStatusMaskeStd = &amp;H40000</span></div>Hint: If a state bit should be checked, the corresponding mask is always the hex value of the state bit.The table with the state bits and the hex values can be found in the ReaStatusStd part.<span style="color: #FF0000">In order to check several state bits, the single masks have to be combined by ORing (logical OR).</span><div style="margin-left: 10px;">e.g. <span style = "font-family: Courier New;">ReaStatusMaskeStd = &amp;H4 <SPAN CLASS='KW'>Or</SPAN> &amp;H10 <SPAN CLASS='RM'>'ST_M3 + ST_M5 will be checked</SPAN></span></div>

Datatype

ReaStatusMaskeStd() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaStatusStd

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaStatusStd

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The ReaStatusStd DWORD specifiecs which state bits are set.

e.g. ReaStatusStd = &H40000 (Hex-Value) means that the I-BIT is set TRUE.
Hint: Depending on the ReaStatusMaskeStd the bits will be checked or ignored.

In order to use state driven trigger (no triggering on edges) for the MultiBinary Rema, the ReaStatusFlankeStd has to be set to &h0.

To set more than one state bit, ORing (logical OR) have to be applied.

e.g. ReaStatusStd = &H100 Or &H4 'SELEC + ST_M3 are set TRUE

The following table gives an overview of common state bits.

Name | Description | Bit Number | Hex Value
ST_M1 | User status bit 1 | 0 | 0x00000001
ST_M2 | available | 1 | 0x00000002
ST_M3 | read only | 2 | 0x00000004
ST_M4 | yes | 3 | 0x00000008
ST_M5 | yes | 4 | 0x00000010
ST_M6 | User status bit 6 | 5 | 0x00000020
ST_M7 | User status bit 7 | 6 | 0x00000040
ST_M8 | User status bit 8 | 7 | 0x00000080
SELEC | Select bit | 8 | 0x00000100
REV | Revision bit | 9 | 0x00000200
DIREC | Desired direction bit | 10 | 0x00000400
RTE | Runtime exceeded bit | 11 | 0x00000800
I-BIT | Invalid bit | 18 | 0x00040000
N_UPD | Switched off bit | 20 | 0x00800000
DM_TR | Default message trafo value bit | 24 | 0x01000000
RM_TR | Run message trafo value bit | 25 | 0x02000000
AVALUE | Alternative value bit | 27 | 0x08000000

Datatype

ReaStatusStd() As long
VBA | yes | 0 | 0x00000001
VSTA | yes | 0 | 0x00000001

Availability

Environment | Available
Editor | available
Runtime | read only

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateAnalogRema()
Dim zRema As Rema
Dim zState As State

'Create a new analog Rema
Set zRema = MyWorkspace.ActiveDocument.Remas.Create(tpAnalog, "zenOn_TestRema")
'Create a new state
Set zState = zRema.CreateState

'***************************************************************
'* Set the I-Bit TRUE *
'* I-Bit Bit18 *
'* Hint: I-Bit TRUE -> Hex-Value 0x00|04|0000 *
'* / \ *
'* Binary ..0|00000100|0.. *
'* *
'* I-Bit FALSE -> Hex-Value 0x00000000 *
'***************************************************************

'Set the I-Bit TRUE
zState.ReaStatusStd = &H40000
'Set the StateMask for the I-Bit
'Hint: Hex-Value: 0x00040000 -> only I-Bit will be checked
zState.ReaStatusMaskeStd = &H40000

'***************************************************************
'* Check if the ST_M1 is FALSE *
'* ST_M1 Bit0 *
'* Hint: ST_M1 TRUE -> Hex-Value 0x000000| 01 *
'* / \ *
'* Binary ..0|00000001 *
'* ST_M1 FALSE -> Hex-Value 0x00000000 *
'***************************************************************

'Set the ST_M1 FALSE
zState.ReaStatusStd = &H0

'Set the StateMask for the ST_M1 bit
'Hint: Hex-Value: 0x00000001 -> only ST_M1 will be checked
zState.ReaStatusMaskeStd = &H1

'***************************************************************
'* Check both state bits *
'* Combining with ORing (logical OR) *
'***************************************************************

'Set the I-Bit TRUE + the ST_M1 bit FALSE
zState.ReaStatusStd = &H40000 Or &H0
'zState.ReaStatusStd = &H40000 // because ORing with &H0 will not change any bits

'Check the I-Bit + the ST_M1 bit, ignore all other bits
zState.ReaStatusMaskeStd = &H40000 Or &H1 '=&H40001

End Sub


ReaWert

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaWert

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The ReaWert DWORD specifies which bit combination (value) should be matched by the binary Reaction Matrices.Hint: Depending on the ReaWertMaske the bits of the DWORD will be checked or ignored.

Datatype

ReaWert() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaWertFlanke

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaWertFlanke

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Specifies, if the bit combination of the "ReaWert" used by a MultiBinary Rema trigger on edges.

Datatype

ReaWertFlanke() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ReaWertMaske

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> ReaWertMaske

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Has to be set properly, if the bit combination in the ReaWert DWORD should be adhered. Otherwise it will be ingored.

Datatype

ReaWertMaske() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Status() As tpStateBit

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Text

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Properties -> Text

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the text that will be displayed, if the defined limit is reached.

Datatype

Text() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


State-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IState | CreateSubState | - | available | not used | yes | yes
void | DeleteSubState |  | not used | not used | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
long | GetSubStateCount | - | read only | read only | yes | yes
BOOL | MoveSubState | - | available | not used | yes | yes
IState | SubStateItem | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


CreateSubState

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> CreateSubState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new substate.

Datatype

CreateSubState() As State

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_CreateSubStateExample(ByRef zState As State)

Dim zSubState As State

'Initialize the zSubState by creating a new substate
Set zSubState = zState.CreateSubState

'e.g. change the color of the substate
zSubState.Color = RGB(0, 128, 128)

End Sub


DeleteSubState

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> DeleteSubState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deltes a SubState object

Datatype

DeleteSubState(VARIANT vID) As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetSubStateCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> GetSubStateCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the amount of substates.

Datatype

GetSubStateCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MoveSubState

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> MoveSubState

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Moves the substate within the state one position up- or downwards.<ul style="list-style-type:none;"><li>-1 &amp;rarr; upward</li><li>1 &amp;rarr; downward</li></ul>

Datatype

MoveSubState(VARIANT vID, BOOL bDirection) As BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Index of the substate.

Defines the direction:

-1 Ã¢â€ â€™ upward

1 Ã¢â€ â€™ downward

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

bDirection As BOOL

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_MoveSubStateExample()

Dim zRema As Rema
Dim zState As State
Dim i As Integer

Set zRema = MyWorkspace.ActiveDocument.Remas.Item(0)
Set zState = zRema.StateItem(1)

zState.MoveSubState 2, 0

For i = 0 To zState.GetSubStateCount - 1
Debug.Print zState.SubStateItem(i).Color
Next i

End Sub


SubStateItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> State -> State-Methods -> SubStateItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a state object, containing the selected substate of the current state.

Datatype

SubStateItem(VARIANT vID) As State

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Index of the substate.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_SubStateExample(ByRef zState As State)

Dim zSubState As State

'Initialize the zSubState with the first substate of zState
Set zSubState = zState.SubStateItem(1)

'e.g. change the color of the substate
zSubState.Color = RGB(0, 128, 128)

End Sub


SymbolElements

Manuels -> Interfaces de programmation -> Modèles d'objet -> SymbolElements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This collection contains the 'Element' objects within a symbol. It is possible, that there are symbols in symbols and so on, so it could be neccessary to enumerate the object recursive.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub SymbolElem()
Dim zPIC As DynPicture
Dim zSymbol As Element
Dim zText As Element
Dim zCircle As Element

Set zPIC = MyWorkspace.ActiveDocument.DynPictures.Item("START")

'create static text element
Set zText = zPIC.Elements.Create("MyStaticText", tpText)
zText.Top = 100
zText.Left = 100

'create circle
Set zCircle = zPIC.Elements.Create("MyStaticCircle", tpCircle)
zCircle.Top = 150
zCircle.Left = 150

'create symbol
Set zSymbol = zPIC.Elements.Create("MyNewSymbol", tpSymbol)
zSymbol.Elements.Add zText
zSymbol.Elements.Add zCircle
zPIC.Save
End Sub

Sub EnumSymbolElements()
Dim zPicture As DynPicture
Dim zSymbol As Element
Dim zSymElements As SymbolElements
Dim i As Integer

'get Picture,(embedded) Symbol, SymbolElements collection...
Set zPicture = MyWorkspace.ActiveDocument.DynPictures.Item("START")
Set zSymbol = zPicture.Elements.Item("MyNewSymbol")
Set zSymElements = zSymbol.Elements

'enumerate all elements within a (embedded) symbol
For i = 0 To zSymElements.Count - 1
Debug.Print zSymElements.Item(i).Name & " [" & zSymElements.Item(i).Top & "/" & zSymElements.Item(i).Left & "]"
Next

End Sub


SymbolElements-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SymbolElements -> SymbolElements-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IElement | Parent | The parent object of the current object | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> SymbolElements -> SymbolElements-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> SymbolElements -> SymbolElements-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Element

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


SymbolElements-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> SymbolElements -> SymbolElements-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Add | Creates and returns a new Object | available | not used | yes | yes
IElement | Item | Returns a object at a position or by a specified key | available | available | yes | yes
VARIANT_BOOL | Remove | Deletes the objects from collection | available | not used | yes | yes


Add

Manuels -> Interfaces de programmation -> Modèles d'objet -> SymbolElements -> SymbolElements-Methods -> Add

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method will add an exisiting 'Element' object from the picture into the symbol.

Datatype

Add(IElement pElement) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> SymbolElements -> SymbolElements-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a 'Element' object at a position or by name

Datatype

Item(VARIANT vElementID) As Element

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Remove

Manuels -> Interfaces de programmation -> Modèles d'objet -> SymbolElements -> SymbolElements-Methods -> Remove

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes an Element objects from the Symbol.

Datatype

Remove(String nElemId) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Symbols

Manuels -> Interfaces de programmation -> Modèles d'objet -> Symbols

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA


Symbols-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Symbols -> Symbols-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT | SymbolList | Returns a list of available symbols | read only | not used | yes | yes


SymbolList

Manuels -> Interfaces de programmation -> Modèles d'objet -> Symbols -> Symbols-Properties -> SymbolList

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SymbolList() As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Symbols-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Symbols -> Symbols-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> Symbols -> Symbols-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export a symbol library into a file.

Datatype

Export(String bsLibName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Global Symbol Library as string or "" if Projectlibrary is used.

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsLibName As String

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Symbol_IMEX()

'export project library
MyWorkspace.ActiveDocument.Symbols.Export "", "C:\TEMP\ProjectLib.xml"

'export specific global library
MyWorkspace.Symbols.Export "Symbolgroup 1", "C:\TEMP\GlobalLib_S1.xml"

'export single symbol
MyWorkspace.ActiveDocument.Symbols.SingleExport "Symbol 2", "", "C:\TEMP\Symbol2.xml"

'import from file
MyWorkspace.ActiveDocument.Symbols.Import "", "C:\TEMP\ProjectLib.xml"

End Sub


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> Symbols -> Symbols-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import a symbol library from file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsLibName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Global Symbol Library as string or "" if Projectlibrary is used.

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsLibName As String

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Symbol_IMEX()

'export project library
MyWorkspace.ActiveDocument.Symbols.Export "", "C:\TEMP\ProjectLib.xml"

'export specific global library
MyWorkspace.Symbols.Export "Symbolgroup 1", "C:\TEMP\GlobalLib_S1.xml"

'export single symbol
MyWorkspace.ActiveDocument.Symbols.SingleExport "Symbol 2", "", "C:\TEMP\Symbol2.xml"

'import from file
MyWorkspace.ActiveDocument.Symbols.Import "", "C:\TEMP\ProjectLib.xml"

End Sub


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> Symbols -> Symbols-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport (VARIANT vName,String bsLibName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of single symbol in library as string.

Name of Global Symbol Library as string or "" if Projectlibrary is used.

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vName As Variant

bsLibName As String

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Symbol_IMEX()

'export project library
MyWorkspace.ActiveDocument.Symbols.Export "", "C:\TEMP\ProjectLib.xml"

'export specific global library
MyWorkspace.Symbols.Export "Symbolgroup 1", "C:\TEMP\GlobalLib_S1.xml"

'export single symbol
MyWorkspace.ActiveDocument.Symbols.SingleExport "Symbol 2", "", "C:\TEMP\Symbol2.xml"

'import from file
MyWorkspace.ActiveDocument.Symbols.Import "", "C:\TEMP\ProjectLib.xml"

End Sub


SystemModel

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer
Dim j As Integer
Dim zSystemModel As SystemModel
Dim zSystemModelGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Get SystemModel
Set zSystemModel = zSystemModelManager.Item(i)
For j = 0 To zSystemModel.count - 1
'Get SystemModelGroup
Set zSystemModelGroup = zSystemModel.Item(j)
Debug.Print (zSystemModelGroup.DynProperties("Name"))
Next j
Next i
End Sub


SystemModel-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of system groups. | available | not used | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer
Dim j As Integer
Dim zSystemModel As SystemModel
Dim zSystemModelGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Get SystemModel
Set zSystemModel = zSystemModelManager.Item(i)
For j = 0 To zSystemModel.count - 1
'Get SystemModelGroup
Set zSystemModelGroup = zSystemModel.Item(j)
Debug.Print (zSystemModelGroup.DynProperties("Name"))
Next j
Next i
End Sub


SystemModel-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty |  | not used | available | yes | yes
void | DynProperties [PUT] |  | available | not used | yes | yes
VARIANT | DynProperties [GET] |  | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | available | not used | yes | yes
ISystemModelGroup | Item | Returns the system group at the given index. | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


CreateDynProperty

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateSystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zSystemModel As SystemModel

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( SystemModel) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the EquipmentModel (SystemModel)
Set zSystemModelManager = zProject.SystemModelManager
Stop
'Now we create a new SystemModel
zSystemModelManager.CreateDynProperty ("Modules[" & zSystemModelManager.count & "]")
'Set the name of the SystemModel
zSystemModelManager.DynProperties("Modules[" & (zSystemModelManager.count - 1) & "].Name") = "Test"
End Sub


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateSystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zSystemModel As SystemModel

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( SystemModel) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the EquipmentModel (SystemModel)
Set zSystemModelManager = zProject.SystemModelManager

'Get the name of the SystemModel
Debug.Print(zSystemModelManager.DynProperties("Modules[" & (zSystemModelManager.count - 1) & "].Name"))

End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub CreateSystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zSystemModel As SystemModel

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( SystemModel) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the EquipmentModel (SystemModel)
Set zSystemModelManager = zProject.SystemModelManager
Stop
'Now we create a new SystemModel
zSystemModelManager.CreateDynProperty ("Modules[" & zSystemModelManager.count & "]")
'Set the name of the SystemModel
zSystemModelManager.DynProperties("Modules[" & (zSystemModelManager.count - 1) & "].Name") = "Test"
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the property parameter as PropParam

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Item(VARIANT vIndex) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModel()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer
Dim j As Integer
Dim zSystemModel As SystemModel
Dim zSystemModelGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Get SystemModel
Set zSystemModel = zSystemModelManager.Item(i)
For j = 0 To zSystemModel.count - 1
'Get SystemModelGroup
Set zSystemModelGroup = zSystemModel.Item(j)
Debug.Print (zSystemModelGroup.DynProperties("Name"))
Next j
Next i
End Sub


SystemModel-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

SystemModel-Dynproperties


SystemModel

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModel -> SystemModel-Dynproperties -> SystemModel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Guid | - |
VT_BSTR | Name | Nom | Nom du modèle. Attribué automatiquement avec une numérotation consécutive lors de la création, et peut être modifié à volonté. Par défaut : ModelX (X représente un nombre défini de manière consécutive) Plus de détails dans l'aide en ligne
CSystemModel-DynpropertiesGroup | SystemModel-DynpropertiesGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


SystemModelGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelGroups()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.Item(0).Item(0)
If Not zSymModGroup Is Nothing Then
'Show SystemModelGroup
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
'Show child SystemModelGroup
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub


SystemModelGroup-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of system groups. | available | not used | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelGroups()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.Item(0).Item(0)
If Not zSymModGroup Is Nothing Then
'Show SystemModelGroup
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
'Show child SystemModelGroup
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub


SystemModelGroup-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty |  | not used | available | yes | yes
void | DynProperties [PUT] |  | available | not used | yes | yes
VARIANT | DynProperties [GET] |  | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | available | not used | yes | yes
ISystemModelGroup | Item | Returns the system group at the given index. | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


CreateDynProperty

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the property parameter as PropParam

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Item(VARIANT vIndex) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelGroups()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.Item(0).Item(0)
If Not zSymModGroup Is Nothing Then
'Show SystemModelGroup
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
'Show child SystemModelGroup
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub


SystemModelGroup-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

SystemModelGroup-Dynproperties


SystemModelGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Dynproperties -> SystemModelGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Guid | - |
VT_BSTR | Name | Nom | Nom du groupe. Attribué automatiquement avec une numérotation consécutive lors de la création, et peut être modifié à volonté. Par défaut : GroupX (X représente un nombre défini de manière consécutive) Plus de détails dans l'aide en ligne
CSystemModelGroup-Dynproperties | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CSystemModelGroup-Dynproperties-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelGroup -> SystemModelGroup-Dynproperties -> CSystemModelGroup-Dynproperties-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Guid | - |
VT_BSTR | Name | Nom | Nom du groupe. Attribué automatiquement avec une numérotation consécutive lors de la création, et peut être modifié à volonté. Par défaut : GroupX (X représente un nombre défini de manière consécutive) Plus de détails dans l'aide en ligne
CSystemModelGroup-Dynproperties | SystemModelGroup-Dynproperties | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


SystemModelManager

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManager()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroupChild As SystemModelGroup
Dim zSymModGroup As SystemModelGroup

Stop
Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

Debug.Print ("Number of System Models : " & zSystemModelManager.count)

'SystemModel (First node in the Equipment Model)
Debug.Print (zSystemModelManager.Item(0).DynProperties("Name"))
Debug.Print (zSystemModelManager.Item(0).DynProperties("Guid"))
zName = zSystemModelManager.Item(0).DynProperties("Name")

'Get the SystemModel by Name
Set zSymModGuid = zSystemModelManager.ModelByName(zName)
If Not zSymModGuid Is Nothing Then
Debug.Print (zSymModGuid.DynProperties("Name"))
Else
Debug.Print ("NOTHING")
End If

'SystemModelGroup (Equipment Group)
Debug.Print (zSystemModelManager.Item(0).Item(0).DynProperties("Name"))
Debug.Print (zSystemModelManager.Item(0).Item(0).DynProperties("Guid"))
zGuid = zSystemModelManager.Item(0).Item(0).DynProperties("Guid")

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.GroupByGuid(zGuid)
If Not zSymModGroup Is Nothing Then
Debug.Print (zSymModGroup.DynProperties("Name"))
If zSymModGroup.count > 0 Then
Set zSymModGroupChild = zSymModGroup.Item(0)
Debug.Print (zSymModGroupChild.DynProperties("Name"))
End If
Else
Debug.Print ("NOTHING")
End If
End Sub


SystemModelManager-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count |  | available | not used | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Count() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManagerItem()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Show the name of the SystemModel
Debug.Print (zSystemModelManager.Item(i).DynProperties("Name"))
Next i
End Sub


SystemModelManager-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty |  | available | not used | yes | yes
void | DynProperties [PUT] |  | available | not used | yes | yes
VARIANT | DynProperties [GET] |  | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | available | not used | yes | yes
ISystemModelGroup | GroupByGuid | Returns the system group with the given id (guid). | available | not used | yes | yes
ISystemModel | Item | Returns the system model at the given index. | available | not used | yes | yes
ISystemModel | ModelByName | Returns the system model with the given id (guid). | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes
VARIANT_BOOL | Export | Exports system model list | available | not used | yes | yes
VARIANT_BOOL | Import | Imports system model list | available | not used | yes | yes


CreateDynProperty

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Create Subitems of the SystemModelManager collection. See: SystemModelManager

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Read and/or change the Properties of the SystemModelManager collection. See: SystemModelManager

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Set the Properties of the SystemModelManager collection. See: SystemModelManager

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.
A blank String like that returns the first layer of properties ("")...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the property parameter as PropParam

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

string bsPath

VB.NET

Dim bsPath As String

VBA

bsPath As String

Examples

C#

public void Macronew()

{

zenOn.IPropParam Param = this.ActiveDocument.get_DynPropertyParam("MultitouchMode");

if (Param.OptionCount > 0)

{

for (int i = 0; i < Param.OptionCount; i++)

{

this.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

this.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr);

}

}

}

VB.NET

Public Sub Macronew()

Dim Param As zenOn.IPropParam = Me.ActiveDocument.get_DynPropertyParam("MultitouchMode")

If Param.OptionCount > 0 Then

For i As Integer = 0 To Param.OptionCount - 1

Me.Application.DebugPrint(Param.OptionText(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Me.Application.DebugPrint(Param.OptionValue(i).ToString(), zenOn.tpDebugPrintStyle.tpErr)

Next

End If

End Sub

VBA

Public Sub VBAMacro()

Dim obparm As PropParam

Dim n As Integer

Set obparm = thisProject.DynPropertyParam("MultitouchMode")

If (Not obparm Is Nothing) Then

If obparm.OptionCount > 0 Then

For n = 0 To obparm.OptionCount - 1

Debug.Print "Option:" & obparm.OptionText(n)

Debug.Print "Option:" & obparm.OptionValue(n)

Next

End If

End If

End Sub


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Export(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GroupByGuid

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> GroupByGuid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

GroupByGuid(String bsGuid) As SystemModelGroup

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManager()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zGuid As String
Dim i As Integer
Dim zSymModGuid As SystemModel
Dim zSymModGroup As SystemModelGroup

Stop
Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

'Get guid of any SystemModelGroup (Equipment Group)
zGuid = zSystemModelManager.Item(0).Item(0).DynProperties("Guid")

'Get SystemModelGroup (Equipment Group)by guid
Set zSymModGroup = zSystemModelManager.GroupByGuid(zGuid)
If Not zSymModGroup Is Nothing Then
Debug.Print (zSymModGroup.DynProperties("Name"))
Else
Debug.Print ("NOTHING")
End If
End Sub


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Import(BSTR bsFileName) As VARIANT_BOOL

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Item(VARIANT vIndex) As SystemModel

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManagerItem()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim i As Integer

Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

For i = 0 To zSystemModelManager.count - 1
'Show the name of the SystemModel
Debug.Print (zSystemModelManager.Item(i).DynProperties("Name"))
Next i
End Sub


ModelByName

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Methods -> ModelByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ModelByName(String bsName) As SystemModel

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub SystemModelManager()
Dim zSystemModelManager As SystemModelManager
Dim zProject As Project
Dim zName As String
Dim zSymModGuid As SystemModel

Stop
Set zProject = MyWorkspace.ActiveDocument

'Equipment Model ( System Model) only exist in the global project.
If Not zProject.IsGlobal Then
Exit Sub
End If

'Get the Equipment Model
Set zSystemModelManager = zProject.SystemModelManager

Debug.Print ("Number of System Models : " & zSystemModelManager.count)

'SystemModel (First node in the Equipment Model)
Debug.Print (zSystemModelManager.Item(0).DynProperties("Name"))
Debug.Print (zSystemModelManager.Item(0).DynProperties("Guid"))
zName = zSystemModelManager.Item(0).DynProperties("Name")

'Get the SystemModel by Name
Set zSymModGuid = zSystemModelManager.ModelByName(zName)
If Not zSymModGuid Is Nothing Then
Debug.Print (zSymModGuid.DynProperties("Name"))
Else
Debug.Print ("NOTHING")
End If

End Sub


SystemModelManager-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

SystemModelManager-Dynproperties


SystemModelManager

Manuels -> Interfaces de programmation -> Modèles d'objet -> SystemModelManager -> SystemModelManager-Dynproperties -> SystemModelManager

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
CSystemModel | Modules | - |


Task

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

A task is a VisualBasicScript file and can be executed over the Tasks/Task object model.Here is a sample how to configure a task to run only once and starts event triggered:<img src="../../../private/task_settings.jpg"></img>Tasks can also be configured cyclic, then VBA is not needed to use them...

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub StartTask()
Dim zTask As Task

'get task by its name...
Set zTask = thisProject.Tasks.Item("Task1")

'get task properties...
Debug.Print "CountVariable: " & zTask.CountVariable
Debug.Print "ActualCycleTime: " & zTask.ActualCycleTime
Debug.Print "CycleTime: " & zTask.CycleTime
Debug.Print "ErrorNumber: " & zTask.ErrorNumber
Debug.Print "ErrorString: " & zTask.ErrorString
Debug.Print "Priority: " & zTask.Priority
Debug.Print "Status: " & zTask.Status

'run task
zTask.Run

End Sub


Task-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ActualCycleTime | - | available | read only | yes | yes
long | CountVariable | - | available | read only | yes | yes
long | CycleTime | - | available | read only | yes | yes
long | ErrorNumber | - | available | available | yes | yes
BSTR | ErrorString | - | available | available | yes | yes
BSTR | Name | - | available | read only | yes | yes
ITasks | Parent | - | read only | read only | yes | yes
long | Priority | - | available | read only | yes | yes
tpTaskStatus | Status | - | read only | read only | yes | yes
tpTaskTyp | Type | - | available | read only | yes | yes


ActualCycleTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> ActualCycleTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Currently achieved cycle time of the task

Datatype

ActualCycleTime() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


CountVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> CountVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Number of variables linked to the task

Datatype

CountVariable() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


CycleTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> CycleTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Defined cycle time of the task

Datatype

CycleTime() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ErrorNumber

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> ErrorNumber

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains an error number.

Datatype

ErrorNumber() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ErrorString

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> ErrorString

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Contains an error message as string.

Datatype

ErrorString() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Unique name of the task.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Tasks

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Priority

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> Priority

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Process priority for the operating system multi-threading (idle, low, normal, high, highest, time critical)Default: normalMain process: the task runs in the same thread as the Runtime. If the task gets into a waiting loop or crashes, that also influences the Runtime.

Datatype

Priority() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Status

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> Status

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the status of a task.

Datatype

Status() As tpTaskStatus

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Tasks can be executed "cyclic" or "once".

Datatype

Type() As tpTaskTyp

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Task-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IVariable | ItemVariable | - | available | available | yes | yes
void | MemValue [PUT] | - | available | available | yes | yes
VARIANT | MemValue [GET] | - | available | available | yes | yes
void | Run | - | available | available | yes | yes
void | Sleep | - | available | available | yes | yes
VARIANT_BOOL | StartTimer | - | available | available | yes | yes
void | Stop | - | available | available | yes | yes
VARIANT_BOOL | StopTimer | - | available | available | yes | yes
void | Value [PUT] | - | available | available | yes | yes
VARIANT | Value [GET] | - | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> ItemVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a variable object.

Datatype

ItemVariable(VARIANT vPv) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MemValue [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> MemValue [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MemValue(String Name) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


MemValue [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> MemValue [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

MemValue (String Name,VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Run

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> Run

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Run () As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Sleep

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> Sleep

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Sleep (long msTime) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StartTimer

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> StartTimer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

StartTimer (long lID,long msTime) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Timer ID as long

Timerinterval in milliseconds as long.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lID As Long

msTime As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Stop

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> Stop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Stop () As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


StopTimer

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> StopTimer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

StopTimer (long lID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> Value [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Value (String Name,[optional]VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Methods -> Value [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Value (String Name,[optional]VARIANT vIndex,VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Task-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | Exit | - | available | available | yes | yes
void | Init | - | available | available | yes | yes
void | Main | - | available | available | yes | yes
void | Timer | - | available | available | yes | yes


Exit

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Events -> Exit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is automatically executed when stopping the task.

Datatype

Exit() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Init

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Events -> Init

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is automatically executed when starting the task.

Datatype

Init() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Main

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Events -> Main

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is either executed once (type once) or cyclically (type cyclic).

Datatype

Main() As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Timer

Manuels -> Interfaces de programmation -> Modèles d'objet -> Task -> Task-Events -> Timer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is executed cyclically, as long as the according time is running. The cycle time is defined as a parameter with the starting of the timer.

Datatype

Timer(long lID) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Tasks

Manuels -> Interfaces de programmation -> Modèles d'objet -> Tasks

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object contains a collection of tasks, tasks can be defined with the 'Process Control Engine' (PCE).A task is a VisualBasicScript file and can be executed over the Tasks/Task object model.Here is a sample how to configure a task to run only once and starts event triggered:<img src="../../../private/task_settings.jpg"></img>Tasks can also be configured cyclic, then VBA is not needed to use them...

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub StartTask()
Dim zTask As Task

'get task by its name...
Set zTask = thisProject.Tasks.Item("Task1")

'get task properties...
Debug.Print "CountVariable: " & zTask.CountVariable
Debug.Print "ActualCycleTime: " & zTask.ActualCycleTime
Debug.Print "CycleTime: " & zTask.CycleTime
Debug.Print "ErrorNumber: " & zTask.ErrorNumber
Debug.Print "ErrorString: " & zTask.ErrorString
Debug.Print "Priority: " & zTask.Priority
Debug.Print "Status: " & zTask.Status

'run task
zTask.Run

End Sub


Tasks-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Tasks -> Tasks-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IProject | Parent | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> Tasks -> Tasks-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Tasks -> Tasks-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Tasks-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Tasks -> Tasks-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITask | Item | - | available | available | yes | yes


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> Tasks -> Tasks-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Single Task Item represents a vbs file.

Datatype

Item(String Name) As Task

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Template

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The Frame contains general information on the outer appearance of the Screens. Each Screen is linked to a Frame. The VBA object for the Frames contains the most important information, e.g. name and position on the screen.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function


Template-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
BSTR | BackgroundImage | Image for the Template | available | read only | yes | yes
short | BackgroundImageStyle | Style for the Image | available | read only | yes | yes
short | BorderStyle | Style of the template-border (for resizing) | available | read only | yes | yes
long | Bottom | Bottom-coordinate of the template | available | read only | yes | yes
long | Left | Left-coordinate of the template | available | read only | yes | yes
BSTR | Name | Name of the template (unique) | available | read only | yes | yes
ITemplates | Parent | Returns the parent object | read only | read only | yes | yes
long | Right | Right-coordinate of the template | available | read only | yes | yes
VARIANT_BOOL | ShowForeground | Shows template always in the foreground | available | read only | yes | yes
VARIANT_BOOL | ShowMinimize | Shows the windows minimize button | available | read only | yes | yes
VARIANT_BOOL | ShowSysMenu | Shows the windows system menu | available | read only | yes | yes
VARIANT_BOOL | ShowTitle | Shows titlebar for the template | available | read only | yes | yes
long | Style | Style of the template-window | available | read only | yes | yes
long | Top | Top-coordinate of the template | available | read only | yes | yes
long | BackgroundColor | BackColor | available | read only | yes | yes


BackgroundColor

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> BackgroundColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

BackgroundColor() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundImage

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> BackgroundImage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the path to the background image for the Frame.

Datatype

BackgroundImage() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BackgroundImageStyle

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> BackgroundImageStyle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

BackgroundImageStyle() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BorderStyle

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> BorderStyle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

BorderStyle() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Bottom

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Bottom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the position of the bottom Frame border in pixel. The value defines the distance from the top border of the screen.

Datatype

Bottom() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Left

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Left

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the position of the left Frame border in pixel. The value defines the distance from the left border of the screen. If this value is 0, then the Frame starts at the left border of the screen.

Datatype

Left() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unique name of the Frame. With this name the Frame can be found in the central Frame list of the project. This name is always unique.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Templates

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Right

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Right

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the position of the right Frame border in pixel. The value defines the distance from the left border of the screen.

Datatype

Right() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowForeground

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> ShowForeground

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Shows the Frame always in the foreground, if set TRUE.

Datatype

ShowForeground() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowMinimize

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> ShowMinimize

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Shows the Windows minimize/maximize button, if set TRUE.<span style="color:red">Only available, if property "ShowSysMenu" is set TRUE.</span>

Datatype

ShowMinimize() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowSysMenu

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> ShowSysMenu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Shows the Windows system menu, if set TRUE.<span style="color:red">Only available, if property "ShowTitle" is set TRUE.</span>

Datatype

ShowSysMenu() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowTitle

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> ShowTitle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Shows the titlebar for the Frame, if set TRUE.<span style="color:red">Only available, if property "BorderStyle" is set other than 0 (No frame).</span>

Datatype

ShowTitle() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Style

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Style

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the style of the Frame window. The returned value comprises all style settings.

Datatype

Style() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Top

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Properties -> Top

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the position of the top Frame border in pixel. The value defines the distance from the top border of the screen. If this value is 0, then the Frame starts at the top border of the screen.

Datatype

Top() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Template-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
VARIANT_BOOL | Copy | Copies the template | available | not used | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
VARIANT_BOOL | Export | Export the given template | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | Import | Import a template | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
VARIANT_BOOL | Save | Save changes | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Copy

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> Copy

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Copies the settings from an existing Frame to the own Frame.

Datatype

Copy(ITemplate pSource) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Source Frame object, from which the settings should be copied.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pSource As Template

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String szFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename whre the XML file should be stored.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file

Datatype

Import(String szFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename where the XML file for import is located.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Save

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> Save

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save changes.

Datatype

Save() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Template-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

Alarm template

Frame (Template-Dynproperties)


Alarm template

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Dynproperties -> Alarm template

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BSTR

Template-DynpropertiesName

Nom

Nom unique du gabarit.
Par défaut : Gabarit_x (x représente un nombre défini de manière consécutive).
Maximum : 28 caractères dans un projet, 27 caractères dans un projet global.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowForeground

Toujours en avant plan

Actif : Aucun autre synoptique ne sera superposé à cette zone durant le fonctionnement en ligne. En revanche, il est possible de créer des synoptiques en arrière-plan.
Inactif : Les synoptiques basés sur ce gabarit peuvent être recouverts par d'autres synoptiques.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ShowTitle

Titre

Disponible uniquement si un cadre est sélectionné pour le modèle :
Actif : Les barres de titre de Windows sont utilisées pour les synoptiques basés sur ce modèle. Les synoptiques peuvent être déplacés dans le Runtime.
Inactif : Aucune barre de titre n'est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ShowSysMenu

Menu système

Disponible uniquement si le titre est actif.
Actif : Affiche le menu système de Windows dans la barre de titre.
Inactif : Le menu système n'est pas affiché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ShowMinimize

Boutons Min./Max.

Disponible uniquement si le titre est actif.
Actif : Affiche un champ de symboles de Windows dans la barre de titre.
Inactif : Ne pas afficher de champ de symboles.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

BorderStyle

Type de cadre

Type de cadre du synoptique.
Cadre épais : Un cadre épais est affiché autour du synoptique. La taille du synoptique peut être modifiée dans le Runtime.
Cadre fin : Affiche un cadre fin autour du synoptique.
Pas de cadre : Aucun cadre n'est affiché autour du synoptique.
Par défaut : Pas de cadre.

Plus de détails dans l'aide en ligne

VT_I4

PosTop

Haut [pixels]

Coordonnée Y du coin supérieur gauche du modèle, en pixels (selon la résolution définie).
Minimum : -2147483648.
Maximum : 2147483647.
Par défaut : 0.

Attention : Nous déconseillons de définir des gabarits mesurant plus de 32 000 x 32 000 pixels, afin d'éviter les effets de flou.

Plus de détails dans l'aide en ligne

VT_BOOL

StandardPosition

Utiliser position standard

Active : place le gabarit pour la ligne d'état des alarmes le long de la bordure supérieure de l'écran.

Par défaut : active

Plus de détails dans l'aide en ligne

VT_I2

PosType

Position

Détermine la position du gabarit et des synoptiques basés sur celui-ci dans le Runtime.

Utiliser la position absolue : Positionne le cadre aux coordonnées définies dans la propriété Position.

Par rapport à l'élément : Positionne le point de référence du cadre par rapport à l'élément depuis lequel l'appel de synoptique a été exécuté. Ici, vous pouvez définir le point de référence du gabarit (dans la propriété Point de référence du gabarit) et le point de référence de l'élément (dans la propriété Point de référence de l'élement), ainsi que les distances par rapport à l'élément. Le point de référence du cadre sera toujours placé sur le point de référence calculé de l'élément. Si le cadre ne peut pas être désactivé dans cette position, car cela placerait le synoptique hors de l'écran, les points de référence alternatifs sont utilisés. Vous pouvez configurer les points de référence alternatifs du gabarit dans la propriété Point de référence du gabarit et ceux de l'élément dans la propriété Point de référence alternatif de l'élément.

Par rapport au pointeur de souris : Le synoptique est positionné par rapport au point de référence du cadre, c'est-à-dire la position actuelle du pointeur de souris. Vous pouvez définir le point de référence dans la propriété Point de référence du gabarit. Il est affiché sous la forme d'un point rouge dans l'éditeur de gabarits. Exemple : Si le point de référence se trouve sur le côté supérieur gauche, le cadre sera chargé dans le coin inférieur droit du point de référence.
Si le synoptique ne peut pas être affiché entièrement à la position configurée, la position sera décalée jusqu'à ce que le synoptique se trouve entièrement dans la zone affichable de l'écran.

Par défaut : utiliser position absolue

Plus de détails dans l'aide en ligne

VT_I2

RefVert

Vertical

Active uniquement si vous sélectionnez Par rapport à l'élément ou Par rapport au pointeur de souris dans la propriété Position.

Sélectionnez le point de référence souhaité pour le gabarit dans la liste déroulante. Choisissez parmi haut, bas ou centré.

Par défaut : Haut

Plus de détails dans l'aide en ligne

VT_I2

RefHorz

Horizontal

Active uniquement si vous sélectionnez Par rapport à l'élément ou Par rapport au pointeur de souris dans la propriété Position.

Sélectionnez le point de référence souhaité pour le gabarit dans la liste déroulante. Choisissez parmi gauche, droite ou centré.

Par défaut : gauche

Plus de détails dans l'aide en ligne

VT_I2

PosVert

Vertical

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour l'élément dans la liste déroulante. Lors du chargement du gabarit, ce point de référence est pris en compte. Choisissez parmi haut ou bas.

Par défaut : Haut

Plus de détails dans l'aide en ligne

VT_I2

PosHorz

Horizontal

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour l'élément dans la liste déroulante. Lors du chargement du gabarit, ce point de référence est pris en compte. Choisissez parmi gauche ou droite.

Par défaut : gauche

Plus de détails dans l'aide en ligne

VT_I4

PixelVert

Mouvement vertical [pixel]

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence verticalement.

Par défaut : 2

Plus de détails dans l'aide en ligne

VT_I4

PixelHorz

Mouvement horizontal [pixel]

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence horizontalement.

Par défaut : 2

Plus de détails dans l'aide en ligne

VT_I2

AltRefVert

Alternative verticale

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence alternatif souhaité pour le gabarit dans la liste déroulante. Le point de référence alternatif sera utilisé s'il est impossible de positionner le gabarit au point de référence préféré lors du chargement du gabarit. Choisissez parmi haut, bas ou centré.

Par défaut : Haut

Plus de détails dans l'aide en ligne

VT_I2

AltRefHorz

Alternative horizontale

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence alternatif souhaité pour le gabarit dans la liste déroulante. Le point de référence alternatif sera utilisé s'il est impossible de positionner le gabarit au point de référence préféré lors du chargement du gabarit. Choisissez parmi gauche, droite ou centré.

Par défaut : gauche

Plus de détails dans l'aide en ligne

VT_I4

PosLeft

Gauche [pixels]

Coordonnée X du coin supérieur gauche du modèle, en pixels (selon la résolution définie).
Minimum : -2147483648.
Maximum : 2147483647.
Par défaut : 0.

Attention : Nous déconseillons de définir des gabarits mesurant plus de 32 000 x 32 000 pixels, afin d'éviter les effets de flou.

Plus de détails dans l'aide en ligne

VT_I2

AltPosVert

Vertical

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence alternatif souhaité pour l'élément dans la liste déroulante. Le point de référence alternatif sera utilisé s'il est impossible de positionner le gabarit au point de référence préféré lors du chargement du gabarit. Choisissez parmi haut ou bas.

Par défaut : Haut

Plus de détails dans l'aide en ligne

VT_I2

AltPosHorz

Horizontal

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence alternatif souhaité pour l'élément dans la liste déroulante. Le point de référence alternatif sera utilisé s'il est impossible de positionner le gabarit au point de référence préféré lors du chargement du gabarit. Choisissez parmi gauche ou droite.

Par défaut : gauche

Plus de détails dans l'aide en ligne

VT_I4

AltPixelVert

Mouvement vertical [pixel]

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence alternatif verticalement.

Par défaut : 2

Plus de détails dans l'aide en ligne

VT_I4

AltPixelHorz

Mouvement horizontal [pixel]

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence alternatif horizontalement.

Par défaut : 2

Plus de détails dans l'aide en ligne

VT_BOOL

CloseOnClickOutside

Fermer après la perte du focus

Contrôle le comportement du cadre lors de la perte du focus.

Actif : Lorsque vous cliquez avec le bouton gauche de la souris hors du cadre, il est fermé automatiquement si vous cliquez dans une zone de l'écran qui forme partie du Runtime zenon, mais ne forme pas partie du cadre ou du cadre pour lequel la propriété Ne pas fermer après la perte du focus est active.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BOOL

UseFreeForming

Forme de gabarit librement définie

Permet d'utiliser une forme libre de gabarit pour le gabarit sélectionné. Vous pouvez ainsi définir des gabarits comportant par exemple des coins arrondis, des trous etc.

Actif : la forme libre de gabarit est utilisée pour ce gabarit et les synoptiques liés au gabarit.

Inactive : Les formes des cadres ne peuvent pas être librement définies. Une forme de cadre librement définie est affichée dans l'Éditeur de cadres et de synoptiques.

Par défaut : Inactive

Remarque : indisponible pour le cadre Ligne d'état des alarmes et sous Windows CE.

Plus de détails dans l'aide en ligne

ZT_MEMFILE

DefineFreeForm

Définir des formes de gabarits libres

Disponible uniquement si vous avez activé la propriété Forme de gabarit librement définie.

Permet de définir la forme pour le gabarit sélectionné. Cliquez avec le bouton gauche sur le bouton pour ouvrir le gabarit correspondant dans l'éditeur de formes de gabarit. Ici, vous pouvez définir la forme du gabarit à base de cercles, de rectangles, de rectangles arrondis et de polygones.

Plus de détails dans l'aide en ligne

VT_BOOL

IgnoreCloseOnClick

Ne pas fermer après la perte du focus

Actif : Le cadre reste ouvert lorsque le focus est retiré du cadre. La fermeture d'un autre gabarit sur la perte du focus n'est pas effectué si vous cliquez justement sur ce gabarit. Ainsi vous pouvez définir des zones de l'écran dans lesquelles un clic ne fermera pas les gabarits ouverts pour lesquels la propriété Fermer après la perte du focus a été configurée.

Plus de détails dans l'aide en ligne.

VT_BOOL

NoMoveOnReopen

Garder la position pour le prochain affichage

Actif : Un cadre déplacé manuellement dans le Runtime n'est pas réinitialisé dans sa position de développement lors de l'affichage d'un nouveau synoptique, si le cadre est déjà ouvert sur le même client.

Plus de détails dans l'aide en ligne.

VT_I4

PosRight

Droit [pixels]

Coordonnée X du coin inférieur gauche du modèle, en pixels (selon la résolution de moniteur définie).
Minimum : -2147483648.
Maximum : 2147483647.
Par défaut : Résolution actuelle maximum de l'écran.

Attention : Nous déconseillons de définir des gabarits mesurant plus de 32 000 x 32 000 pixels, afin d'éviter les effets de flou.

Plus de détails dans l'aide en ligne

VT_I4

PosBottom

Bas [pixels]

Coordonnée X du coin inférieur droit du modèle, en pixels (selon la résolution de moniteur définie).
Minimum : -2147483648.
Maximum : 2147483647.
Par défaut : Résolution actuelle maximum de l'écran.

Attention : Nous déconseillons de définir des gabarits mesurant plus de 32 000 x 32 000 pixels, afin d'éviter les effets de flou.

Plus de détails dans l'aide en ligne

VT_UI4

Style

Style de la fenêtre

Style de la fenêtre

ZT_COLOR

BackgroundColor

Arrière-plan (couleur)

Couleur d'arrière-plan proposée pour tous les nouveaux synoptiques configurés avec ce cadre.

Plus de détails dans l'aide en ligne

ZT_FILE

BackgroundPicture

Fichier graphique

Sélection du fichier graphique d'arrière-plan utilisé pour tous les synoptiques configurés avec ce cadre.
Remarque : une modification du fichier graphique n'affecte pas les synoptiques déjà existants créés sur la base de ce gabarit.

Plus de détails dans l'aide en ligne

VT_I2

BackgroundPictureStyle

Alignement

Uniquement disponible lorsque vous avez sélectionné l'élément Fichier graphique.

Types d'affichage disponibles :
Mosaïque : taille d'origine, affiché sous forme de "carreaux" positionnés côte à côte.

Étiré : étiré à la taille du synoptique.

Normal : taille d'origine, positionné dans le coin supérieur gauche.
Centré : taille d'origine, centré au milieu du synoptique.

Par défaut : Normal.

Vous ne pouvez pas le déplacer librement.

Remarque : Une modification de l'orientation n'affecte pas les synoptiques déjà existants créés sur la base de ce gabarit.

Plus de détails dans l'aide en ligne


Frame (Template)

Manuels -> Interfaces de programmation -> Modèles d'objet -> Template -> Template-Dynproperties -> Frame (Template)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BSTR

Template-DynpropertiesName

Nom

Nom unique du gabarit.
Par défaut : Gabarit_x (x représente un nombre défini de manière consécutive).
Maximum : 28 caractères dans un projet, 27 caractères dans un projet global.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_BOOL

ShowForeground

Toujours en avant plan

Actif : Aucun autre synoptique ne sera superposé à cette zone durant le fonctionnement en ligne. En revanche, il est possible de créer des synoptiques en arrière-plan.
Inactif : Les synoptiques basés sur ce gabarit peuvent être recouverts par d'autres synoptiques.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ShowTitle

Titre

Disponible uniquement si un cadre est sélectionné pour le modèle :
Actif : Les barres de titre de Windows sont utilisées pour les synoptiques basés sur ce modèle. Les synoptiques peuvent être déplacés dans le Runtime.
Inactif : Aucune barre de titre n'est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ShowSysMenu

Menu système

Disponible uniquement si le titre est actif.
Actif : Affiche le menu système de Windows dans la barre de titre.
Inactif : Le menu système n'est pas affiché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

ShowMinimize

Boutons Min./Max.

Disponible uniquement si le titre est actif.
Actif : Affiche un champ de symboles de Windows dans la barre de titre.
Inactif : Ne pas afficher de champ de symboles.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

BorderStyle

Type de cadre

Type de cadre du synoptique.
Cadre épais : Un cadre épais est affiché autour du synoptique. La taille du synoptique peut être modifiée dans le Runtime.
Cadre fin : Affiche un cadre fin autour du synoptique.
Pas de cadre : Aucun cadre n'est affiché autour du synoptique.
Par défaut : Pas de cadre.

Plus de détails dans l'aide en ligne

VT_I4

PosTop

Haut [pixels]

Coordonnée Y du coin supérieur gauche du modèle, en pixels (selon la résolution définie).
Minimum : -2147483648.
Maximum : 2147483647.
Par défaut : 0.

Attention : Nous déconseillons de définir des gabarits mesurant plus de 32 000 x 32 000 pixels, afin d'éviter les effets de flou.

Plus de détails dans l'aide en ligne

VT_I2

PosType

Position

Détermine la position du gabarit et des synoptiques basés sur celui-ci dans le Runtime.

Utiliser la position absolue : Positionne le cadre aux coordonnées définies dans la propriété Position.

Par rapport à l'élément : Positionne le point de référence du cadre par rapport à l'élément depuis lequel l'appel de synoptique a été exécuté. Ici, vous pouvez définir le point de référence du gabarit (dans la propriété Point de référence du gabarit) et le point de référence de l'élément (dans la propriété Point de référence de l'élement), ainsi que les distances par rapport à l'élément. Le point de référence du cadre sera toujours placé sur le point de référence calculé de l'élément. Si le cadre ne peut pas être désactivé dans cette position, car cela placerait le synoptique hors de l'écran, les points de référence alternatifs sont utilisés. Vous pouvez configurer les points de référence alternatifs du gabarit dans la propriété Point de référence du gabarit et ceux de l'élément dans la propriété Point de référence alternatif de l'élément.

Par rapport au pointeur de souris : Le synoptique est positionné par rapport au point de référence du cadre, c'est-à-dire la position actuelle du pointeur de souris. Vous pouvez définir le point de référence dans la propriété Point de référence du gabarit. Il est affiché sous la forme d'un point rouge dans l'éditeur de gabarits. Exemple : Si le point de référence se trouve sur le côté supérieur gauche, le cadre sera chargé dans le coin inférieur droit du point de référence.
Si le synoptique ne peut pas être affiché entièrement à la position configurée, la position sera décalée jusqu'à ce que le synoptique se trouve entièrement dans la zone affichable de l'écran.

Par défaut : utiliser position absolue

Plus de détails dans l'aide en ligne

VT_I2

RefVert

Vertical

Active uniquement si vous sélectionnez Par rapport à l'élément ou Par rapport au pointeur de souris dans la propriété Position.

Sélectionnez le point de référence souhaité pour le gabarit dans la liste déroulante. Choisissez parmi haut, bas ou centré.

Par défaut : Haut

Plus de détails dans l'aide en ligne

VT_I2

RefHorz

Horizontal

Active uniquement si vous sélectionnez Par rapport à l'élément ou Par rapport au pointeur de souris dans la propriété Position.

Sélectionnez le point de référence souhaité pour le gabarit dans la liste déroulante. Choisissez parmi gauche, droite ou centré.

Par défaut : gauche

Plus de détails dans l'aide en ligne

VT_I2

PosVert

Vertical

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour l'élément dans la liste déroulante. Lors du chargement du gabarit, ce point de référence est pris en compte. Choisissez parmi haut ou bas.

Par défaut : Haut

Plus de détails dans l'aide en ligne

VT_I2

PosHorz

Horizontal

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour l'élément dans la liste déroulante. Lors du chargement du gabarit, ce point de référence est pris en compte. Choisissez parmi gauche ou droite.

Par défaut : gauche

Plus de détails dans l'aide en ligne

VT_I4

PixelVert

Mouvement vertical [pixel]

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence verticalement.

Par défaut : 2

Plus de détails dans l'aide en ligne

VT_I4

PixelHorz

Mouvement horizontal [pixel]

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence horizontalement.

Par défaut : 2

Plus de détails dans l'aide en ligne

VT_I2

AltRefVert

Alternative verticale

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence alternatif souhaité pour le gabarit dans la liste déroulante. Le point de référence alternatif sera utilisé s'il est impossible de positionner le gabarit au point de référence préféré lors du chargement du gabarit. Choisissez parmi haut, bas ou centré.

Par défaut : Haut

Plus de détails dans l'aide en ligne

VT_I2

AltRefHorz

Alternative horizontale

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence alternatif souhaité pour le gabarit dans la liste déroulante. Le point de référence alternatif sera utilisé s'il est impossible de positionner le gabarit au point de référence préféré lors du chargement du gabarit. Choisissez parmi gauche, droite ou centré.

Par défaut : gauche

Plus de détails dans l'aide en ligne

VT_I4

PosLeft

Gauche [pixels]

Coordonnée X du coin supérieur gauche du modèle, en pixels (selon la résolution définie).
Minimum : -2147483648.
Maximum : 2147483647.
Par défaut : 0.

Attention : Nous déconseillons de définir des gabarits mesurant plus de 32 000 x 32 000 pixels, afin d'éviter les effets de flou.

Plus de détails dans l'aide en ligne

VT_I2

AltPosVert

Vertical

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence alternatif souhaité pour l'élément dans la liste déroulante. Le point de référence alternatif sera utilisé s'il est impossible de positionner le gabarit au point de référence préféré lors du chargement du gabarit. Choisissez parmi haut ou bas.

Par défaut : Haut

Plus de détails dans l'aide en ligne

VT_I2

AltPosHorz

Horizontal

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence alternatif souhaité pour l'élément dans la liste déroulante. Le point de référence alternatif sera utilisé s'il est impossible de positionner le gabarit au point de référence préféré lors du chargement du gabarit. Choisissez parmi gauche ou droite.

Par défaut : gauche

Plus de détails dans l'aide en ligne

VT_I4

AltPixelVert

Mouvement vertical [pixel]

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence alternatif verticalement.

Par défaut : 2

Plus de détails dans l'aide en ligne

VT_I4

AltPixelHorz

Mouvement horizontal [pixel]

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence alternatif horizontalement.

Par défaut : 2

Plus de détails dans l'aide en ligne

VT_BOOL

CloseOnClickOutside

Fermer après la perte du focus

Contrôle le comportement du cadre lors de la perte du focus.

Actif : Lorsque vous cliquez avec le bouton gauche de la souris hors du cadre, il est fermé automatiquement si vous cliquez dans une zone de l'écran qui forme partie du Runtime zenon, mais ne forme pas partie du cadre ou du cadre pour lequel la propriété Ne pas fermer après la perte du focus est active.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BOOL

UseFreeForming

Forme de gabarit librement définie

Permet d'utiliser une forme libre de gabarit pour le gabarit sélectionné. Vous pouvez ainsi définir des gabarits comportant par exemple des coins arrondis, des trous etc.

Actif : la forme libre de gabarit est utilisée pour ce gabarit et les synoptiques liés au gabarit.

Inactive : Les formes des cadres ne peuvent pas être librement définies. Une forme de cadre librement définie est affichée dans l'Éditeur de cadres et de synoptiques.

Par défaut : Inactive

Remarque : indisponible pour le cadre Ligne d'état des alarmes et sous Windows CE.

Plus de détails dans l'aide en ligne

ZT_MEMFILE

DefineFreeForm

Définir des formes de gabarits libres

Disponible uniquement si vous avez activé la propriété Forme de gabarit librement définie.

Permet de définir la forme pour le gabarit sélectionné. Cliquez avec le bouton gauche sur le bouton pour ouvrir le gabarit correspondant dans l'éditeur de formes de gabarit. Ici, vous pouvez définir la forme du gabarit à base de cercles, de rectangles, de rectangles arrondis et de polygones.

Plus de détails dans l'aide en ligne

VT_BOOL

IgnoreCloseOnClick

Ne pas fermer après la perte du focus

Actif : Le cadre reste ouvert lorsque le focus est retiré du cadre. La fermeture d'un autre gabarit sur la perte du focus n'est pas effectué si vous cliquez justement sur ce gabarit. Ainsi vous pouvez définir des zones de l'écran dans lesquelles un clic ne fermera pas les gabarits ouverts pour lesquels la propriété Fermer après la perte du focus a été configurée.

Plus de détails dans l'aide en ligne.

VT_BOOL

NoMoveOnReopen

Garder la position pour le prochain affichage

Actif : Un cadre déplacé manuellement dans le Runtime n'est pas réinitialisé dans sa position de développement lors de l'affichage d'un nouveau synoptique, si le cadre est déjà ouvert sur le même client.

Plus de détails dans l'aide en ligne.

VT_I4

PosRight

Droit [pixels]

Coordonnée X du coin inférieur gauche du modèle, en pixels (selon la résolution de moniteur définie).
Minimum : -2147483648.
Maximum : 2147483647.
Par défaut : Résolution actuelle maximum de l'écran.

Attention : Nous déconseillons de définir des gabarits mesurant plus de 32 000 x 32 000 pixels, afin d'éviter les effets de flou.

Plus de détails dans l'aide en ligne

VT_I4

PosBottom

Bas [pixels]

Coordonnée X du coin inférieur droit du modèle, en pixels (selon la résolution de moniteur définie).
Minimum : -2147483648.
Maximum : 2147483647.
Par défaut : Résolution actuelle maximum de l'écran.

Attention : Nous déconseillons de définir des gabarits mesurant plus de 32 000 x 32 000 pixels, afin d'éviter les effets de flou.

Plus de détails dans l'aide en ligne

VT_UI4

Style

Style de la fenêtre

Style de la fenêtre

ZT_COLOR

BackgroundColor

Arrière-plan (couleur)

Couleur d'arrière-plan proposée pour tous les nouveaux synoptiques configurés avec ce cadre.

Plus de détails dans l'aide en ligne

ZT_FILE

BackgroundPicture

Fichier graphique

Sélection du fichier graphique d'arrière-plan utilisé pour tous les synoptiques configurés avec ce cadre.
Remarque : une modification du fichier graphique n'affecte pas les synoptiques déjà existants créés sur la base de ce gabarit.

Plus de détails dans l'aide en ligne

VT_I2

BackgroundPictureStyle

Alignement

Uniquement disponible lorsque vous avez sélectionné l'élément Fichier graphique.

Types d'affichage disponibles :
Mosaïque : taille d'origine, affiché sous forme de "carreaux" positionnés côte à côte.

Étiré : étiré à la taille du synoptique.

Normal : taille d'origine, positionné dans le coin supérieur gauche.
Centré : taille d'origine, centré au milieu du synoptique.

Par défaut : Normal.

Vous ne pouvez pas le déplacer librement.

Remarque : Une modification de l'orientation n'affecte pas les synoptiques déjà existants créés sur la base de ce gabarit.

Plus de détails dans l'aide en ligne


Templates

Manuels -> Interfaces de programmation -> Modèles d'objet -> Templates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This collection contains the defined Frames. Each Screen is linked to a Frame, which holds general settings as the position, the name, ...The Frames of the global project are also available in this collection.The single Frames can be found in the collection by their unique names or their indices. Each Frame has to have a unique name.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Private Sub GetTemplates()
Dim IMDITemplates As MDITemplates
Dim IMDITemplate As MDITemplate
Dim Count As Integer
Dim Ok As Boolean
Dim i As Integer

' --- Selection by Name
Set IMDITemplates = MyWorkspace.GetMDiTemplates("Keyboard")
If Not IMDITemplates Is Nothing Then
Set IMDITemplate = IMDITemplates.Item("Test 3")
Ok = PrintTemplate(IMDITemplate)
End If

' --- Selection by index (zenon Constant)
Set IMDITemplates = MyWorkspace.GetMDiTemplates(tpKeyboard)
If Not IMDITemplates Is Nothing Then
Count = IMDITemplates.Count
For i = 0 To Count - 1
Set IMDITemplate = IMDITemplates.Item(i)
Ok = PrintTemplate(IMDITemplate)
Next
End If
End Sub

Private Function PrintTemplate(IMDITemplate As MDITemplate) As Boolean
If Not IMDITemplate Is Nothing Then
Debug.Print ("Name: " & IMDITemplate.DynProperties("Name"))
Debug.Print ("GUID: " & IMDITemplate.DynProperties("GUID"))
Debug.Print ("ImportPath: " & IMDITemplate.DynProperties("ImportPath"))
Debug.Print ("Folder: " & IMDITemplate.DynProperties("Folder"))
Debug.Print ("MDIType: " & IMDITemplate.DynProperties("MDIType"))
Debug.Print ("Language: " & IMDITemplate.DynProperties("Language"))
Debug.Print ("Description: " & IMDITemplate.DynProperties("Description"))
Debug.Print ("CopaDataTemplate: " & IMDITemplate.DynProperties("CopaDataTemplate"))
Debug.Print ("DefaultTemplate: " & IMDITemplate.DynProperties("DefaultTemplate"))
PrintTemplate = True
Else
PrintTemplate = False
End If
End Function


Templates-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of the elements | read only | read only | yes | yes
IProject | Parent | The parent object of the current object | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Templates-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITemplate | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
ITemplate | Item | Returns a object at a position or by a specified key | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new Frame and returns 'Template' object.

Datatype

Create(String szFileName,[optional] VARIANT bAddToCollection) As Template

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuels -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes the 'Template' object from the 'Templates' collection.

Datatype

Delete(String szIdentification) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename whre the XML file should be stored.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Path and Filename where the XML file for import is located.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

szFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> Templates -> Templates-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object Template from the collection, which is identified by the parameter vID.Hint: The Frames defined in the global project are added to the Frames of the current project. On accessing a Frame with its name it is first searched for in the current project. If it cannot be found there, it is searched for in the global project.The parameter vID can have two values:<ul><li>Index: Access with an index mostly is used in combination with the property "Count" to find out the position of the variable object in the list.</li><li>Frame name: The Frame can also be accessed with its unique name.</li></ul>Hint: The returned object should be checked on Nothing, for the case that no object was found with the search criteria.

Datatype

Item(VARIANT vID) As Template

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TimeFunction

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The "TimeFunction" object, also called "Time control" in zenOn, enables the user to define function calls which should be executed at a defined (fixed) time or cyclically.When defining the time control functions for the month or year changes it is important to define the date correctly because this lays down the day after the month or year change on which the function is executed.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateTimeFunction()
End Sub


TimeFunction-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | - | available | read only | yes | yes
VARIANT_BOOL | Cycled | - | available | read only | yes | yes
long | ID | Returns count of contained objects | read only | read only | yes | yes
long | IntervalTime | Returns count of contained objects | available | read only | yes | yes
VARIANT_BOOL | MonthSwitch | Returns time-function by position or ID | available | read only | yes | yes
BSTR | Name | Returns time-function by position or ID | available | read only | yes | yes
ITimeFunctions | Parent | Parent of object | read only | read only | yes | yes
DATE | StartTime | Parent of object | available | read only | yes | yes
VARIANT_BOOL | YearSwitch | - | available | read only | yes | yes


Active

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

If set TRUE, the time-function will be executed in the Runtime. Otherwise, the time-function is not executed in the Runtime.Hint: Time specific properties of the "TimeFunction" object can only be set if this property is set TRUE.

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Cycled

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> Cycled

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets if the execution of the function is done cyclic.Hint: In combination with the property "Cycled" the execution type for the "TimeFunction" object can be set. For further information please have a look at the "SetDaySelected" method.

Datatype

Cycled() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unique ID for the "TimeFunction" object.

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IntervalTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> IntervalTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Time interval, in which the function should be executed. The interval is defined in seconds.Hint: This property is only available, if the property "Cycled" is set to TRUE and the properties "MonthSwitch" and "YearSwitch" are deactivated.

Datatype

IntervalTime() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


MonthSwitch

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> MonthSwitch

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

If set TRUE, the function will only be executed on the turn of a month (Length of interval: 1 month). Otherwise, the setting from the property "IntervalTime" is used for the execution of the function.Hint: This property is only available, if the property "Cycled" is set to TRUE and property "YearSwitch" is deactivated.

Datatype

MonthSwitch() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the name of the "TimeFunction" object as string.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As TimeFunctions

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


StartTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> StartTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Gets or sets the start time when the function should be executed.

Datatype

StartTime() As DATE

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_TimeFunction_SetStartTime(ByRef zTime As TimeFunction)

'Set new start time: 2007-08-21 14:30:30
zTime.StartTime = DateSerial(2007, 8, 21) + TimeSerial(14, 30, 30)

'Output new start time
Debug.Print zTime.StartTime

End Sub


YearSwitch

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Properties -> YearSwitch

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

If set TRUE, the function will only be executed at the turn of a year (Length of interval: 1 year). Otherwise, the setting from the property "IntervalTime" is used for the execution of the function.Hint: This property is only available, if the property "Cycled" is set to TRUE and property "MonthSwitch" is deactivated.

Datatype

YearSwitch() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


TimeFunction-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDaySelected | - | available | available | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
IRtFunction | ItemRtFunction | - | read only | read only | yes | yes
void | SetDaySelected | - | available | available | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDaySelected

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> IsDaySelected

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

IsDaySelected(long lDay) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemRtFunction

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> ItemRtFunction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a "RtFunction" object with the function that was assigned by the creation of the "TimeFunction" object.

Datatype

ItemRtFunction() As RtFunction

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetDaySelected

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> SetDaySelected

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SetDaySelected(long lDay,Boolean bValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

State of the day for the execution of the function. If set TRUE, then the function will be executed on this day. Otherwise it will not be executed.

Day that should be checked.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bValue As Boolean

lDay As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_TimeFunction_SetExecutionType(ByRef zTime As TimeFunction)

'Set execution type: "cyclic only on that day"
zTime.SetDaySelected 8, True
zTime.Cycled = True

'Set execution type: "only on that day"
zTime.SetDaySelected 8, True
zTime.Cycled = False

'Set execution type: "cyclic from that day"
zTime.SetDaySelected 8, False
zTime.Cycled = True

'Set execution type: "from that day"
zTime.SetDaySelected 8, False
zTime.Cycled = False

End Sub


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


TimeFunction-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

Zeitsteuerungseintrag


Zeitsteuerungseintrag

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunction -> TimeFunction-Dynproperties -> Zeitsteuerungseintrag

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BSTR

Name

Nom

Nom du schéma actif.
Par défaut : Fonction de temps x (où x est un nombre consécutif).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_BOOL

Monday

Lundi

Actif : La fonction est (également) exécutée le lundi.
Inactif : La fonction n'est pas exécutée le lundi.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

Tuesday

Mardi

Actif : La fonction est (également) exécutée le mardi.
Inactif : La fonction n'est pas exécutée le mardi.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

Wednesday

Mercredi

Actif : La fonction est (également) exécutée le mercredi.
Inactif : La fonction n'est pas exécutée le mercredi.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

Thursday

Jeudi

Actif : La fonction est (également) exécutée le jeudi.
Inactif : La fonction n'est pas exécutée le jeudi.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

Friday

Vendredi

Actif : La fonction est (également) exécutée le vendredi.
Inactif : La fonction n'est pas exécutée le vendredi.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

Saturday

Samedi

Actif : La fonction est (également) exécutée le samedi.
Inactif : La fonction n'est pas exécutée le samedi.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

Sunday

Dimanche

Actif : La fonction est (également) exécutée le dimanche.
Inactif : La fonction n'est pas exécutée le dimanche.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_FUNCTION

Function

Fonction

Fonction devant être exécutée de manière temporisée.
Ouvre la boîte de dialogue de sélection de fonction.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

Plus de détails dans l'aide en ligne

VT_BOOL

Active

Actif

Actif : La fonction de temps est active dans le Runtime.
Inactif : La fonction de temps n'est pas affichée dans le Runtime.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_I4

Type

Type d'exécution

À partir de ce jour : La fonction est exécutée à partir du jour spécifié, à l'heure définie.
Seulement ce jour : La fonction est exécutée une fois le jour spécifié, à l'heure définie.
Par cycle à partir de ce jour : La fonction est exécutée de manière à partir du jour spécifié, à l'intervalle défini.
Par cycle seulement pour ce jour : La fonction est uniquement exécutée de manière cyclique le jour ouvré spécifié, à l'intervalle défini.

Plus de détails dans l'aide en ligne

ZT_DATETIME

ExecuteDate

Heure de démarrage

Date à laquelle ou à partir de laquelle la fonction temporisée doit être exécutée.

Plus de détails dans l'aide en ligne

ZT_ZEIT

Interval

Intervalle

Intervalle durant lequel la fonction doit être exécutée.
Par défaut : 00:15:00

Plus de détails dans l'aide en ligne

VT_BOOL

Monthly

Intervalle un mois

Disponible uniquement si la valeur Cyclique a été sélectionnée pour la propriété Type d'exécution.
Actif : La fonction est exécutée après un intervalle d'un mois, au changement de mois.
Inactif : les autres paramètres d'exécution de la fonction sont utilisés.
Par défaut : Inactive

Remarque : Le changement de mois et changement d'année désigne la date d'exécution définie, et non le changement de mois au 01/01 à 00:00. Si la modification doit être exécutée à cet instant précis, la configuration doit être effectuée pour cet instant ; par exemple, 01.01.2012 à 00:00:00 h.

Plus de détails dans l'aide en ligne

VT_BOOL

Yearly

Intervalle une année

Disponible uniquement si la valeur Cyclique a été sélectionnée pour la propriété Type d'exécution.
Actif : La fonction est exécutée après un intervalle d'un an, au changement d'année.
Inactif : les autres paramètres d'exécution de la fonction sont utilisés.
Par défaut : Inactive

Remarque : Le changement de mois et changement d'année désigne la date d'exécution définie, et non le changement de mois au 01/01 à 00:00. Si la modification doit être exécutée à cet instant précis, la configuration doit être effectuée pour cet instant ; par exemple, 01.01.2012 à 00:00:00 h.

Plus de détails dans l'aide en ligne


TimeFunctions

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object manages "TimeFunction" objects.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOn_TimeFunctions()
'Declarations
Dim zProject As Project
Dim zTimeFcts As TimeFunctions
Dim i As Integer

'Initialize zProject with the current project
Set zProject = MyWorkspace.ActiveDocument
'Initialize zTimeFcts with the "TimeFunction" object collection of the project
Set zTimeFcts = zProject.TimeFunctions

'Create a new "TimeFunction" object and assign the first available function to it
zTimeFcts.Create "zenOn_TimeFunction", zProject.RtFunctions.Item(0).ID

'For every "TimeFunction" object within the collection...
For i = 0 To zTimeFcts.Count - 1
'... output the name
Debug.Print zTimeFcts.Item(i).Name

Next i

'Delete the former created "TimeFunction" object
zTimeFcts.Delete "zenOn_TimeFunction"

End Sub


TimeFunctions-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of contained objects | read only | read only | yes | yes
IProject | Parent | Parent of object | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


TimeFunctions-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
ITimeFunction | Create | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
ITimeFunction | Item | Returns a object at a position or by a specified key | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a new "TimeFunction" object by its name as string and the unique ID of the function that should be assigned to the object.

Datatype

Create(String bsName,long nFunctionID) As TimeFunction

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Delete

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes an existing "TimeFunction" object by its name as string.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the "TimeFunction" object from the collection, which is identified by the parameter vNameOrPos.<cs id="215" xmlns="http://www.authorit.com/xml/authorit" />The parameter vNameOrPos can have two values:<ul><li>Element name: The element can be accessed with its unique name.</li><li>Index: Access with an index is mostly used in combination with the property "Count" to find out the position of the "TimeFunction" object in the list.</li></ul>Hint:The returned object should be checked on Nothing, if no object for the search criteria was found.

Datatype

Item(VARIANT vNameOrPos) As TimeFunction

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> TimeFunctions -> TimeFunctions-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport (VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Units

Manuels -> Interfaces de programmation -> Modèles d'objet -> Units

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA


Units-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty |  | available | not used | yes | yes
void | DynProperties [PUT] |  | available | not used | yes | yes
VARIANT | DynProperties [GET] |  | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


CreateDynProperty

Manuels -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file for export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import setting using a xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Units-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

274


274

Manuels -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Dynproperties -> 274

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
CPrimaryUnit | Units-Dynproperties | Unités |


CPrimaryUnit-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Units -> Units-Dynproperties -> CPrimaryUnit-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_BSTR | Name | Unité | Instruction relative à l'unité de base depuis laquelle est effectuée la conversion ou à l'unité de conversion vers laquelle sera effectuée la conversion. Par exemple, C°, K, m, y, Celsius, Kelvin, mètre, yard etc. Vous pouvez utiliser jusqu'à 50 caractères. Plus de détails dans l'aide en ligne
CSecondaryUnit | Units | Unités |


User

Manuels -> Interfaces de programmation -> Modèles d'objet -> User

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object represents an user from the central user administration of the current project. The most important settings of the single users are available with this object.All available settings can be edited with VBA.The critical properties Identification and Password can only be edited with a method, whereas the properties Name and Level can be edited directly in the property.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub ChangeUser()
Dim zUser As User
Dim vResult As Variant

Set zUser = thisProject.Passwords.ItemUser(0)
Debug.Print zUser.Name & " will be changed"

'change the identification of the user
vResult = zUser.IdentificationChange("NewLogonName")

'change the password for the user
vResult = zUser.PasswordChange("P@ssword", "NewPassword")

End Sub


User-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | Active | Activate/Deactivate user | available | available | yes | yes
VARIANT_BOOL | Admin | User has admin rights | available | available | yes | yes
BSTR | Identification | TagName | read only | read only | yes | yes
long | Level | Rights/Password-Levels 0 | available | available | yes | yes
long | Level1 | Rights/Password-Levels 1 | available | available | yes | yes
long | Level2 | Rights/Password-Levels 2 | available | available | yes | yes
long | Level3 | Rights/Password-Levels 3 | available | available | yes | yes
VARIANT_BOOL | Locked | Lock/Unlock user | available | available | yes | yes
BSTR | Name | Name | available | available | yes | yes
IPasswords | Parent | Parent-object | read only | read only | yes | yes


Active

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Activate/Deactivate user

Datatype

Active() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Admin

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Admin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

User has admin rights

Datatype

Admin() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Identification

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Identification

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unique identification of the user. With this identification the user can be found in the central user administration.This property cannot be written directly – instead the method IdentificationChange is available, with which the identification of a user can be changed.

Datatype

Identification() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Level

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Level

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Level() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level1

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Level1

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Level1() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level2

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Level2

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Level2() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Level3

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Level3

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Level3() As long

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Locked

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Locked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Lock/Unlock user

Datatype

Locked() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property operates the name of the user. The name can be read as well as written. But be aware, that the name cannot have more than 30 characters.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Passwords

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


User-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
VARIANT_BOOL | IdentificationChange | Changes the TagName | available | available | yes | yes
VARIANT_BOOL | PasswordChange | Changes the password | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


IdentificationChange

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods -> IdentificationChange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method changes the unique identification of the user. If the same identification already exists, False is returned.If the identification does not exist yet, it is linked to the current user and saved. In this case the method returns True.

Datatype

IdentificationChange(String szIdentification) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


PasswordChange

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Methods -> PasswordChange

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method changes the password of the current user. If the parameter szOld is not true for the current password, False is returned.Otherwise the new password is confirmed and the cange is saved.

Datatype

PasswordChange(String szOld,String szNew) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


User-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

User-Dynproperties


User

Manuels -> Interfaces de programmation -> Modèles d'objet -> User -> User-Dynproperties -> User

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

Admin

Administrateur

Actif : Cet utilisateur est un administrateur. Cela signifie qu'il peut modifier d'autres utilisateurs dans le Runtime et déverrouiller le système.
Inactif : Cet utilisateur n'est pas un administrateur.
(Par défaut) Inactif :

Attention : un administrateur peut uniquement déverrouiller groupes d'autorisations qu'il possède lui-même pour d'autres utilisateurs.

Plus de détails dans l'aide en ligne

VT_UI4

User-DynpropertiesLevel0

-

VT_UI4

User-DynpropertiesLevel1

-

VT_UI4

User-DynpropertiesLevel2

-

VT_UI4

User-DynpropertiesLevel3

-

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

User-DynpropertiesActive

Utilisateur actif

Actif : L'utilisateur est accepté dans le Runtime.
Inactif : L'utilisateur n'est pas accepté dans le Runtime.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BSTR

User-DynpropertiesGroupsOrderImExpo

-

VT_BSTR

LockCode

Code de consignation

Code PIN à quatre chiffres.

Ce code est employé par l'utilisateur pour verrouiller et déverrouiller différentes zones. L'utilisation de ce code pour le verrouillage évite de déverrouiller un verrou par mégarde, et permet ainsi d'éviter des accidents.

VT_BOOL

User-DynpropertiesLocked

Verrouillé

Actif : L'utilisateur est bloqué.
Inactif : L'utilisateur n'est pas bloqué.
(Par défaut) Inactif :

Un utilisateur est automatiquement bloqué après un nombre défini d'erreurs de saisie du mot de passe. Le blocage peut être annulé ici.
Seul un administrateur peut débloquer un utilisateur, car seul un administrateur peut modifier un utilisateur.

Plus de détails dans l'aide en ligne

VT_BSTR

MsgEmail

E-mail

Adresse e-mail de l'utilisateur

Plus de détails dans l'aide en ligne

VT_BSTR

MsgErsatzUser-Dynproperties

Remplaçant

Personne remplaçant l'utilisateur s'il ne peut pas être contacté. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un utilisateur.

Plus de détails dans l'aide en ligne

VT_BSTR

MsgGSM

GSM

Numéro de téléphone mobile de l'utilisateur. Utilisé pour l'envoi de messages par téléphone portable et SMS ("textos").

Saisissez le numéro ; le préfixe + peut être utilisé à la place des numéros 00 précédant le code international.

Plus de détails dans l'aide en ligne

VT_BSTR

GUID

-

VT_BSTR

MsgNACKCode

Code NA

Code d'indisponibilité permettant à l'utilisateur de refuser de confirmer la réception du message.

Remarque : ce code doit être significativement différent du code de la propriété Code PIN.

Plus de détails dans l'aide en ligne

VT_BSTR

MsgPhone

Téléphone

Numéro de téléphone fixe de l'utilisateur. Utilisé pour la fonction de synthèse vocale.

Saisissez le numéro ; le préfixe + peut être utilisé à la place des numéros 00 précédant le code international.

Plus de détails dans l'aide en ligne

VT_BSTR

MsgPinCode

Code PIN

Code PIN permettant à l'utilisateur de confirmer la réception du message.

Remarque : ce code doit être significativement différent du code de la propriété Code NA.

Plus de détails dans l'aide en ligne

VT_BOOL

IsMsgCtrlUser-Dynproperties

Utilisateur de la gestion de message

Actif : l'identifiant d'utilisateur est utilisé par le module Gestion de messages.

Plus de détails dans l'aide en ligne

VT_BSTR

User-DynpropertiesName

Nom complet

Nom de l’utilisateur.
Pour plusieurs actions de l'utilisateur, la chaîne de caractères peut être affichée dans la liste chronologique d'événements (CEL). Le nom complet de l'utilisateur doit être spécifié. La liste chronologique d'événements comporte une colonne destinée à l'affichage de ce type d'informations. En outre, ces informations peuvent être affichées à l'aide d'une variable de driver du système.

ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_I4

LoginRTP

Profil runtime

Sélection du profil de Runtime devant être attribué à l'utilisateur lors de la connexion. Profils possibles :

Aucun : aucun profil n'est attribué

DEFAULT: le profil DEFAULT est attribué.

LAST : le profil LAST est attribué.

Par défaut : aucun

Plus de détails dans l'aide en ligne.


UserGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> UserGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Public Sub EnumUserGroup()
Dim zPRJ As Project
Dim zUGP As UserGroup
Dim i As Integer

Set zPRJ = MyWorkspace.ActiveDocument

For i = 0 To zPRJ.Passwords.CountUserGroup - 1
Set zUGP = zPRJ.Passwords.ItemUserGroup(i)
Debug.Print "Usergroup >>> " & zUGP.DynProperties("UserGroupName")
Debug.Print " Level 0-31 : " & zUGP.DynProperties("UserGroupLevel0")
Debug.Print " Level 32-63 : " & zUGP.DynProperties("UserGroupLevel1")
Debug.Print " Level 64-91 : " & zUGP.DynProperties("UserGroupLevel2")
Debug.Print " Level 92-127: " & zUGP.DynProperties("UserGroupLevel3")
Next i
End Sub

Public Sub CreateUserGroup()
Dim zPRJ As Project
Dim zUGP As UserGroup

Set zPRJ = MyWorkspace.ActiveDocument

Set zUGP = zPRJ.Passwords.CreateUserGroup("MyGroup", 255) 'Level 0-7

With zUGP
.DynProperties("UserGroupLevel0") = 255 'Level 0-7
.DynProperties("UserGroupLevel1") = 255 'Level 32-39
.DynProperties("UserGroupLevel2") = 255 'Level 64-71
.DynProperties("UserGroupLevel3") = 255 'Level 96-103
End With
End Sub


UserGroup-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CreateDynProperty |  | available | not used | yes | yes
void | DynProperties [PUT] |  | available | not used | yes | yes
VARIANT | DynProperties [GET] |  | available | not used | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


CreateDynProperty

Manuels -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UserGroup-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

UserGroup-Dynproperties


UserGroup

Manuels -> Interfaces de programmation -> Modèles d'objet -> UserGroup -> UserGroup-Dynproperties -> UserGroup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | UserGroup-DynpropertiesLevel0 | - |
VT_UI4 | UserGroup-DynpropertiesLevel1 | - |
VT_UI4 | UserGroup-DynpropertiesLevel2 | - |
VT_UI4 | UserGroup-DynpropertiesLevel3 | - |
VT_BSTR | UserGroup-DynpropertiesName | Nom | Nom du groupe d'utilisateurs sélectionné. Cliquez sur le fichier d'origine pour en modifier le nom. Attention : cette propriété est indisponible pour la fonction de changement de langue, car le nom du répertoire Active Directory doit pouvoir être vérifié. @ n'est pas un caractère valide pour un groupe d'utilisateurs. Plus de détails dans l'aide en ligne
VT_BSTR | GUID | - |
VT_BOOL | IsMsgCtrlGroup | Groupe gestion de message | Actif : le groupe d'utilisateurs est utilisé par le module Gestion de messages. Plus de détails dans l'aide en ligne


VarAssignment

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
'create by NAME
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.Create("MyAssignment3", "WIZ_VAR_10", "WIZ_VAR_11")
'change settings
With zVarAssign
'set trigger type
.DynProperties("TriggerType") = 1
'set trigger variable by Name
.DynProperties("TriggerVariable") = "MyTrigger"
End With
End Sub


VarAssignment-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID | Set/Get unique ID for the object | read only | read only | yes | yes
BSTR | Name | Set/Get the user-defined name | available | read only | yes | yes
IVarAssignments | Parent | Parent of object | read only | read only | yes | yes


ID

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get unique ID for the object

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Set/Get the user-defined name

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As VarAssignments

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarAssignment-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ChangeSourceVariable | Change source (can be member of another project) | available | not used | yes | yes
VARIANT_BOOL | ChangeTargetVariable | Change target (can be member of another project) | available | not used | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IVariable | ItemSourceVariable | Get the linked source variable | read only | read only | yes | yes
IVariable | ItemTargetVariable | Get the linked target variable | read only | read only | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


ChangeSourceVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> ChangeSourceVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Change source (can be member of another project).

Datatype

ChangeSourceVariable(String bsProject,long nNewSourceID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Projectname as string.

PvID of new source variable as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsProject As String

nNewSourceID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CallChange()
ChangeAssignment MyWorkspace.ActiveDocument.VarAssignments.Item("MyAssignment")
End Sub

Sub ChangeAssignment(zVarAssign As VarAssignment)
Dim zSrcVar As Variable
Dim zDstVar As Variable
Dim strProject As String

Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_12")
strProject = MyWorkspace.ActiveDocument.Name
'change the source and target variable
With zVarAssign
.ChangeSourceVariable strProject, zSrcVar.PvID
.ChangeTargetVariable strProject, zDstVar.PvID
End With
End Sub


ChangeTargetVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> ChangeTargetVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Change target (can be member of another project).

Datatype

ChangeTargetVariable(String bsProject,long nNewTargetID) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

PvID of new target variable as string.

Projectname as string.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

nNewTargetID As Long

bsProject As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CallChange()
ChangeAssignment MyWorkspace.ActiveDocument.VarAssignments.Item("MyAssignment")
End Sub

Sub ChangeAssignment(zVarAssign As VarAssignment)
Dim zSrcVar As Variable
Dim zDstVar As Variable
Dim strProject As String

Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_12")
strProject = MyWorkspace.ActiveDocument.Name
'change the source and target variable
With zVarAssign
.ChangeSourceVariable strProject, zSrcVar.PvID
.ChangeTargetVariable strProject, zDstVar.PvID
End With
End Sub


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemSourceVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> ItemSourceVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ItemSourceVariable () As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemTargetVariable

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Methods -> ItemTargetVariable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ItemTargetVariable () As Variable

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VarAssignment-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

Zuweisungseintrag}


Zuweisungseintrag}

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignment -> VarAssignment-Dynproperties -> Zuweisungseintrag}

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_BSTR | Name | Nom | Nom unique de l'attribution. Par défaut : Attribution x (où x est un numéro consécutif). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
ZT_VARIABLE | SourceVariable | Variable source | Nom de la variable dont la valeur doit être attribuée à la variable cible. Ouvre la boîte de dialogue de sélection de variables. Plus de détails dans l'aide en ligne
ZT_VARIABLE | TargetVariable | Variable de destination | Nom de la variable dont la valeur doit être attribuée à la variable source. Ouvre la boîte de dialogue de sélection de variables. Plus de détails dans l'aide en ligne
ZT_VARIABLE | TriggerVariable | Var. de déclenchement | La variable de bit liée ici déclenche l'attribution. Si aucune variable n'est liée, l'attribution est exécutée de manière événementielle. Cela signifie que dès que la valeur de la variable source change, l'attribution est automatiquement écrite dans la variable cible. Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées. Plus de détails dans l'aide en ligne
VT_UI2 | TriggerType | Type de déclenchement | Front : L'attribution est exécutée si la valeur de la variable de déclenchement liée change de 0 en 1. État : L'attribution est exécutée tant que la valeur de la variable de déclenchement liée est 1. Par défaut : Front. Plus de détails dans l'aide en ligne


VarAssignments

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The VarAssignments collection contains all existing allocations of the current project. With this collection you can access all or certain allocations.Additional to the access via the index the allocations can also be accessed via the unique name or the position.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
Dim zSrcVar As Variable
Dim zDstVar As Variable
'by NAME
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.Create("MyAssignment", "WIZ_VAR_10", "WIZ_VAR_11")
'OR by ID
Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_10")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.CreateByID("MyAssignment", zSrcVar.PvID, zDstVar.PvID)
End Sub

'Delete an VarAssignment (Allocation)
Sub DeleteAssignment()
Dim bResult As Boolean
'by NAME
bResult = MyWorkspace.ActiveDocument.VarAssignments.Delete("MyAssignment")
End Sub

'Enumerate all Assignements of the active project
Sub EnumAssignments()
Dim zVarAssign As VarAssignment
Dim zVarAssigns As VarAssignments
Dim i As Integer
'get collection of VarAssignements
Set zVarAssigns = MyWorkspace.ActiveDocument.VarAssignments
'enum all VarAssignments
For i = 0 To zVarAssigns.Count - 1
'get VarAssignment
Set zVarAssign = zVarAssigns.Item(i)
Debug.Print zVarAssign.Name & " [" & _
zVarAssign.DynProperties("SourceVariable").Name & " > " & _
zVarAssign.DynProperties("TargetVariable").Name & "]"
Next i
End Sub


VarAssignments-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Returns count of contained objects | read only | read only | yes | yes
IProject | Parent | Parent of object | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarAssignments-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
IVarAssignment | Create | Creates and returns a new Object | available | not used | yes | yes
IVarAssignment | CreateByID | Creates and returns a new Object | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the objects from collection | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
IVarAssignment | Item | Returns a object at a position or by a specified key | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates and returns a new Object

Datatype

Create(String bsName,String bsSource,String bsTarget) As VarAssignment

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Assignment as string

Name of source variable as string.

Name of target variable as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bsSource As String

bsTarget As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
'by NAME
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.Create("MyAssignment", "WIZ_VAR_10", "WIZ_VAR_11")
End Sub


CreateByID

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> CreateByID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates and returns a new Object.

Datatype

CreateByID(String bsName,long nSourceID,long nTargetID) As VarAssignment

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Assignment as string.

PvID of source variable as string.

PvID of target variable as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

nSourceID As Long

nTargetID As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Create a new VarAssignment (Allocation)
Sub CreateAssignment()
Dim zVarAssign As VarAssignment
Dim zSrcVar As Variable
Dim zDstVar As Variable
'OR by ID
Set zSrcVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_10")
Set zDstVar = MyWorkspace.ActiveDocument.Variables.Item("WIZ_VAR_11")
Set zVarAssign = MyWorkspace.ActiveDocument.VarAssignments.CreateByID("MyAssignment", zSrcVar.PvID, zDstVar.PvID)
End Sub


Delete

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Deletes the objects from collection

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of Assignment as string

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Delete an VarAssignment (Allocation)
Sub DeleteAssignment()
Dim bResult As Boolean
'by NAME
bResult = MyWorkspace.ActiveDocument.VarAssignments.Delete("MyAssignment")
End Sub


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a object at a position or by a specified key

Datatype

Item(VARIANT vID) As VarAssignment

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Index or name. If the parameter is a numerical value, the Frame is searched by its index (>= 0 and <= Count-1). If it is an alphanumerical value, the Frame is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

'Enumerate all Assignements of the active project
Sub EnumAssignments()
Dim zVarAssign As VarAssignment
Dim zVarAssigns As VarAssignments
Dim i As Integer

Set zVarAssigns = MyWorkspace.ActiveDocument.VarAssignments
For i = 0 To zVarAssigns.Count - 1
Set zVarAssign = zVarAssigns.Item(i)
Debug.Print zVarAssign.Name & " [" & _
zVarAssign.DynProperties("SourceVariable").Name & " > " & _
zVarAssign.DynProperties("TargetVariable").Name & "]"
Next i
End Sub


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport (VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarAssignments -> VarAssignments-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The collection Variables contains all defined variables of the current project. With this collection you can access all or selected variables.Beside the access via the index a variable also can be found with its unique name or the unique channel Id.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateVariable()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zEdLimit As EdLimit 'Object from type EdLimit

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" variable called "TestVariable" with object type "internal variable" and datatype "INT"
Set zVariable = zVariables.CreateVar("TestVariable", zDrivers.Item(0), 33, zVarTypes.Item("INT"))
'Create a limit at the "TestVariable"
zVariable.CreateEdLimit

'Select the first limit of the variable
Set zEdLimit = zVariable.EDLimitItem(0)
'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

Call CreateArrayVariable

End Sub

Sub CreateArrayVariable()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zArrEl As Variable 'Object from type Variables
Dim zEdLimit As EdLimit 'Object from type EdLimit
Dim i As Integer

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "ArrayVar" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("ArrayVar", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

'Read the first array element
Set zArrEl = zVariable.SubItem(0)
'Create a limit at the array element
zArrEl.CreateEdLimit

'Select the first limit of the variable
Set zEdLimit = zArrEl.EDLimitItem(0)
'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

End Sub


Variable-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Alignment | - | available | read only | yes | yes
VARIANT | AlternateArchiveValue | - | available | read only | yes | yes
VARIANT | AlternateValue | - | available | read only | yes | yes
long | ArraySize | - | available | read only | yes | yes
IVarType | BaseType | - | read only | read only | yes | yes
long | BitAddr | - | available | read only | yes | yes
long | DataBlock | - | available | read only | yes | yes
IEC_TYPES | DataType | - | read only | read only | yes | yes
short | Digits | - | available | available | yes | yes
VARIANT_BOOL | IsArray | - | read only | read only | yes | yes
DATE | LastUpdateTime | - | read only | read only | yes | yes
short | LastUpdateTimeMilliSeconds | - | read only | read only | yes | yes
BSTR | Name | - | available | read only | yes | yes
long | NetAddr | - | available | read only | yes | yes
long | Offset | - | available | read only | yes | yes
IVariables | Parent | - | read only | read only | yes | yes
long | PvID | - | read only | read only | yes | yes
VARIANT | RangeMax | - | available | available | yes | yes
VARIANT | RangeMin | - | available | available | yes | yes
VARIANT_BOOL | ReadOnly | - | available | read only | yes | yes
BSTR | Recourceslabel | - | available | read only | yes | yes
VARIANT | SignalMax | - | available | read only | yes | yes
VARIANT | SignalMin | - | available | read only | yes | yes
long | StatusExtValue | - | not used | read only | yes | yes
BSTR | StatusString | - | not used | available | yes | yes
long | StatusValue | - | not used | read only | yes | yes
long | StringLength | - | available | read only | yes | yes
BSTR | Tagname | - | available | read only | yes | yes
BSTR | Unit | - | available | available | yes | yes
VARIANT | UserValue | - | available | available | yes | yes


Alignment

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Alignment

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the alignment item of the addressing settings.

Datatype

Alignment() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


AlternateArchiveValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> AlternateArchiveValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the alternate value of the variable. The alternate value of a variable is used in archives and the recipe group manager, if the current value is needed but not available, e.g. automatic filling of archives, no connection to the PLC, ...

Datatype

AlternateArchiveValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


AlternateValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> AlternateValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the alternate value of the variable. The alternate value of a variable is used in archives and the recipe group manager, if the current value is needed but not available, e.g. automatic filling of archives, no connection to the PLC, ...

Datatype

AlternateValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ArraySize

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> ArraySize

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the number of indices of the variable. A standard variable has no index. With array variables this property returns the defined size of the array.

Datatype

ArraySize() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


BaseType

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> BaseType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns informations about the datatype which is used at the variable.

Datatype

BaseType() As VarType

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


BitAddr

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> BitAddr

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the bit number of a variable.

Datatype

BitAddr() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


DataBlock

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> DataBlock

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the number of the used data block.

Datatype

DataBlock() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


DataType

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> DataType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the defined data type of the variable as a constant.

Datatype

DataType() As EC_TYPES

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Digits

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Digits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the number of digits from a real or lreal variable.

Datatype

Digits() As short

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


IsArray

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> IsArray

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if the variable is an array (ArraySize > 1).

Datatype

IsArray() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LastUpdateTime

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> LastUpdateTime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the time of the last update of the value.

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

LastUpdateTime() As DATE

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


LastUpdateTimeMilliSeconds

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> LastUpdateTimeMilliSeconds

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the milliseconds since the last update time.

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

LastUpdateTimeMilliSeconds() As short

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of a variable.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


NetAddr

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> NetAddr

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the net address of a variable.

Datatype

NetAddr() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Offset

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Offset

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the offset of a variable.

Datatype

Offset() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Variables

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


PvID

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> PvID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unique variable ID (per project). With this ID a variable can be found in the central variables list of the project.

Datatype

PvID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


RangeMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> RangeMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the maximal measuring range of a variable.

Datatype

RangeMax() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


RangeMin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> RangeMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the minimal measuring range of a variable.

Datatype

RangeMin() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


ReadOnly

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> ReadOnly

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if the variable is read only and false if it is readable+writeable.

Datatype

ReadOnly() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Recourceslabel

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Recourceslabel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the resources label of the variable.

Datatype

Recourceslabel() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


SignalMax

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> SignalMax

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the maximal signal range of a variable.

Datatype

SignalMax() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


SignalMin

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> SignalMin

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the minimal signal range of a variable.

Datatype

SignalMin() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


StatusExtValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> StatusExtValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the status value for states where the higher 32 bits are set.For definition of Statis see StatusValue

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

StatusExtValue() As long

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes


StatusString

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> StatusString

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the status of a variable.

For definition of Statis see StatusValue

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

StatusString() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes


StatusValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> StatusValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The returned value corresponds to the status of a variable.

Status | Abbreviations in editor | Value (hex)
Invalid | I-BIT | 0x00040000
Not updated | not used | 0x20000000
Alternative value | read only | 0x08000000
General request | yes | 0x00010000
Spontaneous | yes | 0x00020000
Summer/winter time announcement | SU/WI | 0x00080000
Switched off | N_UPD | 0x00080000
Realtime external | RT_E | 0x00200000
Realtime internal | RT_I | 0x00400000
Winter time | WINTER | 0x80000000
Manual value | MVALUE | 0x00001000
User status 1 .. 8 | ST_M1 .. ST_M8 | 0x00000001- 0x00000080
Select | SELEC | 0x00000100
Revision | REV | 0x00000200
Desired direction | DIREC | 0x00000400
Runtime exceeded | RTE | 0x00000800
Default message trafo value | DM_TR | 0x01000000
Not sortable | NSORT | 0x00800000
Info for variable | INFO | 0x04000000
Transmission cause | TCBx | 0x0000003F00000000
P/N bit | PN_BIT | 0x0000004000000000
Test bit | T_BIT | 0x0000008000000000
Normal status | NORM | 0x0000040000000000
Deviation normal status | ABNORM | 0x0000080000000000

NOTE:
Check the property IsOnline to make sure that the variable is advised, when you want to read this property to avoid errors! (> 6.21)

Datatype

StatusValue() As long
VBA | yes | 0x00040000
VSTA | yes | 0x00040000

Availability

Environment | Available
Editor | not used
Runtime | read only


StringLength

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> StringLength

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the length of a string variable.

Datatype

StringLength() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Tagname

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Tagname

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the identification of the variable.

Datatype

Tagname() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Unit

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> Unit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the defined unit of the variable. The unit specifies the value of the variable, e.g. degrees Celcius, .... The configuration of most modules allows the display of the unit, e.g. numerical value, archive picture, ...This property can be changed in the Runtime.

Datatype

Unit() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


UserValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Properties -> UserValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This property can get a user defined value and is not used for the Runtime. In VBA a variant can be linked with the variable, that is needed at a later moment.This variant could e.g. be the Id for a record in a SQL database, that contains further information on the variable.

Datatype

UserValue() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Variable-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActivateSubItem | - | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
VARIANT_BOOL | CreateDynProperty |  | available | not used | yes | yes
IEdLimit | CreateEdLimit | - | available | not used | yes | yes
VARIANT_BOOL | DeactivateSubItem | - | available | not used | yes | yes
VARIANT_BOOL | DeleteEdLimit | - | available | not used | yes | yes
IDriver | Driver | - | available | available | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
long | EdLimitCount | - | read only | not used | yes | yes
IEdLimit | EdLimitItem | - | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLimitActiv | - | available | available | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsOnline | - | not used | read only | yes | yes
VARIANT_BOOL | IsRDAActiv | - | read only | read only | yes | yes
VARIANT_BOOL | IsRemaActiv | - | read only | read only | yes | yes
ILimits | Limits | - | not used | available | yes | yes
BSTR | SecondaryUnitName [GET] | - | not used | available | yes | yes
void | SetValueWithStatus | - | not used | available | yes | yes
void | SetValueWithStatusEx | - | not used | available | yes | yes
IVariable | SubItem | - | available | read only | yes | yes
long | SubItemCount | - | read only | read only | yes | yes
BSTR | SubItemName | - | available | read only | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes
double | CalcPrimaryUnitValue | - | not used | available | yes | yes
double | CalcSecondaryUnitValue | - | not used | available | yes | yes
void | ModifyAlternateValue | - | available | available | yes | yes
short | SecondaryUnitDigits [GET] | - | not used | available | yes | yes
VARIANT | Value [GET] | - | not used | available | yes | yes
void | Value [PUT] | - | not used | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


ActivateSubItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> ActivateSubItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method activates an array or a structure element. Returns true when element has been activated, false if no change has been done.

Datatype

ActivateSubItem(VARIANT vSubItem) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Array or structure element can be selected via name (string) or via number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vSubItem As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ActiveSubItem()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim actSubItem As Boolean 'Status variable

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
'Array variable called "array" with some elements should be available
Set zVariable = zVariables.Item("array")
'Element "array[2]" is activated
actSubItem = zVariable.ActivateSubItem("array[2]")
Debug.Print "Activated = " & actSubItem

End Sub


CalcPrimaryUnitValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> CalcPrimaryUnitValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CalcPrimaryUnitValue(double dfSecondaryValue) As double

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CalcSecondaryUnitValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> CalcSecondaryUnitValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CalcSecondaryUnitValue(double dfPrimaryValue) As double

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateDynProperty

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> CreateDynProperty

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method creates a dynamic property.

Datatype

CreateDynProperty(String bsPath) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

String for the dynamic property to be created.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub EdLimDynProp()

Dim zVariable As Variable 'Child object from type Variables

'Take the first variable from the variables list
Set zVariable = MyWorkspace.ActiveDocument.Variables.Item(0)

'Create a limit
zVariable.CreateDynProperty ("Limits")
'Set the limit text
zVariable.DynProperties("Limits[0].Text") = "Limit reached"
'Set the limit value
zVariable.DynProperties("Limits[0].LimitValue") = 10
'Set the value as maximum
zVariable.DynProperties("Limits[0].IsMax") = True

End Sub


CreateEdLimit

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> CreateEdLimit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method creates a limit at a variable.

Datatype

CreateEdLimit() As EdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateEDLimit()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" variable called "TestVariable" with object type "internal variable" and datatype "INT"
Set zVariable = zVariables.CreateVar("TestVariable", zDrivers.Item(0), 33, zVarTypes.Item("INT"))
'Create a editor limit at the "TestVariable"
zVariable.CreateEdLimit

End Sub


DeactivateSubItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> DeactivateSubItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method deactivates array or structure elements.

Datatype

DeactivateSubItem(VARIANT vSubItem) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Array or structure element can be selected via name (string) or via number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vSubItem As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeActivateSubItem()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim actSubItem As Boolean 'Status variable

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
'Array variable called "array" with some elements should be available
Set zVariable = zVariables.Item("array")
'Element "array[2]" is deactivated
actSubItem = zVariable.DeActivateSubItem("array[2]")
Debug.Print "Activated = " & actSubItem

End Sub


DeleteEdLimit

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> DeleteEdLimit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method deletes selected limits of a variable.

Datatype

DeleteEdLimit(VARIANT vIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The limit can be selected via its name (string) or via a number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteEDLimit()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim i As Integer

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" variable called "TestVariable" with object type "internal variable" and datatype "INT"
Set zVariable = zVariables.CreateVar("TestVariable", zDrivers.Item(0), 33, zVarTypes.Item("INT"))
'Create 5 editor limits at the "TestVariable"
For i = 0 To 4
zVariable.CreateEdLimit
Next i
'Delete the 2nd limit
zVariable.DeleteEDLimit (1)

End Sub


Driver

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> Driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the driver object of the variable.

Datatype

Driver() As Driver

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


EdLimitCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> EdLimitCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the number of limits from a variable.

Datatype

EdLimitCount() As long

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


EdLimitItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> EdLimitItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns an "EdLimit" object from a variable.

Datatype

EdLimitItem(VARIANT vIndex) As EdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The limit can be selected via a number (counting starts at 0) or via a string (name of the limit).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub EDLimitItem()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zEdLimit As EdLimit 'Object from type EdLimit
Dim i As Integer

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" variable called "TestVariable" with object type "internal variable" and datatype "INT"
Set zVariable = zVariables.CreateVar("TestVariable", zDrivers.Item(0), 33, zVarTypes.Item("INT"))
'Create 5 editor limits at the "TestVariable"
For i = 0 To 4
zVariable.CreateEdLimit
Next i

'Select the first limit of the variable
Set zEdLimit = zVariable.EDLimitItem(0)
'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

End Sub


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLimitActiv

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> IsLimitActiv

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns true for limits activated and false for reaction matrix activated.

Datatype

IsLimitActiv() As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsOnline

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> IsOnline

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method checks, if the current variable is advised and has a valid value.

A variable will be advised when:

- the variable is actually displayed in a picture...

- the variable has defined alarms...

- the variable is used within VBA (OnlineVariable)...

- the variable has set the option "DDE"...

- ...

Datatype

IsOnline() As Boolean

Availability

Environment | Available
Editor | not used
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsRDAActiv

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> IsRDAActiv

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns true if RDA is activated at a variable.

Datatype

IsRDAActiv() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsRemaActiv

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> IsRemaActiv

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns true if a variable is linked to a reaction matrix.

Datatype

IsRemaActiv() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Limits

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> Limits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the limit administration of the variable. In the limit administration you can access the single limits with their most important information.

Datatype

Limits() As Limits

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Limit()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zLimit As Limit 'Object from type Limit

'Fill the objects
Set zVariables = thisProject.Variables
'Read the "TestVariable" variable
Set zVariable = zVariables.Item("TestVariable")

'Read the first limit of the variable
Set zLimit = zVariable.Limits.Item(0)
'Show the alarm class
Debug.Print "AlarmClass = " & zLimit.AlarmClass
'Show the limit text
Debug.Print "Limit text = " & zLimit.Text
'Show the limit value
Debug.Print "Limit value = " & zLimit.Value
'Show if the value is the maximum
Debug.Print "Acts on maximum = " & zLimit.IsMax

End Sub


ModifyAlternateValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> ModifyAlternateValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ModifyAlternateValue(VARIANT newValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SecondaryUnitDigits [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> SecondaryUnitDigits [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SecondaryUnitDigits [GET]() As short

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SecondaryUnitName [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> SecondaryUnitName [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SecondaryUnitName() As String

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetValueWithStatus

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> SetValueWithStatus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method sets a value in combination with a status and a timestamp.

Datatype

SetValueWithStatus(VARIANT Value,long Status,long Time,short TimeMilliSec) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Milliseconds of time stamp for set value.

Lower 32 status bits.
For definition of Statis see StatusValue.

Time stamp for set value.

Set value as Variant.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

TimeMilliSec As short

Status As Long

Time As Long

Value As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetValue()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables

'Fill the objects
Set zVariables = thisProject.Variables
'Take the first variable
Set zVariable = zVariables.Item(0)
'Write value 10, status I-BIT, with the actual time and 333 ms onto the variable
zVariable.SetValueWithStatus 10, 262144, Now, 333

End Sub


SetValueWithStatusEx

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> SetValueWithStatusEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method sets a value in combination with a status and a timestamp. The difference to the "SetValueWithStatus" method is that you have the opportunity to set statis which also use the higher 32 bits.

Datatype

SetValueWithStatusEx(VARIANT Value,long Status,long StatusExt,long Time,short TimeMilliSec) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

Milliseconds of time stamp for set value.

Lower 32 status bits.
For definition of Statis see StatusValue.

Higher 32 status bits.
For definition of Statis see StatusValue.

Time stamp for set value.

Set value as Variant.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

TimeMilliSec As short

Status As Long

StatusExt As Long

Time As Long

Value As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetValueEx()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables

'Fill the objects
Set zVariables = thisProject.Variables
'Take the first variable
Set zVariable = zVariables.Item(0)
'Write value 10, set the lower 32 Bit 0, set the higher 32 Bit with 128 (State: Test bit), with the actual time and 333 ms onto the variable
zVariable.SetValueWithStatusEx 10, 0, 128, Now, 333

End Sub


SubItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> SubItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this method you get array and structure elements by index.

Datatype

SubItem(long lIndex) As Variable

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Position of the element in the array or structure.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SubItem()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim cacheElement As Variable 'Child object from type Variables
Dim zEdLimit As EdLimit 'Object form type EdLimit
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "array" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("array", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

'Read the first element from the array
Set cacheElement = zVariable.SubItem(0)
'Create a limit at the array element
cacheElement.CreateEdLimit

'Select the first limit of the variable
Set zEdLimit = cacheElement.EDLimitItem(0)
'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

End Sub


SubItemCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> SubItemCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the number of sub items in an array or structure.

Datatype

SubItemCount() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CountItems()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "array" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("array", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

Debug.Print "Count items = " & zVariable.SubItemCount

End Sub


SubItemName

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> SubItemName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the name of an array or structure item.

Datatype

SubItemName(long lIndex) As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Parameters

Position of the element in the array or structure (starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SubItemNames()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "array" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("array", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

'Show the name of all array elements
For i = 0 To zVariable.SubItemCount - 1
Debug.Print "Name of first sub item = " & zVariable.SubItemName(i)
Next i

End Sub


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> Value [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Value [GET]([optional]VARIANT vIndex) As VARIANT

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Value [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Methods -> Value [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Value [PUT]([optional]VARIANT vIndex,VARIANT newValue) As void

Availability

Environment | Available
Editor | not used
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Variable-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

3S_Arti_NG Variable-Dynproperties [ED]

Variable-Dynproperties

AKDrv - Variable-Dynproperties [ED]

BACnetNG - Variable-Dynproperties [ED]

Basisklasse Variable-Dynproperties

BeckhoffNG - Variable-Dynproperties [ED]

Biffi - Variable-Dynproperties [ED]

BURPVI - Variable-Dynproperties [ED]

C++ Class CXXXVarED

EibV2 - Variable-Dynproperties [ED]

Elrest - Variable-Dynproperties [ED]

IEC61850 - Variable-Dynproperties [ED]

IEC870 - Variable-Dynproperties [ED]

IEC870_103 - Variable-Dynproperties [ED]

iLon100 - Variable-Dynproperties [ED]

Intern - Variable-Dynproperties [ED]

Lon32 - Variable-Dynproperties [ED]

MathDr32 - Variable-Dynproperties [ED]

NWMDRV32 - Variable-Dynproperties [ED]

OPCUA - Variable-Dynproperties [ED]

Sample32 - Variable-Dynproperties [ED]

SE_32 - Variable-Dynproperties [ED]

Sys2000 - Variable-Dynproperties [ED]

SysDrv - Variable-Dynproperties [ED]

Syskron - Variable-Dynproperties [ED]

Variable-Dynproperties [ED]

Variable-Dynproperties [RT]


3S_Arti_NG Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> 3S_Arti_NG Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


CVarGrenze-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> CVarGrenze-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

UserProperty1

Information supplémentaire 1

Dans le Runtime, les informations supplémentaires saisies peuvent être évaluées dans une macro VBA.

Plus de détails dans l'aide en ligne

VT_BSTR

UserProperty2

Information supplémentaire 2

Dans le Runtime, les informations supplémentaires saisies peuvent être évaluées dans une macro VBA.

Plus de détails dans l'aide en ligne

VT_BOOL

Active

Limite active

Actif : Une valeur limite est prise en compte dans le Runtime.
Inactif : La valeur limite est ignorée dans le Runtime.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

Alarm

En tant qu'alarme

Actif : en cas de dépassement d'une limite, une entrée est créée dans la liste d'alarmes.
Inactif : Aucune entrée n'est créée dans la liste d'alarmes.
Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

AML_Call

Appel par un bouton dans les synoptiques d'alarmes

Disponible uniquement si la valeur limite est une alarme :
Actif : La fonction liée n'est pas exécutée de façon événementielle durant le fonctionnement en ligne, mais uniquement lorsque l'utilisateur sélectionne le bouton Fonction dans la liste d'alarmes.
Inactif : La fonction est exécutée de manière événementielle dès que l'alarme se déclenche.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

Blinking

Clignotement

Actif : les éléments dynamiques qui sont liés à cette variable commence à clignoter dès que cette limite est dépassée.
Vous pouvez acquitter le clignotement avec un double-clic droit.
Inactif : La limite ne provoque pas de clignotement.
(Par défaut) Inactif :
Attention : Associée à la propriété Délai [s], cette propriété a l'effet suivant sur le réseau :
Valeur limite avec clignotement, sans délai : Les éléments liés clignotent sur le serveur et sur les clients.
Valeur limite avec clignotement et délai : les éléments liés clignotent uniquement sur le serveur, pas sur les clients.
Alarme avec clignotement, sans délai : Les éléments liés clignotent sur le serveur et les clients.
Alarme avec clignotement et délai : Les éléments liés clignotent sur le serveur et les clients.

Plus de détails dans l'aide en ligne

VT_BOOL

Cel

Dans la liste des événements

Actif : En cas de dépassement d'une valeur limite, une entrée est créée dans la liste chronologique d'événements (CEL).
Inactif : Aucune entrée n'est créée dans la liste chronologique d'événements.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

Print

Imprimer

Actif : l'alarme ou le dépassement de limite est imprimé(e) en ligne pour cette variable, selon la configuration de la propriété Impression pour du groupe Alarmes et événements dans les paramètres du projet.
Inactif : active l'impression en ligne.
Par défaut : Inactive

Plus de détails dans l'aide en ligne

ZT_COLOR

Color

Couleur de limite

Informations de couleur pour la coloration de la couche et la couleur d'état lors de l'utilisation de variables dans les éléments binaires ; la définition de la couleur des textes d'alarme dans la liste d'alarmes s'effectue dans la définition des classes d'alarme.

Plus de détails dans l'aide en ligne

ZT_FUNCTION

Function

Fonction

Fonction exécutée automatiquement dans le Runtime en cas de dépassement d'une valeur limite.
Si l'état est défini en tant qu'alarme, l'exécution spontanée de la fonction peut être annulée (option « Appel depuis la liste d'alarmes »).
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

Plus de détails dans l'aide en ligne

VT_R8

LimitValue

Valeur limite

Indisponible si aucune valeur de limite dynamique n'est définie :
Définit la valeur à partir de laquelle un dépassement de valeur limite est identifié.
La propriété « Minimum / Maximum » permet de déterminer si les valeurs supérieures ou inférieures à cette valeur déclenchent un dépassement de valeur limite.

Plus de détails dans l'aide en ligne

VT_UI2

Group

Groupe d'alarmes/d'événements

Attribution d'un groupe d'alarmes/d'événements (max. 65535) pour la limite, lorsque celle-ci est utilisée comme alarme.
L'attribution à un groupe d'alarmes/d'événements est effectuée par le biais d'une sélection dans la liste.
Par défaut : 0 (non utilisé).

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

GroupName

-

ZT_FILE

HelpFile

Fichier d'aide

Disponible uniquement si la valeur limite est une alarme.

Fichier d'aide (*.chm) dont un chapitre relatif à cette alarme sera affiché dans la liste d'alarmes.

Pour plus d'informations concernant le fichier d'aide, reportez-vous à l'aide en ligne.

Configuration d'EPLAN :
Il est possible d'afficher une page d'EPLAN. Pour cela, la connexion à EPLAN doit disposer d'une licence et le chemin d'accès au programme EPLAN doit être défini dans le fichier zenon6.ini.
Configuration :

  • Saisie de la chaîne de caractères $PRG:xxxxxx.
  • xxxxxx est l'opérateur représentant les paramètres à saisir
  • La propriété Chapitre d'aide est ignorée, mais ne doit pas être vide.

Pour plus d'informations sur EPLAN, reportez-vous à l'aide en ligne.

VT_BSTR

HelpCapture

Chapitre d'aide

Disponible uniquement si la valeur limite est une alarme :
Chapitre d'aide affiché dans la liste d'alarmes pour cette alarme.

Plus de détails dans l'aide en ligne

VT_UI2

Class

Classe d'alarmes/d'événements

Attribution d'une classe d'alarmes/d'événements (max. 65535) pour la limite, lorsque celle-ci est utilisée comme alarme.
L'attribution à une classe d'alarmes/d'événements est effectuée par le biais d'une sélection dans la liste.
Par défaut : 0 - (non utilisé).

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

ClassName

-

VT_BOOL

AlarmComment

Commentaire requis

Disponible uniquement si la propriété Acquittement obligatoire est active.

Actif : Avant de pouvoir acquitter une alarme, vous devez saisir un commentaire. Pour cela, l'utilisateur doit disposer des autorisations requises pour utiliser la fonction Saisir un commentaire sur une alarme.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

AlarmDelete

Suppr. obligatoire

Disponible uniquement si la propriété Acquittement obligatoire est active.
Actif : l'alarme doit être acquittée et supprimée avant d'être supprimée de la mémoire circulaire.
Inactif : aucune suppression n'est nécessaire.
Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

IsMax

Minimum/Maximum

Minimum : dépassement de valeur limite en cas d'identification d'une valeur égale ou inférieure à la valeur limite.
Maximum : dépassement de valeur limite en cas d'identification d'une valeur égale ou supérieure à la valeur limite.
Par défaut : Minimum.

Plus de détails dans l'aide en ligne

VT_BOOL

AlarmAcknowledge

Acquittement obligatoire

Disponible uniquement pour les alarmes.
Actif : l'alarme doit être acquittée avant d'être supprimée de la mémoire circulaire.
Inactif : aucun acquittement requis.
Paramètre par défaut des alarmes : active, sinoninactive

Plus de détails dans l'aide en ligne

VT_R8

ThresholdValue

Hystérésis

Une valeur de seuil peut être définie et être utilisée pour acquitter une violation de limite. Ainsi, les réactions non désirées pour des variables numériques fluctuantes peuvent être évitées.
Exemple 1 : Valeur maximum = 900, valeur de seuil = 10, résultat 890 :
La valeur limite sera dépassée à partir d'une valeur de 900, et la plage critique sera quittée lorsque la valeur chutera en dessous de 890.
Exemple 2 : Valeur minimum = 900, valeur de seuil = 10, résultat 910 :
La valeur limite sera dépassée à partir d'une valeur de 900, et la plage critique sera quittée lorsque la valeur s'élèvera au-dessus de 910.
Contrairement à l'hystérésis, cette propriété n'a aucune incidence sur l'affichage de la valeur, uniquement sur le comportement de l'alarme.

Plus de détails dans l'aide en ligne

VT_BSTR

Text

Texte de valeur limite

Ce texte sera affiché dans la liste de messages d'alarme, la liste chronologique d'événements et/ou la ligne d'état des alarmes (en fonction de la configuration) après une violation de limite.

Texte de limite dynamique : permet d'inclure les valeurs actuelles des autres variables dans le texte de limite d'une variable et le texte de limite des matrices de réaction. Vous pouvez également lier un texte fixe à des mots clés provenant d'une table de langues via un index. Ceci entraîne certaines limitations :
le texte statique sera conservé dans la zone de mémoire du texte de limite, qui est limité à 128 caractères. Les valeurs des variables liées sont conservées dans la zone de mémoire du texte de commentaire, qui est limité à 80 caractères.

Ces limitations peuvent être contournées en utilisant l'extension réservée aux textes de limite dynamiques longs. Pour cela, vous devez activer les propriétés Textes de limite dynamiques longs pour les événements et Textes de limite dynamiques longs pour les alarmes. Les valeurs de variables spécifiques aux textes de limite dynamiques seront alors conservées dans un fichier distinct. Attention : Lors de l'utilisation de textes de limite dynamiques, vous ne pouvez pas saisir de commentaires.

Plus de détails dans l'aide en ligne

VT_BOOL

Invisible

Invisible

Actif : L'état n'est pas affiché dans l'élément dynamique Élément d'état, ou les éléments ne sont pas affichés si leur visibilité est contrôlée par cette variable.
Inactif : La visibilité n'est pas influencée par le dépassement de la valeur limite.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

IsVariable

Limite définie par une variable

Spécifie si le texte de limite est fixe ou s'il est déterminé de manière dynamique, via une variable.

Active : la limite n'est pas définie via une valeur technique fixe, mais via la valeur technique d'une autre variable.

AML/CEL (Liste Alarmes/Événements) : les dernières informations d'horodatage des deux variables sont utilisées comme informations d'horodatage du dépassement de limite dans la liste AML et/ou CEL.

Par défaut : Inactive

ATTENTION : si la limite de la variable est modifiée de manière à ce que la valeur actuelle de la variable se trouve soudainement dans la plage critique sans avoir changé pour autant, une violation de limite se produira.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

Variable

Variable

Disponible uniquement si la propriété Valeur limite dynamique est active :
Variable utilisée en tant que valeur limite dynamique.

Plus de détails dans l'aide en ligne

VT_UI4

Delay

Délai [s]

Durée (en secondes) pendant laquelle la violation de limite doit être active. La valeur doit être active pour la durée définie (sans interruption) pour déclencher les actions configurées en cas de violation de limite.
AML/CEL (Liste Alarmes/Événements) :
- L'heure du premier dépassement est utilisée comme information d'horodatage du dépassement de limite dans la liste de messages d'alarme et/ou la liste chronologique d'événements.
- La première valeur après expiration du délai est définie en tant que valeur, et non la valeur déclenchant l'alarme.

ATTENTION : Associée à la propriété Clignotement, cette propriété a l'effet suivant sur le réseau :
Valeur limite avec clignotement, sans délai : Les éléments liés clignotent sur le serveur et sur les clients.
Valeur limite avec clignotement et délai : Les éléments liés clignotent uniquement sur le serveur, pas sur les clients.
Alarme avec clignotement, sans délai : Les éléments liés clignotent sur le serveur et les clients.
Alarme avec clignotement et délai : Les éléments liés clignotent sur le serveur et les clients.

Minimum : 0
Maximum : 4294967295
Par défaut : 0

Plus de détails dans l'aide en ligne


AKDrv - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> AKDrv - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


BACnetNG - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> BACnetNG - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


BeckhoffNG - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> BeckhoffNG - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


Biffi - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> Biffi - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


BURPVI - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> BURPVI - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


Variable dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> Variable dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

CMathInfo

MathInfo

-

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_BSTR

Initial_value

Valeur initiale

La valeur définie ici est utilisée en tant que valeur actuelle de la variable lors du démarrage du Runtime, si la propriété « Rémanence » est définie sur « Valeur initiale ».

Plus de détails dans l'aide en ligne

VT_BOOL

Local

Calcul

Local : Pour les projets en réseau, la variable interne est évaluée et gérée localement, c'est-à-dire sur le client.
Ceci signifie que la valeur de la variable peut être différente sur chaque client, et que les valeurs limite sont évaluées localement.
Réseau : Pour les projets en réseau, les variables internes sont évaluées et gérées sur le serveur du projet. Elles ont la même valeur sur le serveur et tous les clients.
Par défaut : local.

Plus de détails dans l'aide en ligne

VT_UI1

Remanenz

Rémanence

Désactivée : Lors du démarrage du Runtime, la valeur de remplacement de la variable ou une chaîne (pour les variables chaîne) est utilisée comme valeur actuelle.
Valeur initiale : La valeur actuelle est la valeur saisie dans la propriété « Valeur initiale ».
Rémanent : La dernière valeur de la variable est utilisée comme valeur actuelle lors du redémarrage du Runtime.
Par défaut : désactivée.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_DATETIME

LastUpdateTime

-

Cette propriété peut être définie par l'utilisateur pour indiquer que la recette a été directement modifiée dans l'interface d'automatisation (TRUE), mais qu'elle n'a pas encore été enregistrée dans la base de données des recettes.

VT_UI2

LastUpdateTimeMilliSeconds

-

Obtient ou définit le nom du projet dans lequel est défini le synoptique.Conseil : Le projet actuel sera utilisé si cette propriété n'est pas spécifiée.

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_BSTR

StatusString

-

Spécifie le nom du fichier de rapport.

VT_UI8

StatusValue

-

Cette propriété vous permet de déterminer si la propriété "Venant seulement du redondant" doit ou non être liée au type de données.FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_VARIANT

UserValue

-

VT_VARIANT

Value

-

Nom de l'objet devant constituer la référence du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 1.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


EibV2 - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> EibV2 - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


Elrest - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> Elrest - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


IEC61850 - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> IEC61850 - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


IEC870_103 - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> IEC870_103 - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


IEC870 - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> IEC870 - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


iLon100 - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> iLon100 - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


Intern - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> Intern - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_BSTR

Initial_value

Valeur initiale

La valeur définie ici est utilisée en tant que valeur actuelle de la variable lors du démarrage du Runtime, si la propriété « Rémanence » est définie sur « Valeur initiale ».

Plus de détails dans l'aide en ligne

VT_BOOL

Local

Calcul

Local : Pour les projets en réseau, la variable interne est évaluée et gérée localement, c'est-à-dire sur le client.
Ceci signifie que la valeur de la variable peut être différente sur chaque client, et que les valeurs limite sont évaluées localement.
Réseau : Pour les projets en réseau, les variables internes sont évaluées et gérées sur le serveur du projet. Elles ont la même valeur sur le serveur et tous les clients.
Par défaut : local.

Plus de détails dans l'aide en ligne

VT_UI1

Remanenz

Rémanence

Désactivée : Lors du démarrage du Runtime, la valeur de remplacement de la variable ou une chaîne (pour les variables chaîne) est utilisée comme valeur actuelle.
Valeur initiale : La valeur actuelle est la valeur saisie dans la propriété « Valeur initiale ».
Rémanent : La dernière valeur de la variable est utilisée comme valeur actuelle lors du redémarrage du Runtime.
Par défaut : désactivée.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


Lon32 - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> Lon32 - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


MathDr32 - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> MathDr32 - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

CMathInfo

MathInfo

-

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


CMathInfo-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> CMathInfo-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI2

Type

-

ZT_VARIABLE

EnableCalc

Calcul actif

Associe une variable à la variable mathématique. La valeur de la variable détermine si le calcul doit être effectué. La propriété est activée lors de l'association d'une variable.

Cliquez sur le bouton ... ou dans le champ contenant la variable pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : désactivée, aucune variable attribuée.

Plus de détails dans l'aide en ligne.

VT_BSTR

Formula

Formule

Ouvre la boîte de dialogue de saisie de la formule de calcul des variables.

Plus de détails dans l'aide en ligne

ZT_MEMFILE

MathInfo

-

CProjektVariableProp

SourceVars

-


NWMDRV32 - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> NWMDRV32 - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


OPCUA - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> OPCUA - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


Sample32 - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> Sample32 - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


SE_32 - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> SE_32 - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


Sys2000 - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> Sys2000 - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


Syskron - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> Syskron - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


SysDrv - Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> SysDrv - Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


Basisklasse Variable

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> Basisklasse Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


Variable [ED]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> Variable [ED]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalInOut

-

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


Variable [RT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> Variable [RT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

ZT_DATETIME

LastUpdateTime

-

Cette propriété peut être définie par l'utilisateur pour indiquer que la recette a été directement modifiée dans l'interface d'automatisation (TRUE), mais qu'elle n'a pas encore été enregistrée dans la base de données des recettes.

VT_UI2

LastUpdateTimeMilliSeconds

-

Obtient ou définit le nom du projet dans lequel est défini le synoptique.Conseil : Le projet actuel sera utilisé si cette propriété n'est pas spécifiée.

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

CVarGrenze

Limits

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_BSTR

StatusString

-

Spécifie le nom du fichier de rapport.

VT_UI8

StatusValue

-

Cette propriété vous permet de déterminer si la propriété "Venant seulement du redondant" doit ou non être liée au type de données.FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_VARIANT

UserValue

-

VT_VARIANT

Value

-

Nom de l'objet devant constituer la référence du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 1.

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.


C++ Class CXXXVarED

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variable -> Variable-Dynproperties -> C++ Class CXXXVarED

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

ZT_VBAMAKRO

AdjustHardware

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

AdjustZenon

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

VT_BSTR

Adressparam

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmPV2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

AlarmQuitPV

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

VT_UI4

AlarmQuitPVValue

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

VT_UI2

Alignment

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

VT_R8

AlternateValue

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

VT_BSTR

AlternateValueString

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_R8

ArchHystNeg

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

ArchHystPos

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

ZT_BSTR_REF

AreaName

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName2

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName3

-

Description sous forme de texte.

ZT_BSTR_REF

AreaName4

-

Description sous forme de texte.

VT_UI4

ArraySizeOld

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

VT_UI2

BitAddr

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_UI4

CounterGroup

Groupe de compteur

Disponible uniquement dans SICAM 230.

VT_UI4

DataBlock

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

DDEActive

Variable lue en permanence
  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

VT_UI2

Digits

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

VT_UI4

Driver

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

VT_BOOL

ExternVisible

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

VT_BSTR

ExternVisibleFor

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

VT_BOOL

HDActive

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

VT_UI4

HDSize

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R4

HDUpdate

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

VT_R8

HystNeg

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_R8

HystPos

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

VT_UI4

ID_ComplexVariable-Dynproperties

-

Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.

VT_UI4

ID_DataTyp

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

VT_UI4

ID_DriverTyp

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

VT_BSTR

InitialValue

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

VT_BOOL

InOut

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BOOL

IsKDAActiv

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

VT_BOOL

IsLocalAdjustHW

-

VT_BOOL

IsLocalAdjustZenon

-

VT_BOOL

IsLocalAlarmDomain

-

VT_BOOL

IsLocalAlarmDomain2

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain3

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmDomain4

-

Description sous forme de texte.

VT_BOOL

IsLocalAlarmPV0

-

VT_BOOL

IsLocalAlarmPV1

-

VT_BOOL

IsLocalAlarmPV2

-

VT_BOOL

IsLocalAlternateValue

-

VT_BOOL

IsLocalAltValString

-

VT_BOOL

IsLocalArchHystNeg

-

VT_BOOL

IsLocalArchHystPos

-

VT_BOOL

IsLocalArraySize

-

VT_BOOL

IsLocalCounterGroup

-

VT_BOOL

IsLocalDDEaktiv

-

Largeur de colonne pour le maximum de la valeur de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur maximum avec la propriété dynamique IsMaxAct.

VT_BOOL

IsLocalDigits

-

Hauteur du modèle.

VT_BOOL

IsLocalHDActive

-

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.ATTENTION : L'ouverture d'un autre synoptique basé sur le même modèle ferme automatiquement ce synoptique, et exécute donc automatiquement la fonction liée.Exemple : Les couleurs de fond des boutons dans une barre de boutons doivent indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux synoptiques individuels comportent tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées aux couleurs d'arrière-plan dynamiques des boutons correspondants. Ainsi, le bouton permettant d'ouvrir le synoptique actuellement ouvert comporte la couleur d'arrière-plan vert ; les autres boutons comportent un arrière-plan blanc.

VT_BOOL

IsLocalHDSize

-

Spécifie si les minutes des informations d'horodatage doivent être affichées à proximité de l'axe de temps.

VT_BOOL

IsLocalHDUpdate

-

Spécifie si le jour des informations d'horodatage doit être affiché à proximité de l'axe de temps.

VT_BOOL

IsLocalHystNeg

-

Largeur de colonne pour l'affichage de l'horodatage de la valeur.

VT_BOOL

IsLocalHystPos

-

Définition du contenu de la variable système.

VT_BOOL

IsLocalInOut

-

VT_BOOL

IsLocalKDAActiv

-

Cette propriété vous permet de déterminer si la propriété Valeur de remplacement doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_BOOL

IsLocalLocking

-

VT_BOOL

IsLocalMaxGradient

-

VT_BOOL

IsLocalNormalState

-

VT_BOOL

IsLocalNormalStateActive

-

VT_BOOL

IsLocalQuitPV

-

Obtient ou définit le nom du menu sous forme de chaîne.

VT_BOOL

IsLocalQuitValue

-

Ici, les filtres de temps des synoptiques de type Industrial Performance Analyzer (IPA) peuvent être prédéfinis.

VT_BOOL

IsLocalRangeMax

-

Langue du modèle.

VT_BOOL

IsLocalRangeMin

-

Hauteur du synoptique.

VT_BOOL

IsLocalRecLabel

-

VT_BOOL

IsLocalRema

-

Adresse de la page à afficher dans la zone de recherche.

VT_BOOL

IsLocalRemaActiv

-

Propriétés de configuration des valeurs.

VT_BOOL

IsLocalSBO

-

VT_BOOL

IsLocalSignalMax

-

Nom défini du modèle.

VT_BOOL

IsLocalSignalMin

-

Chemin de stockage des modèles. Par exemple, C:\ProgramData\COPA-DATA\zenon700\Templates\ScreenTypes\ENGLISH\Alarm Message list\5d1c2408-29b4-4cb9-95578-562jj458990.zip

VT_BOOL

IsLocalStandby

-

Active la limite de temps (propriété dynamique Secondes) pour l'enregistrement, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalStingLength

-

Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalTagname

-

VT_BOOL

IsLocalUnit

-

VT_BOOL

IsLocalUpdatePriority

-

L'audio est capturé avec la vidéo, si la propriété est définie sur TRUE.

VT_BOOL

IsLocalUseMacro

-

VT_BOOL

IsLocalValueMax

-

VT_BOOL

IsLocalValueMin

-

VT_BOOL

IsLocalVarInASM

-

VT_BOOL

IsRemaActiv

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BOOL

IsSW_Akt

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Alarme la plus ancienne : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).Alarme la plus récente : Selon la configuration de la propriété "Afficher l'alarme suivante", seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus récente est affichée la première (active).Par défaut : plus ancienne.

VT_BOOL

IsSW_VBA

-

Uniquement disponible si la fonction de gestion des alarmes et la ligne d'état sont actives :Actif : Dans la ligne d'état dans le Runtime, toutes les alarmes non acquittées sont affichées les unes au-dessus des autres. L'alarme suivante est affichée après qu'une alarme ait été acquittée avec un double-clic droit. Selon la propriété Affichage, l'alarme la plus ancienne ou la plus récente est affichée la première.Inactif : Une seule alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.Par défaut : active

VT_UI1

IsSWProtokol

-

Définit le nom de la recette cible vers laquelle la copie doit être effectuée.Conseil : Uniquement disponible pour la propriété dynamique Mode, option 5 (Dupliquer).

VT_BSTR

LockingName

-

Coordonnée Y du nouveau centre.Conseil : uniquement disponible si la propriété dynamique Type est définie sur 3.

VT_UI4

MaxGradient

Gradient maximum

Disponible uniquement dans SICAM 230.

VT_BSTR

Name

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

VT_UI4

NetAddr

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BOOL

NormalState

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

VT_BOOL

NormalStateActive

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_UI4

Offset

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

VT_BSTR

Profilename

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_R8

RangeMax

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

RangeMin

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_BOOL

ReadWrite

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

VT_BSTR

Recourceslabel

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

VT_UI4

Rema

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

VT_BOOL

SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

VT_UI1

SetValueProtocol

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

VT_R8

SignalMax

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_R8

SignalMin

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

VT_BOOL

Standby

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

VT_UI2

StringLength

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_Act

Ancienne et nouvelle valeur
  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

VT_BOOL

SV_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

VT_BSTR

SymbAddr

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.

ZT_AKZ

SystemModelGroup

Groupes d'équipements

Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements.

Plus de détails dans l'aide en ligne.

VT_BSTR

Tagname

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

VT_BSTR

Unit

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

VT_UI1

UpdatePriority

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

VT_BOOL

UseMacro

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_R8

ValueMax

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_R8

ValueMin

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

VT_BSTR

Vargroup

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

VT_BOOL

VarInASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne


Variables

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The collection Variables contains all defined variables of the current project. With this collection you can access, create and delete variables.Beside the access via the index a variable also can be found with its unique name or the unique channel Id.

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateVars()
Dim zPRJ As Project
Dim zDRV As Driver
Dim zVTp As VarType
Dim i
'part of the Variablename...
Const VarNamePart As String = "TEST_"

Set zPRJ = MyWorkspace.ActiveDocument
'set first created driver....
Set zDRV = zPRJ.Drivers.Item(0)
'check if driver is the "INTERNAL" driver
If InStr(1, zDRV.Name, "Intern", vbTextCompare) = 0 Then Exit Sub
'set vartype (UINT)
Set zVTp = zPRJ.VarTypes.Item("UINT")
For i = 0 To 9
zPRJ.Variables.CreateVar VarNamePart & i, zDRV, tpSystemVariable, zVTp
Next i
End Sub

Sub DeleteVars()
Dim zPRJ As Project
Dim i
'part of the Variablename...
Const VarNamePart As String = "TEST"

Set zPRJ = MyWorkspace.ActiveDocument
'run trough all variables of the active project
For i = zPRJ.Variables.Count - 1 To 0 Step -1 'reverse loop!
'search part of the varname
If InStr(1, zPRJ.Variables.Item(i).Name, VarNamePart) <> 0 Then
'delete variable
If zPRJ.Variables.DeleteVar(zPRJ.Variables.Item(i).Name) = False Then
Debug.Print "ERROR deleting: " & zPRJ.Variables.Item(i).Name
End If
End If
Next i
End Sub


Variables-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IProject | Parent | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Variables-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckInModule | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | CheckOutModule | Imports the selected XML file | available | not used | yes | yes
IVariable | CreateArrayVar | - | available | not used | yes | yes
IVariable | CreateArrayVarEx | - | available | not used | yes | yes
IVariable | CreateVar | - | available | not used | yes | yes
VARIANT_BOOL | DeleteVar | - | available | not used | yes | yes
void | DoAutoSave | - | available | not used | yes | yes
VARIANT_BOOL | Export | - | available | not used | yes | yes
VARIANT_BOOL | Import | - | available | not used | yes | yes
VARIANT_BOOL | ImportDirect | Imports the selected XML file | available | not used | yes | yes
IVariable | Item | - | available | available | yes | yes
IVariable | ItemPvID | - | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes


CheckInModule

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> CheckInModule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This function executes a check in at a multiuser project when a variable is checked out or the variable administration is completely checked out.

Datatype

CheckInModule() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOutModule

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> CheckOutModule

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This function executes a check out of the whole variable administration at a multiuser project.

Datatype

CheckOutModule() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateArrayVar

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> CreateArrayVar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateArrayVar (String strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType, long lLBound, long lDimension1,long lDimension2,long Dimension3,Boolean bPacked,Boolean bStartAtNewOffset,Boolean bReserved) As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of the array variable as string.

Needs a driver as an object. Example: zDrivers.Item(0)

Channel type as a constant.
List of constants: tpKanaltypes

Needs the datatype of the variable as an object. Example: zVarTypes.Item("INT")

Set the array start index (0 or 1).

Set the number of elements for the first array dimension.

Set the number of elements for the second array dimension.

Set the number of elements for the third array dimension.

Set or reset the "automatic addressing" item of an array variable.

Set or reset the "each datatype start with new offset" item of an array variable.
Hint: If the "automatic addressing" item is reseted then this item will be greyed.

reserved boolean flag, not used at this time.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strName As String

lpDriver As LPDISPATCH

kTypes As tpKanaltypes

lpVarType As LPDISPATCH

lLBound As Long

lDimension1 As Long

lDimension2 As Long

Dimension3 As Long

bPacked As Boolean

bStartAtNewOffset As Boolean

bReserved As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateArrayVariable()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim i As Integer

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "ArrayVar" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVar("ArrayVar", zDrivers.Item(0), 33, zVarTypes.Item("INT"), 1, 5, 0, 0, True, False, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

End Sub


CreateArrayVarEx

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> CreateArrayVarEx

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateArrayVarEx (String strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType, long lLBound, long lDimension1,long lDimension2,long Dimension3,long lAdrMode,Boolean bStartAtNewOffset) As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of the array variable as string.

Needs a driver as an object. Example: zDrivers.Item(0)

Channel type as a constant.
List of constants: tpKanaltypes

Needs the datatype of the variable as an object. Example: zVarTypes.Item("INT")

Set the array start index (0 or 1).

Set the number of elements for the first array dimension.

Set the number of elements for the second array dimension.

Set the number of elements for the third array dimension.

Mode for adressing as Long.

0 - Manual adressing 1 - Automatic adressing 2 - Addressing according to data type offset and start offset

bStartAtNewOffset As Boolean

Set or reset the "each datatype start with new offset" item of an array variable.
Hint: If the "automatic addressing" item is reseted then this item will be greyed.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strName As String

lpDriver As LPDISPATCH

kTypes As tpKanaltypes

lpVarType As LPDISPATCH

lLBound As Long

lDimension1 As Long

lDimension2 As Long

Dimension3 As Long

lAdrMode As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateArrayVariable()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim i As Integer

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" array variable called "ArrayVar" from object type "internal variable", datatype "INT", start at index 1,
'dimension of 5 and automatic addressing
Set zVariable = zVariables.CreateArrayVarEx("ArrayVar", zDrivers.Item(0), tpSystemVariable, zVarTypes.Item("INT"), 1, 5, 0, 0, 1, False)

'Activate all array elements
For i = 0 To 4
zVariable.ActivateSubItem (i)
Next i

End Sub


CreateVar

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> CreateVar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateVar (String strName, LPDISPATCH lpDriver, tpKanaltypes kTypes, LPDISPATCH lpVarType) As Variable

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of the new Variable object as string

Needs a driver as an object. Example: zDrivers.Item(0)

Channel type as a constant.
List of constants: tpKanaltypes

Needs the datatype of the variable as an object. Example: zVarTypes.Item("INT")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

strName As String

lpDriver As LPDISPATCH

kTypes As tpKanaltypes

lpVarType As LPDISPATCH

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateVariable()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables
Dim zDrivers As Drivers 'Object from type Drivers
Dim zVarTypes As VarTypes 'Object from type VarTypes

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
Set zDrivers = MyWorkspace.ActiveDocument.Drivers
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a "intern driver" variable called "TestVariable" with object type "internal variable" and datatype "INT"
Set zVariable = zVariables.CreateVar("TestVariable", zDrivers.Item(0), 33, zVarTypes.Item("INT"))

End Sub


DeleteVar

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> DeleteVar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DeleteVar (String Name) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Name of the Variable to be deleted...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Name As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteVariable()

Dim zVariables As Variables 'Object from type Variables

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables

'Deletes a variable called "Test_1"
Debug.Print "Deleted = " & zVariables.DeleteVar("Test_1")

End Sub


DoAutoSave

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> DoAutoSave

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this method you have the opportunity to stop writting changes on properties into the database. This should bring up performance improvements. Hint: Don't forget to make a .DoAutoSave(True) after a .DoAutoSave(False) otherwise data which has been typed in VBA won't be saved. The function doesn't work when the editor loses his focus (for example when the VBA code gets debugged).

Datatype

DoAutoSave(Boolean bSave) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

False = Stop writting into database. True = Start writting into database.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bSave As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DoAutoSave()

Dim zVariables As Variables 'Object from type Variables
Dim zVariable As Variable 'Child object from type Variables

'Fill the objects
Set zVariables = MyWorkspace.ActiveDocument.Variables
'Changes on properties should not be written into the database
zVariables.DoAutoSave (False)
'Read the first variable in list
Set zVariable = zVariables.Item(0)
'Changes on properties
zVariable.DynProperties("Unit") = "Volt"
zVariable.DynProperties("Name") = "Var_1"
'Now changes should be written into the database
zVariables.DoAutoSave (True)

End Sub


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Export (String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Import (String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


ImportDirect

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> ImportDirect

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ImportDirect (String bsFileName, Boolean bIECDTOvw, Boolean bUDTOvw) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

String that defines the *.xml file which should be imported.

Should be set to true when existing standard datatypes should be overwritten by the imported ones.

Should be set to true when existing user defined datatypes should be overwritten by the imported ones.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

bIECDTOvw As Boolean

bUDTOvw As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ImportDirect()

Dim zVariables As Variables 'Object from type variables

'Get the list of variables
Set zVariables = thisProject.Variables
'XML import variables (without any dialog), without changing standard and user defined datatypes
Debug.Print zVariables.ImportDirect("C:\xml_files\export_var.xml", False, False)

End Sub


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object Variable from the collection, which is identified by the parameter vID.The parameter vID can have two values:

Datatype

Item(VARIANT vPv) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

vID As Variant
Index or name.

If the parameter is a numerical value, the variable is searched by its index (>= 0 and <= Count-1).
If it is an alphanumerical value, the variable is searched by its unique name.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vPv As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ItemPvID

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> ItemPvID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the object Variable from the collection, identified with the parameter vID.The parameter vID contains the unique channel Id of the variable.The returned object should be checked on Nothing.

Datatype

ItemPvID(VARIANT vPvID) As Variable

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> Variables -> Variables-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport (VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VarType

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With the object VarType you have the opportunity to edit selected datatypes.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateComplexType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a structure datatype called "Structure_1"
Set zVarType = zVarTypes.CreateComplexType("Structure_1")
Call NewSubItem

End Sub

Sub NewSubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarType_1 As VarType 'Child object from type VarTypes
Dim zDrivers As Drivers 'Object from type Drivers
Dim zComplexItem As ComplexItem 'Child object from type ComplexItem
Dim i As Integer

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Read the own created structure datatype "struct"
Set zVarType = zVarTypes.Item("Structure_1")
'Read the INT datatype as base type for the structure element
Set zVarType_1 = zVarTypes.Item("INT")
'Create 5 structure elements called "Element_" from type INT which should be embedded
For i = 1 To 5
Set zComplexItem = zVarType.NewSubItem("Element_" & i, zVarType_1, False, 1, 0, 0, 0)
Next i

End Sub


VarType-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ID | - | read only | read only | yes | yes
BSTR | Name | - | read only | read only | yes | yes
IVarTypes | Parent | - | read only | read only | yes | yes


ID

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

internal uniqe ID as long

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of the datatype.

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As VarTypes

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarType-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CanDeleteType | - | available | not used | yes | yes
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
IEdLimit | CreateEdLimit | - | available | not used | yes | yes
VARIANT_BOOL | DeleteEdLimit | - | available | not used | yes | yes
VARIANT_BOOL | DeleteSubItem | - | available | not used | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
long | EdLimitCount | - | available | not used | yes | yes
IEdLimit | EdLimitItem | - | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
long | GetDataType | - | available | not used | yes | yes
BOOL | IsAllowed | - | available | available | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
BOOL | IsSimple | - | available | available | yes | yes
IComplexItem | NewSubItem | - | available | not used | yes | yes
IComplexItem | SubItem | - | available | not used | yes | yes
long | SubItemCount | - | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


CanDeleteType

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> CanDeleteType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns true if a selected datatype can be deleted and false if it can't be deleted.

Datatype

CanDeleteType() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CanDeleteType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the INT datatype from the list
Set zVarType = zVarTypes.Item("INT")
'Check if the selected datatype can be deleted
Debug.Print "Can delete type = " & zVarType.CanDeleteType

End Sub


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateEdLimit

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> CreateEdLimit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method creates a limit at a datatype.

Datatype

CreateEdLimit() As EdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateEdLimit()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the INT datatype from the list
Set zVarType = zVarTypes.Item("INT")
'Creates a limit at the INT datatype
zVarType.CreateEdLimit

End Sub


DeleteEdLimit

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> DeleteEdLimit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method deletes a selected limit from a datatype.

Datatype

DeleteEdLimit(VARIANT vIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The limit can be selected via its name (string) or via a number (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteEdLimit()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the INT datatype from the list.Some limits should be projected at the datatype
Set zVarType = zVarTypes.Item("INT")
'Delete "Limit[1]" at the INT datatype
zVarType.DeleteEdLimit ("Limit[1]")

End Sub


DeleteSubItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> DeleteSubItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this method you can delete an item from a structure datatype.

Datatype

DeleteSubItem(VARIANT vNameOrIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The structure item can be selected via a string (name) or via a index number.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteSubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the own created structure datatype "structure" from the list
Set zVarType = zVarTypes.Item("structure")
'Delete an item called "element_1" from the structure datatype
Debug.Print "Sub item has been deleted = " & zVarType.DeleteSubItem("element_1")
End Sub


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


EdLimitCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> EdLimitCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the number of limits from a datatype.

Datatype

EdLimitCount() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CountEdLimits()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the datatype INT from the list.Project some limits at the datatype.
Set zVarType = zVarTypes.Item("INT")
'Count the number of limits from a datatype
Debug.Print "Number of limits at the datatype = " & zVarType.EdLimitCount

End Sub


EdLimitItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> EdLimitItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns an "EdLimit" object from a datatype.

Datatype

EdLimitItem(VARIANT vIndex) As EdLimit

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The limit can be selected via a number (counting starts at 0) or via a string (name of the limit).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub EdLimitItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zEdLimit As EdLimit 'Object from type EdLimit

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the datatype INT from the list.Project some limits at the datatype.
Set zVarType = zVarTypes.Item("INT")
'Create a Limit at the INT datatype
zVarType.CreateEdLimit
'Returns a EdLimit object from the first limit
Set zEdLimit = zVarType.EdLimitItem(0)

'Set the limit active
zEdLimit.Active = True
'Set limit text
zEdLimit.Text = "Limit reached"
'Set limit value to 10
zEdLimit.LimitValue = 10
'Set the limit as maximum
zEdLimit.IsMax = True
'Set the limit as alarm
zEdLimit.Alarm = True
'Limit should be recognized in the CEL
zEdLimit.Cel = True

End Sub


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetDataType

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> GetDataType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the number of the datatype.

Datatype

GetDataType() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDataType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the datatype INT from the list.
Set zVarType = zVarTypes.Item("INT")
'Get the number of the datatype
Debug.Print "Datatype = " & zVarType.GetDataType

End Sub


IsAllowed

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> IsAllowed

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

IsAllowed (LPDISPATCH lpDriver, tpKanaltypes kTypes) As BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

Needs a driver as an object. Example: zDrivers.Item(0)

Channel type as a constant.

List of constants: tpKanaltypes

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lpDriver As LPDISPATCH

kTypes As tpKanaltypes

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub IsAllowed()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zDrivers As Drivers 'Object from type Drivers

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Read the datatype STRING from the list.
Set zVarType = zVarTypes.Item("STRING")
'Check if the datatype is supported by the drivers object type
Debug.Print "Is allowed = " & zVarType.IsAllowed(zDrivers.Item(0), 1)

End Sub


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsSimple

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> IsSimple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns -1 when the datatype is a simple datatype and 0 when it is a complex datatype.

Datatype

IsSimple() As BOOL

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub IsSimple()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zDrivers As Drivers 'Object from type Drivers

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
Set zDrivers = MyWorkspace.ActiveDocument.Drivers

'Read the datatype INT from the list.
Set zVarType = zVarTypes.Item("INT")
'Check if it is a simple or a complex datatype
Debug.Print "Is Simple = " & zVarType.IsSimple

End Sub


NewSubItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> NewSubItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this method you can create new sub items for a structure datatype.

Datatype

NewSubItem(String bstrTypeName, IVarType pBaseType, Boolean bReferenz, long lLBound, long lDim1, long lDim2, long lDim3) As ComplexItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Set false for a embedded datatype and true for a linked one.

A VarType object which defines the basic type of the element.

A string which defines the name of the element.

Set the number of elements for the first array dimension.

Set the number of elements for the second array dimension.

Set the number of elements for the third array dimension.

Set the array start index (0 or 1).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bReferenz As Boolean

pBaseType As VarType

bstrTypeName As String

lDim1 As Long

lDim2 As Long

lDim3 As Long

lLBound As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub NewSubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarType_1 As VarType 'Child object from type VarTypes
Dim zDrivers As Drivers 'Object from type Drivers
Dim zComplexItem As ComplexItem 'Child object from type ComplexItem

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Read the own created structure datatype "struct"
Set zVarType = zVarTypes.Item("struct")
'Read the INT datatype as base type for the structure element
Set zVarType_1 = zVarTypes.Item("INT")
'Create a new structure element called "Element_1" from type INT which should be embedded
Set zComplexItem = zVarType.NewSubItem("Element_1", zVarType_1, False, 0, 0, 0, 0)

End Sub


SubItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> SubItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns a sub item of a structure datatype.

Datatype

SubItem(long lIndex) As ComplexItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A long variable which defines the position of the structure element (counting starts at 0).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

lIndex As Long

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SubItem()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zComplexItem As ComplexItem 'Child object from type ComplexItem

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Read the own created structure datatype "struct"
Set zVarType = zVarTypes.Item("struct")
'Read the first item of this structure datatype
Set zComplexItem = zVarType.SubItem(0)
'Move the first item one position downwards
zComplexItem.MoveItemDown

End Sub


SubItemCount

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> SubItemCount

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns the number of items in a structure datatype.

Datatype

SubItemCount() As long

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarType -> VarType-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


VarTypes

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarTypes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With the object VarTypes you have the opportunity to create, delete and edit datatypes from the list of datatypes.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub CreateComplexType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a structure datatype called "Structure_1"
Set zVarType = zVarTypes.CreateComplexType("Structure_1")
Call CreateSimpleType

End Sub

Sub CreateSimpleType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarTypes_1 As VarTypes
Dim zVarType_1 As VarType

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
Set zVarTypes_1 = MyWorkspace.ActiveDocument.VarTypes

'Read datatype "UINT"
Set zVarType_1 = zVarTypes_1.Item(1)

'Create a simple datatype from type "UINT" called "SimpleType_1"
Set zVarType = zVarTypes.CreateSimpleType("SimpleType_1", zVarType_1)

End Sub


VarTypes-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | - | read only | read only | yes | yes
IProject | Parent | - | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


VarTypes-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CanDeleteType | - | available | available | yes | yes
IVarType | CreateComplexType | - | available | not used | yes | yes
IVarType | CreateSimpleType | - | available | not used | yes | yes
VARIANT_BOOL | DeleteType | - | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | ImportDirect | - |  |  |  |
IVarType | Item | - | available | available | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | available | yes | yes


CanDeleteType

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> CanDeleteType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This method returns true if a selected datatype can be deleted and false if it can't be deleted.

Datatype

CanDeleteType(VARIANT vNameOrIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CanDeleteTypes()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
'Try if this datatype can be deleted
Debug.Print "Can this type be deleted = " & zVarTypes.CanDeleteType("INT")

End Sub


CreateComplexType

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> CreateComplexType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this method a structure datatype can be created.

Datatype

CreateComplexType(String bstrTypeName) As VarType

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the structure datatype.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bstrTypeName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateComplexType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Create a structure datatype called "Structure_1"
Set zVarType = zVarTypes.CreateComplexType("Structure_1")

End Sub


CreateSimpleType

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> CreateSimpleType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this method a simple datatype can be created.

Datatype

CreateSimpleType(String bstrTypeName, IVarType pBaseType) As VarType

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Needs an item from type VarType to set the base type of the own created datatype.

A string which defines the name of the simple datatype.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

pBaseType As VarType

bstrTypeName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateSimpleType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes
Dim zVarTypes_1 As VarTypes
Dim zVarType_1 As VarType

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes
Set zVarTypes_1 = MyWorkspace.ActiveDocument.VarTypes

'Read datatype "UINT"
Set zVarType_1 = zVarTypes_1.Item(1)

'Create a simple datatype from type "UINT" called "SimpleType_1"
Set zVarType = zVarTypes.CreateSimpleType("SimpleType_1", zVarType_1)

End Sub


DeleteType

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> DeleteType

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this method an own created datatype can be deleted.

Datatype

DeleteType(VARIANT vNameOrIndex) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The datatype can be selected via position (number) or via its name (string).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrIndex As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteType()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Delete an own created datatype called "own_simple"
zVarTypes.DeleteType ("own_simple")

End Sub


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Export (String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Import (String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


ImportDirect

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> ImportDirect

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

ImportDirect (String bsFileName, Boolean bIECDTOvw, Boolean bUDTOvw) As Boolean

Availability

Environment | Available
Editor |
Runtime |
VBA |
VSTA |

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this method you can access datatypes out of the list.

Datatype

Item(VARIANT vNameOrID) As VarType

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

The datatype can be selected via its name (string) or via an ID (number).

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vNameOrID As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub Item()

Dim zVarTypes As VarTypes 'Object from type VarTypes
Dim zVarType As VarType 'Child object from type VarTypes

'Fill the objects
Set zVarTypes = MyWorkspace.ActiveDocument.VarTypes

'Read all settings from the "INT" datatype
Set zVarType = zVarTypes.Item("INT")

Debug.Print "Name of item = " & zVarType.Name

End Sub


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> VarTypes -> VarTypes-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport (VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ZenMenu

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With an object of this type a context or main menu item can be edited, deleted, created,...

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'This sample creates a main menu with 5 items and sets the backcolor of the menu.
Sub ZenMenu()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim i As Integer 'Loop variable

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Create a main menu
Set zMenu = zMenus.Create("Main_1")
'Is true for main menu and false for context menu
zMenu.IsPulldown = True

'Create 5 main menu items
For i = 0 To 4
Set zMenuItem = zMenu.Create("ID_" & i, False)
'Set the text of the main menu item
zMenuItem.Caption = "Item_" & i
Next i

'Set Background color of the main menu
zMenu.BackColor = 12345678

'Check how many items are available in this main menu
Debug.Print "Count = " & zMenu.Count

End Sub


ZenMenu-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
OLE_COLOR | BackColor | BackColor | available | available | yes | yes
long | Count | Count of defined menu-items | read only | read only | yes | yes
long | ID | Returns the unique ID for the menu | read only | read only | yes | yes
VARIANT_BOOL | IsPulldown | Is the menu a pulldown menu (true) or a popup menu (false) | available | read only | yes | yes
BSTR | Name | Name of the menu | available | read only | yes | yes
BSTR | Notes | Notes to the menu | available | available | yes | yes
IZenMenus | Parent | Parent-object | read only | read only | yes | yes
OLE_COLOR | TextColor | TextColor | available | read only | yes | yes


BackColor

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> BackColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this property you can set the back color of the menu.

Datatype

BackColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unique ID for the menu item.

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


IsPulldown

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> IsPulldown

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true for a main menu and false for a context menu. It can also be used to change a main menu to a context menu and vice versa.

Datatype

IsPulldown() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of the context or main menu.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Notes

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> Notes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a string with some notes. This property is not visible in zenOn.

Datatype

Notes() As String

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ZenMenus

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


TextColor

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Properties -> TextColor

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this property you can set the text color of a menu.

Datatype

TextColor() As OLE_COLOR

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZenMenu-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IZenMenuItem | Create | Creates a new menu-item | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the given menu-item | available | not used | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IZenMenuItem | Item | Returns a menu-item by position or name | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this function new context and main menu items can be created.

Datatype

Create(String bsName,Boolean bPulldown) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the menu item.

Example: "Test"

This parameter can be set true or false without any effect.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bPulldown As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateMenuItem()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a context or main menu
Set zMenu = zMenus.Item(0)

'Create an item with the name "Test" in the selected menu
Set zMenuItem = zMenu.Create("Test", True)

End Sub


Delete

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With this function a menu item can be deleted.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the menu item.

Example: "ID_FIRST"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteMenuItem()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim deleted As Boolean

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a context or main menu
Set zMenu = zMenus.Item(1)

'Delete a main menu item and return true or false for deleted or not deleted
deleted = zMenu.Delete("ID_FIRST")
Debug.Print "Deleted = " & deleted

End Sub


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns a menu item by position or name of item.

Datatype

Item(VARIANT vPosition) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

This parameter can either be a numerical value or a string.
Example: 0,1,2,... or "ID_FIRST", "ID_SECOND",...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vPosition As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ItemMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a main menu
Set zMenu = zMenus.Item(1)

'Select the first item of the main menu
Set zMenuItem = zMenu.Item(0)
Debug.Print "Name of menu item = " & zMenuItem.Name

End Sub


ZenMenu-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

Menu


Menu

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenu -> ZenMenu-Dynproperties -> Menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
ZT_COLOR | TextColor | Texte (couleur) | Couleur du texte pour le menu sélectionné. Plus de détails dans l'aide en ligne
ZT_COLOR | BackColor | Arrière-plan (couleur) | Couleur d'arrière plan pour le menu sélectionné. Plus de détails dans l'aide en ligne
ZT_SCHRIFT | Font | Police | Type de police des menus. Valide pour toutes les entrées de menu. Plus de détails dans l'aide en ligne
VT_BSTR | Name | Nom | Nom unique du menu. Par défaut : Nouveau menu principal x ou nouveau menu contextuel x (où x est un nombre consécutif). Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue. Plus de détails dans l'aide en ligne
VT_BOOL | Pulldown | - | Cette propriété obtient l'identifiant de la première archive. Elle est uniquement disponible lorsqu'une archive suivante est disponible.
VT_BSTR | Notes | - | Cette propriété obtient/définit la balise Unicode lorsque le format d'enregistrement ASCII est utilisé pour les archives.


ZenMenuItem

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

With an object of this type items of a context menu and main menu submenus can be edited, deleted, created,...

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

'This sample creates a context and a main menu with one item each.
'The main menu item can execute a set value function.
'The context menu item can execute a vba makro.
'Preparation: A variable and a makro have to be available
Sub ZenMenuItem()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Create a main menu
Set zMenu = zMenus.Create("Main_1")
zMenu.IsPulldown = True
'Create a main menu item
Set zMenuItem = zMenu.Create("ID_1", True)
'Set text of menu item
zMenuItem.Caption = "First"

'Create a context menu
Set zMenu = zMenus.Create("Context_1")
zMenu.IsPulldown = False
'Create a context menu item
Set zMenuItem = zMenu.Create("id_1", True)
'Set text of menu item
zMenuItem.Caption = "first"

'Projects the set value action at the main menu item
Call setValue(zMenus)
'Projects the makro action at the context menu item
Call setMakro(zMenus)

End Sub

Sub setValue(Menus As ZenMenus)

Dim zVar As Variable 'Variable for the set value function
Dim Menu As ZenMenu 'Child object of ZenMenus
Dim MenuItem As ZenMenuItem 'Child object of ZenMenu

'Select the main menu
Set Menu = Menus.Item(0)
'Select the first main menu item
Set MenuItem = Menu.Item(0)

'Object of variable "test" is assigned
Set zVar = MyWorkspace.ActiveDocument.Variables.Item("test")
'Deactivate the submenus
MenuItem.Popup = False
'Select set value as the action type of the menu item
MenuItem.Type = tpVariable
'The variable of the set value function is assigned via Ids
MenuItem.ActionID = zVar.PvID
'Set the "change by" value to 5
MenuItem.setValue = 5

End Sub

Sub setMakro(Menus As ZenMenus)

Dim zVar As Variable 'Variable for the set value function
Dim Menu As ZenMenu
Dim MenuItem As ZenMenuItem

'Select the context menu
Set Menu = Menus.Item(1)
'Select the first context menu item
Set MenuItem = Menu.Item(0)
'Deactivate the submenus
MenuItem.Popup = False
'Select set value as the action type of the menu item
MenuItem.Type = tpVbaMacro
'Set the Macro via the dynProperties
MenuItem.DynProperties("VBA-Macro") = "Init_Default"

End Sub


ZenMenuItem-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | ActionID | ID of the variable/rt-function/macro/help-ID | available | read only | yes | yes
BSTR | Caption | Caption of the menu-item | available | read only | yes | yes
VARIANT_BOOL | Checked | Menu-item has checkbox | available | read only | yes | yes
long | Count | Count of defined menu-items | read only | read only | yes | yes
VARIANT_BOOL | Enabled | Enables/Disables the menu-item | available | read only | yes | yes
BSTR | Guid | Project-GUID by variables of a other project | not used | not used | yes | yes
BSTR | HelpFile | Helpfile for execution (Type = tpZenHelp) | available | read only | yes | yes
BSTR | HelpTopic | Help-ID for execution (Type = tpZenHelp) | available | read only | yes | yes
long | ID | Returns the unique ID for the menu-item | read only | read only | yes | yes
long | MenuID | Returns the unique ID for the zenOn-menu | read only | read only | yes | yes
BSTR | Name | Unique Name of the menu-item | available | read only | yes | yes
IZenMenuItem | Parent | Parent-object | read only | read only | yes | yes
long | ParentID | Returns the unique ID for the parent menu-item | read only | read only | yes | yes
short | Password | Password-level for execution | available | read only | yes | yes
BSTR | Picture | Bitmap-file of the menu-item | available | read only | yes | yes
VARIANT_BOOL | Popup | Menu-item contains sub-items | available | read only | yes | yes
VARIANT_BOOL | Seperator | Menu-item is a seperator (no execution) | available | read only | yes | yes
double | SetValue | Defined SetValue (Type = tpVariable) | available | read only | yes | yes
VARIANT_BOOL | ShowSetValueDlg | Show set-value dialog (Type = tpVariable) | available | read only | yes | yes
BSTR | Tooltip | Tooltip-Text for the menu-item | not used | not used | yes | yes
tpZenMenus | Type | Type of the menu-item (Variable/RtFunction/Help/Macro) | available | read only | yes | yes
VARIANT_BOOL | UseCurValue | Use current set-value of the variable (Type = tpVariable) | available | read only | yes | yes
VARIANT_BOOL | VarFromElement | Use Variable from the linked element (Type = tpVariable) | available | read only | yes | yes
VARIANT_BOOL | Visible | Shows/hides the menu-item | available | read only | yes | yes


ActionID

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> ActionID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the ID of the chosen action. Depending on the chosen action type the ID of the variable, of the function or of the help chapter (if a string is used it is set to -1) is returned. Assign variable: zMenuItem.ActionID = zVar.PvIDAssign function: zMenuItem.ActionID = zFunc.ID

Datatype

ActionID() As long

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Caption

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Caption

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the text of a menu item.

Datatype

Caption() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Checked

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Checked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns if the "check mark" item is set or not.

Datatype

Checked() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Enabled

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Enabled

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns if the menu item is set active or not in the runtime.

Datatype

Enabled() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Guid

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Guid

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Not in use.

Datatype

Guid() As String

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


HelpFile

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> HelpFile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

A helpfile can be set via a case sensitive string (directory + file).Hint: To set this property the action typ of the menu item should be set to help.

Datatype

HelpFile() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


HelpTopic

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> HelpTopic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns or sets the selected chapter for the helpfile. The given parameter is case sensitive!

Datatype

HelpTopic() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ID

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> ID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unique ID for the submenu item.

Datatype

ID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


MenuID

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> MenuID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unique ID for the menu.

Datatype

MenuID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of a menu item.

Datatype

Name() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As ZenMenuItem

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ParentID

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> ParentID

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the unique ID for the parent menu item.

Datatype

ParentID() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Password

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Password

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the password level of the menu item.Hint: This value can only be set when an action typ is active.

Datatype

Password() As short

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Picture

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Picture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

A bitmap can be set via a string (directory + file).Hint: A bitmap can only be set at a context menu.

Datatype

Picture() As String

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Popup

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Popup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Submenus for a menu item can be set active or inactive.

Datatype

Popup() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Seperator

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Seperator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns if the "seperator" item is set or not.

Datatype

Seperator() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


SetValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> SetValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the "change by" value of a change value action. Hint: The action type set value has to be activated.

Datatype

SetValue() As double

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ShowSetValueDlg

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> ShowSetValueDlg

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the state of the set value "dialog" item.

Datatype

ShowSetValueDlg() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Tooltip

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Tooltip

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Not in use.

Datatype

Tooltip() As String

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes


Type

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Type

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns action type of menu item. Following numbers are allocated to the parameters: tpRtFunction = 1; tpVariable = 2; tpVbaMacro = 3; tpZenHelp = 6.

Datatype

Type() As tpZenMenus

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


UseCurValue

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> UseCurValue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the state of the set value "Propose current value" item.Hint: The action type set value has to be activated.

Datatype

UseCurValue() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


VarFromElement

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> VarFromElement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the state of the set value "Variable from element" item.Hint: The action type set value has to be activated. This option is only available at context menus.

Datatype

VarFromElement() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


Visible

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Properties -> Visible

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the state of the "visible" item of a menu.

Datatype

Visible() As Boolean

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes


ZenMenuItem-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IZenMenuItem | Create | Creates a new menu-item | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the given menu-item | available | not used | yes | yes
void | DynProperties [PUT] |  | available | available | yes | yes
VARIANT | DynProperties [GET] |  | available | available | yes | yes
VARIANT | DynPropertiesEnum [GET] |  | read only | read only | yes | yes
IZenMenuItem | Item | Returns a menu-item by position or name | available | available | yes | yes
IPropParam | DynPropertyParam [GET] | Returns the PropParam objekt of the given DynProperty | read only | not used | yes | yes


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This function creates a new submenu item.

Datatype

Create(String bsName,Boolean bPulldown) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the submenu item.

Example: "Sub_1"

This parameter can be set true or false without any effect.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

bPulldown As Boolean

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateSubmenu()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim zMenuItem_1 As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a context or main menu
Set zMenu = zMenus.Item(0)
'Select the first menu item in the main menu
Set zMenuItem = zMenu.Item(0)
'Create a new submenu
Set zMenuItem_1 = zMenuItem.Create("Test", False)

End Sub


Delete

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The function deletes a submenu.

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the submenu item.

Example: "Sub_1"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteSubMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim deleted As Boolean

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a menu
Set zMenu = zMenus.Item(1)
'Select the first menu item in the main menu
Set zMenuItem = zMenu.Item(0)
'Deletes a submenu
deleted = zMenuItem.Delete("ID_1")
Debug.Print "Deleted = " & deleted

End Sub


DynProperties [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods -> DynProperties [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties(String bsPath) As VARIANT

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub GetDynProp()
'Sample: GSet the Network Aktive Flag of the Project.
If MyWorkspace.ActiveDocument.DynProperties("NetActive") = True Then
'read the server - computername...
Debug.Print "Server: " & MyWorkspace.ActiveDocument.DynProperties("NetServer")
End If
End Sub


DynProperties [PUT]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods -> DynProperties [PUT]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynProperties (String bsPath,VARIANT vValue) As void

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

A String which defines the Property.

Example: "NetAktive"

Returns a variant value depending to the property, it can be a boolean, a long, or a whole object.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

vValue As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub SetDynProp()
End Sub


DynPropertiesEnum [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods -> DynPropertiesEnum [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertiesEnum(String bsPath) As VARIANT

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes

Parameters

A String which defines the entry point to get out all available properties of the object.

A blank String like that returns the first layer of properties:

DynPropertiesEnum("")

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsPath As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ReadDynProps()
End Sub


DynPropertyParam [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods -> DynPropertyParam [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

DynPropertyParam [GET](BSTR bsPath) As PropParam

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This function returns a submenu object via position or name.

Datatype

Item(VARIANT vPosition) As ZenMenuItem

Availability

Environment | Available
Editor | available
Runtime | available
VBA | yes
VSTA | yes

Parameters

This parameter can either be a numerical value or a string.
Example: 0,1,2,... or "ID_FIRST", "ID_SECOND",...

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

vPosition As Variant

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub ItemMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object of ZenMenus
Dim zMenuItem As ZenMenuItem 'Child object of ZenMenu
Dim zMenuItem_1 As ZenMenuItem 'Child object of ZenMenu

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Select a menu
Set zMenu = zMenus.Item(1)
'Select the first menu item in the main menu
Set zMenuItem = zMenu.Item(0)
'Select the first submenu
Set zMenuItem_1 = zMenuItem.Item(0)
Debug.Print "Name = " & zMenuItem_1.Name

End Sub


ZenMenuItem-Dynproperties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dynproperties

C++ Class CZenMenuItem-DynpropertiesBase


C++ Class CZenMenuItem-DynpropertiesBase

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> C++ Class CZenMenuItem-DynpropertiesBase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BOOL

ActValue

Proposer valeur actuelle

Disponible uniquement pour le type d'action Écrire valeur prescrite :
Actif : la valeur actuelle de la variable est proposée en tant que valeur prescrite.
Inactif : la valeur prescrite est directement fournie dans les propriétés de l'entrée de menu.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

BackgroundPicRepres

Alignement

Taille du fichier graphique d'arrière-plan de l'élément de menu.
Taille d'origine : le fichier graphique est affiché dans sa taille d'origine. L'élément de menu est ajusté à la taille du fichier graphique.
Étiré : Le fichier graphique est étiré à la taille de l'élément de menu.
Par défaut : taille d'origine.

Exemple : les menus doivent être utilisés dans un projet avec écran tactile. Les paramètres du système d'exploitation sont utilisés pour définir la taille par défaut des différents éléments de menus. Avec un fichier graphique dans sa taille d'origine, toutefois, vous pouvez définir la taille de chaque élément de menu individuellement.

Plus de détails dans l'aide en ligne

ZT_FILE

BackgroundPicture

Fichier graphique

Fichier graphique d'arrière-plan pour l'élément de menu.

Plus de détails dans l'aide en ligne

VT_BSTR

Caption

Texte

Intitulé de l'entrée de menu dans le menu. Le nom de l'entrée doit être unique. S'il existe plusieurs entrées comportant le même texte, seule la première entrée de menu est affichée dans le Runtime.

Plus de détails dans l'aide en ligne

VT_BOOL

Checked

Coche

Une coche est affichée à gauche de l'élément de menu. Il s'agit d'un élément graphique uniquement.

Par défaut : inactive.

Plus de détails dans l'aide en ligne

VT_BOOL

Enabled

Actif

Actif : L'entrée de menu est normalement affichée et l'action liée à celle-ci est exécutée lorsque cette entrée est sélectionnée.
Inactif : L'entrée est normalement grisée et l'associée à celle-ci n'est pas exécutée.

Plus de détails dans l'aide en ligne

VT_BOOL

FromElem

Variable de l'élément

Disponible seulement pour les types d'action Écrire valeur prescrite et Menu contextuel :
Actif : La variable d'écriture de la valeur prescrite provient de l'élément dynamique.
Inactif : La variable définie pour la valeur prescrite est fournie dans les propriétés de l'entrée de menu.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

ZT_FUNCTION

Function

Fonction

Disponible uniquement pour le type d'action Fonction :
Fonction exécutée via l'entrée de menu sélectionnée.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

Plus de détails dans l'aide en ligne

VT_BSTR

HelpCapture

Chapitre

Disponible uniquement pour le type d'action Aide :
Chapitre d'aide devant être affiché.

Attention : cette entrée tient compte des minuscules et majuscules.
Les pages d'aide des éléments liés sont normalement affichées. Si un élément lié ne comporte pas de page d'aide, la page spécifiée ici est affichée.

Plus de détails dans l'aide en ligne

ZT_FILE

HelpFile

Fichier

Disponible uniquement pour le type d'action Aide :
Fichier d'aide à partir duquel un chapitre doit être affiché.
Les pages d'aide des éléments liés sont normalement affichées. Si un élément lié ne comporte pas de page d'aide, la page spécifiée ici est affichée.

Plus de détails dans l'aide en ligne

VT_UI4

Locking

Verrouillage

Sélection d'un verrouillage pour l'entrée de menu.

Plus de détails dans l'aide en ligne

VT_BSTR

Name

ID du menu

Nom de l'entrée du menu.

Lors de l'Type action entrée de la commande, vous pouvez saisir les actions déjà définies dans une liste déroulante.

Plus de détails dans l'aide en ligne

VT_I2

Password

Groupe d'autorisation

Niveau de mot de passe pour l'exécution de cette entrée de menu.

Plus de détails dans l'aide en ligne

ZT_FILE

Picture

Fichier graphique

Fichier graphique affiché à gauche.

Plus de détails dans l'aide en ligne

VT_BOOL

Popup-Menu

Sous-menu

L'élément de menu n'exécute aucune fonction, mais ouvre un sous-menu.

Par défaut : inactive.

Plus de détails dans l'aide en ligne

ZT_COLOR

SeparatorColor

Couleur

Détermine la couleur de remplissage du séparateur. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Par défaut : noir.

Plus de détails dans l'aide en ligne

VT_UI1

SeparatorWidth

Largeur

Définit la largeur du séparateur, en pixels.

Par défaut : 0

Plus de détails dans l'aide en ligne

VT_BOOL

Seperator

Séparateur actif

Actif : Un séparateur horizontal est ajouté à la place d'une entrée de menu. Vous pouvez définir ici la largeur et la couleur de la grille.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

VT_BOOL

Signature

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

SignatureText

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

VT_R8

Sollwert

Valeur prescrite

Disponible uniquement pour le type d'action Écrire valeur prescrite :
valeur numérique devant être écrite en tant que valeur prescrite dans la variable. Seules les valeurs numériques sont attendues et acceptées. Les valeurs sont reprises avec 6 décimales maximum.
Si la propriété Proposer valeur actuelle est activée, la valeur actuelle de la variable est augmentée (valeur positive) ou diminuée (valeur négative) du nombre correspondant.

Plus de détails dans l'aide en ligne

VT_BOOL

SWDialog

Dialogue

Disponible uniquement pour le type d'action Écrire valeur prescrite :
Actif : Lors de l'exécution de l'action, une boîte de dialogue est ouverte avant la définition de la valeur prescrite, permettant à l'utilisateur de modifier la valeur prescrite avant l'écriture.
Si des claviers de synoptique (par tels que SETVALUEKBD, SETSTRINGKBD ou SETBOOLKBD) sont présents, ils sont automatiquement affichés à la place de la boîte de dialogue.
Inactif : La valeur définie dans les propriétés de l'entrée de menu est directement transmise à l'équipement.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_I2

Type

Type action

Les types d'action suivants sont disponibles dans les menus principal et contextuel :

Fonction : une fonction est exécutée.
Aide : une entrée de l'aide est affichée.
Aucune action : aucune action n'est exécutée.
Spécifier valeur prescrite : une valeur prescrite est écrite dans une variable.

Les types d'action suivants peuvent uniquement être exécutés dans le menu contextuel :

Alarmes : Acquitter : acquitte toutes les alarmes correspondant aux variables liées à l'élément dynamique auquel a trait le menu contextuel.
Acquitter clignotement : Arrête le clignotement des éléments liés aux variables liées à l'élément dynamique sur lequel le menu contextuel a été activé. Les alarmes ne sont pas acquittées par cette action.
Envoi de commande : exécute une commande saisie.
Macro VBA : une macro VBA est exécutée.

Plus de détails dans l'aide en ligne

ZT_VARIABLE

Variable

Variable

Disponible uniquement pour le type d'action Écrire valeur prescrite :
Variable dans laquelle une valeur prescrite doit être écrite via l'option de menu sélectionnée.

Plus de détails dans l'aide en ligne

ZT_VBAMAKRO

VBA-Macro

Macro VBA

Disponible uniquement pour le type d'action Macro VBA :
Macro VBA à exécuter via l'entrée de menu sélectionnée.

Plus de détails dans l'aide en ligne

VT_BOOL

Visible

Visible

Définit si l'élément de menu est affiché dans le Runtime.

Par défaut : active

Plus de détails dans l'aide en ligne


CVerBed-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CVerBed-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_BSTR

Formula

Lien logique

Ouvre la boîte de dialogue de définition de la formule de la condition.
Dans un réseau, les conditions de verrouillage sont toujours calculées localement. En cas d'utilisation de variables locales (par ex. issues du driver du système ou de variables internes), les conditions sur un client peuvent être différentes de celles sur un serveur.

Plus de détails dans l'aide en ligne

VT_BOOL

Delocking

Déverrouillable

Disponible uniquement dans SICAM 230 ou si le module Energy Edition comporte une licence :
Actif : Le verrouillage peut être déverrouillé manuellement via le synoptique Envoi de commande.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

VT_BSTR

Text

Texte de verrouillage

Description du verrouillage.
Dans le Runtime, ce texte peut être affiché sur le synoptique Envoi de commande (si vous possédez une licence pour le module Energy Edition) ; vous pouvez également y accéder à l'aide d'une macro VBA.

Plus de détails dans l'aide en ligne

VT_BSTR

Name

Nom

Portion libre du nom d'un verrouillage.

Lors de la saisie d'un nom, le nom complet est défini comme suit : Nom: Lien logique, par exemple : Nom : X03 non acquitté AND X02.

Si aucun nom n'est saisi, le nom complet est généré automatiquement comme suit : Condition <indice> : Lien logique, par exemple : Condition 01 : X03 non acquitté AND X02.

Par défaut : Condition <indice> :

Plus de détails dans l'aide en ligne.


CBereichItem-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CBereichItem-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | AlarmVar | Nbre alarmes actives | Variable contenant, sous forme de valeur, le nombre d'alarmes actives pour la classe d'alarmes/d'événements sélectionnée dans ce domaine d'alarmes. Ouvre la boîte de dialogue de sélection de variables. Plus de détails dans l'aide en ligne
VT_BSTR | ClassName | - |
ZT_VARIABLE | QuitVar | Nombre alarmes non-acquittées | Variable contenant, sous forme de valeur, le nombre d'alarmes actives pour la classe d'alarmes/d'événements sélectionnée dans ce domaine d'alarmes. Ouvre la boîte de dialogue de sélection de variables. Plus de détails dans l'aide en ligne
ZT_VARIABLE | StatusVar | Variable d'état | Le premier bit de cette variable de type SINT (octet) montre s'il y a des alarmes actives dans ce domaine d'alarme. Le deuxième bit de cette variable indique si ce domaine d'alarme comporte des alarmes non acquittées. Plus de détails dans l'aide en ligne


CColConfEntry-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CColConfEntry-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | Alignment | - |
VT_BSTR | Filter | - |
VT_BSTR | Name | - |
VT_I4 | Selected | - |
VT_I4 | Sorted | - |
VT_BOOL | Ascending | - |
VT_BSTR | Title | - |
VT_I4 | Width | - |
VT_I2 | FixedFilter | - |


CD_CZeitFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CD_CZeitFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_DATETIME | ARVTime1 | - | Propriétés de l'image d'arrière-plan de l'entrée de menu.
ZT_DATETIME | ARVTime2 | - | Propriétés de consignation dans la liste chronologique d'événements (CEL).
VT_UI2 | Options | - | Macro VBA devant être exécutée lorsque le curseur est placé sur l'élément pendant que le bouton gauche est enfoncé.
VT_UI2 | BoxType | - | Contient des informations, par ex. si la fonction var est utilisée pour déterminer une somme (comme dans la réduction de données)
VT_UI2 | TimeFormat | - | Propriétés du cadre du modèle.
VT_UI2 | AddLen | - | Propriétés de l'image d'arrière-plan du modèle.
VT_UI4 | Length | - | Disponible uniquement dans SAT230
VT_UI4 | Offset | - | Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser un objet.
VT_BSTR | ResString | - | Propriétés de clignotement de l'élément.
CD_CChargenFilter | ChargeFilter | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BOOL | ModifyTimePeriod | - | Description sous forme de texte.


CD_CAmlCelListInfo-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CD_CAmlCelListInfo-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | VarCount | - | Obtient ou définit le chemin du fichier de base de données devant être lu.
VT_I2 | TagCount | - | Ajoute le texte de valeur limite provenant de la variable spécifiée (propriété dynamique Var) au texte de valeur constante, si la propriété est définie sur TRUE.Conseil : Uniquement disponible si la propriété dynamique IsDynLimits est définie sur FALSE et la propriété dynamique IsUseVariable est définie sur TRUE.
VT_I2 | AlarmCount | - | Propriétés de remplacement des variables liées et/ou des fonctions.
VT_I2 | StatCount | - | Disponible uniquement si la plage de temps est active :Heure la plus récente pour les entrées affichées.
VT_I2 | ValCount | - | Nombre de graduations principales sur l'axe avec indication de valeur.
VT_I2 | UserCount | - | Nombre de graduations entre deux graduations principales (propriété dynamique MainDiv).
VT_I2 | CompCount | - | Utilise la division logarithmique de l'axe X, si la propriété est définie sur TRUE. Dans le cas contraire (FALSE), la division linéaire de l'axe Y est utilisée.
VT_I2 | RTextCount | - | Position de l'axe X dans le diagramme (0= en bas, 100=en haut).
VT_I2 | ProjectCount | - | Représentation de lignes d'aide sur les graduations principales, si la propriété est définie sur TRUE.
VT_I2 | ClassCount | - | Spécifie la limite minimale de la valeur.Conseil : Uniquement disponible si la propriété dynamique IsVarLimit est définie sur FALSE.
VT_I2 | GroupCount | - | Active (TRUE) : Après l'appel à la fonction, la valeur est directement envoyée au matériel sans demande de confirmation.Inactive (FALSE) : Avant d'envoyer la valeur au matériel, la boîte de dialogue de valeur prescrite est ouverte et l'utilisateur peut modifier le paramétrage dans le Runtime.
VT_BSTR | Entry | - | Le fichier vidéo est lu en boucle, si la propriété est définie sur TRUE.
VT_BSTR | Name | - |
VT_BSTR | TagNr | - | Largeur de colonne pour la valeur de variable.
VT_BSTR | Text | - | Largeur de colonne pour l'état dans la légende.Conseil : Activation/désactivation de l'état avec la propriété dynamique IsStatusAct.
VT_BSTR | Comes | - | Largeur de colonne pour la valeur moyenne de variable de la période affichée dans la légende.Conseil : Activation/désactivation de la valeur moyenne avec la propriété dynamique IsMWAct.
VT_BSTR | Goes | - | Activation (TRUE) / désactivation (FALSE) de la propriété dynamique StateWidth.
VT_BSTR | Acknowledged | - | Spécifie le taux de diminution maximal.
VT_BSTR | Stop | - | Si cette propriété est définie sur TRUE, la boîte de dialogue de configuration sera affichée dans le Runtime avant l'ouverture du synoptique durant le fonctionnement en ligne.
VT_BSTR | Status | - | Spécifie si les années des informations d'horodatage doivent être affichées à proximité de l'axe de temps.
VT_BSTR | Value | - | Spécifie si les mois des informations d'horodatage doivent être affichés à proximité de l'axe de temps.
VT_BSTR | Computer | - | Cette propriété vous permet de déterminer si la propriété "Résolution maximum du signal" doit ou non être liée au type de données.FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.
VT_BSTR | ReaktTime | - | Nombre maximal d'alarmes pouvant être écrites dans la mémoire tampon.Minimum : 0.Maximum : 4294967295.Par défaut : 10000.
VT_BSTR | ReaktCount | - | Cette propriété vous permet de déterminer si la propriété "Non linear value adjustment with macros" (Ajustement non linéaire avec macros) doit ou non être liée au type de données.FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.
VT_BSTR | ReaktStat | - | Nom unique de la recette.Par défaut : Recette_x (où x est un numéro consécutif).
VT_BSTR | AktText | - | Affiche la boîte de dialogue dans le Runtime, si la propriété est définie sur TRUE.
VT_BSTR | Project | - | Propriétés de la fenêtre d'aperçu.
VT_BSTR | Class | - | Couleur du cadre dans le synoptique qui indique la zone sélectionnée.
VT_BSTR | Group | - | Paramètres de centrage et de zoom
VT_BOOL | IsDate | - | Largeur du cadre dans le synoptique qui indique la zone sélectionnée.
VT_BOOL | IsTime | - | Spécifie le délai de mise à jour cyclique de l'aperçu, en secondes. Si la propriété est définie sur 0, la mise à jour cyclique est désactivée.
VT_BOOL | IsMilliseconds | - | Si la propriété est définie sur 1, le filtrage est effectué sur la base de valeurs définies (propriétés dynamiques MinValue, MaxValue et StrMask). Dans le cas contraire (0), les valeurs sont ignorées.
VT_BOOL | IsDynLimitFile | - | Paramètres du module Gestion de messages
VT_I2 | UserNameCount | - |
VT_I2 | ClassNrCount | - |
VT_I2 | GroupNrCount | - |
VT_BSTR | User | - |
VT_BSTR | UserName | - |
VT_BSTR | ClassNr | - |
VT_BSTR | GroupNr | - |
VT_BSTR | Area | - |
VT_I2 | AreaAnz | - |
VT_BSTR | AreaNr | - |
VT_I2 | AreaNrAnz | - |
VT_BSTR | ClassSymbol | - |
VT_I2 | ClassSymbolAnz | - |
VT_I2 | ClassSymbolStyle | - |
ZT_COLOR | Color1 | - |
ZT_COLOR | Color2 | - |
VT_I2 | ComesAnz | - |
VT_BSTR | EntryAll | - |
VT_I2 | GoesAnz | - |
VT_BSTR | GroupsSymbol | - |
VT_I2 | GroupSymbolAnz | - |
VT_I2 | GroupSymbolStyle | - |
VT_I2 | QuitAnz | - |
VT_I2 | ReactionCountAnz | - |
VT_I2 | ReactionStatAnz | - |
VT_I2 | ReactionTimeAnz | - |
VT_BSTR | ResourceLabel | - |
VT_I2 | ResourceLabelAnz | - |
VT_BOOL | ShowGrid | - |
VT_BSTR | StatusCaption | - |
VT_I2 | StatusCaptionNr | - |
VT_I2 | StatusStyle | - |
VT_I2 | TimeLastingAnz | - |
VT_BSTR | Unit | - |
VT_I2 | UnitAnz | - |
VT_BOOL | UseOptionalColors | - |
VT_BOOL | SortDescending | - |


CTextFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CTextFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsFilterActive | - | Définit les paramètres d'impression.
VT_BOOL | IsMatchCase | - | Actif : Les alarmes de cette variable sont disponibles pour évaluation dans le module Industrial Performance Analyzer (IPA).Inactif : les alarmes de cette variable sont ignorées lors de l'évaluation dans le module Industrial Performance Analyzer (IPA).(Par défaut) Inactif :ATTENTION : Le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.
VT_BOOL | IsSubFind | - | Obtient ou définit l'objet Variable devant être lié (ou déjà lié) à la fonction.
VT_UI2 | Condition | - | Cette propriété obtient/définit les paramètres Option d'une archive par l'intermédiaire d'une valeur codée sous forme de bits.
VT_BSTR | Expression | - | Cette propriété obtient/définit le délai d'offset (en secondes) lorsque l'analyse cyclique est utilisée.


CSystemModelFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CSystemModelFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_AKZ | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CRelPicItem-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CRelPicItem-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_PICTURE | RelatedPicture | Synoptique pour filtre horaire |


CStatusFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CStatusFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI8 | Status | - |
VT_UI8 | StatusMask | - |


CAsmDBConnection-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CAsmDBConnection-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | DNS | - |
VT_BSTR | Table | - |


CAsmFilterCriteria-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CAsmFilterCriteria-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsAKZActive | - |
VT_BSTR | AKZSelNameList | - |
VT_BSTR | AKZSelName | - |
VT_BOOL | IsCauseFilterActive | - |
VT_BSTR | CauseList | - |
VT_BOOL | IsCLSActive | - |
VT_BSTR | CLSSelList | - |
VT_BOOL | IsDateActive | - |
ZT_DATETIME64 | EndDate | - |
VT_I2 | DateSelection | - |
ZT_DATETIME64 | StartDate | - |
VT_BOOL | IsDateWithTime | - |
VT_BOOL | IsDurationActive | - |
VT_R8 | DurationMax | - |
VT_R8 | DurationMin | - |
VT_BOOL | IsEmptyCauseActive | - |
VT_BOOL | IsFrequencyActive | - |
VT_I4 | FrequencyMax | - |
VT_I4 | FrequencyMin | - |
VT_BOOL | IsGRPActive | - |
VT_BSTR | GRPSelList | - |
VT_BOOL | IsProjectActive | - |
VT_BSTR | ProjectList | - |
VT_BOOL | IsSHFComeActive | - |
VT_BSTR | SHFComeSelList | - |
VT_BOOL | IsSHFGoneActive | - |
VT_BSTR | SHFGoneSelList | - |
VT_I4 | State | - |
VT_BOOL | IsStateActive | - |
VT_I4 | StatCount | - |
VT_BSTR | FilterText | - |
VT_BOOL | IsTextActive | - |
VT_BOOL | IsTextCase | - |
VT_BSTR | FilterTextTag | - |
VT_BOOL | IsTextTagActive | - |
VT_BOOL | IsTextTagCase | - |
VT_BOOL | IsTextTagUseRE | - |
VT_BOOL | IsTextUseRE | - |
VT_BOOL | IsTimeActive | - |
ZT_DATETIME64 | EndTime | - |
VT_I2 | TimeSelection | - |
ZT_DATETIME64 | StartTime | - |
VT_BSTR | PreTimes | - |
VT_I4 | ViewMode | - |


CD_CAsmListConfig-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CD_CAsmListConfig-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
CD_CAsmColumnSetting | ColumnSetting | - |


CD_CAsmColumnSetting-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CD_CAsmColumnSetting-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Caption | - |
VT_BOOL | UseCustom | - |
VT_I2 | Width | - |


CSubsti-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CSubsti-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Source | - |
VT_BSTR | Destination | - |


CProjektVariableProp-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CProjektVariableProp-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | Title | - | Décalage de l'élément structurel dans la structure.


CIndexSubsti-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CIndexSubsti-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Source | - |
VT_BSTR | Destination | - |


CD_CBaseColumn-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CD_CBaseColumn-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | - |
VT_I2 | ID | - |
VT_BOOL | IsVisible | - |
VT_BSTR | DropList | - |
VT_BOOL | IsOptimalWidth | - |
VT_BOOL | IsReadOnly | - |
VT_I2 | ColumnWidth | - | Cette propriété vous permet d'obtenir/de définir certaines propriétés des différents états. Les paramètres peuvent être modifiés par le biais de certains sous-éléments.
VT_I2 | Alignment | - | Spécifie le nom abrégé de l'archive à laquelle est liée la variable.
VT_I2 | CellFormat | - | Disponible uniquement dans SAT230 :Propriétés de l'élément de gestion d'alarmes du synoptique.
VT_I2 | CellType | - | Texte de légende des axes dans la représentation en ligne.


CD_CViewList-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CD_CViewList-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | - |
CD_CModuleView | ModuleView | - | Cette propriété obtient/définit la fonction connectée à un état.


CFunctionParam-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CFunctionParam-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | ParamValue | - |


CD_CModuleView-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CD_CModuleView-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | - |
VT_I2 | ID | - |
VT_BOOL | IsVisible | - |
CD_CBaseColumn | Column | - | Cette propriété obtient/définit la valeur à laquelle l'état doit être défini. Conseil : Pour plus d'informations, reportez-vous à l'aide relative à l'obtention des informations d'état.


CD_CChargenFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CD_CChargenFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI1 | FilterActive | - | Cette propriété obtient/définit l'image de départ du projet.
VT_BSTR | Archive | - | Les propriétés UserLevel vous permettent d'obtenir/de définir les groupes d'autorisation sélectionnés par l'intermédiaire d'une valeur longue. La valeur des groupes d'autorisation sélectionnés est répartie dans quatre propriétés. Par exemple : Les niveaux d'autorisation sélectionnés 0, 1 et 2 possèdent une valeur UserLevel0 de 7 (1+2+4).
VT_BSTR | Name | - | Disponible uniquement si le bouton de remplissage n'est pas monochrome.Actif : Le dégradé de luminosité est inversé.Inactif : Le dégradé de luminosité n'est pas inversé.(Par défaut) Inactif :
VT_UI1 | LastCharge | - | La boîte de dialogue de configuration de la fonction de Coloration automatique des lignes (CAL) s'affiche.
VT_UI4 | Count | - | Seuls les utilisateurs possédant le niveau d'utilisateur correspondant peuvent supprimer des entrées de la base de données du module Industrial Performance Analyzer (IPA).
VT_UI2 | TimeLimits | - | Spécifie le nombre de caractères pour les entrées de texte, pour l'option ClassNo (propriété dynamique Entry (Entrée), option J).
VT_BSTR | ResString | - | Distance horizontale entre la fin de l'arrondi en partant du coin réel, en pixels.


CTrendPrintData-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CTrendPrintData-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | HeadLeft | - | Uniquement disponible si la liste chronologique d'événements est active :Ne pas utiliser : Les couleurs des classes d'alarmes/d'événements ne sont pas utilisées dans la liste CEL dans le Runtime.Comme couleur de texte : Les couleurs des classes d'alarmes/d'événements sont utilisées comme couleurs de texte des entrées correspondantes dans la liste CEL dans le Runtime.Comme arrière-plan des lignes Les couleurs des classes d'alarmes/d'événements sont utilisées comme couleurs d'arrière-plan des entrées correspondantes dans la liste CEL dans le Runtime.Par défaut : Comme couleur de texte
VT_BSTR | HeadMid | - | Uniquement disponible si la liste chronologique d'événements est active :La boîte de dialogue de configuration des colonnes de la liste CEL s'affiche.Ces paramètres sont considérés comme les paramètres par défaut, et peuvent être modifiés lors de la configuration des différentes fonctions de la liste CEL.
VT_BSTR | HeadRight | - | Disponible uniquement si la gestion des alarmes est active.Pas d'en-tête : Dans la liste d'alarmes, aucun en-tête comportant un intitulé de colonne n'est affiché dans le Runtime.Entête fixe : Un en-tête fixe, comportant les intitulés de colonne correspondants, est affiché dans la liste d'alarmes.Actions autorisées sur en-têtes de colonne : Un en-tête modifiable, comportant les intitulés de colonne correspondants, est affiché dans la liste d'alarmes. Les différentes colonnes peuvent être déplacées dans le Runtime ; leur largeur peut être modifiée et le tri en fonction de différentes colonnes est possible.Par défaut : Actions autorisées sur les en-têtes de colonne.
VT_BSTR | FootLeft | - | Disponible uniquement si la gestion des alarmes est active.Actif : Une entrée est générée dans la liste chronologique d'événements (CEL) lors de l'acquittement d'une alarme.Inactif : Aucune entrée n'est générée dans la liste chronologique d'événements lors de l'acquittement d'alarmes.(Par défaut) Inactif :
VT_BSTR | FootMid | - | Propriétés de la ligne d'état de la gestion des alarmes.
VT_BSTR | FootRight | - | Définition de la connexion ODBC à la base de données du module Industrial Maintenance Manager (IMM).
VT_BSTR | Titel | - | Propriétés du stockage des entrées de la liste chronologique d'événements (CEL) dans la mémoire et sur le disque dur.
VT_BSTR | Comment | - | Actif : La liste chronologique d'événements (CEL) est active dans le Runtime. Les événements sont consignés et la liste CEL est disponible.Inactif : Aucun événement n'est enregistré.Par défaut : actif.
VT_BOOL | IsLegend | - | Uniquement disponible si la liste chronologique d'événements est active :Taille de la mémoire de la liste CEL. En cas de dépassement, les entrées sont déplacées vers l'archive de la liste CEL.Minimum : 1.Maximum : 32767.Par défaut : 100.
VT_BOOL | IsOneSite | - | Disponible uniquement si la gestion des alarmes est active :En cas de dépassement du nombre d'alarmes en mémoire défini, une des actions suivantes est exécutée :Rejeter les nouvelles : Les nouvelles alarmes sont ignorées et perdues.Déplacer la plus ancienne : L'alarme la plus ancienne conservée en mémoire est déplacée vers le fichier correspondant dès qu'une nouvelle alarme se déclenche.Déplacer la plus récente : L'alarme la plus récente conservée en mémoire est déplacée vers le fichier correspondant.Par défaut : Déplacer la plus ancienne.
VT_BOOL | IsFile | - |
VT_BSTR | FileName | - |
VT_I4 | DiaHeight | - |
VT_I4 | DiaWidth | - |


CZeitAchse-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CZeitAchse-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Type

VBA/VSTA Name

Display Name

Description

VT_UI4

Length

-

VT_UI4

Offset

-

VT_UI4

TimeDay

-

Cette propriété vous permet de déterminer si la propriété Variable d'alarme 3 doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_UI4

TimeHours

-

Cette propriété vous permet de déterminer si la propriété domaine d'alarme doit ou non être liée au type de données. FALSE = elle doit être liée ; TRUE = elle ne doit pas être liée.

VT_UI4

TimeMinutes

-

Sélection d'un verrouillage pour l'entrée de menu.

VT_UI4

Time1

-

Définit le nombre maximal d'heures pour l'option Pas plus récent que pour le filtre de temps de la fonction d'activation de fichier.

VT_UI4

Time2

-

Si l'élément est connecté à plusieurs sources actives, vous pouvez définir le type d'affichage ici.Cette fonction est uniquement disponible dans la version Energy Edition du système de contrôle.La fonction de coloration automatique des lignes (ALC) doit être activée.Affichage alimentation sécuriséeDouble épaisseur :L'épaisseur de l'élément est doublée.Double luminosité :La luminosité de l'élément est doublée.Normal : L'élément est affiché avec la couleur de la source et l'épaisseur configurée.Par défaut : normal

VT_BOOL

IsTime

-

Uniquement disponible pour les commutateurs temporaires.Si le pointeur de la souris est éloigné du commutateur pendant que le bouton de la souris est enfoncé, la valeur de la variable est automatiquement réinitialisée.

VT_BOOL

IsYear

-

Nom du domaine d'alarme

VT_BOOL

IsMonth

-

Le premier bit de cette variable octet indique si des alarmes de la classe d'alarmes sélectionnée sont actives dans ce domaine d'alarme.Le deuxième bit de cette variable octet indique si ce domaine d'alarme comporte des alarmes non acquittées.

VT_BOOL

IsDay

-

Cette propriété autorise le positionnement relatif des synoptiques. Lors du chargement d'un synoptique, celui-ci peut être positionné par rapport à la position actuelle du pointeur de la souris.Utiliser la position absolue : Les synoptiques du modèle sont ouverts conformément à la position du modèle.À gauche : Le bord gauche du synoptique est défini dans la position actuelle du pointeur de la souris.À droite : Le bord droit du synoptique est défini dans la position actuelle du pointeur de la souris.Haut : Le bord supérieur du synoptique est défini dans la position actuelle du pointeur de la souris.Vers le bas : Le bord inférieur du synoptique est défini dans la position actuelle du pointeur de la souris.Centré : Le centre du synoptique est défini dans la position actuelle du pointeur de la souris.En haut à gauche : Le coin supérieur gauche du synoptique est défini dans la position actuelle du pointeur de la souris.En bas à gauche : Le coin inférieur gauche du synoptique est défini dans la position actuelle du pointeur de la souris.En haut à droite : Le coin supérieur droit du synoptique est défini dans la position actuelle du pointeur de la souris.En bas à droite : Le coin inférieur droit du synoptique est défini dans la position actuelle du pointeur de la souris.ATTENTION : Pour le chargement automatique de synoptiques, la position absolue est toujours utilisée, car dans ce cas, aucune information de positionnement relatif n'est disponible.

VT_BOOL

IsHour

-

Distance horizontale (en pixels) par rapport à l'élément sélectionné pour la position préférée du clavier automatique.Par défaut : 2.

VT_BOOL

IsMinute

-

Variable contenant, sous forme de valeur, le nombre d'alarmes non acquittées pour la classe d'alarmes/d'événements sélectionnée dans ce domaine d'alarme.Ouvre la boîte de dialogue de sélection de variables.

VT_BOOL

IsSecond

-

Variable contenant le nombre d'alarmes actives dans ce domaine d'alarme, sous forme de valeur.Ouvre la boîte de dialogue de sélection de variables.

VT_BOOL

IsMilliSecond

-

Variable aux valeurs limites desquelles le clignotement doit être utilisé pour l'élément.La boîte de dialogue de sélection de variables s'affiche.

VT_BOOL

IsRealTime

-

Fin de l'angle d'ouverture. L'angle d'ouverture d'un quartier de cercle est affiché entre l'angle de début et l'angle de fin.

VT_UI2

BoxType

-

VT_UI2

TimeFormat

-

Fonction associée au groupe/à la classe d'alarmesCette fonction est exécutée automatiquement lorsqu'une alarme de ce groupe ou cette classe se produit.Ouvre la boîte de dialogue de sélection de fonction.

VT_UI2

AddLen

-

VT_UI2

Options

-

VT_BOOL

IsFilterRT

-

VT_I4

Overlap

-

CD_CZeitFilter

TimeFilter

-

Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.

VT_I4

GrabPointSize

-


CKurve-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CKurve-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI1 | FillAlpha | - |
VT_UI4 | FillColor | - |
VT_BOOL | IsGantt | - |
VT_BOOL | IsGanttShowLimit | - |
VT_BOOL | IsGanttShowLimitText | - |
VT_I2 | YOffset | - |
VT_I2 | Index | - |
VT_BOOL | IsTrigger | - |
VT_I2 | TimeFactor | - |
VT_BSTR | GraphName | Nom de la courbe |
VT_BSTR | Charge | - |
VT_BOOL | HasYAxis | Axe Y |
VT_BSTR | Titel | Titre | Cette propriété obtient/définit la fonction liée en tant que fonction de fin par l'intermédiaire de son identifiant de fonction.
VT_UI4 | Color | - | Cette propriété vous permet d'obtenir/de définir des notes à partir d'un menu.
VT_BOOL | IsBars | - | Cette propriété renvoie une variable. Il est également possible de lier une nouvelle variable par l'intermédiaire de cette propriété.
VT_BOOL | IsExtendCurve | - |
VT_BOOL | IsShow | Actif | Cette propriété vous permet d'obtenir/de définir le groupe ou la classe d'alarmes.
VT_BOOL | IsYearChange | - | Cette propriété vous permet d'obtenir/de définir le bit source dans la liste de routage des états.
VT_BOOL | IsMonthChange | - | Obtient ou définit un objet Variable, en spécifiant la variable depuis laquelle est générée la courbe.
VT_BOOL | IsInterpolation | - | Définit la limite supérieure de la plage de représentation pour les variables de procédé (fonction Zoom).
VT_I4 | DayOffset | - | Fonctions et variables liées au synoptique.
VT_I4 | HourOffset | - | Propriétés de taille du synoptique.
VT_I4 | MinuteOffset | - | Actif : L'élément est lié au type de données de base. Les modifications apportées au type de données de base affectent directement l'élément. Les propriétés de l'élément ne peuvent plus être modifiées.Inactif : L'élément n'est plus lié au type de données de base.
VT_I2 | XScan | - | Informations relatives aux coordonnées globales du synoptique.
VT_I2 | YScan | - | Propriétés de l'historique des modifications.
VT_I2 | LineType | - | Disponible uniquement dans SAT230 :
VT_I2 | GraphWidth | - | Substitution de variable
CKanal | VarInfo | - | Définit le nombre maximum d'entrées affichées dans la vue de liste.Minimum : 0.Ceci signifie que toutes les entrées sont affichées.Maximum : 2147483647.Par défaut : 1000.
CYAchse | YAxe | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.


CXAchse-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CXAchse-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsFilterDlg | - | Répertoire de travail du projet STRATON.ATTENTION : Cette propriété ne peut pas être modifiée.
CD_CZeitFilter | TimeFilter | - | Port de Runtime du système cible STRATON utilisé pour la connexion au module Workbench.Minimum : 0.Maximum : 4294967295.Par défaut : 1200.


CD_CBildumschaltung-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CD_CBildumschaltung-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | ProjectName | - | Spécifie le texte d'en-tête (intitulé de colonne) pour l'option Nom complet (propriété dynamique Entry (Entrée), option K).
VT_BSTR | Picture | - | Spécifie le texte d'en-tête (intitulé de colonne) pour l'option ClassNr (propriété dynamique Entry (Entrée), option J).
VT_I2 | Monitor | - | Uniquement disponible dans les synoptiques de type Clavier.Texte du bouton pour la première ligne, sans raccourci-clavier.Le caractère est indiqué, et le caractère suivant est souligné dans le Runtime. Pour afficher le caractère, saisissez-le deux fois.
VT_BOOL | IsFilterRT | - | Uniquement disponible dans les synoptiques de type Clavier.Texte du bouton de la première ligne, avec touche AltGr.Le caractère est indiqué, et le caractère suivant est souligné dans le Runtime. Pour afficher le caractère, saisissez-le deux fois.
VT_BOOL | IsMonScroll | - | Uniquement disponible dans les synoptiques de type Clavier.Texte du bouton de la deuxième ligne, avec touche Maj.Le caractère est indiqué, et le caractère suivant est souligné dans le Runtime. Pour afficher le caractère, saisissez-le deux fois.
VT_UI4 | WndType | - | Seuls les utilisateurs possédant le niveau d'utilisateur correspondant peuvent modifier les entrées de la base de données du module Industrial Performance Analyzer (IPA).
CSubsti | SubstiVar | - | Actif : L'exécution de la fonction avec cette recette n'est pas terminée tant qu'une confirmation de l'action d'écriture n'est pas reçue ou tant que le délai d'attente défini n'est pas écoulé.Dans les scripts, ceci permet de s'assurer que la fonction suivante n'est pas exécutée tant que celle-ci n'est pas terminée.La confirmation peut aussi être évaluée avec le bit d’état WR-SUC.Inactif : N'attend pas la confirmation d'écriture.Par défaut : inactif.
CSubsti | SubstiFkt | - | Local : Dans les projets en réseau, la variable interne est évaluée et/ou gérée localement, c'est-à-dire sur le client.Ceci signifie que la valeur de la variable peut être différente sur chaque client, et que les valeurs limite sont également évaluées localement.Réseau : Dans les projets en réseau, la variable interne est évaluée et/ou gérée sur le serveur du projet. Elle a la même valeur sur le serveur et tous les clients.Par défaut : local.
VT_BOOL | CaseSensitive | - |
CProjektVariableProp | IndexVar | - |
CIndexSubsti | IndexSubstitution | - |
CIndexSubsti | ALCSubstitution | - |


CD_CHtmlFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CD_CHtmlFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | IsFilterRT | - | Distance verticale (en pixels) de l'élément sélectionné pour la position alternative du clavier automatique.Par défaut : 2.
VT_BSTR | URLSearch | - | Distance verticale (en pixels) de l'élément sélectionné pour la position préférée du clavier automatique.Par défaut : 2.
VT_BSTR | URLBrowse | - | Code de la fonction.
VT_UI2 | IdxSearch | - | Identifiant du client.
VT_UI2 | IdxBrowse | - | Le message a été envoyé


CDynEleVar-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CDynEleVar-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | ProjectVar | - | Uniquement disponible si la liste chronologique d'événements est active :Actif : En cas d'écriture réussie des valeurs sur le matériel, l'entrée correspondante est insérée dans la liste CEL.Inactif : L'écriture réussie des valeurs n'est pas consignée dans la liste CEL.(Par défaut) Inactif :ATTENTION : Cette fonctionnalité est uniquement utilisable lors de l'écriture de valeurs avec la fonction Envoi de valeur vers matériel, si cette option est activée dans la fonction.
VT_BSTR | SymVarName | - | Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de couleur de ligne/de texte de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.
VT_BSTR | SymVarTagNr | - | Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de position dynamique x de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.


CD_CModuleViews-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CD_CModuleViews-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | - |
CD_CViewList | ViewList | - | Paramètres généraux du script.


CKanal-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CKanal-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | VarName | - |
VT_R8 | VarMaxValue | - |
VT_R8 | VarMinValue | - |
VT_BSTR | ArvVar | - |
VT_BSTR | SrcVar | - |
VT_UI2 | Calculation | - | Cette propriété obtient/définit le texte de limite d'un état.
VT_UI2 | SrcCalculation | - | Cette propriété obtient/définit la couleur d'un état.
VT_BSTR | Archive | - | Cette propriété obtient/définit le nom d'une archive.
ZT_VARIABLE | Variable | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.


CYAchse-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CYAchse-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_UI4 | BeginTime | - | Cette propriété vous permet d'obtenir des informations concernant la variable liée à la propriété Modifier la hauteur. Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.
VT_UI4 | EndTime | - | Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de visibilité de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.
VT_BOOL | IsOwnArv | - | Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de couleur d'arrière-plan/de remplissage de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.
VT_R4 | TimeOffset | - | Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de position dynamique de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.
VT_I4 | MaxArv | - | Spécifie le décalage en heures de la courbe dans le diagramme.
VT_I4 | LeftOffset | - | Cette propriété obtient/définit le compteur d'un état (en association avec un compteur d'opérations et d'heures de fonctionnement).
VT_I4 | RightOffset | - | Cette propriété obtient/définit l'option Sensible à la casse d'une matrice de réaction de chaîne.
VT_BSTR | Titel | - | Spécifie le chemin et le nom du programme (ainsi que son extension de fichier) devant être exécuté, si l'option 1 de la propriété dynamique Setting (Paramètre) est définie.
VT_BOOL | IsShow | - | Cette propriété obtient/définit les paramètres de numérisation d'une archive. Analyse cyclique, cycle = 9 Analyse cyclique, mensuelle = 13 Analyse événementielle, interne = 7 Analyse événementielle, externe = 15 Analyse spontanée = 14
VT_BOOL | IsYAutoScale | - | Description sous forme de texte.


CSecondaryUnit-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CSecondaryUnit-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_I2 | DecShift | Décalage du point décimal | Correction des décimales. Cette valeur détermine le décalage des décimales dans l'unité de conversion par rapport à l'unité de base. Plus de détails dans l'aide en ligne
VT_R8 | Factor | Facteur | Instruction relative au facteur de conversion selon lequel l'unité de base sera convertie en valeur de l'unité de conversion (m pour y=mx+b). Plus de détails dans l'aide en ligne
VT_BSTR | Name | Unité | Instruction relative à l'unité de base depuis laquelle est effectuée la conversion ou à l'unité de conversion vers laquelle sera effectuée la conversion. Par exemple, C°, K, m, y, Celsius, Kelvin, mètre, yard etc. Vous pouvez utiliser jusqu'à 50 caractères. Plus de détails dans l'aide en ligne
VT_R8 | Offset | Offset | Depuis l'unité primaire (b pour y=mx+b) Instruction relative au décalage de conversion suivant lequel l'unité de base sera convertie en valeur de l'unité de conversion (b pour y=mx+b). Plus de détails dans l'aide en ligne


CBatchRecipeFilterReportViewer-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CBatchRecipeFilterReportViewer-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BOOL | SelectionFromPicture | - | Description sous forme de texte.


CRptDatSet-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CRptDatSet-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Name | - |
VT_I4 | DatSetType | - |
CD_CAmlCelFilter CRptArvFilter CRptOnlFilter | Filter | - |
VT_I2 | TimeFilterIdx | - |
VT_I4 | Calc | - | Description sous forme de texte.
VT_I4 | MaxRowCount | - | Description sous forme de texte.


CD_CAmlCelFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenuItem -> ZenMenuItem-Dynproperties -> CD_CAmlCelFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | FileName | - | Spécifie combien de derniers batchs fermés doivent être affichés.Conseil : Uniquement disponible si la propriété dynamique LastCharge est définie sur 1.
VT_BSTR | VarFilter | - | Spécifie les limites de temps des batchs :0 &rarr; À l'extérieur : les batchs qui sont partiellement compris dans la limite de temps sont entièrement inclus.1 &rarr; À l'intérieur : les batchs qui sont partiellement compris dans la limite de temps ne sont pas inclus.2 &rarr; Depuis l'extérieur : les batchs qui ont démarré avant la limite de temps sont entièrement inclus. les batchs qui se sont terminés après la limite de temps ne sont pas inclus.3 &rarr; Vers l'extérieur : les batchs qui se sont terminés après la limite de temps sont entièrement inclus. les batchs qui ont démarré avant la limite de temps ne sont pas inclus.4 &rarr; Couper : on affiche les valeurs des batchs qui ont été enregistrées dans la limite de temps définie même si les batchs ne sont pas inclus complètement.Conseil : Uniquement disponible si la propriété dynamique LastCharge est définie sur 0.
VT_BSTR | FilterTitel | - | Spécifie la valeur minimale pour le filtrage de toutes les valeurs d'archive numériques et de leurs valeurs techniques entre les valeurs minimale et maximale spécifiées.Conseil : Uniquement disponible si la propriété dynamique Value (Valeur) est définie sur 1.
VT_BOOL | IsFilterRT | - | Spécifie la valeur maximale pour le filtrage de toutes les valeurs d'archive numériques et de leurs valeurs techniques entre les valeurs minimale et maximale spécifiées.Conseil : Uniquement disponible si la propriété dynamique Value (Valeur) est définie sur 1.
VT_BOOL | IsMatchCase | - | Tri des entrées d'archive affichées :0 &rarr; Heure : tri de toutes les entrées selon la date et l'heure1 &rarr; Variable : tri selon le nom de variable2 &rarr; Pas de tri
VT_BOOL | IsFromFiles | - | Obtient ou définit une variable (objet Variable) devant être utilisée pour sélectionner la recette par son nom ou son numéro.
VT_BOOL | IsReadAll | - | Affiche la boîte de dialogue de configuration de filtre dans le Runtime, si la propriété est définie sur TRUE.
VT_BOOL | IsAutoName | - | Affiche la boîte de dialogue de configuration de recette dans le Runtime, si la propriété est définie sur TRUE.
VT_BOOL | IsAML | - | Lit les informations à partir du chemin de sauvegarde, si la propriété est définie sur TRUE.
VT_BOOL | IsDBASE | - | Si cette propriété est définie sur TRUE, elle autorise uniquement la sélection d'une recette dans le Runtime ; contrairement à la propriété IsRecOnly, elle n'autorise pas la configuration de la recette.Conseil : uniquement disponible si la propriété dynamique IsFillerRT est définie sur 1.
VT_BOOL | IsXML | - | Si cette propriété est définie sur TRUE, elle autorise uniquement la sélection d'une recette dans le Runtime ; contrairement à la propriété IsRecOnly, elle n'autorise pas la configuration de la recette.Conseil : uniquement disponible si la propriété dynamique IsFillerRT est définie sur 1.
VT_BOOL | IsRelationTime | - | Définit le mode de la recette.0 &rarr; Exécuter la recette1 &rarr; Dupliquer et lire2 &rarr; Lire la recette3 &rarr; Exporter la recette4 &rarr; Importer la recette5 &rarr; Dupliquer
VT_BOOL | IsUnicode | - | Si elle est définie sur TRUE, un nom sera automatiquement généré pour le fichier d'exportation file (propriété dynamique Mode, option 3).
VT_BOOL | IsFilterExp | - | Nom de la table dans la base de données du module Industrial Performance Analyzer (IPA).Si elle n'existe pas déjà, cette table est créée automatiquement lors du premier démarrage du Runtime.
VT_BOOL | IsAcknowledged | - | Obtient ou définit le nom du synoptique appelé.
VT_UI2 | EntriesCount | - | Définit le moniteur sur lequel le synoptique est affiché.-2 &rarr; Selon le demandeur0 &rarr; Écran 0 (écran par défaut)1 &rarr; Écran 1 (uniquement pour les projets multi-moniteurs)... &rarr; etc.
ZT_SCHRIFT | Font | - |
VT_BSTR | Classes | - | Définit le mode de transfert lors pour l'envoi de messages. Les types de messages suivants sont pris en charge :1 &rarr; E-mail3 &rarr; Téléphone4 &rarr; Pager (radiomessagerie) / SMS5 &rarr; SMS GSM6 &rarr; Téléphone (voix)
VT_BSTR | Groups | - | Spécifie le texte d'en-tête positionné dans le coin supérieur gauche de la page.Conseil : Pour plus d'informations, reportez-vous à la rubrique consacrée à la propriété dynamique FootLeft.
VT_BSTR | Projekts | - | Spécifie le texte d'en-tête positionné dans le coin supérieur droit de la page.Conseil : Pour plus d'informations, reportez-vous à la rubrique consacrée à la propriété dynamique FootLeft.
VT_BSTR | ResString | - | Vide : Le chemin standard est utilisé pour l'enregistrement de la liste d'alarmes (AML), de la liste chronologique d'événements (CEL), des données de disque dur, des données d'archives, etc. (chemin du projet\nom de l'ordinateur\nom du projet).Chemin : Le chemin saisi ici est utilisé pour l'enregistrement des données (chemin saisi\nom de l'ordinateur\nom du projet).ATTENTION : Si le chemin saisi n'existe pas (incidents réseau, carte mémoire manquante), les données seront perdues sans avertissement !
ZT_ZEIT | IncTime | - | Définit le texte du pied de page inséré dans le coin inférieur droit de la page.Conseil : Pour plus d'informations, reportez-vous à la rubrique consacrée à la propriété dynamique FootLeft.
VT_UI2 | mSeconds | - | Spécifie le titre pour l'impression de la tendance étendue.
CD_CZeitFilter | TimeFilter | - | Cette propriété vous permet d'obtenir/de définir l'identifiant d'une variable à partir d'un élément de structure. Cet identifiant est 0 lorsque la variable ne comporte aucun type de données de structure.
CD_CAmlCelListInfo | ListInfo | - | Cette propriété vous permet d'obtenir des informations concernant la variable liée en tant que variable de modification de hauteur de l'élément.Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.
VT_BSTR | ProjectNames | - | Active (TRUE) : L'exécution de la fonction n'est pas terminée tant qu'une confirmation de l'écriture n'est pas reçue ou tant que le délai d'attente avant expiration fixe de 30 secondes n'est pas écoulé.Dans les scripts, ceci permet de s'assurer que la fonction suivante n'est pas exécutée tant que celle-ci n'est pas terminée.La confirmation peut aussi être évaluée par le bit d'état WR-SUC.Inactive (FALSE) : N'attend pas la confirmation d'écriture.
VT_BOOL | IsAscentOnly | - | Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.
CTextFilter | TextFilter | - | Cette propriété vous permet d'obtenir des informations concernant la variable liée à la propriété Modifier la largeur. Les informations sont fournies par le biais des sous-éléments suivants : ProjectVar, SymVarName, SymVarTagNr.
VT_BOOL | NeedComment | - |
VT_BOOL | IsGoneOnly | - |
VT_BSTR | Areas | - |
CSystemModelFilter | SystemModelGroup | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.
VT_BOOL | IsIncremental | - |
CRelPicItem | RTMDIFilterScreen | - |
VT_BOOL | IsSQL | - |
VT_BSTR | SQLBase | - |
VT_BSTR | SQLTable | - |
CStatusFilter | StatusFilter | - |


ZenMenus

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This object manages context and main menus.

Availability

Environment | Available
Editor | available
Runtime | read only
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Sub zenOnMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object
Dim i As Integer 'Loop variable

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Loop creates five context and five main menus
For i = 1 To 5
'Creates a context menu
Set zMenu = zMenus.Create("context_" & i)
'False for context menu
zMenu.IsPulldown = False

'Creates a main menu
Set zMenu = zMenus.Create("main_" & i)
'True for main menu
zMenu.IsPulldown = True
Next i

'Check if all items have been created (Hint: counting starts at 0 until .count-1)
For i = 0 To zMenus.Count - 1
Debug.Print "Item " & i & " = " & zMenus.Item(i).Name
Next i

End Sub


ZenMenus-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
long | Count | Count of defined menus | read only | read only | yes | yes
IProject | Parent | Parent-object | read only | read only | yes | yes


Count

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Properties -> Count

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The method returns the number of available objects. This property is mostly used for the method Item to run through each single object.Hint: For running through entries care, that the minimum is 0 and the maximum is Count-1.

Datatype

Count() As long

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Project

Availability

Environment | Available
Editor | read only
Runtime | read only
VBA | yes
VSTA | yes


ZenMenus-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | CheckIn | Save module modifications to server (editor). | available | not used | yes | yes
VARIANT_BOOL | CheckOut | Allow module modifications (editor). | available | not used | yes | yes
IZenMenu | Create | Creates a new menu | available | not used | yes | yes
VARIANT_BOOL | Delete | Deletes the given menu | available | not used | yes | yes
VARIANT_BOOL | Export | Exports the selected object to a XML file | available | not used | yes | yes
VARIANT_BOOL | Get | Get the latest version from the server (editor). | available | not used | yes | yes
VARIANT_BOOL | Import | Imports the selected XML file | available | not used | yes | yes
VARIANT_BOOL | IsCheckedOut | Returns true when the current module checked out by the current user (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsDifferent | Return true when the local- and server version are different (editor). | read only | not used | yes | yes
VARIANT_BOOL | IsLocked | Returns true when the current module is Locked by another user (editor). | read only | not used | yes | yes
IZenMenu | Item | Returns the menu by name or position | available | not used | yes | yes
VARIANT_BOOL | SingleExport | Exports the Item with given Name oder Index | available | not used | yes | yes
VARIANT_BOOL | UndoCheckOut | Undo module modifications (editor). | available | not used | yes | yes


CheckIn

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> CheckIn

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Save module modifications to server (editor). This option is only working for multi-user projects.

Datatype

CheckIn() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> CheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Allow module modifications (editor). This option is only working for multi-user projects.

Datatype

CheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Create

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> Create

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Creates a context menu or a main menu depending on the "IsPulldown" property of the zMenu object (False = context menu, True = main menu).

Datatype

Create(String bsName) As ZenMenu

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

A string which defines the name of the menu.

Example: "menu_1"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub CreateMenus()

Dim zMenus As ZenMenus 'Parent object
Dim zMenu As ZenMenu 'Child object

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Creates a context menu
Set zMenu = zMenus.Create("menu_1")
zMenu.IsPulldown = False

'Creates a main menu
Set zMenu = zMenus.Create("menu_2")
zMenu.IsPulldown = True

End Sub


Delete

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> Delete

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

The defined menu will be deleted. As this function works via names there are no seperated properties for context or main menu selection. (context and main menu can not have the same names)

Datatype

Delete(String bsName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

The string defines the name of the menu which should be deleted.

Example: "main_menu"

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Sub DeleteMenus()

Dim zMenus As ZenMenus 'Parent object

Set zMenus = MyWorkspace.ActiveDocument.ZenMenus

'Delete context and main menus via their name
zMenus.Delete ("main_menu")
zMenus.Delete ("context_menu")

End Sub


Export

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> Export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Export settings to an xml file

Datatype

Export(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to export.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


Get

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> Get

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Get the latest version from the server (editor). This option is only working for multi-user projects.

Datatype

Get() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Import

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> Import

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Import settings from an xml file. New settings are added, existing settings will be replaced.

Datatype

Import(String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Filename (path) as string of the xml file to import.

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bsFileName As String

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub zenOn_ExportImportSettings(ByRef zenOnObject As Object)
End Sub


IsCheckedOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> IsCheckedOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if scripts are checked out. This option is only working for multi-user projects.

Datatype

IsCheckedOut() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsDifferent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> IsDifferent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if local version differs from server (editor) version. This option is only working for multi-user projects.

Datatype

IsDifferent() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


IsLocked

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> IsLocked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns true if modification changes are locked due to a checkout. This option is only working for multi-user projects.

Datatype

IsLocked() As Boolean

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


Item

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This function returns a ZenMenu item. If there are more context and main menu items available the counting works like this: Item(0) = "Main_1", Item(1) = "Context_1", Item(2) = "Main_2", …

Datatype

Item(VARIANT vPosition) As ZenMenu

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SingleExport

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> SingleExport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SingleExport(VARIANT vIndexOrName,String bsFileName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UndoCheckOut

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenMenus -> ZenMenus-Methods -> UndoCheckOut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Undo module modifications (editor). This option is only working for multi-user projects.

Datatype

UndoCheckOut() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ZenWorkspace

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This ClassModule represents the actual workspace in the editor.There are several events to react on actions of the projects within the workspace.

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Examples

C#

VB.NET

VB.NET-Syntax

VBA

Option Explicit
Private Declare Function GetKeyState Lib "user32" (ByVal nVirtKey As Long) As Integer
Private Declare Function GetAsyncKeyState Lib "user32" (ByVal vKey As Long) As Integer
Private Const VK_LSHIFT = &HA0
Private Const VK_RSHIFT = &HA1

Private Sub ZenWorkspace_OnPostBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' are created!"
End Sub

Private Sub ZenWorkspace_OnPostTransport(ByVal obProject As IProject, ByVal bSuccess As Boolean)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' were transported succesfully (" & bSuccess & ")!"
End Sub

Private Sub ZenWorkspace_OnPreBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be created!"
End Sub

Private Sub ZenWorkspace_OnPreTransport(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be transported!"
End Sub

Private Sub ZenWorkspace_OnProjectLoaded(ByVal obProject As IProject)
Debug.Print "Project '" & obProject.Name & "' is loaded!"
End Sub

Private Sub ZenWorkspace_Startup()
If GetAsyncKeyState(VK_LSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetAsyncKeyState(VK_RSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetSetting("zenOn", "StartupScreen", "ShowOnStartup", "YES") = "YES" Then
frmStartup.Show
End If
'check vba references...
Call CheckVBAReferences
End Sub

Private Sub ZenWorkspace_OnElementCreated(ByVal obElement As Element)
Dim obMpElem As CD_ManipulationElement

Set obMpElem = New CD_ManipulationElement
Set obMpElem.Parent = Me
Debug.Print "Element of Type " & obElement.Type & " created."

''>> The codeline below will set defaults to elements when they are created.
'obMpElem.SetDefault obElement
''>> The Defaultsettings are located in the classmodule "CD_ManipulationElement"
End Sub

Private Sub ZenWorkspace_OnElementDoubleClicked(ByVal obElement As Element)
'Show Symbol Wizard for linked Symbols,
'if the symbol has outlined properties.
If obElement.Type = 130 Then
'symbol...
If SymbolHasProps(obElement) = True Then
'start wizard...
frmSymbol.InitWizard obElement
frmSymbol.Show
End If
End If
End Sub

Function SymbolHasProps(zELE As Element) As Boolean
Dim v As Variant
Dim i As Integer
Dim s As String
'check DynProperties of Symbol...
v = zELE.DynPropertiesEnum("")
For i = 0 To UBound(v)
s = v(i)
s = Mid(s, 1, InStr(1, s, ",") - 1)
If InStr(1, s, "\") <> 0 Then
SymbolHasProps = True
Exit Function
End If
Next i
End Function

Private Sub ZenWorkspace_OnObjectCreated(ByVal obObject As Object)
'this Event is fired, when a new object is created within a project...
Dim strObjectType As String
Dim obTemplate As Template
Dim obPicture As DynPicture
Dim obFunction As RtFunction
Dim obElement As Element
Dim obUser As User
Dim obRema As Rema
Dim obScript As Script
Dim obEdLimit As EdLimit
Dim obRGMRecipe As RGMRecipe
Dim obRecipe As Recipe
Dim obVarAssignment As VarAssignment
Dim obVariable As Variable
Dim obTimeFunction As TimeFunction
Dim ErrH As Label
On Error GoTo ErrH
'depending to the type of the created object, different actions can be done...
strObjectType = TypeName(obObject)
Select Case strObjectType
Case "ITemplate"
Set obTemplate = obObject
Debug.Print "Template created......> " & obTemplate.Name
Debug.Print "----- in Project......> " & obTemplate.Parent.Parent.Name
Case "IDynPicture"
Set obPicture = obObject
Debug.Print "Picture created.......> " & obPicture.Name
Debug.Print "---- in Project.......> " & obPicture.Parent.Parent.Name
Case "IRtFunction"
Set obFunction = obObject
Debug.Print "Function created......> " & obFunction.Name
Debug.Print "----- in Project......> " & obFunction.Parent.Parent.Name
Case "IElement"
Set obElement = obObject
Debug.Print "Element created.......> " & obElement.Name
Debug.Print "---- in Picture.......> " & obElement.Parent.Parent.Name
Debug.Print "---- in Project.......> " & obElement.Parent.Parent.Parent.Parent.Name
Case "IScript"
Set obScript = obObject
Debug.Print "Script created........> " & obScript.Name
Debug.Print "--- in Project........> " & obScript.Parent.Parent.Name
Case "IRema"
Set obRema = obObject
Debug.Print "REMA created..........> " & obRema.Name
Debug.Print "- in Project..........> " & obRema.Parent.Parent.Name
Case "IUser"
Set obUser = obObject
Debug.Print "User created..........> " & obUser.Name
Debug.Print "- in Project..........> " & obUser.Parent.Parent.Name
Case "IEdLimit"
Set obEdLimit = obObject
Debug.Print "Limit created.........> "
Debug.Print "---- Variable.........> " & obEdLimit.Parent.Name
Debug.Print "-- in Project.........> " & obEdLimit.Parent.Parent.Parent.Name
Case "IRGMRecipe"
Set obRGMRecipe = obObject
Debug.Print "RMG Recipe created....> " & obRGMRecipe.DynProperties("RecipeName")
Debug.Print "----- in RGM Group....> " & obRGMRecipe.Parent.DynProperties("Name")
Debug.Print "------- in Project....> " & obRGMRecipe.Parent.Parent.Parent.Name
Case "IRecipe"
Set obRecipe = obObject
Debug.Print "Recipe created........> " & obRecipe.Name
Debug.Print "--- in Project........> " & obRecipe.Parent.Parent.Name
Case "ITimeFunction"
Set obTimeFunction = obObject
Debug.Print "TimeFunction created..> " & obTimeFunction.Name
Debug.Print "--------- in Project..> " & obTimeFunction.Parent.Parent.Name
Case "IVarAssignment"
Set obVarAssignment = obObject
Debug.Print "VarAssignment created.> " & obVarAssignment.Name
Debug.Print "---------- in Project.> " & obVarAssignment.Parent.Parent.Name
Case "IVariable"
Set obVariable = obObject
Debug.Print "Variable created......> " & obVariable.Name
Debug.Print "----- in Project......> " & obVariable.Parent.Parent.Name
Case Else
Debug.Print strObjectType
End Select
Exit Sub
ErrH:
Debug.Print "[ERROR] " & Err.Number & " - " & Err.Description
Resume Next
End Sub


ZenWorkspace-Properties

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
IProject | ActiveDocument |  | read only | not used | yes | yes
IApplication | Application |  | read only | not used | yes | yes
BSTR | Name |  | read only | not used | yes | yes
IApplication | Parent |  | read only | not used | yes | yes
ISymbols | Symbols | Returns the Symbols object | read only | not used | yes | yes
IDispatch | VBE | Returns the VBE-extensibility object | available | not used | yes | yes


ActiveDocument

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties -> ActiveDocument

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the activated project in the workspace as a project object.

Datatype

ActiveDocument() As Project

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Application

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties -> Application

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the Application object of the editor...

Datatype

Application() As Application

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Name

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties -> Name

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the name of the ClassModule 'MyWorkspace'Always 'MyWorkspace'

Datatype

Name() As String

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Parent

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties -> Parent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the parent object

Datatype

Parent() As Application

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


Symbols

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties -> Symbols

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

Symbols() As Symbols

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes


VBE

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Properties -> VBE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Returns the VBE-extensibility object

Datatype

VBE() As Dispatch

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes


ZenWorkspace-Methods

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
VARIANT_BOOL | ActivateProject |  | available | not used | yes | yes
VARIANT_BOOL | CloseWorkspace | Closes the workspace. | available | not used | yes | yes
VARIANT_BOOL | CopyProject | Creates a copy of the given Project at the given location. | available | not used | yes | yes
VARIANT_BOOL | CreateBackup | Creates a backup of the currently workspace. | available | not used | yes | yes
VARIANT_BOOL | CreateProjectBackup | Create a backup of the given project. | available | not used | yes | yes
VARIANT_BOOL | CreateWorkspace | Creates a new workspace with the given name at the given location. | available | not used | yes | yes
IMDITemplates | GetMDiTemplates | Returns a collection of MDI templates of the specified type (either by name or by index). | available | not used | yes | yes
VARIANT_BOOL | InsertProject | Inserts the given project into the workspace. | available | not used | yes | yes
VARIANT_BOOL | LoadProject |  | available | not used | yes | yes
VARIANT_BOOL | LoadProjectByName | Loads the given project by Name. | available | not used | yes | yes
VARIANT_BOOL | LoadWorkspace | Loads the given workspace file. | available | not used | yes | yes
VARIANT_BOOL | RemoveProject | Removes the given project from the workspace. | available | not used | yes | yes
VARIANT_BOOL | RestoreBackup | Restores the given workspace backup. | available | not used | yes | yes
VARIANT_BOOL | RestoreProjectBackup | Restores the given backup. | available | not used | yes | yes
VARIANT_BOOL | SaveWorkspace | Saves the current workspace. | available | not used | yes | yes
VARIANT_BOOL | SetStartProject |  | available | not used | yes | yes
VARIANT | UnloadedProjects [GET] | Returns a list of all unloaded projects available in the current workspace. | available | not used | yes | yes
VARIANT_BOOL | UnloadProject |  | available | not used | yes | yes


ActivateProject

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> ActivateProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Activates a project in the workspace over its uniqe GUID.

Datatype

ActivateProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CloseWorkspace

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> CloseWorkspace

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CloseWorkspace(Boolean bHideCompileDialog) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CopyProject

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> CopyProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CopyProject(String bsSource, String bsDestinationName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateBackup

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> CreateBackup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateBackup(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateProjectBackup

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> CreateProjectBackup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateProjectBackup(String bsProjectName, String bsFileAndLocation, String bsDescription, Boolean bOverWrite) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


CreateWorkspace

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> CreateWorkspace

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

CreateWorkspace(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


GetMDiTemplates

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> GetMDiTemplates

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

GetMDiTemplates(VARIANT vType) As MDITemplates

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


InsertProject

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> InsertProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

InsertProject(String bsGuid, String bsName, String bsHost) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


LoadProject

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> LoadProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Loads a project in the workspace over its uniqe GUID.

Datatype

LoadProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


LoadProjectByName

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> LoadProjectByName

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

LoadProjectByName(String bsProjectName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


LoadWorkspace

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> LoadWorkspace

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

LoadWorkspace(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RemoveProject

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> RemoveProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RemoveProject(String bsProjectName) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RestoreBackup

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> RestoreBackup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RestoreBackup(String bsFileAndLocation, String bsWorkspaceLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


RestoreProjectBackup

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> RestoreProjectBackup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

RestoreProjectBackup(String bsFileAndLocation) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SaveWorkspace

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> SaveWorkspace

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SaveWorkspace() As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


SetStartProject

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> SetStartProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

SetStartProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UnloadedProjects [GET]

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> UnloadedProjects [GET]

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

UnloadedProjects() As VARIANT

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


UnloadProject

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Methods -> UnloadProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Unloads a project in the workspace over its uniqe GUID.

Datatype

UnloadProject(String bsGuid) As Boolean

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


ZenWorkspace-Events

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | Name | Description | Editor | Runtime | VBA | VSTA
void | OnElementCreated |  | read only | not used | yes | yes
void | OnElementDeleted |  | available | not used | yes | yes
void | OnElementDoubleClicked |  | available | not used | yes | yes
void | OnObjectCreated |  | available | not used | yes | yes
void | OnPostBackupProject | Event is fired after a project backup has been created. | available | not used | yes | yes
void | OnPostBuild | Event is fired after a project is compiled | available | not used | yes | yes
void | OnPostRestoreProject | Event is fired after a project backup has been restored. | available | not used | yes | yes
void | OnPostTransport | Event is fired after a project is transported | available | not used | yes | yes
void | OnPostVSTAUpdate | Fired after a running VSTA-Addin has been updated. | not used | not used | yes | yes
void | OnPreBackupProject | Event is fired before a project backup is about to be created. | available | not used | yes | yes
void | OnPreBuild | Event is fired before a project is compiled | available | not used | yes | yes
void | OnPreProjectUnload | Event is fired when a project is about to be unloaded (editor only). | available | not used | yes | yes
void | OnPreRestoreProject | Event is fired before a project backup is about to be restored. | available | not used | yes | yes
void | OnPreTransport | Event is fired before a project is transported | available | not used | yes | yes
void | OnPreVSTADebugStart | Fired before a VSTA-Debugging session is started. | not used | not used | yes | yes
void | OnPreVSTADebugStop | Fired before a VSTA-Debugging session is stopped. | not used | not used | yes | yes
void | OnPreVSTAUpdate | Fired before a running VSTA-Addin is updated. | not used | not used | yes | yes
void | OnProjectLoaded | Event is fired when a project has been loaded (editor only). | available | not used | yes | yes
void | OnRTConnect | Event is fired when a remote transport connection has been established. | available | not used | yes | yes
void | OnRTConnectionFailed | Event is fired when a connection timeout has occured, and a remote transport connection could not be established. | available | not used | yes | yes
void | OnRTConnectionTerminated | Event is fired when a remote transport connection has been terminated. | available | not used | yes | yes
void | OnVSTADebugStart | Fired when a VSTA-Debugging session has been started. | not used | not used | yes | yes
void | OnVSTADebugStopped | Fired when a VSTA-Debugging session has been stopped. | not used | not used | yes | yes
void | OnWorkspaceExit |  | available | not used | yes | yes
void | OnWorkspaceStartup |  | available | not used | yes | yes


OnElementCreated

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnElementCreated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a new element is created within a picture.

Datatype

OnElementCreated(Element obElement) As void

Availability

Environment | Available
Editor | read only
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Element

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obElement As Element

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnElementCreated(ByVal obElement As Element)
Dim obMpElem As CD_ManipulationElement

Set obMpElem = New CD_ManipulationElement
Set obMpElem.Parent = Me
Debug.Print "Element of Type " & obElement.Type & " created."

''>> The codeline below will set defaults to elements when they are created.
'obMpElem.SetDefault obElement
''>> The Defaultsettings are located in the classmodule "CD_ManipulationElement"
End Sub


OnElementDeleted

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnElementDeleted

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a element is deleted within a picture.

Datatype

OnElementDeleted(Element obElement) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnElementDoubleClicked

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnElementDoubleClicked

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a element has been double-clicked.

Datatype

OnElementDoubleClicked(Element obElement) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnObjectCreated

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnObjectCreated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired when a new object is created.A new object could be:

Datatype

OnObjectCreated(Dispatch obObject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Object, the type depends to the created object (Variable,Screen,...)

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obObject As Dispatch

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnObjectCreated(ByVal obObject As Object)
'this Event is fired, when a new object is created within a project...
Dim strObjectType As String
Dim obTemplate As Template
Dim obPicture As DynPicture
Dim obFunction As RtFunction
Dim obElement As Element
Dim obUser As User
Dim obRema As Rema
Dim obScript As Script
Dim obEdLimit As EdLimit
Dim obRGMRecipe As RGMRecipe
Dim obRecipe As Recipe
Dim obVarAssignment As VarAssignment
Dim obVariable As Variable
Dim obTimeFunction As TimeFunction
Dim ErrH As Label
On Error GoTo ErrH
'depending to the type of the created object, different actions can be done...
strObjectType = TypeName(obObject)
Select Case strObjectType
Case "ITemplate"
Set obTemplate = obObject
Debug.Print "Template created......> " & obTemplate.Name
Debug.Print "----- in Project......> " & obTemplate.Parent.Parent.Name
Case "IDynPicture"
Set obPicture = obObject
Debug.Print "Picture created.......> " & obPicture.Name
Debug.Print "---- in Project.......> " & obPicture.Parent.Parent.Name
Case "IRtFunction"
Set obFunction = obObject
Debug.Print "Function created......> " & obFunction.Name
Debug.Print "----- in Project......> " & obFunction.Parent.Parent.Name
Case "IElement"
Set obElement = obObject
Debug.Print "Element created.......> " & obElement.Name
Debug.Print "---- in Picture.......> " & obElement.Parent.Parent.Name
Debug.Print "---- in Project.......> " & obElement.Parent.Parent.Parent.Parent.Name
Case "IScript"
Set obScript = obObject
Debug.Print "Script created........> " & obScript.Name
Debug.Print "--- in Project........> " & obScript.Parent.Parent.Name
Case "IRema"
Set obRema = obObject
Debug.Print "REMA created..........> " & obRema.Name
Debug.Print "- in Project..........> " & obRema.Parent.Parent.Name
Case "IUser"
Set obUser = obObject
Debug.Print "User created..........> " & obUser.Name
Debug.Print "- in Project..........> " & obUser.Parent.Parent.Name
Case "IEdLimit"
Set obEdLimit = obObject
Debug.Print "Limit created.........> "
Debug.Print "---- Variable.........> " & obEdLimit.Parent.Name
Debug.Print "-- in Project.........> " & obEdLimit.Parent.Parent.Parent.Name
Case "IRGMRecipe"
Set obRGMRecipe = obObject
Debug.Print "RMG Recipe created....> " & obRGMRecipe.DynProperties("RecipeName")
Debug.Print "----- in RGM Group....> " & obRGMRecipe.Parent.DynProperties("Name")
Debug.Print "------- in Project....> " & obRGMRecipe.Parent.Parent.Parent.Name
Case "IRecipe"
Set obRecipe = obObject
Debug.Print "Recipe created........> " & obRecipe.Name
Debug.Print "--- in Project........> " & obRecipe.Parent.Parent.Name
Case "ITimeFunction"
Set obTimeFunction = obObject
Debug.Print "TimeFunction created..> " & obTimeFunction.Name
Debug.Print "--------- in Project..> " & obTimeFunction.Parent.Parent.Name
Case "IVarAssignment"
Set obVarAssignment = obObject
Debug.Print "VarAssignment created.> " & obVarAssignment.Name
Debug.Print "---------- in Project.> " & obVarAssignment.Parent.Parent.Name
Case "IVariable"
Set obVariable = obObject
Debug.Print "Variable created......> " & obVariable.Name
Debug.Print "----- in Project......> " & obVariable.Parent.Parent.Name
Case Else
Debug.Print strObjectType
End Select
Exit Sub
ErrH:
Debug.Print "[ERROR] " & Err.Number & " - " & Err.Description
Resume Next
End Sub


OnPostBackupProject

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPostBackupProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnPostBackupProject(String bsGuid, String bsName,String bsFile,Boolean bSuccess) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPostBuild

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPostBuild

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when the runtimefiles for a project were built.

Datatype

OnPostBuild(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPostBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' are created!"
End Sub


OnPostRestoreProject

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPostRestoreProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnPostRestoreProject(String bsGuid, String bsName,String bsFile,Boolean bSuccess) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPostTransport

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPostTransport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when the runtimefiles have been transported to a remote pc.

Datatype

OnPostTransport(Project obProject, Boolean bSuccess) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Boolean return value, returns true if the transport was successfully.

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

bSuccess As Boolean

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPostTransport(ByVal obProject As IProject, ByVal bSuccess As Boolean)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' were transported succesfully (" & bSuccess & ")!"
End Sub


OnPostVSTAUpdate

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPostVSTAUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnPostVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreBackupProject

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreBackupProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnPreBackupProject(String bsGuid, String bsName,String bsFile) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreBuild

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreBuild

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when the runtimefiles for a project will be built.

Datatype

OnPreBuild(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPreBuild(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be created!"
End Sub


OnPreProjectUnload

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreProjectUnload

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnPreProjectUnload(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreRestoreProject

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreRestoreProject

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnPreRestoreProject(String bsGuid, String bsName,String bsFile) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreTransport

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreTransport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when the runtimefiles should be transported to a remote pc.

Datatype

OnPreTransport(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

Returns an object of type Project

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

obProject As Project

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnPreTransport(ByVal obProject As IProject)
Debug.Print "Runtimefiles for project '" & obProject.Name & "' will be transported!"
End Sub


OnPreVSTADebugStart

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreVSTADebugStart

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTADebugStop

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreVSTADebugStop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnPreVSTADebugStop() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnPreVSTAUpdate

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnPreVSTAUpdate

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnPreVSTAUpdate() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnProjectLoaded

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnProjectLoaded

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

This event is fired, when a project was loaded.

Datatype

OnProjectLoaded(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRTConnect

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnRTConnect

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnRTConnect(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRTConnectionFailed

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnRTConnectionFailed

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnRTConnectionFailed(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnRTConnectionTerminated

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnRTConnectionTerminated

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnRTConnectionTerminated(Project obProject) As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStart

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnVSTADebugStart

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnVSTADebugStart() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnVSTADebugStopped

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnVSTADebugStopped

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnVSTADebugStopped() As void

Availability

Environment | Available
Editor | not used
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnWorkspaceExit

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnWorkspaceExit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnWorkspaceExit() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax


OnWorkspaceStartup

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> ZenWorkspace-Events -> OnWorkspaceStartup

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarks

Datatype

OnWorkspaceStartup() As void

Availability

Environment | Available
Editor | available
Runtime | not used
VBA | yes
VSTA | yes

Parameters

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

VBA-Syntax

Examples

C#

C#-Syntax

VB.NET

VB.NET-Syntax

VBA

Private Sub ZenWorkspace_OnWorkspaceStartup()
If GetAsyncKeyState(VK_LSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetAsyncKeyState(VK_RSHIFT) <> 0 Then
SaveSetting "zenOn", "StartupScreen", "ShowOnStartup", "YES"
End If
If GetSetting("zenOn", "StartupScreen", "ShowOnStartup", "YES") = "YES" Then
frmStartup.Show
End If
'check vba references...
Call CheckVBAReferences
End Sub


CSystemModelGroup-Dynproperties-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> CSystemModelGroup-Dynproperties-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Guid | - |
VT_BSTR | Name | Nom | Nom du groupe. Attribué automatiquement avec une numérotation consécutive lors de la création, et peut être modifié à volonté. Par défaut : GroupX (X représente un nombre défini de manière consécutive) Plus de détails dans l'aide en ligne
CSystemModelGroup-Dynproperties | SystemModelGroup-Dynproperties | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CSystemModelGroup-Dynproperties-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> CSystemModelGroup-Dynproperties-ZT_Knoten -> CSystemModelGroup-Dynproperties-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
VT_BSTR | Guid | - |
VT_BSTR | Name | Nom | Nom du groupe. Attribué automatiquement avec une numérotation consécutive lors de la création, et peut être modifié à volonté. Par défaut : GroupX (X représente un nombre défini de manière consécutive) Plus de détails dans l'aide en ligne
CSystemModelGroup-Dynproperties | SystemModelGroup-Dynproperties | Groupes d'équipements | Lie l'élément à un modèle d'équipement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue permettant de sélectionner un groupe d'équipements. Plus de détails dans l'aide en ligne.


CVarStatusSW-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> CSystemModelGroup-Dynproperties-ZT_Knoten -> CVarStatusSW-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_VARIABLE | Variable | - | Cette propriété vous permet d'obtenir/de définir l'ordre des éléments texte des listes AML/CEL.
VT_BSTR | VarName | Nom | Variable
VT_BSTR | VarTagName | Identification | Identification
VT_BSTR | VarUnit | Unité | Unité
VT_BSTR | Minimum | Minimum | Minimum
VT_BSTR | SetValue | Valeur prescrite | Valeur prescrite
VT_BSTR | Maximum | Maximum | Maximum
VT_BSTR | IsValue | Valeur actuelle | Valeur actuelle
VT_BSTR | Status | Etats | États
VT_BSTR | Timestamp | Date/heure | Date/heure


CD_CZeitFilter-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> CSystemModelGroup-Dynproperties-ZT_Knoten -> CD_CZeitFilter-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_DATETIME | ARVTime1 | - | Propriétés de l'image d'arrière-plan de l'entrée de menu.
ZT_DATETIME | ARVTime2 | - | Propriétés de consignation dans la liste chronologique d'événements (CEL).
VT_UI2 | Options | - | Macro VBA devant être exécutée lorsque le curseur est placé sur l'élément pendant que le bouton gauche est enfoncé.
VT_UI2 | BoxType | - | Contient des informations, par ex. si la fonction var est utilisée pour déterminer une somme (comme dans la réduction de données)
VT_UI2 | TimeFormat | - | Propriétés du cadre du modèle.
VT_UI2 | AddLen | - | Propriétés de l'image d'arrière-plan du modèle.
VT_UI4 | Length | - | Disponible uniquement dans SAT230
VT_UI4 | Offset | - | Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser un objet.
VT_BSTR | ResString | - | Propriétés de clignotement de l'élément.
CD_CChargenFilter | ChargeFilter | - | Cette propriété vous permet d'obtenir/de définir l'état d'un bit source dans la liste de routage des états.
VT_BOOL | ModifyTimePeriod | - | Description sous forme de texte.


CRelPicItem-ZT_Knoten

Manuels -> Interfaces de programmation -> Modèles d'objet -> ZenWorkspace -> CSystemModelGroup-Dynproperties-ZT_Knoten -> CRelPicItem-ZT_Knoten

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Type | VBA/VSTA Name | Display Name | Description
ZT_PICTURE | RelatedPicture | Synoptique pour filtre horaire |


Licence

Manuels -> Licence

Pour pouvoir utiliser zenon en tant qu'éditeur et/ou Runtime, vous devez disposer d'une licence pour le produit. zenon s'exécute en mode démo jusqu'à ce qu'il dispose d'une licence.

Pour vous procurer une licence pour zenon :

  1. Sélectionnez Démarrer -> Tous les programmes -> COPA-DATA -> Licences 7.00

    Ou :

    Dans l'Éditeur de zenon, sélectionnez Fichier -> Configuration générale -> Licence du produit...

  2. La boîte de dialogue de saisie des informations de la licence s'ouvre.
  3. Sélectionnez Éditeur/Runtime de zenon
  4. Saisissez le numéro de série et le numéro d'activation

    Vous trouverez les informations à ce sujet :

    • Sur votre certificat de licence
    • Sur l'autocollant de la licence
    • Dans le fichier de licence License.txt

      Chemin dans Vista/7/8 : C:\Users\Public\Documents\zenon_Projects\

    Remarque : tenez compte de l'utilisation des minuscules et majuscules lors de la saisie des données !

  5. Après le redémarrage de l'Éditeur/du Runtime, utilisez zenon avec la licence saisie.

Boîte de dialogue de gestion des licences

Paramètres | Description
Éditeur/Runtime | Actif : la licence est valide pour l'Éditeur de zenon et/ou le Runtime de zenon.
Serveur Web | Actif : la licence est valide pour le serveur Web de zenon.
Analyzer | Actif : la licence est valide pour le module zenon Analyzer.
Numéro de série | Numéro de série de la licence. Si une licence est déjà disponible, le numéro de licence correspondant est affiché ici.
Numéro d'activation : | numéro d'activation de la licence. Si une licence est déjà disponible, le numéro d'activation correspondant est affiché ici.
OK | Importer les données et exécuter zenon avec cette licence lors du prochain démarrage du programme.
Annule | Annuler la saisie et utiliser zenon avec la licence précédente ou sans licence.
Request soft license (Demander une licence logicielle) | Ouvre la boîte de dialogue permettant de demander une licence logicielle.

Autres sujets abordés dans ce chapitre

Mode démo

Information sur la version

Définir la taille appropriée pour la licence

Types de licence

Paramètres de la ligne de commande de l'outil de gestion des licences

Gestion à distance des licences

Caractéristiques du fonctionnement serveur-client


Mode démo

Manuels -> Licence -> Mode démo

Si vous n'avez pas défini de licence dans l'éditeur, il tourne en mode démo. Le Runtime s'exécute en mode démo s'il ne comporte pas de licence.

Mode démo

Conditions

Éditeur :

L'Éditeur démarre :

  • les 40 premières fois, il fonctionne pendant 30 minutes.
  • Du 41ème au 50ème démarrage : 20 minutes
  • À partir du 51ème démarrage : 10 minutes

Runtime :

un Runtime ne disposant pas d'une licence fonctionnera pendant 30 jours ou 40 démarrages, selon la première des échéances.

À partir du 41ème démarrage ou du 31ème jour, le Runtime fonctionnera pendant 10 minutes seulement.

L'utilisateur est informé que le Runtime fonctionne en mode démo au démarrage de celui-ci.

Remarque : le comportement de la version sans licence concerne également le Workbench et le Runtime, zenon Logic.


Information sur la version

Manuels -> Licence -> Information sur la version

Vous pouvez consulter la licence actuellement utilisée, ainsi que les modules inclus dans la licence sur l'écran d'accueil affiché au démarrage de zenon, ou après avoir cliqué sur Info on... (Informations sur...) dans le menu Aide.

Paramètres | Description
Version de l'Éditeur | Numéro de version de l'Éditeur.
Numéro de série | Numéro de série de la licence.
Numéro d'activation : | numéro d'activation de la licence.
Expiration time (Heure d'expiration) (facultative) | Informations concernant la date d'expiration de la licence pour les licences limitées.
Champ contenant les modules : | Informations concernant le module comportant une licence.

Dans le menu Aide, l'entrée A propos ouvre une boîte de dialogue qui offre des informations concernant la version et la licence de zenon.


Définir la taille appropriée pour la licence

Manuels -> Licence -> Définir la taille appropriée pour la licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les licences pour l'éditeur et le Runtime sont calculées en ajoutant les identifiants ou les E/S requis.

Calcul via les identifiants

1 identifiant égale 1 variable. Pour déterminer la taille de la licence, tenez compte du nombre total d'identifiants (= variables) des drivers suivants :

  • Drivers d'automates et drivers de bus

Les variables des drivers suivants ne comptent pas :

  • Driver interne
  • Driver système
  • Driver mathématique
  • Driver de simulation

Vous pouvez obtenir des licences pour les identifiants pour l'éditeur et le Runtime sur la base des volumes suivants :

  • 64 identifiants
  • 128 identifiants
  • 256 identifiants
  • 512 identifiants
  • 1 024 identifiants
  • 2 048 identifiants
  • 4 096 identifiants
  • 8 192 identifiants
  • 16 384 identifiants
  • 65 636 identifiants
  • illimités

Une mise à jour de la licence vers un nombre d'identifiants supérieur est toujours possible ultérieurement.

Calcul via les E/S

Le calcul de la licence peut également être effectué en fonction des E/S. Pour déterminer la taille de la licence, tenez compte du nombre total d'E/S des drivers suivants :

  • Drivers d'automates et drivers de bus

Les variables des drivers suivants ne comptent pas :

  • Driver interne
  • Driver système
  • Driver mathématique
  • Driver de simulation

Calcul

Type de données | Équivalence
1 bit | 1 E/S
1 octet | 8 E/S
1 variable WORD | 16 E/S
1 variable DWORD | 16 E/S
1 flottant | 16 E/S
1 string (max. 64 caractères) | 16 E/S

Selon le driver sélectionné, vous pouvez ne pas trouver le type souhaité dans la liste. Certains drivers comportent une dénomination spécifique des types de données. Vous trouverez plus d'information dans la documentation du driver que vous utilisez. Les documentations sur les drivers sont disponibles dans l'aide en ligne dans la partie Drivers ou sous forme de fichiers PDF sur le CD/DVD ou sur le site web www.copadata.com.

Example Exemple

96 valeurs binaires et 20 valeurs numériques sont visualisées dans zenon :

Multipliez les 20 valeurs numériques par 16 pour obtenir 320 E/S. Ajoutez celles-ci aux 96 valeurs binaires. Le résultat donne 416 E/S, qui sera la base pour la taille de la licence.

Affichage dans zenon

Dans la ligne d'état de l'affichage détaillé des variables, les informations suivantes peuvent être affichées :

  • Combien d'E/S sont actuellement utilisées.
  • Combien d'E/S sont disponibles dans la licence.

Exemple :

  • 3799/550/1: 3799 entrées existent, 550 seulement sont montrées à cause d'un filtre, et une seule entrée est sélectionnée.
  • Pour un projet avec 22730 points, un nombre illimité d'E/S est défini dans la licence.


Types de licence

Manuels -> Licence -> Types de licence

Vous pouvez obtenir une licence pour zenon de différentes manières :

  • Licence logicielle : demande un numéro d'identification unique pour le PC lors du démarrage de l'Éditeur ou du Runtime.
    Caractéristiques :
    • La licence ne peut pas être volée.
    • La licence est liée à l'ordinateur.
    • Pratique pour les PC portables.
  • Licence par dongle : recherche un dongle matériel sur un port parallèle ou un port USB au démarrage de l'Éditeur ou du Runtime.

    Les dongles sont disponibles sous les formes suivantes :

    • Dongle pour poste de travail :
    • Dongle réseau : un certain nombre de licences est défini sur un dongle central connecté au réseau ; ces dongles peuvent être utilisés simultanément, sous la forme de licences concomitantes.

    Caractéristiques du dongle :

    • Facile à utiliser.
    • Une licence peut être transférée d'un PC à l'autre en déplaçant simplement le dongle.
    • Pas de problèmes liés aux défaillances de disques durs.

info Info

Si aucune licence n'est attribuée (ou si toutes les licences sont attribuées) sur le réseau, l'Éditeur ou le Runtime démarre en mode démo.

Autres sujets abordés dans ce chapitre

Licence logicielle

Licence par dongle


Licence logicielle

Manuels -> Licence -> Types de licence -> Licence logicielle

La licence logicielle attribue une identification unique à un ordinateur. Dans ce cas, certains composants de l'ordinateur sont examinés. Cette licence fonctionne toujours uniquement sur un ordinateur particulier. Si elle doit être transférée vers un autre ordinateur ou un nombre trop élevé de composants sont remplacés sur l'ordinateur comportant la licence, il est nécessaire d'obtenir une nouvelle licence.

Pour obtenir une licence logicielle :

  1. Dans le menu Fichier, sélectionnez : General configuration (Configuration générale) -> Licence du produit.
  2. La boîte de dialogue de gestion des licences s'ouvre.
  3. Cliquez sur Request soft license (Demander une licence logicielle).
  4. Saisissez le numéro de série du produit.
  5. Cliquez sur License request for soft licensing (Demander une licence logicielle).
  6. Saisissez vos coordonnées.
  7. Il existe deux possibilités pour transmettre vos coordonnées :
    1. Automatique
    • Sélectionnez l'organisation COPA-DATA de votre choix à l'aide du bouton Send to (Envoyer à).
    • Lorsque vous cliquez sur OK, la demande de licence vous est transmise par votre programme de messagerie.
    • Le bouton Imprimer permet d'imprimer votre exemplaire ou de l'envoyer à un fax connecté
    1. manuellement
    • Cliquez sur le bouton Terminer.
    • La demande de licence est enregistrée sous forme de fichier texte ? une fenêtre d'informations vous informe sur le nom et l'emplacement de la sauvegarde.
    • Le fichier est automatiquement ouvert dans l'Éditeur de texte.
    • Transmettez le fichier par e-mail ou par fax à votre partenaire commercial.

Dès que vous avez reçu les informations concernant votre licence, ouvrez à nouveau la boîte de dialogue de gestion des licences et saisissez votre numéro d'activation.


Licence par dongle

Manuels -> Licence -> Types de licence -> Licence par dongle

La gestion des licences de dongle permet de connecter un dongle directement à l'ordinateur, pour une licence d'espace de travail individuelle, ou à un ordinateur connecté en réseau, pour une licence en réseau. zenon utilise deux systèmes de dongle :

  • Clé Wibu Key
  • CodeMeter

Les deux systèmes sont automatiquement inclus dans l'installation de zenon. Les utilisateurs travaillant déjà avec un dongle Wibu Key continuent à recevoir des licences pour leurs dongles Wibu Key.

En règle générale, il n'est pas nécessaire de définir d'autres paramètres pour les dongles utilisés localement. L'utilisation de dongles en réseau peut nécessiter une configuration spécifique. Vous trouverez ces configurations dans le logiciel du dongle correspondant. Pour plus de détails, reportez-vous aux chapitres Wibu Key et CodeMeter.

Autres sujets abordés dans ce chapitre

Clé Wibu-Key

CodeMeter


Clé Wibu-Key

Manuels -> Licence -> Types de licence -> Licence par dongle -> Clé Wibu-Key

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une clé Wibu-Key peut être utilisée sur un poste de travail unique ou sur un réseau. La clé USB doit être active dans un port USB ou un port parallèle de l'ordinateur local, ou en tant que serveur sur un ordinateur connecté au réseau.

Pour contrôler les paramètres du dongle :

  1. Ouvrez l'interface de contrôle du système.
  2. Ouvre la clé Wibu-Key.
  3. Sélectionnez le dongle à tester sur l'ordinateur local ou sur le réseau.

    Pour afficher la liste des clés Wibu-Key sur le réseau, cliquez sur le bouton Read in (Acquisition).

  4. Assurez-vous que le numéro affiché dans la deuxième colonne de la deuxième ligne est identique au premier numéro d'identification du dongle.

Vous pouvez en apprendre davantage sur le fonctionnement du dongle au chapitre dongle réseau.

Autres sujets abordés dans ce chapitre

Dongle réseau


Dongle réseau

Manuels -> Licence -> Types de licence -> Licence par dongle -> Clé Wibu-Key -> Dongle réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser une clé Wibu Key en tant que dongle en réseau, vous devez correctement configurer le serveur et le client :

  • Configuration du serveur
  • Configuration du client

attention Attention

La clé Wibu Key utilise le port 22347. Ce port est fixe et ne peut pas être modifié. Remarque :

  • si vous utilisez un pare-feu autre que celui intégré au système d'exploitation Windows, ce port doit être ouvert si vous souhaitez utiliser la clé Wibu Key en tant que dongle en réseau.

Autres sujets abordés dans ce chapitre

Configurer le serveur

Configurer un client


Configurer le serveur

Configurer le serveur

Le serveur Wibu-Key doit tourner sur le serveur avec le dongle. Le serveur Wibu-Key peut être configuré soit comme une application, soit comme un service.

Lors de l'installation du logiciel Wibu-Key, les options

Serveur de réseau 32 Bit WkNet/WkLAN

Installer comme Service NT avec démarrage automatique

doivent être activées, afin que le serveur Wibu-Key soit installé comme un service (recommandé).

Pour démarrer le serveur Wibu-Key comme une application, un raccourci vers le fichier WkSvW32.exe doit être créé dans le démarrage Windows.

Le fichier se trouve dans le dossier C:\Program files\WIBU-KEY\Server\.


Configurer un client

Configurer un client

Certains paramètres réseau doivent être définis avec le panneau de configuration sur le poste client. Avec l'outil Wibu-Key, vous pouvez sélectionner le type d'accès réseau que vous voulez utiliser dans la section Sous-systèmes Wibu-Key. Il faut utiliser WkLan.

Sous "Nom/adresse IP du serveur", donnez le nom du serveur ou son adresse IP ou un masque d'adresse IP. Avec le bouton "Rechercher", la liste est mise à jour avec les serveurs de dongle trouvés.

Les entrées sont utilisées dans l'ordre de la liste et peuvent être combinées.

Si la première entrée est un serveur, le système vérifie si le service de gestion de dongle tourne sur ce PC et si le dongle est bien connecté. Si aucun dongle n'est trouvé et si l'entrée suivante est un masque, le système essaie de trouver un dongle sur tous les PC du réseau répondant à ce masque.

Dans l'onglet Contenu, les serveurs sur lesquels les dongles ont été trouvés sont montrés.


CodeMeter

Manuels -> Licence -> Types de licence -> Licence par dongle -> CodeMeter

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

CodeMeter peut être utilisé sur un poste de travail unique ou sur un réseau. Le dongle USB CodeMeter doit être active dans un port USB de l'ordinateur local, ou en tant que serveur sur un ordinateur connecté au réseau. Le dongle doit disposer de la version 1.16 du firmware ou d'une version ultérieure.

attention Attention

Si le dongle est retiré en cours d'utilisation, l'éditeur se ferme. L'éditeur s'ouvre ensuite en mode démo, jusqu'à ce qu'une licence valide soit à nouveau reconnue.

Pour configurer la licence de CodeMeter, démarrez l'application d'administration CodeMeter Control Center via : Bureau Windows -> Démarrer -> Tous les programmes -> CodeMeter -> CodeMeter Control Center.

CodeMeter Control Centre s'ouvre et affiche 3 onglets :

licence contient des informations concernant les dongles détectés.

Événements : affiche le nombre de dongles connectés, les entrées de licence, les éléments de firmware détectés et tous les accès disponibles au serveur de Runtime CodeMeter. Pour procéder à la journalisation des entrées sur une base permanente, activez l'entrée Journalisation du menu Fichier.

Attribution : configure l'attribution des licences.

Licence

Paramètre | Description
Licence | Affiche la liste de tous les dongles CodeMeter actifs.
Nom | Nom individuel du dongle sélectionné ? peut être attribué à l'aide du bouton affiché à droite du nom.
Serial no. (No. de série) | Numéro de série du dongle sélectionné.
Version | Version du firmware du dongle sélectionné.
États | État du dongle CodeMeter sélectionné.
Désactivé | Le dongle connecté est désactivé et ne peut être utilisé par aucune application.
Activates when connected (Activé lors de la connexion) | Le dongle est activé tant qu'il est connecté ? il est automatiquement désactivé lorsqu'il est déconnecté du PC.
Activated (Actif) | Le dongle est entièrement activé et reste actif après avoir été déconnecté. État recommandé : veille à ce que les personnes non autorisées n'aient pas accès aux licences et données personnelles (telles que l'application CmPasswordManager) en cas de perte du dongle.
Mise à jour de la licence | Démarre l'assistant permettant d'ajouter, modifier et supprimer des licences.
Éjecter | Permet d'éjecter le dongle.
Modifier mot de passe | Permet de modifier le mot de passe.
CodeMeter has been started/stopped (CodeMeter a été démarré/arrêté) | Informations concernant l'exécution du service CodeMeter. Peuvent être modifiées dans le menu Action.
WebAdmin | Démarre le navigateur Web et affiche l'interface d'administration utilisateur pour les dongles réseau. Le port 22350 doit être ouvert à cette fin ? pour plus de détails, reportez-vous au chapitre concernant l'administration réseau.

Autres sujets abordés dans ce chapitre

Mettre à jour l'heure certifiée

Administration du réseau

Demander une licence

Adaptation des licences

Dépannage


Mettre à jour l'heure certifiée

Manuels -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Mettre à jour l'heure certifiée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez effectuer une mise à jour de l'heure certifiée enregistrée sur le dongle via le serveur d'horloge CodeMeter. Pour cela, vous devez disposer d'une connexion active à Internet.

Pour mettre l'heure à jour :

  1. Démarrez l'interface WebAdmin de CodeMeter.
  2. Contrôlez les paramètres réseau :
    1. Les paramètres du proxy sont-ils corrects dans l'interface WebAdmin de CodeMeter ?
    2. Vos informations d'accès sont-elles à jour ?
  3. Accédez au menu Contents (Contenu) -> CMStick.
  4. Cliquez sur le bouton Mettre à jour.
  5. Le programme vous informe que tous les dongles ont été mis à jour.
  6. Cliquez sur OK.
  7. Vous recevez ensuite des informations concernant la mise à jour effectuée. En cas de message d'erreur, vous devez d'abord contrôler vos données d'accès.


Administration du réseau

Manuels -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Administration du réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour l'administration réseau, démarrez l'interface utilisateur WebAdmin en cliquant sur le bouton WebAdmin dans l'application CodeMeter Control Center. Des informations détaillées concernant les paramètres individuels sont disponibles dans les pages d'aide de l'interface WebAdmin de CodeMeter. Vous pouvez y accéder par le biais du bouton Aide de l'interface WebAdmin. Les options et instructions essentielles figurent également dans ce document :

  • Administration des dongles CodeMeter
  • Administration des licences
  • Enregistrement des données de licence
  • Paramétrages réseau
  • Paramètres du proxy

attention Attention

L'interface WebAdmin de CodeMeter utilise le port 22350. Remarque :

  • si un pare-feu autre que le pare-feu intégré au système d'exploitation Windows est utilisé, ce port doit être ouvert.
  • Si le port est modifié, il est impossible de démarrer l'interface WebAdmin, car le port forme partie de l'adresse – par exemple : http://localhost:22350/Content.html?BoxSerial=2-1355435

    Dans ce cas, utilisez des outils logiciels gratuits ou les outils Windows standard pour déterminer le port actuellement utilisé, et saisissez cette adresse dans la ligne d'adresse des navigateurs, à la place de la valeur 22350. Ensuite, définissez le numéro de port à 22350 dans l'interface WebAdmin.

Autres sujets abordés dans ce chapitre

CodeMeter sticks

Licences

Réseau et proxy


CodeMeter sticks

CodeMeter sticks

WebAdmin démarre dans la vue Contents/CMStick (Contenu/CMStick).

Ici, vous pouvez sélectionner le dongle de votre choix dans une liste déroulante et en afficher les données et l'état, conformément à la configuration de l'application Control Center.

Paramètre

Description

CMStick

Liste déroulante des dongles reconnus.

Nom

Affiche le nom défini dans l'application Control Center.

Matériel

Version matérielle du dongle.

First drive (Premier lecteur)

Informations concernant le lecteur du dongle ? les tailles des lecteurs sont uniquement fournies pour les dongles pourvus d'une mémoire flash.

États

État d'activation défini dans l'application Control Center.

Certified time (Temps certifié)

Le temps certifié enregistré sur le dongle. Cette valeur peut être mise à jour à l'aide du bouton Update (Mettre à jour).

Remarque : pour mettre le serveur d'horloge CodeMeter à jour, vous devez disposer d'une connexion Internet active. Assurez-vous que les paramètres réseau sont corrects, plus particulièrement au regard des données d'accès actuelles.

Box time (Heure du dongle)

Heure interne enregistrée sur le dongle.

System time (Heure système)

Heure locale sur le serveur de Runtime CodeMeter.

Mémoire disponible

Mémoire libre disponible sur le dongle. Pour défragmenter la mémoire, cliquez sur le bouton Defragment (Défragmenter).


Licences

Licences

La gestion des licences s'effectue dans l'onglet Licences du menu Contents (Contenu).

  • Sélectionnez le dongle souhaité dans la liste déroulante.
  • Vous trouverez des informations concernant les licences de ces dongles sous l'en-tête Ing. Punzenberger COPA-DATA GmbH.

Paramètres | Description
Product Code (Code produit) | Valeur numérique du produit. Cliquez sur le numéro pour afficher les détails correspondants.
Nom | Ing. Punzenberger COPA-DATA GmbH.
Usage units (Unités d'utilisation) | Le cas échéant, affiche les unités d'utilisation restantes.
Expiration date (Date d'expiration) | Le cas échéant, affiche la date d'expiration. zenon bascule en mode de démonstration à ce stade.
Activation date (Date d'activation) | Le cas échéant, affiche la date d'activation. zenon bascule en mode de démonstration à ce stade.
Number of licenses (Nombre de licences) | Nombre total de licences.
  • Cliquez sur le nombre affiché dans la colonne Product Code (Code produit) pour plus de détails.

Paramètres | Description
Dongle number (Numéro de dongle) | Doit correspondre au numéro du dongle actif.

Limites horaires

Un dongle peut également comporter une limite de temps :

  • Expiration date (Date d'expiration)
  • Time period for use (Délai d'utilisation)

Expiration date (Date d'expiration)

Le dongle comporte une date d'expiration.

Dans l'onglet Licences du menuContents (Contenu), la date d'expiration est indiquée dans la colonne Expiration date (Date d'expiration), avec la date et l'heure au format UTC.

Time period for use (Délai d'utilisation)

Le dongle comporte un délai d'utilisation spécifique. Celui-ci démarre à la première utilisation de l'Éditeur ou du Runtime zenon. Pour contrôler la limite de temps :

  • Accédez à l'onglet Licences du menu Contents (Contenu).
  • Cliquez sur l'entrée sous Ing. Punzenberger COPA-DATA GmbH sur le nombre affiché dans la colonne Product Code (Code produit).
  • La fenêtre Product Item Details (Détails du produit) s'affiche à l'écran.
  • Vous pouvez consulter la durée et la date de démarrage de la licence au format UTC dans la ligne Usage period (Période d'utilisation).


Réseau et proxy

Réseau et proxy

Des paramètres réseau corrects sont essentiels au démarrage de l'interface WebAdmin et à l'établissement de communications sans incident avec un dongle réseau.

Paramètre

Description

Network Address (Adresse réseau)

Sélectionnez une adresse IP à laquelle le serveur de Runtime CodeMeter doit se connecter.

Standard : All (Toutes).
La connexion est établie au premier serveur de Runtime CodeMeter détecté.

Le choix d'une adresse définie est principalement nécessaire si l'ordinateur fonctionne comme serveur de licence en réseau et comporte plusieurs
cartes réseau.

Port réseau

Port des communications CodeMeter sur le réseau.

Standard : 22350

La valeur peut être ajustée individuellement. Dans ce cas, vous devez veiller à ce que tous les serveurs de Runtime CodeMeter utilisent le même port.

Recommandation : ne pas modifier le port.

UDP response time (Délai de réponse UDP)

Le délai de réponse maximal à une demande UDP.

Standard : 1000 millisecondes.

Démarrer en tant que serveur

Actif : L'ordinateur devient un serveur de réseau CodeMeter et met toutes ses licences à disposition sur le réseau.

Liste de recherche de serveurs

Ici, vous pouvez définir des serveurs de réseau CodeMeter spécifiques en saisissant les noms ou adresses IP des ordinateurs. Dans ce cas, seuls les serveurs définis dans la liste sont parcourus. De cette manière, les demandes provenant de clients sont dirigées vers un serveur de réseau CodeMeter défini.

Remarque : si un serveur CodeMeter se trouve sur un sous-réseau différent, utilisez l'adresse IP dans la liste de recherche.

Cette liste de recherche doit uniquement être utilisée si le dongle CM est introuvable sur le réseau.

Paramètres du proxy

Pour accéder aux services CodeMeter sur Internet (tels que le serveur d'horloge), saisissez ici l'adresse d'accès applicable à votre entreprise.

attention Attention

CodeMeter tient compte de ces données d'accès. Si vous modifiez régulièrement votre mot de passe d'accès, vous devez également modifier cette information dans les paramètres de proxy de l'interface WebAdmin de CodeMeter !


Demander une licence

Manuels -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Demander une licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour effectuer une demande ou une mise à jour de licence pour CodeMeter, cliquez sur le bouton Update license (Mettre la licence à jour) dans l'onglet Licences de l'application Control Center de CodeMeter. L'assistant de mise à jour de la licence démarre :

Décidez si vous souhaitez :

  • Demander une licence
  • Saisir une mise à jour de licence
  • Créer une demande pour COPA-DATA

Demande de licence

Avec les demande de licences, vous pouvez :

  • Etendre une licence COPA-DATA existante
  • Créer une nouvelle licence COPA-DATA

  • Pour ajouter une autre licence COPA-DATA :
    • Sélectionnez Ing. Punzenberger COPA-DATA GmbH.
  • Pou créer une nouvelle licence COPA-DATA :
    • saisissez le code CodeMeter FirmCode que vous avez reçu de COPA-DATA.
  • Sélectionnez un emplacement de sauvegarde pour votre demande de licence.


Adaptation des licences

Manuels -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Adaptation des licences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez à tout moment adapter la portée de vos licences à vos projets et votre utilisation du Runtime. Pour cela :

  1. Commandez la modification souhaitée auprès de COPA-DATA
  2. Vous recevrez un fichier *. WibuCmRaU pour votre dongle.
  3. Installez-le :
    1. Soit en double-cliquant sur le fichier
    2. Soit en faisant glisser l'icône du fichier vers le centre de contrôle CodeMeter
  4. Vous recevrez un message vous informant de la réussite de la mise à jour de votre licence.

    Si vous recevez le message d'erreur 229, la licence sur le dongle est déjà à jour

Pour demander une licence, vous devez créer un fichier .WibuCmRaC ou installer le fichier .WibuCmRaC manuellement avec la mise à jour ; suivez les instructions fournies au chapitre Mise à jour manuelle de la licence.

Autres sujets abordés dans ce chapitre

Demander une licence ou mettre une licence à jour


Demander une licence ou mettre une licence à jour

Manuels -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Adaptation des licences -> Demander une licence ou mettre une licence à jour

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Demander une licence ou mettre une licence à jour

Pour mettre votre licence à jour manuellement :

  1. Créez un fichier .WibuCmRaC
  2. Envoyez le fichier à COPA-DATA
  3. Vous recevrez un fichier .WibuCmRaU mis à jour
  4. Copiez celui-ci vers le dongle

Créez un fichier WibuCmRaC

  1. Assurez-vous que le dongle CodeMeter est connecté à votre PC.
  2. Ouvrez le centre de contrôle CodeMeter, par exemple en sélectionnant Démarrer -> Programmes -> CodeMeter -> CodeMeter Control Center
  3. Sur l'onglet Licence, cliquez sur le bouton Update License (Mettre la licence à jour)
  4. L'assistant de mise à jour de la licence démarre
  5. Cliquez sur Suivant.

  6. Sélectionnez Create license (Créer une licence), puis cliquez sur Suivant.

  7. Sélectionnez Enhance existing license (Améliorer une licence existante)
  8. Cliquez sur Suivant

  9. Dans la boîte de dialogue suivante, cliquez à nouveau sur Suivant
  10. Sélectionnez l'emplacement du fichier .WibuCmRaC souhaité
  11. Cliquez sur Appliquer.
  12. Le fichier .WibuCmRaC est créé
  13. Envoyez le fichier à sales@copadata.com

Installez le fichier WibuCmRaU

Vous recevrez un fichier .WibuCmRaU mis à jour de COPA-DATA.

Installez le fichier en double-cliquant sur le fichier sur le dongle.

Vous pouvez également procéder ainsi :

  1. Ouvrez le centre de contrôle CodeMeter
  2. Sélectionnez Installer la mise à jour de la licence
  3. Suivez les instructions de l'assistant d'installation


Dépannage

Manuels -> Licence -> Types de licence -> Licence par dongle -> CodeMeter -> Dépannage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Erreurs

Solution

zenon s'exécute uniquement en mode de démonstration.

Vérifiez les éléments suivants :

  • Vos licences
  • La connexion au dongle réseau
  • La saisie correcte des informations (SERIAL7= et ACTIVATIONKEY7=) concernant la licence dans le fichier zenon6.ini. Faites attention à ne pas insérer d'espaces après le numéro de série (SERIAL7=) et la clé d'activation (ACTIVATIONKEY7=).
    Chemin du fichier zenon6.ini :
    Vista/7/8 : C:\ProgramData\COPA-DATA\System

Le dongle est introuvable.
  • Contrôlez les paramètres réseau.
  • Si le dongle se trouve sur un autre domaine, ajoutez-le à la liste des serveurs.
  • Augmentez le délai de réponse UDP.

L'heure certifiée ne peut pas être mise à jour.

Vérification :

  • Les paramètres de proxy, particulièrement les données d'accès et le mot de passe.
  • Liste des serveurs d'heure sous Paramètres -> Time server (Serveur d'horloge)
    , par exemple : cmtime.codemeter.com, cmtime.codemeter.de, cmtime.codemeter.fr, cmtime.codemeter.us.

Messages d'erreur lors de la mise à jour de la licence :

Erreur lors de la mise à jour de CmSticks x-xxxxxxx :
This update can no longer be read in. The content of the CmStick has a newer version, error229 (Cette mise à jour ne peut plus être lue. Le contenu de CmStick présente une version plus récente, erreur 229).

La mise à jour de cette licence a déjà été écrite sur le dongle. Le dongle est à jour.

Le système d'exploitation Windows affiche le message :

Mémoire faible !

Le dongle est identifié comme un lecteur local. Dans certains cas, le système d'exploitation peut indiquer que la quantité de mémoire disponible sur le dongle est insuffisante.

Ce message peut être ignoré.

Le dongle peut également être configuré en tant que média amovible. Pour plus de détails concernant la configuration, reportez-vous au chapitre Configuration du dongle en tant que périphérique de stockage amovible.

Autres sujets abordés dans ce chapitre

Configuration du dongle en tant que média amovible


Configuration du dongle en tant que média amovible

Configuration du dongle en tant que média amovible

Par défaut, le dongle est intégré au système sous forme de lecteur de données local. Dans certains cas, le système d'exploitation peut indiquer que la quantité de mémoire disponible sur le dongle est insuffisante. Dans ce cas, le dongle peut également être configuré en tant que média amovible.

attention Attention

La configuration du dongle en tant que média amovible offre les avantages suivants :

  • Le dongle apparaît en tant que lecteur dans la barre des tâches et peut être retiré (éjecté) à tout instant.
  • Le démarrage de l'ordinateur peut être évité, si l'ordinateur concerné peut être lancé depuis un lecteur USB

Configuration du dongle CodeMeter en tant que support amovible

Pour modifier la configuration du dongle de lecteur local en média amovible :

  1. Accédez au dossier C:\Program Files (x86)\CodeMeter\Tools\CmConfigDisk dans l'Explorateur Windows
  2. Démarrez le programme CmConfigDisk.exe

  3. Sélectionnez le dongle souhaité
    (le programme affiche uniquement les dongles installés localement)
  4. Ouvrez l'onglet Options.

  5. Dans la propriété Type de disque, double-cliquez sur l'entrée Disque local
  6. Une liste déroulante s'affiche
  7. Sélectionnez l'entrée Disque amovible
  8. Cliquez sur le bouton Appliquer les modifications.
  9. Retirez le dongle, puis connectez-le à nouveau à l'ordinateur.

Le dongle est maintenant configuré en tant que support amovible.


Paramètres de la ligne de commande de l'outil de gestion des licences

Manuels -> Licence -> Paramètres de la ligne de commande de l'outil de gestion des licences

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'outil de gestion des licences peut être contrôlé par l'utilisation des paramètres suivants :

Passer un paramètre se fait en utilisant '/' ou '-' avant le paramètre.

Par exemple : /silent ou -silent

Paramètre | Description
request | Force le programme à ne pas prendre en compte la première boîte de dialogue et à montrer directement la boîte de dialogue pour demander la clé d'activation (peu importe si le mode /silent ou -silent est aussi utilisé).
sernum:<num> | Force le programme à utiliser le numéro de série fourni dans <num> pour définir la licence, plutôt que de lire le numéro à partir du fichier zenon6.ini.
actkey:<key> | Force le programme à utiliser la clé d'activation qui est fournie avec la <clé> pour la licence, plutôt que de lire le numéro à partir du fichier zenon6.ini.
silent | Force le programme à ne montrer aucune boîte de dialogue. Le fichier License.txt est créé malgré tout.
mailto:<addr> | Travaille seulement en relation avec l'option silent et force le programme à envoyer par e-mail la demande de licence à l'adresse spécifiée par <addr>.


Gestion à distance des licences

Manuels -> Licence -> Gestion à distance des licences

Pour associer une licence à un ordinateur via une connexion à distance :

  1. Dans le menu contextuel du projet, sélectionnez Remote Transport -> Modifier le mot de passe distant et afficher la licence
  2. Démarrez le module Remote Transport
  3. Dès que la connexion est établie, la licence de l'ordinateur distant est affichée

  4. Saisissez le numéro de série et le numéro d'activation de votre formulaire de licence
  5. Confirmez la saisie en cliquant sur OK


Caractéristiques du fonctionnement serveur-client

Manuels -> Licence -> Caractéristiques du fonctionnement serveur-client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La gestion des modules dans le fonctionnement serveur-client possède les caractéristiques suivantes :

Le serveur d'archives

On distingue les cas suivants :

  • Serveur et client pourvus d'une licence : les archives peuvent être ouvertes et modifiées par le client
  • Serveur pourvu d'une licence et client non pourvu d'une licence : les archives peuvent être ouvertes par le client mais ne peuvent pas être modifiées
  • Client non pourvu d'une licence et démarré en mode autonome : une fenêtre d'archive peut être ouverte ? les archives individuelles ne peuvent pas être ouvertes

Coloration Automatique de Lignes

On distingue les cas suivants :

  • Serveur pourvu d'une licence et client non pourvu d'une licence : la fonction CAL est disponible sans limitation
  • Client non pourvu d'une licence et démarré en mode autonome : la fonction CAL n'est pas disponible

info Info

Si le serveur est pourvu d'une licence pour le module Energy Edition, la fonction ALC dispose également d'une licence.

Contrôle Batch

Le client reçoit la licence du serveur, et ne nécessite pas de licence propre. Si le serveur ne comporte pas de licence propre, le client ne peut pas utiliser le module.

Système Energy Management System (EMS)

On distingue les cas suivants :

  • Serveur pourvu d'une licence et client non pourvu d'une licence : la fonction EMS est disponible sans limitation
  • Client non pourvu d'une licence et démarré en mode autonome : la fonction EMS n'est pas disponible

Gestion de messages

Le client reçoit la licence du serveur, et ne nécessite pas de licence propre. Si le serveur ne comporte pas de licence propre, le client ne peut pas utiliser le module.


Liste chronologique d'événements (CEL)

Manuels -> Liste chronologique d'événements (CEL)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La liste chronologique d'événements (CEL) permet de consigner les événements du système et les saisies de l'utilisateur, par exemple :

  • Acquitter les alarmes
  • - Supprimer alarmes
  • Valeur prescrite
  • Exécuter recette
  • Modifier une recette
  • Données archive
  • Action de l'utilisateur
  • Action du réseau

Les entrées sont insérées dans la langue dans laquelle s'exécute le Runtime de zenon.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Autres sujets abordés dans ce chapitre

Configurer la liste CEL

Fonctions

Fonctionnement dans le Runtime


Configurer la liste CEL

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La gestion de la liste chronologique d'événements intervient par le biais de synoptiques de type Lister chronologique d'événements et Filtre de liste chronologique d'événements, dans le Runtime.

Éditeur

Pour afficher et filtrer les événements dans le Runtime, procédez comme suit dans l'Éditeur :

  • Configurez un synoptique de type Liste chronologique d'événements

Vous pouvez, en outre :

  • Contrôler l'affichage d'événements via un filtre
  • Avec un synoptique de type Filtre de liste chronologique d'événements, adapter le filtre disponible dans le Runtime

Runtime

Pour configurer le fonctionnement dans le Runtime, les fonctions suivantes sont utilisées :

  • Appel de synoptique de type filtre de CEL
  • Appel de synoptique de type filtre de CEL
  • Les fonctions de la liste CEL de zenon
  • Utilisation d'un synoptique de type filtre de liste CEL

Autres sujets abordés dans ce chapitre

Création d'un synoptique de type CEL

Créer un synoptique de type filtre de liste CEL

Définir des événements pour la liste CEL

Configuration de la liste CEL à l'aide de filtres

CEL ring buffer (Mémoire circulaire CEL)


Création d'un synoptique de type CEL

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Création d'un synoptique de type CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un synoptique de type Liste chronologique d'événements (CEL) permet de consigner et d'afficher les événements du système et l'activité des utilisateurs dans le Runtime. Les entrées affichées sont définies par le biais de la configuration. L'affichage peut être modifié à l'aide de filtres lors de la configuration et dans le Runtime. Des fonctions permettent d'exporter et d'imprimer les événements affichés.

Créer un synoptique de type Liste chronologique d'événements

Pour créer un synoptique de type Liste chronologique d'événements :

  1. Dans la barre d'outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
  2. Un synoptique standard vide s'affiche à l'écran.
  3. Changez le type de synoptique dans la vue détaillée ; pour cela :
    1. Cliquez sur Standard dans la colonne Type de synoptique.
    2. Sélectionnez Chronological Event List (Liste chronologique d'événements) dans la liste déroulante.
    3. Ne sélectionnez pas le cadre principal si vous souhaitez pouvoir fermer le synoptique dans le Runtime via le bouton Fermer
  4. Cliquez sur le synoptique
  5. Sélectionnez l'option de menu Éléments de contrôle dans la barre de menus.
  6. Cliquez sur Insérer un modèle dans la liste déroulante.
  7. Insérez les éléments standard
  8. Sélectionnez les éléments supplémentaires selon le besoin et insérez-les à l'emplacement souhaité sur l'écran.
  9. Créez une fonction d'appel de synoptique pour pouvoir appeler la liste CEL dans le Runtime.

Paramètre

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Liste chronologique d'événements

Champ d'affichage de la liste et de ses événements. L'apparence peut être configurée. Les colonnes sont définies par le biais du filtre Paramètres des colonnes de la fonction d'appel de synoptique, ou via la propriété Paramétrage colonnes liste d'événements du groupe Liste chronologique d'événements.

Affichage : Définir filtre

Affiche le filtre actuellement sélectionné.

Filtre ...

Ouvre la boite de dialogue de définition de filtres.

Trier

Lorsque vous appelez la liste CEL dans le Runtime, les nouvelles entrées ne sont pas triées par ordre chronologique, mais sont ajoutées au bas de la liste.

Cliquez sur le bouton pour retrier la liste.

Pour vous aider à différencier les entrées triées et non triées, vous pouvez leur attribuer des couleurs différentes, par le biais des propriétés texte trié et texte non trié.

Montrer les temps relatifs

Actif : les heures relatives sont affichées sans entraîner de perte de focus dans l'entrée sélectionnée.

Stopper

Contrôle l'ajout de nouveaux événements à la liste lorsqu'elle est affichée :

Stop : Même si de nouveaux événements surviennent, aucune nouvelle entrée n'est ajoutée à la liste. Le texte du bouton est changé en Suivant.

Suivant : Les nouvelles entrées sont à nouveau ajoutées à la liste lorsque de nouveaux événements surviennent. Le texte du bouton est changé en Stop. Pour trier les entrées par ordre chronologique, vous devez cliquer sur le bouton de tri.

Fermer

Quitte l'affichage de la liste chronologique d'événements et ferme le synoptique et le cadre.

À la fermeture, pour que le synoptique affiché avant l'ouverture de la liste CEL soit affiché, vous devez développer un synoptique de type CEL doté d'un cadre propre.

Imprimer

Imprime la liste telle qu'elle est actuellement affichée.

Print with dialog... (Imprimer avec boîte de dialogue)

Ouvre les paramètres d'impression avant de lancer l'impression.

Texte : Nombre total

Ajoute le texte "Total" dans le Runtime. Doit être suivi du champ de liste Nombre total.

Nombre total

Nombre total d'événements dans la liste

Info : Status CEL (État de la liste CEL)

Définit l'affichage de l'état de la liste CEL dans le Runtime.

Active : Les événements sont consignés indépendamment des paramètres du projet.

Inactif : Les événements ne sont pas consignés

Vous pouvez définir l'état à l'aide de la propriété Gestion des événements active. Les modifications sont prises en compte après le redémarrage du Runtime.

Texte : Comment field (Champ de commentaires)

Ajoute le texte "Commentaire" dans le Runtime. Doit être suivi du champ de liste Champ de commentaires.

Comment field (Champ de commentaires)

Champ de liste permettant à l'utilisateur de saisir un texte libre concernant l'événement sélectionné.

Dès que le focus quitte le champ, le texte est enregistré. Pour afficher le texte dans la liste CEL, vous devez activer la colonne Commentaires dans la définition des colonnes.

Bouton Stop/Continuer

Navigation

Contrôle les éléments de la liste.
  • Ligne précédente

Remonte d'une ligne.
  • Ligne suivante

Descend d'une ligne.
  • Colonne de droite

Se déplace d’une colonne vers la droite.
  • Colonne de gauche

Se déplace d’une colonne vers la gauche.
  • Page précédente

Remonte d'une page.
  • Page suivante

Descend d'une page.
  • Page de droite

Se déplace d’une page vers la droite.
  • Page de gauche

Se déplace d’une page vers la gauche.

Profils de filtre

Paramètres de filtre pouvant être enregistrés par l'utilisateur dans le Runtime.

  • Sélection profil

Sélectionner un profil dans la liste.

  • Enregistrer

Enregistre un paramètre en ligne dans un profil.

  • Supprimer

Supprime le profil sélectionné.

info Info

Le filtre actuel est affiché dans l'élément de contrôle Visualiser filtre.

Pour :

  • Un filtre de texte, l'expression [Txt] est affichée
  • Un filtre de temps relatif, l'impression se présente comme ceci :
    [T,Rel:%dd,%dh,%dm;%ds]
    Exemple : [T,Rel:1d,0h,0m,0s] correspond à un jour.

Autres sujets abordés dans ce chapitre

Personnaliser l'apparence de la liste CEL


Personnaliser l'apparence de la liste CEL

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Création d'un synoptique de type CEL -> Personnaliser l'apparence de la liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La vue de table de la liste chronologique d'événements peut être personnalisée de manière détaillée :

Barres de défilement, en-têtes et grille

Pour définir la taille et l'apparence des barres de défilement, de l'en-tête ou des grilles de la table :

  1. Dans les propriétés du projet, sélectionnez la propriété Paramètres du graphique étendu du groupe Affichage.
  2. Définissez les propriétés souhaitées dans les groupes Ascenceurs et Entête et grille pour l'élément Liste chronologique d'événements du synoptique

info Info

Si vous sélectionnez l'option Fichiers graphiques pour la propriété Style d'affichage, tous les éléments pour lesquels aucun fichier graphique n'est sélectionné sont affichés avec un dégradé de couleurs. Les éléments graphiques transparents ne peuvent pas être utilisés pour les éléments de contrôle des listes.

Tri dans le Runtime

Pour marquer la colonne de tri dans le Runtime et définir l'ordre de tri, configurez les éléments graphiques pour l'en-tête :

  1. Pour la propriété Style d'affichage, sélectionnez la valeur Fichiers graphiques
  2. Liez les propriétés Tri croissant et Tri décroissant à un fichier graphique
  3. Dans le Runtime, l'élément graphique sélectionné pour l'ordre de tri correspondant est affiché dans la colonne de tri
  4. Cliquez sur l'élément graphique pour modifier l'ordre de tri
  5. Cliquez sur l'en-tête pour activer la colonne de tri

Remarque : En cas de tri selon les informations d'horodatage, les entrées comportant les mêmes informations d'horodatage sont également triées en fonction de l'heure de création.

Utilisation de l'en-tête dans le Runtime

Vous pouvez permettre aux utilisateurs d'actionner l'en-tête dans le Runtime. Ceci permet de personnaliser l'affichage dans le Runtime de manière détaillée :

  • Déplacer les colonnes
  • Modifier la taille
  • Modification du tri.

Pour cela, accédez au groupe Liste chronologique d'événements dans les paramètres et sélectionnez, dans la propriété Entête liste d'événements, l'option Actions autorisées sur entêtes de colonne. Dans cette section, vous pouvez également choisir de rendre l'en-tête inutilisable ou invisible.

Ces paramètres s'appliquent à tous les en-têtes du projet.

info Info

Vous pouvez interdire la manipulation et/ou la visibilité de l'en-tête pour chaque liste chronologique d'événements en désactivant la propriété Montrer l'entête ou Entête éditable pour la vue sous forme de table.

Aperçu

Lorsque vous activez la propriété Paramètres du graphique étendu dans l'Éditeur, vous pouvez prévisualiser les en-têtes et les barres de défilement. Ainsi, les détails tels que les effets de remplissage de couleur, les effets de lumière et les grilles peuvent être configurés plus facilement.

Attention : puisque la taille des barres de défilement est égale à leur taille dans le Runtime, la taille totale de la liste dans l'Éditeur peut différer de la taille dans le Runtime. Cela s'applique également à la taille de l'en-tête et à la police de caractères de l'en-tête.


Créer un synoptique de type filtre de liste CEL

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Créer un synoptique de type filtre de liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez ajuster les paramètres de filtre de liste chronologique d'événements dans le Runtime à l'aide du synoptique de filtre de liste chronologique d'événements. Seuls les éléments de filtre réellement nécessaires et configurés sont proposés à l'utilisateur. L'apparence peut également être librement définie, et ainsi, adaptée aux différents équipements finaux. Tous les paramètres de filtre disponibles dans le filtre pour la fonction d'appel de synoptique de Liste chronologique d'événements peuvent être configurés.

Par conséquent :

  • Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l'utilisateur.
  • Seuls ces filtres et une vue d'ensemble sont accessibles à l'utilisateur.
  • Vous êtes libre de modifier l'apparence et pouvez, par exemple, faciliter l'utilisation du système avec un écran tactile.

Pour plus de détails concernant l'utilisation dans le Runtime, reportez-vous au chapitre Utilisation des filtres de la liste chronologique d'événements.

Pour la définition des critères de filtre, reportez-vous au chapitre Filtres d'appel de synoptique de filtre de liste CEL.

attention Attention

Les synoptiques de type Filtre de liste d'alarmes, Filtre de liste chronologique d'événements et Filtre de temps doivent être développés avec un cadre spécifique. S'ils utilisent le même cadre que d'autres synoptiques, tous les synoptiques configurés avec ce cadre sont fermés lors de la fermeture du cadre.

Créer un synoptique de type filtre de liste chronologique d'événements

Pour créer un synoptique de type filtre de liste chronologique d'événements :

  1. Dans la barre d'outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
  2. Un synoptique standard vide s'affiche à l'écran.
  3. Changez le type de synoptique dans la vue détaillée ; pour cela :
    1. Cliquez sur Standard dans la colonne Type de synoptique.
    2. Sélectionnez Chronological Event List Filter (Filtre de liste chronologique d'événements) dans la liste déroulante.
  4. Sélectionnez votre cadre
    (le filtre de liste CEL ne peut pas être conçu avec le même cadre que les autres synoptiques).
  5. Cliquez sur le synoptique.
  6. Sélectionnez l'option de menu Éléments de contrôle dans la barre de menus.
  7. Cliquez sur Insérer un modèle dans la liste déroulante.
  8. La boîte de dialogue de sélection de modèle s'affiche à l'écran
  9. sélectionnez le modèle de votre choix
  10. Sélectionnez les éléments supplémentaires selon le besoin et insérez-les à l'emplacement souhaité sur l'écran.
  11. Donnez un nom au synoptique en fonction du filtre sélectionné.
    Pour cela :
    1. Cliquez sur le nom d'un synoptique dans la vue détaillée, dans la colonne Nom.
    2. Sélectionnez un nom prédéfini adéquat dans la liste déroulante, ou spécifiez un nom de votre choix.
  12. Créez une fonction d'appel de synoptique pour pouvoir appeler le synoptique dans le Runtime.

Éléments

Le synoptique de type Filtre de liste chronologique d'événements peut contenir les éléments de contrôle et d'affichage suivants.

Élément

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Filtres généraux

Liste déroulante des différents filtres généraux.

Insérer tous les éléments : Filtres généraux

Insère tous les éléments de la zone des filtres généraux à des emplacements prédéfinis. Les éléments peuvent être arrangés individuellement.

Filtre de variables

Alarmes des variables affichées :
  • Nom de la variable

Filtrer selon les noms des variables.
  • Identification

Filtrer selon l'identification des variables.
  • Respecter la casse

Tenir compte de la capitalisation lors du filtrage des variables.

Origine des données

Provenance des données :
  • Buffer circulaire

Depuis la mémoire circulaire.
  • Données historisées

Depuis une archive.
  • Texte : Nombre max. :

Texte du champ de saisie Maximum number (Nombre maximal)

  • Champ de saisie : Nombre max. :

Saisie du nombre maximal d'alarmes à afficher lors de l'affichage d'alarmes historiques.

0 : toutes les alarmes sont affichées

Configuration du Runtime

  • Show list without refresh (Afficher la liste sans l'actualiser)

Active l'état Arrêt de la liste d'alarmes. Les nouvelles alarmes ne sont pas ajoutées.
  • Montrer les temps relatifs

Bascule entre l'affichage normal et l'affichage de l'heure relative, sans perte du focus entre les entrées.

Heure relative : Toutes les entrées sont affichées avec, dans la colonne de l'heure d'apparition, la différence de temps par rapport à l'entrée sélectionnée.

Le temps affiché est le temps écoulé depuis l'heure d'apparition de l'événement sélectionné. L'entrée sélectionnée reçoit automatiquement l'information d'horodatage 0. Les autres événements comportent :

  • Une différence de temps positive par rapport à l'entrée sélectionnée s'ils se sont produits plus tard
  • Une différence de temps négative par rapport à l'entrée sélectionnée s'ils se sont produits plus tôt

Groupes d'alarmes/d'événements / Classes d'alarmes/d'événements / Domaines d'alarmes/d'événements

Champ de liste pour l'affichage groupé :
  • Groupes d'alarmes/d'événements

Groupes d'alarmes/d'événements
  • Classes d'alarmes/d'événements

Classes d'alarmes/d'événements
  • Domaines d'alarme

Domaines d'alarme

Filtre de temps

Liste déroulante des différents filtres horaires.

Insérer tous les éléments

Ouvre la liste déroulante de sélection d'éléments prédéfinis de configuration de certaines périodes de temps.

Période de temps absolue : affichage classique

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Période de temps absolue : affichage compact

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Horaire relatif

Éléments de configuration de périodes de temps relatives.

A partir de HH:MM:SS

Éléments de configuration d'une période de temps commençant à une heure définie.

A partir du jour à HH:MM:SS

Éléments de configuration d'une période de temps débutant à une heure définie.

A partir du jour, mois à HH:MM:SS

Éléments de configuration d'une période de temps débutant un jour défini dans un mois défini,;à une heure définie.

Période de temps : 1 ou 2 semaines

Éléments de configuration d'une période de temps d'une ou deux semaines.

Période de temps : un jour

Éléments de configuration d'une période de temps d'une journée.

Période de temps : un mois

Éléments de configuration d'une période de temps d'un mois.

Période de temps : une année

Éléments de configuration d'une période de temps d'une année.

Période de temps : 15/30/60 minutes

Éléments de configuration d'une période de temps de 15, 30 ou 60 minutes.

Insérer tous les éléments (Tactile)

Ouvre la liste déroulante de sélection d'éléments prédéfinis de configuration de certaines périodes de temps, optimisée pour un fonctionnement tactile. Comme dans l'option Insérer tous les éléments, les paramètres suivants sont disponibles.

  • Période de temps absolue : affichage classique
  • Horaire relatif
  • A partir de HH:MM:SS
  • A partir du jour à HH:MM:SS
  • A partir du jour, mois à HH:MM:SS
  • Période de temps : 1 ou 2 semaines
  • Période de temps : un jour
  • Période de temps : un mois
  • Période de temps : une année
  • Période de temps : 15/30/60 minutes

Intitulé : type de filtre de temps

Intitulé du type de filtre de temps.

Menu déroulant : type de filtre de temps

Menu déroulant : type de filtre de temps

Affichage : type de filtre de temps

Champ d'affichage du type de filtre de temps.

Options de filtre horaire

Boutons affichant ou masquant certains éléments dans le Runtime :

  • Pas de filtre
  • Filtre de temps absolu
  • Filtre temps relatif
  • A partir du jour, mois à HH:MM:SS
  • A partir du jour à HH:MM:SS
  • Période de temps 1 semaine
  • Période de temps 2 semaines
  • Période de temps 1 jour
  • Période de temps 1 mois
  • Période de temps 1 an
  • Période de temps 15 minutes
  • Période de temps 30 minutes
  • Période de temps 60 minutes

Heure de début

Champs et intitulés de définition de l'heure de début.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Minute de début
  • Zone de liste modifiable : Minute de début
  • Intitulé : Seconde de début
  • Zone de liste modifiable : Seconde de début
  • Spin control From (Commande rotative : Début)

Heure de fin

Champs et intitulés de définition de l'heure de fin.

  • Intitulé : Jusqu'à l'année
  • Zone de liste modifiable : Jusqu'à l'année
  • Intitulé : Jusqu'au mois
  • Zone de liste modifiable : Jusqu'au mois
  • Intitulé : Jusqu'au jour
  • Zone de liste modifiable : Jusqu'au jour
  • Intitulé : Jusqu'à l'heure
  • Zone de liste modifiable : Jusqu'à l'heure
  • Intitulé : Jusqu'à la minute
  • Zone de liste modifiable : Jusqu'à la minute
  • Intitulé : Jusqu'à la seconde
  • Zone de liste modifiable : Jusqu'à la seconde
  • Spin control From (Commande rotative : Fin)

Temps à partir de (Tactile)

Champs et intitulés de définition de l'heure de début, optimisés pour un fonctionnement tactile.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Minute de début
  • Zone de liste modifiable : Minute de début
  • Intitulé : Seconde de début
  • Zone de liste modifiable : Seconde de début
  • Spin control From (Commande rotative : Début)

Temps jusqu'à (Tactile)

Champs et intitulés de définition de l'heure de fin, optimisés pour un fonctionnement tactile.

  • Intitulé : Jusqu'à l'année
  • Zone de liste modifiable : Jusqu'à l'année
  • Intitulé : Jusqu'au mois
  • Zone de liste modifiable : Jusqu'au mois
  • Intitulé : Jusqu'au jour
  • Zone de liste modifiable : Jusqu'au jour
  • Intitulé : Jusqu'à l'heure
  • Zone de liste modifiable : Jusqu'à l'heure
  • Intitulé : Jusqu'à la minute
  • Zone de liste modifiable : Jusqu'à la minute
  • Intitulé : Jusqu'à la seconde
  • Zone de liste modifiable : Jusqu'à la seconde
  • Spin control From (Commande rotative : Fin)

Filtre de temps absolu

Champs et intitulés de définition du filtre de temps (temps absolu).

  • Intitulé : A partir de
  • Affichage du calendrier : Date de début
  • Affichage de la date : Date de début
  • Affichage de l'heure : Heure de début
  • Intitulé : Jusqu'à
  • Affichage du calendrier : Date de fin
  • Affichage de la date : Date de fin
  • Affichage de l'heure : Heure de fin

Période de temps

Champs et intitulés de définition des périodes de temps.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Semaine
  • Zone de liste modifiable : Semaine

Période de temps (tactile)

Champs et intitulés de définition de l'heure de début, optimisés pour un fonctionnement tactile.

  • Intitulé : Année de début
  • Bouton : Année de début (vers le haut)
  • Zone tactile : Année de début
  • Bouton : Année de début (vers le bas)
  • Intitulé : Mois de début
  • Bouton : Mois de début (vers le haut)
  • Zone tactile : Mois de début
  • Bouton : Mois de début (vers le bas)
  • Intitulé : Jour de début
  • Bouton : Jour de début (vers le haut)
  • Zone tactile : Jour de début
  • Bouton : Jour de début (vers le bas)
  • Intitulé : Heure de début
  • Bouton : Heure de début (vers le haut)
  • Zone tactile : Heure de début
  • Bouton : Heure de début (vers le bas)
  • Intitulé : Semaine
  • Bouton : Semaine (vers le haut)
  • Zone tactile : Semaine
  • Bouton : Semaine (vers le bas)

Text filter (Filtre de texte)

Liste déroulante des différents filtres de texte.

Insérer tous les éléments : Text filter (Filtre de texte)

Insère tous les éléments des filtres de texte.

Aucun filtre de texte

Bouton d'option permettant de désélectionner le filtre de texte.

Rechercher (mots séparés par des espaces)

Bouton d'option permettant d'activer la recherche

Texte : Search text (Recherche de texte)

Intitulé du champ de recherche.

Champ de saisie : Search text (Recherche de texte)

Champ de saisie du terme de cherche.

Options

Options de recherche
  • Respecter la casse

La capitalisation sera prise en compte.
  • Les mots n'ont pas besoin d'être en entier dans le texte

Vous pouvez également rechercher des fragments.
  • Au moins un mot doit être dans le texte

Un au moins des termes de recherche doit être présent dans le résultat.
  • Tous les mots doivent être dans le texte

Tous les termes de recherche doivent être présents dans le résultat.
  • La chaîne de filtre doit se trouver exactement dans le texte

Les résultats doivent contenir le texte exact du champ de saisie.

OK

Accepter la saisie et fermer le synoptique.

Annuler

Refuser la saisie et fermer le synoptique.

Accepter

Accepter les entrées et laisser le synoptique ouvert à d'autres entrées.

Mise à jour

Actualiser le synoptique.

Synoptiques de filtre

Les synoptiques de filtre permettent de transférer un filtre prédéfini d'un synoptique vers un autre. Le filtre du synoptique source est défini à l'aide du synoptique cible. Les synoptiques peuvent également être de types différents.

attention Attention

Pour que le temps du synoptique soit affiché dans le Runtime, la plage de temps suivante doit être sélectionnée dans l'Éditeur pour la fonction d'appel de synoptique de la liste d'alarmes ou de la liste chronologique d'événements, dans la propriété filtre de temps : Définir le filtre avec un type de filtre horaire

Définition de l'affichage

Les conditions suivantes doivent être remplies pour que les filtres définis soient utilisés :

  1. Le filtre défini pour le type de filtre de temps est sélectionné en tant qu'intervalle de temps pour le filtre de temps.
  2. Le synoptique (synoptiques Filtre de liste d'informations sur les alarmes, Liste chronologique d'événements et filtre de temps) sont activés à l'aide d'un bouton ou d'un élément combiné. C'est la seule manière de maintenir la relation entre le synoptique de filtre et le synoptique source.
  3. Le synoptique source et le synoptique de filtre doivent être configurés dans différents cadres ou sur différents moniteurs. Le filtre du synoptique de filtre peut uniquement être actualisés si le synoptique source est ouvert. Cela est uniquement possible si les deux synoptiques n'utilisent pas le même cadre ou le même moniteur.
  4. Le synoptique appelé doit être compatible avec le synoptique de filtre appelé (voir table).
Synoptique source | Filtre de liste AML | Filtre de liste CEL | Filtre de temps
Maintenance de l'archive | T | T | T
Tendance étendue | T | T | T
Filtre de temps | T | T | X
Filtre de liste de messages d'alarme | X | C | T
Filtre de liste chronologique d'événements | C | X | T
Liste d'alarmes | X | C | T
Liste chronologique d'événements | C | X | T

Clé :

  • C : les paramètres communs sont mis à jour.
  • T : les paramètres de temps sont mis à jour.
  • X : tous les paramètres sont mis à jour.

info Info

Aucun filtrage

Le synoptique de filtre n'est pas filtré, mais il est ouvert avec les valeurs configurées si :

  • Une des conditions 1 à 3 n'est pas satisfaites ou
  • Le paramètre Screen to call up (Synoptique appelé) n'est pas activé pour la fonction Appel de synoptique ou
  • Le synoptique n'est pas appelé par le biais d'un élément de synoptique

Dans ce cas, les boutons Accepter, Fermer et Mise à jour sont grisés dans le Runtime et n'ont aucune fonction.


Définir des événements pour la liste CEL

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Définir des événements pour la liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez définir les événements consignés dans la liste chronologique d'événements via :

  1. Les propriétés du groupe Enregistrements (log), dans le nœud Liste chronologique d'événements des paramètres du projet
    • Supprimer alarmes
    • Acquittement d'alarme
    • Fonction envoi valeur prescrite
    • Envoi de recettes
    • Modification de recettes
    • Données d'archive
    • Evacuation d'archive [h]
  2. Les propriétés des variables
    • Alarmes/Evénements dans le groupe Valeurs limites
    • Le groupe Enregistrer dans les événements dans le nœud Spécifier valeur prescrite

Consigner les modifications de valeurs prescrites

Les modifications de valeurs prescrites peuvent intervenir via différents mécanismes. Celles-ci sont consignées dans la liste CEL, en fonction des paramètres et du module.

Paramètre

Description

Consignation de l'écriture de valeurs prescrites

Vous pouvez définir la consignation des modifications de valeurs prescrites pour toutes les variables. Pour cela, les options suivantes sont disponibles dans la propriété Enregistrements (log), dans le groupe Spécifier valeur prescrite :

Tout : toutes les modifications effectuées par le biais des éléments dynamiques et de la fonction Spécifier valeur prescrite sont consignées.

Rien : les modifications ne sont pas consignées
Seulement éléments dynamiques : consigne uniquement l'écriture de valeurs prescrites par le biais des éléments dynamiques, et non de la fonction Spécifier valeur prescrite.

Ancienne et nouvelle valeur

Avec la propriété Ancienne et nouvelle valeur, vous définissez si seules les nouvelles valeurs ou les valeurs anciennes et nouvelles sont écrites dans le fichier journal.

Cette propriété affecte l'écriture des valeurs prescrites par le biais des éléments suivants :

  • élément dynamique
  • Fonction Spécifier valeur prescrite
  • Écriture de valeur prescrite via le code VBA

Écriture de valeur prescrite via le code VBA

Si la fonction Valeurs modifiées par VBA est activée, les modifications de valeurs prescrites via le code VBA sont consignées dans la liste CEL.

Recettes standard et Gestionnaire de groupes de recettes

Pour les recettes standard et le Gestionnaire de groupes de recettes, la journalisation est contrôlée par le biais des propriétés du groupe Enregistrements (log), dans le nœud Liste chronologique d'événements.

PFS/Planning

Les modules Production & Facility Scheduler (PFS) et Planning consignent toutes les modifications de valeurs prescrites dans la liste CEL. Ce paramètre ne peut pas être modifié.

Remarque : Seule la nouvelle valeur est consignée. La propriété Liste chronologique d'événements n'est pas prise en compte.

Autres sujets abordés dans ce chapitre

Vérification de l'écriture de valeurs prescrites

Longueur du texte de limite statique de la liste CEL


Vérification de l'écriture de valeurs prescrites

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Définir des événements pour la liste CEL -> Vérification de l'écriture de valeurs prescrites

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'écriture de valeurs, la valeur reçoit un bit d'état qui a été écrit. Si le procédé d'écriture est un succès, le bit d'état correspondant est défini :

  • WR-ACK

    Le driver a reçu une valeur à écrire.

  • WR-SUC

    Valeur 1 : Écriture réussie.

    Valeur 0 : l'action d'écriture a échoué. La valeur n'a pas été écrite.

info Info

Dans le cas d'un rechargement du projet ou d'un basculement sur le serveur redondant, les réponses actuellement actives ou les confirmations d'écriture sont abandonnées.

Cette combinaison d'états existe jusqu'au prochain changement de valeur. À ce moment, les deux états sont définis sur 0, jusqu'à ce que l'action d'écriture soit terminée. Pour l'évaluation, la combinaison de bits suivante doit être demandée dans la matrice de réaction :

WR-ACK, WR-SUC

Résultat :

  • WR-ACK 1, WR-SUC 1: l'action d'écriture a réussi.
  • WR-ACK 1, WR-SUC 0: l'action d'écriture a échoué.

attention Attention

Le mécanisme montre seulement que l'action d'écrire a réussi (ou non) sur l'automate. Ceci ne veut pas dire que la valeur a effectivement changé dans l'automate car l'automate peut resetter ou écraser la valeur immédiatement après. (Par exemple, pour l'écriture de résultats ou de bits transitoires, définis pour un court laps de temps.)

Modules

Ce mécanisme peut être utilisé dans les modules suivants :

  • Fonction Spécifier valeur prescrite : activez l'option Attendre confirmation d'écriture dans la boîte de dialogue de configuration de la fonction.
  • Les recettes standard : Activate property Ecrire de façon synchrone .
  • Groupes de recettes : Activate property Ecrire de façon synchrone.

Entrée dans la liste CEL

  • Fonction Spécifier valeur prescrite

    Pour l'entrée dans la liste CEL, vous devez activer la propriété Fonction envoi valeur prescrite dans le nœud Liste chronologique d'événements dans les paramètres du projet. La réaction positive ou négative à l'exécution de la fonction est ensuite écrite dans la liste CEL.

  • Recettes standard et Gestionnaire de groupes de recettes

    Pour une entrée dans la liste CEL, une variable de driver du système est utilisée et définie sur 1 lors de l'écriture réussie d'une recette. Une variable globale est évaluée sur le serveur, et une variable locale sur chaque client permet de déterminer quand l'écriture la dernière recette exécutée a été finalisée.
    Avec ces variables, une entrée dans la liste CEL peut être générée par l'intermédiaire d'une limite ou d'une matrice de réaction. La requête est exécutée par le biais d'une matrice de réaction multi-analogique ou multi-binaire.


Longueur du texte de limite statique de la liste CEL

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Définir des événements pour la liste CEL -> Longueur du texte de limite statique de la liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La propriété Longueur texte statique pour les événements vous permet de définie le nombre de caractères utilisables pour le texte de message dans la liste CEL. Pour chaque fichier de la liste chronologique d'événements, le nombre de caractères constituant le texte de message est enregistré dans l'en-tête. Toute modification de cette propriété prend effet lors de la création d'un nouveau fichier de liste CEL.

Remarque : lors de l'exportation au format dBase, la longueur est limitée à 254 caractères.

CEL.BIN et réseau

Dans le fichier CEL.BIN, les textes de message sont enregistrés sous forme de variables de longueur variable, et sont transférés en l'état sur le réseau. Cela signifie que les entrées de la liste CEL issues de la mémoire circulaire ne sont pas limitées en longueur, indépendamment de la propriété Longueur texte statique pour les événements.


Configuration de la liste CEL à l'aide de filtres

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez configurer l'affichage des événements dans le Runtime par le biais de filtres. Plusieurs possibilités s'offrent à vous.

  1. Définir les informations affichées dans la liste CEL dans le Runtime:
    Cette option vous permet de définir les informations visibles pour un événement donné.
    Pour plus de détails, reportez-vous au chapitre : Configuration des colonnes pour la liste chronologique d'événements
  2. Filtrer les alarmes de la liste d'alarmes lors des appels de synoptique et les modifier dans le Runtime :
    Cette option vous permet de définir des filtres et d'offrir à l'utilisateur de la machine la possibilité de définir ses propres filtres.
    Pour plus de détails, reportez-vous au chapitre : Filtres pour l'appel de synoptiques de type CEL.
  3. Filtres fixes pour le Runtime :
    Cette option vous permet de créer des filtres personnalisés en fonction de votre utilisation de la liste CEL, et de masquer les critères de filtre inutiles.
    Pour plus de détails, reportez-vous au chapitre : Filtres pour l'appel de synoptiques de type filtre de liste CEL

Autres sujets abordés dans ce chapitre

Configuration des colonnes pour la liste chronologique d'événements

Filtres pour l'appel de synoptiques de type CEL

Filtres pour l'appel de synoptiques de type filtre de liste CEL


Configuration des colonnes pour la liste chronologique d'événements

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Configuration des colonnes pour la liste chronologique d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètre

Description

Colonnes

Dans le champ de liste de cet onglet, tous les types de colonne disponibles sont affichés.

Vous pouvez modifier l'ordre des colonnes en les faisant glisser dans le champ de liste :

  • Cliquez sur la colonne Column type (Type de colonne).
  • Déplacez les entrées individuelles à votre convenance.

Vous pouvez également ajuster l'ordre des entrées à l'aide des options Vers le haut et Vers le bas.
  • Case à cocher :

Sélectionnez les types de colonnes que vous souhaitez afficher.
  • Description :

Texte libre de description de la colonne.

Modifier la description : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de saisie.

Remarque : pour les descriptions de colonnes, la fonction de basculement de langue de zenon est disponible.
  • Largeur de colonne :

Définit la largeur de la colonne, en caractères.

Modifier la largeur des colonnes : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de saisie.
-1la largeur est calculée dans le Runtime, sur la base de la largeur moyenne des caractères.

Remarque : Pour des raisons de compatibilité, les colonnes dont la largeur ne pouvait pas être modifiée dans les versions antérieures de zenon (Date et heure) comportent la valeur -1.

  • Affichage :

Pour les types de colonnes

  • Symbole Classe d'alarmes/d'événements
  • Symbole Groupe d'alarmes/d'événements
  • État d'alarme

Le format d'affichage réel peut être sélectionné dans le Runtime. Sélectionnez le format souhaité dans la liste déroulante.

Vers le haut

Remonte l'entrée sélectionnée d'une position.

Vers le bas

Abaisse l'entrée sélectionnée d'une position.

Champ de prévisualisation

Affiche les colonnes définies dans le champ de liste avec la largeur sélectionnée.

Vous pouvez également ajuster la largeur des colonnes en cliquant avec le bouton gauche sur le bord droit d'une colonne et en maintenant le bouton de la souris enfoncé pendant que vous déplacez la souris vers la gauche ou la droite.

Paramètres de tables

Trier dans l'ordre décroissant

Trie les entrées de la liste selon leur Heure d'apparition, par ordre décroissant. Ces paramètres s'appliquent à l'affichage d'un synoptique.Vous pouvez modifier l'ordre de tri dans le Runtime en cliquant sur l'intitulé de la colonne. L'ordre de tri actuellement utilisé est représenté par une flèche dans l'en-tête de la colonne.

Afficher la grille

affiche une grille lorsque la liste est affichée dans le Runtime.

Utiliser des couleurs de fond en alternance

Utilise les couleurs de ligne 1 et 2 en alternance pour l'affichage de l'arrière-plan de la liste dans le Runtime.
  • Couleur ligne 1

Couleur utilisée en tant que couleur d'arrière-plan de la liste dans le Runtime pour tous les nombres impairs (1, 3, 5 etc.), si vous avez activé l'option Utiliser des couleurs de fond en alternance.
  • Couleur ligne 2

Couleur utilisée en tant que couleur d'arrière-plan de la liste dans le Runtime pour tous les nombres pairs (2, 4, 6 etc.), si vous avez activé l'option Utiliser des couleurs de fond en alternance.

Affichage dans les colonnes d'heure

Heure

Affiche l'heure d'une entrée de liste sous la forme suivante : HH:MM:SS

Date

Affiche la date d'une entrée de liste sous la forme suivante : JJ:MM:AAAA

millisecondes

Étend la précision de l'entrée de temps aux millisecondes.

Remarque : cette option doit être activée si les millisecondes doivent apparaître dans les fichiers d'exportation ou les impressions.

Les fragments d'information affichés dans la liste CEL dans le Runtime peuvent être définis dans la configuration des colonnes. Pour une fonction d'appel de synoptique, les colonnes peuvent être configurées dans les critères de filtre ou directement dans les propriétés de la liste d'alarmes du projet :

  1. Ouvrez le nœud Liste chronologique d'événements dans les Propriétés du projet.
  2. Cliquez sur la propriété Paramétrage colonnes liste d'événements
  3. La boîte de dialogue des paramètres des colonnes s'affiche à l'écran
  4. Remarque : la largeur moyenne des caractères de la police sélectionnée est utilisée pour calculer la largeur des colonnes.

info Info

Dans les paramètres du projet, vous pouvez définir un paramètre par défaut pour définir l'ordre et la largeur des colonnes à l'aide des propriétés Paramétrage colonnes alarmes ou Paramétrage colonnes liste d'événements. Si vous créez une nouvelle fonction d'appel de synoptique depuis un synoptique de liste d'alarmes ou un synoptique de liste chronologique d'événements, ce paramètre est utilisé par défaut. Le paramètre est conservé dans le fichier project.ini.

info Info

Dans les paramètres du projet, vous pouvez définir un paramètre par défaut pour définir l'ordre et la largeur des colonnes à l'aide des propriétés Paramétrage colonnes alarmes ou Paramétrage colonnes liste d'événements. Si vous créez une nouvelle fonction d'appel de synoptique depuis un synoptique de liste d'alarmes ou un synoptique de liste chronologique d'événements, ce paramètre est utilisé par défaut. Le paramètre est conservé dans le fichier project.ini.

Paramètre

Description

Colonnes

Dans le champ de liste de cet onglet, tous les types de colonne disponibles sont affichés.

Vous pouvez modifier l'ordre des colonnes en les faisant glisser dans le champ de liste :

  • Cliquez sur la colonne Column type (Type de colonne).
  • Déplacez les entrées individuelles à votre convenance.

Vous pouvez également ajuster l'ordre des entrées à l'aide des options Vers le haut et Vers le bas.
  • Case à cocher :

Sélectionnez les types de colonnes que vous souhaitez afficher.
  • Description :

Texte libre de description de la colonne.

Modifier la description : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de saisie.

Remarque : pour les descriptions de colonnes, la fonction de basculement de langue de zenon est disponible.
  • Largeur de colonne :

Définit la largeur de la colonne, en caractères.

Modifier la largeur des colonnes : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de saisie.
-1la largeur est calculée dans le Runtime, sur la base de la largeur moyenne des caractères.

Remarque : Pour des raisons de compatibilité, les colonnes dont la largeur ne pouvait pas être modifiée dans les versions antérieures de zenon (Date et heure) comportent la valeur -1.

  • Affichage :

Pour les types de colonnes

  • Symbole Classe d'alarmes/d'événements
  • Symbole Groupe d'alarmes/d'événements
  • État d'alarme

Le format d'affichage réel peut être sélectionné dans le Runtime. Sélectionnez le format souhaité dans la liste déroulante.

Vers le haut

Remonte l'entrée sélectionnée d'une position.

Vers le bas

Abaisse l'entrée sélectionnée d'une position.

Champ de prévisualisation

Affiche les colonnes définies dans le champ de liste avec la largeur sélectionnée.

Vous pouvez également ajuster la largeur des colonnes en cliquant avec le bouton gauche sur le bord droit d'une colonne et en maintenant le bouton de la souris enfoncé pendant que vous déplacez la souris vers la gauche ou la droite.

Paramètres de tables

Trier dans l'ordre décroissant

Trie les entrées de la liste selon leur Heure d'apparition, par ordre décroissant. Ces paramètres s'appliquent à l'affichage d'un synoptique.Vous pouvez modifier l'ordre de tri dans le Runtime en cliquant sur l'intitulé de la colonne. L'ordre de tri actuellement utilisé est représenté par une flèche dans l'en-tête de la colonne.

Afficher la grille

affiche une grille lorsque la liste est affichée dans le Runtime.

Utiliser des couleurs de fond en alternance

Utilise les couleurs de ligne 1 et 2 en alternance pour l'affichage de l'arrière-plan de la liste dans le Runtime.
  • Couleur ligne 1

Couleur utilisée en tant que couleur d'arrière-plan de la liste dans le Runtime pour tous les nombres impairs (1, 3, 5 etc.), si vous avez activé l'option Utiliser des couleurs de fond en alternance.
  • Couleur ligne 2

Couleur utilisée en tant que couleur d'arrière-plan de la liste dans le Runtime pour tous les nombres pairs (2, 4, 6 etc.), si vous avez activé l'option Utiliser des couleurs de fond en alternance.

Affichage dans les colonnes d'heure

Heure

Affiche l'heure d'une entrée de liste sous la forme suivante : HH:MM:SS

Date

Affiche la date d'une entrée de liste sous la forme suivante : JJ:MM:AAAA

millisecondes

Étend la précision de l'entrée de temps aux millisecondes.

Remarque : cette option doit être activée si les millisecondes doivent apparaître dans les fichiers d'exportation ou les impressions.

Conseil : Si vous avez activé le clavier automatique dans le Runtime, celui-ci est activé lors de l'affichage d'un champ d'édition. Vous pouvez également utiliser ce champ pour configurer les colonnes, si vous utilisez un ordinateur sans clavier.

attention Attention

La largeur de colonne est fournie en caractères, et dépend de la police de caractères utilisée. Si la largeur de colonne n'est pas un multiple de la largeur de caractère de la police de caractères utilisée, la largeur réelle de la colonne pourra être différente de la largeur de colonne définie. Ceci peut provoquer l'affichage de texte tronqué ou l'apparition d'un espace vide.

Solution : utilisez des polices proportionnelles, telles que la police "Courier New".


Filtres pour l'appel de synoptiques de type CEL

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les filtres permettent de définir les événements affichés ou masqués dans le Runtime. Les filtres peuvent être définis dans l'Éditeur et, selon les paramètres dans l'Éditeur, dans le Runtime.

Pour personnaliser la sélection de filtres dans le Runtime en fonction des besoins de l'opérateur, utilisez un synoptique de type Filtre de liste chronologique d'événements à la place d'un synoptique de Liste chronologique d'événements.

Pour créer un appel de synoptique de type Liste chronologique d'événements :

  1. Configurez une fonction d'appel de synoptique de type Liste chronologique d'événements
  2. La boîte de dialogue de filtre s'affiche et propose plusieurs onglets comportant des critères de filtre :
    • Généralités
    • Heure
    • Paramétrage des colonnes
    • Texte
    • États
    • Projet (uniquement disponible dans le projet d'intégration de la gestion multi-projets).
    • Equipment modeling (Modélisation d'équipements)

    Si des variables liées ou des indices sont disponibles, les onglets suivants peuvent être affichés en option.

    • Remplacer les liens
    • Remplacer les indices
    • Pour plus de détails, reportez-vous au chapitre Synoptiques, sections Remplacement des liens de variables et de fonctions et Symboles liés.

Autres sujets abordés dans ce chapitre

Généralités

Heure

Paramétrage des colonnes

Texte

États

Projet

Equipment modeling (Modélisation d'équipements)


Généralités

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type CEL -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec le filtre général, vous définissez les événements affichés et votre capacité d'accès aux paramètres correspondants dans le Runtime. Ceci vous permet de différencier les événements selon les événements suivants :

  • Type
  • Origine des données
  • Variables
  • Groupes, classes d'alarmes/d'événements et domaines d'alarmes

Les propriétés suivantes sont disponibles :

Paramètre

Description

Filtre de variables

Limitations aux événements liés à certaines variables

Nom de la variable

Saisissez le nom ou la partie du nom de la variable que vous souhaitez filtrer. L'opérateur * peut être utilisé.

Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Identification

Saisissez l'identification ou une partie de l'identifiant de la variable que vous souhaitez filtrer. L'opérateur * peut être utilisé.

Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Respecter la casse

Actif : les caractères majuscules et minuscules sont pris en compte lors du filtrage par nom et/ou identifiant de variable.

Configuration du Runtime

Comportement de la liste CEL dans le Runtime

Show list without refresh (Afficher la liste sans l'actualiser)

Actif : lorsque la liste est ouverte, aucune nouvelle entrée n'est ajoutée.

(Indisponible dans la fonction Export CEL [Exporter la liste CEL]).

Afficher l'heure relative

Toutes les entrées sont affichées avec, dans la colonne de l'heure d'apparition, la différence de temps par rapport à l'entrée sélectionnée.

Le temps affiché est le temps écoulé depuis l'heure d'apparition de l'événement sélectionné. L'entrée sélectionnée reçoit automatiquement l'information d'horodatage 0. Les autres événements comportent :

  • Une différence de temps positive par rapport à l'entrée sélectionnée s'ils se sont produits plus tard
  • Une différence de temps négative par rapport à l'entrée sélectionnée s'ils se sont produits plus tôt

Afficher cette boîte de dialogue dans le Runtime

Actif : Avant La boîte de dialogue de filtre est ouverte avant chaque appel du synoptique. Les paramètres de filtre peuvent être modifiés.

Dans le Runtime, remplacer boite de dialogue par synoptique

Définition d'un synoptique devant être affiché dans le Runtime à la place de la boîte de dialogue si l'option Offer dialog in Runtime (Afficher cette boîte de dialogue dans le Runtime) est active. Seuls les synoptiques de type Filtre de liste CEL ou Filtre de temps seront disponibles.

Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Si le synoptique lié n'est pas localisé dans le Runtime, une recherche est effectuée pour trouver les synoptiques correspondants portant le nom spécifié.

Origine des données

Affichage des événements actuels ou actuels et historiques.

Buffer circulaire

Actif : Seules les données issues de la mémoire circulaire sont affichées.

Données historiques
Nombre maximal

Actif : Les données de la mémoire circulaire et les données historiques de la liste CEL sont affichées.

Le nombre maximal de données à afficher inclut les données de la mémoire circulaire.

Groupes/classes d'alarmes/d'événements et domaines d'alarmes

Sélection des groupes, classes et domaines d'alarmes

Groupes d'alarmes/d'événements

Parmi les groupes d'alarmes/d'événements existants, sélectionnez celui dont vous souhaitez afficher les alarmes.

Classes d'alarmes/d'événements

Parmi les classes d'alarmes/d'événements existants, sélectionnez celle dont vous souhaitez afficher les alarmes.

Domaines d'alarme

Parmi les domaines d'alarmes existants, sélectionnez celui dont vous souhaitez afficher les alarmes.

attention Attention

Concernant zenon et Windows CE : les systèmes CE sur lesquels la boîte de dialogue de filtre doit être affichée doivent comporter une résolution d'écran supérieure à 800*600 pixels, faute de quoi la boîte de dialogue ne s'affichera pas entièrement.


Heure

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type CEL -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les filtres de temps permettent de limiter la quantité de données à afficher ou exporter. Les filtres de temps sont très flexibles, et peuvent être prédéfinis dans l'Éditeur ou ajustés dans le Runtime.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Les mécanismes décrits ici s'appliquent aussi bien aux appels de synoptique qu'à l'exportation pour les éléments suivants :

  • Liste d'alarmes
  • Maintenance de l'archive
  • Liste chronologique d'événements
  • Tendance étendue
  • Synoptiques de filtre
  • Générateur de rapports
  • Module de visualisation de rapports
  • Fonction Export archives (Exporter les archives)

Le filtrage horaire peut être effectué de deux manières :

  1. En définissant un intervalle de temps dans l'Éditeur
    Des plages de temps fixes sont utilisées. un intervalle de temps est fourni dans l'Éditeur. Il est uniquement possible de filtrer les données en fonction de cet intervalle de temps dans le Runtime. Les autres filtres - tels que le filtrage par nom de variable, groupes d'alarmes/d'événements et classes d'alarmes/d'événements, etc. ne peuvent plus être modifiés dans le Runtime.
  2. Filtre de temps modifiable dans le Runtime
    Des intervalles de temps prédéfinis sont utilisés. Le filtre de temps est défini dans l'Éditeur et peut être modifié dans le Runtime, le cas échéant.

info Info

Si un synoptique ne comportant pas de filtre de temps est référencé, les filtres de temps sont désactivés.

Pour le paramètre Set filter for time filter type (Définir un filtre de type filtre de temps), l'option Display filter dialog in Runtime (Afficher la boîte de dialogue de filtre dans le Runtime) peut être sélectionnée, mais n'est pas disponible dans le Runtime.

Autres sujets abordés dans ce chapitre

Filtre de temps modifiable dans le Runtime (utilisation de temps prédéfinis)

Définir un intervalle de temps dans l'Éditeur

Filtre absolu

Filtre relatif

A partir de

Période de temps


Filtre de temps modifiable dans le Runtime (utilisation de temps prédéfinis)

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type CEL -> Heure -> Filtre de temps modifiable dans le Runtime (utilisation de temps prédéfinis)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Filtre de temps modifiable dans le Runtime (utilisation de temps prédéfinis)

Avec cette méthode, vous définissez un filtre de temps dans l'Éditeur. Celui-ci peut être modifié dans le Runtime avant exécution. Pour créer le filtre :

  1. créer une fonction d'appel de synoptique.
  2. Le synoptique doit comporter des boutons Filtre et Visualiser filtre
  3. Sélectionnez le filtre souhaité :
    • Filtre absolu
    • Filtre relatif
  4. Dans la section Spécifications, sélectionnez l'option Proposer la date/l'heure actuelle.
  5. La boîte de dialogue de filtre s'affiche dans le Runtime, avec la date et l'heure actuelles.

Paramètres

Description

Filtre

Sélection du filtre.

Tout

Actif : Aucun filtre temps n'est utilisé.

Indisponible dans le module Extended Trend

Absolute filter (Filtre absolu)

Actif : Un intervalle de temps fixe est défini dans l'Éditeur. Lors de l'exécution de la fonction, l'intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Horaire relatif

Actif : Un intervalle de temps relatif est saisi.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

A partir de

Actif : L'heure à partir de laquelle le filtre est appliqué. Si l'heure n'est pas atteinte ce jour, le filtrage a lieu à partir de l'heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante ;

  • A partir de HH:MM:SS
  • A partir du jour à HH:MM:SS
  • A partir du jour, mois à HH:MM:SS

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : L'heure de départ de ce filtre n'est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L'heure de fin n'est pas définie avec ce filtre ; elle est reportée.

Période de temps

Actif : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante ;

  • Horaire-jour
  • Horaire-semaine
  • Horaire-2 semaines
  • Horaire-mois
  • Horaire année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Lot

Actif : La boîte de dialogue de sélection est affichée dans le Runtime.

Disponible uniquement pour les modules Extended Trend, Maintenance d'Archive et Rapports.

relatif

Actif : L'affichage débute toujours au point zéro. Autorise la comparaison directe de plusieurs lots.

Disponible uniquement pour le module Tendance étendue, et disponible uniquement si l'option Lot est activée.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Définir un intervalle de temps dans l'Éditeur

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type CEL -> Heure -> Définir un intervalle de temps dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Définir un intervalle de temps dans l'Éditeur

Avec cette méthode, saisissez un intervalle de temps fixe dans l'Éditeur ; celui-ci sera alors appliqué lorsque la fonction sera exécutée dans le Runtime. Vous pouvez alors uniquement définir l'heure de début dans le Runtime, mais aucun autre paramètre de filtre.

Par exemple : Vous définissez un filtre temps de 30 minutes. Dans le Runtime, vous pouvez uniquement définir l'instant auquel doit débuter cet intervalle de temps de 30 minutes. Toutefois, vous ne pouvez pas transformer le filtre en filtre de jour.

attention Attention

Si vous utilisez ce filtre, vous ne pouvez plus modifier les autres filtres disponibles dans l'onglet Général dans le Runtime. Vous pouvez toutefois encore filtrer le texte, les états et les équipements.

Pour créer le filtre :

  1. créer une fonction d'appel de synoptique.
  2. Le synoptique doit comporter un bouton Filtre permettant d'exécuter le filtre dans le Runtime

    Conseil : Activez l'option Offer this dialog in the Runtime (Afficher cette boîte de dialogue dans le Runtime) dans l'onglet Général de la boîte de dialogue de filtre. Ceci vous permet de modifier l'heure de début avant l'exécution de la fonction. N'activez pas l'affichage du filtre dans le Runtime lorsque la fonction est activée ; ceci garantit que l'intervalle actuel est toujours utilisé. Si vous avez activé l'option Use last closed time period (Utiliser le dernier intervalle de temps fermé), l'intervalle de temps précédent est affiché.
    Exemple : vous définissez un filtre temps de 30 minutes. Il est 10:45 lorsque la fonction est activée. Si l'option Use last closed time period (Utiliser le dernier intervalle de temps fermé) est désactivée, le filtre est réglé sur l'intervalle de temps précédent, de 10:30:00 à 10:59:59. Si l'option est activée, le filtre est réglé sur l'intervalle de temps précédent, de 10:00:00 à 10:29:59.

  3. Sélectionnez le filtre souhaité :
    • Filtre absolu
    • Filtre relatif
  4. Configurez l'intervalle de temps sélectionné dans la section Spécifications de l'intervalle de temps souhaité (voir les sections Filtre absolu, Filtre relatif et Ab)

Paramètres

Description

Filtre

Sélection du filtre.

Tout

Actif : Aucun filtre temps n'est utilisé.

Indisponible dans le module Extended Trend

Absolute filter (Filtre absolu)

Actif : Un intervalle de temps fixe est défini dans l'Éditeur. Lors de l'exécution de la fonction, l'intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Horaire relatif

Actif : Un intervalle de temps relatif est saisi.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

A partir de

Actif : L'heure à partir de laquelle le filtre est appliqué. Si l'heure n'est pas atteinte ce jour, le filtrage a lieu à partir de l'heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante ;

  • A partir de HH:MM:SS
  • A partir du jour à HH:MM:SS
  • A partir du jour, mois à HH:MM:SS

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : L'heure de départ de ce filtre n'est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L'heure de fin n'est pas définie avec ce filtre ; elle est reportée.

Période de temps

Actif : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante ;

  • Horaire-jour
  • Horaire-semaine
  • Horaire-2 semaines
  • Horaire-mois
  • Horaire année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Lot

Actif : La boîte de dialogue de sélection est affichée dans le Runtime.

Disponible uniquement pour les modules Extended Trend, Maintenance d'Archive et Rapports.

relatif

Actif : L'affichage débute toujours au point zéro. Autorise la comparaison directe de plusieurs lots.

Disponible uniquement pour le module Tendance étendue, et disponible uniquement si l'option Lot est activée.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Filtre absolu

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type CEL -> Heure -> Filtre absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Filtre absolu

Le filtre absolu permet de définir une période de temps fixe. Lors de l'exécution de la fonction, l'intervalle temps absolu défini est utilisé avec exactitude. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l'option Filtre absolu.
  2. Configurez l'intervalle de temps souhaité dans la section Paramètres.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Paramètre | Description
Configurer les barres d'outils | Configuration du filtre horaire
Proposer la date/heure courante | Actif : Le filtre de temps est affiché dans le Runtime.
Défaut | Actif : le filtre de temps est fourni dans l'Éditeur. Seule l'heure de début peut encore être configurée dans le Runtime.
A partir de | Heure de début du filtre. Sélection du jour, du mois, de l'année, de l'heure, de la minute et de la seconde
Jusqu'à | Heure de fin du filtre. Sélection du jour, du mois, de l'année, de l'heure, de la minute et de la seconde

Exemple : si vous souhaitez voir toutes les alarmes du 1er janvier 2011 au 31 décembre 2011, saisissez les données correspondantes dans les champs À partir et À.


Filtre relatif

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type CEL -> Heure -> Filtre relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Filtre relatif

Un intervalle de temps relatif est saisi.

Attention : ce filtre est constamment mis à jour et continue à fonctionner.

Paramètre | Description
Configurer les barres d'outils | Configuration du filtre horaire.
Proposer la date/heure courante | Actif : Le filtre de temps est affiché dans le Runtime.
Défaut | Actif : le filtre de temps est fourni dans l'Éditeur. Seule l'heure de début peut encore être configurée dans le Runtime. Sélection de l'intervalle relatif en jours, heures, minutes et secondes.

Exemple : vous pouvez définir un intervalle de temps relatif de 10 minutes et basculer vers un synoptique de type Liste d'alarmes en réglant ce filtre de temps sur 12:00. Vous verrez alors s'afficher les alarmes de 11:50 à 12:00 lors de l'appel de synoptique. Si le synoptique Liste d'alarmes reste ouvert, le filtre est automatiquement mis à jour. A 12:01, vous voyez les alarmes de 11:51 à 12:01, etc.


A partir de

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type CEL -> Heure -> A partir de

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
A partir de

Définit l'heure à partir de laquelle le filtre est appliqué.

Paramètre

Description

Configurer les barres d'outils

Configuration du filtre horaire

[Date/Heure]

Selon la configuration de l'option, l'heure à partir de laquelle le filtre est appliqué est configurée ici :

  • heure - minute - seconde
  • jour - heure - minute - seconde
  • jours - mois - heure - minute - seconde

Attention ! L'heure de départ de ce filtre n'est pas mise à jour automatiquement. Seules les heures existantes affichées sont appliquées, même si le synoptique reste ouvert et l'heure de 23:00:00 est atteinte.
L'heure de fin de l'intervalle n'est pas définie avec ce filtre ; elle est reportée.
  • heure - minute - seconde

L'heure à partir de laquelle le filtre est appliqué. Si l'heure n'est pas atteinte ce jour, le filtrage a lieu à partir de l'heure correspondante le jour précédent.

Exemple : vous saisissez 23:00:00. Si la fonction est exécutée à 23:30, elle est filtrée de 23:00:00 jusqu'à l'heure actuelle. S'il est 22:30, toutefois, le filtrage est actif de 23:00:00 le jour précédent jusqu'à l'heure actuelle.
  • jour - heure - minute - seconde

Un jour et une heure de début du filtre sont saisis. Si l'heure indiquée n'a pas été atteinte au cours du mois actuel, l'heure correspondante définie le mois précédent est utilisée.

Exemple : Vous saisissez jour 5 - 23:00:00. Si nous sommes le 10 du mois et il est 23:30, le filtrage sera appliqué à compter du 5 à 23:00:00 jusqu'à l'heure actuelle. Si toutefois nous sommes le 4 du mois, le filtrage sera appliqué à partir du 5 du mois précédent jusqu'à l'heure actuelle.

  • jours - mois - heure - minute - seconde

Un mois, un jour et une heure de début du filtre sont saisis. Si l'heure indiquée n'a pas été atteinte au cours de l'année actuelle, l'heure correspondante définie l'année précédente est utilisée.

Exemple : Vous saisissez Mois Octobre, Jour 5- 23:00:00. Si nous sommes le 10 octobre et il est 23:30, le filtrage est appliqué à compter du 5 octobre à 23:00:00 jusqu'à l'heure actuelle. Si toutefois nous sommes le 4 octobre, le filtrage sera appliqué à partir du 5 octobre de l'année précédente jusqu'à l'heure actuelle.


Période de temps

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type CEL -> Heure -> Période de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Période de temps

Définit une période de temps durant laquelle le filtre est appliqué.

Paramètre

Description

Configurer les barres d'outils

Configuration du filtre horaire

Modifier la période de temps

Permet de modifier les cycles, les délais et les prolongations de périodes de temps.

Actif : L'évaluation est réalisée conformément aux règles suivantes :

  • D'abord, l'option Utiliser la dernière période de temps effectuée est évaluée.
  • Ensuite, l'option Modifier la période de temps de est utilisée.
  • Enfin, l'option Déplacer la période de temps dans le futur de est appliquée.

Inactive : aucune modification n'est apportée à la période de temps.

Attention : Dans la version 7.10, les actions de filtrage réalisées avec cette fonction génèrent des résultats différents de celles réalisées dans les versions antérieures.

Déplacer la période de temps dans le futur de

Actif : La période de temps définie dans le filtre est décalée vers le futur. Indication en heures - minutes - secondes.

Si un décalage égal ou supérieur à la période de temps sélectionnée est défini, un message invitant l'utilisateur à vérifier la configuration s'affiche.

Modifier la période de temps de

Actif : La période de temps définie dans le filtre est modifiée. Indication en heures - minutes - secondes.

Si une modification et un décalage égaux ou supérieurs à la période de temps sélectionnée sont définis, un message invitant l'utilisateur à vérifier la configuration s'affiche.

Ajouter la durée

Actif : L'heure indiquée dans le paramètre Modifier la période de temps de est ajoutée au temps défini dans le paramètre Période de temps.

Soustraire la durée

Actif : L'heure indiquée dans le paramètre Modifier la période de temps de est déduite du temps défini dans le paramètre Période de temps.

Utiliser la dernière période de temps effectuée

Actif : La dernière période de temps terminée est utilisée.


Paramétrage des colonnes

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type CEL -> Paramétrage des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette boîte de dialogue, vous pouvez définir les colonnes que vous souhaitez afficher, ainsi que leur format d'affichage, leur ordre d'affichage et l'ordre de tri des données.

Remarque : tous les paramètres configurés dans cet onglet sont les paramètres par défaut des options suivantes :

  • Synoptique de type Liste d'alarmes
  • Synoptique de liste d'alarmes
  • Ligne d'état d'alarmes
  • Synoptique de liste chronologique d'événements
  • Synoptique Filtre de liste chronologique d'événements

Ces paramètres par défaut peuvent être modifiés lors de la définition de chaque fonction d'alarme/fonction de liste CEL.

info Info

Dans les paramètres du projet, vous pouvez définir un paramètre par défaut pour définir l'ordre et la largeur des colonnes à l'aide des propriétés Paramétrage colonnes alarmes ou Paramétrage colonnes liste d'événements. Si vous créez une nouvelle fonction d'appel de synoptique depuis un synoptique de liste d'alarmes ou un synoptique de liste chronologique d'événements, ce paramètre est utilisé par défaut. Le paramètre est conservé dans le fichier project.ini.

Paramètre

Description

Colonnes

Dans le champ de liste de cet onglet, tous les types de colonne disponibles sont affichés.

Vous pouvez modifier l'ordre des colonnes en les faisant glisser dans le champ de liste :

  • Cliquez sur la colonne Column type (Type de colonne).
  • Déplacez les entrées individuelles à votre convenance.

Vous pouvez également ajuster l'ordre des entrées à l'aide des options Vers le haut et Vers le bas.
  • Case à cocher :

Sélectionnez les types de colonnes que vous souhaitez afficher.
  • Description :

Texte libre de description de la colonne.

Modifier la description : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de saisie.

Remarque : pour les descriptions de colonnes, la fonction de basculement de langue de zenon est disponible.
  • Largeur de colonne :

Définit la largeur de la colonne, en caractères.

Modifier la largeur des colonnes : cliquez avec le bouton gauche sur la zone correspondante. Saisissez la valeur souhaitée dans le champ de saisie.
-1la largeur est calculée dans le Runtime, sur la base de la largeur moyenne des caractères.

Remarque : Pour des raisons de compatibilité, les colonnes dont la largeur ne pouvait pas être modifiée dans les versions antérieures de zenon (Date et heure) comportent la valeur -1.

  • Affichage :

Pour les types de colonnes

  • Symbole Classe d'alarmes/d'événements
  • Symbole Groupe d'alarmes/d'événements
  • État d'alarme

Le format d'affichage réel peut être sélectionné dans le Runtime. Sélectionnez le format souhaité dans la liste déroulante.

Vers le haut

Remonte l'entrée sélectionnée d'une position.

Vers le bas

Abaisse l'entrée sélectionnée d'une position.

Champ de prévisualisation

Affiche les colonnes définies dans le champ de liste avec la largeur sélectionnée.

Vous pouvez également ajuster la largeur des colonnes en cliquant avec le bouton gauche sur le bord droit d'une colonne et en maintenant le bouton de la souris enfoncé pendant que vous déplacez la souris vers la gauche ou la droite.

Paramètres de tables

Trier dans l'ordre décroissant

Trie les entrées de la liste selon leur Heure d'apparition, par ordre décroissant. Ces paramètres s'appliquent à l'affichage d'un synoptique.Vous pouvez modifier l'ordre de tri dans le Runtime en cliquant sur l'intitulé de la colonne. L'ordre de tri actuellement utilisé est représenté par une flèche dans l'en-tête de la colonne.

Afficher la grille

affiche une grille lorsque la liste est affichée dans le Runtime.

Utiliser des couleurs de fond en alternance

Utilise les couleurs de ligne 1 et 2 en alternance pour l'affichage de l'arrière-plan de la liste dans le Runtime.
  • Couleur ligne 1

Couleur utilisée en tant que couleur d'arrière-plan de la liste dans le Runtime pour tous les nombres impairs (1, 3, 5 etc.), si vous avez activé l'option Utiliser des couleurs de fond en alternance.
  • Couleur ligne 2

Couleur utilisée en tant que couleur d'arrière-plan de la liste dans le Runtime pour tous les nombres pairs (2, 4, 6 etc.), si vous avez activé l'option Utiliser des couleurs de fond en alternance.

Affichage dans les colonnes d'heure

Heure

Affiche l'heure d'une entrée de liste sous la forme suivante : HH:MM:SS

Date

Affiche la date d'une entrée de liste sous la forme suivante : JJ:MM:AAAA

millisecondes

Étend la précision de l'entrée de temps aux millisecondes.

Remarque : cette option doit être activée si les millisecondes doivent apparaître dans les fichiers d'exportation ou les impressions.

Conseil : Si vous avez activé le clavier automatique dans le Runtime, celui-ci est activé lors de l'affichage d'un champ d'édition. Vous pouvez également utiliser ce champ pour configurer les colonnes, si vous utilisez un ordinateur sans clavier.

attention Attention

La largeur de colonne est fournie en caractères, et dépend de la police de caractères utilisée. Si la largeur de colonne n'est pas un multiple de la largeur de caractère de la police de caractères utilisée, la largeur réelle de la colonne pourra être différente de la largeur de colonne définie. Ceci peut provoquer l'affichage de texte tronqué ou l'apparition d'un espace vide.

Solution : utilisez des polices proportionnelles, telles que la police "Courier New".

info Info

Si des variables ont été configurées avec des unités de mesure, l'unité de mesure de la variable correspondante est affichée dans la liste chronologique d'événements. Pour cela, le type de colonne Unité doit être affiché.


Texte

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type CEL -> Texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres | Description
Filter according to (Filtrer selon) |
Aucun filtre de texte | Le filtre de texte n'est pas utilisé.
Search for (words separated by spaces) (Rechercher [mots séparés par des espaces]) | Le filtre de texte est utilisé. Les autres options sont désactivées.
Champ de saisie | Saisissez les mots ou chaînes de caractères souhaité(e)s.
Options |
Note capitalization (Tenir compte de la capitalisation) | Actif : lors du filtrage, une distinction est effectuée entre les caractères majuscules et minuscules.
Words do not have to appear in the text in full (Les mots entiers n'apparaissent pas dans le texte) | Actif : certaines parties de mots peuvent également être prises en compte durant le filtrage.
At least one word must be present in the text (Au moins un mot doit être présent dans le texte) | Actif : Au moins un des mots de l'expression de recherche doit être présent dans le texte.
All words must be present in the text (Tous les mots doivent être présents dans le texte) | Actif : Tous les mots doivent être présents dans l'expression de recherche. Dans ce cas, l'ordre des mots n'a aucune incidence.
Filter text must appear in the text exactly (Le texte filtré apparaît exactement dans le texte) | Actif : le texte doit être absolument identique au texte de l'expression de recherche.


États

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type CEL -> États

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'état de la case à cocher indique si le bit d'état doit être évalué.

Etat de la case à cocher | Description
Black dot (Point noir) | Le bit d'état n'est pas évalué.
0 | Seules les entrées dans lesquelles le bit d'état est défini sur False sont affichées.
1 | Seules les entrées dans lesquelles le bit d'état est défini sur True sont affichées.

Example Exemple

Si la case à cocher SPONT est définie sur 1, seules les alarmes déclenchées par des valeurs spontanées sont affichées.

Conseil : Pour plus de détails concernant les bits d'état, reportez-vous au chapitre Gestion d'états.


Projet

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type CEL -> Projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélection des projets devant être pris en compte pour la liste CEL. Le filtre de sélection de sous-projets est uniquement disponible dans le projet d'intégration de la gestion multi-projets.

Pour effectuer une sélection dans le projet d'intégration et les sous-projets, maintenez la touche Ctrl enfoncée pendant que vous cliquez sur les projets de votre choix.


Equipment modeling (Modélisation d'équipements)

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type CEL -> Equipment modeling (Modélisation d'équipements)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le filtre, tous les modèles d'équipements existants sont affichés. Via le menu contextuel ou la barre d'outils, vous pouvez créer de nouveaux modèles et groupes.

Pour ajouter des groupes au filtre :

  1. Sélectionnez l'élément de votre choix.
  2. Cliquez sur le bouton Ajouter.
  3. Répétez cette opération jusqu'à ce que tous les groupes souhaités soient présents dans la liste
    (vous ne pouvez pas sélectionner plusieurs éléments à la fois)

Pour supprimer des groupes du filtre :

  1. Sélectionnez l'élément de votre choix.
    (sélection multiple : appuyez sur la touche Ctrl ou Maj pendant que vous cliquez sur l'élément souhaité)
  2. Cliquez sur le bouton Supprimer.

Elément | Description
Equipment model (Modèle d'équipement) | Fournit des modèles et des groupes pour la sélection
Ajouter | Ajoute les groupes sélectionnés à la liste de filtres.
Supprimer | Supprimer les groupes sélectionnés de la liste de filtres.


Filtres pour l'appel de synoptiques de type filtre de liste CEL

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type filtre de liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer un synoptique de type filtre de liste chronologique d'événements :

  1. configurez une fonction d'appel de synoptique vers un synoptique de type Filtre de liste chronologique d'événements
  2. Le filtre est affiché avec les onglets suivants :
    • Synoptiques
    • Généralités
    • Texte
    • Heure

Autres sujets abordés dans ce chapitre

Synoptiques

Généralités

Texte

Heure


Synoptiques

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type filtre de liste CEL -> Synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous pouvez définir les écrans que vous souhaitez mettre à jour par l'intermédiaire du filtre de synoptique.

Les paramètres suivants sont disponibles :

Paramètre

Description

Le filtre défini à partir du synoptique suivant

Synoptique appelant

Actif : Les paramètres du filtres sont ceux du synoptique depuis lequel le synoptique de filtre est appelé. Le bouton de synoptique est grisé. Vous ne pouvez pas sélectionner de synoptique en particulier, car avec ce paramètre, le filtre est toujours mis à jour depuis le synoptique d'activation.

Remarque : les paramètres des onglets Général, Texte et Heure sont verrouillés.

Sélection de synoptique

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de synoptique.

Sélectionnez le synoptique depuis lequel le filtre doit être lu lorsque vous cliquez sur le bouton Mise à jour dans le Runtime.

Remarque : Il convient donc de sélectionner un synoptique pouvant intégrer ou remplir le filtre de synoptique.

Le synoptique sélectionné est ajouté à la liste des synoptiques devant être mis à jour. Si vous le supprimez de la liste, le prochain synoptique de la liste est automatiquement inséré à sa place.

Remarque : indisponible si vous avez coché la case Calling screen (Synoptique d'activation).

Screens to be updated (Synoptiques devant être mis à jour)

Sélection de synoptique

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection des synoptiques de filtre. Sélectionnez l'écran de votre choix.

Mise à jour

Update on all monitors (Mettre à jour sur tous les moniteurs)

Actif : Les synoptiques devant être mis à jour dans la liste de synoptiques sont mis à jour sur tous les moniteurs accessibles.


Généralités

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type filtre de liste CEL -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec le filtre général, vous définissez les événements affichés et votre capacité d'accès aux paramètres correspondants dans le Runtime. Ceci vous permet de différencier les événements selon les événements suivants :

  • Type
  • Origine des données
  • Variables
  • Groupes, classes d'alarmes/d'événements et domaines d'alarmes

Les propriétés suivantes sont disponibles :

Paramètre

Description

Filtre de variables

Limitations aux événements liés à certaines variables

Nom de la variable

Saisissez le nom ou la partie du nom de la variable que vous souhaitez filtrer. L'opérateur * peut être utilisé.

Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Identification

Saisissez l'identification ou une partie de l'identifiant de la variable que vous souhaitez filtrer. L'opérateur * peut être utilisé.

Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Respecter la casse

Actif : les caractères majuscules et minuscules sont pris en compte lors du filtrage par nom et/ou identifiant de variable.

Origine des données

Affichage des événements actuels ou actuels et historiques.

Buffer circulaire

Actif : Seules les données issues de la mémoire circulaire sont affichées.

Données historiques
Nombre maximal

Actif : Les données de la mémoire circulaire et les données historiques de la liste CEL sont affichées.

Le nombre maximal de données à afficher inclut les données de la mémoire circulaire.

Configuration du Runtime

Comportement de la liste CEL dans le Runtime

Show list without refresh (Afficher la liste sans l'actualiser)

Actif : lorsque la liste est ouverte, aucune nouvelle entrée n'est ajoutée.

(Indisponible dans la fonction Export CEL [Exporter la liste CEL]).

Afficher cette boîte de dialogue dans le Runtime

Actif : Avant La boîte de dialogue de filtre est ouverte avant chaque appel du synoptique. Les paramètres de filtre peuvent être modifiés.

Afficher l'heure relative

Toutes les entrées sont affichées avec, dans la colonne de l'heure d'apparition, la différence de temps par rapport à l'entrée sélectionnée.

Le temps affiché est le temps écoulé depuis l'heure d'apparition de l'événement sélectionné. L'entrée sélectionnée reçoit automatiquement l'information d'horodatage 0. Les autres événements comportent :

  • Une différence de temps positive par rapport à l'entrée sélectionnée s'ils se sont produits plus tard
  • Une différence de temps négative par rapport à l'entrée sélectionnée s'ils se sont produits plus tôt

Groupes/classes d'alarmes/d'événements et domaines d'alarmes

Sélection des groupes, classes et domaines d'alarmes

Groupes d'alarmes/d'événements

Parmi les groupes d'alarmes/d'événements existants, sélectionnez celui dont vous souhaitez afficher les alarmes.

Classes d'alarmes/d'événements

Parmi les classes d'alarmes/d'événements existants, sélectionnez celle dont vous souhaitez afficher les alarmes.

Domaines d'alarme

Parmi les domaines d'alarmes existants, sélectionnez celui dont vous souhaitez afficher les alarmes.

attention Attention

Concernant zenon et Windows CE : les systèmes CE sur lesquels la boîte de dialogue de filtre doit être affichée doivent comporter une résolution d'écran supérieure à 800*600 pixels, faute de quoi la boîte de dialogue ne s'affichera pas entièrement.


Texte

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type filtre de liste CEL -> Texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres | Description
Filter according to (Filtrer selon) |
Aucun filtre de texte | Le filtre de texte n'est pas utilisé.
Search for (words separated by spaces) (Rechercher [mots séparés par des espaces]) | Le filtre de texte est utilisé. Les autres options sont désactivées.
Champ de saisie | Saisissez les mots ou chaînes de caractères souhaité(e)s.
Options |
Note capitalization (Tenir compte de la capitalisation) | Actif : lors du filtrage, une distinction est effectuée entre les caractères majuscules et minuscules.
Words do not have to appear in the text in full (Les mots entiers n'apparaissent pas dans le texte) | Actif : certaines parties de mots peuvent également être prises en compte durant le filtrage.
At least one word must be present in the text (Au moins un mot doit être présent dans le texte) | Actif : Au moins un des mots de l'expression de recherche doit être présent dans le texte.
All words must be present in the text (Tous les mots doivent être présents dans le texte) | Actif : Tous les mots doivent être présents dans l'expression de recherche. Dans ce cas, l'ordre des mots n'a aucune incidence.
Filter text must appear in the text exactly (Le texte filtré apparaît exactement dans le texte) | Actif : le texte doit être absolument identique au texte de l'expression de recherche.


Heure

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type filtre de liste CEL -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous pouvez définir la période de temps utilisée lors de l'ouverture du synoptique de filtre.

D

Les paramètres suivants sont disponibles :

Paramètres

Description

Filtre

Sélection du filtre.

Tout

Actif : Aucun filtre temps n'est utilisé.

Indisponible dans le module Extended Trend

Absolute filter (Filtre absolu)

Actif : Un intervalle de temps fixe est défini dans l'Éditeur. Lors de l'exécution de la fonction, l'intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Horaire relatif

Actif : Un intervalle de temps relatif est saisi.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

A partir de

Actif : L'heure à partir de laquelle le filtre est appliqué. Si l'heure n'est pas atteinte ce jour, le filtrage a lieu à partir de l'heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante ;

  • A partir de HH:MM:SS
  • A partir du jour à HH:MM:SS
  • A partir du jour, mois à HH:MM:SS

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : L'heure de départ de ce filtre n'est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L'heure de fin n'est pas définie avec ce filtre ; elle est reportée.

Période de temps

Actif : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante ;

  • Horaire-jour
  • Horaire-semaine
  • Horaire-2 semaines
  • Horaire-mois
  • Horaire année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Lot

Actif : La boîte de dialogue de sélection est affichée dans le Runtime.

Disponible uniquement pour les modules Extended Trend, Maintenance d'Archive et Rapports.

relatif

Actif : L'affichage débute toujours au point zéro. Autorise la comparaison directe de plusieurs lots.

Disponible uniquement pour le module Tendance étendue, et disponible uniquement si l'option Lot est activée.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Filtre absolu

Filtre relatif

A partir de

Période de temps


Filtre absolu

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type filtre de liste CEL -> Heure -> Filtre absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Filtre absolu

Le filtre absolu permet de définir une période de temps fixe. Lors de l'exécution de la fonction, l'intervalle temps absolu défini est utilisé avec exactitude. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l'option Filtre absolu.
  2. Configurez l'intervalle de temps souhaité dans la section Paramètres.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Paramètre | Description
Configurer les barres d'outils | Configuration du filtre horaire
Proposer la date/heure courante | Actif : Le filtre de temps est affiché dans le Runtime.
Défaut | Actif : le filtre de temps est fourni dans l'Éditeur. Seule l'heure de début peut encore être configurée dans le Runtime.
A partir de | Heure de début du filtre. Sélection du jour, du mois, de l'année, de l'heure, de la minute et de la seconde
Jusqu'à | Heure de fin du filtre. Sélection du jour, du mois, de l'année, de l'heure, de la minute et de la seconde

Exemple : si vous souhaitez voir toutes les alarmes du 1er janvier 2011 au 31 décembre 2011, saisissez les données correspondantes dans les champs À partir et À.


Filtre relatif

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type filtre de liste CEL -> Heure -> Filtre relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Filtre relatif

Un intervalle de temps relatif est saisi.

Attention : ce filtre est constamment mis à jour et continue à fonctionner.

Paramètre | Description
Configurer les barres d'outils | Configuration du filtre horaire.
Proposer la date/heure courante | Actif : Le filtre de temps est affiché dans le Runtime.
Défaut | Actif : le filtre de temps est fourni dans l'Éditeur. Seule l'heure de début peut encore être configurée dans le Runtime. Sélection de l'intervalle relatif en jours, heures, minutes et secondes.

Exemple : vous pouvez définir un intervalle de temps relatif de 10 minutes et basculer vers un synoptique de type Liste d'alarmes en réglant ce filtre de temps sur 12:00. Vous verrez alors s'afficher les alarmes de 11:50 à 12:00 lors de l'appel de synoptique. Si le synoptique Liste d'alarmes reste ouvert, le filtre est automatiquement mis à jour. A 12:01, vous voyez les alarmes de 11:51 à 12:01, etc.


A partir de

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type filtre de liste CEL -> Heure -> A partir de

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
A partir de

Définit l'heure à partir de laquelle le filtre est appliqué.

Paramètre

Description

Configurer les barres d'outils

Configuration du filtre horaire

[Date/Heure]

Selon la configuration de l'option, l'heure à partir de laquelle le filtre est appliqué est configurée ici :

  • heure - minute - seconde
  • jour - heure - minute - seconde
  • jours - mois - heure - minute - seconde

Attention ! L'heure de départ de ce filtre n'est pas mise à jour automatiquement. Seules les heures existantes affichées sont appliquées, même si le synoptique reste ouvert et l'heure de 23:00:00 est atteinte.
L'heure de fin de l'intervalle n'est pas définie avec ce filtre ; elle est reportée.
  • heure - minute - seconde

L'heure à partir de laquelle le filtre est appliqué. Si l'heure n'est pas atteinte ce jour, le filtrage a lieu à partir de l'heure correspondante le jour précédent.

Exemple : vous saisissez 23:00:00. Si la fonction est exécutée à 23:30, elle est filtrée de 23:00:00 jusqu'à l'heure actuelle. S'il est 22:30, toutefois, le filtrage est actif de 23:00:00 le jour précédent jusqu'à l'heure actuelle.
  • jour - heure - minute - seconde

Un jour et une heure de début du filtre sont saisis. Si l'heure indiquée n'a pas été atteinte au cours du mois actuel, l'heure correspondante définie le mois précédent est utilisée.

Exemple : Vous saisissez jour 5 - 23:00:00. Si nous sommes le 10 du mois et il est 23:30, le filtrage sera appliqué à compter du 5 à 23:00:00 jusqu'à l'heure actuelle. Si toutefois nous sommes le 4 du mois, le filtrage sera appliqué à partir du 5 du mois précédent jusqu'à l'heure actuelle.

  • jours - mois - heure - minute - seconde

Un mois, un jour et une heure de début du filtre sont saisis. Si l'heure indiquée n'a pas été atteinte au cours de l'année actuelle, l'heure correspondante définie l'année précédente est utilisée.

Exemple : Vous saisissez Mois Octobre, Jour 5- 23:00:00. Si nous sommes le 10 octobre et il est 23:30, le filtrage est appliqué à compter du 5 octobre à 23:00:00 jusqu'à l'heure actuelle. Si toutefois nous sommes le 4 octobre, le filtrage sera appliqué à partir du 5 octobre de l'année précédente jusqu'à l'heure actuelle.


Période de temps

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> Configuration de la liste CEL à l'aide de filtres -> Filtres pour l'appel de synoptiques de type filtre de liste CEL -> Heure -> Période de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Période de temps

Définit une période de temps durant laquelle le filtre est appliqué.

Paramètre

Description

Configurer les barres d'outils

Configuration du filtre horaire

Modifier la période de temps

Permet de modifier les cycles, les délais et les prolongations de périodes de temps.

Actif : L'évaluation est réalisée conformément aux règles suivantes :

  • D'abord, l'option Utiliser la dernière période de temps effectuée est évaluée.
  • Ensuite, l'option Modifier la période de temps de est utilisée.
  • Enfin, l'option Déplacer la période de temps dans le futur de est appliquée.

Inactive : aucune modification n'est apportée à la période de temps.

Attention : Dans la version 7.10, les actions de filtrage réalisées avec cette fonction génèrent des résultats différents de celles réalisées dans les versions antérieures.

Déplacer la période de temps dans le futur de

Actif : La période de temps définie dans le filtre est décalée vers le futur. Indication en heures - minutes - secondes.

Si un décalage égal ou supérieur à la période de temps sélectionnée est défini, un message invitant l'utilisateur à vérifier la configuration s'affiche.

Modifier la période de temps de

Actif : La période de temps définie dans le filtre est modifiée. Indication en heures - minutes - secondes.

Si une modification et un décalage égaux ou supérieurs à la période de temps sélectionnée sont définis, un message invitant l'utilisateur à vérifier la configuration s'affiche.

Ajouter la durée

Actif : L'heure indiquée dans le paramètre Modifier la période de temps de est ajoutée au temps défini dans le paramètre Période de temps.

Soustraire la durée

Actif : L'heure indiquée dans le paramètre Modifier la période de temps de est déduite du temps défini dans le paramètre Période de temps.

Utiliser la dernière période de temps effectuée

Actif : La dernière période de temps terminée est utilisée.


CEL ring buffer (Mémoire circulaire CEL)

Manuels -> Liste chronologique d'événements (CEL) -> Configurer la liste CEL -> CEL ring buffer (Mémoire circulaire CEL)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les événements sont enregistrés dans une mémoire circulaire (cel.bin) et un fichier d'événements (*.cel) dans le dossier Runtime, dès leur apparition.

Buffer circulaire

La mémoire circulaire inclut tous les événements actifs. Ces derniers sont gérés selon les paramètres suivants :

  • Heure de déclenchement (en millisecondes), servant de signature unique

Taille de la mémoire circulaire (buffer circulaire)

La taille de la mémoire circulaire doit être assez importante et est définie dans les propriétés du projet, par l'intermédiaire de la propriété Taille de la mémoire circulaire (buffer circulaire).

Dans le Runtime, les anciennes entrées sont conservées dans la liste lors de l'appel du synoptique de la liste CEL. Lorsque de nouvelles entrées sont ajoutées, le nombre d'entrées ajoutées peut dépasser la taille configurée de la mémoire circulaire. Si le synoptique de la liste est appelé une nouvelle fois, les anciennes entrées sont supprimées, et la taille configurée est appliquée. Ce comportement permet d'éviter toute perte de données lors de l'affichage de la liste.

Attention : l'affichage d'entrées dépassant les valeurs définies occupe davantage de mémoire. Si le synoptique est appelé une nouvelle fois, la mémoire occupée n'est pas libérée, mais reste au niveau de la dernière valeur maximale.

Save ring buffer (Enregistrer la mémoire circulaire)

La mémoire circulaire est automatiquement enregistrée sous forme de fichier cel.bin lors de la fermeture du Runtime. Si le Runtime est fermé par un événement inattendu tel une coupure de courant, une perte de données se produit. Pour éviter cela, la mémoire circulaire peut être enregistrée manuellement, via la propriété Sauvegarder buffer circulaire de manière spontanée, à chaque nouvelle entrée ; elle peut également être enregistrée via la fonction Sauver buffer mémoire des alarmes et des événements.

Fichier de résultats

Toutes les alarmes sont écrites simultanément, avec le contenu de la mémoire circulaire, dans un fichier CEL (*.cel) spécifique. Ce fichier est créé automatiquement pour chaque jour calendaire, et géré via la propriété Enregistrer les événements. Le nom du fichier comprend la lettre C, suivie de la date au format AAMMJJ et du suffixe .cel, par exemple C100623.cel. Ces fichiers sont créés automatiquement pour chaque jour et doivent être transférés ou supprimés par l'utilisateur si la capacité de stockage est limitée. Les fichiers *.cel sont enregistrés dans le dossier ...\Dossier du projet\Nom de l'ordinateur\Nom du projet.

Synchronisation de la mémoire circulaire et du fichier d'alarmes

La mémoire circulaire et le fichier CEL sont synchronisés. Cette synchronisation est toujours effectuée de la mémoire circulaire vers le fichier CEL.

Périodes d'enregistrement

La liste chronologique d'événements (*.cel) est enregistrée à chaque nouvelle entrée.

La mémoire circulaire (*.bin) est enregistrée :

  • Lors de la fermeture du Runtime
  • À chaque nouvelle entrée, si la propriété Sauvegarder buffer circulaire de manière spontanée est active
  • Lors de l'exécution de la fonction Sauver buffer mémoire des alarmes et des événements

    Sauver buffer mémoire des alarmes et des événements

    Cette fonction enregistre les alarmes et les évévenements courants dans les fichiers ALARM.BIN et CEL.BIN.

    Plus de détails dans l'aide en ligne

Remarque : si l'option Sauvegarder buffer circulaire de manière spontanée est désactivée, il est possible que les entrées dans la liste CEL et la mémoire circulaire ne correspondent pas, après une panne de courant.


Fonctions

Manuels -> Liste chronologique d'événements (CEL) -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fonctions permettent de contrôler l'affichage et la gestion de la liste CEL dans le Runtime.

attention Attention

Si des fonctions sont utilisées sur le réseau, tenez compte de leur emplacement d'exécution.

Autres sujets abordés dans ce chapitre

Fonctions réseau

Appel de synoptique de type CEL

Appel de synoptique de type filtre de CEL

Fonctions de la liste chronologique d'événements


Fonctions réseau

Manuels -> Liste chronologique d'événements (CEL) -> Fonctions -> Fonctions réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si des fonctions de gestion du réseau sont utilisées, il est important de noter l'emplacement d'exécution :

Pour les fonctions utilisées sur le réseau :

  • L'emplacement d'exécution peut être librement configuré, dans certains cas
  • L'emplacement d'exécution est prédéfini, dans d'autres cas

info Info

Les scripts associent plusieurs fonctions. L'emplacement d'exécution dépend alors des paramètres de la fonction Execute script (Exécuter script). Ce paramètre remplace les paramètres des fonctions individuelles.

Configurez l'emplacement d'exécution

Pour les fonctions pour lesquelles l'emplacement d'exécution peut être librement configuré, les paramètres correspondants sont disponibles dans les propriétés de la fonction. Pour définir l'emplacement d'exécution :

  1. Accédez au groupe Exécution dans les propriétés du projet.
  2. Sélectionnez l'emplacement d'exécution souhaité en cochant la case. Une sélection multiple est possible :
    • Ordinateur courant : La fonction sera exécutée sur l'ordinateur actuel.
    • Serveur : La fonction sera exécutée sur le serveur.
    • Redondant : La fonction sera exécutée sur le serveur redondant.
    • Client : La fonction sera exécutée sur la totalité des clients.

Vue d'ensemble des fonctions de réseau

La table suivante illustre les fonctions exécutées, ainsi que leur emplacement d'exécution.

Clé :

  • Paramétrable : le comportement peut être configuré

    +: Oui

    -: Non

    O : Défaut

  • Si non paramétrable, O identifie l'emplacement d'exécution :
    • Ordinateur actif
    • Serveur
    • Redondant
    • Client

Fonction | Paramétrable | Ordinateur courant | Serveur | Redondant | Client
Liste d'alarmes et liste chronologique d'événements |  |  |  |  |
Alarmes : acquitter clignotement | - | O |  |  |
Alarmes : supprimer | - |  | O | O |
Alarmes : acquitter | - |  | O | O |
Inscrire/désinscrire groupe d'alarmes/d'événements | - | O |  |  |
Activer/désactiver liste d'alarmes / groupe d'alarmes/d'événements / classe d'alarmes/d'événements | - |  | O | O |
Gestion d'alarmes active | - |  | O |  |
Alarm Message List active/inactive (Liste d'alarmes actives/inactives) | - |  | O |  |
Alarmes : désactiver | - |  | O |  |
Exportation de la liste AML | + | O |  |  |
Sauver buffer mémoire des alarmes et des événements | - |  | O | O |
Exporter CEL | + | O |  |  |
Print AML or CEL (Imprimer la liste AML ou CEL) | + | O |  |  |
Créer/imprimer un document IPA | - |  | O |  |
impression en ligne on/off | - |  | O | O |
Démarrer nouvelle page pour l'impression en ligne | + | O |  |  |
Changer imprimante en ligne | - |  | O |  |
Application |  |  |  |  |
Sélection imprimante | + | O |  |  |
Démarrer EMS | - |  | O |  |
Arrêter EMS | - |  | O |  |
Imprimer un diagramme Extended Trend | + | O |  |  |
Changer de palette | + | O |  |  |
Fonctions : activer sur limite | - |  | O | O |
Fonctions activer/désactiver sur limite | - |  | O | O |
Fonctions : désactiver sur limite | - |  | O | O |
Ouvrir l'aide | + | O |  |  |
Réinitialiser projet en ligne | + | O |  |  |
Détermination des maintenances ouvertes | - |  | O |  |
PFS – Exécuter un événement défini par l'utilisateur | + | O |  |  |
Activer/désactiver la simulation de projet | - | O |  |  |
Simuler le clic droit | + | O |  |  |
Save remanent data (Enregistrer les données rémanentes) | + | O |  |  |
Quitter le Runtime | + | O |  |  |
Analyser les heuristiques du graphe S7 | + | O |  |  |
Exécuter une fonction SAP | + | O |  |  |
Changement de langue | + | O |  |  |
Topologie - Recherche des défauts de terre | - |  | O |  |
Topologie – Délestage | - |  | O |  |
Le serveur d'archives |  |  |  |  |
Archive : Stop | - |  | O | O |
Indexer les archives | - |  | O |  |
Archive : Départ | - |  | O | O |
Export archives (Exporter les archives) | - | O |  |  |
Archive : liste des archives actives | - |  | O | O |
Gestion utilisateurs |  |  |  |  |
Modifier un utilisateur | + | O |  |  |
Login avec boite de dialogue | + | O |  |  |
Login sans mot de passe | + | O |  |  |
Logout | + | O |  |  |
Modifier mot de passe | - | O |  |  |
Synoptiques |  |  |  |  |
Change ALC source color (Modifier la couleur source de la fonction CAL) | + | O |  |  |
Synoptique indexé | - | O |  |  |
Fermer le synoptique | + | O |  |  |
Synoptique : retour au précédent | - | O |  |  |
Synoptique : déplacer le centre | + | O |  |  |
Appel de synoptique | + | O |  |  |
Activer l'élément qui a le focus | +- | O |  |  |
Donner le focus au gabarit | + | O |  |  |
Donner le focus | - | O |  |  |
Enlever le focus du gabarit | + | O |  |  |
Visualiser menu | + | O |  |  |
Sélection moniteur | + | O |  |  |
Profils de Runtime | + | O |  |  |
Fermer le gabarit | + | O |  |  |
Saisie de valeur pour les synoptiques clavier | - | O |  |  |
Vue d'aperçu | + | O |  |  |
Détection d'erreurs sur les réseaux électriques |  |  |  |  |
Acquitter un message de défaut de terre | + | O |  |  |
Arrêter la recherche des défauts de terre | + | O |  |  |
Démarrer la recherche des défauts de terre | + | O |  |  |
Acquitter le message de court-circuit | + | O |  |  |
Gestion de messages Remarque : l'emplacement d'exécution peut être librement défini, en théorie. Les modifications n'ont toutefois aucun effet. La fonction Message Control (gestion des messages) est toujours exécutée sur le serveur. |  |  |  |  |
Visualiser la base de données des destinataires | + | O |  |  |
Envoi d'un message | + | O |  |  |
Envoi de messages : activer | + | O |  |  |
Envoi de messages : désactiver | + | O |  |  |
Réseau |  |  |  |  |
Autorisation sur le réseau | + | O |  |  |
Commutation redondance | - |  |  | O |
Générateur de rapports |  |  |  |  |
Imprimer rapport | + |  |  |  |
Rapport : exécuter | + |  |  |  |
Exporter rapport | + |  |  |  |
Recettes |  |  |  |  |
Gestionnaire de groupes de recettes | - | O |  |  |
Recette standard | - | O |  |  |
Recette : envoi direct | + | O | O | O | O
Recette : modification avant envoi | - | O |  |  |
Recette : sélection et modification avant envoi | - | O |  |  |
Script |  |  |  |  |
Script : exécuter | + | O |  |  |
Script : sélection en ligne | + | O |  |  |
Variable |  |  |  |  |
Exporter données | - |  | O |  |
Lire un fichier dBase | + | O |  |  |
Imprimer valeurs actuelles | + | O |  |  |
Unit conversion (Conversion d'unités) | + | O |  |  |
Gestion HD active | - |  | O | O |
Gestion HD inactive | - |  | O | O |
Valeurs de tendance inactives/actives | - |  | O | O |
Écriture valeur prescrite | - |  | O |  |
Commandes driver | - | O |  |  |
Transférer l'image de simulation du driver au redondant | - |  |  |  | O
Écrire l'heure dans une variable | + | O |  |  |
Lire l'heure d'une variable | + | O |  |  |
VBA |  |  |  |  |
Ouvrir l'Éditeur PCE | - |  | O |  |
Ouvrir l'éditeur VBA | + | O |  |  |
Exécuter macro VBA | + | O |  |  |
Montrer la boîte de dialogue des macros VBA | + | O |  |  |
VSTA |  |  |  |  |
Ouvrir Éditeur VSTA | + | O |  |  |
Exécuter macro VSTA | + | O |  |  |
Montrer la boîte de dialogue des macros VSTA | + | O |  |  |
Fenêtre |  |  |  |  |
Émettre un fichier-son | + | O |  |  |
Opérations sur fichiers | + | O |  |  |
Son bip : début | + | O |  |  |
Son bip : fin | + | O |  |  |
Fenêtre en arrière-plan | - | O |  |  |
Fenêtre en avant-plan | - | O |  |  |
Imprimer la capture d'écran | + | O |  |  |
Exécuter un programme | + | O |  |  |


Appel de synoptique de type CEL

Manuels -> Liste chronologique d'événements (CEL) -> Fonctions -> Appel de synoptique de type CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer un synoptique de type liste chronologique d'événements :

  1. Créez un synoptique de type Liste chronologique d'événements :
  2. Créez une fonction d'appel de synoptique pour ce synoptique.
  3. Définissez les propriétés de filtre souhaitées

Dans le Runtime, vous pouvez modifier les propriétés du filtre Exception : dans l'Éditeur, un filtre d'heure fixe a été défini.

Configurer l'appel de synoptique

Pour créer un appel de synoptique de type CEL :

  1. Dans le menu contextuel du nœud Fonction, sélectionnez la commande Nouvelle fonction
  2. Cliquez sur Screen switch (Appel de synoptique)
  3. La boîte de dialogue de sélection de synoptiques s'affiche à l'écran
  4. Sélectionnez un synoptique de type CEL
    Ou créez-le dans cette boîte de dialogue en cliquant sur le symbole Nouveau synoptique
  5. Le filtre est affiché avec les onglets suivants :
    • Généralités
    • Heure
    • Paramétrage des colonnes
    • Texte
    • États
    • Projet (uniquement disponible dans le projet d'intégration de la gestion multi-projets).
    • Equipment modeling (Modélisation d'équipements)

    Si des variables liées ou des indices sont disponibles, les onglets suivants peuvent être affichés en option.

    • Remplacer les liens
    • Remplacer les indices

  6. Définissez les filtres devant être prédéfinis dans le Runtime
  7. Confirmez les paramètres et fermez la boîte de dialogue en cliquant sur OK.
  8. Liez la fonction à un bouton pour pouvoir appeler le synoptique et afficher les propriétés du filtre dans le Runtime

info Info

Si une référence à un synoptique ne comporte pas de filtre de temps, le filtre de temps est désactivé.


Appel de synoptique de type filtre de CEL

Manuels -> Liste chronologique d'événements (CEL) -> Fonctions -> Appel de synoptique de type filtre de CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer un synoptique de type Filtre de liste chronologique d'événements dans le Runtime :

  1. Créez un synoptique de type Filtre de liste chronologique d'événements :
  2. Créez une fonction d'appel de synoptique pour ce synoptique.
  3. Définissez les propriétés de filtre souhaitées

Dans le Runtime, les propriétés du filtre peuvent uniquement être contrôlées par le biais des boutons définis sur le synoptique.

Configurer l'appel de synoptique

Pour créer un appel de synoptique vers un synoptique de type Filtre de liste chronologique d'événements :

  1. Dans le menu contextuel du nœud Fonction, sélectionnez la commande Nouvelle fonction
  2. Cliquez sur Screen switch (Appel de synoptique)
  3. La boîte de dialogue de sélection de synoptiques s'affiche à l'écran
  4. Sélectionnez un synoptique de type Filtre de liste chronologique d'événements
    Ou créez-le dans cette boîte de dialogue en cliquant sur le symbole Nouveau synoptique
  5. Le filtre est affiché avec les onglets suivants :
    • Synoptiques
    • Généralités
    • Texte
    • Heure

  6. Définissez les filtres devant être prédéfinis dans le Runtime
  7. Confirmez les paramètres et fermez la boîte de dialogue en cliquant sur OK.
  8. Liez la fonction à un bouton pour pouvoir appeler le synoptique et afficher les propriétés du filtre dans le Runtime


Fonctions de la liste chronologique d'événements

Manuels -> Liste chronologique d'événements (CEL) -> Fonctions -> Fonctions de la liste chronologique d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Différentes fonctions permettent de gérer les événements dans le Runtime.

Pour créer une fonction de la liste chronologique d'événements :

  1. Accédez au nœud Fonctions.
  2. Sélectionnez Nouvelle fonction dans le menu contextuel ou la barre d'outils.
  3. La boîte de dialogue de sélection des fonctions s'affiche à l'écran.
  4. Accédez au nœud AML/CEL.

  5. Sélectionnez la fonction de votre choix.
  6. Configurez la fonction, si nécessaire.
  7. Liez la fonction à un bouton.

Autres sujets abordés dans ce chapitre

Sauver buffer mémoire des alarmes et des événements

Exporter CEL

Print AML or CEL (Imprimer la liste AML ou CEL)

impression en ligne on/off

Démarrer nouvelle page pour l'impression en ligne

Changer imprimante en ligne


Sauver buffer mémoire des alarmes et des événements

Manuels -> Liste chronologique d'événements (CEL) -> Fonctions -> Fonctions de la liste chronologique d'événements -> Sauver buffer mémoire des alarmes et des événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet d'enregistrer le contenu de la mémoire circulaire, et notamment les alarmes et les événements, ainsi que les valeurs des variables mathématiques (compteurs). Les entrées sont enregistrées dans les fichiers suivants :

Fichier | Contenu | La taille peut être définie dans les propriétés
ALARM.BIN | Alarmes | Taille de la mémoire circulaire (buffer circulaire)
CEL.BIN | Entrées de la liste chronologique d'événements | Taille de la mémoire circulaire (buffer circulaire)
SY_MA32.BIN | Valeurs des variables mathématiques (par ex., compteurs) |

Pour enregistrer la mémoire circulaire de la liste AML :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Save AML and CEL ring buffer (Enregistrer la mémoire circulaire des listes AML et CEL)
  3. Liez la fonction à un bouton.


Exporter CEL

Manuels -> Liste chronologique d'événements (CEL) -> Fonctions -> Fonctions de la liste chronologique d'événements -> Exporter CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet d'exporter les événements enregistrés avec des options de filtre vers un fichier ou une base de données dans le Runtime.

Pour exporter les entrées de la liste CEL :

  1. Créez une nouvelle fonction
  2. Sélectionnez Export CEL (Exporter la liste CEL)
  3. La boîte de dialogue de sélection des critères de filtre s'affiche
  4. Définissez les critères pour les éléments suivants :
    • Export format (Format d'exportation)
    • Généralités
    • Heure
    • Projet
  5. Liez la fonction à un bouton.

Autres sujets abordés dans ce chapitre

Export format (Format d'exportation)


Export format (Format d'exportation)

Manuels -> Liste chronologique d'événements (CEL) -> Fonctions -> Fonctions de la liste chronologique d'événements -> Exporter CEL -> Export format (Format d'exportation)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Différents formats d'exportation sont disponibles :

  • dBase
  • CSV
  • XML
  • SQL

info Info

L'exportation au format SQL se déroule de manière incrémentielle. Si des données exportées sont déjà présentes, seules les données nouvelles et modifiées sont exportées.

Paramètre

Description

Export format (Format d'exportation)

Sélection du type du fichier. Formats possibles :

  • dBase : format DBaseIV (*.dbf) :
  • CSV
  • XML
  • SQL

Remarques concernant dBase :

  • Les noms de fichier ne peuvent pas comporter plus de huit caractères.
  • La largeur de colonne configurée est utilisée lors de l'exportation. Si par exemple, une valeur de 40 est définie dans Paramètres des colonnes, 40 caractères maximum sont alors exportés.
  • Au maximum, 255 caractères sont exportés.

Options

En Unicode

L'exportation au format ASCII est effectuée en texte Unicode.

Exportation incrémentielle

Seuls les différences intervenues depuis la dernière sauvegarde sont exportées.

Export to file (Exporter vers le fichier)

Spécifiez le fichier dans lequel seront enregistrées les données exportées.

Nom de fichier

Spécifiez un nom de fichier individuel.

Le nom de fichier peut comporter au maximum 32 caractères alphanumériques, suffixe de fichier inclus.

Remarque : les fichiers existants portant le même nom seront remplacés.

Attribution automatique du nom de fichier

Actif : Le nom de fichier sera généré automatiquement à partir d'un identifiant court, d'une date et d'un suffixe automatique individuel.
Inactif : le nom de fichier est saisi par l'utilisateur sous Filename (Nom de fichier).

(Les entrées existantes ne sont pas écrasées).

Pour plus de détails, voir le tableau suivant : Codage du nom pour la fonction de dénomination automatique

Postfix (Suffixe)

Identification individuelle libre. Uniquement disponible pour l'option Generate filename automatically (Générer le nom de fichier automatiquement).

Saisies possibles :

  • dBase : 1 caractère alphanumérique
  • ASCII et XML : 32 caractères alphanumériques

Exemple

Affichage du nom de fichier entier avec génération automatique.

Dossier d'export

Affichage du chemin d'exportation actuel configuré dans les propriétés du projet. (Propriété Dossier runtime dans le nœud Général/Nom/Dossier.)

Exporter dans base de données SQL

Paramètres d'exportation sous forme de base de données SQL

Connexion à la base de données

Configuration de la connexion à la base de données. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de configuration.

Table

Sélection de la table dans laquelle sera réalisée l'écriture.

Onglet Général

Filtre général. Reportez-vous au chapitre Configuration d'alarmes à l'aide de filtres, section Général.

Onglet Heure

Filtre de temps. Reportez-vous au chapitre Configuration d'alarmes à l'aide de filtres, section Heure.

Projet

Filtre de projet. Uniquement disponible dans le projet d'intégration de la gestion multi-projets.

Pour la configuration, reportez-vous au chapitre Configuration d'alarmes à l'aide de filtres, section Projet.

Codage du nom pour la fonction de dénomination automatique

Nom

AJJMMTTP.XXX

A

Identification courte de la liste d'alarmes

AAMMJJ

Saisie de la date :

  • AA : Année, deux chiffres
  • MM : Mois, deux chiffres
  • JJ : Jour, deux chiffres

P

Identification individuelle libre :

  • dBase : 1 caractère alphanumérique
  • ASCII et XML : 32 caractères alphanumériques

XXX

Extension de fichier :

  • DBF : dBase
  • TXT : CSV
  • XML : XML

Considérations relatives au format

  • Format de saisie de ligne : déterminé par la configuration des propriétés Paramétrage colonnes alarmes et Paramétrage colonnes liste d'événements.
  • Séparateur de colonnes : Point-virgule (;)

attention Attention

Millisecondes pour l'impression ou l'exportation

Si, lors de l'impression ou de l'exportation de la liste AML ou CEL, des informations de temps en millisecondes doivent être fournies, cette propriété doit être activée dans la boîte de dialogue de paramètres des colonnes. Pour cela :

  • Accédez aux nœuds Liste d'alarmes ou Liste chronologique d'événements dans les propriétés.
  • Cliquez sur le bouton ... de la propriété Paramétrage colonnes alarmes ou Paramétrage colonnes liste d'événements.
  • La boîte de dialogue des paramètres des colonnes s'affiche à l'écran.
  • Cochez la case adjacente à la propriété Millisecondes.

Ce paramètre doit être défini pour les listes AML et CEL.

Notes SQL

attention Attention

Assurez-vous que le fournisseur configuré dans la connexion est également disponible sur l'ordinateur du Runtime dans le Runtime.

Remarque : Un client SQL est également installé avec l'Éditeur de zenon. Le Runtime de zenon ne nécessite pas de serveur SQL ; aussi, aucun client SQL n'est automatiquement installé. Celui-ci peut être téléchargé dans le Centre de téléchargement Microsoft et doit être installé individuellement.

Assurez-vous d'avoir installé la version correcte lors de l'installation du fournisseur. Celle-ci doit correspondre à la version de zenon utilisée. Ceci signifie : si la version 32 bits du Runtime de zenon est utilisée, le fournisseur doit également être une version 32 bits, même s'il est installé sous un système d'exploitation 64 bits et même si la base de données est une application 64 bits.


Print AML or CEL (Imprimer la liste AML ou CEL)

Manuels -> Liste chronologique d'événements (CEL) -> Fonctions -> Fonctions de la liste chronologique d'événements -> Print AML or CEL (Imprimer la liste AML ou CEL)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet de transférer les événements enregistrés et leurs conditions de filtre vers une imprimante dans le Runtime.

Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Sélectionnez l'option Print AML or CEL (Imprimer liste AML ou CEL)
  3. La boîte de dialogue de sélection de la liste s'affiche

  4. Sélectionnez Liste chronologique d'événements
  5. La boîte de dialogue de sélection des critères de filtre s'affiche
  6. Définissez les critères pour les éléments suivants :
    • Généralités
    • Heure
    • Police : sélectionnez les polices définies dans zenon
  7. Liez la fonction à un bouton.

info Info

Dans le Runtime, vous ne pouvez pas basculer entre les listes CEL et AML. Pour imprimer les deux listes, vous devez développer deux fonctions.

Disposition des lignes

Date/Heure d'apparition | Date/Heure de disparition | Date/Heure d'acquittement | Texte long - identification | Texte d'état

Les mots-clé disponibles pour le format de fichier (BTB.FRM pour l'impression en ligne et BTB_G.FRM pour l'impression hors ligne) et des exemples d'utilisation sont disponibles au chapitre Fichier de configuration FRM et dans la section Fonctionnement dans le Runtime.

Le fichier FRM comporte trois parties :

  • En-tête : situé en début de page
  • Liste : cyclique par ligne
  • Pied-de-page : situé en fin de page

Principes

Lors de l'édition de fichiers FRM, tenez compte des consignes suivantes :

  • Séparation des composantes de la liste :
    • L'en-tête et la section de liste, et la section de liste et le pied de page sont séparés par %%.

      Le marqueur de séparation ne doit être utilisé qu'à deux reprises entre les parties d'entête et liste et entre la partie liste et le pied de page.

    • Attention : la dernière ligne doit être suivie d'au moins deux paragraphes vides. Sinon le pied page n'est pas imprimé !
  • Positionnement des entrées individuelles :
    Seuls des caractères vides peuvent être utilisés (pas de marques de tabulation).
  • Édition de fichiers FRM dans un Éditeur de texte :
    la fonction d'insertion automatique de sauts de ligne doit être désactivée ; dans le cas contraire, des effets indésirables peuvent affecter la mise en forme.

Mots clés

La configuration de la longueur de page est effectuée dans les propriétés de projet, sous Alarmes et événements, ou via le fichier ALARM.frm ou ALAR_G.frm, pour la liste AML, ou via BTB.frm et BTB_G.frm, pour la liste CEL.

Note :

  • le nombre d'entrées d'alarmes par page découle du nombre prédéfini de lignes (par ex. Lignes par page 72), auquel viennent se soustraire les lignes utilisées pour les textes d'entête et de pied de page.
  • L'option Utiliser heure de réactivation doit être activée pour que l'utilisateur puisse utiliser les mots-clé permettant d'évaluer la réactivation (heure, nombre).
  • Des textes libres et des mots-clé peuvent être utilisés dans le fichier de formatage. Les mots-clé peuvent être utilisés en allemand ou en anglais. Il est recommandé d'utiliser des mots-clé en anglais.
  • Tous les mots-clés ne sont pas adaptés à tous les types d'impression (AML, CEL, en ligne, hors ligne).

Le rapport suivant contient les mots-clés en anglais et en allemand, ainsi que leur domaine d'application.

Allemand | Anglais | Liste d'alarmes hors ligne | Liste chronologique d'événements hors ligne | Liste de messages en ligne | Liste chronologique d'événements en ligne | Description
Mots-clés correspondant à la partie de la liste
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Description externe
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Heure et date de début de l'alarme
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Heure et date de fin de l'alarme
@DATZEITOK | @DTACK | X | - | X | - | Heure et date d'acquittement de l'alarme
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Heure et date de réactivation de l'alarme La propriété Utiliser heure de réactivation des propriétés du projet doit être activée.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Heure et date de réception, d'acquittement ou de réactivation de l'alarme
@ZEIT | @TLASTEVENT | - | - | X | X | Heure et date de réception, d'effacement, d'acquittement ou de réactivation de l'alarme
@ZEITOK | @TACK | X | - | X | - | Affiche uniquement l'heure d'acquittement de l'alarme
@ZTKOMMT | @TRECEIVED | X | X | X | X | Affiche uniquement l'heure de réception de l'alarme
@ZTGEHT | @TCLEARED | X | - | X | - | Affiche uniquement l'heure de fin de l'alarme
@ZTREAKT | @TREACTIVATE | X | - | X | - | Affiche uniquement l'heure de réactivation de l'alarme
@TIMELASTING | @TACTIVE | X | - | X | - | Durée d'activité (différence entre l'heure de réception et l'heure d'effacement)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@KANALNAME | @VARNAME | X | X | X | X | Nom de la variable Liste chronologique d'événements : uniquement les entrées comportant des variables
@AK | @ACLASSNR | X | X | X | X | Nom de la classe d'alarmes/d'événements
@AG | @AGROUPNR | X | X | X | X | Numéro du groupe d'alarmes/d'événements
@AGNAME | @AGROUPNAME | X | X | X | X | Nom du groupe d'alarmes/d'événements
@AKNAME | ACLASSNAME | X | X | X | X | Nom de la classe d'alarmes/d'événements
@TAGNR | @IDENTIFICATION | X | X | X | X | Identification (intitulé spécifique à l'entreprise)
@AMELDUNG | @TEXT | X | X | X | X | Texte de message d'alarme
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Nombre de réactivations
@STATUS | @STATUS | X | X | X | X | Informations d'état, identiques à la liste d'alarmes
@WERT | @VALUE | X | X | X | X | Valeur variable de l'alarme
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commentaire provenant de la liste d'alarmes. Si vous utilisez des textes de limite dynamiques, cette fonction est uniquement disponible si les propriétés Textes de limite dynamiques longs pour les alarmes ou Textes de limite dynamiques longs pour les événements sont activées.
@USER | @USERID | X | X | X | X | AML : utilisateur ayant acquitté l'alarme.
@RECHNER | @COMPUTER | X | X | X | X | AML : ordinateur sur lequel l'alarme a été acquittée.
Mots-clés pour les en-têtes et pieds de page
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@SEITE | @PAGE | X | X | X | X | Numéro de page
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Date et heure du système
@HEADDATUM | @DSYSTEM | X | X | X | X | Date du système
@HEADZEIT | @TSYSTEM | X | X | X | X | System time (Heure système)
@USER | @USERID | X | X | X | X | Utilisateur ayant effectué l'impression
@USERNAME | @USERNAME | X | X | X | X | Nom complet de l'utilisateur ayant déclenché l'action
@RECHNER | @COMPUTER | X | X | X | X | Ordinateur depuis lequel est lancé l'impression
[Texte] | [Texte] |  |  |  |  | Texte au choix

attention Attention

Vous devez laisser suffisamment de place entre les mots-clés pour que les entrées ne soient pas remplacées. Vous garantirez ainsi le bon affichage des textes de limite longs.

Exemple :

@TEXT (espaces jusqu'ici)

Configuration des millisecondes

attention Attention

Millisecondes pour l'impression ou l'exportation

Si, lors de l'impression ou de l'exportation de la liste AML ou CEL, des informations de temps en millisecondes doivent être fournies, cette propriété doit être activée dans la boîte de dialogue de paramètres des colonnes. Pour cela :

  • Accédez aux nœuds Liste d'alarmes ou Liste chronologique d'événements dans les propriétés.
  • Cliquez sur le bouton ... de la propriété Paramétrage colonnes alarmes ou Paramétrage colonnes liste d'événements.
  • La boîte de dialogue des paramètres des colonnes s'affiche à l'écran.
  • Cochez la case adjacente à la propriété Millisecondes.

Ce paramètre doit être défini pour les listes AML et CEL.


impression en ligne on/off

Manuels -> Liste chronologique d'événements (CEL) -> Fonctions -> Fonctions de la liste chronologique d'événements -> impression en ligne on/off

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'impression en ligne est définie dans un état particulier lors de l'utilisation de cette fonction :

  • Actif : impression en ligne on
  • Inactif impression en ligne off
  • actif/inactif Active/désactive l'impression en ligne

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Switch online printing on/off (Activer/désactiver l'impression en ligne)
  3. La boîte de dialogue de sélection de l'action s'affiche.

  4. Sélectionnez l'action souhaitée.
  5. Liez la fonction à un bouton.


Démarrer nouvelle page pour l'impression en ligne

Manuels -> Liste chronologique d'événements (CEL) -> Fonctions -> Fonctions de la liste chronologique d'événements -> Démarrer nouvelle page pour l'impression en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction vous permet de contrôler l'instruction de présentation de page suivante dans le Runtime lors de l'impression en ligne :

Les pieds de page configurés seront imprimés sur la page actuelle, puis l'impression passera à une nouvelle page. Le compteur de pages sera réinitialisé à 1 et l'en-tête sera imprimé.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Start online printing on a new page (Démarrer l'impression en ligne sur une nouvelle page)
  3. Liez la fonction à un bouton.


Changer imprimante en ligne

Manuels -> Liste chronologique d'événements (CEL) -> Fonctions -> Fonctions de la liste chronologique d'événements -> Changer imprimante en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec cette fonction, l'imprimante pour l'impression en ligne peut être changée pendant le Runtime.

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Changer imprimante en ligne
  3. La boîte de dialogue de sélection de l'utilisateur s'affiche.
  4. Sélectionnez l'imprimante de synoptique souhaitée dans la liste déroulante.
  5. Liez la fonction à un bouton.

Paramètres | Description
Sélection imprimante | Sélectionnez l'imprimante souhaitée dans la liste déroulante.
Afficher cette boîte de dialogue dans le Runtime | Actif : Lorsque cette fonction est exécutée, la boîte de dialogue est affichée et l'imprimante peut être définie dans le Runtime.


Fonctionnement dans le Runtime

Manuels -> Liste chronologique d'événements (CEL) -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le Runtime, la liste chronologique d'événements est appelée par le biais d'une fonction d'appel de synoptique.

Les éléments de contrôle disponibles et l'apparence sont configurés dans l'Éditeur.

Paramètre

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Liste chronologique d'événements

Champ d'affichage de la liste et de ses événements. L'apparence peut être configurée. Les colonnes sont définies par le biais du filtre Paramètres des colonnes de la fonction d'appel de synoptique, ou via la propriété Paramétrage colonnes liste d'événements du groupe Liste chronologique d'événements.

Affichage : Définir filtre

Affiche le filtre actuellement sélectionné.

Filtre ...

Ouvre la boite de dialogue de définition de filtres.

Trier

Lorsque vous appelez la liste CEL dans le Runtime, les nouvelles entrées ne sont pas triées par ordre chronologique, mais sont ajoutées au bas de la liste.

Cliquez sur le bouton pour retrier la liste.

Pour vous aider à différencier les entrées triées et non triées, vous pouvez leur attribuer des couleurs différentes, par le biais des propriétés texte trié et texte non trié.

Montrer les temps relatifs

Actif : les heures relatives sont affichées sans entraîner de perte de focus dans l'entrée sélectionnée.

Stopper

Contrôle l'ajout de nouveaux événements à la liste lorsqu'elle est affichée :

Stop : Même si de nouveaux événements surviennent, aucune nouvelle entrée n'est ajoutée à la liste. Le texte du bouton est changé en Suivant.

Suivant : Les nouvelles entrées sont à nouveau ajoutées à la liste lorsque de nouveaux événements surviennent. Le texte du bouton est changé en Stop. Pour trier les entrées par ordre chronologique, vous devez cliquer sur le bouton de tri.

Fermer

Quitte l'affichage de la liste chronologique d'événements et ferme le synoptique et le cadre.

À la fermeture, pour que le synoptique affiché avant l'ouverture de la liste CEL soit affiché, vous devez développer un synoptique de type CEL doté d'un cadre propre.

Imprimer

Imprime la liste telle qu'elle est actuellement affichée.

Print with dialog... (Imprimer avec boîte de dialogue)

Ouvre les paramètres d'impression avant de lancer l'impression.

Texte : Nombre total

Ajoute le texte "Total" dans le Runtime. Doit être suivi du champ de liste Nombre total.

Nombre total

Nombre total d'événements dans la liste

Info : Status CEL (État de la liste CEL)

Définit l'affichage de l'état de la liste CEL dans le Runtime.

Active : Les événements sont consignés indépendamment des paramètres du projet.

Inactif : Les événements ne sont pas consignés

Vous pouvez définir l'état à l'aide de la propriété Gestion des événements active. Les modifications sont prises en compte après le redémarrage du Runtime.

Texte : Comment field (Champ de commentaires)

Ajoute le texte "Commentaire" dans le Runtime. Doit être suivi du champ de liste Champ de commentaires.

Comment field (Champ de commentaires)

Champ de liste permettant à l'utilisateur de saisir un texte libre concernant l'événement sélectionné.

Dès que le focus quitte le champ, le texte est enregistré. Pour afficher le texte dans la liste CEL, vous devez activer la colonne Commentaires dans la définition des colonnes.

Bouton Stop/Continuer

Navigation

Contrôle les éléments de la liste.
  • Ligne précédente

Remonte d'une ligne.
  • Ligne suivante

Descend d'une ligne.
  • Colonne de droite

Se déplace d’une colonne vers la droite.
  • Colonne de gauche

Se déplace d’une colonne vers la gauche.
  • Page précédente

Remonte d'une page.
  • Page suivante

Descend d'une page.
  • Page de droite

Se déplace d’une page vers la droite.
  • Page de gauche

Se déplace d’une page vers la gauche.

Profils de filtre

Paramètres de filtre pouvant être enregistrés par l'utilisateur dans le Runtime.

  • Sélection profil

Sélectionner un profil dans la liste.

  • Enregistrer

Enregistre un paramètre en ligne dans un profil.

  • Supprimer

Supprime le profil sélectionné.

info Info

Le filtre actuel est affiché dans l'élément de contrôle Visualiser filtre.

Pour :

  • Un filtre de texte, l'expression [Txt] est affichée
  • Un filtre de temps relatif, l'impression se présente comme ceci :
    [T,Rel:%dd,%dh,%dm;%ds]
    Exemple : [T,Rel:1d,0h,0m,0s] correspond à un jour.

Configuration de l'affichage

Le type d'informations affichées dans Runtime peut être configuré par le biais de la fonction de configuration des colonnes de la liste CEL. Vous pouvez accéder à la configuration des colonnes par le biais des options suivantes :

  • Paramètres du projet -> Liste chronologique d'événements -> Paramétrage colonnes liste d'événements (onglet Paramètres des colonnes uniquement)

    ou

  • Fonction d'appel d'un synoptique de type AML (tous les onglets)

Autres sujets abordés dans ce chapitre

Filtrer la liste CEL

Impression et exportation d'événements


Filtrer la liste CEL

Manuels -> Liste chronologique d'événements (CEL) -> Fonctionnement dans le Runtime -> Filtrer la liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les événements peuvent être filtrés et affichés dans le Runtime via :

  • L'utilisation de filtres dans le Runtime
  • L'appel d'un synoptique de type CEL avec un filtre prédéfini

L'appel avec filtre d'appel d'un synoptique de type CEL

  • Appel d'un synoptique de type filtre de liste chronologique d'événements :

Filtrage dans le Runtime

Dans le Runtime, vous pouvez utiliser des filtres sur les synoptiques de type CEL. Pour filtrer les résultats affichées dans la liste CEL :

  1. Vous devez au préalable configurer un bouton Filtrer
  2. Cliquez sur le bouton
  3. La boîte de dialogue de filtres de la liste CEL s'affiche

Le filtre défini peut être enregistré dans les profils.

Appel d'un synoptique de type filtre de liste chronologique d'événements

Les résultats peuvent être filtrés avant affichage. Pour cela :

  1. Configurez un filtre pour la fonction d'appel d'un synoptique de type CEL
  2. La liste CEL est filtré avant affichage lors de l'appel de synoptique
  3. Si l'option Display dialog in the Runtime (Afficher la boîte de dialogue de filtre dans le Runtime) est activée pour la fonction, vous pouvez redéfinir le filtre avant affichage
  4. D'autres paramètres de filtre dans le Runtime peuvent être appliqués à l'aide du bouton filtre

Appel de synoptique vers un synoptique de type filtre de liste d'alarmes

Pour limiter l'utilisation de certains filtres au Runtime, vous pouvez utiliser un synoptique de type Filtre de liste chronologique d'événements. Pour cela :

  1. Configurez un appel de synoptique de type Filtre de liste chronologique d'événements
  2. Appelez la liste CEL en exécutant cette fonction dans le Runtime
  3. L'utilisateur dispose d'une liste d'alarmes personnalisée

Autres sujets abordés dans ce chapitre

Profils de filtre

Utilisation du filtre de liste CEL


Profils de filtre

Manuels -> Liste chronologique d'événements (CEL) -> Fonctionnement dans le Runtime -> Filtrer la liste CEL -> Profils de filtre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les profils de filtre permettent à l'utilisateur de sauvegarder et activer des paramètres de filtre pendant le Runtime.

Pour utiliser des profils de filtre, vous devez configurer les éléments de contrôle suivants :

Paramètre | Description
Profils de filtre | Gestion de profils
Sélection profil | Sélectionnez le profil sauvegardé (liste déroulante).
Enregistrer | Enregistrer les paramètres sous forme de profil (bouton)
Supprimer | Supprimer profil (bouton X)

Ceci vous permet d'effectuer les opérations suivantes dans le Runtime :

  • Enregistrer des filtres
  • Utiliser des filtres enregistrés
  • Supprimer des profils de filtre

Enregistrer un profil de filtre

Pour créer un profil de filtre :

  1. Définir des conditions de filtre dans le Runtime
  2. Attribuer un nom avec la propriété Profils de filtre
  3. Cliquez sur Enregistrer

Utiliser un profil de filtre

Pour utiliser un profil de filtre :

  1. Sélectionnez un filtre dans la liste déroulante de propriétés Profils de filtre
  2. Le filtre est appliqué immédiatement

Supprimer un profil de filtre

Pour supprimer un profil de filtre :

  1. Sélectionnez un filtre dans la liste déroulante de propriétés Profils de filtre
  2. Cliquez sur le bouton X.
  3. Le profil est supprimé
  4. Le filtre supprimé reste appliqué tant qu'un nouveau filtre est défini ou sélectionné


Utilisation du filtre de liste CEL

Manuels -> Liste chronologique d'événements (CEL) -> Fonctionnement dans le Runtime -> Filtrer la liste CEL -> Utilisation du filtre de liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le synoptique de type Filtre de liste chronologique d'événements vous permet de modifier individuellement les paramètres des filtres pour la liste d'alarmes dans le Runtime. Vous pouvez configurer tous les paramètres de filtre également disponibles dans le filtre de la fonction appel d'un synoptique de type CEL.

Ainsi :

  • Seuls les filtres nécessaires sont configurés et disponibles pour l'utilisateur.
  • L'utilisateur ne voit que ces filtres, ce qui améliore la clarté de l'affichage
  • L'apparence peut être personnalisée et, par exemple, l'utilisation d'un écran tactile est possible

Synoptiques de filtre

Les synoptiques de filtre permettent de transférer un filtre prédéfini d'un synoptique vers un autre. Le filtre du synoptique source est défini à l'aide du synoptique cible. Les synoptiques peuvent également être de types différents.

attention Attention

Pour que le temps du synoptique soit affiché dans le Runtime, la plage de temps suivante doit être sélectionnée dans l'Éditeur pour la fonction d'appel de synoptique de la liste d'alarmes ou de la liste chronologique d'événements, dans la propriété filtre de temps : Définir le filtre avec un type de filtre horaire

Définition de l'affichage

Les conditions suivantes doivent être remplies pour que les filtres définis soient utilisés :

  1. Le filtre défini pour le type de filtre de temps est sélectionné en tant qu'intervalle de temps pour le filtre de temps.
  2. Le synoptique (synoptiques Filtre de liste d'informations sur les alarmes, Liste chronologique d'événements et filtre de temps) sont activés à l'aide d'un bouton ou d'un élément combiné. C'est la seule manière de maintenir la relation entre le synoptique de filtre et le synoptique source.
  3. Le synoptique source et le synoptique de filtre doivent être configurés dans différents cadres ou sur différents moniteurs. Le filtre du synoptique de filtre peut uniquement être actualisés si le synoptique source est ouvert. Cela est uniquement possible si les deux synoptiques n'utilisent pas le même cadre ou le même moniteur.
  4. Le synoptique appelé doit être compatible avec le synoptique de filtre appelé (voir table).
Synoptique source | Filtre de liste AML | Filtre de liste CEL | Filtre de temps
Maintenance de l'archive | T | T | T
Tendance étendue | T | T | T
Filtre de temps | T | T | X
Filtre de liste de messages d'alarme | X | C | T
Filtre de liste chronologique d'événements | C | X | T
Liste d'alarmes | X | C | T
Liste chronologique d'événements | C | X | T

Clé :

  • C : les paramètres communs sont mis à jour.
  • T : les paramètres de temps sont mis à jour.
  • X : tous les paramètres sont mis à jour.

info Info

Aucun filtrage

Le synoptique de filtre n'est pas filtré, mais il est ouvert avec les valeurs configurées si :

  • Une des conditions 1 à 3 n'est pas satisfaites ou
  • Le paramètre Screen to call up (Synoptique appelé) n'est pas activé pour la fonction Appel de synoptique ou
  • Le synoptique n'est pas appelé par le biais d'un élément de synoptique

Dans ce cas, les boutons Accepter, Fermer et Mise à jour sont grisés dans le Runtime et n'ont aucune fonction.

Mise à jour

Lorsqu'un synoptique de filtre est activé (filtre de liste d'alarmes, filtre de liste chronologique d'événements et filtre de temps), les synoptiques configurés dans la fonction d'appel de synoptique sont mis à jour de deux manières :

  • Si le synoptique de filtre est invoqué par le biais d'un élément de synoptique, les synoptiques cibles affichés sur le même moniteur que le synoptique source sont mis à jour.
  • Si le filtre est invoqué de manière différente ou si le paramètre Update on all monitors (Mettre à jour sur tous les moniteurs) est activé, tous les synoptiques cible sont configurés et mis à jour.

Ils sont mis à jour dès que vous cliquez sur le bouton Accepter ou que vous fermez le synoptique de filtre en cliquant sur le bouton Fermer. Le bouton Annuler annule les modifications et ferme le synoptique de filtre.

Mise à jour des paramètres de filtre

Vous pouvez actualiser les paramètres de filtre actuels du synoptique source en cliquant sur le bouton Actualiser. Si le synoptique de filtre n'est pas invoqué par un élément de synoptique, ou si l'option Calling screen (Synoptique d'activation) n'a pas été activée, tous les moniteurs sont inspectés afin de déterminer les synoptiques pouvant être utilisés aux fins de la mise à jour. Le premier synoptique trouvé est alors utilisé pour la mise à jour.


Impression et exportation d'événements

Manuels -> Liste chronologique d'événements (CEL) -> Fonctionnement dans le Runtime -> Impression et exportation d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les entrées dans la liste CEL peuvent être documentées et archivées comme suit :

  • Liste CEL – Imprimer en ligne : chaque événement est imprimé sur une imprimante connectée en ligne s'il est affiché dans la liste
  • Liste CEL – Imprimer hors ligne : la liste CEL est imprimée dans l'état actuel, sous forme de liste complète
  • Exportation du contenu de la liste CEL (filtrée)

La configuration de l'impression peut être définie par le biais du menu Fichier -> Configuration générale -> Standard.

attention Attention

Un fichier de configuration *.frm est utilisé pour l'impression :

  • en ligne : ALARM.frm
  • hors ligne : ALAR_G.frm.

Ce fichier FRM doit se trouver dans l'arborescence du projet, dans la section Fichier du dossier Textes et formats.

Les gabarits de fichiers FRM sont disponibles dans le dossier d'installation zenon du sous-dossier FRM_QRF. Par le biais du fichier, ils peuvent être insérés dans la section Textes et formats et édités à cet endroit.

Les mots-clés des fichiers FRM sont répertoriés au chapitre Fichier de configuration FRM.

Autres sujets abordés dans ce chapitre

Impression en ligne

Impression hors ligne

Fichier de configuration FRM

Exporter des événements


Impression en ligne

Manuels -> Liste chronologique d'événements (CEL) -> Fonctionnement dans le Runtime -> Impression et exportation d'événements -> Impression en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'impression en ligne, chaque événement associé à une entrée dans la liste CEL est immédiatement transmis à l'imprimante.

Attention : l'impression en ligne s'effectue en mode ligne par ligne, conformément au standard ESC/P (Epson Standard Code for Printers), et nécessite une imprimante compatible Epson.

Pour imprimer en ligne les entrées de la liste CEL

  1. Définissez une imprimante.
  2. Accédez au nœud Alarmes et événements dans les propriétés.
  3. Activez la propriété Impression active.
  4. Dans la propriété Impression pour, sélectionnez Chronological Event List (Liste chronologique d'événements) dans la liste déroulante.
  5. Définissez le nombre de lignes à l'aide de la propriété Lignes par page (par défaut : 72) 72:
  6. Configurez le fichier BTB.frm
  7. Ajoutez le fichier BTB.frm au nœud Fichiers/textes et formats

Contrôler l'impression et l'imprimante dans le Runtime

Modification de page

Une instruction de présentation de page suivante est exécutée si :

  • Une page est terminée
  • Le Runtime est fermé et l'impression en ligne est active
  • La fonction Online printing start new page (Démarrer l'impression en ligne sur une nouvelle page) est exécutée

Arrêt de l'impression

Pour arrêter ou poursuivre l'impression en ligne :

  • Exécutez la fonction Imprimante en ligne activée/désactivée

Changement et configuration d'une imprimante

Pour changer d'imprimante dans le Runtime :

  • Exécuter la fonction Imprimante en ligne Activée/Désactivée

Pour configurer l'imprimante sélectionnée dans le Runtime :

  1. Configurez un élément de contrôle Print with dialog (Imprimer avec boîte de dialogue) pour le synoptique
  2. Cliquez sur le bouton Print with dialog (Imprimer avec boîte de dialogue) dans le Runtime
  3. La boîte de dialogue de configuration s'affiche.

Paramètres

Description

Imprimantes

Paramètres de l'imprimante.

Nom :

Sélectionnez l'imprimante dans la liste déroulante. La liste contient toutes les imprimantes configurées dans le système d'exploitation.

Propriétés...

Ouvre la boîte de dialogue de configuration de l'imprimante.

Etat :

Affiche l'état de l'imprimante. Fournie uniquement à titre informatif.

Type :

Affiche le type d'imprimante. Fournie uniquement à titre informatif

Emplacement :

Affiche l'emplacement de l'imprimante, s'il a été configuré. Fournie uniquement à titre informatif.

Commentaire :

Affiche un commentaire sur l'imprimante, s'il a été configuré. Fournie uniquement à titre informatif.

Papier

Configuration de l'impression.

Taille

Sélectionnez le format de papier dans la liste déroulante.

Source

Sélectionnez le mode d'alimentation en papier dans la liste déroulante.

Alignement

Sélectionnez l'alignement du papier. Parmètres possibles :

  • Format portrait
  • Format paysage

Réseau

Ouvre la boîte de dialogue de sélection d'une imprimante sur le réseau.

OK

Accepte la configuration et ferme la boîte de dialogue. Ceci démarre l'impression dans le Runtime.

Annuler

Abandonne la configuration et ferme la boîte de dialogue. Dans le Runtime, ceci annule également l'impression.

Exemple de formatage

Configuration dans BTB.FRM :

Date : @DSYSTEM | Liste d'alarmes/Projet démo | Heure @TSYSTEM heures | Texte
Date/Heure d'apparition | Heure de disparition | Texte d'information | Texte d'état
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Page | @PAGE |

Sortie sur l'imprimante

Date : 20.03.2011 | Liste d'alarmes/Projet démo | Heure : 12:00 | Texte
Date/Heure d'apparition | Heure de disparition | Texte d'information | Texte d'état
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Message 1 | Dépassement de limite
20.03.2011 13:00:00 | 13:05:35 | Information démo | Limite de 750 atteinte
20.03.2011 13:03:59 |  | Message 2 | Limite
20.03.2011 13:11:23 |  | Message 3 | inactif
20.03.2011 13:03:59 | 13:12:45 | Information démo | inactif
 | Page | 1 |


Impression hors ligne

Manuels -> Liste chronologique d'événements (CEL) -> Fonctionnement dans le Runtime -> Impression et exportation d'événements -> Impression hors ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'impression hors ligne signifie que la liste CEL est imprimée telle qu'elle est affichée à l'instant dans le Runtime. Cette impression constitue un "instantané" mentionnant tous les filtres définis, ainsi que leurs limitations. Cette impression est effectuée, que les variables concernées comportent ou non l'option Imprimer.

Imprimer

Pour imprimer la liste CEL hors ligne :

  1. Définissez une imprimante.
  2. Configurez le fichier BTB_G.frm
  3. Ajoutez le fichier BTB_G.frm au nœud Fichiers/textes et formats
  4. Dans le Runtime, cliquez sur le bouton Imprimer ou Imprimer avec boîte de dialogue.

Configuration et modification de l'imprimante

Changement et configuration d'une imprimante

Pour changer d'imprimante dans le Runtime :

  • Exécuter la fonction Imprimante en ligne Activée/Désactivée

Pour configurer l'imprimante sélectionnée dans le Runtime :

  1. Configurez un élément de contrôle Print with dialog (Imprimer avec boîte de dialogue) pour le synoptique
  2. Cliquez sur le bouton Print with dialog (Imprimer avec boîte de dialogue) dans le Runtime
  3. La boîte de dialogue de configuration s'affiche.

Paramètres

Description

Imprimantes

Paramètres de l'imprimante.

Nom :

Sélectionnez l'imprimante dans la liste déroulante. La liste contient toutes les imprimantes configurées dans le système d'exploitation.

Propriétés...

Ouvre la boîte de dialogue de configuration de l'imprimante.

Etat :

Affiche l'état de l'imprimante. Fournie uniquement à titre informatif.

Type :

Affiche le type d'imprimante. Fournie uniquement à titre informatif

Emplacement :

Affiche l'emplacement de l'imprimante, s'il a été configuré. Fournie uniquement à titre informatif.

Commentaire :

Affiche un commentaire sur l'imprimante, s'il a été configuré. Fournie uniquement à titre informatif.

Papier

Configuration de l'impression.

Taille

Sélectionnez le format de papier dans la liste déroulante.

Source

Sélectionnez le mode d'alimentation en papier dans la liste déroulante.

Alignement

Sélectionnez l'alignement du papier. Parmètres possibles :

  • Format portrait
  • Format paysage

Réseau

Ouvre la boîte de dialogue de sélection d'une imprimante sur le réseau.

OK

Accepte la configuration et ferme la boîte de dialogue. Ceci démarre l'impression dans le Runtime.

Annuler

Abandonne la configuration et ferme la boîte de dialogue. Dans le Runtime, ceci annule également l'impression.

Exemple de formatage

Configuration dans le fichier BTB_G.FRM :

Date : @DSYSTEM | Liste de messages d'alarme fermés - Projet de démo | Heure @TSYSTEM heures | Texte
Date/Heure d'apparition | Heure de disparition | Texte d'information | Texte d'état
%% |  |  |
@DTRECEIVED | @TCLEARED | @IDENTIFICATION | @TEXT
%% |  |  |
 | Page | @PAGE |

Sortie sur l'imprimante

Date : 20.03.2011 | Liste de messages d'alarme fermés - Projet de démo | Heure : 12:00 | Texte
Date/Heure d'apparition | Heure de disparition | Texte d'information | Texte d'état
20.03.2011 13:00:00 | 20.03.2011 13:03:59 | Message 1 | Dépassement de limite
20.03.2011 13:00:00 | 13:05:35 | Information démo | Limite de 750 atteinte
20.03.2011 13:03:59 |  | Message 2 | Limite
20.03.2011 13:11:23 |  | Message 3 | inactif
20.03.2011 13:03:59 | 13:12:45 | Information démo | inactif
 | Page | 1 |


Fichier de configuration FRM

Manuels -> Liste chronologique d'événements (CEL) -> Fonctionnement dans le Runtime -> Impression et exportation d'événements -> Fichier de configuration FRM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fichiers FRM (fichiers de format) sont des fichiers de configuration destinés à la l'impression de listes.

Un fichier FRM comporte trois parties :

  • L'entête: située en début de page
  • Fichier: cyclique par ligne
  • Le pied de page: située en fin de page

Principes fondamentaux

Remarque relative à l'édition des fichiers FRM :

  • Séparation des composantes de la liste :
    • L'en-tête et la section de liste, et la section de liste et le pied de page sont séparés par %%.

      Ce marqueur de séparation ne doit être utilisé qu'une fois entre la section de liste et la section de base.

    • Attention : la dernière ligne doit être suivie d'au moins deux paragraphes vides. Sinon le pied page n'est pas imprimé !
  • Positionnement des entrées individuelles :
    Seuls des caractères vides peuvent être utilisés (pas de marques de tabulation).
  • Édition de fichiers FRM dans un Éditeur de texte :
    la fonction d'insertion automatique de sauts de ligne doit être désactivée ; dans le cas contraire, des effets indésirables peuvent affecter la mise en forme.

Mots-clé

La configuration de la longueur de page est effectuée dans les propriétés de projet, sous Alarmes et événements, ou via le fichier ALARM.frm ou ALAR_G.frm, pour la liste AML, ou via BTB.frm et BTB_G.frm, pour la liste CEL.

Note :

  • le nombre d'entrées d'alarmes par page découle du nombre prédéfini de lignes (par ex. Lignes par page 72), auquel viennent se soustraire les lignes utilisées pour les textes d'entête et de pied de page.
  • L'option Utiliser heure de réactivation doit être activée pour que l'utilisateur puisse utiliser les mots-clé permettant d'évaluer la réactivation (heure, nombre).
  • Des textes libres et des mots-clé peuvent être utilisés dans le fichier de formatage. Les mots-clé peuvent être utilisés en allemand ou en anglais. Il est recommandé d'utiliser des mots-clé en anglais.
  • Tous les mots-clés ne sont pas adaptés à tous les types d'impression (AML, CEL, en ligne, hors ligne).

Le rapport suivant contient les mots-clés en anglais et en allemand, ainsi que leur domaine d'application.

Allemand | Anglais | Liste d'alarmes hors ligne | Liste chronologique d'événements hors ligne | Liste de messages en ligne | Liste chronologique d'événements en ligne | Description
Mots-clés correspondant à la partie de la liste
@BMKENNUNG | @RESOURCELABEL | X | X | X | X | Description externe
@DATZEITKOMMT | @DTRECEIVED | X | X | X | X | Heure et date de début de l'alarme
@DATZEITGEHT | @DTCLEARED | X | - | X | - | Heure et date de fin de l'alarme
@DATZEITOK | @DTACK | X | - | X | - | Heure et date d'acquittement de l'alarme
@DATZEITREAKT | @DTREACTIVATE | X | - | X | - | Heure et date de réactivation de l'alarme La propriété Utiliser heure de réactivation des propriétés du projet doit être activée.
@DATZEIT | @DTLASTEVENT | - | - | X | - | Heure et date de réception, d'acquittement ou de réactivation de l'alarme
@ZEIT | @TLASTEVENT | - | - | X | X | Heure et date de réception, d'effacement, d'acquittement ou de réactivation de l'alarme
@ZEITOK | @TACK | X | - | X | - | Affiche uniquement l'heure d'acquittement de l'alarme
@ZTKOMMT | @TRECEIVED | X | X | X | X | Affiche uniquement l'heure de réception de l'alarme
@ZTGEHT | @TCLEARED | X | - | X | - | Affiche uniquement l'heure de fin de l'alarme
@ZTREAKT | @TREACTIVATE | X | - | X | - | Affiche uniquement l'heure de réactivation de l'alarme
@TIMELASTING | @TACTIVE | X | - | X | - | Durée d'activité (différence entre l'heure de réception et l'heure d'effacement)
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@KANALNAME | @VARNAME | X | X | X | X | Nom de la variable Liste chronologique d'événements : uniquement les entrées comportant des variables
@AK | @ACLASSNR | X | X | X | X | Nom de la classe d'alarmes/d'événements
@AG | @AGROUPNR | X | X | X | X | Numéro du groupe d'alarmes/d'événements
@AGNAME | @AGROUPNAME | X | X | X | X | Nom du groupe d'alarmes/d'événements
@AKNAME | ACLASSNAME | X | X | X | X | Nom de la classe d'alarmes/d'événements
@TAGNR | @IDENTIFICATION | X | X | X | X | Identification (intitulé spécifique à l'entreprise)
@AMELDUNG | @TEXT | X | X | X | X | Texte de message d'alarme
@REAKTANZ | @NRREACTIVATE | X | - | X | - | Nombre de réactivations
@STATUS | @STATUS | X | X | X | X | Informations d'état, identiques à la liste d'alarmes
@WERT | @VALUE | X | X | X | X | Valeur variable de l'alarme
@REAKTIONSTEXT | @COMMENT | X | X | X | X | Commentaire provenant de la liste d'alarmes. Si vous utilisez des textes de limite dynamiques, cette fonction est uniquement disponible si les propriétés Textes de limite dynamiques longs pour les alarmes ou Textes de limite dynamiques longs pour les événements sont activées.
@USER | @USERID | X | X | X | X | AML : utilisateur ayant acquitté l'alarme.
@RECHNER | @COMPUTER | X | X | X | X | AML : ordinateur sur lequel l'alarme a été acquittée.
Mots-clés pour les en-têtes et pieds de page
@ANWENDUNG | @PROJECTNAME | X | X | X | X | Nom du projet
@SEITE | @PAGE | X | X | X | X | Numéro de page
@HEADDATZEIT | @DTSYSTEM | X | X | X | X | Date et heure du système
@HEADDATUM | @DSYSTEM | X | X | X | X | Date du système
@HEADZEIT | @TSYSTEM | X | X | X | X | System time (Heure système)
@USER | @USERID | X | X | X | X | Utilisateur ayant effectué l'impression
@USERNAME | @USERNAME | X | X | X | X | Nom complet de l'utilisateur ayant déclenché l'action
@RECHNER | @COMPUTER | X | X | X | X | Ordinateur depuis lequel est lancé l'impression
[Texte] | [Texte] |  |  |  |  | Texte au choix

attention Attention

Vous devez laisser suffisamment de place entre les mots-clés pour que les entrées ne soient pas remplacées. Vous garantirez ainsi le bon affichage des textes de limite longs.

Exemple :

@TEXT (espaces jusqu'ici)


Exporter des événements

Manuels -> Liste chronologique d'événements (CEL) -> Fonctionnement dans le Runtime -> Impression et exportation d'événements -> Exporter des événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les entrées de la liste CEL peuvent être exportées vers différents formats :

  • dBase
  • CSV
  • XML
  • SQL

Exporter

Pour exporter les entrées de la liste CEL

  1. Créez une fonction Exporter CEL
  2. Liez la fonction à un bouton.
  3. Exécutez cette fonction dans le Runtime

info Info

L'exportation au format SQL se déroule de manière incrémentielle. Si des données exportées sont déjà présentes, seules les données nouvelles et modifiées sont exportées.


Liste des références croisées

Manuels -> Liste des références croisées

La liste de références croisées fournit une vue d'ensemble des liens entre modules et fonctions. zenon fournit deux instruments à cette fin :

  • liste des références croisées : affiche les liens du projet sous la forme d'un tableau
  • Analyse du projet : analyse l'utilisation des fonctions et variables et localise les fonctions ou variables inutilisées

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Autres sujets abordés dans ce chapitre

Liste des références croisées

Analyse du projet :


Liste des références croisées

Manuels -> Liste des références croisées -> Liste des références croisées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La liste de références croisées crée une vue d'ensemble du projet sous la forme d'un tableau.
Tous les liens entre les variables, fonctions, synoptiques, recettes, etc. sont listés dans un but de documentation et de traçabilité. Par exemple, dans la liste des références croisées, on peut voir quelles variables sont utilisées dans quels synoptiques.

Autres sujets abordés dans ce chapitre

Généralités

Le menu contextuel


Généralités

Manuels -> Liste des références croisées -> Liste des références croisées -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'Éditeur zenon, vous pouvez ouvrir la liste des références croisées en sélectionnant le menu Option, puis l'entrée Liste des références croisées.

info Info

Si la fenêtre des références croisées ne s'affiche pas dans l'Éditeur, vous pouvez l'ouvrir avec la commande Liste des références croisées du menu Options.

Pour obtenir des informations sur un module particulier, il vous suffit simplement de développer l'arborescence au niveau du sujet approprié.

Les thèmes suivants sont disponibles :

Paramètres | Description
Archive | Fonctions
 | Variables
Synoptiques | Éléments
 | Symboles
 | Variables
Éléments | Synoptiques
 | Variables
Module Extended Trend |
Fonctions | Archive
 | Appel de fonction automatique
 | Synoptiques
 | Bouton Bitmap
 | PFS
 | Matrices de réaction
 | Scripts
 | Bouton texte
 | Bouton invisible
 | Valeurs limites
 | Commandes temporisées
PFS | Fonctions
 | Variables
Matrices de réaction | Fonctions
 | Variables
Recettes | Variables
Gestionnaire de groupes de recettes | Groupes de recettes
 | Variables
Scripts | Fonctions
Symboles | Synoptiques
 | Symboles liés
Variables | Archive
 | Synoptiques
 | Éléments
 | Module Extended Trend
 | Mathématiques
 | PFS
 | Matrices de réaction
 | Recettes
 | Gestionnaire de groupes de recettes
 | Attributions
Commandes temporisées | Fonctions
Attributions | Variables

Lorsque vous cliquez sur l'un des objets pris en charge, des informations relatives à celui-ci s'affichent dans la liste dans la section droite de la fenêtre.

Les informations relatives au thème sélectionné sont affichées dans la zone de liste. Il est possible de trier la liste (en ordre croissant ou décroissant) en cliquant sur l'en-tête de colonne.

La liste peut également être filtrée. Sélectionnez la colonne appropriée et spécifiez les critères de filtre dans la zone de saisie située au-dessous de l'en-tête de colonne (-> Saisissez du texte ici). La totalité des éléments correspondant aux critères de recherche s'affichent désormais à l'écran. Vous pouvez également filtrer les résultats simultanément sur plusieurs colonnes. Il suffit simplement de spécifier des critères de recherche dans différentes colonnes, en suivant la procédure décrite ci-dessus. Si un filtre n'est plus utile, effacez le texte affiché dans la zone de saisie.


Le menu contextuel

Manuels -> Liste des références croisées -> Liste des références croisées -> Le menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous cliquez avec le bouton droit de la souris dans la zone d'affichage de liste, un menu contextuel s'affiche à l'écran, vous permettant d'accéder aux fonctionnalités de la liste des références croisées.

Les commandes suivantes sont disponibles :

Paramètres | Description
Imprimer la liste / le résultat d'une recherche | Imprime le contenu de la zone de liste contenant les informations sélectionnées
Chercher élément dans liste | Ouvre une boîte de dialogue permettant de rechercher un élément précis
Appels de fonctions | Ouvre une boîte de dialogue contenant une liste des fonctions définies
Utilisation de variables | Ouvre une boîte de dialogue contenant une liste des variables définies
Variables / fonctions / polices inutilisées | Affiche la totalité des variables ou fonctions ou polices inutilisées dans la zone de liste
Textes utilisés dans les synoptiques | Recherche de textes utilisés dans les synoptiques
Sélectionner des éléments d'une liste | Ouvre une boîte de dialogue permettant de sélectionner un ou plusieurs éléments dans la liste
Aide | Ouvre l'aide en ligne
Supprimer | Supprime les éléments non utilisés (variables, fonctions et polices de caractères)

Autres sujets abordés dans ce chapitre

Chercher élément dans liste

Appels de fonctions

Utilisation de variables

Variables / fonctions / polices inutilisées

Sélectionner des éléments d'une liste

Imprimer la liste / le résultat d'une recherche


Chercher élément dans liste

Manuels -> Liste des références croisées -> Liste des références croisées -> Le menu contextuel -> Chercher élément dans liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez la commande Rechercher élément dans liste dans le menu contextuel pour ouvrir la boîte de dialogue suivante :

Après avoir spécifié une ou plusieurs lettres du début de l'expression recherchée, le premier objet correspondant trouvé dans la liste est sélectionné.


Appels de fonctions

Manuels -> Liste des références croisées -> Liste des références croisées -> Le menu contextuel -> Appels de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionner la commande Appel fonction dans le menu contextuel affiche la boîte de dialogue suivante, dans laquelle sont listées toutes les fonctions définies pour le projet actuel :


Utilisation de variables

Manuels -> Liste des références croisées -> Liste des références croisées -> Le menu contextuel -> Utilisation de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionner la commande Appel fonction dans le menu contextuel affiche la boîte de dialogue suivante, dans laquelle sont listées toutes les fonctions définies pour le projet actuel :


Variables / fonctions / polices inutilisées

Manuels -> Liste des références croisées -> Liste des références croisées -> Le menu contextuel -> Variables / fonctions / polices inutilisées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la liste des éléments inutilisés (variables, fonctions, polices) le menu contextuel a l'entrée supplémentaire Supprimer.

Ainsi les élements peuvent être sélectionnés dans la liste puis supprimés directement depuis cette liste.


Sélectionner des éléments d'une liste

Manuels -> Liste des références croisées -> Liste des références croisées -> Le menu contextuel -> Sélectionner des éléments d'une liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez la commande 'Sélectionner éléments liste' dans le menu contextuel pour ouvrir la boîte de dialogue suivante :

Les options suivantes sont disponibles :

Paramètres | Description
de - à | Sélection d'éléments depuis une lettre première lettre fournie jusqu'à une autre première lettre fournie.
Tous les éléments commençant par... | Sélection d'éléments commençant par une première lettre ou contenant une chaîne de caractères spécifiée.


Imprimer la liste / le résultat d'une recherche

Manuels -> Liste des références croisées -> Liste des références croisées -> Le menu contextuel -> Imprimer la liste / le résultat d'une recherche

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez l'une des commandes Imprimer liste ou Imprimer résultat recherche dans le menu contextuel pour ouvrir la boîte de dialogue suivante :

Les options suivantes sont disponibles :

Paramètres | Description
Tout | Tous les éléments de la liste sont imprimés
Eléments sélectionnés | Seuls les éléments sélectionnés dans la liste sont imprimés
Imprimer dans un fichier | Si vous activez cette case à cocher, l'impression de la liste est redirigée vers un fichier. Une boîte de dialogue s'affiche à l'écran, vous demandant de spécifier le chemin d'accès et le nom du fichier. Confirmez avec “OK” pour enregistrer le fichier. Ce fichier est au format CSV, et peut être chargé dans EXCEL pour être reformaté comme vous le souhaitez. Lorsque vous chargez ce fichier dans EXCEL, une boîte de dialogue s'affiche, vous demandant de spécifier un séparateur. Sélectionnez la case à cocher “Point virgule”, et désactivez toutes les autres.


Analyse du projet :

Manuels -> Liste des références croisées -> Analyse du projet :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction d'analyse du projet analyse l'utilisation des éléments dans le projet.

Elle procède comme suit :

  • le lien avec les autres éléments est analysé
  • vous pouvez rechercher les éléments inutilisés

Actuellement, la fonction d'analyse de projets est disponible pour les éléments suivants :

  • Fonctions
  • Variables

Analyse de l'utilisation d'un élément

Pour analyser un élément :

  1. sélectionnez la variable ou la fonction souhaitée dans la vue de détail
  2. Dans le menu contextuel, sélectionnez la commande Utilisation variables ou Function use (Utilisation des fonctions)
  3. La liste de résultats apparaît dans une fenêtre à part

  4. Vous pouvez accéder instantanément à un élément par le biais des menus contextuels

Localisation d'éléments inutilisés :

Pour localiser les éléments inutilisés

  1. Sélectionnez la variable ou la fonction du nœud dans l'arborescence du projet
  2. Dans le menu contextuel, sélectionnez la commande Display not used functions (Afficher les fonctions inutilisées) ou Display not used variables (Afficher les variables inutilisées)
  3. La liste de résultats apparaît dans une fenêtre à part

  4. Vous pouvez accéder instantanément à un élément, et le supprimer si nécessaire, par le biais des menus contextuels

attention Attention

Les éléments suivants ne peuvent pas être localisés par le biais de l'analyse de projet :

  • Variables utilisées uniquement dans VBA ou VSTA
  • Variables utilisées dans les synoptiques de type Générateur de rapports (fonction de rapport)

Avant de supprimer des éléments, vous devez vous assurer que les variables devant être supprimées sont utilisées dans VBA/VSTA ou dans les fonctions de rapport.

Autres sujets abordés dans ce chapitre

Liste de résultats


Liste de résultats

Manuels -> Liste des références croisées -> Analyse du projet : -> Liste de résultats

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les résultats des différents procédés d'analyse sont affichés dans une liste, dans une fenêtre à part, dans l'analyse du projet. Cette fenêtre s'affiche automatiquement, si elle n'est pas déjà active, au terme du procédé d'analyse. Les résultats peuvent être utilisés de deux manières :

  • Analyse de l'utilisation dans le projet : accès aux éléments liés
  • Localisation d'éléments inutilisés : accès aux éléments affichés et suppression des éléments, si nécessaire

Analyse de l'utilisation des éléments

Les résultats de l'analyse du projet sont affichés dans une liste.

Cette liste contient :

  • Le nom du projet
  • Le module
  • Le nom des éléments liés

Pour accéder à un élément affiché :

  1. Surlignez l'élément
  2. Sélectionnez l'option de menu Jump to linked element (Accéder à l'élément lié) dans le menu contextuel
  3. L'élément lié est surligné dans la vue de détail du nœud du module

Localisation d'éléments inutilisés

Les résultats de la recherche d'éléments inutilisés sont fournis sous forme de liste.

Cette liste contient :

  • Le nom du projet
  • Le module
  • Le nom des éléments inutilisés

Accès à l'élément

Pour accéder à un élément affiché :

  1. Surlignez l'élément
  2. Sélectionnez l'option de menu Jump to linked element (Accéder à l'élément lié) dans le menu contextuel
  3. L'élément lié est surligné dans la vue de détail du nœud du module

Suppression d'éléments

Pour supprimer un ou plusieurs éléments :

  1. Sélectionnez les éléments souhaités (sélection multiple possible).
  2. Dans le menu contextuel, sélectionnez la commande Delete selected elements (Supprimer les éléments sélectionnés)
  3. Les éléments sont supprimés du projet après affichage d'un message de confirmation


Menus

Manuels -> Menus

Les menus conformes à Windows sont créés dans l'Éditeur de menus. Deux types de menus sont disponibles :

  • Les menus principaux
  • Menus contextuels

Remarque : le système d'exploitation ne permet pas d'afficher plusieurs menus différents pour chaque synoptique ou cadre.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau menu principal | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Nouveau menu contextuel | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Configuration dans l'Éditeur

Fonctionnement dans le Runtime


Configuration dans l'Éditeur

Manuels -> Menus -> Configuration dans l'Éditeur

Sélectionnez l'élément de menu Gestionnaire de projet pour ouvrir l'Éditeur de menu et accéder à l'affichage détaillé. Vous pouvez choisir parmi les menus principaux et les sous-menus. Avec le menu contextuel (entrée Nouveau menu principal ou Nouveau menu contextuel), vous pouvez créer de nouveaux menus. Ils sont ensuite affichés dans la partie droite de la vue de détail. Les menus peuvent être importés et exportés. Vous trouverez plus d'informations dans le chapitre Import / Export / Menus.

attention Attention

Conditions requises pour l'affichage des menus principaux dans le Runtime : La propriété Menus principaux actifs (nœud Apparence graphique) doit être activée dans les propriétés du projet.

Créer un nouvel élément de menu

Pour créer un nouvel élément de menu :

  1. Sélectionnez la dernière entrée.
  2. Confirmez votre choix en appuyant sur la touche Entrée.
  3. Un nouveau champ de saisie vide est créé.

Créer un sous-menu

Pour créer un nouveau sous-menu, activez la propriété Sous-menu dans l'élément de menu de niveau supérieur. Un nouveau champ de saisie est alors ouvert pour le sous-menu.

Déplacer un élément de menu

  1. Sélectionnez l'élément souhaité (sélection multiple possible).
  2. Maintenez le bouton gauche de la souris enfoncé et déplacez l'élément vers sa nouvelle position.
  3. Note : si vous déplacez les sous-menus vers un élément de menu qui n'est pas défini comme un sous-menu, les éléments sont créés en tant que menus principaux.
    Si vous déplacez l'élément supérieur, tous les sous-menus sont déplacés avec lui.

Copier un élément de menu

  1. Sélectionnez l'élément souhaité (sélection multiple possible).
  2. Sélectionnez Copier dans le menu contextuel ou la barre d'outils.
  3. Sélectionnez l'emplacement de sauvegarde de la copie.

    Note : si vous copiez les sous-menus vers un élément de menu qui n'est pas défini comme un sous-menu, les éléments sont créés en tant que menus principaux.
    Si vous déplacez l'élément supérieur, tous les sous-menus sont copiés avec lui.

  4. Sélectionnez Insérer dans le menu contextuel ou la barre d'outils.
  5. Maintenez le bouton gauche de la souris enfoncé et déplacez l'élément vers sa nouvelle position.

Renommer un élément de menu

  1. Sélectionnez l'élément de menu et modifiez-le comme suit :
    • Double-cliquez ou cliquez deux fois lentement sur l'élément
      ou
    • Appuyez sur la touche F2 ou la touche Entrée lorsque l'entrée a été sélectionnée
      ou
    • Sélectionnez la commande Renommer dans le menu contextuel ou la barre d'outils.
  2. L'entrée actuelle est sélectionnée.
  3. Saisissez le nouveau nom.
  4. Confirmez la modification :
    • En appuyant sur la touche Entrée
    • En basculant vers un autre élément de menu
  5. Ou annulez les modifications apportées en appuyant sur Échap

Sélection multiple

Pour modifier plusieurs entrées à la fois

  • Maintenez la touche Ctrl enfoncée et cliquez sur les entrées

    Ou

  • Maintenez la touche Maj enfoncée et cliquez sur les entrées

    Ou

  • Maintenez la touche Maj enfoncée et appuyez sur les touches fléchées du clavier

Pour désélectionner une entrée, cliquez sur l'entrée tout en maintenant les touches Ctrl ou Maj enfoncées.

Pour désélectionner toutes les entrées et sélectionner une seule entrée, cliquez sur l'entrée de votre choix.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Menus

Définir les entrées


Barre d'outils et menu contextuel de la vue de détail Menus

Manuels -> Menus -> Configuration dans l'Éditeur -> Barre d'outils et menu contextuel de la vue de détail Menus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Barre d'outils

Élément de menu | Action
Nouveau menu principal | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Nouveau menu contextuel | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Créer une fonction standard | Ouvre la boîte de dialogue permettant de sélectionner une action et crée une fonction adéquate. Cette action est consignée dans la fenêtre de sortie.
Retour à l'élément de départ | Si vous avez saisi la liste via la fonction Éléments liés, le symbole vous ramène à l'élément de départ. Uniquement disponible dans le menu contextuel lorsque tous les éléments liés sont ouverts.
Copier | Copie l'entrée sélectionnée vers le presse-papier.
Coller | Insère le contenu du presse-papier.
Supprimer | Supprime l'entrée sélectionnée sans confirmation.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Renommer | Ouvre l'élément de menu aux fins de la modification du nom.
Propriétés | Ouvre la fenêtre des propriétés pour l'entrée sélectionnée.
Aide | Ouvre l'aide en ligne.

Menu contextuel Menus dans le Runtime

Élément de menu | Action
Nouveau menu principal | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Nouveau menu contextuel | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Aide | Ouvre l'aide en ligne.

Menu contextuel Menu principal

Élément de menu | Action
Nouveau menu principal | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Aide | Ouvre l'aide en ligne.

Menu contextuel Menus contextuels

Élément de menu | Action
Nouveau menu contextuel | Insère un nouveau menu principal dans la liste de menus de la vue de détail.
Aide | Ouvre l'aide en ligne.

Menu contextuel Menus

Élément de menu | Action
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des entrées à partir d'un fichier XML.
Supprimer | Supprime l'entrée sélectionnée sans confirmation.
Créer une fonction standard | Ouvre la boîte de dialogue permettant de sélectionner une action et crée une fonction adéquate. Cette action est consignée dans la fenêtre de sortie.
Propriétés | Ouvre la fenêtre des propriétés pour l'entrée sélectionnée.
Aide | Ouvre l'aide en ligne.


Définir les entrées

Manuels -> Menus -> Configuration dans l'Éditeur -> Définir les entrées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Généralement, il existe trois types d'entrées de menu :

Paramètres

Description

Type action

Définit le type d'action devant être exécuté via l'élément de menu correspondant dans le Runtime. Tous les types d'action ne sont pas disponibles dans le menu principal ; certains sont uniquement accessibles via le menu contextuel.

  • Acquitter alarme (menu contextuel uniquement)
  • Command input (Envoi de commande) (menu contextuel uniquement)
  • Acquitter clignotement (menu contextuel uniquement)
  • Fonction
  • Aide
  • Aucune action
  • Envoi d'une valeur vers matériel
  • Macro VBA (menu contextuel uniquement)

Sous-menu

Ouvre un sous-menu dans le Runtime.

Séparateur

Une ligne horizontale divise les entrées de menu.

Souligner le texte : saisissez un caractère & pour souligner les caractères suivants.

Planifier les entrées

Pour configurer un élément de menu dans le menu principal ou un menu contextuel :

  1. Activez la cellule de menu correspondante
  2. Dans propriétés, sélectionnez :
    • Type action : en fonction du type de menu.
      Voir également : Principaux types d'action des menus et Types d'action du menu contextuel.
    • ID du menu : ID de l'entrée
      Remarque : il existe des types prédéfinis avec un ID fixe, disponibles dans la fonction d'envoi de commande du synoptique Envoi de commande.
    • Texte : intitulé clair des cellules du menu.

attention Attention

Le nom de la propriété Texte doit être unique. Si deux noms identiques sont fournis, les autres éléments de menu portant le même nom ne seront pas affichés.

Autres sujets abordés dans ce chapitre

Types d'actions du menu principal

Types d'actions du menu contextuel

Apparence graphique

Sous-menu


Types d'actions du menu principal

Manuels -> Menus -> Configuration dans l'Éditeur -> Définir les entrées -> Types d'actions du menu principal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Paramètre | Description
Fonction | Une fonction définie de zenon est exécutée en sélectionnant l'entrée de menu dans le Runtime.
Aide | Un chapitre d'aide d'un fichier CHM est affiché.
Aucune action | Aucune action n'est exécutée.
Spécifier valeur prescrite | En sélectionnant l'élément de menu Spécifier valeurs prescrites, vous pouvez transmettre une valeur fixe, ou augmenter ou réduire d'une quantité fixe la valeur d'une variable durant le Runtime. La saisie s'effectue à l'aide de la boîte de dialogue standard de zenon. Si l'un des 3 synoptiques de type Clavier (SETVALUEKBD, SETBOOLKBD ou SETSTRINGKBD) est disponible dans le projet, il est alors automatiquement utilisé. Pour cette action, une variable peut être sélectionnée directement, ou si c'est une entrée de menu contextuel, alors le système peut prendre la variable de l'élément sur lequel le menu contextuel a été activé.


Types d'actions du menu contextuel

Manuels -> Menus -> Configuration dans l'Éditeur -> Définir les entrées -> Types d'actions du menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Paramètre | Description
Fonction | Une fonction définie de zenon est exécutée en sélectionnant l'entrée de menu dans le Runtime.
Aide | Un chapitre d'aide d'un fichier CHM est affiché.
Aucune action | Aucune action n'est exécutée.
Spécifier valeur prescrite | En sélectionnant l'élément de menu Spécifier valeurs prescrites, vous pouvez transmettre une valeur fixe, ou augmenter ou réduire d'une quantité fixe la valeur d'une variable durant le Runtime. La saisie s'effectue à l'aide de la boîte de dialogue standard de zenon. Si l'un des 3 synoptiques de type Clavier (SETVALUEKBD, SETBOOLKBD ou SETSTRINGKBD) est disponible dans le projet, il est alors automatiquement utilisé. Pour cette action, une variable peut être sélectionnée directement, ou si c'est une entrée de menu contextuel, alors le système peut prendre la variable de l'élément sur lequel le menu contextuel a été activé.
Macro VBA | Une macro VBA sera exécutée lors de la sélection de l'entrée de menu dans le Runtime. Vous pouvez uniquement sélectionner les macros VBA qui sont déclarées comme événement Init.
Alarmes : acquitter | Les alarmes des variables liées à l'élément dynamique, sur lequel le menu contextuel a été activé, sont acquittées.
Acquitter clignotement | Arrête le clignotement des éléments liés aux variables liées à l'élément dynamique sur lequel le menu contextuel a été activé. Les alarmes ne sont pas acquittées par cette action.
Envoi de commande | Ouvre la fenêtre d'envoi de commande définie (uniquement avec une licence de type Énergie).

Autres sujets abordés dans ce chapitre

Commande


Commande

Manuels -> Menus -> Configuration dans l'Éditeur -> Définir les entrées -> Types d'actions du menu contextuel -> Commande

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la création d'une nouvelle action dans la fonction d'envoi de commande, un identifiant de menu correspondant au type d'action et à la direction de commutation pour la propriété Type action est créé et proposé dans la liste déroulante. Si le contenu correspond à un identifiant défini en tant que texte standard pour le type d'action et la direction de commutation, le contenu est adapté si le type d'action ou la direction de commutation.

Pour créer un menu contextuel pour la fonction d'envoi de commande :

  1. Créez les actions souhaitées dans la fonction d'envoi de commande.
  2. Dans les propriétés du menu contextuel, sélectionnez Type action en tant qu'envoi de commande.
  3. Sélectionnez l'action souhaitée et la direction de commutation via le menu déroulant avec la propriété ID du menu.
  4. Spécifiez un intitulé clair dans la propriété Texte.
    Remarque : si aucune entrée n'est définie pour Texte, le champ est automatiquement renseigné avec l'intitulé envoi de commande.

attention Attention

Le nom de la propriété Texte doit être unique. Si deux noms identiques sont fournis, les autres éléments de menu portant le même nom ne seront pas affichés.

Les éléments de menu créés automatiquement avec la même action produisent le même texte ; aussi, des macros sont disponibles pour ces derniers.

La séquence de caractères ID_CMD_AUTO est réservée pour les éléments de menu créés automatiquement. Ces derniers doivent toujours être utilisés conjointement à des macros car, dans le cas contraire, seul l'élément de menu est inséré.

Les règles suivantes s'appliquent lors de la recherche de doubles entrées :

  • Les points de menu manuels sont prioritaires sur les points automatiques.
  • Si deux entrées sont du même type, la priorité de la dernière entrée est deux fois plus élevée.
  • Si une double entrée est détectée, un avertissement est inséré dans le fichier journal. Celui-ci inclut l'ID de menu et la description. Les ID des entrées pouvant être développées automatiquement reçoivent l'indication <auto>.

Actions pour la fonction d'envoi de commande Type action

Action | Direction de commutation | ID de menu
ID_CMD_AUTO |  | Cette entrée de menu montre automatiquement toutes les actions possibles pour un élément, sauf les actions pour lesquelles une entrée de menu a été spécifiée explicitement.
Commande simple | ON (1) | ID_CMD_EBEF_ON
Commande simple | OFF (1) | ID_CMD_EBEF_OFF
Commande simple | NONE | ID_CMD_EBEF_NONE
Commande double | ON (1) | ID_CMD_DBEF_ON
Commande double | OFF (2) | ID_CMD_DBEF_OFF
Commande double | NONE | ID_CMD_DBEF_NONE
Spécifier valeur prescrite | NONE | ID_CMD_SVALUE
Spécifier valeur prescrite | DIRECT | ID_CMD_SVALUE_DIR
État par défaut | NONE | ID_CMD_STATE
État par défaut | ON (1) | ID_CMD_STATE_ON
État par défaut | OFF (0) | ID_CMD_STATE_OFF
Remplacer | NONE | ID_CMD_REPL_NONE
Remplacer | ON (1) | ID_CMD_REPL_ON
Remplacer | OFF (0) | ID_CMD_REPL_OFF
Remplacer | FAULT | ID_CMD_REPL_DEF
Remplacer | DIFF | ID_CMD_REPL_DIFF
Correction manuelle | NONE | ID_CMD_UPD_NONE
Correction manuelle | ON (1) | ID_CMD_UPD_ON
Correction manuelle | OFF (0) | ID_CMD_UPD_OFF
Correction manuelle | DIFF | ID_CMD_UPD_DIFF
Correction manuelle | FAULT | ID_CMD_UPD_DEF
Correction manuelle | DIRECT | ID_CMD_UPD_DIR
Bloquer | NONE | ID_CMD_BLOCK
Déverrouiller | NONE | ID_CMD_UNLOCK
Verrouillage | NONE | ID_CMD_LOCK
Révision | OFF (0) | ID_CMD_REV_OFF
Révision | ON (1) | ID_CMD_REV_ON
info Info
Pour plus d'informations concernant l'utilisation des menus contextuels dans la commande, reportez-vous au chapitre Energy Edition de la section Menu contextuel des commandes.

Autres sujets abordés dans ce chapitre

Macros du menu contextuel


Macros du menu contextuel

Macros du menu contextuel

Une macro est une séquence de caractères définie, qui est remplacée par un autre texte lors de la création d'éléments de menu dans le Runtime. Presque toutes les macros peuvent apparaître plusieurs fois par élément de menu. Par conséquent, elles contiennent également d'autres macros. Dans ce cas, la séquence d'expansion doit être prise en compte. Les macros ne sont pas sensibles à la casse lors de la configuration des menus. Si les macros contiennent une macro en tant que résultat, la macro doit être insérée en majuscules dans le résultat. L'entrée est identifiée par un caractère $ en préfixe et suffixe.

La séquence d'expansion est de gauche à droite, avec la priorité suivante.

  1. $NOTE$
  2. $TAG$
  3. $REMA<Status>$
  4. $RDIR$
  5. $ALL$
  6. $DIR$
  7. $ACT$
  8. $NOTE$

Macro

Description

$NOTE$

L'ensemble du texte, macro incluse, est interprété comme une remarque. Si le texte résultant est vide, la macro $ALL$ est utilisée.

$TAG$

Remplacé par l'identification de la variable d'action.

L'identification peut être traduite par la fonction de traduction en ligne. Si aucun caractère de traduction (@) n'est inclus, l'identification entière est surlignée aux fins de la traduction.

$REMA<Status>$

<Status> est un état ou une valeur limite de matrice de réaction, dont le texte est utilisé en tant que remplacement.

Si l'état n'est pas présent, l'élément de menu n'est pas affiché.

Le texte de valeur limite est traduit, du point de vue linguistique, en fonction du placement du caractère @ .

L'état peut être un nombre compris entre -231 et 231-1. L'utilisation de caractères précédant le texte et d'un préfixe est autorisée. Si des caractères ne pouvant être convertis en nombre sont inclus ou le nombre est situé hors de la zone spécifiée, l'élément de menu n'est pas affiché.

$RDIR$

Texte de la direction de commutation, dérivé de la matrice de réaction ou valeur limite, comme dans la macro $DIR$, à l'exception de :

  • Action Write set value direct (Envoyer valeur prescrite directement)
    Le texte est dérivé de la matrice de réaction ou valeur limite de l'état, qui correspond à la valeur de la valeur prescrite devant être définie.
  • Action Status on (État activé) et Status off (État désactivé)
    Le texte est dérivé de la matrice de réaction/valeur limite des états activé ou désactivé.
  • Action Correct direct (Corriger directement)
    Le texte est dérivé de la matrice de réaction ou valeur limite de l'état, qui correspond à la valeur de la valeur prescrite devant être définie.

$ALL$

Entraîne la dénomination de l'action : Direction de commutation.

Correspond à la combinaison de la macro $ACT$ : $DIR$.

$DIR$

Direction de commutation de l'action.

$ACT$

Dénomination de l'action.

$NOTE$

Pour la dernière macro, la macro de la note est vérifiée à nouveau et le texte inséré à droite de celle-ci, macro incluse, est supprimé.

Si le texte résultant est vide ou ne comprend que des espaces, l'élément de menu n'est pas inséré.

Éléments de menu créés automatiquement

Les éléments de menu créés automatiquement sont créés sous forme d'ID de menu avec ID_CMD_AUTO. Dans ce cas, les macros doivent toujours être utilisées ; dans le cas contraire, seul un élément de menu sera inséré.

Compatibilité

Avant la version 6.51, le texte associé aux éléments de menu automatiques était ignoré. Lors de la conversion de projets créés avec des versions antérieures à la version 6.51, des macros $ALL$$NOTE$ sont automatiquement insérées avant le texte configuré. Par conséquent, les éléments de menu se comportent comme auparavant.

Changement de langue en ligne

L'intitulé de l'élément de menu dans la propriété Texte est traduit, au niveau linguistique, avant l'expansion de la macro, à partir du caractère @.

Remarque : Si, pour la balise $TAGS$, aucun indicateur de traduction (@) n'est présent, le texte entier est traduit.


Apparence graphique

Manuels -> Menus -> Configuration dans l'Éditeur -> Définir les entrées -> Apparence graphique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'apparence graphique des menus peut être influencée par les fonctions suivantes

Paramètres

Description

Fichier graphique

Affiche un fichier graphique dans la zone gauche.

-

Un fichier graphique est utilisé en tant qu'arrière-plan de l'entrée de menu. L'alignement choisi peut être soit Taille originale, soit Stretched (Etiré).

Coche

Affiche une coche dans la zone gauche. Cette coche n'a aucune influence sur la disponibilité de la fonctionnalité liée, mais sert uniquement à l'affichage. L'affichage et la fonctionnalité peuvent uniquement être contrôlés via VBA/VSTA dans le Runtime.

Visible

Actif : L'élément de menu est affiché dans le Runtime et la fonctionnalité liée est disponible. La visibilité peut uniquement être contrôlée via VBA/VSTA dans le Runtime.

Séparateur actif

Affiche une ligne de séparation horizontale, plutôt que l'élément de menu pour la catégorisation logique du menu.

La largeur de la ligne de séparation peut être définie sur une valeur de 0 à 50 pixels, dans la couleur de votre choix.


Sous-menu

Manuels -> Menus -> Configuration dans l'Éditeur -> Définir les entrées -> Sous-menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer des sous-menus :

  1. Activez la propriété Sous-menu.
  2. Un nouveau champ de menu vide est créé à droite de celle-ci.
  3. Définissez les éléments du sous-menu ou des sous-menus ultérieurs.

Les sous-menus sont identifiés par une flèche située à leur droite. Les sous-menus peuvent également être créés sous forme de sous-menus imbriqués.


Fonctionnement dans le Runtime

Manuels -> Menus -> Fonctionnement dans le Runtime

Les menus de l'Éditeur de menus correspondent aux fonctionnalités habituelles des applications Windows.

Les menus sont situés et ancrés dans le coin supérieur gauche dans le Runtime.

Remarque : Si une alarme est en attente, la ligne d'alarme peut couvrir les menus. Dans ce cas, les menus peuvent uniquement être actionnés lorsque les alarmes ont été acquittées. Pour éviter cela, planifiez la ligne d'état d'alarme à un endroit différent ou activez des cadres pour le gabarit.

Autres sujets abordés dans ce chapitre

Affichage des menus dans le Runtime


Affichage des menus dans le Runtime

Manuels -> Menus -> Fonctionnement dans le Runtime -> Affichage des menus dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour afficher les menus principaux dans le Runtime, la fonction correspondante doit être créée et liée.

Les menus contextuels sont définis dans les propriétés des éléments dynamiques correspondants.

Autres sujets abordés dans ce chapitre

Afficher les menus principaux

Afficher les menus contextuels


Afficher les menus principaux

Manuels -> Menus -> Fonctionnement dans le Runtime -> Affichage des menus dans le Runtime -> Afficher les menus principaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction contrôle l'affichage des menus principaux.

  1. Créez une nouvelle fonction en sélectionnant Nouvelle fonction
  2. Dans le nœud Synoptiques, sélectionnez la fonction Display menu (Afficher le menu).
  3. Définissez l'action à exécuter et le menu principal.

Paramètre

Description

Action

Sélection de l'action :

Visualiser menu

Le menu sélectionné est affiché.

Cacher menu

Le menu sélectionné est caché.

Changer menu

Le menu courant est caché et le menu sélectionné est affiché à la place.

Si aucun menu disponible

Le menu sélectionné est affiché si aucun menu n'est affiché à cet instant.

Menu

Sélection du menu.

Afficher cette boîte de dialogue dans le Runtime

Actif : cette boîte de dialogue s'affiche lorsque la fonction est exécutée dans le Runtime.

info Info

Dans le client Web de zenon, (Web Server et Web Server Pro), les menus principaux ne sont pas affichés.

Sous CE (zenon sous Windows CE), les menus peuvent uniquement être affichés dans les standards pris en charge par Windows CE. Les couleurs et les polices différentes des couleurs et polices Windows ne peuvent pas être sélectionnées de manière explicite dans les menus sous CE.

Lorsque la fonction standard est créée depuis le menu contextuel dans l'affichage détaillé, zenon crée automatiquement une fonction "Visualiser menu" pour le menu sélectionné.


Afficher les menus contextuels

Manuels -> Menus -> Fonctionnement dans le Runtime -> Affichage des menus dans le Runtime -> Afficher les menus contextuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les menus contextuels peuvent être utilisés dans le Runtime pour les éléments dynamiques. Pour afficher un menu contextuel dans le Runtime, liez le menu contextuel à l'élément dynamique souhaité.

Pour cela :

  1. Accédez au nœud Runtime dans les propriétés de l'élément dynamique.
  2. Sélectionnez la propriété Menu contextuel.
  3. Sélectionnez le menu contextuel de votre choix dans la liste déroulante.

attention Attention

Les menus contextuels sont référencés par l'intermédiaire de leur nom. Ceci signifie : Si un menu contextuel est renommé, la liaison avec l'élément dynamique est interrompue et doit être recréée.


Module Energy Management System (EMS)

Manuels -> Module Energy Management System (EMS)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module Energy Management System est un outil de gestion économique. Il permet de gérer l'alimentation en électricité des petites et moyennes entreprises de fourniture d'énergie, mais également des firmes industrielles dont l'alimentation en électricité est régie par des contrats spéciaux.

Le module inclut deux fonctions de gestion de la qualité pour aider l'utilisateur :

  • Prévision (prévision à court terme) : cette fonction permet d'éviter les pics de puissance et d'automatiser le délestage.
  • Optimisation : optimisation de l'alimentation électrique moyenne durant une période de facturation.

Cela concerne en priorité les équipements électriques, mais le module peut être utilisé pour les équipements hybrides utilisant à la fois le gaz naturel et l'électricité. Pour les réseaux de gaz naturel, des modèles de prévision et d'optimisation ont été mis en œuvre.

tutorial Informations concernant la licence

Ce module doit disposer d'une licence dans l'Éditeur et le Runtime.

Menu contextuel Gestionnaire de projet

Elément de menu | Action
Exporter XML tous... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML... | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Introduction

Fonctionnalité de l'ensemble du système

Méthode du module EMS

Centrales bivalentes multi-niveaux

Paramétrage du module EMS

État interne des composants

Création des fichiers de Runtime

Contrôle de l'EMS dans le Runtime


Introduction

Manuels -> Module Energy Management System (EMS) -> Introduction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le rôle d'un module Energy Management System (EMS) consiste à optimiser la gestion économique des clients spéciaux tels que les producteurs d'électricité ou les firmes industrielles. L'outil le plus important, à cette fin, est le calculateur de tendances énergétiques, qui constitue la base de l'optimisation d'une alimentation automatisée en énergie.

La situation des réseaux d'électricité et de gaz naturel diffère essentiellement au regard des composants. Ces réseaux sont donc traités différemment dans le module EMS, au regard des prévisions et de l'optimisation.

Autres sujets abordés dans ce chapitre

Situation initiale dans l'industrie de l'électricité

Situation initiale dans l'industrie du gaz naturel

Objectifs d'une gestion économique


Situation initiale dans l'industrie de l'électricité

Manuels -> Module Energy Management System (EMS) -> Introduction -> Situation initiale dans l'industrie de l'électricité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En guise de "règle" dans l'industrie de l'électricité, on utilise un taux incluant les investissements du fournisseur et les coûts résultant de la production électrique et de l'entretien du réseau.

Pour définir leurs tarifs, les sociétés de production et de distribution tiennent normalement compte d'un certain nombre de crêtes de consommation survenues au cours de l'année. Le calcul de la consommation moyenne est établi dans le cadre d'un intervalle de mesure fixe, normalement compris entre 15 et 30 minutes. Par ailleurs, le prix inclut également la puissance reçue. Les contrats établis sur cette base sont valables à long terme.


Situation initiale dans l'industrie du gaz naturel

Manuels -> Module Energy Management System (EMS) -> Introduction -> Situation initiale dans l'industrie du gaz naturel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'industrie du gaz naturel, les pics de demande peuvent être compensés en puisant du gaz naturel sur des sites de stockage, en l'entreposant dans le réseau de gaz naturel (adaptation de la pression) et en activant ou désactivant l'équipement.

Sur les sites de stockage de gaz ou dans le réseau, une certaine quantité de gaz naturel peut être entreposée de manière préventive, afin d'être utilisée à la demande. En outre, des contingents de gaz naturel fournis de manière non contractuelle sont utilisés.


Objectifs d'une gestion économique

Manuels -> Module Energy Management System (EMS) -> Introduction -> Objectifs d'une gestion économique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'objectif d'une gestion économique lors de l'utilisation de l'électricité et du gaz naturel en tant que source d'énergie consiste à recevoir autant d'énergie que possible de votre fournisseur à un tarif aussi réduit que possible (optimisation).

Les économies potentielles peuvent être réalisées en évitant les crêtes de consommation onéreuses. Les crêtes de consommation durant une période de mesure peuvent être évitées au moyen d'interventions contrôlées et ponctuelles.

  • Délestage avec équipements commutables
  • Production des générateurs

Pour cela, il est nécessaire d'anticiper la consommation moyenne durant une période de mesure (prédiction). Ainsi, un dépassement dangereux de la limite prescrite peut être reconnu de manière ponctuelle, et une intervention adéquate peut être réalisée.


Fonctionnalité de l'ensemble du système

Manuels -> Module Energy Management System (EMS) -> Fonctionnalité de l'ensemble du système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les secteurs de l'électricité et du gaz naturel se comportent de manière semblable. Dans la mesure où il est impossible de stocker de l'électricité dans des quantités significatives, les conditions contractuelles des fournisseurs d'électricité sont adaptées selon le besoin.

Dans le secteur du gaz naturel, seules les conditions contractuelles doivent être respectées, mais des dispositions sont également nécessaires pour stocker le gaz naturel.

Autres sujets abordés dans ce chapitre

Fonctionnement du système lorsque l'électricité est utilisée en tant que source d'alimentation

Fonctionnement du système lorsque le gaz naturel est utilisé en tant que source d'alimentation

Réflexions importantes


Fonctionnement du système lorsque l'électricité est utilisée en tant que source d'alimentation

Manuels -> Module Energy Management System (EMS) -> Fonctionnalité de l'ensemble du système -> Fonctionnement du système lorsque l'électricité est utilisée en tant que source d'alimentation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'intervalle de mesure de l'alimentation en électricité est normalement de 15 à 30 minutes. Pendant ce temps, la moyenne de la puissance reçue au point de transfert (nous l'appellerons désormais puissance ou charge) ou la quantité d'énergie correspondante est déterminée et enregistrée.

Le prix est généralement adapté aux trois valeurs supérieures enregistrées pour les périodes de mesure au cours des différents mois. Le prix est alors valide à long terme.

La puissance moyenne utilisée pour calculer le tarif peut être réduite lorsque les consommations en crête sont limitées en raison d'interventions ponctuelles et contrôlées. L'optimisation à court terme peut être réalisée grâce aux interventions suivantes :

  • Délestage avec équipements commutables
  • Augmentation de la production des générateurs

L'objectif de cette optimisation consiste à ne dépasser en aucune circonstance la limite contractuelle de puissance prescrite au cours d'une période de mesure. En outre, la consommation d'énergie doit rester très légèrement inférieure à la limite définie, afin de recevoir autant d'énergie que possible.

L'optimisation de la consommation est effectuée au moyen d'un calcul de tendance à court terme. Les valeurs mesurées collectées durant l'intervalle de traitement (généralement 30, 60 ou 180 secondes) sont utilisées pour effectuer une analyse de tendance. La tendance calculée est projetée à la fin de la période.


Fonctionnement du système lorsque le gaz naturel est utilisé en tant que source d'alimentation

Manuels -> Module Energy Management System (EMS) -> Fonctionnalité de l'ensemble du système -> Fonctionnement du système lorsque le gaz naturel est utilisé en tant que source d'alimentation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La période de mesure est habituellement égale à une heure ou une journée en cas d'alimentation en gaz naturel. Pendant ce temps, la quantité déterminée de gaz naturel au point de transfert est évaluée.

Si la limite est dépassée, un prix élevé devra être versé. La définition du prix en cas de dépassement de la limite est beaucoup plus spécifique que dans le domaine de l'électricité.

En règle générale, dans le réseau de distribution de gaz, on aspire à ne pas dépasser la limite convenue.

Les interventions possibles sont les suivantes :

  • Délestage avec équipements commutables
  • Production de gaz dans des sites de production de gaz liquide
  • Conversion des chaudières vers d'autres combustibles
  • Conversion des unités thermiques et de production d'énergie vers d'autres combustibles
  • Utilisation de gaz naturel provenant de sites d'entreposage de gaz

L'utilisation du gaz conservé sur des sites d'entreposage de gaz est importante, car bien que les quantités soient limitées, celles-ci peuvent être nécessaires durant les pics de demande. Indépendamment de la quantité de gaz naturel entreposé, une stratégie de remplissage de ces sites de stockage à court ou long terme doit être définie.

Actions possibles

Le dépassement de la limite dans le cadre de contrats horaires est empêché par une projection des consommations avec désactivation ou commutation des équipements.

En règle générale, il est possible d'étendre la période de mesure à une journée (dans le cas du gaz). Toutefois, à certaines heures de la journée, le comportement des tendances peut aboutir à des quantités élevées irréalistes en fin de journée. En outre, cette méthode ne tient pas compte de l'équilibre entre la nuit et le jour. Par conséquent, dans ce cas, le système est conçu de manière à offrir les capacités suivantes :

  • autoriser la prédiction de la consommation
  • créer un plan garantissant que les limites ne seront pas dépassées
  • créer une projection à court terme veillant à ce que la quantité maximale planifiée ne soit pas dépassée


Réflexions importantes

Manuels -> Module Energy Management System (EMS) -> Fonctionnalité de l'ensemble du système -> Réflexions importantes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le chapitre suivant aborde quelques réflexions et exemples permettant à l'utilisateur d'identifier et sélectionner plus facilement les éléments modifiables de votre usine. La question consiste à déterminer les éléments et équipements pouvant être influencés directement, par le module EMS, ou indirectement, de manière sensée.

Autres sujets abordés dans ce chapitre

Options permettant d'influencer la puissance de sortie de la zone d'alimentation électrique

Options permettant d'influencer la puissance de sortie de la zone d'alimentation de gaz

Caractéristiques de consommation électrique des équipements


Options permettant d'influencer la puissance de sortie de la zone d'alimentation électrique

Manuels -> Module Energy Management System (EMS) -> Fonctionnalité de l'ensemble du système -> Réflexions importantes -> Options permettant d'influencer la puissance de sortie de la zone d'alimentation électrique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Option

Description

Équipements directement commutables

Les équipements pouvant être arrêtés brièvement, sans interruption des procédés de production, forment partie de ce groupe (chaudières industrielles, pompes de réservoirs d'eau, etc.).

Les charges comportent une valeur fixe. En règle générale, elles dépendent de l'équipement et, par conséquent, doivent pouvoir être mesurées.

Chauffages directs

En raison de leur effet de stockage, ces équipements peuvent être brièvement arrêtés sans diminution significative de la qualité de l'alimentation (chauffage dans les réservoirs d'eau chaude, les chauffages au sol électriques, etc.).

La charge comprend une part constante et une part dépendante de la température. En outre, la charge dépend de la durée d'arrêt de l'équipement.

Pompes à chaleur monovalentes

En règle générale, ces pompes sont actionnées de la même manière que les chauffages directs.

La partie dépendante de la température est plus spécifique, et augmente avec la baisse des températures extérieures (pompes utilisées pour la production de chaleur, notamment dans les systèmes de climatisation) ou s'élève avec l'augmentation des températures extérieures (systèmes de climatisation). La charge dépend de la durée d'arrêt de l'équipement.

Pompes à chaleur bivalentes

Ces pompes permettent de choisir le carburant utilisé. Sous une certaine température, elles sont basculées vers un autre carburant par le contrôleur ou par la fonction d'optimisation.

Dans ce cas, aucune contrainte d'alimentation ne s'applique aux équipements. Ces composants sont uniquement commutés à long terme, et de manière très restrictive, car la commutation ne doit pas intervenir sans cesse.

Lorsque la température baisse, la charge augmente jusqu'à atteindre le point de commutation. Alors, elle disparaît entièrement.

Chauffage à accumulation de nuit

Ces équipements sont alimentés conformément à un programmateur, ou en cas de besoin d'une puissance de sortie accrue durant les périodes à faible demande. Ils sont arrêtés le reste du temps.

La charge dépend essentiellement de la température extérieure. Il est important de noter le nombre de chauffages mis en marche (ce nombre étant limité par la puissance installée) et leur durée de charge.

Agrégats de pics de charge et agrégats de puissance d'urgence

Ces agrégats peuvent être activés ou désactivés selon le besoin. Dans certains cas, ces agrégats peuvent être contrôlés. Le nombre d'utilisations doit être limité, car l'activation de ces agrégats peut entraîner une usure supplémentaire. En outre, la durée de fonctionnement de ces agrégats doit être limitée au maximum, afin d'éviter tout dommage d'origine thermique.

Centrales bivalentes

La fonction principale de ces agrégats consiste à produire de la chaleur ; durant leur fonctionnement, ils sont contrôlés par la demande de chaleur (chaleur prioritaire).

Certains agrégats peuvent être directement utilisés pour générer de la puissance électrique (demande d'électricité). En règle générale, ce mode de fonctionnement est inefficace si la chaleur produite n'est pas utilisée au même moment. Par conséquent, l'utilisation est uniquement bénéfique si la demande de chaleur est identique, ou s'il est possible de stocker la chaleur.

La réduction de la charge au regard du point de commutation dépend de la capacité nominale, et concerne les agrégats contrôlés ou déclenchés par la demande de chaleur dès leur point de mise en marche.

Les agrégats sont fréquemment regroupés sous forme de groupes. Selon la demande de chaleur, un certain nombre d'éléments du groupe sont utilisés. La diminution de la puissance maximale dans la zone d'alimentation électrique est déterminée par le nombre et la puissance nominale des agrégats utilisés.

Abaissement de la tension

Dans la zone d'alimentation électrique, il est possible d'abaisser la tension sur certains réseaux. Pour cela, les transformateurs de niveau moyenne tension sont commutés vers un niveau inférieur.

La charge ohmique des équipements (c'est-à-dire leur dépendance à la tension) entraîne une autre demande de charge, à condition que la tension ou la puissance de sortie ne soient pas ajustées par des contrôles subordonnés.

La diminution de la charge dépend de la charge du réseau, de la possibilité d'abaisser la tension (les tensions minimales doivent être respectées) et de la composition des équipements.


Options permettant d'influencer la puissance de sortie de la zone d'alimentation de gaz

Manuels -> Module Energy Management System (EMS) -> Fonctionnalité de l'ensemble du système -> Réflexions importantes -> Options permettant d'influencer la puissance de sortie de la zone d'alimentation de gaz

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Option | Description
Équipements directement commutables | Les équipements pouvant être arrêtés pour de brèves périodes, sans interruption des procédés de production, forment partie de ce groupe.
Chaudières ou centrales bivalentes | Ces éléments peuvent être basculés vers un autre carburant (par exemple, du gaz naturel vers le pétrole), selon leur conception.
Stockage gaz naturel | Ces éléments sont disponibles dans différentes tailles, selon l'entreprise. Les conduites peuvent également être utilisées comme réservoirs, si leur volume est adéquat et leur extension géographique et mode de fonctionnement sont adaptés. Le gaz naturel peut être prélevé dans le réservoir pour compenser les pics.


Caractéristiques de consommation électrique des équipements

Manuels -> Module Energy Management System (EMS) -> Fonctionnalité de l'ensemble du système -> Réflexions importantes -> Caractéristiques de consommation électrique des équipements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour reconstruire la puissance de sortie requise actuelle, des modèles représentant la consommation électrique des composants arrêtés doivent être utilisés. Ces modèles sont attribués à différentes classes.

Type | Description
Puissance de sortie constante | Lorsqu'il est mis en marche, un agrégat (pompe, chaudière) présente une consommation électrique précédemment définie. La puissance consommée est soustraite à la puissance de sortie lors de l'arrêt de l'équipement. Dans ce cas, il suffit d'indiquer la puissance nominale sous forme de constante.
Dépendance directe vis-à-vis de la température | La dépendance des équipements vis-à-vis de la température est directement tributaire des effets météorologiques ; elle évolue de manière proportionnelle, conjointement à la puissance thermique produite, en fonction de la tendance négative de la température de sortie. Pour une capacité de refroidissement, le comportement est inversé.
Modèle de période de charge | Dans ce cas, la température varie selon la puissance de sortie de mise en marche et la durée de la période de charge suivante, jusqu'à ce que la puissance de sortie chute une fois tous les éléments de stockage thermique remplis.
Dépendance vis-à-vis de la durée d'arrêt | En raison des périodes de refroidissement ou de réchauffage, plusieurs équipements sont mis en marche en fonction de la durée de l'arrêt précédent. Après une brève période, ces équipements s'arrêtent à nouveau.
Dépendance vis-à-vis du procédé de production | Dans le secteur de l'industrie, des comportements liés aux procédés de production peuvent apparaître, indépendamment des comportements habituels ou des dépendances. Ces comportements peuvent uniquement être déterminés par les plannings de production.


Méthode du module EMS

Manuels -> Module Energy Management System (EMS) -> Méthode du module EMS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module EMS dédié à l'énergie électrique (l'électricité) repose sur une analyse chronologique. L'évolution de la puissance de sortie mesurée est analysée et extrapolée dans le futur. L'horizon des prévisions du module EMS correspond à la durée restante de la période de mesure.

Autres sujets abordés dans ce chapitre

Valeurs d'entrée

Le modèle des prévisions à court terme

Principes de fonctionnement de la règle d'obtention

Chevauchement d'entrées de plannings


Valeurs d'entrée

Manuels -> Module Energy Management System (EMS) -> Méthode du module EMS -> Valeurs d'entrée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module EMS attend une valeur d'entrée sous la forme d'une valeur de compteur ou d'une valeur calculée fournie par les drivers, ou d'un résultat du calcul d'une formule mathématique dans zenon.

Attention : assurez-vous que la valeur est fournie une fois et une fois seulement dans l'intervalle de mise à jour. Une valeur ne doit pas être absente ou fournie deux fois.

Unités de mesure : MW, kW , kWh ou m3

Le système est conçu sur la base de kW et d'heures. Par conséquent, toutes les quantités de puissance et d'énergie devant être saisies dans les masques de configuration font référence à ces unités de mesure. Au niveau interne, les fonctions du module EMS sont calculées sans unités de mesure. Par conséquent, les unités de mesure dans lesquelles les valeurs sont fournies et interprétées n'a aucune incidence, tant qu'elles font référence à la même base. L'unité de base peut être les kW ou les MW.

Dans le secteur du gaz naturel, les calculs peuvent également être effectués sur la base standard des m3. La capacité de comparaison des mètres cube doit être garantie. Or, cela n'est possible qu'avec les mètres cube standard. Il n'est pas nécessaire de convertir les mètres cube en énergie et en heure de raccordement.

info Info

Puisque le module EMS peut entraîner d'importants coûts en cas de défaillance, il est essentiel de sécuriser les valeurs saisies. Nous vous recommandons de sécuriser les valeurs de ce module en utilisant des valeurs de remplacement sensées ou une stratégie de valeurs alternative.


Le modèle des prévisions à court terme

Manuels -> Module Energy Management System (EMS) -> Méthode du module EMS -> Le modèle des prévisions à court terme

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour projeter l'évolution actuelle de la puissance électrique, il est nécessaire de concevoir un modèle mathématique de l'évolution de la puissance électrique. En extrapolant l'évolution de la puissance électrique de ce modèle pendant la durée restante de la période de facturation, il est possible d'estimer la puissance prévue à la fin de la période.

Tendance de la puissance

À la fin de la période T, la puissance P prog (T) doit être calculée. Pour calculer la tendance de la puissance actuelle, on utilise une fonction linéaire, qui est extrapolée à la fin de la période.

P prog (T) = P const (t) + P tend (t) * ( T - t )

Les facteurs polygonaux mathématiques p0, p1 sont nommés d'après leur signification physique, afin de faciliter la compréhension de la formule.

Facteur | Description
P prog | Valeur de puissance prévue
P const | Constante de la puissance (valeur des dernières valeurs)
P tend | Tendance de la puissance (linéaire montante ou descendante)
T | Instant situé à la fin de la période de mesure
t | heure actuelle

Tendance énergétique

En se basant sur ces informations, il est possible de calculer la tendance énergétique jusqu'à la fin de la période E(T) à l'aide de la fonction

E prog (T) =P moy (t) * t + P const (t) * (T - t) + ½ * P tend (t) * (T - t)

Facteur | Description
E prog | Valeur d'énergie prévue
P moy | Valeur de puissance moyenne

Le premier addende décrit l'énergie déterminée jusqu'à l'heure t. L'énergie peut soit être déterminée par la valeur de la puissance moyenne, comme décrit dans la formule, ou fournie sous la forme d'une valeur énergétique calculée directe E(t).

Le deuxième cumulateur poursuit la puissance constante jusqu'à la fin de la période, et calcule la quantité d'énergie constante sur cette base.

Le troisième cumulateur décrit l'influence supplémentaire de la tendance.

Au regard du calcul énergétique utilisé pour établir la valeur de facturation réelle, l'utilisation d'une valeur située précisément au début de la période de mesure est nécessaire. Il n'est donc pas possible d'utiliser des valeurs filtrées externes.

Dans la formule ci-dessus, la valeur moyenne à la fin de la période peut être déterminée.

P prog moy (T) = E prog (T) / T

Paramètre | Description
P prog moy | Valeur moyenne de puissance prévue

Autres sujets abordés dans ce chapitre

Calcul de la puissance de correction

Prévisions de valeurs actuelles et de valeurs réelles

Abaissement de la limite d'alimentation


Calcul de la puissance de correction

Manuels -> Module Energy Management System (EMS) -> Méthode du module EMS -> Le modèle des prévisions à court terme -> Calcul de la puissance de correction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Durant la période de mesure, la puissance moyenne

P (limite) = limite acceptée

peut être obtenue. Durant la période de mesure T, cette puissance est égale à

E (limite) = P (limite) * T

.

En comparant cette puissance à l'énergie prévue E prog (T) en fin de période, les valeurs de dépassement inférieure et supérieure de la limite acceptée

E corr = E prog (T) - E (limite)

peuvent être évaluées. Le dépassement supérieur ou inférieur peut être équilibré en réalisant les commutations correspondantes.

Toutefois, il faut garder à l'esprit qu'à l'instant t, seul le temps d'équilibre T-t est disponible. Par conséquent, une puissance de correction élevée

P corr (t) = E corr / (T-t)

est nécessaire.


Prévisions de valeurs actuelles et de valeurs réelles

Manuels -> Module Energy Management System (EMS) -> Méthode du module EMS -> Le modèle des prévisions à court terme -> Prévisions de valeurs actuelles et de valeurs réelles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les prévisions sont réalisées pour plusieurs tendances dans le module EMS.

  • La première tendance tient compte de la consommation électrique. Cette tendance calcule d'augmentation de la puissance requise sous forme de prévision de valeur actuelle.
  • Un deuxième facteur de tendance tient compte des commutations intervenues dans le passé.
  • Un troisième facteur de tendance calcule l'influence des commutations futures.

Les fonctions de tendance sont superposées, et le résultat est la prévision de valeur réelle. Celle-ci décrit la consommation de puissance prévisible jusqu'à la fin de la période de facturation.


Abaissement de la limite d'alimentation

Manuels -> Module Energy Management System (EMS) -> Méthode du module EMS -> Le modèle des prévisions à court terme -> Abaissement de la limite d'alimentation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la mesure où la tendance de charge ne peut pas être prévue avec exactitude et que des écarts sont habituellement constatés par rapport aux charges commutables, il est nécessaire de rester sous la valeur prescrite d'alimentation actuelle, pour des raisons de sécurité.

C'est pour cette raison qu'un pourcentage Distance de sécurité [%] est utilisé pour la limite d'alimentation durant le paramétrage ; la valeur actuelle doit être inférieure à ce pourcentage pour que des connexions soient déclenchées.

Chiffre | Description
1 | Limite d'alimentation (valeur prescrite)
2 | Distance de sécurité
3 | Désactiver hystérésis
4 | Activer hystérésis
5 | Hystérésis de commutation

Un hystérésis peut être défini autour de cette limite à l'aide des fonctions Activer hystérésis [%] et Désactiver hystérésis [%]. Dans ce cas, l'élément Activer hystérésis [%] élimine une partie de l'élément Distance de sécurité [%].

attention Attention

Dans tous les cas, il est essentiel que l'élément Activer hystérésis [%] soit inférieur à l'élément Distance de sécurité [%]. Dans le cas contraire, le système réagira trop tardivement si la limite convenue est dépassée.


Principes de fonctionnement de la règle d'obtention

Manuels -> Module Energy Management System (EMS) -> Méthode du module EMS -> Principes de fonctionnement de la règle d'obtention

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Fonctionnement en circuit fermé

Normalement, la règle d'obtention s'applique au fonctionnement en circuit fermé. Les durées de mise en marche et d'arrêt sont calculées en fonction des résultats de la fonction d'optimisation. La commutation est déclenchée directement par les commandes de commutation correspondantes.

info Info

Dans le module EMS, les points de commutation immédiate ne doivent pas forcément être utilisés au niveau des consommateurs. Vous pouvez décider d'autoriser la commutation directe, ou de demander que la commutation soit d'abord effectuée par l'utilisateur.

attention Attention

L'utilisation sans contrôle du fonctionnement en circuit fermé nécessite la mise en œuvre d'une phase de pilotage intensif. Dans ce cas, toutes les commutations effectuées par le contrôleur doivent être validées par l'utilisateur. Cette phase de pilotage doit être ajustée en fonction de la taille et la complexité du système. Il est possible que la phase de pilotage dure une année.

Autres sujets abordés dans ce chapitre

Détermination de la capacité de production des équipements

Procédé de commutation


Détermination de la capacité de production des équipements

Manuels -> Module Energy Management System (EMS) -> Méthode du module EMS -> Principes de fonctionnement de la règle d'obtention -> Détermination de la capacité de production des équipements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La détermination de la capacité de production des équipements est particulièrement importante au regard de l'évaluation de l'effet provoqué par les commutations. Le problème est que la capacité de production des équipements arrêtés ne peut pas être mesurée directement, et doit parfois être estimée.

Dans le système, deux mécanismes sont mis en œuvre pour déterminer la capacité de sortie.

  • Valeur fixe par paramétrage

    La valeur (par exemple, la puissance nominale) est considérée comme fixe par la fonction d'optimisation, et est toujours disponible.

  • Mesure de la valeur actuelle

    La valeur est mesurée et zenon décrit cette valeur à l'aide d'une variable dans les équipements.

La valeur initiale de la capacité de production de l'équipement est déterminée par l'interrogation de la valeur de la variable au début de l'optimisation. Pour compenser les erreurs dues aux fluctuations, la fonction d'optimisation calcule une valeur moyenne glissante à partir des mesures consécutives.

info Info

Si un composant est arrêté au début de l'optimisation, sa capacité de production est estimée à zéro. Par conséquent, la fonction SCADA ne peut pas déterminer une valeur de sortie valide comme condition préalable à l'utilisation du composant. Le composant doit être activé une fois manuellement.

attention Attention

Tant qu'une valeur au moins n'est pas arrivée, la valeur de sortie du composant n'est pas connue, et ne peut pas être utilisée pour l'optimisation.

Autres sujets abordés dans ce chapitre

Facteurs principaux

Facteurs secondaires


Facteurs principaux

Manuels -> Module Energy Management System (EMS) -> Méthode du module EMS -> Principes de fonctionnement de la règle d'obtention -> Détermination de la capacité de production des équipements -> Facteurs principaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Quantité d'énergie

En règle générale, la sélection de l'équipement est déterminée par la quantité d'énergie pouvant être activée ou désactivée.

Si la quantité d'énergie demandée ne peut pas être atteinte exactement, elle est considérée comme une valeur minimale en cas de demande d'arrêt et comme une valeur maximale en cas de demande de mise en marche. Ceci permet de respecter facilement la chronologie des événements.

info Info

Durant le Runtime, la quantité d'énergie peut être réglée de manière dynamique, à l'aide d'une variable.

Disponibilité

La disponibilité détermine la possibilité d'utiliser l'équipement en règle générale. La disponibilité peut être réglée manuellement et est toujours reportée si le composant ne peut pas être utilisé pour des raisons opérationnelles (par exemple, en cas de réparations) ou s'il ne doit pas être utilisé par la fonction d'optimisation.

Les conditions pouvant survenir durant le procédé peuvent également déterminer la disponibilité du composant et contrôler son utilisation par la fonction d'optimisation.

Informations concernant info

Durant le Runtime, la disponibilité peut être réglée de manière dynamique, à l'aide d'une variable. Par exemple, des plannings de disponibilité peuvent être mis en œuvre à l'aide d'un planning horaire dans le module Production & Facility Scheduler.


Facteurs secondaires

Manuels -> Module Energy Management System (EMS) -> Méthode du module EMS -> Principes de fonctionnement de la règle d'obtention -> Détermination de la capacité de production des équipements -> Facteurs secondaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Heures de verrouillage et de déverrouillage des équipements

Les heures de verrouillage permettent de contrôler les horaires pendant lesquels les composants ne sont pas disponibles pour la fonction d'optimisation. Les horaires non désignés comme des heures de verrouillage représentent les heures de déverrouillage.

attention Attention

Durant les heures de verrouillage, les composants ne sont pas influencés par l'optimisation – ou alors, seulement dans le sens du déverrouillage. Ainsi, les composants restent dans l'état dans lequel ils se trouvaient à la fin de l'heure de déverrouillage.

Durées de commutation minimale et maximale

Vous pouvez spécifier les délais minimal et maximal pour les états de commutation (marche/arrêt) individuels pour chaque équipement et générateur utilisé. Cette durée désigne l'intervalle devant s'écouler pour qu'une action de commutation soit déclenchée dans le sens opposé.

Ce paramètre est important pour les agrégats ; pour éviter les dommages thermiques et les dommages dus à la suie, les agrégats ne doivent pas être désactivés immédiatement après avoir été activés. Ainsi, par exemple, un certain temps doit s'écouler après l'activation des groupes de chauffage avant qu'ils ne se mettent en marche.

Fréquence de commutation

Si des équipements et des générateurs ne peuvent effectuer qu'un nombre limité de commutations au cours d'une certaine période, les composants ne sont plus commutés dès lors que ce nombre est atteint. Outre le nombre de commutations, la procédure de paramétrage nécessite également la saisie d'un intervalle de temps.

Example Exemple

25 commutations en 12 heures maximum

Priorités de commutation

La commutation des composants est planifiée en fonction d'un programme de priorités. Dans celui, les priorités de mise en marche et d'arrêt sont mentionnées séparément. L'utilisateur peut déterminer les priorités en fonction des exigences de fonctionnement. Le composant possédant la priorité la plus élevée (c'est-à-dire la valeur numérique la plus élevée) est commuté le premier.

S'il est nécessaire de commuter les composants dans un ordre défini, en arrêtant en dernier le premier équipement mis en marche, un programme numérique doit être appliqué à tous les composants : croissant, pour la première mise en marche, et décroissant, pour le dernier arrêt.

info Info

Si plusieurs équipements dans une usine possèdent la même priorité, le module EMS veille automatiquement à ce qu'en moyenne, tous les équipements de même niveau soient commutés un nombre équivalent de fois.


Procédé de commutation

Manuels -> Module Energy Management System (EMS) -> Méthode du module EMS -> Principes de fonctionnement de la règle d'obtention -> Procédé de commutation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le terme "demande d'arrêt" émanant de la fonction d'optimisation désigne toujours la réaction de l'équipement réduisant la puissance de sortie requise et ainsi, la puissance de sortie obtenue car l'équipement est arrêté. Par conséquent, la demande d'arrêt peut être exécutée par la mise en marche d'un agrégat.

Procédés durant une commutation

Délai de mise en marche (temps mort de mise en marche)

Égal à l'intervalle de temps entre l'activation de l'ordre de commutation et l'obtention de la puissance nominale.

Ce délai – qui dépend de l'agrégat – peut être assez long (par exemple, la mise en marche et la synchronisation de l'agrégat, le contrôle du chauffage par le raccordement, etc.)

Délai d'arrêt (temps mort d'arrêt)

Délai entre l'activation de l'ordre de commutation et l'instant où la puissance de sortie atteint zéro. Vous devez ajouter le délai d'activation de la commutation à l'heure à laquelle la puissance totale de sortie atteint zéro.

Délai d'avertissement de la mise en marche et de l'arrêt (durée du délai d'avertissement)

Les heures de commutation sont programmées à la seconde près, afin de contrôler précisément la quantité d'énergie. Pour fournir à l'utilisateur la capacité de respecter les heures définies pour le fonctionnement en circuit ouvert, il est nécessaire de définir un délai d'exécution de la commutation. Ce délai est définir par l'élément Durée pré-alerte. Dans ce cas, l'utilisateur reçoit des informations concernant les commutations planifiées avant qu'elles ne soient réellement effectuées.

attention Attention

Puisque le module EMS suppose que les commutations sont effectuées, les commutations proposées doivent être effectuées dans le délai correspondant, afin de préserver l'exactitude des prévisions.

Tactique du planning de commutation

En règle générale, la sélection de la commutation est effectuée dans le but de limiter au maximum le nombre de commutations effectuées. Ceci permet de maîtriser le fonctionnement du réseau et maintient la disponibilité des équipements pour lesquels un nombre maximal de commutations a été défini. En outre, les conflits – qui peuvent se produire lors de l'émission de la commande de commutation – sont minimisés.

Une commande temporisée spécifique permet d'utiliser des composants dont la puissance de sortie est significativement plus élevée que celle utilisée pour la correction. Les composants sont utilisés très brièvement, afin de compenser la puissance de sortie requise.

Commutations annulées au début d'une période de mesure

Au début d'une période de mesure, il est possible que des commutations importantes soient effectuées ou que des écarts importants par rapport à la valeur de sortie moyenne réelle soient définis, afin de compenser d'importantes quantités d'énergie à la fin de la période. Pour cette raison, au début de la période, il est nécessaire de laisser au système la capacité de s'adapter aux nouvelles circonstances.

C'est pourquoi un élément Début intervalle des tarifs en arrêt peut être développé dans le système. Pendant ce temps, la fonction d'optimisation n'effectue aucune commutation.

attention Attention

Si aucune réponse n'est reçue pour une commande de commutation émise par le module EMS (au niveau de la variable de réponse) pendant un long intervalle de temps, le module EMS suppose que l'action a échoué et tente d'effectuer une nouvelle commutation (sur le prochain composant disponible). Vous devez donc toujours veiller à ce que la réponse correcte, indiquant le succès d'une opération de commutation, soit transmise au module EMS.


Chevauchement d'entrées de plannings

Manuels -> Module Energy Management System (EMS) -> Méthode du module EMS -> Chevauchement d'entrées de plannings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Différentes applications autorisent la commutation d'agrégats et d'équipements à des heures fixes, à l'aide des modules Planning ou Production & Facility Scheduler. Dans la mesure où ces modules et la fonction d'optimisation à court terme ne sont pas liés de manière explicite, ces commutations ne sont pas surveillées au regard de la tendance de sortie. Ils ne sont également pas affichés dans la tendance de la sortie obtenue. Ils perturbent le calcul du résultat de la fonction d'optimisation à court terme.

Pour que ces interférences n'aient pas d'effet radical, les commutations externes doivent être développées de manière telle qu'elles se déroulent lors d'un changement de période. Si cela n'est pas possible, elles doivent être programmées immédiatement après un changement de période, afin de pouvoir compenser l'influence perturbatrice sur le contrôle. Ces commutations doivent être finalisées dans les limites de l'élément Début intervalle des tarifs en arrêt, et l'influence de la commutation sur la variable d'entrée doit être présente.


Centrales bivalentes multi-niveaux

Manuels -> Module Energy Management System (EMS) -> Centrales bivalentes multi-niveaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les centrales bivalentes multi-niveaux peuvent être considérées comme un composant unique. Les centrales bivalentes peuvent être décrites avec 2 à n niveaux.

Elles sont contrôlées par une valeur prescrite. En outre, différents niveaux de sortie peuvent être définis et appliqués à cette valeur prescrite. La puissance de sortie réelle de la centrale bivalente est enregistrée par une (mesure) variable, puis transmise au module EMS.

attention Attention

Une centrale bivalente est uniquement disponible lorsqu'elle atteint sa puissance nominale. Le drapeau de disponibilité est défini dans le cadre du développement. Le module EMS ne peut pas désactiver la centrale bivalente, et peut uniquement rétablir son niveau de puissance nominale.

Autres sujets abordés dans ce chapitre

Traitement des valeurs prescrites dans les centrales bivalentes

Commutations planifiées d'une centrale bivalente

Priorités des centrales bivalentes

Restrictions temporelles concernant les centrales bivalentes

Fonctionnement manuel des centrales bivalentes


Traitement des valeurs prescrites dans les centrales bivalentes

Manuels -> Module Energy Management System (EMS) -> Centrales bivalentes multi-niveaux -> Traitement des valeurs prescrites dans les centrales bivalentes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le nombre de valeurs pouvant être adoptées par la valeur prescrite est égal au nombre de niveaux défini. La valeur que peut adopter la valeur prescrite est toujours exactement égale à l'une des valeurs définies pour les niveaux. Le module EMS n'attribue aucun autre nombre à la valeur prescrite.

L'initialisation est effectuée avec la puissance de sortie actuellement mesurée. Si cette valeur n'est pas égale à un niveau défini, le niveau immédiatement inférieur est attribué. La centrale bivalente est traitée comme indisponible tant que la puissance de sortie mesurée ne correspond pas à un niveau. Si la puissance de sortie mesurée est perturbée, la centrale bivalente n'est pas disponible et la valeur prescrite est initialisée dès qu'une valeur mesurée valide est obtenue.

Puisqu'il n'est pas nécessaire qu'une puissance de sortie corresponde exactement à une valeur prescrite, une hystérésis est définie autour de la valeur prescrite. Un niveau est considéré comme atteint ou défini dès que la valeur de sortie actuelle est comprise dans l'hystérésis de la valeur prescrite fournie. L'hystérésis peut être définie individuellement pour chaque centrale bivalente.

Les niveaux définis ne doivent pas être omis (c'est-à-dire "sautés") lors de l'attribution de la valeur prescrite. Le module EMS attribue uniquement la valeur prescrite au niveau immédiatement supérieur ou inférieur.

Une saisie de valeur prescrite est uniquement exécutée si la centrale bivalente affiche un niveau explicite (en tenant compte de l'hystérésis) à l'instant donné. Dans le cas contraire, la centrale bivalente est indisponible, car la valeur mesurée n'est pas égale à un niveau.


Commutations planifiées d'une centrale bivalente

Manuels -> Module Energy Management System (EMS) -> Centrales bivalentes multi-niveaux -> Commutations planifiées d'une centrale bivalente

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la planification de la saisie de valeurs prescrites pour une centrale bivalente, les conditions applicables à la saisie des valeurs prescrites doivent être prises en compte. Si, dans une centrale bivalente, plusieurs niveaux sont nécessaires pour gérer la puissance de sortie, gardez à l'esprit que la commutation d'un niveau au niveau suivant ne peut être effectuée qu'en cas de mise en œuvre d'un planning de commutation. Pour cela, les saisies de valeurs prescrites doivent être conformes aux délais de mise en marche et d'arrêt de chaque niveau.

attention Attention

N'oubliez pas que les avertissements sont uniquement fournis à un niveau défini. Vous devez donc tenir compte du délai d'avertissement pour les différents niveaux lors de la création du planning de commutation.


Priorités des centrales bivalentes

Manuels -> Module Energy Management System (EMS) -> Centrales bivalentes multi-niveaux -> Priorités des centrales bivalentes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une centrale bivalente comporte des priorités de mise en marche et d'arrêt fixes. Les valeurs peuvent être contrôlées au moyen de variables. Ceci autorise un contrôle flexible des priorités. L'adoption d'une nouvelle priorité intervient lors du prochain changement d'intervalle.

Les priorités ne sont pas définies individuellement pour chaque niveau, mais sont valables pour l'ensemble de la centrale bivalente.

Si deux centrales bivalentes au moins possèdent la même priorité, une procédure de roulement de priorités est utilisée. Une condition plus importante, pour des centrales bivalentes possédant la même priorité, est qu'elles soient configurées avec un même niveau dans la mesure du possible, ou qu'elles ne présentent pas plus d'un niveau d'écart. La condition préalable pour cela est que la priorité de mise en marche et la priorité d'arrêt de ces deux centrales soient identiques.

Le compteur de référence interne identifiant le nombre de commutations est incrémenté lorsque la centrale bivalente est mise en marche. Cela est précisément le cas lorsque le courant actuel "saute" un niveau pour passer directement au niveau supérieur. Sur les équipements consommateurs de courant électrique, le compteur de référence est incrémenté lorsque le composant est arrêté. Ainsi, dans un seul niveau de priorité, la commutation entre deux centrales bivalentes est comparée à la mise en marche et l'arrêt d'un équipement.


Restrictions temporelles concernant les centrales bivalentes

Manuels -> Module Energy Management System (EMS) -> Centrales bivalentes multi-niveaux -> Restrictions temporelles concernant les centrales bivalentes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les centrales bivalentes doivent faire l'objet d'une attention particulière au regard de leur comportement dans le temps. Durant le fonctionnement d'une centrale bivalente, le module EMS doit tenir compte d'exigences spéciales concernant la commutation des niveaux et les délais.

Autres sujets abordés dans ce chapitre

Durées de fonctionnement variables selon la commutation de niveaux

Expiration du délai d'attente


Durées de fonctionnement variables selon la commutation de niveaux

Manuels -> Module Energy Management System (EMS) -> Centrales bivalentes multi-niveaux -> Restrictions temporelles concernant les centrales bivalentes -> Durées de fonctionnement variables selon la commutation de niveaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les durées de fonctionnement minimale et maximale des centrales bivalentes doivent être définies pour chaque niveau. Au lieu de quatre temps par composant (durée minimale de mise en marche, durée minimale d'arrêt, durée maximale de mise en marche et durée maximale d'arrêt), deux temps seulement sont définis – les durées de fonctionnement minimale et maximale par niveau – pour décrire une centrale bivalente avec des niveaux.

La durée de fonctionnement minimale (durée de mise en marche) d'un niveau indique le temps minimal pendant lequel la centrale bivalente doit fonctionner à ce niveau. Lorsqu'un niveau est atteint, l'optimisation doit attendre pendant ce délai au moins avant qu'une nouvelle saisie de valeur prescrite ne puisse être effectuée pour le niveau inférieur suivant.

La durée de fonctionnement maximale d'un niveau indique pendant combien de temps au maximum une centrale bivalente peut fonctionner à ce niveau. À l'exception du niveau le plus bas (puissance nominale), la centrale bivalente est commutée vers le niveau inférieur suivant après expiration de ce délai. Un niveau est considéré comme actif, même si la centrale bivalente fonctionne en réalité à un niveau supérieur. La durée de fonctionnement maximale des niveaux individuels doit être adaptée aux différentes restrictions concernant la durée de fonctionnement minimale et les avertissements. Ainsi, il est possible d'assurer une commutation ponctuelle vers un niveau inférieur. L'optimisation doit également éviter les saisies de valeurs prescrites à un niveau supérieur lorsque la durée de fonctionnement maximale ne peut pas être respectée, par exemple en raison de la durée de fonctionnement minimale du niveau supérieur.

info Info

La commutation manuelle peut entraîner des violations des restrictions définies. Ces dernières sont interceptées par le module EMS.

Pour le niveau le plus bas (niveau nominal), la signification de la durée de fonctionnement maximale est différente de celle des autres niveaux. La durée de fonctionnement maximale du niveau le plus bas indique pendant combien de temps au maximum une centrale bivalente peut fonctionner à ce seul niveau. Ensuite, la centrale bivalente doit être commutée vers le prochain niveau supérieur.

Exemple de configuration des paramètres des niveaux individuels :

Pas | 0 | 1 | 2 | 3 | 4
Affichage | 100 | 200 | 300 | 400 | 500
Durée minimale de mise en marche (en secondes) | -- | 60 | 60 | 60 | 60
Délai d'avertissement (en secondes) | -- | 210 | 0 | 0 | 0
Délai de mise en marche (en secondes) | -- | 30 | 30 | 30 | 30
Délai d'arrêt (en secondes) | -- | 30 | 30 | 30 | 30
Valeur minimale de la durée maximale de mise en marche (en secondes) | 210 | 240 | 180 | 120 | 60

Les valeurs de temps saisies lors de la configuration de la mise en marche et de l'arrêt font toujours référence au niveau pour lequel elles sont saisies. Cela signifie que la durée d'arrêt configurée pour un niveau est prise en compte si une "commutation" est effectuée de ce niveau vers le niveau inférieur. La durée de mise en marche est prise en compte si une "commutation" est effectuée depuis un niveau inférieur vers ce niveau.

Puisque le niveau le plus bas représente le fonctionnement de la centrale bivalente à sa puissance nominale, aucune information concernant la durée de fonctionnement minimale, le délai d'avertissement, le délai de mise en marche et le délai d'arrêt n'est nécessaire.

Les valeurs minimales autorisées pour les durées de mise en marche maximales à chaque niveau sont les suivantes:

  • Pour le premier niveau:

    Délai de prévisualisation du niveau supérieur suivant

  • Pour le dernier niveau:

    durée maximale/minimale de mise en marche, délai d'avertissement du dernier niveau

  • Pour tous les autres niveaux :

    durée maximale/minimale de mise en marche, délai d'avertissement du niveau supérieur suivant

    + délai de mise en marche pour le niveau supérieur suivant

    + valeur minimale pour la durée maximale de mise en marche du niveau supérieur suivant

    + délai d'avertissement du niveau supérieur suivant

    + délai d'arrêt pour le niveau supérieur suivant

Pour une centrale bivalente, si la durée maximale de mise en marche pour un niveau est inférieure à la valeur minimale calculée pour la durée maximale de mise en marche, la centrale bivalente est considérée comme indisponible et une identification de disponibilité correspondante est définie pour la préparation.


Expiration du délai d'attente

Manuels -> Module Energy Management System (EMS) -> Centrales bivalentes multi-niveaux -> Restrictions temporelles concernant les centrales bivalentes -> Expiration du délai d'attente

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une valeur prescrite reste à un certain niveau jusqu'à ce que ce niveau soit atteint, ou que le délai défini soit expiré. En cas d'expiration du délai d'attente, la valeur prescrite est réinitialisée en fonction des performances actuellement mesurées. Ceci nécessite de déterminer le niveau de performances actuel. Les cas suivants peuvent s'appliquer :

  • Le niveau des performances actuelles correspond au niveau précédent :

    La valeur prescrite n'a eu aucun effet, et la valeur précédente est donc rétablie.

  • La valeur actuelle ne correspond à aucun niveau :

    Une vérification peut être effectuée afin de déterminer si les performances actuelles sont proches de la nouvelle valeur prescrite.
    Si c'est le cas, la valeur prescrite configurée peut être conservée ; dans le cas contraire, elle doit être réinitialisée.

  • La valeur actuelle correspond à un autre niveau :

    Les performances de la centrale bivalente ont changé, contrairement à la valeur prescrite saisie. Ceci correspond à une commutation manuelle, en dépit de la disponibilité de l'EMS. Voir la section Commutation manuelle pour les autres étapes.

Les plans de commutation vers les niveaux suivants doivent être révisés ou remplacés si une valeur prescrite précédemment définie pour l'action de commutation d'une centrale bivalente n'a pas été atteinte. Pour toute autre action de commutation, différents composants seront préférés.


Fonctionnement manuel des centrales bivalentes

Manuels -> Module Energy Management System (EMS) -> Centrales bivalentes multi-niveaux -> Fonctionnement manuel des centrales bivalentes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si une valeur mesurée de la puissance de sortie (sans saisie de point de consigne) n'est pas conforme au niveau défini par le module EMS, ce composant est accepté comme indisponible, car il est évident que le module EMS ne le contrôle pas à cet instant.

Si une valeur mesurée de la puissance de sortie actuelle redevient conforme à la zone d'hystérésis d'un niveau défini, l'écart par rapport à la valeur prescrite est enregistré, et l'écart au niveau du réglage du niveau est considéré comme défini manuellement. La valeur prescrite est réglée sur le nouveau niveau identifié.

Tout fonctionnement manuel identifié est transmis au module de prévision, afin de pouvoir être pris en compte dans le calcul des tendances.


Paramétrage du module EMS

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le développement du module EMS est effectué par le biais d'une arborescence hiérarchisée. Les sous-objets correspondants sont liés à des objets individuels, en fonction de leur type. Les sous-objets sont ajoutés en sélectionnant l'élément de menu correspondant dans le menu contextuel du nœud sélectionné.

Tous les objets comportent des propriétés Nom et Identification. Le développement des objets individuels est effectué par le biais de la fenêtre de propriétés.

Toutes les propriétés réglables disponibles dans la fenêtre de propriétés sont décrites dans la fenêtre d'aide lorsque vous cliquez dessus.

info Info

Toutes les propriétés mentionnées ou représentées sont uniquement visibles si le module EMS comporte une licence. Le module EMS sous licence constitue un élément séparé dans l'arborescence du projet. Les paramètres dans le module EMS peuvent être configurés à l'aide de cette entrée.

attention Attention

Dans le module EMS, toutes les unités existantes (réseaux, groupes d'équipements, générateurs, équipements, etc.) doivent comporter un nom unique pour garantir le bon fonctionnement des prévisions et de l'optimisation.

Tous les objets comportent les entrées de menu suivantes :

Menu/Entrée | Description
Couper | Coupe les objets sélectionnés et les copie vers le presse-papiers.
Copier | Copie les objets sélectionnés vers le presse-papiers.
Coller | Colle les objets présents dans le presse-papiers. Dans un nœud sélectionné, seuls les objets du même niveau ou du niveau directement inférieur peuvent être collés.
Supprimer | Supprime les objets sélectionnés, et notamment tous les sous-objets.
Exporter XML tous... | Exporte l'ensemble du projet sous forme de fichier XML.
Exporter XML (sélection)... | Exporte les objets sélectionnés, y compris sous-objets, sous forme de fichier XML.
Importer XML … | Importe des objets à partir d'un fichier XML. Seuls les objets (et leurs sous-objets exportés) provenant du niveau situé directement sous le nœud sélectionné peuvent être importés.
info Info
Toutes les valeurs des variables utilisées dans le module EMS pour déclarer ou ajuster des valeurs de temps dans le Runtime (par exemple, la variable d'heure de mise en marche) sont interprétées en secondes. Par conséquent, une valeur numérique de 300 correspond à une période de temps de 5 minutes (300 secondes).

Pour garantir le bon fonctionnement du module EMS, vous devez au moins créer les variables suivantes pour une zone d'alimentation :

  • Consommation courante
  • Limite alimentation
  • Prévision de consommation initiale
  • Première valeur de commutation
  • Prévision pour la zone d'erreur
  • Prévision de consommation finale
  • Dernière valeur de commutation
  • Déviation actuelle brute
  • Déviation actuelle du réseau

info Info

Le menu contextuel d'une zone d'alimentation comporte l'élément de menu Créer variable. Lorsqu'elle est sélectionnée, cette fonction crée automatiquement des variables pour les propriétés mentionnées ci-dessus, puis lie les variables aux propriétés.

Vous devez au moins créer les variables suivantes pour un générateur/un équipement pour garantir le bon fonctionnement du module EMS.

  • Etat de commutation pour le générateur
  • Etat de commutation pour le consommateur
  • Indicateur de disponibilité

Autres sujets abordés dans ce chapitre

Conditions requises

Barre d'outils et menu contextuel de la vue de détail EMS

Données du module EMS

Réseaux

Zone d'alimentation

Groupe de consommateurs

Générateur

Équipements

Éléments spécifiques au réseau de gaz naturel

Heures de verrouillage

Créer un synoptique de procédé

Développement de la fonction d'appel de synoptique

Créer une fonction démarrage/arrêt

Aperçu des opérations de commutation de développement


Conditions requises

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Conditions requises

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Zone d'alimentation

Pour garantir le bon fonctionnement du module EMS, vous devez au moins créer les variables suivantes pour une zone d'alimentation :

  • Consommation courante
  • Limite alimentation
  • Prévision de consommation initiale
  • Première valeur de commutation
  • Prévision pour la zone d'erreur
  • Prévision de consommation finale
  • Dernière valeur de commutation
  • Déviation actuelle brute
  • Déviation actuelle du réseau

Informations concernant info

Le menu contextuel d'une zone d'alimentation comporte l'élément de menu Créer variable. Cette fonction crée automatiquement des variables pour les propriétés mentionnées ci-dessus, puis lie les variables aux propriétés. Les propriétés Consommation courante et Limite alimentation sont une exception. Vous devez les créer manuellement.

Générateurs/Matériels

Pour garantir le bon fonctionnement du module EMS, vous devez au moins créer les variables suivantes pour un générateur/consommateur :

  • Pour le consommateur
    • Etat de commutation
    • Variable de sortie de veille
      ou une valeur pour la propriété Sortie de veille
  • pour le générateur
    • Etat de commutation
    • Variable de sortie nominale
      ou une valeur pour la propriété Sortie nominale
  • pour le générateur et le consommateur
    • Indicateur de disponibilité


Barre d'outils et menu contextuel de la vue de détail EMS

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Barre d'outils et menu contextuel de la vue de détail EMS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Entrée | Action
Nouveau | Crée un nouvel objet dont le type dépend de la position dans l'arborescence.
Nouveau réseau gaz | Crée un nouveau réseau de gaz.
Copier | Copie l'élément sélectionné vers le presse-papiers.
Coller | Colle les objets présents dans le presse-papiers.
Supprimer | Supprime l'élément sélectionné après une demande de confirmation.
Exporter XML (sélection) | Exporte tous les éléments sélectionnés sous forme de fichier XML.
Importer XML … | Importe des objets à partir d'un fichier XML.
Propriétés | Ouvre la fenêtre des propriétés pour l'élément sélectionné.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Réseaux

Entrée | Action
Nouveau réseau électrique | Crée un nouveau réseau électrique.
Nouveau réseau gaz | Crée un nouveau réseau de gaz.
Coller | Insère des objets du type Réseau.
Exporter XML tous ... | Exporte tous les réseaux définis sous forme de fichier XML.
Importer XML … | Importe des objets du type Réseau.
Propriétés | Ouvre la fenêtre des propriétés pour l'élément sélectionné.
Aide | Ouvre l'aide en ligne du module EMS.

Menus contextuels supplémentaires :

Grilles électriques

Réseaux de gaz naturel

Autres sujets abordés dans ce chapitre

Réseaux électriques

Réseaux de gaz naturel


Réseaux électriques

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Barre d'outils et menu contextuel de la vue de détail EMS -> Réseaux électriques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel Réseau électrique

Entrée | Action
New supply area (Nouvelle zone d'alimentation) | Crée une nouvelle zone d'alimentation.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Réservoir de gaz.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML... | Importe des objets du type Zone d'alimentation.
Propriétés | Ouvre la fenêtre des propriétés.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Zone d'alimentation

Entrée | Action
Nouveau générateur | Crée un nouveau générateur dans la zone d'alimentation sélectionnée.
Nouveau groupe de matériels | Crée un nouveau groupe d'équipements dans la zone d'alimentation.
Création de variables | Crée automatiquement les variables minimales requises pour la zone d'alimentation sélectionnée et les lie aux propriétés correspondantes.
Couper | Aucune fonction au niveau de la zone d'alimentation.
Copier | Copie la zone d'alimentation actuellement sélectionnée. Vous pouvez copier plusieurs zones d'alimentation à la fois en effectuant une sélection multiple.
Coller | Vous pouvez coller des objets de type Zone d'alimentation.
Supprimer | Supprime la zone d'alimentation actuellement sélectionnée. Vous pouvez supprimer plusieurs zones d'alimentation à la fois en effectuant une sélection multiple.
Exporter XML (sélection) ... | Exporte la zone d'alimentation actuellement sélectionnée. Vous pouvez exporter plusieurs zones d'alimentation à la fois en effectuant une sélection multiple.
Importer XML... | Importe des objets du type Zone d'alimentation.
Propriétés | Ouvre la fenêtre des propriétés.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Générateur (groupe)

Entrée | Action
Nouveau générateur | Crée un nouveau générateur dans la zone d'alimentation sélectionnée.
Coller | Insère des objets du type Générateur.
Exporter XML tous ... | Exporte tous les générateurs de la zone d'alimentation
Importer XML … | Importe des objets du type Générateur.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Générateur

Entrée | Action
Nouveau générateur | Crée un nouveau générateur dans la zone d'alimentation sélectionnée.
Coller | Insère des objets du type Générateur.
Exporter XML tous ... | Exporte tous les générateurs de la zone d'alimentation
Importer XML … | Importe des objets du type Générateur.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Groupe de consommateurs (groupe)

Entrée | Action
Nouveau groupe de matériels | Crée un nouveau groupe d'équipements.
Coller | Insère des objets du type Groupe de consommateurs.
Exporter XML tous ... | Exporte le groupe d'équipements, ainsi que tous les équipements définis dans le groupe.
Importer XML … | Importe des objets du type Groupe de consommateurs.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Groupe de consommateurs

Entrée | Action
Nouveau matériel | Crée un nouvel équipement dans le groupe de consommateurs sélectionné.
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas exporter plusieurs groupes à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Consommateur

Entrée | Action
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Propriétés | Ouvre la fenêtre des propriétés.
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas exporter plusieurs groupes à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.


Réseaux de gaz naturel

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Barre d'outils et menu contextuel de la vue de détail EMS -> Réseaux de gaz naturel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel Réseau de gaz naturel

Entrée | Action
New supply area (Nouvelle zone d'alimentation) | Crée une nouvelle zone d'alimentation.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Réservoir de gaz.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter XML (sélection) ... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML... | Importe des objets du type Zone d'alimentation.
Propriétés | Ouvre la fenêtre des propriétés.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Zone d'alimentation

Entrée | Action
Nouveau réservoir gaz | Crée un nouveau réservoir de gaz dans la zone d'alimentation sélectionnée.
Nouvelle usine de gaz liquide | Crée une nouvelle usine de gaz liquide dans la zone d'alimentation sélectionnée.
Nouveau groupe de matériels | Crée un nouveau groupe d'équipements dans la zone d'alimentation.
Création de variables | Crée automatiquement les variables minimales requises pour la zone d'alimentation sélectionnée et les lie aux propriétés correspondantes.
Copier | Copie la zone d'alimentation actuellement sélectionnée. Vous pouvez copier plusieurs zones d'alimentation à la fois en effectuant une sélection multiple.
Coller | Vous pouvez coller des objets de type Zone d'alimentation.
Supprimer | Supprime la zone d'alimentation actuellement sélectionnée. Vous pouvez supprimer plusieurs zones d'alimentation à la fois en effectuant une sélection multiple.
Exporter XML (sélection) ... | Exporte la zone d'alimentation actuellement sélectionnée. Vous pouvez exporter plusieurs zones d'alimentation à la fois en effectuant une sélection multiple.
Importer XML... | Importe des objets du type Zone d'alimentation.
Propriétés | Ouvre la fenêtre des propriétés.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Réservoir de gaz

Entrée | Action
Nouveau réservoir gaz | Crée un nouveau réservoir de gaz dans la zone d'alimentation sélectionnée.
Coller | Insère des objets du type Générateur.
Exporter XML tous ... | Exporte tous les générateurs de la zone d'alimentation
Importer XML … | Importe des objets du type Générateur.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Usine de gaz liquide

Entrée | Action
Nouvelle usine de gaz liquide | Crée une nouvelle usine de gaz liquide dans la zone d'alimentation sélectionnée.
Coller | Insère des objets du type Générateur.
Exporter XML tous ... | Exporte tous les générateurs de la zone d'alimentation
Importer XML … | Importe des objets du type Générateur.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Groupe de consommateurs

Entrée | Action
Nouveau groupe de matériels | Crée un nouveau groupe d'équipements.
Coller | Insère des objets du type Groupe de consommateurs.
Exporter XML tous ... | Exporte le groupe d'équipements, ainsi que tous les équipements définis dans le groupe.
Importer XML … | Importe des objets du type Groupe de consommateurs.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Groupe de consommateurs

Entrée | Action
Nouveau réservoir gaz | Crée un nouveau réservoir de gaz dans la zone d'alimentation sélectionnée.
Nouvelle usine de gaz liquide | Crée une nouvelle usine de gaz liquide dans la zone d'alimentation sélectionnée.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Réservoir de gaz (groupe)

Entrée | Action
Nouveau réservoir gaz | Crée un nouveau réservoir de gaz.
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Réservoir de gaz

Entrée | Action
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Réservoir de gaz.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Propriétés | Ouvre la fenêtre des propriétés.
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas exporter plusieurs groupes à la fois (sélection multiple indisponible).
Exporter XML (sélection) ... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Usine de gaz liquide (groupe)

Entrée | Action
Nouvelle usine de gaz liquide | Crée une usine de gaz liquide.
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Usine de gaz liquide

Menu/Entrée | Description
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Usine de gaz liquide.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Propriétés | Ouvre la fenêtre des propriétés.
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.

Menu contextuel Consommateur

Entrée | Action
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Propriétés | Ouvre la fenêtre des propriétés.
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas exporter plusieurs groupes à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.


Données du module EMS

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Données du module EMS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module EMS utilise des données historiques pour calculer les tendances et effectuer l'optimisation. Si aucune donnée historique n'est disponible pour les points de données, le module EMS ne peut pas démarrer le calcul. Par conséquent, aucune valeur calculée n'est affichée pour l'élément Prévision de consommation finale.

Actuellement, le module EMS n'a aucune interface commune avec le serveur d'archives. Ceci n'est toutefois pas nécessaire dans le cadre d'une optimisation à court terme. Pour cela, les données historiques enregistrées par le biais de l'option Stockage données disque dur sont suffisantes.

Les paramètres suivants dépendent de la durée de la période, et leur utilisation est recommandée pour l'enregistrement des données HD.

Nombre de valeurs passées

Nous vous recommandons d'utiliser la règle générale suivante :

Le volume de données historiques fourni par l'élément Stockage données disque dur doit être au moins 1,5 fois supérieur à la taille de l'élément Horizon de prévision correspondant. Si la quantité de données disponibles n'est pas suffisante, le calcul de l'optimisation ne démarre pas.

attention Attention

Au démarrage de l'élément Horizon de prévision, le module EMS nécessite un élément Consommation courante pour la zone d'alimentation définie. La nouvelle valeur doit donc être transférée vers le module EMS durant le deuxième Cycle d'optimisation à venir ; cela signifie que si le cycle d'optimisation est de 30 secondes, la valeur doit être transférée dans un intervalle de 30 à 60 secondes.

Si le module EMS ne reçoit pas de valeur durant cette période, la nouvelle initialisation du module EMS peut être effectuée, au plus tôt, durant la prochaine période de facturation.


Réseaux

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Réseaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le nœud collectif contient tous les projets créés sur le réseau, mais n'offre aucune possibilité de configuration des paramètres.

Options :

Menu/Entrée | Description
Nouveau réseau électrique | Crée un nouveau réseau électrique.
Nouveau réseau gaz | Crée un nouveau réseau de gaz.
Coller | Insère des objets du type Réseau.
Exporter XML tous ... | Exporte tous les réseaux définis sous forme de fichier XML.
Importer XML … | Importe des objets du type Réseau.
Aide | Ouvre l'aide en ligne du module EMS.

Vous devez placer un élément Nom distinct dans chaque réseau créé. Pour faciliter l'identification, vous pouvez placer un élément Identification gratuit dans chaque réseau, si vous le souhaitez. Ceci n'est pas obligatoire. Les réseaux de gaz proposent quelques paramètres supplémentaires.

info Info

Pour chaque projet, seuls un réseau d'électricité et un réseau de gaz peuvent être créés ou gérés.

Autres sujets abordés dans ce chapitre

Réseaux de gaz naturel


Réseaux de gaz naturel

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Réseaux -> Réseaux de gaz naturel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les réseaux de gaz naturel offrent des possibilités de configuration supplémentaires. Ces options vous permettent de configurer des paramètres à l'échelle du réseau, tels que les éléments Température ou Caractéristiques jour, ainsi que des résultats totaux pour l'ensemble de la grille, tels que les éléments Consommation ajustée ou Prévision.

Toutes les propriétés réglables disponibles dans la fenêtre de propriétés du réseau de gaz naturel sont décrites dans la fenêtre d'aide lorsque vous cliquez dessus.


Zone d'alimentation

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Zone d'alimentation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La zone d'alimentation est le niveau de hiérarchie d'objets utilisé comme base de calcul des prévisions et de l'optimisation.

info Info

Pour démarrer l'EMS pour une zone d'alimentation particulière, une fonction du type "Démarrer EMS" doit être exécutée avec cette zone d'alimentation en paramètre.

Paramètres de la zone d'alimentation d'un réseau électrique

Pour les zones d'alimentation, les paramètres suivants sont disponibles :

  • Valeurs d'entrée : définit les variables d'alimentation des valeurs actuelles et des limites d'alimentation.
  • Valeurs calculées : paramètres de configuration des prévisions et de la fonction d'optimisation à l'aide de variables durant le Runtime.
  • Paramètre : paramètres importants pour l'optimisation de la zone d'alimentation avec une incidence directe sur les commutations effectuées par le module EMS.
  • Information d'état : configuration de la variable contenant des informations concernant la disponibilité du synoptique du module EMS.

Toutes les propriétés réglables sont décrites dans la fenêtre d'aide qui s'affiche lorsque vous cliquez dessus.

Entrées du menu contextuel

Menu/Entrée | Description
Nouveau générateur | Crée un nouveau générateur dans la zone d'alimentation sélectionnée.
Nouveau groupe de matériels | Crée un nouveau groupe d'équipements dans la zone d'alimentation.
Création de variables | Crée automatiquement les variables minimales requises pour la zone d'alimentation sélectionnée et les lie aux propriétés correspondantes.
Couper | Aucune fonction au niveau de la zone d'alimentation.
Copier | Copie la zone d'alimentation actuellement sélectionnée. Vous pouvez copier plusieurs zones d'alimentation à la fois en effectuant une sélection multiple.
Coller | Vous pouvez coller des objets de type Zone d'alimentation.
Supprimer | Supprime la zone d'alimentation actuellement sélectionnée. Vous pouvez supprimer plusieurs zones d'alimentation à la fois en effectuant une sélection multiple.
Exporter XML tous ... | Exporte toutes les zones d'alimentation du réseau sélectionné.
Exporter XML (sélection) ... | Exporte la zone d'alimentation actuellement sélectionnée. Vous pouvez exporter plusieurs zones d'alimentation à la fois en effectuant une sélection multiple.
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.

Autres sujets abordés dans ce chapitre

Paramètres supplémentaires pour les zones d'alimentation de gaz


Paramètres supplémentaires pour les zones d'alimentation de gaz

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Zone d'alimentation -> Paramètres supplémentaires pour les zones d'alimentation de gaz

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La zone d'alimentation est le niveau de hiérarchie d'objets utilisé comme base de calcul des prévisions et de l'optimisation.

Informations concernant info

Pour démarrer l'EMS pour une zone d'alimentation particulière, une fonction du type "Démarrer EMS" doit être exécutée avec cette zone d'alimentation en paramètre.

Les zones d'alimentation d'un réseau de gaz comportent des éléments Paramètres spécifiques gaz. À l'aide de ces éléments (par exemple, Consommation ajustée), des éléments Prévision et Charge optimale peuvent être définis, ainsi que la relation entre l'alimentation en gaz liquide et l'alimentation générale. Toutes les propriétés réglables sont décrites dans la fenêtre d'aide qui s'affiche lorsque vous cliquez dessus.

Entrées du menu contextuel :

Menu/Entrée | Description
Nouveau réservoir gaz | Crée un nouveau réservoir de gaz dans la zone d'alimentation sélectionnée.
Nouvelle usine de gaz liquide | Crée une nouvelle usine de gaz liquide dans la zone d'alimentation sélectionnée.


Groupe de consommateurs

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Groupe de consommateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les équipements individuels sont regroupés sous forme de "groupes de consommateurs". Chaque groupe de consommateurs peut contenir un nombre variable d'équipements.

Entrées du menu contextuel du nœud Groupes de consommateurs.

Menu/Entrée | Description
Nouveau groupe de matériels | Crée un nouveau groupe d'équipements.
Coller | Insère des objets du type Groupe de consommateurs.
Exporter XML tous ... | Exporte le groupe d'équipements, ainsi que tous les équipements définis dans le groupe.
Importer XML … | Importe des objets du type Groupe de consommateurs.
Aide | Ouvre l'aide en ligne du module EMS.

info Info

Ces paramètres sont identiques pour les groupes d'équipements du réseau d'électricité et du réseau de gaz.

Entrées de menu contextuel du nœud Groupe de consommateurs :

Menu/Entrée | Description
Nouveau matériel | Crée un nouvel équipement dans le groupe de consommateurs sélectionné.
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas exporter plusieurs groupes à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.

Autres sujets abordés dans ce chapitre

Paramètres supplémentaires pour les groupes d'équipements de gaz


Paramètres supplémentaires pour les groupes d'équipements de gaz

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Groupe de consommateurs -> Paramètres supplémentaires pour les groupes d'équipements de gaz

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les équipements individuels sont regroupés sous forme de "groupes de consommateurs". Chaque groupe de consommateurs peut contenir un nombre variable d'équipements.

Les groupes d'équipements des réseaux de gaz comportent des réglages supplémentaires, tels que Consommation ajustée ou Prévision, et autorisent la configuration des erreurs de prévision minimales et maximales. Ils comportent en outre les éléments suivants : Charge optimale, Consommation actuelle et Energie quotidienne.

Entrées du menu contextuel

Menu/Entrée | Description
Nouveau réservoir gaz | Crée un nouveau réservoir de gaz dans la zone d'alimentation sélectionnée.
Nouvelle usine de gaz liquide | Crée une nouvelle usine de gaz liquide dans la zone d'alimentation sélectionnée.

attention Attention

Un réservoir de gaz liquide peut être créé à l'aide du nœud "Zone d'alimentation" après la création d'un réservoir de gaz comportant l'option Stockage réseau de canalisations.

Un réservoir de gaz liquide ne peut être créé dans un groupe d'équipements que si un réservoir de gaz a d'abord été créé.


Générateur

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Générateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le nœud Générateur vous permet de créer de nouveaux générateurs pour la zone d'alimentation sélectionnée, à l'aide du menu contextuel.

Les générateurs permettent de réduire la puissance actuellement obtenue. Fondamentalement, il est possible d'enclencher chaque générateur ou de lui affecter une charge plus élevée (Performance de pointe). Si un générateur est enclenché, la puissance actuellement obtenue (Consommation moyenne de courant) est immédiatement réduite.

Entrées du menu contextuel du nœud Générateur.

Menu/Entrée | Description
Nouveau générateur | Crée un nouveau générateur dans la zone d'alimentation sélectionnée.
Coller | Insère des objets du type Générateur.
Exporter XML tous ... | Exporte tous les générateurs de la zone d'alimentation
Importer XML … | Importe des objets du type Générateur.
Aide | Ouvre l'aide en ligne du module EMS.

Propriétés

Outre le nom et l'identification, des propriétés peuvent être définies dans différents groupes pour le générateur :

  • Capacité/Priorité : définit le comportement de base des équipements sur le réseau électrique.
  • Heures de commutation : nombre par défaut de cycles de vie différents ou de besoins ponctuels d'équipements individuels.
  • Fréquence de commutation : définition du nombre maximal de commutations par unité de temps.
  • Variables de commutation : variable utilisée pour d'adaptation des paramètres importants durant le Runtime.
  • Temps de blocage : exclut des équipements individuels de l'optimisation effectuée par le module EMS.
  • Pas de commutation : définit les niveaux de commutation pour les unités thermiques et électriques hybrides.

Toutes les propriétés réglables sont décrites dans la fenêtre d'aide qui s'affiche lorsque vous cliquez dessus.

attention Attention

La priorité de commutation est prise en compte par le module EMS, quel que soit l'équipement. Cela signifie que le même nombre de cercles est appliqué pour les générateurs et autres équipements. Par conséquent, les priorités de tous les équipements définis doivent être prises en compte, car aucune distinction n'est faite entre les générateurs et les équipements.

Entrées du menu contextuel du générateur sélectionné :

Menu/Entrée | Description
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas exporter plusieurs groupes à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.

Autres sujets abordés dans ce chapitre

Pas de commutation


Pas de commutation

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Générateur -> Pas de commutation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les centrales bivalentes (unités de production de chaleur et d'électricité) sont un cas spécial dans le module EMS. Ce type de générateur spécial peut ajuster sa capacité de production selon des niveaux. Pour définir une centrale bivalente, vous pouvez définir les niveaux de commutation d'un équipement aléatoire dans le module EMS.

Succinctement, sous le nœud Pas de commutation, vous pouvez définir les paramètres de l'élément Variable pour la valeur prescrite, de la puissance de sortie actuelle et de l'élément Hystérésis de chaque centrale bivalente.

Pour chaque centrale bivalente, vous pouvez définir le nombre de niveaux de commutation de votre choix :

Chaque niveau de commutation offre des paramètres de configuration de la puissance de sortie, des avertissements de commutation, de la mise en marche et de l'arrêt. Toutes les propriétés réglables sont décrites dans la fenêtre d'aide qui s'affiche lorsque vous cliquez dessus.

attention Attention

Si les niveaux de commutation sont définis pour un générateur, ces paramètres remplacent les paramètres standard du générateur. Un avertissement est affiché durant la compilation dans la fenêtre de sortie. "


Équipements

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Équipements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le module EMS, les équipements sont les composants essentiels qui consomment de l'énergie, appelés "consommateurs" . Le module EMS peut agir comme un régulateur en activant et en désactivant des équipements. Il contribue ainsi à éviter les pics de charge.

Entrées du menu contextuel du groupe d'équipements sélectionné :

Menu/Entrée | Description
Nouveau matériel | Crée un nouvel équipement dans la zone d'alimentation sélectionnée.
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas exporter plusieurs groupes à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.

Propriétés

Outre le nom et l'identification, des propriétés peuvent être définies dans différents groupes pour l'équipement :

Capacité/Priorité : définit le comportement de base des équipements sur le réseau électrique.

Heures de commutation : nombre par défaut de cycles de vie différents ou de besoins ponctuels d'équipements individuels.

Fréquence de commutation : définition du nombre maximal de commutations par unité de temps.

Variables de commutation : variable utilisée pour d'adaptation des paramètres importants durant le Runtime.

Temps de blocage : exclut des équipements individuels de l'optimisation effectuée par le module EMS.

Toutes les propriétés réglables sont décrites dans la fenêtre d'aide qui s'affiche lorsque vous cliquez dessus.

Entrées du menu contextuel de l'équipement sélectionné :

Menu/Entrée | Description
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas exporter plusieurs groupes à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.

Autres sujets abordés dans ce chapitre

Paramètres supplémentaires des consommateurs de gaz


Paramètres supplémentaires des consommateurs de gaz

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Équipements -> Paramètres supplémentaires des consommateurs de gaz

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le module EMS, les équipements sont les composants essentiels qui consomment de l'énergie, appelés "consommateurs" . Le module EMS peut agir comme un régulateur en activant et en désactivant des équipements. Il contribue ainsi à éviter les pics de charge.

Les équipements (ou consommateurs) installés sur les réseaux de gaz comportent des paramètres de sortie supplémentaires tels que Proportion du groupe [%], Retour [€/kWh] / Priorité et des informations concernant les températures minimale et maximale. Toutes les propriétés réglables sont décrites dans la fenêtre d'aide qui s'affiche lorsque vous cliquez dessus.


Éléments spécifiques au réseau de gaz naturel

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Éléments spécifiques au réseau de gaz naturel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les équipements et éléments suivants sont utilisés sur les réseaux de gaz naturel. Les paramètres documentés ci-après ne sont pas disponibles pour les réseaux d'électricité.

Autres sujets abordés dans ce chapitre

Stockage gaz naturel

Usine de gaz liquide


Stockage gaz naturel

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Éléments spécifiques au réseau de gaz naturel -> Stockage gaz naturel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un réservoir de gaz permet de définir la capacité de stockage d'une zone d'alimentation en gaz naturel. Ces éléments peuvent être utilisés dans les situations suivantes :

  1. Comme un réservoir de gaz dans la zone d'alimentation
  2. Comme un réseau de conduites de stockage, un réservoir de gaz peut être utilisé pour afficher la capacité de stockage d'un réseau de conduites sur un secteur géographique.
  3. Un réservoir de gaz dans un groupe d'équipements.

Entrées du menu contextuel du groupe de réservoirs de gaz sélectionné :

Menu/Entrée | Description
Nouveau réservoir gaz | Crée un nouveau réservoir de gaz.
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.

Propriétés

Outre le nom et l'identification, des propriétés peuvent être définies dans différents groupes pour le réservoir de gaz :

Type/Capacité : paramètres de comportement de base des équipements présents sur le réseau de gaz.

Variables de commutation : variable utilisée pour d'adaptation des paramètres importants durant le Runtime.

Niveau de remplissage : ici, le module EMS reçoit des informations importantes concernant le niveau de remplissage et les valeurs minimales et maximales.

Heures de commutation : nombre par défaut de cycles de vie différents ou de besoins ponctuels d'équipements individuels.

Toutes les propriétés réglables sont décrites dans la fenêtre d'aide qui s'affiche lorsque vous cliquez dessus.

Entrées du menu contextuel du réservoir de gaz sélectionné :

Menu/Entrée | Description
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Réservoir de gaz.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas exporter plusieurs groupes à la fois (sélection multiple indisponible).
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.


Usine de gaz liquide

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Éléments spécifiques au réseau de gaz naturel -> Usine de gaz liquide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le module EMS, les usines de gaz liquide sont des équipements de stockage de gaz classiques. Ces équipements servent fondamentalement égaliser les pics. En cas de pic, du gaz peut être prélevé dans le réservoir.

Entrées du menu contextuel du groupe de réservoirs de gaz sélectionné :

Menu/Entrée | Description
Nouvelle usine de gaz liquide | Crée une usine de gaz liquide.
Coller | Insère des objets du type Groupe de consommateurs, Consommateur.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.

Propriétés

Outre le nom et l'identification, des propriétés peuvent être définies dans différents groupes pour l'usine de gaz liquide :

Type/Capacité : paramètres de comportement de base des équipements présents sur le réseau de gaz.

Variables de commutation : Variables de commutation : variable utilisée pour d'adaptation des paramètres importants durant le Runtime.

Niveau de remplissage : ici, le module EMS reçoit des informations importantes concernant le niveau de remplissage et les valeurs minimales et maximales.

Heures de commutation : nombre par défaut de cycles de vie différents ou de besoins ponctuels d'équipements individuels.

Toutes les propriétés réglables sont décrites dans la fenêtre d'aide qui s'affiche lorsque vous cliquez dessus.

Entrées du menu contextuel de l'usine de gaz liquide sélectionnée :

Menu/Entrée | Description
Couper | Aucune fonction au niveau du groupe de consommateurs.
Copier | Copie le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas copier plusieurs groupes à la fois (sélection multiple indisponible).
Coller | Insère des objets du type Usine de gaz liquide.
Supprimer | Supprime le groupe de consommateurs actuellement sélectionné. Vous ne pouvez pas supprimer plusieurs groupes à la fois (sélection multiple indisponible).
Exporter XML tous ... | Exporte tous les groupes de consommateurs du réseau sélectionné.
Exporter XML (sélection) ... | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML... | Importe des objets du type Zone d'alimentation.
Aide | Ouvre l'aide en ligne du module EMS.


Heures de verrouillage

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Heures de verrouillage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour les générateurs et les équipements, il est possible de définir des plages horaires dans lesquelles les commutations peuvent être limitées, voire interdites. N'importe quel nombre d'heures de verrouillage peut être défini pour un générateur/un équipement donné.

info Info

Sur les réseaux de gaz naturel, les heures de verrouillage du réseau sont uniquement disponibles pour les équipements.

N'importe quel nombre d'heures de verrouillage peut être défini pour chaque élément. Vous devez vous assurer que les heures de verrouillage ne se chevauchent pas. Si c'est le cas, il est possible que le composant ne puisse plus être commuté par le module EMS.

info Info

Les paramètres des heures de verrouillage sont définis dans le projet, et ne peuvent pas être modifiés dans le Runtime.


Créer un synoptique de procédé

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Créer un synoptique de procédé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le fonctionnement des modules EMS dans le Runtime est géré au moyen d'un synoptique de type Energy Management System. Ce synoptique doit d'abord être créé dans l'Éditeur. (Vous trouverez d'autres informations concernant les types de synoptiques prédéfinis au chapitre Synoptiques / Types de synoptiques prédéfinis.)

Lors de l'ouverture du synoptique, celui-ci est vide. Vous pouvez ajouter des éléments de contrôle via le menu Éléments de contrôle.


Développement de la fonction d'appel de synoptique

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Développement de la fonction d'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la création d'une fonction d'appel de synoptique pour un synoptique de type Energy Management System, la boîte de dialogue suivante s'affiche :

Dans le Runtime, le synoptique EMS est ouvert à l'aide d'une fonction d'appel de synoptique. Pour l'appel de synoptique, les paramètres suivants peuvent être définis :

Propriété | Description
Réseaux | Sélection des réseaux. Les zones disponibles sont ensuite affichées dans la zone de sélection Zone d'alimentation.
Zones d'alimentation | La zone d'alimentation sélectionnée est affichée dans le Runtime n durant l'optimisation. Une seule zone peut être affichée sur chaque synoptique. Toutefois, vous avez la possibilité d'ouvrir plusieurs synoptiques de type Energy Management System en parallèle. En outre, plusieurs zones d'alimentation peuvent être affichées en parallèle.
Valeur actuelle | Ce champ est uniquement disponible à des fins d'affichage. Vous ne pouvez pas modifier la valeur ici. La variable de la propriété Valeur actuelle de la zone d'alimentation actuellement sélectionnée est affichée.
Prévision valeur finale | Ce champ est uniquement disponible à des fins d'affichage. Vous ne pouvez pas modifier la valeur ici. La variable de la propriété Prévision valeur finale de la zone d'alimentation actuellement sélectionnée est affichée.
Prévision de la moyenne | Ce champ est uniquement disponible à des fins d'affichage. Vous ne pouvez pas modifier la valeur ici. La variable de la propriété Prévision de la moyenne de la zone d'alimentation actuellement sélectionnée est affichée.
Limite alimentation | Ce champ est uniquement disponible à des fins d'affichage. Vous ne pouvez pas modifier la valeur ici. La variable de la propriété Limite alimentation de la zone d'alimentation actuellement sélectionnée est affichée.
Échelle maximum | Limite supérieure de l'échelle d'affichage de la courbe caractéristique sur le synoptique EMS.
Échelle minimum | Limite inférieure de l'échelle d'affichage de la courbe caractéristique sur le synoptique EMS.
Période de facturation (min.) | Ce champ est uniquement disponible à des fins d'affichage. Vous ne pouvez pas modifier la valeur ici. Affiche la longueur actuellement définie de la Période de facturation pour la zone d'alimentation sélectionnée.
Couleur valeur et largeur | Couleur et largeur de la ligne d'affichage des éléments pour la valeur moyenne actuelle et la valeur moyenne prévue.
Couleur axe et largeur | Couleur et largeur de la ligne d'affichage des axes du diagramme.
Couleur courbe et largeur | Couleur et largeur de ligne d'affichage des courbes du diagramme (affichage de la valeur actuelle et des commutations planifiées).
Police pour l'axe | Police utilisée pour la légende de l'axe et la courbe de tendance.

Opération de commutation

Pour le développement de l'opération de commutation, vous définissez les paramètres de filtre de l'affichage dans le Runtime sur l'onglet Paramètres des colonnes pour la prévisualisation des opérations de commutation. Des informations détaillées sont disponibles au chapitre Paramètres des colonnes pour la prévisualisation des opérations de commutation.


Créer une fonction démarrage/arrêt

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Créer une fonction démarrage/arrêt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour chaque zone, vous devez démarrer l'optimisation séparément dans le Runtime. Pour cela, vous pouvez utiliser la fonction Démarrer EMS.
Pour arrêter les zones démarrées, créez une fonction Arrêter EMS.

Remarque : ces fonctions sont uniquement exécutées sur le serveur.

attention Attention

Dans le Runtime, tous les domaines démarrés sont enregistrés par le module de gestion des licences. Veillez à disposer d'un nombre de licences adéquat.

Conseil : arrêtez les zones d'optimisation lorsqu'elles ne sont pas nécessaires, afin d'optimiser l'utilisation de votre licence. Pour arrêter des zones régulièrement, par exemple de nuit ou durant certains postes, vous pouvez contrôler les fonctions Démarrer EMS/Arrêter EMS à l'aide du module Production & Facility Scheduler.

Démarrer EMS

  • Sélectionnez Nouvelle fonction.
  • Cliquez sur Démarrer EMS dans le nœud des applications.
  • La boîte de dialogue de sélection des zones s'affiche.

  • Sélectionnez d'abord le réseau souhaité.
  • Sélectionnez ensuite la zone de votre choix.
  • Cliquez sur OK pour créer la fonction.

Arrêter EMS

  • Sélectionnez Nouvelle fonction.
  • Cliquez sur Arrêter EMS dans le nœud des applications.
  • La boîte de dialogue de sélection des zones s'affiche.

  • Sélectionnez d'abord le réseau souhaité.
  • Sélectionnez ensuite la zone de votre choix.
  • Cliquez sur OK pour créer la fonction.


Aperçu des opérations de commutation de développement

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Aperçu des opérations de commutation de développement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les opérations de commutation planifiées peuvent être prévisualisées dans le Runtime.

Pour développer l'aperçu des opérations de commutation dans le Runtime :

  1. Liez une variable chaîne (String) à la zone d'alimentation souhaitée du module EMS à l'aide de la propriété Commutations planifiées (groupe Information d'état). La variable reçoit une liste de toutes les opérations de commutation planifiées du module EMS.

    Conseil : une variable chaîne (String) provenant du driver interne est la plus adaptée.
    Pour le fonctionnement du serveur, réglez le mode de calcul sur Réseau. La variable est ainsi distribuée sur l'ensemble du réseau zenon.

  2. Définissez le contenu de votre choix dans l'aperçu des opérations de commutation. Pour cela, ouvrez l'onglet Paramètres des colonnes pour la prévisualisation des opérations de commutation du module EMS dans la boîte de dialogue de la fonction d'appel de synoptique du synoptique EMS.
  3. Insérez l'élément de contrôle Vue Table dans le synoptique EMS. Activez l'option Prévisualisation des opérations de commutation.

    Vous pouvez personnaliser la couleur et la police par le biais des propriétés.

Changement de langue

Vous pouvez changer la langue d'affichage de toutes les informations affichées dans l'aperçu des opérations de commutation à l'aide de la table de langues.

Pour cela, vous définissez le nom des intitulés de colonnes dans la boîte de dialogue de filtre. Par exemple, si vous définissez un nom tel que @Heure de commutation, @Nom d'objet ou autre, ces noms sont remplacés par les entrées correspondantes dans la table de langues du Runtime.

En outre, tout le contenu de l'aperçu des opérations de commutation peut être remplacé :

  1. Les noms d'objet peuvent être remplacés en insérant un symbole @ devant le nom durant le développement du module EMS. Par exemple : @Generator1
  2. La valeur actuelle et la valeur de commutation peuvent comporter un contenu numérique (avec les étapes de centrale bivalente) ou les valeurs @On/@Off.

Autres sujets abordés dans ce chapitre

Paramètres des colonnes pour la prévisualisation des opérations de commutation

Prévisualisation des opérations de commutation dans le Runtime


Paramètres des colonnes pour la prévisualisation des opérations de commutation

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Aperçu des opérations de commutation de développement -> Paramètres des colonnes pour la prévisualisation des opérations de commutation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres des colonnes vous permettent de définir les informations affichées, ainsi que leur ordre d'affichage.

Remarque : la langue d'affichage de toutes les informations affichées dans les opérations de commutation peut être changée via la table de langues :
Sélectionnez un nom précédé du caractère @ – par exemple @Commutation – pour pouvoir remplacer cette entrée par les entrées correspondantes de la table de langues dans le Runtime.

Dans le champ de liste de cet onglet, tous les types de colonne disponibles sont affichés. Une case à cocher vous permet de déterminer les types de colonnes que vous souhaitez afficher. Vous pouvez modifier la description et la largeur de chaque colonne de chaque colonne de colonne en cliquant avec le bouton gauche sur la zone correspondante et en saisissant la valeur souhaitée dans le champ de saisie.

TAG | Description
Type de colonne | Type de colonne. Cette donnée ne peut pas être éditée. L'affichage dans le Runtime est activé ou désactivé par l'intermédiaire d'une case à cocher.
Description | Définit l'en-tête de la colonne concernée. Vous pouvez configurer celui-ci afin d'autoriser le changement de langue. La valeur peut être édité.
Largeur | Définit la largeur de la colonne, en pixels. Vous pouvez également définir la largeur de la colonne en faisant glisser la colonne avec la souris dans la ligne d'affichage horizontale des noms de colonnes. La valeur peut être édité.
Vers le haut | Déplace la colonne sélectionnée vers le haut. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Vers le bas | Déplace la colonne sélectionnée vers le bas. Vous pouvez également déplacer les colonnes par glisser-déplacer.
Champ avec affichage horizontal des noms de colonnes | Affiche les colonnes actives dans la liste. Vous pouvez définir les tailles des colonnes en faisant glisser les bordures des colonnes à l'aide de la souris.

attention Attention

La largeur de colonne dépend de la police de caractères utilisée. Si la largeur de colonne n'est pas un multiple de la largeur de caractère de la police de caractères utilisée, la largeur réelle de la colonne pourra être différente de la largeur de colonne définie.


Prévisualisation des opérations de commutation dans le Runtime

Manuels -> Module Energy Management System (EMS) -> Paramétrage du module EMS -> Aperçu des opérations de commutation de développement -> Prévisualisation des opérations de commutation dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le synoptique du Runtime, la fenêtre de prévisualisation des opérations de commutation affiche les opérations de commutation prévues, ainsi que leur date et leurs conséquences :


État interne des composants

Manuels -> Module Energy Management System (EMS) -> État interne des composants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Au niveau interne, dans le module EMS, différents états sont activés pour les composants. Ces états peuvent être affichés à l'aide d'une variable. Nous vous recommandons de surveiller les états à l'aide d'une matrice de réactions et, par exemple, de les évaluer dans la liste chronologique d'événements.

La variable État interne de commutation des composants peut prendre les valeurs suivantes :

Raisons générales (valable pour tous les composants)

Valeur | Description
0 | Inutilisé (démarrage en cours).
100 | Utilisation possible.
101 | Aucune demande de commutation pour la prévision de pic de charge.
102 | Désactivé jusqu'à la fin de l'intervalle.
103 | La commande d'avertissement de commutation n'est pas valide.
104 | Pas assez de temps pour émettre un avertissement.
105 | Le délai d'avertissement n'est pas encore expiré.
106 | Impossible d'ajouter la sortie à la fin de l'intervalle, en raison de la configuration des paramètres.
107 | L'état de commutation ne peut pas être détecté.
200 | Le délai n'est pas encore expiré.
201 | Le composant est défini comme indisponible.
202 | Le message de disponibilité n'est pas valide.
203 | Aucune variable n'est définie pour déterminer l'état de l'opération.
204 | La configuration des paramètres est défaillante.
205 | Le temps mort n'est pas encore expiré.
206 | Le rapport de l'état de commutation actuel n'est pas valide.
207 | Aucune donnée n'est encore disponible pour la valeur moyenne glissante de la sortie.
208 | Valeur de puissance de sortie non valide.
209 | Paramètre "Implicite" défini (planification à moyen terme).
210 | L'adresse textuelle ou la valeur de priorité d'activation n'est pas valide.
211 | L'adresse textuelle ou la valeur de priorité de désactivation n'est pas valide.
212 | Le temps de blocage est actif, le type de temps de blocage est désactivé.
213 | Le temps de blocage est actif, le type de temps de blocage est activé.
214 | Le nombre maximal de commutations a déjà été atteint.
215 | La commande de commutation ne peut pas être utilisée.
216 | Le délai de commutation minimal n'a pas encore été atteint.
217 | Les données de planification n'ont pas encore été entièrement écrites.
218 | Problème général.
219 | La variable de commande ne peut pas être utilisée pour la commutation.
220 | Aucune commande n'est définie pour l'envoi de l'avertissement de commutation.
221 | La configuration étendue pour la durée de mise en marche minimale par unité de temps n'est pas valide.
222 | En raison des autres restrictions, il est impossible de respecter la limitation "Adhere to minimum power-on time per time unit" (Respecter la durée minimale de mise en marche par unité de temps).
223 | Mode Implicite activé à cause de l'option "Minimum switch-on time per time unit" (Respecter la durée minimale de mise en marche par unité de temps).
250 | La variable ou la valeur de la durée minimale de mise en marche n'est pas valide.
251 | La variable ou la valeur de la durée minimale d'arrêt n'est pas valide.
252 | La variable ou la valeur de la durée maximale de mise en marche n'est pas valide.
253 | La variable ou la valeur de la durée maximale d'arrêt n'est pas valide.
254 | Les restrictions ne sont pas raisonnables.

Raisons liées au réservoir

Valeur | Description
4000 | La valeur du niveau de remplissage actuel n'est pas valide.
4001 | La valeur sortante (valeur réelle) n'est pas valide.
4001 | La valeur sortante est implicite en raison de la valeur prescrite manuelle.
4003 | Capacité de stockage limitée en raison du niveau de remplissage limite.
4004 | Le réservoir est plein.
4005 | La valeur prescrite du réservoir n'est pas définie.
4006 | La capacité entrante maximale et la capacité sortante maximale sont toutes deux nulles (0).
4007 | La variable utilisée pour mesurer le niveau de remplissage actuel n'est pas valide.

Raisons concernant les centrales bivalentes (générateur)

Valeur | Description
5000 | La puissance de sortie actuelle n'est pas conforme à un niveau de sortie.
5001 | La centrale bivalente ne fonctionne pas sous sa puissance nominale.
5002 | La centrale bivalente comporte un niveau qui ne peut pas être commuté.
5003 | La centrale bivalente fonctionne à sa puissance nominale et ne peut pas être commutée à un niveau moins élevé.
5004 | Le niveau maximal activé ne peut pas être désactivé, en raison de la durée minimale d'activation par unité de temps.
5005 | La centrale bivalente fonctionne déjà à son niveau maximal.
5006 | La variable utilisée pour mesurer la puissance de sortie n'est pas valide.
5007 | La fonction d'avertissement associée à un niveau a été activée. Attente de la saisie d'une valeur prescrite.
5008 | La variable de la valeur prescrite n'est pas valide.
5009 | L'ordre des directives de sortie par variable n'est pas croissant.
5010 | La valeur d'une durée d'activation maximale configurée pour un niveau est trop basse.
5011 | La durée de fonctionnement maximale d'un niveau a été atteinte. Le niveau est désactivé.


Création des fichiers de Runtime

Manuels -> Module Energy Management System (EMS) -> Création des fichiers de Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après le développement des fonctions Démarrer EMS ou Arrêter EMS, une vérification de cohérence du développement de l'EMS est effectuée durant la création des fichiers de Runtime. En cas de problème, un message correspondant est affiché dans la fenêtre de sortie (par exemple, si des variables requises n'ont pas été attribuées).

Le Runtime ne démarre pas

Si un projet ne peut pas être démarré dans le Runtime, les raisons peuvent être les suivantes :

  • Problème de développement
  • Licence manquante : la fonction Démarrer EMS effectue une vérification de la licence. Si la licence requise n'est pas disponible, le module EMS ne démarre pas et une entrée correspondante est générée dans le fichier journal.


Contrôle de l'EMS dans le Runtime

Manuels -> Module Energy Management System (EMS) -> Contrôle de l'EMS dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les synoptiques du module Energy Management System permettent de surveiller les prévisions et l'optimisation durant le Runtime, sous la forme d'un synoptique de tendance.

Les éléments de fonctionnement individuels sont positionnés sur le synoptique avec l'aide des éléments de contrôle (zone de prévision et affichage de la zone d'alimentation actuelle).

Une prévision peut, par exemple, se présenter comme ceci :

Chiffre | Description
1 | Période précédente
2 | Période de facturation actuelle
3 | Limite de capacité d'alimentation
4 | Valeur 1. Inverser
5 | Prévision valeur finale
6 | Moyenne courante
7 | Valeur de départ des prévisions
8 | Valeur de la dernière commutation
9 | Canal de prévision
10 | Valeur moyenne des prévisions
info Info
Le synoptique affiché dans le Runtime sert uniquement à afficher les données d'optimisation et de prévision. Aucune intervention ne peut être effectuée sur l'écran. Les paramètres du module EMS sont exclusivement contrôlés par le biais de variables.


MultiTouch

Manuels -> MultiTouch

Dans zenon, les gestes MultiTouch permettent également d'actionner les écrans tactiles.
Les conditions suivantes doivent être réunies pour utiliser les gestes MultiTouch :

  1. Le Projet WindowsCE doit être désactivé
  2. La fonctionnalité MultiTouch doit être configurée dans les éléments suivants :
    1. Propriétés du projet
    2. Propriétés du synoptique et
    3. Propriétés des éléments dynamiques

Modification des propriétés du projet

Pour modifier les propriétés du projet :

  1. Accédez au groupe Intéraction
  2. Sélectionnez la fonction Reconnaissance dans le groupe Multi-Touche.
    • Windows 7 : active
      Les gestes compatibles avec Windows 7, ainsi que la fonctionnalité MultiTouch dans VSTA
      Gestes MultiTouch de zoom et de défilement dans la vue globale
    • Windows 8 : active
      Les gestes compatibles avec Windows 8, ainsi que la fonctionnalité MultiTouch dans VSTA
      Prise en charge native des gestes MultiTouch de Windows 8
  3. Sélectionnez les propriétés de votre choix dans les autres sous-groupes :
    • Visualisation pour l'entrée avec stylo
    • Visualisation pour l'entrée en tactile

attention Attention

Dans le Panneau de configuration de Windows 8, la visualisation de la saisie tactile et par stylet peut être définie globalement :

  • Si la visualisation est désactivée, aucune visualisation n'est disponible dans zenon, quelle que soit la configuration.
  • Si l'option Optimiser le retour visuel pour la projection sur un moniteur externe est utilisée, le retour visuel est optimisé et toujours affiché dans zenon, quelle que soit la configuration des propriétés du projet.

Par défaut : Le retour visuel est activé, mais pas optimisé. Le comportement peut également être défini dans zenon.

Modifications dans le projet :

Dans le projet, vous trouverez des informations de configuration de la fonctionnalité MultiTouch dans les propriétés des éléments suivants :

  • Synoptiques, dans les groupes :
    • Intéraction
    • Interface de programmation
    • Evaluation de geste VSTA
  • Éléments dynamiques, dans le groupe :
    • Evaluation de geste VSTA
    • Runtime/Appuyer et maintenir

Vous pouvez obtenir un exemple de projet auprès de votre conseiller zenon.

Autres sujets abordés dans ce chapitre

Gestes

Configuration de l'interaction

Évaluation d'événements

Détection de gestes dans VSTA

Exemple de projet pour Windows 7

Navigation avec la fonction MultiTouch dans la vue globale.


Gestes

Manuels -> MultiTouch -> Gestes

La fonctionnalité MultiTouch zenon vous permet de bénéficier des différents gestes spécifiques à Windows 8. Tout d'abord :

Geste | Description
Défilement (comme avec la molette de la souris) | Touchez l'écran avec un doigt, puis placez un deuxième doigt sur l'écran et déplacez-le.
Double appui | Appuyez brièvement deux fois sur un objet.
Rotation | Placez deux doigts au moins sur l'écran et effectuez un mouvement circulaire, dans le sens horaire ou antihoraire.
Appui long | Touchez un objet pendant plus de deux secondes.
Glisser | Touchez un objet, puis effectuez un bref mouvement rapide avec le doigt dans une direction.
Balayage | Touchez l'écran avec un doigt au moins, puis déplacez-le brièvement dans une direction.
Appui bref | Touchez brièvement un objet avec le doigt.
Déplacer | Touchez un objet, puis effectuez un mouvement linéaire avec le doigt.
Zoom | Placez deux doigts sur l'écran, puis éloignez-les l'un de l'autre.


Configuration de l'interaction

Manuels -> MultiTouch -> Configuration de l'interaction

Pour les gestes dans Windows 8, de nombreux aspects de l'interaction via la fonctionnalité MultiTouch peuvent être configurés par le biais des propriétés, sans programmation supplémentaire.

Éléments requis : Dans les propriétés du projet, l'option Windows 8 doit être sélectionnée dans le nœud Intéraction de la propriété Reconnaissance. zenon doit être en cours d'exécution sur un ordinateur Windows 8 dans le Runtime.

Configuration

Des interactions peuvent être configurées pour :

  • Certains types de synoptique
  • Les éléments de synoptique dynamiques
  • Les zones tactiles

Les actions pouvant être associées aux gestes dépendent du synoptique et/ou de l'élément de synoptique devant être configuré.

Pour configurer les interactions pour les synoptiques :

  1. Définissez le focus sur le synoptique souhaité.
  2. Accédez au nœud Intéraction dans les propriétés.
  3. Sélectionnez les propriétés de votre choix dans les sous-groupes.

Pour configurer les interactions pour les éléments de synoptique :

  1. Définissez le focus sur l'élément de synoptique souhaité.
  2. Accédez au nœud Runtime dans les propriétés.
  3. Sélectionnez les propriétés de votre choix dans les sous-groupes.

Autres sujets abordés dans ce chapitre

Réactions


Réactions

Manuels -> MultiTouch -> Configuration de l'interaction -> Réactions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les réactions aux gestes peuvent être configurées individuellement pour les synoptiques et les éléments de synoptique :

  1. Les éléments suivants sont disponibles dans le groupe Intéraction pour les synoptiques pris en charge :
    • Réactions au geste Appuyer et maintenir
    • Réactions au geste Double appui
  2. Les éléments suivants sont disponibles dans le groupe Runtime pour les éléments de synoptique dynamiques :
    • Réactions au geste Appuyer et maintenir
  3. Dans le groupe Runtime, les éléments suivants sont disponibles pour différents éléments, selon le type de synoptique sélectionné :
    • Double appui
    • Appuyer

Les réactions sont utilisées pour définir ce qui se produit lorsqu'un geste est détecté sur un synoptique ou un élément de synoptique durant le Runtime.

  • Réaction : Sélectionnez les réactions souhaitées dans la liste déroulante. Les réactions disponibles varient selon le type de synoptique/l'élément.
  • Fonction : Sélection d'une fonction configurée dans zenon si l'option Execute own function (Exécuter une fonction personnalisée) a été sélectionnée.

Remarque : il existe une différence significative entre les synoptiques et les éléments de synoptiques pour lesquels l'option Execute own function (Exécuter une fonction personnalisée) est activée : Les verrouillages et les droits d'utilisateur peuvent être configurés pour les éléments de synoptique. Ceci n'est pas possible pour les synoptiques, car un synoptique ne comporte pas les mêmes fonctions.

Synoptiques

  • Utilisables dans les environnements de Runtime incompatibles avec un fonctionnement tactile
  • Rétrocompatibles : de nouveaux gestes peuvent être pris en charge, et des gestes peuvent également recevoir de nouveaux paramètres

Si un synoptique est copié, les propriétés correspondantes préalablement définies sont acceptées.

Autres sujets abordés dans ce chapitre

Manipulation

Double appui

Appui bref sur un élément de synoptique

Appui long


Manipulation

Manuels -> MultiTouch -> Configuration de l'interaction -> Réactions -> Manipulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les synoptiques et certains éléments de synoptiques peuvent être manipulés avec des gestes tactiles. Vous pouvez définir la réaction correspondant à un geste dans l'Éditeur, dans le groupe Manipulation, pour les éléments suivants :

  • Déplacer : fenêtre de diagramme Extended Trend
  • Déplacer horizontalement : Vue globale, liste AML, liste CEL, zones tactiles
  • Déplacer verticalement : Vue globale, liste AML, liste CEL, zones tactiles
  • Zoom : Vue globale, liste AML, liste CEL, zones tactiles, fenêtre de diagramme Extended Trend


Double appui

Manuels -> MultiTouch -> Configuration de l'interaction -> Réactions -> Double appui

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Double appui sur les synoptiques

Les synoptiques suivants sont disponibles en réaction au geste Double appui :

  • Absence de réaction
  • Exécuter une fonction personnalisée
  • Affichage de la fenêtre d'état

Double appui sur un élément de synoptique

AML

La liste AML affichée sur les synoptiques AML fournit une Réaction pour le geste Double appui :

  • Absence de réaction
  • Exécuter une fonction personnalisée
  • Acquitter alarmes : pour les alarmes sélectionnées
  • Execute alarm (Exécuter alarme) : pour les alarmes sélectionnées
  • Help for executing alarm (Aide pour l'exécution d'alarmes) : pour les alarmes sélectionnées
  • Stop/continue list (Arrêter/continuer la liste) : indépendamment des alarmes.

Un double appui sur une entrée de liste entraîne toujours la sélection de l'entrée et l'exécution de la fonction correspondante. Un double appui hors d'une entrée de liste permet d'accéder à des fonctions indépendantes, mais pas aux fonctions spécifiques aux alarmes.

Synoptique Extended Trend

La fenêtre de diagramme d'un synoptique Extended Trend fournit une Réaction pour le Double appui :

  • Absence de réaction
  • Exécuter une fonction personnalisée
  • Zoom 100 %
  • Annul Zoom

Listes sur d'autres synoptiques

Certaines listes affichées sur les synoptiques fournissent une Réaction pour le geste Double appui :

  • Absence de réaction
  • Exécuter une fonction personnalisée


Appui bref sur un élément de synoptique

Manuels -> MultiTouch -> Configuration de l'interaction -> Réactions -> Appui bref sur un élément de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les éléments suivants sont disponibles pour les éléments de synoptique, en Réaction à un geste Appuyer :

  • Absence de réaction
  • Exécuter une fonction personnalisée
  • Sélection


Appui long

Manuels -> MultiTouch -> Configuration de l'interaction -> Réactions -> Appui long

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Appui long sur un synoptique

Les synoptiques suivants sont disponibles en réaction au geste Appuyer et maintenir :

  • Absence de réaction
  • Exécuter une fonction personnalisée
  • Affichage de la fenêtre d'état

Appui long sur un élément de synoptique

Les éléments suivants sont disponibles pour les éléments de synoptique, en réaction à un geste Appuyer et maintenir :

  • Absence de réaction
  • Exécuter une fonction personnalisée
  • Afficher un menu contextuel


Évaluation d'événements

Manuels -> MultiTouch -> Évaluation d'événements

Les événements devant être évalués par le biais de l'interface de programmation peuvent être définis de manière détaillée pour les synoptiques. L'évaluation est effectuée au niveau du synoptique, via VSTA. Pour configurer l'évaluation d'événements : la propriété Reconnaissance, accessible dans les propriétés du projet pour Intéraction, doit être définie sur Windows 8.

  1. Accédez au groupe Interface de programmation.
  2. Accédez au sous-groupe Evénements Multi-Touche.
  3. Sélectionnez la propriété souhaitée dans la liste déroulante de la propriété Routage événement données brutes.
    • All events (Tous les événements) : tous les événements sont évalués.
    • Deactivated (Désactivée) : l'évaluation est désactivée.
    • Only selected events (Uniquement les événements sélectionnés) : seuls les événements activés par le biais de cases à cocher sont évalués.

Les événements suivants sont disponibles :

  • PointerDown
  • PointerEnter
  • PointerLeave
  • PointerUp
  • PointerUpdate
  • PointerWheel
  • PointerHWheel
  • PointerDeviceChange
  • PointerDeviceInRange
  • PointerDeviceOutOfRange
  • NCPointerDown
  • NCPointerUp
  • NCPointerUpdate
  • PointerActivate
  • PointerCaptureChanged

Vous trouverez des informations détaillées concernant les événements dans la section Modèle d'objet ou dans l'aide de Microsoft pour MSDN (http://msdn.microsoft.com/en-us/library/hh454903(v=vs.85).aspx).


Détection de gestes dans VSTA

Manuels -> MultiTouch -> Détection de gestes dans VSTA

Les propriétés de la détection de gestes dans VSTA permettent d'activer et de désactiver individuellement les balises des menus contextuels d'interaction. Vous trouverez les propriétés concernant la détection de gestes dans VSTA dans les propriétés des éléments suivants :

  • Synoptiques : gestes associés à un synoptique
  • Éléments dynamiques : gestes associés un élément dynamique individuel

Les propriétés sont uniquement disponibles si la propriété Reconnaissance est définie dans les propriétés de l'Intéraction dans Windows 8.

La configuration sélectionnée est disponible dans le Runtime et peut être modifiée via VSTA.

Vous trouverez des informations détaillées concernant les événements dans la section Modèle d'objet ou dans l'aide de Microsoft pour MSDN (http://msdn.microsoft.com/en-us/library/windows/desktop/hh448838(v=vs.85).aspx).

Synoptiques

Vous trouverez les propriétés de la détection de gestes VSTA pour les synoptiques dans le groupe de propriétés Evaluation de geste VSTA du synoptique. Dès que la propriété Reconnaissance de geste active a été activée, les gestes suivants peuvent être sélectionnés :

  • Manipulation
  • Exact
  • Translation X
  • Translation Y
  • Rails X
  • Rails Y
  • Inertie translation
  • Rotation
  • Inertie rotation
  • Echelle
  • Inertie redimensionnement
  • Cross slide
  • Cross slide horizontal
  • Cross slide select
  • Cross slide speed bump
  • Cross slide rearrange
  • Cross slide exact
  • Tap
  • Tap double
  • Secondary tap
  • Drag
  • Hold
  • Hold (mouse)

Les éléments dynamiques

Vous trouverez les propriétés de la détection de gestes VSTA pour les éléments dynamiques dans le groupe de propriétés Evaluation de geste VSTA de l'élément. Dès que la propriété Reconnaissance de geste active a été activée, les gestes suivants peuvent être sélectionnés :

  • Manipulation
  • Exact
  • Translation X
  • Translation Y
  • Rails X
  • Rails Y
  • Inertie translation
  • Rotation
  • Inertie rotation
  • Echelle
  • Inertie redimensionnement
  • Cross slide Cross slide horizontal
  • Cross slide select
  • Cross slide speed bump
  • Cross slide rearrange
  • Cross slide exact
  • Tap
  • Tap double
  • Secondary tap
  • Drag
  • Hold
  • Hold (mouse)


Exemple de projet pour Windows 7

Manuels -> MultiTouch -> Exemple de projet pour Windows 7

Cet exemple de projet MultiTouch sous Windows 7 est conçu pour une résolution d'écran de 1920x1080. Il contient :

  • Page de démarrage
  • Navigation
  • Ligne d'alarmes
  • Synoptique de type Connexion

Page de démarrage

La page de démarrage propose un aperçu de l'ensemble de la ligne de production. Des Icons correspondant à plusieurs éléments d'équipement sont visibles. Vous pouvez faire défiler l'écran avec des gestes pour accéder aux autres équipements. Tap sur une Icon pour modifier l'équipement sélectionné. Les éléments suivants sont également visibles à l'écran :

  • Ligne d'alarmes affichée le long du bord supérieur : Affiche la dernière alarme de l'ensemble de la ligne de production. Vous pouvez déplacer la ligne d'alarme en la faisant glisser. Ceci permet d'afficher l'ensemble de la liste d'alarmes.
  • Bouton Connexion : permet de connecter différents utilisateurs.
  • Bouton Sortie : ferme le Runtime ; peut uniquement être actionné par les utilisateurs possédant des droits d'administrateur.

Navigation

Dans la partie inférieure de l'écran, la zone de navigation représente l'ensemble de la ligne de production sous la forme d'Icons disposées dans une zone de défilement horizontale. En outre, une vue globale de l'énergie est disponible. Vous pouvez la sélectionner en appuyant sur le bouton situé en bas de l'écran, au centre. Une machine peut être sélectionnée par un geste Tap sur une Icon visible. Dans ce projet, seul l'équipement Filler peut être sélectionné. Si vous appuyez longuement sur l'Icon Filler, un effet de Glow apparaît. Vous pouvez parcourir la liste avec des gestes de Swipe ; Tap sur la liste pour arrêter le défilement.

La vitesse de défilement est déterminée par l'accélération du geste de Drag :

  • Lent : le défilement suit le doigt
  • Rapide : le défilement s'accélère

La navigation est centrée sur l'Icon Filler lors de l'affichage du synoptique d'accueil.

Ligne d'alarmes

Une ligne d'alarmes est affichée le long du bord supérieur de l'écran. Elle affiche la dernière alarme de l'ensemble de la ligne de production. Vous pouvez l'ouvrir pour afficher la liste d'alarmes.
Fonctionnement :

  • Ouvrir :
    • un geste Tap sur la ligne permet d'ouvrir la liste AML sur la moitié de l'écran.
    • Vous pouvez ensuite utiliser des gestes pour agrandir ou réduire la taille de la liste AML.
  • Fermer :
    • un geste Tap hors du cadre permet de fermer la liste AML ouverte.
    • Vous pouvez également remonter la liste AML manuellement.

Écran Connexion

L'écran Connexion propose une fonctionnalité d'authentification à base de gestes inspirée de Windows 8. Avant de saisir un mot de passe, vous devez sélectionner un utilisateur par un geste Tap. Ensuite, vous pouvez commencer à saisir le mot de passe de l'utilisateur sélectionné en effleurant les caractères. Par exemple :

Administrateur :

Maintenance :

Opérateur :

Un bouton Déconnexion permet également de déconnecter l'utilisateur actuellement connecté et d'afficher l'écran Connexion. L'écran Connexion est une boîte de dialogue modale, qui atténue l'arrière-plan.

Autres sujets abordés dans ce chapitre

Synoptiques d'équipement

Code VSTA

Informations essentielles concernant la fonctionnalité MultiTouch dans Windows 7

FAQ


Synoptiques d'équipement

Manuels -> MultiTouch -> Exemple de projet pour Windows 7 -> Synoptiques d'équipement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans les synoptiques d'équipement, la ligne d'alarmes dispose des mêmes fonctionnalités que celles de la page d'accueil, à ceci près que les fonctions sont filtrées en fonction de l'équipement.

En outre, le concept de l'Workspace permet de positionner librement les fenêtres ; celles-ci sont placées dans un élément Dock lorsqu'elles ne sont pas utilisées. L'Workspace couvre plusieurs écrans, que vous pouvez afficher en effectuant un geste Swipe, en utilisant la navigation par Tab ou le bouton de navigation. La partie inférieure de l'écran comporte une zone d'activation de l'utilisation à deux mains et un bouton de retour à la page d'accueil. Dans le coin supérieur droit se trouve une représentation actionnable de l'Workspace.

Dock

Icons Vous pouvez faire glisser des du Dock vers l'Workspace, où elles sont ensuite affichées sous forme de Faceplate, dans une taille de base définie. Si un Faceplate est placé dans l'Workspace , sa Icon est affichée comme désactivée. Si un Faceplate est fermé, son Icon est réactivée. Appuyez longuement sur une Icon désactivée pour localiser un Faceplate ouvert et accéder directement à l'Workspace correspondant.

Workspace

Vous pouvez positionner et redimensionner autant de Workspaces que vous le souhaitez parmi les quatre Faceplates personnalisables.

  • Faceplate Déplacer vers le bord vertical de l'écran : après un délai de 2 secondes, l'Workspace est modifié et le Faceplate peut être positionné librement.
  • Faceplate Envoyer vers le bord vertical de l'écran (geste Swipe) : le Faceplate est déplacé vers l'Workspace suivant ; l'Workspace actuel reste ouvert.
  • Faceplate Fermer/supprimer : Faceplate déplacez le cadran vers l'élément d'ancrage ou vers le bas en effectuant un geste Swipe.
    Si vous le souhaitez, vous pouvez fermer chaque Faceplate en appuyant sur le bouton X situé dans le coin supérieur droit.

Les Faceplates appelés, leur position, leur taille, etc. sont enregistrés dans le profil de l'utilisateur. Un Faceplate peut être redimensionné (agrandi ou réduit) avec un geste de Zoom/Pinch. Chaque Faceplate peut également être déplacé. Un Faceplate sélectionné peut être déplacé au premier plan par un geste en Z, mais il restera toujours derrière la ligne d'alarmes. Lors de la prochaine connexion, les informations de position et de taille des Faceplates individuels sont lues, et les cadrans sont repositionnés correctement.

Utilisation à deux mains

Dans le coin inférieur gauche se trouve une zone d'activation de l'utilisation à deux mains. Si un élément verrouillé est actionné, la zone d'activation clignote et un élément verrouillé peut être déverrouillé dans cette zone.

Possibilités d'utilisation à deux mains :

  • Bouton : par exemple, Accueil
  • Saisir valeur prescrite : le clavier est affiché à l'écran, autorisant la saisie d'une valeur prescrite
  • Commande rotative

Une prise en compte de l'ordre d'activation (activation avant action) est intégrée au projet de démonstration. Dans le cas d'une commande rotative (utilisation d'un Faceplate ), l'activation active est constamment vérifiée.

Menu circulaire

Le menu circulaire a été mise en œuvre pour autoriser une navigation plus rapide entre les Workspaces. Il peut être activé par un geste Tap&Hold dans l'Workspace, et s'affiche autour du doigt en contact avec l'écran. La sélection de l'espace de travail s'effectue en Draggen le doigt vers l'une des zones. Le basculement est effectué lorsque le doigt quitte l'écran. L'action peut être annulée en effectuant un geste Draggen à l'extérieur ou à l'intérieur de la zone de menu.

Bouton Accueil

Un bouton Home est visible dans le coin inférieur droit. Le bouton Accueil vous permet d'accéder instantanément à l'écran de démarrage. Le bouton Home peut uniquement être activé dans le cadre d'une utilisation à deux mains.


Code VSTA

Manuels -> MultiTouch -> Exemple de projet pour Windows 7 -> Code VSTA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Description de classe

MultiTouchManagement

Gestion intégrale de l'application MultiTouch. Lors de la création de la classe MultiTouchManagement, une instance des classes LoginWindow, NavigationsWindow et WindowManagement est créée.

LoginWindow

Cette classe inclut le composant important de reconnaissance de l'identifiant d'utilisateur et du mot de passe.

NavigationWindow

Gère l'écran de positionnement du cadran "Icon", ainsi que le processus d'ouverture des Faceplates appelés.

WindowManagement

Assure le traitement de tous les événements tactiles de tous les cadrans (déplacement, redimensionnement, etc.). En outre, cette gère l'enregistrement et la lecture de toutes les informations concernant les éléments Faceplate dans le Runtime.

WindowProperties

Pour chaque Faceplate, une instance spécifique est créée, fournissant toutes les données nécessaires concernant les Faceplates . En termes de conservation des données, toutes les instances sont enregistrées dans un fichier XML lors de la fermeture du Runtime, qui fournit les derniers paramètres valides pour les Faceplates au démarrage du Runtime.


Informations essentielles concernant la fonctionnalité MultiTouch dans Windows 7

Manuels -> MultiTouch -> Exemple de projet pour Windows 7 -> Informations essentielles concernant la fonctionnalité MultiTouch dans Windows 7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Événements

Si vous activez le paramètre Multi-Touche actif du projet, les événements TouchManipulationStartEvent, TouchManipulationDeltaEvent et TouchManipulationCompleteEvent sont activés pour la déclaration de gestionnaire correspondante dans le Runtime. La méthode SetupTouchInertia vous permet de définir le paramètre d'inertie de chaque écran. La présentation suivante décrit le traitement schématique des événements déclenchés :

En règle générale, un événement TouchManipulationStartEvent est déclenché en premier. Tant que vous effectuez le geste, des événements TouchManipulationDeltaEvent et, à la fin du geste, un événement TouchManipulationCompleteEvent final sont déclenchés. Le paramètre transféré IContacts renvoie le nombre de doigts appuyant actuellement sur l'écran.

Une fois l'entrée tactile terminée, les valeurs d'inertie sont calculées par le module de traitement de l'inertie, par le biais des valeurs transférées par la méthode SetupTouchInertia, puis terminées par les événements TouchManipulationDeltaEvent ; les valeurs d'inertie sont calculées avec un événement TouchManipulationCompleteEvent unique.

Puisqu'aucun doigt n'est présent sur l'écran durant le calcul des valeurs d'inertie, le paramètre IContacts transféré est 0. Le nombre d'événements TouchManipulationDeltaEvents requis par le module de traitement de l'inertie dépend des paramètres transférés par la méthode SetupTouchInertia. Selon l'inertie, le module de traitement de l'inertie peut nécessiter un nombre d'événements plus ou moins élevé pour terminer le geste.

Si un autre geste est démarré durant le déclenchement des événements d'inertie calculés, aucun événement TouchManipulationDeltaEvents supplémentaire n'est fourni par le premier geste. Après l'événement TouchManipulationCompleteEvent de conclusion, les événements du nouveau geste sont démarrés immédiatement, par le biais d'un événement TouchManipulationStartEvent.

En outre, les événements TouchEvent, ElementMouseOver, ElementLeftButtonDown et ElementLeftButtonUp sont déclenchés durant le geste.

Prise en charge native du mode MultiTouch dans la vue globale

Pour activer des fonctions de zoom et de défilement par le biais d'événements VBA/VSTA, la propriété 'Multi-touche' pour le zoom et le déplacement ne doit pas être active. Si vous activez cette propriété, zenon tient compte des gestes de zoom et de défilement dans la vue globale configurée. Pour plus d'informations, voir le chapitre : Navigation avec la fonction MultiTouch dans la vue globale.


FAQ

Manuels -> MultiTouch -> Exemple de projet pour Windows 7 -> FAQ

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Foire aux questions et réponses pratiques.

Remarque : Les propriétés Nom liste d'objets et Chapitre d'aide peuvent être utilisées comme des propriétés librement définies dans zenon.

Comment ajouter un nouveau Faceplate ?

L'exemple de projet comprend 13 Faceplates, affichés sous forme d'Icons sur l'écran de navigation Navigation_Bottom. Pour générer un contexte entre les icônes individuelles et les Faceplates, vous devez respecter une convention d'attribution de noms. Le nom des Icons concernées doit correspondre parfaitement au synoptique et au cadre associés. Une connexion entre les synoptiques ne peut être accomplie que lorsque la chaîne (Icon - cadre - synoptique) est respectée.

Pour appeler les synoptiques correspondants, vous devez également configurer une fonction d'appel de synoptique. Le nom de la fonction d'appel de synoptique doit comporter le préfixe "scr" et le nom des Faceplates. Si cette convention d'attribution de nom est respectée, le traitement intégral est ensuite géré par la fonction de traitement du mode MultiTouch.

Comment créer un retour si le bouton ou l'élément d'affichage de valeurs qu'actionne l'utilisateur nécessite une utilisation à deux mains ?

Pour autoriser le fonctionnement à deux mains, les deux points de pression doivent être fournis sur un synoptique et un cadre propres. Dans l'exemple de projet, le synoptique est appelé Enabler.

Durant le développement, le verrouillage doit être lié à la propriété enableArea pour les éléments actionnables à deux mains. Cette configuration garantir qu'un retour est automatiquement généré, à condition que l'Enabler n'est pas actionné (utilisation à deux mains). Cet élément est uniquement actionnable si l'utilisateur appuie sur l'Enabler.

Comment créer un bouton rotatif ?

Pour créer un bouton comportant une fonctionnalité de commande rotative :

  • Assurez-vous que le nom du bouton contient le composant "HOLD".
  • Accédez au nœud Runtime dans les propriétés de l'élément
  • Saisissez une référence conformément au motif suivant dans la propriété Nom liste d'objets : Nom de variable|Modification de variable
    (Vous trouverez un exemple sur le synoptique Faceplate_Operation, avec le bouton ^^^.)

Comment créer un bouton de changement d'Workspace ?

Pour cela, vous pouvez utiliser le symbole préfabriqué Onglet. La variable demoCurrentWorkspace représente la valeur de l'Workspace actuellement actif dans l'ensemble du projet. Les paramètres suivants contrôlent la variable et réajustent tous les synoptiques ouverts :

Groupe tab_inactive :

La propriété Chapitre d'aide doit contenir l'entrée WorkspaceSwitch.

La propriété Nom liste d'objets doit contenir une entrée conformément au schéma suivant : demoCurrentWorkspace|PAGE (par exemple : demoCurrentWorkspace|3)

Comment créer un nouvel utilisateur ?

Sur le synoptique Connexion, vous devez tracer un motif spécifique à l'utilisateur sur les 16 carrés permettant d'authentifier un utilisateur. Dès que vous touchez le premier carré, la saisie du mot de passe est déclenchée. Elle est arrêtée dès que le doigt quitte l'écran. Dès la fin de la saisie du motif, le mot de passe est vérifié. La connexion est effectuée automatiquement après une confirmation positive.

Durant la saisie du motif de mot de passe, un mot de passe typographique est créé en tâche de fond pour être comparé aux utilisateurs du projet développement, grâce à une fonction. Le premier carré est interprété comme 'A', le deuxième comme 'B', etc. ; les lettres sont ensuite assemblées pour former un mot de passe cohérent grâce à l'effleurement linéaire des carrés.

Pour ajouter un nouvel utilisateur :

  • Créez un nouvel utilisateur dans le module de gestion des utilisateurs
  • Créez un mot de passe personnel
  • Assurez-vous que l'utilisateur peut être sélectionné sur le synoptique Connexion, et configurez les mêmes propriétés que pour les boutons de sélection d'utilisateurs déjà configurés

Comment appeler le menu circulaire ?

Le menu circulaire est affiché :

  • Autour d'un doigt qui touche l'espace de travail
    et
  • Ne se déplace pas pendant plus de 800 ms

Dans le menu circulaire, vous avez la possibilité de basculer des Workspaces actuels vers l'Workspace de votre choix en glissant votre doigt sur l'écran.

Comment filtrer la liste AML déroulante ?

La liste AML reste toujours affichée, et le filtrage à base d'équipements est effectué par une simple possibilité de filtrage de la fonction d'appel des synoptiques Liste AML et Liste AML fermée.

Comment appeler un élément d'équipement ?

Les éléments d'équipements peuvent être affichés en exécutant une séquence d'opérations fixes, telles que la personnalisation de filtres, l'appel de synoptiques, l'affichage de zones de navigation spécifiques aux équipements ou le positionnement de Faceplates spécifiques aux équipements, etc. Dans cet exemple de projet, l'ordre des fonctions devant être appelées est configuré dans un script de zenon, exécuté lorsque l'utilisateur active les Icons de l'équipement affichées sur l'écran d'accueil.

Où sont enregistrées les informations des Faceplates ?

La taille, la position, l'espace de travail, la visibilité et le facteur de dimensionnement sont écrits dans un fichier de configuration. Ces informations se trouvent dans un sous-dossier du dossier %HOMEPATH%\AppData\Local\Ing._Punzenberger_COPA-DA\.


Navigation avec la fonction MultiTouch dans la vue globale.

Manuels -> MultiTouch -> Navigation avec la fonction MultiTouch dans la vue globale.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fonctions MultiTouch de zoom et de défilement sont adaptées à la navigation dans la vue globale sur les écrans tactiles. Pour cela, un synoptique de type Vue d'aperçu n'est pas nécessaire. La navigation peut être mise en œuvre avec :

  • Les gestes tactiles Windows 7
  • Les gestes tactiles Windows 8

Autres sujets abordés dans ce chapitre

Navigation sous Windows 7

Navigation sous Windows 8


Navigation sous Windows 7

Manuels -> MultiTouch -> Navigation avec la fonction MultiTouch dans la vue globale. -> Navigation sous Windows 7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour pouvoir parcourir un synoptique Vue globale avec des gestes MultiTouch sous Windows 7, vous devez effectuer les opérations suivantes :

  • Activer les gestes MultiTouch par le biais de la propriété 'Multi-touche' pour le zoom et le déplacement
  • Ou la mettre en œuvre par le biais de code VBA/VSTA

Zoom et défilement via la propriété 'Multi-touche' pour le zoom et le déplacement

Pour utiliser la fonction MultiTouch sans VBA/VSTA :

  1. Dans les propriétés du projet, dans le nœud Intéraction de la propriété Reconnaissance, activez Windows 7 ou Windows 8 Multi-Touche actif
  2. Désactivez la propriété Dimension du gabarit dans le nœud Dimension des propriétés du synoptique
  3. Activez la propriété 'Multi-touche' pour le zoom et le déplacement dans le nœud Intéraction des propriétés du synoptique

Ceci vous permet de faire défiler et d'agrandir/de réduire la taille d'affichage du synoptique avec des gestes MultiTouch. Dans ce cas, les fonctions de zoom et de défilement VBA/VSTA sont désactivées.

Zoom et défilement via VBA/VSTA

Pour activer des fonctions de zoom et de défilement par le biais d'événements VBA/VSTA, la propriété 'Multi-touche' pour le zoom et le déplacement ne doit pas être active.

Les éléments suivants sont disponibles dans la propriété DynPicture :

  • Propriété

    int ZoomLevel : affiche le niveau de zoom actuel dans la vue globale (valeur valide uniquement dans le Runtime, pour une vue globale).

  • Méthode

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode) :

    ZoomX -> Direction X du nouveau facteur de zoom ; définie sur 0 si inutilisée

    ZoomY -> Direction Y du nouveau facteur de zoom ; définie sur 0 si inutilisée

    ZoomLevel -> Niveau de zoom ; défini sur -1 si inutilisé

    CursorX -> Cursorposition X

    CursorY -> Cursorposition Y

    PosX -> Nouvelle position X (voir PosMode)

    PosY -> Nouvelle position Y (voir PosMode)

    PosMode -> Coordonnées dans Pos

    -1 = PosX, PosY sont ignorés

    0 = point central, coordonnées originales

    1 = point central, coordonnées après zoom

    2 = point supérieur gauche, coordonnées originales

    3 = point supérieur gauche, coordonnées après zoom

    4 = coordonnées après zoom du curseur à partir du point supérieur gauche
    La position de la fenêtre est modifiée de telle manière qu'après le zoom, le pointeur de la souris se trouve toujours au-dessus de la position du synoptique

Attention : ZoomX, ZoomY et ZoomLevel ne peuvent pas être utilisés simultanément. Vous devez soit spécifier un paramètre ZoomLevel, soit spécifier un facteur de zoom pour les axes x et y.


Navigation sous Windows 8

Manuels -> MultiTouch -> Navigation avec la fonction MultiTouch dans la vue globale. -> Navigation sous Windows 8

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour naviguer avec des gestes MultiTouch dans un synoptique Vue globale sous Windows 8 :

  1. Désactivez la propriété Dimension du gabarit pour le synoptique dans le groupe Dimension.
  2. Accédez au groupe Intéraction dans les propriétés du projet.
  3. Configurez les propriétés pour - et -.

Pour le geste de déplacement, vous pouvez définir la direction de votre choix - horizontale, verticale ou les deux. Pour cela, utilisez les propriétés - et -.


Outils

Manuels -> Outils

Différents outils facilitent les tâches de gestion, d'analyse et de configuration de zenon :

  • Diagnosis Viewer : permet de lire et configurer les fichiers journaux de zenon.
  • Keyblock Runtime Start : démarre le Runtime de zenon et bloque toutes les touches système de Windows.
  • Mise à jour en ligne de l'aide de zenon : autorise la mise à jour en ligne de l'aide de zenon.
  • Project Translation Interface : outil de traduction des fichiers linguistiques de zenon. Ouvre ou enregistre les données de l'Assistant Traduction linguistiquede zenon. Il autorise ainsi l'importation ou l'exportation de projets dans ou depuis zenon.
  • Startup Tool : permet de démarrer l'Éditeur et le Runtime avec certains paramètres, de gérer les différentes versions de zenon installées sur un ordinateur, de gérer les instances de SQL et de définir les langues de l'Éditeur et du Runtime.
  • System Information Collector : lit les informations concernant le système et zenon, les affiche dans une fenêtre de sortie et les enregistre sous forme de fichier ZIP.

Les éléments suivants sont disponibles dans zenon Logic :

  • zenon Logic Runtime Manager : autorise la gestion des projets de Runtime indépendants ou à démarrage manuel de zenon Logic sur votre ordinateur.
    La documentation de cet outil est intégrée à la documentation de zenon Logic.

Autres sujets abordés dans ce chapitre

Diagnosis Viewer (Outil de diagnostic)

Keyblock Runtime Start

Mise à jour en ligne de l'aide de zenon

Project Translation Interface

Outil Startup Tool

System Information Collector


Diagnosis Viewer (Outil de diagnostic)

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tous les modules de zenon, tels que l'Éditeur, le Runtime, les drivers, etc. écrivent des messages dans un fichier journal commun. Vous pouvez lire et configurer ces messages par le biais de l'outil Diagnosis Viewer, installé avec zenon. Il permet de lire des fichiers journaux existants, d'activer la journalisation en ligne, d'enregistrer la vue actuelle et de configurer les clients et le service Diagnosis Server. Vous le trouverez sous Démarrer/Tous les programmes/zenon/Outils 7.11 -> Diagnosis Viewer.

L'outil Diagnosis Viewer est uniquement disponible en anglais.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Utilisation d'IPv6

Diagnosis Server collabore également avec les clients de diagnostic, dont l'adressage est défini sous forme d'adresses IPv6. Pour cela, le format du fichier journal a été adapté. L'outil Diagnosis Viewer lit uniquement le nouveau format des fichiers journaux. Si des fichiers journaux provenant de versions antérieures de zenon (ou inversement) sont ouverts, l'adresse IP de Diagnosis Client n'est pas affichée correctement.

Analyse du driver

Le driver de zenon consigne toutes les erreurs dans les fichiers journaux. Le dossier par défaut des fichiers journaux est le sous-dossier LOG, dans le répertoire ProgramData ; exemple : C:\ProgramData\zenon\zenon7.11\LOG for zenon Version 7.11. Les fichiers journaux sont des fichiers texte dotés d'une structure spéciale.

Attention : avec les paramètres par défaut, un driver consigne uniquement les informations d'erreur. Avec l'outil Diagnosis Viewer, vous pouvez améliorer le niveau de diagnostic de la plupart des drivers, grâce aux options "Debug" (Débogage) et "Deep Debug" (Débogage approfondi). Dans ce cas, le driver consigne également les autres tâches et événements importants.

L'outil Diagnosis Viewer vous permet également :

  • De suivre en direct les entrées actuellement insérées
  • De personnaliser les paramètres de journalisation
  • De modifier le dossier dans lequel sont enregistrés les fichiers journaux

Conseils :

  1. Sous Windows CE, les erreurs ne sont pas consignées par défaut, pour préserver les performances du système.
  2. L'outil Diagnosis Viewer affiche toutes les entrées à l'heure UTC (temps universel coordonné), et pas à l'heure locale.
  3. Par défaut, l'outil Diagnosis Viewer n'affiche pas toutes les colonnes d'un fichier journal. Pour afficher d'autres colonnes, activez la propriété Add all columns with entry (Ajouter toutes les colonnes avec une entrée) dans le menu contextuel de l'en-tête des colonnes.
  4. Si vous utilisez uniquement la fonction Error logging (Journalisation des erreurs), la description du problème est affichée dans la colonne Error text (Texte d'erreur). Pour d'autres niveaux de diagnostic, la description est fournie dans la colonne General text (Texte général).
  5. En cas de problèmes de communication, de nombreux drivers consignent également les numéros d'erreur de journal qui leur sont attribués par l'automate. Elles sont affichées dans les colonnes Error text (Texte d'erreur) et/ou Error code (Code d'erreur) et/ou Driver error parameter (1 et 2) (Paramètre d'erreur du driver (1 et 2)). Des conseils concernant la signification des codes d'erreur sont disponibles dans la documentation du driver et le fichier journal/la description de l'automate.
  6. À la fin de l'essai, réinitialisez le niveau de diagnostic Debug (Débogage) ou Deep Debug (Débogage approfondi). Pour les options Debug (Débogage) et Deep Debug (Débogage approfondi), de grands volumes de données sont enregistrés sur le disque dur, ce qui peut influencer les performances du système. L'enregistrement de ces données se poursuit même après la fermeture de l'outil Diagnosis Viewer.

Autres sujets abordés dans ce chapitre

Généralités

Topologie du système de diagnostic

Procédure standard

Diagnosis Server

Diagnosis Client

Diagnosis Viewer - Programme d'analyse

Possibilités de filtres

Lecture des fichiers journaux

Structure du fichier log

Gestion des erreurs et messages


Généralités

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le système de diagnostic de zenon comprend trois parties :

  • Le service Diagnosis Server : local ou défini dans le fichier zenon6.ini, via l'entrée LogSrv
  • Les clients de diagnostic : tous les modules, drivers, services, etc. écrivant des messages
  • Diagnosis Viewer : Programme d'analyse

Versions

À partir de la version 7.00, le système de diagnostic utilise le service zenLogSrv à la place du service zenSysSrv. Ce qui signifie :

  • Les systèmes de diagnostic jusqu'à la version 6.51 et à partir de la version 7.00 sont compatibles.
  • Les mécanismes de diagnostic de zenon 6.51 SP0 et de zenon 7.00 SP0 ne sont pas compatibles.
Compatibilité | Diagnosis Server, versions 6.51 SP0 et antérieures | Diagnosis Server, versions 7.00 SP0 et ultérieures
Diagnosis Client, versions 6.51 SP0 et antérieures | compatible | incompatible
Diagnosis Viewer, versions 6.51 SP0 et antérieures | compatible | incompatible
Diagnosis Client, versions 7.00 SP0 et ultérieures | incompatible | compatible
Diagnosis Viewer, versions 7.00 SP0 et ultérieures | incompatible | compatible

Avec Diagnosis Viewer, versions 7.00 SP0 et ultérieures, vous pouvez ouvrir les fichiers journaux créés dans Diagnosis Server, versions 6.51 SP0 et antérieures. Cela ne fonctionne pas dans l'autre sens !

Ports par défaut

  • Version 7 et ultérieures : 50780 (port de service de zenLogSrv)
  • jusqu'à la version 6.51 : 1101 (port de service de zenSysSrv)

Si le port ne peut pas être ouvert, le service est arrêté.

attention Attention

Si le port auquel doit se connecter Diagnosis Viewer est fermé, le système tente de démarrer le service Diagnosis Server local. Ceci permet de garantir que la journalisation locale est effectuée si aucun service Diagnosis Server n'est disponible sur le réseau.

Utilisation de la mémoire

Le service zenLogSrv conserve les entrées de fichier journal en mémoire jusqu'à ce qu'elles puissent être écrites dans le fichier journal. Si la consommation de mémoire augmente continuellement en raison de zenLogSrv, cela indique que l'écriture dans le fichier journal est impossible.


Topologie du système de diagnostic

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Topologie du système de diagnostic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La topologie du système de diagnostic diffère selon la version utilisée – versions 6.51 SP0 et antérieures et versions 7.00 SP0 et ultérieures.

Topologie avant zenon 7.00 SP0

Le diagramme affiche toutes les connexions possibles gérées par zenSysSrv. Chaque flèche représente une connexion réseau entre les applications. Toutes les applications se connectent au service zenSysSrv via le port 1101, que le client et le serveur se trouvent sur le même ordinateur ou qu'ils communiquent l'un avec l'autre par le biais d'un réseau.

  1. L'Éditeur transmet les entrées de fichier journal, les commandes et les données du module Remote Transport à zenSysSrv. zenSysSrv transmet la configuration de Diagnosis Client (Éditeur, Runtime, driver, serveur Web, client Web, etc.) et les données de Remote Transport à l'Éditeur.
  2. Le service Diagnosis Viewer transmet les commandes de diagnostic, les configurations de diagnostic et les entrées de fichier journal à zenSysSrv. zenSysSrv transmet les données de diagnostic et les informations de configuration de Diagnosis Client au service Diagnosis Viewer.
  3. zenSysSrv transmet les informations de configuration de Diagnosis Client aux services Diagnosis Client. Les services Diagnosis Client transmettent les entrées de fichier journal à zenSysSrv.

zenSysSrv réagit de manière adéquate à chaque message reçu :

  • Les entrées de fichier journal sont écrites dans les fichiers journaux.
  • Les commandes Remote Transport (démarrage du Runtime, écriture/lecture de données, etc.) sont exécutées.
  • Les commandes de diagnostic (définition de la configuration du serveur/du client, début de la journalisation en ligne, etc.) sont exécutées.

Topologie à partir de zenon 7.00 SP0

Le diagramme affiche toutes les connexions possibles gérées par zenSysSrv et zenLogSrv (à partir de la version 7.00 SP0). Chaque flèche représente une connexion réseau entre les applications. Toutes les applications se connectent au service zenLogSrv via le port 50780. Toutes les applications se connectent au service zenLogSrv via le port 1101. que le client et le serveur se trouvent sur le même ordinateur ou qu'ils communiquent l'un avec l'autre par le biais d'un réseau.

  1. L'Éditeur transmet les commandes et les données du module Remote Transport à zenSysSrv. zenSysSrv transmet les données du module Remote Transport à l'Éditeur.
  2. L'Éditeur transmet les entrées de fichier journal à zenLogSrv. zenLogSrv transmet les informations de configuration de Diagnosis Client à l'Éditeur.
  3. Le service Diagnosis Viewer transmet les commandes de diagnostic, les configurations de diagnostic et les entrées de fichier journal à zenSysSrv. zenSysSrv transmet les données de diagnostic et les informations de configuration de Diagnosis Client au service Diagnosis Viewer.
  4. Le service zenSysSrv transmet les entrées de fichier journal à zenLogSrv. zenLogSrv transmet les informations de configuration de Diagnosis Client à zenSysSrv.
  5. zenLogSrv transmet les informations de configuration de Diagnosis Client aux services Diagnosis Client. Les services Diagnosis Client transmettent les entrées de fichier journal à zenLogSrv.

zenSysSrv réagit aux commandes reçues du module Remote Transport.
zenLogSrv réagit aux commandes de diagnostic et aux entrées de fichier journal reçues

Exemple

Dans un environnement comportant un service Diagnosis Server central, le Runtime est démarré sur un ordinateur. Selon la version du Runtime, les informations de configuration sont lues dans le fichier zenon6.ini. Les versions antérieures à la version 7.00 SP0 lisent l'entrée LOG_CONFIG de la section [SYS_REMOTE], tandis que les versions ultérieures lisent cette entrée dans la section [LOGGING_SYSTEM]. Cette configuration est utilisée pour établir une connexion de diagnostic. (Pour plus de détails, reportez-vous au chapitre Procédure standard). Chaque composant supplémentaire chargé par le Runtime (driver, zenNetSrv, etc.) établit également une connexion de diagnostic.


Procédure standard

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Procédure standard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Par défaut, seuls les messages d'erreur (c'est-à-dire les erreurs) sont envoyés par les clients au service Diagnosis Server.

Le service Diagnosis Server enregistre les messages reçus sous forme de fichiers TXT comportant une structure spéciale. Le dossier par défaut des fichiers journaux est le sous-dossier LOG, dans le répertoire ProgramData. Par exemple : %ProgramData%\COPA-DATA \LOG.
Pour plus d'informations, reportez-vous au manuel Installation et mises à jour, chapitre Structure des fichiers.

Remarque : sous Windows CE, les messages d'erreur ne sont pas générés, afin de préserver les ressources.

Pour transmettre au service Diagnosis Server journalisation des informations autres que des messages d'erreurs (à savoir des infirmations importantes concernant les diagnostics), les paramètres correspondants doivent être définis pour le client.

Vous pouvez également configurer le comportement du serveur.

Configuration

La configuration de la connexion est réalisée dans le fichier zenon6.ini, qui comporte les sections suivantes :

  • Diagnosis Client
  • Diagnosis Server
  • Différentes versions sont disponibles, afin d'éviter que la configuration d'une version n'affecte pas l'autre

La configuration du module Diagnosis Viewer vous permet également de configurer les paramètres de la connexion :

  • Paramétrage du serveur
  • Paramètres de connexion, Connexion au serveur de diagnostic
  • Diagnosis Client
  • Diagnosis Viewer - Programme d'analyse

Nous vous recommandons de configurer la connexion pour le serveur et le client par le biais du fichier zenon6.ini.

Procédure

Diagnosis Server est :

  • Un service exécuté sur l'ordinateur.
    Le service démarre automatiquement au démarrage du système d'exploitation. Le service local ne peut être démarré qu'une fois.
  • Une application sous CE.
    Sous CE, un seul procédé peut utiliser le port. Les autres procédés démarrés s'arrêtent automatiquement, car le port ne peut pas être ouvert. Si la configuration locale du service Diagnosis Server est définie sous CE, de telle manière que seule l'interface utilisateur est affichée (INIT=2), plusieurs processus peuvent apparaître au niveau de Diagnosis Clients et tenter de démarrer le service Diagnosis Server local.

Dès qu'un client Diagnosis Client est actif, les étapes suivantes sont effectuées :

  1. Diagnosis Client lit et utilise les informations de configuration du fichier zenon6.ini. Si aucune configuration n'est disponible dans zenon6.ini, la configuration par défaut (Diagnosis Server=localhost:50780) est utilisée.
  2. Diagnosis Client tente d'établir une connexion à Diagnosis Server :

    Establishing successful (Connexion établie avec succès) :

    1. la connexion de diagnostic a été établie, et les entrées de fichier journal sont transmises.

    Establishing failed (Échec de l'établissement de la connexion) :

    1. Diagnosis Client tente de démarrer et d'utiliser le service Diagnosis Server local.
      Sur un PC, il tente de démarrer le service.
      Sous CE, il tente de créer le processus.
    2. Diagnosis Client tente d'établir une connexion au service Diagnosis Server local : s'il y parvient, la connexion de diagnostic est établie et les entrées de fichier journal sont envoyées.

    S'il échoue, aucune entrée de fichier journal n'est créée.

Autres sujets abordés dans ce chapitre

Entrées du fichier zenon6.ini

Windows CE


Entrées du fichier zenon6.ini

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Procédure standard -> Entrées du fichier zenon6.ini

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration de zenSysSrv et zenLogSrv est effectuée par le biais du fichier zenon6.ini. La procédure de configuration diffère entre les versions 7.00 et ultérieures, et les versions 6.51 et antérieures. Vous pouvez configurer des clients de diagnostic et serveurs de diagnostics récents ou anciens indépendamment les uns des autres, sur un même ordinateur. Par exemple, les entrées de fichier journal des anciens clients de diagnostics sont reroutées, sans que les entrées de fichier journal des nouveaux clients n'en soient affectées.

Diagnosis Server avant la version 7.00 SP0

Entrée de fichier INI

Description

[SYS_REMOTE]

Section dans zenon6.ini.

Contient des paramètres pour zenSysSrv (modules Remote Transport et Diagnosis Server).

LOGDirectory=

Définit le dossier des fichiers journaux.

En l'absence d'entrée, le dossier LOG du dossier ProgramData est utilisé par défaut.

Exemple :
LOGDirectory= %ProgramData%\COPA-DATA\zenon651\LOG

CONFIG=

Chaîne de configuration pour les modules Diagnosis Server et zenSysSrv. Remote Transport et le système de diagnostic utilisent la même configuration de serveur jusqu'à la version 6.51 SP0 incluse. La chaîne comprend les éléments suivants : DEVICE=[Équipement];HOST=[Nom d'hôte];PORT=[Port];TIMEOUT=[Délai d'attente]

  • DEVICE: définit le type de communication utilisé.
    Les types TCP/IP et série sont disponibles.
  • HOST : défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT : indique le port utilisé.
  • TIMEOUT : fournit le délai d'expiration de la connexion, en secondes.
  • BAUD : indique la vitesse d'une connexion série.

Configuration du PC :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configuration de CE :

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Définit la quantité minimale de mémoire (en Mo) devant être disponible sur le disque dur. Les fichiers journaux (LOG) sont supprimés avant que cette valeur ne soit dépassée.

Par défaut : 1024

LOGMaxUsedDiskSpace=

Définit la quantité maximale de mémoire, en Mo, utilisée par les fichiers journaux sur le disque dur. Les fichiers journaux (LOG) sont supprimés si cette valeur est dépassée.

Par défaut : 1024

LOGMinUsedDiskSpace=

Définit la quantité de mémoire (en Mo) utilisée sur le disque dur, même en l'absence de fichiers journaux.

Par défaut : 5

LOGLogLifeTime=

Définit le cycle de vie des fichiers journaux, en secondes. Les fichiers journaux les plus anciens sont supprimés.

Par défaut : 1209600 (correspond à 14 jours)

LOGImageCnt=

Définit le nombre d'entrées de fichiers journaux ; au-delà de ce nombre, des fichiers journaux incrémentiels sont créés.

Par défaut : 0

LOGLogUpdateTime=

Nombre de millisecondes après lequel les entrées de fichiers journaux reçues sont écrites dans un fichier journal.

Par défaut : 2000

LOGMaxBufferedRecs=

Définit le nombre d'entrées de fichiers journaux conservées en mémoire tampon si elles ne peuvent pas être écrites dans les fichiers journaux.

Par défaut : 10240

LOGMaxLogFileSize=

Taille maximum d'un fichier log en octets. Si un fichier journal atteint cette taille, il est fermé et un nouveau fichier journal est créé.

Par défaut : 5242880 (correspond à 5 Mo)

LOGCheckDiskTime=

Définit l'intervalle en secondes durant lequel la mémoire occupée par les fichiers journaux est contrôlée.

Par défaut : 60

INIT=

Action lors du démarrage de l'application dans Windows CE :

  • 0 : terminer immédiatement
  • 1 (ou toute autre valeur supérieure à 2) : ouvrir le port d'écoute et minimiser dans la barre des tâches.
  • 2 : afficher uniquement la surface.

Par défaut : 1

Remarque : dans le cadre de la séparation de zenSysSrv et zenLogServ dans zenon 7.00, cette valeur par défaut a également été modifiée pour d'autres versions. La valeur par défaut était auparavant 2.

Diagnosis Server à partir de la version 7.00 SP0

Entrée de fichier INI

Description

[LOGGING_SYSTEM]

Section dans zenon6.ini.

Contient les paramètres du module Diagnosis Server. Affecte uniquement zenLogSrv et n'a aucune incidence sur zenSysSrv.

LOGDirectory=

Définit le dossier des fichiers journaux.

En l'absence d'entrée, les paramètres suivants sont utilisés comme valeur standard :

Le chemin extrait de la base de registres,
par exemple : %ProgramData%\COPA-DATA\LOG

Le dossier LOG du dossier ProgramData du module zenLogSrv, si aucun chemin n'est défini dans la base de registres,
par exemple %ProgramData%\COPA-DATA\zenon700\LOG

CONFIG=

Chaîne de configuration du module Diagnosis Server. La chaîne comprend les éléments suivants : DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST : défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT : indique le port utilisé.
  • TIMEOUT : fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Définit la quantité minimale de mémoire (en Mo) devant être disponible sur le disque dur. Les fichiers journaux (LOG) sont supprimés avant que cette valeur ne soit dépassée.

Par défaut : 1024

LOGMaxUsedDiskSpace=

Définit la quantité maximale de mémoire, en Mo, utilisée par les fichiers journaux sur le disque dur. Les fichiers journaux (LOG) sont supprimés si cette valeur est dépassée.

Par défaut : 1024

LOGMinUsedDiskSpace=

Définit la quantité de mémoire (en Mo) utilisée sur le disque dur, même en l'absence de fichiers journaux.

Par défaut : 5

LOGLogLifeTime=

Définit le cycle de vie des fichiers journaux, en secondes. Les fichiers journaux les plus anciens sont supprimés.

Par défaut : 1209600 (correspond à 14 jours)

LOGImageCnt=

Définit le nombre d'entrées de fichiers journaux ; au-delà de ce nombre, des fichiers journaux incrémentiels sont créés.

Par défaut : 0

LOGLogUpdateTime=

Nombre de millisecondes après lequel les entrées de fichiers journaux reçues sont écrites dans un fichier journal.

Par défaut : 2000

LOGMaxBufferedRecs=

Définit le nombre d'entrées de fichiers journaux conservées en mémoire tampon si elles ne peuvent pas être écrites dans les fichiers journaux.

Par défaut : 10240

LOGMaxLogFileSize=

Taille maximum d'un fichier log en octets. Si un fichier journal atteint cette taille, il est fermé et un nouveau fichier journal est créé.

Par défaut : 5242880 (correspond à 5 Mo)

LOGCheckDiskTime=

Définit l'intervalle en secondes durant lequel la mémoire occupée par les fichiers journaux est contrôlée.

Par défaut : 60

INIT=

Action lors du démarrage de l'application dans Windows CE :

  • 0 : terminer immédiatement
  • 1 (ou toute autre valeur supérieure à 2) : ouvrir le port d'écoute et minimiser dans la barre des tâches.
  • 2 : afficher uniquement la surface.

Par défaut : 1

Diagnosis Client avant la version 7.00 SP0

Entrée de fichier INI

Description

[SYS_REMOTE]

Section dans zenon6.ini.

Contient les paramètres du module Diagnosis Client.

LOG_CONFIG=

Une chaîne de configuration du module Diagnosis Client est conservée ici. La chaîne comprend les éléments suivants : DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST : défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT : indique le port utilisé.
  • TIMEOUT : fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnosis Client à partir de la version 7.00 SP0

Entrée de fichier INI

Description

[LOGGING_SYSTEM]

Section dans zenon6.ini.

Contient les paramètres du module Diagnosis Client.

LOG_CONFIG=

Une chaîne de configuration du module Diagnosis Client est conservée ici. La chaîne comprend les éléments suivants :

DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST : défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT : indique le port utilisé.
  • TIMEOUT : fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Conseils

INI sous CE

Sous Windows CE, nous vous recommandons instamment de ne pas définir l'entrée INIT= (dans la section [LOGGING_SYSTEM] ou [SYS_REMOTE]) sur la valeur 2.

Pourquoi : la valeur 2 signifie que SysSrvCE et LogSrvCE affichent uniquement l'interface utilisateur, et n'ouvrent pas le port d'écoute.
Dans ce cas, si un service Diagnosis Client tente d'établir une connexion, il échouera. Dans ce cas, puisque le service Diagnosis Client démarre le procédé LogSrvCE et le procédé n'ouvre pas le port, chaque service Diagnosis Client démarre un procédé. Par conséquent, plusieurs procédés LogSrvCE s'exécutent en parallèle et le démarrage du service Diagnosis Client est retardé, car celui-ci attend l'expiration du délai d'attente de la connexion pour établir la connexion de diagnostic.

Utilisation de zenLogSrv sur un système comportant différentes versions

Si zenLogSrv est utilisé sur un système comportant différentes versions, utilisé en tant que serveur de diagnostic local central, l'entrée LOG_CONFIG de la section [SYS_REMOTE] doit être la suivante :
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Pourquoi : les anciens clients utilisent alors zenLogSrv en tant que serveur de diagnostics. Les nouveaux clients font cela automatiquement. Ce service est automatiquement activé sur le PC au démarrage du système ; il doit être démarré manuellement sous CE.

Attention : si le port ne peut pas être atteint, les anciens clients démarrent zenSysSrv et réessaient de s'y connecter.


Windows CE

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Procédure standard -> Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sous Windows CE, Diagnosis Server est démarré en tant qu'application.

Lors de la configuration de la connexion, tenez compte de la recommandation suivante concernant le paramètre INIT :

Sous Windows CE, nous vous recommandons instamment de ne pas définir l'entrée INIT= (dans la section [LOGGING_SYSTEM] ou [SYS_REMOTE]) sur la valeur 2.

Pourquoi : la valeur 2 signifie que SysSrvCE et LogSrvCE affichent uniquement l'interface utilisateur, et n'ouvrent pas le port d'écoute.
Dans ce cas, si un service Diagnosis Client tente d'établir une connexion, il échouera. Dans ce cas, puisque le service Diagnosis Client démarre le procédé LogSrvCE et le procédé n'ouvre pas le port, chaque service Diagnosis Client démarre un procédé. Par conséquent, plusieurs procédés LogSrvCE s'exécutent en parallèle et le démarrage du service Diagnosis Client est retardé, car celui-ci attend l'expiration du délai d'attente de la connexion pour établir la connexion de diagnostic.

Interface utilisateur sous CE

Transport Service (zenSysSrv)

Paramètres

Description

Départ

Ouvre le port d'écoute et permet à zenSysSrv de recevoir des commandes du module Remote Transport.

Explorer

Ouvre la boîte de dialogue de navigation du système de fichiers.

Stop

Désactive la réception des commandes du module Remote Transport et ferme le port d'écoute.

Configuration

Sélection d'une configuration de recette existante dans une liste déroulante. Les nouvelles connexions ne peuvent pas être configurées. Reportez-vous à la section Entrées du fichier zenon6.ini pour configurer la connexion.
Les choix disponibles sont les suivants :

  • Configuration à partir du fichier zenon6.ini
  • Configuration standard pour TCP/IP
  • Configuration standard pour COM1 et COM4

Cachée

Réduit l'interface utilisateur dans la barre des tâches.

Quitter

Ferme l'application et le port d'écoute, si nécessaire.

X
(bouton en haut à droite)

Réduit l'interface utilisateur dans la barre des tâches.

Service de journalisation (zenLogSrv)

Paramètres

Description

Départ

Ouvre le port d'écoute et permet à zenLogSrv de recevoir des entrées du fichier journal.

Stop

Désactive la réception des entrées de journal et ferme le port d'écoute.

Configuration

Sélection d'une configuration existante dans une liste déroulante. Les nouvelles connexions ne peuvent pas être configurées. Reportez-vous à la section Entrées du fichier zenon6.ini pour configurer la connexion.
Les choix disponibles sont les suivants :

  • Configuration à partir du fichier zenon6.ini
  • Configuration standard pour TCP/IP

Cachée

Réduit l'interface utilisateur dans la barre des tâches.

Quitter

Ferme l'application et le port d'écoute, si nécessaire.

X
(bouton en haut à droite)

Réduit l'interface utilisateur dans la barre des tâches.


Diagnosis Server

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le service Diagnosis Server :

  • Crée et gère les fichiers log.
  • Le serveur est :
    • Déployé sous le nom zenLogSrv à partir de zenon 7.00
    • Intégré à zenSysSrv jusqu'à la version zenon 6.51
  • La configuration du serveur est lue à partir du fichier zenon6.ini.
  • Le serveur écrit les données reçues dans le fichier log.
  • L'emplacement des fichiers enregistrés doit être configuré. Standard : %ProgramData%\COPA-DATA\LOG\
  • Les fichiers journaux sont nommés comme suit : LOG<AAMMJJhhmmss>.txt.
  • Le serveur est multi-client. Plusieurs évaluations peuvent se connecter simultanément au serveur.
  • Il est possible de se connecter au serveur en ligne pour voir les messages couramment enregistrés.
  • Il est possible de se connecter aux serveurs de diagnostics autres que le serveur local et d'exécuter les mêmes tâches (configuration du serveur, configuration des clients, journalisation en ligne) que sur le serveur local.
  • Les paramètres du serveur actuel (auquel est connecté l'outil Diagnosis Viewer) peuvent être modifiés. Si un autre serveur de diagnostic doit être modifié, la connexion serveur peut être changée avec le menu Fichier – Connexion à....
  • L’entrée de menu Paramètres – Server configuration (Configuration du serveur) est disponible seulement si la fonction de journalisation en ligne n’est pas utilisée.

Autres sujets abordés dans ce chapitre

Contrôle de l'intégrité du système

Paramétrage du serveur


Contrôle de l'intégrité du système

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Server -> Contrôle de l'intégrité du système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Au démarrage du Runtime, un fil de surveillance doté d'une priorité élevée est également démarré. Le fil de surveillance contrôle les paramètres critiques toutes les dix secondes et inscrit les avertissements ou erreurs correspondants dans le module de supervision du service Diagnosis Server.

Les paramètres suivants sont contrôlés.

Paramètres | Limite
Seuil d'avertissement des descripteurs utilisés | > 5000
Seuil d'erreur des descripteurs utilisés | > 9000
Seuil d'avertissement des objets GDI utilisés | > 5000
Seuil d'erreur des objets GDI utilisés | > 9000
Seuil d'avertissement d'utilisation du processeur pour le fil principal | > 70 %
Seuil d'erreur d'utilisation du processeur pour le fil principal | > 90 %
Seuil d'avertissement d'utilisation totale du processeur | > 70 %
Seuil d'avertissement d'utilisation totale du processeur | > 90 %
Seuil d'avertissement de mémoire principale libre | < 30 %
Seuil d'erreur de mémoire principale libre | < 10 %
Seuil d'avertissement du paramètre OnTimer dans l'ordinateur central | > 1000 ms
Seuil d'erreur du paramètre OnTimer dans l'ordinateur central | > 5000 ms


Paramétrage du serveur

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Server -> Paramétrage du serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le service Diagnosis Server peut être configuré par le biais des entrées du fichier zenon6.ini, ou de la boîte de dialogue Server configuration (Configuration du serveur) dans Diagnosis Client. Nous recommandons d'effectuer la configuration par le biais du fichier zenon6.ini.

Configuration via le fichier zenon6.ini

Reportez-vous à la section Entrées du fichier zenon6.ini.

Configuration via la boîte de dialogue

Pour configurer Diagnosis Server par le biais de la boîte de dialogue :

  1. Démarrez l'outil Diagnosis Viewer
  2. Ouvrez l'entrée Fichier – Connexion à....
  3. Configurez le serveur souhaité
    (Veillez à sélectionner le port adéquat, selon la version utilisée !)
  4. Sélectionnez l'option Paramètres -> Server configuration (Configuration du serveur).
  5. Configurez les événements à consigner dans le fichier journal
  6. Fermez la configuration en cliquant sur OK

Remarque : toutes les modifications sont écrites dans le fichier zenon6.ini lors de la confirmation de la boîte de dialogue.

Configuration des événements devant être consignés par Diagnosis Viewer dans le fichier journal :

Paramètre | Description
Modules | Sélection des modules que vous souhaitez configurer.
Message level (Niveau de message) | Sélection des événements devant être consignés dans le fichier journal. Par défaut : Erreurs
LOGImageCnt | Nombre d'enregistrements après lesquels tous les champs incrémentiels seront écrits. Par défaut : 0 (inactive)
LOGMinFreeDiskSpace | On vérifie continuellement si l'espace disque libre disponible est inférieur au minimum configuré. Les fichiers journaux les plus anciens sont détruits. Espace disque libre minimum en Mo avant que les fichiers de traces ne soient détruits. Par défaut : 1024 MB
LOGMaxUsedDiskSpace | Espace disque maximum occupé par les fichiers de traces en Mo. Par défaut : 1024 MB
LOGMinUsedDiskSpace | Espace disque minimum utilisé en Mo, indépendamment du fait que LOGMinFreeDiskSpace ne soit pas dépassé. Par défaut : 5 MB
LOGLogUpdateTime | Délai en ms après lequel les entrées reçues sont enregistrées. Par défaut : 2000 ms
LOGMaxBufferedRecs | Le serveur stocke (buffer) le contenu de tous les champs de fichiers journaux incrémentiels pour les diverses applications, de façon à être capable de faire une image de ceux-ci dans le fichier journal. Avec le démarrage d'un fichier journal et après un nombre paramétrable d'entrées dans le fichier journal, une image complète de toutes les adresses est écrite dans le fichier journal. Les données reçues sont écrites dans les fichiers journaux. L'entrée est faite via un 'buffer' (zone mémoire) temporaire. Vous pouvez configurer l'écriture immédiate ou décalée des données. Nombre d'entrées mémorisées si l'écriture est impossible. Par défaut : 10240
LOGMaxLogFileSize | Le serveur écrit les données reçues dans le fichier journal. Si le fichier journal atteint la taille configurée, un nouveau fichier est créé pour les nouveaux enregistrements. Taille maximale d'un fichier journal en octets. Par défaut : 5 MB
LOGDirectory | Dossier dans lequel sont enregistrés les fichiers journaux. Par défaut : %ProgramData%\COPA-DATA\LOG\
LOGLogLifeTime | On vérifie continuellement si la durée de vie des fichiers journaux est dépassée. Les fichiers journaux les plus anciens sont détruits. Nombre de secondes pendant lesquelles les fichiers journaux seront conservés. Par défaut : 14 jours
LOGCheckDiskTime | Temps en secondes, durant lequel on teste l'espace disque utilisé. Par défaut : 60 s
Message level for all modules (Niveau de message pour tous les modules) | Les paramètres sont repris pour tous les modules.
Default values (Valeurs par défaut) | Rétablit les paramètres par défaut.
Accepter | Accepter les paramètres pour ce module.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
OK | Appliquer toutes les modifications et ferme la boîte de dialogue.


Diagnosis Client

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tous les programmes générant des entrées de fichier journal sont appelés "clients de diagnostic" (Diagnosis Client). Les entrées de fichier journal sont envoyées au service Diagnosis Server, via TCP/IP. L'ordinateur et le numéro de port du serveur sont lus (selon la version utilisée) dans le fichier zenon6.ini local, et le contact est établi. En cas de défaillance de la connexion, la procédure suivante est effectuée cycliquement :

  • Si le service Diagnosis Server ne peut pas être contacté, une tentative de reconnexion est effectuée toutes les 500 ms.
  • Si aucune connexion n'a pu être établie après la moitié du délai d'attente, le système essaie de démarrer le service zenSysSrv ou zenLogSrv.

Les paramètres sont configurés par le biais de l'entrée LOG_CONFIG=, dans la section [SYS_REMOTE] (jusqu'à la version 6.51) ou la section [LOGGING_SYSTEM] (à partir de la version 7.00).

Configuration de Diagnosis Client

Pour configurer Diagnosis Client par le biais de la boîte de dialogue :

  1. Démarrez l'outil Diagnosis Viewer
  2. Sélectionnez Paramètres -> Client configuration (Configuration du client)
    (uniquement disponible si la fonction de journalisation est inactive)
  3. Sélectionnez un client
  4. Cliquez sur Liste de paramètres
  5. La boîte de dialogue de configuration s'affiche à l'écran.
  6. Configurez le client
  7. Fermez la configuration en cliquant sur OK
  8. Répétez la procédure pour les autres clients, si nécessaire

Liste de clients

Paramètre | Description
Clients | Affiche la liste de tous les clients disponibles.
Actualiser | Actualise la liste de clients.
List of parameters (Liste de paramètres) | Ouvre la boîte de dialogue de configuration du client sélectionné.
Fermer | Ferme la boîte de dialogue.

Configure Client (Configurer le client)

Les modules standard disponibles :

Paramètre

Description

Modules

Sélection des modules que vous souhaitez configurer.

La liste est composée de modules standard et de modules dépendants du client concerné.

  • General : Messages généraux
  • Net: Messages de réseau
  • Proxy : Messages du proxy de zenon
  • Db: Messages de zenDbSrv
  • SysSrv: Messages de zenSysSrv
  • Driver: Messages d'un driver
  • Log: Messages de traces
  • SAT: Messages spécifiques à SICAM 230

Message level (Niveau de message)

Définit le type d'informations devant être consignées.

Tout

Sélectionne tous les éléments.

None (Aucune)

Désélectionne tous les éléments.

Message level for all modules (Niveau de message pour tous les modules)

Attribue les niveaux de message sélectionnés à tous les modules.

Max buffered records

Nombre d'enregistrements à stocker si aucune connexion au serveur n'est établie.
Par défaut : 256

OK

Applique toutes les modifications et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Accepter

Applique toutes les modifications. La boîte de dialogue reste ouverte.

Default values (Valeurs par défaut)

Rétablit les valeurs par défaut.


Diagnosis Viewer - Programme d'analyse

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Viewer - Programme d'analyse

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'outil Diagnosis Viewer permet d'afficher les données des fichiers journaux. Il se connecte au service Diagnosis Server pour afficher les données en ligne, ou lire les fichiers journaux historiques. Les fichiers journaux contiennent non seulement les données de journalisation, mais également d'autres informations importantes pour l'analyse, telles que les en-têtes de colonnes.

Pour afficher un fichier journal :

  1. Sélectionnez Fichier -> Ouvrir
  2. La boîte de dialogue de sélection de fichier journal s'affiche ; le dossier configuré par défaut est sélectionné
  3. Sélectionnez le fichier de votre choix
  4. Le fichier journal est affiché

  5. Double-cliquez sur une entrée pour afficher la vue détaillée

Identifier un dépassement de capacité de la file d'attente au niveau du driver

Si les messages d'un driver sont supprimés en raison d'un dépassement de capacité de la vile d'attente, Diagnosis Client et le service Diagnosis Server définissent un marqueur lors de l'écriture d'une nouvelle entrée pour tous les modules activés, indiquant que les entrées antérieures ont été supprimées de la file d'attente. Les reconnaissances de dépassement de capacité mentionnées dans les fichiers journaux ouverts sont comptées :

Paramètre | Description
Colonne Record version (Version de l'enregistrement) | Cette colonne doit former partie de la sélection de colonnes. Elle indique le numéro de version de l'enregistrement de données. La version 8x signale les dépassements de capacité.
Compteur 82 | 8 indique le dépassement de capacité, 2 désigne la version concernée de l'enregistrement de données.
Barre d'état : Dépassements de file d'attente | Si la barre d'état est active, le nombre de dépassements de capacité est affiché ici.

Remarque : toutes les entrées consignées dans le fichier journal ne sont pas affichées. Si un enregistrement de données de fichier journal est signalé avec un marqueur de dépassement de capacité, il sera affiché au niveau du prochain enregistrement de données visualisé de ce client. Si plusieurs entrées non affichées consécutives sont signalées avec un marqueur de dépassement, la valeur affichée par le compteur de la barre d'état peut être différente du nombre d'enregistrements de données signalés par des marqueurs de dépassement de capacité.

Autres sujets abordés dans ce chapitre

Paramétrage global


Paramétrage global

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Viewer - Programme d'analyse -> Paramétrage global

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les entrées sont en anglais.

Paramètres

Description

Fichier

Commandes du menu Fichier.

Ouvrir

Ouvre la boîte de dialogue de sélection d'un fichier journal enregistré au format TXT. Chaque nouveau fichier ouvert est affiché dans sa propre fenêtre.

Open to active document

Chaque nouveau fichier journal est ajouté à la fenêtre active.

Fermer

Ferme la fenêtre active.

Enregistrer

Enregistre les fichiers journaux de la fenêtre active.

Enregistrer sous

Enregistre la vue courante de la fenêtre active (e.g paramétrage des filtres) dans un fichier à sélectionner.

Remote Download

Uniquement disponible si une connexion au service Diagnosis Server distant est présente. Permet le téléchargement des fichiers journaux à partir du serveur distant vers le répertoire de fichiers journaux local. Un sous-répertoire avec le nom du PC est créé. Seulement les fichiers, qui ont changés ou qui sont nouveaux, sont disponibles.

Connect to

Ouvre la boite de dialogue de sélection de la connexion.

Online

Active la vue des erreurs en ligne
Si la fonction de journalisation en ligne est démarrée, toutes les entrées entrantes sont affichées. Une boite de dialogue de filtre identique à celle montrée pour lire les fichiers peut être renseignée ici.

Différence : Si aucune connexion de fichier journal n'est sélectionnée, toutes les entrées de fichiers journaux entrantes sont affichées, sinon on affiche uniquement celles de la connexion sélectionnée.

Si le filtre de la connexion de fichier journal est modifié, toutes les entrées qui ne remplissent pas les critères de filtre seront perdues. (Le fichier journal est tout de même créé, et toutes les entrées sont enregistrées.) Les entrées affichées peuvent être sauvegardées.

Offline

Désactive la vue des erreurs en ligne (Par défaut)

Quitter

Ferme Diagnosis Viewer.

Autres sujets abordés dans ce chapitre

Paramètres de connexion, Connexion au serveur de diagnostic

Paramétrage des colonnes


Paramètres de connexion, Connexion au serveur de diagnostic

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Viewer - Programme d'analyse -> Paramétrage global -> Paramètres de connexion, Connexion au serveur de diagnostic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'outil Diagnosis Viewer se connecte automatiquement au serveur standard sélectionné au démarrage. Si aucun serveur standard n'est défini, localhost est utilisé en tant que serveur standard. La configuration du serveur peut également être effectuée par le biais du fichier zenon6.ini (procédure recommandée).

Sélection du service Diagnosis Server

Cliquez sur Fichier -> Connect to... (Connecter à...) pour ouvrir la boîte de dialogue de sélection de serveur :

Paramètre

Description

List Server (Liste de serveurs)

Dresse la liste de tous les serveurs configurés et les affiche :

  • État
  • Nom
  • Port
  • Timeout

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

New Server

Ouvre la boîte de dialogue de configuration d'un nouveau serveur.

Delete Server

L'entrée correspondant au serveur sélectionné est supprimée de la liste.

Edit Server (Modifier le serveur)

Ouvre la boîte de dialogue de configuration du serveur sélectionné.

Connect to

Établit une connexion au serveur sélectionné.

Par défaut

Le serveur sélectionné devient le serveur standard.

Création et modification du service Diagnosis Server

Cliquez sur Nouveau serveur ou Edit Server (Modifier le serveur) dans la boîte de dialogue de connexion au service Diagnosis Server pour afficher la boîte de dialogue de configuration du serveur :

Paramètre | Description
Nom du serveur | Nom du PC auquel se connecter. Le procédé suivant doit être en cours d'exécution sur l'ordinateur : Jusqu'à la version 6.51 : zenSysSrv A partir de la version 7.00 zenLogSrv
Port | Port du service sur l'ordinateur cible : Jusqu'à la version 6.51 : 1101 À partir de la version 7.00 : 50780
Timeout | Délai d'attente, en secondes, de la réponse du service Sysservice. Par défaut : 10 s
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Abandonne les paramètres et ferme la boîte de dialogue.


Paramétrage des colonnes

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Diagnosis Viewer - Programme d'analyse -> Paramétrage global -> Paramétrage des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Plusieurs colonnes prédéfinies peuvent être sélectionnées dans le menu Paramètres -> Paramétrage des colonnes. Ces colonnes et leurs entrées sont affichées automatiquement sur l'ouverture d'un nouveau fichier. De même le tri et la largeur des colonnes de la sélection sont pris en compte. Lors de l'ouverture, la largeur de colonne doit être définie sur Autosize (Taille auto.).

Paramètres | Description
Available (Disponibles) | Colonnes disponibles
Selected (Sélectionnés) | Colonnes affichées
> | Ajoute les colonnes sélectionnées dans la section Available (Disponibles) la section Selected (Sélectionnées)
>> | Ajoute toutes les colonnes de la section Available (Disponibles) à la section Selected (Sélectionnées)
< | Supprime les colonnes sélectionnées de la section Selected (Sélectionnées)
<< | Supprime toutes les colonnes sélectionnées de la section Selected (Sélectionnées)
^ | Trie les entrées sélectionnées au niveau supérieur (sélection multiple autorisée)
v | Trie les entrées sélectionnées au niveau inférieur (sélection multiple autorisée)
OK | Applique les paramètres et ferme la boîte de dialogue.
Annuler | Abandonne les paramètres et ferme la boîte de dialogue.

Les colonnes peuvent également être configurées par le biais du menu contextuel :

Paramètres | Description
Add all columns with entry | Ajoute toutes les colonnes contenant des entrées.
Remove Column | Masque la colonne sélectionnée.
Remove all empty columns | Masque toutes les colonnes ne contenant pas des entrées.
Column width automatic | La largeur de la colonne sélectionnée est ajustée automatiquement en fonction de l'entrée la plus longue.
All columns widths automatic | La largeur de toutes les colonnes est ajustée automatiquement en fonction de l'entrée la plus longue.


Possibilités de filtres

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Possibilités de filtres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour définir des filtres, ouvrez la boîte de dialogue de filtre correspondante en cliquant sur le symbole ou l'onglet du filtre approprié.

Filtre de la barre de symboles

Pour utiliser la barre de symboles, vous devez l'activer dans le menu View (Vue), par le biais de l'option Icon bar (Barre d'icônes).

Symbole | Info-bulles | Description
1 | Change pre-filter settings (Modifier les paramètres de préfiltre) | Ouvre une boîte de dialogue comportant cinq onglets permettant de configurer des filtres.
2 | Change pre-filter for IP-ProcessID-LogID (Modifier les paramètres de préfiltre pour IP-ProcessID-LogID) | Ouvre l'onglet IP address - ProcessNo - Log ID(Adresse IP - No. procédé - ID de fichier journal).
3 | Change pre-filter for modules (Modifier les paramètres de préfiltre pour les modules) | Ouvre l'onglet Modules.
4 | Change pre-filter for additional columns (Modifier les paramètres de préfiltre pour les colonnes supplémentaires) | Ouvre l'onglet Modules (Colonnes supplémentaires).
5 | Change pre-filter for time interval (Modifier les paramètres de préfiltre pour l'intervalle de termps) | Ouvre l'onglet Modules (Intervalle de temps).
6 | Change pre-filter for coloring (Modifier les paramètres de préfiltre de coloration) | Ouvre l'onglet Colors (Couleurs).

Avec dialogue de filtre

Onglets | Description
IP-ProcessID-LogID (Adresse IP - No. de procédé - ID de fichier journal) | Ouvre l'onglet Adresse IP - No. de procédé - ID de fichier journal permettant de configurer la connexion devant être consignée dans le fichier journal.
Modules | Ouvre l'onglet Modules permettant de définir les modules devant être consignés dans le fichier journal.
Colonnes supplémentaires | Ouvre l'onglet Colonnes supplémentaires permettant de sélectionner les colonnes supplémentaires à afficher.
Intervalle de temps | Ouvre l'onglet Time interval (Intervalle de temps) permettant de définir le filtre de temps.
Couleurs | Ouvre l'onglet Couleurs permettant de définir le code de couleurs d'affichage des informations.

Autres sujets abordés dans ce chapitre

IP address - Process No - Log ID (Adresse IP - No. de procédé - ID de fichier journal)

Modules

Colonnes supplémentaires

Intervalle de temps

Couleurs


IP address - Process No - Log ID (Adresse IP - No. de procédé - ID de fichier journal)

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Possibilités de filtres -> IP address - Process No - Log ID (Adresse IP - No. de procédé - ID de fichier journal)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration des connexions et procédés à afficher.

Paramètre | Description
Available (Disponibles) | Liste de connexions disponibles.
Selected (Sélectionnés) | Liste de connexions sélectionnées.
Touches fléchées du clavier | Ajoute les connexions sélectionnées (>) ou toutes les connexions (>>) à la liste Sélectionné, ou les supprime de la liste (< ou <<).
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Modules

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Possibilités de filtres -> Modules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélection des modules devant être affichés.

Paramètre | Description
Filtre de modules actif | Actif : des filtres sont actifs au niveau des modules. Lorsque cette option est activée, seuls les enregistrements de données attribués à un module sélectionné sont affichés.
Available (Disponibles) | Modules disponibles.
Selected (Sélectionnés) | Modules sélectionnés.
Touches fléchées du clavier | Ajoute les connexions sélectionnées (>) ou toutes les connexions (>>) à la liste Sélectionné, ou les supprime de la liste (< ou <<).
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Colonnes supplémentaires

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Possibilités de filtres -> Colonnes supplémentaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélection des colonnes supplémentaires devant être affichées.

Paramètre | Description
Available (Disponibles) | Liste de colonnes disponibles. Toutes les définitions de champs existantes dans le fichier sont affichées.
Selected (Sélectionnés) | Liste de colonnes sélectionnées.
Touches fléchées du clavier | Ajoute les connexions sélectionnées (>) ou toutes les connexions (>>) à la liste Sélectionné, ou les supprime de la liste (< ou <<).
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Intervalle de temps

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Possibilités de filtres -> Intervalle de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration du filtre de temps pour l'affichage des entrées.

Paramètres | Description
Heure de début : | Sélection de la date et de l'heure à partir desquelles les entrées doivent être affichées. Par défaut : Date actuelle
Heure de fin : | Sélection de la date et de l'heure jusqu'auxquelles les entrées doivent être affichées. Par défaut : Date actuelle
Reset time interval (Réinitialiser l'intervalle) | Rétablit les valeurs par défaut du filtre.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Couleurs

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Possibilités de filtres -> Couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélection du code de couleurs des informations.

Paramètres | Description
Élément associé à la couleur : | Sélection de la couleur
Adresse IP | Actif : les différentes adresses IP sont colorées différemment.
Modules | Actif : Les différents modules sont colorés différemment.
Connexion de journalisation | Actif : les différents noms de la connexion de journalisation sont colorés différemment.
No colors (Pas de couleurs) | Actif : les entrées ne sont pas colorées.
OK | Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.
Annuler | Abandonne toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.


Lecture des fichiers journaux

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Lecture des fichiers journaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un ou plusieurs fichiers journaux peuvent être ouverts afin d'être analysés en même temps.

Un "pré-filtre" doit être mis en place pour limiter l'affichage.

Ceci est possible à l'aide de cinq pages de propriétés. Le filtre peut être modifié ultérieurement. Si le filtre est défini, seules les entrées remplissant les critères du filtre sont affichées. Ces entrées sont listées de façon chronologique.

Une autre possibilité de filtre est disponible avec les filtres de colonnes. Les critères de filtre peuvent être définis pour chaque colonne en dessous de l'entête de colonne. Les champs supportent les expressions génériques, ce qui permet donc aussi de définir des critères de filtre complexes.

Il est possible de trier la liste (en ordre croissant ou décroissant) en cliquant sur l'en-tête de colonne.

Les entrées affichées peuvent être sauvegardées.

Champs du fichier journal :

Paramètre | Description
IP address/Process ID/Log ID | Ces champs identifient les clients et permet une attribution correcte du message.
Name of log connection | montre le nom de la connexion.
Thread ID | ID du "thread" dans lequel le message a été entré.
Timestamp | Horodatage du message en UTC.
Message Level | Montre le nom du niveau de message qui a entré le message.
Modules | Nom du module qui a entré le message.

Champs optionnels avec des ID fixes.

ID | Constant | Description
1 | logid_logname | Nom de la connexion de journalisation
2 | logid_threadname | nom du "thread"
3 | logid_sourcefile | nom du fichier source
4 | logid_sourceline | Ligne source
5 | logid_assertcond | Condition d'affirmation
6 | logid_compname | Nom de l'ordinateur
7 | logid_funcname | Nom de la fonction
8 | logid_prjname | Nom du projet
9 | logid_prjguid | GUID du projet
A | logid_prjpath | chemin du projet
B | logid_tx | Donnée envoyée
C | logid_rx | Donnée reçue
D | logid_serialport | Numéro de l'interface série
E | logid_baud | Débit de données
F | logid_dtr | Paramétre DTR
10 | logid_rts | Paramètre RTS
11 | logid_bytesize | Longueur d'un caractère en liaison série
12 | logid_parity | Parity
13 | logid_stopbit | Nombre de bits de stop
14 | logid_ctsflow | CTS
15 | logid_dsrflow | DSR
16 | logid_dsrsens | Sensibilité DSR
17 | logid_port | Numéro de port réseau
18 | logid_srvname | Nom du serveur
19 | logid_sbname | Nom du serveur redondant
1A | logid_cliname | Nom du client
1B | logid_srvIP | Adresse IP du serveur
1C | logid_sbIP | Adresse IP du serveur redondant
1D | logid_cliIP | Adresse IP du client
1E | logid_bindump | Buffer binaire
1F | logid_ptr | Pointeur
20 | logid_classname | Nom de classe
21 | logid_errcode | Code d'erreur
22 | logid_dllinstance | Handle de l'instance de DLL
23 | logid_dllname | Nom de la DLL
24 | logid_errpar1 | Paramètre d'erreur driver 1
25 | logid_errpar2 | Paramètre d'erreur driver 2
26 | logid_trace | Message de trace
27 | logid_errortxt | Texte de l'erreur
28 | logid_errorfile | Nom du fichier d'erreurs
29 | logid_succeedcond | Condition de réussite
2A | logid_succeedvalue | Valeur lors de la réussite
2B | logid_net | Adresse réseau
2C | logid_db | Bloc de données
2D | logid_ofs | Offset
2E | logid_bit | Numéro de bit
2F | logid_area | Zone dans l'automate
30 | logid_dir | Montre la direction de la communication dans une chaîne de caractères.
31 | logid_txt | Texte général
32 | logid_mainvers | Numéro de version principale
33 | logid_minorvers | Numéro de version mineure
34 | logid_buildvers | Numéro de build
35 | logid_sp | Numéro de service pack
36 | logid_hotfix | Numéro de hotfix
37 | logid_clisrc | Client qui envoie la commande
38 | logid_clidst | Client qui est la cible pour la commande (destinataire)
39 | logid_pvid | Numéro de la variable (numéro de voie)
3A | logid_pvname | Nom de la variable
3B | logid_pvvalue | Valeur de la variable
3C | logid_pvstatus | État de la variable
3D | logid_pvtime | Horodatage de la variable en secondes
3E | logid_duration | Durée en ms
3F | logid_cnt | Nombre, compteur


Structure du fichier log

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Structure du fichier log

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fichiers log sont des fichiers texte ANSI. Les champs sont séparés par des tabulations. Le caractère de fin de ligne est CR+LF (Carriage Return + Line Feed). Ainsi Notepad peut être utilisé pour visualiser les fichiers.

Les fichiers contiennent des informations séquentielles et non pas triées chronologiquement.

Autres sujets abordés dans ce chapitre

Niveaux de message

Fonction de recherche

Profil


Niveaux de message

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Structure du fichier log -> Niveaux de message

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Huit groupes existent pour le partage des messages de log. Ils sont codés sur des bits et peuvent donc être combinés.

1 | Messages d'erreur
2 | Avertissements
4 | Message de succès.
8 | TRACE
16 | AFFIRMATION
32 | Messages Log
64 | Débogage
128 | Debug étendu


Fonction de recherche

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Structure du fichier log -> Fonction de recherche

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec la commande Afficher / Rechercher, vous pouvez effectuer des recherches dans la fenêtre active. Toutes les occurrences sont signalées.


Profil

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Structure du fichier log -> Profil

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration des colonnes peut être enregistrée sous forme de profils.

Pour enregistrer les profils :

  1. Saisissez un nom dans le champ situé dans la barre d'outils
  2. Cliquez sur le symbole de disque affiché sur le côté droit

Pour charger des profils :

  1. Sélectionnez un profil enregistré dans la liste déroulante
  2. Cliquez sur le deuxième de disque, affiché sur le côté droit

Les profils sont enregistrés dans des fichiers comportant l'extension *.lvs.


Gestion des erreurs et messages

Manuels -> Outils -> Diagnosis Viewer (Outil de diagnostic) -> Gestion des erreurs et messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Erreur

Erreur

Causes possibles

Le port ne peut pas être ouvert.
  • Une autre application utilise actuellement le port.
    Contrôler le port à l'aide de la commande netstat.
  • Les ports correspondant aux entrées
    [SYS_REMOTE] CONFIG et
    [LOGGING_SYSTEM] CONFIG
    sont identiques. zenLogSrv et zenSysSrv tentent alors d'ouvrir le même port.

Les services Diagnosis Client ne démarrent pas le service zenLogSrv
  • Le service zenAdminSrv s'est arrêté. Sans lui, le service ne peut pas démarrer.
  • Le service zenLogSrv n'est pas enregistré en tant que service sur le PC. Dans ce cas, saisissez les informations suivantes dans la ligne de commande : zenLogSrv.exe –Service
  • Les clients de diagnostic ne correspondent pas à la version 7.00 SP0 ou ultérieure. Le service zenLogSrv est uniquement pris en charge à partir de cette version.
  • Sous Windows CE : les composants individuels (Runtime, SysSrvCE, LogSrvCE) sont situés dans des dossiers différents. Ils doivent se trouver dans le même dossier. Dans le cas contraire, les composants ne peuvent pas se localiser.

Sous CE, de nombreux procédés sont créés par SysSrvCE.exe ou LogSrvCE.exe.
  • Une des deux entrées du fichier zenon6.ini
    [SYS_REMOTE] INIT ou
    [LOGGING_SYSTEM] INIT
    comporte la valeur 2.
    Par conséquent, l'application affiche uniquement l'interface utilisateur et n'ouvre pas le port d'écoute. Chaque client Diagnosis Client tente alors de démarrer le procédé, car il ne parvient pas à se connecter à Diagnosis Server.

Si plusieurs procédés sont exécutés simultanément, ils se ferment.

(Le message "Unhandled Exceptions of the Diagnosis Server" (Exceptions non gérées de Diagnosis Server) apparaît à la réception de messages de fichiers journaux ou de commandes de configuration des services Diagnosis Client et Diagnosis Viewer au démarrage, ou la à réception de la configuration)
  • Les versions ne correspondent pas. Les services Diagnosis Client, Diagnosis Server et Diagnosis Viewer doivent tous correspondre aux versions 7.00 SP0 ou ultérieures ou 6.51 SP0 ou antérieures (reportez-vous à la section Compatibilité).

Entrées de fichier journal

Entrée

Description

SysSrv received not supported network message! (SysSrv a reçu un message de réseau non pris en charge !)

zenSysSrv a reçu un télégramme de réseau non pris en charge. Exemple : entrées de fichier journal.

LogSrv received not supported network message! (LogSrv a reçu un message de réseau non pris en charge !)

zenLogSrv a reçu un télégramme de réseau non pris en charge. Exemple : Commandes Remote Transport

Impossible d'ouvrir le port d'écoute. Le serveur va être arrêté.

Le service zenLogSrv ou zenSysSrv n'a pas pu ouvrir le port d'écoute correspondant. Le message d'erreur est consigné comme suit :

  • zenLogSrv et zenSysSrv sur PC :
    Entrée dans la section d'affichage des événements de Windows.
  • zenSysSrv sous CE :
    Affichage d'un message pour l'utilisateur et ajout d'une entrée de fichier journal dans Diagnosis Server.
  • zenLogSrv sous CE :
    Affichage d'un message pour l'utilisateur.

Les entrées de fichier journal suivantes sont attribuées à différents systèmes. La première partie du message indique si le service ou le client sont affectés :

  • SysSrv : zenSysSrv
  • SysCli : client de zenSysSrv
  • LogSrv : zenLogSrv
  • LogCli : Diagnosis Client
Entrée | Description
[SysSrv/LogSrv/SysCli/LogCli] Info InitString [chaîne] | Une connexion réseau a été initialisée avec la chaîne de configuration affichée. Le serveur ouvre des ports et les clients se connectent au serveur.
[SysSrv/LogSrv/SysCli/LogCli] WINSOCK ERROR | Une exception s'est produite durant une opération sur le réseau. Les détails sont également affichés.
[SysSrv/LogSrv] Accept Failed! (Échec de l'acceptation !) | Une connexion entrante provenant d'un client n'a pas pu être acceptée.
[SysSrv/LogSrv/SysCli/ LogCli] Write Failed (Échec de l'écriture) | Les données qui devaient être transmises n'ont pas toutes pu être transmises. Le nombre d'octets envoyés et le nombre d'octets devant être envoyés sont affichés.
[SysSrv/LogSrv] Client [chaîne] in List Delete! | Le client s'est déconnecté du serveur.
[SysSrv/LogSrv] Client [chaîne] in List Insert | Le client s'est connecté au serveur.


Keyblock Runtime Start

Manuels -> Outils -> Keyblock Runtime Start

Keyblock Runtime Start est un programme permettant à la fois de démarrer le Runtime zenon et de verrouiller les touches système de Windows. Les raccourcis-clavier tels que la touche Windows ou Ctrl+Alt+Suppr sont désormais sans effet.

Cette fonction est nécessaire lorsque le Runtime zenon doit s'exécuter sous la forme d'une invite de commande. L'utilisateur ne peut plus accéder au système d'exploitation, mais peut en revanche uniquement utiliser l'interface utilisateur de zenon.
La condition préalable à ceci consiste à définir les propriétés du projet Titre runtime sur Pas de titre (tout l'écran). zenon s'exécute alors en plein écran, et le Runtime ne peut être réduit.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Autres sujets abordés dans ce chapitre

Utilisation

Protection des fichiers du Runtime


Utilisation

Manuels -> Outils -> Keyblock Runtime Start -> Utilisation

Pour utiliser le programme Keyblock Runtime Start :

  1. Dans le dossier de démarrage de Windows, sous COPA-DATA, accédez aux outils de zenon.
  2. Sélectionnez Keyblock Runtime Start.
  3. Le programme démarre et démarre automatiquement le Runtime.
  4. Le programme bloque tous les accès au système d’exploitation :
    • Raccourcis bloqués :

      Ctrl+Alt+Suppr

      Ctrl+Échap

      Alt+Tabulation

      Alt+Échap

      Alt+F4

      Touche Windows
      Lorsque les touches système sont bloquées, l'interaction normale avec les barres de défilement à l'aide de la souris dans le Runtime est également bloquée. Vous pouvez contourner ce blocage à l'aide du menu contextuel.

    • Masquage du panneau de configuration dans le menu Démarrer
    • Blocage de la barre d'outils
    • Évite

      Changer les mots de passe

      Fermer Windows

      Logout

      Verrouillage de l'ordinateur

      Changement d'utilisateur

    • Masquage de tous les éléments dans le gestionnaire de tâches

info Info

Si le programme Keyblock Runtime Start est démarré à l'aide du mécanisme de démarrage automatique du système d'exploitation :

  • assurez-vous que le dossier de démarrage automatique est spécifique à l'utilisateur : Si un autre utilisateur est connecté, le programme ne s'exécutera pas.
  • Le traitement des programmes de démarrage automatique peut être évité en appuyant sur Maj durant le démarrage du système d'exploitation.

Ce blocage ne peut pas être contourné durant le Runtime. Si le Runtime est fermé normalement, les limitations du système sont annulées. Si le Runtime doit pouvoir être utilisé sans ces limitations, le Runtime doit être démarré à la place du programme Keyblock Runtime Start.

attention Attention

Veillez toujours à fournir une possibilité de fermer le Runtime dans votre projet. Il est impossible de fermer le Runtime normalement.

  • S'il ne peut être arrêté qu'en éteignant l'ordinateur,
  • toutes les touches systèmes restent verrouillées après le redémarrage.

Pour réactiver l'accès aux touches système après une fermeture anormale (par exemple, coupure de courant) :

  • Redémarrez le Runtime à l'aide du programme Keyblock Runtime Start.
  • Fermez normalement le Runtime en cliquant sur le bouton Fermer.


Protection des fichiers du Runtime

Manuels -> Outils -> Keyblock Runtime Start -> Protection des fichiers du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'accès aux fichiers du Runtime peut être restreint pour bien protéger ces fichiers. De cette manière, un seul utilisateur Windows dispose de droits en lecture et écriture sur le dossier Runtime. Les autres utilisateurs Windows ne disposent d'aucun droit dans le dossier de Runtime (même pas de droits en écriture). Dans le Runtime, les opérateurs s'authentifient comme des utilisateurs de zenon.

In order to limit access to the file system:

  1. Only create a single Windows user (for instance: zenon_ADMIN) who is authorized to start zenon as well as to read and write in the zenon Runtime folder.
  2. Disable access to the zenon Runtime folder for all other Windows users – including read authorizations!
  3. Disable any remote access to the user zenon_ADMIN.
  4. Block any software for remote maintenance or remote access such as zenon Remote Desktop.
  5. Make sure that zenon can only be started if this user (zenon_ADMIN) is logged in.
    Since other Windows users do not have read authorization Runtime will only start in the context of this user (zenon_ADMIN).
  6. Make sure that zenon runs as shell:
    1. For this purpose, create a zenon autostart with Keyblock Runtime Start
    2. activate the property Bloquer les touches système in the group Paramètres runtime of project properties
    3. start zenon in full-screen mode: Set property Titre runtime to No title
    4. also bear multi-screen systems in mind in the configuration
    5. disable Explorer start
    6. do not offer file selection dialogues
      (in this case no functions may be projected which require the user to select files in Runtime)

The access to the zenon file system is then protected.


Mise à jour en ligne de l'aide de zenon

Manuels -> Outils -> Mise à jour en ligne de l'aide de zenon

Les fichiers PDF et l'aide en ligne sont mis à jour en ligne.

À cette fin, dans le dossier de programme de zenon, dans le sous-dossier Documentation 7.11, vous trouverez le programme Documentation Download Tool. Celui-ci fonctionne de manière similaire à la fonction Rechercher les mises à jour de Windows.

Paramètres

Description

Version :

Sélectionne la version (disponible à partir de zenon 6.51).

Langue :

nom de la langue du téléchargement souhaité.
Les langues suivantes sont actuellement disponibles :

  • Allemand
  • Anglais
  • Français
  • Italien

Information :

affiche les fichiers disponibles après sélection de la version et de la langue.

Démarrer le téléchargement

Démarre le processus de téléchargement.

Une fois la version et la langue sélectionnées, les fichiers disponibles sont affichés dans la fenêtre principale du programme Documentation Download Tool.
Cliquez sur le bouton Démarrer le téléchargement pour mettre l'aide à jour.

Les contenus suivants sont disponibles sous forme de fichiers PDF et d'aide incorporée, respectivement :

  • Manuels
  • Driver
  • Guides
  • Glossaire

info Info

Les droits d'administrateur sont nécessaires pour exécuter le programme Documentation Download Tool.

Pour définir le démarrage avec des droits d'administrateur :

  • cliquez avec le bouton droit sur l'icône du programme Documentation Download Tool.
  • Dans le menu Propriétés, sélectionnez :
  • Accédez à l'onglet Compatibilité dans la fenêtre suivante
  • Sélectionnez l'option Exécuter en tant qu'administrateur, puis
  • confirmez la configuration en cliquant sur OK.


Project Translation Interface

Manuels -> Outils -> Project Translation Interface

The tool is an aid for the translation of zenon projects:

  • Translatable texts can be broken down according to their use, for example screens, units and other texts.
  • The following screen is displayed for the translation.
  • The positioning of the text in the screen can be accentuated graphically (using Expose).
  • These are also displayed when using a text in several screens.
  • The individual screen display can be selected from several screens.
  • Text lengths are shown graphically (using highlighting).
  • This can be visualized if the length of text is exceeded.
  • In addition, font lists can be used for the graphic display.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Autres sujets abordés dans ce chapitre

Starting the translation tool

Technical background

Overview of graphical user interface

Main menu

Menu bar


Starting the translation tool

Manuels -> Outils -> Project Translation Interface -> Starting the translation tool

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

To start Project Translation Interface:

  1. In the Windows Start Menu, navigate to All Programs -> COPA-DATA
  2. Click on Project Translation Interface
  3. Project Translation Interface starts

Note: The tool is only available in English


Technical background

Manuels -> Outils -> Project Translation Interface -> Technical background

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The Project Translation Interface and the zenon Language Translation Wizard work together closely.

The Wizard

  • searches through COPA-DATA projects, for translated text
  • packs these into an XML file
  • creates screenshots of the screens with translatable texts
  • compresses the XML file together with the screenshots, the files for the language translation and the font lists of the projects into a ZIP file.
  • After translation in the Project Translation Interface, imports the translated texts back to zenon.

The interface

  • opens the ZIP file created by the Wizard
  • supports the translator with file structuring, word length check and and graphical display
  • exports the finished translation into a ZIP file


Overview of graphical user interface

Manuels -> Outils -> Project Translation Interface -> Overview of graphical user interface

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Window title | Description
Filter | Use of text in the grouped display. Note: The branch contains only groups that also actually contain text.
Main window | List of the text to be translated. Each column represents a language file in zenon.
Screenshot View | Screenshot of the screen selected in the Screens Overview.
Screens Overview | List with screenshots of the screens in which the text from the main window is used. Note: Graphics used are not displayed independently of language.


Main menu

Manuels -> Outils -> Project Translation Interface -> Main menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Button | Description
New | Creates a new, empty translation project. The active project is closed and saved.
Open... | Opens translation project.
Import from Zip... | Opens the zenon project data exported by the Language Translation Wizard.
Save | Saves the current translation project.
Export as Zip... | Exports the translation project as a ZIP file. This can be re-imported into zenon with the help of the Language Translation Wizard.
Recent Documents | List of the projects last worked on. Clicking on the name opens the translation project.
X Exit | Ends Project Translation Interface.

Autres sujets abordés dans ce chapitre

General features


General features

Manuels -> Outils -> Project Translation Interface -> Main menu -> General features

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The Project Translation Interface offers the following options:

  • All windows (except the text list) can be dragged from the main window of the tool (for example to a second monitor).
  • When selecting a group in the node, all texts used - in the selected group - are displayed in the main window. The top group (with the name of the zenon project) contains all texts used in the project.
  • When selecting a text in the text list, screenshots of the screens in which the text is used are displayed in the Screenshot View and Screens Overview displays.
  • When selecting a screen in the Screens Overview window, a screenshot of this is shown in the Screenshot View window.
  • Expose and Highlighting are displayed according to the settings in the Highlighting menu bar.
  • The colors can be set via the drop-down lists in the Highlighting menu bar.
  • The text file and the font list for checking the text length (Highlighting), can be set in the Check menu bar.


Menu bar

Manuels -> Outils -> Project Translation Interface -> Menu bar

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Edit

Button | Description
Find | Carries out a search in the column highlighted in the text list. Note: Click in a column to highlight it. This is also marked with a binocular symbol.
Replace | Carries out a search and replace in the column highlighted in the text list. Note: It is not possible to replace text in the key word column.

Check

Selection of the language file and font list for display in the Screenshot View and Screens Overview windows.

Highlighting

Defines how the elements are displayed in the screenshot.

  • Expose:
    • Emphasizes the text in the Screenshot View window if activated.
  • Highlighting:
    • Changes the display in the Screenshot View window, depending on the text length.
      Positive = Text fits into the element Negative = Text is too long and can be properly displayed in the configured element.
Button | Description
Expose checkbox | Activates or deactivates the Expose function for the Screenshot View preview window.
Highlighting checkbox | Activates or deactivates the Highlighting function for the Screenshot View preview window.
Expose drop-down list | Dialog to select the colors for the Expose function.
Positive drop-down list | Dialog to select the color for positive.
Negative drop-down list | Dialog to select the color for negative.
info Info
The elements from the Clipboard menu bar are not used.


Outil Startup Tool

Manuels -> Outils -> Outil Startup Tool

L'outil Startup Tool permet :

  • De démarrer l'Éditeur et le Runtime avec certains paramètres
  • D'exécuter différentes versions de zenon en parallèle sur un même ordinateur
    (les versions de zenon déjà installées sont automatiquement créées dans l'outil Startup Tool)
  • De gérer différentes instances SQL pour une même version de zenon.
  • De gérer les paramètres des différentes versions.
  • De définir la langue de l'Éditeur et du Runtime avant le démarrage du programme.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

attention Attention

L'outil Startup Tool ne démarre pas si le service zenAdminSrv n'est pas en cours d'exécution. S'il n'est pas actif, vous pouvez le démarrer manuellement dans le Panneau de configuration de Windows, sous Outils d'administration / Services.

Autres sujets abordés dans ce chapitre

Boîte de dialogue de démarrage

Propriétés

Message lors de l'enregistrement

Ligne de commande


Boîte de dialogue de démarrage

Manuels -> Outils -> Outil Startup Tool -> Boîte de dialogue de démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La gestion des versions actuellement installées de zenon se déroule dans la boîte de dialogue de démarrage. De la version 7.10, vous avez la possibilité pour choisir si commencer Editeur et Exécution aussi une application de 32 bit ou qu'une application de 64 bit.

Si seulement une version de 32 bit de zenon 7.10 ont été spécifiés ou une plus vieille version a été détectée, seulement un bouton est montré pour l'Editeur et le Runtime respectivement :

Si les deux versions sont spécifiées, sépare des boutons pour de 32 bit et pour de 64 bit sont affichés.

Bouton

Fonction

Éditeur

Démarre l'éditeur de la version sélectionnée de zenon.

Deux boutons séparés sont disponibles pour versions de 64 bit. Le bouton pour de 64 bit contient une indication correspondante dans le coin inférieur gauche.

Runtime

Démarre le Runtime de la version sélectionnée de zenon.

Deux boutons séparés sont disponibles pour versions de 64 bit. Le bouton pour de 64 bit contient une indication correspondante dans le coin inférieur gauche.

Enregistrer

Enregistre tous les services de la version sélectionnée de zenon.

Aide

Ouvre l'aide de zenon.

Outils

Ouvre une boîte de dialogue permettant de démarrer les applications supplémentaires de la version sélectionnée de zenon.

Si les outils pour une version de 64 bit valide sont ouverts, alors les outils sont affichés dans deux listes pour outils de 32 bit et outils de 64 bit.

Processus durant le démarrage

Au démarrage de l'éditeur ou du Runtime, les données des paramètres de démarrage sont écrites dans le fichier zenon6.ini. Les paramètres existants du fichier INI sont remplacés.

Depuis la version 5, les communications réseau sont assurées par deux services (zenNetSrv.exe et zenSysSrv.exe). Les deux fichiers doivent être présents dans le dossier de zenon. Ces services étant spécifiques aux différentes versions du programme, ils doivent être enregistrés pour la version adéquate.

attention Attention

Après la conversion d'un projet dans un ultérieur zenon version, cette boîte non plus long est éditée avec la version précédente et ne fera pas de course plus longue dessus. La sauvegarde de projet créée durant la conversion peut encore être ouverte et modifiée.

Dans les projets réseau, la même version de zenon doit être démarrée sur le serveur et les clients.

Autres sujets abordés dans ce chapitre

Application

Item

Aide


Application

Manuels -> Outils -> Outil Startup Tool -> Boîte de dialogue de démarrage -> Application

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Entrée | Fonction
Options | Ouvre la boîte de dialogue de configuration des paramètres.
Quitter | Ferme l'outil Startup Tool.

Options

L'entrée Options du menu Application ouvre les paramètres de l'outil Startup Tool.

  • Général : General settings (Paramètres généraux)
  • Chiffrement des communications du réseau : configuration du chiffrement fort des communications du réseau

Autres sujets abordés dans ce chapitre

Généralités

Configuration du réseau


Généralités

Manuels -> Outils -> Outil Startup Tool -> Boîte de dialogue de démarrage -> Application -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres généraux :

Paramètre

active

Inactive

Start Startup Tool mimimized (Fenêtre Startup Tool réduite au démarrage)

La fenêtre de l'outil Startup Tool est réduite au démarrage. Vous pouvez accéder à l'outil par l'intermédiaire de l'icône affichée dans la barre des tâches.

Le menu contextuel propose toutes les actions réalisables dans la boîte de dialogue de démarrage pour l'instance active de zenon.

Ouvre l'outil sur le bureau (paramètre par défaut).

Se souvenir de la dernière version enregistrée

Définit la version choisie en tant que version par défaut et la sélectionne automatiquement lors du prochain démarrage. Dans ce cas, la version n'est pas enregistrée à nouveau (paramètre par défaut).

Propose la première version de la liste lors du démarrage de l'outil Startup Tool. Lors du démarrage de l'éditeur ou du Runtime, la version correspondante est toujours enregistrée à nouveau.

Enregistrer tous les fichiers OCX de la version sélectionnée

Enregistre tous les fichiers OCX (contrôles ActiveX) existants dans le dossier du programme.

Cette option veille à ce que chaque version dispose toujours de contrôles ActiveX appropriés (paramètre par défaut).

Attention : Elle n'a aucune incidence sur l'enregistrement des contrôles ActiveX et des serveurs COM qui apparaissent dans les paramètres individuels de la version correspondante.

Enregistre uniquement les composants prédéfinis.

Cette option accélère le processus d'enregistrement ; elle est adaptée à tous les projets qui n'utilisent pas ActiveX.

Définir la langue pour l'éditeur ou le Runtime

Démarre l'éditeur ou le Runtime avec la langue sélectionnée dans la liste.

Veille à ce que zenon utilise toujours la langue définie lorsque le programme est démarré depuis l'outil Startup Tool. Ceci n'influence pas le démarrage direct de l'application zenon.exe.

Démarre l'éditeur ou le Runtime avec la langue définie dans le fichier zenon6.ini. Ici, la langue définie est la dernière langue utilisée dans zenon ou définie sous Options -> Paramètres -> Éditeur et Runtime -> Langue sélectionnée (paramètre par défaut).


Configuration du réseau

Manuels -> Outils -> Outil Startup Tool -> Boîte de dialogue de démarrage -> Application -> Configuration du réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les considérations suivantes s'appliquent aux versions 7 et ultérieures de zenon :

  • Vous pouvez utiliser le protocole IPv6
  • Vous pouvez chiffrer le transfert sur le réseau.

Cette boîte de dialogue permet de configurer les éléments suivants :

  • Délais d'attente avant expiration
  • Utilisation du protocole TCP/IP via IPv4 ou IPv6
  • Le chiffrement fort des communications du réseau sur l'ordinateur local

Paramètre

Description

Paramètres généraux

Paramètres généraux.

Les modifications de ces paramètres sont écrites dans la base de registres, dans les fichiers zenon6.ini ou zenon.ini, et sont appliquées en cas d'éventuelles divergences avec la configuration manuelle.

Les paramètres modifiés doivent être appliqués à tous les ordinateurs du Runtime ou à tous les postes de travail connectés. En cas de modification des paramètres IPv6, l'ordinateur doit être redémarré.

Les modifications sont appliquées lorsque la boîte de dialogue est fermée, après validation d'un message d'avertissement en cliquant sur le bouton Oui.

Network communication time-out (Expiration du délai d'attente des communications du réseau)

Délai d'attente avant expiration des communications du réseau, en secondes.
Par défaut = 30

Équivalent à l'entrée NET_TIMEOUT_MSEC= dans le fichier zenon6.ini.

Network module time-out (Expiration du délai d'attente du module de réseau)

Délai d'attente avant expiration du module de communication, en secondes.
Par défaut = 30

Équivalent à l'entrée NET_NETMODULE_TIMEOUT_MSEC= dans le fichier zenon6.ini.

Time synchronisation with server project (Synchronisation de l'heure avec le projet du serveur)

Actif : l'heure est comparée à celle d'un projet de serveur (par défaut)

Inactive : l'heure n'est pas comparée (pour la redondance circulaire, par exemple)

L'entrée est équivalente à l'entrée TIMESYNCH du fichier zenon6.ini.

Use IPv6 for all TCP/IP connections (utiliser IPv6 pour toutes les connexions TCP/IP)

Actif : Toutes les connexions TCP sont uniquement établies via le protocole IPv6.

Inactive : Toutes les connexions TCP sont uniquement établies via le protocole IPv4.

Le double fonctionnement n'est pas autorisé.

L'entrée est équivalente à l'entrée USEIPV6= dans le fichier zenon6.ini.

Remarque : si cette option est modifiée, l'ordinateur doit être redémarré. La modification doit également être réalisée sur toutes les stations connectées.

Les composants suivants ne sont pas affectés par le paramètre :

  • Communications du driver avec les automates
  • Communications du protocole dans les plug-ins de Process Gateway
  • Communications de l'espace de travail et du Runtime dans zenon Logic

Attention : fonctionne uniquement avec les versions 7 et ultérieures. Aucune version avant la version 7 ne peut être démarrée si cette option est active.

Chiffrement des communications du réseau

Paramètres de chiffrement fort des communications du réseau

Chiffrement des communications du réseau

Actif : les communications sur le réseau sont chiffrées.

Mot de passe

Saisissez le mot de passe.

Pour le critère, reportez-vous à la section Chiffrement du mot de passe du réseau du chapitre Chiffrement fort des communications du réseau.

La longueur affichée est toujours définie sur 20 caractères, afin de dissimuler la longueur réelle du mot de passe.

Le mot de passe défini ici est enregistré sous forme chiffrée dans le fichier zenon6.ini.

Vérification du mot de passe

Saisissez à nouveau le mot de passe de vérification.

attention Attention

Si des entrées ont été modifiées manuellement dans le fichier local zenon6.ini, elles sont remplacées dès que l'utilisateur valide le message de confirmation d'enregistrement en cliquant sur le bouton Oui.

Messages

Pour plus d'explications concernant les messages système et les messages d'erreur, reportez-vous au chapitre Message lors de l'enregistrement.

info Info

Vous trouverez des notes concernant les messages d'erreur relatifs au chiffrement fort dans :

Le manuel Réseau -> Chapitre Chiffrement fort des communications du réseau -> Section Messages d'erreur.


Item

Manuels -> Outils -> Outil Startup Tool -> Boîte de dialogue de démarrage -> Item

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu Élément comporte les entrées suivantes :

Entrée | Fonction
Nouveau | Crée une nouvelle entrée dans la liste et ouvre la boîte de dialogue Propriétés.
Supprimer | Supprime l'entrée sélectionnée après validation d'une demande de confirmation.
Propriétés | Ouvre la boîte de dialogue Propriétés pour l'entrée sélectionnée.


Aide

Manuels -> Outils -> Outil Startup Tool -> Boîte de dialogue de démarrage -> Aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu Aide comporte les entrées suivantes :

  • Aide : Ouvre l'aide en ligne.
  • Infos sur : affiche des informations concernant la version.


Propriétés

Manuels -> Outils -> Outil Startup Tool -> Propriétés

Dans la boîte de dialogue Propriétés, les paramètres de chaque entrée sont définis :

Entrée | Fonction
Généralités | Paramètres généraux
Base de données | Paramètres de la connexion à la base de données
Extras | Paramètres d'enregistrement des contrôles ActiveX (OCX) et des serveurs COM (DLL) et paramètres de démarrage de programmes supplémentaires ou de fichiers de batch.

Autres sujets abordés dans ce chapitre

Généralités

Base de données

Extras


Généralités

Manuels -> Outils -> Outil Startup Tool -> Propriétés -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette section, vous pouvez saisir des détails concernant les versions de zenon. Le chemin d'accès à la version 32 bits de zenon doit impérativement être respecté. Si Startup Tool détecte une version 64 bits, le chemin d'accès à la version 64 bits est également verrouillé.

Les propriétés suivantes sont disponibles pour l'entrée sélectionnée :

Généralités

Paramètres

Description

Nom

Nom unique tel qu'il doit être affiché dans la liste. Cette entrée est essentielle.

Version

L'outil Startup Tool saisit automatiquement le numéro de version de zenon. Pour cela, vous devez d'abord définir le chemin d'accès au programme sous Chemin d'accès.

Chemin d'accès au programme (32 bits)

Chemin d'accès au dossier de programme dans lequel se trouve la version 32 bits du fichier exécutable de zenon (Zenrt32.exe).

Si une version 64 bits de zenon est détectée ici, la propriété Chemin d'accès au programme (64 bits) devient également accessible.

Chemin d'accès au programme (64 bits)

Chemin d'accès au dossier de programme dans lequel se trouve la version 64 bits du fichier exécutable de zenon (Zenrt32.exe).

La saisie est uniquement possible si le chemin d'accès à la version 32 bits a été spécifié et une version 64 bits est détectée par zenon.

Dès que les deux chemins d'accès ont été correctement saisis, les boutons de démarrage de l'Éditeur et du Runtime sont scindés en deux boutons – un pour la version 32 bits et un autre pour la version 64 bits.

Éditeur

Paramètres

Description

Station de travail

L'espace de travail souhaité lors du démarrage de l'éditeur. Dès que cette information est définie, tous les projets dans cet espace de travail sont automatiquement affichés dans la liste déroulante intitulée Projet d'Éditeur.

Projet dans l'éditeur

Sélectionnez le projet qui doit être actif après le démarrage de l'éditeur.

Lire les paramètres INI

Actif : Tous les paramètres modifiés sont lus automatiquement après la fermeture de l'éditeur. Ces paramètres seront utilisés lors du prochain démarrage de l'éditeur. (Ceci concerne l'espace de travail, le projet dans l'éditeur, le projet RT et le chemin RT).

Inactive : Les paramètres de cette boîte de dialogue sont toujours utilisés au démarrage de l'éditeur. Les modifications apportées par l'intermédiaire de l'éditeur sont annulées.

Runtime

Paramètres | Description
Projet RT | Projet configuré en tant que projet de démarrage pour le Runtime.
Chemin RT | Chemin d'accès du projet. Si projet Runtime fait partie de l'espace de travail, le chemin est renseigné automatiquement.

Informations concernant info

Paramètres inconnus ?

Si les paramètres de l'espace de travail sont inconnus, utilisez l'approche suivante.

  1. Spécifiez les paramètres Nom, Chemin d'accès et Espace de travail
  2. Laissez les champs Projet d'Éditeur, Projet de Runtime et Chemin d'accès du Runtime vides.
  3. Activez l'option Lire les paramètres INI.
  4. Quittez la boîte de dialogue en cliquant sur OK.

Après avoir démarré et fermé l'éditeur, les paramètres de démarrage du fichier INI sont automatiquement repris.


Base de données

Manuels -> Outils -> Outil Startup Tool -> Propriétés -> Base de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Définir les propriétés de la base de données. Vous pouvez utiliser différentes instances SQL pour les différentes entrées (versions de zenon).

attention Attention !

A compter de la version 6.51, l'instance de SQL peut être définie et le mot de passe est enregistré sous forme chiffrée. Les nouvelles entrées sont prioritaires sur les entrées existantes.

Compatibilité : si rien n'est modifié, les entrées existantes restent valides. Si vous modifiez une entrée pour la version 6.51 ou une version ultérieure, les nouvelles entrées sont valides. La maintenance des versions antérieures doit être assurée séparément. Vous trouverez les paramètres pour les versions antérieures à 6.51 au chapitre Base de données antérieure à la version 6.51.

Afficher le dialogue : L'affichage de la boîte de dialogue est automatiquement adapté à la version sélectionnée (antérieure à la version 6.51, ou versions 6.51 et ultérieures).

Entrée

Fonction

Lire depuis zenDB.ini

Cliquer sur les lectures de bouton des paramètres du dossier zenDB.ini et les champs suivants sont automatiquement remplies :

  • SQL instance (Instance SQL)
  • Chemin BdD
  • Utilisateur
  • Mot de passe

Clear all fields (Effacer tous les champs)

Tous les champs de saisie sont effacés.

Les entrées vides ne sont pas écrites dans le fichier zenDB.ini lors de l'enregistrement.

SQL instance (Instance SQL)

Nom du serveur SQL devant être utilisé.

Le nom peut être saisi directement dans le champ de saisie, ou être sélectionné dans la liste déroulante.
Remarque : lorsque vous cliquez sur la liste déroulante, les instances sont recherchées sur l'ordinateur local, puis ajoutées à la liste. La recherche peut demander un certain temps.

Chemin BdD

Chemin d'accès à la base de données SQL des projets zenon.
Par exemple : C:\ProgramData\COPA-DATA\SQL\

Attention : SQLS Servers différents (pour l'exemple 2008R2 et 2012) doit utiliser des chemins séparés.

Explication : lors de la conversion de projets, le GUID reste inchangé. Si les mêmes dossiers sont utilisés, chaque instance remplace les fichiers de base de données de l'autre instance.

Utilisateur

Nom d'utilisateur de la base de données.

Droits requis

Dans SQL Server, l'utilisateur doit posséder les rôles serveur suivants :

  • public
  • sysadmin

Mot de passe

Mot de passe de l’utilisateur. Il est stocké sous forme chiffrée. Le champ de saisie contient toujours 20 caractères, quelle que soit la longueur réelle du mot de passe.

Attention : le chiffrement est effectué par le biais de Startup Tool. Vous devez donc effectuer la configuration de la base de données par le biais de Startup Tool.

Le paramétrage est sauvegardé dans le fichier zenDB.ini.

Autres sujets abordés dans ce chapitre

Bases de données postérieures à la version 6.51


Bases de données postérieures à la version 6.51

Manuels -> Outils -> Outil Startup Tool -> Propriétés -> Base de données -> Bases de données postérieures à la version 6.51

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration des bases de données antérieures à zenon 6.51 :

Entrée

Fonction

Lire depuis zenDB.ini

Lorsque vous cliquez sur un bouton, les paramètres du fichier zenDB.ini sont lus et les champs Provider (Fournisseur) et DB path (Chemin d'accès à la BD) sont renseignés automatiquement.

Clear all fields (Effacer tous les champs)

Tous les champs de saisie sont effacés.

Les entrées vides ne sont pas écrites dans le fichier zenDB.ini lors de l'enregistrement.

Fournisseur

Connexion à l'instance SQL. Informations importantes :

  • Nom de l'instance
  • Fournisseur utilisé
  • Identif. utilisateur
  • Mot de passe de l'utilisateur

Par exemple :
Provider=SQLNCLI.1;
Password=srv_000;
Persist Security Info=False;
User ID=zenOnSrv;
Initial Catalog=%s;
Data Source=localhost\ZENON_DEV;

Chemin BdD

Chemin d'accès à la base de données SQL des projets zenon.
Par exemple : C:\ProgramData\COPA-DATA\SQL\

Attention : SQL Server 2005 et SQL Server 2008 R2 doivent utiliser des dossiers différents.

Explication : lors de la conversion de projets, le GUID reste inchangé. Si les mêmes dossiers sont utilisés, chaque instance remplace les fichiers de base de données de l'autre instance.

attention Attention

L'entrée Provider (Fournisseur) de cette boîte de dialogue diffère de l'entrée dans le fichier zenDB.ini.

Boîte de dialogue : La chaîne commence par Provider=...

zenDB.ini: la chaîne commence par Provider=Provider=...


Extras

Manuels -> Outils -> Outil Startup Tool -> Propriétés -> Extras

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ici, vous créez les contrôles ActiveX (*.ocx) ou les serveurs COM (*.dll) devant être enregistrés avec la version correspondante de zenon. Les fichiers OCX et DLL peuvent provenir de n'importe quelle source, c'est-à-dire qu'ils peuvent avoir été créés par vos soins ou d'autres fabricants. Vous pouvez également définir les programmes exécutés avant le démarrage ou après la fermeture de l'éditeur ou du Runtime.

Enregistrement des contrôles ActiveX - Serveur COM

Tous les fichiers mentionnés ici sont automatiquement enregistrés avec la version correspondante de zenon, indépendamment du registre paramètre central.

Paramètre | Description
Nom de fichier/Chemin d'accès au fichier | Liste de tous les fichiers devant être enregistrés
Ajouter | Ouvre la boîte de dialogue de Windows permettant de sélectionner le fichier à enregistrer. Ici, vous pouvez sélectionner les fichiers OCX ou DLL individuellement et les ajouter à la liste. Sélectionnez d'abord le type de fichier de votre choix (OCX ou DLL). Les fichiers sont enregistrés avec les informations relatives aux chemins d'accès. Si le chemin d'accès est modifié, supprimez le lien en cliquant sur Supprimez et créez le nouveau lien.
Supprimer | Supprime toutes les entrées sélectionnées de la liste de sélection des fichiers à enregistrer.

Pré-démarrage et post-démarrage de programmes

Les commandes de pré-démarrage et post-démarrage vous permettent de définir fichiers de programme et de batch que vous souhaitez exécuter avant le démarrage ou après la fermeture de zenon.

Paramètre | Description
Pré-démarrage | Programme externe devant être démarré avant le démarrage de l'éditeur ou du Runtime.
Post-démarrage | Programme externe devant être démarré après l'arrêt de l'éditeur ou du Runtime. Attention : La fonction de post-démarrage est uniquement exécutée si l'option Lire les paramètres INI (Élément -> Propriétés -> Général) a été activée.


Message lors de l'enregistrement

Manuels -> Outils -> Outil Startup Tool -> Message lors de l'enregistrement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Message contextuel lors de l'enregistrement

Message

Signification

Vous avez modifié le paramètre IPv6. Toutes les connexions internes TCP/IP seront basculées vers IPv6/IPv4.

Pour garantir le basculement correct des composants concernés, vous devez redémarrer l'ordinateur. Vous devrez changer aussi ce cadre sur toute la station connectée !

Voulez-vous vraiment appliquer la modification ?

Vous avez changé les paramètres du protocole IP d'IPv4 en IPv6, ou inversement.

Après avoir effectué ces modifications, vous devez redémarrer l'ordinateur pour que tous les services soient adaptés en conséquence. La modification doit également être réalisée sur toutes les stations connectées.

Ces modifications sont écrites dans le fichier zenon6.ini ou zenon.ini, conjointement à l'enregistrement, et remplacent toutes les configurations manuelles.

Les paramètres de configuration générale du réseau seront modifiés.

Vous devez redémarrer le Runtime pour appliquer les modifications.

Attention : N'oubliez pas d'adapter les paramètres sur les autres stations.

Appliquer les paramètres.

Voulez-vous vraiment continuer ?

La procédure de modification des paramètres généraux est semblable à celle des délais d'attente.

Ces modifications sont écrites dans le fichier zenon6.ini ou zenon.ini, conjointement à l'enregistrement, et remplacent toutes les configurations manuelles.

Vous devez adapter les paramètres modifiés pour toutes les occurences du Runtime.

Message lors de l'enregistrement

Lors de l'enregistrement du service, toutes les étapes sont affichées dans une fenêtre spécifique, qui se ferme automatiquement après 4 secondes. Lorsqu'une erreur se produit, un message d'avertissement vous informe de la cause. Lorsque vous confirmez le message, le procédé est annulé. zenon ne démarre pas. Messages d'erreur possibles :

Message | Raison | Conseil
Service zenNetSrv introuvable ! | Le fichier zenNetSrv.exe est manquant dans le dossier de programme de zenon, ou la version existante est incorrecte. | La plupart du temps, la solution la plus rapide et la plus sure consiste à réinstaller zenon.
zenNetSrv.exe est en cours d'exécution ! | Le service zenNetSrv.exe n'a pas pu être arrêté. | Il est possible qu'un outil de sécurité s'exécute sur l'ordinateur, empêchant l'accès au fichier.
Service zenNetSrv introuvable ! | Le fichier zenNetSrv.exe est manquant dans le dossier de programme de zenon, ou la version existante est incorrecte. | La plupart du temps, la solution la plus rapide et la plus sure consiste à réinstaller zenon.
zenNetSrv.exe est en cours d'exécution ! | Le service zenSysSrv.exe n'a pas pu être arrêté. | Il est possible qu'un outil de sécurité s'exécute sur l'ordinateur, empêchant l'accès au fichier.


Ligne de commande

Manuels -> Outils -> Outil Startup Tool -> Ligne de commande

Vous pouvez également utiliser l'outil Startup Tool à l'aide de la ligne de commande. Pour cela, le fichier zenon_Startup.exe doit être présent dans le chemin d'accès du système. Vous trouverez ce fichier :

  • Sous Vista/7/8, dans le dossier : C:\Program Files\Common Files\COPA-DATA\STARTUP.

Dans la ligne de commande, vous pouvez :

  • Crée de nouvelles entrées
  • Réorganiser les entrées existantes (par ex. après la suppression d'une ancienne version).
  • Enregistrer des entrées.

Autres sujets abordés dans ce chapitre

Paramètre


Paramètre

Manuels -> Outils -> Outil Startup Tool -> Ligne de commande -> Paramètre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'entrée est démarrée avec zenon_Startup.exe suivi d'un paramètre et des noms de champs possibles.

Paramètre :

Paramètre | Fonction | Nom de champs | Valeur renvoyée
-new | Crée une nouvelle entrée. | Oui, voir également new. | 0 ou 1
-reorg | Contrôle et réorganise les entrées existantes. | Non disponible | None (Aucune)
-reg | Enregistre les services. | Nom de l'entrée. | None (Aucune)

Utilisation simultanée de plusieurs paramètres :

Il est possible d'utiliser plusieurs paramètres à la fois. Si plusieurs paramètres -new sont utilisés simultanément, la valeur renvoyée ne peut pas être évaluée sans ambiguïté.

En règle générale, lorsque plusieurs paramètres sont utilisés, l'exécution se déroule dans l'ordre suivant :

  1. –new : crée les nouvelles entrées.
  2. –reg : enregistre l'entrée indiquée.
  3. –reorg : supprime toutes les entrées non valides pour les versions supprimées de zenon.

Autres sujets abordés dans ce chapitre

Paramètre -new – Création de nouvelles entrées

reorg - Réorganisation d'entrées

reg - Enregistrer des entrées


Paramètre -new – Création de nouvelles entrées

Manuels -> Outils -> Outil Startup Tool -> Ligne de commande -> Paramètre -> Paramètre -new – Création de nouvelles entrées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le paramètre -new permet de créer de nouvelles entrées. Il nécessite au moins deux noms de champs :

  • NAME (Nom) est le nom unique de l'entrée.

    Si le nom de l'entrée est déjà disponible, aucune entrée n'est créée.

  • PATH (Chemin d'accès) définit l'emplacement auquel est enregistré zenon.

Syntaxe

La syntaxe est construite comme suit : zenon_Startup.exe -> paramètre -> Nom du champ="TEXT"

  1. zenon_Startup.exe
  2. Espace
  3. TAG
  4. Espace
  5. Nom de champs
  6. Caractère =
  7. guillemets ouvrants
  8. Texte
  9. guillemets fermants

Example Exemple

zenon_Startup.exe -new NAME="Nouvelle entrée" PATH="C:\Exemple de dossier\zenon"

Nom de champs

Il est possible d'utiliser les noms de champs suivants :

Nom de champs | Champ obligatoire | Description
NAME | X | Nom unique de l'entrée. Par exemple : NAME="Test"
PATH | X | Le chemin d'accès définir par l'utilisateur dans lequel a été enregistré zenon. Par exemple : PATH="C:\Program Files (x86)\COPA-DATA\zenon 7.10 SP0"
PATH64 | - | Le chemin d'application, dans lequel la version de 64 peu de zenon est localisée. Par exemple : PATH="C:\Program Files\COPA-DATA\zenon 7.10 SP0"
PROJECT_RT | - | Nom du projet Runtime devant être démarré. Par exemple : PROJECT_RT="ProjetTest"
PROJECT_RT_PATH | - | Chemin d'accès au Runtime du projet (voir également PROJECT_RT). Par exemple : PROJECT_RT_PATH="C:\Users\Public\Documents\zenon_Projects\ProjetTest"
PROJECT_ED | - | Le projet qui doit être activé dans l'Éditeur. Par exemple : PROJECT_ED="ProjetTest"
WSP | - | L'espace de travail dans lequel doit être chargé l'Éditeur. Par exemple : WSP="C:\Users\Public\Documents\zenon_Projects\DEMO622.WSP6"
SQLSRV | - | Nom de l'instance SQL Server devant être utilisée par l'Éditeur. Par exemple : SQLSRV="MSSQL$ZENON_DEV"
PROVIDER | - | Chaîne Provider (Fournisseur) utilisée lors de l'initialisation de la connexion SQL. Par exemple : PROVIDER="Provider=SQLNCLI.1;Password=000;Persist Security Info=False;User ID=zenOnSrv;Initial Catalog=%s;Data Source=localhost\ZENON_DEV;"
DBPATH | - | Chemin d'accès de la base de données SQL devant être utilisée. Par exemple : DBPATH="C:\ProgramData\COPA-DATA\SQL\"
PRESTART | - | Appel de programme exécuté avant le démarrage de l'Éditeur ou du Runtime ou l'enregistrement de cette version. Par exemple : PRESTART="C:\zenon versions\zenon 6.50\Dlls\zenVNCCli.exe"
POSTSTART | - | Appel de programme exécuté après la fermeture de l'Éditeur. Par exemple : POSTSTART="C:\zenon Versions\zenon 6.50\Dlls\zenVNCCli.exe" Attention : La fonction Post Start est uniquement exécutée si l'option Read back the INI settings (Lire les paramètres INI) (Élément -> Propriétés -> Général) a été activée.

Les noms de champs sont séparés par des espaces.

info Info

Les chemins contenant des espaces doivent toujours être fournis entre parenthèses.

Valeurs retournées

0 - Exécution sans incident

1 - L'entrée n'a pas pu être créée


reorg - Réorganisation d'entrées

Manuels -> Outils -> Outil Startup Tool -> Ligne de commande -> Paramètre -> reorg - Réorganisation d'entrées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le paramètre -reorg contrôle toutes les entrées, que la version de zenon liée existe encore ou non dans le système de fichiers. Si les fichiers de l'application sont introuvables, l'entrée est finalement supprimée de l'outil Startup Tool.

La commande ne renvoie aucune valeur de retour. Après l'exécution, l'outil Startup Tool est démarré.

Exemple : zenon_Startup.exe -reorg


reg - Enregistrer des entrées

Manuels -> Outils -> Outil Startup Tool -> Ligne de commande -> Paramètre -> reg - Enregistrer des entrées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le paramètre –reg enregistre tous les services requis dans le dossier de l'entrée définie. Il est appelé via :

  • -reg "Nom de l'entrée"

Si l'outil Startup Tool a déjà été démarré, aucun service n'est enregistré, mais l'outil Startup Tool est positionné au premier plan.

La commande ne renvoie aucune valeur de retour.

Example Exemple

zenon_Startup.exe -reg "Version 6.50"

Enregistre la version 6.50.

Condition préalable : il y a une entrée avec ce nom dans l'outil Startup Tool.


System Information Collector

Manuels -> Outils -> System Information Collector

When solving problems, COPA-DATA Support may ask for the relevant data about your operating system and zenon. The easiest way for you to create this data is in an automated manner with the System Information Collector and then sending this to Support.

Autres sujets abordés dans ce chapitre

Starting the System Information Collector

Collecting information

Using the information

Forward report to COPA-DATA


Starting the System Information Collector

Manuels -> Outils -> System Information Collector -> Starting the System Information Collector

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

To start the System Information Collector:

  1. In the Windows Start Menu, navigate to All Programs-> COPA-DATA
  2. Click on System Information Collector
  3. The System Information Collector starts

Menu and tool bar

Menu

The following options are available to you in the menu:

  • File
    • Home: Opens the Start window.
    • Open: opens a saved report
    • Save: saves the currently-displayed report as a ZIP file
    • Exit: closes the System Information Collector
  • Edit
    • Copy: copies highlighted text to the clipboard
    • Find: opens a dialog to search the current report
  • View
    • Expand: expands all nodes
    • Collapse: closes all nodes
  • Help
    • About: Information on the program version

With the exception of Exit and About, all options are available via the tool bar.

Tool bar

Symbol | Description
Home | Opens the Start window.
Open | Opens a saved report.
Save | Saves the currently-displayed report as a ZIP file.
Copy | Copies highlighted text to the clipboard.
Find | Opens a dialog to search the current report
Expand | Expands all nodes.
Collapse | Closes all nodes.


Collecting information

Manuels -> Outils -> System Information Collector -> Collecting information

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

To collect information in an automated manner:

  1. Start the System Information Collector
  2. Select one of the four options by clicking on the corresponding button
    • Full: collects information about the system and zenon and includes dump files
    • System: collects information about the system only
    • Scada: collects information about zenon, without dump files
    • Scada with dumpfiles: collects information about zenon and includes dump files

  3. The System Information Collector creates a report with the desired information

  4. The completed report is displayed in the main window


Using the information

Manuels -> Outils -> System Information Collector -> Using the information

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

All information collected is displayed in the System Information Collector. You can:

  • Save the report
  • Navigate through the report and search for certain information
  • Highlight selected information and copy it to the clipboard

Saving a report

To save a report:

  1. Click on the Save symbol or the Save command in the File menu
  2. the dialog for selecting a folder and file name is opened
  3. The report is saved as a ZIP file

Saving selected information

To saved selected information only:

  1. highlight the relevant information.
  2. Click on the Copy symbol or the Copy command in the Edit menu
  3. The selection is saved to the clipboard
  4. Insert the content into a text file and save this
  5. Repeat this process for further selected information


Forward report to COPA-DATA

Manuels -> Outils -> System Information Collector -> Forward report to COPA-DATA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The report can, depending on its size, be forwarded as an e-‑mail or uploaded to a defined save location to COPA-DATA. You can find out details on how you forward the report and which online save location you can use for this from your COPA-DATA Support contact.


Passerelle de procédé (Process Gateway)

Manuels -> Passerelle de procédé (Process Gateway)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Process Gateway permet de se coupler à des systèmes de plus haut niveau. Des parties du synoptique de procédé zenon provenant d'autres applications peuvent être mises à disposition et mises à jour.

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client).

Autres sujets abordés dans ce chapitre

Généralités

Minimum requis

Installation

Configuration du Process Gateway

DEC

Esclave DNP3

Esclave IEC870

Esclave MODBUS

Serveur OPC UA

Agent SNMP

SQL


Généralités

Manuels -> Passerelle de procédé (Process Gateway) -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cela a été pensé comme un outil additionnel du runtime du système de contrôle et il ne marche qu'avec lui.


Minimum requis

Manuels -> Passerelle de procédé (Process Gateway) -> Minimum requis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Runtime : Sur le PC où le Process Gateway doit tourner, le runtime avec la version correspondante doit tourner avec un projet correspondant à la configuration avant de démarrer le process gateway. Lorsque le Runtime est fermé, le Process Gateway est aussi fermé automatiquement.

info Info

La passerelle de processus utilise l'interface COM pour accéder aux données de zenon. L'interface COM est utilisée par VBA et est uniquement disponible si zenon6.ini est présent dans le fichier sous [VBA], à l'entrée EIN=1.

Modules : Il y a différents modules pour le Process Gateway, qui gèrent la communication vers des applications externes. Ces modules sont les suivants :

Fichier | Connexion à
AccessDEC.dll | Hundamp;S-DEC-System
AccessModbus.dll | Maître Modbus
AccessSQL.dll | Bases de données SQL
AccessDNP3.dll | Maître DNP3
AccessIEC870Sl.dll | Maître IEC 60870
AccessSNMP.dll | Client SNMP
AccessOPCUA.dll | Client OPC UA

attention Attention

Si le driver d'esclave Modbus est utilisé, la passerelle Process Gateway accepte uniquement les éléments suivants :

  • Code de fonction 3 : lecture de registres multiples
  • Code de fonction 16 : écriture de registres multiples


Installation

Manuels -> Passerelle de procédé (Process Gateway) -> Installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'extension comprend uniquement le fichier zenProcGateway.exe. Il est préférable de copier celui-ci dans le dossier d'installation de zenon. Toutefois, n'importe quel dossier peut être défini comme dossier d'installation. Le module à utiliser avec la passerelle zenProcGateway doit se trouver dans le même dossier que le fichier zenProcGateway.exe. Exception : SNMP
Le fichier de configuration zenProcGateway.ini est enregistré dans le dossier du système. Une entrée DLL dans la section [GENERAL] dans le fichier zenProcGateway.ini doit être définie avec le nom du module.

Modules | Entrée dans le fichier zenProcGateway.ini
DEC | [GENERAL] DLL=AccessDEC.dll
SQL | [GENERAL] DLL=AccessDEC.dll
MODBUS | [GENERAL] DLL=AccessMODBUS.dll
DNP3 | [GENERAL] DLL=AccessDNP3.dll
IEC870Sl | [GENERAL] DLL=AccessIEC870Sl.dll
SNMP (Simple Network Management Protocol) : | [GENERAL] DLL=AccessSNMP.dll
OPCUA | [GENERAL] DLL=AccessOPCUA.dll

Si vous voulez utiliser un fichier de configuration avec un nom différent (par exemple, pour des opérations avec plusieurs instances), vous devez démarrer zenProcGateway.EXE avec une ligne de commande et le paramètre /ini:<fichier>. Le fichier de configuration doit aussi se trouver dans le dossier C:\Documents and Settings\All Users\Application Data\COPA-DATA\System.

Example Exemple

zenProcGateway.EXE /ini:MyConfig.INI

Si la passerelle est démarrée sans un fichier de configuration valide ou si ce fichier ne contient pas une entrée définissant le module de communication, une liste de sélection est montrée avec les modules de communication disponibles.


Configuration du Process Gateway

Manuels -> Passerelle de procédé (Process Gateway) -> Configuration du Process Gateway

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Configuration du projet

Configuration du module

Configuration sécurité


Configuration du projet

Manuels -> Passerelle de procédé (Process Gateway) -> Configuration du Process Gateway -> Configuration du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si aucun nom de projet n'est défini dans le fichier de configuration (zenProcGateway.ini), toutes les spécifications se réfèrent au premier projet chargé par le Runtime (projet d'intégration). Chaque projet de la hiérarchie d'un projet multi-projets est accessible en définissant l'entrée PROJECT dans la section [GENERAL] du fichier de configuration (zenProcGateway.ini) égale au nom du projet correspondant.


Configuration du module

Manuels -> Passerelle de procédé (Process Gateway) -> Configuration du Process Gateway -> Configuration du module

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration d'un module dépend du type de ce module. Avec le bouton de configuration, la boîte de dialogue de configuration du module est ouverte.


Configuration sécurité

Manuels -> Passerelle de procédé (Process Gateway) -> Configuration du Process Gateway -> Configuration sécurité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Process Gateway peut être exécuté de façon cachée de façon à le protéger des accès non autorisés. Si la passerelle Process Gateway est démarrée avec une ligne de commande avec le paramètre /hide (ou -hide), elle démarre en mode invisible et ne peut pas être configurée ou arrêtée. Le Process Gateway se ferme automatiquement lors de la fermeture de zenon.


DEC

Manuels -> Passerelle de procédé (Process Gateway) -> DEC

Autres sujets abordés dans ce chapitre

Configuration du module

Création de traces (log)

Fichier de configuration : entrées spécifiques pour AccessDEC


Configuration du module

Manuels -> Passerelle de procédé (Process Gateway) -> DEC -> Configuration du module

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après avoir sélectionné le bouton de configuration, la boîte de dialogue suivante apparaît :

Vous pouvez sélectionner ici les variables qui doivent être connectées. Dans la liste affichée à gauche de l'écran, toutes les variables disponibles dans zenon sont affichées. Elles peuvent être sélectionnées et déplacées dans la liste d'export DEC avec le bouton > Avec le bouton '<' vous pouvez les enlever. Si une variable est déplacée vers la liste d'export, une boîte de dialogue s'ouvre pour définir la correspondance entre la variable de zenon et la variable DEC.

L'assignation est définie avec un numéro à quatre chiffres et un nom de paramètre de quatre lettres. Chaque caractère est automatiquement passé en majuscules. Les variables sélectionnées de cette manière sont ensuite continuellement synchronisées dans zenon ou dans le système DEC connecté.

Dans la partie basse de la boîte de dialogue, vous pouvez configurer la connexion TCP/IP au système DEC.

Le numéro de port indique le port où la passerelle de procédé attend les connexions entrantes.

Le timeout est le temps au delà duquel, si le Process Gateway n'a pas de réponse, la connexion est fermée.


Création de traces (log)

Manuels -> Passerelle de procédé (Process Gateway) -> DEC -> Création de traces (log)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tous les messages reçus par le système DEC et les réponses du Process Gateway peuvent être tracés.

Pour cela, il faut ajouter l'entrée LOGFILE dans la section [DEC] du fichier de configuration et lui donner le nom du fichier log (qui doit exister). Ce fichier est créé dans le même répertoire que zenProcGateway.exe.

Exemple :
[DEC]
LOGFILE=zenProcGateway.log


Fichier de configuration : entrées spécifiques pour AccessDEC

Manuels -> Passerelle de procédé (Process Gateway) -> DEC -> Fichier de configuration : entrées spécifiques pour AccessDEC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le fichier de configuration doit se trouver dans le dossier C:\Documents and Settings\All Users\Application Data\COPA-DATA\System.

Paramètres | Description
[DEC] |
LOGFILE | Nom du fichier log (si vous souhaitez des traces, par exemple zenProcGateway.log)
PORT | Numéro de port où le Process Gateway attend les essais de connexions.
TCPTIMEOUT | Temps après lequel la connexion est fermée s'il n'y a pas de réponse
REFRESHRATE | Intervalle de temps en millisecondes durant lequel l'image du processus de zenon est contrôlée après une modification.


Esclave DNP3

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave DNP3

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Configuration du module

Création de traces (log)

Fichier de configuration : entrées spécifiques pour AccessDNP3

LATCH_ON et LATCH_OFF

Profil du périphérique


Configuration du module

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave DNP3 -> Configuration du module

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après avoir sélectionné le bouton de configuration, la boîte de dialogue suivante apparaît :

Vous pouvez sélectionner ici les variables qui doivent être connectées. Dans la partie gauche de l'écran, toutes les variables disponibles dans zenon sont affichées. Vous pouvez les sélectionner et les déplacer dans la liste d'export DNP3 avec le bouton > Avec le bouton < vous pouvez les enlever.

Si une variable est déplacée vers la liste d'export, une boîte de dialogue s'ouvre pour définir la correspondance entre la variable zenon et la variable DNP3 (numéro de point).

Les variables sélectionnées de cette façon sont disponibles alors dans l'esclave DNP3 et sont synchronisées de façon continue entre zenon et la base de données objet du protocole DNP3.

Dans la partie basse de la boîte de dialogue, vous pouvez configurer la connexion série ou TCP/IP à l'esclave DNP3.

Les paramètres suivants sont disponibles pour une connexion par liaison série :

Paramètres | Description
Com | port de communication série pour l'accès à l'esclave DNP3
Data bit | nombre de bits de données (par défaut : 8)
Stop bit | nombre de bits de stop (par défaut : 1)
Débit de données | Vitesse de l'interface série (par défaut : 9600)
Parity | parité even/odd/no (paire/impaire/sans; Par défaut : Aucun)

Pour la configuration par TCP/IP, seul le port "d'écoute" peut être défini ; il doit être égal à 20000.

Pour la session DNP3, l'adresse du lien vers la session locale (session esclave) et l'adresse du lien de la session distante (session maître) doivent être configurées. Seule une session active est prise en charge. Peu importe si une connexion série ou TCP/IP est utilisée.


Création de traces (log)

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave DNP3 -> Création de traces (log)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Toutes les informations de diagnostic de la couche DNP3 peuvent être envoyées dans un fichier texte.

Pour cela, il faut ajouter l'entrée LOGFILE dans la section [DNP3] du fichier de configuration et lui donner le nom du fichier log (qui doit exister). Ce fichier est créé dans le même répertoire que zenProcGateway.exe.

Exemple :
[DNP3]
LOGFILE=zenProcGateway.log


Fichier de configuration : entrées spécifiques pour AccessDNP3

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave DNP3 -> Fichier de configuration : entrées spécifiques pour AccessDNP3

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le fichier de configuration doit se trouver dans le dossier C:\Documents and Settings\All Users\Application Data\COPA-DATA\System.

Paramètres | Description
[DNP3] |
SERIAL | communication série (1) ou communication par TCP/IP (0)
COMPORT | port de communication série (COM1=0, COM2=1, ...)
BAUD | Vitesse de l'interface série
BYTESIZE | Nombre de bits de données de l'interface série
PARITY | parité pour l'interface série (0=pas de parité, 1=parité impaire, 2=parité paire)
STOPBITS | Nombre de bits d'arrêt de l'interface série (0=1, 1=1.5, 2=2)
LINKADDRLOC | adresse de lien vers la session locale
LINKADDRREM | adresse de lien vers la session distante
PORT | port TCP/IP

[VARIABLES] |
COUNT | Nombre de variables à exporter
NAME_n | Nom de la variable n (0<= n<COUNT)
OBJECT_n | Type d'objet DNP3 de la variable d'objet n (0<=n<COUNT)
POINT_n | Numéro de point DNP3 de la variable n (0<= n<COUNT)


LATCH_ON et LATCH_OFF

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave DNP3 -> LATCH_ON et LATCH_OFF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un code de contrôle de commande de l'automate est écrit dans les variables USINT sous forme de valeur à 8 bits, via la passerelle Process Gateway. Les dispositions suivantes s'appliquent au transfert vers les variables de zenon :

Variable de destination de la commande | Résultat
BOOL : | Valeur prescrite LATCH_ON : 1 Valeur prescrite LATCH_OFF : 0
USINT : | La valeur prescrite correspond au code de contrôle.
Toutes autres variables : | Échec de la commande.


Profil du périphérique

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave DNP3 -> Profil du périphérique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le gabarit du profil de périphérique est installé avec la passerelle DNP3 Process Gateway, par le programme d'installation. Le fichier DNP3_ProcessGateway.xml se trouver dans le dossier suivant :

  • Systèmes 32 bits : %ProgramFiles%\COPA-DATA\zenon [Version]\Templates\Dnp3\ProcessGateway\
  • Systèmes 64 bits : %ProgramFiles(x86)%\COPA-DATA\zenon [Version]\Templates\Dnp3\ProcessGateway\


Esclave IEC870

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Langue

Le driver et ses boîtes de dialogue de configuration ne sont disponibles qu'en anglais.

Structure

Les automates auxquels vous voulez accéder par l'intermédiaire du driver IEC870SI, sont répartis en secteurs. Ces secteurs contiennent des IO (Information Object) représentant les variables courantes. Les IO se réfèrent à une variable du système de contrôle.

Vous pouvez configurer plusieurs automates avec le driver IEC870SI. Selon le protocole utilisé, ils sont associés directement à un maître ou un maître se connecte par 'polling'.

Identification et adresse

  • 870-101: L'automate est identifié par une adresse de lien.
  • 870-104: L'automate est identifié par l'adresse IP du maître.
  • Secteur : adressé par COA.
  • IO : adressé par l'identification du type et l'IOA.

Dans les chapitres suivants, vous verrez comment configurer le driver IEC870SI, comment s'effectue la communication et vous aurez aussi des informations sur la gestion de la compatibilité.

info Info

Pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Envoyer valeur via l'interface COM dans la liste CEL, si la propriété Valeurs modifiées par VBA est activée (groupe Enregistrer dans les événements).

Autres sujets abordés dans ce chapitre

Configuration du module

Communications

Error analysis

Interopérabilité


Configuration du module

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Configuration du module

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Remarque :

Il y a beaucoup de paramètres que vous pouvez changer dans le driver IEC870SI. Toutes les listes dans la fenêtre de configuration peuvent être triées. Pour modifier l'ordre de tri, cliquez simplement sur le titre de la colonne.

Configuration :

Les paramètres pour les protocoles 101 et 104 sont différents.

Dans la fenêtre principale, vous pouvez choisir le protocole que vous voulez utiliser et définir les paramètres généraux :

  • "Protocole 870-101" déverrouille les paramètres pour le protocole 101 et verrouille les autres champs de saisie.
  • "Protocole 870-104" déverrouille les paramètres pour le protocole 104 et verrouille les autres champs de saisie.

Sous Device (Équipement) et Sector (Secteur), vous pouvez définir tous les paramètres spécifiques à l'équipement.

Autres sujets abordés dans ce chapitre

870-101

870-104

Device

Secteur

Paramètres 104

Fichier XML


870-101

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Configuration du module -> 870-101

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres dans la fenêtre principale pour l'IEC870-101 :

Nom

Fonction

Protocole

870-101

active le protocole 101, déverrouille tous les champs de saisie pour le standard 101 et verrouille les paramètres pour le standard 104.

Fichier de configuration

Nom du fichier de configuration. C'est là où tous les paramètres actifs sont stockés et c'est de là qu'ils sont lus. Le nom que vous donnez doit être un nom de fichier valide. Sinon, aucune donnée ne pourra être enregistrée. Dans ce cas, vous aurez un message d'erreur.

Entrez seulement le nom du fichier sans le chemin. Vous ne devez pas ajouter l'extension de fichier XML, car elle est ajoutée automatiquement lors de l'enregistrement. Le répertoire actuel du fichier .ini sera utilisé comme chemin.

Le nom de fichier sera automatiquement ajouté dans le fichier .ini de la passerelle de procédé (Process Gateway) pour la configuration.
Vous pouvez trouver le fichier .ini dans le répertoire "system" du système de contrôle. Il est appelé "SCADAProcGateway.ini" - SCADA est à remplacer par le nom du système de contrôle.

Importation

charge les données de configuration depuis un fichier de configuration XML. Les paramètres courants sont remplacés par ceux définis dans le fichier. Le paramétrage actuel pour le "fichier de configuration" reste le même.

Exporter

stocke les paramètres courants dans un fichier.

Attention : les équipements qui ont encore l'ID par défaut "????" (défini lors de la création) ne seront pas exportés. Pour les exporter, vous devez d'abord configurer l'équipement dans la fenêtre de configuration "Device".

taille de l'adresse de lien (link address size)

101

La taille du champ Link address size (Taille d'adresse de lien) selon le cadre FT1.2.
Entrée valide : 1 ou 2 octet s
Ce paramètre doit être identique à celui sur le maître.

port de COM

101

Numéro de l'interface série
Interfaces disponibles : 1 à 64

Baud

101

Vitesse de l'interface.
Le format de caractères respecte la TF 1.2 (870-5-1 6.2.4.2.1 R6) 8e1.
Le RTS est actif lorsque les données sont envoyées.
Vitesse la plus faible : 110 bauds ; la plus élevée : 256 000.

Équipements

Liste des équipements configurés.

101 délai d'interrogation du maître [s]

Affiche le temps en secondes dont dispose le maître pour transmettre une requête à l'esclave. Si aucune requête n'est exécutée durant ce laps de temps, la connexion est interrompue.

Si vous saisissez 0, vous désactivez la fonction de surveillance.

Ajouter

Ajoute un nouvel équipement avec des paramètres standard. Par défaut, l'équipement reçoit l'ID invalide "????" et une adresse de lien / IP invalide aussi. Avant de pouvoir utiliser l'équipement ou avant de pouvoir l'exporter, vous devez le configurer.

Supprimer

Supprime l'équipement sélectionné. si aucun équipement n'est sélectionné, ce bouton est verrouillé.

OK

Accepte tous les paramètres modifiés. Ils seront immédiatement enregistrés dans la configuration courante (définie dans "Configuration file").
Attention : Après avoir cliqué sur "OK", toutes les connexions actives de maîtres seront fermées et rouvertes avec les nouveaux paramètres. Des erreurs de communications peuvent apparaître durant cette phase.

Annuler

Annule toutes les modifications faites sur les paramètres. Rien n'est enregistré.

Aide

Ouvre la fenêtre d'aide (comme la touche F1) Si le fichier d'aide n'existe pas sur votre système, veuillez contacter l'équipe de support de Copa-Data via support@copadata.com.


870-104

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Configuration du module -> 870-104

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres dans la fenêtre principale pour l'IEC870-104 :

Nom

Fonction

Protocole 870-104

active le protocole 104, déverrouille tous les champs de saisie pour le standard 104 et verrouille les paramètres pour le standard 101.

Fichier de configuration

Nom du fichier de configuration. C'est là où tous les paramètres actifs sont stockés et c'est de là qu'ils sont lus. Le nom que vous donnez doit être un nom de fichier valide. Sinon, aucune donnée ne pourra être enregistrée. Dans ce cas, vous aurez un message d'erreur.

Entrez seulement le nom du fichier sans le chemin. Vous ne devez pas ajouter l'extension de fichier XML, car elle est ajoutée automatiquement lors de l'enregistrement. Le répertoire actuel du fichier .ini sera utilisé comme chemin.

Le nom de fichier sera automatiquement ajouté dans le fichier .ini de la passerelle de procédé (Process Gateway) pour la configuration.
Vous pouvez trouver le fichier .ini dans le répertoire "system" du système de contrôle. Il est appelé "SCADAProcGateway.ini" - SCADA est à remplacer par le nom du système de contrôle.

Importation

charge les données de configuration depuis un fichier de configuration XML. Les paramètres courants sont remplacés par ceux définis dans le fichier. Le paramétrage actuel pour le "fichier de configuration" reste le même.

Exporter

stocke les paramètres courants dans un fichier.

Attention : les équipements qui ont encore l'ID par défaut "????" (défini lors de la création) ne seront pas exportés. Pour les exporter, vous devez d'abord configurer l'équipement dans la fenêtre de configuration "Secteur".

Port

Port TCP auquel les maîtres se connectent. Défini par la norme comme étant égal à 2404.
Nos drivers permettent d'avoir plusieurs instances du Process Gateway tournant en même temps. c'est pourquoi vous pouvez changer ce port :
Numéros de port autorisés : 1200 à 65535

Équipements

Liste des équipements configurés.

Ajouter

Ajoute un nouvel équipement avec des paramètres standard. Par défaut, l'équipement reçoit l'ID invalide "????" et une adresse de lien / IP invalide aussi. Avant de pouvoir utiliser l'équipement ou avant de pouvoir l'exporter, vous devez le configurer.

Supprimer

Supprime l'équipement sélectionné. si aucun équipement n'est sélectionné, ce bouton est verrouillé.

OK

Accepte tous les paramètres modifiés. Ils seront immédiatement enregistrés dans la configuration courante (définie dans "Configuration file").
Attention : Après avoir cliqué sur "OK", toutes les connexions actives de maîtres seront fermées et rouvertes avec les nouveaux paramètres. Des erreurs de communications peuvent apparaître durant cette phase.

Annuler

Annule toutes les modifications faites sur les paramètres. Rien n'est enregistré.

Aide

Ouvre la fenêtre d'aide (comme la touche F1) Si le fichier d'aide n'existe pas sur votre système, veuillez contacter l'équipe de support de Copa-Data via support@copadata.com.


Device

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Configuration du module -> Device

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la partie de la fenêtre principale appelée "Device" vous pouvez définir les paramètres des équipements.

Entrée

Protocole

Fonction

Nom

101
104

Nom de l'équipement pour une identification rapide

Adresse IP

104

Adresse IP du maître. Ceci permet d'identifier l'équipement avec lequel le maître communique. Toutes les adresses IP sont autorisées sauf 255.255.255.255.

Remarque : la valeur actuelle est perdue en cas de modification du protocole.

Adresse de lien

101

Adresse de lien – Par l'adresse de lien contenue dans la trame TF 1.2, le maître spécifie l'équipement auquel la commande est destinée. Avec ces adresses de lien, un maître peut communiquer avec plusieurs équipements. La plage d'adresses autorisées dépend du paramètre de taille de l'adresse de lien dans les parmètres généraux.
Une taille d'adresse de lien de 1 permet une plage de 0 à 254.
Une taille d'adresse de lien de 2 permet une plage de 0 à 65534.

Remarque : la valeur actuelle est perdue en cas de modification du protocole.

COA size

101

Définit la longueur du paramètre COA (common object address). Vous pouvez uniquement modifier la taille du paramètre COA pour le paramètre 101. Pour le paramètre 104, la valeur est automatiquement définie sur 2, conformément au standard.
Sélection de la taille de l'adresse dans la liste déroulante. Valide :

  • 1 octet

2 octets

COT size

101

Définit la longueur du paramètre COT (cause of transmission). Vous pouvez uniquement modifier la taille du paramètre COA pour le paramètre 101. Pour le paramètre 104, la valeur est automatiquement définie sur 2, conformément au standard.

Sélection de la taille de l'adresse dans la liste déroulante. Valide :

  • 1 octet

2 octets

IOA size

101

Définit la longueur du paramètre IOA (information object address). Vous pouvez uniquement modifier la taille du paramètre IOA pour le paramètre 101. Pour le paramètre 104, la valeur est automatiquement définie sur 3, conformément au standard.

Sélection de la taille de l'adresse dans la liste déroulante. Valide :

  • 1 octet
  • 2 octets

3 octets

Commands active

101
104

Cette option permet d'activer l'accès en écriture. Les informations procédé dans la direction de contrôle sont exécutées. Si cette option est désactivée, une entrée dans les traces d'erreur est créée.

Ce paramètre peut être personnalisé par le biais d'une variable dans zenon (IOA 2).

max APDU size

104

La longueur maximum des données APDU comme définie dans le standard 870-5-104 5.
nombre compris entre 25 et 253.

Max. user data

101

Longueur maximum des données utilisateur comme définie dans TF1.2 870-5-2 3.2. Valide :
entre (19 + LAF size + COA size + COT size + IOA size) et (255).

Short pulse length

101
104

Définit la taille de l'impulsion pour le paramètre Qualifier of Command (Qualificateur de commande) avec la valeur "short pulse duration" (Impulsions courtes) (QOC = 1), en millisecondes.
Valeurs possibles : 0 à 4294967295
En mode de débogage, il y aura aussi une impulsion pour les valeurs plus grandes ou égales à 10000, même avec QOC = 0. Ceci permet de tester la génération d'impulsions avec nos drivers IEC870.

Long pulse length

101
104

Définit la taille de l'impulsion pour le paramètre Qualifier of Command (Qualificateur de commande) avec la valeur "long pulse duration" (Impulsions longues) (QOC = 2), en millisecondes.
Valeurs possibles : 0 à 4294967295.

file transfer directory

101
104

Définit le répertoire pour le transfert des fichiers et des répertoires.


Secteur

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Configuration du module -> Secteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fenêtre "Sector" montre tous les secteurs définis dans l'équipement. Si vous sélectionnez un secteur, ses objets d'information (IO) seront affichés.

Paramètres de secteur | Fonction
Ajouter | active la boîte de dialogue pour créer un nouveau secteur. En cliquant sur OK, vous fermez la boîte de dialogue et créez un nouveau secteur.
Editer | active la boîte de dialogue pour éditer le secteur sélectionné. Vous pouvez aussi lancer l'éditeur en double-cliquant sur le secteur dans la liste. Ce bouton est inactif si aucun secteur n'est sélectionné.
Supprimer | Supprime le secteur sélectionné. Ce bouton est inactif si aucun secteur n'est sélectionné.
Paramètres des IO | Fonction
Ajouter | active la boîte de dialogue pour créer des nouveaux IO. En cliquant sur "OK", vous fermez la boîte de dialogue et créez un nouvel IO. Ce bouton est inactif si aucun secteur n'est sélectionné.
Editer | active la boîte de dialogue pour éditer l'IO sélectionné. Vous pouvez aussi lancer l'éditeur en double-cliquant sur l'IO dans la liste. Ce bouton est inactif si aucun IO n'est sélectionné.
Supprimer | Supprime l'IO sélectionné. Ce bouton est inactif si aucun IO n'est sélectionné.

Editer les secteurs

Paramètre

Fonction

Nom

N'importe quel nom. Pour une identification simple d'un secteur.

COA

Les COMMON ADDRESS OF ASDUs (IEC 60870-5-101 7.2.4) par l'intermédiaire desquels le secteur est défini.
Ce nombre doit être unique coté équipement (1 à 254).

Time for Background scan [min] (Heure de l'analyse en tâche de fond [min])

Compatible avec les exigences du standard IEC 60870, chapitre 7.4.13, "Background Scan" (Analyse en tâche de fond). Les valeurs sont transmises avec COT = 2. La durée de cycle est indiquée en minutes.

Les valeurs sont transférées de manière cyclique vers la grille horaire définie pour tous les IO lorsque l'option Background Scan (Analyse en tâche de fond).

Les valeurs sont uniquement transférées de manière cyclique si aucune valeur spontanée n'est transférée dans l'intervalle de temps défini.

Si la valeur est 0, le transfert cyclique des valeurs est désactivé pour ce secteur.

Time for periodic transfer [s] (Heure de transfert périodique [s])

Prise en charge du transfert cyclique de données conforme à la norme (IEC 60870-5-5 6.3). Les valeurs sont transmises avec COT = 1. La durée du cycle est indiquée en secondes.

Les valeurs sont transférées de manière cyclique pour tous les IO, après activation de l'option Periodic data transfer (Transfert de données périodique). Les IO sont transférés de manière cyclique, et non spontanément.

Si la valeur est 0, le transfert cyclique des valeurs est désactivé pour ce secteur.

Transmission des totaux intégrés

Sélection du mode de transfert (reportez-vous à la norme IEC 60870-5-101 7.4.8) pour les totaux intégrés ; IO de type :

  • 15 (M_IT_NA_1)
  • 16 (M_IT_NA_1)
  • 37 (M_IT_NA_1)

Aucune fonction de réinitialisation n'est prise en charge. Une valeur FRZ avec réinitialisation déclenche un avertissement.

Pour les modes A à D, des IO sont demandés immédiatement après la connexion au maître de zenon/zenon Logic. Les modifications de valeurs au niveau des IO des totaux intégrés sont gérées dans une mémoire tampon spécifique. Celle-ci peut contenir la valeur la plus élevée correspondant à 4 fois le nombre d'IO des totaux intégrés, soit 2048 modifications de valeur.

Avec interrogation générale

Les totaux intégrés sont également transférés durant une interrogation générale (C_IC_NA_1).

Mode A : blocage local avec transmission événementielle

Les totaux intégrés sont transférés en cas de modification d'une valeur.

Mode B : blocage local avec interrogation du compteur

Les totaux intégrés sont uniquement transférés avec une commande d'interrogation de compteur (C_CI_NA_1). Pour cela, un délai maximal de 5 secondes est appliqué après l'activation de l'interrogation, et ce, jusqu'à ce que tous les totaux intégrés aient reçu des valeurs. Les totaux intégrés sans valeur sont transférés avec un qualificatif non valide. Les changements de valeur sont conservés dans la mémoire tampon jusqu'à ce que l'interrogation soit terminée (blocage actif). Tous les totaux intégrés transfèrent ainsi la valeur du point à l'instant auquel le dernier total intégré a reçu une valeur.

Mode C : blocage et transmission par interrogation du compteur. Transmission des commandes de totaux intégrés.

Identique au mode B.

Mode D : blocage par commande de compteur d'interrogation, valeurs figées rapportées de façon événementielle

Transfert identique au mode C, le mode A est activé après la conclusion de l'interrogation.

OK

En cliquant sur OK, vous pouvez vérifier si le COA est disponible dans l'équipement. S'il est déjà utilisé, vous aurez un message d'erreur. S'il est disponible, le paramétrage est accepté et la boîte de dialogue est fermé.

Annuler

Annule toutes les entrées et ferme la boîte de dialogue.

Aide

Ouvre la fenêtre d'aide (comme la touche F1) Si vous n'affichez pas le fichier d'aide, merci de contacter support@copadata.com

Transmission des totaux intégrés :

Champs XML

Paramètres | Description
Version | Le champ CNT_MODE est attendu à compter de la version 3.
CNT_MODE | Mode configuré des IO des totaux intégrés.

Mode configuré

Paramètres | Description
0 | Avec interrogation générale. (Par défaut)
1 | Mode A
2 | Mode B
3 | Mode C
4 | Mode D

Codes d'erreur

Code | Description
13 | Avis d'échec des totaux intégrés.
14 | Dépassement de capacité de la file d'attente. Valeurs des totaux intégrés perdues.
572 | Interrogation de compteur. Valeur QCC non prise en charge.
573 | Interrogation de compteur. Valeur IOA inattendue.
574 | Interrogation de compteur. Valeur COT non prise en charge.
575 | Capacité insuffisante de la mémoire tampon d'interrogation des totaux intégrés.

Avertissements

Code | Description
1011 | Valeur QCC FRZ partiellement prise en charge.
1012 | Interrogation de compteur déjà active.

Messages d'erreur

Message | Description
Qualificatif non pris en charge pour l'interrogation de compteur. <Commande> | Valeur QCC inconnue. Valeur RQT uniquement prise en charge avec 5.
Interrogation de compteur gérée sans réinitialisation. <Commande> | Attention. Fonction de réinitialisation non prise en charge.
Can't advise IT data point (Impossible d'informer le point de données IT). Device:(<device>)<device> Sector:(<COA>)<Sectorname> adv:0x<Advise-ID> | Impossible de demander les points de données des totaux intégrés.
Valeurs IT perdues, file d'attente saturée ! Device:(<device>)<device> Sector:(<COA>)<Sectorname> <Valuechange> | La mémoire tampon des modifications de valeur des IO de la valeur IT est saturée. La modification de valeur est perdue.

Autres sujets abordés dans ce chapitre

Paramètres des Information Objects

Mappage des types de données


Paramètres des Information Objects

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Configuration du module -> Secteur -> Paramètres des Information Objects

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres des Information Objects

Paramètre

Fonction

adresse de l'Information Object

Définit l'adresse sous laquelle est défini l'objet d'information IO (IEC 60870-5-101 7.2.5). En combinaison avec l'identifiant de type (Type identifications), il doit être unique pour chaque secteur.

Identification de type

Contient les Type identifications prises en charge (IEC 60870-5-101 7.2.1).

Ce paramètre est également appelé identifiant de type.

Il détermine également les variables du système de contrôle du procédé qui peuvent être associées aux E/S selon leur type de données.

Variable SCADA

définit la variable du système de contrôle associée à l'IO.
Syntaxe : <Nom du projet>#<nom de la variable> définition de la connexion du projet.
Les variables sans référence de projet sont recherchées dans le projet par défaut.
Lors de la définition, le système vérifie si la variable spécifiée existe dans le projet correspondant et si son type est compatible avec l'identification de type.
Le bouton "..." ouvre la boîte de dialogue de sélection de variables. Vous pouvez en savoir plus sur la sélection de variables dans la section correspondante.
(SCADA est à remplacer par le nom du système de contrôle).

Transfert de donnée

Détermine le type de transfert de données pour les IO

Spontané

Le transfert de données des IO est spontané.

Evénementiel - les valeurs sont placées dans la file d'attente lorsque le maître est hors ligne.

Les données sont conservées dans la mémoire tampon jusqu'à ce qu'elles puissent à nouveau être lues par le maître. Toutes les données placées dans la mémoire tampon sont transmises avec l'état COT_spont (3). La dernière valeur placée en mémoire tampon est retransmise avec l'état COT_inrogen (20).

L'enregistrement en mémoire tampon peut être activé pour les identifiants de type <30...37> :

M_SP_TB_1, M_DP_TB_1, M_ST_TB_1, M_BO_TB_1, M_ME_TD_1, M_ME_TE_1, M_ME_TF_1 et M_IT_TB_1

Le paramètre n'est disponible pour aucun autre identifiant de type.

Analyse en tâche de fond

Les E/S sont transférées dans le cadre d'une analyse en tâche de fond, conformément à la norme IEC 60870. Un point de données qui ne reçoit pas une nouvelle valeur événementielle dans le délai d'analyse en tâche de fond défini est automatiquement transmis par la passerelle après expiration du délai. Les valeurs sont uniquement transférées si aucune valeur spontanée n'a encore été transférée dans l'intervalle de temps défini.

Le paramètre est inactif si l'analyse en tâche de fond est verrouillée au niveau du secteur (Time=0), ou si l'élément Type ID utilisé n'est pas compatible avec l'analyse en tâche de fond.

Les identifiants de type 1,3,5,7,9,11,13 sont compatibles avec l'analyse en tâche de fond :

M_SP_NA_1, M_DP_NA_1, M_ST_NA_1, M_BO_NA_1, M_ME_NA_1, M_ME_NB_1, M_ME_NC_1

Le paramètre n'est disponible pour aucun autre identifiant de type.

Periodic data transfer (Transfert de données périodique)

Transfert de données périodique conformément au standard IEC 60870-5-5-6.3.

Les IO sont transférés de manière cyclique, et non spontanément.

Le paramètre est inactif si le transfert de données périodique est verrouillé au niveau du secteur (Time=0), ou si l'élément Type ID utilisé n'est pas compatible avec le transfert de données périodique.

Les identifiants de type 9,11,13 sont compatibles avec la fonction de transfert périodique :

M_ME_NA_1, M_ME_NB_1, M_ME_NC_1

Le paramètre n'est disponible pour aucun autre identifiant de type.

Off

Les changements de valeurs ne sont pas transférés. Aucune valeur n'est transmise pour l'IO durant une interrogation générale (GI).

Sequence of Events (Séquence d'événements)

Ces paramètres définissent le comportement spécifique aux E/S pour SOE Le transfert dans SOE (se reporter à la norme IEC 60870-5-101 7.4.11.3.1) peut également être activé pour les identifiants de type <30...37> :

M_SP_TB_1, M_DP_TB_1, M_ST_TB_1, M_BO_TB_1, M_ME_TD_1, M_ME_TE_1, M_ME_TF_1 et M_IT_TB_1

Inactif

Le point de données n'est pas utilisé pour la description de SOE.

Il est automatiquement utilisé pour tous les Type ID non compatibles avec SOE.

All events (Tous les événements)

Chaque modification d'une valeur ou d'un état déclenche une écriture dans le fichier ouvert.

Le paramètre est bloqué si le Type ID n'est pas planifié pour la fonction SOE.

Raising Edge (Front montant)

Si la valeur change de 0 en <>, une écriture est déclenchée dans le fichier ouvert.

Le paramètre est bloqué si le Type ID n'est pas planifié pour la fonction SOE.

Falling Edge (Front descendant)

Si la valeur change de <> en 0, une écriture est déclenchée dans le fichier ouvert.

Le paramètre est bloqué si le Type ID n'est pas planifié pour la fonction SOE.

Raising + Falling Edge (Fronts montant et descendant)

Une modification de la valeur de 0 en <> 0 ou de <> 0 en 0 déclenche une écriture dans le fichier ouvert.

Le paramètre est bloqué si le Type ID n'est pas planifié pour la fonction SOE.

File trigger (Déclencheur de fichier)

Si une valeur doit être écrite en raison des paramètres décrits ci-dessus, un nouveau fichier est créé et ouvert pour le fichier activé, à condition toutefois que celui-ci n'ait pas déjà été ouvert. Le déclenchement est également écrit dans le fichier SOE.

Le paramètre est bloqué si le Type ID n'est pas planifié pour la fonction SOE.

OK

Votre paramétrage est vérifié lorsque vous cliquez sur OK. S'ils sont valides, ils sont acceptés et la boîte de dialogue est fermée.

Annuler

Annule toutes les entrées et ferme la boîte de dialogue.

Aide

Ouvre la fenêtre d'aide (comme la touche F1) Si vous n'affichez pas le fichier d'aide, merci de contacter support@copadata.com

info Info

Les communications des transferts de données événementiels, de l'analyse en tâche de fond et des transferts de données périodiques démarrent à réception de la première requête générale (C_IC_NA_1). Pour l'analyse en tâche de fond et le transfert de données périodique, le démarrage du cycle de transfert est calculé par IO, à compter de l'heure de la réponse à la requête générale.

Sélection de points de données

Cette boîte de dialogue montre tous les projets disponibles et leurs variables.

Projets

Un astérisque (*) marque le projet par défaut.

Variables

La liste des variables est filtrée. Vous ne voyez que les variables qui peuvent être utilisées avec le "type identification" sélectionné pour l'IO. Sélectionner un projet met à jour la liste de variables.

OK

Reprend la variable sélectionnée. La variable peut également être reprise par un double clic. Lors du chargement, le projet couramment configuré et la variable sont sélectionnés.

La même variable peut être utilisée plusieurs fois :
pour plusieurs IO dans le même secteur ou dans d'autres secteurs,
pour le même équipement ou pour un autre.

Si la boîte de dialogue reste ouverte et qu'il y a un rechargement dans le Runtime, toutes les listes seront "vidées" et "remplies" à nouveau après le rechargement.

Annuler

Annule toutes les entrées et ferme la boîte de dialogue.

Aide

Ouvre la fenêtre d'aide (comme la touche F1) Si vous n'affichez pas le fichier d'aide, merci de contacter support@copadata.com


Mappage des types de données

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Configuration du module -> Secteur -> Mappage des types de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les types de données de zenon sont comparés aux types de données de la passerelle Process Gateway.

Process Gateway |  | zenon
IEC 60870-5-101 ASDU | Identification de type | Type de données | Commentaire
M_SP_NA_1 | 1 | BOOL |
M_SP_TA_1 | 2 | BOOL |
M_SP_TB_1 | 30 | BOOL |
M_DP_NA_1 | 3 | USINT |
M_DP_TA_1 | 4 | USINT |
M_DP_TB_1 | 31 | USINT |
M_ST_NA_1 | 5 | USINT | Corresponds au paramètre VTI entier (IEC60870-5-101 7.2.6.5). Le bit 8 est le bit Transient.
M_ST_TA_1 | 6 | USINT | Corresponds au paramètre VTI entier (IEC60870-5-101 7.2.6.5). Le bit 8 est le bit Transient.
M_ST_TB_1 | 32 | USINT | Corresponds au paramètre VTI entier (IEC60870-5-101 7.2.6.5). Le bit 8 est le bit Transient.
M_BO_NA_1 | 7 | UDINT |
M_BO_TA_1 | 8 | UDINT |
M_BO_TB_1 | 33 | UDINT |
M_ME_NA_1 | 9 | REAL |
M_ME_TA_1 | 10 | REAL |
M_ME_TD_1 | 34 | REAL |
M_ME_NB_1 | 11 | INT |
M_ME_TB_1 | 12 | INT |
M_ME_TE_1 | 35 | INT |
M_ME_NC_1 | 13 | REAL |
M_ME_TC_1 | 14 | REAL |
M_ME_TF_1 | 36 | REAL |
M_IT_NA_1 | 15 | DINT |
M_IT_TA_1 | 16 | DINT |
M_IT_TB_1 | 37 | DINT |
M_EI_NA_1 | 70 | USINT | Un changement de valeur de 126 à 127 entraîne l'envoi de End of initialization au maître
C_SC_NA_1 | 45 | BOOL | Reflète la direction de commande durant l'exécution
C_SC_TA_1 | 58 | BOOL | Reflète la direction de commande durant l'exécution
C_DC_NA_1 | 46 | USINT | Reflète la direction de commande durant l'exécution
C_DC_TA_1 | 59 | USINT | Reflète la direction de commande durant l'exécution
C_RC_NA_1 | 47 | USINT | Reflète la direction de commande durant l'exécution
C_RC_TA_1 | 60 | USINT | Reflète la direction de commande durant l'exécution
C_SE_NA_1 | 48 | REAL | Reflète la direction de commande durant l'exécution
C_SE_TA_1 | 61 | REAL | Reflète la direction de commande durant l'exécution
C_SE_NB_1 | 49 | INT | Reflète la direction de commande durant l'exécution
C_SE_TB_1 | 62 | INT | Reflète la direction de commande durant l'exécution
C_SE_NC_1 | 50 | REAL | Reflète la direction de commande durant l'exécution
C_SE_TC_1 | 63 | REAL | Reflète la direction de commande durant l'exécution
C_BO_NA_1 | 51 | UDINT | Reflète la direction de commande durant l'exécution
C_BO_TA_1 | 64 | UDINT | Reflète la direction de commande durant l'exécution
C_RD_NA_1 | 102 | - | Exécutée automatiquement ; l'exécution n'est pas reflétée dans zenon
C_CS_NA_1 | 103 | BOOL | Variable d'activation de la synchronisation de l'heure
C_RP_NA_1 | 105 | USINT | QRP durant l'exécution
F_DR_TA_1 | 126 | USINT | Correspond à un transfert de répertoire spontané


Paramètres 104

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Configuration du module -> Paramètres 104

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Définissez les délais d'attente et APDU dans l'onglet 104.

Les paramètres suivants sont disponibles :

Paramètres | Description
104 délais d'attente. [ms] 0 désactive le délai d'attente |
T0 time-out of connection establishment (T0 – délai d'attente d'établissement de la connexion) | Délai d'attente pour l'établissement de la connexion. Plage de valeurs : 0 - 4294967295 Valeur par défaut : 30000
T1 time-out of send or test APDUs (T1 – délai d'attente pour l'envoi ou pour le test d'APDU) | Délai d'attente de la confirmation de trame par le maître. Plage de valeurs : 0 - 4294967295 Valeur par défaut : 15000
T2 time-out for ack. in case of no data msg (T2 – délai d'attente de reconnaissance en l'absence de message de données) | Délai d'attente dans lequel le maître doit confirmer l'absence d'échange de données. Plage de valeurs : 0 - 4294967295 Valeur par défaut : 10000
T3 time-out for sending test frames (T3 – délai d'attente d'envoi de trames test) | Délai après lequel une trame U est transmise au maître si aucune donnée ne doit être transférée. Plage de valeurs : 0 - 4294967295 Valeur par défaut : 20000
APDU |
k max. diff. receive seq. no. to send state (Écart max. séq. réception avec état d'envoi) | Nombre maximal de trames I-frame encore non confirmées par le maître. Plage de valeurs : 0 - 4294967295 Valeur par défaut : 12
w latest ack. after rec. w I format APDUs (Avec dernière conf. après réception avec APDU I format) | Nombre de trames I-frame reçues après l'envoi d'une confirmation. Plage de valeurs : 0 - 4294967295 Valeur par défaut : 8
Set to default (Par défaut) | Restaure les valeurs par défaut des paramètres.


Fichier XML

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Configuration du module -> Fichier XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration de l'IEC870SI est stockée dans un fichier XML. Vous pouvez importer et exporter différentes configurations avec les boutons "Export" et "Import" dans la fenêtre principale.

La configuration active est stockée dans le fichier .ini, par exemple :
[IEC 870]
SETTINGS=IEC870SLAVE.XML

Vous pouvez choisir n'importe quel nom. Le chemin est identique à celui du fichier .ini.

Structure du fichier XML

Les noms de la plupart des champs fournissent intuitivement leur signification. Les paramètres correspondent à ceux autorisés dans la boîte de dialogue.

Les valeurs et la structure du fichier XML sont vérifiées lorsque le fichier est lu. Les entrées erronées déclenchent un message d'erreur qui est aussi enregistré (log).

attention Attention

Les entrées XML sont sensibles à la casse. Faites attention aux minuscules / majuscules.

Nom | Propriété
process_gateway_IEC870Slave | Le nœud racine doit avoir ce nom. Sinon la lecture sera arrêtée en erreur.
VERSION | Contient la version courante des attributs et des nœuds.
Device_x | nœuds pour la configuration d'un équipement. X est remplacé par un nombre consécutif ; démarre à 1. Cette façon de nommer les nœuds n'est pas obligatoire. Un équipement est créé pour chaque nœud.
LinkAdr | Pour le protocole 101, l'adresse de lien est définie ici. Elle doit être unique pour tous les équipements. Pour le protocole 104, cette entrée n'est pas significative.
IpAdr | Pour le protocole 104, l'adresse IP du maître doit être définie ici. Elle doit être unique pour tous les équipements. Pour le protocole 101, cette entrée n'est pas significative.
Sector_x | Nombre de nœuds par secteur configuré. X est remplacé par le COA. Cette façon de nommer les nœuds n'est pas obligatoire. Un secteur est créé pour chaque nœud.
IO_x | Nombre de nœuds par "information object". X est remplacé par un nombre consécutif ; démarre à 1. Cette façon de nommer les nœuds n'est pas obligatoire. Un IO est créé pour chaque nœud.
ScadaVar | Lorsque le fichier est chargé, le système vérifie l'existance de la variable spécifiée dans le projet. Les variables sans référence de projet sont recherchées dans le projet par défaut. [ScadaProjectName#]ScadaVariableName. (SCADA est à remplacer par le nom du système de contrôle).
TypeId | Identification de type. Lorsque le fichier est chargé, le système contrôle que le Type ID est compatible avec le type de la variable spécifiée.
COA | Common Object Address. Doit être unique pour chaque équipement par secteur.
IOA | Information Object Address. En combinaison avec le type ID, il doit être unique sur un secteur.
Is101active | Avec la valeur "1", le protocole 101 est activé, sinon le 104 sera activé.
BSTime | Heure de l'analyse en tâche de fond Unités de mesure : ms. 0 désactive l'analyse en tâche de fond. Par défaut : 0
CYTime | Heure du transfert de données cyclique. Unités de mesure : ms. 0 désactive le transfert cyclique. Par défaut : 0 Disponible dans les versions 2 et ultérieures.
KindOfTransfer | Déclare le type de transfert de données. 0 : Archivage événementiel. Il s'agit également de la valeur par défaut. 1: backscan (Analyse en tâche de fond.) 2 : Balayage cyclique 3 : désactivé 4 : Transfert événementiel avec mise en mémoire tampon Par défaut : 0 Disponible dans les versions 3 et ultérieures.
DeActDPIStd | Format de transfert de données ou de système de contrôle interne conforme à DPI /DCS (conforme au standard IEC60870).
Version | 6 : décrit un fichier XML contenant les champs suivants pour la prise en charge de SOE.
EnableSOE | 0 = Inactif 1 = Fonction SOE active
MaxBufferedFilesSOE | Nombre maximal de fichiers SOE stockés en mémoire tampon.
AutodeleteFilesSOE | 0 = Pas de suppression automatique 1 = Suppression automatique si le nombre maximum de fichiers a été atteint
MaxEventsPerFileSOE | Nombre maximum d'ASDU par fichier
PostTrgToSOE | Délai d'attente après déclenchement en [ms]
FileToSOE | Délai d'attente de fichier en [ms]
Information Object setting for SOE support (Configuration de l'objet Information pour la prise en charge de SOE) | Autres paramètres devant être définis pour la prise en charge de SOE au niveau de l'objet Information.
Version | 4 : décrit un fichier XML contenant les champs suivants pour la prise en charge de SOE.
KindOfTransfer | Définit dans quelles conditions une mise à jour déclenche un transfert. 0 : Spontané 1 : Analyse en tâche de fond 2 : Périodique 3 : aucune diffusion
TrgSOE | 0 = Inactif 1 = L'IO sert de déclencheur
EvDetectionSOE | Détermine dans quelle condition la modification d'une valeur d'IO ou d'un état peut déclencher une écriture dans le fichier SOE. 0 : Fonction SOE active 1 : Enregistre toutes les modifications. 2 : Fronts montants 3 : Fronts descendants 4 : Fronts montants et descendants

Exemple de configuration pour le protocole 101 :

Exemple de configuration pour le protocole 104 :


Communications

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce chapitre explique les détails de la communication de la passerelle de procédé :

  • Démarrage
  • Interrogation générale
  • RAZ
  • Modifications de valeurs
  • Priorité
  • Lecture
  • Procédé initialisé
  • Transfert de fichier
    • Stockage et nommage des fichiers pour le transfert
    • Répertoire de transfert événementiel (spontané)
  • Séquence d'événements (SOE)
    • Avertissements
    • Messages d'erreur
  • Synchronisation du temps
  • Association DPI/DCS
  • Select before operate (Sélection avant utilisation)
  • Qualifier of command (Qualificateur de commande)
  • Invalid Bit Handling (Traitement de bit non valide)
  • Normalized Values (Valeurs normalisées)
  • Commande de suivi (monitoring)
  • Type interne T00
  • Génération de 'pulse'
  • Rechargement
  • Diffusions (Broadcasts)
  • Horodatage en temps réel non valide - Bit d'état T_INVAL

Autres sujets abordés dans ce chapitre

Démarrage

Interrogation générale

RAZ

Changement de valeur

Priorité

Lecture

Procédé initialisé

Transfert de fichier

Séquence d'événements (SOE)

Synchronisation du temps

Association DPI/DCS

Select before operate (Sélection avant utilisation)

Qualifier of command (Qualificateur de commande)

Invalid Bit Handling (Traitement de bit non valide)

Normalized Values (Valeurs normalisées)

Commande de suivi (monitoring)

Type interne T00 (variable d'état)

Génération de 'pulse'

Rechargement

Diffusions (Broadcasts)

Bit d'état de temps réel non valide T_INVAL


Démarrage

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Quand la passerelle de procédé (Process Gateway) est démarrée, elle charge le driver configuré.

Le driver essaie alors de lire la configuration active à partir du fichier défini dans le fichier .ini. Si ce n'est pas possible, un message d'erreur est généré et la boîte de dialogue de configuration sera ouverte.

Si vous ne fermez pas la boîte de dialogue de configuration par OK, l'application se ferme.

attention Attention

Si l'application est démarrée en mode invisible, il n'y aura pas de boîte de dialogue de configuration. Le Process Gateway sera fermé automatiquement si sa configuration est incorrecte ou si elle n'existe pas.


Interrogation générale

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Interrogation générale

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La requête générale déclenche la connexion du driver au Runtime. Elle est nécessaire pour les communications via le transfert de données événementiel, l'analyse en tâche de fond ou le transfert de données périodique. La connexion sera établie en secteurs.

Si la connexion ne peut pas être établie, une réponse négative sera donnée à la requête générale. S'il y a une requête générale couramment active pour un secteur, elle sera terminée et un message d'avertissement sera enregistré (log).

Les modifications de valeur des IO qui ont déjà envoyé leurs valeurs au maître seront conservées en mémoire tampon tant que la requête générale est active.

Lors d'un rechargement de projet, il n'est pas possible de se connecter au Runtime. Dans ce cas la requête générale échouera.


RAZ

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> RAZ

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le maître doit être capable de reconnaître une interruption de communication, et ainsi réagir avec une nouvelle requête générale. C'est pourquoi aucune commande procédé ne sera exécutée tant que le maître n'a pas demandé un reset (RAZ).

Chaque fois qu'il y a un risque de perte de données (des changements de valeur ont été perdus), une réinitialisation sera déclenchée.

101
Toutes les commandes seront refusées jusqu'à ce que le code de fonction de la réinitialisation (0) soit reçu. Le code provoque un reset au niveau de la couche lien et au niveau de la couche application.

104
Si la connexion est interrompue, le maître réagit immédiatement et redémarre la phase d'initialisation. Le reset sera provoqué si un maître se connecte.

Commande de réinitialisation du procédé
En créant un IO de type C_RP_NA_1 avec un IOA 0, vous permettez au système de contrôle de reconnaître les commandes reçues.
La valeur de la variable est mise à 0 et ensuite à la valeur de QRP.


Changement de valeur

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Changement de valeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le driver reçoit toutes les modifications de valeurs des variables demandées.

Comme cela peut engendrer une énorme liste d'informations de procédé non encore transférées au maître, la liste des modifications de valeurs stockées en mémoire tampon a une taille limitée.

Limite : Au moins : 2048 ou 4 x le nombre d'IOs par secteur.

Si la liste dépasse cette limite, la connexion au maître sera arrêtée. De cette manière, le maître doit obtenir la prochaine connexion avec une demande générale et obtenir des changements de la valeur actuelle.

Les modifications de valeurs peuvent être enregistrées (log).


Priorité

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Priorité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le driver supporte les fichiers de classe 1 et de classe 2.

Tous les transferts de fichiers sont traités en classe 2. Ceci permet d'assurer que les changements de valeurs seront transférées au maître même pendant un transfert de fichier.


Lecture

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Lecture

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

On peut avoir jusqu'à 2048 requêtes de lecture actives en même temps. Si cette limite est atteinte, les requêtes suivantes seront refusées.

Une requête de lecture est exécutée pour chaque IO avec l'IOA requis.
On peut aussi avoir plusieurs requêtes actives pour le même IO.
Les requêtes sont traitées même si la requête générale n'est pas encore terminée.


Procédé initialisé

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Procédé initialisé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez faire en sorte que le système de contrôle envoie la commande M_EI_NA_1 (fin d'initialisation) au maître. Pour cela,

  • créez un IO de type M_EI_NA_1 (T70) avec un IOA 0.

La commande sera envoyée si la valeur courante de la variable est 126 et qu'elle passe à 127. La valeur du paramètre COI (cause d'initialisation) est 2 (réinitialisation à distance).


Transfert de fichier

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Transfert de fichier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce qui suit s'applique pour le transfert de fichiers :

  • Les valeurs 1 à 4 sont prises en charge dans AFQ UI4
  • Les valeurs 0 à 6 sont prises en charge dans SCQ UI4 ;
    Les valeurs 0 et 1 sont toutes deux 'select file'

Si un nouveau transfert est démarré alors qu'un autre est toujours en cours, le transfert en cours sera interrompu et le nouveau sera démarré.

Autres sujets abordés dans ce chapitre

Stockage et nommage

Répertoire de transfert événementiel (spontané)


Stockage et nommage

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Transfert de fichier -> Stockage et nommage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Utilisez le format suivant pour le stockage et le nommage :

<Dossier configuré>\<COA>\<IOA>.<NOF>

Seul 1 = 'transparent file' est accepté en tant que NOF (Name of file).
La taille maximum des fichiers pour le transfert est de 16 711 680 octets.

Exemple

Dossier dans la configuration du module : C:\TEMP\IEC870

Fichier 1100.1 : pour les E/S du secteur COA=151 et IOA 1100

Emplacement d'enregistrement : C:\TEMP\IEC870\151\1100.1


Répertoire de transfert événementiel (spontané)

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Transfert de fichier -> Répertoire de transfert événementiel (spontané)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le transfert spontané de fichiers dans le dossier pour le transfert de fichiers peut être déclenché par le système de contrôle. Pour cela :

  • Créez un IO de type F_DR_NA_1 (T126) avec un paramètre IOA 0.
Valeur | Signification
Changement de 1 à 2 | Démarrage du transfert
3 | Transfert actif
4 | Transfert terminé
5 | Echec du transfert

Une activation imbriquée est empêchée.


Séquence d'événements (SOE)

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Séquence d'événements (SOE)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres dans la fenêtre SOE principale :

Paramètre SOE | Fonction
Use sequences of events (Utiliser les séquences d'événements) | Si cette option est active, la fonction SOE est activée pour le périphérique sélectionné. Si elle est inactive, tous les paramètres SOE transmis aux IO sont ignorés. Par défaut : Inactive
Buffered SOE Files (Fichier SOE en mémoire tampon) | Si le nombre défini pour les fichiers SOE dans le répertoire est atteint pour le secteur, un transfert de répertoire spontané (Type ID F_DT_TA_1) est déclenché. Si le nombre de fichiers dans le répertoire est doublé, les fichiers les plus anciens seront progressivement supprimés (mémoire tampon circulaire). Plage de valeurs : 1 à 1024. Par défaut : 1024
Events per File (Evénements par fichier) | Nombre de changements de valeur écrits dans un fichier avant sa fermeture. Plage de valeurs : 1 à 4096. Par défaut : 512
SOE file auto deleting (Suppression automatique des fichiers SOE) | Si cette option est active, ce fichier est automatiquement fermé pour le Type ID F_AF_NA_1 (confirmation de fichier) pour un fichier SOE.
Post trigger timeout (Délai d'attente après déclenchement) | Si aucun ASDU n'est écrit dans le fichier durant cet intervalle de temps, ce fichier est fermé. L'intervalle de temps est réinitialisé avec chaque ASDU écrit. Plage de valeurs : 100 ms à 120000 ms Par défaut : 1000 ms
File timeout (Délai d'attente de fichier) | Durée maximale pendant laquelle le fichier peut rester ouvert (quel que soit le nombre d'événements). Plage de valeurs : 100 ms à 120000 ms Par défaut : 5000 ms

Première valeur

L'échange de données pour la fonction SOE démarre immédiatement, dès l'initialisation de la passerelle. L'échange de données pour les données dans la direction de surveillance démarre uniquement lorsqu'un maître a connecté et déclenché une interrogation générale (GI). La première valeur initialisée ne déclenche pas un événement, et n'est donc pas définie dans le fichier. La même considération s'applique si le Runtime est de nouveau prêt à échanger des données après l'actualisation.

Transfert de fichier

Dans le cadre de la fonction SOE pour le paramètre transparent (1), l'événement (3) est également pris en charge en mode NOF.

Les fichiers ne sont pas transférés automatiquement si le nombre maximal de fichiers SOE devant être mis en mémoire tampon est dépassé.

Dans le standard IEC 60870, cette condition est caractérisée par l'expression "May be activated" (Peut être activée). La passerelle ne prend en charge aucun transfert de fichier activé par la salve dans la version actuelle.

Directory Transfer (Transfert de répertoire)

Dans le cadre de la fonction SOE pour le paramètre transparent (1), l'événement (3) est également pris en charge en mode NOF.

Transfert automatique de répertoire

Conformément au standard IEC 60870, un transfert de répertoire spontané automatique est activé pour les raisons suivantes avec les fichiers SOE existants :

  • 24 heures après le dernier transfert de répertoire automatique.
  • En cas de connexion du maître.
  • En cas de dépassement du nombre maximal de fichiers devant être enregistrés dans la mémoire tampon.

Autres sujets abordés dans ce chapitre

Avertissements

Messages d'erreur


Avertissements

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Séquence d'événements (SOE) -> Avertissements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Message d'avertissement | Signification
Les séquences d'événements pour le périphérique <Nom du périphérique>, secteur <Nom du secteur> sont activés, mais aucun déclencheur n'est défini. | La fonction SOE est activée sur le périphérique, un IO sur lequel la fonction SOE est active se trouve dans le secteur, mais le déclencheur n'a pas été activé par un IO. Aucun fichier n'est créé sans déclencheur. Un déclencheur doit être activé pour au moins un IO dans le secteur.
En cas de changement de valeur SOE sans déclencheur, le fichier est fermé. Valeur perdue ! Périphérique : (<ID du périphérique >)<Nom du périphérique> Secteur : (<COA>)<Nom du secteur> <Informations sur la valeur> | Un changement de valeur n'a pas été écrit parce que le fichier SOE n'est pas ouvert. Code : 1010


Messages d'erreur

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Séquence d'événements (SOE) -> Messages d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Message d'erreur | Signification
Séquence d'événements active, mais aucun répertoire de transfert de fichier n'a été défini ! | Les fichiers SOE sont archivés dans le répertoire de transfert de fichiers. Par conséquent, un répertoire de transfert de fichiers doit être présent.
SOE values lost, queue full! (Valeurs SOE perdues, file d'attente pleine !) Périphérique : (<ID du périphérique >)<Nom du périphérique> Secteur : (<COA>)<Nom du secteur> <Informations sur la valeur> | Pour les IO sur lesquels la fonction SOE est activée, les données sont échangées avec la pile via une file d'attente. Celle-ci peut assumer une valeur de 2048 ou 4 fois le nombre d'IO SOE dans les entrées du secteur. Si ce nombre est dépassé, ce message d'erreur est créé et le changement de valeur est perdu. Code d'erreur : 6
Impossible de créer un sous-répertoire pour le transfert de fichiers. Périphérique : (<ID du périphérique >)<Nom du périphérique> Secteur : (<COA>)<Nom du secteur> Erreur système : <code d'erreur système> | Le sous-répertoire correspondant au secteur est créé automatiquement pour la fonction SOE dans le répertoire dédié aux transferts de fichiers. Cette erreur indique que ce répertoire n'a pas pu être créé. La fonction SOE indique alors que ce secteur n'est PAS disponible. Code d'erreur : 10
System error code (Code d'erreur système) | Contient le code d'erreur renvoyé par le système d'exploitation.
Can't advise SOE data point (Impossible d'informer le point de données SOE). Périphérique : (<ID du périphérique >)<Nom du périphérique> Secteur :(<COA>)<Nom du secteur> adv:0x<ID d'information> | Data point request for SOE IOs failed (La demande de point de données pour les IO SOE a échoué). La fonction SOE indique alors que ce secteur n'est PAS disponible. Code d'erreur : 11
Write asdu to file <Filename> fail! (Echec de l'écriture d'ASDU dans le fichier Nom de fichier !) Périphérique : (<ID du périphérique>)<Nom du périphérique> Secteur:(<COA>)<Nom du secteur> <Valeur> Erreur système : <System error code (Code d'erreur système)> | ASDU write to SOE file failed (Echec de l'écriture d'ASDU dans le fichier SOE). Code d'erreur : 8
Illegal file name <Filename> detected! (Nom de fichier illégal Nom de fichier détecté ! Périphérique : (<ID du périphérique>)<Nom du périphérique >Secteur : (<COA>)<Nom du secteur> | Les noms de fichier utilisés pour le transfert de fichiers comportent un format défini <IOA>.<NOF>. Le fichier n'observe pas cette convention. Code d'erreur : 12
Auto delete for file failed! (Echec de la suppression automatique du fichier !) Erreur système : <Code d'erreur système> <Informations de transfert de fichier> | Code d'erreur : 9
File transfer information (Informations de transfert de fichiers) | Contient les informations permettant d'identifier le transfert de fichiers.


Synchronisation du temps

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Synchronisation du temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour que la synchronisation temporelle puisse être mise en œuvre, un objet Information de type 103 doit être lié à une variable de procédé pour le périphérique souhaité. Le premier IO utilisant le type 103 est utilisé en tant qu'activation.

Cette variable doit posséder une valeur de <> 0 et ne comporter aucun des états suivants :

  • Bit 44 bloqué
  • Bit 18 défaillant
  • Bit 20 désactivé ou bit de valeur de remplacement 27

Le défaut d'exécution de la commande en raison d'une activation (ou d'un état) manquant(e) ne provoque pas l'interruption de la connexion.

La configuration manquante de la variable d'activation ou de la valeur manquante de la variable d'activation entraîne l'interruption de la connexion.

La variable d'activation se connecte au système de contrôle en cas de réinitialisation du périphérique.


Association DPI/DCS

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Association DPI/DCS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il est possible de configurer si DPI/DCS (double-point information/double commans state) doit être transféré conformément au standard, ou conformément à l'affichage interne de zenon. L'option par défaut est le transfert (entre la passerelle Process Gateway et un IEC 60870 Master) conformément au standard.

Parmètre

Fonctionnalité

Deactivate standard (Désactiver le standard)

Actif : le mappage est désactivé. Les valeurs de DPI/DCS correspondent aux valeurs de zenon.

Inactif : Les valeurs de DPI/DCS sont mappées comme suit, ce qui garantit également le comportement standard lors de la saisie de commandes :

  • Valeur 0 de zenon = valeur 1 (= OFF) de DPI/DCS
  • Valeur 1 de zenon = valeur 2 (= ON) de DPI/DCS
  • Valeur 2 de zenon = valeur 0 de DPI
  • Valeur 3 de zenon = valeur 3 de DPI

Ce paramètre est automatiquement activé lors de la lecture d'un fichier XML avec la version 1.


Select before operate (Sélection avant utilisation)

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Select before operate (Sélection avant utilisation)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si la passerelle Process Gateway reçoit une commande individuelle ou double avec une commande Select, cette sélection reçoit toujours une réponse sous la forme N_CONF (P/N Bit) = 0 (réussite).


Qualifier of command (Qualificateur de commande)

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Qualifier of command (Qualificateur de commande)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une commande individuelle est reçue - Un ASDU avec Type identification 45 (C_SC_NA_1) - Avec la Qualifier of Command (QoC) affecte une variable de zenon comme suit :

  • QoC 0: définition non conforme à la norme IEC. Se comporte dans l'esclave comme dans QoC 3 (sortie persistante).
  • QoC 1: impulsion courte. La variable de zenon prend la valeur 1 et devient 0, après expiration du délai défini dans les paramètres de Process Gateway.
  • QoC 2: impulsion longue). La variable de zenon prend la valeur 1 et devient 0, après expiration du délai défini dans les paramètres de Process Gateway.
  • QoC 3: sortie persistante. La variable de zenon prend la valeur 1 et conserve la valeur 1. Elle doit être réinitialisée pour recevoir d'autres commandes individuelles.


Invalid Bit Handling (Traitement de bit non valide)

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Invalid Bit Handling (Traitement de bit non valide)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si la passerelle de procédé reçoit un bit INVALID pour un objet Information devant être envoyé (depuis le système de contrôle), les bits de qualité suivants pour l'objet Information sont placés avant l'envoi :

  • NT (Not Topical, non actuel)
  • IV (Invalid, non valide)


Normalized Values (Valeurs normalisées)

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Normalized Values (Valeurs normalisées)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les bits OV_870, qui comportent déjà les variables dans zenon, sont transmis au maître.

Si les valeurs des valeurs normalisées sont supérieures ou inférieures à la plage spécifiée par la norme (-1 à 1-2-15), le bit OV_870 est défini, même si la variable ne comporte pas le bit d'état dans zenon.


Commande de suivi (monitoring)

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Commande de suivi (monitoring)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les commandes de suivi simple, double et de régulation supportent les qualificatifs de 0 à 3.
0 est la valeur par défaut et est utilisé comme si c'était 1.

L'état de la commande est positionné comme la variable SCADA.


Type interne T00 (variable d'état)

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Type interne T00 (variable d'état)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le type interne T00 est utilisé pour la communication entre l'esclave et le système de contrôle.

Pour les variables d'état, chaque variable numérique zenon peut être attribuée. Ceci permet d'utiliser une variable interne en tant que source d'un Type ID.

IOA 1

La variable fournit les informations d'état afin de déterminer si une connexion au maître existe déjà. Créez un IO de type T00 avec le paramètre IOA 1. Si une connexion est établie, la valeur passera de 0 à 1.

IOA 2

Une décision peut être prise pour chaque secteur au regard de l'exécution des commandes dans chaque secteur au moyen d'une variable de zenon pour chaque secteur. Contrairement à l'activation de périphériques, dans le cadre d'une activation sectorielle, la connexion au maître n'est pas interrompue si une commande d'écriture est transmise et rejetée. Les commandes rejetées reçoivent la confirmation act_con + PN. Les commandes rejetées produisent un avertissement.

La variable zenon doit être du type UINT ou DWORD, et est attribuée avec IOA 2 à T00 (état interne). Si la valeur de la variable est <>0, les commandes sont approuvées. La variable peut ne pas comporter l'état IV (qualificatif IEC 60870 non valide). Les commandes sont toujours approuvées si aucune E/S n'est configurée.

Ce paramètre peut être défini globalement, à l'aide de la propriété Commands active (Commandes actives).

info Info

Message d'avertissement attenant :

Commands for sector deactivated, execution prohibited (Commandes du secteur désactivées, exécution interdite). <Texte de commande>

Avertissement : la commande 1009 a été reçue dans la direction de contrôle, mais a été rejetée en raison d'une activation manquante.

IOA 3

La variable d'état est définie sur 1 si le nombre de fichiers SOE dans le répertoire de transfert est supérieur au nombre maximal de fichiers dans la mémoire tampon.

IOA 4

La variable fournit des informations d'état concernant le fichier SOE actuel ou le plus récemment traité :

0 - initialisation. Tant qu'aucun fichier SOE n'a été écrit.

1 - Le fichier SOE a été ouvert.

2 - Le fichier a été fermé.

3 - Trop de fichiers SOE dans le répertoire.

4 - Erreur lors de l'écriture du fichier SOE.

5 - Erreurs lors de la création du fichier SOE.

IOA 5

La variable fournit des informations d'état concernant le transfert de fichiers.

0 - Aucun transfert actif.

1 - Section sélectionnée.

2 - Section demandée.

3 - Attente d'une confirmation de section.

4 - Attente d'une confirmation de transfert de fichier.

255 - Erreur lors du transfert.

IOA 6

La variable fournit le nombre de fichiers SOE présents dans le répertoire de transfert.


Génération de 'pulse'

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Génération de 'pulse'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le driver support la génération de d'impulsions.
Après expiration du délai de l'impulsion, le système écrit la valeur OFF dans la variable.

Lors de la fermeture de la communication, l'impulsion fournie pour toutes les impulsions actives est arrêtée (c'est-à-dire une valeur OFF est écrite).

La communication est interrompue si :

  • L'application Process Gateway est arrêtée
  • Une nouvelle configuration est activée
  • Le Runtime est rechargé
  • La capacité de la liste de changements de valeurs conservés en mémoire est dépassée

Si un 'pulse' est déclenchés pour une génération de pulse qui est déjà active, le 'pulse' actif sera arrêté. La variable contient la valeur OFF.

Remarque : Pour SCS (single command state), la valeur OFF est toujours 0 ; pour DCS (double command state), une valeur OFF est 1 ou 0, selon le paramètre DPI/DCS mapping.


Rechargement

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Rechargement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si un des projets est rechargé en Runtime, les connexions à tous les projets qui utilisent les IO dans le secteur seront fermées. Le matériel lié à ce secteur doit être redémarré. Ce qui signifie : La connexion au maître est fermée.

Tant que le rechargement est en cours, vous ne pouvez pas établir de connexion au Runtime. Ceci signifie que les requêtes générales ne sont pas possibles non plus.


Diffusions (Broadcasts)

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Diffusions (Broadcasts)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les diffusions sont prises en charge pour les TYPE ID suivants :

Type ID

ID C_IC_NA_1

C_CS_NA_1


Bit d'état de temps réel non valide T_INVAL

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Communications -> Bit d'état de temps réel non valide T_INVAL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si le driver IEC870 reçoit une information d'horodatage en temps réel marquée comme non valide, il définit le bit d'état T_INVAL. Dans ce cas, l'heure du PC local est indiquée dans l'information d'horodatage. Dans l'esclave IEC870 de la passerelle de procédé, ce bit d'état est transféré dans la direction des messages dans les informations d'horodatage.


Error analysis

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Error analysis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Should there be communication problems, this chapter will assist you in finding out the error.


Outil d'analyse

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Error analysis -> Outil d'analyse

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Process Gateway se comporte comme un driver de zenon et écrit des messages dans un fichier journal commun. Pour afficher ces derniers correctement et clairement, utilisez le programme Diagnosis Viewer, également installé avec zenon. Vous le trouverez sous Démarrer/Tous les programmes/zenon/Outils 7.11 -> Diagviewer. En règle générale, les dispositions suivantes s'appliquent :

Le driver de zenon consigne toutes les erreurs dans les fichiers journaux. Le dossier par défaut des fichiers journaux est le sous-dossier LOG, dans le répertoire ProgramData ; exemple : C:\ProgramData\zenon\zenon7.11\LOG for zenon Version 7.11. Les fichiers journaux sont des fichiers texte dotés d'une structure spéciale.

Attention : avec les paramètres par défaut, un driver consigne uniquement les informations d'erreur. Avec l'outil Diagnosis Viewer, vous pouvez améliorer le niveau de diagnostic de la plupart des drivers, grâce aux options "Debug" (Débogage) et "Deep Debug" (Débogage approfondi). Dans ce cas, le driver consigne également les autres tâches et événements importants.

L'outil Diagnosis Viewer vous permet également :

  • De suivre en direct les entrées actuellement insérées
  • De personnaliser les paramètres de journalisation
  • De modifier le dossier dans lequel sont enregistrés les fichiers journaux

Conseils :

  1. Sous Windows CE, les erreurs ne sont pas consignées par défaut, pour préserver les performances du système.
  2. L'outil Diagnosis Viewer affiche toutes les entrées à l'heure UTC (temps universel coordonné), et pas à l'heure locale.
  3. Par défaut, l'outil Diagnosis Viewer n'affiche pas toutes les colonnes d'un fichier journal. Pour afficher d'autres colonnes, activez la propriété Add all columns with entry (Ajouter toutes les colonnes avec une entrée) dans le menu contextuel de l'en-tête des colonnes.
  4. Si vous utilisez uniquement la fonction Error logging (Journalisation des erreurs), la description du problème est affichée dans la colonne Error text (Texte d'erreur). Pour d'autres niveaux de diagnostic, la description est fournie dans la colonne General text (Texte général).
  5. En cas de problèmes de communication, de nombreux drivers consignent également les numéros d'erreur de journal qui leur sont attribués par l'automate. Elles sont affichées dans les colonnes Error text (Texte d'erreur) et/ou Error code (Code d'erreur) et/ou Driver error parameter (1 et 2) (Paramètre d'erreur du driver (1 et 2)). Des conseils concernant la signification des codes d'erreur sont disponibles dans la documentation du driver et le fichier journal/la description de l'automate.
  6. À la fin de l'essai, réinitialisez le niveau de diagnostic Debug (Débogage) ou Deep Debug (Débogage approfondi). Pour les options Debug (Débogage) et Deep Debug (Débogage approfondi), de grands volumes de données sont enregistrés sur le disque dur, ce qui peut influencer les performances du système. L'enregistrement de ces données se poursuit même après la fermeture de l'outil Diagnosis Viewer.

Remarque : Process Gateway n'est pas disponible sous Windows CE.

info Info

Vous trouverez d'autres informations concernant Diagnosis Viewer au chapitre Diagnosis Viewer.

Autres sujets abordés dans ce chapitre

Création de traces (log)


Création de traces (log)

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Error analysis -> Outil d'analyse -> Création de traces (log)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le driver supporte une fonction d'enregistrement de traces compréhensibles :

  • Nom du client
  • zenProcGateway_IEC870Slave
  • Modules

Nom du client

La façon dont le nom du client est affiché dans l'outil Diagnosis Viewer dépend de la configuration. C'est pourquoi le nom change si vous changez le port TCP ou le port de COM ou le protocole. Dans ce cas, le paramétrage des traces (log) peut aussi changé.

Si la passerelle de procédé (Process Gateway) est démarrée plusieurs fois avec le même paramétrage, le même nom de client sera utilisé. Les messages d'erreur des différentes instances pourront être différenciés par l'ID du procédé.

Example Exemple

zenProcGateway_IEC870Slave

  • protocole 104 avec le port standard 2404
  • 101 si COM1 est sélectionné.
  • Si la configuration n'a pas encore été chargée, des messages d'erreur lors du démarrage seront toujours visibles avec ce client.

zenProcGateway_IEC870Slave:COM4

  • 101 avec COM4
    Le nom contient le port COM utilisé.

zenProcGateway_IEC870Slave:Port:12345

  • 104 avec le port 12345.
    Le nom contient le port pour la connexion du maître.

Modules

Les messages d'erreur sont montrés pour tous les modules :

  • Esclave IEC870
  • OSI2
  • OSI7
  • Runtime SCADA (ScadaRT)

Esclave IEC870

Concerne la connexion à la passerelle de procédé (Process Gateway) et sa configuration.

Fournit des informations concernant :

  • les erreurs lors de la configuration

OSI2

Concerne le niveau protocole. C'est-à-dire, là où les trames sont implémentées avec les fonctions associées.

Fournit des informations concernant :

  • Données reçues en tant que 'dump' d'octets
  • Données envoyées en tant que 'dump' d'octets
  • Codes fonction pour la 101
  • Erreurs à ce niveau, par exemple dans la trame
  • APCI pour la 104 (870-5-104 5)

Niveaux

  • Msg : Interprétation de trames
  • Debug :
    Données reçues et envoyées
    Analyse de trame.
    Nouvelle connexion maître.
  • Debug approfondi : Chaque requête sur l'existence de caractères. Génère une grande quantité de traces !

OSI7

Concerne le niveau application.
C'est-à-dire là où les commandes sont interprétées et exécutées.

Fournit des informations concernant :

  • Enregistrement des événements du procédé et des événements système
  • les erreurs dans les ASDU.

Niveaux :

  • Avertissement : interrogation récursive
  • Msg : information procédé, information système
  • Debug : Trames confirmées (I-frames)
  • Debug approfondi : "Interrogation runs". Génère une grande quantité de traces !

Runtime SCADA (ScadaRT)

Messages pour la connexion au Runtime :

Fournit des informations concernant :

  • les variables espionnées et non-espionnées (advised and unadvised)
  • les variables mises à jour
  • Désactivation du projet

Niveaux

  • Debug :
    valeurs modifiées
    projet inactif


Codes d'erreur

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Error analysis -> Codes d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les codes d'erreur suivants peuvent être affichés dans le serveur de diagnostic :

Code d'erreur | Signification
570 | Changement de valeur d'un IO cyclique inconnu
571 | Mémoire tampon de transfert trop petite pour transférer un IO cyclique


Check list

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Error analysis -> Check list

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Is the COM port in use by another application or are the settings incorrect?
  • Is the device (PLC) that you are trying to communicate with connected to the power supply?
  • Is the cable between PLC and PC/IPC connected correctly?
  • Have you analyzed the error file (which errors did occur)?
  • For additional error analyses, please send a project backup and the LOG file of the DiagViewer to the support team responsible for you.


Interopérabilité

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave IEC870 -> Interopérabilité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce standard présente un jeu de paramètres et d'alternatives à partir desquels des sous-catégories doivent être sélectionnées pour implémenter des systèmes de télécontrôle particulier. Certaines valeurs de paramètres, comme le choix des champs "structurés" ou "non structurés" de l'adresse de l'objet Information des ASDU, représentent des alternatives exclusives mutuellement. Ceci signifie que seule une valeur des paramètres définis est admise par système. Les autres paramètres, comme la liste des différentes commandes d'informations du procédé et de direction de suivi, permettent une spécification de l'ensemble complet ou des sous-ensembles, en fonction des applications données. Cette clause résume les paramètres de la clause précédente pour faciliter une sélection adaptée à une application spécifique. Si un système est composé de matériels provenant de différents fabricants, il est nécessaire que tous les partenaires s'accordent sur les paramètres sélectionnés.

La liste d'interopérabilité est défini dans la norme IEC 60870-5-101 et est étendue avec les paramètres utilisés dans ce standard. Les descriptions textuelles des paramètres qui ne sont pas applicables à ce standard sont barrées (la case à cocher est marquée en noir).

Note : en plus, la spécification complète d'un système peut demander une sélection individuelle de certains paramètres de certaines parties du système, comme la sélection individuelle de facteurs d'échelle pour chaque valeur de mesure accessible individuellement.

Les paramètres sélectionnés doivent être marqués dans les cases blanches, comme suit :

[ ] Fonction ou ASDU inutilisé
[ X ] Fonction ou ASDU utilisé comme standard (par défaut)
[ R ] Fonction ou ASDU utilisé en mode inverse
[ B ] Fonction ou ASDU utilisé en mode standard et inverse

La sélection possible (vierge, X , R ou B ) est spécifiée pour chaque clause ou paramètre spécifique.

Une case noire indique que les options ne peuvent pas être sélectionnées à partir de ce standard.

1. Système ou périphérique

(Paramètre spécifique au système ; indique la définition d'un système ou d'un périphérique en y adjoignant un X.)

[ ] Définition du système
[ ] Définition du poste de contrôle (Maître)
[ X ] Définition du poste contrôlé (Esclave)

2. Configuration du réseau 101 uniquement

(paramètre spécifique au réseau, toutes les configurations utilisées doivent être marquées X.)

[ X ] Point-à-point | [ X ] Multipoint
[ X ] Multipoint à point | [ ]Multipoint en étoile

3. Couche physique : 101 uniquement

(paramètre spécifique au réseau, tous débits et interfaces utilisés doivent être marqués " X")

Vitesse de transmission (direction de contrôle)

Echange asymétrique Circuit V.24/V.28 Standard | Echange asymétrique Circuit V.24/V.28 Recommandé si > 1200 bits / s | Echange équilibré Circuit X.24/X.27
[ ] 100 bits/s | [ X ] 2400 bits/s | [ ] 2400 bits/s
[ ] 200 bits/s | [ X ] 4800 bits/s | [ ] 4800 bits/s
[ X ] 300 bits/s | [ X ] 9600 bits/s | [ ] 9600 bits/s
[ X ] 600 bits/s | [ X ] 19200 bits/s | [ ] 19200 bits/s
[ X ] 1200 bits/s | [ X ] 38400 bits/s | [ ] 38400 bits/s
 | [ X ] 56000 bits/s | [ ] 56000 bits/s
 | [ X ] 57600 bits/s | [ ] 64000 bits/s
 | [ X ] 115200 bits/s |
 | [ X ] 128000 bits/s |
 | [ X ] 256000 bits/s |

Vitesse de transmission (direction de suivi)

Echange asymétrique Circuit V.24/V.28 Standard | Echange asymétrique Circuit V.24/V.28 Recommandé si > 1200 bits / s | Echange équilibré Circuit X.24/X.27
[ ] 100 bits/s | [ X ] 2400 bits/s | [ ] 2400 bits/s
[ ] 200 bits/s | [ X ] 4800 bits/s | [ ] 4800 bits/s
[ X ] 300 bits/s | [ X ] 9600 bits/s | [ ] 9600 bits/s
[ X ] 600 bits/s | [ X ] 19200 bits/s | [ ] 19200 bits/s
[ X ] 1200 bits/s | [ X ] 38400 bits/s | [ ] 38400 bits/s
 | [ X ] 56000 bits/s | [ ] 56000 bits/s
 | [ X ] 57600 bits/s | [ ] 64000 bits/s
 | [ X ] 115200 bits/s |
 | [ X ] 128000 bits/s |
 | [ X ] 256000 bits/s |

4. Couche Lien : 101 uniquement

(paramètre spécifique au réseau, toutes les options qui sont utilisées doivent être marquées " X" Spécifie la longueur maximum de trame. Si une assignation non-standard de messages de classe 2 est implémentée pour une transmission asymétrique (unbalanced), indiquer le Type ID et le COT pour tous les messages assignés à la classe 2).

Le format de la trame FT 1.2, le caractère 1 et le délai d'attente fixe sont utilisés exclusivement dans ce standard.

Lien de transmission | Longueur de trame [octets] | Champs adresse du lien
[ ] Transmission équilibrée | [255] Longueur maximum L (deux directions)* | [ ]non présent (transmission équilibrée seulement)
[ X ] Transmission asymétrique |  | [ X ] Un octet
 |  | [ X ] Deux octets
 |  | [ X ] Structuré
 |  | [ X ] Non structuré

*Peut être réduit par le système

Dans le cas de l'utilisation de la couche lien asymétrique (unbalanced), les types ASDU suivants sont retournés dans les messages de classe 2 (basse priorité) avec la cause de transmission indiquée :

[ ] L'assignation standard des ASDU à des messages de classe 2 est utilisée comme suit :

Identification de type | Cause de transmission
9, 11, 13, 21 | <1>

[ X ] Une attribution spéciale des ASDU à des messages de classe 2 est utilisée comme suit :

Identification de type | Cause de transmission
120 - 126 | Tous (conformément aux spécifications de la norme)

Remarque : (En réponse à un "polling" de classe 2, une station contrôlée peut répondre avec des données de classe 1 s'il n'y a pas de données de classe 2 disponibles).

5. Couche d'application

Mode de transmission des données d'application

Le mode 1 (l'octet le moins significatif en premier), comme défini en 4.10 de la norme IEC 60870-5-4, est utilisé exclusivement dans ce standard.

Adresse commune de l'ASDU

(paramètre spécifique au système, toutes les configurations qui sont utilisées doivent être marquées " X")

Adresse d'ASDU
101 uniquement [ X ] Un octet | [ X ] Deux octets

adresse de l'Information Object

(paramètre spécifique au système, toutes les configurations qui sont utilisées doivent être marquées " X")

Adresse d'objet
101 uniquement [ X ] Un octet | [ X ] Structuré
101 uniquement [ X ] Deux octets | [ X ] Non structuré
[ X ] Trois octets |

Cause de transmission

(paramètre spécifique au système, toutes les configurations qui sont utilisées doivent être marquées " X")

Cause de transmission
101 uniquement [ X ] Un octet | [ X ]Deux octets (avec adresse d'origine). L'adresse d'origine est définie sur 0 si elle n'est pas utilisée.

Longueur de l'APDU : 104 uniquement

(Paramètre spécifique au système ; spécifie la longueur maximale de l'APDU par système)
La longueur maximale de l'APDU dans les deux directions est de 253. La longueur maximum peut être réduite par le système.

[ 253 ] Longueur maximum de l'APDU par système

Sélection d'ASDU standard

Informations concernant le procédé dans la direction de contrôle

(paramètre spécifique à la station, marquez chaque paramètre Type ID ' X ' s'il est uniquement utilisé dans la direction standard, ' R ' s'il est uniquement utilisé dans la direction inverse et ' B ' s'il est utilisé dans les deux directions).

Marqueur | Paramètres | Type
[ B ] | <1> : = Information point simple (single-point) | M_SP_NA_1
[ B ] | <2> : = Information point simple avec horodatage (single-point with time TAG) | M_SP_TA_1
[ B ] | <3> : = Information point double (double-point) | M_DP_NA_1
[ B ] | <4> : = Information point double avec horodatage (double-point with time TAG) | M_DP_TA_1
[ B ] | <5> : = Information position d'étape (step position) | M_ST_NA_1
[ B ] | <6> : = Information position d'étape avec horodatage (step position with time TAG) | M_ST_TA_1
[ B ] | <7> : = champs de 32 bits | M_BO_NA_1
[ B ] | <8> : = champs de 32 bits avec horodatage | M_BO_TA_1
[ B ] | <9> : = valeur mesurée, valeur normalisée | M_ME_NA_1
[ B ] | <10> : = valeur mesurée, valeur normalisée avec horodatage | M_ME_TA_1
[ B ] | <11> : = valeur mesurée, valeur mise à l'échelle | M_ME_NB_1
[ B ] | <12> : = valeur mesurée, valeur mise à l'échelle avec horodatage | M_ME_TB_1
[ B ] | <13> : = valeur mesurée, valeur flottante (short floating point) | M_ME_NC_1
[ B ] | <14> : = valeur mesurée, valeur flottante avec horodatage (short floating point with time TAG) | M_ME_TC_1
[ B ] | <15> : = totaux intégrés | M_IT_NA_1
[ B ] | <16> : = totaux intégrés avec horodatage | M_IT_TA_1
[ ] | <17> : = événement d'équipement de protection avec horodatage | M_EP_TA_1
[ ] | <18> : = événements groupés de démarrage (packed start events) d'équipement de protection avec horodatage | M_EP_TB_1
[ ] | <19> : = information groupée de circuit de sortie (packed output circuit information) d'équipement de protection avec horodatage | M_EP_TC_1
[ ] | <20> : = information groupée point simple avec détection de changement (Packed single-point information with status change detection) | M_SP_NA_1
[ ] | <21> : = valeur mesurée, valeur normalisée avec descriptif de qualité | M_ME_ND_1
[ B ] | <30> : = Information point simple avec horodatage (single-point with time tag) CP56Time2a | M_SP_TB_1
[ B ] | <31> : = Information point double avec horodatage (double-point with time tag) CP56Time2a | M_DP_TB_1
[ B ] | <32> : = Information position d'étape avec horodatage (step position with time tag) CP56Time2a | M_ST_TB_1
[ B ] | <33> : = champs de 32 bits avec horodatage CP56Time2a | M_BO_TB_1
[ B ] | <34> : = valeur mesurée, valeur normalisée avec horodatage CP56Time2a | M_ME_TD_1
[ B ] | <35> : = valeur mesurée, valeur mise à l'échelle avec horodatage CP56Time2a | M_ME_TE_1
[ B ] | <36> : = valeur mesurée, valeur flottante avec horodatage (short floating point with time tag) CP56Time2a | M_ME_TF_1
[ B ] | <37> : = totaux intégrés avec horodatage CP56Time2a | M_IT_TB_1
[ ] | <38> : = événement d'équipement de protection avec horodatage CP56Time2a | M_EP_TD_1
[ ] | <39> : = événements groupés de démarrage (packed start events) d'équipement de protection avec horodatage CP56Time2a | M_EP_TE_1
[ ] | <40> : = Information groupée de circuit de sortie (packed output circuit information) d'équipement de protection avec horodatage CP56Time2a | M_EP_TF_1

L'un des ASDU de l'ensemble <2>, <4>, <6>, <8>, <10>, <12>, <14>, <16>, <17>, <18>, <19> ou de l'ensemble <30> – <40> est utilisé.

Informations concernant le procédé dans la direction de contrôle

(paramètre spécifique à la station, marquez chaque paramètre Type ID ' X ' s'il est uniquement utilisé dans la direction standard, ' R ' s'il est uniquement utilisé dans la direction inverse et ' B ' s'il est utilisé dans les deux directions).

Marqueur | Paramètres | Type
[ X ] | <45> : = commande simple | C_SC_NA_1
[ X ] | <46> : = commande double | C_DC_NA_1
[ X ] | <47> : = commande d'étape de régulation | C_RC_NA_1
[ X ] | <48> : = commande de consigne (Set point command), valeur normalisée | C_SE_NA_1
[ X ] | <49> : = commande de consigne (Set point command), valeur mise à l'échelle | C_SE_NB_1
[ X ] | <50> : = commande de consigne (Set point command), valeur flottante (short floating point value) | C_SE_NC_1
[ X ] | <51> : = champs de 32 bits | C_BO_NA_1
[ X ] | <58> : = commande simple avec horodatage CP56Time2a | C_SC_TA_1
[ X ] | <59> : = commande double avec horodatage CP56Time2a | C_DC_TA_1
[ X ] | <60> : = commande d'étape de régulation avec horodatage CP56Time2a | C_RC_TA_1
[ X ] | <61> : = commande de consigne, valeur normalisée avec horodatage CP56Time2a | C_SE_TA_1
[ X ] | <62> : = commande de consigne, valeur mise à l'échelle avec horodatage CP56Time2a | C_SE_TB_1
[ X ] | <63> : = commande de consigne, valeur flottante avec horodatage (short floating point value with time tag) CP56Time2a | C_SE_TC_1
[ X ] | <64> : = Chaîne de bits de 32 bits avec horodatage CP56Time2a | C_BO_TA_1

Les ASDU de l'ensemble <45> – <51> ou de l'ensemble <58> – <64> sont utilisés.

Informations système dans la direction de suivi

(paramètre spécifique à la station, markez ' X ' s'il doit être utilisé)

Marqueur | Paramètres | Type
[ X ] | <70> : = fin d'initialisation | M_EI_NA_1

Informations système dans la direction de contrôle

(paramètre spécifique à la station, marquez chaque paramètre Type ID ' X ' s'il est uniquement utilisé dans la direction standard, ' R ' s'il est uniquement utilisé dans la direction inverse et ' B ' s'il est utilisé dans les deux directions).

Marqueur | Paramètres | Type
[ X ] | <100> : = commande d'interrogation | C_IC_NA_1
[ X ] | <101> : = Compteur de commande d'interrogation | C_CI_NA_1
[ X ] | <102> : = commande de lecture | C_RD_NA_1
[ X ] | <103> : = commande de synchronisation d'horloge (option voir 7.6) | C_CS_NA_1
[ ] | <104> : = commande de test | C_TS_NA_1
[ X ] | <105> : = commande de reset du procédé | C_RP_NA_1
[ ] | <106> : = commande d'acquisition de délai | C_CD_NA_1
[ ] | <107> : = commande de test avec horodatage CP56Time2a | C_TS_TA_1

*Également diffusion (avec paramètre d'adresse commune d'ASDU = 0xFF ou 0xFFFF)

Paramète dans la direction de contrôle

(paramètre spécifique à la station, marquez chaque paramètre Type ID ' X ' s'il est uniquement utilisé dans la direction standard, ' R ' s'il est uniquement utilisé dans la direction inverse et ' B ' s'il est utilisé dans les deux directions).

Marqueur | Paramètres | Type
[ ] | <110> : = paramètre de valeur mesurée, valeur normalisée | P_ME_NA_1
[ ] | <111> : = paramètre de valeur mesurée, valeur mise à l'échelle | P_ME_NB_1
[ ] | <112> : = paramètre de valeur mesurée, valeur flottante (short floating point) | P_ME_NC_1
[ ] | <113> : = paramètre d'activation | P_AC_NA_1

Transfert de fichier

(paramètre spécifique à la station, marquez chaque paramètre Type ID ' X ' s'il est uniquement utilisé dans la direction standard, ' R ' s'il est uniquement utilisé dans la direction inverse et ' B ' s'il est utilisé dans les deux directions).

Marqueur | Paramètres | Type
[ X ] | <120> : = fichier prêt | F_FR_NA_1
[ X ] | <121> : = Section prête | F_SR_NA_1
[ X ] | <122> : = répertoire d'appel, sélection fichier, fichier d'appel, section d'appel (call directory, select file, call file, call section) | F_SC_NA_1
[ X ] | <123> : = dernière section, dernier segment | F_LS_NA_1
[ X ] | <124> : = fichier d'acquittement, section d'acquittement (ack file, ack section) | F_AF_NA_1
[ X ] | <125> : = segment | F_SG_NA_1
[ X ] | <126> : = direction {vide ou X, disponible seulement dans la direction de suivi (standard)} | F_DR_TA_1

Identifiant de type et affectations des causes de transmission

(paramètres spécifiques à la station)

Cases ombrées : l'option n'est pas requise.
Vide : Fonction ou ASDU non utilisé

Marquez les combinaisons Type ID/Cause de transmission :
" X" si elle est uniquement utilisée dans la direction standard ;
" R" si elle est uniquement utilisée dans la direction inverse, et
" B" si elle est utilisée dans les deux directions.

Identification de type |  | Cause de transmission
 |  | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 20 à 36 | 37 à 41 | 44 | 45 | 46 | 47
<1> | M_SP_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<2> | M_SP_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<3> | M_DP_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<4> | M_DP_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<5> | M_ST_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<6> | M_ST_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<7> | M_BO_NA_1 |  | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<8> | M_BO_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<9> | M_ME_NA_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<10> | M_ME_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<11> | M_ME_NB_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<12> | M_ME_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<13> | M_ME_NC_1 | B | B | B |  | X |  |  |  |  |  |  |  |  | X |  |  |  |  |
<14> | M_ME_TC_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<15> | M_IT_NA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  | X1 | X |  |  |  |
<16> | M_IT_TA_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  | X |  |  |  |
<17> | M_EP_TA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<18> | M_EP_TB_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<19> | M_EP_TC_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<20> | M_PS_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<21> | M_ME_ND_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<30> | M_SP_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<31> | M_DP_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<32> | M_ST_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<33> | M_BO_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<34> | M_ME_TD_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<35> | M_ME_TE_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<36> | M_ME_TF_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |
<37> | M_IT_TB_1 |  |  | B |  | X |  |  |  |  |  |  |  |  |  | X |  |  |  |
<38> | M_EP_TD_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<39> | M_EP_TE_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<40> | M_EP_TF_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<45> | C_SC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<46> | C_DC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<47> | C_RC_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<48> | C_SE_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<49> | C_SE_NB_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<50> | C_SE_NC_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<51> | C_BO_NA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<58> | C_SC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<59> | C_DC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<60> | C_RC_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<61> | C_SE_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<62> | C_SE_TB_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<63> | C_SE_TC_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<64> | C_BO_TA_1 |  |  |  |  |  | X | X | X2 | X2 | X |  |  |  |  |  |  |  | X | X
<70> | M_EI_NA_1* |  |  |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<100> | C_IC_NA_1 |  |  |  |  |  | X | X | X | X | X |  |  |  |  |  |  |  | X |
<101> | C_CI_NA_1 |  |  |  |  |  | X | X |  |  | X |  |  |  |  |  |  |  | X |
<102> | C_RD_NA_1 |  |  |  |  | X |  |  |  |  |  |  |  |  |  |  |  | X | X | X
<103> | C_CS_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  | X | X |
<104> | C_TS_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<105> | C_RP_NA_1 |  |  |  |  |  | X | X |  |  |  |  |  |  |  |  |  | X | X |
<106> | C_CD_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<107> | C_TS_TA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<110> | P_ME_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<111> | P_ME_NB_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<112> | P_ME_NC_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<113> | P_AC_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
<120> | F_FR_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<121> | F_SR_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<122> | F_SC_NA_1 |  |  |  |  | X |  |  |  |  |  |  |  | X |  |  |  | X | X |
<123> | F_LS_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<124> | F_AF_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  | X | X |
<125> | F_SG_NA_1 |  |  |  |  |  |  |  |  |  |  |  |  | X |  |  |  |  | X |
<126> | F_DR_TA_1* |  |  | X |  | X |  |  |  |  |  |  |  |  |  |  |  |  |  |

* Vide ou X seulement

1 Facultatif.

2 L'esclave confirme la désactivation de la commande d'écriture (TI <45> ... <64>), mais l'activation correspondante est déjà transférée vers l'exécution ; actcon and actterm ont déjà été transmis.

COT | Cause de transmission |
<0> | Non utilisé |
<1> | Périodique, cyclique | per/cyc
<2> | Analyse en tâche de fond | Retour
<3> | spontanée | spont
<4> | Initialisation | init
<5> | Demande ou demande transmise | req
<6> | Activation | act
<7> | Confirmation d'activation | actcon
<8> | Désactivation | deact
<9> | Confirmation de désactivation | deactcon
<10> | Fin d'activation | actterm
<11> | Retour d'informations provoqué par une commande à distance | retrem
<12> | Retour d'informations provoqué par une commande locale | retloc
<13> | Transfert de fichier | Fichier
<14...19> | réservé |
<20> | Interrogation par interrogation de station | inrogen
<21...36> | Interrogation par interrogation du groupe 1...16 | inro1..16
<37> | Demande par requête de compteur générale | reqcogen
<38...41> | Interrogation par interrogation du compteur du groupe 1... 4 | reqco1..4
<42, 43> | réservé |
<44> | Identification de type inconnu |
<45> | Cause de transmission inconnue |
<46> | Adresse commune inconnue de l'ASDU |
<47> | Adresse d'objet d'information inconnue |
<48, 63> | Utilisation spéciale (plage privée) |

6. Fonctions élémentaires de l'application

Initialisation de la station

(paramètre spécifique à la station, marquez 'X' s'il doit être utilisé).

[ ] Initialisation à distance

Transmission de données cyclique

(paramètre spécifique à la station, marquez ' X ' si la fonction est uniquement utilisée dans la direction standard, ' R ' si elle est uniquement utilisée dans la direction inverse et ' B ' si elle est utilisée dans les deux directions)

[ X ] Transmission de données cyclique

Procédure de lecture

(paramètre spécifique à la station, marquez ' X ' si la fonction est uniquement utilisée dans la direction standard, ' R ' si elle est uniquement utilisée dans la direction inverse et ' B ' si elle est utilisée dans les deux directions)

[ X ] Procédure de lecture

Transmission événementielle

(paramètre spécifique à la station, marquez ' X ' si la fonction est uniquement utilisée dans la direction standard, ' R ' si elle est uniquement utilisée dans la direction inverse et ' B ' si elle est utilisée dans les deux directions)

[ B ] Transmission événementielle

Double transmission d'objets d'information avec cause de la transmission événementielle

(paramètre spécifique à la station, marquez chaque type d'information ' X ' lorsqu'un paramètre Type ID sans indication de temps et un paramètre Type ID avec indication de temps sont émis en réponse à la modification événementielle d'un objet suivi)

Les identifications de type suivantes peuvent être transmises en succession suite au changement d'état d'un objet d'information. Les adresses particulières des "information objects", pour lesquels la double transmission est permise, sont définis dans une liste spécifique au projet.

[ ] Information point simple M_SP_NA_1, M_SP_TA_1, M_SP_TB_1 et M_PS_NA_1
[ ] Information point double M_DP_NA_1, M_DP_TA_1 et M_DP_TB_1
[ ] Information position d'étape M_ST_NA_1, M_ST_TA_1 et M_ST_TB_1
[ ] Chaîne de bits de 32 bits M_BO_NA_1, M_BO_TA_1 et M_BO_TB_1 (s'il est défini pour un projet spécifique)
[ ] Valeur mesurée, valeur normalisée M_ME_NA_1, M_ME_TA_1, M_ME_ND_1 et M_ME_TD_1
[ ] Valeur mesurée, valeur mise à l'échelle M_ME_NB_1, M_ME_TB_1 et M_ME_TE_1
[ ] Valeur mesurée, valeur flottante courte M_ME_NC_1, M_ME_TC_1 et M_ME_TF_1

Interrogation de la station

(paramètre spécifique à la station, marquez ' X ' si la fonction est uniquement utilisée dans la direction standard, ' R ' si elle est uniquement utilisée dans la direction inverse et ' B ' si elle est utilisée dans les deux directions).

[ X ] global |  |
[ ] groupe 1 | [ ] groupe 7 | [ ] groupe 13
[ ] groupe 2 | [ ] groupe 8 | [ ] groupe 14
[ ] groupe 3 | [ ] groupe 9 | [ ] groupe 15
[ ] groupe 4 | [ ] groupe 10 | [ ] groupe 16
[ ] groupe 5 | [ ] groupe 11 | Les adresses des objets d'information assignées à chaque groupe doivent être montrées dans une table séparée.
[ ] groupe 6 | [ ] groupe 12

Synchronisation d'horloge

(paramètre spécifique à la station, marquez ' X ' si la fonction est uniquement utilisée dans la direction standard, ' R ' si elle est uniquement utilisée dans la direction inverse et ' B ' si elle est utilisée dans les deux directions).

[ X ] Synchronisation d'horloge

[ ] Utiliser le jour de la semaine
[ ] Utiliser RES1, GEN (horodatage remplacé/non remplacé)
[ B ] Utiliser le bit SU (heure d'été)

Option, voir 7.6

Transmisson de commandes

(paramètre spécifique à la station, marquez ' X ' si la fonction est uniquement utilisée dans la direction standard, ' R ' si elle est uniquement utilisée dans la direction inverse et ' B ' si elle est utilisée dans les deux directions).

[ X ] Transmission de commande directe
[ X ] Transmission directe de commande de valeur prescrite
[ X ] Sélectionner et exécuter la commande
[ X ] Sélectionner et exécuter la commande de valeur prescrite
[ ] Utiliser C_SE ACTTERM

[ X ] Aucune définition supplémentaire
[ X ] Durée des impulsions courtes (durée déterminée par un paramètre système au niveau du poste de sortie)
[ X ] Durée des impulsions longues (durée déterminée par un paramètre système au niveau du poste de sortie)
[ X ] Sortie persistante

[ ] Supervision du délai maximum de la direction de commande des commandes et des commandes de valeur prescrite
[ ] Délai maximum admissible pour les commandes et les commandes de consigne

Transmission des totaux intégrés

(paramètre spécifique à la station, marquez ' X ' si la fonction est uniquement utilisée dans la direction standard, ' R ' si elle est uniquement utilisée dans la direction inverse et ' B ' si elle est utilisée dans les deux directions).

[ X ] Mode A : "gel" local avec transmission événementielle
[ X ] Mode B : "gel" local avec compteur d'interrrogation
[ X ] Mode C : "gel" et transmission par commandes compteur d'interrogation
[ X ] Mode D : Blocage par commande de compteur d'interrogation, valeurs figées rapportées de façon événementielle

[ X ] Compteur lu
[ X ] Blocage du compteur sans réinitialisation
[ ] Gel du compteur avec réinitialisation
[ ] Réinitialisation du compteur

[ X ] Compteur de requêtes générales
[ ] Compteur de requêtes groupe 1
[ ] Compteur de requêtes groupe 2
[ ] Compteur de requêtes groupe 3
[ ] Compteur de requêtes groupe 4

Chargement de paramètres

(paramètre spécifique à la station, marquez ' X ' si la fonction est uniquement utilisée dans la direction standard, ' R ' si elle est uniquement utilisée dans la direction inverse et ' B ' si elle est utilisée dans les deux directions).

[ ] Valeur de seuil
[ ] Facteur de lissage
[ ] Limite basse de transmission des valeurs mesurées
[ ] Limite haute des transmission des valeurs mesurées

Activation des paramètres

(paramètre spécifique à la station, marquez ' X ' si la fonction est uniquement utilisée dans la direction standard, ' R ' si elle est uniquement utilisée dans la direction inverse et ' B ' si elle est utilisée dans les deux directions).

[ ] Activation/désactivation des transmissions cycliques persistantes ou périodiques de l'objet adressé

Procédure de test

(paramètre spécifique à la station, marquez ' X ' si la fonction est uniquement utilisée dans la direction standard, ' R ' si elle est uniquement utilisée dans la direction inverse et ' B ' si elle est utilisée dans les deux directions).

[ ] Procédure de test

Transfert de fichier

(paramètre spécifique à la station, marquez 'X' s'il doit être utilisé).
Transfert de fichiers dans la direction de suivi

[ X*] Fichier transparent
[ ] Transmission des données de perturbation de l'équipement de protection
[ ] Transmission des séquences d'événements
[ ] Transmission des séquences de valeurs analogiques enregistrées

* Des données peuvent être transportées par le système, mais ne peuvent être ni générées, ni évaluées. La taille maximale du fichier est de 16711680 octets.

Transfert de fichiers dans la direction de contrôle

[ ] Fichier transparent

Analyse en tâche de fond

(paramètre spécifique à la station, marquez ' X ' si la fonction est uniquement utilisée dans la direction standard, ' R ' si elle est uniquement utilisée dans la direction inverse et ' B ' si elle est utilisée dans les deux directions).

[ X ] Analyse en tâche de fond

Acquisition du délai de transmission

(paramètre spécifique à la station, marquez ' X ' si la fonction est uniquement utilisée dans la direction standard, ' R ' si elle est uniquement utilisée dans la direction inverse et ' B ' si elle est utilisée dans les deux directions).

[ ] Acquisition du délai de transmission

Définition des délais d'attente : 104 uniquement

Paramètres | Valeur par défaut | Remarques | Valeur sélectionnée
t0 | 30 s | Timeout pour l'établissement de la connexion | Non défini
t1 | 15 s | Timeout pour l'envoi ou pour le test APDUs | Non défini
t2 | 10 s | Délai d'attente avant expiration pour l'acquittement dans le cas où il n'y a aucun message de données ; t2 < t1 | Non défini
t3 | 20 s | Délai d'attente avant expiration pour envoyer les trames de test dans le cas d'un long état d'inactivité ; t3 > t1 | Non défini

Plage recommandée pour les délais d'attente avant expiration t0 - t2 : 1 à 255 s, précision de 1 s

Plage recommandée pour le délai d'attente avant expiration t3 : 0 à 48 h, précision de 1 s
Des délais d'attente avant expiration longs peuvent être requis pour t3 dans certains cas spéciaux, où des liaisons par satellite ou des connexions par modem analogique sont utilisées (par exemple pour établir la connexion et collecter les valeurs une fois par jour ou par semaine). Pour les connexions par modem analogique, il peut être nécessaire d'arrêter entièrement la surveillance de la connexion. Pour cela, définir le délai d'attente avant expiration t3 sur zéro.

Nombre maximum d'APDU "I format" k en cours et derniers APDU d'acquittement (w), 104 uniquement

Paramètres | Valeur par défaut | Remarques | Valeur sélectionnée
k | 12 APDUs | Nombre maximum de séquences de réception pour envoyer un état de variable | Non défini
w | 8 APDUs | Dernier acquittement après la réception des APDUS "I format" w | Non défini

Plage recommandée de valeurs k : 1 à 32767 (15–1) APDU, précision 1 APDU

Plage recommandée de valeurs w : 1 à 32767 (215–1) APDU, précision de 1 APDU (Recommandation : w ne doit pas dépasser 2/3 de k)

Numéro de port : 104 uniquement

Paramètres | Valeur par défaut | Remarques
Numéro de port | 2404 | Non défini

Connexions redondantes

[ ] Nombre N de connexions de groupe redondantes utilisées

Suite RFC 2200

RFC 2200 est un standard Internet officiel qui décrit l'état de la standardisation des protocoles utilisés sur Internet comme déterminé par le Internet Architecture Board (IAB) Il offre un large spectre des standards actuels utilisés sur internet. La sélection adéquate des documents de la RFC 2200 défini dans ce standard pour des projets donnés doit être choisie par l'utilisateur de ce standard.

[ ] Ethernet 802.3
[ ] Interface série X.21
[ ] Autre sélection de la RFC 2200 :

Liste des documents valides provenant de RFC 2200
1. ..........................................................................
2. ..........................................................................
3. ..........................................................................
4. ..........................................................................
5. ..........................................................................
6. ..........................................................................
7. etc.


Esclave MODBUS

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave MODBUS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Configuration du module

Adresse matérielle du système Modbus

Fichier de configuration : entrées spécifiques pour AccessMODBUS


Configuration du module

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave MODBUS -> Configuration du module

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La boîte de dialogue suivante apparaît lorsque vous cliquez sur le bouton Configuration :

Vous pouvez sélectionner ici les variables qui doivent être connectées. Dans la liste affichée à gauche de l'écran, toutes les variables disponibles dans zenon sont affichées. Elles peuvent être sélectionnées et déplacées dans la liste d'export MODBUS avec le bouton '>'. Avec le bouton '<' vous pouvez les enlever. Si une variable est déplacée vers la liste d'export, une boîte de dialogue s'ouvre pour définir la correspondance entre la variable de zenon et la variable MODBUS.

Les variables sélectionnées de cette manière sont ensuite continuellement synchronisées dans zenon et/ou dans le système MODBUS.

Dans la partie inférieure de la boîte de dialogue, vous pouvez configurer la connexion série ou TCP/IP au système MODBUS.

Les paramètres suivants sont disponibles pour une connexion par liaison série :

Com | Port de communication série utilisé pour l'accès au système MODBUS.
Data bit | nombre de bits de données Par défaut : 8
Stop bit | nombre de bits de stop (par défaut : 1
Débit de données | Vitesse du port de communication série. Par défaut : 9600
Parity | Paramètre de parité : paire/impaire/sans (par défaut : Non)
Adresse de l'esclave | Modbus Aggregat ID (Identifiant d'unité Modbus). Par défaut : 1

Pour la configuration par TCP/IP, le port et le timeout en secondes peuvent être définis.


Adresse matérielle du système Modbus

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave MODBUS -> Adresse matérielle du système Modbus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez définir l'adresse matérielle (adresse Modbus) pour le système MODBUS accessible avec le Process Gateway. Ce paramètre est défini dans la boîte de dialogue de configuration, par le biais de la propriété Slave Address (Adresse de l'esclave). L'adresse 1 est fournie par défaut.


Fichier de configuration : entrées spécifiques pour AccessMODBUS

Manuels -> Passerelle de procédé (Process Gateway) -> Esclave MODBUS -> Fichier de configuration : entrées spécifiques pour AccessMODBUS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le fichier de configuration doit se trouver dans le dossier C:\Documents and Settings\All Users\Application Data\COPA-DATA\System.

Paramètres | Description
[MODBUS] |
COMPORT | port de communication série (COM1=0, COM2=1, ...). Peut être défini dans la boîte de dialogue de configuration.
BAUD | Vitesse de l'interface série. Peut être défini dans la boîte de dialogue de configuration.
BYTESIZE | Nombre de bits de données de l'interface série
PARITY | Paramètres de parité du port de communication série : 0=Non 1=Impair 2=Pair Peut être défini dans la boîte de dialogue de configuration.
STOPBITS | Nombre de bits d'arrêt de l'interface série. 0=1 1=1.5 2=2 Peut être défini dans la boîte de dialogue de configuration.
TIMEOUT | timeout pour l'interface série en millisecondes
HWADDRESS | Adresse matérielle du système Modbus. Par défaut : 1 Peut être défini dans la boîte de dialogue de configuration.
REFRESHRATE | Période de rafraichissement, en ms
SERIELL | Communications série ou TCP/IP : 1 = Série 0 = TCP/IP Peut être défini dans la boîte de dialogue de configuration.
PORT | port TCP/IP
TCPTIMEOUT | timeout pour la communication TCP/IP en secondes

Paramètres | Description
[VARIABLES] |
COUNT | Nombre de variables à exporter
NAME_n | Nom de la variable numéro n
OFFSET_n | Adresse Modbus de la variable


Serveur OPC UA

Manuels -> Passerelle de procédé (Process Gateway) -> Serveur OPC UA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le serveur OPC rend les variables d'un projet accessible pour des clients OPC standard.

Le prédécesseur des serveurs OPC UA est le serveur OPC. Il ne forme pas partie de la passerelle Process Gateway.

Le driver OPC UA et ses boîtes de dialogue de configuration ne sont disponibles qu'en anglais.

info Info

Le serveur OPC UA peut être utilisé pour toutes les versions de zenon à compter de la version 5.50.

Autres sujets abordés dans ce chapitre

Comparaison du serveur OPC et du serveur OPC UA

Configuration du module

Départ

Connexion

Sécurité

Alarmes et états

Ensembles de services

Messages d'erreur


Comparaison du serveur OPC et du serveur OPC UA

Manuels -> Passerelle de procédé (Process Gateway) -> Serveur OPC UA -> Comparaison du serveur OPC et du serveur OPC UA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le système de serveur OPC UA a remplacé le serveur OPC. Nous vous recommandons d'utiliser un serveur OPC UA pour la plupart de vos applications.

Serveur OPC

  • OPC Task Force existe depuis 1995
  • Interface uniforme pour les systèmes d'automation
  • Repose sur la technologie COM/DCOM de Microsoft
  • La fondation OPC existe depuis 1996
  • Plusieurs spécifications pour différentes applications

Serveur OPC UA

  • Premier aperçu en 2003
  • Publié en 2006 ; tous les composants n'étaient pas disponibles

Comparaison du serveur OPC et du serveur OPC UA

Paramètres | Serveur OPC | Serveur OPC UA
Modèle de données | Limité | Pour toutes les applications
Mise en œuvre | Dépendante des fabricants | Indépendante des fabricants
Interopérabilité | non | oui
Configuration | Fastidieuse | Simple
Utilisation en réseau | Déconseillée (sécurité) ; Windows CE ne peut pas être utilisé | oui
Technologie de réseau | DCOM (source d'erreurs, instable) | Protocole binaire TCP OPC UA
Performances | bas | high
Plates-formes | Windows uniquement | Indépendant
Redondance | non | oui
Ressources requises | high | lower
Architecture orientée services | non | oui
Sécurité | Obsolète | Conforme aux normes actuelles
Sécurité de la connexion | non | Fournie
Windows CE | non | oui


Configuration du module

Manuels -> Passerelle de procédé (Process Gateway) -> Serveur OPC UA -> Configuration du module

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Démarrage

Pour démarrer la passerelle Process Gateway avec le module OPC UA, vous devez saisir ces informations dans le fichier zenProcGateway.ini. La configuration du certificat est interrogée lors du démarrage initial de la passerelle Process Gateway avec le module OPC UA.

Si aucun certificat indépendant ne doit être utilisé, les certificats peuvent être créés automatiquement en cliquant sur Oui.

Après le démarrage de la passerelle Process Gateway, des informations statistiques concernant le nombre de mises à jour dans l'intervalle de temps affiché et le nombre de mises à jour ayant échoué sont affichées. La configuration peut également être initiée dans cette boîte de dialogue.

Paramètres | Description
Quitter | Ferme la passerelle Process Gateway.
Configuration | Ouvre la boîte de dialogue de configuration.
Aide | Ouvre l'aide

Pour configurer le serveur et les variables :

  1. Cliquez sur Configuration
  2. Dans la boîte de dialogue qui s'affiche à l'écran, vous configurez :
    • Serveur
    • Variables

Autres sujets abordés dans ce chapitre

Serveur

Variables


Serveur

Manuels -> Passerelle de procédé (Process Gateway) -> Serveur OPC UA -> Configuration du module -> Serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez sur Configuration dans la boîte de dialogue de statistiques de la passerelle Process Gateway ouvre la boîte de dialogue de configuration :

Paramètres

Description

Nom

Nom du serveur tel qu'il est affiché sur le client.

Port

Port TCP va lequel le client établit la connexion.

Par défaut : 4840

Chemin de la liste de certificats révoqués

Fichier contenant toutes les clés non valides.

Chemin de la liste de certificats de confiance

Chemin d'accès contenant toutes les clés fiables. Il doit correspondre au certificat du serveur.

Chemin des certificats du serveur

Clé publique du serveur. Utilisée par le client pour le chiffrement des messages.

Chemin de la clé privée du serveur

Clé privée du serveur. Elle est utilisée par le serveur pour déchiffrer les messages provenant du client.

Accept secure connections only (Accepter uniquement les connexions sécurisées)

Actif : seules les connexions sécurisées sont acceptées pour l'établissement d'une connexion, avec signature (Sign) ou avec signature et chiffrement (Sign and encrypt) :

  • Basic128Rsa15 :
    RSA15 en tant qu'algorithme de chiffrement de clé et
    128-bit basic en tant qu'algorithme de chiffrement de messages
  • Basic256 :
    256-bit basic en tant qu'algorithme de chiffrement de messages

Par défaut : Inactive

Trust all client certificates (Faire confiance à tous les certificats de clients)

Actif : tous les certificats de clients sont acceptés, et la connexion est établie.

Inactive : tous les clients souhaitant se connecter au serveur doivent transmettre un certificat valide. Ce certificat est également vérifié pour déterminer s'il se trouve dans la liste des certificats de clients connus (chemin de la liste de certificats de confiance).

Use zenon authentication (Utiliser l'authentification de zenon)

Actif : Les clients peuvent uniquement se connecter au serveur avec un identifiant d'utilisateur et un mot de passe valides.

Remarque : La gestion des utilisateurs doit être actif.

Inactive : les connexions anonymes sont autorisées.

Archive des données historiques

Archive des données historiques. Sélectionnez le projet dans la liste déroulante. L'archive doit déjà avoir été créée.

OK

Confirme tous les paramètres et ferme la boîte de dialogue.

Attention : toutes les connexions actives sont interrompues et le serveur est redémarré avec les nouveaux paramètres. Des erreurs de connexion peuvent se produire durant ce processus.

Annuler

Annule toutes les modifications de paramètres et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Variables

Manuels -> Passerelle de procédé (Process Gateway) -> Serveur OPC UA -> Configuration du module -> Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Variables

Les variables de la passerelle Process Gateway OPC UA peuvent être sélectionnées automatiquement ou individuellement.

attention Attention

Un client OPC UA ne peut pas écrire de données dans les variables pour lesquelles la propriété Forçage valeurs actif n'est pas définie dans l'Éditeur.

Définition de variables

Si aucune variable n'est définie dans la configuration du serveur OPC UA, toutes les variables du projet zenon sont ajoutées à l'espace d'adressage OPC UA. Toutes les variables (variables système incluses) sont visibles par les clients. Chaque variable reçoit alors un nœud spécifique comportant un identifiant numérique généré automatiquement et l'indice d'espace de nom 80.

Dans le cadre d'une configuration manuelle (au moins une variable configurée), les valeurs définies par l'utilisateur sont utilisées. L'indice d'espace de nom 80 et un identifiant de chaîne contenant les noms des variables sont également saisis par défaut.

Paramètres

Description

Available in zenon (Disponibles dans zenon)

Liste de variables existantes.

Exported to OPC UA (Exportées vers OPC UA)

Liste de variables exportées.

Identifiant de nœud

Namespace index (Indice d'espace de nom)

Définit l'indice d'espace de nom dans l'identifiant de nœud pour la variable OPC UA sélectionnée.

La valeur :

  • ne doit pas être vide
  • doit être numérique
  • doit être supérieure à 0

Identifiant

Définit l'identifiant dans l'identifiant de nœud pour la variable OPC UA sélectionnée.

  • Un identifiant numérique est automatiquement créé en cas de saisie numérique.
  • Si un GUID est saisi, un identifiant de GUID est créé ; dans le cas contraire, l'identifiant est traité comme une chaîne.
    Format du GUID : xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx)

Le champ ne doit pas être vide.

Pour exporter les variables vers OPC UA :

  1. Sélectionnez les variables souhaitées dans Available in zenon (Disponibles dans zenon) (sélection multiple possible)
  2. Cliquez sur la flèche correspondant à l'option Exported to OPC UA (Exportées vers OPC UA)

Pour exporter toutes les variables :

  • Cliquez sur la double flèche

Le nom de variable de zenon est utilisé en tant que nom de navigateur et nom d'affichage.

info Info

Dans les variables de zenon dont le nom comporte une barre oblique (/), le signe / est remplacé par un point (.). Les parties du nom séparées par une barre oblique sont enregistrées dans des sous-dossiers spécifiques.

Exemple : la variable Static/Scalar/Int32 de zenon est divisée comme suit :

  • Une variable OPC UA Int32
  • Un dossier intitulé Scalar
  • Qui est un sous-dossier du dossier Static

Cela fonctionne avec tous les types de données, les ensembles multidimensionnels, les caractères "Umlaut" (¨) dans les noms et les barres obliques à la fin des noms.


Départ

Manuels -> Passerelle de procédé (Process Gateway) -> Serveur OPC UA -> Départ

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsque la passerelle Process Gateway est démarrée, elle charge le driver configuré.

Le driver tente de lire la configuration active dans le fichier .ini spécifié. Si ce n'est pas possible, un message d'erreur est généré et la boîte de dialogue de configuration est ouverte. Si la configuration n'est pas confirmée par OK, la passerelle Process Gateway est fermée.

attention Attention

Si l'application est démarrée en mode invisible, aucune boîte de dialogue de configuration n'est affichée. Si la configuration est non valide ou absente, la passerelle Process Gateway est automatiquement fermée.


Connexion

Manuels -> Passerelle de procédé (Process Gateway) -> Serveur OPC UA -> Connexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La passerelle OPC UA Process Gateway prend uniquement en charge le protocole TCP binaire OPC UA et ne contient aucun serveur de découverte. Le client doit donc se connecter directement au serveur. L'adresse de connexion correspond au modèle suivant : opc.tcp://nom_hôte.du.serveur:port

La connexion peut être sécurisée.


Sécurité

Manuels -> Passerelle de procédé (Process Gateway) -> Serveur OPC UA -> Sécurité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module utilise les procédures de sécurité conformes à OPC UA (signature et chiffrement des messages), conformément aux indications de la norme. Les certificats peuvent être vérifiés ou acceptés, selon le paramètre défini.

Connexions sécurisées

Si l'option Accept secure connections only (Accepter uniquement les connexions sécurisées) est activée, le serveur accepte uniquement les connexions utilisant Sign (Signer) ou Sign & encrypt (Signer et chiffrer) en tant que mode de sécurité. En outre, Basic128Rsa15 ou Basic256 doit être utilisé par le client en tant que stratégie de sécurité. Si cette option est désactivée, toute combinaison de mode de sécurité et de stratégie de sécurité est acceptée.

Gestion des utilisateurs

Si la fonction de gestion des utilisateurs est activée dans le projet zenon et un utilisateur au moins est créé, l'option Use zenon user authentication (Utiliser l'authentification des utilisateurs de zenon) est disponible. Si elle est activée, seuls les clients transmettant une combinaison valide de nom d'utilisateur et de mot de passe ont accès aux données sur le serveur OPC UA. Si elle est inactive, aucune vérification n'est effectuée ; les connexions anonymes et les combinaisons de nom d'utilisateur/mot de passe sont alors acceptées.


Alarmes et états

Manuels -> Passerelle de procédé (Process Gateway) -> Serveur OPC UA -> Alarmes et états

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La passerelle OPC UA Process Gateway prend en charge le modèle d'information de zenon pour les alarmes et les états. Elle est activée dès qu'une variable comporte au moins une valeur limite.

A compter de l'activation, un client lié peut être informé des valeurs limite d'un dépassement de variable. Il est également en position de confirmer l'alarme, comme dans le Runtime de zenon.

La pondération OPC, telle qu'elle est définie dans la norme, est indiquée sur l'index des classes d'alarmes/d'événements liées à la valeur limite. L'index d'une classe d'alarmes/d'événements est automatiquement incrémenté par l'Éditeur de zenon à chaque nouvelle classe d'alarmes/d'événements, et peut être consultée dans les propriétés. Jusqu'à 20 classes sont prises en charge avec le modèle d'attribution suivant :

Plage OPC UA | Classe d'alarmes/d'événements de zenon | Pondération OPC
ELEVEE | 20 | 1000
 | 19 | 950
 | 18 | 900
 | 17 | 850
MOYENNE ELEVEE | 16 | 800
 | 15 | 750
 | 14 | 700
 | 13 | 650
MOYENNE | 12 | 600
 | 11 | 550
 | 10 | 500
 | 9 | 450
MOYENNE BASSE | 8 | 400
 | 7 | 350
 | 6 | 300
 | 5 | 250
BASSE | 4 | 200
 | 3 | 150
 | 2 | 100
 | 1 | 50

Si une variable ne comportant aucune classe d'alarmes est liée, la classification 1 la moins élevée (BASSE) est utilisée.

Illustration d'une alarme de zenon en tant qu'objet

Les variables zenon et les alarmes associées sont illustrées sous forme d'objets sur le serveur OPC UA.

La capture d'écran affiche l'inclusion du projet de zenon (TEST651), et les variables de zenon variables (WIZ_VAR_10, WIZ_VAR_11, WIZ_VAR_12) en tant qu'objets dans la zone supérieure. Cela inclut les alarmes affichées lorsque les limites définies ont été atteintes (Limite de 750 atteinte !, etc.).

Création de traces (log)

Le driver propose une fonction de journalisation complète via l'outil Diagnosis Viewer.


Ensembles de services

Manuels -> Passerelle de procédé (Process Gateway) -> Serveur OPC UA -> Ensembles de services

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Ensemble de services | Pris en charge
Ensemble de services de découverte |
FindServers | oui
GetEndpoints | oui
RegisterServer | non
Ensemble de services SecureChannel |
OpenSecureChannel | non
CloseSecureChannel | non
Ensemble de services de session |
CreateSession | oui
ActivateSession | oui
CloseSession | oui
Annuler | non
Ensemble de services NodeManagement |
AddNodes | non
AddReferences | non
DeleteNodes | non
DeleteReferences | non
Ensemble de services de visualisation |
Explorer | oui
BrowseNext | non
TranslateBrowsePathsToNodeIds | oui
RegisterNodes | non
UnregisterNodes | non
Ensemble de services de requête |
QueryFirst | non
QueryNext | non
Ensemble de services d'attributs |
Lecture | oui
HistoryRead | non
Ecriture | oui
HistoryUpdate | non
Ensemble de services de méthode |
Call | oui
Ensemble de services MonitoredItem |
CreateMonitoredItems | oui
ModifyMonitoredItems | oui
SetMonitoringMode | oui
SetTriggering | non
DeleteMonitoredItems | oui
Ensemble de services d'abonnement |
CreateSubscription | oui
ModifySubscription | oui
SetPublishingMode | oui
Publish | oui
Republish | oui
TransferSubscriptions | non
DeleteSubscriptions | oui


Messages d'erreur

Manuels -> Passerelle de procédé (Process Gateway) -> Serveur OPC UA -> Messages d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Messages d'erreur dans les fichiers journaux :

Message d'erreur

Niveau de débogage

Description

Failed to validate client certificate (Échec de la validation du certificat du client)

Erreur

Le certificat du client n'a pas pu être validé.

Il est soit non valide (la date de validité peut avoir été remplacée), ou il n'a pas été trouvé dans la liste des certificats de clients connus.

Des informations complémentaires, ainsi qu'un numéro d'erreur, décrivent l'erreur de manière détaillée.

Wrong user/password supplied while trying to activate session (User: %s) (Nom d'utilisateur/mot de passe incorrect lors de la tentative d'activation de la session (Utilisateur : %s))

Erreur

L'authentification de l'utilisateur a échoué. Le nom de l'utilisateur devant être authentifié s'affiche à l'écran.

Login of user '%s' succeeded (La connexion de l'utilisateur '%s' s'est bien déroulée).

Debug approfondi :

L'authentification de l'utilisateur s'est bien déroulée.

Variable '%s' could not be added to OPC UA address space, because node '%s' with the same node identifier already exists (La variable '%s' n'a pas pu être ajoutée à l'espace d'adressage OPC UA, car un nœud '%s' comportant le même identifiant de nœud existe déjà).

Erreur

Une variable définie par l'utilisateur n'a pas pu être créée, car une autre variable comportant le même identifiant existe déjà.


Agent SNMP

Manuels -> Passerelle de procédé (Process Gateway) -> Agent SNMP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Architecture SNMP

Management Information Base (MIB)

Structure MIB

Configuration du module

fichier de configuration : entrées spécifiques pour AccessSNMP

Configuration de l'agent SNMP Windows


Architecture SNMP

Manuels -> Passerelle de procédé (Process Gateway) -> Agent SNMP -> Architecture SNMP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'agent SNMP Windows supporte le SNMP version 2 (SNMPv2c). Il supporte aussi les fonctions SNMP (GET, GETNEXT, GETBULK, SET, TRAP).

Vous trouverez plus de détails sur l'implémentation SNMP de Microsoft sur le site Web TechNet de Microsoft : “How SNMP Works” http://technet2.microsoft.com/windowsserver/en/library/bf555774-2d63-4e96-b432-c4b7bcac6b531033.mspx

Les composants du système d'exploitation Windows avec une connexion au Process Gateway et au Runtime :


Management Information Base (MIB)

Manuels -> Passerelle de procédé (Process Gateway) -> Agent SNMP -> Management Information Base (MIB)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Management Information Base (MIB) est une structure arborescente dans laquelle l'agent SNMP fournit des variables (OID - Object Identifiers : identifications d'objet). Voir ci-dessous : la structure MIB, avec des variables supplémentaires fournies par le Process Gateway (Passerelle de procédé).


Structure MIB

Manuels -> Passerelle de procédé (Process Gateway) -> Agent SNMP -> Structure MIB

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
la structure Info block est toujours présente |  |  |  |
OID | Description | Type de données | Accès | Modification envoyée en tant que 'Trap'
1.3.6.1.4.1.300.1.1.0 | copadata.info.statusinfo, le Runtime est actif ou inactif (Online, Offline) | String | lecture | oui
1.3.6.1.4.1.300.1.2.0 | copadata.info.statusval, le Runtime est 1=actif, 0=inactif | Integer | lecture | oui
1.3.6.1.4.1.300.1.3.0 | copadata.info.watchdog | Integer | lecture | non
1.3.6.1.4.1.300.1.4.0 | copadata.info.project, nom du projet où le Process Gateway lit les variables | String | lecture | non

Structure des variables (table) ajustée dynamiquement, selon la configuration du Process Gateway |  |  |  |
OID | Description | Type de données | Accès | Modification envoyée en tant que 'Trap'
1.3.6.1.4.1.300.2.1.0 | copadata.variables.ifNumber, nombre de variables OID configurées | Integer | lecture | oui
1.3.6.1.4.1.300.2.2.1.X | copadata.variables.ifTables.ifIndex, index OID configuré dans la configuration du Process Gateway | Integer | lecture | non
1.3.6.1.4.1.300.2.2.2.X | copadata.variables.ifTables.ifName, nom de la variable | String | lecture | non
1.3.6.1.4.1.300.2.2.3.X | copadata.variables.ifTables.ifValue, valeur entière de la variable. Tous les types numériques sont formatés comme le type SNMP Integer (entier). ATTENTION ! les positions des décimales pour les REALs (réels) et les DOUBLEs sont perdus. | Integer | selon la configuration du Process Gateway | non
1.3.6.1.4.1.300.2.2.4.X | copadata.variables.ifTables.ifValueAsString, valeur chaîne (String) de la variable. Tous les types numériques sont formatés comme le type SNMP String (chaîne). | String | selon la configuration du Process Gateway | oui
1.3.6.1.4.1.300.2.2.5.X | copadata.variables.ifTables.ifStatus, valeur de l'état de la variable | Integer | lecture | oui
1.3.6.1.4.1.300.2.2.6.X | copadata.variables.ifTables.ifTimestamp, horodatage de la variable | Integer | lecture | oui


Configuration du module

Manuels -> Passerelle de procédé (Process Gateway) -> Agent SNMP -> Configuration du module

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après avoir sélectionné le bouton de configuration, la boîte de dialogue suivante apparaît :

Vous pouvez sélectionner ici les variables qui doivent être connectées. Dans la partie gauche de l'écran, toutes les variables disponibles dans zenon sont affichées. Vous pouvez les sélectionner et les déplacer dans la liste d'export SNMP avec le bouton >Vous pouvez les supprimer de la liste d'export avec le bouton< Si vous déplacez une variable dans la liste d'export, une boîte de dialogue s'ouvre permettant de définir le lien entre le nom de la variable zenon et une adresse OID dans la structure SNMP :

Les variables sélectionnées de cette façon sont alors disponibles sur le serveur SNMP et sont synchronisées de façon continue entre zenon et la structure SNMP OID. Pour chaque adresse OID, vous pouvez définir si elle est accessible en écriture via SNMP SET. La structure exacte pour chaque adresse OID est décrite dans la section "Structure MIB".


fichier de configuration : entrées spécifiques pour AccessSNMP

Manuels -> Passerelle de procédé (Process Gateway) -> Agent SNMP -> fichier de configuration : entrées spécifiques pour AccessSNMP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le fichier de configuration doit se trouver dans le dossier C:\Documents and Settings\All Users\Application Data\COPA-DATA\System.

Paramètres | Description
[SNMP] |
REFRESHRATE | Période de rafraichissement, en ms

Paramètres | Description
[VARIABLES] |
COUNT | Nombre de variables à exporter
NAME_n | Nom de la variable n (0<=<COUNT)
PARAM_n | Le paramètre SNMP OID table offset et l'information R=read only (lecture seule) / RW=read and write (lecture et écriture) avec le nombre n (0<=n<COUNT)

Exportation de variables

Pour que l'exportation se déroule correctement, le nom du projet doit être saisi correctement dans le fichier zenProcgateway.ini du dossier %CD_SYSTEM%. Saisissez-le ici :

[DEFAULT]
PROJECT=

Attention : Si l'entrée est erronée ou manquante, la passerelle est fermée sans message d'erreur. La variable n'est donc pas disponible.


Configuration de l'agent SNMP Windows

Manuels -> Passerelle de procédé (Process Gateway) -> Agent SNMP -> Configuration de l'agent SNMP Windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour vous assurer que l'agent SNMP de Windows (SNMP.exe) fournit la structure partielle MIB de zenon, vous devez configurer le fichier AccessSNMP.dll de la passerelle de procédé (Process Gateway) dans la base de registres Windows comme suit :

  1. Installation du service Windows SNMP par le Panneau de Configuration Windows :
    • - avant Windows Vista par le module : Logiciels -> Ajouter ou supprimer des composants Windows
    • À partir de Windows Vista, via le module : Programmes et fonctionnalités -> Activer ou désactiver des fonctionnalités Windows.
  2. Installation de Process Gateway avec le fichier AccessSNMP.dll dans le dossier %Program Files (x86)%\COPA-DATA\zenon 7.11.
  3. Ajoutez les clés et chaînes de caractères suivantes à l'aide de l'éditeur de la base de registre. The paths and content are sometimes different for 32-bit systems and 64-bit systems:

    32 bits :

    • [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\ExtensionAgents]
      Name=ProcessGateway
      Value=SOFTWARE\COPA-DATA\SNMP\CurrentVersion
    • [HKEY_LOCAL_MACHINE\SOFTWARE\COPA-DATA\SNMP\CurrentVersion]
      Name=Pathname
      Value=C:\Program Files (x86)\COPA-DATA\zenon 7.11

    64 bits

    • [HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\SNMP\Parameters\ExtensionAgents]
      Name=ProcessGateway
      Value=SOFTWARE\COPA-DATA\SNMP\CurrentVersion
    • [HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\COPA-DATA\SNMP\CurrentVersion]
      Name=Pathname
      VALUE=C:\ProcessGateway\AccessSNMP
  4. Démarrer le service SNMP.
    Ceci permet de charger le fichier de la passerelle Process Gateway AccessSNMP.dll via la configuration de la base de registres.
    Autres paramètres de configuration du service Windows SNMP : Panneau de configuration -> Administration-> Services-> Service SNMP -> Propriétés
    1. Onglet Interruptions : définit l'adresse IP du réseau à laquelle sont transmises les interruptions

    • Nom de la communauté : doit être identique sur le gestionnaire et l'agent
    • Destinations des interruptions : adresses des destinations sous forme de noms d'hôtes, d'adresses IP ou d'adresses IPX
    1. Sécurité définit les droits avec lesquels un client SNMP peut accéder à l'agent SNMP

    • Droits : doit être défini sur "READ WRITE (LECTURE ÉCRITURE)"
    • Nom de la communauté : doit être identique sur le gestionnaire et l'agent


SQL

Manuels -> Passerelle de procédé (Process Gateway) -> SQL

Autres sujets abordés dans ce chapitre

Configuration du module

Sélection des variables

Création des tables

Cas d'un système redondant

Fichier de configuration : entrées spécifiques pour AccessSQL

Format des tables


Configuration du module

Manuels -> Passerelle de procédé (Process Gateway) -> SQL -> Configuration du module

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La configuration de la connexion à la base de données est faite en deux parties :

  1. Connexion OLE-DB : Cette connexion OLE-DB peut être définie dans la boîte de dialogue de configuration à l'aide du bouton de sélection de la chaîne de connexion. Ensuite la boîte de dialogue standard pour la connexion de données est ouverte.
  2. En plus, le nom de la table peut être définie si vous ne voulez pas utiliser le nom standard ONLINE_VALUES.
    Ceci se définit par l'entrée TABLE dans la section [DATABASE] du fichier de configuration (zenProcGateway.ini). Les paramètres sont pris en compte par l'outil lors du démarrage de celui-ci.

attention Attention

Si des noms de tables sont définis manuellement dans le fichier de configuration (zenProcGateway.ini), ces noms de tables doivent également être modifiés ou créés manuellement dans la base de données.

Bases de données Oracle

L'utilisation de la passerelle Process Gateway et du fichier AccessSQL.dll conjointement à des bases de données Oracle peut provoquer des erreurs : il est possible, avec certains drivers ODBC, qu'aucune valeur en ligne ne soit écrite dans la base de données. La fonction de journalisation avancée d'ODBC produit alors le message d'erreur 1843.

The problem can be solved by changing the ODBC driver (Le problème peut être résolu en changeant de driver ODBC). Par exemple, le driver ODBC 9.02.00.05 pour Oracle 9.2 fonctionne correctement.


Sélection des variables

Manuels -> Passerelle de procédé (Process Gateway) -> SQL -> Sélection des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la boîte de dialogue de configuration, les variables zenon devant être écrites dans l'image du procédé SQL peuvent être définies. À cette fin, les variables disponibles dans le projet zenon (dont la liste est affichée dans la partie gauche de l'écran) doivent être ajoutées à l'image (affichée dans la partie droite de l'écran).


Création des tables

Manuels -> Passerelle de procédé (Process Gateway) -> SQL -> Création des tables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsque vous fermez la boîte de dialogue de configuration en cliquant sur OK, la table dans la base de données SQL est générée automatiquement. Dans le cas où elle doit être créée manuellement :


Cas d'un système redondant

Manuels -> Passerelle de procédé (Process Gateway) -> SQL -> Cas d'un système redondant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le cas de système redondant, vous avez deux solutions. Pour la première, la base de données SQL tourne localement sur les deux serveurs et le Process Gateway aussi. Comme l'outil ne gère que les données en ligne, il n'y a pas de synchronisation des bases à faire. Le gros inconvénient de cette solution est la charge importante du réseau qui résulte du fait de la lecture des données en ligne supplémentaires faites par le serveur redondant.

Dans la deuxième solution, le Process Gateway ne tourne que sur le serveur principal et écrit les données dans une base de données SQL locale ou distante. Avec cette solution, il n'y a pas de charge supplémentaire sur le réseau entre le serveur principal et le serveur redondant, et dans le cas d'une base SQL distante, les performances du serveur ne sont pas affectées par les requêtes externes à cette base.


Fichier de configuration : entrées spécifiques pour AccessSQL

Manuels -> Passerelle de procédé (Process Gateway) -> SQL -> Fichier de configuration : entrées spécifiques pour AccessSQL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le fichier de configuration doit se trouver dans le dossier C:\Documents and Settings\All Users\Application Data\COPA-DATA\System.

Paramètres | Description
[DATABASE] |
INITSTRING | Chaîne de connexion OLE-DB vers la base de données SQL
TABLE_ONL | nom de la table qui reçoit l'image du procédé
TABLE_VAR | nom de la table qui reçoit les ID des variables
REFRESHRATE | temps maximum de rafraîchissement en millisecondes

Paramètres | Description
[VARIABLES] |
COUNT | Nombre de variables à exporter
NAME_n | Nom de la variable numéro n (0


Format des tables

Manuels -> Passerelle de procédé (Process Gateway) -> SQL -> Format des tables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Table pour l'image du procédé

Table des ID de variables


Table pour l'image du procédé

Manuels -> Passerelle de procédé (Process Gateway) -> SQL -> Format des tables -> Table pour l'image du procédé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
VARIABLE | int[4] | ID de la variable de zenon
VALUE | varchar[64] | valeur courante en temps que chaîne (string)
VALUE_NUM | Flottant | valeur courante en temps que valeur réelle (float)
TIMESTAMP | int[4] | horodatage de la valeur courante (en date/heure UNIX)
TIMESTAMP2 | datetime | horodatage de la valeur courante (en datetime)
STATUS | int[4] | état de la valeur courante


Table des ID de variables

Manuels -> Passerelle de procédé (Process Gateway) -> SQL -> Format des tables -> Table des ID de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
VARIABLE | int[4] | ID de la variable de zenon
NAME | varchar[128] | nom de la variable du système de contrôle


Planning

Manuels -> Planning

Le module Planning permet l'exécution automatique d'actions à des heures données ou définies sur une grille de temps. Ces actions peuvent être la modification de la valeur d’une variable, l'exécution d'une fonction système et bien davantage.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Le module Planning utilise des heures absolues dans les programmes. Et donc, les fonctions suivantes ne sont pas disponibles dans le module Planning (contrairement au module PFS) :

  • Temps relatif, par exemple, démarrage poste, fin poste
  • Evénements utilisateur

info Info

Contrairement au module Production & Facility Scheduler (PFS), pour lequel vous devez avoir une licence, le module Planning également aussi disponible sous Windows CE.

Transition entre les modules Planning et PFS

Le module Planning est utilisé si le module Production & Facility Scheduler (PFS) ne comporte pas de licence. Sa fonctionnalité est similaire à celle du PFS mais est plus limitée.

  • Passer du module Planning au PFS complet est possible en obtenant la licence pour ce dernier, les données de planning sont compatibles.
  • les données créées dans le PFS ne peuvent pas être utilisées dans le module Planning simple !

Autres sujets abordés dans ce chapitre

Créer un planning

Evénements

Parmétrages du module "Planning"

Créer un planning spécial

Supprimer un planning spécial

Copie ou remplacement de plannings

Les plannings dans les projets d'intégration


Créer un planning

Manuels -> Planning -> Créer un planning

Un nouveau planning peut être créé dans la vue de détail du module "Planning".

Paramètres | Description
Nouvelle fonction … | Crée un nouveau planning.
Coller | Insère un planning existant.
Enregistrer | Enregistre les modifications.
Annuler | Après confirmation, toutes les modifications sont annulées.
Configurer les barres d'outils | Ouvre la boîte de paramétrage du module "Planning".
Aide | Ouvre l'aide en ligne.


Evénements

Manuels -> Planning -> Evénements

info Info

Par défaut, les événements sont toujours inactifs lors de leur création dans le Runtime, et doivent être activés volontairement pour fonctionner. Par défaut, les événements sont actifs lorsqu'ils sont créés dans l'Éditeur.

Autres sujets abordés dans ce chapitre

Créer un événement analogique

Créer un événement 1/0

Editer un événement

Couleurs des événements


Créer un événement analogique

Manuels -> Planning -> Evénements -> Créer un événement analogique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un événement analogique permet de forcer une valeur à une variable numérique (e.g. UINT, INT, etc.) une fois à une heure donnée.

Alors les jours peuvent être sélectionnée et ajouté ou supprimé.

info Info

Il est possible de pré-sélectionner les objets du planning avec la souris ; lors de l'ouverture de la liste d'objets, ces objets sont affichés comme des objets sélectionnés. En plus, les heures de début et de fin sont pris en compte selon la période sélectionnée.

Autres sujets abordés dans ce chapitre

Ajouter variable

Ajouter une fonction


Ajouter variable

Manuels -> Planning -> Evénements -> Créer un événement analogique -> Ajouter variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Des variables peuvent être sélectionnées. L'heure de début peut être entrée :

Paramètres | Description
Heure de début | Heure à laquelle l'événement doit être exécuté.
Ajouter variable | Ajoute une nouvelle variable au planning. C'est aussi possible pendant le Runtime.
Ajouter fonction | Ajoute une nouvelle fonction au planning. C'est aussi possible pendant le Runtime.
Valeur prescrite | Permet de modifier la valeur
Supprimer | Supprime le lien du planning à une variable ou une fonction. Les événements utilisant la variable ou la fonction sont supprimés.

La valeur prescrite d'une variable peut être définie à l'intérieur des plages de valeurs de la variable (pour les variables binaires 0 ou 1)

Les informations Min et Max indiquent la plage de valeurs de la variable.

Le planning terminé doit ressembler à la grille ci-dessous :


Ajouter une fonction

Manuels -> Planning -> Evénements -> Créer un événement analogique -> Ajouter une fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez sélectionner des fonctions qui seront liées à l'événement.

N'importe quelle fonction - même d'autres projets - peuvent être liée à l'heure de début ou l'heure de fin. Il est possible de sélectionner plusieurs fonctions différentes pour l'heure de début et l'heure de fin.

info Info

Avec la fonction "Exécuter macro VBA", des macros VBA peuvent aussi être exécutées sur les événements.


Créer un événement 1/0

Manuels -> Planning -> Evénements -> Créer un événement 1/0

La fonctionnalité "créer événement 1/0" permet de positionner une variable binaire à 1 pendant une période de temps donnée et de la remettre à 0 à la fin de cette période.

info Info

Au la variable est mise à 1 (TRUE) au début de la période et à la fin elle est mise à 0 (FALSE). Si vous voulez faire le contraire, il faut créer l'événement normalement puis l'ouvrir par un double-clic souris. Vous pouvez alors changer les valeurs dans les colonnes "Action" (vous pouvez auusi rendre l'action active ou inactive ou changer les heures).

Dans l'éditeur vous pouvez faire cela en double-cliquant avec la souris ; dans le runtime il y a une fonction spéciale (liée au synoptique Planning - fonction MDI).

Un nouvel événement peut être créé à l'aide du menu contextuel.

info Info

Seules les variables numériques peuvent être sélectionnées.

L'heure de début et l'heure de fin peuvent être entrées :

Example Exemple

Si un utilisateur n'a besoin que d'un événement à un instant "t", l'heure de fin doit être définie égale à l'heure de début ; la durée est alors de 00:00:00. Dans ce cas, les variables et les fonctions peuvent n'être définies qu'à un seul endroit (au début par exemple).


Editer un événement

Manuels -> Planning -> Evénements -> Editer un événement

Avec un double-clic sur un événement existant, une boîte de dialogue d'édition est ouverte. Toutes les propriétés de l'événement sont montrées, comme par exemple, les heures de début et de fin qui peuvent être modifiées. Il est également possible de créer de nouveaux événements analogiques et on/off (digital).


Couleurs des événements

Manuels -> Planning -> Evénements -> Couleurs des événements

La couleur indique le type d'événement.

Paramètres | Description
vert | numérique événement
Khaki | binaire événement
bleu | deux événements binaires qui se chevauchent
turquoise | deux événements qui se chevauchent, un binaire, un numérique


Parmétrages du module "Planning"

Manuels -> Planning -> Parmétrages du module "Planning"

Le paramétrage du Planning peut être défini à l'aide du menu contextuel de la vue de détail et la commande Paramétrage.

Autres sujets abordés dans ce chapitre

Changement d'heure

Jours fériés


Changement d'heure

Manuels -> Planning -> Parmétrages du module "Planning" -> Changement d'heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette configuration, on peut définir quels sont les changements d'heure qui sont utilisés comme base pour les calculs.

Paramètres | Description
Changement de temps positif | L'heure est avancée, l'heure système est avancée dans le futur (par exemple, heure d'été)
Récupérer les évènements | Les actions entre l'heure actuelle et la nouvelle heure sont exécutées immédiatement après le changement d'heure.
Recalculer les événements | Les actions entre l'heure actuelle et la nouvelle heure sont ignorées et ne sont pas exécutées. Les événements sont recalculés.
Changement de temps négatif | L'heure est retardée, l'heure système est retardée dans le passé (par exemple, heure d'hiver)
Rejeter les événements | Les événements sont recalculés. Les événements sont calculés lorsque l'heure originale est atteinte.
Recalculer les événements | Les actions entre l'heure actuelle et la nouvelle heure sont recalculées. (Ce qui signifie que lorsque la nouvelle heure est atteinte, elles sont exécutées). Ceci entraîne une double exécution des événements dans la période de temps corrigée.
Commut. redond. | Commutation sur serveur redondant, valide pendant le "timeout" lors de la commutation vers le serveur redondant.
Rejeter les événements | L'exécution des événements démarre selon la position courante du redondant. Les événements compris dans cette période de temps ne seront peut être pas exécutés.
Recalculer les événements | Les événements sont recalculés et exécutés selon la nouvelle heure. Ceci peut entraîner la double exécution de ces événements.
Zone de tolérance pour déviation horaire | Tolérance qui définit de combien au max l'heure système peut être changée sans entraîner le recalcul des événements selon les critères ci-dessus.


Jours fériés

Les jours fériés peuvent être insérés automatiquement selon le pays.

Les données de base pour les jours fériés se trouvent dans le répertoire d'installation de zenon, dans le fichier Feiertage.txt, et peuvent être éditées avec n'importe quel éditeur de texte.

Les entrées pour un pays démarre par le nom du pays entre crochets et le préfixe téléphonique international.

La définition des jours fériés se trouve dans les lignes qui suivent : nom, date du jour férié.

[France] 16

Toussaint, 1998/11/01

Toussaint, 1999/11/01

Toussaint, 1999/11/01

Toussaint, 1999/11/01

Toussaint, 1999/11/01

Ascension, 1998/05/21

Ascension, 1998/05/21

Ascension, 1998/05/21

Ascension, 1998/05/21

Ascension, 1998/05/21

...

Une définition correcte est nécessaire.

Double-cliquer sur le planning permet de corriger l'entrée.


Créer un planning spécial

Manuels -> Planning -> Créer un planning spécial

En plus des jours fériés officiels, des plannings spéciaux peuvent être créés (par exemple, les jours de congés imposés par l'entreprise). Ceux-ci peuvent être créés comme des plannings spéciaux à l'aide du menu contextuel du module Planning. Ici la même règle que pour les jours fériés s'applique ; si un planning spécial existe, l'événement du planning standard est écrasé.

D'abord la période est définie.

Ce jour spécial est ajouté à la table :

attention Attention

Il n'est pas possible d'exécuter plusieurs jours spéciaux en même temps. C'est à dire, si à une periode donnée, un jour spécial existe, aucun autre jour spécial ne peut être créé.


Supprimer un planning spécial

Manuels -> Planning -> Supprimer un planning spécial

Les plannings spéciaux peuvent être supprimés avec l'entrée Supprimer du menu contextuel. De même, un horaire peut être supprimé depuis ce menu contextuel en sélectionnant l'entrée Heure.


Copie ou remplacement de plannings

Manuels -> Planning -> Copie ou remplacement de plannings

Avec le bouton droit de la souris, un planning peut être copié et lié à d'autres variables via la fonction Remplacer. La boîte de dialogue de remplacement apparaît et le remplacement des variables liées peut être exécuté ou annulé. Si vous annulez, alors un planning identique est créé.


Les plannings dans les projets d'intégration

Manuels -> Planning -> Les plannings dans les projets d'intégration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si un planning avec des données d'un sous-projet doit être exécuté, les fonctions correspondantes du sous-projet doivent être appélées.

Les données du planning proviennent toujours du projet dans lequel la fonction "appel de synoptique" a été créée.


Production and Facility Scheduler (PFS)

Manuels -> Production and Facility Scheduler (PFS)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module Production & Facility Scheduler (PFS) permet l'exécution d'actions (par ex. modification de la valeur prescrite de variables, exécution de fonctions) à des heures définies ou dans un calendrier.

tutorial Informations concernant la licence

Ce module doit disposer d'une licence dans l'Éditeur et le Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Equipement nouveau | Ouvre l'assistant de création d'un nouveau groupe de modèles horaires.
Nouvel événement | Crée un nouvel événement.
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Généralités

Barre d'outils et menu contextuel PFS

Vues du module PFS (Production & Facility Scheduler - Gestion de plannings)

Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings)

Configuration avancée dans le module PFS (Production & Facility Scheduler)

Types d'objets

Propriétés

Boites de dialogue

Exécuter un événement PFS

Appel de synoptique - PFS

Type de synoptique Gestion de plannings (PFS) Production & Facility Scheduler


Généralités

Manuels -> Production and Facility Scheduler (PFS) -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module Production & Facility Scheduler (PFS) facultatif permet de définir des actions à exécuter selon une période de temps spécifique ou un modèle de temps.

Le PFS peut se configurer aussi bien dans l'éditeur que dans le runtime. La configuration dans le runtime peut être limitée grâce à la définiton de droits d'accès. Toutes les configurations établies en runtime peuvent être rapatriées dans l'éditeur.

Toutes les heures indiquées sont indépendantes des fuseaux horaires, de l'heure d'été et de l'heure légale.

info Info

Si le projet n'est pas affiché après le démarrage de l'éditeur :

  • Ouvrez le menu Option.
  • Sélectionnez la commande Gestionnaire de projet.


Barre d'outils et menu contextuel PFS

Manuels -> Production and Facility Scheduler (PFS) -> Barre d'outils et menu contextuel PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Symbole | Description
Nouvelle fonction … | En fonction de l'élément sélectionné, un nouvel élément est créé et la boîte de dialogue correspondante est ouverte.
Couper | Coupe l'élément sélectionné.
Copier | Copie l'élément sélectionné.
Coller | Colle l'élément depuis le presse-papiers.
Supprimer | Supprime l'élément sélectionné.
Aide | Ouvre l'aide en ligne.

Le menu contextuel

Élément de menu

Action

Enregistrer

Enregistre les modifications dans la configuration du synoptique PFS.

Annuler

Annule toutes les modifications effectuées depuis le dernier enregistrement du synoptique PFS.

Propriétés

Ouvre la boîte de dialogue de configuration des éléments suivants :

  • Changement d'heure
  • Jours fériés
  • Table de couleurs
  • Enregistrer les horaires des postes

Aperçu événements

Ouvre la boîte de dialogue d'aperçu des points de commutation.

Critères de filtre …

Ouvre la boîte de dialogue de sélection de filtres.

Aide

Ouvre l'aide en ligne.

info Info

Vous trouverez des explications concernant les menus contextuels des éléments individuels de l'arborescence et la table aux chapitres correspondants, et plus particulièrement au chapitre Types d'objets.


Vues du module PFS (Production & Facility Scheduler - Gestion de plannings)

Manuels -> Production and Facility Scheduler (PFS) -> Vues du module PFS (Production & Facility Scheduler - Gestion de plannings)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'affichage du PFS est divisé en deux zones : l'abre hiérarchique, affiché du côté gauche de l'écran, et la grille, du côté droit de l'écran.

Autres sujets abordés dans ce chapitre

Fenêtre avec l'arborescence

Vue des tables


Fenêtre avec l'arborescence

Manuels -> Production and Facility Scheduler (PFS) -> Vues du module PFS (Production & Facility Scheduler - Gestion de plannings) -> Fenêtre avec l'arborescence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'abre permet à l'utilisateur d'identifier facilement le niveau d'un objet et à quels éléments il se réfère. Les objets de même niveaux dans l'arbre sont reliés avec des lignes. Il s'agit ici d'informations importantes, étant donné que le comportement des objets dépend des relations établies entre eux.
Sur chaque type d'objet, vous pouvez activer un menu contextuel dédié en cliquant avec le bouton droit de la souris.

Ceci permet aussi aux utilisateurs de copier, déplacer et supprimer des objets, dans la mesure où ils ont les droits pour faire ces opérations.


Vue des tables

Manuels -> Production and Facility Scheduler (PFS) -> Vues du module PFS (Production & Facility Scheduler - Gestion de plannings) -> Vue des tables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La zone de droite de l'environnement PFS affiche, selon le type d'objet sélectionné dans l'arbre, les données relatives à cet objet. Certains objets peuvent être configurés avec plus de détails dans cette zone, alors que pour d'autres objets (par exemple les événements), leur configuration est seulement visualisée et ne peut pas être modifiée. Par exemple : Evénements

Si des modifications peuvent être apportées dans la table, vous pourrez accéder aux commandes nécessaires par le biais des menus contextuels. Ainsi, vous pouvez définir la configuration souhaitée pour les éléments de votre choix.

Pour certains types d'objet, vous pouvez aussi entrer les données directement dans les cellules de la grille - par exemple, les heures utilisées dans les plannings.


Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings)

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette section, nous procédons pas à pas à la création d'un projet PFS. Les opérations suivantes seront effectuées :

  • Création de groupes de modèles horaires, de modèles et de plannings.
  • Création d'heures absolues et relatives liées à des variables et des fonctions.
  • Création et exécution d'événements définis par l'utilisateur.
  • Utilisation de fonctions d'éditions telles que Copier, Déplacer, Supprimer.
  • Création dans le calendrier des liens vers les plannings et les modèles.
  • Vérification de la configuration créée en utilisant l'aperçu des événements.
  • Création des plannings en Runtime.

Vous devez, à cette fin, être familiarisé avec les techniques de création de projets, de variables, de fonctions, de cadres et de synoptiques. Dans cette section, seule la description des paramètres relatifs au PFS sera fournie. Si vous souhaitez obtenir davantage d'informations sur ces fonctionnalités de base, veuillez vous reporter aux chapitres correspondants dans la documentation.

info Info

Les intitulés dans les listes telles que les calendriers, les plannings, les événements et autres sont toujours affichés dans la langue de création du projet.

Autres sujets abordés dans ce chapitre

Description des tâches

Etape 1 : Préparation

Etape 2 : Paramètres du module Production & Facility Scheduler (PFS)

Etape 3 : Créer groupe de modèles horaires

Etape 4 : Créez le modèle

Etape 5 : Créez les postes et les pauses

Etape 6 : Définissez le modèle de vacances

Etape 7 : Durée définie par l'utilisateur de la sonnerie

Etape 8 : Réflexions concernant la structure des plannings

Etape 9 : Planning du hall

Etape 10 : considérations relatives aux heures

Etape 11 : Heures du planning Hall

Etape 12 : Événements du planning Hall

Etape 13 : Ligne de planning I

Etape 14 : Planning pour la Ligne II

Etape 15 : réflexions concernant l'attribution du calendrier

Etape 16 : exécution de l'attribution du calendrier

Etape 17 : Vérification du projet

Etape 18 : Le module PFS dans le Runtime

Etape 19 : Exécution dans le Runtime

Etape 20 : Summary


Description des tâches

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Description des tâches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La tâche que nous devons créer est définie comme suit : un atelier d'usine (Hall I), contenant deux lignes de production (Ligne I et Ligne II) tournant avec une équipe de 06.00 à 18.00, doit être chauffé, et son système d'éclairage doit être mis en route et arrêté. Le chauffage nécessite un temps de pré-chauffage de deux heures pour la ligne I et d'une heure pour la ligne II ; la ligne de production I doit être chauffée à 83° et la ligne II à 45°. S'il n'y a pas de production, le chauffage doit être baissé à 20°. Les lumières doivent être allumées 10 minutes avant que l'équipe arrive et arrêtées 10 minutes après son départ. Le démarrage, l'arrêt et les différentes pauses de l'équipe de production doivent être signalés par une sonnerie de 6 secondes. Pendant la journée, il y a une pause de 15 minutes à 9:00, une pause repas d'une heure démarrant à 12:00, et une autre pause de 15 minutes à 15:00. La production se fait les 5 jours de la semaine. Il n'y a aucune production durant les congés et les week-ends. Cette atelier est localisé en Autriche. Toutes les 6 heures, la pompe de traitement des eaux usées doit être mise en route pendant 30 secondes.


Etape 1 : Préparation

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 1 : Préparation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette étape, nous allons effectuer quelques tâches préallablement à la configuration du PFS. Nous allons créer un projet ; puis un driver est mis en œuvre, et les variables nécessaires dans le cadre de notre exemple sont créées.

  1. Créez un nouveau projet nommé PfsSample dans un nouvel espace de travail.
  2. Dans le menu contextuel du projet, sélectionnez l'entrée Fichiers Runtime -> Données modifiables en RT.
  3. Décochez la case Ne pas générer et transférer pour la ligne correspondant au 'Planning'. De cette façon, tout changement fait dans le PFS dans l'éditeur entrainera la génération du fichier runtime correspondant ; les modifications éventuellement faites en runtime seront donc écrasées.
  4. Décochez la case Ne pas décompiler pour la ligne correspondant au 'Planning'. Les modifications effectuées dans le Runtime peuvent être transférées à l'éditeur, par une décompilation.
  5. Intégrez le driver de simulation au projet. Acceptez ensuite les paramètres de configuration.
  6. Créez les variables suivantes :
    • Bit HD ; Offset 10 ; Bit 0, Nom : Sonnerie
    • Bit HD ; Offset 10 ; Bit 1, Nom : Lumière I
    • Bit HD ; Offset 10 ; Bit 2, Nom : Lumière II
    • Bit HD ; Offset 10 ; Bit 3, Nom : Pompe eaux usées
    • Mot HD ; Offset 11 ; Nom : Chauffage P I
    • Mot HD ; Offset 12 ; Nom : Chauffage P II
  7. Activez le module PFS en cliquant sur le nœud approprié dans le gestionnaire de projet. Une section de gestion de plannings vide doit s'afficher dans la vue de détails.
  8. Agrandissez la fenêtre Gestionnaire de projet en cochant l'option Déplacer dans la fenêtre principale ou en décochant Autoriser l'amarrage dans le menu contextuel de la fenêtre. Une zone de configuration assez grande dans le gestionnaire de projet permet une configuration plus facile du PFS.


Etape 2 : Paramètres du module Production & Facility Scheduler (PFS)

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 2 : Paramètres du module Production & Facility Scheduler (PFS)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette étape, on définit les paramètres qui s'appliquent à l'environnement PFS complet. Pour déterminer les jours fériés corrects, vous devez sélectionner le pays correspondant.


Etape 3 : Créer groupe de modèles horaires

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 3 : Créer groupe de modèles horaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette étape, nous allons créer un nouveau groupe de modèles horaires et le configurer en fonction de nos besoins.

Dans notre cas, Hall I désignera le groupe de modèles horaires, car ce hall nécessite des modèles spécifiques (reportez-vous à la rubrique concernant les objets Modèle horaire). Dans le cas où plusieurs modèles différents sont nécessaires pour le même jour du calendrier, vous devrez scinder un projet en différents groupes de modèles horaires.

Etendre le nœud principal, Gestion de plannings (PFS). Vous devez voir trois entrées dans l'arbre. Groupes de modèles horaires, Evénements et Calendrier

Cliquez avec le bouton droit de la souris sur l'entrée Groupe de modèles horaires et choisissez la commande Créer dans le menu contextuel. La page de propriétés du groupe de modèles horaires s'affiche maintenant. Le champ Label (Intitulé) reste vide, car nous sommes en train de créer un nouveau groupe de modèles horaires.

Saisissez Hall I dans le champ Nom ; cela sera le nom du nouveau groupe de modèles horaires. La désignation (c'est-à-dire l'intitulé) du groupe de modèles horaires doit être unique dans tout l'environnement du module PFS. Dans ce cas particulier, nous en sommes vraiment certains.

Laissez les paramètres Début de journée (00:00:00) et Fin de journée (23:59:59) tels quels. Ces déclarations définissent le cycle du groupe de modèles horaires pour un jour complet.

Après vous être assuré que la désignation du groupe de modèles horaires est valide, cliquez sur OK pour enregistrer ces paramètres et créer le nouveau groupe de modèles horaires.

Vous pouvez maintenant voir qu'une nouvelle entrée est apparue sous l'en-tête Groupe de modèles horaires, appelée Hall I ; cette entrée contient deux sous-entrées : Modèles horaires et Plannings.


Etape 4 : Créez le modèle

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 4 : Créez le modèle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les modèles sont nécessaires pour définir les horaires relatifs. Ils contiennent les informations concernant les équipes (postes) : heures de travail et de pauses.

Sélectionnez l'item Créer ... sur l'entrée Modèles horaires de l'arbre de l'équipement concerné.

Un nouveau modèle horaire est créé avec le nom Nouveau modèle horaire. Vous pouvez le renommer en cliquant deux fois sur le nom dans l'arbre. Donnez-lui le nom Jour de travail. Si vous cliquez involontairement ailleurs sur l'écran, vous quittez le mode Renommer et le nom Nouveau modèle horaire est conservé. Cliquez deux fois sur l'intitulé Nouveau modèle horaire pour revenir au mode Renommer. Vous pouvez aussi activer ce mode en utilisant l'entrée Renommer du menu contextuel. La désignation doit être unique sur l'ensemble du groupe de modèles horaires.


Etape 5 : Créez les postes et les pauses

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 5 : Créez les postes et les pauses

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les postes (équipes de travail) sont des éléments décisifs pour la définition des horaires relatifs. Cela ne concerne pas seulement les événements relatifs comme Début de poste et Fin de poste, mais aussi le démarrage et l'arrêt de la production.

Sélectionnez la cellule du haut dans la colonne Postes/Pauses. Pour créer un nouveau poste, sélectionner Créer un poste dans le menu contextuel. Assurez-vous de donner une désignation unique au nouveau poste. Nous nommons ce poste Equipe 1. Avec la touche Tab ou la souris, nous sélectionnons la colonne Heure de début. Notre équipe démarre à 06:00:00 et termine à 18:00:00 ; vous devez donc définir l'heure de début 06:00:00 et l'heure de fin 18:00:00.

Les postes sont affichés avec une couleur de fond grise, alors que les pauses sont affichées en blanc.

Notre équipe de travail a heureusement des pauses que nous allons définir maintenant. Pour cela, sélectionnez une cellule de la ligne en dessous du poste, et ouvrez le menu contextuel. Pour créer une nouvelle pause, sélectionner Créer une pause dans le menu contextuel. Nous lui donnons le nom Matin. La première pause démarre à 09:00:00 et se termine à 09:15:00.

Nous allons créer la pause déjeuner. Désignation : Pause déjeuner ; début : 12:00:00, fin : 15:15:00 13:00:00

Et la dernière, la pause de l'après-midi : Nom : Après-midi ; début : 15:00:00, fin : 15:15:00

Notre modèle nommé Jour de travail doit maintenant être configuré ainsi :


Etape 6 : Définissez le modèle de vacances

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 6 : Définissez le modèle de vacances

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Comme il n'y a aucune production les jours fériés et comme ces jours fériés peuvent être des jours entre lundi et vendredi, ces jours nécessitent un modèle spécifique. Le modèle est très simple car il ne contient pas de poste. Dans cette situation, vous devez vous rappeler qu'un modèle relatif à un jour spécial est prioritaire par rapport aux modèles utilisés pour les semaines habituelles. Ceci repose sur les "modèles par défaut". Pour expliquer cela rapidement, disons simplement que les attributions de modèle sur un seul jour ont une priorité plus importante que les jours spéciaux. Un modèle qui ne contient pas de poste a la même priorité qu'un jour auquel aucun modèle n'est lié.

Comme décrit dans l'étape 4, créez un modèle nommé Jours fériés. Aucun poste n'est à définir dans ce modèle.


Etape 7 : Durée définie par l'utilisateur de la sonnerie

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 7 : Durée définie par l'utilisateur de la sonnerie

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Nous allons maintenant configurer le projet pour faire retentir une sonnerie pendant 6 secondes, au début et à la fin des postes et des pauses. La durée de 6 secondes de la sonnerie peut être définie efficacement en utilisant un événement défini par l'utilisateur.

Qu'est-ce qu'un événement défini par l'utilisateur ? Les événements définis par l'utilisateur sont en fait des horaires relatifs, qui sont spéciaux dans la mesure où ils sont définis par l'utilisateur développant le projet. Pour déclencher un événement défini par l'utilisateur, sélectionnez l'option de menu Déclencher événement PFS. Cette fonction servira de déclencheur pour les événements liés à l'événement défini par l'utilisateur demandé. L'action liée à l'événement sera effectuée selon la valeur de l'offset que vous avez défini.

Maintenant que nous avons expliqué les principes, créons cet événement. Cliquez droit sur la section Evénements et créez un nouvel événement utilisateur avec l'item Créer. L'événement est créé avec le nom "Nouvel événement utilisateur", vous pouvez ensuite le renommer. La procédure est similaire à celle décrite à l'étape 4, "Créer un modèle". Entrez "Sonnerie" comme nom pour cet événement. La nouvelle désignation doit être unique dans tout le PFS.

Allez dans la section Fonctions du projet et créez la fonction Déclencher événement PFS (section Application) avec l'événement défini par l'utilisateur Sonnerie.


Etape 8 : Réflexions concernant la structure des plannings

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 8 : Réflexions concernant la structure des plannings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le projet, que nous sommes en train de définir, comporte deux lignes de productions que nous devons inclure dans des plannings séparés. En même temps, certaines tâches vont être identiques pour les deux lignes. Sur les deux lignes, les lumières doivent être allumées 10 minutes avant que l'équipe de travail commence et doivent être éteintes 10 minutes après son départ. Ceci va être définie dans un planning supplémentaire de niveau supérieur. Nous allons faire bon usage des capacités du logiciel à utiliser dans de nouveaux plannings des horaires de plannings définis précédemment. Cependant, seul l'événement est identique ici, car chaque ligne de production est équipée avec son propre système d'éclairage. La pompe des eaux usées doit aussi être activée et cela sera ajouté dans le planning supplémentaire supérieur.

Après ça, on doit encore configurer la sonnerie. Cette configuration est identique sur les deux lignes, car une seule sonnerie équipe les deux halls, et donc cela sera traité dans le planning supplémentaire supérieur.

Planning Hall. Désignation Hall. Nous devons configurer les heures pour la sonnerie, la pompe des eaux usées et le système d'éclairage.

Planning pour la Ligne I : Planning supplémentaire de niveau inférieur pour le hall. Désignation pour la Ligne I, les lumières doivent être allumées et éteintes. Définition de la température.

Planning pour la Ligne II : Planning supplémentaire de niveau inférieur pour le hall. Désignation pour la Ligne II, les lumières doivent être allumées et éteintes. Définition de la température.

Maintenant que nous avons posé ces principes, nous allons définir les plannings.


Etape 9 : Planning du hall

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 9 : Planning du hall

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le premier planning que nous devons créer contient les événements pour le Hall I. En plus, il contient tous les horaires nécessaires pour les plannings du niveau inférieur (sous plannings).

Démarrons la création de notre premier planning. Pour cela, développer les branches Production & Facility Scheduler, Groupe de modèles horaires puis Hall I dans l'arborescence, afin que l'entrée Planning située près du groupe de modèles horaires Hall I soit visible. Cliquez avec le bouton droit de la souris sur l'entrée Plannings et choisissez la commande Créer ... dans le menu contextuel. Les différentes propriétés relatives aux plannings sont montrées à l'écran. Dans le champ Désignation, entrez le nom Hall. Le planning doit être actif (c'est-à-dire la case Planning actif doit être cochée), et ne doit pas être défini comme une 'structure de planning' (la case Structure de planning ne doit pas être cochée).

Nous devons pouvoir exécuter l'événement défini par l'utilisateur Sonnerie. Pour cela, nous allons ajouter la fonction qui le déclenche dans la liste des fonctions utilisées dans le planning. Cliquez avec le bouton droit de la souris sur l'entrée Liste de fonctions et choisissez la commande Ajouter fonction dans le menu contextuel. Sélectionner la fonction précédemment définie Déclencher événement PFS [Sonnerie]. Une fois validée la sélection, cette fonction apparaît dans la liste des fonctions du planning et peut être utilisée dans celui-ci.

En plus, nous voulons utiliser les variables Sonnerie et Pompe eaux usées qui serviront à activer la sonnerie et la pompe des eaux usées. Pour cela, nous devons ajouter ces variables à la liste des variables du planning. Ouvrez le menu contextuel sur Liste de variables et cliquez sur l'item Ajouter variable. Double-cliquez sur les variables dans la liste pour les ajouter.

Maintenant nous allons configurer le planning.


Etape 10 : considérations relatives aux heures

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 10 : considérations relatives aux heures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les heures servent à définir le moment où les événements sont exécutés. Deux types d'heures sont disponibles :

temps absolue : ce type nécessite que vous définissiez l'heure exacte directement. L'heure d'exécution elle-même ne changera pas, indépendamment du fait que l'événement doit être exécuté ou pas. L'exécution n'aura pas lieu si le planning ou l'événement a été désactivé, ou si le planning n'a pas été lié correctement au jour. Ce type d'heure est idéal quand une heure d'exécution a été définie de façon catégorique.

Heure relative : dans ce cas, l'heure d'exécution réelle ne dépend pas seulement du type d'événement configuré, mais aussi de la façon dont sont positionnés les modèles horaires dans le calendrier, sur le type de jour (normal ou congé), et d'un certain nombre d'autres facteurs. Les conditions d'exécution sont décrites en détail dans la section sur les types d'heures. L'heure d'exécution dépend d'un certain nombre de facteurs, d'où le nom "Heure relative". L'intérêt d'utiliser ce type d'heure est que, dans le cas où une référence doit être modifiée, tous les événements relatifs à cette référence seront mis à jour automatiquement. Cependant, il y a aussi un inconvénient que vous devez garder en tête. Comme l'heure d'exécution n'est pas affichée directement, les heures relatives définies ne peuvent pas être supervisées aussi facilement que les heures absolues. Mais l'aperçu des événements fournit cependant une solution à ce problème.

Donc, quels types d'heures devons-nous utiliser pour répondre à notre cahier des charges ? Pour répondre à cette question, considérons comment et pourquoi les différentes actions doivent être effectuées et quels sont les différents éléments à activer/désactiver.

D'abord la sonnerie. Elle doit retentir pendant 6 secondes à chaque fois que l'équipe démarre, s'arrête ou fait une pause. Donc le déclenchement de la sonnerie est directement lié aux horaires de l'équipe que nous connaissons. Ainsi, il nous est possible d'utiliser ces horaires directement. Cependant quand une équipe change, ces horaires doivent être adaptés, et d'autres horaires relatifs (e.g. l'arrêt de la sonnerie) devront aussi être adaptés. Ceci peut être la cause d'un certain nombre d'erreurs. En utilisant les horaires relatifs Début de poste, Fin de poste, Début de pause et Fin de pause, tous les ajustements nécessaires seront faits automatiquement. Pour obtenir une durée de sonnerie de 6 secondes, nous devrons appliquer un offset sur notre événement défini par l'utilisateur qui définira la désactivation de la sonnerie.

Le système d'éclairage des lignes de production. Ceci dépend directement des horaires de l'équipe et donc ceci sera exécuté selon le Début de poste, et la Fin de poste.

Les températures des lignes de production. Ceci aussi dépend directement des horaires de l'équipe.

La pompe de traitement des eaux usées. Cet élément doit être activé à des intervalles spécifiques - toutes les 6 heures et pendant 30 secondes. Là il n'y a pas de lien avec les horaires des équipes. Donc, des horaires absolus sont définitivement recommandés ici.

Maintenant que nous avons analysé les différents types d'exécution, nous pouvons démarrer la configuration.


Etape 11 : Heures du planning Hall

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 11 : Heures du planning Hall

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Nous démarrons par la création de l'heure de début pour la pompe des eaux usées. Pour cela, sélectionnez la cellule dans la première ligne à coté de la colonne Type d'horaire. Ouvrez le menu contextuel, et sélectionnez Créer grille d'horaires, ceci ouvre une boite de dialogue qui vous permet de créer une série d'heures. Lorsque vous activez la case Temps cyclique, des champs supplémentaires peuvent être définis.

Saisissez les données comme montrées dans la capture d'écran montrée ci-dessus. Avec ces paramètres 4 heures absolues sont créées. Minuit, 6:00, midi et 18:00.

30 secondes après l'activation, les pompes doivent être arrêtées. Nous devons donc créer 4 autres heures, avec 30 secondes de décalage par rapport à celles que nous venons de définir. Pour obtenir cet offset, spécifier 00:00:30 comme heure de départ.

Nous allons maintenant procéder à la configuration de la sonnerie. Cliquez droit dans la grille et sélectionnez Fixer horaire dans le menu contextuel. Une nouvelle heure absolue a été créée. Cependant, nous avons besoin ici d'une heure relative. Sélectionnez dans la liste de la colonne 'Type d'horaire' et de cette ligne, le choix 'Temps relatif'. Maintenant, si vous sélectionnez la colonne Heure, vous avez accès à une liste qui contient les événements relatifs disponibles. Sélectionnez Début poste. La valeur d'offset reste à 0, car la sonnerie doit être déclenchée au moment où l'équipe démarre son travail. La sonnerie doit aussi être déclenchée à l'arrêt de l'équipe, au début des pauses et à la fin des pauses. Donc 3 horaires relatifs supplémentaires doivent être créé avec les événements correspondant. La sonnerie doit être arrêtée 6 secondes après avoir été activée. Pour configurer cela, ajouter un nouvel horaire relatif et sélectionner l'événement utilisateur Sonnerie. Sonnerie est l'événement défini par l'utilisateur que nous avons créé précédemment. Spécifiez un offset de 0.1 minute, c'est à dire 6 secondes. Cette valeur indique la durée de la sonnerie.

Maintenant occupons-nous du chauffage. Créez deux horaires relatifs - pour le démarrage de l'équipe, utilisez une valeur d'offset de -120 et -60, respectivement.

Il nous manque toujours les heures d'activation pour le système d'éclairage. Créez deux horaires relatifs -pour le démarrage de l'équipe, utilisez un offset de -10, et pour l'arrêt de l'équipe, utilisez un offset de 10.


Etape 12 : Événements du planning Hall

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 12 : Événements du planning Hall

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Nous avons utilisé des horaires pour définir des instants où des événements surviennent, et nous devons définir maintenant ce qui doit effectivement se passer à ces moments-là. C'est à cela que servent ces événements.

Commençons par la pompe des eaux usées. Sélectionnez l'heure 00:00:00. Dans le menu contextuel, sélectionnez Créer un événement. Une nouvelle ligne, représentant l'événement, est ajoutée juste en dessous de la ligne d'heure. Les événements contiennent les colonnes suivantes : Actif, Type de lien, Action et Mot de passe. Regardons rapidement ces champs.

Actif : ce champs vous permet d'activer ou de désactiver un événement. Vous pouvez l'utiliser pour empêcher l'exécution d'un événement.

Type de lien : ce champs spécifie si l'action sera une modification de variable ou un appel de fonction. Les autres types de liens sont documentés dans la partie Objet Evénement.

Liens : selon le type de lien, vous pouvez sélectionner une variable ou une fonction parmi les variables et fonctions que vous aurez ajoutées dans les listes liées au planning.

Action : si le type de lien est Variable, ce champs contient la valeur à envoyer à la variable. Si le type de lien est fonction, ce champs est identique à la colonne Actif.

Mot de passe : permet de définir des autorisations d'accès spécifiques pour la configuration en runtime.

Nous allons maintentant définir l'événement. Sélectionnez la colonne Type de lien. Sélectionnez le choix Variable dans la liste. Maintenant sélectionnez la colonne Liens. Sélectionnez la variable Pompe eaux usées dans la liste. Maintenant sélectionnez la colonne Action. Dans cette colonne, entrez la valeur 1. Ceci signifie que à 00:00:00, le système enverra 1 dans la variable Pompe eaux usées.

Maintenant, créez les événements suivants :

  • 00:00:30 Variable : Pompe eaux usées; valeur : 0
  • 06:00:00 Variable : Pompe eaux usées; valeur : 1
  • 06:00:30 Variable : Pompe eaux usées; valeur : 0
  • 12:00:00 Variable : Pompe eaux usées; valeur : 1
  • 12:00:30 Variable : Pompe eaux usées; valeur : 0
  • 18:00:30 Variable : Pompe eaux usées; valeur : 1
  • 18:00:30 Variable : Pompe eaux usées; valeur : 0

Maintenant occupons-nous de la sonnerie. Si vous vous rappelez, nous avons défini un certain nombre d'horaires relatifs pour la sonnerie.
Début de poste, offset 0, Fin de poste, offset 0, Début de pause, offset 0, Fin de pause, offset 0 et Sonnerie, offset 0,1.
Deux événements doivent être exécutés pour le démarrage de la sonnerie et l'arrêt. Le premier active la sonnerie. Le second déclenche l'événement défini par l'utilisateur Sonnerie.
L'horaire relatif (événement utilisateur) Sonnerie doit alors désactiver la sonnerie. Donc, commençons la création de ces événements. Contrairement à la configuration de la pompe des eaux usées, cette configuration utilise 4 heures différentes. Par exemple, pour Début de poste, offset 0, nous pouvons créer deux événements fonction consécutifs. Cependant, une solution plus simple est possible. Sélectionnez l'heure Début de poste, Offset 0. Dans le menu contextuel, activez la commande Créer événements .... Le système affiche la boite de dialogue de création d'événements. Sélectionnez la fonction Déclencher événement PFS [Sonnerie] et la variable Sonnerie. Cliquez ensuite sur Ajouter pour ajouter effectivement ces objets à la liste. Après avoir cliqué sur OK, les 2 événements correspondants avec les bons types et paramètres sont créés. Vous devez toutefois quand même mettre la valeur 1 dans la colonne Action pour positionner la variable Sonnerie à 1. Utilisez maintenant, la même méthode pour les événements relatif à "Fin de poste", "Début de pause", et "Fin de pause". Nous allons maintenant terminer la gestion de la sonnerie en utilisant l'événement utilisateur Sonnerie pour remettre la variable Sonnerie à 0.

info Info

une valeur décimale peut être saisie avec une virgule ou un point, mais la virgule sera automatiquement changée en point.


Etape 13 : Ligne de planning I

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 13 : Ligne de planning I

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsque nous avons précédemment considéré la structure du site de production, nous avons décidé que les systèmes de réglage des températures et de l'éclairage seraient définis dans des "sous-plannings".

Ainsi, nous allons créer le planning pour la Ligne I. Pour cela, sélectionnez le planning Hall dans l'arbre. Ouvrez le menu contextuel et sélectionnez Créer pour activer la boite de dialogue des propriétés des plannings. Définissez le nom Ligne 1 et ici, on n'a pas besoin d'ajouter des variables. Cette partie fournit l'opportunité de parler des modifications que l'on apporte ultérieurement sur des liens de variables ou de fonctions.

Sélectionnez Ligne I dans le nouveau planning, puis la liste de variables dans l'arbre. Nous lions la variable Lumiere I et Chauffage P I avec le planning via le menu contextuel et la commande Ajouter variable.

Si vous sélectionnez le planning Ligne I, tous les horaires définis sur les plannings de niveaux supérieurs sont montrés sur un fond gris dans la gille. Les horaires affichés sur fond gris identifient les horaires qui sont hérités des plannings de niveaux supérieurs. Si un item est modifié dans un planning "parent", alors les horaires dans les plannings "enfants" seront mis à jour automatiquement.

Nous allons maintenant définir les événements pour les systèmes de réglages des températures et de l'éclairage. Pour cela, procédez comme vous l'avez fait pour le planning Hall.


Etape 14 : Planning pour la Ligne II

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 14 : Planning pour la Ligne II

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Créer un nouveau planning, nommé Ligne II, qui comportera les mêmes événements.


Etape 15 : réflexions concernant l'attribution du calendrier

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 15 : réflexions concernant l'attribution du calendrier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les horaires définis dans les plannings ne sont pas liés à des dates ; ce lien va être défini par l'attribution des horaires dans les jours du calendrier. Ce processus d'attribution doit être effectué séparément pour les horaires absolus et les horaires relatifs. Les attributions peuvent être effectuées séparément pour chaque groupe de modèles horaires.

Autres sujets abordés dans ce chapitre

Temps absolu

Temps relatifs


Temps absolu

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 15 : réflexions concernant l'attribution du calendrier -> Temps absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsqu'on utilise des temps absolus, le lien du planning à des jours spécifiques du calendrier est très important. Dans ce cas, les types de liens suivants sont supportés :

Utiliser le planning ce jour.

Ne pas utiliser de planning ce jour.

Utiliser le planning ce jour férié.

Utiliser le planning les jours de la semaine.


Temps relatifs

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 15 : réflexions concernant l'attribution du calendrier -> Temps relatifs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'utilisation de temps relatifs, l'attribution d'un modèle à un jour est aussi important que les postes définis dans le modèle. Dans ce cas, les types de liens suivants sont supportés :

Utiliser le modèle ce jour.

Utiliser le modèle jour férié, si le jour concerné est un jour férié.

Utiliser le modèle les jours de la semaine.


Etape 16 : exécution de l'attribution du calendrier

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 16 : exécution de l'attribution du calendrier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez l'entrée Calendrier dans l'arbre. La grille affiche maintenant le mois courant. Each week comprises the Model – Hall I and Schedule – Hall I lines; select the Schedule – Hall I cell for Monday. Activez le menu contextuel et sélectionnez la commande 'Sélectionner plannings' pour ouvrir la boite de sélection de planning. Sélectionnez le planning Hall, et cliquez sur le bouton Ajouter pour ajouter cet item à la liste. L'identification complète Hall I. Hall, héritée du planning, est affichée. Fermez la boite de dialogue par le bouton OK ; la configuration des séries peut être faite dans la boite de dialogue affichée. Notre planning doit être exécuté sur une base hebdomadaire, sans date de fin définie du lundi au dimanche. Pour définir le planning les jours spéciaux, activez les Propriétés sur le planning, puis l'onglet Remplissage calendrier. Cette section vous permet de faire les attributions pour les jours de la semaine. Aucun remplissage de calendrier n'est nécessaire pour les plannings Ligne I et Ligne II, car ces plannings n'utilisent pas d'événement avec des horaires absolus.

Les horaires relatifs nécessitent l'attribution des modèles horaires, pour ceci procédez comme suit. Sélectionnez la cellule Modèle Hall I du lundi. Activez le menu contextuel et sélectionnez la commande Sélectionner modèle pour ouvrir la boite de sélection de modèle. Sélectionnez le modèle Jour de travail, puis ajoutez-le à la liste. Cliquez sur OK pour fermer la boite de dialogue, une boite de dialogue est ouverte pour que vous confirmiez si ce modèle doit être utilisé comme modèle par défaut. Cliquez sur Oui : ce modèle sera alors lié à tous les lundis. Si vous cliquez sur Non, le modèle n'est lié qu'à ce lundi particulier. Nous devons activer ce modèle pour tous les lundis. Vous pouvez répéter cette opération pour les jours de la semaine du mardi au vendredi. Cependant, un moyen plus simple consiste à accéder à la page Propriétés - Remplissage calendrier pour le groupe de modèles horaires Hall I, et de procéder ensuite aux attributions sur cette page. Sélectionnez le modèle Jour de travail pour les jours de la semaine de mardi à vendredi, et sélectionnez le modèle Jour férié pour les jours spéciaux. Si maintenant, vous visualisez à nouveau la vue Calendrier, vous verrez quels sont les modèles associés à chaque jour.


Etape 17 : Vérification du projet

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 17 : Vérification du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'éditeur vous permet de vérifier la configuration du planning et du remplissage du calendrier. Pour cela, on utilise le mode Aperçu des événements. Cet aperçu vous permet de visualiser n'importe quelle période de temps, même les périodes passées.


Etape 18 : Le module PFS dans le Runtime

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 18 : Le module PFS dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En runtime, les événements actifs sont calculés et exécutés à chaque seconde. Ce processus commence dès le lancement du runtime et reste actif jusqu'à ce qu'il soit arrêté.

Le PFS permet la gestion d'une configuration complète en runtime ; cette gestion ne différant que très peu par rapport à l'éditeur.

Les principales différences sont les suivantes :

  • Les autorisations sont actives pour la visualisation, la modification, les ajouts et suppressions.
  • Les fonctions du menu contextuel peuvent être activées dans le synoptique.
  • L'aperçu des événements affiche les événements définis par l'utilisateur selon leurs heures de déclenchement.
  • L'enregistrement des modifications sur une configuration active immédiatement les heures de déclenchement.

Pour nos tests dans l'environnement runtime, nous allons configurer les élements suivants :

  • Un synoptique de départ en utilisant le type de synoptique Standard.
  • Un synoptique de type Gestion de Plannings (PFS).
  • Dans ce synoptique, nous utiliserons le menu Eléments de contrôle / Défaut pour insérer les éléments graphiques par défaut.
  • Dans le synoptique de départ, nous allons créer un bouton qui active la fonction Appel de synoptique du synoptique PFS. On ne spécifie aucun filtre.
  • Sur le synoptique de départ, nous insérons plusieurs éléments graphiques pour afficher les valeurs des variables (valeurs numériques).


Etape 19 : Exécution dans le Runtime

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 19 : Exécution dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'exécution d'un événement absolu, l'heure et la date sont les données essentielles. Les heures relatives et absolues, qui ne sont pas liées à la date, sont définies - en utilisant le processus de remplissage de calendrier - par rapport à des temps absolus. Pour effectuer nos tests maintenant, nous devons modifier l'heure système - une alternative étant d'avoir du temps devant soi et pouvoir attendre la fin de la journée !

Le PFS s'aperçoit biensûr des modifications de l'heure système et donc ces modifications peuvent, selon la configuration courante, générer les diverses réactions. Pour vous prouver ceci, regardons la section Propriétés du PFS (activée par le menu contextuel sur le sommet de l'arbre dans la vue de détail). La page Changement d'heure définit la façon de réagir du PFS lorsque l'heure est modifiée.

Autres sujets abordés dans ce chapitre

Changement de temps positif

Changement de temps négatif


Changement de temps positif

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 19 : Exécution dans le Runtime -> Changement de temps positif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La commande Récupérer les événements lance l'exécution des événements compris dans la période de temps démarrant de l'exécution de la commande jusqu'à la nouvelle heure.

La commande Recalculer les événements redéfinit les événements en recalculant leurs heures d'exécution. Tous les événements compris dans la période de temps allant de l'exécution de la commande jusqu'à la nouvelle heure ne sont pas exécutés.


Changement de temps négatif

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 19 : Exécution dans le Runtime -> Changement de temps négatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La commande Rejeter les événements ne lance pas un nouveau calcul, ainsi les événements ne seront exécutés à nouveau que lorsque l'heure d'exécution sera atteinte (i.e. heure précédente).

La commande Recalculer les événements redéfinit les événements en recalculant leurs heures d'exécution. Avec cette commande les événements seront à nouveau exécutés.

Les définitions ci-dessus relatives au changement d'heure ne s'appliquent que si le runtime n'a pas été fermé. S'il y a un redémarrage du runtime, le calcul de tous les événements s'effectue toujours sur la base de l'heure système courante. De plus, toutes les corrections faites sur l'heure système doivent être plus grande que la tolérance spécifiée.

Si on garde en tête que le PFS réagit dans le cas d'un changement d'heure, nous recommandons de seulement "avancer" le temps (i.e. procéder à un changement d'heure positif) lors de la vérification d'une configuration que vous avez créée. Si vous avez besoin de réinitialiser le temps, alors fermez le runtime, modifiez l'heure et redémarrez le runtime.

Maintenant, redémarrez le runtime et modifiez l'heure. Pour tester de façon sûre ce qui se passe à 12:00 : à cet instant, la sonnerie doit être activée pendant 6 secondes. Testez cette fonction.

Comme nous n'avons qu'un seul déclencheur pour l'événement défini par l'utilisateur Sonnerie, seule l'heure d'exécution apparaît dans l'aperçu des événements. Heure d'exécution : 12:00:06.


Etape 20 : Summary

Manuels -> Production and Facility Scheduler (PFS) -> Développement avec le module PFS (Production & Facility Scheduler - Gestion de plannings) -> Etape 20 : Summary

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec ces 20 étapes, nous avons appris les bases du PFS. Vous devez maintenant être capable de créer vos propres projets PFS.

La séparation des événements sur 3 plannings n'est pas nécessaire ; nous avons procéder de cette façon pour illustrer le principe d'héritage pour les horaires. Si on avait utilisé un seul planning, la configuration aurait nécessité moins d'opérations.

Voici un récapitulatif des étapes nécessaires :

  1. Créez des événements définis par l'utilisateur.
  2. Création du groupe de modèles horaires
  3. Créer les modèles.
  4. Créer le planning.
  5. Créer les horaires avec les temps absolus.
  6. Créer les horaires avec les temps relatifs.
  7. Créer les événements.
  8. Associer le planning au calendrier pour les horaires absolus.
  9. Associer les modèles au calendrier pour les horaires relatifs.


Configuration avancée dans le module PFS (Production & Facility Scheduler)

Manuels -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS (Production & Facility Scheduler)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Drag-and-Drop

Filtrer la configuration PFS

Traitement groupé

Structurer les plannings

Configuration de la fonction Appel de synoptique pour un synoptique de type PFS

Autorisations dans l'environnement runtime

Utiliser le PFS dans un réseau

Convertir des projets

Interface VBA


Drag-and-Drop

Manuels -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS (Production & Facility Scheduler) -> Drag-and-Drop

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez déplacer les objets rapidement et facilement d'un élément vers un autre en effectuant un glisser-déposer. Cette façon de faire est équivallente à un couper / coller. Ceci ne peut être fait que entre objets de même nature. Le curseur de la souris indique si oui ou non vous pouvez déposer un objet là où le curseur se situe. Si vous essayez de déposer un objet à un endroit interdit, le déplacement est annulé. Ceci peut être utile si par exemple, vous avez accidentellement sélectionné et commencé à déplacer un objet vers une autre branche dans l'arbre.


Filtrer la configuration PFS

Manuels -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS (Production & Facility Scheduler) -> Filtrer la configuration PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

A force d'augmenter le nombre de groupes de modèles horaires, de modèles, de plannings et d'événements, cela peut devenir difficile de retrouver un objet en particulier ou d'afficher une vue en particulier. Une fonction de filtre a été spécialement conçue pour réduire ce problème. Dans la fenêtre de l'arborescence, sélectionnez l'élément Critères de filtre dans le menu contextuel du module Production & Facility Scheduler pour ouvrir la boîte de dialogue Filtre. Vous pouvez en apprendre davantage sur la boîte de dialogue Filtre dans la section Boîte de dialogue de filtres du module PFS ; pour l'heure, nous nous concentrerons sur l'utilisation de la fonction.

Le filtrage est uniquement effectué sur l'affichage des objets. Un objet qui ne correspond pas au filtre ne sera pas affiché. Toutefois, il existe toujours. Cette indication doit clarifier toute confusion potentielle – par exemple, lorsqu'un nouveau planning est créé et que son nom est ajouté à un planning filtré. Cette situation entraînera l'affichage d'un message d'erreur déclarant que le nom spécifié existe déjà.

Si les nouveaux objets créés ne correspondent pas au filtre, ils restent visibles jusqu'à la prochaine mise à jour de l'affichage (par exemple, la création d'une heure située hors du filtre). cette heure restera visible aussi longtemps que vous ne fermerez pas le planning actuel. Toutefois, lors de la prochaine mise à jour de l'écran, l'heure spécifiée disparaîtra (mais restera malgré tout disponible). Le filtre est d'abord réutilisé lorsque l'affichage est réactivé.

Les plannings et modèles liés dans le calendrier peuvent être filtrés de la même manière.


Traitement groupé

Manuels -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS (Production & Facility Scheduler) -> Traitement groupé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Maintenant, qui n'a jamais été confronté au problème suivant : Des heures absolues entre 06:00:00 et 20:00:00 doivent être décalées de 00:43:25. Vous avez alors à calculer et corriger toutes les heures et cela probablement une douzaine de fois. Le traitement groupé a été intégré au PFS de façon à pouvoir faire ce genre de modifications rapidement. Cette fonction permet aux utilisateurs de faire leurs modifications sur les cellules sélectionnées sur un niveau de planning spécifique selon le type de colonne requis. Le problème ci-dessus peut alors être résolu avec quelques clics souris et données saisies.

En utilisant cette fonction et les filtres simultanément, vous pouvez réduire efficacement le nombre d'éléments à modifier.

Les colonnes suivantes supportent le traitement groupé :

Paramètres | Description
Type d'horaire | Permet de passer du temps absolu au temps relatif et vice versa sur un groupe d'événements.
Heure | Pour le type d'horaire 'Temps absolu', cela permet de décaler les heures. Pour cela utiliser l'entrée "Modifier l'heure" du menu contextuel et utiliser les champs proposés dans la boite de dialogue.
Offset | Pour le type d'horaire 'Temps relatif', l'offset peut être décalé. Pour cela utiliser l'entrée "Ajuster offset" du menu contextuel et utiliser les champs proposés dans la boite de dialogue.
Actif | Cela vous permet de désactiver ou activer les événements sélectionnés.
Action | Selon le type de lien, l'activation ou la macro à exécuter peut être changée. Pour cela utiliser l'entrée "Modifier la valeur" du menu contextuel et utiliser les champs proposés dans la boite de dialogue.


Structurer les plannings

Manuels -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS (Production & Facility Scheduler) -> Structurer les plannings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les structures de plannings sont utilisées pour créer une structure visuelle pour les plannings dans l'arbre (sorte de groupes de plannings). Un planning devient une structure de planning si vous cochez Structure de planning dans la boite de dialogue Propriétés planning affichée lors de la création de planning.

Les structures de planning n'ont aucune variable ou fonction associée ; elles n'ont pas non plus ni horaire ni événement. Les structures de planning peuvent dupliquer des plannings au niveau en dessous, et ainsi créer une arborescence logique.


Configuration de la fonction Appel de synoptique pour un synoptique de type PFS

Manuels -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS (Production & Facility Scheduler) -> Configuration de la fonction Appel de synoptique pour un synoptique de type PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsque vous utilisez un synoptique de type PFS, la boite de dialogue de filtre de la fonction Appel de synoptique vous permet de définir quel type de données vous voulez afficher et de personnaliser la grille affichée en conséquence.

Paramètres | Description
Filtre de l'arbre | Sélectionnez l'objet que vous voulez activer lors de l'affichage du synoptique. L'objet doit correspondre aux critères de filtres, ou vous devez désactiver le filtre. Vous pouvez aussi vous référer au filtre de l'arbre pour la fonction Appel de synoptique.
Filtre de la grille | Cette fonction définit le format de la grille. Vous pouvez aussi vous référer au filtre de la vue Table pour la fonction Appel de synoptique.


Autorisations dans l'environnement runtime

Manuels -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS (Production & Facility Scheduler) -> Autorisations dans l'environnement runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les autorisations peuvent être spécifiées pour chaque objet de l'arbre selon sa fonctionnalité. En runtime, l'utilisateur couramment loggué peut seulement exécuter les fonctions pour lesquelles il a les autorisations. Les autorisations sont liées aux types d'objets.

Si un utilisateur n'a pas les droits de visualiser un objet, cet objet et tous ses sous-objets seront cachés. Même si l'utilisateur a les droits pour un des sous-objets.

Si vous avez le droit de modifier un objet alors vous avez le droit de modifier ses groupes d'autorisations.


Utiliser le PFS dans un réseau

Manuels -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS (Production & Facility Scheduler) -> Utiliser le PFS dans un réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le PFS peut être installé en réseau, mais dans ce cas, l'exécution des événements ne se fait que sur le serveur. S'il y a un serveur redondant, il calculera les événements, mais ne les exécutera pas. La synchronisation du processus est effectuée selon l'heure système.

La façon dont le PFS réagit lors du basculement entre le redondant et le serveur principal peut être configurée. Le problème dans de telles situations est que le redondant ne peut pas dire quand le dernier basculement a été fait. C'est pour cela que l'on a la section Commutation redondance dans les propriétés du PFS (menu contextuel sur le sommet de l'arbre dans la vue de détail du PFS, page Changement d'heure).

Rejeter les événements | Lorsque les événements sont annulés, le procédé continue à partir de la position courante dans le serveur redondant. Ceci peut impliquer qu'un certain nombre d'événements n'a pas été exécuté.
Recalculer les événements | Les événements sont recalculés sur la base de l'heure courante - 30 secondes et leur exécution s'éffectue immédiatement. Ceci peut impliquer qu'un certain nombre d'événements sera exécuté deux fois.

Lorsque le serveur principal redevient disponible sur le réseau et que le redondant redonne la main au serveur principal, le serveur est synchronisé en utilisant les données courantes du PFS. Ceci assure que l'exécution des événements continue sans interruption.

Serveur | Exécute les événements. Enregistre la configuration courante du PFS. Rejette les modifications faites par les clients (sans confirmation) si les modifications de la configuration n'ont pas été enregistrées.
Client | N'assure aucune exécution d'événement. Les données du projet peuvent être éditées. Reçoit une notification si les données du projet ont été modifiées de façon externe. Le déclenchement des événements utilisateur est toujours défini selon l'heure système du client.
Redondant | Le redondant est comme un client. La réaction dans l'éventualité d'un basculement peut être configurée. Enregistre la configuration courante du PFS.


Convertir des projets

Manuels -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS (Production & Facility Scheduler) -> Convertir des projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsqu'un projet a été créé avec une version antérieure à la version 5.50, les profils contenus dans les structures de planning sont convertis. Les profils ne sont plus supportés dans la version 5.50 et les versions suivantes. Pour chaque profil, une structure de planning, qui contient les plannings liés, est créée. Les plannings liés contiennent toutes les heures se situant à l'intérieur de la plage d'activation / désactivation du profil.

L'information sur le jour, contenue dans le profil, est insérée dans le calendrier.

Le processus de configuration peut être visualisé dans la fenêtre de suivi de l'éditeur.


Interface VBA

Manuels -> Production and Facility Scheduler (PFS) -> Configuration avancée dans le module PFS (Production & Facility Scheduler) -> Interface VBA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le PFS contient une interface VBA, qui est intégrée à l'objet VBA Project. En plus, les événements peuvent être liés à une macro VBA de type ExecuteValue. Dans ce cas, l'évément est passé en paramètre à la macro VBA.

La macro VBA doit alors gérer les tâches à exécuter.


Types d'objets

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les objets contiennent la configuration que vous avez définie pour eux. Deux types d'objets peuvent être identifiés :

les types d'objets éditables et les types d'objets fixes

Autres sujets abordés dans ce chapitre

Types d'objets fixes

Edition des types d'objets

Objet Production & Facility Scheduler

Objet Groupes de modèles horaires

Objet Groupes de modèles horaires éditables

Objet Planning

L'objet planning éditable

Objet Liste de fonctions

Objet heure

Objet Événement

Objet Modèle horaire

Objet Poste

Objet Pause

Objet Evénement

Evénement objet utilisateur

Objet Calendrier

Objet Liste de variables

Objet Fonction


Types d'objets fixes

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Types d'objets fixes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si l'objet précédent (c'est-à-dire l'objet parent) a été créé et si les utilisateurs ont les droits de visualisation, ces types d'objets sont toujours disponibles. Ils ne peuvent pas être déplacés, renommés ou supprimés. Si ces objets sont cachés, tous les objets fils sont aussi cachés.
Par exemple : Les groupes de modèles horaires contiennent les types d'objets fixes suivants : Plannings et Modèles horaires.


Edition des types d'objets

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Edition des types d'objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ces types d'objets sont créés selon le nombre d'objets requis lors du processus de confuguration.


Objet Production & Facility Scheduler

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Production & Facility Scheduler

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ceci constitue le type d'objet racine pour tout le PFS. Tous les paramètres définis dans cet objet s'appliquent à tout le PFS. C'est un objet de type fixe.

Paramètres | Description
Enregistrer | Enregistre les modifications effectuées. En runtime, tous les paramètres sont sauvegardés dans les données runtime, et un nouveau calcul des événements est effectué sur la base de la nouvelle configuration.
Annuler | Après avoir confirmer ce choix, toutes les modifications effectuées seront annulées. Aucun retour en arrière ne sera possible !
Propriétés | Affiche la boite de dialogue des propriétés du PFS.
Aperçu événements | Ouvre la boite de dialogue permettant d'afficher un aperçu des événements selon divers critères de filtre.
Critères de filtre | Ouvre la boite de définition des filtres.
Aide | Ouvre l'aide en ligne.


Objet Groupes de modèles horaires

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Groupes de modèles horaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cet objet contient tous les groupes de modèles horaires définis dans le module PFS. C'est un objet de type fixe.

Paramètres | Description
Nouvelle fonction … | Crée un nouveau groupe de modèles horaires et affiche la page de Propriétés du nouveau groupe de modèles horaires.
Coller | Si un groupe de modèles horaires est actuellement conservé dans le presse-papiers, il peut être collé sous forme de copie. Lorsque des copies sont créées, un numéro est ajouté à leur nom de façon à avoir un nom unique.
Autorisation | Ouvre la boite de dialogue pour la définition des droits d'accès.
Aide | Ouvre l'aide en ligne.


Objet Groupes de modèles horaires éditables

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Groupes de modèles horaires éditables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les groupes de modèles horaires contiennent leurs plannings et leurs modèles horaires. De plus, ils permettent la définition des paramètres liés aux horaires relatifs.

Dans le calendrier, les utilisateurs peuvent associer des plannings et des modèles horaires pour chaque jour et chaque groupe de modèles horaires montré.

Chaque groupe de modèle horaires contient toujours les d'objets de type fixe : Plannings et Modèles horaires.

Paramètres | Description
Copier | Copie les groupes de modèles horaires sélectionnés vers le presse-papiers.
Renommer | Dans l'arborescence, l'identification du groupe de modèles horaires passe en mode édition. Seule l'identification peut être changée. La nouvelle désignation doit être unique dans tout le PFS.
Supprimer | Supprime tous les groupes de modèles horaires sélectionnés après qu'une boîte de dialogue de sécurité vous ait demandé de confirmer votre choix.
Propriétés | Affiche la page contenant le groupe de modèles horaires.
Autorisation | Ouvre la boite de dialogue de définition des droits d'accès.
Aide | Ouvre l'aide en ligne.


Objet Planning

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Planning

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cet objet contient tous les plannings de premier rang. C'est un objet de type fixe.

Le menu contextuel

Élément de menu | Action
Nouvelle fonction … | Crée un nouveau planning.
Coller | Colle un planning depuis le presse-papiers.
Autorisation | Ouvre la boîte de dialogue d'autorisations.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Menu contextuel Nouveau planning

Menu contextuel Affichage de l'heure – Nouveau planning


Menu contextuel Nouveau planning

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Planning -> Menu contextuel Nouveau planning

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Élément de menu | Action
Nouvelle fonction … | Crée un nouveau planning.
Copier | Copie les plannings sélectionnés.
Couper | Coupe les plannings sélectionnés.
Coller | Colle les plannings depuis le presse-papiers.
Inactif / Actif | Bascule entre les modes Actif et Inactif pour les plannings sélectionnés.
Renommer | Permet de renommer les plannings.
Supprimer | Supprime les plannings sélectionnés après une demande de confirmation.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Autorisation | Ouvre la boîte de dialogue d'autorisations.
Aide | Ouvre l'aide en ligne.


Menu contextuel Affichage de l'heure – Nouveau planning

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Planning -> Menu contextuel Affichage de l'heure – Nouveau planning

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les éléments de menu affichés varient selon l'endroit auquel a été effectué le clic droit. Les entrées qui ne sont pas affichées en permanence reçoivent l'extension "(facultatif)".

Élément de menu | Action
Créer grille horaire | Ouvre la boîte de dialogue de création d'une grille d'horaires.
Créer horaire | Insère une nouvelle heure dans la liste.
Créer un événement | Crée un nouveau niveau de commutation.
Créer des événements | Ouvre la boîte de dialogue permettant de créer plusieurs points de commutation.
Supprimer heure | Supprime l'heure sélectionnée.
Supprimer événement | Supprime les points de commutation sélectionnés.
Modifier heure (facultatif) | Ouvre la boîte de dialogue permettant de modifier l'heure.
Temps absolu (facultatif) | Active l'option Temps relatif
Temps relatif (facultatif) | Active l'option Temps absolu
Toutes les valeurs actives (facultatif) | Définit la valeur active.
Toutes les valeurs inactives (facultatif) | Définit la valeur inactive.
Aide | Ouvre l'aide en ligne.


L'objet planning éditable

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> L'objet planning éditable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les plannings sont le coeur du PFS. Ils contiennent les horaires et les événements nécessaires à l'exécution des actions.

On peut créer des "sous-plannings" ; dans ce cas, les plannings "enfants" héritent des horaires définis dans le planning "parent". Il n'y a aucune limitation concernant la profondeur de la hiérarchie.

Paramètres | Description
Nouvelle fonction … | Crée un nouveau planning "enfant", et affiche la page de propriétés correspondante.
Copier | Les plannings sélectionnés sont copiés dans le presse-papier.
Couper | Les plannings sélectionnés sont coupés et placés dans le presse-papier. Les plannings 'coupés' sont indiqués par un icone particulier et seront à nouveau affiché normalement après leur insertion (i.e. coller) dans un autre planning ou équipement. Un planning que vous avez 'coupé' ne peut être 'collé' sur lui-même ou dans le planning d'un niveau hiérarchique directement supérieur.
Coller | Insére (i.e. colle) les plannings contenus dans le presse-papier. La désignation du planning inséré est alors modifiée de façon à préserver l'unicité du nom.
Inactif / Actif | Active ou désactive le planning. Les événements contenus dans les plannings qui ont été désactivés ne seront pas exécutés !
Renommer | Permet de changer le nom du planning. La nouvelle désignation doit être unique sur le même niveau de plannings.
Supprimer | Supprime les plannings sélectionnés ainsi que les plannings "enfants".
Propriétés | Affiche la boite de dialogue des propriétés du planning.
Autorisation | Ouvre la boite de dialogue de définition des droits d'accès.
Aide | Ouvre l'aide en ligne.


Objet Liste de fonctions

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Liste de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cet objet contient la liste des fonctions utilisables dans le planning. Seules les fonctions présentes dans cette liste peuvent être utilisées dans le planning. C'est un objet de type fixe.

Menu contextuel Liste de fonctions

Élément de menu | Action
Ajouter fonction | Permet d'ajouter une fonction dans liste. Lorsque la boite de sélection de fonction est ouverte, sélectionnez la fonction voulue et validez par OK.
Insérer fonction | Insére (i.e. colle) les fonctions contenues dans le presse-papier dans la liste.
Autorisation | Ouvre la boîte de dialogue d'autorisations.
Aide | Ouvre l'aide en ligne.

Menu contextuel Fonction

Élément de menu | Action
Copier | Copie les fonctions sélectionnées.
Couper | Coupe les fonctions sélectionnées.
Remplacer fonction | Ouvre la boîte de dialogue permettant de remplacer les fonctions sélectionnées.
Supprimer fonction | Supprime les fonctions sélectionnés de la liste.
Autorisation | Ouvre la boite de dialogue de définition des droits d'accès.
Aide | Ouvre l'aide en ligne.


Objet heure

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une heure définit le moment où l'événement doit être exécuté.

Deux types d'heures sont disponibles :

  • Chemin absolu
  • relatif

Les heures définies précédemment sont 'répliquées' dans les plannings fils, dans lesquels elles sont affichées sur fond gris.

Autres sujets abordés dans ce chapitre

Type 'Temps absolu'

Type Temps relatif

Offset

Menu contextuel sur l'heure


Type 'Temps absolu'

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet heure -> Type 'Temps absolu'

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les heures sont définies directement dans le champ Heure. Si le planning est lié à un jour spécifique, tous les événements actifs liés à cet horaire sont exécutés. Le champ offset n'est pas utilisé dans ce cas.

Les champs Groupe de modèles horaires et Model Allocation (Allocation de modèle) ne sont pas utilisés ici non plus.


Type Temps relatif

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet heure -> Type Temps relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour ce type d'heure, un événement est sélectionné. Cet événement est transformé en événement absolu dans l'aperçu ou dans le Runtime. Les critères selon lesquels l'événement absolu est créé dépendent de l'événement et de la configuration associée. Un offset peut être défini pour chacun des événements créés (les actions) pour retarder ou avancer l'heure de leur exécution.

Paramètres

Description

Démarrage du cycle

Exécuté tous les jours à minuit.

Démarrage du cycle sans production

Exécuté les jours qui ne sont liés à aucun poste (aucune équipe). L'heure d'exécution est le "début de journée" du groupe de modèles horaires correspondant.

Un jour est aussi considéré comme un jour sans production, lorsque, par exemple, le dernier poste (la dernière équipe) termine à seulement 02:00:00 le même jour.

Démarrage du cycle avec production

Exécuté les jours où au moins un poste a été défini. L'heure d'exécution est le "début de journée" du groupe de modèles horaires correspondant.

Début de production

Exécuté à l'heure de démarrage de la première équipe (du premier poste), définie par le fait que la première équipe est celle qui travaille en premier après un jour sans production.

Fin de production

Exécuté à l'heure d'arrêt de la dernière équipe (du dernier poste), définie par le fait que la dernière équipe est celle qui travaille en dernier avant un jour sans production. Ainsi, si une phase de production est planifiée pour le jour suivant, l'équipe de fin de journée n'est pas considérée comme fin de production.

Début de poste

Exécuté à chaque début de poste.

Fin de poste

Exécuté à chaque fin de poste.

Début de pause

Exécuté à chaque début de pause.

Fin de pause

Exécuté à chaque fin de pause.

Evénement défini par l'utilisateur

Les noms des précédents événements définis par l'utilisateur apparaissent dans la liste des choix possibles. Si vous choisissez un événement défini par l'utilisateur, alors les événements (actions) liés à cet horaire seront exécutés lorsque l'événement sera déclenché (par la fonction Déclencher événement PFS).

Début premier poste

Exécuté au début du premier poste dans le cycle du groupe de modèles horaires.

Fin dernier poste

Exécuté à la fin du dernier poste dans le cycle du groupe de modèles horaires.

Début poste libre

Exécuté à la fin du poste, si entre ce poste et le poste suivant il y a plus d'une seconde.

Fin poste libre

Exécuté au départ d'un poste qui suit un poste libre. (= fin de période sans poste défini).

Début poste libre sans fin de production

Exécuté au départ d'une période sans poste défini, prenant en compte le fait qu'il n'y a pas une 'Fin de production' juste après.

Fin poste libre sans début de production

Exécuté à la fin d'une période sans poste défini, prenant en compte le fait qu'il n'y a pas un 'Début de production' juste après.

Début premier poste sans démarrage production

Exécuté au départ du premier poste (démarrage première équipe), prenant en compte le fait qu'il n'y a pas de 'Début de production' juste à ce moment.

Fin dernier poste sans fin production

Exécuté à la fin du poste (arrêt équipe), prenant en compte le fait qu'il n'y a pas de 'Fin de production' juste à ce moment.

Début du poste sans démarrage production

Exécuté au départ du poste (démarrage équipe), prenant en compte le fait qu'il n'y a pas de 'Début de production' juste à ce moment.

Fin du poste sans fin production

Exécuté à la fin du poste (arrêt équipe), prenant en compte le fait qu'il n'y a pas de 'Fin de production' juste à ce moment.


Offset

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet heure -> Offset

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous travaillez sur des horaires relatifs, l'heure d'exécution peut être décalée du temps spécifié ici par rapport à l'événement de référence. Par exemple, 30 minutes avant le démarrage d'une équipe de travail (début de poste) ... Un offset ne peut pas être plus grand qu'un jour moins 1 seconde (en positif ou négatif). Si l'horaire se réfère à un événement utilisateur, vous ne pouvez spécifier qu'un offset positif. L'offset est spécifié en minutes et secondes ; les secondes étant définies après le point décimal avec une précision de 1/100 ième de minute.

Paramètres | Description
Créer grille horaire | Cette commande ouvre une boite de dialogue permettant de définir des horaires cycliques.
Créer horaire | Crée un nouvel horaire.
Créer un événement | Crée un nouvel événement à l'horaire sélectionné.
Créer des événements | Permet la création de plusieurs événements utilisant des variables et des fonctions en une seule opération.
Supprimer heure | Supprime l'horaire couramment sélectionné avec tous les événements éventuellement définis pour celui-ci.
Supprimer événement | Supprime les événements sélectionnés.
Filtre temps absolu | Modifie l'horaire sélectionné avec un type Temps absolu.
Temps relatif | Modifie l'horaire sélectionné avec un type Temps relatif.
Aide | Ouvre l'aide en ligne.


Menu contextuel sur l'heure

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet heure -> Menu contextuel sur l'heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les items de menu non décrits ici sont identiques à ceux décrits dans la partie sur l'offset.

  • Modifier heure : Ouvre la boite de dialogue qui permet de modifier l'heure.


Objet Événement

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Événement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'événement définit l'action à exécuter lorsque l'heure d'exécution est atteinte.

Autres sujets abordés dans ce chapitre

Actif

Type de lien

Liens

Action

Autorisation


Actif

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Événement -> Actif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce paramètre permet à l'utilisateur d'autoriser ou de bloquer l'exécution d'un événement.


Type de lien

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Événement -> Type de lien

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le type de lien définit quel élément doit être exécuté. Les types suivants peuvent être spécifiés :

Paramètres | Description
Variable | La valeur à envoyer dans la variable est définie dans la colonne 'action'.
Fonction | La fonction sera exécutée si l'événement est actif.
Macro VBA avec variable | La macro préalablement définie dans la section Macro -> Navigateur -> ModuleScheduler -> Executevalue relative à la variable spécifiée est exécutée.
Macro VBA avec fonction | La macro préalablement définie dans la section Macro -> Navigateur -> ModuleScheduler -> Executevalue relative à la fonction spécifiée est exécutée.


Liens

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Événement -> Liens

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Contient la liste des variables ou des fonctions liées au planning.


Action

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Événement -> Action

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Selon le type de lien, la cellule a la signification suivante :

Paramètres | Description
Variable | Valeur qui doit être envoyée dans la variable sélectionnée.
Fonction | Contient l'état Actif ou Inactif selon si l'événement est actif ou pas (i.e. si la fonction est exécutée ou non).
Macro VBA avec variable | Nom de la macro qui doit être exécutée.
Macro VBA avec fonction | Nom de la macro qui doit être exécutée.


Autorisation

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Événement -> Autorisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Niveau d'autorisation requis pour l'édition dans le Runtime.


Objet Modèle horaire

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Modèle horaire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cet objet contient tous les modèles horaires définis pour le groupe de modèles horaires actuel. C'est un objet de type fixe.

Un modèle horaire contient la définition des horaires des postes de travail (équipes) et des pauses, ces heures étant utilisées ensuite comme événement pour déclencher des actions dans les plannings.

Menu contextuel Modèle horaire

Élément de menu | Action
Nouveau modèle horaire | Crée un nouveau modèle horaire.
Coller | Colle les modèles horaires depuis le presse-papiers.
Autorisation | Ouvre la boîte de dialogue d'autorisations.
Aide | Ouvre l'aide en ligne.

Menu contextuel Modèle horaire

Élément de menu | Action
Copier | Copie les modèles sélectionnés.
Couper | Coupe les modèles sélectionnés.
Renommer | Permet de renommer le modèle horaire.
Supprimer | Supprime les modèles sélectionnés.
Autorisation | Ouvre la boite de dialogue de définition des droits d'accès.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Menu contextuel Groupe de modèles horaires


Menu contextuel Groupe de modèles horaires

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Modèle horaire -> Menu contextuel Groupe de modèles horaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel Groupe de modèles horaires

Élément de menu | Action
Nouvelle fonction … | Crée un nouveau modèle horaire. Lors de la création d'un nouveau modèle horaire, vous devez spécifier un nom unique.
Coller | Insère (c'est-à-dire colle) les modèles horaires contenus dans le presse-papiers dans la liste.
Autorisation | Ouvre la boîte de dialogue d'autorisations.
Aide | Ouvre l'aide en ligne.

Menu contextuel Modèle horaire

Élément de menu | Action
Enregistrer | Enregistre les modifications dans la configuration du synoptique PFS.
Annuler | Annule toutes les modifications effectuées depuis le dernier enregistrement du synoptique PFS.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Aperçu événements | Ouvre la boîte de dialogue d'aperçu des points de commutation.
Critères de filtre … | Ouvre la boîte de dialogue de sélection de filtres.
Aide | Ouvre l'aide en ligne.


Objet Poste

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Poste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un modèle horaire contient les différents postes définis. Les postes sont nécessaires si vous avez des événements relatifs à définir. (par exemple, pour exécuter des actions avant que les équipes démarrent leur travail ...). Les plages horaires des postes ne doivent pas se chevaucher et doivent être incluses dans la plage horaire définie pour le groupe de modèles horaires.

Les postes sont affichés sur un arrière-plan gris dans la grille.

Paramètres | Description
Créer un poste | Crée un nouveau poste.
Créer une pause | Crée une nouvelle pause pour le poste couramment sélectionné.
Supprimer un poste | Supprime le poste couramment sélectionné avec toutes les pauses éventuellement définies pour ce poste.
Aide | Ouvre l'aide en ligne.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.


Objet Pause

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Pause

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Plusieurs pauses peuvent être définies pour un même poste. Les pauses ne doivent pas se chevaucher, et doivent être définies à l'intérieur des horaires de début et fin du poste.

Paramètres | Description
Créer une pause | Crée une nouvelle pause pour le poste couramment sélectionné.
Supprimer une pause | Supprime la pause couramment sélectionnée.
Aide | Ouvre l'aide en ligne.


Objet Evénement

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Evénement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cet objet contient les différents événements utilisateur pour le PFS. C'est un objet de type fixe.

Paramètres | Description
Nouvelle fonction … | Crée un nouvel événement défini par l'utilisateur. Lors de la création d'un nouvel événement utilisateur, vous devez spécifier un nom unique.
Coller | Insère (c'est-à-dire colle) les événements définis par l'utilisateur contenus dans le presse-papiers.
Autorisations | Ouvre la boite de dialogue de définition des droits d'accès.
Aide | Ouvre l'aide en ligne.


Evénement objet utilisateur

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Evénement objet utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les événements utilisateur sont des événements créés par l'utilisateur. Ceux-ci sont défnis pour l'ensemble du PFS. Les événements utilisateurs sont déclenchés par la fonction Déclencher événement PFS (dans la section Application dans la boite de dialogue de création des fonctions). Sur un calendrier, on définit ensuite, un horaire relatif à cet événement pour déclencher les actions nécessaires. Le nombre d'événement utilisateur est limité seulement par la place disque ou la mémoire disponible.

Parce que l'éditeur ne peut pas savoir quand l'événement se déclenche, il n'affichera pas ces événements dans l'aperçu. Dans le Runtime, les déclenchements sont stockés en mémoire pendant 14 jours au plus, pour permettre l'analyse des événements liés. Si le runtime est arrêté, le stockage de ces déclenchements est supprimé.

La vue en grille montre la liste des événements utilisateurs définis (affichés avec un arrière plan gris) ainsi que les plannings auxquels ils sont liés.

Menu contextuel Evénement

Élément de menu | Action
Nouvelle fonction … | Crée un nouvel évément utilisateur.
Coller | Colle un événement utilisateur depuis le presse-papiers.
Autorisation | Ouvre la boite de dialogue de définition des droits d'accès.
Aide | Ouvre l'aide en ligne.

Menu contextuel Evénement utilisateur

Élément de menu | Action
Copier | Copie l'événement utilisateur sélectionné vers le presse-papiers.
Renommer | Permet de spécifier un nouveau nom pour l'événement utilisateur.
Supprimer | Supprime l'événement utilisateur sélectionné.
Autorisation | Ouvre la boite de dialogue de définition des droits d'accès.
Aide | Ouvre l'aide en ligne.


Objet Calendrier

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Calendrier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les heures absolues et relatives des événements définis dans les plannings ne sont pas liés aux jours ; seules les heures sont définies. Le calendrier permet de définir quels sont les jours où les plannings doivent être exécutés. Pour cela, vous pouvez attribuer un modèle actif et un planning actif à chaque jour pour chaque groupe de modèles horaires.

Le calendrier peut être visualisé de différentes façons, selon le niveau de détail que vous voulez avoir.

Menu contextuel Calendrier

Élément de menu | Action
Nouvelle fonction … | Crée un nouveau calendrier.
Coller | Colle un calendrier depuis le presse-papiers.
Autorisations | Ouvre la boite de dialogue de définition des droits d'accès.
Aide | Ouvre l'aide en ligne.

info Info

Dans le calendrier, vous pouvez définir certains jours comme des jours spéciaux. Pour ces jours, les plannings définis pour les jours spéciaux sont pris en compte. Chaque jour (de lundi à dimanche) peut être défini comme un jour spécial.

Autres sujets abordés dans ce chapitre

Temps absolu

Temps relatif

Affichage mois

Affichage semaine

Affichage jour

Types d'attributions de modèles

Types d'attributions de planning

Attribution des modèles dans la vue Calendrier

Menu contextuel des modèles horaires

Menu contextuel pour les plannings


Temps absolu

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Calendrier -> Temps absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour exécuter des événements un jour particulier, le planning adéquat doit être lié au jour correspondant. Pour cela, sélectionnez la cellule du Planning sur le jour souhaité. Ouvrez le menu contextuel pour ouvrir la boite de sélection de plannings et créez le lien. L'identification du planning lié est insérée dans la cellule. Dans "l'affichage jour", le détail complet de ces plannings peut être affiché.


Temps relatif

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Calendrier -> Temps relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'exécution d'heures relatives et d'heures absolues, la façon dont le modèle horaire est lié (ou pas) à un jour donné est très importante. Le jour du calendrier démarre toujours à l'heure de début de journée définie pour le groupe de modèles horaires. Dans le cas où le cycle de fonctionnement d'un groupe de modèles horaires doit dépasser le jour, toutes les heures définies avant l'heure de début de journée sont considérées comme appartenant au jour précédent.

Par exemple : Début de journée 02:00:00 - Fin de journée 01:59:59. Pour un événement défini par l'utilisateur déclenché le lundi 15.10.2001 à 00:30:00, le modèle défini pour le dimanche 14 est utilisé. Si par contre le déclenchement a lieu à 02:00:00, alors le modèle défini pour le lundi est utilisé.

par exemple : Début de journée 06:00:00 - Fin de journée 21:59:59. Début de journée 02:00:00 - Fin de journée 01:59:59. Pour un événement défini par l'utilisateur déclenché le lundi 15.10.2001 à 00:30:00, le modèle défini pour le dimanche 14 est utilisé.


Affichage mois

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Calendrier -> Affichage mois

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'affichage mois affiche le mois complet dans la vue du calendrier. Si la partie affichée n'est pas assez grande pour afficher le mois complet, le système essaie de visualiser le jour courant dans la partie visible. La grande zone d'affichage est conçue pour permettre un aperçu rapide.

Double-cliquez sur une cellule du calendrier contenant une référence à au moins un planning ouvre ce dernier dans une table qui vous permet de le (les) modifier.

Menu contextuel Affichage mois :

Élément de menu | Action
Sélectionner le modèle | Ouvre la boîte de dialogue permettant de sélectionner un modèle.
Sélectionner plannings | Ouvre la boîte de dialogue de sélection de plannings.
Affichage jour | Bascule vers la vue quotidienne.
Affichage semaine | Bascule vers la vue hebdomadaire.
Affichage mois | Bascule vers la vue mensuelle.
Aller à aujourd'hui | Passe à la date actuelle.
Aller à une date donnée ... | Ouvre la boîte de dialogue de sélection de date.
Visualiser élément précédent | Affiche l'élément précédent.
Visualiser élément suivant | Affiche l'élément suivant.
Aide | Ouvre l'aide en ligne.


Affichage semaine

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Calendrier -> Affichage semaine

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La vue hebdomadaire affiche les attributions sur la base d'une semaine.

Menu contextuel Affichage semaine :

Élément de menu | Action
Sélectionner le modèle | Ouvre la boîte de dialogue permettant de sélectionner un modèle.
Sélectionner plannings | Ouvre la boîte de dialogue de sélection de plannings.
Affichage jour | Bascule vers la vue quotidienne.
Affichage semaine | Bascule vers la vue hebdomadaire.
Affichage mois | Bascule vers la vue mensuelle.
Aller à aujourd'hui | Passe à la date actuelle.
Aller à une date donnée ... | Ouvre la boîte de dialogue de sélection de date.
Visualiser élément précédent | Affiche l'élément précédent.
Visualiser élément suivant | Affiche l'élément suivant.
Aide | Ouvre l'aide en ligne.


Affichage jour

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Calendrier -> Affichage jour

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'affichage "Jour" montre les informations détaillées sur les plannings liés au jour.

Menu contextuel Vue quotidienne

Élément de menu | Action
Sélectionner plannings | Ouvre la boîte de dialogue de sélection de plannings.
Visualiser planning | Ouvre le planning sélectionné dans une nouvelle fenêtre.
Affichage jour | Bascule vers la vue quotidienne.
Affichage semaine | Bascule vers la vue hebdomadaire.
Affichage mois | Bascule vers la vue mensuelle.
Aller à aujourd'hui | Passe à la date actuelle.
Aller à une date donnée ... | Ouvre la boîte de dialogue de sélection de date.
Visualiser élément précédent | Affiche l'élément précédent.
Visualiser élément suivant | Affiche l'élément suivant.
Par défaut | Le planning doit être exécuté systématiquement le jour de la semaine couramment sélectionné.
Comme jour unique | Le planning est exécuté seulement ce jour.
Supprimer | Si un planning est défini 'par défaut', une exception est faite pour ce jour. Dans le cas d'une exécution seulement ce jour, l'exécution de ce jour sera supprimée.
Aide | Ouvre l'aide en ligne.


Types d'attributions de modèles

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Calendrier -> Types d'attributions de modèles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Quand vous utilisez des modèles, les types d'attributions suivants peuvent être définis :

Utiliser le modèle ce jour.

Utiliser le modèle jour férié, si le jour concerné est un jour férié.

Utiliser le modèle les jours de la semaine.


Types d'attributions de planning

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Calendrier -> Types d'attributions de planning

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les plannings peuvent être attribués à des jours comme suit :

Utiliser le planning ce jour.

Ne pas utiliser de planning ce jour.

Utiliser le planning un jour férié, si le jour concerné est un jour férié.

Utiliser le planning les jours de la semaine.


Attribution des modèles dans la vue Calendrier

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Calendrier -> Attribution des modèles dans la vue Calendrier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les modèles peuvent aussi être attribués directement dans la vue Calendrier. Après avoir sélectionné les cellules pour définir le modèle que vous voulez utiliser pour un groupe de modèles horaires et un jour donnés, les différents modèles disponibles pour ce groupe de modèles horaires sont listés. Sélectionnez le modèle à attribuer ce jour. Lorsque vous 'sortez' de cette cellule, le PFS vous demande si vous voulez ou non utiliser ce modèle comme modèle par défaut pour ce jour.


Menu contextuel des modèles horaires

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Calendrier -> Menu contextuel des modèles horaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce menu contextuel apparaît si vous cliquez-droit dans une cellule du calendrier correspondant à un modèle et un équipement et si le calendrier est en Affichage Semaine ou Mois.

Paramètres | Description
Sélectionner le modèle | Ouvre la boite de dialogue permettant de sélectionner le modèle horaire.
Visualiser le modèle | Montre la table d'édition de modèle.
Affichage jour | Affiche la liste des équipements et plannings associés le jour pour lequel l'affichage jour a été activé.
Affichage semaine | Affiche la liste des équipements et plannings associés pour la semaine sur laquelle l'affichage semaine a été activé.
Aller à aujourd'hui | Sélectionne le jour correspondant à aujourd'hui.
Aller à une date donnée ... | Sélectionne le jour correspondant à la date définie.
Visualiser élément précédent | Affiche l'élément précédent (suivant l'affichage : jour précédent, semaine précédente, mois précédent).
Visualiser élément suivant | Affiche l'élément suivant (suivant l'affichage : jour suivant, semaine suivante, mois suivant).
Par défaut | Définit le modèle couramment sélectionné comme modèle pour le jour de la semaine correspondant pour le groupe de modèles horaires actuel.
Supprimer | Supprime l'attribution du modèle pour le jour sélectionné. Si l'attribution concerne le modèle standard sélectionné pour le jour de la semaine, l'attribution est supprimée pour le modèle de groupes horaires correspondant.
Aide | Ouvre l'aide en ligne.


Menu contextuel pour les plannings

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Calendrier -> Menu contextuel pour les plannings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour activer ce menu contextuel, sélectionnez une cellule du calendrier pour un jour particulier et cliquez avec le bouton droit sur un groupe de modèles horaires. Les items de menu non décrits ici sont identiques à ceux décrits dans la partie concernant le menu contextuel pour les modèles horaires.

Paramètres

Description

Sélectionner plannings

Ouvre la boite de dialogue permettant de sélectionner les plannings.

Visualiser planning

Montre la table d'édition de planning.

Par défaut

Le planning est défini par défaut pour le jour sélectionné.

Comme jour unique

Le planning est exécuté seulement ce jour.

Supprimer

Ouvre une boîte de dialogue permettant de sélectionner les éléments à supprimer :

  • Supprimer tous les éléments : tous les plannings de ce type sont supprimés.
  • Supprimer seulement cet élément : pour cet élément, une exception est créée pour le jour sélectionné.


Objet Liste de variables

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Liste de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cet objet contient la liste des variables utilisables dans le planning. Seules les variables liées à un planning peuvent être utilisées dans les événements de ce planning. C'est un objet de type fixe.

Menu contextuel Liste de variables

Élément de menu | Action
Ajouter variable | Ajoute une nouvelle variable au planning. C'est aussi possible pendant le Runtime.
Insérer variable | Insére (i.e. colle) les variables contenues dans le presse-papier.
Autorisation | Ouvre la boîte de dialogue d'autorisations.
Aide | Ouvre l'aide en ligne.

Menu contextuel Variable

Élément de menu | Action
Copier | Copie les variables sélectionnées.
Couper | Coupe les variables sélectionnées.
Remplacer variable... | Ouvre la boîte de dialogue permettant de remplacer les variables sélectionnées.
Supprime la variable | Supprime les variables sélectionnés de la liste.
Autorisation | Ouvre la boite de dialogue de définition des droits d'accès.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Objet Variable


Objet Variable

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Liste de variables -> Objet Variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

A l'aide des événements d'un planning, on peut envoyer des valeurs dans les variables liées à ce planning.

Paramètres | Description
Copier | Copie les variables sélectionnées et les met dans le presse-papier.
Couper | Copie les variables sélectionnées dans le presse-papier et les marque pour la suppression. Les variables ne sont effectivement supprimées que lorsqu'elles ont été insérées (i.e. collées) dans d'autres plannings. Les événements utilisant ces variables sont supprimés.
Remplacer variable | Permet de remplacer la variable sélectionnée par une autre variable. Si la nouvelle variable est déjà utilisée dans le planning, la variable d'origine est supprimée. Tous les événements utilisant la variable d'origine sont transférés vers la nouvelle variable.
Supprimer une variable | Supprime la variable de la liste des variables du planning. Les événements utilisant ces variables sont supprimés.
Autorisations | Ouvre la boite de dialogue de définition des droits d'accès.
Aide | Ouvre l'aide en ligne.


Objet Fonction

Manuels -> Production and Facility Scheduler (PFS) -> Types d'objets -> Objet Fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fonctions liées à un planning peuvent être ensuite utilisées dans les actions des événements et ainsi être exécutées.

Paramètres | Description
Copier | Copie les fonctions sélectionnées et les met dans le presse-papier.
Couper | Les fonctions sélectionnées sont copiées dans le presse-papier et marquées pour la suppression. Les fonctions ne sont effectivement supprimées que lorsqu'elles ont été insérées (i.e. collées) dans d'autres plannings. Les événements utilisant ces fonctions sont supprimés.
Remplacer fonction | Permet de remplacer la fonction sélectionnée par une autre fonction. Tous les événements utilisant la fonction d'origine sont modifiés pour utiliser la nouvelle fonction. Si la nouvelle fonction existe déjà dans la liste des fonctions du planning, la fonction source est supprimée de la liste.
Supprimer fonction | Supprime la fonction de la liste des fonctions du planning. Les événements utilisant ces fonctions sont supprimés.
Autorisation | Ouvre la boite de dialogue de définition des droits d'accès.
Aide | Ouvre l'aide en ligne.


Propriétés

Manuels -> Production and Facility Scheduler (PFS) -> Propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer les propriétés du module Production & Facility Scheduler :

  • Cliquez avec le bouton droit Production & Facility Scheduler dans la vue de détail du gestionnaire de projet.
  • Sélectionnez Propriétés dans le menu contextuel.
  • Sélectionnez l'onglet que vous voulez modifier.
    • Changement d'heure : fournit des paramètres de commutation entre l'heure d'été et l'heure légale.
    • National holidays : configure les jours fériés et congés.
    • Table de couleurs : définit les couleurs des points de commutation.
    • Record shift times (Enregistrer les horaires des postes) : autorise l'enregistrement des données des postes.

Autres sujets abordés dans ce chapitre

Changement d'heure

Jours fériés

Table de couleurs

Enregistrer les horaires des postes

Groupes de modèles d'équipements liés.

Groupes de modèles horaires éditables

Edition des plannings


Changement d'heure

Manuels -> Production and Facility Scheduler (PFS) -> Propriétés -> Changement d'heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette page définit le comportement du PFS au cas où l'heure système change (par exemple pour les passages en heure d'été et heure d'hiver).

Les options possibles sont les suivantes :

Paramètres | Description
Changement de temps positif | L'heure est avancée, l'heure système est avancée dans le futur (par exemple, heure d'été)
Récupérer les évènements | Les actions entre l'heure actuelle et la nouvelle heure sont exécutées immédiatement après le changement d'heure.
Recalculer les événements | Les actions entre l'heure actuelle et la nouvelle heure sont ignorées et ne sont pas exécutées. Les événements sont recalculés.
Changement de temps négatif | L'heure est retardée, l'heure système est retardée dans le passé (par exemple, heure d'hiver)
Rejeter les événements | Les événements sont recalculés. Les événements sont calculés lorsque l'heure originale est atteinte.
Recalculer les événements | Les actions entre l'heure actuelle et la nouvelle heure sont recalculées. (Ce qui signifie que lorsque la nouvelle heure est atteinte, elles sont exécutées). Ceci entraîne une double exécution des événements dans la période de temps corrigée.
Commut. redond. | Commutation sur serveur redondant, valide pendant le "timeout" lors de la commutation vers le serveur redondant.
Rejeter les événements | L'exécution des événements démarre selon la position courante du redondant. Les événements compris dans cette période de temps ne seront peut être pas exécutés.
Recalculer les événements | Les événements sont recalculés et exécutés selon la nouvelle heure. Ceci peut entraîner la double exécution de ces événements.
Zone de tolérance pour déviation horaire | Tolérance qui définit de combien au max l'heure système peut être changée sans entraîner le recalcul des événements selon les critères ci-dessus.


Jours fériés

Manuels -> Production and Facility Scheduler (PFS) -> Propriétés -> Jours fériés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette page est utilisée pour sélectionner le pays afin que le module PFS prennent en compte les jours fériés correspondants.

Les données de base des vacances officielles sont enregistrées dans le fichier Holidays.txt, dans le dossier %programdata%\COPA-DATA\zenon[Version]. Il peut être édité avec un éditeur de texte.

Les entrées spécifiques à un pays commencent par l'identification du pays, entre crochets, suivie d'un numéro d'identification, comme dans Microsoft Office. La définition des jours fériés se trouve dans les lignes qui suivent : nom, date du jour férié.

Par exemple :

[France] 45

Toussaint, 01/11/2006

Toussaint, 01/11/2007

Toussaint, 01/11/2008

Toussaint, 01/11/2009

Toussaint, 01/11/2010

Toussaint, 01/11/2011

Toussaint, 01/11/2012

Ascension, 25/05/2006

Ascension, 17/05/2007

Ascension, 01/05/2008

Ascension, 21/05/2009

Ascension, 13/05/2010

Ascension, 02/06/2011

Ascension, 17/05/2012

Assomption, 15/08/2006

Assomption, 15/08/2007

Assomption, 15/08/2008

Assomption, 15/08/2009

Assomption, 15/08/2010

Assomption, 15/08/2011

Assomption, 15/08/2012

...


Table de couleurs

Manuels -> Production and Facility Scheduler (PFS) -> Propriétés -> Table de couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette section permet de définir les couleurs utilisées dans le calendrier pour les différents cas.

Les options possibles sont les suivantes :

Paramètres | Description
Jours |
Défaut | Jour du calendrier sans caractéristiques spéciales.
Jour spécial | Le jour correspond à un jour férié.
Change day light saving time -> standard time (Changement de l'heure d'été à l'heure d'hiver) | Date du changement de l'heure d'été à l'heure d'hiver.
Change standard time -> daylight saving time (Changement de l'heure d'hiver à l'heure d'été) | Le jour est le jour du passage à l'heure d'été.
Modèles horaires |
Défaut | Un modèle horaire est utilisé ce jour.
Exception | Un modèle horaire est utilisé uniquement ce jour.
Jour spécial | Un modèle horaire est utilisé un jour férié.
Plannings |
Défaut | Un planning est actif ce jour de semaine.
Jour spécial | Un planning est actif ce jour spécial.
Passer | Aucun planning n'est actif ce jour.
Jour simple | Un planning est actif seulement ce jour.
Entrées multiples | Plusieurs propriétés s'appliquent à ce jour.


Enregistrer les horaires des postes

Manuels -> Production and Facility Scheduler (PFS) -> Propriétés -> Enregistrer les horaires des postes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le module Production & Facility Scheduler, vous pouvez enregistrer et archiver les données relatives aux postes. Chaque poste terminé est enregistré dans une base de données SQL.

attention Attention

Pour enregistrer les données historiques des postes dans une base de données SQL, le groupe de modèles horaires concerné doit être lié à un groupe de modèles d'équipement.

Les données enregistrées peuvent également être évaluées avec l'outil zenon Analyzer.

Pour activer l'enregistrement des horaires de postes :

  • Cliquez avec le bouton droit Production & Facility Scheduler dans la vue de détail du gestionnaire de projet.
  • Sélectionnez Propriétés dans le menu contextuel.
  • Sélectionnez l'onglet Record shift times (Enregistrer les horaires des postes).

  • Activez la propriété Activate recording (Activer l'enregistrement).
  • Sélectionnez la base de données SQL dans laquelle vous souhaitez enregistrer les données.
  • Le nom de la table est créé selon le motif suivant : ProjectGUID_SHIFT_GUID du groupe d'équipements
    Par exemple : . 292af0ac-d33d-4123-8484-e359cd0a6ae3_SHIFT_989ef705-d6a6-4b81-9eb5-f76483ecaac1
  • Créez un lien entre le groupe de modèles horaires du poste et un groupe de modèles d'équipement

    Remarque : Si plusieurs groupes de modèles d'équipement sont liés, les données historiques des postes sont enregistrées dans plusieurs tables. Si le lien entre un groupe de modèles d'équipement et un groupe de modèles horaires est modifié, une nouvelle table est créée. Dans ce cas, aucune donnée de la table existante n'est reprise. La table existante n'est toutefois pas supprimée.

Dans le Runtime, les données relatives aux postes sont contrôlées cycliquement, et les postes et pauses terminés depuis le dernier enregistrement sont conservés dans la base de données. Les données des postes sont toujours enregistrées sur le serveur actif. Les pauses sont uniquement enregistrées si le poste est terminé et enregistré, car les pauses contiennent l'identifiant du poste.

Au démarrage du Runtime, tous les postes et pauses terminés depuis le dernier enregistrement sont transférés vers la base de données. Ceci peut être effectué sur une période de plusieurs jours, voire semaines. Si le Runtime est démarré sur le serveur redondant et le Runtime ne s'exécute pas sur le serveur ou ne peut pas être joint sur celui-ci, le serveur redondant inscrit les données obtenues depuis la dernière sauvegarde dans la base de données.

Remarque : cela ne s'applique pas au mode de simulation.

Liste des enregistrements de postes

La liste contient les colonnes suivantes :

Titres des colonnes | Type | Contenu
ID | int | Clé primaire.
REFERENCE | nvarchar(128) | Enregistre le GUID des postes et des pauses.
VISUALNAME | nvarchar(128) | Nom du poste ou de la pause.
START | datetime | Point de départ du poste ou de la pause au format UTC. Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.
END | datetime | Point de fin du poste ou de la pause au format UTC. Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.
BREAK | Booléen | TRUE s'il s'agit d'une pause.
PARENT_ID | int | Nom du poste s'il s'agit du le nom d'une pause.
SAVETIME | int | Heure de l'enregistrement dans la base de données.

Messages d'erreur

Si la base de données ne peut pas être jointe, l'entrée suivante est créée dans Diagnosis Server :

Error when opening data connectionn in CFpmStorage::OpenDataConnection with HRESULT: (Erreur lors de l'ouverture de la connexion de données dans CFpmStorage::OpenDataConnection avec HRESULT: ) 80040154

Autres sujets abordés dans ce chapitre

Base de données de liens


Base de données de liens

Manuels -> Production and Facility Scheduler (PFS) -> Propriétés -> Enregistrer les horaires des postes -> Base de données de liens

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La boîte de dialogue de connexion à une base de données est affichée par le système d'exploitation.

Le fonctionnement général de la base de données est présenté dans l'exemple suivant. Vous pouvez obtenir des informations concernant les paramètres individuels de chaque onglet dans la fonction d'aide de Microsoft, en cliquant sur le bouton Aide.

  1. Pour commencer, la boîte de dialogue affiche l'onglet Connexion
  2. Ouvrez l'onglet Général.

  3. Sélectionnez Fournisseur OLE DB Microsoft dans la liste SQL Server
  4. Sélectionnez ce fournisseur en effectuant un double-clic ou en cliquant sur le bouton Continuer
  5. L'onglet Connexion s'affiche

  6. Sélectionnez le serveur de votre choix dans la liste déroulante
  7. Sélectionnez les informations de journalisation (choix habituel : sécurité intégrée)
  8. Sélectionnez la base de données
    Conseil : vous trouverez des informations concernant le GUID du projet dans la propriété de projet ID du projet, dans le nœud Général
  9. Cliquez sur Tester la connexion
    • Vous pouvez également configurer les paramètres du réseau, le délai d'attente et les autorisations d'accès sur l'onglet Étendu (ces options ne sont normalement pas utilisées pour cette connexion)
    • Vous pouvez également configurer des détails individuels sur l'onglet Tous (ces options ne sont normalement pas utilisées pour cette connexion)
  10. Confirmez en cliquant sur OK
  11. La connexion à SQL Server est établie


Groupes de modèles d'équipements liés.

Manuels -> Production and Facility Scheduler (PFS) -> Propriétés -> Groupes de modèles d'équipements liés.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour lier un groupe d'équipements à un groupe de modèles horaires :

  1. Sélectionnez le groupe de modèles horaires
  2. Sélectionnez la commande Propriétés dans le menu contextuel
  3. La boîte de dialogue de paramètres du modèle horaire s'affiche
  4. Sélectionnez l'onglet Modélisation d'équipements

  5. Sélectionnez le groupe d'équipements de votre choix
  6. Ajoutez-le en cliquant sur le bouton Ajouter
  7. Confirmez en cliquant sur OK, après avoir ajouté tous les groupes d'équipements souhaités

Remarque : la liaison des groupes de modèles d'équipements avec les groupes de modèles horaires est la condition requise pour enregistrer les horaires de postes dans une base de données SQL. Si plusieurs groupes de modèles d'équipement sont liés, les données historiques des postes sont enregistrées dans plusieurs tables. Si le lien entre un groupe de modèles d'équipement et un groupe de modèles horaires est modifié, une nouvelle table contenant le GUID du nouveau groupe de modèles d'équipement est créée. Dans ce cas, les dispositions suivantes s'appliquent :

  • Les données de la table existante ne sont pas reprises.
  • La table existante n'est toutefois pas supprimée.


Groupes de modèles horaires éditables

Manuels -> Production and Facility Scheduler (PFS) -> Propriétés -> Groupes de modèles horaires éditables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les propriétés des groupes de modèles horaires permettent d'ajuster les temps de cycle des groupes de modèles horaires et d'effectuer des attributions de modèle. Pour ouvrir la boite de dialogue, accédez au menu contextuel d'un groupe de modèles horaires et cliquez sur l'élément Propriétés....

Autres sujets abordés dans ce chapitre

Propriétés du groupe de modèles horaires

Attribution de modèles par défaut


Propriétés du groupe de modèles horaires

Manuels -> Production and Facility Scheduler (PFS) -> Propriétés -> Groupes de modèles horaires éditables -> Propriétés du groupe de modèles horaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette page de paramètres contient la désignation et les informations de cycle du groupe de modèles horaires.

Les paramètres suivants peuvent être définis ici :

Paramètre | Description
Description | Définit le nom du groupe de modèles horaires. ce champ ne peut pas être vide, et cette désignation doit être unique sur l'ensemble des données du PFS.
Début de journée | Définit le début de journée pour ce groupe de modèles horaires.
Fin de journée | Définit la fin de journée pour ce groupe de modèles horaires.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.


Attribution de modèles par défaut

Manuels -> Production and Facility Scheduler (PFS) -> Propriétés -> Groupes de modèles horaires éditables -> Attribution de modèles par défaut

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette page de paramètres permet aux utilisateurs de spécifier un modèle par défaut à utiliser pour chaque jour et aussi pendant les congés.


Edition des plannings

Manuels -> Production and Facility Scheduler (PFS) -> Propriétés -> Edition des plannings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les propriétés permettent de configurer les plannings et le remplissage du calendrier. Pour ouvrir la boite de dialogue, activez l'entrée Propriétés dans le menu contextuel des plannings.

Autres sujets abordés dans ce chapitre

Menu contextuel sur l'heure

Remplissage calendrier


Menu contextuel sur l'heure

Manuels -> Production and Facility Scheduler (PFS) -> Propriétés -> Edition des plannings -> Menu contextuel sur l'heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette page permet de configurer le planning et d'attribuer les variables et les fonctions au planning.

Paramètres | Description
Description | Définit le nom du planning. Ce nom doit être unique dans le même niveau de planning.
Planning actif | Passe le planning du mode actif au mode inactif ou vice versa. Les événements contenus dans les plannings qui ont été désactivés ne seront pas exécutés !
Structure de planning | Une structure de planning ne contient ni fonction, ni variable. Elle sert uniquement pour structurer les plannings (répartition des plannings en différents groupes).
Liste de fonctions | Contient les fonctions liées au planning. Les fonctions sont traitées comme habituellement.
Liste de variables | Contient les variables liées au planning. Les variables sont traitées comme habituellement.


Remplissage calendrier

Manuels -> Production and Facility Scheduler (PFS) -> Propriétés -> Edition des plannings -> Remplissage calendrier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette page de propriétés permet de définir les modèles horaires à utiliser pour chaque jour de la semaine.

Remplissage calendrier

Active le modèle horaire pour chaque jour de la semaine. Pour plus d'information, veuillez aussi vous reporter à la section concernant le calendrier.


Boites de dialogue

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Aperçu des événements

Dialogue de filtre du PFS

Autorisation

Création de grilles d'horaires

Sélection de plannings

Période d'activation des plannings

Sélection de modèles

Édition de planning dans la vue Table

Vue de modification des modèles

Modifier heure

Ajuster offset

Changement de valeur

Créer des événements

Dupliquer


Aperçu des événements

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue -> Aperçu des événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu contextuel du module Production & Facility Scheduler permet d'avoir un aperçu des événements.

Le mode 'Aperçu des événements' est un outil de diagnostic puissant permettant aux utilisateurs de vérifier la configuration PFS. Il définit et affiche, selon les critères de filtre sélectionné, les événements absolus ou relatifs et les heures d'exécution en temps absolu. Ainsi, cela permet aux utilisateurs de vérifier les effets des modifications qu'ils ont effectuées avant de les appliquer réellement à l'équipement. Cet aperçu peut aussi être utilisé pour afficher un historique. La définition est toujours faite sur la base de la configuration courante.

Les événements définis par l'utilisateur ne peuvent pas être exécutés dans l'Éditeur. Dans l'environnement du Runtime, les heures de déclenchement pour les événements définis par l'utilisateur sont conservées en mémoire pendant 14 jours au plus, ainsi l'historique ne peut pas remonter en arrière dans le temps au-delà de cette période.

Vous pouvez aussi filtrer les objets configurés, par exemple, si vous voulez rechercher uniquement dans un planning particulier.

Quand vous fermez la boite de dialogue en cliquant sur OK, les paramétrages effectués sont enregistrés et resteront disponibles jusqu'à la prochaine ouverture.

Boite de dialogue de recherche dans les champs texte

Les champs Groupe de modèles horaires, Planning, Variable et Fonction offrent une prise en charge les opérateurs lors du filtrage :

caractère générique | Signification
Texte | Le nom doit être Text
*Text | Le nom doit se terminer par Text
Text* | Le nom doit commencer par Text
T??t | N'importe quel caractère peut se trouver en deuxième et troisième position.

Propriété

Description

Sélection des critères de filtre

Groupe de modèles horaires

Définit le filtre à utiliser pour l'équipement en cours d'examen. Seuls les événements liés aux équipements correspondants apparaîtront dans l'aperçu.
ATTENTION : La saisie dépend de la casse.

Planning

Définit le filtre à utiliser pour le planning en cours d'examen. Seuls les événements liés aux plannings correspondants apparaîtront dans l'aperçu.
ATTENTION : La saisie dépend de la casse.

Variable

Définit le filtre à appliquer aux variables recherchées. Seuls les événements liés aux variables correspondantes et remplissant les conditions du filtre seront affichés dans l'aperçu.
ATTENTION : La saisie dépend de la casse.

Fonction

Définit le filtre à appliquer aux fonctions recherchées. Seuls les événements liés aux fonctions correspondantes et remplissant les conditions du filtre seront affichés dans l'aperçu.
ATTENTION : La saisie dépend de la casse.

Filtrage de

Sélection des données utilisées pour créer l'aperçu par le biais d'une liste déroulante :

  • Editable data (Données modifiables)
    Tient compte des données modifiées pour définir l'aperçu. L'aperçu vous permet ainsi de vérifier votre configuration avant de la sauvegarder.
  • Saved data (Données enregistrées)
    Crée l'aperçu sur la base de la configuration utilisée pour l'exécution des événements.

Critères des événements

Cette option vous permet de définir sur quelle période de temps vous voulez créer l'aperçu.

Aperçu

Démarre le calcul des heures d'exécution selon les critères définis.

Contient la table avec les événements qui sont exécutés selon la période définie et qui respecte les critères de filtre. Les événements désactivés ou les événements contenus dans des plannings désactivés sont mis en évidence.


Dialogue de filtre du PFS

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue -> Dialogue de filtre du PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le dialogue de filtre permet de réduire le nombre d'objets visibles dans le PFS aux seuls objets respectant les critères de filtre.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

La fonction de filtre permet de remplir un masque de filtre pour isoler certains types d'objets. Lorsqu'un filtre est activé, la branche filtrée est identifiée avec un entonnoir symbolisant le procédé de filtrage. La fonction de filtre tient compte de la casse.

Les champs Groupe de modèles horaires, Planning, Variable et Fonction offrent une prise en charge les opérateurs lors du filtrage :

caractère générique | Signification
Texte | Le nom doit être Text
*Text | Le nom doit se terminer par Text
Text* | Le nom doit commencer par Text
T??t | N'importe quel caractère peut se trouver en deuxième et troisième position.

Lorsque des objets "enfants" remplissent les conditions du filtre, les objets "parents" sont aussi affichés, même si eux-mêmes ne répondent pas aux critères de filtre. L'exception à cette règle concerne le groupe de modèles horaires. Si un groupe de modèles horaires ne remplit pas les conditions du filtre correspondant, le groupe de modèles horaires entier est masqué, même dans l'éventualité où certains sous-objets de niveau inférieur respecteraient les conditions du filtre.


Autorisation

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue -> Autorisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Celles-ci vous permettent de définir les groupes d'autorisation utilisateur nécessaires pour permettre les différentes actions sur les objets. Si l'objet ne supporte pas une fonctionnalité en particulier, alors elle est grisée.

Si les autorisations sont éditées dans le runtime, seuls les groupes d'autorisation de l'utilisateur couramment logués peuvent être sélectionnés.

Les autorisations ne sont prises en compte que dans le runtime.

Paramètres | Description
Afficher | Permet aux utilisateurs avec ce groupe d'autorisation d'afficher l'objet et tous ses sous-niveaux.
Créer | Permet d'autoriser ou non la création de l'objet et des objets d'un niveau inférieur.
Modifier | Permet ou non la modification des paramètres de l'objet ou ses autorisations.
Renommer | Permet ou non le renommage de l'objet.
Supprimer | Permet aux utilisateurs avec ce groupe d'autorisation de supprimer l'objet et tous ses sous-niveaux.


Création de grilles d'horaires

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue -> Création de grilles d'horaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette boite de dialogue permet de créer, en une seule action, une grille d'horaires avec une période de temps définie et dans une plage d'heures spécifique configurable.

Pour ouvrir cette boite de dialogue, sélectionnez un planning et accédez à son menu contextuel sur la grille dans la vue à droite, et cliquez sur l'item "Créer grille d'horaires".

Paramètres | Description
Heure ou Cycle | Définit l'heure de l'horaire à créer ou la période du cycle pour la création d'une grille d'horaires.
Horaires cycliques | Si cette option est activée, plusieurs horaires sont créés à intervalle régulier.
Groupe d'autorisation | pas encore supporté ! doit rester à 0.
Heure de début | Heure de départ pour la création des horaires.
Heure de fin | Heure de fin pour la création des horaires.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.


Sélection de plannings

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue -> Sélection de plannings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette boite de dialogue vous permet de sélectionner des plannings qui doivent être liés à un jour. Quand vous sélectionnez les plannings requis et que vous les ajouter à la liste, les plannings sont alors insérés dans la liste des plannings liés.

Pour ouvrir la boite de dialogue, activez l'entrée Sélectionner plannings dans le menu contextuel de "l'affichage jour" du calendrier.


Période d'activation des plannings

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue -> Période d'activation des plannings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette boite de dialogue permet de définir à quel moment et à quelle fréquence tel ou tel planning doit être activé ou de les sélectionner selon un modèle dans le calendrier.

Pour ouvrir la boîte de dialogue :

  1. Cliquez avec le bouton droit sur une ligne ou une cellule contenant le planning dans la vue Calendrier
  2. Sélectionnez Select schedules (Sélectionner les plannings) dans le menu contextuel.
  3. La boîte de dialogue de sélection de plannings s'affiche à l'écran.

  4. Sélectionnez les plannings souhaités, puis confirmez-les en cliquant sur OK.
  5. La boîte de dialogue de planification de la durée de la série s'affiche

Paramètres

Description

Durée des séries

Paramètres de durée de la série.

Pas de date de fin

L'exécution commence par la création de la série, et ne comporte pas de date de fin (paramètre par défaut).

La série est exécutée chaque semaine.

Commence le

Date de début.

Fini le

Date de fin.

Période des séries

Type d'exécution.

Champ Détails

Options de configuration de la série, dépendantes de la sélection de :

  • Quotidien
  • Hebdomadaire
  • Mensuellement
  • Annuel

Quotidien

L'exécution peut être définie comme suit dans le champ Détails :

  • Chaque jour saisissez un nombre déterminant la fréquence d'exécution.
    Par défaut : 1
  • Every work day (Chaque jour ouvré) : la série est exécutée chaque jour ouvré (conformément au calendrier de vacances officielles préalablement défini).

Hebdomadaire

L'exécution peut être définie sur certains jours dans le champ Détails.

Mensuellement

L'exécution peut être définie comme suit dans le champ Détails :

  • Actif : sélection de la date
  • Every month (Tous les mois) : saisissez un nombre déterminant la fréquence d'exécution.

Annuel

L'exécution peut être définie sur certaines dates dans le champ Détails.

Plannings sélectionnés

Liste de plannings sélectionnés.

Sélection

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de plannings.

OK

Accepte la saisie et ferme la boîte de dialogue.

Annuler

Annule toutes les saisies et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Sélection de modèles

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue -> Sélection de modèles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette boîte de dialogue permet d'attribuer un modèle par groupe de modèles horaires le jour souhaité.

  1. Cliquez sur la cellule Modèles dans le calendrier

  2. Sélectionnez Select models (Sélectionner les modèles) dans le menu contextuel.
  3. Sélectionnez le modèle de votre choix.
  4. Cliquez sur le bouton Ajouter.
  5. Fermez la boîte de dialogue en cliquant sur OK


Édition de planning dans la vue Table

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue -> Édition de planning dans la vue Table

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez avec le bouton droit de la souris sur un planning dans la vue Calendrier pour afficher le menu contextuel. La commande Display schedule (Afficher le planning) ouvre la boîte de dialogue de configuration.

Cette vue vous permet de modifier les plannings liés au calendrier. Les possibilités sont les mêmes que pour la vue des modèles ou des événements.


Vue de modification des modèles

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue -> Vue de modification des modèles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez avec le bouton droit de la souris sur un modèle horaire dans la vue Calendrier pour afficher le menu contextuel. La commande Display model (Afficher le modèle) ouvre la boîte de dialogue de configuration.

Cette vue vous permet de modifier les modèles liés au calendrier. Les possibiltés d'édition sont les mêmes que celles pour définir les postes et les pauses.


Modifier heure

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue -> Modifier heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette boite de dialogue vous permet de mettre un délai (offset) sur l'heure spécifiée.

Pour ouvrir la boite de dialogue, activez le menu contextuel sur une heure et cliquez sur la commande Modifier heure.


Ajuster offset

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue -> Ajuster offset

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Permet de modifier les offsets sélectionnés.

Pour ouvrir la boite de dialogue, activez le menu contextuel sur la colonne 'Offset' et cliquez sur la commande Ajuster offset.


Changement de valeur

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue -> Changement de valeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette commande permet de modifier les cellules sélectionnées dans la colonne Action.

Pour ouvrir la boite de dialogue, activez le menu contextuel sur la colonne 'Action' et cliquez sur la commande Modifier la valeur.

Paramètres

Description

Variable

Modifier la valeur de

Modifie le contenu des cellules couramment sélectionnées en ajoutant le montant spécifié.

Modifier la valeur en

Modifie le contenu des cellules couramment sélectionnées avec le montant spécifié.

Croissance linéaire initialisée avec

Modifie le contenu des cellules couramment sélectionnées en ajoutant le montant spécifié. Le montant est incrémenté de 1 à chaque cellule modifiée.

Décroissance linéaire initialisée avec

Modifie le contenu des cellules couramment sélectionnées en ajoutant le montant spécifié. Le montant est décrémenté de 1 à chaque cellule modifiée.

Fonction

Changer l'état en

Modifie l'activation des événements couramment sélectionnés avec l'état spécifié :

  • active
  • Inactive

Macro

Changer la macro en

Change la macro en la macro sélectionnée.


Créer des événements

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue -> Créer des événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La boîte de dialogue est ouverte par le biais du menu contextuel d'une entrée d'heure sélectionnée et de la commande Créer événements.

Dans la liste du haut, sélectionnez les entrées pour lesquelles vous voulez créer des événements et insérez-les en cliquant sur le bouton Ajouter à droite de la liste du bas.

info Info

Par défaut, les événements sont toujours inactifs lors de leur création dans le Runtime, et doivent être activés volontairement pour fonctionner. Par défaut, les événements sont actifs lorsqu'ils sont créés dans l'Éditeur.


Dupliquer

Manuels -> Production and Facility Scheduler (PFS) -> Boites de dialogue -> Dupliquer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La boîte de dialogue peut être affichée lors de la copie d'un planning, pour contrôler les comportements suivants :

  • Si les plannings enfants sous-ordonnés doivent également être copiés lors de la phase de collage
  • Si les variables sont remplacées lors de la phase de collage

Paramètres

Description

dupliquer seulement le planning courant

Insère (c'est-à-dire colle) le planning de niveau le plus haut contenu dans le presse-papier.

dupliquer le planning actuel et le planning enfant

Le planning sera inséré (c'est-à-dire collé) avec ses plannings de niveaux inférieurs. Ceci représente la méthode standard si cette boite de dialogue est désactivée.

Ouvrir la boite de dialogue de substitution

Afficher la boîte de dialogue de remplacement Ceci permet d'échanger les variables lors de leur insertion.

Afficher la boite de dialogue seulement si la touche Ctrl est enfoncée

Supprime la boîte de dialogue. Le planning et les plannings enfants sont toujours copiés sans substitution. Dans ce cas, si vous appuyez sur la touche Ctrl lors du copier/coller, la boite de dialogue apparaîtra.

Remarque : cette fonction peut également être contrôlée par le biais d'une entrée dans le fichier project.ini :

[PFM]

AnzeigenMitStrg = [Valeur]

Valeurs :

1 : la boîte de dialogue est uniquement affichée si la touche Ctrl est enfoncée pendant l'insertion du planning.

0 : la boîte de dialogue est toujours affichée.

OK

Accepte la saisie et ferme la boîte de dialogue.

Annuler

Annule toutes les saisies et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Exécuter un événement PFS

Manuels -> Production and Facility Scheduler (PFS) -> Exécuter un événement PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En utilisant cette fonction, un événement défini du PFS peut être exécuté pendant le runtime de façon à déclencher un temps relatif dans le PFS.


Appel de synoptique - PFS

Manuels -> Production and Facility Scheduler (PFS) -> Appel de synoptique - PFS

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Filtres pour les vues d'arborescence lors des appels de synoptique

Filtres pour les vues de grille lors de l'appel de synoptique


Filtres pour les vues d'arborescence lors des appels de synoptique

Manuels -> Production and Facility Scheduler (PFS) -> Appel de synoptique - PFS -> Filtres pour les vues d'arborescence lors des appels de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres sont identiques à ceux de la boite de dialogue de filtre dans le PFS. Une option supplémentaire vous permet de spécifier si vous voulez ou non activer la boite de dialogue de filtre avant l'affichage du synoptique. L'objet sélectionné dans l'arborescence sera à nouveau sélectionné lors d'un nouvel appel de ce synoptique.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.


Filtres pour les vues de grille lors de l'appel de synoptique

Manuels -> Production and Facility Scheduler (PFS) -> Appel de synoptique - PFS -> Filtres pour les vues de grille lors de l'appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La page "Propriétés colonnes" vous permet de définir les colonnes et les titres qui seront utilisés pour les différentes vues grille.

Paramètres | Description
Champs disponibles | Selon la vue sélectionnée, les colonnes sont affichées dans la liste. Seules les colonnes sélectionnées seront affichées.
Texte | Le champs Texte contient le texte qui sera montré en tête de colonne. Ce texte peut être précédé par un @ pour être pris en compte comme mot clé pour la traduction.
Largeur | Largeur de colonne
Alignement | Alignement du texte de l'entête de colonne.
Objets | Liste des différents objets pour lesquels les vues peuvent être configurées.
Vue préférée | Liste des vues possibles pour l'objet sélectionné.


Type de synoptique Gestion de plannings (PFS) Production & Facility Scheduler

Manuels -> Production and Facility Scheduler (PFS) -> Type de synoptique Gestion de plannings (PFS) Production & Facility Scheduler

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'utilisation d'un synoptique de type Gestion de Plannings (PFS) vous permet de gérer des plannings et des modèles horaires dans le Runtime.

Ce type de synoptique n'est disponible qu'avec la licence PFS ; si vous n'avez pas cette licence, le type de synoptique Planning peut être sélectionné. (Vous trouverez d'autres informations concernant les types de synoptiques prédéfinis au chapitre Synoptiques / Types de synoptiques prédéfinis).

La création d'un synoptique permettant d'afficher et gérer les plannings créés dans le module PFS s'effectue en définissant un nouveau synoptique possédant le type de synoptique Gestion de plannings (PFS).

Lors de l'ouverture du synoptique, un synoptique vide est affiché et la liste déroulante Eléments de contrôle contient des éléments correspondant au type de synoptique.

Les éléments de contrôle configurables sont les suivants :

Insérer un modèle | Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant. Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur. Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Généralités |
Enregistrer |
Annuler |
Aperçu événements |
Critères de filtre … |
Couper |
Copier |
Coller |
Renommer |
Supprimer |
Propriétés ... |
Paramétrage |
Croissant |
Décroissant |
Listes |
Fenêtre planning |
Boutons |
Groupe de modèles horaires | - Créer un groupe de modèles horaires
Planning | - Créer un planning … - Activer planning - Ajouter variable … - Supprimer variable - Supprimer fonction - Remplacer liens... - Créer une grille d'horaires ... - Créer une grille d'horaires ... - Créer un événement - Créer des événements … - Supprimer heure - Supprimer événement
Modèle horaire | - Créer un modèle horaire... - Créer un poste - Créer une pause - Supprimer un poste - Supprimer une pause
Evénement | - Créer des événements
Calendrier | - Sélection modèle … - Sélection planning … - Montrer ce jour ?- Aller à aujourd’hui? - Aller à une date … - Par défaut - Comme jour unique - En avant - En arrière - Affichage jour - Affichage semaine - Affichage mois
Traitement groupé | - Toutes les valeurs actives - Toutes les valeurs inactives - Temps absolu - Temps relatif - Changer le temps … - Modifier la valeur… - Sélectionner un événement… - Ajuster offset…

Lorsque vous cliquez sur le bouton Insérer un modèle dans le menu Éléments de contrôle, des éléments de contrôle prédéfinis sont insérés à des emplacements prédéfinis, avec des valeurs par défaut.

Vous trouverez plus d'informations concernant les fichiers Runtime modifiés au chapitre Projet et espace de travail / Données modifiables dans le Runtime.


Projet et espace de travail

Manuels -> Projet et espace de travail

Un espace de travail est attribué à chaque projet.

L'espace de travail et les projets sont affichés dans le gestionnaire de projet.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Autres sujets abordés dans ce chapitre

Station de travail

Projet

Projet d'intégration

Projet global

Configuration du filtre de projets

Configuration


Station de travail

Manuels -> Projet et espace de travail -> Station de travail

Plusieurs projets peuvent être créés et gérés dans un même espace de travail. Toutes les données définies et stockées pour un projet sont une composante de la base de données interne de zenon.

La gestion de plusieurs projets dans un même espace de travail est recommandée en présence de paramètres identiques (synoptiques etc.) au sein de l'installation, et dès lors que la copie de données simplifie considérablement la configuration ou que plusieurs projets au sein d'une même installation sont interconnectés par l'intermédiaire d'un réseau. Plusieurs projets peuvent être traités en même temps.

Il est aussi possible de générer un autre espace de travail dans un autre répertoire lors de la création des projets.

Example Exemple

/CLIENT1/PROJET (un ou plusieurs projets dans la base de données)

/CLIENT2/PROJET (un ou plusieurs projets dans la base de données)

La structure de la base de données est définie par des fichiers de schéma. Ces fichiers servent de base à la création d'une base de données entièrement nouvelle pour un projet. Un fichier de base de données supplémentaire au format MS-ACCESS (MDB) existe pour le gestionnaire de groupes de recettes.

attention Attention

Aucune donnée préconfigurée n'est présente !

Autres sujets abordés dans ce chapitre

Créer nouvel espace de travail

Sauvegarder un espace de travail

Modifier un espace de travail existant

Sauvegarder et restaurer des espaces de travail


Créer nouvel espace de travail

Manuels -> Projet et espace de travail -> Station de travail -> Créer nouvel espace de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il y a deux méthodes pour créer un nouvel espace de travail :

  • Liste déroulante -> Fichier -> Espace de travail -> Nouveau ou
  • Menu contextuel de l'entrée de l'espace de travail dans l'arborescence du projet / entrée Espace de travail / Nouveau

Paramètre | Description
Nom | Choisissez un nom pour votre nouvel espace de travail. Le nom par défaut <Espace de travail> est invalide et doit être remplacé.
Emplacement de stockage | Sélectionnez un répertoire pour enregistrer le nouveau projet. Le répertoire de l'utilisateur est proposé par défaut.
Fichier espace de travail | Le fichier est créé automatiquement à partir de ce que vous saisissez ici.


Sauvegarder un espace de travail

Manuels -> Projet et espace de travail -> Station de travail -> Sauvegarder un espace de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il y a deux méthodes pour sauvegarder un espace de travail :

  • Menu déroulant / Fichier / Espace de travail / Enregistrer ou Enregistrer sous ou
  • menu contextuel sur l'espace de travail dans l'arborescence du projet / entrée Espace de travail / Enregistrer ou Enregistrer sous

Si vous choisissez l'entrée Enregistrer sous, vous pouvez choisir l'emplacement de l'enregistrement. Dans ce cas, l'espace existant est enregistré avec un nouveau nom.

Paramètre | Description
Nom | Choisissez le nom de votre espace de travail. Le nom par défaut <Espace de travail> est invalide et doit être remplacé.
Emplacement de stockage | Sélectionnez un répertoire pour enregistrer le nouveau projet. Le répertoire de l'utilisateur est proposé par défaut.
Fichier espace de travail | Le fichier est créé automatiquement à partir de ce que vous saisissez ici.

Un espace de travail est stocké dans un fichier comportant l'extension WSP.

info Info

Si un projet possédant un numéro de version inférieur à celui de l'éditeur existe dans l'espace de travail, vous ne pouvez pas sélectionner l'élément de menu "Espace de travail / Enregistrer sous...". Le projet doit d'abord être converti au format de la version de l'éditeur avant que l'espace de travail ne puisse être enregistré.


Modifier un espace de travail existant

Manuels -> Projet et espace de travail -> Station de travail -> Modifier un espace de travail existant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il y a deux méthodes pour ouvrir un espace de travail existant :

  • Menu déroulant / Fichier / Espace de travail / Ouvrir ou
  • menu contextuel sur l'espace de travail dans l'arborescence du projet / entrée Espace de travail / Ouvrir


Sauvegarder et restaurer des espaces de travail

Manuels -> Projet et espace de travail -> Station de travail -> Sauvegarder et restaurer des espaces de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les explications sur la sauvegarde et la restauration d'espaces de travail existants se trouvent dans le chapitre Sauvegardes de projets / section Sauvegarder et restaurer des espaces de travail.


Projet

Manuels -> Projet et espace de travail -> Projet

Une fois que l'espace de travail est ouvert, un ou plusieurs projets peuvent être édité ou resélectionné dans le gestionnaire de projet. Un projet existant peut être inséré dans l'espace de travail actuel.

Autres sujets abordés dans ce chapitre

Créer nouveau projet

Enregistrer un projet

Insérer projet dans espace de travail

Editer un projet existant

Remplacer les liens vers les projets

Sauvegarder et recharger un projet

Enlever un projet de l'espace de travail

Supprimer un projet


Créer nouveau projet

Manuels -> Projet et espace de travail -> Projet -> Créer nouveau projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il y a deux méthodes pour créer un nouveau projet :

  • Liste déroulante -> Fichier -> Nouveau projet ou
  • menu contextuel sur l'espace de travail dans l'arborescence du projet / entrée Nouveau projet

Paramètre

Description

Type de projet

Choisissez entre un projet standard et un projet global.

Nom du projet

Spécifiez un nom pour le projet. Le nom par défaut <Projet> est invalide et doit être remplacé.

Les caractères suivants sont autorisés : chiffres, lettres et les caractères spéciaux suivants :
$, -, @, _, {}, ~, !, ()

Dossier de base

Dossier dans lequel le nouveau projet doit être enregistré.

Station de travail

Sélection de l'espace de travail :

  • Ajouter à l'espace de travail actif :
    Le nouveau projet est ajouté à l'espace de travail actuellement actif. L'emplacement de sauvegarde par défaut suggéré est le dossier de l'espace de travail.
  • Créer un nouvel espace de travail :
    Un nouvel espace de travail est créé avec le projet. Le nom de l'espace de travail est automatiquement inséré dans le champ du dossier du Runtime.

Nom de l'espace de travail

Choisissez un nom pour votre nouvel espace de travail. Le nom par défaut <Espace de travail> est invalide et doit être remplacé.

Dossier du Runtime

L'espace de stockage par défaut du dossier de Runtime est déjà prédéfini. Le type d'objet peut être modifié ici.

Remarque : sous le dossier du Runtime, le dossier de données des fichiers du Runtime est créé automatiquement. Le dossier peut être modifié individuellement, via la propriété Général/Dossier des données. Notez que le dossier doit être accessible en permanence. Dans le cas contraire, les données du Runtime ne pourront plus être écrites.

Options

Projet multi-utilisateur

Actif : Plusieurs utilisateurs peuvent collaborer sur un même projet en même temps (pour plus de détails, reportez-vous à la section Développement distribué).

Poste serveur

Sélection du serveur de projet pour les projets multi-utilisateurs.


Enregistrer un projet

Manuels -> Projet et espace de travail -> Projet -> Enregistrer un projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour enregistrer un projet sous un nouveau nom, sélectionner l'entrée Projet / Enregistrer sous depuis le menu contextuel sur le projet. Vous pouvez entrer un nouveau nom pour le nouveau projet avec la boîte de dialogue suivante :

Si vous entrez un nom de projet existant, vous aurez un message d'erreur.

info Info

Avec cette fonctionnalité, il est possibe de créer une copie d'un projet existant de façon à pouvoir la faire évoluer de façon indépendante du projet de départ.

Pour cela, le projet A est copié avec la commande "Enregistrer sous ..." et peut être modifié. Ensuite il est enregistré comme Project B.

Selon les différences entre les deux projets, ceci peut faire gagner du temps par rapport à l'export/import de parties de projet.


Insérer projet dans espace de travail

Manuels -> Projet et espace de travail -> Projet -> Insérer projet dans espace de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour insérer un projet existant dans un espace de travail :

  • Cliquez avec le bouton droit sur l'espace de travail.
  • Sélectionnez la commande Insérer projet existant.
  • La boîte de dialogue de sélection de projets s'affiche à l'écran.

Pour obtenir des informations détaillées concernant les projets individuels (particulièrement en ce qui concerne le type), ouvrez les nœuds du projet dans la fenêtre de sélection. Vous recevrez des informations concernant :

Information

Description

Projet multi-utilisateur

Only displayed if the project is capable of distributed engineering.

ID du projet

Identifiant unique du projet.

Version de la base de données du système

Version de la base de données du système.

System report version

Version de la table du système.

Copies locales du projet connectées

Affichage de copies du projet sur d'autres ordinateurs.

Concerne uniquement les projets multi-utilisateurs (identifiés par la lettre M dans le symbole).

Version de l'Éditeur

Version of the Editor with which the project was created or last edited.

Type :

Displays project type:

  • Projet standard
  • Projet global


Editer un projet existant

Manuels -> Projet et espace de travail -> Projet -> Editer un projet existant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La sélection d'un projet existant s'effectue en sélectionnant le projet dans le gestionnaire de projet ; pour cela, cliquez dessus avec le bouton gauche de la souris. Le bouton droit de la souris affiche le menu contextuel suivant.

Les fonctions suivantes sont disponibles :

Paramètre | Description
Fichiers Runtime |
- Créer modifiés | crée les fichiers Runtime modifiés pour le projet en cours
- Créer tous | crée tous les fichiers Runtime pour le projet en cours
- Importer | Les fichiers pouvant être modifiés dans le Runtime sont rappatriés dans le chemin défini dans l'éditeur – Recettes standard – Recettes du gestionnaire de groupes de recettes – Gestion utilisateur – Plannings et profils
- Projet comme projet de démarrage | définit le projet comme projet de démarrage pour le runtime sur l'ordinateur courant
Lancer le Runtime | Le runtime est démarré avec le projet défini comme projet de démarrage.
Projet actif | Rend le projet actif pour les barres de boutons de l'éditeur et pour les références croisées. Tous les autres projets, non marqués "Garder en mémoire", sont désactivés.
Garder projet en mémoire | Le projet reste en mémoire même si un autre projet est activé.
Projet |
- Renommer | Permet de renommer le projet sélectionné
- Enregistrer projet sous ... | Enregistre le projet sous un nouveau nom dans un nouveau répertoire
- Propriétés | Ouvre la fenêtre des propriétés avec les propriétés du projet.
- Enlever de l'espace de travail | Enlève le projet de l'espace de travail, mais ne supprime pas le projet physiquement
- Supprimer | Supprime physiquement le projet
- Créer sauvegarde | Crée une sauvegarde du projet
- Charger sauvegarde | Charge une sauvegarde du projet dans l'espace de travail courant
Projet transport à distance | ouvre le sous-menu "Projet transport à distance" Le sous-menu Projet transport à distance propose les fonctions suivantes :
- Créer connexion | Permet d'établir la connexion avec le poste distant
- Transférer les fichiers Runtime modifiés | Transporte seulement les fichiers Runtime modifiés vers le poste distant
- Transférer tous les fichiers Runtime | Transporte la totalité des fichiers Runtime vers le poste distant
- Transférer tous les fichiers Runtime | les fichiers pouvant être modifiés dans le runtime (par ex. recettes, gestion des utilisateurs etc.) sont rapatriés dans les fichiers de l'éditeur
- Projet comme projet de démarrage | Définit le projet de démarrage pour le poste distant
- Lancer le Runtime | Démarre le Runtime sur le poste distant
- Arrêter le Runtime | Arrête le Runtime sur le poste distant
- Recharger projet | Exécute la function Reinitialiser projet en ligne sur la station cible (périphérique runtime)
- Obtenir fichier erreur | Rapatrie les fichiers d'erreur du poste distant
- Redémarrer OS | Redémarre le poste distant
- Etat système | Obtenir l'état du système du poste distant
- Modification mot de passe à distance | Le mot de passe pour l'acccès à distance à l'ordinateur sur lequel le projet est exécuté est modifié
Profil | Ouvre un sous-menu par lequel on peut sélectionner un profil (voir le chapître sur l'éditeur)
Aide | Ouvre l'aide en ligne

Protection par mot de passe

Each project can be protected with a password. Pour cela :

  • Create the required users in the user administration
  • In Gestion utilisateur in project properties, in the Autorisations sur fonctions property, set the Load project entry to an authorization level greater than 0
  • Assign this authorization level to all authorized users

This enables the project to only be opened by an existing user with the defined authorization level.


Remplacer les liens vers les projets

Manuels -> Projet et espace de travail -> Projet -> Remplacer les liens vers les projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si des projets sont copiés, leurs liens avec des projets de rang supérieur doivent être attribués à nouveau, si nécessaire. L'assistant de remplacement des liens du projet facilite le remplacement automatique des liens du projet vers les synoptiques, les variables et les fonctions. Le système recherche tous les liens vers d'autres projets et les remplace par des liens vers les synoptiques, les variables et les fonctions du nouveau projet sélectionné.

Pour remplacer les liens du projet :

  1. Enregistrez l'espace de travail et les sous-projets
  2. Dans le menu contextuel du projet d'intégration, sélectionnez la commande Remplacer les liens du projet
  3. La boîte de dialogue de sélection de projet s'affiche à l'écran
  4. Sélectionnez les attributions de votre choix
  5. Fermez la boîte de dialogue en cliquant sur OK

Paramètre

Description

Liste de remplacement

Liste d'attributions de projets pour le remplacement de liens :

  • Ancien projet :
    Contient automatiquement tous les projets source. Si cette liste est vide, il n'existe aucun projet de rang supérieur comportant des liens vers des sous-projets dans l'espace de travail.
  • Nouveau projet :
    Le projet dans lequel les liens doivent être adoptés. Effectuez votre sélection dans la liste des projets applicables en cliquant sur les boutons représentant une flèche.

Projets possibles

Les projets dans lesquels les liens source doivent être remplacés. Sélection :

  • Sélectionnez l'ancien projet souhaité
  • Sélectionnez le nouveau projet souhaité
  • Cliquez sur le bouton représentant une flèche vers la gauche

Annuler une attribution :

  • Sélectionnez l'attribution souhaitée dans la liste de remplacement
  • Cliquez sur le bouton représentant une flèche vers la droite

OK

Reprend l'attribution et effectue le remplacement.

Le nombre de liens de projet remplacés est affiché dans la fenêtre de sortie.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Sauvegarder et recharger un projet

Manuels -> Projet et espace de travail -> Projet -> Sauvegarder et recharger un projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Des explications concernant la sauvegarde et le rechargement des projets sont fournies au chapitre sauvegardes des projets.


Enlever un projet de l'espace de travail

Manuels -> Projet et espace de travail -> Projet -> Enlever un projet de l'espace de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour enlever un projet de l'espace de travail, choisir l'entrée Projet / Enlever de l'espace de travail dans le menu contextuel du projet.

Le projet n'est pas supprimé après cette action. Il est toujours dans la base de données et peut-être à nouveau inséré dans un espace de travail avec la commande Fichier / Insérer projet dans espace de travail. Reportez-vous au chapitre Supprimer un projet.


Supprimer un projet

Manuels -> Projet et espace de travail -> Projet -> Supprimer un projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez trouver plus d'informations sur la suppression des projets au chapitre Sauvegardes de projet / Supprimer des projets.


Projet d'intégration

Manuels -> Projet et espace de travail -> Projet d'intégration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon offre la possibilité d'une structurede projet à hiérarchies multiples. Dans ce cas, un projet d'intégration et plusieurs sous-projets sont créés.

Comme un poste centralisé, le projet d'intégration contient les synoptiques d'aperçu global, où les valeurs des variables des sous-projets sont affichées.

Example Exemple

Avec les recettes du projet d'intégration, les valeurs prescrites peuvent être gérées de façon centralisée, de façon à contrôler chacun des projets de façon optimisée.

Grâce à la fonction de recouvrement de projets dans les archives du projet d'intégration, les données des sous-projets peuvent être collectées à un emplacement centralisé.

Il est possible d'utiliser des variables des sous-projets dans le projet d'intégration.

Vous trouverez plus d'informations concernant le remplacement de liens de projet au chapitre Remplacer les liens vers les projets.

attention Attention

Noms des gabarits : évitez d'utiliser le même nom pour les gabarits dans les projets d'intégration et les sous-projets. Pour quelles raisons ?

  • Si un gabarit portant le même nom est déjà ouvert, il est alors utilisé lorsque le nouveau synoptique est appelé et ce, quel que soit le projet auquel il appartient.
  • S'il n'existe toujours aucun gabarit ouvert portant un nom adéquat, le nom de projet du synoptique est utilisé.

Dossiers de fichiers

Les sous-projets situés dans le même nœud de dossier que le projet d'intégration durant la création utilisent toujours la même structure que le projet d'intégration. Chaque sous-projet est saisi dans le fichier project.ini, en tenant compte du chemin du projet d'intégration. Si le chemin du Runtime dans le projet d'intégration est modifié, les chemins des sous-projets changent également. Ceci garantit la capacité du Runtime à localiser les chemins requis.

Autres sujets abordés dans ce chapitre

Copier des sous-projets

Autorisation


Copier des sous-projets

Manuels -> Projet et espace de travail -> Projet d'intégration -> Copier des sous-projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

De façon à éviter que les liens du projet d'intégration vers les sous-projets soient faux après la copie d'un sous-projet, zenon donne la possibilité de remplacer ces liens ou de copier l'espace de travail complet.

Les liens du projet d'intégration vers un sous-projet peuvent être remplacés avec des liens vers un autre sous-projet sans devoir créer une copie du projet d'intégration.

Autres sujets abordés dans ce chapitre

Copier l'espace de travail complet


Copier l'espace de travail complet

Manuels -> Projet et espace de travail -> Projet d'intégration -> Copier des sous-projets -> Copier l'espace de travail complet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une copie de l'espace de travail complet est créée. Pour chaque projet, un "Enregistrer sous ..." est exécuté et un nouveau GUID est généré. Mais les projets gardent leur nom original. L'espace de travail est automatiquement chargé avec les nouveaux projets. Avec cette solution, le projet d'intégration est parcouru complètement pour chercher les liens vers variables ou des fonctions d'autres projets. Dans ces liens le GUID du projet original est remplacé par celui du sous-projet qui a été copié. Avec cette solution le sous-projet peut être adapté et tournera immédiatement avec le nouveau projet d'intégration.


Autorisation

Manuels -> Projet et espace de travail -> Projet d'intégration -> Autorisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Operating authorizations can be implemented in zenon for projects in the network and for integration projects without a network.

Autorisation sur le réseau

Pour activer l'autorisation sur le réseau :

  1. Accédez au groupe Réseau des propriétés du projet.
  2. Activez la propriété Autorisation en réseau active.
  3. Définissez le paramètre Timeout pour requête [s] :
  4. Définissez le paramètre Timeout pour autorisation [s] :
  5. Attention : sélectionnez un intervalle de temps plus court que le délai d'expiration d'attente du réseau dans la propriété -
  6. Configure the functions in order to get the operating authorization or to approve this.

For details see the Operating authorization in the network chapter in the Historian manual.

Authorization in the integration project

To use operating authorizations in an integration project:

  1. Configure a binary variable for the project properties of the Intéraction group for the Vérouillage fonctionnement property
  2. Evaluate its response values

Valeur de la réponse :

  • <>0 : No operating authorization available Runtime reacts as in a network project if the operating authorization is not present.
  • 0 : Authorization available Runtime reacts as in a network project if the operating authorization is present.


Projet global

Manuels -> Projet et espace de travail -> Projet global

Un projet global est un projet qui n'est pas rattaché à un procédé.

info Info

Pour chaque espace de travail, vous ne pouvez créer et utiliser qu'un projet global.

Le projet global comporte un certain nombre de modules, qui sont accessibles à tous les projets dans l'espace de travail. Si des objets existant dans les projets global et local, les objets du projet local sont prioritaires.

Modules

Description

Variables -> Alarme

Groupement d'alarmes en groupes, classes et domaines.

Cadres

Si un cadre n'existe pas dans le projet localement, le système ira le chercher dans le projet global. L'identification est le nom.

Listes de polices

Les listes de polices qui n'existent pas localement sont dérivées du projet global. L'identification est le nom. Prêtez attention aux conséquences de l'utilisation de noms identiques dans le projet global et le projet local.

Palettes

Toutes les palettes d'un projet doivent toujours contenir la même quantité de couleurs ; le nombre de couleurs peut donc varier entre un projet global et un projet local.

Attention : en cas de conflits d'événements dans le Runtime, les palettes de couleurs du projet local sont prioritaires.

Fichier de langue

Les fichiers de langues sont gérés dans les tables de langues, et sont fusionnés au niveau des mots-clés et noms de fichiers. Si un mot clé n'existe pas localement dans le projet, le système va le chercher dans le projet global.

Gestion des utilisateurs

Les utilisateurs sont repérés par leur identification. Si un utilisateur n'existe pas dans le projet local, le système va le chercher dans le projet global.

Attention : les utilisateurs issus de projets globaux sont affichés dans tous les sous-projets dans le Runtime, mais ne peuvent pas être modifiés par le biais de la fonction de gestion des utilisateurs du Runtime.

Fichiers

Si un fichier n'existe pas dans le projet local, le système va le chercher dans le projet global.

Historique des modifications

Consigne toutes les modifications apportées au projet global.

Equipment modeling (Modélisation d'équipements)

Représente tous les niveaux d'une entreprise, conformément aux normes ISA S88 et S95. Créé dans le projet global, utilisé dans le projet local.

Sauvegardes du projet

Permet d'effectuer des sauvegardes du projet global.

info Info

Il n'est pas possible d'ouvrir l'Éditeur VBA dans un projet global.


Configuration du filtre de projets

Manuels -> Projet et espace de travail -> Configuration du filtre de projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un filtre de projet est utilisé dans différentes fonctions (appel de synoptique, exportation, impression, listes, etc.), et doit être décrit à cet emplacement central.

attention Attention

Ce filtre est uniquement disponible dans les projets en réseau comportant des sous-projets, et permet d'accéder aux sous-projets.


Configuration

Manuels -> Projet et espace de travail -> Configuration

La configuration est effectuée par l'intermédiaire des éléments suivants :

Paramètre | Description
Configuration standard | Licence du produit Standard Panneau de configuration
Configuration du projet | Projet Configuration des alarmes Liste chronologique d'événements (CEL) Gestion de moniteurs Gestion utilisateur Sauvegarde projet Renommer projet Enregistrer projet sous...

Autres sujets abordés dans ce chapitre

Standard

Gestionnaire de projet


Standard

Manuels -> Projet et espace de travail -> Configuration -> Standard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après la sélection du menu Fichier/Configuration standard/Standard, les paramètres (non liés à un projet particulier) suivants sont disponibles :

Paramètre | Description
Imprimante | Paramètres globaux des imprimantes pour tous les projets
Répertoires | Définitions pour les nouveaux projets qui seront créés

Autres sujets abordés dans ce chapitre

Imprimante

Dossier général


Imprimante

Manuels -> Projet et espace de travail -> Configuration -> Standard -> Imprimante

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Des imprimantes peuvent être associées aux fonctions suivantes :

Paramètre | Description
for online printing AML or CEL (Pour l'impression en ligne des listes AML ou CEL) | Pour l'impression de la liste d'alarmes ou de la liste chronologique d'événements (configuration dans la section Liste des alarmes et liste chronologique des événements des propriétés du projet, format d'impression défini par les fichiers ALARM.FRM et/ou BTB.FRM).
for offline printing AML or CEL (Pour l'impression hors ligne des listes AML ou CEL) | Listes d'alarmes ou listes chronologiques d'événements (avec le bouton Imprimer dans le synoptique correspondant. Définition des formats d'impression dans les fichiers ALARM_G.FRM et/ou BTB_G.FRM).
Valeurs et rapports à imprimer | Cette imprimante est utilisée pour les rapports et si la fonction 'Imprimer la valeur actuelle' est sélectionnée.
for screenshots (pour les captures d'écran) | Imprimante utilisée pour les captures d'écran
for notepad (pour le bloc-notes) | Impression des fichiers journaux et des textes à partir de listes.

Pour sélectionner une imprimante :

  1. Cliquez dans la liste déroulante
  2. Toutes les imprimantes installées sur l'ordinateur sont affichées

Pour configurer la mise en page :

  1. Cliquez sur le bouton ... adjacent à l'imprimante.
  2. La boîte de dialogue de configuration de la page s'affiche à l'écran

Paramètres

Description

Imprimantes

Paramètres de l'imprimante.

Nom :

Sélectionnez l'imprimante dans la liste déroulante. La liste contient toutes les imprimantes configurées dans le système d'exploitation.

Propriétés...

Ouvre la boîte de dialogue de configuration de l'imprimante.

Etat :

Affiche l'état de l'imprimante. Fournie uniquement à titre informatif.

Type :

Affiche le type d'imprimante. Fournie uniquement à titre informatif

Emplacement :

Affiche l'emplacement de l'imprimante, s'il a été configuré. Fournie uniquement à titre informatif.

Commentaire :

Affiche un commentaire sur l'imprimante, s'il a été configuré. Fournie uniquement à titre informatif.

Papier

Configuration de l'impression.

Taille

Sélectionnez le format de papier dans la liste déroulante.

Source

Sélectionnez le mode d'alimentation en papier dans la liste déroulante.

Alignement

Sélectionnez l'alignement du papier. Parmètres possibles :

  • Format portrait
  • Format paysage

Réseau

Ouvre la boîte de dialogue de sélection d'une imprimante sur le réseau.

OK

Accepte la configuration et ferme la boîte de dialogue. Ceci démarre l'impression dans le Runtime.

Annuler

Abandonne la configuration et ferme la boîte de dialogue. Dans le Runtime, ceci annule également l'impression.

info Info

Vous pouvez utiliser la même imprimante avec différents paramètres pour différents types d'impression.


Dossier général

Manuels -> Projet et espace de travail -> Configuration -> Standard -> Dossier général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'onglet Dossiers, vous définissez les dossiers par défaut pour les catégories décrites ci-dessous. Cliquez sur le bouton ... pour ouvrir l'Explorateur et définir l'emplacement de stockage pour type de fichier sélectionné. Les emplacements de stockage définis ici sont réutilisés par défaut pour les nouveaux projets, et peuvent être modifiés dans les paramètres du projet par le biais de l'option Stockage fichier. Les emplacements de stockage sont créés en fonction du dossier du Runtime.

Paramètre | Description
Graphiques | Fichiers graphiques Par défaut : \Graphics
Fichiers exportés | Chemin d'exportation des archives, de la liste chronologique d'événements, de la liste d'alarmes. Par défaut : \Export
Attributions | Chemin des sauvegardes de projet. Par défaut : \Allocation
Sauvegarde des archives | Dossier de lecture des fichiers de sauvegarde d'archives. Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues. Par défaut : \Backup
Archives transférées | Dossier d'enregistrement des archives transférées. Par défaut : \ExportArv
Aide en ligne | Dossier de l'aide en ligne Par défaut : \ONLINE_HELP


Gestionnaire de projet

Manuels -> Projet et espace de travail -> Configuration -> Gestionnaire de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans les propriétés du projet, tous les détails d'un projet sont configurés. Pour configurer les propriétés, procédez comme suit :

  • Sélectionnez le projet dans l'arborescence des projets
  • Ouvrez la fenêtre de propriétés

    (Vous pouvez l'ouvrir depuis le menu contextuel du projet ou le menu Options)

Autres sujets abordés dans ce chapitre

Infos projet

Dossier du projet

Qualité d'affichage graphique

Données modifiables dans le Runtime


Infos projet

Manuels -> Projet et espace de travail -> Configuration -> Gestionnaire de projet -> Infos projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les informations suivantes peuvent être définies sur le projet :

Paramètre | Description
Auteur | Auteur du projet
Responsable | Chef de projet
Société | Société pour le projet
Commentaire | Commentaire libre sur le projet


Dossier du projet

Manuels -> Projet et espace de travail -> Configuration -> Gestionnaire de projet -> Dossier du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez la propriété Stockage fichier dans les paramètres Général du projet pour ouvrir la boîte de dialogue de définition de l'emplacement de stockage. Les emplacements existants sont définis dans les paramètres généraux des dossiers. Cliquez sur le bouton ... pour ouvrir l'Explorateur et définir l'emplacement de stockage pour type de fichier sélectionné. Les emplacements de stockage sont créés en fonction du dossier du Runtime.

Paramètre | Description
Graphiques | Fichiers graphiques Par défaut : \Graphics
Fichiers exportés | Chemin d'exportation des archives, de la liste chronologique d'événements, de la liste d'alarmes. Par défaut : \Export
Attributions | Chemin des sauvegardes de projet. Par défaut : \Allocation
Sauvegarde des archives | Dossier de lecture des fichiers de sauvegarde d'archives. Lors du chargement de données d'archives depuis le dossier de restauration, les données d'archives provenant du chemin du Runtime et de tous les sous-dossiers du dossier de restauration sont également lues. Par défaut : \Backup
Archives transférées | Dossier d'enregistrement des archives transférées. Par défaut : \ExportArv
Aide en ligne | Dossier de l'aide en ligne Par défaut : \ONLINE_HELP


Qualité d'affichage graphique

Manuels -> Projet et espace de travail -> Configuration -> Gestionnaire de projet -> Qualité d'affichage graphique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans zenon, la qualité d'affichage graphique peut être adaptée aux ressources du système. Ce paramètre est configuré par le biais du paramètre de projet Qualité graphique, dans le groupe Apparence graphique. Les options possibles sont les suivantes :

  • Windows Basic : Basic graphics settings. Paramètre recommandé lorsque les ressources du matériel sont limitées.
  • Windows Enhanced (Windows optimisé) : offre des fonctions d'affichage graphique amélioré, nécessite davantage de ressources.
  • DirectX Software (Logiciel DirectX) : les calculs graphiques sont effectués par le processeur. Selon les éléments graphiques affichés, vous pouvez utiliser plusieurs processeurs. Utiliser l'option DirectX Software peut exercer une forte charge sur le processeur.
  • Matériel DirectX : certains calculs graphiques sont effectués par la carte graphique, ce qui améliore les performances d'affichage. Si ce paramètre n'est pas pris en charge par le système utilisé, zenon bascule automatiquement vers l'option DirectX Software (Logiciel DirectX). En règle générale, il est préférable d'utiliser l'option DirectX Hardware (Matériel DirectX) et de n'utiliser l'option DirectX Software (Logiciel DirectX) qu'en cas d'absolue nécessité.

attention Attention
  • Les paramètres Windows Enhanced (Windows optimisé) et DirectX ne sont pas disponibles sous Windows CE.
  • L'affichage DirectX est uniquement pris en charge dans le Runtime.

DirectX

DirectX offre une qualité d'affichage supérieure à celle des modes Windows Basic (Windows de base) ou Windows Enhanced (Windows optimisé). Ainsi, contrairement aux modes Windows Basic/Enhanced (Windows de base/optimisé), DirectX peut activer ou désactiver les propriétés Utiliser l'anticrénelage (antialiasing) et Polices ClearType, indépendamment des paramètres du système d'exploitation. La qualité de l'anti-aliasing de DirectX est supérieure à la qualité du mode Windows Enhanced (Windows optimisé).

Pour utiliser DirectX, plusieurs conditions préalables doivent être remplies :

Conditions préalables

Description

L'option DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) doit être activée.

Dans les paramètres du projet, vous devez sélectionner DirectX Hardware ou DirectX Software pour la propriété Apparence graphique.

Le système d'exploitation doit prendre en charge DirectX 11.

Les options DirectX Hardware et DirectX Software sont uniquement compatibles avec les systèmes d'exploitation prenant en charge DirectX11.

Si le système n'est pas compatible avec DirectX 11, le mode Windows Enhanced (Windows optimisé) est sélectionné automatiquement.

Le programme DirectX Runtime le plus récent doit être installé.

Pour zenon, il est installé lors de l'installation du programme. Pour le client Web, il doit être installé manuellement.

Le synoptique ou l'élément doit être compatible avec DirectX.

Seuls les éléments ou les synoptiques compatibles avec DirectX peuvent être affichés avec DirectX.

Pour l'option DirectX Hardware (Matériel DirectX), les conditions préalables minimales doivent être satisfaites.

Pour plus de détails, reportez-vous aux exigences minimales concernant la carte graphique. Si ces conditions ne sont pas satisfaites, la carte graphique active automatiquement l'option DirectX Software (Logiciel DirectX).

Si le système d'exploitation ne fournit aucune accélération matérielle (par exemple, dans Remote Desktop), l'option DirectX Hardware (Matériel DirectX) ne pourra peut-être pas être sélectionnée.

Exigences minimales concernant la carte graphique pour l'option DirectX Hardware (Matériel DirectX)

Pour utiliser l'option DirectX Hardware (Matériel DirectX), les conditions minimales suivantes doivent être satisfaites.

Paramètre | Conditions requises | Recommandée
Carte graphique : | Carte graphique dédiée DirectX 11 AMD ou nVidia | Carte graphique dédiée DirectX 11 AMD ou nVidia
Mémoire graphique : (La taille requise dépend du nombre de synoptiques appelés et d'éléments affichés.) | 512 Mo de VRAM | 1 Go de VRAM
Pilote de carte graphique : | Le driver le plus récent fourni par le fabricant de la carte graphique

Pour contrôler la prise en charge de DirectX Hardware par votre carte graphique, vous pouvez utiliser l'outil dxdiag.exe du système d'exploitation Windows. Check the DDI version value under Display. La valeur 11 désigne DirectX 11, par exemple. All supported versions of DirectX are displayed in the Display tab under Feature Levels. For example, DirectX 11 is displayed as 11.0.

Différences entre DirectX et le mode Windows Enhanced

DirectX diffère du mode Windows Enhanced (Windows optimisé) en termes de qualité, de performances et de ressources requises. Voici quelques exemples de différences essentielles :

  • La mise à l'échelle, la déformation et la rotation des objets sont affichées avec un anti-aliasing. L'anti-aliasing est également compatible avec les transformations.
  • Les ombres affichées reflètent la forme de l'élément réel. Même les textes et les éléments bitmaps semi-transparents possèdent une ombre parfaitement correcte. Les changements dynamiques sont pris en compte : lorsque l'utilisateur clique sur un bouton, l'ombre de ce dernier change.
  • L'effet de luminescence reflète la forme réelle de l'élément. Même les textes et les éléments bitmaps semi-transparents possèdent un effet de luminescence parfaitement correct. Les changements dynamiques sont pris en compte : lorsque l'utilisateur clique sur un bouton, l'effet de luminescence de ce dernier change.

info Info

L'utilisation d'éléments graphiques au format WMF et EMF sous DirectX peut entraîner une baisse des performances.

Exemples

Éléments dynamiques pivotés

Avec le mode Windows Enhanced (Windows optimisé) !

Avec DirectX :

La formation de "crans" au niveau des bords est réduite ; les textes sont correctement positionnés.

Bouton semi-transparent avec ombre

Avec le mode Windows Enhanced (Windows optimisé) !

Avec DirectX :

Ombre correcte avec texte visible.

Ombre d'un bouton avec un élément bitmap

À gauche, un bouton comportant un élément bitmap est affiché ; à droite, le même élément est affiché lorsque la propriété Transparent est active.

Avec le mode Windows Enhanced (Windows optimisé) !

Avec DirectX :

Autres sujets abordés dans ce chapitre

Erreurs de traitement de DirectX


Erreurs de traitement de DirectX

Manuels -> Projet et espace de travail -> Configuration -> Gestionnaire de projet -> Qualité d'affichage graphique -> Erreurs de traitement de DirectX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les erreurs sont affichées dans Diagnosis Viewer.

DirectX n'est pas initialisé.

Si DirectX ne peut pas être initialisé durant un appel de synoptique ou dans le cadre du fonctionnement continu,

  • Une barre de progression est affichée
  • Le programme réessaie d'initialiser DirectX
  • Le Runtime s'exécute normalement, tant que la barre de progression est affichée
  • Vous pouvez essayer de résoudre le problème (installation de pilotes, etc.)

Pour annuler la barre de progression, cliquez sur le bouton Annuler. Après l'annulation, le Runtime est fermé et un message d'erreur s'affiche ; pour le fermer, vous devez cliquer sur OK.

Remarque : en cas d'erreur interdisant la réinitialisation de DirectX, un message d'erreur s'affiche immédiatement.

Outil de diagnostic : Diagnosis Viewer

DirectX fournit différents messages dans Diagnosis Viewer ; ces messages contiennent :

  • Un message d'erreur
  • Des causes possibles des erreurs
  • Codes d'erreur

L'affichage se déroule dans un module DirectX spécifique. En cas d'erreur, le texte de l'erreur est affiché dans le champ de texte Erreur. Dans le cas des avertissements et informations de débogage, les messages correspondants sont affichés dans le champ de texte Général :

  • En cas d'appel de synoptique réussi, au moins un message de débogage indiquant le succès de l'opération est affiché.
  • Les avertissements désignent les événements pouvant influencer le fonctionnement.
  • Si une erreur ne pouvant pas être résolue se produit, un message d'erreur est affiché.

info Info

Si un message n'est pas entièrement affiché dans la table dans l'outil Diagnosis Viewer, vous pouvez double-cliquer sur l'entrée pour l'ouvrir et afficher le message dans sa totalité.

Liste de contrôle de recherche d'erreurs

  • Une vérification du bon fonctionnement de DirectX peut être effectuée en activant le message de débogage dans l'outil Diagnosis Viewer. Pour faciliter la résolution d'incidents, un message détaillé est affiché.
  • Les avertissements ou messages d'erreur concernant DirectX sont-ils affichés dans l'outil Diagnosis Viewer ?
  • La propriété DirectX Hardware ou DirectX Software est-elle activée dans le paramètre de projet Qualité graphique ?
  • Les conditions indispensables à l'exécution de DirectX sont-elles satisfaites ? Pour plus de détails concernant les conditions minimales indispensables, reportez-vous au chapitre Qualité d'affichage graphique.
    • DirectX 11 est-il pris en charge par le système d'exploitation ?
    • Une version actuelle de DirectX Runtime est-elle installée ?
    • DirectX Hardware est-il pris en charge par la carte graphique ?

      Pour contrôler la prise en charge de DirectX Hardware par votre carte graphique, vous pouvez utiliser l'outil dxdiag.exe du système d'exploitation Windows. Check the DDI version value under Display. La valeur 11 désigne DirectX 11, par exemple. All supported versions of DirectX are displayed in the Display tab under Feature Levels. For example, DirectX 11 is displayed as 11.0.

  • DirectX est-il pris en charge par le synoptique ou l'élément ?
  • L'écran fonctionne-t-il correctement dans les modes Windows Basis et Windows Enhanced ?
  • L'écran fonctionne-t-il avec un autre pilote ?
  • L'écran fonctionne-t-il avec une carte graphique d'un autre fabricant ?


Données modifiables dans le Runtime

Manuels -> Projet et espace de travail -> Configuration -> Gestionnaire de projet -> Données modifiables dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il y a différentes données qui peuvent être modifiées dans l'Éditeur zenon aussi bien que dans le Runtime. Ces fichiers concernent les éléments suivants :

  • Gestionnaire de groupes de recettes
  • Recettes standard
  • Gestion des utilisateurs
  • Planning

Protection contre l'écrasement des fichiers du Runtime

Si tous les fichiers Runtime sont créés ou transférés, les fichiers modifiés dans le Runtime entre-temps seraient écrasés. De façon à éviter l'écrasement involontaire de fichiers, qui ne devraient pas être générés ou transférés, ils peuvent être sélectionnés dans la section Ne pas générer et transférer.

Protection contre l'écrasement des fichiers de l'Éditeur

Les données modifiées dans le Runtime peuvent être rapatriées. Dans ce cas, les données dans l'Éditeur sont écrasées. De façon à éviter l'écrasement involontaire de fichiers, qui ne devraient pas être rapatriés, ils peuvent être sélectionnés dans la section Ne pas décompiler.

Boîte de dialogue Données modifiables en RT

Vous pouvez ouvrir la boîte de dialogue de configuration des fichiers modifiables dans le Runtime via les paramètres de projet Général/Données modifiables en RT :

Les types de fichiers suivants peuvent être sélectionnés :

Paramètre | Description
Gestionnaire de groupes de recettes | Les groupes de recettes et les recettes des groupes de recettes Lors du transfert, les nouveaux fichiers sont transférés et de nouveaux sous-dossier sont créés ; les fichiers et sous-dossiers supprimés sont également supprimés sur le système cible.
Recettes standard | Recettes standard
Gestion des utilisateurs | Gestion des utilisateurs pour la connexion et la gestion des droits dans le Runtime.
Planning | Modifications dans les modèles de temps et les plannings du module PFS.

attention Attention

Lors de la conversion du projet, assurez-vous que les fichiers modifiables dans le Runtime sont également convertis. Pour cela, les fichiers du Runtime doivent être importés dans l'Éditeur, puis copiés vers le Runtime après la mise à jour. Pour plus de détails, reportez-vous au chapitre Procédure recommandée pour la conversion des fichiers du Runtime dans le manuel Conversion de projets.

Transfert des fichiers

Dans le Runtime :

Pour transférer des fichiers vers le Runtime :

  1. Tous les fichiers peuvent être transférés
  2. Seuls les fichiers modifiés peuvent être transférés

Ces deux méthodes tiennent compte des fichiers définis dans la propriété Données modifiables en RT.

Fichiers du Runtime

Pour lire les fichiers du Runtime, deux méthodes s'offrent à vous :

  1. Restore all Runtime files (Restaurer tous les fichiers du Runtime) :
    1. relit tous les fichiers du Runtime vers le dossier défini dans la propriété Dossier runtime
    2. Cette fonction est indépendante de la propriété Données modifiables en RT
  2. Importer fichiers Runtime :
    1. Importe les fichiers définis dans la propriété Données modifiables en RT et
    2. Remplace le développement dans l'Éditeur par les fichiers du Runtime
    3. Cette méthode est adaptée à la conversion de données depuis un système distant dans l'Éditeur

Erreur de connexion

Durant le transfert, les données existantes sont remplacées, conformément aux paramètres.

Si des erreurs se produisent lors du transfert vers ou depuis le Runtime, ou si la connexion est interrompue, les fichiers doivent être entièrement transférés à nouveau.


Recettes standard

Manuels -> Recettes standard

Les recettes rassemblent les valeurs prescrites et les commandes sous forme de liste peuvent être exécutée dans le Runtime à l'aide d'une fonction.

Les recettes peuvent être développées dans l'éditeur ou dans le Runtime (à l'aide du synoptique Recette standard).

Une collection comprenant plusieurs recettes peut être créée et gérée à l'aide du gestionnaire de groupes de recettes.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Configuration dans l'Éditeur

Fonction d'appel de synoptique de recette standard

Fonctionnement dans le Runtime


Configuration dans l'Éditeur

Manuels -> Recettes standard -> Configuration dans l'Éditeur

Autres sujets abordés dans ce chapitre

Menu contextuel Gestionnaire de projet

Menu contextuel Vue de détail

Créer un synoptique de type Recette standard

Créer une nouvelle recette

Ajouter des variables à une recette

Modifier valeurs

Exécuter une recette


Menu contextuel Gestionnaire de projet

Manuels -> Recettes standard -> Configuration dans l'Éditeur -> Menu contextuel Gestionnaire de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Élément de menu | Action
Nouvelle recette | Crée une nouvelle recette dans la liste et ouvre le nom aux fins de l'édition.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Import ASCII | Importe les entrées à partir d'un fichier ASCII.
Profil | Ouvre la liste déroulante dans laquelle vous pouvez associer un profil d'éditeur.
Aide | Ouvre l'aide en ligne.


Menu contextuel Vue de détail

Manuels -> Recettes standard -> Configuration dans l'Éditeur -> Menu contextuel Vue de détail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Barre d'outils

Élément de menu | Action
Nouvelle recette | Crée une nouvelle recette dans la liste et ouvre le nom aux fins de l'édition.
Créer une fonction standard | Ouvre la boîte de dialogue permettant de sélectionner une recette et une action et crée une fonction adéquate. Cette action est consignée dans la fenêtre de sortie.
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Retour à l'élément de départ | Si vous avez saisi la liste via la fonction Éléments liés, le symbole vous ramène à l'élément de départ. Uniquement disponible dans le menu contextuel lorsque tous les éléments liés sont ouverts.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Colle le contenu depuis le presse-papiers. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Déplacer vers le haut | Remonte l'entrée d'une place dans la liste de recettes.
Déplacer vers le bas | Descend l'entrée d'une place dans la liste de recettes.
Modifier valeur | Active la cellule Valeur prescrite pour autoriser l'insertion d'une valeur.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Exporter ASCII (sélection) | Exporte les entrées sélectionnées sous forme de fichier ASCII.
Import ASCII | Importe les entrées à partir d'un fichier ASCII.
Renommer | Permet de renommer la recette sélectionnée. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.
Propriétés | Ouvre la fenêtre de propriétés.
Aide | Ouvre l'aide en ligne.

Arborescence du menu contextuel dans la vue de détail

Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Nouvelle recette | Crée une nouvelle recette dans la liste et ouvre le nom aux fins de l'édition.
Renommer recette | Permet de renommer la recette sélectionnée. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.
Créer une fonction standard | Ouvre la boîte de dialogue permettant de sélectionner une recette et de définir l'action souhaitée.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Exporter ASCII (sélection) | Exporte les entrées sélectionnées sous forme de fichier ASCII.
Import ASCII | Importe les entrées à partir d'un fichier ASCII.
Renommer | Permet de renommer la recette sélectionnée. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.
Propriétés | Ouvre la fenêtre de propriétés.
Aide | Ouvre l'aide en ligne.

Menu contextuel Détails

Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Supprimer une variable | Supprime la variable sélectionnée après une demande de confirmation.
Déplacer vers le haut | Remonte la variable sélectionnée d'une position.
Déplacer vers le bas | Descend la variable sélectionnée d'une position.
Modifier valeur | Ouvre la cellule contenant la valeur prescrite afin d'en autoriser la modification.
Remove filter (Supprimer filtre) | Supprime tous les paramètres de filtre actuels.
Aide | Ouvre l'aide en ligne.


Créer un synoptique de type Recette standard

Manuels -> Recettes standard -> Configuration dans l'Éditeur -> Créer un synoptique de type Recette standard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les recettes sont gérées dans le Runtime avec un synoptique de type Recette standard. Ce synoptique doit d'abord être créé dans l'Éditeur. (Vous trouverez d'autres informations concernant les types de synoptiques prédéfinis au chapitre Synoptiques / Types de synoptiques prédéfinis).

Lors de l'ouverture du synoptique, celui-ci est vide. Vous pouvez ajouter des éléments de contrôle par défaut via le menu Éléments de contrôle -> Insérer un modèle.


Créer une nouvelle recette

Manuels -> Recettes standard -> Configuration dans l'Éditeur -> Créer une nouvelle recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer une nouvelle recette, utilisez la commande Nouvelle recette du menu contextuel du dossier Recettes standard dans le gestionnaire de projet. La nouvelle recette est affichée dans la vue de détails du gestionnaire de projet. D'autres définitions se font également dans l'affichage détaillé.


Ajouter des variables à une recette

Manuels -> Recettes standard -> Configuration dans l'Éditeur -> Ajouter des variables à une recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après la création d'une nouvelle recette, des variables peuvent être ajoutées à la recette.

attention Attention

Une variable de chaîne ne peut pas être écrite dans l'automate avec une recette standard. Pour les variables de chaîne, utilisez le Gestionnaire de groupes de recettes.

Les variables sont sélectionnées dans la boîte de dialogue de Sélection des variables. Vous pouvez appliquer les variables en double-cliquant dessus ou en cliquant sur le bouton Ajouter. La multi-sélection est possible. Les variables des sous-projets en mémoire peuvent être utilisées. Les variables ajoutées à une recette ne doivent pas être en mode lecture seule (propriété 'forçage valeur actif' de la section 'Spécifier valeur prescrite' des propriétés de la variable). Si les définitions des variables sont modifiées (échelles), les valeurs définies dans les recettes sont aussi modifiées de la même façon.

info Info

une valeur décimale peut être saisie avec une virgule ou un point, mais la virgule sera automatiquement changée en point.

Trier les variables

Vous pouvez ordonner les variables comme vous le souhaitez :

Sélectionnez la variable que vous voulez dépacer et choisissez une des actions suivantes :

  • utilisez les boutons fléchés dans le coin inférieur droit pour déplacer les objets
  • choisissez Haut ou Bas dans le menu contextuel

Menu contextuel de la vue de détail Variable

Paramètres | Description
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Supprimer une variable | Supprime les variables sélectionnées de la liste après confirmation d'un message d'avertissement.
Déplacer vers le haut | Remonte la variable sélectionnée d'une position.
Déplacer vers le bas | Descend la variable sélectionnée d'une position.
Modifier valeur | Active la cellule Valeur prescrite et sélectionne la valeur prescrite actuelle.
Supprimer tous les filtres | Supprime tous les filtres définis.
Aide | Ouvre l'aide en ligne.


Modifier valeurs

Manuels -> Recettes standard -> Configuration dans l'Éditeur -> Modifier valeurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour modifier les valeurs à envoyer, vous pouvez soit sélectionner 'Modifier valeur prescrite' dans le menu contextuel, soit modifier la valeur directement dans la colonne 'Valeur prescrite'. Afin de vous permettre de contrôler la valeur prescrite, les valeurs techniques minimale et maximale de chaque variable de procédé sont affichées de chaque côté de la valeur. La multi sélection est possible pour la suppression mais pas pour la modification des variables.

La variable '_LASTRECIPE' contient le nom de la recette standard qui a été exécutée le plus récemment.

Ceci permet de faire une gestion de recettes car cette variable donne à tout moment l'information de quelle recette est couramment active.

La variable '_LASTNEWRECIPE' contient le nom de la recette standard qui a été créée le plus récemment.

Les variables "_LASTRECIPE" et "_LASTNEWRECIPE" peuvent être basées sur n'importe quel driver et doivent être accessibles en mode écriture.

attention Attention

Exceptions :

La variable "_LASTRECIPE" ne peut pas être traitée avec le driver système.

La variable "_LASTRECIPE" ne peut pas être traitée avec le driver système.

Autres sujets abordés dans ce chapitre

Vérification de l'écriture de valeurs prescrites


Vérification de l'écriture de valeurs prescrites

Manuels -> Recettes standard -> Configuration dans l'Éditeur -> Modifier valeurs -> Vérification de l'écriture de valeurs prescrites

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'écriture de valeurs, la valeur reçoit un bit d'état qui a été écrit. Si le procédé d'écriture est un succès, le bit d'état correspondant est défini :

  • WR-ACK

    Le driver a reçu une valeur à écrire.

  • WR-SUC

    Valeur 1 : Écriture réussie.

    Valeur 0 : l'action d'écriture a échoué. La valeur n'a pas été écrite.

info Info

Dans le cas d'un rechargement du projet ou d'un basculement sur le serveur redondant, les réponses actuellement actives ou les confirmations d'écriture sont abandonnées.

Cette combinaison d'états existe jusqu'au prochain changement de valeur. À ce moment, les deux états sont définis sur 0, jusqu'à ce que l'action d'écriture soit terminée. Pour l'évaluation, la combinaison de bits suivante doit être demandée dans la matrice de réaction :

WR-ACK, WR-SUC

Résultat :

  • WR-ACK 1, WR-SUC 1: l'action d'écriture a réussi.
  • WR-ACK 1, WR-SUC 0: l'action d'écriture a échoué.

attention Attention

Le mécanisme montre seulement que l'action d'écrire a réussi (ou non) sur l'automate. Ceci ne veut pas dire que la valeur a effectivement changé dans l'automate car l'automate peut resetter ou écraser la valeur immédiatement après. (Par exemple, pour l'écriture de résultats ou de bits transitoires, définis pour un court laps de temps.)

Modules

Ce mécanisme peut être utilisé dans les modules suivants :

  • Fonction Spécifier valeur prescrite : activez l'option Attendre confirmation d'écriture dans la boîte de dialogue de configuration de la fonction.
  • Les recettes standard : Activate property Ecrire de façon synchrone .
  • Groupes de recettes : Activate property Ecrire de façon synchrone.

Entrée dans la liste CEL

  • Fonction Spécifier valeur prescrite

    Pour l'entrée dans la liste CEL, vous devez activer la propriété Fonction envoi valeur prescrite dans le nœud Liste chronologique d'événements dans les paramètres du projet. La réaction positive ou négative à l'exécution de la fonction est ensuite écrite dans la liste CEL.

  • Recettes standard et Gestionnaire de groupes de recettes

    Pour une entrée dans la liste CEL, une variable de driver du système est utilisée et définie sur 1 lors de l'écriture réussie d'une recette. Une variable globale est évaluée sur le serveur, et une variable locale sur chaque client permet de déterminer quand l'écriture la dernière recette exécutée a été finalisée.
    Avec ces variables, une entrée dans la liste CEL peut être générée par l'intermédiaire d'une limite ou d'une matrice de réaction. La requête est exécutée par le biais d'une matrice de réaction multi-analogique ou multi-binaire.


Exécuter une recette

Manuels -> Recettes standard -> Configuration dans l'Éditeur -> Exécuter une recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'exécution de la recette peut se dérouler :

  • Dans le Runtime, via un bouton sur le synoptique Recette standard
  • Par le biais d'un appel de fonction configuré dans l'Éditeur pour l'exécution, via :
    • Dans un script (comme par exemple le script AUTOSTART)
    • Etat de la variable
    • Dans un élément dynamique dans un synoptique, par exemple Bouton.


Fonction d'appel de synoptique de recette standard

Manuels -> Recettes standard -> Fonction d'appel de synoptique de recette standard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction d'appel de synoptique d'une recette standard permet d'appeler un synoptique de type recette standard dans le Runtime.

Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Sélectionnez Appel de synoptique.
  3. Sélectionnez le synoptique supprimé de type Recette standard
  4. La boîte de dialogue de filtre s'affiche pour les éléments suivants :
    • Sélection recette
    • Sélection recette
  5. Définissez les paramètres de la recette et des colonnes
  6. Fermez la configuration en cliquant sur OK

Autres sujets abordés dans ce chapitre

Sélection de l'onglet Recette

Onglet Paramètres des colonnes


Sélection de l'onglet Recette

Manuels -> Recettes standard -> Fonction d'appel de synoptique de recette standard -> Sélection de l'onglet Recette

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètre

Description

Recettes

Sélection de la recette devant être affichée lors de l'appel de synoptique.

Afficher cette boîte de dialogue dans le Runtime

Actif : dans le Runtime, cette boîte de dialogue est affichée lors de l'appel de synoptique. La recette sélectionnée peut être modifiée.

Inactif : le synoptique est ouvert avec la recette définie dans l'Éditeur. Aucune possibilité de modification dans le Runtime.


Onglet Paramètres des colonnes

Manuels -> Recettes standard -> Fonction d'appel de synoptique de recette standard -> Onglet Paramètres des colonnes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous définissez ici le format d'affichage des colonnes dans le champ de liste.

Paramètre | Description
Colonnes disponibles | Définition des colonnes affichées dans le Runtime.
Paramètre | Définition des propriétés pour les colonnes sélectionnées.
Intitulé : | Intitulé des colonnes affichées dans le Runtime.
Width (Largeur) : | Largeur de la colonne en pixels.
Alignement : | Alignement du texte dans la colonne.


Fonctionnement dans le Runtime

Manuels -> Recettes standard -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En mode de fonctionnement en ligne, les fonctions suivantes sont disponibles et peuvent être utilisées dans des scripts :

Paramètre | Description
Recette : envoi direct | Envoi direct de la recette activée
Recette : modification avant envoi | Modifier les paramètres de la recette activée
Recette : sélection et modification avant envoi | Sélection d'une recette et modification de ses paramètres

La fonction Recette : modification avant envoi permet d'afficher le masque de recettes.

Les boutons de contrôle sont les suivants :

Paramètre

Description

Enregistrer

Enregistrer les modifications apportées à la recette

Fermer

Fermez les paramètres de la recette.

Envoyer

Transmettre la recette au matériel avec les paramètres actuels.

Ajouter variable

Ajouter une nouvelle variable à l'aide de la liste de variables.

Supprimer variable

Effacement temporaire de la variable de procédé sélectionnée de la recette (cette suppression devient définitive si la recette est enregistrée)

Modifier valeur prescrite

Modifier la valeur prescrite de la variable sélectionnée.

une valeur décimale peut être saisie avec une virgule ou un point, mais la virgule sera automatiquement changée en point.

Attention : Si cet élément n'existe pas dans le synoptique, les recettes sont affichées en lecture seule dans la liste.

En utilisant la fonction Sélection et modification avant envoi, il est possible de modifier la recette et les paramètres de la recette. La sélection de recette s'affiche à l'écran. La procédure à suivre est similaire au paramétrage dans l'éditeur, à ceci près que les recettes ne peuvent être supprimées.

info Info

Dans le cas d'un rechargement du projet ou d'un basculement sur le serveur redondant, il y a une distorsion dans les réponses présentes ou les confirmations d'écriture.

Vous trouverez plus d'informations concernant les fichiers Runtime modifiés au chapitre Projet et espace de travail / Données modifiables en RT.

Autorisation dans le Runtime

Les actions dans le Runtime peuvent être protégées par un mot de passe et un niveau d'autorisation :

  • Lorsque des recettes sont supprimées, enregistrées, modifiées ou dupliquées, l'utilisateur actuellement connecté doit avoir les groupes d'autorisation requis, qui ont été spécifiés dans la propriété de niveau d'autorisation de la recette. Si l'utilisateur n'a pas les groupes d'autorisation requis, la fonction n'est pas exécutée.
  • En cas de protection par mot de passe du bouton Modifier valeur prescrite, la valeur dans la liste peut uniquement être modifiée si l'utilisateur possède le niveau d'autorisation correspondant. Si ce n'est pas le cas, la boîte de dialogue de connexion est ouverte pour établir une connexion temporaire active dès que l'utilisateur clique sur une colonne pour modifier une valeur.
  • Si le bouton Enregistrer les modifications est protégé par un mot de passe et l'utilisateur ne dispose pas du niveau d'autorisation requis, la boîte de dialogue de connexion temporaire est ouverte après un changement de recette, lorsque la boîte de dialogue est fermée, pour autoriser l'enregistrement des recettes.

Autres sujets abordés dans ce chapitre

Type de synoptique - Recette standard

Fonctions - recettes

Informations d'état des recettes et du Gestionnaire de groupes de recettes


Type de synoptique - Recette standard

Manuels -> Recettes standard -> Fonctionnement dans le Runtime -> Type de synoptique - Recette standard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La gestion des recettes dans le Runtime peut se faire à l'aide d'un synoptique de type Recette standard. (Vous trouverez d'autres informations concernant les types de synoptiques prédéfinis au chapitre Synoptiques / Types de synoptiques prédéfinis).

Les modifications qui ont réussies sont tracées dans le CEL (Liste des événements chronologiques).

info

Toutes les informations indiquées ici sont aussi valides pour les recettes des groupes de recettes.

Paramètre

Description

Boutons

Nouvelle recette

Créer une nouvelle recette

Enregistrer recette

Enregistrer la recette actuelle sous le même nom

Lire recette

Les valeurs des variables de la recette sélectionnée sont lues sur le procédé et sont insérées dans la recette. Les modifications doivent être enregistrées !

Copier recette

Copier la recette actuelle

Supprimer recette

Supprimer la recette actuelle

Modifier une recette

Éditer la recette actuelle.

Exporter recette

Enregistrer la recette actuelle au format *.txt

Importer recette

Charger la recette actuelle à partir d'un fichier *.txt

Exécuter recette

Les valeurs des variables de la recette sélectionnée sont écrites dans le procédé telles qu'elles sont affichées dans la recette.

Recette >

Avancer jusqu'à la recette suivante

Recette >>

Avancer jusqu'à la dernière recette

Recette <

Aller jusqu'à la recette précédente

Recette <<

Aller jusqu'à la première recette

Toutes les valeurs ++

Toutes les valeurs de la recette sélectionnée sont augmentées de 1

Toutes les valeurs --

Toutes les valeurs de la recette sélectionnée sont réduites de 1

Ajouter variable

Ajouter des variables à la recette sélectionnée. Il est aussi possible d'ajouter des variables d'autres projets couramment chargés en mémoire.

Supprimer variable

Supprimer la variable sélectionnée de la recette

Modifier valeur

Modifier la valeur de la variable sélectionnée dans la recette. Une valeur décimale peut être saisie avec une virgule ou un point, mais la virgule sera automatiquement changée en point.

Attention : Si cet élément n'existe pas dans le synoptique, les recettes sont affichées en lecture seule dans la liste.

Généralités

Nom de recette

Nom ou sélection de la recette actuelle

Liste recettes

Affichage de la recette actuelle dans une table

Send progress (Progression de l'envoi)

Barre de progression indiquant la progression de l'écriture des variables de la recette.

L'élément de contrôle affiche la barre de progression du bas vers le haut ou de gauche à droite, selon l'emplacement et la forme de l'élément.

L'élément de contrôle est dissimulé dans le Runtime, et est uniquement affiché durant l'écriture de la recette.

Remarque : l'élément de contrôle est uniquement affiché si la propriété Ecrire de façon synchrone est active.

Ecriture synchrone :

si la propriété Ecrire de façon synchrone est active, la progression de l'écriture de l'élément de contrôle est affichée si une recette est écrite dans le contrôle, jusqu'à ce que la confirmation d'écriture atteigne le module de la recette. Peu importe que la confirmation d'écriture soit positive ou négative. Si vous souhaitez réagir à une confirmation d'écriture négative, vous pouvez le faire à l'aide d'une matrice de réaction.

info Info

Les boutons peuvent être protégés par un mot de passe et un niveau d'autorisation. Pour plus de détails, reportez-vous au chapitre Fonctionnement dans le Runtime.


Fonctions - recettes

Manuels -> Recettes standard -> Fonctionnement dans le Runtime -> Fonctions - recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour autoriser le fonctionnement dans le runtime, les fonctions de recettes correspondantes doivent être créées.

Lorsque la fonction standard est créée depuis le menu contextuel dans l'affichage détaillé, <CD_PRODUCTNANE> crée automatiquement une fonction Recette standard pour la recette sélectionnée.

Autres sujets abordés dans ce chapitre

Recette unique

Recette standard


Recette unique

Manuels -> Recettes standard -> Fonctionnement dans le Runtime -> Fonctions - recettes -> Recette unique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fonctions de recette individuelles sont disponibles dans trois versions :

  • Recette : envoi direct
  • Recette : modification avant envoi
  • Recette : sélection et modification avant envoi

Recette : envoi direct

Cette fonction est utilisée pour exécuter une recette donnée en runtime. Dans une recette, seules les variables de procédé d'un driver peuvent être sélectionnées.

Indiquez la recette comme paramètre de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie.

Recette : modification avant envoi

Cette fonction est utilisée pour modifier une recette avant l'envoi en runtime (modification de la valeur).

Indiquez la recette comme paramètre de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie.

La nouvelle recette est disponible dans la liste des recettes.

Seul le paramètre Valeur prescrite de la recette est activé en mode de fonctionnement en ligne.

Les actions possibles dans l'éditeur et le runtime sont :

Paramètres | Description
Ajouter variable | Ajoute une nouvelle variable à la recette
Supprimer variable | Supprime une variable de la recette
Modifier valeur | Change la valeur de la variable sélectionnée dans la recette

Recette : sélection et modification avant envoi

Cette fonction est utilisée pour sélectionner et modifier une recette avant l'envoi en mode de fonctionnement en ligne (envoi des valeurs des variables).

Indiquez la recette comme paramètre de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie.

En runtime, la boîte de sélection de recettes est ouverte.

Les entrées pouvant être configurées sont les suivantes :

Paramètres | Description
Nouveau | Créer une nouvelle recette
Copier | Copie la recette sélectionnée et l'enregistre sous un nouveau nom
Modifier | Change le nom de la recette sélectionnée
Supprimer | Supprime la recette sélectionnée

La nouvelle recette est disponible dans la liste des recettes.

Les options pouvant être configurées sont les suivantes :

Ajouter variable | Ajoute une nouvelle variable à la recette
Supprimer variable | Supprime une variable de la recette
Modifier valeur | Change la valeur de la variable sélectionnée dans la recette

Pour éviter les modifications des entrées de la recette tout en permettant la sélection de recettes pendant le mode de fonctionnement en ligne, créez une entrée dans le fichier zenon6.ini.

[FUNKTIONEN] |
REZEPT_AENDERN= | 0 : modifications non autorisées 1 : 1 : modifications autorisées (par défaut)


Recette standard

Manuels -> Recettes standard -> Fonctionnement dans le Runtime -> Fonctions - recettes -> Recette standard

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec cette fonction, vous pouvez exécuter une recette existante, ou la mettre à jour avec les valeurs provenant du matériel ou encore l'exporter en runtime. En plus, de nouvelles recettes peuvent être importées ou créées avec les valeurs courantes en provenance du matériel.

Pour créer la fonction :

  1. Créez une nouvelle fonction
  2. Dans le nœud Recettes, sélectionnez la fonction Display menu (Afficher le menu).
  3. La boîte de dialogue de sélection de recettes s'affiche.
  4. Sur l'onglet Sélection recette, sélectionnez la recette que vous souhaitez appeler.
  5. Sur l'onglet Action à exécuter, définissez l'action devant être exécutée dans le Runtime.

Sélection recette

Paramètres | Description
Sélectionner une recette | Sélection de la recette devant être lue ou écrite.
Nom de recette par variable | Le nom de la recette devant être lue ou écrite est donné par la variable sélectionnée. Attention : dans le Runtime, la variable de chaîne doit contenir un nom de recette valide, par exemple Recette_4, avant l'exécution. Dans le cas contraire, cette fonction ne sera pas exécutée.

Action à exécuter

Paramètres | Description
Envoyer valeurs | Les valeurs des variables de la recette sélectionnée sont écrites sur l'automate.
Nombre de valeurs lues dans l'archive | Les valeurs des variables de la recette sélectionnée sont lue sur l'automate et remplacent les valeurs courantes dans la recette.
Dupliquer recette | La recette source crée une copie d'elle-même avec le nom donnée comme recette cible. Le nom de la recette dupliquée n'est pas stocké dans la variable _LASTNEWRECIPE. Pour plus de détails concernant la configuration, reportez-vous au chapitre Duplication de recettes.
Exporter recette | Exporte la recette. Pour plus de détails concernant la configuration, reportez-vous au chapitre Exportation de recettes.
Importer recette | Importe des recettes depuis un fichier ou une variable. Pour plus de détails concernant la configuration, reportez-vous au chapitre Importation de recettes.
Open this dialog in the Runtime (Ouvrir cette boîte de dialogue dans le Runtime) | Affiche une boîte de dialogue de modification de paramètres dans le Runtime.

Dupliquer recette

Paramètres

Description

Sélection recette cible

Sélection d'une recette existante qui sera écrasée avec les données de la recette source.

Attention : Les données de la recette cible sont écrasées.

Nouvelle recette

(générer le nom)

Une nouvelle recette est créée conformément à la syntaxe standard. Les espaces vides dans l'ordre de la recette sont renseignés automatiquement.

Exemple : Les recettes Recipe_0 et Recipe_2 existent déjà. La première duplication crée une recette portant le nom Recipe_1. La deuxième duplication crée une recette portant le nom Recipe_3.

Recette cible à partir d'une variable

Le nom de la recette cible est défini par le contenu d'une variable STRING.

Remarque : si la variable de chaîne de la recette ne cible ne contient pas de texte, un nom de recette est fourni automatiquement.

Exporter recette

Paramètres | Description
Attribution automatique du nom de fichier | Le nom de fichier est créé automatiquement.
Définition du nom de fichier | Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et spécifier un nom de dossier.
Nom de fichier de la variable | Le nom du fichier est défini par le contenu d'une variable de chaîne.

Importer recette

Paramètres | Description
Définition du nom de fichier | Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de dossiers et de fichiers.
Nom de fichier de la variable | La recette est importée depuis un variable liée


Informations d'état des recettes et du Gestionnaire de groupes de recettes

Manuels -> Recettes standard -> Fonctionnement dans le Runtime -> Informations d'état des recettes et du Gestionnaire de groupes de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le Runtime, les informations d'état sont fournies pour :

  • Lecture/écriture
  • Export/import
  • et l'enregistrement

Si une recette est écritre, la variable d'état contient le resultat de l'opération d'écriture.

Valeurs

Exécuter recette

Variable de driver système Recette standard/Recette de groupe écrite complètement

Valeur | Résultat
0 | Envoyer valeur d'initialisation avant la recette
1 | Ecriture réussie
2 | Ecriture non exécutée à cause d'une erreur de paramètre
3 | Ecriture non réussie
4 | Attente système prêt
5 | Ecriture terminée car le RT a été arrêté
6 | Timeout

Remarque : si le réseau est actif dans le projet, la variable de driver système Recette/Recette de groupe écrite complètement localement est significative pour la fonction exécutée sur l'ordinateur local.

info Info

Le terme "écriture" désigne l'écriture sur le driver. Le driver transfère ensuite la recette vers le contrôle. Ce qui signifie :

  • Propriété Ecrire de façon synchrone inactif : la valeur 1 pour le paramètre Recette/Recette de groupe écrite complètement ne signifie pas que les valeurs sont disponibles dans le contrôle. Elles sont écrites dans le driver.
  • Propriété Ecrire de façon synchrone active : le changement de valeur se déroule lorsque toutes les valeurs au niveau du contrôle sont actuelles.

Remarque : La progression de l'écriture est uniquement affichée si la propriété Ecrire de façon synchrone est active.

Recette en cours

Variable de driver système Fonction 'en cours' recette standard/recette de groupe

Valeur

Résultat

-1

en cours d'exécution

0

Valeur d'initialisation, lecture réussie

1

L'utilisateur n'a pas l'autorisation

2

Pas d'autorisation sur le réseau

3

Annulé par l’utilisateur

4

Erreur - impossible de lire quelque chose, e.g.

  • Si la communication avec le matériel est interrompue avant que la lecture aie démarré
  • un bloc de donnée n'est pas disponible sur l'automate
  • Erreur lors de la transmission

5

Erreur lors de l'enregistrement du fichier de recette

Fonctions spécifiques selon le type de synoptique

  • Lecture (Variable de driver de système : Lecture toutes les valeurs de la recette standard/recette de groupe terminée
  • Exportation/importation et
  • Enregistrer

d'une recette via une fonction spécifique du synoptique, les valeurs suivantes sont disponibles :

Valeur

Résultat

0

Valeur d'initialisation attend une réponse du driver

1

Lecture réussie

2

Erreur pendant la lecture, l'exportation/importation ou l'enregistrement

  • Si la communication avec le matériel est interrompue avant que la lecture aie démarré
  • un bloc de donnée n'est pas disponible sur l'automate
  • Erreur lors de la transmission


Réseau

Manuels -> Réseau

Les réseaux de zenon peuvent être déployés et configurés très rapidement, avec une sécurité totale.

L'utilisation de zenon sur un réseau vous permet de :

  • Créer des systèmes distribués (décentralisation)
  • Travailler sur plusieurs stations à la fois (voir Développement distribué)
  • De disposer d'un accès total aux options de configuration et au Runtime sur différents ordinateurs
  • D'utiliser un serveur Web et un client Web pour déployer un accès mobile
  • D'obtenir une vue d'ensemble de tous les espaces de travail (les actions telles que l'acquittement d'alarmes dans un espace de travail sont visibles dans tous les autres espaces de travail)
  • Exécution centralisée des tâches liées aux enregistrements et à l'archivage

zenon prend en charge les fonctionnalités client-serveur, multi-serveurs et multi-clients, multi-serveurs , ainsi que les topologies de réseaux.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Gestion simple du réseau de zenon

La fonctionnalité de gestion de réseau complète de zenon permet de déployer des projets sur différents serveurs, et de créer très rapidement des constellations de réseaux. Les stations individuelles peuvent être configurées de telle manière que seuls les contenus d'un projet nécessaires aux activités sur les différents sites sont visibles. L'Éditeur de zenon aide les utilisateurs à gérer le réseau.

La fonction intégrée de gestion de la topologie fournit une représentation graphique des relations entre les projets individuels et des serveurs associés. Une fonctionnalité de contrôle vérifie la structure configurée, afin de s'assurer qu'elle est complète et libre d'erreurs de configuration. Les erreurs de configuration sont déterminées rapidement. La fonction de gestion des nœuds du réseau de zenon sert également à garantir la capacité opérationnelle de la topologie de réseau sélectionnée.

info Info

Dans les projets en réseau, notez les ordinateurs sur lesquels les modules et fonctions peuvent être administrés et exécutés.

WAN

Sur un réseau, zenon transfère les données de manière spontanée ; il est donc parfaitement adapté à une utilisation sur un réseau WAN. Selon la configuration, nous vous recommandons également de limiter le trafic de commandes de surveillance entre le client et le serveur. La liaison de communication entre le client et le serveur peut être automatiquement fermée. Les routeurs établissent alors une nouvelle connexion lorsque l'échange de données est absolument nécessaire.

Serveur Web

Le serveur Web de zenon permet d'accéder au Runtime via un intranet ou Internet. Aucune adaptation du projet n'est nécessaire. L'accès est obtenu par le biais du client Web. Cette interface offre une ergonomie semblable à celle du Runtime de zenon. Le serveur Web de zenon est disponible dans les versions suivantes :

  • Serveur Web de zenon : Fonctionnalité de pure visualisation
  • Serveur Web Pro de zenon : fonctionnalités complètes de contrôle et de surveillance. Il est possible d'accéder directement aux procédés à travers le Web.

Autres sujets abordés dans ce chapitre

Minimum requis

Configuration du réseau zenon

Chiffrement fort des communications du réseau

Utilisation du module Remote Transport sur le réseau

zenon at the terminal server

Gestion et contrôle de la topologie du réseau

Redondance

Routage

Autorisation sur le réseau

Fonctions de zenon sur le réseau

Comportement des modules de zenon sur le réseau

Messages réseau du driver système


Minimum requis

Manuels -> Réseau -> Minimum requis

L'utilisation de zenon sur un réseau nécessite un réseau Windows opérationnel. L'affichage des ordinateurs du réseau dans l'Explorateur Windows ne suffit pas à garantir que le réseau de zenon est opérationnel.

Généralités

Les conditions suivantes doivent également être remplies :

  • Utilisation du protocole de réseau TCP/IP
  • Noms fonctionnels, définis conformément aux conventions DNS, WINS ou HOST locales.
  • Port TCP 1100 libre :
    Si un projet de réseau est chargé, le Runtime de zenon démarre automatiquement le service de réseau zenNetSrv. Ce programme ouvre le port 1100. Il doit donc être possible d'y accéder à distance, et il ne doit pas être bloqué par un pare-feu.

Les réseaux de zenon offrent un fonctionnement sécurisé avec les systèmes d'exploitation suivants :

  • Windows Vista
  • Windows 7
  • Windows 8
    Remarque : Windows 8 RT n'est pas pris en charge pour des raisons liées au système.
  • Windows Serveur 2008

IPv6

Le réseau de zenon permet de choisir les protocoles IPv6 ou IPv4. Le double fonctionnement n'est pas autorisé. Pour configurer ce paramètre :

  • Sélectionnez Network configuration (Configuration réseau) dans l'outil Startup Tool
    Ou
  • dans le fichier zenon6.ini

Si ce paramètre est modifié, tous les procédés zenon en cours doivent être redémarrés. Ceci concerne en particulier zenAdminSrv, zenSysSrv, zenLogSrv et zenDBSrv.

Les composants suivants ne sont pas affectés par le paramètre ; ils utilisent toujours le protocole IPv4 :

  • Communications du driver avec les automates
  • Communications du protocole dans les plug-ins de Process Gateway
  • Communications de l'espace de travail et du Runtime dans zenon Logic

attention Attention

Le protocole IPv6 est uniquement compatibles avec les versions 7 et ultérieures. Aucune version avant la version 7 ne peut être démarrée si cette option est active.

Ports utilisés

Pour les communications dans zenon, seuls les ports TCP sont utilisés, et non les ports UDP. zenon nécessite les ports suivants sur un réseau :

Service | Fichier | But | Port TCP
Service réseau | zenNetSrv.exe | Communications du Runtime | 1100
Service de transfert. | zenSysSrv.exe | Transfert de données via Remote Transport (depuis l'Éditeur) et le module Diagnosis Server | 1101
Serveur Web de zenon | zenWebsrv.exe | Ordinateur de journalisation sur site entre le client Web et le Runtime | 1102

Vérification des besoins

Résolution du nom

Pour contrôler la résolution du nom :

  1. Démarrez la ligne de commande de Windows (cmd.exe)
  2. Exécutez la commande suivante : ping NOM_ORDINATEUR
  3. Si la résolution de nom est correcte, vous recevrez en réponse l'adresse IP de l'ordinateur dans le Runtime ; dans le cas contraire, vous recevrez un message d'erreur

Ports TCP

Pour vérifier que le port TCP 1100 est joignable :

  1. Démarrez le Runtime dans un projet de réseau sur un ordinateur distant :
    Ceci démarre le programme zenNetSrv.exe, et le port TCP 1100 est ouvert
  2. Démarrez la ligne de commande de Windows (cmd.exe)
  3. Exécutez la commande suivante : telnet COMPUTERNAME 1100
  4. La fenêtre de ligne de commande devient entièrement noire dès qu'une connexion est établie
    (Pour fermer la fenêtre de ligne de commande: sélectionnez la commande Close dans le menu contextuel ou cliquez sur X dans la fenêtre du programme) ; dans le cas contraire, un message d'erreur s'affiche

Remarque : sous Windows Vista/7, vous devez d'abord activer la commande Telnet-. Vous trouverez des instructions à ce propos dans l'aide en ligne du système d'exploitation (recherchez le terme Telnet).

Autres sujets abordés dans ce chapitre

Synchronisation de l'heure sur le réseau


Synchronisation de l'heure sur le réseau

Manuels -> Réseau -> Minimum requis -> Synchronisation de l'heure sur le réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec les projets de réseau, tous les ordinateurs sur le réseau doivent être synchronisés. zenon effectue automatiquement la synchronisation requise.

Dans une topologie en redondance circulaire ou comportant plusieurs serveurs, il est préférable d'utiliser la synchronisation par DCF (horloge contrôlée par radio) ou les commandes Windows. Dans ce cas, la fonction de synchronisation automatique de l'heure de zenon doit être désactivée.

attention Attention

Si la différence de temps entre le serveur et le client est supérieure à 5 secondes, aucun fichier supplémentaire n'est synchronisé.

Désactivation de la synchronisation de l'heure dans zenon

Si la synchronisation de l'heure doit être activée ou désactivée manuellement, une entrée dans le fichier zenon6.ini est nécessaire :

[Netz]

TIMESYNCH=1 -> synchronisation automatique de l'heure active (par défaut)

TIMESYNCH=0 -> synchronisation automatique de l'heure inactive

Example Exemple

[Netz]

TIMESYNCH=0

Synchronisation externe de l'heure à l'aide du système d'exploitation

Si la synchronisation automatique de l'heure de zenon a été désactivée, la synchronisation peut être effectuée par le biais du système d'exploitation. Pour cela, un serveur d'heure doit être spécifié (avec ou sans DCF77) ; il assure la synchronisation de l'heure avec les autres ordinateurs.

Le serveur actuel est le maître actif, dans une topologie client-serveur classique. Il doit se mettre à jour lui-même par le biais d'une fonction DCF (horloge contrôlée par radio) ou des commandes de gestion de l'heure de Windows. Les clients récupèrent l'heure actuelle sur le serveur (selon le délai d'attente défini) et mettent à jour leur heure système en conséquence. Les communications utilisent le protocole SNTP (System Network Time Protocol), qui tient compte du délai.

info Info

Module de surveillance

La synchronisation de l'heure est effectuée périodiquement, à l'heure d'expiration du délai d'attente.

Avec le paramètre par défaut de 30 secondes pour la propriété -, le service de réseau de chaque client (zenNetSrv.exe) envoie une commande de surveillance au service de réseau du serveur (zenNetSrv.exe) toutes les 10 secondes durant le fonctionnement en ligne. Si le serveur répond à l'une au moins des trois commandes de surveillance dans l'intervalle de 30 secondes, le client part du principe que la connexion réseau fonctionne.

Configuration dans les propriétés du projet :

Nœud Réseau, propriété -). L’utilisateur connecté au client a besoin des droits pour modifier l’heure de l’ordinateur.

zenon6.ini

Sur les clients ou les ordinateurs distants qui ne disposent pas de l'Éditeur de zenon, la configuration intervient via le fichier zenon6.ini :

[Netz]

NET_TIMEOUT_MSEC=30000

(Délai d'attente en millisecondes, par défaut : 30000.)

Notez la configuration supplémentaire nécessaire sur le réseau WAN.

Commandes dans Windows

Pour effectuer une synchronisation externe dans Windows, saisissez la commande suivante et les arguments correspondants dans la console de saisie de la commande :

NET TIME [\\Nom de l'ordinateur] | /DOMAIN[:Nom du domaine]: /RTSDOMAIN[:Nom du domaine]] [/SET] [/YES]

Argument

Description

NET TIME
  • Synchronise l'heure de l'ordinateur avec celle d'un autre ordinateur ou d'un autre domaine
    Ou
  • Affiche l'heure d'un ordinateur ou d'un domaine

Si cette commande est exécutée sans autres arguments, la date et l'heure actuelles de l'ordinateur défini en tant que serveur d'heure sont affichées.

Nom de l'ordinateur

Le nom de l'ordinateur effectuant la vérification ou devant être synchronisé.

DOMAIN[:Nom_domaine]

L'heure est synchronisée avec le contrôleur de domaine principal du domaine Nom_domaine.

RTSDOMAIN[:Nom_domaine]

L'heure de l'ordinateur est synchronisée avec un serveur de temps fiable du domaine Nom de domaine.

/SET

Synchronise l'horloge de l'ordinateur avec l'ordinateur et/ou le domaine indiqués. Une fois la commande définie, le serveur d'heure est affiché et une demande est transmise afin de déterminer si cette heure doit être définie.

/YES

Affiche l'heure actuelle du serveur et synchronise cette heure avec l'ordinateur local, sans demande ou confirmation supplémentaire.

Example Exemple

NET TIME \\Serveur /SET /YES

Autres sujets abordés dans ce chapitre

Synchronisation de l'heure sur le réseau WAN


Synchronisation de l'heure sur le réseau WAN

Manuels -> Réseau -> Minimum requis -> Synchronisation de l'heure sur le réseau -> Synchronisation de l'heure sur le réseau WAN

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur un réseau WAN et avec une connexion par modem analogique, la valeur par défaut de 30 secondes définie pour la commande de surveillance ne permet pas de maintenir la connexion en permanence.

Sélectionnez une heure - sur le réseau WAN pour établir des connexions aux intervalles souhaités. Remarque : plus le délai d'attente est long, plus les défaillances de serveurs sont détectées tardivement. Par exemple, si vous sélectionnez une valeur de 64 800 pour -, le délai d'attente est de 18 heures. Une connexion est établie toutes les 6 heures, et une commande de surveillance est transmise. Par conséquent, toute défaillance du serveur ne sera remarquée qu'après 18 heures.

info Info

Un délai fixe de 30 secondes est toujours appliqué au démarrage d'un client.

Fonction Appel de synoptique

Les données actives sont demandées en cas d'appel de synoptique. Procédure :

  • Le système vérifie si une commande de surveillance a été transmise au serveur dans les dernières 30 secondes.
  • Si ce n'est pas le cas, une commande de chien de garde est immédiatement envoyée au serveur. Le délai d'attente de la réponse est de 40 secondes.
  • Si une défaillance de serveur est identifiée, le service de réseau de zenon tente de se reconnecter automatiquement toutes les 30 secondes.

Ceci entraîne alors l'établissement d'une connexion permanente sur le réseau WAN. Ce choix peut nécessiter la modification d'entrées du fichier zenon6.ini :

  1. Ouvrez le fichier zenon6.ini.
  2. Accédez à la section
    [NETZ] (Réseau).
  3. Créez ou modifiez l'entrée

    NET_CONNECTWAIT_MSEC=30000
    Ce paramètre définit la valeur de reconnexion en millisecondes.

    Valeur maximale : Délai d'attente

  4. Créez ou modifiez l'entrée

    NET_CONNECTCOUNT=0

    Ce paramètre définit le nombre de répétitions de la tentative de reconnexion par cycle.

    La valeur par défaut est 0 répétition ; ceci signifie donc 1 seule tentative de reconnexion.


Configuration du réseau zenon

Manuels -> Réseau -> Configuration du réseau zenon

Sur le réseau de zenon, vous utiliserez les paramètres suivants :

Paramètres

Description

Serveur :

Ordinateur connecté à l'automate. Le serveur assure la gestion exclusive des données des procédés et projets. Les communications sont contrôlées au moyen de commandes de surveillance.

En cas de défaillance du serveur, le serveur redondant exécute ses tâches à sa place (à condition qu'un serveur redondant ait été défini). Dès que le serveur est à nouveau prêt, il reprend automatiquement ses tâches et synchronise toutes les données présentes.

Serveur redondant :

Reprend le rôle du serveur dans les systèmes redondants, en cas de défaillance du serveur. Il se comporte comme un client sur le réseau, mais enregistre toutes les données, comme le serveur. En cas de redondance matérielle, le serveur redondant communique dans les deux sens avec l'automate redondant.

Le serveur redondant utilise un buffer interne. Ceci évite les pertes de données durant la période d'indisponibilité entre la défaillance du serveur et la reprise, par le serveur redondant, du rôle du serveur.

Clients :

Chaque ordinateur sur lequel est démarré le Runtime est un client. Les clients se connectent au serveur pour recevoir ou envoyer les données de procédé.

Serveur de données :

Le serveur de données est un ordinateur assurant une communication directe avec le procédé, mais n'effectuant aucune tâche de serveur. Durant le fonctionnement normal, le serveur de données transmet toutes les données au serveur, qui gère le stockage et la distribution de données. Dans l'éventualité d'une panne de réseau ou de serveur, le serveur de données continue à fonctionner comme une station simple, et garantit ainsi le bon déroulement du procédé. Les données sont transférées dès que la connexion au serveur est rétablie.
Domaine d’application : un système sur site dépourvu d'équipements puissants, tels qu'un terminal IPC ou CE. L'archivage et la distribution des données sont effectuées par le serveur de données. Le fonctionnement sur site reste possible en cas de défaillance du serveur. Cela n'est pas le cas sur un réseau client-serveur conventionnel.

info Info

Le serveur et le client ne sont pas définis par rapport à un ordinateur, mais par rapport à un projet.

Si les noms du serveur ou du serveur redondant sont modifiés, ils ne peuvent pas être chargés ensuite. Ils ne peuvent être mis à jour que par un redémarrage du Runtime.

Topologies

zenon prend plusieurs topologies de réseau en charge :

  • Réseau client-serveur : le même projet s'exécute sur tous le serveur et tous les clients.
  • Réseau multi-serveurs : un client peut accéder à différents serveurs, et ainsi afficher simultanément les données des différents projets.
  • Modèle multi-clients, multi-serveurs : tous les clients et serveurs communiquent les uns avec les autres. Il est possible d'accéder aux autres projets depuis chaque projet.

Configurer le réseau

Pour rendre un réseau compatible :

  1. Accédez au nœud Réseau dans les propriétés.
  2. Activez la propriété Réseau actif.
  3. Utilisez la propriété Serveur pour définir l'ordinateur jouant le rôle du serveur dans le projet
    Remarque : l'adresse IP n'est pas suffisante ; vous devez saisir le nom de l'ordinateur.

Si nécessaire, vous devez encore configurer les informations suivantes dans cette section :

  • Routage : propriété Routage actif
  • Serveur redondant : la propriété Redondant :
  • Redondance : la propriété Type de redondance :
  • Message de fin : définit si, lors de l'arrêt du Runtime sur un serveur, les clients sont informés 70 secondes à l'avance

Vous avez maintenant configuré les propriétés essentielles. Répétez ces étapes pour tous les clients sur le réseau zenon. Les ordinateurs distants peuvent également être configurés à l'aide de Remote Transport.

attention Attention

Nom du serveur et du serveur redondant : l'expression "localhost" ne doit pas être utilisée.

Autres sujets abordés dans ce chapitre

Modèle client-serveur

Modèle multi-serveurs

Modèle multi-clients et multi-serveurs

Gestion multi-projets

Tranparence horizontale

Optimisation des grands projets


Modèle client-serveur

Manuels -> Réseau -> Configuration du réseau zenon -> Modèle client-serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le modèle client-serveur, client et serveur utilisent le même projet. Le projet de serveur est démarré en tant que projet actuel sur le client.

Pour configurer le modèle client-serveur, les informations suivantes sont configurées sur chaque ordinateur :

  • La propriété Réseau actif est activée
  • Le nom du serveur est saisi dans la propriété Serveur

Recommandation : le serveur doit être installé sur le plus puissant ordinateur du réseau.

Dans le réseau client-serveur de zenon :

  • Seul le serveur dispose d'une connexion directe avec l'automate
  • Le serveur gère toutes les données de procédé (telles que les données en ligne, les données d'archive, les alarmes, les recettes, etc.)
  • Le serveur gère administre toutes les données du projet (telles que les synoptiques, les fonctions, les variables définies, etc.)
  • Tout autre ordinateur démarrant un même projet est automatiquement reconnu et défini comme client.
  • À chaque démarrage du Runtime, chaque client effectue les opérations suivantes :
    • Connexion au serveur,
    • Synchronisation des données du projet et
    • Affichage des données de procédé actuelles

info Info

Windows CE est entièrement intégré. Les systèmes exécutant Windows CE peuvent être utilisés en tant que serveur ou client.

Autres sujets abordés dans ce chapitre

Configurer le serveur

Configuration des clients


Configurer le serveur

Manuels -> Réseau -> Configuration du réseau zenon -> Modèle client-serveur -> Configurer le serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le serveur établit la connexion à l'automate et gère toutes les données (données en ligne et données de configuration). Les clients synchronisent leurs données avec les données du serveur.

Pour configurer le serveur :

  1. Activez la propriété Réseau actif.
  2. Utilisez la propriété Serveur pour définir l'ordinateur jouant le rôle du serveur dans le projet
    Remarque : l'adresse IP n'est pas suffisante ; vous devez saisir le nom de l'ordinateur.
  3. Notez la configuration correcte des variables internes
  4. Créez des scripts AUTOSTART et AUTOEND pour les clients, si nécessaire

attention Attention

Nom du serveur et du serveur redondant : l'expression "localhost" ne doit pas être utilisée.

Si l'ordinateur de développement sur lequel vous avez créé le projet est également le serveur de Runtime, la configuration du serveur est maintenant terminée.

Configuration des variables internes

Si les variables ont déjà été créées avant que le projet ne soit défini en tant que projet de réseau, les variables internes sont définies localement. Elles sont exécutées localement sur chaque client. Si ces variables doivent également être synchronisées avec le serveur sur le réseau :

  1. Accédez au groupe Variable interne dans les propriétés des variables internes.
  2. Sélectionnez Réseau dans la liste déroulante de la propriété Calcul
    • Local : la gestion des variables est effectuée sur le client. La valeur de la variable peut être différente sur chaque client. Les valeurs limite sont également évaluées localement.
    • Réseau : les variables sont évaluées et gérées sur le serveur du projet. Elles ont la même valeur sur le serveur et tous les clients.

Scripts pour les clients

Si des synoptiques spéciaux sont démarrés ou des fonctions sont exécutées sur les clients, les scripts correspondants doivent être définis :

  • AUTOSTART_CLIENT : exécuté au démarrage du système, définit tous les procédés à exécuter au redémarrage du client ; lors de l'activation d'un synoptique de démarrage spécial, par exemple.
  • AUTOEND_CLIENT : exécuté lors de l'arrêt du système, il définit tous les procédés à exécuter lors de l'arrêt du client. la réinitialisation des sorties, par exemple.

Les deux scripts s'exécutent sur le client.


Configuration des clients

Manuels -> Réseau -> Configuration du réseau zenon -> Modèle client-serveur -> Configuration des clients

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les clients peuvent être configurés manuellement, ou par le biais de Remote Transport. Nous vous recommandons d'utiliser la procédure de configuration dans Remote Transport.

Dans ce cas, les dispositions suivantes s'appliquent :

  • Si la station de développement est également un client, démarrez simplement le Runtime sur celui-ci.
  • Tous les autres clients doivent ensuite être configurés via Remote Transport, ou manuellement.
  • Si des procédés spéciaux doivent être exécutés sur les clients, un script correspondant doit être créé dans le projet pour définir le comportement au démarrage (script AUTOSTART_CLIENT) et à l'arrêt (script AUTOEND_CLIENT).

Autres sujets abordés dans ce chapitre

Configuration du client avec Remote Transport

Configuration manuelle du client

Comportement dans le Runtime


Configuration du client avec Remote Transport

Manuels -> Réseau -> Configuration du réseau zenon -> Modèle client-serveur -> Configuration des clients -> Configuration du client avec Remote Transport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Par défaut, Remote Transport transporte toujours les fichiers du Runtime vers l'ordinateur défini en tant que serveur dans les propriétés du réseau. Pour pouvoir configurer des clients depuis l'ordinateur de développement à l'aide de Remote Transport, vous devez définir le sens du transfert avant de configurer le client.

Pour configurer des clients à l'aide de Remote Transport :

  1. Ouvrez le nœud Général dans les Propriétés du projet.
  2. Cliquez sur la propriété Transport à distance.
  3. La boîte de dialogue Remote Transport s'affiche.
  4. Dans le champ Connexion sous l'intitulé Nom, saisissez le nom du client sur le réseau.
    Séparez plusieurs clients par un point-virgule (;).
  5. Fermez ensuite l'interface de configuration du projet en cliquant sur le bouton OK.
  6. Établissez une connexion en ligne avec le client.
    Pour continuer à utiliser le module Remote Transport, nous vous recommandons d'utiliser les symboles de la barre d'outils.
  7. Transportez tous les fichiers du Runtime vers le client à l'aide du module Remote Transport.
  8. Définissez le projet de départ du client à l'aide de Remote Transport.
  9. Démarrez le Runtime sur le client à l'aide de Remote Transport.
  10. Arrêtez la connexion en ligne.


Configuration manuelle du client

Manuels -> Réseau -> Configuration du réseau zenon -> Modèle client-serveur -> Configuration des clients -> Configuration manuelle du client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer les clients pour le démarrage du Runtime :

  1. Fermez l'Éditeur de zenon et le Runtime de zenon.
  2. Ouvrez le fichier zenon6.ini avec un éditeur de texte.
    Vous trouverez ce fichier dans le dossier C:\ProgramData\COPA-DATA\System\
  3. Supprimez la ligne VBF30=.... ou ajoutez un commentaire qui annule cette ligne.

    Cette entrée définit le projet chargé au démarrage du Runtime.

  4. Fermez l'Éditeur et démarrez le Runtime.
  5. Une boîte de dialogue apparaît, demandant le projet qui doit être chargé.

  6. Cochez la case Charger projet à partir du serveur Runtime.

  7. Saisissez les informations suivantes :
    1. Serveur de Runtime : l'ordinateur défini en tant que serveur. Le nom peut être saisi directement ou être sélectionné dans la liste, à l'aide du bouton ....
    2. Nom du projet Le nom du projet exécuté sur le serveur.
    3. Dossier cible du projet : le dossier du Runtime sur le disque dur local du client. Vous pouvez soit sélectionner un répertoire existant en cliquant sur le bouton …, ou le saisir manuellement. Si un dossier qui n'existe pas est saisi, ce dossier est créé automatiquement.
    4. Confirmez les paramètres en cliquant sur OK.
  8. Runtime de zenon :
    1. La connexion est maintenant établie au serveur de Runtime
    2. Les fichiers du Runtime sont copiés vers le dossier cible du projet
    3. Le Runtime démarre
    4. Un redémarrage du Runtime est demandé, si nécessaire
  9. L'entrée VBF30=... dans le fichier zenon6.ini est configurée avec le dossier cible du projet.

    Le Runtime démarre ensuite automatiquement le projet de réseau sur le client à chaque démarrage.

Répétez cette procédure pour chaque client.


Comportement dans le Runtime

Manuels -> Réseau -> Configuration du réseau zenon -> Modèle client-serveur -> Configuration des clients -> Comportement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les projets de réseau peuvent être actionnés de la même manière par le serveur et les clients sur le réseau, et sont visualisés de la même manière. En l'absence de définition de projet valide au démarrage du Runtime, la boîte de dialogue de définition des projets de Runtime est affichée. Pour plus de détails, reportez-vous à la section Configuration manuelle du client.

Différences entre le serveur et le client :

  • Seul le serveur du projet dispose d'une connexion au matériel et gère les données du procédé.
  • Les clients reçoivent les informations suivantes du serveur :
    • Valeurs actuelles des variables
    • Messages système de la liste chronologique d'événements
    • Informations sur les alarmes
    • Recettes
    • Données archivées

Le transfert des données vers le client est spontané et événementiel.

Surveillance de la connexion

Avec le paramètre par défaut de 30 secondes pour la propriété -, le service de réseau de chaque client (zenNetSrv.exe) envoie une commande de surveillance au service de réseau du serveur (zenNetSrv.exe) toutes les 10 secondes durant le fonctionnement en ligne. Si le serveur répond à l'une au moins des trois commandes de surveillance dans l'intervalle de 30 secondes, le client part du principe que la connexion réseau fonctionne. Ce paramètre standard peut être modifié dans l'Éditeur, dans la configuration du réseau : section Réseau des propriétés du projet, propriété -, avec une valeur par défaut de 30 secondes.


Modèle multi-serveurs

Manuels -> Réseau -> Configuration du réseau zenon -> Modèle multi-serveurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon définit et différencie les éléments suivants dans un projet :

  • Serveur
  • Serveur redondant
  • Clients

Il est donc possible de faire fonctionner plusieurs serveurs, clients et projets redondants simultanément et parallèlement sur un même ordinateur, sans rencontrer de problème.

Associée à la capacité du Gestionnaire de projets à créer des structures arborescentes hiérarchiques, cette capacité offre de nombreuses possibilités novatrices en termes d'applications de réseau.

Le modèle multi-serveurs établit une distinction entre :

  • Les sous-stations
  • Les stations principales
  • Les stations centrales

Les ordinateurs simples se comportent en tant que serveurs pour leurs projets spécifiques.

Hiérarchie

La hiérarchie des projets doit être définie dans le Gestionnaire de projets. Pour cela, faites glisser un projet vers un projet de rang supérieur.

Les projets principaux peuvent accéder à l'intégralité des projets qui se trouvent en dessous dans la hiérarchie. Les projets sous-ordonnés peuvent accéder aux projets de même niveau et aux projets de niveau supérieur. Pour un accès sans incident, tenez compte des consignes suivantes :

  • Dans tous les projets impliqués, la propriété Réseau actif être active
  • Le projet cible doit s'exécuter sur un serveur ;
    ce serveur doit pouvoir être joint par l'ordinateur émettant la demande
    (le serveur a démarré le projet d'intégration et tous les sous-projets.)
  • Le projet transmettant la demande doit être démarré sur l'ordinateur transmettant la demande

Exemple : si le projet SUB1 qui exécuté sur l'Ordinateur B souhaite accéder au projet de rang supérieur Intégration1 sur le Serveur A, les conditions suivantes doivent être validées :

  • Le Serveur A doit être joignable depuis l'Ordinateur B
  • Pour Intégration 1 et SUB1, la propriété Réseau actif correspondante doit être définie sur Active
  • Intégration 1 doit être démarré avec tous les sous-projets sur le Serveur A
  • Intégration 1 et SUB1 doivent être démarrés sur l'Ordinateur B

attention Attention

Les noms de projets doivent être uniques sur les systèmes multi-serveurs.


Modèle multi-clients et multi-serveurs

Manuels -> Réseau -> Configuration du réseau zenon -> Modèle multi-clients et multi-serveurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans ce modèle, un ordinateur peut être un serveur pour un projet et, dans le même temps, être un client pour un autre projet. Un même ordinateur peut même être multi-serveurs (serveur pour plusieurs projets) et multi-clients (client pour plusieurs projets) de façon simultanée. Cette structure est mise en œuvre dans la fonction de gestion multi-projets de zenon.

Le modèle multi-clients constitue la base des fonctions suivantes :

  • la transparence horizontale de zenon
  • Redondance circulaire de zenon


Gestion multi-projets

Manuels -> Réseau -> Configuration du réseau zenon -> Gestion multi-projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La gestion multi-projets autorise la mise en œuvre de solutions décentralisées. Les sous-projets peuvent être actionnés comme des projets de serveur sur différents ordinateurs.

Cette fonction offre les possibilités suivantes :

  • Plusieurs projets présents dans un même espace de travail peuvent être modifiés simultanément dans l'Éditeur
  • Plusieurs projets peuvent être démarrés simultanément et les variables, fonctions, archives, etc. provenant d'autres projets sont alors directement accessibles dans les projets.

info Info

La gestion multi-projets n'est pas disponible dans l'Opérateur de zenon. Ce module n'autorise la création et gestion que d'un projet et un projet global.

Structure

Un projet d'intégration chargé sous forme de projet de départ dans le Runtime doit être spécifié.

zenon crée une arborescence de projets multi-hiérarchiques, au sommet de laquelle se trouve le projet d'intégration. La gestion multi-projets permet d'établir une connexion logique entre les différents projets.

info Info

Configurez la topologie et vérifiez-la avec la fonction topologie du réseau de zenon.

Travaillez efficacement grâce à la gestion multi-projets et la hiérarchie des projets

zenon vous permet de réutiliser de manière cohérente des données et des synoptiques provenant de projets existants. La gestion multi-projets de zenon établit une connexion logique entre les projets individuels et établit une liaison hiérarchique entre ces projets. L'utilisateur peut afficher cette hiérarchie de projets de façon graphique dans l'Éditeur de zenon, en faisant glisser les projets vers l'emplacement souhaité avec la souris pour créer une arborescence de projets multi-hiérarchiques.

Le projet le plus haut de la hiérarchie est le projet d'intégration. Tous les autres projets sont subordonnés à ce projet. Les données provenant des projets individuels sont disponibles dans tous les projets de la structure de projets.

La structure multi-projets de zenon est comparable à un dossier de fichiers :

  • Des feuilles supplémentaires (c'est-à-dire des projets zenon) peuvent être ajoutées à tout instant. Le dossier contient toujours automatiquement toutes les informations concernant les feuilles qui y sont stockées. Il est possible de parcourir les pages à tout instant et de consulter les informations qu'elles contiennent, sans en extraire des pages individuelles. Dans la structure multi-projets de zenon, les utilisateurs peuvent parcourir les différents synoptiques ou projets sans devoir extraire des pages.
  • Le projet d'intégration peut être comparé au projet du dossier de fichiers. Il sert de projet de navigation central et permet d'afficher des synoptiques ou des données provenant des projets sous-ordonnés. Les projets individuels sont autonomes, et peuvent être actionnés de manière autonome. L'accès aux données ou synoptiques d'un projet depuis un autre projet est possible par le biais des interfaces standard de zenon. Les extensions ou modifications de projets sont réalisées directement dans les projets individuels. Toute opération de maintenance pouvant être effectuée a uniquement une incidence directe sur le projet concerné ; le système, dans son ensemble, n'est pas affecté.

La gestion multi-projets offre les avantages suivants :

  • Structures claires, de petite taille
  • Maintenance simple, rapide et claire de chaque projet individuel.
    Il est possible, par exemple, de désactiver des projets individuellement sans influencer les autres. De la même façon, les projets peuvent se répartir sur différents ordinateurs.
  • Répartition évoluée de la charge de travail.
  • Fonctionnement multi-projets, car tous les projets traités par un ordinateur sont actifs simultanément.
  • Une structure réseau multi-hiérarchique permet la centralisation de données (valeurs mesurées, alarmes, informations de l'usine, données d'archive, etc.) à un niveau supérieur.
  • Nombre illimité de projets par processeur.
  • Possibilité de centralisation dans de grandes salles de contrôle.
  • Séparation entre la structure de nœud et le réseau physique.

Autres sujets abordés dans ce chapitre

Le projet d'intégration

Définition de la structure dans l'Éditeur

Transfert et démarrage de projets

Gestion de projets


Le projet d'intégration

Manuels -> Réseau -> Configuration du réseau zenon -> Gestion multi-projets -> Le projet d'intégration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le projet d'intégration gère les sous-projets accessibles dans le Runtime. Le projet d'intégration peut être utilisé la gestion multi-projets comme un projet exclusivement administratif, ou comme un projet à part entière. Si le projet d'intégration est utilisé comme projet de départ, tous les sous-projets sont automatiquement démarrés dans le Runtime.

Dans un projet d'intégration, vous pouvez créer, en quelques clics, des listes d'alarmes ou des listes chronologiques d'événements pour tous les projets intégrés. Ainsi, par exemple, vous pouvez afficher et trier par ordre chronologique toutes les alarmes des projets dans la liste d'alarmes du projet d'intégration.

attention Attention

Lors de la conception de la fonction de gestion multi-projets, assurez-vous que la navigation fonctionne.


Définition de la structure dans l'Éditeur

Manuels -> Réseau -> Configuration du réseau zenon -> Gestion multi-projets -> Définition de la structure dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'Éditeur, la structure du réseau peut être créée par de simples manipulations glisser-déplacer. Vous devez également disposer d'un projet d'intégration (I-Project) pour gérer tous les autres projets, conjointement aux projets de production. Les projets simples ne transmettent pas de données aux clients ; par conséquent, un serveur doit être défini dans chaque projet. Le projet d'intégration peut également être un projet de production.

Exemple

Trois projets sont utilisés dans cet exemple :

  • Le projet de production PRO1
  • Le projet de production PRO2
  • Le projet d'intégration I-PRO

Pour créer la structure :

  1. Créer :
    • I-PRO
    • PRO1
    • PRO2
    • et définissez un serveur pour chacun
  2. Dans le gestionnaire de projets, faites glisser PRO1 vers I-PRO en maintenant le bouton gauche enfoncé
  3. Faites de même pour PRO2
  4. PRO1 et PRO2 sont maintenant affichés sous forme de branches du projet I-PRO dans le gestionnaire de projets

La structure hiérarchique du réseau est ainsi créée.

info Info

Pour pouvoir sélectionner les éléments des sous-projets, tels que les synoptiques, les variables ou les fonctions, vous devez activer l'option Keep project in the memory (Conserver le projet en mémoire) (dans le menu contextuel du projet).


Transfert et démarrage de projets

Manuels -> Réseau -> Configuration du réseau zenon -> Gestion multi-projets -> Transfert et démarrage de projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la structure topologique, tous les sous-projets d'un projet d'intégration sont automatiquement transférés vers les cibles correspondantes. Tous les sous-projets sont également démarrés si le projet d'intégration est le projet de départ.

Pour plus de détails concernant la topologie de réseau, lisez le chapitre Gestion et vérification de la topologie de réseau. Vous trouverez des informations de configuration de l'ordinateur et un exemple de transfert automatique des sous-projets dans la section Configuration des ordinateurs sur le réseau.

Transfert et démarrage manuels de projets

Pour transférer ou démarrer manuellement des projets :

  • Transportez tous les fichiers de Runtime du projet PRO1 vers le serveur correspondant à l'aide du module Remote Transport.
  • Définissez le projet de départ du serveur du projet PRO1 à l'aide de Remote Transport.
  • Démarrez le Runtime sur le serveur du projet PRO1 à l'aide de Remote Transport.
  • Arrêtez la connexion en ligne.
  • Faites de même pour PRO2.


Gestion de projets

Manuels -> Réseau -> Configuration du réseau zenon -> Gestion multi-projets -> Gestion de projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Plusieurs possibilités s'offrent à vous pour accéder aux données provenant des sous-projets, par exemple :

  • Navigation entre les projets
  • Utilisation de variables ou de fonctions provenant d'un autre projet
  • Envoi de recettes à différentes variables dans différents projets
  • Création d'archives utilisées dans les projets
  • Création d'une liste AML ou CEL commune à différents projets

attention Attention

Durant la configuration, notez les modules et fonctions s'exécutant sur les différents équipements – serveur, serveur redondant ou client. Vous trouverez une liste des configurations possibles ici : Comportement des modules sur le réseau.

Autres sujets abordés dans ce chapitre

Navigation entre les projets

Variables et fonctions

Recettes

Archives

Alarmes et liste CEL


Navigation entre les projets

Manuels -> Réseau -> Configuration du réseau zenon -> Gestion multi-projets -> Gestion de projets -> Navigation entre les projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous gérez plusieurs projets dans le cadre d'un projet d'intégration, il est absolument nécessaire de vous assurer que vous pouvez basculer, dans le Runtime, d'un sous-projet vers un autre projet ou vers le projet d'intégration. Pour cela, créez un gabarit affiché au premier plan et positionnez les boutons de navigation sur celui-ci.

Appel de synoptique vers un sous-projet

Pour basculer d'un projet à l'autre, utilisez la fonction d'appel de synoptique de zenon. Pour que la fonction de navigation soit disponible à tout instant, créez d'abord un cadre toujours affiché au premier plan :

  1. Créez un nouveau cadre comportant un espace de navigation
  2. Attribuez-lui la propriété Toujours en avant plan
  3. Activez les propriétés Type de cadre et Titre.
  4. (Ceci autorise le déplacement du cadre dans le Runtime.)
  5. Créez un synoptique comportant des boutons de navigation sur la base de ce gabarit

Exemple de basculement entre PRO1 et PRO2

  1. Créez une nouvelle fonction d'appel de synoptique.
  2. Si plusieurs projets sont présents dans l'espace de travail actuel, la boîte de dialogue de sélection de synoptiques permettant de sélectionner les projets est agrandie.

  3. Sélectionnez PRO1.
  4. Sélectionnez le synoptique de départ de PRO1, puis fermez la boîte de dialogue en cliquant sur OK.
  5. Répétez l'opération pour PRO2.
  6. Ajoutez deux boutons de texte comportant les intitulés PRO1 et PRO2 au synoptique de navigation.
  7. Liez les deux boutons de texte aux fonctions créées.

attention Attention

zenon n'effectue aucune vérification dans l'Éditeur pour s'assurer que la structure du réseau dans le Runtime permet d'accéder au projet et/ou synoptique sélectionné.

Par exemple, dans l'Éditeur, un appel de synoptique vers un synoptique du projet d'intégration peut être créé dans le projet PRO1. Toutefois, dans ce cas, la fonction d'appel de synoptique ne fonctionnera pas dans le Runtime !


Variables et fonctions

Manuels -> Réseau -> Configuration du réseau zenon -> Gestion multi-projets -> Gestion de projets -> Variables et fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez accéder aux variables et fonctions des autres projets depuis le même espace de travail, à l'aide des Éléments dynamiques.

Exemple de variable

  1. Ouvrez le synoptique de démarrage du projet d'intégration.
  2. Ajoutez un nouvel élément dynamique valeur numérique.
  3. La boîte de dialogue de sélection de la variable s'affiche.

  4. Ici, vous pouvez sélectionner des variables autres que celles du projet I-PRO. Pour sélectionner une variable dans un autre projet :
    1. Cliquez sur un projet dans la liste affichée à gauche de l'écran
    2. Les variables associées sont affichées
    3. Sélectionnez la variable que vous voulez attribuer.
  5. Sélectionnez une variable de PRO1 ou PRO2.

Puisque le projet I-PRO est un client des serveurs PRO1 et PRO2, la connexion fonctionne sans incident dans le Runtime.

La procédure est la même pour les fonctions.

attention Attention

zenon n'effectue aucune vérification dans l'Éditeur pour s'assurer que la structure du réseau dans le Runtime permet d'accéder au projet sélectionné et à ses variables/fonctions.

Par exemple, dans l'Éditeur, dans le projet PRO1, une variable du projet d'intégration peut être sélectionnée. Cette connexion ne fonctionne toutefois pas dans le Runtime !


Recettes

Manuels -> Réseau -> Configuration du réseau zenon -> Gestion multi-projets -> Gestion de projets -> Recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez définir les valeurs des variables de différents projets de l'espace de travail dans une recette.

Exemple de recette

  1. Dans le projet I-PRO, ouvrez la branche Recettes.
  2. Sous Recettes standard, créez une nouvelle recette intitulée RECIPE1.
  3. Ouvrez le menu contextuel de RECIPE1, puis sélectionnez Ajouter variable.
  4. La boîte de dialogue de sélection de variables s'affiche à l'écran.

  5. Ici, vous pouvez sélectionner des variables autres que celles du projet I-PRO. Pour sélectionner des variables provenant d'autres projets :
    1. Cliquez sur un projet dans la liste affichée à gauche de l'écran
    2. Les variables associées sont affichées
    3. Sélectionnez les variables de PRO1 et PRO2.
    4. Dans la liste de variables de la recette, le nom du projet est inscrit devant le nom de la variable.

Puisque le projet I-PRO est un client des serveurs PRO1 et PRO2, la connexion fonctionne sans incident dans le Runtime.

attention Attention

zenon n'effectue aucune vérification dans l'Éditeur pour s'assurer que la structure du réseau dans le Runtime permet d'accéder au projet sélectionné et à ses variables.

Par exemple, dans l'Éditeur, dans le projet PRO1, une variable du projet d'intégration peut être sélectionnée. Cette connexion ne fonctionne toutefois pas dans le Runtime !


Archives

Manuels -> Réseau -> Configuration du réseau zenon -> Gestion multi-projets -> Gestion de projets -> Archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez enregistrer les valeurs des variables provenant de différents projets de l'espace de travail dans une archive. Les valeurs enregistrées de cette manière peuvent être filtrées, affichées sous forme de liste ou de tendance, et peuvent être imprimées ou exportées comme les données d'archives normales.

Exemple d'archive

  1. Dans le projet I-PRO, ouvrez le nœud Serveur d'archives.
  2. Créez une nouvelle archive nommée BA - BASIS.
  3. Ouvrez le menu contextuel de RECIPE1, puis sélectionnez Ajouter variable.
  4. La boîte de dialogue de sélection de variables s'affiche.

  5. Ici, vous pouvez sélectionner des variables autres que celles du projet I-PRO. Pour sélectionner des variables provenant d'autres projets :
    1. Cliquez sur un projet dans la liste affichée à gauche de l'écran
    2. Les variables associées sont affichées
    3. Sélectionnez la variable que vous voulez attribuer.
  6. Sélectionnez les variables de PRO1 et PRO2.
  7. Le nom du projet est inscrit devant le nom de la variable la liste de variables de l'archive.

Puisque le projet I-PRO est un client des serveurs PRO1 et PRO2, la connexion fonctionne sans incident dans le Runtime.

attention Attention

zenon n'effectue aucune vérification dans l'Éditeur pour s'assurer que la structure du réseau dans le Runtime permet d'accéder au projet sélectionné et à ses variables.

Par exemple, dans l'Éditeur, dans le projet PRO1, une variable du projet d'intégration peut être sélectionnée. Cette connexion ne fonctionne toutefois pas dans le Runtime !

Redondance

Une fois la sélection des variables effectuée, un message indique qu'un enregistrement fiable est garanti dans toutes les circonstances.

Dans cette structure, le projet I-PRO est uniquement un client des serveurs PRO1 et PRO2. Il reçoit donc uniquement des données des deux projets de serveur. Si l'un des deux serveurs subit une panne, le projet I-PRO ne reçoit plus les données correspondantes. Dans ce cas, dans les archives, seules les valeurs de remplacement apparaîtront !

Pour garantir un enregistrement fiable, exécutez de manière redondante tous les projets fournissant des données à une archive.


Alarmes et liste CEL

Manuels -> Réseau -> Configuration du réseau zenon -> Gestion multi-projets -> Gestion de projets -> Alarmes et liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans zenon, vous pouvez afficher les messages du système et les alarmes de différents projets d'un même espace de travail ensemble, dans une liste. Ces entrées peuvent ensuite être filtrées, affichées, imprimées ou exportées, comme les données provenant des listes d'alarmes ou listes chronologiques d'événements normales.

Exemple d'une liste AML

  1. Créez un synoptique de type Alarme.
  2. Ajoutez des éléments de contrôle au synoptique en sélectionnant Éléments de contrôle -> Insérer modèle.
  3. Créez une fonction d'appel de synoptique pour ce synoptique.
  4. La boîte de dialogue de filtrage de la liste d'alarmes s'affiche.
  5. Sélectionnez l'onglet Projet.
  6. Sélectionnez le projet devant être affiché dans la liste AML du projet I-PRO.
    (Pour effectuer une sélection multiple, appuyez sur la touche Ctrl pendant que vous cliquez.)

  7. Sélectionnez l'onglet Paramètres des colonnes.
  8. Sélectionnez la propriété Nom du projet pour l'afficher dans le Runtime.
    Vous bénéficiez ainsi d'une vue d'ensemble du projet d'où provient l'alarme dans le Runtime.


Tranparence horizontale

Manuels -> Réseau -> Configuration du réseau zenon -> Tranparence horizontale

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La transparence horizontale améliore les performances du Runtime en offrant les avantages suivants :

  • Collaboration des opérateurs de machines
  • Communication des valeurs réelles et valeurs cible des indicateurs de performances

La transparence horizontale est rendue possible par la gestion multiprojets dans zenon. Ceci permet d'accéder aux données de tous les projets qui s'exécutent dans le Runtime.

Exemple

Plusieurs terminaux sont associés à une machine. Chaque terminal a son propre projet de visualisation. À l’aide de la "transparence horizontale", il est possible d'afficher et d'intervenir sur le projet spécifique à chaque terminal, mais aussi sur tous les autres projets. De cette façon, la machine complète peut être contrôlée depuis chacun des terminaux.


Optimisation des grands projets

Manuels -> Réseau -> Configuration du réseau zenon -> Optimisation des grands projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les grands projets de déploiement de réseau peuvent, s'ils sont déployés avec des paramètres standard, exercer une charge importante sur le serveur de zenon lors de l'exécution d'une fonction de recharge.
Un "grand projet" implique notamment :

  • Des fichiers de Runtime de 10 Mo, voire plus
  • Plus de 50 clients

Dans ce cas, il peut être nécessaire d'optimiser le comportement de rechargement du projet, afin d'éviter que tous les clients chargent leurs données simultanément. Pour cela, vous pouvez paramétrer l'entrée RELOADDELAY_SEC 0 dans le fichier project.ini. Ceci permet de retarder le rechargement conformément à une valeur aléatoire.
Pour cela :

  1. Ouvrez le fichier project.ini, situé dans le dossier Project_SQL_Ordner/FILES/zenon/system/.
    Conseil : sélectionnez le projet dans le gestionnaire de projet, puis appuyez sur les touches Ctrl+Alt+E ; l'Explorateur Windows ouvre le dossier Project_SQL_directory/FILES/.
  2. Accédez à la section [NETZ] (Réseau).
  3. Créez l'entrée RELOADDELAY_SEC 0
  4. Sélectionnez la valeur 0 pour le délai

Lors du rechargement, un délai aléatoire (en secondes) compris entre 0 et la valeur sélectionnée est défini pour chaque client. (0 signifie aucun délai).

La valeur sélectionnée n'a aucune incidence sur les projets simples, le serveur ou le serveur redondant

Remarque : cette entrée doit uniquement être définie dans les grands projets, lorsqu'un délai perceptible est ressenti lors du rechargement. Les paramètres par défaut offrent de meilleures performances dans le cadre de projets standard.


Chiffrement fort des communications du réseau

Manuels -> Réseau -> Chiffrement fort des communications du réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon autorise le chiffrement fort des communications sur le réseau de zenon. Le chiffrement fort fonctionne à partir de la version 7.0 de zenon, pour tous les systèmes d'exploitation pris en charge et pour le client Web.

Si le chiffrement est actif, les communications entre le serveur, le client et le client Web sont chiffrées ; le serveur Web de zenon transmet uniquement les paquets de données et n'est pas affecté par le chiffrement.

info Info

Les communications du réseau étaient également chiffrées dans les précédentes versions de zenon. La méthode de chiffrement a changé dans la version 7. Le terme "chiffrement", lorsqu'il est utilisé pour zenon 7.0 ou une version ultérieure, désigne toujours un chiffrement fort.

Autres sujets abordés dans ce chapitre

Notions fondamentales

Activate encryption (Activer le chiffrement)

Chiffrement du mot de passe du réseau

Liste de vérifications en cas d'erreur

Messages d'erreur


Notions fondamentales

Manuels -> Réseau -> Chiffrement fort des communications du réseau -> Notions fondamentales

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le chiffrement dans le Runtime de zenon est disponible à compter de la version 7.0. Il est impossible de communiquer avec les versions antérieures de zenon si le chiffrement est activé. Le chiffrement n'interdit aucune fonctionnalité de zenon.

Chiffrement de base de zenon 7.00

Pour utiliser la fonction de chiffrement fort du réseau zenon, veuillez noter ceci :

  • Le mot de passe est chiffré individuellement sur chaque ordinateur, puis stocké dans zenon6.ini. Par-dessus tout, cela signifie :
    • Le mot de passe ne peut pas être transféré en copiant zenon6.ini vers un autre ordinateur.
    • Si des composants matériels sont modifiés, et plus particulièrement au niveau de l'adaptateur de réseau, le mot de passe peut être non valide ; il doit alors être saisi à nouveau.
  • Le chiffrement doit toujours être activé ou désactivé pour tous les serveurs, clients et clients Web sur le réseau de zenon. Les communications entre les systèmes chiffrés et non chiffrés ne sont pas autorisées. Les serveurs Web servent uniquement d'ordinateur proxy, et ne sont pas affectés par le chiffrement.
  • Si le chiffrement est activé sur un ordinateur, il s'applique toujours aux projets de cet ordinateur dans lesquels la propriété Réseau actif est active.

Compatibilité

Le chiffrement est incompatible avec les versions antérieures à zenon 7.00 SP0. Ce qui signifie :

Système 1 | Système 2 | Communications
zenon 7 chiffrées | zenon 7 chiffrées | oui
zenon 7 non chiffrées | zenon 7 non chiffrées ou zenon avant version 7 non chiffrées | oui
zenon 7 chiffrées | zenon 7 non chiffrées ou zenon avant version 7 non chiffrées | non

Les erreurs sont consignées dans le fichier journal de l'outil Diagnosis Viewer.

Exemple :

L'illustration suivante montre un exemple de réseau comportant un serveur, un serveur redondant, deux clients, un serveur Web et deux clients Web. Tous les équipements exécutent zenon 7.00 SP0. Les équipements sont configurés comme suit :

  • Le chiffrement est activé sur le serveur à l'aide de l'outil Startup Tool.
  • Le chiffrement est également activé sur le serveur redondant et le client A via Remote Transport lors du transfert des fichiers de Runtime.
  • Le client B et le client Web B communiquent encore sans chiffrement.
  • Sur le client Web A , le chiffrement est activé par le biais du chiffrement des communications du réseau (zenWebCryptConfig.exe).
  • Le serveur Web n'évalue pas les paquets de données, mais les retransmet immédiatement ; il ne nécessite donc pas de chiffrement. En théorie, il peut également utiliser une version antérieure sans que cela n'empêche les clients Web de créer des connexions chiffrées.

Cette configuration aboutit au résultat suivant :

  • Le serveur redondant communique efficacement avec le serveur.
  • Le client A peut se connecter au serveur et échanger des données.
  • Par que le client B envoie des messages non chiffrés, qui sont refusés par le serveur parce que le chiffrement est actif, le client B ne peut pas communiquer avec le serveur et est donc hors ligne.
  • Le client Web A se connecte au serveur via le serveur Web, et peut échanger des données.
  • Les messages non chiffrés provenant du client Web B sont transmis du serveur Web au serveur, mais sont refusés par le serveur. Le client Web B ne peut pas communiquer avec le serveur et est donc hors ligne.

Dès que le chiffrement est activé via Remote Transport ou la configuration de l'outil Startup Tool sur le client B et via le chiffrement des communications du réseau sur le client Web B, ces connexions peuvent établir des connexions au serveur.


Activate encryption (Activer le chiffrement)

Manuels -> Réseau -> Chiffrement fort des communications du réseau -> Activate encryption (Activer le chiffrement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le chiffrement peut être activé de différentes manières :

  • Localement, via l'outil Startup Tool
  • Via le module Remote Transport
  • pour le client Web

Conseil

pour activer la fonction de chiffrement rapidement et facilement, nous vous recommandons d'effectuer la configuration sur un ordinateur à l'aide du module Remote Transport. Cette méthode offre les avantages suivants :

  • La configuration peut être transférée d'un équipement à un autre, en quelques clics seulement, une fois la connexion établie :
    • Activation de la fonction de configuration du chiffrement à distance
    • Cliquez sur Lecture dans zenon6.ini
    • Cliquez sur OK
  • Toutes les configurations peuvent être réalisées depuis un ordinateur.
  • Les erreurs de frappe réalisées lors de la saisie du mot de passe sont détectées par la demande de confirmation du mode de passe, mais si une même erreur de frappe est réalisée sur les deux écrans de saisie, le transfert de la configuration par le module Remote Transport garantit que tous les ordinateurs utilisent le même mot de passe.

Autres sujets abordés dans ce chapitre

Localement, via l'outil Startup Tool

Via le module Remote Transport

pour le client Web


Localement, via l'outil Startup Tool

Manuels -> Réseau -> Chiffrement fort des communications du réseau -> Activate encryption (Activer le chiffrement) -> Localement, via l'outil Startup Tool

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour activer le chiffrement sur l'ordinateur local :

  1. Ouvrez l'outil Startup Tool de zenon
  2. Si vous utilisez plusieurs versions de zenon simultanément, sélectionnez la version souhaitée
  3. Cliquez sur Application -> Options
  4. La boîte de dialogue de l'outil Startup Tool de zenon s'affiche
  5. Sélectionnez l'onglet Encrypt network communication (Chiffrer les communications du réseau)

  6. Cochez la case Encrypt network communication (Chiffrer les communications du réseau)
  7. Saisissez le mot de passe et confirmez-le
  8. Fermez la boîte de dialogue en cliquant sur OK.


Via le module Remote Transport

Manuels -> Réseau -> Chiffrement fort des communications du réseau -> Activate encryption (Activer le chiffrement) -> Via le module Remote Transport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le chiffrement peut être activé sur les ordinateurs distants, à l'aide du module Remote Transport. Toutefois, cela n'est possible que si la connexion distante est protégée par un mot de passe.

Pour activer le chiffrement via une connexion à distance :

  1. Cliquez sur le bouton correspondant dans la barre d'outils Remote Transport

    Ou sélectionnez, dans le menu contextuel du projet : Set up Remote Transport connection > (Établir une connexion via Remote Transport)

  2. La boîte de dialogue de configuration de la connexion s'affiche

  3. Saisissez le mot de passe de la connexion ou créez-le, s'il n'a pas déjà été défini
  4. Cochez la case Configure encryption of network communication (Configurer le chiffrement des communications du réseau)
  5. Cliquez sur OK
  6. La boîte de dialogue de chiffrement des communications du réseau s'affiche

  7. Cochez la case Encrypt network communication (Chiffrer les communications du réseau)
  8. Spécifiez un mot de passe (pour plus d'informations concernant les critères de choix du mot de passe, reportez-vous à la section Mot de passe de chiffrement du réseau)
  9. Confirmez la configuration en cliquant sur le bouton OK.


pour le client Web

Manuels -> Réseau -> Chiffrement fort des communications du réseau -> Activate encryption (Activer le chiffrement) -> pour le client Web

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les communications du réseau peuvent également être chiffrées pour offrir un accès au Client Web de zenon. Pour accéder à un réseau chiffré avec un client Web :

  1. Dans le menu Démarrer, cliquez sur le lien \Programmes\COPA-DATA\Network communication encryption
    ou exécutez le fichier zenWebCryptConfig.exe dans le dossier de programmes de zenon.
  2. La boîte de dialogue de configuration s'affiche à l'écran.

  3. Cochez la case adjacente à Encrypt network communication (Chiffrer les communications du réseau)
  4. Saisissez le mot de passe et confirmez-le
  5. Fermez la boîte de dialogue en cliquant sur le bouton OK


Chiffrement du mot de passe du réseau

Manuels -> Réseau -> Chiffrement fort des communications du réseau -> Chiffrement du mot de passe du réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les considérations suivantes s'appliquent au mot de passe de chiffrement des communications sur le réseau :

  • Longueur minimale : 8 caractères.
  • Longueur maximale : 20 caractères
    La longueur affichée est toujours définie sur 20 caractères, afin de dissimuler la longueur réelle du mot de passe.
  • Caractères autorisés :
    • Lettres : A - Z, a - z
    • Chiffres : 0 - 9
    • Caractères spéciaux
  • Caractères non autorisés :
    • Espace
    • Touche Entrée
  • Composition : un mot de passe doit contenir au moins 1 chiffre et un caractère


Liste de vérifications en cas d'erreur

Manuels -> Réseau -> Chiffrement fort des communications du réseau -> Liste de vérifications en cas d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En cas d'erreur, contrôlez les éléments suivants :

  • Tous les ordinateurs ont-ils accès au réseau, et la fonction de résolution des noms fonctionne-t-elle correctement ?
  • La propriété Réseau actif est-elle activée pour le projet dans l'Éditeur ?
  • Pour les projets comportant un chiffrement, la version 7.00 SP0 ou une version ultérieure du Runtime de zenons'exécute-t-elle sur tous les ordinateurs ?
  • Pour les projets avec chiffrement, la configuration est-elle correcte sur tous les ordinateurs ?
    (Paramètre USE_ENCRYPTION dans zenon6.ini : identique sur tous les ordinateurs – 0, 1 ou absent.)
  • Les fonctions requises sont-elles disponibles (ceci concerne essentiellement les terminaux CE) ?
    • Les fonctions inexistantes empêchent le démarrage du Runtime.
  • Si le fournisseur de service de l'un des algorithmes est indisponible, un message d'erreur est inscrit dans le fichier journal au démarrage du Runtime.
  • Le mot de passe a-t-il été correctement défini ?
  • Le matériel a-t-il été modifié sur l'un des ordinateurs impliqués après configuration du chiffrement ?
  • L'ordinateur répond-il à une commande ping ?
    • Oui : une connexion réseau est présente ; le problème est dû aux communications.
    • Non : Contrôlez le réseau.
  • Est-il possible de se connecter à Telnet ?
    • La définition est établie : les deux ordinateurs communiquent au même niveau. Vérifiez le mot de passe.
    • La connexion est établie, puis interrompue à nouveau : un ordinateur utilise des communications chiffrées, et l'autre des communications non chiffrées.
    • Connexion défaillante : le Runtime de zenon ne s'exécute pas sur l'ordinateur cible.

    Remarque : Telnet doit être installé séparément sur les systèmes d'exploitation Windows récents. La connexion est généralement établie via le port 1100.
    La commande Telnet est alors : open [IPAdresse] 1100

Les erreurs sont consignées dans le fichier journal de l'outil Diagnosis Viewer.


Messages d'erreur

Manuels -> Réseau -> Chiffrement fort des communications du réseau -> Messages d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les erreurs sont affichées dans la fenêtre de suivi de l'Éditeur de zenon ou dans des fenêtres contextuelles, et/ou sont consignées dans les fichiers journaux dans l'outil Diagnosis Viewer.

Absence de connexion

Si un client a été configuré avec un mot de passe de chiffrement incorrect (c'est-à-dire différent de celui sur le serveur), cette erreur peut être diagnostiquée grâce aux symptômes suivants :

  • Le client est hors ligne, même si le serveur répond à l'envoi d'un ping.
  • Le serveur inscrit des messages d'erreur dans le fichier journal :

    SysMod Error: Serialize in Object Project: [nom du projet] Modul: [numéro de module]

    Ou :

    NET Error During Decryption [numéro d'erreur]

Champs d'informations et messages d'erreur

Les erreurs de chiffrement sont signalées par l'affichage de messages contextuels et l'insertion d'entrées dans les fichiers journaux ou la fenêtre de suivi de zenon.

Autres sujets abordés dans ce chapitre

Messages d'erreur contextuels

Messages d'erreur dans la fenêtre de suivi

Messages d'erreur dans les fichiers journaux


Messages d'erreur contextuels

Manuels -> Réseau -> Chiffrement fort des communications du réseau -> Messages d'erreur -> Messages d'erreur contextuels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Outil de démarrage et client Web

Les messages d'erreur suivants sont affichés dans des fenêtres contextuelles par l'outil Startup Tool de zenon ou par la fonction de chiffrement des communications du réseau pour la configuration des clients Web. Ces messages sont toujours affichés en anglais.

Message d'erreur

Description

The network password has to be entered in both textboxes!

Lors de la configuration du chiffrement, l'utilisateur n'a pas renseigné l'un des deux champs de saisie (Mot de passe ou Confirmation du mot de passe).

The entered network password and the retyped network password are different!

Le contenu du champ de saisie de la confirmation de mot de passe est différent du contenu du champ de saisie du mot de passe.

The network password does not fulfill the password conventions!

Password conventions:
Minimum length = 8 symbols
Maximum length = 20 symbols
At least one character of the latin charset
At least one number
The blank character is not allowed

Le mot de passe du réseau ne satisfait pas aux conventions applicables aux mots de passe. Les conventions des mots de passe sont présentées dans le message d'erreur.

The network password could not be encrypted!

Une erreur s'est produite lors du chiffrement du mot de passe du réseau.

The network encryption configuration in the files zenon6.ini and startup.ini are invalid.

Please enter a new configuration and register any item with the startup tool to update both files with valid configurations.

Lors de l'affichage de l'onglet Encrypt network communication (Chiffrer les communications du réseau) dans l'outil Startup Tool de zenon, il a été établi que les configurations des fichiers zenon6.ini et startup.ini ne sont pas valides pour le chiffrement du réseau. Une nouvelle configuration doit être saisie.

The network encryption configuration in the file zenon6.ini is invalid.

As the configuration in the file startup.ini is valid, the file zenon6.ini will be updated with a valid configuration when any item is registered with the startup tool.

Une vérification effectuée lors de l'affichage de l'onglet Encrypt network communication (Chiffrer les communications du réseau) dans l'outil Startup Tool de zenon a renvoyé les résultats suivants : la configuration du chiffrement dans le fichier zenon6.ini n'est pas valide, mais la configuration du chiffrement dans le fichier startup.ini est valide.

La configuration non valide dans zenon6.ini sera remplacée par la configuration valide du fichier startup.ini lors du prochain enregistrement d'une entrée.

The network encryption configuration in the file startup.ini is invalid.

Le fichier zenon6.ini contient actuellement une configuration valide. Lors de l'enregistrement d'un objet avec l'outil de démarrage, le fichier zenon6.ini sera mis à jour avec une configuration non valide provenant du fichier startup.ini. Saisissez une nouvelle configuration pour vous assurer que les deux fichiers contiennent des configurations valides après l'enregistrement d'un objet.

Une vérification effectuée lors de l'affichage de l'onglet Encrypt network communication (Chiffrer les communications du réseau) dans l'outil Startup Tool de zenon a renvoyé les résultats suivants : la configuration du chiffrement dans le fichier zenon6.ini est valide, mais la configuration du chiffrement dans le fichier startup.ini n'est pas valide.

La configuration dans zenon6.ini deviendra également non valide lors du prochain enregistrement d'une entrée. Une nouvelle configuration doit être saisie pour garantir que les deux fichiers INI contiennent des configurations valides.

The network encryption password in zenon6.ini is invalid

Le mot de passe lu dans le fichier zenon6.ini n'est pas valide.

Le mot de passe pour le cryptage réseau est invalide et doit être entré à nouveau !

Message affiché au démarrage du Runtime si le mot de passe ne peut pas être confirmé.

Transport à distance

Les messages d'erreur suivants sont affichés dans une fenêtre contextuelle par Remote Transport lorsque l'ordinateur distant est chiffré.

Message d'erreur | Description
To configure the network encryption, the Remote Transport connection must be password protected. | Une tentative de configuration du chiffrement à distance a été effectuée, sans que la connexion Remote Transport ne soit protégée par un mot de passe.
The network password must be entered into both text boxes. | Lors de la configuration du chiffrement, l'utilisateur n'a pas renseigné l'un des deux champs de saisie (Mot de passe ou Confirmation du mot de passe).
La confirmation du mot de passe ne correspond pas au mot de passe ! | Le contenu du champ de saisie de la confirmation de mot de passe est différent du contenu du champ de saisie du mot de passe.
The password entered does not correspond to the password criteria. Password criteria: At least 8 characters Maximum 20 characters At least one letter At least one number No spaces | The password entered does not fulfill the password conventions. Les conventions des mots de passe sont présentées dans le message d'erreur.
An error occurred when encrypting the network password. | An error occurred when encrypting the network password. Si cette erreur se produit durant la configuration via Remote Transport, un message d'erreur plus détaillé est inscrit dans le fichier journal.
(Erreur NET durant le déchiffrement du mot de passe [ID d'erreur]) Une erreur s'est produite lors du déchiffrement du mot de passe du réseau. | Le mot de passe conservé dans zenon6.ini ne peut pas être déchiffré.
La configuration du chiffrement dans le fichier zenon6.ini n'est pas valide, et doit être saisie à nouveau. | Le mot de passe lu dans le fichier zenon6.ini n'est pas valide. Le mot de passe doit être redéfini.


Messages d'erreur dans la fenêtre de suivi

Manuels -> Réseau -> Chiffrement fort des communications du réseau -> Messages d'erreur -> Messages d'erreur dans la fenêtre de suivi

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les erreurs sont affichées sous forme de messages dans la fenêtre de suivi :

Message | Niveau | Description
The server reports an error when compiling the data for the encryption configuration. | ERREUR | (Le serveur renvoie une erreur lors de la compilation des données de configuration du chiffrement.) Le serveur zenSysSrv distant renvoie une erreur lors de la compilation des données de chiffrement du mot de passe de chiffrement du réseau. Les informations de l'adaptateur ne peuvent pas être lues.
*** The configuration of network encryption on the remote device was updated: | ACCENT | (La configuration du chiffrement du réseau sur l'équipement distant a été mise à jour) Ce message apparaît au début du message de conclusion, après la configuration du chiffrement sur un équipement distant via Remote Transport. Ensuite, un message signalant la réussite de la configuration à distance s'affiche.
The server reports an error when the encryption configuration is changed. | ERREUR | (Le serveur renvoie une erreur lors de la modification de la configuration de chiffrement) Le serveur zenSysSrv distant renvoie une erreur lors de l'enregistrement de la configuration de chiffrement sur l'équipement distant. La configuration n'a pas été enregistrée.
The encryption configuration was successfully saved on the server. | TEXTE | (La configuration de chiffrement a été correctement enregistrée sur le serveur) Le serveur zenSysSrv distant indique que la configuration du chiffrement a été correctement enregistrée.
The version of the remote zenSysSrv is too low. The encryption cannot be configured. | ERREUR | (Version du serveur zenSysSrv trop ancienne. Impossible de configurer le chiffrement.) Une tentative de configuration du chiffrement a été effectuée sur l'équipement distant, qui comporte une version de zenSysSrv antérieure à la version 7.00 SP0. Le chiffrement est uniquement disponible à partir de zenon version 7.00 SP0 ; les versions antérieures de zenSysSrv ne peuvent donc pas configurer cette fonction.


Messages d'erreur dans les fichiers journaux

Manuels -> Réseau -> Chiffrement fort des communications du réseau -> Messages d'erreur -> Messages d'erreur dans les fichiers journaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Chiffrement

Les erreurs dans le trafic de réseau chiffré sont consignées dans les entrées de fichier journal. Les ID d'erreur des messages d'erreur dans le récapitulatif suivant sont des codes d'erreur système ou d'erreur COM. Vous trouverez plus d'informations à ce propos dans la bibliothèque MSDN.

Entrée de fichier journal

Niveau

Description

NET Error During Acquiring Cryptography Context [Error-ID]

ERREURS

(Erreur NET durant l'acquisition du contexte de chiffrement [ID d'erreur]) Échec de la création d'un fournisseur de service de chiffrement.

NET Error During Creating Hash [Error-ID]

ERREURS

(Erreur durant la création du hachage [ID d'erreur]) Échec de la création d'une valeur de hachage.

NET Error During Using Hash [Error-ID]

ERREURS

(Erreur durant l'utilisation du hachage [ID d'erreur]) Échec du traitement d'une valeur de hachage.

NET Error During Destroying Hash [Error-ID]

ERREURS

(Erreur NET durant la destruction de la valeur de hachage) Échec de l'effacement d'une valeur de hachage qui n'est plus requise.

NET Error During Deriving Key [Error-ID]

ERREURS

(Erreur NET durant l'obtention de la clé [ID d'erreur]) Échec de la création d'une clé de chiffrement symétrique.

NET Error During Configuring Key [Error-ID]

ERREURS

(Erreur NET durant la configuration de clé [ID d'erreur]) Échec de la configuration des paramètres de chiffrement symétrique.

NET Error Cryptography Not Initialized!

ERREURS

(Erreur NET : chiffrement non initialisé !) Une fonction de chiffrement ou de déchiffrement a été appelée, mais l'initialisation des paramètres requis (fournisseur de service, clé) a échoué.

NET Error Invalid Pointer passed!

ERREURS

(Erreur NET : pointeur non valide transmis) Une fonction de chiffrement ou de déchiffrement a reçu des paramètres non valides.

NET Error Message Length Must Not Be 0!

ERREURS

(Erreur NET : la longueur du message ne doit pas être 0 !) La fonction de chiffrement a été appelée avec un message vide.

NET Error During Buffer Length Calculation [Error-ID]

ERREURS

(Erreur NET durant le calcul de la longueur du buffer [ID d'erreur]) Échec du calcul de la taille de buffer requise pour le chiffrement.

NET Error Buffer Length Must Not Be 0!

ERREURS

(Erreur NET : la longueur du buffer ne doit pas être 0 !) Le buffer de chiffrement ou de déchiffrement n'a pas été créé.

NET Error During Decryption 0x%x

ERREURS

(Erreur NET durant le déchiffrement 0x%x) Une erreur s'est produite durant le déchiffrement.

NET Error During Encryption 0x%x

ERREURS

(Erreur NET durant le chiffrement de 0x%x) Une erreur s'est produite durant le déchiffrement.

NET Error: Encryption Is Required And Project [Projekt] Received Plaintext Network Message

ERREURS

(Erreur NET : le chiffrement est requis et le projet [Projet] a reçu un message de réseau au format texte brut) Le chiffrement est actif, mais un message non chiffré a été reçu. Dans ce cas, le message est effacé.

NET Error: Encryption Is Not Supported And Project [Projekt] Received Encrypted Network Message

ERREURS

(Erreur NET : le chiffrement n'est pas pris en charge et le projet [Projet] a reçu un message de réseau chiffré) Le chiffrement est inactif, mais un message chiffré a été reçu. Dans ce cas, le message est effacé.

NET Cryptography Successfully Initialized

DÉBOGAGE

(Service de chiffrement NET initialisé avec succès) L'initialisation des paramètres de chiffrement et de déchiffrement s'est correctement déroulée. Les paramètres sont initialisés au démarrage du Runtime.

NET Uninitializing Cryptography

DÉBOGAGE

(Annulation de l'initialisation du chiffrement NET) Les paramètres de chiffrement et de déchiffrement ont été effacés. Ceci se produit lors de l'arrêt du Runtime. Si la connexion au fichier journal est interrompue avant l'effacement, le message n'apparaît pas dans l'outil Diagnosis Viewer.

NET Error During Buffer Size Calculation [Error ID]

ERREURS

(Erreur NET durant le calcul de la taille du buffer [ID d'erreur]) Une erreur s'est produite lors du calcul de la taille du buffer requis pour la compilation des informations de chiffrement ou de déchiffrement du mot de passe du réseau.

NET Error During Buffer Size Calculation: No Adapters

ERREURS

(Erreurs NET durant le calcul de la taille du buffer : adaptateurs absents) L'ordinateur ne comporte pas d'adaptateur de réseau. Par conséquent, le mot de passe de réseau ne peut pas être chiffré ou déchiffré.

NET Error During Adapter Info Query [Error ID]

ERREURS

(Erreur NET durant la requête d'informations de l'adaptateur [ID d'erreur]) Une erreur s'est produite lors de la lecture des informations de l'adaptateur relatives au chiffrement ou au déchiffrement du mot de passe du réseau.

NET Error Password Not Properly Formatted

ERREURS

(Erreur NET : formatage incorrect du mot de passe) Le format des données hexadécimales du mot de passe chiffré n'est pas valide.

NET Error During Password Decryption [Error ID]

ERREURS

(Erreur NET durant le déchiffrement du mot de passe [ID d'erreur]) Une erreur s'est produite lors du déchiffrement du mot de passe du réseau.

NET Error During Encrypting Password [Error ID]

ERREURS

An error occurred when encrypting the network password.

NET Cryptography Is Disabled

DÉBOGAGE

(Chiffrement NET désactivé) Le chiffrage du trafic de réseau est désactivé.

NET Error No Password

ERREURS

(Erreur NET : pas de mot de passe) Le chiffrement est actif, mais aucun mot de passe n'a été saisi.

NET Error Password Could Not Be Decrypted

ERREURS

(Erreur NET : impossible de déchiffrer le mot de passe) Le mot de passe de chiffrement du réseau n'a pas pu être déchiffré.

NET Password successfully loaded

DÉBOGAGE

(Chargement du mot de passe NET réussi) Le mot de passe de chiffrement du réseau a été chargé avec succès.

Network Cryptography Disabled By Remote Configuration

DÉBOGAGE

(Chiffrement du réseau désactivé par la configuration distante) zenSysSrv signale que le chiffrement du trafic de réseau sur l'ordinateur a été désactivé par la configuration de Remote Transport.

Network Cryptography Disabled By Remote Configuration

DÉBOGAGE

(Chiffrement du réseau activé par la configuration distante) zenSysSrv signale que le chiffrement du trafic de réseau sur l'ordinateur a été activé par la configuration de Remote Transport.

Network Cryptography Remote Configuration Error

ERREURS

(Erreur de configuration distante du chiffrement du réseau) Une configuration transmise par Remote Transport pour le chiffrement du réseau est incorrecte.

Error During Buffer Size Calculation [Error ID]

ERREURS

(Erreur durant le calcul de la taille du buffer [ID d'erreur]) Une erreur s'est produite lors du calcul de la taille du buffer requis pour la compilation des informations de chiffrement ou de déchiffrement du mot de passe du réseau pour la configuration de Remote Transport.

Error During Buffer Size Calculation: No Adapters

ERREURS

(Erreurs NET durant le calcul de la taille du buffer : adaptateurs absents) L'ordinateur ne comporte pas d'adaptateur de réseau. Par conséquent, le mot de passe du réseau ne peut pas être chiffré ou déchiffré et ne peut donc pas être défini via Remote Transport (il doit donc être connecté par l'intermédiaire de COM). L'utilisation de la fonction de chiffrement du réseau sur un ordinateur dépourvu d'adaptateur de réseau n'a aucun intérêt.

Error During Adapter Info Query [Error ID]

ERREURS

(Erreur durant la requête d'informations de l'adaptateur [ID d'erreur]) Une erreur s'est produite lors de la lecture des informations de l'adaptateur relatives au chiffrement ou au déchiffrement du mot de passe du réseau pour la configuration par le biais de Remote Transport.

NET Error During Decrypting Password: The Password is Invalid!

ERREURS

(Erreur NET durant le déchiffrement du mot de passe : le mot de passe n'est pas valide !) Le mot de passe n'est plus valide, car les

données initiales relatives au chiffrement dépendant de l'ordinateur ont été modifiées.

Cette erreur peut être corrigée par une nouvelle configuration du mot de passe.

Le procédé de déchiffrement est généralement annulé avant que la validité du mot de passe ne soit vérifiée, car l'ancien mot de passe ne peut pas être déchiffré avec les nouvelles données de chiffrement.

Ceci provoque l'erreur "NET Error During Password Decryption 0x80090005" (Erreur NET durant le déchiffrement du mot de passe 0x80090005), et l'affichage du message "The Password is Invalid!" (Le mot de passe n'est pas valide !) à la place du message "NET Error During Password Decryption" (Erreur NET durant le déchiffrement du mot de passe). Une autre conséquence est que la présence d'un mot de passe non valide sur l'ordinateur en question peut entraîner l'affichage de messages d'erreur lors de l'envoi ou la réception de paquets sur le réseau. Le message d'erreur "NET Error Cryptography Not Initialized!" (Erreur NET : chiffrement non initialisé !) est inscrit dans le fichier journal.


Utilisation du module Remote Transport sur le réseau

Manuels -> Réseau -> Utilisation du module Remote Transport sur le réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module Remote Transport permet de transférer des fichiers vers d'autres ordinateurs. Des informations essentielles et détaillées concernant la fonctionnalité de transport à distance sont disponibles dans le manuel de Remote Transport.

Les actions de ce module sont contrôlées depuis la barre d'outils Remote Transport. Les paramètres de connexion et les fichiers à transférer sont présents dans les paramètres du projet. Les chemins de l'ordinateur de développement doivent être affectés aux chemins de l'ordinateur dans le Runtime. Il est donc également possible de mettre les fichiers du Runtime à jour durant le fonctionnement en ligne. Les fichiers Runtime mis à jour sont chargés dans le projet en cours d'exécution à l'aide de la fonction Recharger le projet à distance.

Remarque : Pour les connexions aux équipements CE, reportez-vous à la section Windows CE du manuel de Remote Transport.

Création d'une connexion et sélection d'un emplacement de sauvegarde

  1. Ouvrez le nœud Général dans les Propriétés du projet.
  2. Cliquez sur la propriété Transport à distance.
  3. La boîte de dialogue Remote Transport s'affiche.

Paramètre

Description

Support de transport

Série

Transfert via une connexion série, par exemple vers un terminal CE.
  • Port

Sélection des ports COM pour la connexion série.

TCP/IP

Transfert via TCP/IP sur un réseau, ou via un modem.
  • Nom ou adresse IP de l'ordinateur

Le nom de l'ordinateur ou l'adresse TCP/IP sont saisis en tant que cible :

  • Saisissez le nom de l'ordinateur manuellement, ou en cliquant sur le bouton ...
  • Saisissez manuellement l'adresse IP

L'adresse IP doit être conforme à la version IP définie (IPv4 ou IPv6).

Remarque : lors de la connexion, des numéros de port peuvent être utilisés conjointement aux noms. Par exemple : Runtime1;PORT=1105

Source / Cible

Liste des connexions.

Sur la première ligne, vous pouvez définir une cible pour le premier dossier de la structure. Cliquez avec le bouton droit sur la cellule pour afficher le menu contextuel de sélection.

Attention : ce chemin doit être disponible en permanence sur le système cible. Cela signifie qu'aucun terminal réseau intégré ou périphérique de données amovible ne doit être présent.

active

Définissez les fichiers devant être transférés en option.

Le chemin de base du projet ne peut pas être désélectionné.

Source

Dossier des fichiers devant être transférés.

Destination

Dossier cible.

la cible du premier dossier et de la nouvelle entrée peut être définie.

Les sous-dossiers ne peuvent pas être modifiés. Ceci permet de garantir que tous les fichiers sont présents sur le système cible dans le Runtime.

Remarque : le dossier par défaut est le dossier de Runtime défini dans les propriétés du projet. Si le dossier cible est saisi manuellement, veillez à ce qu'il se termine par le nom du projet. Ceci est important dans le cadre de la gestion multi-utilisateurs. Par exemple :
C:\Users\Public\Documents\zenon_Projects\MON_PROJET

Révision

Type de transfert. Peut être défini librement pour le dossier supérieur et les nouvelles entrées. Cliquez avec le bouton droit pour ouvrir la liste déroulante :

  • Copier : Copier les fichiers
  • Copier et enregistrer : copie les fichiers et les enregistre sur le système. Utile pour les éléments ActiveX et les polices (fichiers ttf).
  • Copier et exécuter : copie les fichiers, puis les exécute.

Description

Saisie de texte facultative pour les nouvelles entrées, permettant de décrire les fichiers devant être transférés.

attention Attention

Pour les projets redondants : Si vous utilisez des drivers nécessitant un fichier de configuration, vous devez désactiver l'entrée \zenon\custom\drivers.

attention Attention !

Tenez compte des effets des paramètres si le projet est utilisé sur le réseau.

Par exemple :

Le transfert des éléments graphiques est désactivé, car ces éléments sont déjà sur le serveur. Alors si un client est démarré. Le client se rend compte que les graphiques ne doivent pas être transférés et donc ne les rapatrie pas chez lui. Dans ce cas, aucun élément graphique n'est affiché sur le client.

À l'inverse, les fichiers peuvent être transférés vers le client ; les fichiers présents sur le client sont alors remplacés.

Fichiers à transférer

Le module Remote Transport assure le transfert des fichiers suivants vers le système cible : tous les fichiers sont systématiquement transférés vers le dossier correspondant.

  1. Standard

    Tous les fichiers présents dans le dossier de Runtime du projet.
    Ces fichiers déterminent l'apparence et le comportement du projet, et sont transférés par défaut :

    1. tous les fichiers de synoptiques (nom du synoptique.zpp)
    2. amlcel.cmp
    3. archiv.cmp
    4. fpm.cmp
    5. functions.cmp
    6. project.cmp
    7. projekt.mdb (pas sous CE)
    8. remas.cmp
    9. rezepturen.cmp
    10. scripts.cmp
    11. templates.cmp
    12. variables.cmp
    13. zuweisung.cmp
    14. Plus : project.ini et projekt.vba, qui sont toujours dans le dossier du projet

info Info

Les fichiers comportant les suffixes suivants ne sont pas transférés par défaut :

  • .hot
  • .ho
  • .ret
  • .re
  1. Facultatif

    En outre, tous les fichiers incorporés dans le projet doivent être transférés. Pour les sélectionner, cochez la case Active dans les paramètres de Remote Transport. Ces fichiers se trouvent dans les sous-dossiers suivants du répertoire du projet :

    1. \zenon\custom\graphics : pour les éléments graphiques
    2. \zenon\custom\lists : pour les tables de langues
    3. \zenon\custom\media : pour tous les fichiers média
    4. \zenon\custom\reports : pour les rapports créés avec le générateur de rapport
    5. \zenon\custom\help : pour les fichiers d'aide
    6. \zenon\custom\additional : pour les fichiers supplémentaires
    7. \zenon\custom\drivers : pour les drivers
    8. \straton : pour zenon Logic

    Recommandation : Le chemin d'accès de base du projet, les fichiers graphiques, les tables de langues, les tables de rapports et les fichiers média sont toujours transférés.
    Les éléments suivants sont transférés depuis le chemin d'accès de base, par défaut : les fichiers project.ini, Projekt.vba, Monitor.mon et le dossier Projekt.

    Par défaut, zenon utilise systématiquement des chemins relatifs (et non des chemins absolus), afin que les fichiers puissent facilement être retrouvés sur le système cible.

    Pour les fichiers dont le transfert est facultatif, vous devez toujours utiliser les chemins originaux (la zone de texte vide dans "Cible"), de manière à ce que zenon puisse les trouver sur le système cible.

  2. Définir le projet de démarrage

    Pour le Runtime, le projet de départ doit toujours être défini dans zenon6.ini. Pour cela, cliquez sur l'option Spécifier le projet de démarrage du Runtime à distance de la barre d'outils Remote Transport. Les entrées suivantes sont alors définies :

    [PATH]

    VBF30='chemin projet'

    [DEFAULT]

    DEFANWENDUNG30='nom projet'

Projet global

Si un projet global est présent dans l'espace de travail, il sera automatiquement configuré pour le transport. Vous n'avez besoin de définir aucun paramètre supplémentaire. Tous les fichiers nécessaires pour le projet global sont toujours transférés.

Utilisation du module Remote Transport sur le réseau

Dans le menu contextuel, sélectionnez le projet -> Remote Transport -> <Commande> :

Paramètres

Description

Établir une connexion

Par l'intermédiaire du service zenSysSrv, une connexion au système cible est établie. Sur les deux systèmes, le service zenSysSrv.exe (ou sur les systèmes CE, SysSrvCE.exe) doit être démarré. Les versions doivent être identiques.

- Transférer les fichiers Runtime modifiés

Si cette option est sélectionnée, les fichiers Runtime qui ont changé depuis le dernier transfert sont envoyés sur le système cible. Si aucun fichier Runtime n'existe sur le système cible, tous les fichiers Runtime sont transférés.

- Transférer tous les fichiers Runtime

Si cette option est activée, tous les fichiers Runtime sont transférés. Les seules exceptions sont les fichiers, comme les recettes standard ou les informations de la gestion de messages, pour lesquels l'option "Ne pas générer et transférer" a été cochée dans les paramètres : 'Données modifiables en RT'

- Relire tous les fichiers Runtime

Si cette option est sélectionnée, les fichiers Runtime des modules Recettes, Gestionnaire de groupes de recettes, Gestion de messages, Gestion des utilisateurs et Production & Facility Scheduler (PFS) sont transférés du système cible vers le répertoire Runtime local. Ensuite les données de ces fichiers se trouvant dans le répertoire Runtime local peuvent être insérées dans l'éditeur par la commande "Importer les fichiers Runtime".

Définir le projet en tant que projet de démarrage

Le projet sélectionné est défini comme le projet de démarrage. Ce projet est chargé lors du démarrage du Runtime.

Lancer le Runtime

Démarre le Runtime.

Arrêter le Runtime

Le Runtime est arrêté.

Recharger projet

Le projet est rechargé. Les fichiers Runtime modifiés sont rechargés dans le Runtime.

Remote: Restart the operating system (Redémarrer le système d'exploitation à distance)

Le terminal avec lequel la connexion est établie est redémarré après affichage d'un message de confirmation. Si nécessaire, vous devez à nouveau vous connecteur au système d'exploitation. Sur Windows CE, cette option n'est pas supportée.

- Donner l'état système

On vérifie, si le Runtime tourne sur le système cible et quel est son état. La version installée de zenon est également contrôlée. Les informations suivantes sont définies :

  • Nom de l'ordinateur
  • Système d'exploitation
  • Runtime actif/inactif
  • Start project (Projet de démarrage)
  • Mémoire réelle
  • Lecteurs
  • Numéro de série de l'ordinateur distant
  • Numéro d'activation de l'ordinateur distant
  • Version de zenon de l'ordinateur distant

Modification du mot de passe et affichage de la licence.

Ouvre la boîte de dialogue d'établissement de la connexion.

Autorise :

  • Modification du mot de passe
  • Affichage et modification des informations de licence
  • Configuration du chiffrement

Démarrer la connexion au bureau distant

Démarre une connexion permettant d'actionner l'ordinateur cible par le biais de Remote Desktop.

Mode batch

Le mode batch permet de cibler plusieurs ordinateurs en même temps. Pour cela,

  1. Créez un fichier intitulé hosts.txt.
  2. Saisissez l'adresse IP ou le nom de chaque ordinateur sur une ligne distincte.

    Exemple :

    HOST=192.168.0.24;
    HOST=192.168.0.15;

  3. Placez le fichier hosts.txt dans le dossier \zenon\custom\additional.

Chiffrement fort

Vous trouverez des informations concernant l'utilisation d'un chiffrement fort sur le réseau via la fonction de transport à distance au chapitre Activation du chiffrement/à l'aide du module Remote Transport.


zenon at the terminal server

Manuels -> Réseau -> zenon at the terminal server

The zenon Runtime can also be used together with a terminal server solution. The Editor cannot run on a terminal server.

info Info

Keep in mind that the name of the terminal client is resolved. If you are using a firewall, make sure that corresponding ports are enabled.

Terminal servers are offered by several manufactures. All tests with zenon were carried out using the Windows terminal server.

attention Attention

When using zenon with a terminal server, it must be licensed with a Network dongle.

Autres sujets abordés dans ce chapitre

Mode of operation of terminal servers

Advantages and disadvantages

Operation zenon at the terminal server

Required settings

Remote Desktop versus Terminal Server


Mode of operation of terminal servers

Manuels -> Réseau -> zenon at the terminal server -> Mode of operation of terminal servers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Terminal servers allow to start several separated shell instances (desktop) on one computer (the host computer).

If a terminal client connects to the server, a separate GUI is allocated to it. Only a small program runs on the client, which displays the graphical data sent from the server. All programs started on the client run on the terminal server. Only the screen information (graphical data) is sent to the client via the network.


Advantages and disadvantages

Manuels -> Réseau -> zenon at the terminal server -> Advantages and disadvantages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Advantages

  • Only one computer (the terminal server) has to be maintained.
  • Clients do not have to be very performant (Thin Clients).
  • Clients can have different operating systems (Windows 7, Windows CE, Linux, Unix, etc.).
  • High data security at the client.

Disadvantages

  • All started programs of all instances run on one computer (the terminal server). The computer:
    • must have sufficient computing power for all started programs.
    • must have sufficient RAM for all started programs.
  • All interfaces have to be shared. E.g. network adapters, COM ports, parallel ports.
  • The network load gets accordingly high, as the data of the programs as well as the graphical data for the clients have to be sent via the network.
  • All started programs use the same file system and the same files. For zenon this means that:
    • each client increases the memory need
    • the screen resolution is defined by the client started first. If screens in different resolutions should be used, you can manage this via an entry in zenon6.ini (SERIALZE=0) at the terminal server. With this all screens are calculated newly for the client which increases the needed performance for the terminal server.


Operation zenon at the terminal server

Manuels -> Réseau -> zenon at the terminal server -> Operation zenon at the terminal server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Only one zenon client can run on the terminal server. zenon as server or single-user system is not possible.

Schematic display

This is how the topology of a termnial server network with zenon could look:

Parameters | Description
A. | zenon Runtime Server
B. | Terminal Server and n-fold Runtime Client
C. | n Terminal Clients (only graphical display)


Required settings

Manuels -> Réseau -> zenon at the terminal server -> Required settings

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

As the zenon Runtime is started several times as client at the terminal server, you must adjust several settings.

General

  1. INI entry

    In the zenon6.ini the following entry has to be added on the terminal server. On the Runtime server no settings are needed.
    [TERMINAL]
    CLIENT=1

    1: The Runtime can be started several times, all settings for the terminal server operation are automatically set by the Runtime.
    0: The Runtime can only be started once. Operation on the terminal server is not possible. (Default)

  2. Automatic adjustment of the screen resolution

    Per default the first client at the terminal server defines the screen resolution. You can adjust this with the following entry at terminal server in zenon6.in:

    [TERMINAL]

    SERIALIZE=0

  3. Up to 6.21
    The network service (zennetsrv.exe) has to be registered as standard COM server and not as a service. For this the program has to be started with the option -regsrv from the command line.
    for example: C:/Programme/COPA-DATA/zenon711/zenNetSrv.exe -regsrv

    Comment: From 6.21 on this is the default registration and you do not have to set this manually.

  4. Transfer

    The transport service (zensyssrv.exe) must be registered and started as a Windows service, not as a standard EXE file. For this:

    1. the program has to be started with the option -service from the command line.

      For example: C:/Programme/COPA-DATA/zenon711/zenSysSrv.exe -service

    2. then the Windows service manager is started. The service will be started automatically during every computer restart.

    Please consider that the startup tool and also the setup program always register the transport service as a standard EXE. Therefore the transport service must be register newly as a Windows service after every execution of the startup tool and after every reinstallation.

  5. Runtime folder

    All users must have write access to the Runtime folder. All Windows Users (Windows users: All) in the Windows Explorer must have complete access to the Runtime folder and all its subfolders.

  6. Rename zenprocess.exe

    If a user terminates the Runtime during terminal operation, zenprocess.exe also terminates the Runtimes of all other users. In order to prevent this, you must rename file zenprocess.exe in terminal operation. zenprocess.exe is then no longer started. You can find the file in the zenon installation folder.

Selective reloading of single projects

Projects can also be synchronized selectively. In this case clients only reload projects if project changes exist. To activate the selective reloading:

  1. open the file zenon6.ini with a text editor
  2. go to area [TERMINAL]
  3. edit or create entry: CLIENT_NO_FILE_ALIGN=
  4. possible values:

    0: Projects are always reloaded by all clients

    1: selective synchronization active. Only the zenon client which is started in the console session of the terminal server synchronizes the Runtime files with the zenon server

After synchronizing the Runtime files the console client writes file reloadindicator.tmp in the directory which contains file project.ini of the program . The session clients at the terminal server check every 10 seconds whether this file is available. Does it exist and is its file time stamp newer that the date of the last reload, a session client reloads automatically.

Entry in zenon6.ini for selective reload

[TERMINAL]

CLIENT=1

CLIENT_NO_FILE_ALIGN=1

SERIALIZE=0


Remote Desktop versus Terminal Server

Manuels -> Réseau -> zenon at the terminal server -> Remote Desktop versus Terminal Server

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Terminal servers distinguish from remote desktop programs or the zenon Remote Desktop especially by the displayed information:

Remote Desktop | Terminal server
All connected stations always see one and the same desktop. If e.g. one user starts a program, all see the same program, the same mouse cursor, the same keyboard input, etc. | Each connected station has its own desktop - an own instance. Only it sees, what happens there. Mouse actions and keyboard inputs only affect this one instance.
 | That also means: In each instance a program can be started separate, e.g. a text editor. The program then runs on the terminal server several times and therefore needs more resources.


Gestion et contrôle de la topologie du réseau

Manuels -> Réseau -> Gestion et contrôle de la topologie du réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La topologie du réseau est affichée dans un onglet distinct du gestionnaire de projet. Celui-ci comprend trois zones :

  • Arborescence de la topologie (haut gauche) : affiche les projets actifs ; le projet global n'est pas affiché.
  • Arborescence des événements (en haut à droite) : seul le résultat est affiché ; représente l'arborescence de la topologie d'un ordinateur sélectionné.
  • Liste des ordinateurs (bas) : affichage sous forme de liste et configuration des ordinateurs sur le réseau.

Autres sujets abordés dans ce chapitre

Arborescence de la topologie

Arborescence des résultats

Liste des ordinateurs

Messages d'erreur liés aux tests de topologie


Arborescence de la topologie

Manuels -> Réseau -> Gestion et contrôle de la topologie du réseau -> Arborescence de la topologie

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'arborescence de la topologie affiche les projets actifs sous forme topologique. Les indications suivantes sont affichées :

Paramètres | Description
Nom du projet | Défini dans l'onglet de l'arborescence du projet et ne peut pas être modifié ici.
Réseau actif | Indique si le réseau est actif pour ce projet. Le paramètre peut être modifié via la propriété Réseau actif.
Serveur | Affiche le serveur défini pour ce paramètre. Le paramètre peut être modifié par le biais du menu contextuel, du symbole affiché dans la barre d'outils ou de la propriété Serveur.
Redondant | Affiche le serveur redondant défini pour ce paramètre. Le paramètre peut être modifié par le biais du menu contextuel, du symbole affiché dans la barre d'outils ou de la propriété Redondant.

Barre d'outils et menu contextuel Arborescence de la topologie

Propriété | Description
Set computer as server (Définir l'ordinateur en tant que serveur) | Définit l'ordinateur sélectionné dans la liste des ordinateurs en tant que serveur pour le projet sélectionné dans l'arborescence de la topologie.
Set computer as standby (Définir l'ordinateur en tant que serveur redondant) | Définit l'ordinateur sélectionné dans la liste des ordinateurs en tant que serveur redondant pour le projet sélectionné dans l'arborescence de la topologie.
Delete Server (Supprimer le serveur) | Supprime le serveur défini pour le projet sélectionné.
Delete standby (Supprimer le serveur redondant) | Supprime le serveur redondant défini pour le projet sélectionné.
Aide | Ouvre l'aide en ligne.


Arborescence des résultats

Manuels -> Réseau -> Gestion et contrôle de la topologie du réseau -> Arborescence des résultats

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'arborescence des résultats représente l'arborescence du projet pour l'ordinateur sélectionné dans la liste des ordinateurs du projet défini en tant que projet de démarrage pour l'ordinateur sélectionné, et qui affiche les paramètres de ce projet.

L'arborescence des résultats est vide si :

  • Le projet de démarrage de l'ordinateur sélectionné n'a pas été trouvé
  • Plusieurs ordinateurs ont été sélectionnés dans la liste

Paramètre

Description

Nom du projet

Projets attribués à l'ordinateur sélectionné.

Rôle

Rôle de l'ordinateur :

  • Serveur
  • Redondant
  • Client

Serveur

Nom de l'ordinateur opérant en tant que serveur pour le Runtime.

Redondant

Nom de l'ordinateur opérant en tant que serveur redondant pour le Runtime.

Résultat du test

Affiche les messages d'erreur détaillés relatifs au test de topologie.


Liste des ordinateurs

Manuels -> Réseau -> Gestion et contrôle de la topologie du réseau -> Liste des ordinateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La liste des ordinateurs affiche tous les périphériques réseau et autorise leur configuration. La liste est liée à l'espace de travail, et est enregistrée à chaque fois que l'espace de travail est enregistré.

Paramètre

Description

Nom de l'ordinateur

Nom de l'ordinateur. Peut être modifié par

  • Un clic sur la cellule : Cliquez sur ... pour ouvrir une liste déroulante contenant les ordinateurs actuellement disponibles sur le réseau.
  • Entrée Edit computer... (Modifier l'ordinateur) dans le menu contextuel ou la barre d'outils
  • Propriété Nom de l'ordinateur

Start project (Projet de démarrage)

Le projet de démarrage attribué à l'ordinateur peut être modifié par :

  • Un clic sur la cellule : Sélectionnez le projet dans la liste déroulante.
  • Entrée Set start project (Définir le projet de démarrage) dans le menu contextuel ou la barre d'outils. Cette entrée définit le projet sélectionné dans l'arborescence de la topologie en tant que projet de démarrage.
  • Propriété Projet de démarrage

Dossier runtime du projet de démarrage

Dossier d'enregistrement des fichiers du projet sur l'ordinateur cible. Les fichiers du projet de démarrage sont enregistrés dans ce dossier. Tous les autres projets liés à celui-ci correspondent à la structure de la propriété Dossier runtime configurée sur l'ordinateur local.

Par exemple :
Dossier runtime du projet de démarrage : C:\Projects\Top = emplacement de stockage du projet de démarrage.
Les sous-projets sont conservés dans C:\Projects\

Conseil : Utilisez le nom du projet comme nom de dossier pour créer automatiquement une structure identique à celle de l'ordinateur de développement.

L'élément Dossier runtime du projet de démarrage peut être modifié par :

  • un double-clic sur l'ordinateur ; ceci ouvre la boîte de dialogue de configuration de l'ordinateur.
  • Un clic sur la cellule : autorise une saisie manuelle.
  • Propriété Dossier runtime du projet de démarrage

Résultat du test

Affiche le résultat du test de topologie.

  • OK tous les projets sont libres d'erreurs.
  • Error found - for details, see detail view (Erreur trouvée - consultez la vue de détail pour plus d'informations) : un ou plusieurs projets comportent une erreur.
  • Serious error found - for details, see detail view (Erreur grave trouvée - consultez la vue de détail pour plus d'informations) : un projet comporte une erreur grave. Les erreurs graves empêchent les tests ultérieurs.
  • Not tested, because there is a serious error in the structure (Non testé en raison d'une erreur grave dans la structure) : l'ordinateur n'a pas été entièrement testé ; le test a été interrompu en raison d'une erreur grave.

Des messages d'erreur détaillés sont affichés dans l'arborescence des résultats.

Barre d'outils et menu contextuel Liste d'ordinateurs

Entrée | Description
Add computer... (Ajouter un ordinateur...) | Ouvre la boîte de dialogue Configure computer (Configurer l'ordinateur) sur le réseau.
Edit computer... (Modifier l'ordinateur...) | Ouvre la boîte de dialogue de configuration de l'ordinateur sur le réseau pour les ordinateurs suivants.
Delete computer (Supprimer l'ordinateur) | Supprime l'ordinateur de la topologie après une demande de confirmation. Remarque : Notez que la suppression d'un serveur ou d'un serveur redondante entraîne l'apparition d'erreurs graves dans la topologie.
Définir le projet de démarrage | Définit le projet sélectionné dans l'arborescence de la topologie en tant que projet de démarrage.
Copy Runtime files from all projects on the computer (Copier les fichiers du Runtime de tous les projets sur l'ordinateur) | Copie tous les projets valides pour l'ordinateur sélectionné vers l'ordinateur cible. Le résultat est affiché dans une fenêtre d'information.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Boîte de dialogue de configuration d'ordinateurs du réseau


Boîte de dialogue de configuration d'ordinateurs du réseau

Manuels -> Réseau -> Gestion et contrôle de la topologie du réseau -> Liste des ordinateurs -> Boîte de dialogue de configuration d'ordinateurs du réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les données suivantes sont requises pour configurer un ordinateur sur le réseau :

Paramètre

Description

Nom de l'ordinateur

Cliquez sur ... pour ouvrir une liste déroulante contenant les ordinateurs actuellement disponibles sur le réseau.

Start project (Projet de démarrage)

Sélectionnez le projet dans la liste déroulante.

Projet de démarrage pour le Runtime / Dossier Runtime

Dossier d'enregistrement des fichiers du projet sur l'ordinateur cible. Les fichiers du projet de démarrage sont enregistrés dans ce dossier. Tous les autres projets liés à celui-ci correspondent à la structure de la propriété Dossier runtime configurée sur l'ordinateur local.

Conseil : Utilisez le nom du projet comme nom de dossier pour créer automatiquement une structure identique à celle de l'ordinateur de développement.

Par exemple :
Nom du projet = I-Project
Dans Dossier runtime du projet de démarrage, saisissez : C:\Projects\I-Project
Les sous-projets liés à celui-ci sont conservés dans C:\Projects\Nom du projet, par exemple :
le nom du projet est SubProject1 ; le dossier de Runtime associé à ce projet se trouve donc dans C:\Projects\SubProject1.

Éléments requis : Les dossiers de Runtime conservent leurs propriétés par défaut, et les projets sont créés à un niveau de l'Éditeur.

Si ce n'est pas le cas, il est possible que les sous-projets ne puissent pas être copiés parce que le dossier relatif ne peut pas être créé à partir du projet de démarrage.

Exemple : Le projet d'intégration comporte le dossier de Runtime suivant : C:\Workspace\Projects\I-Project. Le sous-projet comporte le dossier de Runtime suivant : C:\Subproject. Le dossier de Runtime du projet de démarrage est défini sur C:\Project. Le sous-projet ne peut pas être transféré, car le dossier relatif serait alors ..\..\Project. Cela ne fonctionne pas, car le dossier de Runtime correspondant au sous-projet serait sous C:\.
Solution : définissez correctement la propriété Dossier runtime du projet. Nous vous recommandons de procéder de telle manière que le dossier de Runtime se trouve au même niveau pour tous les projets.


Messages d'erreur liés aux tests de topologie

Manuels -> Réseau -> Gestion et contrôle de la topologie du réseau -> Messages d'erreur liés aux tests de topologie

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le test de topologie est toujours effectué si des paramètres relatifs à la topologie sont modifiés. Ainsi, l'effet de chaque modification peut être observé immédiatement. La topologie est également testée si la vue topologique est modifiée.

Tests effectués

  • Le projet défini est-il disponible dans l'arborescence du projet ?
  • Un serveur a-t-il été défini ?
  • Des ordinateurs différents ont-ils été définis en tant que serveur redondant et serveur ?
  • Le client peut-il constituer un serveur / serveur redondant ?
  • Le serveur peut-il atteindre ses clients ?
  • Le serveur redondant peut-il atteindre ses clients ?
  • Le serveur est-il disponible pour un projet dans la topologie ?
  • Le serveur redondant est-il disponible pour un projet dans la topologie ?
  • Est-ce qu'un ordinateur est inclus plusieurs fois dans le chemin entre le client et le serveur ?

Non testé :

  • Un client a-t-il été mis à jour par le serveur sur un chemin d'accès seulement, ou plusieurs chemins d'accès sont-ils disponibles ?

Client à serveur

  • Le client atteint-il le serveur correspondant via la chaîne des serveurs ?
  • Est-ce qu'un ordinateur assurant le routage a été basculé vers le serveur redondant correspondant ?

    Info : Le serveur doit également pouvoir être atteint par le client via le serveur redondant du projet assurant le routage.

Message d'erreur

Les erreurs reconnues durant le test de topologie sont affichées dans l'arborescence des résultats, dans la colonne de résultats du test.

Erreur

Raison

Solution

Le projet de départ est inconnu !

Le projet de démarrage est introuvable.

Corrigez la configuration du projet ou incluez le projet manquant dans l'espace de travail.

The computer is entered as a server and standby! (L'ordinateur est défini à la fois en tant que serveur et serveur redondant !)

Le serveur et le serveur redondant doivent être des ordinateurs différents.

Définissez des ordinateurs différents en tant que serveur et serveur redondant.

Aucun ordinateur n'est défini comme serveur !

Le projet est un projet en réseau, mais aucun serveur n'a été configuré.

Définissez un ordinateur en tant que serveur.

The project is not started on computer (name)! (Le projet n'a pas été démarré sur l'ordinateur [Nom] !) Mais cela est nécessaire car des niveaux hiérarchiques supérieurs en ont besoin.

Le projet n'est pas chargé sur l'ordinateur indiqué ; il est toutefois acheminé via ce dernier.

Adaptez la topologie ou démarrez le projet correspondant à l'ordinateur, ou désactivez la propriété Routage actif.

Accès circulaire au serveur : l'ordinateur [Nom] effectue une redirection vers le client [Nom] !

Le chemin de routage du client au serveur forme un cercle. L'ordinateur agissant en tant que nœud opère une redirection vers le client.

Adaptez la topologie ou démarrez le projet correspondant à l'ordinateur, ou désactivez la propriété Routage actif.

Accès circulaire au serveur redondant : l'ordinateur [Nom] effectue une redirection vers le client [Nom] !

Le chemin de routage du client au serveur redondant forme un cercle. L'ordinateur agissant en tant que nœud opère une redirection vers le client.

Adaptez la topologie ou démarrez le projet correspondant à l'ordinateur, ou désactivez la propriété Routage actif.

The computer (name) is not included in the list of computers (L'ordinateur [Nom] n'est pas inclus dans la liste des ordinateurs)

L'ordinateur est manquant dans la liste des ordinateurs correspondant à la topologie.

Ajoutez l'ordinateur à la topologie.

Non vérifié car il y a une erreur critique dans la topologie

Aucun test n'a été effectué en raison d'une erreur grave.

Remédiez à l'erreur grave.

Chemin d'accès circulaire : (Nom de l'ordinateur)

Le chemin de routage du client au serveur / serveur redondant forme un cercle.

Le champ Computer names (Noms des ordinateurs) contient les noms des ordinateurs concernés.

Structure : Le premier ordinateur est toujours le client. Le séparateur entre les noms des ordinateurs indique si l'ordinateur suivant est un serveur ou un serveur redondant.

  • > identifie l'ordinateur suivant en tant que serveur.
  • + indique que l'ordinateur suivant est un serveur redondant.

Par exemple : Ordinateur1+Ordinateur2 > Ordinateur3

Adaptez la topologie ou démarrez le projet correspondant à l'ordinateur, ou désactivez la propriété Routage actif.

Un chemin d'accès circulaire existe du serveur au client !

Le serveur est détecté en fonction du nœud lors de la recherche de l'ordinateur client.

Adaptez la topologie ou démarrez le projet correspondant à l'ordinateur, ou désactivez la propriété Routage actif.

Le serveur [Nom] n'atteint pas ce client !

Le chemin entre le serveur indiqué et le client n'est pas fermé. Le client est inclus dans la liste des clients sur le serveur, mais n'est pas mis à jour. (Les points bleus ne disparaissent pas au niveau du client.)

Adaptez la topologie ou démarrez le projet correspondant à l'ordinateur, ou désactivez la propriété Routage actif.


Redondance

Manuels -> Réseau -> Redondance

La redondance évite l'interruption des procédés et la perte de données, même en cas de défaillance d'un serveur. Pour les systèmes redondants, la distinction suivante est faite :

  • Redondance logicielle : seul le serveur communique avec l'automate. Le serveur redondant dispose d'un accès en lecture seule.
  • Redondance matérielle : Les automates sont également désignés comme redondants. Le serveur redondant communique avec l'automate redondant.

Les paramètres relatifs à ce fonctionnement sont définis dans la configuration du serveur redondant.

info Info

La redondance n'est pas disponible dans l'Opérateur de zenon. Les paramètres de redondance sont ignorés.

attention Attention

Les fichiers graphiques au format PNG ne peuvent pas être remplacés durant l'exécution du Runtime.

Explication : le Runtime protège les fichiers .png ouverts contre l'écriture.

Solution : Avant l'initialisation du service Remote Transport, assurez-vous que le synoptique sur lequel se trouve le fichier *.png n'est pas affiché dans le Runtime, et que le fichier n'est pas utilisé par un autre programme. Cela s'applique également à l'actualisation des fichiers Runtime modifiés. La synchronisation dans le Runtime sur le réseau ne fonctionne pas pour ce synoptique si l'appel de synoptique est effectué sur un ordinateur zenon impliqué dans le procédé (serveur redondant, client).

Redondance logicielle

La redondance logicielle est constituée d'un automate et de deux ordinateurs redondants (un serveur et un serveur redondant).

Durant le fonctionnement, le serveur communique dans les deux sens avec l'automate ; le serveur redondant lit les données provenant de l'automate. Le serveur redondant se synchronise avec le serveur.

En cas de défaillance d'un serveur :

  • Le serveur redondant se met à niveau pour devenir le serveur
  • La redondance transparente garantit la complétude des données, sans omissions, et notamment des données transmises durant la période d'indisponibilité entre la défaillance et le basculement
  • En tant que serveur, le serveur redondant communique dans les deux sens avec l'automate

Redondance matérielle

La redondance matérielle est constituée de deux automates redondants et deux ordinateurs redondants (un serveur et un serveur redondant).

Durant le fonctionnement, le serveur communique dans les deux sens avec l'automate ; le serveur redondant communique dans les deux sens avec l'automate. Le serveur redondant se synchronise avec le serveur ; le deuxième automate se synchronise avec le premier automate.

En cas de défaillance d'un serveur ou de défaillance de l'automate du serveur :

  • Le serveur redondant se met à niveau pour devenir le serveur
  • En tant que serveur, le serveur redondant communique avec l'automate
  • La redondance transparente garantit la complétude des données, sans omissions, et notamment des données transmises durant la période d'indisponibilité entre la défaillance et le basculement

Redondance dans zenon

La protection offerte par la redondance est obtenue dans la mesure où chaque serveur de projet bénéficie d'un serveur de secours, à savoir le serveur redondant.

zenon vous permet de configurer :

  • Redondance transparente : évite les pertes de données ; peut être mise en œuvre avec deux ordinateurs seulement.

    Le serveur redondant identifie toute défaillance d'un serveur et reprend automatiquement toutes les fonctionnalités des serveurs. Pour éviter toute perte de données entre la défaillance du serveur et l'identification de la défaillance (c'est-à-dire la période d'indisponibilité), le serveur redondant enregistre toutes les données dans un buffer. En cas de défaillance d'un serveur, ces données sont fusionnées avec les dernières données provenant du serveur et les nouvelles données entrantes, évitant ainsi toute perte de données.

  • Redondance circulaire : sauvegarde plusieurs projets simultanément ; peut être mise en œuvre avec trois ordinateurs

    Association de la redondance transparente et de la gestion multi-projets.

Les deux formes de redondance peuvent être configurées très facilement. Vous trouverez d'autres détails concernant la configuration des réseaux redondants ici :

  • Redondance transparente de zenon
  • Redondance circulaire de zenon
  • Redondance dans zenon Logic et zenon (manuel du Runtime de zenon Logic)

Pour la redondance dans zenon, seuls le serveur et le serveur redondants doivent être définis. Le serveur et le serveur redondant peuvent encore être utilisés comme des espaces de travail d'opérateur. Toute modification du projet est gérée au niveau du serveur de projet : le serveur redondant et les clients connectés synchronisent automatiquement les données en ligne. Tous les ordinateurs comportent un même état de projet.

info Info

Si une seule connexion d'automate est disponible, offrant uniquement des communications unidirectionnelles, vous pouvez activer l'option Stop at the Standby Server (Arrêter au niveau du serveur redondant) dans les paramètres généraux de la configuration de driver. Pour cela, le driver est arrêté au niveau du serveur redondant, et redémarré uniquement lors de la mise à niveau.

Autres sujets abordés dans ce chapitre

Redondance transparente

Redondance circulaire de zenon

Outil Redundancy Management Tool


Redondance transparente

Manuels -> Réseau -> Redondance -> Redondance transparente

La redondance transparente évite toute perte de données en cas de défaillances de serveur. Les données de la période d'indisponibilité entre la défaillance et l'identification de la défaillance sont sauvegardées.

Pour bénéficier de la redondance transparente dans un projet, il suffit de disposer de deux ordinateurs standard simples :

Procédure de configuration de la redondance transparente

  • Un serveur et un serveur redondant assurent ensemble la gestion d'un projet.
  • Comme sur un réseau client/serveur normal, le serveur a la propriété des données.
  • Le serveur redondant reçoit toutes les données et reste entièrement actionnable.
  • Le serveur redondant enregistre toutes les données historiques telles que les alarmes, la liste CEL et les archives et synchronise les recettes, les utilisateurs, etc. avec le serveur.
  • Toutes les informations proviennent toujours du serveur, ce qui garantit que toutes les données sont à jour et cohérentes.
  • Si le serveur tombe en panne, le serveur redondant se met lui-même à niveau et reprend la gestion de toutes les tâches. Aucune donnée n'est perdue pendant la période d'indisponibilité (c'est-à-dire coulé entre la défaillance et l'identification de la défaillance), grâce à la redondance transparente.
  • Tous les clients connectés sont informés de la panne du serveur et se connectent automatiquement au nouveau serveur.
  • Si le serveur d'origine revient en ligne
    • Il se connecte au serveur redondant
    • Il synchronise les données
    • Il se met à niveau et redevient le serveur du projet

    Aucune donnée n'est perdue durant la procédure.

  • Tous les clients liés, y compris le serveur redondant, se reconnectent au serveur.

Configuration de la redondance transparente

  1. Définissez un serveur redondant
  2. Le serveur redondant enregistre toutes les données dans un buffer
  3. En cas de défaillance du serveur, le serveur redondant prend le relais
  4. Le buffer est rechargé, ce qui garantit la sauvegarde des données durant la période d'indisponibilité

Configurations spéciales des communications entre le serveur et le serveur redondant

Tenez compte des règles de communication suivantes entre le serveur et le serveur redondant dans la configuration suivante :

  • Défaillance du serveur -> le serveur redondant reprend le rôle du serveur -> le serveur redémarre -> le serveur obtient toutes les données du Runtime auprès du serveur redondant

Des conflits peuvent se produire dans certains cas exceptionnels, si :

  1. Des modifications ont été apportées aux projets lorsque le serveur était arrêté
  2. En raison de problèmes affectant le réseau, il est difficile de savoir quel ordinateur assume le rôle du serveur

1. Modifications de projets lorsque le serveur est à l'arrêt

Si vous apportez des modifications à un projet pendant que le serveur n'est pas opérationnel, puis appliquez ces modifications au niveau du serveur avant une synchronisation, ces modifications seront remplacées si le serveur obtient ses données auprès du serveur redondant.

Pour éviter cela : appliquez les modifications sur le serveur redondant avant la mise à jour.

2. Rôle du serveur imprécis en raison de problèmes de réseau

Dans certains cas exceptionnels, il est possible que les deux ordinateurs se détectent mutuellement comme le serveur. Ceci peut, par exemple, être dû à une interruption de la connexion au réseau en raison d'une erreur de basculement, d'un câble de réseau débranché, etc. Dans ce cas, les communications entre le serveur, le serveur redondant et les clients dépendent de l'écran d'erreur.

Si l'écran d'erreur est résolu dans cette configuration et les deux serveurs communiquent à nouveau entre eux, le serveur configuré conserve la priorité au regard des données. Ce qui signifie : les données actuelles du serveur redondant peuvent être remplacées.

Pour éviter cela :

  1. comparez toujours le serveur actuel à la variable de système :
    le rôle du Runtime sera indiqué, tout comme les serveurs redondants.
  2. En cas d'arrêt du projet zenon sur le serveur déconnecté du réseau.
  3. Configurez à nouveau la connexion au réseau.
  4. Redémarrez le projet zenon sur le serveur.
  5. Le serveur de projet démarre alors en tant que projet redondant, met ses données à jour, puis reprend son rôle de serveur.

Conseil : surveillez la connexion au réseau à l'aide de l'outil Redundancy Management Tool.

attention Attention

Les fichiers graphiques au format PNG ne peuvent pas être remplacés durant l'exécution du Runtime.

Explication : le Runtime protège les fichiers .png ouverts contre l'écriture.

Solution : Avant l'initialisation du service Remote Transport, assurez-vous que le synoptique sur lequel se trouve le fichier *.png n'est pas affiché dans le Runtime, et que le fichier n'est pas utilisé par un autre programme. Cela s'applique également à l'actualisation des fichiers Runtime modifiés. La synchronisation dans le Runtime sur le réseau ne fonctionne pas pour ce synoptique si l'appel de synoptique est effectué sur un ordinateur zenon impliqué dans le procédé (serveur redondant, client).

Autres sujets abordés dans ce chapitre

Configuration d'un serveur redondant


Configuration d'un serveur redondant

Manuels -> Réseau -> Redondance -> Redondance transparente -> Configuration d'un serveur redondant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer un serveur redondant :

  1. Dans les propriétés du projet dans l'Éditeur, ouvrez le groupe Réseau.
  2. Sans la propriété Redondant, saisissez le nom de l'ordinateur utilisé en tant que serveur redondant. (L'ordinateur doit disposer d'une connexion à l'automate.)

    Vous pouvez saisir le nom de l'ordinateur :

    1. En le sélectionnant dans la liste déroulante après avoir cliqué sur le bouton ...
    2. Saisissez-le manuellement

Dans la propriété Type de redondance, sélectionnez la forme de redondance souhaitée dans la liste déroulante.

  • Redondance logicielle :

    Ce système se compose d'un automate et de deux ordinateurs redondants du système de contrôle. Les deux ordinateurs doivent disposer d'une connexion à l'automate. Les deux ordinateurs communiquent avec le contrôle et actualisent simultanément les données provenant du contrôle. Les communications bidirectionnelles avec le contrôle sont gérées par l'ordinateur jouant le rôle de serveur. Le serveur établit des communications bidirectionnelles, le système redondant établit des communications unidirectionnelles. En cas de défaillance du serveur, le serveur redondant prend en charge les communications bidirectionnelles avec l'automate.

    Seul zenon s'exécute de manière redondante. L'automate ne fonctionne pas de manière redondante.

  • Redondance matérielle :

    Le système se compose de deux automates redondants et de deux ordinateurs contrôleurs redondants. Chaque serveur établit une communication bidirectionnelle avec un automate. Les deux ordinateurs et les deux automates synchronisent leurs données. Si un composant du premier système subit une défaillance, le deuxième composant prend le relais.

    zenon et l'automate s'exécutent tous deux de manière redondante.


Redondance circulaire de zenon

Manuels -> Réseau -> Redondance -> Redondance circulaire de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La redondance circulaire de zenon autorise une redondance transparente pour plusieurs projets, associée à l'utilisation d'une faible quantité de matériel. B

Deux ordinateurs sont normalement requis pour chaque projet redondant : un serveur et un ordinateur redondant. Trois projets nécessitent donc au moins six ordinateurs. Grâce à la redondance circulaire de zenon, trois ordinateurs sont toutefois suffisants pour protéger trois projets. Un autre ordinateur est ensuite ajouté pour chaque projet ultérieur. À cette fin, zenon associe une fonction d'administration multi-projets à une redondance transparente.

Concept de redondance circulaire

La redondance circulaire exploite les possibilités de la gestion multi-projets : plusieurs projets peuvent s'exécuter simultanément sur un PC. Chaque PC est le serveur d'un projet et, dans le même temps, le serveur redondant du projet voisin ; en outre, il peut également être le client des autres projets. Cette configuration produit un cercle. Au lieu de quatre ordinateurs et, par exemple, de deux licences pour deux projets, six licences pour trois projets ou huit licences pour quatre projets, vous n'avez besoin que de la moitié de ces éléments.

Topologie avec trois projets

  • Le projet A s'exécute en tant que projet de serveur sur l'ordinateur 1 ; le projet B s'exécute en tant que projet redondant.
  • Sur l'ordinateur 2, le projet B s'exécute en tant que projet de serveur et le projet C en tant que projet redondant.
  • Sur l'ordinateur 3, le projet C s'exécute en tant que projet de serveur et le projet A en tant que projet redondant.

    La boucle est bouclée !

  • Chaque ordinateur peut être un client pour tous les projets en même temps.
  • Coût : trois ordinateurs et trois licences de Runtime

Normalement, dans cet exemple, il vous faudrait six ordinateurs et six licences de Runtime. La redondance circulaire de zenon ne se limite bien entendu pas à trois projets, mais peut se connecter à autant de projets que vous le souhaitez en formant un cercle. La possibilité pour les ordinateurs d'être également les clients d'autres projets rend plus facile la réalisation de lignes de production à moindre coût, fiables et avec des durées d’indisponibilité réduites.

Synchronisation de l'heure pour la redondance circulaire de zenon

Si la fonction de synchronisation de l'heure de zenon est active, les serveurs redondants et les ordinateurs clients reçoivent toujours l'heure actuelle du serveur. Ceci n'a aucun intérêt lors de l'utilisation de la redondance circulaire de zenon, car les ordinateurs individuels agissent à la fois en tant que serveur et ordinateur redondant. L'ordinateur 1, par exemple, obtiendrait l'heure de l'ordinateur 2, l'ordinateur obtiendrait l'heure de l'ordinateur 3, etc.

Recommandation : dans ce cas, désactivez la synchronisation de l'heure dans zenon et effectuez une synchronisation de l'heure externe. Vous trouverez des instructions concernant la synchronisation de l'heure sur le réseau.


Outil Redundancy Management Tool

Manuels -> Réseau -> Redondance -> Outil Redundancy Management Tool

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'outil Redundancy Management Tool surveille l'adaptateur de réseau et sa connexion au réseau. Si la connexion du terminal au réseau est interrompue - par exemple, si le câble réseau est débranché -, l'outil Redundancy Management Tool arrête le Runtime. Ce procédé peut être annulé par l'opérateur dans un délai configurable. Si la connexion au réseau est rétablie, l'outil Redundancy Management Tool redémarre le Runtime.

Démarrage et configuration

L'outil Redundancy Management Tool peut être configuré par le biais d'une boîte de dialogue ou de la ligne de commande.

Pour ouvrir la boîte de dialogue, trois possibilités s'offrent à vous :

  • Dans le menu Démarrer de Windows, sélectionnez Démarrer -> Tous les programmes -> COPA-DATA -> Outils -> Redundancy Management Tool
  • Via l'outil Startup Tool Outils -> zenon_redman
  • Exécution directe du programme zenon_redman.exe depuis le dossier de programmes de zenon

Après le démarrage, l'outil Redundancy Management Tool est également affiché sous forme de symbole dans la partie droite de la barre des tâches de Windows. Double-cliquez sur le symbole pour ouvrir la boîte de dialogue de configuration :

Paramètres

Description

État

État de l'adaptateur réseau.

Network adapter connection state (État de la connexion de l'adaptateur réseau)

Informations concernant l'état :

  • Connecté : la connexion au réseau est établie.
  • Déconnecté : la connexion au réseau a été interrompue.

État du Runtime

État du Runtime de zenon

  • Running (En cours d'exécution) : le Runtime est en cours d'exécution.
  • Stopped by Redundancy Management Tool (Arrêté par l'outil Redundancy Management Tool) : le Runtime a été arrêté par le programme.
  • Stopped (Arrêté) : le Runtime est arrêté.

Configurer les barres d'outils

Paramètres.

Monitored network adapter (Adaptateur réseau surveillé)

Sélection dans la liste déroulante de l'adaptateur réseau devant être surveillé. La liste affiche tous les adaptateurs trouvés sur l'équipement.

Runtime shutdown delay (Délai d'arrêt du Runtime)

Configuration du délai en secondes avant la fermeture du Runtime. Durant ce délai, l'opérateur peut annuler la fermeture du Runtime.

  • Valeur maximale : 2147483647 s.
    Les valeurs supérieures à ce nombre sont interprétées comme 0.

Appliquer

Applique les paramètres, écrit les valeurs dans le fichier INI et ferme la boîte de dialogue.

Fichier INI

Lors de la configuration effectuée via la boîte de dialogue, le fichier RedMan.ini est créé dans le chemin %ProgramData%\COPA-DATA\System. Il contient les entrées suivantes.

Paramètres | Description
[DEFAULT] |
ADAPTER= | Connexion de réseau local sélectionnée.
DELAY= | Valeur du délai.

Ligne de commande

L'outil Redundancy Management Tool peut également être démarré depuis la ligne de commande.

Paramètres possibles :

  • ADAPTER=‘Name‘ : définit l'adaptateur réseau devant être surveillé.
  • DELAY=‘Secondes‘ : définit le délai d'attente après une interruption de la connexion.
    Valeur maximum : 2147483647. Les valeurs supérieures à ce nombre sont interprétées comme 0.
  • Aide,? : affiche l'aide relative aux paramètres de la ligne de commande.

info Info

Lors de la configuration effectuée via la ligne de commande :

  • Ces paramètres sont directement repris
  • La configuration est désactivée dans la boîte de dialogue
  • Aucun fichier INI n'est écrit

Dans le Runtime :

Dans le Runtime, l'outil Redundancy Management Tool surveille continuellement la connexion au réseau. Si la connexion est interrompue, l'outil Redundancy Management Tool affiche un avertissement et ferme le Runtime après le délai configuré.

Dès que la connexion redevient disponible, l'outil Redundancy Management Tool redémarre le Runtime.

Cliquez sur le bouton Annuler pour arrêter le décompte et éviter la fermeture du Runtime. Si la connexion est rétablie, la boîte de dialogue est affichée à nouveau en cas de nouvelle défaillance de la connexion. L'utilisateur peut alors annuler le décompte, ou laisser le programme fermer le Runtime.

L'état actuel de la connexion et du Runtime est également toujours affiché dans la boîte de dialogue de configuration.

Traitement des erreurs

Message d'erreur

Les erreurs sont affichées dans des messages contextuels.

Message | Signification
GetAdapterAddresses not supported on this patform (GetAdapterAddresses n'est pas pris en charge sur cette plate-forme !) Code d'erreur '%u'! | Cette version du système d'exploitation n'est pas prise en charge.
GetAdapterAddresses did not return information about network adapters. (GetAdapterAddresses n'a pas renvoyé d'informations concernant les adaptateurs réseau.). Code d'erreur '%u' ! | Adaptateur réseau introuvable.

Fichiers journaux de l'outil Diagnosis Viewer

Dans le fichier journal de l'outil Diagnosis Viewer, les informations suivantes sont consignées :

Entrée | Niveau de débogage | Signification
Network link '%s' down for '%u' seconds. zenon runtime will be terminated. (La liaison réseau '%s' est interrompue depuis '%u' secondes. Le Runtime de zenon va être arrêté.) | Erreur | Échec de la connexion au réseau : Le Runtime est arrêté.
Network link '%s' is up. Restarting zenon runtime now. (La liaison réseau '%s' est active. Redémarrage du Runtime de zenon en cours.) | Information | La connexion réseau est de nouveau disponible. Le Runtime va redémarrer.


Routage

Manuels -> Réseau -> Routage

Pour le routage, les paquets de projets sous-ordonnés sont transmis au premier projet client (FCP) dans la branche.

  • Exemple : dans une configuration comprenant plusieurs ordinateurs, si tous les ordinateurs ne peuvent pas se contacter mutuellement, un ordinateur peut servir de routeur.
  • Mise en œuvre technique : les propriétés Serveur et Redondant des projets sous-ordonnés sont modifiées en fonction de celles du projet FCP ; il s'agit des propriétés Serveur/Redondant actives dans le Runtime.

Remarques générales concernant le routage

Règles fondamentales

Deux règles fondamentales doivent être observées lors de la configuration de structures de réseau avec un routage. Si l'une de ces règles n'est pas respectée, des problèmes de communication ou d'autres effets indésirables peuvent se produire en fonction de la structure concernée.

  • Règle 1 serveur et niveaux
    Un PC qui agit en tant que serveur peut agir plusieurs fois en tant que serveur ou serveur redondant à un niveau seulement (redondance circulaire). Il ne doit pas être défini comme serveur à un niveau inférieur ou supérieur !
  • Règle 2 Poste individuel

    Si le projet de démarrage est un projet simple, seul le niveau immédiatement inférieur peut être utilisé pour des projets de réseau.

Le client transmet les données à un serveur

  • Le client transmet le paquet au serveur actif dans le projet dans le Runtime.
  • Si le projet sur cet ordinateur n'est pas le serveur, le paquet est transmis jusqu'à ce qu'il atteigne le serveur.
  • Cette fonctionnalité n'est pas affectée par un projet d'intégration.

Le serveur transmet les données à un client avec routage

  1. Si le serveur possède une connexion directe au client, le paquet est transmis à celui-ci.
  2. Si aucune connexion n'est établie entre le client et l'ordinateur cible, le serveur transmet le paquet à tous les ordinateurs sur lesquels s'exécute le projet pour lequel il agit en tant que serveur.
  3. Si le serveur possède une connexion directe au client, le paquet est transmis à celui-ci.
  4. Si l'ordinateur opère en tant que nœud, le paquet est transmis à tous les ordinateurs connectés à l'ordinateur nœud. Si l'ordinateur cible est également l'ordinateur source, le paquet n'est pas retransmis.
  5. La procédure se poursuit au point 3.

Remarque : Les points 2 et 4 sont uniquement exécutés si le routage est actif sur ces ordinateurs.

info Info

Le serveur et le serveur redondant ne doivent pas correspondre à ce qui a été configuré sur les ordinateurs clients ; dans le cas contraire, ils peuvent modifier leur configuration en fonction de la topologie de l'ordinateur concerné.

Qu'est-ce qu'une connexion de client ?

Une connexion de service réseau est appelée connexion de client si elle est établie par un client avec le serveur ou le serveur redondant gérant le procédé. Elle est identifiable grâce à la présence d'une connexion au port 1100 de l'ordinateur cible.

attention Attention

Il n'est pas garanti qu'un ordinateur purement client ajouté à une topologie fonctionnelle définie fonctionnera. Il est possible que certains projets ne puissent pas être atteints par le serveur, tout particulièrement en raison du routage sur les ordinateurs clients.

Règles de routage dans >CD_PRODUCTNAME<, versions antérieures à la version 6.50 :

  1. le premier projet réseau client d'une branche sur un PC définit le serveur et le serveur redondant pour tous les projets sous-ordonnés de la branche. Ceci s'applique également dans les cas suivants :
    • Si un projet sous-ordonné sur ce serveur PC ou serveur redondant sont destinés
    • à des projets qui ne comportent pas vraiment un serveur redondant
  2. Si le projet sous-ordonné n'est pas un projet réseau ou n'est pas un serveur, les branches des sous-projets du projet de départ sont prises en compte en parallèle. Différents ordinateurs peuvent ainsi être utilisés comme serveurs pour les sous-projets. Les règles de l'article 1 s'appliquent également aux branches.
  3. Les projets mono-utilisateur ne sont pas pris en compte pour la topologie, à l'exception du projet de départ.
  4. Si le projet de départ n'est pas un serveur (c'est-à-dire dans le cas d'un projet mono-utilisateur, client ou d'un serveur redondant ne gérant pas le procédé), le routage n'est pas activé dans le service réseau. Ceci affecte uniquement la direction du serveur au client.

Règles de routage dans >CD_PRODUCTNAME<, versions 6.50 et suivantes :

La propriété Routage actif est désactivée par défaut à compter de la version 6.50.

Sans routage

Si la propriété Routage actif n'est pas active pour le projet de départ sur l'ordinateur, le routage n'a pas lieu. Chaque projet se connecte alors directement à l'ordinateur correspondant, sur lequel il est le serveur. L'ordinateur n'est alors pas un nœud, et les paquets ne sont donc plus routés depuis ce dernier.

Avec routage

Les règles établies avant la version 6.50 restent valides.

Exception :

  • Un projet qui incarne le serveur ou le serveur redondant sur l'ordinateur reste un serveur ou un serveur redondant, même si le projet de niveau supérieur utilise un autre serveur ou serveur redondant.

Vérification du routage

Pour contrôler les paramètres de routage, utilisez la procédure décrite dans la section Gestion de la topologie du réseau.

Autres sujets abordés dans ce chapitre

Exemple de routage


Exemple de routage

Manuels -> Réseau -> Routage -> Exemple de routage

Routage pour :

  • PC3 P1 + P1_1 via PC1
  • PC1/P1_1 via PC2

Situation initiale

Les éléments graphiques suivants incluent l'ordinateur, les projets qui s'exécutent sur celui-ci et le nom du serveur configuré.

  • PC1 à PC4 = ordinateurs 1 à 4
  • Px = numéro de projet
  • IPRJ = projet d'intégration
  • S = serveur
  • CL = client

Serveur dans le Runtime :

PC1 |
IPRJ | PC1
P1 | PC2
P1_1 | PC2

PC2 |
P1 | PC2
P1_1 | PC4

PC3 |
IPRJ | PC1
P1 | PC1
P1_1 | PC1

PC4 |
P1_1 | PC4

Exemple

Si un paquet est transmis depuis PC3/P1_1 à son serveur, l'itinéraire est le suivant :

PC3/P1_1 -> PC1 -> PC2 -> PC4

Connexion entre les ordinateurs :

Le client établit la connexion | Serveur
PC3 | PC1
PC1 | PC2
PC2 | PC4


Autorisation sur le réseau

Manuels -> Réseau -> Autorisation sur le réseau

Un projet de réseau peut être actionné depuis toutes les stations comportant les paramètres de base. Par "actionner", on entend ici intervenir activement dans le procédé par la configuration de valeurs, l'exécution de recettes, l'acquittement d'alarmes, etc.

Il existe donc le risque que deux utilisateurs travaillant sur deux stations différentes souhaitent configurer des valeurs différentes pour une même variable au même moment. Dans ce cas :

  • Les deux actions sont exécutées
  • Les valeurs saisies en dernier remplacent toutes les valeurs précédentes

Dans zenon, vous avez la possibilité d'autoriser l'actionnement du projet depuis une station à la fois seulement. Dans ce cas, l'utilisateur doit obtenir l'autorisation d'actionner le projet. L'ouverture du synoptique, la lecture de listes etc. sont possibles depuis toutes les stations.

info Info

Les autorisations fonctionnelles des projets sans réseau peuvent être mises en œuvre par l'évaluation d'une variable binaire pour la propriété de projet Vérouillage fonctionnement. Pour plus de détails, reportez-vous au chapitre Autorisations fonctionnelles dans le manuel Gestion de projets et espace de travail.

Procédure

Si la propriété Autorisation en réseau active est active :

  • l'autorisation doit être obtenue si une action active est en cours.
  • Si le fonctionnement est bloqué par un autre ordinateur, une boîte de dialogue s'affiche sur l'ordinateur exerçant le blocage.
  • L'utilisateur de l'ordinateur exerçant le blocage peut valider l'autorisation, ou maintenir le blocage.
  • En l'absence de réponse, l'autorisation est validée après expiration d'un délai d'attente prédéfini.
  • Si une interruption de la connexion au réseau est identifiée, l'autorisation est réinitialisée pour l'ordinateur concerné.

Pour plus de détails, reportez-vous au chapitre :

  • Configuration de l'autorisation
  • Autorisation dans le Runtime

Variables système des autorisations

Les variables système vous informent sur les autorisations :

  • Ordinateur avec une autorisation : nom de l'ordinateur détenant l'autorisation (chaîne)
  • Autorisation présente sur cet ordinateur : l'ordinateur possède l'autorisation (valeur booléenne)
  • Autorisation d'accès refusée : l'ordinateur demande l'autorisation, mais ne la reçoit pas (valeur booléenne)

Pour plus de détails, reportez-vous au chapitre Messages de réseau du driver système.

Autres sujets abordés dans ce chapitre

Configuration de l'autorisation

Autorisation dans le Runtime


Configuration de l'autorisation

Manuels -> Réseau -> Autorisation sur le réseau -> Configuration de l'autorisation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour activer l'autorisation sur le réseau, procédez comme suit :

  • Activation des autorisations et configuration des délais d'attente
  • Configuration des fonctions destinées à être utilisées dans le Runtime
  • Notez le comportement de la gestion des utilisateurs sur le réseau

Activation des autorisations

Cette autorisation de l'utilisateur sur le réseau doit être activée dans les propriétés du projet.

  • Accédez au groupe Réseau des propriétés du projet.
  • Activez la propriété Autorisation en réseau active.
  • Définissez le paramètre Timeout pour requête [s] :

    Définit l'intervalle de temps durant lequel un ordinateur peut répondre à une demande d'autorisation. L'autorisation est approuvée automatiquement après expiration de ce délai.

    Par défaut : 60 secondes

  • Définissez le paramètre Timeout pour autorisation [s] :

    Définit l'intervalle de temps dans lequel un ordinateur possédant l'autorisation doit répondre au serveur. L'autorisation est approuvée automatiquement après expiration de ce délai. Les interruptions de la connexion sur le réseau sont ainsi identifiées. L'autorisation ne peut donc pas être bloquée par un ordinateur impossible à contacter.

    Par défaut : 60 secondes.

    Attention : sélectionnez un intervalle de temps plus court que le délai d'expiration d'attente du réseau dans la propriété -

Fonctions d'autorisation dans le Runtime

Pour obtenir ou valider des autorisations, les fonctions correspondantes doivent être disponibles dans le Runtime. Pour cela, deux boutons sont désignés pour les fonctions correspondantes :

  • Get authorization (Obtenir autorisation) : obtient l'autorisation de l'ordinateur de l'utilisateur
  • Approve authorization (Approuver l'autorisation) : approuver l'autorisation ou émettre une demande

Obtenir autorisation

  1. Créez une nouvelle fonction
  2. Sélectionnez la fonction Autorisation sur le réseau dans le groupe Réseau.
  3. La boîte de dialogue de sélection des autorisations sur le réseau s'affiche.

  4. Sélectionnez Get (Obtenir).

Si cette fonction est exécutée dans le Runtime, l'autorisation peut être obtenue depuis la station de l'utilisateur.

Approve authorization (Approuver l'autorisation)

  1. Créez une nouvelle fonction
  2. Sélectionnez la fonction Autorisation sur le réseau dans le groupe Réseau.
  3. La boîte de dialogue de sélection des autorisations sur le réseau s'affiche.

  4. Sélectionnez Approve (Approuver).

Si cette fonction est exécutée dans le Runtime, l'autorisation peut être validée à nouveau.


Autorisation dans le Runtime

Manuels -> Réseau -> Autorisation sur le réseau -> Autorisation dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si la propriété Autorisation en réseau active est active, les opérations actives sont uniquement exécutées dans le Runtime si la station est autorisée.

Exemple

Une valeur prescrite doit être définir pour une variable :

  • La valeur prescrite n'est pas envoyée au matériel.
  • Au lieu de cela, un message s'affiche, vous informant que vous ne disposez pas de l'autorisation requise pour ce projet.
  • Cliquez sur le bouton pour obtenir l'autorisation.

Absence de blocage de l'autorisation pour les autres ordinateurs :

Si l'opération peut être exécutée librement :

  • Vous recevez l'autorisation
  • Vous pouvez définir la valeur prescrite
  • Après l'opération, vous pouvez fournir la valeur prescrite aux autres ordinateurs en sélectionnant la fonction Approve authorization (Valider l'autorisation)

Blocage de l'autorisation pour un autre ordinateur :

Si l'autorisation est bloquée :

  • Une boîte de dialogue s'affiche sur l'ordinateur exerçant le blocage
  • L'utilisateur de l'ordinateur exerçant le blocage doit explicitement valider l'autorisation
    • Oui : l'autorisation est transmise à l'autre ordinateur
    • Non : l'autorisation reste bloquée
    • Absence de réaction : un décompte correspondant au délai d'attente défini dans la propriété Timeout pour autorisation [s] commence. L'autorisation est automatiquement accordée à 00:00.


Fonctions de zenon sur le réseau

Manuels -> Réseau -> Fonctions de zenon sur le réseau

Lors de l'utilisation de fonctions sur le réseau, le lieu d'exécution doit être noté. Le lieu d'exécution peut être librement configuré pour certaines fonctions, mais être prédéfini pour d'autres.

Les fonctions spéciales pour le réseau sont les suivantes :

  • Autorisation sur le réseau
  • Commutation redondance

Autres sujets abordés dans ce chapitre

Autorisation sur le réseau

Changement de redondance


Autorisation sur le réseau

Manuels -> Réseau -> Fonctions de zenon sur le réseau -> Autorisation sur le réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour obtenir ou valider des autorisations, les fonctions correspondantes doivent être disponibles dans le Runtime. Pour cela, deux boutons sont désignés pour les fonctions correspondantes :

  • Get authorization (Obtenir autorisation) : obtient l'autorisation de l'ordinateur de l'utilisateur
  • Approve authorization (Approuver l'autorisation) : approuver l'autorisation ou émettre une demande

Obtenir autorisation

  1. Créez une nouvelle fonction
  2. Sélectionnez la fonction Autorisation sur le réseau dans le groupe Réseau.
  3. La boîte de dialogue de sélection des autorisations sur le réseau s'affiche.

  4. Sélectionnez Get (Obtenir).

Si cette fonction est exécutée dans le Runtime, l'autorisation peut être obtenue depuis la station de l'utilisateur.

Approve authorization (Approuver l'autorisation)

  1. Créez une nouvelle fonction
  2. Sélectionnez la fonction Autorisation sur le réseau dans le groupe Réseau.
  3. La boîte de dialogue de sélection des autorisations sur le réseau s'affiche.

  4. Sélectionnez Approve (Approuver).

Si cette fonction est exécutée dans le Runtime, l'autorisation peut être validée à nouveau.


Changement de redondance

Manuels -> Réseau -> Fonctions de zenon sur le réseau -> Changement de redondance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet de basculer entre le serveur et le serveur redondant. Le serveur actuel devient ainsi le serveur redondant, et inversement. Ce changement est permanent jusqu'à ce que :

  • La fonction soit exécutée à nouveau

    ou

  • Les fichiers de Runtime provenant de l'Éditeur soient rechargés

Parmi les scénarios d'utilisation concrète de cette fonctionnalité figurent notamment les travaux de maintenance sur le serveur, l'optimisation de la connexion entre l'équipement et le serveur redondant, etc.

info Info

Cette fonction n'est pas adaptée aux tests de redondance, car le comportement est différent de celui d'une panne de serveur.

Pour configurer la fonction :

  1. Créez une nouvelle fonction
  2. Dans le groupe Réseau, sélectionnez la fonction de basculement de la redondance.

    (Aucun réglage supplémentaire n'est nécessaire.)

  3. Liez la fonction à un bouton.


Comportement des modules de zenon sur le réseau

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans les projets de réseau, le comportement des modules et fonctions individuels sur le réseau doit être noté.

Autres sujets abordés dans ce chapitre

Liste d'alarmes et liste chronologique d'événements

Les archives

Contrôle Batch

Gestion des utilisateurs

Fichiers

Tendance étendue

Fonctions

Gestion de messages

Interfaces de programmation

Générateur de rapports

Recettes

Scripts

Driver – Variables – Matrice de réaction

Commandes temporisées

Attributions


Liste d'alarmes et liste chronologique d'événements

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Liste d'alarmes et liste chronologique d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Gestion d’alarmes

La gestion des alarmes est assurée par le serveur. Le serveur répond aux demandes de gestion d'alarmes provenant des clients. Les modifications sont synchronisées entre le serveur et le serveur redondant.

Liste chronologique d'événements

La liste CEL est gérée sur le serveur. Les modifications sont synchronisées entre le serveur et le serveur redondant.


Les archives

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Les archives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'archivage est effectué sur le serveur.

Le serveur synchronise les données de l'archive avec le serveur redondant et répond aux requêtes provenant des clients.


Contrôle Batch

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Contrôle Batch

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The module Batch Control is fully capable of using a network in terms of Client/Server technology. This means that Batch recipes can be created, duplicated, edited, deleted, etc. on a Client. The whole recipe management remains always on the server. Likewise the whole process control such as start recipe, pause recipe, stop recipe, etc. can be done from the Client. Also mode changes and manual operations such as jump are possible.

attention Attention

Module Batch Control does not support redundancy. There is no synchronization between Standby-Server. When the Server breaks down, the executed Batch recipes are not continued seamlessly on the Standby!

For using Batch Control in a network the following is true:

Allocation

  • The forcing of allocations can be carried out be Server and Client.

Functions

Functions are always carried out at the Server.

Phases

  • Editing phases in the master recipe:
    • Edit mode: Changes are done locally at the Client.
      If during the editing the recipe is saved on another computer in the network, the current configuration is lost. An appropriate message is displayed and the editing dialog is closed. The new data from the server are displayed.
    • Test mode: Changes are done at the Server.
  • Control recipe: Changes are done at the Server.
  • If a recipe is saved in the network, all Clients using this recipe are updated.
  • If a recipe is opened on a client, the current version on the server is always displayed, even if it has not yet been saved there.
  • If a recipe is deleted on a computer, a message is displayed on all computer on which the recipe is opened that the recipe has been deleted.

Mode

  • The mode (automatic, semi-automatic, manual) can be switched by the Server and the Client.
  • Jumps in the recipe and step-by-step progress of a recipe can be done from Server and Client.

Recipes

  • Recipes can be started and controlled from Server and Client.
  • If parameters in a recipe are changed whilst the recipe is saved on a different client, the change to the parameters is refused and not carried out.
  • If a communication error occurs when deleting a recipe or an operation template, the deletion is refused with an error message.

Web client

With a standard web client:

  • The settings for grid and color can be changed
  • No recipes can be created or edited
  • The size of the editing area cannot be changed
  • In the tool bar, all symbols that are not permitted are deactivated; it is not possible to select the corresponding objects.

The web client PRO is not affected by these restrictions.


Gestion des utilisateurs

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Gestion des utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La gestion des utilisateurs est assurée par le serveur. Procédure de connexion :

  1. La demande de connexion est transmise au serveur.
  2. Celui-ci répond en fournissant une liste d'utilisateurs autorisés.
  3. Le client vérifie les données.

Si des modifications sont apportées à la gestion des utilisateurs au niveau d'un client dans le Runtime, la liste d'utilisateurs complète est transmise par le client au serveur.


Fichiers

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Fichiers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Fichiers

Des listes de fichiers de modules sont créées lors de l'échange de données entre le serveur et le serveur redondant. Le serveur contrôle ces listes afin de détecter tout changement. Les modifications détectées sont transférées vers le serveur redondant.

attention Attention

Le serveur ne réagit pas aux commandes de surveillance transmises par le serveur redondant lors de la création des listes. Notez le temps défini pour la propriété - dans les propriétés du réseau lors de la configuration.

Le module Remote Transport assure le transfert des fichiers suivants vers le système cible : tous les fichiers sont systématiquement transférés vers le dossier correspondant.

  1. Standard

    Tous les fichiers présents dans le dossier de Runtime du projet.
    Ces fichiers déterminent l'apparence et le comportement du projet, et sont transférés par défaut :

    1. tous les fichiers de synoptiques (nom du synoptique.zpp)
    2. amlcel.cmp
    3. archiv.cmp
    4. fpm.cmp
    5. functions.cmp
    6. project.cmp
    7. projekt.mdb (pas sous CE)
    8. remas.cmp
    9. rezepturen.cmp
    10. scripts.cmp
    11. templates.cmp
    12. variables.cmp
    13. zuweisung.cmp
    14. Plus : project.ini et projekt.vba, qui sont toujours dans le dossier du projet

info Info

Les fichiers comportant les suffixes suivants ne sont pas transférés par défaut :

  • .hot
  • .ho
  • .ret
  • .re
  1. Facultatif

    En outre, tous les fichiers incorporés dans le projet doivent être transférés. Pour les sélectionner, cochez la case Active dans les paramètres de Remote Transport. Ces fichiers se trouvent dans les sous-dossiers suivants du répertoire du projet :

    1. \zenon\custom\graphics : pour les éléments graphiques
    2. \zenon\custom\lists : pour les tables de langues
    3. \zenon\custom\media : pour tous les fichiers média
    4. \zenon\custom\reports : pour les rapports créés avec le générateur de rapport
    5. \zenon\custom\help : pour les fichiers d'aide
    6. \zenon\custom\additional : pour les fichiers supplémentaires
    7. \zenon\custom\drivers : pour les drivers
    8. \straton : pour zenon Logic

    Recommandation : Le chemin d'accès de base du projet, les fichiers graphiques, les tables de langues, les tables de rapports et les fichiers média sont toujours transférés.
    Les éléments suivants sont transférés depuis le chemin d'accès de base, par défaut : les fichiers project.ini, Projekt.vba, Monitor.mon et le dossier Projekt.

    Par défaut, zenon utilise systématiquement des chemins relatifs (et non des chemins absolus), afin que les fichiers puissent facilement être retrouvés sur le système cible.

    Pour les fichiers dont le transfert est facultatif, vous devez toujours utiliser les chemins originaux (la zone de texte vide dans "Cible"), de manière à ce que zenon puisse les trouver sur le système cible.

  2. Définir le projet de démarrage

    Pour le Runtime, le projet de départ doit toujours être défini dans zenon6.ini. Pour cela, cliquez sur l'option Spécifier le projet de démarrage du Runtime à distance de la barre d'outils Remote Transport. Les entrées suivantes sont alors définies :

    [PATH]

    VBF30='chemin projet'

    [DEFAULT]

    DEFANWENDUNG30='nom projet'

Projet global

attention Attention

Si la différence de temps entre le serveur et le client est supérieure à 5 secondes, aucun fichier supplémentaire n'est synchronisé.


Tendance étendue

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Tendance étendue

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module Extended Trend affiche les informations des archives et données en ligne. Ces données sont enregistrées sur le serveur.

Le serveur synchronise les données modifiées avec le serveur redondant et répond aux requêtes des clients.


Fonctions

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour les fonctions utilisées sur le réseau :

  • L'emplacement d'exécution peut être librement configuré, dans certains cas
  • L'emplacement d'exécution est prédéfini, dans d'autres cas

info Info

Les scripts associent plusieurs fonctions. L'emplacement d'exécution dépend alors des paramètres de la fonction Execute script (Exécuter script). Ce paramètre remplace les paramètres des fonctions individuelles.

Configurez l'emplacement d'exécution

Pour les fonctions pour lesquelles l'emplacement d'exécution peut être librement configuré, les paramètres correspondants sont disponibles dans les propriétés de la fonction. Pour définir l'emplacement d'exécution :

  1. Accédez au groupe Exécution dans les propriétés du projet.
  2. Sélectionnez l'emplacement d'exécution souhaité en cochant la case. Une sélection multiple est possible :
    • Ordinateur courant : La fonction sera exécutée sur l'ordinateur actuel.
    • Serveur : La fonction sera exécutée sur le serveur.
    • Redondant : La fonction sera exécutée sur le serveur redondant.
    • Client : La fonction sera exécutée sur la totalité des clients.

Vue d'ensemble des fonctions de réseau

La table suivante illustre les fonctions exécutées, ainsi que leur emplacement d'exécution.

Clé :

  • Paramétrable : le comportement peut être configuré

    +: Oui

    -: Non

    O : Défaut

  • Si non paramétrable, O identifie l'emplacement d'exécution :
    • Ordinateur actif
    • Serveur
    • Redondant
    • Client

Fonction | Paramétrable | Ordinateur courant | Serveur | Redondant | Client
Liste d'alarmes et liste chronologique d'événements |  |  |  |  |
Alarmes : acquitter clignotement | - | O |  |  |
Alarmes : supprimer | - |  | O | O |
Alarmes : acquitter | - |  | O | O |
Inscrire/désinscrire groupe d'alarmes/d'événements | - | O |  |  |
Activer/désactiver liste d'alarmes / groupe d'alarmes/d'événements / classe d'alarmes/d'événements | - |  | O | O |
Gestion d'alarmes active | - |  | O |  |
Alarm Message List active/inactive (Liste d'alarmes actives/inactives) | - |  | O |  |
Alarmes : désactiver | - |  | O |  |
Exportation de la liste AML | + | O |  |  |
Sauver buffer mémoire des alarmes et des événements | - |  | O | O |
Exporter CEL | + | O |  |  |
Print AML or CEL (Imprimer la liste AML ou CEL) | + | O |  |  |
Créer/imprimer un document IPA | - |  | O |  |
impression en ligne on/off | - |  | O | O |
Démarrer nouvelle page pour l'impression en ligne | + | O |  |  |
Changer imprimante en ligne | - |  | O |  |
Application |  |  |  |  |
Sélection imprimante | + | O |  |  |
Démarrer EMS | - |  | O |  |
Arrêter EMS | - |  | O |  |
Imprimer un diagramme Extended Trend | + | O |  |  |
Changer de palette | + | O |  |  |
Fonctions : activer sur limite | - |  | O | O |
Fonctions activer/désactiver sur limite | - |  | O | O |
Fonctions : désactiver sur limite | - |  | O | O |
Ouvrir l'aide | + | O |  |  |
Réinitialiser projet en ligne | + | O |  |  |
Détermination des maintenances ouvertes | - |  | O |  |
PFS – Exécuter un événement défini par l'utilisateur | + | O |  |  |
Activer/désactiver la simulation de projet | - | O |  |  |
Simuler le clic droit | + | O |  |  |
Save remanent data (Enregistrer les données rémanentes) | + | O |  |  |
Quitter le Runtime | + | O |  |  |
Analyser les heuristiques du graphe S7 | + | O |  |  |
Exécuter une fonction SAP | + | O |  |  |
Changement de langue | + | O |  |  |
Topologie - Recherche des défauts de terre | - |  | O |  |
Topologie – Délestage | - |  | O |  |
Le serveur d'archives |  |  |  |  |
Archive : Stop | - |  | O | O |
Indexer les archives | - |  | O |  |
Archive : Départ | - |  | O | O |
Export archives (Exporter les archives) | - | O |  |  |
Archive : liste des archives actives | - |  | O | O |
Gestion utilisateurs |  |  |  |  |
Modifier un utilisateur | + | O |  |  |
Login avec boite de dialogue | + | O |  |  |
Login sans mot de passe | + | O |  |  |
Logout | + | O |  |  |
Modifier mot de passe | - | O |  |  |
Synoptiques |  |  |  |  |
Change ALC source color (Modifier la couleur source de la fonction CAL) | + | O |  |  |
Synoptique indexé | - | O |  |  |
Fermer le synoptique | + | O |  |  |
Synoptique : retour au précédent | - | O |  |  |
Synoptique : déplacer le centre | + | O |  |  |
Appel de synoptique | + | O |  |  |
Activer l'élément qui a le focus | +- | O |  |  |
Donner le focus au gabarit | + | O |  |  |
Donner le focus | - | O |  |  |
Enlever le focus du gabarit | + | O |  |  |
Visualiser menu | + | O |  |  |
Sélection moniteur | + | O |  |  |
Profils de Runtime | + | O |  |  |
Fermer le gabarit | + | O |  |  |
Saisie de valeur pour les synoptiques clavier | - | O |  |  |
Vue d'aperçu | + | O |  |  |
Détection d'erreurs sur les réseaux électriques |  |  |  |  |
Acquitter un message de défaut de terre | + | O |  |  |
Arrêter la recherche des défauts de terre | + | O |  |  |
Démarrer la recherche des défauts de terre | + | O |  |  |
Acquitter le message de court-circuit | + | O |  |  |
Gestion de messages Remarque : l'emplacement d'exécution peut être librement défini, en théorie. Les modifications n'ont toutefois aucun effet. La fonction Message Control (gestion des messages) est toujours exécutée sur le serveur. |  |  |  |  |
Visualiser la base de données des destinataires | + | O |  |  |
Envoi d'un message | + | O |  |  |
Envoi de messages : activer | + | O |  |  |
Envoi de messages : désactiver | + | O |  |  |
Réseau |  |  |  |  |
Autorisation sur le réseau | + | O |  |  |
Commutation redondance | - |  |  | O |
Générateur de rapports |  |  |  |  |
Imprimer rapport | + |  |  |  |
Rapport : exécuter | + |  |  |  |
Exporter rapport | + |  |  |  |
Recettes |  |  |  |  |
Gestionnaire de groupes de recettes | - | O |  |  |
Recette standard | - | O |  |  |
Recette : envoi direct | + | O | O | O | O
Recette : modification avant envoi | - | O |  |  |
Recette : sélection et modification avant envoi | - | O |  |  |
Script |  |  |  |  |
Script : exécuter | + | O |  |  |
Script : sélection en ligne | + | O |  |  |
Variable |  |  |  |  |
Exporter données | - |  | O |  |
Lire un fichier dBase | + | O |  |  |
Imprimer valeurs actuelles | + | O |  |  |
Unit conversion (Conversion d'unités) | + | O |  |  |
Gestion HD active | - |  | O | O |
Gestion HD inactive | - |  | O | O |
Valeurs de tendance inactives/actives | - |  | O | O |
Écriture valeur prescrite | - |  | O |  |
Commandes driver | - | O |  |  |
Transférer l'image de simulation du driver au redondant | - |  |  |  | O
Écrire l'heure dans une variable | + | O |  |  |
Lire l'heure d'une variable | + | O |  |  |
VBA |  |  |  |  |
Ouvrir l'Éditeur PCE | - |  | O |  |
Ouvrir l'éditeur VBA | + | O |  |  |
Exécuter macro VBA | + | O |  |  |
Montrer la boîte de dialogue des macros VBA | + | O |  |  |
VSTA |  |  |  |  |
Ouvrir Éditeur VSTA | + | O |  |  |
Exécuter macro VSTA | + | O |  |  |
Montrer la boîte de dialogue des macros VSTA | + | O |  |  |
Fenêtre |  |  |  |  |
Émettre un fichier-son | + | O |  |  |
Opérations sur fichiers | + | O |  |  |
Son bip : début | + | O |  |  |
Son bip : fin | + | O |  |  |
Fenêtre en arrière-plan | - | O |  |  |
Fenêtre en avant-plan | - | O |  |  |
Imprimer la capture d'écran | + | O |  |  |
Exécuter un programme | + | O |  |  |


Gestion de messages

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Gestion de messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Message Control (Gestion de messages) est dépendante du serveur.

  • La gestion des messages est assurée par le serveur.
  • Les messages sont toujours transmis par le serveur.
  • Les modifications doivent être apportées au niveau du serveur.
  • Toute modification effectuée sur un client est perdue.

info Info

Un emplacement d'exécution autre que le serveur peut, en théorie, être défini à l'aide des propriétés du groupe Exécution. Ces paramètres n'ont toutefois aucun effet. Les fonctions correspondantes sont encore exécutées automatiquement sur le serveur.


Interfaces de programmation

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Interfaces de programmation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

VBA et VSTA

Le code dans VBA ou VSTA est toujours exécuté localement, sur le système sur lequel il est exécuté.

L'emplacement d'exécution peut toutefois être défini autrement, lorsque l'exécution est appelée par le biais d'une fonction.

Moteur de contrôle de procédé (PCE)

Le module PCE est toujours exécuté localement sur le système sur lequel il est démarré.


Générateur de rapports

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Générateur de rapports

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fichiers *.xrs du Générateur de rapports sont synchronisés sur tous les systèmes du réseau (clients, serveur redondant, serveur).

Éditeur

Si le fichier dans l'Éditeur de zenon est modifié et transféré vers le serveur, le serveur transmet ce fichier modifié à tous les autres ordinateurs sur le réseau, par le biais d'un service Push.

Runtime

Si le fichier est modifié dans le Runtime, les modifications sont enregistrées temporairement, puis remplacées lors du prochain rechargement ou au redémarrage du Runtime.


Recettes

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'exécution des recettes diffère pour les recettes standard et les recettes du module RGM.

Recettes standard

Les recettes standard sont gérées sur le serveur et le serveur redondant>.

Si une recette standard est modifiée par un utilisateur dans le Runtime, le client demande la liste complète de recettes au serveur. En cas de modification, la liste de recettes est renvoyée au serveur.

info Info

Cette liste n'est pas identique à celle du fichier rezepturen.cmp

Si une recette est modifiée et exécutée dans le Runtime sur le client, elle est exécutée avec de nouvelles valeurs. Avec une recette standard, vous avez la possibilité d'enregistrer les modifications.

Gestionnaire de groupes de recettes

Lorsque l'écran du module Recipe Group Manager (Gestionnaire de groupes de recettes) est chargé sur le client, une liste de tous les noms de recettes est demandée par le serveur. Dès qu'une recette est sélectionnée, elle est chargée par le serveur.


Scripts

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Scripts

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les scripts associent plusieurs fonctions. L'emplacement d'exécution dépend des paramètres de la fonction Execute script (Exécuter script). Ce paramètre remplace les paramètres des fonctions individuelles.

L'exécution des scripts sur le réseau est contrôlée par des scripts prédéfinis :

Script | Description | Emplacement d'exécution
AUTOSTART | Le script est exécuté automatiquement au démarrage du Runtime, avant le chargement du synoptique de départ, si le projet est le projet de démarrage du Runtime. Il n'est pas exécuté lors du démarrage de projets sous-ordonnés. | Projet de réseau : Serveur Projet simple : Ordinateur actif
AUTOEND | le script est exécuté automatiquement à l'arrêt du Runtime, si le projet est le projet de démarrage du Runtime. Il n'est pas exécuté lors de l'arrêt de projets sous-ordonnés. | Projet de réseau : Serveur Projet simple : Ordinateur actif
AUTOSTART_CLIENT | Le script est exécuté automatiquement sur un client au démarrage du Runtime, avant le chargement du synoptique de départ, si le projet est le projet de démarrage du Runtime. Il n'est pas exécuté lors du démarrage de projets sous-ordonnés. | Client
AUTOEND_CLIENT | le script est exécuté automatiquement sur un client à l'arrêt du Runtime, si le projet est le projet de démarrage du Runtime. Il n'est pas exécuté lors de l'arrêt de projets sous-ordonnés. | Client
AUTOSTART_SRVPRJ | Le script est exécuté automatiquement au démarrage du Runtime pour tout projet exécuté sur le serveur de projet avant le chargement du synoptique de démarrage. | Serveur
AUTOSTART_SRVPRJ | Le script est exécuté automatiquement à l'arrêt du Runtime, lorsqu'un projet est arrêté sur le serveur du projet. | Serveur


Driver – Variables – Matrice de réaction

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Driver – Variables – Matrice de réaction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Seul le driver et le serveur redondant communiquent avec l'automate sur le réseau de zenon. Les demandes des clients sont acheminées par le biais du serveur. Celui-ci obtient les informations auprès de l'automate, et les transmet au client. Les valeurs limite sont surveillées par le serveur.

Driver

Les drivers sont uniquement exécutés sur le serveur

Variables internes

Pour les variables internes, il est possible de définir si chaque variable individuelle est calculée localement ou sur le réseau dans zenon. Pour cela :

  1. Accédez au nœud Variable interne dans les propriétés des variables internes

  2. Définissez l'emplacement d'exécution à l'aide de la propriété Calcul :
    1. Local : Pour les projets en réseau, la variable interne est évaluée et gérée localement, c'est-à-dire sur le client. Les valeurs ne sont pas synchronisées avec celles des autres ordinateurs du réseau.
      Attention : les valeurs limite des variables calculées localement sont également surveillées localement. Ceci a plusieurs conséquences :
      - Les valeurs des variables peuvent être différentes sur chaque client.
      - Les fonctions sont exécutées.
      - La gestion des alarmes ne fonctionne pas ; les alarmes sont exclusivement gérées par le serveur.
    2. Réseau : Pour les projets en réseau, la variable interne est évaluée et gérée sur le serveur du projet. Elles ont la même valeur sur le serveur et tous les clients.

Fonctions et variables internes

  1. Calcul sur le réseau : Client

    Une valeur limite d'une variable interne calculée sur le réseau déclenche une fonction devant être exécutée sur un client. Les entrées de journal suivantes sont générées en cas de dépassement d'une valeur limite.

    Le serveur est responsable des dépassements de valeurs limite, et déclenche donc la fonction correspondante sur les clients.

  2. Calcul sur le réseau : serveur redondant au lieu du client

    Une valeur limite d'une variable interne calculée sur le réseau déclenche une fonction devant être exécutée sur un client. Toutefois, aucun client n'est disponible ; seul le serveur redondant l'est. Les entrées de journal suivantes sont générées en cas de dépassement d'une valeur limite.

    Le serveur traite le serveur redondant comme un client.

  3. Calcul sur le réseau : serveur redondant

    Une valeur limite d'une variable interne calculée sur le réseau déclenche une fonction devant être exécutée sur un serveur redondant. Les entrées de journal suivantes sont générées en cas de dépassement d'une valeur limite.

    Le serveur envoie un message au serveur redondant pour exécuter la fonction.

  4. Calcul sur le réseau : client et serveur redondant

    Une valeur limite d'une variable interne calculée sur le réseau déclenche une fonction devant être exécutée sur un client et le serveur redondant. Les entrées de journal suivantes sont générées en cas de dépassement d'une valeur limite.

    Le serveur déclenche la fonction sur le client et envoie un message au serveur redondant pour exécuter la fonction.

Matrices de réaction

Les matrices de réaction sont calculées sur le client et le serveur.

Si une fonction est exécutée par une matrice de réaction, l'emplacement d'exécution est déterminé par les paramètres de la fonction.


Commandes temporisées

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Commandes temporisées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les commandes temporisées sont exécutées sur le serveur et le serveur redondant.

La fonction déclenchée est exécutée sur les systèmes sélectionnés pour l'exécution de la fonction dans les paramètres.


Attributions

Manuels -> Réseau -> Comportement des modules de zenon sur le réseau -> Attributions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les attributions sont toujours réalisées par le serveur, et non pour la variable d'origine.

Les attributions provenant des clients sont toujours ignorées.


Messages réseau du driver système

Manuels -> Réseau -> Messages réseau du driver système

Les variables suivantes sont disponibles pour l'entraînement :

Name

Data type

Comment

Current server

STRING

local

Computer name of the server currently handling processes
If the name was acquired from the hosts file, this will be the name used there. For DNS, this is the Fully Qualified Doman Name.

Note: If the network is deactivated, the variable sends the status INVALID. The Current standby server remains empty in contrast.

Current standby server

STRING

local

Computer name of the server which is currently not handling processes.
If the name was acquired from the hosts file, this is the name entered there. For DNS, this is the Fully Qualified Doman Name.

Number of connected clients

UDINT

Delivers the number of clients currently connected to the server. This number also includes the standby server, if there is one.

Authorization: not granted

BOOL

Shows whether a requested authorization is denied in the network. The value of this variable is changed only for a short time and then changed back to the initial state.
0 = Request for Authorization granted
1 = Request for Authorization denied

Authorization: Present here

BOOL

Shows whether there is an authorization for the current project on the local computer.
0 = No
1 = Yes

Authorization: Computer that owns it.

STRING

Shows the name of the computer that has the authorization for the currently loaded project.

Names of connected clients

STRING

Delivers the names of the clients currently connected to the server. The standby server, if there is one, is also included.

Network timeout [milliseconds]

UDINT

Shows the timeout in milliseconds for the zenon network as configured in the project configuration.

Redundancy switch

BOOL

A binary variable that takes the value 1 for a short time when the system performs a redundancy switch between server and standby server.
0 = No redundancy switch
1 = Redundancy switch

Server offline

BOOL

local

Indicates that the connection to the process handling server was lost.
Depending on the network position of the computer, this means:

• Dominant Server: While it is not yet the process handling server, the value changes to TRUE if the connection to the process handling server is lost. Always FALSE after synchronization.

• Non-dominant Server: Changes to TRUE if the connection to the dominant server, which was the process handling server, is lost. Changes back to FALSE if the standby server was promoted to be the process handling server.

EVALUATION: Preferably via a REMA, as the Alarm Management is also swapped and taken over by the SB at that time. The Online Container is also not suitable because the variables are re-initialized during redundancy switching.

• Client: Changes to TRUE if the connection to the process handling server is lost. Changes back to FALSE if the client connects to the SB computer that is now the process handling server.

Server stop

BOOL

local

Indicates the regular stop of the process handling server.
The value changes to TRUE if the process handling server was stopped properly. FALSE if there is a process handling server in the net.

Depending on the network position of the computer, this means:

• Dominant Server: While it is not yet the process handling server, the value changes to TRUE if the process handling server has stopped.

• Non-dominant Server: Changes to TRUE if the dominant server, which was the process handling server, has stopped. Changes back to FALSE if the StandBy was promoted to be the process handling server.

EVALUATION: Preferably via a REMA, as the Alarm Management is also swapped and taken over by the SB at that time. The Online Container is also not suitable because the variables are re-initialized during redundancy switching.

• Client: Changes to TRUE if the dominant server has stopped. Changes back to FALSE if the client connects to the SB computer that is now the process handling server.
Is also TRUE while the process handling non-dominant server changes back to be the non-process handling server.

Server-Standby in data update

BOOL

A binary variable that takes on the value 1 if the server and the standby server are synchronizing files after a redundancy switch.
0 = No file synchronization
1 = File synchronization active

Standalone/Server/Standby-Server/Client

DINT

Shows the type of the local computer in the network.
-1 = Single user
0 = Client
1 = Server
2 = Standby Server

Standby-Server offline

BOOL

Changes to TRUE if the connection to the currently non-process handling server is terminated unexpectedly. If there is a connection, the value is FALSE.

Depending on the network position of the computer, this means:

• Dominant Server: The variable only acts as described from the time when the standby became the server handling the process.

• Non-dominant Server: If, during file synchronization, the connection to a server that is dominant but is not handling the process is interrupted, the value changes to TRUE. Always FALSE if not the server handling the process.

• Client: As per server handling the process.

Standby-Server stop

BOOL

Is TRUE on the process handling server, if the non-process handling server was stopped properly and if there is no connection anymore. Changes to FALSE if the non-process handling server has registered at the process handling server.

Depending on the network position of the computer, this means:

• Dominant Server: Only from the time when the standby became the server handling the process does the variable act as described.

• Non-dominant Server: If this is ended during file synchronization with a server that is dominant but is not handling the process, the value changes to TRUE. Always FALSE if not the server handling the process.

• Client: As per server handling the process.

Standby-Server start

BOOL

TRUE if the non-process handling server has registered at the process-handling server and if the data update was performed and the connection between the two computers is active.

Depending on the network position of the computer, this means:

• Dominant Server: Only from the time when the standby became the server handling the process does the variable act as described.

• Non-dominant Server: Becomes TRUE if the dominant server not handling the process starts. Changes to FALSE if the computer is the server handling the process.

• Client: As per server handling the process.

Switch from Server to Standby

BOOL

A binary variable that takes on the value 1 if the server becomes the standby server during a redundancy switch.
0 = registered server is available as server in the network.
1 = registered server is available as standby server in the network.

Switch from Standby to Server

BOOL

A binary variable that takes on the value 1 if the standby server becomes the server during a redundancy switch.
0 = registered standby server is available as standby server in the network.
1 = registered standby server is available as server in the network.


Runtime

Manuels -> Runtime

Vous trouverez ici les informations concernant les différentes possibilités pour l'opérateur en Runtime.

zenon est constitué d'un environnement de développement (l'Éditeur) et du Runtime : Les projets sont créés dans l'Éditeur, puis exécutés et suivis dans le Runtime. Le Runtime est disponible sous forme de version 32 bits et 64 bits, à partir de zenon 7.10. Les projets peuvent être exécutés dans les deux versions. D'autres informations concernant la compatibilité avec les différentes versions de zenon 7.10 sont disponibles dans le manuel Conversion de projets, au chapitre Version 64 bits.

tutorial Informations concernant la licence

Le Runtime zenon doit disposer d'une licence. La licence est calculée en fonction du nombre d'identifiants ou d'E/S utilisés. Pour plus de détails concernant la gestion des licences, reportez-vous au chapitre Gestion des licences.

Le Runtime est disponible dans les versions zenon Supervisor et zenon Operator pour systèmes d'exploitation incorporés. Ces versions possèdent des fonctionnalités différentes. Pour plus de détails, reportez-vous à la section Restrictions concernant zenon Operator.

attention Attention

Résolution d'écran : utilisez les paramètres standard du système d'exploitation pour garantir l'affichage optimal du Runtime (100 %).

Autres sujets abordés dans ce chapitre

Démarrer le Runtime

Fichiers de compatibilité du Runtime

Fonctionnement dans le Runtime

Profils de Runtime

Gestion de la date et de l'heure


Démarrer le Runtime

Manuels -> Runtime -> Démarrer le Runtime

Vous pouvez démarrer le Runtime comme suit :

  • À partir de l'Éditeur
    • En appuyant sur la touche F5
    • Via le symbole Démarrer le Runtime de la barre d'outils Fichiers Runtime
  • Via l'outil Startup Tool
  • Via le menu Démarrer de Windows
  • À l'aide de la fonction Exécution automatique de Windows

Service zenAdminSrv

Le service zenAdminSrv doit être en cours d'exécution pour démarrer le Runtime. Si le service n'est pas disponible, vous verrez s'afficher le message d'erreur : "Runtime cannot be started because the 'zenAdminSrv' service cannot be located!" (Le Runtime ne peut pas être démarré car le service 'zenAdminSrv' ne peut pas être atteint !).

Lors du démarrage avec la fonction Exécution automatique de Windows, vous verrez s'afficher le message d'erreur : "Waiting for service 'zenAdminSrv' to start" (Attente du démarrage du service 'zenAdminSrv'). zenon tente ensuite de démarrer le Runtime jusqu'à ce que le service soit disponible, ou que vous fermiez le message d'erreur en cliquant sur Annuler. Le Runtime ne démarre alors pas.

Fonction Fenêtre au premier plan

Le Runtime peut être déplacé derrière d'autres programmes en cours d'exécution à l'aide de la fonction Fenêtre en arrière-plan. Sans la fonction Fenêtre en avant-plan, il est déplacé au premier plan. info Info

Fenêtre en avant-plan

Cette fonction bascule le Runtime zenon vers le premier plan.

Attention : lorsque le Runtime passe au premier plan, il recouvre la barre d'état des alarmes.

Plus de détails dans l'aide en ligne

Fenêtre en arrière-plan

Cette fonction bascule le runtime du système de contrôle en arrière plan.

Plus de détails dans l'aide en ligne

Lors du déplacement du Runtime vers le premier plan, la fenêtre de Runtime est définie comme la fenêtre supérieure. La ligne d'état des alarmes est alors recouverte. Pour ramener la ligne d'état des alarmes au premier plan, vous pouvez :

  • Activer les touches système (en désactivant le paramètre de projet Bloquer les touches système), puis ramener la ligne d'état des alarmes au premier plan en appuyant sur Alt+Tabulation
  • Activer la barre des tâches de Windows et cliquer sur la fenêtre État
  • Déplacer le Runtime vers l'arrière-plan
  • Redémarrer le Runtime


Fichiers de compatibilité du Runtime

Manuels -> Runtime -> Fichiers de compatibilité du Runtime

Le Runtime de zenon est rétrocompatible. Le Runtime peut toujours charger les projets provenant de versions antérieures et interpréter et afficher ces projets conformément à leur version.

Les projets provenant des versions 6.20 SP4 et ultérieures peuvent être démarrés directement, sans conversion préalable. Les projets comportant un numéro de version inférieur doivent être préalablement convertis.

Un fonctionnement mixte est également possible. Ceci signifie : la fonction de gestion multi-projets permet de charger et exécuter les projets provenant de différentes versions.

Compatibilité en ligne

La compatibilité en ligne du Runtime autorise l'interopérabilité des systèmes du Runtime (également via les clients Web) sur le réseau zenon, même si la version du Runtime du client est supérieure à la version du Runtime du serveur.

Le Runtime actuel peut charger des projets des versions suivantes :

  • 6.20 SP4
  • 6.21 SP0
  • 6.21 SP1
  • 6.22 SP0
  • 6.22 SP1
  • 6.50 SP0
  • 6.51 SP0
  • 7.00 SP0
  • 7.10 SP0

La fonction de gestion multi-projets permet de charger les projets provenant de différentes versions. Par exemple, le projet d'intégration peut comporter le numéro de version 7.00, tandis qu'un sous-projet peut comporter le numéro de version 6.51 et qu'un autre sous-projet peut comporter le numéro de version 6.22 SP1. Le fonctionnement mixte est également possible sur le réseau. Ceci permet de démarrer différentes versions par l'intermédiaire du client Web de zenon.

Attention : le serveur et le serveur redondant doivent comporter la même version.

Remarque concernant le module Batch Control : les fichiers de Runtime du module Batch Control jusqu'à la version 7.00 SP0 incluse ne sont pas compatibles avec les versions ultérieures. Les versions à compter des versions 7.10 et ultérieures sont compatibles.

Compatibilité de l'Éditeur et du Runtime :

Avec l'Éditeur zenon, des fichiers de Runtime peuvent être créés pour différentes versions du Runtime. Il n'est donc pas nécessaire que la version du Runtime corresponde à la version de l'Éditeur. Cette rétrocompatibilité est particulièrement adaptée à l'utilisation de systèmes mixtes. Par exemple : un projet planifié avec la version 6.50 de l'Éditeur peut également être démarré dans le Runtime 6.22.

attention Attention

Si, dans un projet planifié avec une version ultérieure de l'Éditeur, des propriétés affichées ne sont pas disponibles dans la version antérieure, ces propriétés ne sont pas disponibles. Ceci peut produire des résultats indésirables dans le Runtime.

Création de fichiers de Runtime

Pour créer des fichiers de Runtime dans l'Éditeur pour les versions antérieures du Runtime :

  1. Sélectionnez le projet dans l'arborescence du projet.
  2. Accédez à la section Général des propriétés du projet.
  3. Ouvrez la liste déroulante de la propriété Créer fichiers RT pour.
  4. Sélectionnez la version de votre choix :
    • Par défaut : Les fichiers de Runtime sont créés pour la version actuelle de l'Éditeur.
    • 6.20 SP4 : les fichiers de Runtime sont créés pour la version 6.20 Service Pack 4.
    • 6.21 SP0 : les fichiers de Runtime sont créés pour la version 6.21 Service Pack 0.
    • 6.21 SP1 : les fichiers de Runtime sont créés pour la version 6.21 Service Pack 1.
    • 6.22 SP0 : les fichiers de Runtime sont créés pour la version 6.22 Service Pack 0.
    • 6.22 SP1 : les fichiers de Runtime sont créés pour la version 6.22 Service Pack 1.
    • 6.50 SP0 : les fichiers de Runtime sont créés pour la version 6.50 Service Pack 0.
    • 6.51 SP0: les fichiers de Runtime sont créés pour la version 6.51 Service Pack 0.
    • 7.00 SP0: les fichiers de Runtime sont créés pour la version 7.00 Service Pack 0.

Attention : pour garantir la cohérence des fichiers de Runtime, tous les fichiers de Runtime doivent être recréés à chaque modification de cette propriété. Les configurations de tous les drivers sont converties. Les paramètres qui n'existent pas dans la version correspondante sont définis sur le paramètre par défaut.


Fonctionnement dans le Runtime

Manuels -> Runtime -> Fonctionnement dans le Runtime

En fonction de l'équipement et du développement, le clavier et/ou la souris peuvent être utilisés comme périphériques de saisie dans le Runtime.

Autres sujets abordés dans ce chapitre

Souris

Opération clavier


Souris

Manuels -> Runtime -> Fonctionnement dans le Runtime -> Souris

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un simple clic avec le bouton gauche de la souris sur un élément dynamique ouvre (selon la configuration de l'élément dynamique) la boîte de dialogue standard pour entrer une valeur prescrite. Selon le type de la variable, les boîtes de dialogue suivantes apparaissent :

Les opérations possibles sont les suivantes :

Commande | Action
Commuter vers valeur spontanée | Affiche la valeur spontanée (valeur provenant de l'automate) si la valeur de remplacement était affichée avant ou la valeur a été désactivée.
Modify on-change value (Modifier la valeur événementielle) (par défaut) | Écrire une nouvelle valeur spontanée sur l'automate
Commutation et modes. Valeur spontanée | Combinaison des deux commandes ci-dessus
Commuter vers valeur de remplacement | Affiche la valeur de remplacement (valeur provenant de la définition de la variable) si la valeur spontanée était affichée avant.
Modifier valeur de remplacement | Définir une nouvelle valeur de remplacement pour la variable
Commutation et modes. Valeur de substitution | Combinaison des deux commandes ci-dessus
Désactiver valeur spontanée | Désactiver la connexion à l'automate pour cette valeur en définissant le bit d'état OFF (bit 20).
Activer valeur spontanée | Rétablir la connexion à l'automate pour cette valeur en redéfinissant le bit OFF.
Spécifier l'état binaire | - BAS (0) - HAUT (1)

Les opérations possibles sont les suivantes :

Commande | Action
Commuter vers valeur spontanée | Affiche la valeur spontanée (valeur provenant de l'automate) si la valeur de remplacement était affichée avant ou la valeur a été désactivée.
Modify on-change value (Modifier la valeur événementielle) (par défaut) | Écrire une nouvelle valeur spontanée au niveau de l'automate.
Commutation et modes. Valeur spontanée | Association des deux commandes ci-dessus.
Commuter vers valeur de remplacement | Affiche la valeur de remplacement (valeur provenant de la définition de la variable) si la valeur spontanée était affichée avant.
Modifier valeur de remplacement | Définir une nouvelle valeur de remplacement pour la variable
Commutation et modes. Valeur de substitution | Association des deux commandes ci-dessus.
Désactiver valeur spontanée | Désactiver la connexion à l'automate pour cette valeur en définissant le bit d'état OFF (bit 20).
Activer valeur spontanée | Rétablir la connexion à l'automate pour cette valeur en redéfinissant le bit OFF.
Valeur | Nouvelle valeur numérique (dans la plage de mesure définie)

Les opérations possibles sont les suivantes :

Commande | Action
Commuter vers valeur spontanée | Affiche la valeur spontanée (valeur provenant de l'automate) si la valeur de remplacement était affichée avant ou la valeur a été désactivée.
Modify on-change value (Modifier la valeur événementielle) (par défaut) | Écrire une nouvelle valeur spontanée sur l'automate
Commutation et modes. Valeur spontanée | Combinaison des deux commandes ci-dessus
Commuter vers valeur de remplacement | Affiche la valeur de remplacement (valeur provenant de la définition de la variable) si la valeur spontanée était affichée avant.
Modifier valeur de remplacement | Définir une nouvelle valeur de remplacement pour la variable
Commutation et modes. Valeur de substitution | Combinaison des deux commandes ci-dessus
Désactiver valeur spontanée | Désactiver la connexion à l'automate pour cette valeur en définissant le bit d'état OFF (bit 20).
Activer valeur spontanée | Rétablir la connexion à l'automate pour cette valeur en redéfinissant le bit OFF.
Texte | Nouveau texte

Lasso

Les éléments dynamiques liés à une variable ou une fonction peuvent être présélectionnés à l'aide du lasso dans le Runtime, et ainsi être utilisés pour des événements VBA.

Sélection avec le lasso

Pour sélectionner des éléments avec le lasso dans le Runtime, vous devez :

  • Activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet
  • Activer la propriété Runtime/sélectionnable avec le lasso dans la propriété de l'élément dynamique

Dans le Runtime, plusieurs méthodes de sélection d'éléments sont disponibles :

  • Sélectionner les éléments : cliquez sur une zone vide, maintenez le bouton de la souris enfoncé et tracez le lasso sur les éléments affichés à l'écran
  • Étendre la sélection : effectuez un Ctrl+clic sur un élément pour le sélectionner/le déselectionner, conjointement aux autres éléments sélectionnés
  • Ajouter des éléments : tout en dessinant le lasso, maintenez la touche Ctrl enfoncée pour ajouter des éléments à la sélection existante
  • Annuler la sélection : tracez un lasso ne contenant aucun élément


Opération clavier

Manuels -> Runtime -> Fonctionnement dans le Runtime -> Opération clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez également utiliser le clavier pour bénéficier de fonctions complètes de navigation et d'utilisation dans le Runtime. Dans ce cas, la sélection est d'abord transférée vers un gabarit. Vous pouvez alors parcourir l'écran avec les touches fléchées et exécuter une fonction en appuyant sur la touche Entrée. Vous pouvez contrôler les différents éléments affichés à l'aide des fonctions suivantes :

  • Focus : donner au cadre
  • Focus : Supprimer du cadre
  • Donner le focus
  • Focus : Activer l'élément qui a le focus

L'ordre de sélection des éléments est défini par l'intermédiaire de l'attribution de numéros d'indice aux éléments de synoptique. Il est également possible de définir l'ordre de navigation avec les symboles liés.

L'utilisation au clavier peut également être effectuée à l'aide de raccourcis-clavier librement définis, tels que Ctrl+M. Les raccourcis-clavier peuvent être associés à chaque élément opérationnel via la propriété Raccourci clavier.

Autres sujets abordés dans ce chapitre

Fonctions

Définir l'ordre de tri dans un gabarit

Verrouillage des raccourcis de Windows


Fonctions

Manuels -> Runtime -> Fonctionnement dans le Runtime -> Opération clavier -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour développer la fonction d'utilisation au clavier, utilisez les fonctions suivantes :

Focus : Donner le focus au cadre

Cette fonction transfère la sélection vers un cadre défini lors de l'utilisation des touches dans le Runtime.

Pour configurer la fonction :

  1. Dans la liste de fonctions, dans le nœud Synoptiques, sélectionnez la fonction Donner le focus au gabarit.

    Donner le focus au gabarit

    Cette fonction donne le focus au synoptique couramment ouvert dans un gabarit donné. Ceci permet la création de projet entièrement géré avec le clavier.

    Plus de détails dans l'aide en ligne

    Synoptiques

    Ce groupe contient les fonctions pour la gestion des synoptiques.

    Plus de détails dans l'aide en ligne

  2. La boîte de dialogue de sélection de synoptique s'affiche à l'écran.
  3. Sélectionnez le cadre que vous voulez attribuer.
  4. Pour les projets multi-moniteurs, sélectionnez le moniteur virtuel utilisé pour l'ouverture du cadre.

Le cadre comportant la sélection apparaît entouré d'un cadre dans le Runtime. La largeur et la couleur de ligne du cadre sont définis dans le nœud Apparence graphique/Synoptiques des propriétés du projet.

Boîte de dialogue de sélection de cadre

Dans la boîte de dialogue de sélection de cadre, des cadres peuvent être sélectionnés pour l'exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l'espace de travail dans lesquels l'option Garder projet en mémoire est active

Paramètres

Description

Fenêtre d'arborescence des projets

Affiche tous les projets dans l'espace de travail. Les cadres peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l'option Garder projet en mémoire est active.

Fenêtre de cadres

Sélection du cadre.

Si plusieurs cadres sont sélectionnés, le premier cadre sélectionné est utilisé pour l'exécution de la fonction.

Open this dialog in the Runtime (Ouvrir cette boîte de dialogue dans le Runtime)

Bascule vers la boîte de dialogue de sélection de cadre lors de l'exécution de cette fonction dans le Runtime.

Pas de sélection

Aucune fonction pour cette sélection.

Déplacer vers moniteur

Actif : des barres de défilement sont visibles dans le Runtime, vous permettant d'accéder au moniteur de votre choix.

Disponible uniquement sur les systèmes multi-moniteurs.

Moniteur

Sélectionnez le moniteur souhaité dans la liste déroulante.

Celle-ci contient :

  • Moniteur actuel
  • Tous les moniteurs virtuels définis dans la section de gestion des moniteurs
    optionnel: Tous les moniteurs

Disponible uniquement sur les systèmes multi-moniteurs.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Donner le focus

Cette fonction active la sélection d'un élément particulier dans le Runtime pour l'utilisation du clavier, et peut donc être utilisée pour parcourir un cadre.

Propriété | Action
Direction | Définition de la direction dans laquelle la sélection doit être déplacée. La séquence définie ci-dessous est applicable à l'éditeur, via le menu contextuel ou le menu Édition/change focus sequence (Modifier l'ordre de sélection)...
Sur l'élément | Définition de l'élément pour le focus. Entrez le nom d'objet de l'élément

Active la saisie au niveau de l'élément sélectionné.

Cette fonction active l'élément sélectionné dans le cadre sélectionné.

Focus : Enlever le focus du cadre

Cette fonction annule la sélection du cadre actuel dans le Runtime. Si vous souhaitez continuer à utiliser le clavier, vous devez à nouveau activer la sélection d'un cadre.


Définir l'ordre de tri dans un gabarit

Manuels -> Runtime -> Fonctionnement dans le Runtime -> Opération clavier -> Définir l'ordre de tri dans un gabarit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez définir l'ordre de tri dans lequel les éléments d'un synoptique peuvent être sélectionnés à l'aide du clavier lors du développement du synoptique :

  1. Ouvrez le synoptique.
  2. Cliquez avec le bouton droit sur une zone vide.
  3. Sélectionnez l'option Shift order for focus (Décaler l'ordre pour la sélection) dans le menu contextuel.
  4. Dans la liste déroulante, sélectionnez Order for left/right (Ordonner vers la gauche/la droite) ou Order for up/down (Ordonner vers le haut/le bas).
  5. Chaque élément du synoptique est représenté avec un numéro affiché dans le coin supérieur gauche.
  6. Cliquez sur l'élément que vous souhaitez sélectionner le premier.
  7. Le numéro de l'élément devient 1.
  8. Cliquez sur tous les autres éléments dans l'ordre dans lequel vous souhaitez les sélectionner.
    • Lorsqu'un élément a déjà été défini, la couleur de l'arrière-plan du numéro de l'élément est modifiée.
    • Les éléments qui ne peuvent pas être sélectionnés à l'aide du clavier dans le Runtime (propriété Le focus est donné à l'élément inactive) sont affichés avec un numéro rouge.
    • Si vous cliquez sur un élément tout en maintenant la touche Ctrl enfoncée, la numérotation commence par le numéro d'indice de cet élément.

info Info

Dans les propriétés des éléments, la position est affichée à l'aide des propriétés Position du focus gauche/droite et Position focus haut / bas. Ces propriétés sont uniquement fournies à des fins d'information. Les valeurs des indices de la position ne peuvent pas être modifiées ici.

Symboles

Un indice peut également être attribué aux symboles liés. Durant la compilation des fichiers de Runtime, le symbole est dissocié et ses éléments sont insérés. Dans ce cas, l'ordre de sélection des éléments défini dans le symbole est pris en compte.

Example Exemple

Un synoptique comporte trois éléments : la valeur numérique N, le bouton B et le symbole de lien LS. Le symbole lié dans la bibliothèque du projet reçoit trois valeurs numériques : N1, N2 et N3.

Si vous définissez l'ordre dans le synoptique comme suit : B - LS - Z,
l'ordre dans le Runtime est : B - N1 - N2 - N3 - N.


Verrouillage des raccourcis de Windows

Manuels -> Runtime -> Fonctionnement dans le Runtime -> Opération clavier -> Verrouillage des raccourcis de Windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez verrouiller les raccourcis-clavier de Windows, tels que Alt+Tabulation, Alt+Echap ou Alt+F4 dans le Runtime :

Pour verrouiller ces raccourcis, désactivez la propriété Bloquer les touches système dans la zone Paramètres runtime des propriétés du projet.

Verrouillés :

Non verrouillés :
  • Alt+Échap
  • Ctrl+Alt+Suppr
  • Ctrl+Échap

  • Alt+Tabulation

  • Alt+F4

  • Touche Windows

Toutes les actions de souris correspondantes

Pour verrouiller toutes les touches système dans le Runtime :

  • Activez la propriété Bloquer les touches système.
  • Démarrez le Runtime à l'aide du programme Keyblock Runtime Start
  • Tenez compte des conseils fournis au chapitre Protection des fichiers du Runtime


Profils de Runtime

Manuels -> Runtime -> Profils de Runtime

Un profil de Runtime est un instantané optique reproductible du synoptique dans le Runtime ; il fournit des informations concernant :

  • L'organisation du synoptique (succession et position)
  • L'attribution du moniteur
  • Filtre

Les profils de Runtime sont liés aux projets et aux utilisateurs.

Les types de synoptiques suivants sont compatibles avec les profils de Runtime :

  • Liste d'alarmes
  • Maintenance de l'archive
  • Liste chronologique d'événements
  • Tendance étendue
  • Industrial Maintenance Manager (Gestionnaire de maintenance industrielle)
  • Industrial Performance Analyzer
  • Module de visualisation de rapports
  • Gestion de messages
  • Diagnostic de variable

Chaque utilisateur zenon possède un dossier particulier, dans lequel il peut gérer ses profils. Les administrateurs peuvent afficher et modifier tous les profils de tous les utilisateurs et les copier vers l'utilisateur Système. Depuis le compte utilisateur Système, tous les utilisateurs peuvent charger des profils de Runtime. Ce compte sert de compte d'échange pour les profils de Runtime.

Remarque : seuls les administrateurs peuvent copier et gérer les profils dans le compte utilisateur Système. Tous les autres utilisateurs peuvent uniquement gérer leurs propres profils et charger les profils de l'utilisateur Système.

Profils prédéfinis

Deux profils de Runtime prédéfinis existent parallèlement aux profils individuels :

  • DEFAULT : créé par l'utilisateur et sélectionné en tant que profil standard.
  • LAST : automatiquement enregistré dans le dossier de l'utilisateur lorsque celui-ci se déconnecte.
    Exception : Le profile LAST n'est pas enregistré :
    • pour l'utilisateur System
    • Un identifiant de connexion temporaire, sans autorisation d'écriture

Un profil de démarrage peut être attribué à chaque utilisateur de zenon lors de la connexion.

attention Attention

Les profils ne peuvent être correctement enregistrés sur le serveur que si tous les projets sont disponibles sur le serveur :

  • Projets depuis lesquels des synoptiques sont appelés sur le client
  • Projets appelant des synoptiques par le biais d'une fonction d'appel de synoptique

L'enregistrement de profils de Runtime ne correspondant pas à ces conditions peut provoquer des erreurs dans le Runtime.

Autres sujets abordés dans ce chapitre

Charger et créer un profil dans le Runtime

Exportation et importation de profils

Attribuer et gérer un profil

Répertoires de stockage des profils


Charger et créer un profil dans le Runtime

Manuels -> Runtime -> Profils de Runtime -> Charger et créer un profil dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un profil dans le Runtime, vous devez développer une fonction correspondante :

  • Enregistrer profil : enregistre le profil actuel, tel qu'il a été défini dans la fonction.
  • Gestion de profils : ouvre la boîte de dialogue de gestion de profils permettant d'enregistrer, de charger, d'attribuer et de gérer les profils.

En outre, les profils existants peuvent être activés dans le Runtime :

  • Charger profil

Lors du chargement d'un profil, l'état actif lors de l'enregistrement du profil est restauré. La structure du synoptique est restaurée telle qu'elle était lors de l'enregistrement, avec tous les filtres.

Attention : si des fonctions d'appel de synoptique étaient définies au niveau des propriétés d'un synoptique pour les fonctions Fonction à l'ouverture ou Fonction à la fermeture (à l'image des fonctions Appel de synoptique, Synoptique indexé ou Synoptique : retour au précédent ), elles ne sont pas exécutées ! Tous les autres types de fonctions sont exécutés à nouveau.

Si un script est invoqué dans ces deux fonctions, le script est exécuté dans son intégralité, ainsi que toutes les fonctions d'appel de synoptique, le cas échéant. Il peut donc arriver que la structure d'un synoptique après le chargement du profil ne corresponde pas à la structure du synoptique lors de l'enregistrement d'un profil.

Un comportement similaire permet d'afficher la variable Variable donnant le synoptique actif : si une limite comportant une fonction d'appel de synoptique est exécutée dans la variable, la fonction est exécutée et peut affecter l'affichage de manière indésirable.

Autres sujets abordés dans ce chapitre

Configuration des fonctions


Configuration des fonctions

Manuels -> Runtime -> Profils de Runtime -> Charger et créer un profil dans le Runtime -> Configuration des fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour charger, enregistrer et gérer des profils dans le Runtime, vous développez une fonction dans l'éditeur et l'attribuez à un bouton :

  • Sélectionnez Nouvelle fonction.
  • Accédez au nœud Synoptiques.
  • Sélectionnez Profils runtime.

    Profils runtime

    Crée une fonction avec laquelle le profil d'administration peut être ouvert, un nouveau profil peut être créé ou chargé dans le Runtime.

    Plus de détails dans l'aide en ligne.

  • La boîte de dialogue de configuration des fonctions s'affiche alors à l'écran.

Propriété | Action
Ouvrir la boite de dialogue de gestion des profils dans le Runtime | Ouvre la boîte de dialogue de gestion, de création, d'enregistrement et de chargement de profils dans le Runtime.
Charger profil | Charge le profil défini dans la boîte de dialogue dans le Runtime :
Défaut | Charge le profil DEFAULT (PAR DÉFAUT). Ce profil a été sélectionné comme profil par défaut par l'utilisateur, parmi tous les profils existants.
Dernier | Charge le profil LAST (DERNIER). Il a été automatiquement écrit dans le dossier de l'utilisateur lors de la déconnexion.
Nom défini librement | Charge le profil portant le nom défini dans la boîte de dialogue. Si le profil n'existe pas, le profil actuel est conservé.
Nom depuis variable | Charge le profil dont le nom a été généré à partir de la variable définie.
Sauvegarder profil | Enregistre le profil défini dans la boîte de dialogue.
Défaut | Enregistre le profil actuel sous le nom DEFAULT (PAR DÉFAUT).
Nom défini librement | Enregistre le profil sous le nom défini dans la boîte de dialogue.
Nom depuis variable | Enregistre le profil sous le nom créé à partir de la variable définie dans la boîte de dialogue.


Exportation et importation de profils

Manuels -> Runtime -> Profils de Runtime -> Exportation et importation de profils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les éléments de contrôle d'importation et d'exportation vous permettent de transférer les profils de Runtime vers d'autres projets et d'autres ordinateurs.

Pour exporter des profils :

  1. Créez les éléments de contôle d'importation et d'exportation sur le synoptique :
    Éléments de contrôle -> Profils de filtre -> Importer ou Exporter
  2. Démarrez le Runtime
  3. Ouvrez le synoptique.
  4. Créez les profils souhaités
  5. Enregistrez les profils
  6. Exportez les profils :
    ils sont enregistrés dans un fichier XML et peuvent être importés dans un synoptique de même type, dans un autre projet

Pour importer les profils :

  1. Enregistrez le fichier XML avec les profils souhaités sur l'ordinateur du Runtime, s'il s'agit d'un ordinateur autre que l'ordinateur utilisé pour l'exportation
  2. Démarrez le Runtime
  3. Ouvrez le synoptique.
  4. Importez les profils

info Info

Lors de l'importation, les profils existants sont supprimés. Le profil actif à cet instant n'est pas modifié.

Les fichiers XML peuvent uniquement être importés dans un synoptique de même type que celui dans lequel ils ont été créés. Si vous tentez d'importer des profils d'autres types de synoptiques, l'importation est annulée et un message d'erreur est affiché.


Attribuer et gérer un profil

Manuels -> Runtime -> Profils de Runtime -> Attribuer et gérer un profil

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les profils peuvent être attribués dans l'Éditeur et le Runtime. Dans le Runtime, vous pouvez les créer et les enregistrer.

Dans l'Éditeur

Dans l'Éditeur, vous pouvez attribuer des profils du Runtime à des utilisateurs :

  • dans la boîte de dialogue de création de nouveaux utilisateurs, avec la propriété Runtime profile which is loaded after log in (Profile de Runtime chargé après la connexion) :

  • Via la propriété Profil runtime d'un utilisateur :

  • Dans la liste déroulante, les paramètres suivants sont disponibles :
    • Aucun : aucun profil n'est attribué (paramètre par défaut).
    • DEFAULT: le profil DEFAULT est attribué.
    • LAST : le profil LAST est attribué.

Dans le Runtime :

Dans le Runtime, vous pouvez enregistrer, charger, attribuer et gérer les profils à l'aide de la fonction de gestion de profils. Pour cela, vous devez développer la fonction Profils runtime avec la propriété Open administration dialog in the Runtime (Ouvrir la boîte de dialogue de gestion dans le Runtime).

Profils runtime

Crée une fonction avec laquelle le profil d'administration peut être ouvert, un nouveau profil peut être créé ou chargé dans le Runtime.

Plus de détails dans l'aide en ligne.

Remarque : les administrateurs peuvent gérer les profils des autres utilisateurs.

Propriété | Action
Utilisateur connecté | Utilisateur actuellement connecté au système.
Utilisateur dont le profil est géré. | Utilisateur dont le profil est affiché et peut être géré.
Profils | Liste de profils disponibles.
Nom du profil | Nom du profil.
Dernière modification | Date et heure de la dernière modification.
Renommer | Ouvre le profil sélectionné, vous permettant de le renommer.
Supprimer | Supprime le profil sélectionné après une demande de confirmation.
Copier | Copie le profil sélectionné vers l'utilisateur Système. Le nom du profil peut alors être modifié. Conseil : les profils copiés vers l'utilisateur Système sont disponibles pour tous les utilisateurs non connectés.
Sauvegarder profil | Ouvre la boîte de dialogue permettant d'attribuer un nom de profil et d'enregistrer le profil sous ce nom. Les caractères suivants sont interdits : espace et les caractères spéciaux suivants : / | \ : * ? ! " < > $
Charger profil | Charge le profil sélectionné.
Fermer | Ferme la boîte de dialogue.

Raccourcis clavier

Touche | Action
F5 | Actualise la liste de profils. En cas d'événement inattendus affectant le réseau zenon, tels que l'interruption de la connexion ou la mise en veille du serveur, le contenu de la liste est automatiquement actualisé.
Échap | Ferme la boîte de dialogue.
Entrée | Charge le profil sélectionné.
Insér. | Enregistre l'état actuel du nouveau profil.
F2 | Permet de modifier le nom du profil sélectionné.
Suppr. | Supprime le profil sélectionné après une demande de confirmation.


Répertoires de stockage des profils

Manuels -> Runtime -> Profils de Runtime -> Répertoires de stockage des profils

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les données des profils sont stockées dans des répertoires différents, en fonction de leur utilisation dans le Runtime :

Type de Runtime | Répertoire de stockage
Serveur ou autonome : | Les données sont stockées localement.
Client | Les données sont stockées sur le serveur et sont demandées et modifiées de manière interactive.
Redondant | Les données sont stockées sur le serveur et sont demandées et modifiées de manière interactive ; elles sont synchronisées localement.


Gestion de la date et de l'heure

Manuels -> Runtime -> Gestion de la date et de l'heure

La date et l'heure dans zenon sont soit à l'heure locale, à l'heure UTC ou exprimées sous forme de périodes de temps. Le principe de base est que :

  • toutes les heures de début et de fin définies dans les filtres de fonctions telles que l'appel de synoptique ou les listes AML ou CEL sont enregistrées au format UTC
  • Les heures utilisées dans les modules tels que les modules PFS et EMS sont à l'heure locale
  • Les périodes de temps sont exprimées en secondes

Exceptions :

  • Le module IPA écrit les données historiques à l'heure locale, au format dateheure dans la base de données
  • Les fonctions de lecture d'une variable et d'écriture d'une variable n'enregistrent pas l'heure, mais reprennent l'heure locale sous forme de chaîne du contrôleur, ou écrivent cette heure dans le contrôleur

UTC

L'acronyme UTC signifie "temps universel coordonné". L'unité de temps est la seconde. L'heure UTC constitue la base uniforme permettant de déterminer l'heure internationale, et est mise à la disposition du public par le biais d'émetteurs et d'autres services d'heure. Selon le fuseau horaire, certaines périodes de temps doivent être ajoutées à ou retranchées de l'heure UTC. Ces périodes de temps peuvent varier d'une heure, en raison de l'heure d'été. Exemples :

Pays | Heure locale
Alaska | UTC -9
Australie, Queensland | UTC +10
Bulgarie | UTC +2
Royaume-Uni | UTC
Corée | UTC +9
Europe centrale (CET) | UTC +1
Europe centrale (CET), heure d'été | UTC +2
Arabie Saoudite | UTC +3
Côte est des États-Unis | UTC -5
Émirats Arabes Unis | UTC +4

Conséquences pour la configuration

La date et l'heure de développement peuvent signifier une date et une heure différentes, selon l'emplacement d'exécution du Runtime. Par exemple :

Dans l'Éditeur, vous configurez l'exécution d'une fonction par le biais du module PFS, dans le fuseau horaire UTC +1, à l'heure locale 14:00. Après le transfert des fichiers vers un Runtime situé dans le fuseau horaire UTC +10, la fonction est exécutée à 23:00.


Sauvegarde projet

Manuels -> Sauvegarde projet

Un projet est constitué de fichiers pour l'Éditeur et pour le Runtime. Un transfert des fichiers du Runtime est par exemple possible grâce à la fonction de transport à distance. Ce chapitre concerne la sauvegarde et la restauration des fichiers du projet nécessaires pour l'Éditeur.

La sauvegarde du projet crée un fichier ZIP avec les données du projet. Cette sauvegarde peut être restaurée sur le même ordinateur ou sur un autre. Il est également possible d'effectuer un suivi de version des sauvegardes de projets.

Dans le gestionnaire de projet, une section 'Sauvegardes' est disponible. Voir également le chapitre Gestionnaire de projet. Dans le menu contextuel associé à cette entrée, vous pouvez sélectionner Créer sauvegarde ou Importer sauvegarde.

attention Attention

Les sauvegardes de projet créées avec zenon et SQL Server Express (SQL Server 2005) ne peuvent pas être restaurées dans une base de données MSDE (ou sous SQL Server 2000) !

attention Attention

Les symboles provenant de la Bibliothèque de symboles globale sont enregistrés localement dans leur propre fichier (*.sym), dans le dossier de programme zenon. Ces fichiers doivent toujours être ajoutés manuellement aux sauvegardes de projets multi-utilisateurs et lors de la transmission de projets. Les symboles provenant de la bibliothèque de symboles du projet local sont toujours incorporés automatiquement aux sauvegardes de projets.

Conseil : sauvegardez toujours les symboles dans la bibliothèque de symboles du projet local.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Créer une sauvegarde | Ouvre la boîte de dialogue permettant de créer un nouveau projet.
Importer une sauvegarde | Ouvre le gestionnaire de fichier pour vous permettre de sélectionner un fichier de sauvegarde et d'importer ce fichier dans la liste.
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Autres sujets abordés dans ce chapitre

Configuration dans l'Éditeur

Suivi des versions


Configuration dans l'Éditeur

Manuels -> Sauvegarde projet -> Configuration dans l'Éditeur

Pour créer une sauvegarde du projet, dans le menu contextuel de la partie Sauvegardes du gestionnaire de projet, sélectionnez Créer sauvegarde.

Lorsque vous souhaitez effectuer une sauvegarde de projet, la boîte de dialogue suivante s'affiche à l'écran :

Nom de fichier

Nom du fichier ZIP pour la sauvegarde du projet

Comme le service zenDbSrv.exe tourne seulement avec les droits locaux et non avec les droits de l'utilisateur connecté, une sauvegarde sur un disque réseau n'est pas possible.

La sauvegarde du projet est conservée dans C:\SQL\Backup\Projektname. Un répertoire par projet est créé pour chaque projet.

Si l'entrée Enregistrer projet sous... est sélectionnée dans le gestionnaire de projet (voir également le chapitre Éditeur, section Gestionnaire de projet), la liste des différentes sauvegardes de projet est présentée dans l'affichage détaillé du gestionnaire de projet.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Sauvegarde projet

Sauvegarde de projet et export

Restaurer une sauvegarde de projet

Sauvegarder et restaurer des espaces de travail

Supprimer un projet


Barre d'outils et menu contextuel de la vue de détail Sauvegarde projet

Manuels -> Sauvegarde projet -> Configuration dans l'Éditeur -> Barre d'outils et menu contextuel de la vue de détail Sauvegarde projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu contextuel

Élément de menu | Action
Créer une sauvegarde | Ouvre la boîte de dialogue permettant de créer un nouveau projet.
Charger sauvegarde | Restaurez le projet dans l'état enregistré dans le fichier de sauvegarde.
Restaurer une sauvegarde comme un nouveau projet | Crée un nouveau projet avec les données de la sauvegarde.
Supprimer | Supprime les entrées sélectionnées.
Exporter sauvegarde | Ouvre la boîte de dialogue permettant de sélectionner le dossier pour le fichier de sauvegarde, puis exporte le fichier de sauvegarde.
Importer une sauvegarde | Ouvre le gestionnaire de fichier pour vous permettre de sélectionner un fichier de sauvegarde et d'importer ce fichier dans la liste.
Comparer les sauvegardes sélectionnées dans l'historique des modifications | Active uniquement pour les sélections multiples Les versions les plus ancienne et récente sont déterminées. Un filtre de temps est alors créé, vous permettant de basculer vers l'historique des modifications pour comparer les différences entre les sauvegardes d'un projet sélectionné.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée en mode Édition.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Aide | Ouvre l'aide en ligne.


Sauvegarde de projet et export

Manuels -> Sauvegarde projet -> Configuration dans l'Éditeur -> Sauvegarde de projet et export

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sauvegarde du projet

Pour créer une sauvegarde de projet, cliquez avec le bouton droit sur Sauvegarde de projet dans le Gestionnaire de projet, puis sélectionnez Créer sauvegarde... .

La boîte de dialogue de sauvegarde de projets s'affiche à l'écran.

Paramètres | Description
Nom de fichier | Nom du fichier ZIP pour la sauvegarde du projet
Description | Commentaire sous forme de texte libre

attention Attention

Comme le service zenDbSrv.exe fonctionne seulement avec les droits locaux et non avec les droits de l'utilisateur connecté, une sauvegarde sur un disque réseau n'est pas possible.

zenon place la sauvegarde du projet dans un dossier de base de données (SQL) prédéfini :

%ProgramData%\COPA-DATA\[Dossier SQL]\UID]\BACKUP

info Info

Lors de la sauvegarde de l'espace de travail, tous les projets de l'espace de travail sont également sauvegardés. Ils ne sont en revanche pas contenus dans la sauvegarde du projet, et ne peuvent pas être restaurés individuellement.

Exportation du projet

Vous pouvez exporter vos sauvegardes à tout instant depuis zenon (par ex. pour les envoyer ou les transférer vers un autre ordinateur). Cliquez avec le bouton droit sur la sauvegarde de projet souhaitée, puis sélectionnez Export backup (Exporter la sauvegarder) dans le menu contextuel. Dans la boîte de dialogue qui s'affiche, sélectionnez le dossier désiré et confirmez par OK.

Si la sauvegarde du projet prend plus de 1 seconde, une barre de progression est affichée.
Les informations relatives à la sauvegarde (par ex. échec ou réussite) sont inscrites dans la fenêtre de suivi.

Vous pouvez afficher toutes les sauvegardes d'un projet dans la vue de détail en cliquant sur Sauvegardes de projet dans le Gestionnaire de projet.

(Reportez-vous également au chapitre Gestionnaire de projet, section Affichage détaillé du gestionnaire de projet).


Restaurer une sauvegarde de projet

Manuels -> Sauvegarde projet -> Configuration dans l'Éditeur -> Restaurer une sauvegarde de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La sauvegarde d'un projet peut être lue via :

  • L'espace de travail
  • Le nœud de sauvegarde du projet

attention Attention

Les projets créés dans les versions 6.20 ou antérieures de zenon ne peuvent plus être directement lus dans zenon 7.10 (ou versions ultérieures).

Explication : les versions reposant sur le logiciel MSDE (SQL Server 2000) ne sont pas compatibles avec le logiciel SQL Server 2012 utilisé dans zenon.

Solution : Convertissez d'abord le projet au format zenon 7.0, puis au format 7.10 ou supérieur.

Station de travail

  1. Dans le menu contextuel de l'espace de travail, sélectionnez la commande Read back project backup... (Lire une sauvegarde de projet...)
  2. La boîte de dialogue de sélection de sauvegardes de projet s'affiche

Paramètres

Description

Fichier de sauvegarde

Sélection du fichier à lire.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.

Créer un nouveau projet

Active : un nouveau projet est créé dans la base de données.

Détails de la sauvegarde

Informations concernant le projet à lire :

  • Nom
  • ID du projet
  • Version de l'Éditeur
  • Version du projet (uniquement si la fonction de suivi des versions est active)
  • Description

Toutes les données proviennent du projet à lire, et sont uniquement fournies à des fins d'information. Vous ne pouvez pas les modifier dans cette boîte de dialogue.

OK

Les données sont reprises et le projet sélectionné est lu.

Annuler

Abandonne toutes les données et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Nœud Sauvegardes

  1. Accédez au nœud Sauvegardes.
  2. Sélectionnez la sauvegarde de projet souhaitée.
    Remarque : si la sauvegarde souhaitée n'est pas disponible, importez-la.
  3. Sélectionnez Charger sauvegarde... dans le menu contextuel ou la barre d'outils.
  4. La sauvegarde de projet est lue, après affichage d'une demande de confirmation, puis activée automatiquement

attention Attention

Projets

  • Les projets créés dans SQL Server 2005 Express ne peuvent pas être utilisés dans SQL Server 2000 (MSDE)
  • Les projets créés dans SQL Server 2008 R2 ne peuvent pas être utilisés dans SQL Server 2005 Express

Importer une sauvegarde de projet

Pour créer une sauvegarde du projet, dans le menu contextuel du nœud Sauvegardes du Gestionnaire de projet, sélectionnez Importer une sauvegarde. Le projet est d'abord importé, avant de pouvoir être restauré dans l'étape suivante.

Une vérification est d'abord effectuée pour déterminer si le fichier de sauvegarde du projet existe. Si la sauvegarde n'existe pas, le fichier importé est ajouté à la liste des sauvegardes. Toutes les sauvegardes de projet qui ont été importées, mais pas encore restaurées, sont ajoutées à la liste des sauvegardes dans la vue de détail du Gestionnaire de projet.

C'est ici que vous trouvez la liste de toutes les sauvegardes créées pour le projet. Les commentaires peuvent être modifiés dans la liste.

Exporter et importer une sauvegarde de projet

Il peut être nécessaire d'exporter ou d'importer une sauvegarde de projet si les fichiers du projet développés dans l'Éditeur doivent être utilisés sur un autre PC. Lors de l'utilisation de la commande d'exportation, le fichier de sauvegarde est copié à partir du dossier %ProgramData%\COPA-DATA\[Dossier SQL]\Nom_projet vers un autre périphérique (par exemple, une clé USB). Aussi bien l'export que l'import sont des actions de copie et non de déplacement.

Supprimer une sauvegarde de projet

Les fichiers de sauvegarde sont supprimés du dossier %ProgramData%\COPA-DATA\[SQL folder]\Nom_projet.

Dépannage

Erreurs | Solution
La sauvegarde du projet n'est pas affichée. | Le nœud Sauvegardes affiche uniquement la liste des projets contenus dans le dossier SQL/de sauvegarde par défaut. Les projets provenant d'autres dossiers peuvent être importés manuellement.
Le bouton OK n'est pas utilisable dans la boîte de dialogue de lecture. | Le fichier .zip sélectionné contient des données non valides. Une autre sauvegarde d'espace de travail ou un autre fichier .zip a peut-être été sélectionné.
L'historique des sauvegardes du projet n'est plus disponible. | Le projet a été renommé, et l'historique n'est donc plus disponible. Le fichier de sauvegarde est toutefois encore disponible, et peut être importé manuellement ou lu depuis le menu contextuel de l'espace de travail.


Sauvegarder et restaurer des espaces de travail

Manuels -> Sauvegarde projet -> Configuration dans l'Éditeur -> Sauvegarder et restaurer des espaces de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Créer une sauvegarde d'un espace de travail

Sélectionnez l'entrée Espace de travail -> Créer sauvegarde dans le menu contextuel de l'espace de travail. Les sauvegardes d'espaces de travail sont des fichiers d'extension *.wsb. Le nom peut être librement défini.

Remarque : Tous les projets de l'espace de travail sont sauvegardés avec l'espace de travail. Ils ne sont en revanche pas contenus dans la sauvegarde du projet, et ne peuvent pas être restaurés individuellement.

Charger sauvegarde

Dans le cas d'un espace de travail :

Sélectionnez l'entrée Espace de travail / Charger sauvegarde dans le menu contextuel de l'espace de travail. Vous pouvez alors sélectionner le fichier de sauvegarde et définir dans quel répertoire vous voulez restaurer l'espace de travail.


Supprimer un projet

Manuels -> Sauvegarde projet -> Configuration dans l'Éditeur -> Supprimer un projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour supprimer un projet, choisissez l'entrée Projet / Supprimer dans le menu contextuel sur le projet.

attention Attention

Lorsqu'un projet est supprimé, toutes les connexions à la base de données sont fermées. Lorsqu'un projet existant est rechargé, ce n'est pas le cas.


Suivi des versions

Manuels -> Sauvegarde projet -> Suivi des versions

Il est également possible d'effectuer un suivi de version des sauvegardes de projets. Les versions sont identifiées et triées par numéro et par date et heure de création.

Pour activer la fonction de suivi des versions :

  1. Accédez au nœud Général dans les propriétés.
  2. Accédez au nœud Gestion de version.
  3. Activez la propriété Gestion de version active.
  4. Attribuez un nombre principal à la propriété Version principale

Ceci permet de créer un nombre correspondant à la version du projet pour chaque sauvegarde de projet Ce nombre est constitué de l'élément Version principale, et d'un nombre détaillé généré par un procédé interne, séparés par un point. Ce nombre détaillé est incrémenté à chaque sauvegarde d'un projet. La version d'une sauvegarde de projet est affichée dans :

  • La vue de détail du nœud Sauvegardes
  • La boîte de dialogue de restauration d'une sauvegarde dans l'espace de travail

Le nombre de l'élément Version du projet est vérifié lors du transfert des fichiers du Runtime avec Remote Transport ou via la topologie de réseau, et peut être lu via une commande VBA ou une variable de driver système. Si une autre version est chargée dans l'Éditeur, un message d'avertissement est affiché. Si un conflit se produit durant le transfert des fichiers du Runtime via le réseau, vous pouvez accepter ou refuser le transfert de tous les projets vers l'ordinateur si des conflits sont présents.

Le projet actuel peut également être ajouté à la sauvegarde du projet sous forme de données exportées au format XML.

info Info

La fonction de suivi des versions est également utilisable avec le développement distribué. Dans ce cas, le fichier project.ini doit être verrouillé contre les modifications lors d'une sauvegarde sur le serveur. Les fichiers XML sont uniquement conservés pour les sauvegardes locales.

Sauvegarde de l'ordre de tri correct.

La fonction de suivi des versions permet de déverrouiller l'élément Version principale. Le nombre principal et le nombre détaillé sont automatiquement incrémentés à partir de 0 pour chaque sauvegarde. Si l'élément Version principale est modifié, la distribution du nombre détaillé recommence à partir de 0.

Veillez à garantir la cohérence de l'élément Version principale et des informations de suivi de version. L'élément Version principale étant librement modifiable par l'utilisateur, plusieurs possibilités s'offrent à vous :

  • Ordre aléatoire

    par exemple, 2.1 est suivi de 1.0

  • Utilisation du même nombre plusieurs fois

    Par exemple, 1.0, 1.1, 1.2, 1.0

  • Désactivation temporaire du suivi des versions

    Ce qui signifie : Les sauvegardes de projets sans numéro de version sont mélangées aux sauvegardes avec suivi des versions

Pour fournir une vue d'ensemble de l'ordre des différentes sauvegardes du projet, l'heure de création de la sauvegarde est également enregistrée dans le fichier project.ini.

Exporter XML...

Si la propriété Export XML actif est active, un fichier compressé VERSION.ZIP est créé dans la sauvegarde du projet. Ce fichier d'exportation au format XML contient les données suivantes :

  • Variables
  • Type de données
  • Matrices de réaction
  • Attributions
  • Alarmes
  • Unités
  • Synoptiques
  • Cadres
  • Listes de polices
  • Palettes de couleurs
  • Bibliothèque de symboles du projet
  • Fonctions
  • Le serveur d'archives
  • Recettes
  • Gestionnaire de groupes de recettes
  • Commandes temporisées
  • Macros VBA
  • Verrouillages
  • Envoi de commande
  • EMS
  • Menus
  • Gestion utilisateurs
  • Groupes d'utilisateurs
  • Interface SAP

Le contenu du fichier est équivalent à celui du fichier XML exporté manuellement.

Le contenu de ce fichier XML correspond au contenu du fichier d'exportation XML commun. Dans les projets multi-utilisateurs, les fichiers exportés au format XML sont uniquement créés pour des sauvegardes locales.

Variable de driver système

À l'image de la propriété Version du projet, une variable de driver système Version du projet est présentée au chapitre Info système.

Autres sujets abordés dans ce chapitre

Dépannage


Dépannage

Manuels -> Sauvegarde projet -> Suivi des versions -> Dépannage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les erreurs de suivi des versions sont affichées et consignées dans le fichier journal, dans la fenêtre d'affichage et dans les messages contextuels.

Outil de diagnostic : Diagnosis Viewer

Entrées dans les fichiers journaux :

Entrée | Description
Error BackupDatabase: Skip on an Error in BackupXml: [Chemin] | Erreur lors de la création de VERSION.ZIP avec les fichiers d'exportation au format XML durant la sauvegarde du projet. La sauvegarde a été créée, mais les fichiers XML sont manquants.
GetDBBackupStatus: BINARY.ZIP not exists: [Chemin] | Lors de la lecture des informations de suivi de version d'une sauvegarde de projet, le fichier BINARY.ZIP n'a pas été trouvé. La sauvegarde est endommagée.
GetDBBackupStatus: project.ini not exists: [Chemin] | Lors de la lecture des informations de suivi de version d'une sauvegarde de projet, le fichier project.ini n'a pas été trouvé. La sauvegarde est endommagée.

Fenêtre d'affichage

Entrées dans la fenêtre d'affichage :

Entrée dans la fenêtre d'affichage

Explication ; signification

The transfer of project '%s' was declined (Le transfert du projet "%" a été refusé)

Deux raisons possibles :

  • Lors de la vérification de la version, un conflit s'est produit et l'utilisateur a refusé le transfert.
  • Lors de la vérification de la version, une erreur s'est produite.

No project directory defined (Aucun répertoire de projet n'est défini)

Erreur durant la vérification de la version.

Message contextuel

Messages d'erreur contextuels :

Message d'erreur

Description

(La version %d.%d du projet sur l'ordinateur cible est incorrecte. Effectuer le transfert malgré tout ?

Lors du transfert des fichiers du Runtime avec Remote Transport :

Pour le projet, la fonction de suivi des versions a été activée et le numéro de version du projet dans l'Éditeur ne correspond pas au numéro de version dans le fichier project.ini sur l'ordinateur cible.

Réactions disponibles :

  • Oui :
  • Non : pas de transfert

La version %d.%d du projet sur l'ordinateur %s ne correspond pas. Effectuer le transfert malgré tout ?

Lors du transfert des fichiers du Runtime avec la fonction de topologie du réseau :

Pour un ou plusieurs projets, la fonction de suivi des versions a été activée et le numéro de version du projet dans l'Éditeur ne correspond pas au numéro de version dans le fichier project.ini sur l'ordinateur cible.

Réactions disponibles :

  • Oui : le transfert continue
  • Non : pas de transfert
  • Oui pour tous : le transfert continue sans demande de confirmation ultérieure pour tous les projets concernés
  • Non pour tous : le transfert est annulé sans demande de confirmation ultérieure pour tous les projets concernés

Cette boîte de dialogue est affichée à nouveau si, durant le transfert vers un autre ordinateur, un nouveau conflit de versions se produit.

The project cannot be saved because 'project.ini' is locked! (Le projet ne peut pas être enregistré car le fichier project.ini est verrouillé !)

Lors de la création d'une sauvegarde de projet pour un projet multi-utilisateurs avec suivi des versions, le numéro de version inscrit dans le fichier project.ini doit être incrémenté. Cela est toutefois impossible, car le fichier project.ini est verrouillé.


Scripts

Manuels -> Scripts

Pour appeler plusieurs fonctions définies par l'utilisateur en séquence, elles doivent être associées dans un script.

Plusieurs scripts sont prédéfinis dans le système et exécutés automatiquement :

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau script | Crée un nouveau script
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Scripts

Script

Description

AUTOSTART

Ce script est exécuté automatiquement lors du démarrage du Runtime et après l'affichage du synoptique de départ, si le projet est le projet de démarrage. Le script n'est pas exécuté si le projet n'est pas le projet de démarrage et/ou si c'est un sous-projet dans un projet multi-hiérarchique.

AUTOEND

Ce script est exécuté automatiquement lors de l'arrêt du Runtime si le projet est le projet de démarrage. Le script n'est pas exécuté si le projet n'est pas le projet de démarrage et/ou si c'est un sous-projet dans un projet multi-hiérarchique.

Attention :

  • L'événement VBA projet inactif est exécuté par le script AUTO_END_xxx. Par conséquent, la fonction Exécuter macro VBA de zenon n'est plus exécutée dans les scripts, car VBA n'est pas en cours d'exécution à ce stade. Les macros VBA devant être exécutées dans "AUTO_END" doivent être appelées via Project.Inactive.
  • Il n'est pas nécessaire de spécifier les archives cycliques dans le script AUTOEND.

AUTOSTART_CLIENT

Ce script est exécuté automatiquement au démarrage du Runtime sur un poste client et avant l'activation de l'affichage de départ si le projet est le projet de démarrage.

AUTOEND_CLIENT

Ce script est exécuté automatiquement lors de l'arrêt du Runtime sur un poste client si le projet est le projet de démarrage.

AUTOSTART_SRVPRJ

Ce script est exécuté automatiquement au démarrage du Runtime sur le PC défini comme le serveur du projet, avant l'affichage du synoptique de départ, peu importe si le projet est défini comme le projet de démarrage et/ou si c'est un sous-projet dans un projet multi-hiérarchique.

AUTOEND_SRVPRJ

Ce script est exécuté automatiquement lors de l'arrêt du Runtime sur le PC défini comme le serveur du projet, peu importe si le projet est défini comme le projet de démarrage et/ou si c'est un sous-projet dans un projet multi-hiérarchique.

Ces scripts sont disponibles dans le mode simulation ; ils sont exécutés automatiquement :

Script | Description
AUTOSTART_SIMUL | Si le Runtime est démarré en mode simulation, le script portant le nom AUTOSTART_SIMUL est exécuté automatiquement s'il est disponible.
AUTOEND_SIMUL | Si le Runtime est arrêté en mode simulation, le script portant le nom AUTOEND_SIMUL est exécuté automatiquement s'il est disponible.

Autres sujets abordés dans ce chapitre

Configuration dans l'Éditeur

Fonctions des scripts

Fonctionnement dans le Runtime


Configuration dans l'Éditeur

Manuels -> Scripts -> Configuration dans l'Éditeur

La liste des scripts définis dans le projet actif est affichée dans la vue de détail du gestionnaire de projet après avoir sélectionné Fonctions / Scripts dans l'arbre du Gestionnaire de projet.

Les commandes suivantes sont disponibles dans le menu contextuel de la vue de détail du gestionnaire de projet, selon si un script est sélectionné ou non.

Menu contextuel du nœud Scripts

Paramètres | Description
Nouveau script | Crée un nouveau script
Exporter XML tous | Exporte tous les scripts sous forme de fichier XML.
Importer XML | Importe des scripts à partir d'un fichier XML.
Coller | Après avoir fait un Copier ou un Couper sur un script, le script du presse-papiers Windows peut être inséré dans le projet courant.
Aide | Ouvre l'aide en ligne

attention Attention

Limitation : Le nom du script est limité à 31 caractères.

info Info

Lorsque vous modifiez le nom du script, les paramètres des fonctions liées sont modifiés en conséquence. Dans les projets multi-utilisateurs, les fonctions sont automatiquement modifiées après vérification de l'option Make changes possible (Autoriser les modifications). Si le nom a été modifié avec succès, le script est modifié.

Barre d'outils Scripts

Paramètres | Description
Nouveau script | Ajoute un nouveau script à la liste.
Ajouter une fonction | Ouvre la boîte de dialogue d'ajout de fonctions.
Copier | "Copie" le script sélectionné et le met dans le presse-papier Windows.
Coller | Ajoute un script copié vers le presse-papiers Windows.
Supprimer | Supprime le script sélectionné
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Renommer | Renomme le script. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.
Propriétés | Ouvre la fenêtre des propriétés pour le script sélectionné.
Aide | Ouvre l'aide en ligne

Menu contextuel Script sélectionné

Paramètres | Description
Ajouter une fonction | Ouvre la boîte de dialogue d'ajout de fonctions.
Nouveau script | Ajoute un nouveau script à la liste.
Rename script (Renommer le script) | Renomme le script. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Créer une fonction standard | Crée une nouvelle fonction Execute script (Exécuter script).
Copier | "Copie" le script sélectionné et le met dans le presse-papier Windows.
Coller | Ajoute un script copié vers le presse-papiers Windows.
Supprimer | Supprime le script sélectionné
Propriétés | Ouvre la fenêtre des propriétés pour le script sélectionné.
Aide | Ouvre l'aide en ligne

Après la création d'un nouveau script, le nouveau script apparaît dans la liste de scripts dans la vue de détail.

Menu contextuel Fonction

Paramètres | Description
Déplacer vers le haut | Déplace la fonction sélectionnée vers le haut.
Déplacer vers le bas | Déplace la fonction sélectionnée vers le bas.
Supprimer fonction | Enlève la fonction sélectionnée du script.
Aide | Ouvre l'aide en ligne

Scripts prédéfinis

Démarrage auto

Les scripts AUTOSTART et AUTOSTART_CLIENT permettent la configuration du démarrage du Runtime (par ex. l'affichage d'un synoptique d'en-tête et/ou d'une ligne d'état, la réinitialisation des alarmes etc.).

Attention : il n'est pas nécessaire d'afficher le synoptique de démarrage dans le script AUTOSTART, car celui-ci est défini par le biais de la propriété Synoptique de départ du projet.

Pour ouvrir un sous-synoptique systématiquement intégré à un synoptique principal (options de menu spécifiques au synoptique, etc. ), il est nécessaire de définir un script de synoptique (par ex. "B_NomSynoptique" ; "Création de synoptique"). Cette fonction permet d'assurer que lorsque vous sélectionnez le synoptique par l'intermédiaire de la fonction Appel de synoptique, dans la liste de synoptiques ou de la fonction Retour au synoptique précédent, tous les synoptiques de détails liés à ce synoptique seront toujours ouverts en même temps que lui.

Autoend :

Dans les scripts AUTOEND ou AUTOEND_CLIENT, les fonctions liées à l'arrêt du Runtime sont configurées (réinitialisation des variables de sortie du procédé PIO-8, etc.).

Attention :

  • Il n'est pas nécessaire de spécifier les archives cycliques dans le script AUTOEND.
  • L'événement VBA projet inactif est exécuté par le script AUTO_END_xxx. Par conséquent, la fonction Exécuter macro VBA de zenon n'est plus exécutée dans les scripts, car VBA n'est pas en cours d'exécution à ce stade. Les macros VBA devant être exécutées dans "AUTO_END" doivent être appelées via Project.Inactive.


Fonctions des scripts

Manuels -> Scripts -> Fonctions des scripts

Les fonctions permettent de démarrer les scripts dans le Runtime :

  1. Sélectionnez la commande Nouvelle fonction... dans le nœud Fonctions.
  2. Accédez à Scripts.
  3. Sélection
    1. Execute script (Exécuter le script) pour exécuter un script existant dans le nœud scripts du Runtime
    2. Scripts with online selection (Scripts avec sélection en ligne) pour autoriser la sélection d'un script devant être démarré dans le Runtime.

Fonction Execute script (Exécuter le script)

La fonction Execute script (Exécuter le script) exécute un script prédéfini dans l'Éditeur dans le Runtime.

Fonction Script with online selection (Script avec sélection en ligne)

Cette fonction est utilisée pour sélectionner un script avant de l'exécuter depuis la fonction de gestion des scripts, lors de l'administration en ligne.

Lors du développement, vous devez indiquer un script prédéfini. Ce script est utilisé comme sélection par défaut dans la boîte de sélection dans le Runtime.

Scripts sur le réseau

Sur un réseau actif, vous pouvez définir l'ordinateur sur lequel doit s'exécuter le script, via le nœud Exécution des propriétés des scripts.

info Info

Tenez compte des priorités d'exécution du script sur le réseau

Autres sujets abordés dans ce chapitre

Priorités sur le réseau


Priorités sur le réseau

Manuels -> Scripts -> Fonctions des scripts -> Priorités sur le réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur un réseau actif, vous définissez l'emplacement d'exécution du script via le nœud Exécution des propriétés des scripts :

  • Ordinateur courant
  • Client
  • Serveur
  • Redondant

Cet emplacement d'exécution concerne les fonctions contenues dans le script. Si une fonction a reçu un emplacement d'exécution différent, utilisez l'emplacement d'exécution défini ici.

Exemple 1 : Ordinateur courant

  • La Fonction 1 a été définie avec l'emplacement d'exécution Serveur.
  • La Fonction 2 a été définie avec l'emplacement d'exécution Client.
  • Pour la fonction Execute script (Exécuter le script), l'ordinateur actuel a été défini.
  • Conséquence : les deux fonctions sont exécutées sur le même ordinateur, à savoir l'ordinateur sur lequel est exécutée la fonction Execute scripts (Exécuter le script). Il peut s'agit d'un client, d'un serveur ou d'un serveur redondant.

Exemple 2 : client et serveur

  • Le script contient deux fonctions définies avec l'emplacement d'exécution Client.
  • Pour la fonction Execute script (Exécuter le script), le serveur a été défini.
  • Conséquence : les deux scripts sont exécutés sur le serveur, quel que soit l'ordinateur sur lequel la fonction Execute script (Exécuter le script) a été lancée.

Exemple 3 : Commandes de driver :

Les commandes de driver sont exécutées sur le serveur et le serveur redondant, par défaut. Si un script contenant des commandes de driver est lancé sur le client :

  • La commande de driver de la fonction est exécutée sur le client
  • Le driver est arrêté après l'exécution du script sur le serveur


Fonctionnement dans le Runtime

Manuels -> Scripts -> Fonctionnement dans le Runtime

En mode de fonctionnement en ligne, les fonctions suivantes sont disponibles pour utiliser les scripts :

Paramètres | Description
Script : Exécuter | Exécution directe du script activé
Script : sélection en ligne | Sélectionner un script avant son exécution

En utilisant la fonction Script : Sélection en ligne le gestionnaire de scripts est ouvert.

L'utilisateur peut sélectionner un script pendant les opérations en ligne. Après la sélection du bouton OK, le script sélectionné est exécuté.


Serveur OPC

Manuels -> Serveur OPC

Le serveur OPC rend les variables d'un projet accessible pour des clients OPC standard.

L'utilisation du serveur OPC UA est préconisée pour plusieurs opérations. Elle forme partie de la passerelle de procédé (Process Gateway) de COPA-DATA.

tutorial Informations concernant la licence

Ce module doit disposer d'une licence dans l'Éditeur et le Runtime.

Autres sujets abordés dans ce chapitre

Comparaison du serveur OPC et du serveur OPC UA

Principes techniques

Installation du serveur OPC

Enregistrement du serveur OPC

Licence sur serveur OPC

Réglages zenon

Consultation du serveur OPC

Démarrage/Arrêt du serveur OPC

Création de traces (log)

Demande de lecture asynchrone

Accès à distance avec DCOM


Comparaison du serveur OPC et du serveur OPC UA

Manuels -> Serveur OPC -> Comparaison du serveur OPC et du serveur OPC UA

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le système de serveur OPC UA a remplacé le serveur OPC. Nous vous recommandons d'utiliser un serveur OPC UA pour la plupart de vos applications.

Serveur OPC

  • OPC Task Force existe depuis 1995
  • Interface uniforme pour les systèmes d'automation
  • Repose sur la technologie COM/DCOM de Microsoft
  • La fondation OPC existe depuis 1996
  • Plusieurs spécifications pour différentes applications

Serveur OPC UA

  • Premier aperçu en 2003
  • Publié en 2006 ; tous les composants n'étaient pas disponibles

Comparaison du serveur OPC et du serveur OPC UA

Paramètres | Serveur OPC | Serveur OPC UA
Modèle de données | Limité | Pour toutes les applications
Mise en œuvre | Dépendante des fabricants | Indépendante des fabricants
Interopérabilité | non | oui
Configuration | Fastidieuse | Simple
Utilisation en réseau | Déconseillée (sécurité) ; Windows CE ne peut pas être utilisé | oui
Technologie de réseau | DCOM (source d'erreurs, instable) | Protocole binaire TCP OPC UA
Performances | bas | high
Plates-formes | Windows uniquement | Indépendant
Redondance | non | oui
Ressources requises | high | lower
Architecture orientée services | non | oui
Sécurité | Obsolète | Conforme aux normes actuelles
Sécurité de la connexion | non | Fournie
Windows CE | non | oui


Principes techniques

Manuels -> Serveur OPC -> Principes techniques

Le concept de l'OPC a été élaboré aux fins des applications au niveau des cellules et de l'administration. Avec lui, le serveur OPC fournit des données de processus depuis le niveau d'administration.

Clients OPC et serveur OPC

Illustration 1. Serveurs OPC

OPC définit les objets qui sont décrits par des interfaces d'objets. Dans le serveur OPC, il existe deux types d'interfaces d'objets pouvant être adressés par un client OPC (illustration 2) :

- L'interface COM personnalisée

- L'interface d'automatisation OLE

Illustration 2. Interface objet du serveur OPC

L'interface COM est utilisée par les langages orientés vers les pointeurs de fonctions, tels que C++. L'interface d'automatisation autorise la communication avec les langages de création de scripts, tels que le Visual Basic.

Un serveur OPC est constitué de trois objets hiérarchisés :

- serveur

- groupes et

- objets.

Illustration 3. Hiérarchie des objets OPC

Un serveur OPC affiche les objets véritables sous forme d'éléments (variables). Ces éléments sont uniques sur le serveur OPC. Le client organise les éléments sous la forme d'un ou plusieurs groupes OPC.

Autres sujets abordés dans ce chapitre

Informations générales relatives au serveur OPC

Adressage des éléments :

Informations concernant le groupe

Spécifications OPC supportées :


Informations générales relatives au serveur OPC

Manuels -> Serveur OPC -> Principes techniques -> Informations générales relatives au serveur OPC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Le serveur OPC est un serveur hors processus.
  • Le serveur processus opère en mode STA (Single Thread Apartment).
  • Le serveur OPC est enregistré en tant que serveur COM MULTIFONCTIONS. Cela signifie que le serveur s'exécute une seule fois, sous la forme d'une instance de processus, et que plusieurs clients OPC se connectent au même serveur.
  • À l'heure actuelle, le serveur OPC fonctionne uniquement localement.


Adressage des éléments :

Manuels -> Serveur OPC -> Principes techniques -> Adressage des éléments :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le serveur OPC doit être en mesure de distinguer les projets d'où proviennent les variables, car plusieurs projets peuvent être démarrés dans le Runtime. Par conséquent, le serveur utilise la convention de dénomination suivante pour les variables du processus : Nom_projet.Nom_variable

Example Exemple

Projet1.ValeurActuelle

Projet1 = nom du projet en cours d'exécution dans le Runtime

. (Point) = Séparateur

ValeurActuelle = Nom existant de la variable


Informations concernant le groupe

Manuels -> Serveur OPC -> Principes techniques -> Informations concernant le groupe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un nom de groupe peut être librement défini. Par exemple, groupe_test 1.

Le cycle de mise à jour du groupe n'est pas pris en compte par le serveur OPC, car le serveur OPC Server établit une connexion de données événementielle au Runtime. Par conséquent, toute modification d'une valeur sera transmise au serveur OPC, sans que la valeur ne soit interrogée de manière cyclique.

info Info

Les clients OPC doivent créer un groupe propre pour chaque projet zenon.


Spécifications OPC supportées :

Manuels -> Serveur OPC -> Principes techniques -> Spécifications OPC supportées :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

OPC Data Access Servers Version 1,0

OPC Data Access Servers Version 2.0

Interfaces OPC supportées :

Interfaces | Prise en charge
IOPCServer | Oui
IOPCBrowseServerAddressSpace | Oui
IOPCServerPublicGroups | Non
IPersistFile | Oui
IOPCCommon (de 2.0) | Oui
IOPCSyncIO | Non
IOPCItemProperties (de 2.0) | Oui
IConnectionPointContainer (de 2.0) | Oui


Installation du serveur OPC

Manuels -> Serveur OPC -> Installation du serveur OPC

Par défaut, le serveur OPC du système de contrôle est installé et enregistré dans le système de contrôle. Si vous n'avez pas installé le serveur OPC au cours d'une installation définie par l'utilisateur, vous devrez l'installer ultérieurement. Vous pouvez modifier l'installation existante en sélectionnant Panneau de configuration – Logiciels.

Pour utiliser les serveurs OPC, vous devez installer les composants centraux d'OPC. Vous trouverez ceux-ci sur le DVD d'installation, avec les programmes supplémentaires.


Enregistrement du serveur OPC

Manuels -> Serveur OPC -> Enregistrement du serveur OPC

Le serveur OPC doit être correctement enregistré. Si vous ne parvenez pas à localiser le serveur OPC depuis un client OPC, vous devrez l'enregistrer à nouveau.

Procédez comme suit :

  1. Ouvrez l'outil Startup Tool de zenon
  2. Sélectionnez Outils dans la barre de menu droite.
  3. Select OPC Server in the list
  4. Enter the desired parameters in the Command line parameters drop-down list
    Possible inputs:
    • zenopcsrv.exe /RegSrv: registers the OPC server; a message is given if this is not successful
    • zenopcsrv.exe /RegSrvD: registers the OPC server and also gives a message if this is successful
    • zenopcsrv.exe /UnregSrv: deregisters the OPC server; a message is given if this is not successful
    • zenopcsrv.exe /UnregSrvD: deregisters the OPC server and also gives a message if this is successful
  5. Cliquez sur le bouton Démarrer.

In the event of errors, check that you have sufficient authorizations.


Licence sur serveur OPC

Manuels -> Serveur OPC -> Licence sur serveur OPC

Le serveur OPC du système de contrôle s'exécute uniquement si vous avez correctement défini une licence. Si ce n'est pas le cas, vous obtiendrez le message d'erreur suivant :

La licence se définit conformément à la procédure standard. Lors de votre commande du serveur OPC, vous devez spécifier sur quel PC le serveur OPC doit être installé et le numéro de série du Runtime que vous faites tourner sur ce poste. Vous obtiendrez un nouveau numéro de série et un nouveau numéro d'activation pour ce PC. Avec ces informations, la licence du serveur OPC est active. Ces numéros peuvent être enregistrés dans le fichier zenon6.ini à l'aide de l'outil de commande de licence (Démarrer - Programmes - COPA-DATA - Licence order).


Réglages zenon

Manuels -> Serveur OPC -> Réglages zenon

Le VBA doit être activé, pour que le serveur OPC du système de contrôle puisse obtenir les données du Runtime du système de contrôle. Veuillez vérifier que les entrées suivantes sont définies correctement dans le fichier zenon6.ini :

[VBA]

EVENT=1 Active ou désactive le mécanisme d'événements pour le VBA ou l'interface COM. Par défaut =0. Vous devez positionner cette option à 1.

attention Attention

Si le mécanisme d'événements dans le Runtime du système de contrôle est désactivé, le serveur OPC pourra accéder aux variables du système de contrôle pour l'écriture, mais la lecture ne fonctionnera pas !
Le serveur OPC ne reçoit aucun événement de changement de la part du Runtime du système de contrôle. Pour la qualité de connexion, tous les clients OPC afficheront "disturbed".

Aucun paramètre supplémentaire n'est nécessaire dans le système de contrôle.

Le serveur OPC se connecte au Runtime en cours d'exécution et propose toutes les variables de tous les projets en cours d'exécution aux fins de la connexion.

info Info

Dès que le Runtime démarre, vous pouvez lire les variables de tous les projets disponibles dans le Runtime. Ceci est indépendant du fait que les projets soit indépendants, clients ou serveurs.


Consultation du serveur OPC

Manuels -> Serveur OPC -> Consultation du serveur OPC

Les clients OPC utilisent deux méthodes différentes pour localiser et consulter les informations relatives aux variables sur le serveur OPC. Il existe deux manières de localiser les serveurs OPC installés sur le PC.

  • En consultant la base de registre
  • En consultant les données à l'aide du programme supplémentaire OPCEnum.exe

Le programme supplémentaire OPCEnum.exe n'est pas distribué. Il peut donc arriver qu'un client OPC ne détecte pas le serveur OPC du système de contrôle, car il utilise cette méthode de consultation. Consultez la documentation du client OPC pour savoir s'il est possible de modifier la méthode de consultation en optant pour une lecture de la base de registre (dans Matrikon OPC Explorer, cette option est disponible dans la section Options). Si ce n'est pas le cas, vous devez installer le programme OPCEnum.

Conseil : si vous installez le programme gratuit Matrikon OPC Simulator Server, OPCEnum est également installé.

info Info

Lors de la consultation du système de contrôle, le serveur OPC renvoie toutes les variables existant dans le Runtime du système de contrôle. Vous devez donc vous assurer que le Runtime du système de contrôle est en cours d'exécution avant de commencer à consulter les variables.


Démarrage/Arrêt du serveur OPC

Manuels -> Serveur OPC -> Démarrage/Arrêt du serveur OPC

Le serveur OPC est automatiquement démarré par le premier client qui se connecte à lui, et arrêté par le dernier client qui s'en déconnecte.


Création de traces (log)

Manuels -> Serveur OPC -> Création de traces (log)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour la surveillance et l'évaluation des activités du serveur OPC de zenon, l'Afficheur de diagnostic est utilisé.


Demande de lecture asynchrone

Manuels -> Serveur OPC -> Demande de lecture asynchrone

L'interface OPC IAsyncIO et l'interface OPC IAsyncIO2 prennent en charge les demandes de lecture asynchrone multiples.


Accès à distance avec DCOM

Manuels -> Serveur OPC -> Accès à distance avec DCOM

Avec la technologie DCOM, un client OPC peut avoir un accès en lecture/écriture au serveur OPC de zenon par l'intermédiaire du réseau.

attention Attention

Le serveur OPC est optimisé pour une utilisation locale ; son utilisation sur un réseau est expressément déconseillée !
Explication : Les communications du réseau OPC utilisent la technologie DCOM de Microsoft, qui est à la fois instable et sujette aux erreurs. Les déconnexions particulières (par exemple, dues à un câble réseau débranché) et les périodes d'indisponibilité prolongées sont problématiques dans les applications industrielles.

Solution recommandée :

  • Utiliser un serveur OPC UA
    ou
  • Le Runtime de zenon est installé et fonctionne en tant que client pour le programme souhaité sur l'ordinateur sur lequel s'exécute le client OPC. Le serveur OPC zenon est démarré pour ce client. De cette manière, le serveur OPC zenon peut être connecté au client OPC.

attention Attention

Assurez-vous toujours que l'utilisateur de l'application du client OPC se connecte au serveur. Dans certains cas, il n'est pas nécessaire que ce soit l'utilisateur enregistré sur le PC client.
Si c'est le cas, l'application démarre avec un autre utilisateur. Cela se produit par exemple si le Runtime (qui dispose d'un driver de client OPC pour se connecter au serveur OPC distant) est démarré à l'aide du module de transport à distance. Dans ce cas, le client OPC s'exécute dans le contexte de l'utilisateur SYSTEM et de l'utilisateur connecté.
Dans tous les cas, vous devez saisir l'utilisateur correct sur le PC du serveur OPC, dans Access authorizations (Autorisations d'accès) !

Autres sujets abordés dans ce chapitre

Pare-feu Windows

Autorisation générale

Configuration DCOM

Consultation à distance du serveur OPC


Pare-feu Windows

Manuels -> Serveur OPC -> Accès à distance avec DCOM -> Pare-feu Windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le pare-feu Windows bloque toutes les connexions entrantes. Par conséquent, les tentatives de connexion du client OPC au serveur OPC sont également bloquées. Vous devez donc désactiver entièrement le pare-feu, ou le configurer correctement.

À l'heure de la rédaction de ce didacticiel, nous ne sommes pas parvenus à trouver la configuration correcte ; nous vous recommandons donc de désactiver entièrement le pare-feu Windows.


Autorisation générale

Manuels -> Serveur OPC -> Accès à distance avec DCOM -> Autorisation générale

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'utilisateur – dans le contexte duquel s'exécute le client OPC Client – doit disposer de droits d'administrateur sur le PC du serveur, de manière à ce que le client OPC puisse se connecter au PC du serveur OPC et dispose des droits adéquats pour démarrer et configurer le serveur OPC.

Ouvrez le Panneau de configuration sur le serveur OPC, puis accédez à l'entrée "Comptes utilisateur". Avec "Ajouter...", ajoutez un nouvel utilisateur avec lequel le client OPC se connectera, et configurez cet utilisateur en tant qu'administrateur. Reportez-vous à l'exemple "user" (utilisateur) sur la capture d'écran.

info Info

Le meilleur choix consiste à employer le même utilisateur Windows sur le serveur OPC et le client OPC, et à ajouter cet utilisateur au groupe d'administrateurs.
Attention ! Il ne suffit pas de configurer des utilisateurs locaux portant le même nom sur les deux ordinateurs. Il doit s'agir du même utilisateur de domaine !


Configuration DCOM

Cette procédure doit uniquement être effectuée sur le PC du serveur OPC. Aucun réglage n'est nécessaire sur le PC client.

Autres sujets abordés dans ce chapitre

Réglages au niveau du PC

Paramètres spécifiques à l'application


Réglages au niveau du PC

Manuels -> Serveur OPC -> Accès à distance avec DCOM -> Configuration DCOM -> Réglages au niveau du PC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Démarrez le programme DCOMCNFG dans le répertoire Windows\\System32.

Ouvrez la racine de la console et sélectionnez Services de composants - Ordinateurs - Poste de travail.

Sélectionnez Propriétés dans le menu contextuel de l'espace de travail.

En règle générale, il n'est pas nécessaire d'effectuer des modifications sur les pages de propriétés "Général", "Options", Protocoles standard" et "MSDTC".

Ouvrez la page de propriétés "Paramètres standard". Ici, vous devez vous assurer que DCOM est activé pour cet ordinateur. Ne vous occupez pas des autres paramètres.

Les paramètres suivants ont été testés :

  • Activer le service Internet COM - inactif
  • Niveau d'authentification standard - connexion
  • Niveau de modification d'identité standard - identification
  • Sécurité supplémentaire pour la journalisation des allocations - inactive

Sur la page de propriétés "Sécurité standard COM", vous trouverez les paramètres relatifs à l'autorisation des accès.

attention Attention

vous devez modifier les limites des autorisations d'accès, ainsi que celles relatives aux autorisations de démarrage et d'activation. Dans le cas contraire, l'accès à distance est bloqué par le système d'exploitation !

Vous devez modifier les limites des autorisations d'accès, ainsi que celles relatives aux autorisations de démarrage et d'activation.

Autres sujets abordés dans ce chapitre

Définir l'autorisation d'accès

Définir l'autorisation de démarrage


Définir l'autorisation d'accès

Manuels -> Serveur OPC -> Accès à distance avec DCOM -> Configuration DCOM -> Réglages au niveau du PC -> Définir l'autorisation d'accès

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez sur "Modifier les limites…". Dans la boîte de dialogue, vous pouvez définir les autorisations d'accès. D'abord, ajoutez les utilisateurs dont vous avez besoin (dans notre exemple, l'utilisateur "Praktikant") et autorisez l'accès à distance ! Vous devez également autoriser l'accès à distance pour l'utilisateur "ANONYMOUS-ANMELDUNG" (Connexion anonyme).

attention Attention

Ne supprimez jamais l'utilisateur "ANONYMOUS-ANMELDUNG" et n'interdisez jamais les accès locaux.
Cela empêcherait tout trafic de données COM sur votre PC !

info Info

Ne supprimez jamais l'utilisateur "ANONYMOUS-ANMELDUNG" et n'interdisez jamais les accès locaux.
Cela empêcherait tout trafic de données COM sur votre PC ! You now have to configure the user “ANONYMOUS-ANMELDUNG” correctly. For all other settings the user with which the OPC Client logs in is sufficient.


Définir l'autorisation de démarrage

Manuels -> Serveur OPC -> Accès à distance avec DCOM -> Configuration DCOM -> Réglages au niveau du PC -> Définir l'autorisation de démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

A l'image de l'autorisation des accès, vous devez ajouter les utilisateurs du client OPC et accepter toutes les autorisations.


Paramètres spécifiques à l'application

Manuels -> Serveur OPC -> Accès à distance avec DCOM -> Configuration DCOM -> Paramètres spécifiques à l'application

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres spécifiques à la sécurité doivent être configurés directement dans l'application et non pas dans les paramètres standard de la station de travail.

Démarrez le programme DCOMCNFG dans le répertoire Windows\\System32.

Ouvrir la Racine de la console et sélectionner Services de composants - Ordinateurs - Poste de travail - Configuration DCOM. Il peut arriver que certains programmes ne soient pas correctement enregistrés. Confirmer les messages en cliquant sur "Oui". Ainsi les programmes sont ajoutés aux registres Windows.

Chercher le serveur OPC (zenon OPC server) dans la liste et cliquer dessus avec le bouton droit de la souris. Sélectionner l'item Propriétés dans le menu contextuel.

info Info

Le serveur OPC est indépendant de la version de zenon. Ainsi le nom du serveur OPC peut différer du numéro de version de votre système de contrôle. Habituellement vous aurez le nom zenOn OPC Server for Version 5.21. Ne soyez pas perturbé, cela n'a aucune influence sur la fonctionnalité. Ce qui est important est le AppID (Application ID) unique. Il doit être correct. Le AppID du serveur OPC est : {CA2AF1F9-C031-42B7-8BF3-6C6041B23EAC}
Vérifiez que le chemin mêne bien au bon serveur OPC. Vous trouverez le chemin du serveur OPC enregistré dans "Chemin d'accès local".

Dans cette boîte de dialogue, vous avez les paramètres suivants à renseigner :

Sur la page de propriétés Général : Niveau d'authentification : connect

Sur la page de propriétés Emplacement : Exécuter l'application sur cet ordinateur

Sur la page de propriétés Sécurité :

Autorisations d'exécution et d'activation | Sélectionner Personnaliser. Avec un clic sur "Modifier", vous ouvrez la boîte de dialogue d'autorisations. Ajouter les utilisateurs requis et activer toutes les autorisations.
Autorisations d'accès | Sélectionner Personnaliser. Avec un clic sur "Modifier", vous ouvrez la boîte de dialogue d'autorisations. Ajouter les utilisateurs requis et activer toutes les autorisations d'accès.
Autorisations de configuration | Sélectionner Personnaliser. Avec un clic sur "Modifier", vous ouvrez la boîte de dialogue d'autorisations. Ajouter les utilisateurs requis et activer les autorisations de configuration pour le contrôle total et la lecture.

Sur la page de propriétés Sécurité : Cliquez sur "Ajouter..." et ajoutez "TCP/IP orienté connexion" avec les points standard.

Sur la page de propriétés Général : Sélectionnez "Utilisateur interactif".


Consultation à distance du serveur OPC

Manuels -> Serveur OPC -> Accès à distance avec DCOM -> Consultation à distance du serveur OPC

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Comme nous l'avons déjà décrit, deux méthodes de localisation et de consultation du serveur OPC par le client OPC sont disponibles. Par ailleurs, lors de la consultation à distance, le client OPC peut employer ces deux méthodes.

Autres sujets abordés dans ce chapitre

Consultation par entrée de la base de registre

Consultation avec OPC Enum


Consultation par entrée de la base de registre

Le client OPC doit prendre en charge la consultation dans la base de registre, et doit être configuré de manière correspondante. En outre, l'accès à la base de registre du serveur distant doit être autorisé.


Consultation avec OPC Enum

Le programme OPCEnum.exe doit être installé sur le PC du serveur OPC (il n'est pas fourni avec le serveur OPC). Le programme OPC Enum doit être correctement configuré dans la configuration DCOM, à l'image du serveur OPC. Accordez les autorisations d'accès requises pour le client OPC distant. Configurez les réglages de la même manière que vous configurez les réglages du serveur OPC. Dans le cas contraire, le client OPC ne pourra établir une connexion DCOM au programme OPC Enum, et la fonction de consultation ne fonctionnera pas.


Serveur Web de zenon et serveur Web Pro de zenon

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon

Le serveur Web de zenon publie des projets sur Internet et intranet sous leur forme exacte. Ceci permet de publier les données de production au sein d'une entreprise ou d'un groupe d'entreprises. Aucune adapation n'est nécessaire sur le projet pour ce transfert.

info Info

Le serveur Web de zenon communique avec le protocole IPv4 ou IPv6 (au choix). IPv6 est utilisable uniquement avec les versions 7 et ultérieures.

Le serveur Web de zenon est actuellement disponible dans trois versions :

  • Serveur Web de zenon : simple fonctionnalité de visualisation.
  • Serveur Web Pro de zenon : fonctionnalités complètes de contrôle et de surveillance. Il est possible d'accéder directement aux procédés à travers le Web.
  • Serveur Web Pro Light de zenon : fonctionnalités limitées du serveur Web Pro de zenon, destiné à une utilisation avec zenon Operator.

Pour plus d'informations concernant les différences, reportez-vous au chapitre Versions.

tutorial Informations concernant la licence

Le serveur Web, serveur Web Pro et serveur Web Pro Light de zenon nécessitent une licence. Pour plus de détails, reportez-vous au chapitre Gestion des licences.

Autres sujets abordés dans ce chapitre

Versions

Notions fondamentales

Limitations générales

Licence

Serveur Web Pro de zenon :

Client Web de zenon

VSTA avec client Web, serveur Web et serveur Web Pro

Configuration dans l'Éditeur

Création de la page HTML d'accès au projet

Dépannage

Intégration du serveur Web de zenon à un environnement Internet


Versions

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Versions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les différentes versions du serveur Web de zenon comportent des fonctionnalités différentes :

  • Serveur Web Pro de zenon :
    Autorise les actions de l'utilisateur actif avec zenon Supervisor.
    Le démarrage et l'utilisation sous Windows CE font l'objet de certaines limitations.
  • Serveur Web Pro Light de zenon :
    Autorise les actions de l'utilisateur actif avec zenon Operator et zenon Supervisor. Serveur Web Pro de zenon :
    • Le serveur de Runtime auquel se connectent les clients Web de zenon doit être l'ordinateur sur lequel s'exécute le serveur Web Pro Light de zenon.
      Ce nom d'ordinateur est utilisé pour les tests ; les domaines ne sont pas pris en compte
      Attention : pour les projets redondants, le déploiement du serveur Web Pro Light de zenon doit être redondant : une instance sur le serveur, et l'autre sur le serveur redondant.
    • 3 clients maximum.
    • Pas de prise en charge du trafic chiffré. En cas d'utilisation de communications chiffrées, le serveur Web ne démarre pas ou se ferme. La vérification de chiffrement est effectuée toutes les 60 secondes dans le Runtime.
    • La tunnellisation HTTP n'est pas prise en charge.
    • Le projet cible doit s'exécuter sur un serveur Projects that run on this computer as a client are not supported.
    • Multiple projects are supported if all projects run locally as a server.
  • Serveur Web de zenon :
    Sert uniquement d'interface de visualisation. Les actions de l'utilisateur actif, telles que l'envoi de valeurs, l'exécution de recettes, l'enregistrement de paramètres du module PFS, etc. ne sont pas autorisées.
    Exception : à partir de la version 6.22 SP1 build 5, les actions d'utilisateur actif suivantes peuvent également être effectuées dans le serveur Web de zenon :
    • Les variables internes (calculées localement) sont écrites dans le client Web à l'aide de la fonction Envoyer valeur.
      Remarque : Il n'est pas possible d'écrire via la saisie d'éléments ou VBA.

Exemple d'utilisation avec le serveur Web Pro Light de zenon

Lors du démarrage du serveur Web de zenon, le numéro de série détermine le démarrage du serveur Web, du serveur Web Pro ou du serveur Web Pro Light. Si le serveur Web Pro Light est démarré, les limitations suivantes sont actives :

  1. La tunnellisation HTTP n'est pas disponible.
  2. Une vérification est effectuée régulièrement pour déterminer si le chiffrement du réseau est actif. Le serveur Web Pro Light se ferme si le chiffrement est actif.
  3. Les connexions sont ensuite uniquement établies si le nom de l'ordinateur cible (serveur de Runtime) est identique au nom de l'ordinateur du serveur Web.
    1. Un projet s'exécute avec un serveur (ordinateur A) et un serveur redondant (ordinateur B).
    2. Le serveur Web Pro de zenon est démarré sur l'ordinateur A.
    3. Un client se connecte au serveur de Runtime server via le serveur Web Pro Light.
    4. Le Runtime se bloque sur l'ordinateur A. L'ordinateur B prend le relais en tant que serveur redondant.
    5. Le client tente de basculer vers le serveur redondant (ordinateur B).
    6. Le serveur Web fonctionne avec une licence de serveur Web Pro Light ; la connexion entre le client Web et l'ordinateur B est donc refusée. Le client Web est hors ligne.


Notions fondamentales

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Notions fondamentales

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le client Web de zenon affiche le Runtime dans un navigateur, comme il l'afficherait sur un client normal avec zenon. Pour cela, il nécessite le serveur Web de zenon et un serveur de Runtime.

Définitions

  • zenon Web Client

    le client Web de zenon est un programme qui s'exécute dans une fenêtre de navigateur Internet et affiche un projet. Il se connecte au serveur de Runtime à l'aide du serveur Web de zenon. Il montre le projet du Runtime serveur, comme si c'était un client normal. La seule différence : Avec le client Web de zenon, le projet est affiché dans un navigateur Web.

    Remarque : Le client Web de zenon fournit toujours les propriétés de la licence Energy Edition de zenon. Toutefois, l'écran normal est affiché au démarrage.

  • Serveur Runtime

    Le Runtime serveur est le PC où le projet tourne comme projet serveur. Le serveur de Runtime gère toutes les données : données du projet, données en ligne, données consignées dans l'historique.

  • Serveur Web de zenon

    Le serveur Web de zenon est une passerelle (serveur proxy) qui remplit les tâches suivantes :

    • Interface de données (conversion par port TCP/IP) entre le Runtime et le client Web.
    • Vérification de la licence et du nombre de clients simultanément connectés au serveur Web de zenon.
  • Service de publication

    Le service de publication est un serveur Web HTTP standard de n'importe quel constructeur. Il est nécessaire pour publier la page d'entrée du projet. Ce service n'est pas nécessaire au fonctionnement du client Web de zenon. Le client Web de zenon n'accède pas au service de publication. Pour établir une distinction claire avec le serveur Web de zenon, ce service n'est pas appelé un serveur Web, mais est toujours appelé un service de publication.
    Attention : le service de publication doit être ajouté aux pages de confiance dans le navigateur Web.

info Info

Dans un projet de petite taille, le serveur de Runtime, le serveur Web de zenon et le service de publication peuvent s'exécuter sur un seul et même ordinateur.

Le client Web de zenon et le serveur de Runtime doivent toujours s'exécuter sur deux ordinateurs différents.


Limitations générales

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Limitations générales

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les projets utilisés avec le client Web de zenon comportent les restrictions suivantes :

  • Alarmes :
    L'acquittement d'alarmes est uniquement possible lorsque le serveur Web Pro de zenon est utilisé.
  • Archives :

    Les archives ne peuvent pas être lues, modifiées ou enregistrées.

  • Gestion des utilisateurs

    AD et ADAM/ADLDS fonctionnent avec certaines limitations (comme sur les clients par défaut) :
    AD : l'ordinateur doit se trouver dans le même domaine
    ADAM/ADLDS : le client Web doit disposer d'une connexion physique au serveur Web (et d'un port ouvert) et au serveur ADAM/ADLDS

  • Synoptiques :
    • Les synoptiques de type Maintenance de l'archive ne sont pas disponibles.
  • Imprimer :

    Avant la première impression sur le client Web de zenon, la fonction Sélection imprimante doit être exécutée. Ainsi les imprimantes pour le client peuvent être définies. Ces paramètres sont enregistrés dans le fichier zenon6.ini ; cette procédure n'a donc pas à être exécutée pour chaque nouvelle tâche d'impression.

  • IPA :

    Le module Industrial Performance Analyzer (IPA) est uniquement disponible dans le client Web zenon sur un intranet, car aucune connexion à la base de données ne peut être effectuée par Internet. Si une connexion à intranet est présente, les autorisations de la base de données doivent être définies de manière correspondante, afin qu'un ordinateur distant puisse accéder à la base de données en tant que client Web de zenon.

  • Menus

    Dans le client Web de zenon, les menus principaux ne sont pas affichés.

  • Gestion de moniteur :

    La gestion de moniteur possède uniquement des fonctions limitées. Les fonctions d'ajustement de la résolution et de barre de défilement ne sont donc pas disponibles.

  • PFS :

    Le module Production and Facility Scheduler (PFS) est uniquement disponible dans les versions 6.01 et ultérieures.

  • Informations d'état :

    Les informations d'état, qui sont affichées lorsque vous cliquez avec le bouton droit de la souris, ne sont pas disponibles.

  • Raccourcis-clavier :

    Les combinaisons de touches sur les boutons, comme par exemple F3, ne sont pas disponibles.

  • VBA :

    VBA est uniquement disponible si VBA a été installé manuellement sur le client Web de zenon. Pour des informations détaillées, veuillez contacter l'assistance de zenon.

  • VSTA : le serveur Web et le client Web sont compatibles avec différentes versions de VSA.

    En général, le client Web est compatible avec VSTA, sauf pour les fonctions suivantes :

    • Débogage
    • Fonction d'affichage de l'Éditeur VSTA
    • Compilation

    Pour plus de détails, reportez-vous au chapitre Utilisation VSTA avec le client Web, le serveur Web et le serveur Web Pro.

Autres limitations applicables à Windows CE :

  • Un maximum de trois clients Web de zenon peuvent se connecter simultanément à un Runtime CE.
  • Le serveur web de zenon doit s'exécuter sur la même plate-forme que le Runtime CE auquel il est connecté. Un client web ne peut se connecter qu'à ce Runtime (cette plate-forme).

Les licences des serveurs Web de zenon pour CE sont gérées via une fonction de gestion à distance.

Exploreur web

attention Attention

VBA/VSTA et Prévention de l'exécution des données

Via la fonction Prévention de l'exécution des données , vous pouvez interdire l'exécution de code VBA dans le navigateur.

Microsoft Internet Explorer 8 et 9 :
Microsoft Internet Explorer version 8 (et versions ultérieures) offre la possibilité de désactiver la fonction de prévention de l'exécution des données dans le navigateur.

  • Accédez à Suppléments -> Options Internet -> Avancé -> Sécurité.
  • Désactivez l'option Activer la protection mémoire pour contribuer à atténuer les attaques en ligne

Other browsers and Internet Explorer from Version 10 (Windows 8)

La prévention de l'exécution des données doit être entièrement désactivée, car le procédé du navigateur ne peut pas être exclu de manière explicite. Cette pratique est déconseillée, pour des raisons de sécurité.

Microsoft Internet Explorer version 8 (et versions ultérieures) offre la possibilité de désactiver la fonction de prévention de l'exécution des données dans le navigateur.

  • exécutez la ligne de commande avec des droits d'administrateur.
  • Exécutez la commande suivante :
    bcdedit.exe/set {current} nx AlwaysOff
  • Redémarrez l'ordinateur.

The setting can be undone with the command bcdedit.exe/set {current} nx AlwaysOn

Recommandations générales : utilisez VSTA, plutôt que VBA.


Licence

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La licence détermine :

  • La version du serveur Web de zenon exécutée :
    • Serveur Web standard de zenon
    • Serveur Web Pro de zenon
    • Serveur Web Pro Light de zenon
  • Le nombre de connexions parallèles possibles du client Web de zenon (licence pour utilisation simultanée)

Remarque : En l'absence de licence valide, le serveur Web de zenon fonctionne en mode Démo. Dans ce cas, les limitations suivantes s'appliquent :

  • Le serveur Web de zenon peut uniquement être démarré manuellement
  • La durée d'exécution du programme est alors limitée à 30 minutes
  • Le nombre de clients possibles est limité à 2

Pour passer du mode Démo à une licence valide, fermez le serveur Web de zenon et saisissez un numéro de licence valide dans l'onglet Licence. Redémarrez manuellement le serveur Web.

zenon Operator et Windows CE

Le serveur Web Pro Light de zenon est disponible pour zenon Operator.

Sous Windows CE, le serveur Web Pro de zenon intégré au Runtime est disponible ; le Runtime doit être démarré pour que le serveur Web Pro de zenon puisse s'exécuter. Les limitations de cette fonctionnalité sont dues à la plate-forme. La licence est vérifiée, via Remote Transport, dans l'Éditeur, grâce à la gestion des licences à distance.

Enregistrement de la licence

Pour activer la licence du serveur Web zenon :

  1. Sélectionnez Démarrer -> Tous les programmes -> COPA-DATA -> Licences 7.00

    Ou :

    Démarrez le serveur Web en sélectionnant Panneau de configuration -> Serveur Web de zenon.

  2. La boîte de dialogue de saisie des informations de la licence s'ouvre.
    • Sélectionnez Serveur Web
  3. Saisissez le numéro de série et le numéro d'activation

    Vous trouverez les informations à ce sujet :

    • Sur votre certificat de licence
    • Sur l'autocollant de la licence
    • Dans le fichier de licence License.txt

      Chemin dans Vista/7/8 : C:\Users\Public\Documents\zenon_Projects\

    Remarque : tenez compte de l'utilisation des minuscules et majuscules lors de la saisie des données !

  4. Redémarrez le serveur Web de zenon sur l'onglet État.
  5. Après le redémarrage, utilisez le serveur Web de zenon dont vous avez activé la licence

Boîte de dialogue de gestion des licences

Paramètres | Description
Éditeur/Runtime | Actif : la licence est valide pour l'Éditeur de zenon et/ou le Runtime de zenon.
Serveur Web | Actif : la licence est valide pour le serveur Web de zenon.
Analyzer | Actif : la licence est valide pour le module zenon Analyzer.
Numéro de série | Numéro de série de la licence. Si une licence est déjà disponible, le numéro de licence correspondant est affiché ici.
Numéro d'activation : | numéro d'activation de la licence. Si une licence est déjà disponible, le numéro d'activation correspondant est affiché ici.
OK | Importer les données et exécuter zenon avec cette licence lors du prochain démarrage du programme.
Annule | Annuler la saisie et utiliser zenon avec la licence précédente ou sans licence.
Request soft license (Demander une licence logicielle) | Ouvre la boîte de dialogue permettant de demander une licence logicielle.

Alternative :

  1. Démarrez le serveur Web en sélectionnant Panneau de configuration -> Serveur Web de zenon.
  2. Sur l'onglet Licence du serveur Web de zenon, saisissez le numéro de série et le numéro d'activation indiqués sur le formulaire de licence.

  3. Cliquez sur le bouton Enregistrer pour enregistrer les deux nombres.
  4. Redémarrez le serveur Web de zenon sur l'onglet État.

attention Attention

La connexion des clients Web de zenon connectés est interrompue pendant cette procédure. Les clients Web de zenon se reconnecteront automatiquement au terme du délai d'attente défini.

Remarque : Le numéro de licence et le numéro d'activation sont définis dans le fichier zenSrv.ini.

Autres sujets abordés dans ce chapitre

Licence par dongle

Licence logicielle


Licence par dongle

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Licence -> Licence par dongle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon prend en charge les systèmes de dongle WIBU Key et Codemeter pour la gestion des licences à l'aide de dongle. Pour plus de détails à ce propos, lisez la section Licence par dongle du manuel Gestion des licences.

La gestion des licences par dongle est effectuée par l'intermédiaire des solutions suivantes :

  • Dongle installé sur l'ordinateur ou
  • Dongle réseau

Dongle installé sur l'ordinateur

Avec un dongle installé sur l'ordinateur :

  1. Vous recevrez un dongle et un formulaire de licence comportant un numéro de série et un numéro d'activation.
  2. Fermez le dongle avec l'ordinateur sur lequel vous avez installé le serveur Web de zenon.
  3. Enregistrez la licence dans le système.

Dongle réseau

En alternative au dongle connecté au même ordinateur, vous pouvez également utiliser un dongle réseau central de COPA-DATA. Ce dongle peut être connecté à n'importe quel ordinateur sur le réseau. L'activation de la licence se déroule de manière semblable à l'activation de la licence sur le dongle installé sur l'ordinateur.

info Info

Si un exemplaire du serveur Web de zenon avec une licence Codemeter ne peut plus se connecter au dongle, le serveur Web se ferme.


Licence logicielle

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Licence -> Licence logicielle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour activer la licence logicielle :

  1. Démarrez le programme de gestion de licences du serveur Web.

  2. Cliquez sur le bouton License request for soft licensing (Demander une licence logicielle).
  3. Le formulaire des données de licence s'affiche à l'écran.

  4. Renseignez tous les champs, puis cliquez sur Suivant.
  5. Le programme génère alors une commande de licence avec un numéro de licence valide pour votre ordinateur.

  6. Transmettez votre demande de licence à votre partenaire commercial :
    1. En cliquant sur le bouton d'envoi par e-mail
    2. En cliquant sur le bouton d'impression ou d'envoi par fax

      Le numéro de licence apparaît également sur ce document et doit correspondre à celui de votre PC.

  7. Une boîte de dialogue d'information récapitule le procédé.

  8. Enregistrez la licence sur le système dès que vous recevez les données de votre licence


Serveur Web Pro de zenon :

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Serveur Web Pro de zenon :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le serveur Web de zenon est nécessaire pour établir une connexion entre le client Web de zenon et le serveur de Runtime. Il peut être installé sur n'importe quel ordinateur sur le réseau qui a une connexion physique au réseau du Runtime serveur. Il n'est pas possible d'utiliser le client Web de zenon et le serveur de Runtime sur un même ordinateur. Le serveur Web de zenon peut en revanche être installé sur le même ordinateur que le serveur de Runtime.

info Info

Une désinstallation complète du serveur Web ne peut être effectuée que si le serveur Web n'est pas en cours d'exécution.

Remarque : Files that can be edited by user are also not removed after a complete deinstallation. This ensures that no information is lost when carrying out an upgrade, for example. If these data is also to be removed, it must be deleted manually.

Pour plus d'informations, reportez-vous au chapitre Fonctionnement redondant.

Autres sujets abordés dans ce chapitre

Instruction : préparation, installation et démarrage


Instruction : préparation, installation et démarrage

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Serveur Web Pro de zenon : -> Instruction : préparation, installation et démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les étapes suivantes sont nécessaires pour utiliser le serveur Web Pro de zenon :

  1. Configuration du réseau et du serveur dans le projet
  2. Installez le service de publication Web sur l'ordinateur
  3. Installez le serveur Web de zenon
  4. Démarrez le serveur Web de zenon
  5. Installez et démarrez le client Web de zenon

1. Configuration du projet

Le projet devant être démarré à l'aide du serveur Web de zenon nécessite la configuration de base suivante dans l'Éditeur de zenon :

  • Activez la propriété de projet > Réseau -> Réseau actif
  • Définissez la propriété de projet -> Réseau -> Serveur -> nom de l'ordinateur dans le Runtime.

2. Installez le service de publication Web sur l'ordinateur

Le service de publication est nécessaire pour publier la page d'initialisation du projet. Vous pouvez utiliser le système de votre choix à cette fin. Pour utiliser le service de publication de Windows :

  1. Sélectionnez Panneau de configuration - >Programmes et fonctionnalités - > Activer ou désactiver des fonctionnalités Windows.
  2. Accédez à Internet information services -> Services Web.
  3. Activez tous les services Web.
  4. Ajoutez le service Push aux pages de confiance dans le navigateur Web.

Des informations de Microsoft sont disponibles à l'adresse : http://technet.microsoft.com/en-us/library/cc782498(WS.10).aspx

Si les services ont été activés avec succès, le dossier suivant doit être présent dans le répertoire racine :
C:\inetpub\wwwroot

info Info

Si le serveur Web de zenon a été préalablement installé, le dossier créé durant l'installation (C:\Program Files \COPA-DATA\zenon WEB Server\zenon) doit être déplacé vers C:\inetpub\wwwroot.

3. Installation du serveur Web

Le serveur Web de zenon est installé sur l'ordinateur, avec les services Web activés.

  1. Démarrez l'installation du DVD et suivez les instructions de l'assistant d'installation. Vous trouverez plus de détails concernant l'installation au chapitre Installation du serveur Web de zenon depuis le DVD.
  2. Configurez les paramètres du serveur Web :
    • À compter de la version 6.20 de zenon, dans le fichier global_vars.js situé dans le dossier C:\inetpub\wwwroot\zenon\config
    • Jusqu'à zenon 6.20, dans le fichier project.html situé dans le dossier

4. Démarrage du serveur Web

Pour démarrer le serveur Web de zenon :

  1. Assurez-vous que les services de publication Web ont été démarrés et que la page d'initialisation est prête
  2. Démarrez le projet de Runtime sur l'ordinateur
  3. Démarrez le serveur Web de zenon

    Vous trouverez des détails concernant le démarrage et la configuration du serveur Web de zenon au chapitre Démarrage et configuration du serveur.

5. Installation et démarrage du client Web

Pour observer ou utiliser le Runtime à l'aide d'un navigateur, vous devez avoir installé le client Web de zenon sur l'ordinateur correspondant.

  1. Installez le client Web de zenon.

    Vous trouverez des informations détaillées concernant le client Web au chapitre Client Web de zenon.

  2. Démarrez Microsoft Internet Explorer et connectez le client Web à l'ordinateur sur lequel s'exécute le serveur Web de zenon.

    Vous devrez peut-être ajouter celui-ci aux sites de confiance dans les paramètres d'Internet Explorer, sous Suppléments -> Options Internet -> Sécurité.

  3. Le nombre de clients Web que vous pouvez utiliser en même temps dépend de votre licence.

attention Attention

VBA/VSTA et Prévention de l'exécution des données

Via la fonction Prévention de l'exécution des données , vous pouvez interdire l'exécution de code VBA dans le navigateur.

Microsoft Internet Explorer 8 et 9 :
Microsoft Internet Explorer version 8 (et versions ultérieures) offre la possibilité de désactiver la fonction de prévention de l'exécution des données dans le navigateur.

  • Accédez à Suppléments -> Options Internet -> Avancé -> Sécurité.
  • Désactivez l'option Activer la protection mémoire pour contribuer à atténuer les attaques en ligne

Other browsers and Internet Explorer from Version 10 (Windows 8)

La prévention de l'exécution des données doit être entièrement désactivée, car le procédé du navigateur ne peut pas être exclu de manière explicite. Cette pratique est déconseillée, pour des raisons de sécurité.

Microsoft Internet Explorer version 8 (et versions ultérieures) offre la possibilité de désactiver la fonction de prévention de l'exécution des données dans le navigateur.

  • exécutez la ligne de commande avec des droits d'administrateur.
  • Exécutez la commande suivante :
    bcdedit.exe/set {current} nx AlwaysOff
  • Redémarrez l'ordinateur.

The setting can be undone with the command bcdedit.exe/set {current} nx AlwaysOn

Recommandations générales : utilisez VSTA, plutôt que VBA.

Les restrictions inhérentes au serveur Web de zenon et au client Web de zenon sont décrites au chapitre Limitations générales.

Autres sujets abordés dans ce chapitre

Installation du serveur Web de zenon depuis le DVD

Droits d'utilisateur nécessaires pour l'installation

Démarrage et configuration du serveur

Paramètres dans le script global_vars.js

Paramètres dans le fichier projekt.html

Stockage des fichiers du Runtime

Fonctionnement de la redondance


Installation du serveur Web de zenon depuis le DVD

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Serveur Web Pro de zenon : -> Instruction : préparation, installation et démarrage -> Installation du serveur Web de zenon depuis le DVD

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour installer le serveur Web ou l'application Webserver Pro de zenon :

  1. Activez les services Web sur l'ordinateur.

    Le dossier C:\inetpub\wwwroot doit exister.

  2. Insérez le DVD de zenon dans le lecteur ; l'écran de présentation s'affiche.

    Si vous avez désactivé la fonction d'exécution automatique de votre lecteur de CD/DVD, exécutez le fichier start.exe depuis le CD.

  3. Sélectionnez le serveur Web de zenon.
  4. Suivez la procédure d'installation.
  5. Redémarrez l'ordinateur.

Après l'installation, les fichiers d'installation du client Web se trouvent dans les sous-répertoires du chemin d'installation du serveur Web (xxx représente la version de zenon), par ex. : C:/Program Files/COPA-DATA/zenonWebServer/zenon/controlversions/Versionxxx/zenon_WEB_Client_Setup_GERMAN.EXE
ou

C:/Inetpub/wwwroot/zenon/controlversions/Versionxxx/zenon_WEB_Client_Setup_GERMAN.EXE

Les exemples de site Web (index*.html et init*.html) sont également installés. Ils se trouvent dans le sous-dossier zenon de l'emplacement d'installation du serveur Web, par exemple :
C:/Programs/zenonWebServer/zenon/index.htm
or
C:/Inetpub/wwwroot/zenon/index.html

info Info

Le service de serveur Web de zenon démarre uniquement automatiquement dans la version avec licence. Dans le mode démo, vous devez démarrer le serveur Web manuellement, via une console de serveur Web dans le panneau de configuration.


Droits d'utilisateur nécessaires pour l'installation

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Serveur Web Pro de zenon : -> Instruction : préparation, installation et démarrage -> Droits d'utilisateur nécessaires pour l'installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous devez disposer des droits d'utilisateur suivants pour l'installation :

Serveur Web de zenon :

<Vous devez disposer de droits d'administrateur pour installer et configurer le serveur Web de zenon (saisir le numéro de série et la clé d'activation).

Lors des opérations en Runtime : Puisque le serveur Web de zenon s'exécute en tant que service en tâche de fond (dans le contexte de l'utilisateur SYSTEM), aucun utilisateur n'a besoin d'être connecté pour l'utiliser. Les droits l'utilisateur Windows actuellement connecté n'ont donc pas d'importance.

Client Web de zenon :

Des droits d'administrateur Windows sont nécessaires pour l'installation.

Des droits d'utilisateur normaux sont suffisants pour l'installation.


Démarrage et configuration du serveur

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Serveur Web Pro de zenon : -> Instruction : préparation, installation et démarrage -> Démarrage et configuration du serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le serveur Web de zenon est démarré automatiquement dans le mode de fonctionnement normal. S'il est arrêté, ou si vous devez ressaisir le numéro de licence, vous devrez le redémarrer manuellement.

Remarque : En l'absence de licence valide, le serveur Web de zenon fonctionne en mode Démo. Dans ce cas, les limitations suivantes s'appliquent :

  • Le serveur Web de zenon peut uniquement être démarré manuellement
  • La durée d'exécution du programme est alors limitée à 30 minutes
  • Le nombre de clients possibles est limité à 2

Pour passer du mode Démo à une licence valide, fermez le serveur Web de zenon et saisissez un numéro de licence valide dans l'onglet Licence. Redémarrez manuellement le serveur Web.

Configuration du serveur Web de zenon

Pour configurer le serveur Web :

  1. Ouvrez l'interface de contrôle du système.
  2. Double-cliquez sur le serveur Web de zenon
  3. La boîte de dialogue de configuration et de gestion des licences s'affiche

Paramètre

Description

État :

Affiche la version et l'état du serveur Web :

Version :

  • Serveur Web Pro de zenon
  • Serveur Web Pro Light de zenon

Messages d'état :

  • Running (En cours d'exécution) : le serveur Web fonctionne avec une licence valide
  • arrêté : le serveur Web a été arrêté
  • Demo mode (Mode Démo) : le serveur Web fonctionne en mode démo, sans licence
  • Not installed (Pas installé) : le serveur Web n'est pas enregistré en tant que service, ou une erreur d'installation s'est produite

Nombre maximum de clients :

Le nombre maximum de clients autorisés à se connecter au serveur Web. Le nombre est défini par la licence.
En mode Démo, deux clients bénéficient d'une licence valable pendant 30 minutes.

Nombre de clients actifs :

Affiche le nombre de clients actuellement connectés.

Lecture

Démarre le serveur Web.

Stop

Arrête le serveur Web.

Actualiser

Actualise l'affichage.

Fichier journal

Ouvre le fichier journal.

Tunnellisation HTTP

Actif : La tunnellisation HTTP est activée.

Cette fonction est uniquement disponible dans le serveur Web Pro de zenon, et non dans la version Light.
Remarque : cette configuration peut uniquement être modifiée si le serveur Web possède l'état Stopped (Arrêté). Elle ne peut pas être modifiée en cours de fonctionnement.

Clients actifs

Liste de clients connectés.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Démarrage manuel du serveur Web de zenon

Pour démarrer le serveur Web manuellement :

  1. Ouvrez l'interface de contrôle du système.
  2. Double-cliquez sur le serveur Web de zenon
  3. La boîte de dialogue de configuration et de gestion des licences s'affiche

  4. Sélectionnez une connexion via TCP ou HTTP
  5. Cliquez sur le bouton Démarrer.

Démarre et configuration dans Windows CE

Aucune boîte de dialogue de démarrage n'est présente dans Windows CE. Le serveur Web de zenon est déjà intégré au Runtime.

Pour démarrer le serveur Web de zenon sous Windows CE, les conditions suivantes doivent être vraies :

  • La propriété Réseau actif doit être activée dans le projet
  • Le Runtime doit avoir été démarré
  • Le serveur Web de zenon doit disposer d'une licence.

Remarque : La tunnellisation HTTP n'est pas disponible sous Windows CE.

La configuration se déroule conformément aux indications fournies au chapitre Paramètres dans le fichier projekt.html.

Sous Windows CE, les fonctionnalités sont sujettes à toutes les limitations généralement applicables à Windows CE et au serveur Web de zenon sous Windows CE.

Autres sujets abordés dans ce chapitre

Tunnellisation HTTP


Tunnellisation HTTP

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Serveur Web Pro de zenon : -> Instruction : préparation, installation et démarrage -> Démarrage et configuration du serveur -> Tunnellisation HTTP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À la place des connexions TCP, le serveur Web de zenon peut également accepter les connexions HTTP. Les connexions HTTP sont uniquement acceptées par les clients Web de zenon. La connexion au Runtime Server est toujours établie via TCP. Une connexion HTTP distincte est créée pour chaque connexion TCP entre le client Web et le serveur Web.

Les connexions ont établies via TCP, par défaut. Pour utiliser la tunnellisation HTTP, les conditions suivantes doivent être vraies :

  • Le protocole HTTP doit être activé par le biais de la boîte de dialogue de configuration ou de l'entrée correspondante dans le fichier zenon6.ini
  • Le port 8080 ou le port de remplacement configuré dans le fichier zenon6.ini sur l'ordinateur du serveur Web doit être joignable
  • La page d'initialisation du projet pour les clients Web devant se connecter au serveur Web par le biais de la tunnellisation HTTP doit comporter le paramètre UseHTTP, associé à une valeur différente de 0, dans les entrées <embed> et <object>

Remarque : La tunnellisation HTTP n'est pas disponible sous Windows CE.

Configuration le port

To configure the port for HTTP tunneling on zenon Webserver:

  1. Ouvrez le fichier zenon6.ini
  2. Navigate to the NET_PROXYPORT= entry or create this
  3. set the desired port

    Par défaut : 8080
    le serveur Web écoute le port et le client Web se connecte à celui-ci.

  4. save zenon6.ini

Each change to the port number in zenon6.ini on the computer on which the Webserver is running must also be created accordingly on all computers with the zenon Webclient.

Procédure

Le client Web envoie ses messages destinés au serveur de Runtime au serveur Web via HTTP POST. Le message est alors transmis à la connexion associée avec le serveur Runtime, via le protocole TCP. Le serveur de Runtime transmet, via le protocole TCP, ses messages destinés au client Web au serveur Web, qui les enregistre dans son buffer.

Le buffer d'une connexion est vidé par le client Web au travers de requêtes HTTP GET. Si aucun message n'est disponible pour une connexion, le client attend pendant un délai paramétrable (entrée POLLING_INTERVALL dans le fichier zenon6.ini, avec une valeur par défaut de 2 secondes).

Pour plus de détails, reportez-vous au chapitre Procédure de connexion HTTP.

Message d'erreur

Si la connexion HTTP est active, les messages spécifiques au réseau sont parfois affichés dans l'outil Diagnosis Viewer, plutôt que dans les messages spécifiques au protocole HTTP ; par exemple, si une connexion est établie ou interrompue, ou en cas d'erreur HTTP.

Autres sujets abordés dans ce chapitre

Procédure avec une connexion HTTP


Procédure avec une connexion HTTP

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Serveur Web Pro de zenon : -> Instruction : préparation, installation et démarrage -> Démarrage et configuration du serveur -> Tunnellisation HTTP -> Procédure avec une connexion HTTP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Procédure avec une connexion HTTP

Démarrage du serveur Web

Le serveur Web peut être démarré par les méthodes suivantes :

  • Boîte de dialogue dans le panneau de configuration
  • Manuels

Boîte de dialogue dans le panneau de configuration

  1. Ouvrez l'interface de contrôle du système.
  2. Ouvrez la boîte de dialogue de configuration du serveur Web de zenon
  3. Cochez la case HTTP
  4. Cliquez sur le bouton Démarrer.

Démarrage manuel

  1. Ouvrez l'Explorateur Internet
  2. Dans la ligne d'adresse, saisissez : %cd_system%
  3. Ouvrez le fichier zenWebSrv.ini dans un Éditeur de texte.
  4. Accédez à l'entrée [DEFAULT]
  5. Créez ou modifiez l'entrée USE_HTTP_PROXY= et définissez la valeur sur 1.
    (USE_HTTP_PROXY=1)
  6. Enregistrez et fermez le fichier
  7. Démarrez le serveur Web de zenon en utilisant l'une des quatre méthodes suivantes :
    1. La Boîte de dialogue de configuration du Panneau de configuration
    2. La ligne de commande : démarrez le serveur Web en tant que service ou en saisissant le chemin d'accès complet
    3. Dans la vue des Services du Gestionnaire de tâches, ou dans l'élément de contrôle Services, démarrez le service ZenWebSrv
    4. Dans l'Explorateur Windows, accédez au répertoire d'installation du serveur Web et démarrez ce dernier en double-cliquant sur zenWebSrv.exe

Procédure de connexion

Si un client Web est démarré, il se connecte au serveur de Runtime via le serveur Web :

  1. L'utilisateur lance le navigateur Internet et ouvre la page d'initialisation du projet.
  2. La page d'initialisation du projet invite le navigateur Web à démarrer le client Web avec une configuration de tunnellisation prédéfinie.
  3. Le client Web établit 3 connexions HTTP (connexions de contrôle, de données et de synchronisation des fichiers) avec le serveur Web :
    1. Un ID de connexion est demandé au client Web.
    2. Le serveur Web transmet un ID de connexion libre, s'il est disponible. L'ID envoyé est ajouté à la liste d'ID de connexion émis. Ceci évite qu'un ID ne soit émis deux fois, et permet de transférer la connexion HTTP vers une connexion TCP.
    3. Le paquet d'initialisation du réseau est transmis au serveur Web via la connexion HTTP.
    4. Le serveur Web vérifie si ce client Web est déjà présent dans la liste de clients actifs. Si le client est nouveau, une vérification est effectuée afin de déterminer si le nombre maximal de clients a déjà été atteint. Si la connexion du client peut être acceptée, une connexion TCP est établie dans le Runtime et le paquet d'initialisation est transmis. La connexion de client acceptée et la connexion de serveur établie sont mappées l'une vers l'autre, jusqu'à la fin de la connexion : les données provenant de la connexion du client sont transmises par la connexion du serveur, et inversement.
  4. Échange de données :
    1. Le serveur Web joue le rôle de traducteur de protocole entre TCP et HTTP et enregistre les messages dans un buffer.
    2. Les données provenant du Runtime et destinées au client Web sont enregistrées dans le buffer sur le serveur. Le client Web appelle ces données au moyen de requêtes GET.
    3. Les données provenant du client Web et destinées au Runtime sont envoyées par le client Web au moyen d'une demande POST, puis transmises au Runtime par le serveur Web.
  5. Si le client Web est fermé dans le navigateur (c'est-à-dire si le navigateur est fermé ou la page d'initialisation du projet est fermée), les connexions au client Web sont interrompues.
    1. Le client Web envoie un paquet de fin de réseau au serveur Web. Le serveur Web transmet celui-ci au Runtime, interrompt la connexion et libère les ressources occupées (mémoire de travail, ports, ID de connexion, etc.).
    2. Une fois le client effacé, un paquet de fin HTTP supplémentaire est envoyé au serveur Web, afin de s'assurer que l'ID de connexion a bien été supprimé de la liste.


Paramètres dans le script global_vars.js

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Serveur Web Pro de zenon : -> Instruction : préparation, installation et démarrage -> Paramètres dans le script global_vars.js

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le fichier de configuration global_vars.js est utilisé pour les versions 6.20 et ultérieures de zenon. Il se trouve dans le dossier C:\inetpub\wwwroot\zenon\config\

global_vars.js

// Saisissez ici la chaîne du nom de votre projet

var PROJECTNAME = "SAISIR_NOM_PROJET_ICI";

// Saisissez ici le nom de l'ordinateur sur lequel est installé et s'exécute le Runtime de zenon

var RUNTIMESERVER= "SAISIR_NOM_SERVEUR_RUNTIME_ICI";

// Saisissez ici le nom de l'ordinateur sur lequel est installé le serveur Web de zenon

var WEBSERVER = "SAISIR_NOM_SERVEUR_WEB_ICI";

// Saisissez une fonction d'initialisation de zenon optionnelle à exécuter lors de la connexion du client Web au serveur. Defaultvalue = "Init"

var INITFUNCTION = "Init";

// Activez la fonction de zoom (pour étirer la résolution du projet à la taille du contrôle de client Web) OFF = "0" / ON = "1"

var ZOOM = "0";

// Saisissez ici le numéro de version du client Web correspondant.

var VERSION = "6,51,0,0";

Paramètres

Paramètre

Description

Nom du projet

Définit le nom du projet de Runtime.

var PROJECTNAME = "NOM" ;

Par exemple :

var PROJECTNAME = "zenon";

Remarque : le projet doit s'exécuter en tant que projet de serveur sur le serveur de Runtime désigné.

RuntimeServer

Désigne l'ordinateur cible sur lequel s'exécute le projet du Runtime.

var RUNTIMESERVER = "NOM";

Par exemple :

var RUNTIMESERVER = "T13-XPDE32";

Remarque : utilisez uniquement des lettres majuscules. Les noms d'ordinateurs doivent être indiqués sans suffixe de domaine.

Le nom doit correspondre au nom du serveur dans les informations de configuration du projet ; reportez-vous également aux chapitres suivants : Configuration du projet en zenon 5.x et Configuration du projet en zenon 6.x.

Redondance du serveur de Runtime

Seul le nom du serveur est fourni pour les projets redondants dans le Runtime, pas le nom du serveur redondant. Le nom du serveur redondant est enregistré dans le fichier project.ini du projet. Le client Web de zenon enregistre cette information localement la première fois qu'il se connecte au serveur de Runtime. Cela signifie que le serveur de Runtime doit être en ligne lors de la première tentative de connexion à un projet redondant. Pour chaque connexion ultérieure, le concept de redondance fonctionnera, c'est-à-dire que le client Web de zenon cherchera d'abord à se connecter au serveur de Runtime principal. Et s'il n'y arrive pas, il se connecte automatiquement au serveur redondant.

Redondance du serveur Web

Si, outre le serveur de Runtime de zenon, le serveur Web de zenon doit être utilisé comme un serveur redondant, les conditions suivantes doivent être vraies :

  • Deux copies du serveur Web de zenon doivent être installées et dotées d'une licence sur différents ordinateurs
  • Les deux copies du serveur Web de zenon, séparées par une virgule, doivent être indiquées dans la déclaration de variable sur la page HTML :

    var WEBSERVER = "SERVEUR_WEB,SERVEUR_WEB_REDONDANT";

Serveur Web

Désigne l'ordinateur cible sur lequel est installé le serveur Web de zenon. Attention : il ne s'agit pas du serveur de publication !

var WEBSERVER = "NOM";

Par exemple :

var WEBSERVER = "CD1111";

Remarque : utilisez uniquement des lettres majuscules. Les noms d'ordinateurs doivent être indiqués sans suffixe de domaine.

var INITFUNCTION =

Définit une fonction de zenon qui sera exécutée au démarrage d'un projet dans le navigateur.

var INITFUNCTION = "Init";

Par exemple :

var INITFUNCTION = "Init";

Par défaut : "Init"

Remarque : la syntaxe doit correspondre aux noms de fonctions dans zenon (capitalisation).

Zoom

Détermine si la fonction de zoom est utilisable avec le projet dans le navigateur.

var ZOOM = "VALEUR";

0 : OFF

1 : 1

Par exemple :

var ZOOM = "0";

Remarque : Le facteur de zoom est uniquement pris en compte lors de l'initialisation, et non lors de l'exécution du Runtime. Si une certaine taille est nécessaire, elle doit être définie par le contrôle ActiveX.

var VERSION

Définit la version du client Web de zenon.

var VERSION = "VALEUR";

Par exemple :

var VERSION = "6,50,1,0";

Cette valeur doit toujours être identique ou supérieure à la version du Runtime de zenon.

Conseil : Tenez compte de la capitalisation lors de la saisie de paramètres dans le fichier global_vars.js.

Vous trouverez un exemple de configuration sur le DVD. Pour plus d'informations sur la procédure de configuration, reportez-vous au chapitre Configuration de la page d'exemple.


Paramètres dans le fichier projekt.html

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Serveur Web Pro de zenon : -> Instruction : préparation, installation et démarrage -> Paramètres dans le fichier projekt.html

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour les versions plus anciennes de zenon, le fichier de configuration project.html est utilisé.

<html>

<head>

<title></title>

</head>

<BODY scroll="no" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" BGCOLOR=#FFFFFF>

<script language="JavaScript"><!--

var PROJECTNAME = "PROJECTNAME";

var RUNTIMESERVER= "SERVEUR_RUNTIME";

var WEBSERVER = "SERVEUR_WEB";

if (navigator.appName == "Netscape")

{

document.write ('<embed type="application/x-eskeractivex"');

document.write ('id="CD_IClient1"');

document.write ('classid="CLSID:2A3BC66B-03D7-11D4-991A-080009ABB492"');

document.write (' codebase="zenwebcli.ocx#version=1.0.0.1"');

document.write (' width=100%');

document.write (' height=100%');

document.write (' Project="' +PROJECTNAME+ '"');

document.write (' Server="' +RUNTIMESERVER+ '"');

document.write (' WebServer="' +WEBSERVER+ '"');

document.write (' Load="-1"');

document.write (' ScrollV="0"');

document.write (' Scrollh="0"');

document.write (' InitFunction="Init"');

document.write ('>');

}

else

{

document.write ('<object');

document.write (' id="CD_IClient1"');

document.write (' classid="clsid:2A3BC66B-03D7-11D4-991A-080009ABB492"');

document.write (' codebase="zenwebcli.ocx#version=1.0.0.1"');

document.write (' width=100%');

document.write (' height=100%');

document.write ('>');

document.write (' <PARAM NAME="Project" VALUE="' +PROJECTNAME+ '">');

document.write (' <PARAM NAME="Server" VALUE="' +RUNTIMESERVER+ '">');

document.write (' <PARAM NAME="WebServer" VALUE="' +WEBSERVER+ '">');

document.write (' <PARAM NAME="Load" VALUE="-1">');

document.write (' <PARAM NAME="ScrollV" VALUE="0">');

document.write (' <PARAM NAME="Scrollh" VALUE="0">');

document.write (' <PARAM NAME="InitFunction" VALUE="Init">');

document.write ('</object>');

}

// --></script>

</html>

Ce fichier HTML est configuré de manière similaire au fichier global_vars.js :

Paramètre

Paramètre

Description

Nom du projet

Définit le nom du projet de Runtime.

Remarque : le projet doit s'exécuter en tant que projet de serveur sur le serveur de Runtime désigné.

RuntimeServer

Désigne l'ordinateur cible sur lequel s'exécute le projet du Runtime.

Remarque : utilisez uniquement des lettres majuscules. Les noms d'ordinateurs doivent être indiqués sans suffixe de domaine.

Le nom doit correspondre au nom du serveur dans les informations de configuration du projet ; reportez-vous également aux chapitres suivants : Configuration du projet zenon 5.x et Configuration du projet zenon 6.x.

Redondance du serveur de Runtime

Seul le nom du serveur est fourni pour les projets redondants dans le Runtime, pas le nom du serveur redondant. Le nom du serveur redondant est enregistré dans le fichier project.ini du projet. Le client Web de zenon enregistre cette information localement la première fois qu'il se connecte au serveur de Runtime. Cela signifie que le serveur de Runtime doit être en ligne lors de la première tentative de connexion à un projet redondant. Pour chaque connexion ultérieure, le concept de redondance fonctionnera, c'est-à-dire que le client Web de zenon cherchera d'abord à se connecter au serveur de Runtime principal. Et s'il n'y arrive pas, il se connecte automatiquement au serveur redondant.

Redondance du serveur Web

Si, outre le serveur de Runtime de zenon, le serveur Web de zenon doit être utilisé comme un serveur redondant, les conditions suivantes doivent être vraies :

  • Deux copies du serveur Web de zenon doivent être installées et dotées d'une licence sur différents ordinateurs
  • Les deux copies du serveur Web de zenon, séparées par une virgule, doivent être indiquées dans la déclaration de variable sur la page HTML :

    var WEBSERVER = "SERVEUR_WEB,SERVEUR_WEB_REDONDANT";

Serveur Web

Désigne l'ordinateur cible sur lequel est installé le serveur Web de zenon. Attention : il ne s'agit pas du service de publication !

Remarque : utilisez uniquement des lettres majuscules. Les noms d'ordinateurs doivent être indiqués sans suffixe de domaine.

var INITFUNCTION =

Définit une fonction de zenon qui sera exécutée au démarrage d'un projet dans le navigateur.

Remarque : la syntaxe doit correspondre aux noms de fonctions dans zenon (capitalisation).

Zoom

Détermine si la fonction de zoom est utilisable avec le projet dans le navigateur.

Remarque : Le facteur de zoom est uniquement pris en compte lors de l'initialisation, et non lors de l'exécution du Runtime. Si une certaine taille est nécessaire, elle doit être définie par le contrôle ActiveX.


Stockage des fichiers du Runtime

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Serveur Web Pro de zenon : -> Instruction : préparation, installation et démarrage -> Stockage des fichiers du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Par défaut, le serveur Web de zenon enregistre les fichiers de Runtime dans le dossier %Temp%\zenWebCli.

%Temp% désigne le dossier de fichiers temporaires sous Windows. Ce dossier est enregistré de manière individuelle pour chaque utilisateur et peut être modifié sous Contrôle du système -> Système -> Paramètres système avancés -> Variables d'environnement.

Vous pouvez définir l'emplacement de stockage dans le dossier de votre choix en modifiant l'entrée correspondante du fichier zenon6.ini :

  1. Ouvrez le fichier zenon6.ini
  2. Accédez à la section

    [PATH]

  3. Créez ou modifiez l'entrée

    WEB_PROJECT_PATH=


Fonctionnement de la redondance

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Serveur Web Pro de zenon : -> Instruction : préparation, installation et démarrage -> Fonctionnement de la redondance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le serveur Web de zenon peut également être utilisé de manière redondante à partir de la version 6.01 du client Web de zenon.

Avec les stations de Runtime redondantes, l'utilisation d'un serveur Web redondant de zenon est également recommandée. Si un serveur Web de zenon subit une défaillance ou est arrêté, le client Web de zenon va bascule automatiquement vers le serveur Web de secours.

attention Attention

Contrairement au serveur de Runtime, aucun basculement automatique vers le serveur Web principal n'est effectué. Le client Web de zenon reste connecté au serveur redondant de zenon :

  • Jusqu'au redémarrage du client Web de zenon
  • Jusqu'à l'arrêt ou la défaillance du serveur Web redondant de zenon

Le client Web de zenon tente ensuite de se connecter au premier serveur Web de zenon défini en tant que serveur standard.

Si vous n'utilisez qu'un serveur Web de zenon, nous vous recommandons de ne pas l'utiliser sur le même ordinateur que le serveur de Runtime ou le serveur de Runtime redondant, car le serveur Web de >CD_PRODUCTNAME< subirait également une défaillance en cas de panne de l'ordinateur concerné.


Client Web de zenon

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Client Web de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour pouvoir afficher les projets du Runtime dans un navigateur Internet, vous devez installer le client Web de zenon localement, sur le même ordinateur. Vous trouverez d'autres détails concernant les systèmes d'exploitation et les navigateurs Internet au chapitre Navigateur Internet.

Le client Web de zenon est principalement constitué d'un contrôle ActiveX. Celui-ci affiche les informations dans un navigateur, exactement comme dans un client de Runtime normal. La connexion au serveur de Runtime est mise en œuvre avec le serveur Web de zenon.

Les fichiers d'installation actuels du client Web de zenon sont disponibles, après l'installation du serveur Web (Pro) de zenon, dans le sous-répertoire correspondant, par exemple :

C:\inetpub\wwwroot\zenon\controlversions\version651SP0\WEB_Client_Setup_GERMAN.exe.

Toutes les installations du client Web de zenon comportent une signature numérique, et peuvent également téléchargées depuis un site Web. Vous trouverez les informations de certification correspondantes dans les propriétés du programme d'installation du client Web de zenon.

Les programmes d'installation du client Web de zenon sont disponibles dans toutes les langues sur le DVD d'installation du serveur Web de zenon, dans le dossier COPA-DATA\Web Client versions.

info Info

Le client Web de zenon transmet des fichiers d'erreurs et des fichiers journaux. Le serveur de diagnostic est également installé lors de l'installation du client Web de zenon.

Autres sujets abordés dans ce chapitre

Exploreur web

Chiffrement des communications sur le réseau

Client Web de zenon – Compatibilité


Exploreur web

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Client Web de zenon -> Exploreur web

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le client Web de zenon est compatible avec les navigateurs suivants :

  • Microsoft Internet Explorer
  • Mozilla Firefox
  • Google Chrome
  • Apple Safari

Nous vous recommandons de toujours utiliser la version la plus récente.

info Info

Le navigateur de zenon doit être compatible avec l'un des systèmes d'exploitation suivants :

  • Windows Vista
  • Windows 7
  • Windows 8
  • Windows Serveur 2008

Les autres systèmes d'exploitation, tels que Windows CE, Linux ou d'autres sont uniquement pris en charge en combinaison avec un serveur de terminal.

Démarrage du navigateur

La page d'initialisation du projet détermine la base de l'identification du navigateur, ainsi que la méthode de démarrage du client Web, le cas échéant :

  • Internet Explorer : démarrage en tant que composant ActiveX
  • Firefox : Démarrage en tant que plug-in
  • Chrome : Démarrage en tant que plug-in
  • Safari : Démarrage en tant que plug-in
  • Autres navigateurs ou versions non prises en charge : Un message d'erreur est affiché ; le client Web ne démarre pas

Versions prises en charge

Exploreur web

À partir de la version

Annotation

Microsoft Internet Explorer
  • 3,0
  • Recommandé à partir de la version : 8,0
  • Notez les informations concernant la protection de la mémoire pour IE 8/9

Mozilla Firefox
  • 3.6.4 le conteneur de plug-in doit être activé manuellement
  • Recommandé à partir de la version : 4.0 (conteneur de plug-in activé par défaut)
  • Notez les informations concernant la configuration et les claviers

Google Chrome

  • 1,0
  • Recommandé à partir de la version 7.0

Apple Safari
  • 3,0
  • Recommandé à partir de la version 5.0

attention Attention

VBA/VSTA et Prévention de l'exécution des données

Via la fonction Prévention de l'exécution des données , vous pouvez interdire l'exécution de code VBA dans le navigateur.

Microsoft Internet Explorer 8 et 9 :
Microsoft Internet Explorer version 8 (et versions ultérieures) offre la possibilité de désactiver la fonction de prévention de l'exécution des données dans le navigateur.

  • Accédez à Suppléments -> Options Internet -> Avancé -> Sécurité.
  • Désactivez l'option Activer la protection mémoire pour contribuer à atténuer les attaques en ligne

Other browsers and Internet Explorer from Version 10 (Windows 8)

La prévention de l'exécution des données doit être entièrement désactivée, car le procédé du navigateur ne peut pas être exclu de manière explicite. Cette pratique est déconseillée, pour des raisons de sécurité.

Microsoft Internet Explorer version 8 (et versions ultérieures) offre la possibilité de désactiver la fonction de prévention de l'exécution des données dans le navigateur.

  • exécutez la ligne de commande avec des droits d'administrateur.
  • Exécutez la commande suivante :
    bcdedit.exe/set {current} nx AlwaysOff
  • Redémarrez l'ordinateur.

The setting can be undone with the command bcdedit.exe/set {current} nx AlwaysOn

Recommandations générales : utilisez VSTA, plutôt que VBA.

Configuration de Mozilla Firefox

Pour toutes les versions de Mozilla Firefox antérieures à la version 4, il est nécessaire d'activer manuellement les conteneurs de plug-ins. Pour cela :

  1. Dans la ligne d'adresse, saisissez : about:config
  2. Le navigateur peut afficher un message d'avertissement : Attention, danger !
  3. Cliquez sur le bouton : Je ferai attention, promis !
  4. Accédez à la propriété dom.ipc.plugins.enabled
  5. Celle-ci doit être définie sur true
  6. Pour définir cet état :
    1. Cliquez avec le bouton droit sur la propriété
    2. Dans le menu contextuel, sélectionnez la commande : Inverser
  7. Fermez le navigateur

Remarque : si ces modifications ne sont pas effectuées, le client Web de Firefox ne peut pas communiquer avec le Runtime. Les synoptiques sont affichées, mais toutes les variables sont affichées hors ligne ; les éléments de synoptique n'ont donc aucune valeur, et sont surlignés en bleu.

attention Attention

Dans certaines circonstances, des synoptiques de type Clavier personnalisés peuvent ne pas fonctionner correctement dans le navigateur Mozilla Firefox.

Pourquoi : Mozilla Firefox charge de nouvelles fenêtres en arrière-plan, mais ne bascule pas vers celles-ci. Or, les synoptiques de type clavier personnalisés sont fermés lorsqu'ils n'ont plus le focus.

Solution : utilisez un autre navigateur, tel que Microsoft Internet Explorer, Apple Safari ou Google Chrome.

Les claviers automatiques ne sont pas affectés !


Chiffrement des communications sur le réseau

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Client Web de zenon -> Chiffrement des communications sur le réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À partie des versions 7 et ultérieures de zenon, les communications sur le réseau peuvent être protégées avec un chiffrement fort.

Pour activer le chiffrement sur le client Web :

  1. Dans le menu Démarrer, cliquez sur le lien \Programmes\COPA-DATA\Network communication encryption
    ou exécutez le fichier zenWebCryptConfig.exe dans le dossier de programmes de zenon.
  2. La boîte de dialogue de configuration s'affiche à l'écran.

Paramètres

Description

Chiffrement des communications du réseau

Actif : les communications sur le réseau sont chiffrées.

Mot de passe

Saisissez le mot de passe.

Pour le critère, reportez-vous à la section Chiffrement du mot de passe du réseau du chapitre Chiffrement fort des communications du réseau.

La longueur affichée est toujours définie sur 20 caractères, afin de dissimuler la longueur réelle du mot de passe.

Vérification du mot de passe

Saisissez à nouveau le mot de passe de vérification.

OK

Appliquer toutes les modifications et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

info Info

Vous trouverez des notes concernant les messages d'erreur relatifs au chiffrement fort dans :

Le manuel Réseau -> Chapitre Chiffrement fort des communications du réseau -> Section Messages d'erreur.


Client Web de zenon – Compatibilité

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Client Web de zenon -> Client Web de zenon – Compatibilité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec le client Web de zenon, vous pouvez accéder à différentes versions du Runtime, de manière analogue à la compatibilité du Runtime. Le numéro de version du client Web doit impérativement être identique ou supérieur à celui du Runtime.

La compatibilité en ligne du Runtime autorise l'interopérabilité des systèmes du Runtime (également via les clients Web) sur le réseau zenon, même si la version du Runtime du client est supérieure à la version du Runtime du serveur.

Le Runtime actuel peut charger des projets des versions suivantes :

  • 6.20 SP4
  • 6.21 SP0
  • 6.21 SP1
  • 6.22 SP0
  • 6.22 SP1
  • 6.50 SP0
  • 6.51 SP0
  • 7.00 SP0
  • 7.10 SP0

La fonction de gestion multi-projets permet de charger les projets provenant de différentes versions. Par exemple, le projet d'intégration peut comporter le numéro de version 7.00, tandis qu'un sous-projet peut comporter le numéro de version 6.51 et qu'un autre sous-projet peut comporter le numéro de version 6.22 SP1.

info Info

Il est toujours recommandé d'utiliser le client Web zenon possédant le numéro de Service Pack le plus élevé dans une version.


VSTA avec client Web, serveur Web et serveur Web Pro

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> VSTA avec client Web, serveur Web et serveur Web Pro

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

VSTA est pris en charge de différentes manières par zenon dans les serveurs Web et Web Pro.

Fonction

Client Web avec serveur Web standard

Client Web avec serveur Web Pro

Montrer la boîte de dialogue des macros VSTA

+

+

Exécuter macro VSTA

+

+

Ouvrir Éditeur VSTA

-

-

Événements VSTA

+

+

Annotation
  • Aucune valeur n'est écrite dans les variables de zenon.
  • Les boîtes de messages de Windows peuvent être affichées.
  • La compilation et le débogage ne sont pas autorisés.
    Pour cela, un Runtime standard de zenon doit être utilisé.
  • Toutes les fonctionnalités VSTA de zenon sont entièrement disponibles.
  • La compilation et le débogage ne sont pas autorisés.
    Pour cela, un Runtime standard de zenon doit être utilisé.

Installation

Utilisation de VSTA

  • Les applications suivantes doivent être présentes sur le système ou être installées manuellement :
    • Microsoft Visual Studio Tools for Applications 2.0 (VSTA 2.0)
    • Microsoft .NET Framework 3.5

    Ces deux programmes se trouvent sur le support d'installation du serveur Web de zenon et/ou de zenon 7.11.

  • Le fichier VSTAIntegration.dll doit être présent dans le répertoire de programme zenon.
    Ce fichier est installé automatiquement lors de l'installation de zenon.

Entrées de fichier INI

Les entrées suivantes doivent être définies dans zenon6.ini :

[VSTA]

ON=1

CSHARP=1

[VBA]

EIN=1

EVENT=1

Commentaire : vous trouverez le fichier zenon6.ini dans le dossier C:\ProgramData\COPA-DATA\System\


Configuration dans l'Éditeur

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour accéder au serveur de Runtime via Internet ou un intranet, le projet doit être un projet en réseau.

Autres sujets abordés dans ce chapitre

Configuration du projet en version 5.x

Configuration de projets dans les versions 6.x et ultérieures

Résolution de l'écran et gestion de moniteur

Gestion multi projets et projets redondants


Configuration du projet en version 5.x

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Configuration dans l'Éditeur -> Configuration du projet en version 5.x

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Runtime doit tourner en tant que serveur. On configure cela dans les propriétés 'Réseau' du projet. L'option 'Mettre le projet dans le réseau' doit être cochée de façon à pouvoir utiliser le projet dans un réseau. Cliquez sur le bouton ... pour sélectionner l'ordinateur devant jouer le rôle de serveur pour ce projet. Ce PC devra ensuite être mentionné dans la page HTML d'initialisation du projet (par exemple : Globalvars.js, voir Configuration de la page d'exemple, pour que la connexion puisse être établie.

Vous trouverez plus d'information sur les possibilités en réseau et sur les différents paramètres dans le chapitre Réseau.


Configuration de projets dans les versions 6.x et ultérieures

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Configuration dans l'Éditeur -> Configuration de projets dans les versions 6.x et ultérieures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Runtime doit tourner en tant que serveur. Cette configuration est définie dans l'Éditeur, dans la section Réseau des propriétés du projet :

  • La case correspondant à la propriété Réseau actif doit être cochée
  • Le nom de l'ordinateur du serveur de Runtime doit être saisi dans la propriété Serveur. Ce PC devra ensuite être mentionné dans la page HTML d'initialisation du projet (par exemple : Globalvars.js, voir Configuration de la page d'exemple, pour que la connexion puisse être établie.

Vous trouverez d'autres informations concernant le réseau de zenon au chapitre Réseau.


Résolution de l'écran et gestion de moniteur

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Configuration dans l'Éditeur -> Résolution de l'écran et gestion de moniteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La gestion de moniteur de zenon est disponible dans le client Web de zenon, avec certaines restrictions.

Important pour la configuration : la fonction d'adaptation automatique de la résolution en fonction du client ne peut pas être utilisée pour le client Web. Pour cette raison, la taille de l'écran doit être définie en conséquence durant la configuration. Par défaut, le client Web de zenon utilise la taille d'écran synoptique définie pour le projet : Propriétés du projet -> Apparence graphique -> Gestion de moniteur -> Cliquez sur le bouton ... -> Onglet Général - Résolution d'écran.

La résolution peut être redimensionnée par le biais des paramètres du client Web de zenon. Pour plus de détails, voir le chapitre Configuration de la page d'exemple.

Grâce à la propriété Zoom, le client Web de zenon peut être agrandi à la taille d'un élément ActiveX.

Taille dans le navigateur

Le navigateur utilise toujours une partie de l'écran pour afficher les menus et les barres de défilement. Ainsi, la zone d'affichage accessible au client Web de zenon est toujours inférieure à la résolution de moniteur définie. Si vous souhaitez afficher votre projet en plein écran dans le navigateur, vous devez définir une taille d'écran inférieure à la taille réelle définie sur le client Web de zenon.

Par exemple :
Résolution du moniteur sur l'ordinateur du client Web de zenon : 1024x768 pixels
Taille de l'écran définie dans la gestion de moniteur : 800 x 600.

info Info

Si vous voulez utiliser la fonction de gestion multi-projet sur le client Web de zenon, la taille d'écran doit être la même pour tous les projets !

Système multi-moniteurs :

Sur un système multi-moniteurs, les synoptiques de procédé sont ouverts conformément aux paramètres du profil, sur différents moniteurs physiques. Lors de l'utilisation d'un client Web, ces synoptiques peuvent être situés hors de la zone visible, mais peuvent alors être atteint en faisant défiler l'écran.

Recommandation : Configurez le profil de moniteur de telle manière que tous les moniteurs sont mappés sur le moniteur principal ; de cette manière, vous êtes certain d'avoir accès à tous les moniteurs.

info Info

Le profil standard est toujours chargé par défaut sur le client Web de zenon. Vous pouvez toutefois stipuler un profil de moniteur différent en configurant l'entrée SCREENPROFILE= du fichier zenon6.ini.


Gestion multi projets et projets redondants

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Configuration dans l'Éditeur -> Gestion multi projets et projets redondants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le client Web de zenon prend en charge toutes les fonctionnalités du réseau, comme un client normal. Si le projet de départ est un projet d'intégration, tous les sous-projets sont chargés.

Remarque : l'ordinateur du client Web doit disposer d'une mémoire et d'un matériel identiques à ceux d'un client normal, utilisé dans des projets d'intégration.

Les serveurs de Runtime redondants sont également pris en charge.


Création de la page HTML d'accès au projet

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une page de démarrage de projet est requise, pour permettre au navigateur Web de démarrer le client Web de zenon, afin que celui-ci se connecte ensuite au serveur de Runtime correspondant. Cette page contient le code nécessaire. Java Script est utilisé en tant que langage de script.

Conditions préalables :

  • JavaScript doit être activé dans le navigateur.
  • Par ailleurs, le client Web de zenon doit également être installé localement sur l'ordinateur sur lequel est exécuté le navigateur Web.

Recommandation : Avant la page d'initialisation du projet (init.htm), basculez vers une page de départ (index .htm) qui autorise le téléchargement des clients Web. Cette page de départ contient des liens hypertexte :

  • Pour télécharger les contrôles du client Web de zenon
  • Sur la page d'initialisation du projet init.htm, qui effectue une vérification de navigateur et établit la connexion entre le serveur Web de zenon et le serveur de Runtime

Paramètres TCP et HTTP

Les paramètres diffèrent uniquement pour les connexions utilisant les protocoles TCP et HTTP pour l'entrée UseHTTP.

  • Exemple pour le protocole TCP
  • Exemple pour le protocole HTTP

Autres sujets abordés dans ce chapitre

Exemple de page d'initialisation du projet init.htm pour le protocole TCP

Exemple de page d'initialisation du projet init.htm pour le protocole HTTP

Exemple du DVD du serveur Web


Exemple de page d'initialisation du projet init.htm pour le protocole TCP

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple de page d'initialisation du projet init.htm pour le protocole TCP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur la page d'initialisation du projet, une vérification de navigateur contrôle le navigateur utilisé par le client Web. En fonction du résultat, le client Web est démarré ou un message d'erreur est affiché.

Exemple d'accès au projet

La page d'initialisation exécute trois scripts pour vérifier le navigateur utilisé et établir la connexion au Runtime ou afficher un message d'erreur :

  • global_vars.js : définit les valeurs des paramètres de transfert pour démarrer le client Web
  • browsercheck.js: Contrôle la version du navigateur
  • initcode.js : définit les fonctions utilisées pour démarrer le client Web


init.htm

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple de page d'initialisation du projet init.htm pour le protocole TCP -> init.htm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le fichier init.htm vérifie le navigateur utilisé, puis démarre le projet ou affiche un message d'erreur. Les scripts sont utilisés à cette fin :

  1. La configuration est chargée depuis global_vars.js.
  2. Le navigateur est déterminé par le script browsercheck.js.
  3. S'il s'agit d'un navigateur pris en charge, la fonction du script initcode.js permettant d'inclure le client Web est exécutée.

Exemple

<html>

<head>

<title></title>

</head>

<BODY scroll="no" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" BGCOLOR=#FFFFFF>

<script language="javascript" type="text/javascript" src="global_vars.js"></script>

<script language="javascript" type="text/javascript" src="browsercheck.js"></script>

<script language="javascript" type="text/javascript" src="initcode.js"></script>

<script language="JavaScript" type="text/javascript">

switch(browsercheck()) {

case "IEXPLORER":

runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "NPAPI":

runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "UNSUPPORTED_BROWSER":

alert(navigator.appName + ' : ' + navigator.appVersion + ' is not supported!');

break;

default:

alert("paramètre non valide");

break;

}

</script>

</html>


global_vars.js

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple de page d'initialisation du projet init.htm pour le protocole TCP -> init.htm -> global_vars.js

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce script JavaScript permet de configurer le client Web. Vous trouverez des informations détaillées concernant les options disponibles au chapitre Paramètres du script global_vars.js.

Exemple de configuration :

// Saisissez ici la chaîne du nom de votre projet

var PROJECTNAME = "Projet_001";

// Saisissez ici le nom de l'ordinateur sur lequel est installé et s'exécute le Runtime de zenon

var RUNTIMESERVER= "PC_016";

// Saisissez ici le nom de l'ordinateur sur lequel vous avez installé le serveur Web de zenon

var WEBSERVER = "PC_016";

// Saisissez une fonction d'initialisation de zenon optionnelle à exécuter lors de la connexion du client Web au serveur. Defaultvalue = "Init"

var INITFUNCTION = "Init";

// Activez la fonction de zoom (pour étirer la résolution du projet à la taille du contrôle de client Web) OFF = "0" / ON = "1"

var ZOOM = "0";

// Saisissez ici le numéro de version du client Web correspondant.

var VERSION = "6,22,0,0";


browsercheck.js:

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple de page d'initialisation du projet init.htm pour le protocole TCP -> init.htm -> browsercheck.js:

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce script JavaScript identifie le navigateur que le client Web souhaite démarrer, et fournit le résultat à init.htm.

function browsercheck(){

var UserAgent = navigator.userAgent;

var fWin32 = (UserAgent.lastIndexOf('Win') != -1) && (UserAgent.lastIndexOf('Windows 3.1') == -1) && (UserAgent.lastIndexOf('Win16') == -1);

var fMSIE_6to9 = (UserAgent.lastIndexOf('MSIE 6.0') != -1) || (UserAgent.lastIndexOf('MSIE 7.0') != -1) || (UserAgent.lastIndexOf('MSIE 8.0') != -1) || (UserAgent.lastIndexOf('MSIE 9.0') != -1);

var fNPAPI = (UserAgent.lastIndexOf('Firefox/3.6.') != -1) || (UserAgent.lastIndexOf('Firefox/4.') != -1) || (UserAgent.lastIndexOf('Chrome/7.') != -1) || ((UserAgent.lastIndexOf('Safari') != -1) && (UserAgent.lastIndexOf('Version/5.') != -1));

if(fWin32)

{

//Navigateur Win32

if(fMSIE_6to9)

{

//Internet Explorer -> utiliser le contrôle ActiveX

return "IEXPLORER";

}

if(fNPAPI)

{

//Firefox, Chrome ou Safari -> utiliser le plugin NPAPI

return "NPAPI";

}

}

//Navigateur non-Win32 ou navigateur non pris en charge (Opera, etc.)

return "NAVIGATEUR_INCOMPATIBLE";

}


initcode.js

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple de page d'initialisation du projet init.htm pour le protocole TCP -> init.htm -> initcode.js

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce script JavaScript définit l'entrée <embed> pour démarrer le client Web dans Apple Safari, Google Chrome et Mozilla Firefox et l'entrée <object> pour démarrer le client Web dans Microsoft Internet Explorer :

function runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION) {

document.write ('<embed type="application/x-zenon"');

document.write (' width=100%');

document.write (' height=100%');

document.write (' Project="' +PROJECTNAME+ '"');

document.write (' Server="' +RUNTIMESERVER+ '"');

document.write (' WebServer="' +WEBSERVER+ '"');

document.write (' Load="-1"');

document.write (' ScrollV="0"');

document.write (' Scrollh="0"');

document.write (' InitFunction="' +INITFUNCTION+ '"');

document.write (' Zoom="' +ZOOM+ '"');

document.write ('>');

document.write (' </EMBED> ');

}

function runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION) {

document.write ('<object');

document.write (' id="CD_IClient1"');

document.write (' classid="clsid:2A3BC66B-03D7-11D4-991A-080009ABB492"');

document.write (' codebase="zenWebCli.ocx#version=' +VERSION+ '"');

document.write (' width=100%');

document.write (' height=100%');

document.write ('>');

document.write (' <PARAM NAME="Project" VALUE="' +PROJECTNAME+ '">');

document.write (' <PARAM NAME="Server" VALUE="' +RUNTIMESERVER+ '">');

document.write (' <PARAM NAME="WebServer" VALUE="' +WEBSERVER+ '">');

document.write (' <PARAM NAME="Load" VALUE="-1">');

document.write (' <PARAM NAME="ScrollV" VALUE="0">');

document.write (' <PARAM NAME="Scrollh" VALUE="0">');

document.write (' <PARAM NAME="InitFunction" VALUE="' +INITFUNCTION+ '">');

document.write (' <PARAM NAME="Zoom" VALUE="' +ZOOM+ '">');

document.write ('</object>');

}


Exemple de page d'initialisation du projet init.htm pour le protocole HTTP

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple de page d'initialisation du projet init.htm pour le protocole HTTP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur la page d'initialisation du projet, une vérification de navigateur contrôle le navigateur utilisé par le client Web. En fonction du résultat, les paramètres d'utilisation du protocole HTTP sont utilisés, et le client Web est démarré sans affichage d'un message d'erreur.

Exemple d'accès au projet

La page d'initialisation exécute trois scripts pour vérifier le navigateur utilisé et établir la connexion au Runtime ou afficher un message d'erreur :

  • global_vars.js : définit les valeurs des paramètres de transfert pour démarrer le client Web
  • browsercheck.js: Contrôle la version du navigateur
  • initcode.js : définit les fonctions utilisées pour démarrer le client Web


init.htm

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple de page d'initialisation du projet init.htm pour le protocole HTTP -> init.htm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'accès réel du navigateur au projet a lieu ici. Les scripts sont utilisés à cette fin :

  1. La configuration est chargée depuis global_vars.js.
  2. Le navigateur est déterminé par le script browsercheck.js.
  3. S'il s'agit d'un navigateur pris en charge, la fonction du script initcode.js permettant d'inclure le client Web est exécutée.

<html>

<head>

<title></title>

</head>

<BODY scroll="no" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" BGCOLOR=#FFFFFF>

<script language="javascript" type="text/javascript" src="global_vars.js"></script>

<script language="javascript" type="text/javascript" src="browsercheck.js"></script>

<script language="javascript" type="text/javascript" src="initcode.js"></script>

<script language="JavaScript" type="text/javascript">

switch(browsercheck()) {

case "IEXPLORER":

runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "NPAPI":

runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION);

break;

case "UNSUPPORTED_BROWSER":

alert(navigator.appName + ' : ' + navigator.appVersion + ' is not supported!');

break;

default:

alert("paramètre non valide");

break;

}

</script>

</html>


global_vars.js

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple de page d'initialisation du projet init.htm pour le protocole HTTP -> init.htm -> global_vars.js

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce script JavaScript permet de configurer le client Web. Vous trouverez des informations détaillées concernant les options disponibles au chapitre Paramètres du script global_vars.js.

Exemple de configuration :

// Saisissez ici la chaîne du nom de votre projet

var PROJECTNAME = "HAUSVISU_CDA";

// Saisissez ici le nom de l'ordinateur sur lequel est installé et s'exécute le Runtime de zenon

var RUNTIMESERVER= "CDSBG016";

// Saisissez ici le nom de l'ordinateur sur lequel vous avez installé le serveur Web de zenon

var WEBSERVER = "CDSBG036";

// Saisissez une fonction d'initialisation de zenon optionnelle à exécuter lors de la connexion du client Web au serveur. Defaultvalue = "Init"

var INITFUNCTION = "Init";

// Activez la fonction de zoom (pour étirer la résolution du projet à la taille du contrôle de client Web) OFF = "0" / ON = "1"

var ZOOM = "0";

// Saisissez ici le numéro de version du client Web correspondant.

var VERSION = "7,00,0,0";

// Activer la fonction de tunnellisation HTTP : 0 = inactive (disponible dans les versions 7.00 et ultérieures du client Web zenon)

var HTTP = "1";


browsercheck.js:

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple de page d'initialisation du projet init.htm pour le protocole HTTP -> init.htm -> browsercheck.js:

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce script JavaScript identifie le navigateur que le client Web souhaite démarrer, et fournit le résultat à init.htm.

function browsercheck(){

var UserAgent = navigator.userAgent;

var fWin32 = (UserAgent.lastIndexOf('Win') != -1) && (UserAgent.lastIndexOf('Windows 3.1') == -1) && (UserAgent.lastIndexOf('Win16') == -1);

var fMSIE_6to9 = (UserAgent.lastIndexOf('MSIE 6.0') != -1) || (UserAgent.lastIndexOf('MSIE 7.0') != -1) || (UserAgent.lastIndexOf('MSIE 8.0') != -1) || (UserAgent.lastIndexOf('MSIE 9.0') != -1);

var fNPAPI = (UserAgent.lastIndexOf('Firefox/3.6.') != -1) || (UserAgent.lastIndexOf('Firefox/4.') != -1) || (UserAgent.lastIndexOf('Chrome/7.') != -1) || ((UserAgent.lastIndexOf('Safari') != -1) && (UserAgent.lastIndexOf('Version/5.') != -1));

if(fWin32)

{

//Navigateur Win32

if(fMSIE_6to9)

{

//Internet Explorer -> utiliser le contrôle ActiveX

return "IEXPLORER";

}

if(fNPAPI)

{

//Firefox, Chrome ou Safari -> utiliser le plugin NPAPI

return "NPAPI";

}

}

//Navigateur non-Win32 ou navigateur non pris en charge (Opera, etc.)

return "NAVIGATEUR_INCOMPATIBLE";

}


initcode.js

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple de page d'initialisation du projet init.htm pour le protocole HTTP -> init.htm -> initcode.js

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce script JavaScript définit l'entrée <embed> pour démarrer le client Web dans Apple Safari, Google Chrome et Mozilla Firefox et l'entrée <object> pour démarrer le client Web dans Microsoft Internet Explorer :

function runNPAPI(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION) {

document.write ('<embed type="application/x-zenon"');

document.write (' width=100%');

document.write (' height=100%');

document.write (' Project="' +PROJECTNAME+ '"');

document.write (' Server="' +RUNTIMESERVER+ '"');

document.write (' WebServer="' +WEBSERVER+ '"');

document.write (' Load="-1"');

document.write (' ScrollV="0"');

document.write (' Scrollh="0"');

document.write (' InitFunction="' +INITFUNCTION+ '"');

document.write (' Zoom="' +ZOOM+ '"');

document.write (' UseHTTP = "' +HTTP+ '"');

document.write ('>');

document.write (' </EMBED> ');

}

function runIexplorer(PROJECTNAME,RUNTIMESERVER,WEBSERVER,INITFUNCTION,ZOOM,VERSION) {

document.write ('<object');

document.write (' id="CD_IClient1"');

document.write (' classid="clsid:2A3BC66B-03D7-11D4-991A-080009ABB492"');

document.write (' codebase="zenWebCli.ocx#version=' +VERSION+ '"');

document.write (' width=100%');

document.write (' height=100%');

document.write ('>');

document.write (' <PARAM NAME="Project" VALUE="' +PROJECTNAME+ '">');

document.write (' <PARAM NAME="Server" VALUE="' +RUNTIMESERVER+ '">');

document.write (' <PARAM NAME="WebServer" VALUE="' +WEBSERVER+ '">');

document.write (' <PARAM NAME="Load" VALUE="-1">');

document.write (' <PARAM NAME="ScrollV" VALUE="0">');

document.write (' <PARAM NAME="Scrollh" VALUE="0">');

document.write (' <PARAM NAME="InitFunction" VALUE="' +INITFUNCTION+ '">');

document.write (' <PARAM NAME="Zoom" VALUE="' +ZOOM+ '">');

document.write (' <PARAM NAME="UseHTTP" VALUE="' +HTTP + '">');

document.write ('</object>');

}


Exemple du DVD du serveur Web

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple du DVD du serveur Web

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsque le serveur Web de zenon est installé, un exemple de page de départ (index.htm) contenant des liens hypertexte de téléchargement des contrôles du client Web et des liens hypertexte de la page d'initialisation du projet est également installé.

Structure des répertoires sur le disque dur :
C:/Program Files/COPA-DATA/zenonWebServer/zenon.

Si un "Internet Information Server" est déjà installé sur votre ordinateur, le setup crée automatiquement le dossier zenon dans le répertoire wwwroot de l'IIS.

L'installation du client Web est proposée depuis le fichier index.htm.

L'accès au projet utilise le fichier init.htm.

Autres sujets abordés dans ce chapitre

La page index.htm

Sélection du mode fenêtre pour démarrer le client Web

Configuration de la page d'exemple


La page index.htm

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple du DVD du serveur Web -> La page index.htm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La page index.htm est la page de démarrage de notre exemple. Elle s'affiche en anglais par défaut, et peut être directement basculée dans les autres langues (les langues disponibles sont affichées en haut à droite de la page).

La page index.htm :

  • Affiche des informations concernant les navigateurs compatibles
  • Propose des liens permettant de démarrer les clients Web zenon
  • Propose des liens d'installation des contrôles du client Web de zenon ; ces liens sont nécessaires si zenon n'est pas installé sur l'ordinateur avec le client Web
  • Affiche la page d'initialisation du projet init.htm au démarrage du client Web, qui effectue la vérification de navigateur

Autres sujets abordés dans ce chapitre

Code HTML du fichier index.htm


Code HTML du fichier index.htm

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple du DVD du serveur Web -> La page index.htm -> Code HTML du fichier index.htm

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Code HTML de la page d'accueil index.html (exemple) :

<?xml version="1.0" ?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"

"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">

<head>

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<link rel="stylesheet" type="text/css" href="ressources/style.css" />

<title>COPA-DATA :: zenon webserver demo</title>

</head>

<body>

<div class="bodywrap1">

<div class="bodywrap2">

<div class="main">

<div class="innerheader">

<div class="languageSwitch">

<ul>

<li><a href="index_de.htm">Deutsch</a></li>

<li><a href="index.htm">English</a></li>

<li><a href="index_it.htm">Italiano</a></li>

<li><a href="index_fr.htm">Francais</a></li>

<li><a href="index_es.htm">Español</a></li>

</ul>

</div><!-- languageSwitch -->

<a href="http://www.copadata.com" target="_blank"><img src="ressources/logo.png" alt="COPA-DATA Home" /></a>

</div><!-- inner header -->

<div class="content">

<h1>zenon webserver</h1>

<p> Cette page fournit un exemple de la mise en œuvre d'un accès Web à un serveur de Runtime zenon, via zenon Webserver.</p>

<h3>Configuration requise</h3>

<p>Le client Web est utilisable avec plusieurs navigateurs. The following browsers have been tested:</p>

<ul>

<li>Microsoft Internet Explorer version 3.x - 9.x</li>

<li>Mozilla Firefox version 3.6.4 - 4.x</li>

<li>Google Chrome version 7.x</li>

<li>Apple Safari (Windows uniquement) version 5.x</li>

</ul>

<h3>Configuration de Mozilla Firefox</h3>

<p>Pour Mozilla Firefox, vous devez disposer de la version 3.6.4 ou d'une version ultérieure. Vous pouvez effectuer les réglages suivants dans la configuration de Firefox :</p>

<ul>

<li>Saisissez &quot;about:config&quot; dans la barre d'adresse.</li>

<li>Si le navigateur affiche le message &quot;Ceci peut annuler votre garantie&quot;, cliquez sur le bouton &quot;Je ferai attention, promis !&quot;.</li>

<li>La propriété &quot;dom.ipc.plugins.enabled&quot; doit êter définie sur &quot;true&quot;. Dans le cas contraire, vous devez définir la propriété comme suit :

<ul>

<li>Cliquez avec le bouton droit sur la propriété</li>

<li>Cliquez sur &quot;Toggle&quot; (Changer) dans le menu contextuel affiché</li>

</ul>

Si vous n'appliquez pas ces paramètres, le client Web ne peut pas communiquer avec le Runtime de zenon dans Firefox. Les synoptiques sont affichés, mais toutes les variables sont affichées comme étant hors ligne. </li>

</ul>

<p>&nbsp;</p>

<h2>Installation du contrôle du client Web de zenon </h2>

<p>Pour cette méthode d'installation, le contrôle du client Web de zenon doit être téléchargé et installé manuellement. Après l’installation du contrôle du client Web de zenon, le projet défini peut être démarré.</p>

<div style="margin: 0px auto 0px auto" >

<div class="startdown">

<h3>Démarrer le client Web de zenon</h3>

<img src="ressources/start-windowed.png" width="71" height="80" alt="Start the zenon web client" onclick="window.location.href='init.htm'" />

<img src="ressources/start-new-window.png" width="71" height="80" alt="Start the zenon web client in a new window" onclick="window.open('init.htm','WindowTitle','width=1024,height=768')" />

<img src="ressources/start-fullscreen.png" width="71" height="80" alt="Start the zenon web client in full-screen mode" onclick="window.open('init.htm','WindowTitle','fullscreen')" />

</div>

<div class="startdown">

<h3>Installer le contrôle du client Web de zenon</h3>

<img src="ressources/download-700.png" width="71" height="80" alt="Download the zenon client control setup (7.00 SP0)" onclick="window.location.href='controlversions/version700SP0/WEB_Client_Setup_ENGLISH.EXE'" />

<img src="ressources/download-651.png" width="71" height="80" alt="Download the zenon client control setup (6.51 SP0)" onclick="window.location.href='controlversions/version651SP0/WEB_Client_Setup_ENGLISH.EXE'" />

<img src="ressources/download-622.png" width="71" height="80" alt="Download the zenon client control setup (6.22 SP1)" onclick="window.location.href='controlversions/version622SP1/WEB_Client_Setup_ENGLISH.EXE'" />

</div>

</div>

<h2>Structure générale</h2>

<p> Pour afficher les projets zenon dans le navigateur Web, le contrôle du client Web de zenon doit exister sur le client Web.</p>

<p> Info: The client control has to be of the same version (e.g. 6.51 SP0) as the Runtime server.</p>

<p> Some configuration data (version info, project name, name of the zenon webserver PC, name of the zenon Runtime-Server PC, and others) have to be known, so that the client control can find the zenon Runtime server. Ces données doivent être saisies dans le fichier de configuration &quot;\config\global_vars.js&quot;. Vous pouvez éditer ce fichier avec un éditeur de texte standard (bloc-notes).</p>

<p> D'autres informations sont disponibles dans la documentation du serveur Web de zenon.</p>

<p>&nbsp;</p>

</div>

</div><!-- main -->

</div><!-- bodywrap2 -->

</div><!-- bodywrap1 -->

</body>

</html>


Sélection du mode fenêtre pour démarrer le client Web

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple du DVD du serveur Web -> Sélection du mode fenêtre pour démarrer le client Web

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les liens de démarrage du client Web zenon peuvent être mis en œuvre de différentes manières :

Le client Web de zenon peut être démarré dans différents modes :

  1. Standard
  2. Nouvelle fenêtre
  3. Plein écran

1. Standard

Le client web de zenon, et donc le projet, sont affichés dans la fenêtre HTML.

<html>
<head>
</head>

<body>
<a href= ../ init. html >Link_für_Stardard</a>
</body>
</html>

2. Nouvelle fenêtre

Le client Web de zenon, et donc le projet, sont affichés dans une nouvelle fenêtre de navigateur en mode normal.

<html>
<head>
</head>

<body>
<a href= ../ init . html target=_blank>Link_für_Stardard</a>
</body>
</html>

3. Plein écran

Le client Web de zenon, et donc le projet, sont affichés dans une nouvelle fenêtre de navigateur en mode plein écran, grâce à un script Java. Le chemin d'accès à index.html est défini ici dans la fonction en Java script de façon globale.

<html>
<head>
<script>
<!--
function fullwin(){
window.open( ../projekt_M.htm ,,fullscreen)
}
//-->
</script>
</head>

<body>
<a href=# onclick=javascript:fullwin()>Link_für_Fullscreen</a>
</body>
</html>


Configuration de la page d'exemple

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Création de la page HTML d'accès au projet -> Exemple du DVD du serveur Web -> Configuration de la page d'exemple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le serveur Web de zenon est également installé durant l'installation :

Le fichier de configuration Global_vars .js situé dans le dossier C:\inetpub\wwwroot\zenon\config ne peut pas être ouvert dans un éditeur de texte.

Configuration

Serveur Web redondant de zenon (à partir du client Web 6.01) :

Paramètre

Description

Nom du projet

Définit le nom du projet de Runtime.

var PROJECTNAME = "NOM" ;

Par exemple :

var PROJECTNAME = "zenon";

Remarque : le projet doit s'exécuter en tant que projet de serveur sur le serveur de Runtime désigné.

RuntimeServer

Désigne l'ordinateur cible sur lequel s'exécute le projet du Runtime.

var RUNTIMESERVER = "NOM";

Par exemple :

var RUNTIMESERVER = "T13-XPDE32";

Remarque : utilisez uniquement des lettres majuscules. Les noms d'ordinateurs doivent être indiqués sans suffixe de domaine.

Le nom doit correspondre au nom du serveur dans les informations de configuration du projet ; reportez-vous également aux chapitres suivants : Configuration du projet en zenon 5.x et Configuration du projet en zenon 6.x.

Redondance du serveur de Runtime

Seul le nom du serveur est fourni pour les projets redondants dans le Runtime, pas le nom du serveur redondant. Le nom du serveur redondant est enregistré dans le fichier project.ini du projet. Le client Web de zenon enregistre cette information localement la première fois qu'il se connecte au serveur de Runtime. Cela signifie que le serveur de Runtime doit être en ligne lors de la première tentative de connexion à un projet redondant. Pour chaque connexion ultérieure, le concept de redondance fonctionnera, c'est-à-dire que le client Web de zenon cherchera d'abord à se connecter au serveur de Runtime principal. Et s'il n'y arrive pas, il se connecte automatiquement au serveur redondant.

Redondance du serveur Web

Si, outre le serveur de Runtime de zenon, le serveur Web de zenon doit être utilisé comme un serveur redondant, les conditions suivantes doivent être vraies :

  • Deux copies du serveur Web de zenon doivent être installées et dotées d'une licence sur différents ordinateurs
  • Les deux copies du serveur Web de zenon, séparées par une virgule, doivent être indiquées dans la déclaration de variable sur la page HTML :

    var WEBSERVER = "SERVEUR_WEB,SERVEUR_WEB_REDONDANT";

Serveur Web

Désigne l'ordinateur cible sur lequel est installé le serveur Web de zenon. Attention : il ne s'agit pas du serveur de publication !

var WEBSERVER = "NOM";

Par exemple :

var WEBSERVER = "CD1111";

Remarque : utilisez uniquement des lettres majuscules. Les noms d'ordinateurs doivent être indiqués sans suffixe de domaine.

var INITFUNCTION =

Définit une fonction de zenon qui sera exécutée au démarrage d'un projet dans le navigateur.

var INITFUNCTION = "Init";

Par exemple :

var INITFUNCTION = "Init";

Par défaut : "Init"

Remarque : la syntaxe doit correspondre aux noms de fonctions dans zenon (capitalisation).

Zoom

Détermine si la fonction de zoom est utilisable avec le projet dans le navigateur.

var ZOOM = "VALEUR";

0 : OFF

1 : 1

Par exemple :

var ZOOM = "0";

Remarque : Le facteur de zoom est uniquement pris en compte lors de l'initialisation, et non lors de l'exécution du Runtime. Si une certaine taille est nécessaire, elle doit être définie par le contrôle ActiveX.

var VERSION

Définit la version du client Web de zenon.

var VERSION = "VALEUR";

Par exemple :

var VERSION = "6,50,1,0";

Cette valeur doit toujours être identique ou supérieure à la version du Runtime de zenon.

Paramètres supplémentaires

Les paramètres width/height (largeur/hauteur) définissent la taille des barres de défilement (client Web de zenon) dans le navigateur Web. Par défaut c'est 100%.

info Info

Si les barres de défilement sont réglées sur 105 %, elles sont déplacées vers la zone non visible du navigateur.
Les paramètres ScrollV et ScrollH définissent l'endroit que doit afficher le navigateur lors du démarrage du client Web de zenon. La valeur par défaut est 0. Vous pouvez utiliser ces paramètres si, par exemple, vous avez une barre de boutons en bas du projet. Alors vous déplacez l'exploreur de façon à ce que la barre de boutons soit visible lors du démarrage du projet. Comme cela les utilisateurs peuvent voir cette barre de boutons au démarrage et n'ont pas à déplacer manuellement au démarrage le projet dans l'exploreur.

Pour VBA et les autres connexions :

Il est possible de déployer un contrôle de client Web (CD_IClient) par l'intermédiaire d'une application externe (par ex. VB, C# etc.), sans utiliser le client Web par défaut, par l'intermédiaire d'Internet Explorer.

Créer : en fonction des paramètres spécifiés (projet, serveur, serveur Web), une connexion peut être établie à l'aide de la commande Créer. Cette commande permet de lancer la connexion au serveur Runtime (ActiveX initialisé).
GetApplication : Accès aux objets COM (interface VBA) de zenon dans le Runtime. Cette commande permet d'accéder aux objets du Runtime du projet zenon actif (Application.Projects.Item....)

Démarrer le client Web de zenon

Vous pouvez démarrer et tester le client Web de zenon à tout instant en double-cliquant sur la page init.html dans le dossier C:\inetpub\wwwroot\zenon.


Dépannage

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Dépannage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Messages d'erreurs et erreurs d'exécution connus :

  • Crash après avoir actualiser l'exploreur web
  • ActiveX control failed to load
  • ActiveX control not installed correctly
  • Erreur exceptionnelle du client Web avec Internet Explorer 8 et versions ultérieures
  • Messages d'erreur HTTP
  • Init Runtime Error
  • Claviers dans Firefox
  • Nombre maximum de clients

Autres sujets abordés dans ce chapitre

Crash après avoir actualiser l'exploreur web

ActiveX control failed to load

ActiveX control not installed correctly

Erreur exceptionnelle du client Web avec Internet Explorer 8 et versions ultérieures

Messages d'erreur HTTP

Init Runtime Error

Claviers dans Firefox

Nombre maximum de clients


Crash après avoir actualiser l'exploreur web

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Dépannage -> Crash après avoir actualiser l'exploreur web

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'utilisation d'Internet Explorer 6 avec le client Web de zenon peut entraîner un blocage d'Internet Explorer si le bouton Actualiser du navigateur est utilisé. Nous vous recommandons donc de ne pas utiliser le bouton Actualiser.

Ce bouton provoque la fermeture et le redémarrage du client Web de zenon. Cela signifie que la connexion au Runtime est fermée et qu'elle doit être rétablie par le client Web.

Erreur 101

Si le client Web de zenon est déjà installé sur l'ordinateur client, le message d'erreur suivant peut être affiché lorsque le client Web de zenon se connecte au serveur Web de zenon ou au Runtime :
Error 101
Project XXX was edited with version XXX and cannot be opened here (Erreur 101 : le projet XXX a été modifié avec la version XXX et ne peut pas être ouvert ici).
Dans ce cas :

  1. Désinstallez le client Web
  2. Redémarrez l'ordinateur.
  3. Réinstallez le client Web de zenon


ActiveX control failed to load

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Dépannage -> ActiveX control failed to load

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si le navigateur Internet affiche le message "Init Runtime Error", il y a plusieurs causes possibles pour cette erreur : La plus probable :

  • Les paramètres de sécurité du navigateur Internet empêchent l'exécution correcte du contrôle ActiveX.


ActiveX control not installed correctly

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Dépannage -> ActiveX control not installed correctly

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si le navigateur affiche uniquement un X à la place du Runtime lors de l'appel de la page d'entrée du projet :

  • Le contrôle ActiveX du client Web de zenon n'a pas été correctement installé
  • Une version incorrecte du client Web de zenon est installée


Erreur exceptionnelle du client Web avec Internet Explorer 8 et versions ultérieures

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Dépannage -> Erreur exceptionnelle du client Web avec Internet Explorer 8 et versions ultérieures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Erreur

Le client Web se ferme avec une erreur exceptionnelle si des macros VSTA ou VBA sont exécutées dans le projet.

Raison

Microsoft Internet Explorer has a setting for memory protection from version 8. If this is active, executing VBA leads to an exceptional error and Internet Explorer ends. VSTA active systématiquement VBA.

Solution

Désactivez la protection de la mémoire dans Internet Explorer, comme suit :

Sélectionnez Extras -> Options Internet -> Avancé -> Activer la protection mémoire pour contribuer à atténuer les attaques en ligne.


Messages d'erreur HTTP

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Dépannage -> Messages d'erreur HTTP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Messages d'erreur et signification :

Entrée | Niveau | Description
NetSrv Error Do Send HTTP failed! HTTP-Status: [HTTP-Status] | ERREURS | Le serveur Web HTTP a répondu par une erreur à une requête HTTP POST.
NetSrv Error Do Send HTTP failed! | ERREURS | La requête HTTP POST a échoué (expiration du délai d'attente, par exemple).
NetSrv Error Do Send HTTP Server failed! Data Management Class Error! | ERREURS | Une erreur s'est produite lors de l'enregistrement d'un message dans le buffer du serveur Web HTTP. L'erreur s'est produite au niveau de la classe de gestion de données.
NetSrv Error Do Send HTTP Server failed! | ERREURS | Une erreur s'est produite lors de l'enregistrement d'un message dans le buffer du serveur Web HTTP. L'erreur s'est produite au niveau de la liste du buffer.
NetSrv Error Do Recv HTTP failed! HTTP status: [HTTP-Status] | ERREURS | Le serveur Web HTTP a répondu par une erreur à une requête HTTP GET.
NetSrv Error Do Recv HTTP failed! | ERREURS | La requête HTTP Get a échoué (expiration du délai d'attente, par exemple).
NetSrv Error Do Recv HTTP Server failed! Data Management Class Error! | ERREURS | Une erreur s'est produite lors de la lecture d'un message dans le buffer du serveur Web HTTP. L'erreur s'est produite au niveau de la classe de gestion de données.
NetSrv Error Do Recv HTTP Server failed! Buffer Too Small! | ERREURS | Le paquet lu dans la liste du buffer est trop grand pour le buffer de données. Remarque : en raison de la taille maximale uniforme des paquets, qui sert également de définition de longueur du buffer, cette erreur ne devrait jamais se produire.
NetSrv Error Do Recv HTTP Server failed! Error While Copying Data Into Buffer! | ERREURS | Une erreur s'est produite lors de la copie des données de la liste du buffer.
Error Out Of Memory While Adding Data to HTTP GET Response | ERREURS | Impossible de créer une zone de mémoire lors de la compilation d'une réponse HTTP sur le serveur Web HTTP.
Error On Adding Data to HTTP GET Response | ERREURS | Une erreur s'est produite lors de la copie des données de la liste du buffer vers la réponse HTTP.
HTTP Send Get Response Failed: [Status] | ERREURS | L'envoi d'une réponse à une requête HTTP GET a échoué. Le code d'état est un code d'erreur système (il peut être recherché dans la bibliothèque MSDN).
Error Out Of Memory While Receiving Data from HTTP POST | ERREURS | Impossible de créer une zone de mémoire lors de la lecture d'une réponse HTTP POST sur le serveur Web HTTP.
Error on Receiving Data from HTTP POST [État] | ERREURS | Échec de la lecture des données de la requête HTTP POST. Le code d'état est un code d'erreur système (il peut être recherché dans la bibliothèque MSDN).
Error Data Block Of HTTP Post Request Too Large | ERREURS | La taille des données de la requête reçue est supérieure à la taille de paquet maximale définie.
HTTP Send Post Response Failed: [Status] | ERREURS | L'envoi d'une réponse à une requête HTTP POST a échoué. Le code d'état est un code d'erreur système (il peut être recherché dans la bibliothèque MSDN).
Error Out Of Memory While Parsing HTTP Request | ERREURS | Impossible de créer une zone de mémoire lors de la transmission d'une réponse HTTP au fil correspondant.
Memory Error on Creating Receive Buffer | ERREURS | Impossible de créer une zone de mémoire lors de la création du buffer de réception HTTP.
Error on Creating HTTP Request Event | ERREURS | La création d'événements pour la réception de requêtes HTTP a échoué.
Error While Waiting For HTTP Request: [Status] --> Exiting Listening Thread | ERREURS | Une erreur s'est produite lors de l'attente d'une requête HTTP. Le code d'état est un code d'erreur système (il peut être recherché dans la bibliothèque MSDN).
Unexpected Result While Waiting For HTTP Request: [Status] --> Exiting Listening Thread | ERREURS | L'attente d'une requête HTTP a entraîné un résultat inattendu. Le code d'état est un code d'erreur système (il peut être recherché dans la bibliothèque MSDN).
HTTP Request Without ID Received | ERREURS | L'ID de connexion n'était pas présent dans la requête HTTP.
Error on Extracting HTTP-Request-ID From URL | ERREURS | L'ID de connexion de la requête HTTP ne peut pas être lu.
Erreur : Closing HTTP Connection ID [ID] Could Not Be Resolved | ERREURS | Une tentative de fermeture d'une connexion inexistante ou déjà fermée a été effectuée. Cette erreur est moins critique, car la requête de suppression de l'ID de connexion lors de l'effacement des ressources de la connexion peut être effectuée plusieurs fois après l'arrêt de la connexion.
HTTP Request With Incompatible ID Format Received | ERREURS | L'ID de connexion dans la requête HTTP ne présente pas le format attendu.
Could Not Assign New HTTP ID Because The Map Is Full | ERREURS | Une nouvelle connexion n'a pas pu être acceptée, car la liste de connexion est saturée. La liste de connexion peut contenir plus de 4,2 milliards de connexions ; ce message ne devrait donc jamais apparaître.
Error During HTTP Accept | ERREURS | Une erreur s'est produite lors de l'acceptation de la connexion HTTP.
Error On Sending HTTP ID: [Status] | ERREURS | L'envoi d'une réponse HTTP avec l'ID de connexion pour la connexion du nouveau client a échoué. Le code d'état est un code d'erreur système (il peut être recherché dans la bibliothèque MSDN).
Erreur : HTTP Connection ID [ID] Could Not Be Resolved | ERREURS | L'ID de connexion de la requête HTTP ne peut pas être résolu.
Erreur : HTTP Request Could Not Be Assigned To The Socket | ERREURS | La requête HTTP n'a pas pu être transmise au fil concerné.
Unsupported HTTP-Request Received | ERREURS | Une requête HTTP non prise en charge a été reçue. Les requêtes GET et POST sont prises en charge.
Error While Receiving HTTP Request: [Status] --> Exiting Listening Thread | ERREURS | Une erreur s'est produite lors de la réception d'une requête HTTP.
Error on Removing HTTP Connection ID From The Map! | ERREURS | Une erreur s'est produite lors de la suppression d'un ID de connexion de la liste. Les ID de connexion sont supprimés lors de l'arrêt d'une connexion.
Removing HTTP Connection ID [ID] From The Map! | DÉBOGAGE | La connexion a été arrêtée et l'ID a été supprimé de la liste.
Error on Removing Non-Active HTTP Connection ID From The Map! | ERREURS | Une erreur s'est produite lors de la suppression d'un ID de connexion inactive. Une connexion est inactive lorsqu'aucune requête HTTP n'est reçue pendant 5 minutes. Cette connexion aurait déjà dû être supprimée, en raison de l'absence de commande de surveillance.
Removing Non-Active HTTP Connection ID [ID] From The Map! | DÉBOGAGE | L'ID de connexion a été supprimé de la liste, car la connexion est inactive. Une connexion est inactive lorsqu'aucune requête HTTP n'est reçue pendant 5 minutes. Cette connexion aurait déjà dû être supprimée, en raison de l'absence de commande de surveillance.
Error While Waiting for HTTP Connection Map Check [État]! | ERREURS | Le fil de vérification de l'ID de connexion a identifié une erreur lors de l'attente du cycle suivant et s'est arrêté. Le code d'état est un code d'erreur système (il peut être recherché dans la bibliothèque MSDN).
NetSrv Accept HTTP Client Socket Error On Starting HTTP Reply Thread | ERREURS | Le fil de réponse aux requêtes HTTP n'a pas pu être démarré.
NetSrv Info Accept HTTP Client IP:[Adresse IP]:[Port] Ok | DÉBOGAGE | La connexion HTTP a bien été acceptée
NetSrv Memory Error Do Recv HTTP failed! | ERREURS | Une erreur s'est produite en raison de la disponibilité d'une quantité insuffisante de mémoire lors de la réception de données par le biais de la tunnellisation HTTP.

Entrées de fichier journal de CNSBlockingSocketExceptions

Niveau : Always ERRORS

Entrée : Exception text | Description
Connect: HTTP error | Le serveur Web HTTP a répondu par une erreur à une requête d'ID de connexion.
Connect: ID-Data did not have the expected Format | L'ID de connexion fourni par le serveur Web HTTP ne présente pas le format attendu.
Connect: Server denied HTTP ID | Le serveur Web HTTP a rejeté l'accord d'un ID de connexion.
Connect: Error during ID-Acquisition | Une erreur s'est produite lors de la requête d'un ID de connexion (expiration de délai d'attente, par exemple).
HttpInitialize Failed | Impossible d'initialiser l'API de serveur HTTP
HttpCreateHttpHandle Failed | La liste de requêtes HTTP n'a pas pu être créée
HttpAddUrl Failed | Le serveur n'a pas pu accéder au mode de liste


Init Runtime Error

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Dépannage -> Init Runtime Error

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si l'exploreur web (browser) affiche "Init Runtime error", il y a plusieurs causes possibles pour cette erreur :

  • Le Runtime n'est pas actif sur le serveur de Runtime
  • SERVERNAME dans le fichier Globalvars.js est mal orthographié ou incorrectement défini (toujours utiliser des lettres MAJUSCULES).
  • PROJECTNAME dans le fichier Globalvars.js est mal orthographié ou incorrectement défini (toujours utiliser des lettres MAJUSCULES).
  • Le serveur Web de zenon n'a pas été démarré.

Vous trouverez des remarques concernant les causes d'erreurs dans le fichier zenNetErr.txt. Ce fichier consigne les informations de journalisation.


Claviers dans Firefox

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Dépannage -> Claviers dans Firefox

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si les claviers individuels ne fonctionnent pas correctement dans Firefox, tenez compte des remarques suivantes :

attention Attention

Dans certaines circonstances, des synoptiques de type Clavier personnalisés peuvent ne pas fonctionner correctement dans le navigateur Mozilla Firefox.

Pourquoi : Mozilla Firefox charge de nouvelles fenêtres en arrière-plan, mais ne bascule pas vers celles-ci. Or, les synoptiques de type clavier personnalisés sont fermés lorsqu'ils n'ont plus le focus.

Solution : utilisez un autre navigateur, tel que Microsoft Internet Explorer, Apple Safari ou Google Chrome.

Les claviers automatiques ne sont pas affectés !


Nombre maximum de clients

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Dépannage -> Nombre maximum de clients

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Message transmis au client Web de zenon

Un nombre de clients supérieur au nombre autorisé par la licence tente de se connecter au serveur Web de zenon.


Intégration du serveur Web de zenon à un environnement Internet

Manuels -> Serveur Web de zenon et serveur Web Pro de zenon -> Intégration du serveur Web de zenon à un environnement Internet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour intégrer le serveur Web de zenon à un environnement Internet :

  • Tout pare-feu présent doit être configuré de manière correspondante :
    • Le port 1102 doit être ouvert sur le pare-feu pour les paquets entrants, de façon à ce que le client Web de zenon puisse accéder au serveur Web de zenon et, par conséquent, au serveur de Runtime.
    • Le NAT (Network Address Transformation) doit tourner sur le poste passerelle (pare-feu). NAT transforme les adresses internes LAN en adresse pour le poste passerelle. Si, par exemple, un utilisateur parcourt le réseau local, depuis l'extérieur, les requêtes semblent être transmises par le poste passerelle.
    • Adresse IP statique pour zenon :
      Le pare-feu sur le poste passerelle doit être configuré de telle sorte que tous les paquets entrants sur le port 1102 sont automatiquement transmis au poste sur lequel s'exécute le serveur Web de zenon. Ce qui signifie : ce poste doit comporter une adresse IP statique.
  • La page d'initialisation du projet doit être adaptée pour que le client Web de zenon sache à quelle station se connecter sur Internet. Cette modification doit être effectuée dans le script global_vars.js ou, pour les versions plus anciennes, dans project_A_X.html (où X représente la version de la langue, par exemple G pour l'allemand).
    • Dans l'entrée VALUE= WEB-SERVERNAME, vous devez spécifier le nom de l'ordinateur du poste passerelle (le poste visible depuis Internet, et non le nom d'ordinateur du véritable serveur Web de zenon). Le poste sur lequel s'exécute le véritable serveur Web n'est pas visible depuis Internet. Le poste passerelle transmet ensuite automatiquement les requêtes du client Web de zenon au port 1102, puis les transmet automatiquement au véritable serveur Web de zenon.


Simulation de driver

Manuels -> Simulation de driver

Si le procédé sous-jacent n'est pas disponible lors de la configuration, celui-ci peut être simulé et testé à l'avance. Trois modes sont disponibles à cette fin :

  • Simulation - Statique : valeurs constantes simulées par le driver
  • Simulation - Comptage : les valeurs simulées par le driver sont comptées.
  • Simulation - Programmée : les valeurs sont calculées via un projet de simulation avec zenon Logic.

attention Attention

Si le driver est arrêté en mode Simulation - Comptage, seul le comptage est arrêté. La variable n'est pas basculée vers l'état défaillant. Dans tous les autres modes, le driver est vraiment arrêté.

Conseil : Simulation - programmée n'est pas pris en charge par les drivers spécifiques aux éléments suivants :

  • Variables internes
  • Variables mathématiques
  • Variables de simulation
  • Variables système

info Info

Les variables de zenon représentant les variables d'E/S de zenon Logic sont disponibles dans le projet, sous l'état Simulation de drivée programmée.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Autres sujets abordés dans ce chapitre

Simulation statique

Simulation - comptage

Simulation - Programmée


Simulation statique

Manuels -> Simulation de driver -> Simulation statique

Lors d'une simulation statique, aucune communication n'est établie au niveau du système de contrôle ; les valeurs sont simulées par le driver. Dans ce mode, la valeur demeure constante. Les valeurs peuvent être modifiées par le Runtime ou l'utilisateur. Lors d'un redémarrage du Runtime en mode Simulation - Statique, ces valeurs ne sont toutefois pas enregistrées et sont perdues.


Simulation - comptage

Manuels -> Simulation de driver -> Simulation - comptage

Lors d'une simulation de comptage, aucune communication n'est établie au niveau du système de contrôle ; au lieu de cela, les valeurs sont simulées par le driver. Dans ce mode, le driver augmente automatiquement les valeurs dans les limites d'une plage de valeurs, en commençant par 0. Si la valeur maximale a été atteinte, le processus de comptage reprend à partir de 0.

info Info

Pour les valeurs de départ négatives, le processus de comptage commence uniquement à 0.

INT utilise la valeur maximale de USINT pour le comptage.

attention Attention

Si le driver est arrêté en mode Simulation - Comptage, seul le comptage est arrêté. La variable n'est pas basculée vers l'état défaillant. Dans tous les autres modes, le driver est vraiment arrêté.


Simulation - Programmée

Manuels -> Simulation de driver -> Simulation - Programmée

Pour le mode Simulation - Programmée, aucune communication n'est établie avec l'automate ; au lieu de cela, les valeurs sont calculées par un projet de simulation librement programmable. Le projet de simulation est créé dans l'espace de travail de zenon Logic et s'exécute dans le Runtime de zenon Logic. Celui-ci permet de modifier les informations d'horodatage des variables au niveau du driver. Les commandes d'écriture de variables exécutées par zenon sont transmises à la simulation et les serveurs redondants sont synchronisés. C'est également de cette manière que sont simulés les procédés complexes.

Pour démarrer le programme de simulation, sélectionnez le mode Simulation - Programmée dans Driver configuration (Configuration du driver ).

info Info

Windows CE

Simulation - programmée n'est pas disponible sous Windows CE.

Autres sujets abordés dans ce chapitre

Éditeur

Configuration du driver

Espace de travail zenon Logic

Runtime

Dispositions applicables aux variables dans les projets de simulation

Messages d'erreur


Éditeur

Manuels -> Simulation de driver -> Simulation - Programmée -> Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Créer un projet

Supprimer un projet

Développement distribué

Modifier un driver

Export/import XML


Créer un projet

Manuels -> Simulation de driver -> Simulation - Programmée -> Éditeur -> Créer un projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un programme pour la fonction Simulation - programmée, vous devez :

  • Sélectionner un driver de procédé simple ;
  • Vous assurer que le nom du projet est valide.

attention Attention

Simulation - programmée n'est pas pris en charge par les drivers spécifiques aux éléments suivants :

  • Variables internes
  • Variables mathématiques
  • Variables de simulation
  • Variables système

Pour créer un projet de simulation :

  • Cliquez sur le groupe Projet de simulation pour le driver dans la propriété Editer, puis sur Cliquer ici ->.
  • Un nouveau projet zenon Logic est alors créé,
  • Nom et les numéros de port pour Port d'événements et Port standard sont définis automatiquement ; vous pouvez les modifier à votre convenance.
  • L'espace de travail zenon Logic est ouvert.

L'espace de travail du projet de simulation est automatiquement fermé si :

  • l'Éditeur zenon est fermé.
  • Un driver est supprimé et le projet de simulation associé est actuellement en cours d'édition dans l'espace de travail.
  • Le projet de simulation associé au driver est supprimé via la propriété Supprimer.
  • Le projet de simulation est renommé.

Archivage de projets

Un projet zenon Logic contient de nombreux fichiers et dossiers. Pour les gérer, et en particulier pour simplifier le développement distribué, tous les fichiers sont archivés dans un format compressé dans le fichier Simul_<Treiber-ID>.zip dans le <répertoire de projet SQL>\FILES\zenon\custom\drivers. Ce fichier figure parmi les fichiers de drivers dans l'Éditeur. Lors du démarrage de l'espace de travail zenon Logic, les fichiers sont automatiquement décompressés, et sont à nouveau compressés lors de l'arrêt de l'espace de travail.

Création de variables

Lors de la création de variables dans un projet de simulation, la succession est importante :

  1. Créez la variable
  2. Sélectionnez un type de données valide dans l'espace de travail zenon Logic
  3. Ensuite, activez la propriété Embarquer les symboles

Explication : Les variables sont créées avec le type d'objet de driver Donnée automate, par défaut. Ce type d'objet n'est pas compatible avec tous les types de données pour tous les drivers. Si une variable est copiée dans l'espace de travail zenon Logic alors que la propriété Embarquer les symboles est active, vous devez désactiver cette propriété pour modifier le type de données. La variable est alors supprimée dans zenon.

info Info

Message d'erreur "Can not create variable" (Impossible de créer la variable)

Une variable ne peut pas être créée dans l'objet de simulation si le driver ne comporte pas le type d'objet de driver "exception".

Variable de driver - compatible avec ce type de données.

Lors de l'activation de la variable Embarquer les symboles, le message d'erreur "Can not create variable" (Impossible de créer la variable) est affiché.

Types structure

Lors de la création d'une variable avec un type de données structure :

  • Les variables sont créées avec le type d'objet de driver Donnée automate, si possible.
  • Tous les types de drivers d'objet, à l'exception de la variable de driver, sont testés jusqu'à ce qu'un type puisse être utilisé pour tous les éléments.
  • Si aucun type de driver d'objet adéquat n'est disponible :
    • Aucune variable n'est créée pour les variables non-structurelles.
    • Le type d'objet de driver Donnée automate est utilisé pour les variables structure.

Exemple :

Un type de données structure contient des éléments de type UINT et STRING. Une variable est créée pour le driver S7TCP, et la variable Embarquer les symboles est activée.

  • La variable n'est pas créée avec le type Donnée automate, mais avec le type Bloc de données étendu, dans lequel existent tous les éléments structure.
  • Un nouveau type (LINT) est ajouté ; il n'est pas compatible avec le type Ext.. Datablock - bloc de données.
  • Lorsqu'une nouvelle variable est créée, elle est créée sous le type Donnée automate. Seule la première variable complexe peut être activée (UINT). Pour la variable de structure existante, le type d'objet Bloc de données étendu est conservé, et le dernier élément structure (LINT) ne peut pas être activé.

Compilation des fichiers

Si un projet de simulation est compilé dans l'espace de travail zenon Logic, ceci provoque la création d'une variable dans zenon et le fichier programme du Runtime.
Lors de la compilation, un sous-dossier portant le nom du projet de simulation est créé dans Runtime-Folder\RT\FILES\zenon\custom\drivers. Le fichier contenant le code de la simulation est nommé SIMULRT.COD ; il est archivé dans ce dossier.

Le message suivant est affiché dans la fenêtre de sortie :

SIMULRT.COD

S'il est compilé avec le compilateur C, le message suivant est également affiché :

T5APP.DLL

attention Attention

Pour les projets multi-utilisateurs, vous ne devez pas créer de projets de simulation hors ligne. Ils ne peuvent plus être supprimés.


Supprimer un projet

Manuels -> Simulation de driver -> Simulation - Programmée -> Éditeur -> Supprimer un projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour supprimer un projet de simulation :

  1. Cliquez sur le bouton Cliquer ici -> dans la propriété Supprimer du groupe Projet de simulation pour le driver.
  2. Confirmez cette sélection lorsque le programme vous invite à le faire.
  3. Le fichier ZIP contenant les fichiers du projet est supprimé.
  4. L'espace de travail zenon Logic est fermé.

Remarque :

  • Le dossier du Runtime pour le projet de simulation est conservé.
  • La fonction Annuler n'est pas disponible pour cette action.
  • Cliquez sur Editer pour créer un nouveau projet de simulation.
  • Pour les projets multi utilisateurs:
    • L'option de driver Make changes possible (Autoriser les modifications) doit être activée pour que le programme de simulation puisse être supprimé.
    • Le projet n'est pas affiché comme supprimé sur d'autres clients tant qu'il n'a pas été synchronisé.

      Si vous tentez d'ouvrir un projet supprimé avant qu'il n'ait été synchronisé (en cliquant sur Editer), un nouveau projet de simulation est créé.

    • Vous ne pouvez pas annuler la suppression de projets simples via la fonction Annuler les modifications.

attention Attention

Le projet de simulation est immédiatement supprimé de la base de données locale et de la base de données du serveur lors de la suppression. Cette action ne peut pas être annulée !

Remarque : La suppression manuelle du fichier ZIP du driver entraîne également la suppression du projet de simulation. Éléments requis : L'espace de travail zenon Logic associé à ce driver n'est pas ouvert. Nous ne recommandons pas ce mode opératoire !


Développement distribué

Manuels -> Simulation de driver -> Simulation - Programmée -> Éditeur -> Développement distribué

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour les projets multi-utilisateurs, tous les espaces de travail zenon Logic en cours d'exécution qui forment partie du projet sont fermés dans les cas suivants :

  • La fonction Accepter les modifications est exécutée pour des modules entièrement verrouillées pour d'autres utilisateurs dans la section Autoriser modifications, par exemple pour les variables, les drivers et les types de données.
  • Discard changes (Annuler les modifications) :
    • Les nouveaux projets ne sont pas créés sur le serveur.
    • Les modifications apportées au programme de simulation sont perdues.
    • Les fichiers de driver non présents dans la base de données du serveur sont également perdus dans la base de données locale.
  • Synchroniser :
    Les modifications apportées localement au programme Simulation - Programmée sont perdues.
  • Mettre à jour la version locale :
    Les modifications apportées localement au programme de simulation dans la fonction Simulation - Programmée sont perdues.

attention Attention

L'état du fichier ZIP du projet de simulation ne peut pas être modifié (état multi-utilisateurs Accepter les modifications, Autoriser modifications, Discard Changes (Annuler les modifications)) afin de garantir l'exécution correcte des fonctions Accepter les modifications et Autoriser modifications pour le driver !

Supprimer un projet

Pour les projets multi utilisateurs

  • L'option de driver Make changes possible (Autoriser les modifications) doit être activée pour que le programme de simulation puisse être supprimé.
  • Le projet n'est pas affiché comme supprimé sur d'autres clients tant qu'il n'a pas été synchronisé.
    • Si vous tentez d'ouvrir un projet supprimé avant qu'il n'ait été synchronisé (en cliquant sur Editer), un nouveau projet de simulation est créé.
  • Vous ne pouvez pas annuler la suppression de projets simples via la fonction Annuler les modifications.

attention Attention

Un projet de simulation comportant l'état Autoriser modifications ne peut pas être supprimé dans le mode Hors ligne.

Un projet de simulation créé en mode hors ligne dans un projet multi-utilisateurs ne peut donc plus être supprimé.


Modifier un driver

Manuels -> Simulation de driver -> Simulation - Programmée -> Éditeur -> Modifier un driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En cas de changement de driver dans zenon, les conditions suivantes sont vraies :

  • Le projet de simulation est conservé.
  • Tous les ports sont toutefois définis sur 0. Pour obtenir des numéros de port fonctionnels, ouvrez le projet dans l'Éditeur. Les nouveaux numéros de port seront alors saisis automatiquement. Les numéros de port peuvent également être attribués manuellement.

attention Attention

Les drivers liés à un projet zenon Logic à l'aide de la solution intégrée ne peuvent pas être échangés.


Export/import XML

Manuels -> Simulation de driver -> Simulation - Programmée -> Éditeur -> Export/import XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un projet en mode Simulation - programmée peut être exporté au format XML. Il ne peut en revanche pas être importé en tant que nouveau projet pour un autre driver.

Solution :

  1. Exportez les programmes de zenon Logic.
  2. Importez-les dans le nouveau projet pour le nouveau driver.
  3. Remplacez les variables à l'aide de la fonction Rechercher et remplacer.


Configuration du driver

Manuels -> Simulation de driver -> Simulation - Programmée -> Configuration du driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Quatre modes sont disponibles lors de la configuration du driver :

  • Matériel
  • Simulation - comptage
  • Simulation statique
  • Simulation - Programmée

Sélectionnez le mode Simulation - Programmée.

Autres sujets abordés dans ce chapitre

État de la variable du driver

Synchronisation cyclique


État de la variable du driver

Manuels -> Simulation de driver -> Simulation - Programmée -> Configuration du driver -> État de la variable du driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'état du Runtime de zenon Logic est affiché dans la variable de driver SimulRTState, à l'offset 60. La variable est numérique et ne peut pas être écrite. La valeur vous informe au sujet de l'état du Runtime :

Bit | Signification | Description
31 | Sans application | Le Runtime n'a pas chargé de programme, le programme a été arrêté ou n'a pas été chargé dans le Runtime.
30 | Sans instance | Aucune instance de Runtime n'a été créée, par exemple parce que la DLL associée au Runtime n'a pas pu être chargée, parce que la quantité de mémoire disponible est insuffisante, parce que la DLL est absente ou parce que la version de la DLL est incorrecte.
18 | Code de programmation disponible | Le code de programmation est disponible avec le code compilé ; la commutation est possible.
17 | Code actif compilé | Le Runtime s'exécute avec le code compilé (dans le cas contraire, avec le code de programmation interprété)
16 | Code compilé disponible | Le code compilé provenant du compilateur C est disponible.
15 | L'application est chargée. | Une application est présente, le Runtime est en cours d'exécution.
14 | Démarrage impossible - gestionnaires manquants | Certaines fonctions "C" sont manquantes.
13 | Points d'interruption actifs installés | Au moins un point d'interruption a été défini par le débogueur.
12 | Le segment CT existe. | L'application a été compilée séparément avec l'option Complex variables in separate segment (Variables complexes dans un segment distinct).
11 | Réservé | (Interne, uniquement destiné au Runtime.)
10 | Demande d'informations système disponible. | (Interne, uniquement destiné au Runtime.)
9 | Figer la production d'événements. | La fonction de liaison ne transmet pas les événements.
8 | Mode cycle unique | (Interne, uniquement destiné au Runtime et au débogueur.)
7 | Réservé | (Interne, uniquement destiné au Runtime.)
6 | Variables verrouillées. | Au moins une variable est verrouillée.
5 | Fonctions trigonométriques en degrés. | Les fonctions trigonométriques sont exprimées en degrés.
4 | Consigner les messages dans la pile. | (Interne, uniquement destiné au Runtime.)
3 | Application arrêtée entre deux programmes. | Le Runtime s'est arrêté entre deux étapes durant le débogage.
2 | Application arrêtée sur un point d'interruption de SFC. | (Interne, uniquement destiné au Runtime.)
1 | Application arrêtée sur une erreur. | Runtime arrêté avec une erreur grave, redémarrage requis.
0 | L'application est en cours d'exécution. | TRUE = L'application opère en mode exécution. FALSE = L'application est en pause en mode "cycle à cycle".

info Info

La variable de driver SimulRTState comportant l'offset 60 affiche l'état du Runtime sur le serveur. Cela s'applique également lorsque la variable est affichée sur le serveur redondant.


Synchronisation cyclique

Manuels -> Simulation de driver -> Simulation - Programmée -> Configuration du driver -> Synchronisation cyclique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les simulations s'exécutent en réseau sur le serveur et le serveur redondant, chaque serveur étant indépendant de l'autre. Lors du démarrage du serveur redondant, une synchronisation est effectuée avec le serveur ; toutefois :

  • La première synchronisation est retardée conformément au délai d'exécution du paquet.
  • De petites différences dans l'exécution aboutissent à un écart plus important.

L'état des variables simulées devient alors différent. Pour minimiser ces différences, utilisez la fonction Transférer l'image de simulation du driver vers le serveur redondant pour synchroniser l'image de la simulation.

  • Créez une nouvelle fonction.
  • Sélectionnez Transférer l'image de simulation du driver vers le serveur redondant.

  • La boîte de dialogue de sélection de driver s'affiche à l'écran.

  • Dans la liste, tous les drivers liés au procédé sont disponibles dans la liste (à l'exception du simulateur) ; cliquez sur l'en-tête de la colonne pour modifier l'ordre de tri.
  • Sélectionnez le driver devant être synchronisé.
  • Chaque fois qu'une fonction est exécutée sur le serveur redondant, une image est demandée au serveur pour le driver sélectionné.

Les différences dans l'état actuel de la simulation peuvent être minimisées par l'activation cyclique. Adaptez la grille de l'exécution au volume de données à synchroniser, car cette tâche exerce une charge sur le réseau et sur l'ordinateur.

La Exécution de la fonction est fixe et définie sur Redondant ; elle ne peut pas être modifiée. Ceci se produit uniquement si :

  • L'ordinateur est le serveur redondant.
  • Le serveur est en ligne.
  • Le projet est un projet en réseau.
  • Les drivers ont été sélectionnés aux fins de la synchronisation.

Pour modifier la sélection des drivers

  • Dans les propriétés du driver, cliquez sur le groupe Général de la propriété Paramètre.
  • La boîte de dialogue de sélection du driver s'affiche.


Espace de travail zenon Logic

Manuels -> Simulation de driver -> Simulation - Programmée -> Espace de travail zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La programmation de la simulation programmée se déroule dans l'espace de travail zenon Logic, qui opère en collaboration étroite avec l'Éditeur zenon. Pour la simulation (contrairement à la solution intégrée), seules les variables d'un driver sont échangées entre les Éditeurs.

Définition des variables devant être échangées :

Lors du démarrage de l'espace de travail zenon Logic, toutes les variables de driver qui ne sont pas encore présentes dans zenon Logic sont créées sous forme de variables globales. L'option Embarquer les symboles est automatiquement activée pour celles-ci.

Visibilité

Si une nouvelle variable est définie dans l'espace de travail dans la zone Global ou Retain, elle est uniquement visible dans zenon Logic. Pour la rendre visible dans zenon, l'option Embarquer les symboles doit être activée. A partir de cet instant, toutes les variables sont actualisées par les deux Éditeurs.

Si l'option Embarquer les symboles est désactivée, la variable est supprimée dans l'Éditeur zenon. Cette action permet de définir des variables Global ou Retain dans zenon Logic ; celles-ci ne sont pas visibles pour zenon.

Le programme tente d'attribuer une nouvelle variable créée par l'espace de travail zenon Logic dans zenon à la zone SPSMERKER. Si le driver zenon ne prend pas en charge le type de données configuré, une recherche est effectuée afin de déterminer la première zone de données prenant ce type de données en charge. Si aucune zone n'est trouvée, la variable ne peut pas être créée.

Une variable est uniquement verrouillée dans le cadre d'un projet multi-utilisateurs, si l'état Permettre les modifications n'a pas été défini.

Paramètres du projet

Certains paramètres sous Project -> Project parameters... (Paramètres du projet... )-> Further options (Autres options) -> Extended (Etendues) dans zenon Logic influencent la fonctionnalité de la simulation.

Paramètres étendus

Description

Runtime : mode d'exécution

Recommandation :

Mode : déclenché par événement

Temps de cycle : Un quart à un tiers du délai d'actualisation du driver.
Les modifications de valeurs fréquentes des variables simulées entraînent une augmentation de la charge exercée sur l'ordinateur.

Compilateur/options : Embed symbols of all variables (Embarquer les symboles de toutes les variables)

Recommandation : désactivé.
Activé : les données d'une variable sont échangées, car les noms des symboles sont attribués dans le Runtime.

Toutefois, les modifications apportées à la configuration des variables ne sont pas actualisées entre zenon et zenon Logic. Il n'est plus possible d'effectuer des modifications en ligne.

Compilateur/options : Retain capitalization of symbols (Conserver la capitalisation des symboles)

Sans incidence : les noms de variables sont toujours convertis en capitales dans le Runtime.

Compilateur/options : Create status bits for variables with a profile (Créer des bits d'état pour les variables comportant un profil)

Active : l'état des variables est simulé ou déclenche une réaction dans le programme de simulation.

"C" compiler (Compilateur C)

Le code natif est pris en charge.

Nom de la DLL devant être contenue dans le code compilé : t5app.dll.


Runtime

Manuels -> Simulation de driver -> Simulation - Programmée -> Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Fonctionnalité

Fichiers Runtime

Échange de données

Stockage de données

Redondance

État

Démarrage/Arrêt

Commandes driver

Liaison de variables

Date / Heure


Fonctionnalité

Manuels -> Simulation de driver -> Simulation - Programmée -> Runtime -> Fonctionnalité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Runtime zenon Logic offre les fonctions suivantes :

  • Transfert de fichier
  • Type de données :
    • BOOL
    • BYTE
    • DINT
    • DWORD
    • INT
    • LINT
    • LREAL
    • REAL
    • SINT
    • STRING
    • TIME
    • UDINT
    • UINT
    • USINT
    • WORD
  • Tableaux de zenon (reportez-vous également à la section Tableaux et simulation)
  • Horodatage
  • Enregistrement numérique de valeurs
  • Blocs fonctionnels avec liaisons dynamiques, mémorisés dans t5block*.dll
  • Redémarrage à chaud
  • Journalisation :
    • Journalisation des messages provenant du programme (printf)
    • Messages d'erreur dans le Runtime
    • Tous transmis à l'espace de travail et au serveur de diagnostic
  • Code machine : code C natif compilé avec le post-compilateur (indisponible sous Windows CE)
  • Modification en ligne
  • Langages de programmation : IL, AS, FDB, LD, ST
  • Données Retain (données rémanentes)
  • Blocs fonctionnels et fonctions spéciales :
    • Numérotation consécutive des données
    • Attribution dynamique de mémoire
    • Recettes embarquées
    • Listes de variables embarquées
    • Gestion de fichiers
    • Fichiers
    • Mathématique
    • Aléatoires
    • Signaux
    • Tables de chaînes
    • Trigonométrie
    • Heure
  • Communications événementielles
    • Changement de valeur en cas d'événement
    • 16 connexions
    • Hystérésis
  • UDP et TCP/IP pour les langages IEC
  • Verrouillage de variables

Autres sujets abordés dans ce chapitre

Tableaux et simulation


Tableaux et simulation

Manuels -> Simulation de driver -> Simulation - Programmée -> Runtime -> Fonctionnalité -> Tableaux et simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour simuler des tableaux multi-dimensionnels dans la simulation de driver, vous devez activer la propriété Enregistrer les variables complexes dans leur propre segment du module Workbench de zenon Logic.

Les tableaux commencent par l'indice 1

Si des tableaux comportant l'indice de départ 1 existent dans une simulation, ces tableaux sont générés avec plusieurs indices dans le module Workbench de zenon Logic.

Example Exemple

Dans zenon, un tableau comporte les indices 1 à 4. Ce tableau comporte les indices 0 à 4 dans le module Workbench de zenon Logic.

Ceci garantit que les mêmes indices sont utilisés dans zenon et zenon Logic. L'indice 0 n'est pas transféré au driver.

Si vous modifiez le tableau dans le module Workbench de zenon Logic, vous devez tenir compte de cet indice supplémentaire.


Fichiers Runtime

Manuels -> Simulation de driver -> Simulation - Programmée -> Runtime -> Fichiers Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la création des fichiers de Runtime, un sous-dossier portant le nom du projet de simulation est créé dans l'élément Dossier runtime du projet, dans le répertoire \RT\FILES\zenon\custom\drivers. Le fichier contenant le code de la simulation est nommé simulrt.cod ; il est archivé dans ce dossier.

Une fois la compilation effectuée dans le Workbench et le transfert vers le dossier de Runtime effectué, le message suivant s'affiche dans la fenêtre de sortie de l'Éditeur :

SIMULRT.COD

S'il est compilé avec le compilateur C, le message suivant est également affiché :

T5APP.DLL

Transport à distance

Les fichiers de Runtime destinés à la simulation sont générés sous la forme d'un sous-dossier des fichiers du driver. Pour le module Remote Transport, le sous-dossier et tous les informations qu'il contient sont transférés vers l'ordinateur cible.


Échange de données

Manuels -> Simulation de driver -> Simulation - Programmée -> Runtime -> Échange de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'échange de données entre le Runtime zenon Logic et le driver démarre lors du deuxième cycle du Runtime zenon Logic. Par conséquent, la première exécution est disponible aux fins de l'initialisation de toutes les variables dans le Runtime.

Les données sont uniquement échangées si :

  • La variable est demandée et...
    • N'a pas encore reçu une valeur.
    • Ne comporte pas l'état Désactivé (OFF/_VSB_N_UPD) ou Valeur de remplacement (ALT_VAL/_VSB_AVALUE) dans le driver
    • Est encore demandée par le driver.
    • A changé de valeur ou d'état.

L'échange de données avec le driver est exécuté de manière asynchrone durant le cycle du Runtime. Le driver analyse les changements de valeurs à chaque cycle de mise à jour. Toutes les valeurs modifiées - à l'exception de l'état Désactivé (OFF/_VSB_N_UPD) ou de la valeur de remplacement (ALT_VAL/_VSB_AVALUE) - sont entrées dans la liste de variables devant être mises à jour dans le driver et transmises au Runtime.

Fonction Transférer l'image de simulation du driver au serveur redondant

Cette fonction est uniquement exécutée sur le serveur redondant (pour plus d'informations concernant la configuration, se reporter au chapitre Comparaison cyclique). Les données sont obtenues de manière synchrone depuis le driver situé sur le serveur compilant l'image. Le driver dispose d'un délai de 5 secondes à cette fin. Parce que les donnés de l'image sont créées dans le même fil que celui dans lequel s'exécute la simulation, il est nécessaire de veiller à ce que la simulation soit traitée en l'espace de 5 secondes. En cas de dépassement de ce délai, aucune image n'est transférée pour ce driver.

Simulation de la valeur

Les changements de valeur ne sont pas transférés immédiatement, mais enregistrés dans une mémoire tampon. La mémoire tampon peut enregistrer 8192 changements de valeur, ou cinq fois le nombre de variables, selon la valeur la plus élevée. Le délai de transfert résultant du cycle du driver peut atteindre 100 ms. Si la valeur change encore alors qu'elle attend d'être transférée, toutes les valeurs qui n'ont pas encore été transférées sont transmises au Runtime et la nouvelle valeur est alors consignée. Ceci peut entraîner une augmentation de la charge exercée sur l'ordinateur et le réseau, mais garantit que toutes les valeurs sont transférées dans le Runtime.

Commande d'écriture de driver

Si la fonction Simulation - Programmée est configurée et active, les commandes d'écriture sur le serveur redondant sont transmises au Runtime.

Les opérations d'écriture sont exécutées de manière asynchrone par le driver dans le Runtime. Les échanges de données sont effectués par le biais d'une mémoire tampon. La mémoire tampon peut enregistrer 8192 changements de valeur, ou cinq fois le nombre de variables, selon la valeur la plus élevée.

Les commandes d'écriture sont examinées après les changements de valeur dans le Runtime. Si une commande d'écriture ne peut pas être exécutée correctement, le message d'erreur Write queue full! Write command for <DP-Name> lost! (File d'attente d'écriture pleine ! La commande d'écriture de Nom DP a été perdue !) est affiché

Si les bits d'état sont activés, le paramètre Écriture réussie sera affiché si la valeur provenant du driver a été écrite dans la valeur de la variable. Le programme du Runtime doit à nouveau supprimer cet état après avoir traité la commande d'écriture. Un bit d'état déjà actif ne provoque aucun délai en cas de nouvelle écriture dans le driver. Les commandes d'écriture sont également exécutées si le programme de Runtime a été arrêté par un point d'interruption.

Remarque : toutes les commandes d'écriture provenant du driver ne sont pas visibles dans le Runtime. Si plusieurs commandes d'écriture sont présentes dans la mémoire tampon, seule la dernière est visible dans le Runtime.

Switch off variables / Switch to substitute value (Désactiver les variables / Commuter vers valeur de remplacement)

Si la variable est désactivée ou basculée vers une valeur de remplacement, le Runtime ne le reconnaît pas. Les modifications des valeurs qui sont également exécutées par le Runtime ne sont pas attribuées aux variables dans le driver. Si les variables sont à nouveau activées ou basculées vers une valeur événementielle, la valeur actuelle est à nouveau transférée depuis le Runtime vers le driver. Lors de la désactivation de la valeur événementielle, le bit d'état OFF est défini. Lorsque vous revenez à la valeur spontanée, le bit OFF est réinitialisé.


Stockage de données

Manuels -> Simulation de driver -> Simulation - Programmée -> Runtime -> Stockage de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Donnés Retain

Les données Retain sont conservées dans le fichier SimulRt<TreiberID>.ret. Un fichier comme celui-ci est créé pour chaque simulation, à condition que les variables Retain soient présentes. Le fichier est pris en compte lorsqu'une comparaison est réalisée sur le réseau.

Driver rémanent

Le paramètre Simulation - programmée au démarrage du driver n'est pas un critère de restauration de l'image de variable rémanente.


Redondance

Manuels -> Simulation de driver -> Simulation - Programmée -> Runtime -> Redondance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Démarrage sur le serveur redondant

Si le driver s'exécute déjà sur une base redondante, l'image de la simulation doit déjà être disponible. Dans ce cas, la simulation est démarrée "à chaud" avec cette image. Si aucune image n'est présente, une reprise intermédiaire est exécutée.

Fonction Transférer l'image de simulation du driver au serveur redondant

Cette fonction est uniquement exécutée sur le serveur redondant (pour plus d'informations concernant la configuration, se reporter au chapitre Comparaison cyclique). Les données sont obtenues de manière synchrone depuis le driver situé sur le serveur compilant l'image. Le driver dispose d'un délai de 5 secondes à cette fin. Parce que les donnés de l'image sont créées dans le même fil que celui dans lequel s'exécute la simulation, il est nécessaire de veiller à ce que la simulation soit traitée en l'espace de 5 secondes. En cas de dépassement de ce délai, aucune image n'est transférée pour ce driver.

Comparaison

Conjointement aux fichiers programme de la simulation, les éléments suivants sont également comparés :

  • Données Retain (*.ret)
  • Tous les fichiers *.simul
    Cette extension de fichier est créée par le programme de simulation pour les fichiers spécifiques à la simulation, qui sont archivés dans le dossier avec une description de l'ordinateur sous l'élément Dossier runtime.


État

Manuels -> Simulation de driver -> Simulation - Programmée -> Runtime -> État

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Simulation d'état

Pour la simulation d'état, dans zenon Logic, l'option Projet -> Project parameters (Paramètres du projet) -> Extended (Etendus) -> Compiler (Compilateur) -> Options -> Create status bits for variables with a profile (Créer des bits d'état pour les variables comportant un profil) doit être active. Si l'état d'une variable est modifié, ceci déclenche la transmission d'une variable au driver.

Les modifications des états suivants ne déclenchent pas de modification de valeur au niveau du driver, et ne sont également pas dérivées de la simulation :

  • Temps réel externe (T_EXTERN/_VSB_RT_E)
  • Temps réel interne (T_INTERN/_VSB_RT_I)
  • Heure standard (T_STD/_VSB_WINTER)
  • Ecriture reconnue (WR_ACK/_VSB_WR_ACK)
  • Ecriture réussie (WR_SUC/_VSB_WR_SUC)
  • Etat normal (NORM/_VSB_NORM)
  • Ecart par rapport à l'état normal (N_NORM/_VSB_ABNORM)
  • Sélection sur le réseau (NET_SEL/_VSB_SELEC)
  • Dépassement du délai d'attente du Runtime (TIMEOUT/_VSB_RTE)
  • En cours d'utilisation (PROGRESS/_VSB_DIREC)
  • Désactivé (OFF/_VSB_N_UPD)
  • Valeur de substitution (ALT_VAL/_VSB_AVALUE)

info Info

Le bit d'état Écriture réussie (WR_SUC/_VSB_WR_SUC)) est disponible dans le programme de Runtime, et peut être rétabli pour afficher une écriture réussie.

Toutefois, le rétablissement de l'état ne déclenche pas le transfert vers le Runtime de <CD_PRODCUTNAME>. Seuls les changements de valeurs sont transférés du driver vers le Runtime.

Bits d'état traités différemment

Les bits d'état suivants s'annulent réciproquement :

Bit

Description

17 : Evénementiel
(SPONT/_VSB_SPONT)

L'état SPONTAN est défini. Cet état est défini si la fonction de gestion de l'état est désactivée ou si aucun état n'a été défini. L'état GI + INVALID est supprimé.

18 : Non valide
(INVALID/_VSB_I_BIT)

L'état INVALID est défini. L'état SPONTAN + GI est supprimé.

16: Interrogation générale
(GI/_VSB_GR)

L'état Requête générale est défini. L'état SPONTAN + INVALID est supprimé.

8: Sélection sur le réseau
(NET_SEL/_VSB_SELEC)

Si ce bit d'état est actif (activation/désactivation de la fonction SBO), les bits d'état suivants sont acceptés avec 0, puis transmis en tant que 0 au driver afin d'identifier une modification :

  • Sélection sur le réseau (NET_SEL)
  • Cause de transmission (COTx)
  • Sélection (SE_870)
  • N_CONF (P/N-BIT)
  • Bit de test (TEST)
  • Ecriture réussie (WR_SUC)

Fonction Select Before Operate (SBO)

La simulation d'état doit être disponible dans le programme du Runtime pour qu'une réaction ait lieu à l'élément Select Before Operate. La procédure Select Before Operate est définie dans le Runtime.

Activation

Si une commande de sélection de procédure SBO est transmise au driver, cela déclenche l'écriture d'une valeur avec l'état Sélection sur le réseau (NET_SEL) + cause de la transmission (COT_act).

Une procédure SBO correspondant doit être mise en œuvre et doit démarrer dans le Runtime.

Le bit d'état Sélect sur le réseau (NET_SEL) doit être rétabli dans le programme de Runtime.

Désactivation

La désactivation déclenche l'écriture d'une valeur avec l'état Sélection sur le réseau (NET_SEL) + Cause de transmission (COT_deact).

La procédure SBO doit être terminée de manière correspondante dans le Runtime.

Le bit d'état Sélect sur le réseau (NET_SEL) doit être rétabli dans le programme de Runtime.


Démarrage/Arrêt

Manuels -> Simulation de driver -> Simulation - Programmée -> Runtime -> Démarrage/Arrêt

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Démarrage du driver

La mise à jour des valeurs démarre uniquement au niveau du serveur redondant si le driver a reçu l'image de procédé du serveur associé. L'image doit être reçue dans l'intervalle de temps défini pour le module ; dans le cas contraire, le driver démarrage sans image. Si le serveur redondant est mis à niveau comme serveur principal durant le délai d'attente, la période d'attente se termine. Les drivers qui démarrent dans un projet de réseau ou sans réseau ne comportent pas de délai d'attente. Ce comportement s'applique à la fois aux modes simulation et matériel.

Démarrage du Runtime

Si le driver démarre le mode Simulation - Programmée, la première étape consiste en le chargement de la DLL avec le Runtime de la simulation. Ensuite, le Runtime est paramétré et le programme du Runtime démarre, à condition d'avoir été correctement chargé.

Si une image du Runtime est présente, le Runtime est démarré à chaud avec celle-ci. Dans le cas contraire, une reprise intermédiaire est effectuée. Si celle-ci ne peut être exécutée, une tentative de démarrage à froid du Runtime est exécutée. En l'absence de programme valide, le Runtime démarre à l'arrêt. L'état de toutes les variables est défini sur INVALID.

Le programme de simulation s'exécute dans son propre fil, et est donc complètement indépendant du cycle du driver.

info Info

Variables de retenue

Les données de retenue contiennent uniquement la valeur des variables de zenon Logic, et non leur état. Cela signifie, pour le démarrage :

  • Reprise graduelle : l'état défini pour une variable est restauré, qu'il s'agisse ou non d'une variable de retenue.
  • Démarrage à froid avec variables de retenue : seule la valeur de la variable de retenue dans zenon Logic est restaurée, et non son état.

Arrêter le Runtime

Si le Runtime est arrêté, l'état INVALID est défini pour toutes les variables. Les variables qui sont demandées lors de l'arrêt du Runtime comportent l'état INVALID lors de l'initialisation. Le Runtime sécurise les données lors de la reprise intermédiaire et de la modification en ligne :

  • SIMULRT.HOT : contient les données destinées au redémarrage à chaud.
  • SIMULRT.UPD : contient les données destinées à la modification en ligne.

Ces deux fichiers sont créés dans le dossier de programme du Runtime. Le Runtime doit disposer d'une autorisation d'écriture dans ce dossier.

Rechargement

  • Recompilation du projet de simulation :
    Le driver correspondant est chargé à nouveau.
  • Modification du module de délai d'attente :
    Non reconnu comme une modification par le Runtime, ne provoque pas un nouveau chargement du driver.

Le déploiement standard dans le kit du driver déclenche un redémarrage à chaud lors de l'actualisation du projet de simulation. Si cela n'est pas possible (par exemple, parce que le programme est différent), un démarrage à froid est effectué avec les données Retain.

Suppression du Runtime

Si le Runtime est en cours d'exécution, celui-ci est arrêté. Avant la suppression du Runtime, toutes les mises à jour de valeurs en attente sont transmises au driver. Alors, seulement, le Runtime est déverrouillé et SimulRuntime.dll est supprimé du PC.


Commandes driver

Manuels -> Simulation de driver -> Simulation - Programmée -> Runtime -> Commandes driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les commandes de driver sont utilisées pour influencer les drivers par le biais de zenon (démarrage et arrêt, par exemple).
Le développement est mis en œuvre à l'aide de la fonction Commandes de driver.

Démarrage/Arrêt driver

Si le driver est arrêté dans le mode Simulation - Programmée, cela entraîne la suppression du Runtime de la mémoire. Toutes les variables reçoivent l'état INVALID. Lors du redémarrage du driver, la simulation est chargée à nouveau et le Runtime est démarré.

Commutation du driver matériel/de simulation

Lors du basculement entre les modes Matériel et Simulation, le driver se comporte comme suit :

  1. Si le driver a été configuré en mode Matériel dans l'Éditeur :
    • le driver est configuré en mode Simulation statique après l'exécution de la fonction Commande de driver avec le paramètre Driver en mode simulation.
  2. Si le driver a été configuré dans l'Éditeur pour l'un des modes de simulation (statique, comptage, programmée) :
    • le driver est configuré en mode matériel et communiqué avec l'élément de contrôle après l'exécution de la fonction Commande de driver avec le paramètre Driver en mode réel.
    • Le driver revient alors au mode simulation configuré après l'exécution de la fonction Commande de driver avec le paramètre Driver en mode simulation.


Liaison de variables

Manuels -> Simulation de driver -> Simulation - Programmée -> Runtime -> Liaison de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le driver zenon est attribué aux variables zenon Logic ; les noms sont convertis en lettres majuscules. Si le Runtime zenon demande une variable au driver, cette demande est transmise à la simulation. Si aucune simulation n'est chargée, la variable reçoit l'état Désactivé ( OFF/VSB_N_UPD) lorsque le driver est arrêté. Dans le cas contraire, elle reçoit l'état Non valide (INVALID/_VSB_I_BIT). Les variables du type d'objet variable de driver ne sont jamais demandés par la simulation.


Date / Heure

Manuels -> Simulation de driver -> Simulation - Programmée -> Runtime -> Date / Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser la fonction d'horodatage, dans zenon Logic, l'option Projet -> Paramètres du projet -> Paramètres étendus -> Compilateur -> Options -> Créer des bits d'état pour les variables comportant un profil doit être active.

Si la date est définie pour une variable dans le Runtime, la valeur de la date et de l'heure est utilisée comme information d'horodatage. Si la date ou l'heure d'une variable change durant le dernier cycle, ceci déclenche toujours le transfert de la valeur au driver. Ceci est également vrai si ni la valeur, ni l'état n'ont changé.

La plupart des drivers transfèrent uniquement de nouvelles informations d'horodatage vers le Runtime en cas de modification simultanée de la valeur et/ou de l'état. Une exception est, par exemple, le driver IEC870, qui transfère également de nouvelles informations d'horodatage depuis le matériel (ou Simulation - Programmée) vers le Runtime, en conservant une valeur et un état identiques.

info Info

Vous devez veiller à ce que la date et l'heure augmentent toujours. Si ce n'est pas le cas, des problèmes peuvent se produire lors de l'archivage. La date doit être une valeur supérieure ou égale à 0.

Les variables horodatées par le programme du Runtime reçoivent l'état Temps réel externe (T_EXTERN/_VSB_RT_E).

Toutes les variables devant être transférées vers le driver et qui n'ont pas été horodatées par le Runtime reçoivent des informations d'horodatage communes durant le cycle. Ceci permet de garantir que l'heure correspond bien à celle de la modification. Ces drivers reçoivent l'état Temps réel interne (T_INTERN/_VSB_RT_I).

Date & Heure

Les considérations suivantes s'appliquent à toutes les informations de date et d'heure :

  • les heures indiquées sont au format UTC.
  • Toutes les heures doivent être comprises entre le 2 janvier 1970 et 2038.
  • Les dates sont converties en chaîne au format AAAA/MM/JJ.
  • L'heure est convertie au format HH:MM:SS.


Dispositions applicables aux variables dans les projets de simulation

Manuels -> Simulation de driver -> Simulation - Programmée -> Dispositions applicables aux variables dans les projets de simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les conditions suivantes s'appliquent à la création et la modification de variables dans les projets de simulation :

  1. zenon Logic

    Si les variables sont créées pour un projet de simulation dans l'espace de travail zenon Logic, elles ne disposent pas d'une adresse valide pour les communications. Si les communications basculent vers le matériel, elles peuvent être interrompues lorsque les nouvelles variables sont utilisées dans des synoptiques sans ajustement de l'adresse.

  2. Renommer

    Si une variable est renommée dans un projet de simulation, le nom de la variable est également modifié de manière correspondante dans zenon. Ainsi, par exemple, vous devez également ajuster les noms des variables utilisées dans un projet VBA dans le code VBA.

  3. Solutions intégrées

    Les variables des solutions intégrées telles que zenon Logic, IEC870 ou IEC850 ne doivent pas être renommées dans le projet de simulation. Dans ce cas, les variables perdent les informations relatives au projet.
    Par exemple : si vous renommez Project0/Global/NewVar en myNeVariablenwVar dans le projet de simulation, la variable devient myNewVar dans zenon. Une fois la variable renommée, les communications peuvent être établies avec le Runtime zenon Logic.

  4. Communications fondées sur les noms de variable

    Les variables d'un driver communiquant sur la base des noms de variables ne doivent pas être renommées dans le projet de simulation.

  5. Suppression ou importation de variables

    Si une variable est supprimée ou importée pendant que la fonction Modification en ligne est activée dans zenon Logic, toutes les variables sont supprimées et insérées à nouveau dans zenon Logic.

  6. Variables avec symbole "Embarqué" actif

    Les variables qui existent dans un programme, et dont le symbole "Embarqué" est actif, ne sont pas disponibles via l'interface de mémoire partagée dans zenon. Si une variable comportant un symbole "Embarqué" actif est déplacée de la zone globale vers un programme, la variable est supprimée dans zenon.


Messages d'erreur

Manuels -> Simulation de driver -> Simulation - Programmée -> Messages d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Messages d'erreur dans l'éditeur zenon :

Message d'erreur

Cause et solution

The chosen name was already used for another driver or contains invalid characters! Please select another name. (Le nom choisi est déjà utilisé pour un autre driver ou contient des caractères non valides ! Veuillez sélectionner un autre nom.)

Le nouveau nom du projet de simulation est déjà utilisé dans le projet ou n'est pas valide.

  • Spécifiez un nom valide

The simulation project from the <File name>/<Description> driver has not been compiled and cannot be supported! (Le projet de simultion provenant du driver <Nom de fichier>/<Description> n'a pas été compilé et ne peut pas être pris en charge !) Please compile the project in Workbench (Veuillez compiler le projet dans l'espace de travail).

Un projet de simulation est disponible pour le driver dans l'espace de travail. Toutefois, il n'a pas été compilé.

  • Démarrez l'espace de travail zenon Logic avec le projet de simulation de ce driver.
  • Compiler le projet

Conseil : Peu importe que les paramètres de driver soient définis sur Simulation - Programmée dans les paramètres du driver.

Write queue full! Write command for <Name Variable> lost! (File d'attente d'écriture pleine ! La commande d'écriture de <Nom de la variable> a été perdue !)

Indique la perte d'une commande d'écriture.


Simulation de projet

Manuels -> Simulation de projet

La simulation de projet vous permet de basculer du mode simulation vers le mode matériel. Vous pouvez simuler les procédés dans le mode simulation, aux fins d'un essai. Dans le mode Simulation, les actions de commutation sont exécutées, les recettes sont transmises, les valeurs prescrites sont définies et ainsi de suite, sans que ces opérations ne soient réellement transmises au procédé (à un contrôleur, par exemple).

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client).

Pour les projets simples, vous devez disposer d'une licence pour le client. Pour les projets de serveur, seul le serveur/serveur redondant doit comporter une licence.

Si la licence est modifiée au niveau du serveur, les clients doivent être redémarrés pour que la licence soit appliquée.

Simulation de fonctionnement

En mode simulation :

  • Tous les drivers sont démarrés en mode Simulation de driver programmée
  • Aucune donnée n'est enregistrée au niveau externe
    • Le transfert vers SQL n'est pas exécuté
    • Les entrées de la base de données IPA ne sont pas créées
    • Les entrées IPA existantes ne peuvent pas être supprimées, éditées ou commentées
  • Les données d'équipe du module PFS ne sont pas enregistrées dans la base de données
    (La sauvegarde est effectuée après le redémarrage du Runtime en mode Matériel.)

Autres sujets abordés dans ce chapitre

Généralités

Variable de driver système - état du Runtime (simulation)

Scripts

Caractéristiques spécifiques au mode simulation

Traduction en ligne

Image de simulation

Fichiers dans l'image de la simulation

Paramètres de la ligne de commande du Runtime

Limitations


Généralités

Manuels -> Simulation de projet -> Généralités

Vous pouvez uniquement basculer vers la simulation de projet si tous les projets dans le Runtime sont des projets mono-utilisateur ou des projets de client. Le mode simulation "isole" l'ordinateur et le Runtime du réseau. En outre, tous les drivers programmés dans la simulation de driver programmée sont démarrés. Après cela, plus aucun driver n'est connecté à un procédé.

Après la commutation vers le mode simulation, le Runtime est redémarré et opère comme si tous les projets étaient configurés sous la forme d'un projet mono-utilisateur.

Autres sujets abordés dans ce chapitre

Commutation vers le mode simulation

Commutation en mode matériel

Créer une image de simulation

Activer/désactiver la fonction de simulation du projet


Commutation vers le mode simulation

Manuels -> Simulation de projet -> Généralités -> Commutation vers le mode simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les étapes suivantes sont exécutées si vous basculez vers le mode simulation :

  1. Exécution de la fonction pour basculer vers le mode simulation.
  2. Une vérification est effectuée afin de garantir que tous les projets dans le mode simulation peuvent être commutés, ou qu'ils opèrent déjà en mode simulation.
  3. Les étapes du mode de création de simulation sont exécutées.
  4. Pour chaque projet, une entrée est créée dans la liste chronologique d'événements correspondante, afin de consigner la commutation vers le mode simulation.
  5. Le Runtime arrête et démarre l'application zenProcess avec les paramètres complémentaires définis.
  6. L'application zenProcess attend la fin de l'exécution du Runtime, puis démarre en mode simulation.
  7. Le Runtime reconnaît le paramètre de ligne de commande, et démarre tous les projets sous la forme de projets mono-utilisateur.
  8. Le répertoire des données de Runtime est désormais le répertoire de la simulation. Le répertoire des données du Runtime dans le mode matériel n'est pas modifié.
  9. Les projets sont démarrés. Les drivers sont programmés en mode simulation de driver et sont chargés avec l'image de simulation provenant du répertoire de la simulation. Les variables locales obtiennent leurs valeurs de l'image locale. L'image de variable est appliquée à la simulation programmée. Dans la simulation de driver programmée, si la variable est modifiée durant le premier cycle d'un programme, dans le Runtime de zenon, la première valeur de la variable n'est pas sa valeur originale (comme dans le mode matériel du Runtime), mais la valeur qui a été modifiée dans la simulation.
  10. L'image des drivers internes est chargée.
  11. Pour chaque projet, une entrée est créée dans la liste chronologique d'événements correspondante, afin de consigner la commutation vers le mode simulation.
  12. La variable de driver système obtient la valeur pour le mode simulation.

Ces étapes sont exécutées pour tous les projets dans le Runtime, sauf indication contraire explicite.


Commutation en mode matériel

Manuels -> Simulation de projet -> Généralités -> Commutation en mode matériel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le mode matériel est disponible à chaque démarrage du Runtime, même si la commutation du mode matériel vers le mode simulation n'a pas été effectuée. Les étapes suivantes sont exécutées :

  1. Exécution de la fonction pour basculer vers le mode matériel.
  2. L'image du driver (driver de procédé et driver interne) et l'image de la simulation de zenon Logic sont enregistrées.
  3. Le Runtime arrête et démarre l'application zenProcess avec les paramètres complémentaires définis.
  4. L'application zenProcess attend la fin de l'exécution du Runtime, puis démarre avec les paramètres de démarrage définis pour la connexion au procédé.
  5. Le Runtime démarre et charge les projets et les données du Runtime (depuis le serveur, si nécessaire).
  6. Les drivers sont initialisés avec les données provenant des variables locales avant la simulation.
  7. Si nécessaire, l'image de la simulation est transférée vers le serveur. Vous pouvez activer celle-ci en saisissant les paramètres correspondants dans la ligne de commande.


Créer une image de simulation

Manuels -> Simulation de projet -> Généralités -> Créer une image de simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tous les fichiers et variables pouvant être modifiés par le Runtime sont associés dans l'image de la simulation. Si vous souhaitez créer une image de la simulation, les étapes suivantes sont exécutées :

  1. Tous les points de données provenant de tous les projets doivent être spécifiés, afin qu'ils puissent être alimentés en données actualisées.
  2. Les données qui ne sont pas requises sont supprimées dans l'image de la simulation, conformément au mode sélectionné (Exception : Initialize with existing simulation image [Initialiser avec l'image de simulation existante]) :
    1. Initialize with process image and Runtime data (without archive data) (Initialiser avec l'image de procédé et les données de Runtime [sans données d'archive]) : le projet de simulation local est entièrement supprimé.
    2. Initialize with process image and Runtime data (with archive data) (Initialiser avec l'image de procédé et les données de Runtime [avec données d'archive]) : tous les fichiers d'archive (*.ARX et *.ARS) sont supprimés du répertoire de simulation local.
  3. En fonction des paramètres définis pour la fonction Activer/désactiver le projet de simulation, les données de projet, données de Runtime et données de variables correspondantes sont obtenues pour tous les projets. Pour la liste de messages d'alarme, la liste chronologique d'événements et les fichiers HDD, l'état actuel est enregistré localement pour un projet d'utilisateur unique et enregistré sur le serveur pour un projet de serveur (Exception : Initialize with existing simulation image [Initialiser avec l'image de simulation existante]) :

    Activer/désactiver le projet de simulation

    Cette fonction autorise la commutation entre les modes Simulation et Matériel. En outre, vous pouvez définir le type de mode Simulation ou Matériel.

    Plus de détails dans l'aide en ligne

  4. Les fichier de projet pouvant être modifiés dans le Runtime (par exemple, les données du module PFS, les utilisateurs etc.) seront copiés vers le fichier correspondant dans le répertoire du projet (exception : Initialize with existing simulation image [Initialiser avec l'image de simulation existante]) :
  5. Le programme attend alors que tous les points de données aient reçu une valeur. La barre de progression affiche les noms des points de données. L'affichage est limité à 60 caractères et affiche la valeur correspondante. Le temps d'attente n'est pas limité.
  6. Une image de variable de tous les drivers est créée, et les drivers internes enregistrent leurs données. Ces images sont copiées dans le répertoire de l'ordinateur. Si vous créez l'image dans la simulation, elle contient également l'image de la simulation de driver programmée.
  7. Nouveau transfert de fichiers modifiés conformément aux étapes 3 à 6.
  8. L'image de variable est comparée au répertoire de simulation local,
  9. car pour les variable locales, l'image de la variable est enregistrée, sauf si une image est créée dans la simulation.

Ces étapes sont exécutées pour tous les projets dans le Runtime, sauf indication contraire explicite.


Activer/désactiver la fonction de simulation du projet

Manuels -> Simulation de projet -> Généralités -> Activer/désactiver la fonction de simulation du projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Activer/désactiver le projet de simulation permet de basculer entre les modes simulation et matériel.

Activer/désactiver le projet de simulation

Cette fonction autorise la commutation entre les modes Simulation et Matériel. En outre, vous pouvez définir le type de mode Simulation ou Matériel.

Plus de détails dans l'aide en ligne

Ces deux modes peuvent être démarrées dans différentes conditions. Celles-ci sont décrites aux chapitres suivants !

  • Mode Simulation actif :
    • Initialiser avec l'image de procédé
    • Initialize with process image and Runtime data (without archive files) (Initialiser avec l'image de procédé et les données de Runtime [sans fichiers d'archive])
    • Initialize with process image and Runtime data (with archive files) (Initialiser avec l'image de procédé et les données de Runtime [avec fichiers d'archive])
    • Initialize with existing simulation image (Initialiser avec l'image de simulation existante])
  • Mode Matériel actif :
    • Activer une connexion de procédé
    • Activer connexion procédé et transférer image de simulation au serveur
    • Create simulation image (RT in simulation mode) (Créer une image de simulation [Runtime en mode simulation]) et Transfer simulation image to server (RT in hardware mode) (Transférer une image de simulation vers le serveur [Runtime en mode matériel])

Par ailleurs, les options générales suivantes sont disponibles :

Paramètre

Description

Name of simulation image (computer name if empty) (Nom de l'image de la simulation [nom du poste de travail, si laissé vide])

Indiquez ici le nom de l'image de la simulation.

Remarque : seul le nom du répertoire est enregistré.

Si vous ne spécifiez pas un nom de manière explicite, le nom de l'ordinateur est utilisé.

Afficher les messages d'erreur en runtime

Cochez cette case si vous souhaitez recevoir un message d'erreur dans le Runtime si les fonctions n'ont pas été exécutées correctement.

Afficher cette boîte de dialogue dans le Runtime

Cochez cette case si vous souhaitez également que cette boîte de dialogue soit affichée dans le Runtime.

Remarque : les paramètres de sélection du mode sont verrouillés dans le Runtime. Si vous avez sélectionné la connexion de procédé, vous ne pouvez pas saisir un nom pour l'image de procédé.

info Info

Si un projet dans le Runtime est actuellement en cours d'actualisation ou doit être actualisé, ou si une boîte de dialogue est ouverte dans VBA, par exemple, la fonction Activer/désactiver le projet de simulation n'est pas exécutée immédiatement. La fonction est exécutée immédiatement, dès qu'il n'existe plus aucune raison de retarder son exécution.

Autres sujets abordés dans ce chapitre

Initialiser avec l'image de procédé

Initialize with process image and Runtime data (without archive files) (Initialiser avec l'image de procédé et les données de Runtime [sans fichiers d'archive])

Initialize with process image and Runtime data (with archive files) (Initialiser avec l'image de procédé et les données de Runtime [avec fichiers d'archive])

Initialize with existing simulation image (Initialiser avec l'image de simulation existante])

Activer une connexion de procédé

Activer connexion procédé et transférer image de simulation au serveur

Create simulation image (RT in simulation mode) (Créer une image de simulation [Runtime en mode simulation]) et Transfer simulation image to server (RT in hardware mode) (Transférer une image de simulation vers le serveur [Runtime en mode matériel])


Initialiser avec l'image de procédé

Manuels -> Simulation de projet -> Généralités -> Activer/désactiver la fonction de simulation du projet -> Initialiser avec l'image de procédé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ici, une image des variables locales est créée, et les données de projet pouvant être modifiées dans le Runtime sont enregistrées. Ensuite, le Runtime est redémarré en mode simulation.

La fonction est uniquement exécutée si le projet ne se trouve pas déjà en mode simulation.

info Info

Toutes les données existantes dans l'image sont supprimées. Seules les valeurs de variable actuelles sont obtenues aux fins de l'initialisation.


Initialize with process image and Runtime data (without archive files) (Initialiser avec l'image de procédé et les données de Runtime [sans fichiers d'archive])

Manuels -> Simulation de projet -> Généralités -> Activer/désactiver la fonction de simulation du projet -> Initialize with process image and Runtime data (without archive files) (Initialiser avec l'image de procédé et les données de Runtime [sans fichiers d'archive])

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans ce cas, une image de toutes les variables locales et de tous les fichiers contenus dans le répertoire de l'ordinateur (Exception : les données d'archive) est créée, et les données de projet modifiées dans le Runtime sont enregistrées. Ensuite, le Runtime est redémarré en mode simulation.

info Info

Toutes les données existantes dans l'image sont supprimées. Seules les valeurs de variable actuelles sont obtenues aux fins de l'initialisation.

info Info

Assurez-vous que les alarmes historiques et les fichiers de la liste chronologique d'événements sont copiés. Cette procédure peut demander un certain temps, selon la quantité de fichiers impliquée.


Initialize with process image and Runtime data (with archive files) (Initialiser avec l'image de procédé et les données de Runtime [avec fichiers d'archive])

Manuels -> Simulation de projet -> Généralités -> Activer/désactiver la fonction de simulation du projet -> Initialize with process image and Runtime data (with archive files) (Initialiser avec l'image de procédé et les données de Runtime [avec fichiers d'archive])

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ici, une image de toutes les variables locales et de tous les fichiers présentés dans le répertoire de l'ordinateur est créée ; les éventuelles données d'archive présentes localement dans l'image ne sont pas supprimées, et les données du projet modifiées dans le Runtime sont enregistrées. Ensuite, le Runtime est redémarré en mode simulation.

Informations concernant info

Toutes les données existantes dans l'image sont supprimées. Seules les valeurs de variable actuelles sont obtenues aux fins de l'initialisation.

Informations concernant info

Assurez-vous que les alarmes historiques, les fichiers de la liste chronologique d'événements et les données d'archive sont copiées. Cette procédure peut demander un certain temps, selon la quantité de fichiers impliquée.

info Info

Dans ce cas, l'archive est conservée. La procédure d'archivage commence par le remplissage des archives manquantes lors du premier démarrage du Runtime, si vous l'avez configuré de cette manière. Cette procédure peut demander un certain temps, selon la taille des fichiers impliqués.


Initialize with existing simulation image (Initialiser avec l'image de simulation existante])

Manuels -> Simulation de projet -> Généralités -> Activer/désactiver la fonction de simulation du projet -> Initialize with existing simulation image (Initialiser avec l'image de simulation existante])

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ici, une image de simulation existante est transférée du serveur vers le client. Aucun transfert n'a lieu pour un projet mono-utilisateur. Les états respectifs des variables locales sont enregistrés et le Runtime est redémarré sur la base de l'image de simulation. Le Runtime est également redémarré s'il est déjà en mode simulation. Si c'est le cas, aucune image de driver n'est enregistrée pour traiter le démarrage des variables locales en mode matériel.

info Info

Grâce à la possibilité de créer une image de simulation (à l'aide de la fonction Create simulation image [Créer une image de simulation]), vous pouvez toujours démarrer une simulation au même point, et dans les mêmes conditions. Les variables sont enregistrées dans le synoptique et l'état de la simulation de driver est programmé. L'image du serveur étant transférée, le cas échéant, vous pouvez intégrer plusieurs clients à un même synoptique. Lors du démarrage du Runtime, l'image du serveur est copiée ; dans ce cas, seules les modifications sont transférées.


Activer une connexion de procédé

Manuels -> Simulation de projet -> Généralités -> Activer/désactiver la fonction de simulation du projet -> Activer une connexion de procédé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ici, vous pouvez basculer du mode simulation vers le mode matériel. L'image des variables locales est utilisée à cette fin.

Lorsque vous quittez le mode simulation, celui-ci est enregistré ; vous pouvez ainsi recréer le dernier état du mode simulation, si nécessaire. Si une connexion a été établie avec le serveur, l'image de la simulation est transférée vers le serveur, où elle est enregistrée.

attention Attention

Si une même image de simulation est transférée simultanément depuis plusieurs clients, il n'existe aucune garantie que l'image de simulation copiée sera fonctionnelle.


Activer connexion procédé et transférer image de simulation au serveur

Manuels -> Simulation de projet -> Généralités -> Activer/désactiver la fonction de simulation du projet -> Activer connexion procédé et transférer image de simulation au serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La simulation de projet vous permet de basculer du mode simulation vers le mode matériel. Vous pouvez simuler les procédés dans le mode simulation, aux fins d'un essai. Dans le mode Simulation, les actions de commutation sont exécutées, les recettes sont transmises, les valeurs prescrites sont définies et ainsi de suite, sans que ces opérations ne soient réellement transmises au procédé (à un contrôleur, par exemple).

tutorial Informations concernant la licence

Ces fonctions ou modules doivent disposer d'une licence pour l'Éditeur et le Runtime (simple, serveur, redondant et client).

Pour les projets simples, vous devez disposer d'une licence pour le client. Pour les projets de serveur, seul le serveur/serveur redondant doit comporter une licence.

Si la licence est modifiée au niveau du serveur, les clients doivent être redémarrés pour que la licence soit appliquée.

Simulation de fonctionnement

En mode simulation :

  • Tous les drivers sont démarrés en mode Simulation de driver programmée
  • Aucune donnée n'est enregistrée au niveau externe
    • Le transfert vers SQL n'est pas exécuté
    • Les entrées de la base de données IPA ne sont pas créées
    • Les entrées IPA existantes ne peuvent pas être supprimées, éditées ou commentées
  • Les données d'équipe du module PFS ne sont pas enregistrées dans la base de données
    (La sauvegarde est effectuée après le redémarrage du Runtime en mode Matériel.)

En outre, l'image de la simulation est transférée vers le serveur et est donc accessible à d'autres clients.


Create simulation image (RT in simulation mode) (Créer une image de simulation [Runtime en mode simulation]) et Transfer simulation image to server (RT in hardware mode) (Transférer une image de simulation vers le serveur [Runtime en mode matériel])

Manuels -> Simulation de projet -> Généralités -> Activer/désactiver la fonction de simulation du projet -> Create simulation image (RT in simulation mode) (Créer une image de simulation [Runtime en mode simulation]) et Transfer simulation image to server (RT in hardware mode) (Transférer une image de simulation vers le serveur [Runtime en mode matériel])

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ici, vous pouvez créer une image de simulation et l'enregistrer localement sous le nom donné si vous êtes en mode simulation.

L'image de la simulation est transférée vers le serveur en mode matériel, le cas échéant, et est enregistrée sous le nom indiqué.

info Info

Ici, vous pouvez créer une image des états actuels et les enregistrer. Vous pouvez alors continuer à partir de cette étape, en appliquant exactement les mêmes conditions requises.


Variable de driver système - état du Runtime (simulation)

Manuels -> Simulation de projet -> Variable de driver système - état du Runtime (simulation)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La variable de driver système pour l'état du Runtime (simulation) indique l'état dans lequel se trouve actuellement le Runtime. Vous trouverez ces variables à la rubrique Infos système. Les états suivants sont présents :

État | Description
0 | Connexion au procédé - le Runtime opère en mode matériel.
1 | Commutation vers la connexion de procédé en mode simulation
2 | Commutation vers la simulation avec la connexion de procédé
3 | Dans la simulation - le Runtime opère en mode simulation


Scripts

Manuels -> Simulation de projet -> Scripts

Ces scripts sont disponibles dans le mode simulation ; ils sont exécutés automatiquement :

Script | Description
AUTOSTART_SIMUL | Si le Runtime est démarré en mode simulation, le script portant le nom AUTOSTART_SIMUL est exécuté automatiquement s'il est disponible.
AUTOEND_SIMUL | Si le Runtime est arrêté en mode simulation, le script portant le nom AUTOEND_SIMUL est exécuté automatiquement s'il est disponible.


Caractéristiques spécifiques au mode simulation

Manuels -> Simulation de projet -> Caractéristiques spécifiques au mode simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les différences entre le mode matériel et le mode simulation sont les suivantes :

  • Le répertoire de sauvegarde n'est pas utilisé
  • Les archives ne sont pas transférées
  • Les archives sont uniquement conservées au format zenon
  • La fonction Exporter archive ne peut pas être exécutée
  • Le transfert des données SQL est désactivé pour différents modules
  • La fonction Gestion de messages est désactivée
  • Les Runtime de zenon Logic ne sont pas démarrés.
  • Aucune donnée n'est échangée avec les Runtime de zenon Logic par l'intermédiaire des drivers de zenon.
  • Pas de simulation dans le client Web de zenon et sous Windows CE.
  • Les variables de SB ne reçoivent aucune valeur
  • Le driver n'est pas basculé du mode matériel vers le mode simulation
  • Le script peut ne pas s'exécuter entièrement si une fonction nécessitant le redémarrage du Runtime doit être exécutée dans le script.
  • Le programme de simulation contenu dans la simulation de driver programmée est également utilisé pour la simulation de projet.
  • Dans le mode Simulation, la fonction Save remanent data (Enregistrer les données rémanentes) n'enregistre pas les valeurs pour les drivers suivants :
    • Driver interne
    • Driver mathématique
    • Driver système


Traduction en ligne

Manuels -> Simulation de projet -> Traduction en ligne

Spécifiez les textes concernés par la traduction pour tous les projets dans le projet de démarrage. Vous définissez la fonction dans le projet de démarrage de la même manière. Vous veillez ainsi à ce que le texte en ligne soit bien intégré au projet correspondant. Les éventuels messages d'erreur sont également saisis dans le projet correspondant.


Image de simulation

Manuels -> Simulation de projet -> Image de simulation

Pour garantir que les images seront recréées, les valeurs des variables de driver doivent être enregistrés dans les fichiers suivants :

Nom de fichier | Description
Drv'Treiber-ID'.sim | Dans ce fichier, toutes les valeurs d'un point de données sont enregistrées dans le driver correspondant. Les fichiers sont nécessaires pour recréer toutes les valeurs actuelles dans la simulation après le redémarrage du Runtime. Si les fichiers ont été créés durant le mode de simulation, une image de la simulation programmable est également contenue.
Drv'Treiber-ID'.sim | Dans ce fichiers, les valeurs des variables locales sont enregistrées pour les drivers correspondants. Si le Runtime démarre avec le couplage du procédé et ces fichiers sont localisés, les variables locales obtiennent les valeurs des fichiers. Les fichiers sont ensuite supprimés. Ceci se produit également si le Runtime est démarré manuellement.
Drv'Treiber-ID'.lssim | Enregistre une image des variables locales qui est ensuite incorporée à l'image de la simulation.


Fichiers dans l'image de la simulation

Manuels -> Simulation de projet -> Fichiers dans l'image de la simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si une image est créée pour la simulation, les fichiers et les répertoires sont transférés vers l'image depuis différentes sources. Durant la simulation active, ces données sont utilisées à la place des données originales, telles que celles qui se trouvent dans le répertoire de l'ordinateur.

Les fichiers suivants sont copiés vers le répertoire système de l'image depuis le répertoire système du projet :

  • project.mdb
  • rezepturen.cmp
  • rezepturenrt.cmp
  • fpm.cmp
  • password.cmp
  • passwordrt.cmp

Les répertoires suivants sont également copiés :

  • system\rgm_fb
  • system\rt_profiles
  • system\reports

Tous les fichiers (jusqu'à ceux comportant l'extension de fichier *.lsim) sont transférés depuis le répertoire de l'ordinateur. Pour le mode simulation sans image, les fichiers files *.sim, internvar.bin, sy_ma32.bin et uservar.bin sont transférés. Pour le mode simulation sans archive, tous les fichiers jusqu'à ceux comportant les extensions *.arx et *.ars sont transférés.


Paramètres de la ligne de commande du Runtime

Manuels -> Simulation de projet -> Paramètres de la ligne de commande du Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Runtime reconnaît s'il doit être démarré en mode simulation ou en mode matériel. Si aucun des deux paramètres suivants n'est fourni, le Runtime démarre en mode matériel.

Ces paramètres peuvent également être fournis pour un démarrage manuel.

Paramètres

Description

SIMUL

Ce paramètre permet d'indiquer que le Runtime doit démarrer en mode simulation.

SIMUL[=NomImage]
  • Nom d'image

Ce paramètre est facultatif, et définit le nom de l'image de simulation devant être utilisée pour le mode de simulation.
Si aucun autre nom d'image n'est fourni, le nom de l'ordinateur est utilisé.

REALMODE

Ce paramètre permet d'indiquer que le Runtime doit démarrer en mode matériel.

REALMODE[=NomImage]
  • Nom d'image

Ce paramètre est facultatif, et définit le nom de l'image de simulation devant être transférée vers le serveur après le démarrage. Si vous ne spécifiez pas un nom d'image, aucun transfert n'a lieu.

CANCEL

Ce paramètre permet d'annuler le processus de commutation. Le Runtime est terminé, mais pas redémarré.

RESTART

Après un délai d'attente de 30 secondes, les procédés "dépendants" sont également arrêtés, et le Runtime est redémarré.

zenProcess

L'application zenProcess.exe est utilisée pour redémarrer le Runtime zenon lors de la commutation entre les deux modes, le mode simulation et le mode matériel. Dans ce cas, il attend que tous les processus du Runtime se soient arrêtés. Le nombre et certains noms - au maximum 5 - de ressources en cours sont affichés tant que les ressources sont en cours d'exécution. Le Runtime est ensuite redémarré.


Limitations

Manuels -> Simulation de projet -> Limitations

Les restrictions suivantes sont connues :

  • le module Batch Control (Contrôle de batch) n'est pas pris en charge dans la simulation.


Structure des fichiers

Manuels -> Structure des fichiers

Informations pour les administrateurs système qui souhaitent éditer directement les fichiers .ini.

info Info

Le paramétrage du projet doit être réalisé dans l'Éditeur. Les modifications apportées à zenon6.ini doivent uniquement être effectuées par des experts.

Autres sujets abordés dans ce chapitre

Fichiers système

Fichier de variable dBase IV

project.ini

startup.ini

zenDB.ini :

zenon6.ini

zenWebSrv.ini


Fichiers système

Manuels -> Structure des fichiers -> Fichiers système

Vous trouverez ci-dessous des informations concernant les entrées insérées dans les fichiers système.

Fichier

Description

Fichier de variable dBaseIV

Les paramètres d'importation de fichiers dBase IV.

project.ini

Paramètres du projet.

Le fichier project.ini se trouve dans le chemin du Runtime du projet correspondant. Pour ouvrir ce chemin :

  • Sélectionnez le projet
  • Appuyez sur les touches Ctrl+Alt+E
  • Le dossier SQL du projet est ouvert
  • Accédez à ...\FILES\zenon\system

startup.ini

Paramètres de l'outil Startup Tool de zenon.

zenon6.ini

Paramètres du logiciel de visualisation.

Le fichier zenon6.ini se trouve dans le chemin suivant :

C:\ProgramData\COPA-DATA\System\

zenDB.ini :

Paramètres de la base de données SQL

Traitement du fichier zenon6.ini

Les paramètres du fichier zenon6.ini sont traités dans l'ordre suivant :

  1. zenon6.ini
  2. Valeur par défaut

Dans ce cas, la première entrée trouvée est utilisée.

Traitement du fichier project.ini

Les paramètres du fichier project.ini sont traités dans l'ordre suivant :

  1. project.ini
  2. zenon6.ini
  3. Valeur par défaut

Dans ce cas, la première entrée trouvée est utilisée.


Fichier de variable dBase IV

Manuels -> Structure des fichiers -> Fichier de variable dBase IV

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour assurer l'importation et l'exportation de variables, le fichier dBase IV doit posséder la structure et le contenu suivants :

attention Attention

dBase ne prend pas en charge les structures ou les tableaux (variables complexes) lors de l'exportation.

Les fichiers DBF doivent :

  • posséder un nom conforme au format DOS 8.3 (8 caractères alphanumériques pour le nom, 3 caractères pour l'extension, pas d'espace)
  • Être conservés à proximité du répertoire racine (Root)

Structure

Description | Type | Taille de champ | Commentaire
KANALNAME | Char | 128 | Nom de la variable. La longueur peut être limitée à l'aide de l'entrée MAX_LAENGE dans le fichier project.ini.
KANAL_R | C | 128 | Le nom original d'une variable devant être remplacée par le nouveau nom saisi sous VARIABLENNAME (le contenu du champ/de la colonne doit être saisi manuellement). La longueur peut être limitée à l'aide de l'entrée MAX_LAENGE dans le fichier project.ini .
KANAL_D | Log | 1 | La variable est supprimée avec l'entrée 1 (le contenu du champ/de la colonne doit être saisi manuellement).
TAGNR | C | 128 | Identification. La longueur peut être limitée à l'aide de l'entrée MAX_LAENGE dans le fichier project.ini .
Unité | C | 11 | Unité technique
DATENART | C | 3 | Type de données (par exemple bit, octet, word, etc.) ; correspond au type de données.
KANALTYP | C | 3 | Zone mémoire dans l'automate (par exemple, zone de marqueur, zone de données, etc.) ; correspond au type d'objet de driver.
HWKANAL | Num | 3 | Adresse bus
BAUSTEIN | N | 3 | Adresse de blocs de données (datablock) (seulement pour les variable de la zone de données de l'automate)
ADRESSE | N | 5 | Offset
BITADR | N | 2 | Pour les variables bit : adresse du bit Pour les variables de type octet : 0=octet de poids faible, 8 octet de poids fort ?Pour les variables de type chaîne de caractères : Longueur de la chaîne (max 63 caractères)
ARRAYSIZE | N | 16 | Nombre de variables dans l'ensemble pour les variables indexées ATTENTION : Seule la première variable est complètement disponible. Toutes les autres ne sont disponibles que pour le VBA ou le gestionnaire de groupes de recettes.
LES_SCHR | R | 1 | Autorisation-Lecture-Ecriture, 0 : Pas d'autorisation pour forcer les variables. 1 : Autorisation de définir la valeur.
MIT_ZEIT | R | 1 | Horodatage dans zenon (uniquement si pris en charge par le driver)
OBJEKT | N | 2 | Numéro d'identification de l'objet primitif spécifique au driver Inclut TREIBER-OBJEKTTYP et DATENTYP
SIGMIN | Flottant | 16 | Signal non linéaire – minimum (résolution du signal)
SIGMAX | F | 16 | Signal non linéaire – maximum (résolution du signal)
ANZMIN | F | 16 | Valeur technique - minimum (plage de mesures)
ANZMAX | F | 16 | Valeur technique - maximum (plage de mesures)
ANZKOMMA | N | 1 | Nombre de décimales pour l'affichage des valeurs (plage de mesures)
UPDATERATE | F | 19 | Intervalle d'actualisation des variables mathématiques (en secondes, une décimale possible) Non utilisée pour toutes les autres variables
MEMTIEFE | N | 7 | Uniquement pour des raisons de compatibilité
HDRATE | F | 19 | Période de rafraîchissement HD pour les valeurs consignées dans l'historique (en secondes, une décimale possible)
HDTIEFE | N | 7 | Profondeur de spécification HD des valeurs historiques (nombre)
NACHSORT | R | 1 | Les données HD sous forme de valeurs post-triées
DRRATE | F | 19 | Mise à jour de la sortie (pour le serveur DDE de zenon, en [s], une décimale possible)
HYST_PLUS | F | 16 | Hystérésis positif, dans la plage de mesures
HYST_MINUS | F | 16 | Hystérésis négatif, dans la plage de mesures
PRIOR | N | 16 | Priorité de la variable
REAMATRIZE | C | 32 | Matrice de réaction attribuée
ERSATZWERT | F | 16 | Valeur de remplacement dans la plage de mesures
SOLLMIN | F | 16 | Valeur minimum pour les actions d'envoi de valeur prescrite, dans la plage de mesures
SOLLMAX | F | 16 | Valeur maximum pour les actions d'envoi de valeur prescrite, dans la plage de mesures
VOMSTANDBY | R | 1 | Récupération de la valeur à partir du serveur redondant, la valeur de la variable n'est pas demandée par le serveur mais par le serveur redondant dans les réseaux redondants.
RESOURCE | C | 128 | identification ressources Chaîne de caractères libre pour l'exportation et l'affichage dans les listes. La longueur peut être limitée à l'aide de l'entrée MAX_LAENGE dans le fichier project.ini .
ADJWVBA | R | 1 | Ajustement de valeur non linéaire : 0 : l'ajustement de valeur non linéaire est utilisé. 1: L'ajustement non linéaire n'est pas utilisé.
ADJZENON | C | 128 | Macro VBA liée pour lire la valeur de la variable pour l'ajustement non linéaire.
ADJWVBA | C | 128 | Macro VBA liée pour écrire la valeur de la variable pour l'ajustement non linéaire.
ZWREMA | N | 16 | Compteur REMA lié.
MAXGRAD | N | 16 | Dépassement gradient pour le compteur REMA.

attention Attention

Lors de l'importation, le type d'objet de driver et le type de données doivent être modifiés au niveau du driver cible dans le fichier DBF, pour que les variables soient importées.

Définition de la limite

Définition de la limite pour les valeurs limites 1 à 4 et l'état 1 à 4 :

Description | Type | Taille de champ | Commentaire
AKTIV1 | R | 1 | Valeur limite active (par valeur limite disponible)
GRENZWERT1 | F | 20 | Valeur technique ou identifiant d'une variable liée pour une limite dynamique (voir VARIABLEx) (si VARIABLEx est égal à 1 et ici à -1, le lien existant vers une variable n'est pas écrasé).
SCHWWERT1 | F | 16 | Valeur de seuil de la limite
HYSTERESE1 | F | 14 | Non utilisé
BLINKEN1 | R | 1 | Définition de l'attribut de clignotement
BTB1 | R | 1 | Enregistrement dans le CEL
ALARM1 | R | 1 | Alarme
DRUCKEN1 | R | 1 | Sortie sur imprimante (pour liste CEL ou liste d'alarmes)
QUITTIER1 | R | 1 | Acquittement nécessaire
LOESCHE1 | R | 1 | Suppression nécessaire
VARIABLE1 | R | 1 | Lien de valeur limite dynamique La limite est définie par une valeur absolue (voir le champ GRENZWERTx).
FUNC1 | R | 1 | Liaison de fonctions
ASK_FUNC1 | R | 1 | Exécution via la liste d'alarmes
FUNC_NR1 | N | 10 | Identifiant de la fonction liée (si -1 est saisi ici, la fonction existante n'est pas écrasée lors de l'importation)
A_GRUPPE1 | N | 10 | Groupe d'alarmes/d'événements
A_KLASSE1 | N | 10 | Classe d'alarmes/d'événements
MIN_MAX1 | C | 3 | Minimum, Maximum
FARBE1 | N | 10 | Couleur sous forme de code Windows
GRENZTXT1 | C | 66 | Texte de valeur limite
A_DELAY1 | N | 10 | Délai
INVISIBLE1 | R | 1 | Invisible

Les expressions dans la colonne Commentaire se réfèrent aux expressions utilisées dans les boîtes de dialogue pour la définition des variables. Pour plus d'informations, voir le chapitre Définition des variables.


project.ini

Manuels -> Structure des fichiers -> project.ini

Remarque : Le paramétrage du projet doit être réalisé dans l'Éditeur. Les modifications apportées à project.ini doivent uniquement être effectuées par des experts.

Entrée

Fonction

[DEFAULT]

BLINK=

Fréquence de clignotement des éléments dynamiques, en millisecondes.

MOUSE_FOCUS=

1 : Focus activé par la souris actif (par défaut)
0 : Focus activé par la souris inactif

VERS_CHECK=

1 : vérification des numéros de version du logiciel dans les DLL au démarrage du programme

RELEASE=5
  • 0 : titre avec menu système, boutons maximiser et minimiser
  • 1 : Titre avec boutons Agrandir et Réduire
  • 2 : Titre avec bouton réduire
  • 3 : Titre avec bouton agrandir
  • 4 : titre sans élément d'utilisation (pas de menu système ou de boutons minimiser ou maximiser)
  • 5 : pas de titre - l'écran configuré est agrandi à la taille de la barre de titre. Cette option offre l'avantage d'autoriser l'utilisation de toute la surface de l'écran ; toutefois, cette propriété doit être prise en compte lors de la configuration.
  • 6 : Titre avec menu système, ou titre avec menu système et boutons Réduire et Agrandir.

AUFFUELLEN=
  • 0 : la valeur entrante correspondante est enregistrée lors de l'administration des données du disque dur et de la mémoire.
  • 1 : Les données HD sont enregistrées à intervalles de temps définis. Avec des intervalles plus longs, il se peut qu'une quantité de données plus importante soit enregistrée.

SYSKEY=

0 : les combinaisons de touches système ne sont pas verrouillées.
1 : les touches système sont verrouillées dans le Runtime
Touches système : Alt+Tabulation, Alt+Échap, Alt+F4 etc.

BTB_DRUCKEN=0

1 : transmission des entrées de la liste CEL à l'imprimante
0 : Liste d'alarmes :

ONLINE_DRUCKEN=1

1 : les entrées en ligne (liste CEL ou alarmes) sont également consignées, si nécessaire.
0 : fonction de journalisation supplémentaire inactive.

CURSOR=1

1 : le curseur par défaut de Windows est affiché dans le Runtime? (par défaut)
0 : curseur désactivé (pour les écrans tactiles)

MILLISEK=0

Si les données HD et les tendances doivent être affichés sous forme de cycles en millisecondes (=1) ou non (=0)

HDDATEN=

Gestion HD active (1) ou inactive (0)

HEX=0

0 : les adresses de variables sont affichées normalement
1 : Les adresses des variables sont affichées sous forme hexadécimale

GW_FKT_AT_RT_START =1

Si la valeur définie est 0 lors du démarrage du Runtime et qu'une valeur de limite est actuellement en cours de dépassement, la fonction de valeur limite est à nouveau exécutée.

LOG_FLAGSx

Cette entrée active la fonctionnalité de trace étendue. X doit être remplacé par le groupe de traces qui doit être activé. Pour chaque groupe, on peut définir en codage par bit, quel message doit être tracé. Ces messages sont sortis via l'interface de débogage de Windows. Si un fichier d'erreur est généré, ici aussi, une entrée est signalée.
Pour le moment, seul le groupe 0 pour le module PFS est mis en œuvre. Ce groupe supporte les bits suivants :
0 - Erreurs toujours actives
1 - Avertissements
2 - Journal des calculs
3 - Journal des éléments omis lors des calculs.
4 - Exécution du journal
5 - Messages généraux
6 - Enregistrement de la liste des événements après calcul
7 - Enregistrement de la liste intégrale des événements après calcul
8 - Enregistrement des messages du réseau
9 - Enregistrement des conversions de profils
10 - Serveur d'enregistrement, messages du réseau
11 - Messages concernant l'actualisation des liens d'objets

USEREVENTNEEDMODEL=1

Si cette valeur est égale à 0, les événements utilisateur sont également exécutés durant les journées sans poste.

[FUNKTIONEN]

EIN=1

ZURUECK_SCHABLONEN=

Noms des cadres dont les synoptiques doivent être insérés dans la liste lors de l'exécution de la fonction Synoptique : retour au précédent. Vous pouvez spécifier plusieurs cadres en séparant leurs noms par un espace. Par ex. : ZURUECK_SCHABLONEN=_111,_333,_BU).

Dans un projet d'intégration, les cadres de tous les sous-projets doivent être entrés dans le fichier project.ini pour que la variable système fonctionne également dans les sous-projets.

ZURUECK_ANZAHL=

Nombre de synoptiques pour la fonction Synoptique : retour au précédent.

PROJECTONLY=0

0 : la fonction Synoptique : retour au précédent fonctionne dans tous les projets. Par défaut
1 : la fonction Synoptique : retour au précédent fonctionne uniquement dans les projets comportant des synoptiques internes

SOUND=

Un nombre compris entre 1 et 255 qui sélectionne et lit le son de la fonction Son beep : début.

Son beep : début

Cette fonction lit un fichier audio (*.wav) sélectionné de façon continue.

Plus de détails dans l'aide en ligne

REZEPT_AENDERN=

1 : Les recettes : recettes pouvant être modifiées dans le Runtime

0 : recettes ne pouvant pas être modifiées dans le Runtime

NAMEN=0

Affichage des fonctions représentées par leur nom (1) ou par la fonction (0).

[Alarm]

Gestion des alarmes

EIN=1

Gestion des alarmes active (1) ou inactive (0) lors du démarrage du logiciel de gestion d'alarmes.

ALARMMELDELISTE=03452

Ordre des entrées de la liste d'alarmes :

  • 0 : nom de variable unique
  • 1 : Identification
  • 2 : texte d’alarme
  • 3 : heure de réception de l'alarme
  • 4 : Heure d'acquittement de l'alarme
  • 5 : Heure d'acquittement

par exemple :

ALARMLIST=13452
identification-apparition-disparition-acquittement-texte d'alarme

NACHSCHIEBEN=0

doit être décalé dans la ligne d'état de la prochaine alarme correspondante (1), ou seule la prochaine alarme doit rendre la ligne visible à nouveau (0).

ZEIT_TYP=6

Le format auquel l'heure doit être indiquée.

VAR_ANZ=

Nombre de caractères utilisés pour les noms de variables.

TAG_ANZ=

Nombre de caractères utilisés pour l'identification des variables.

ALA_ANZ=

Nombre de caractères utilisés pour les textes d'alarmes

STAT_ANZ=

Nombre de caractères utilisés pour les affichages d'état.

USER_ANZ=

Nombre de caractères utilisés pour les noms d'utilisateur

COMPUTER_ANZ=

Nombre de caractères utilisés pour les noms d'ordinateur

RTEXT_ANZ=

Nombre de caractères pour les textes de réaction (commentaire)

CLASS_ANZ=

Nombre de caractères pour la classe d'alarmes/d'événements

GROUP_ANZ=

Nombre de caractères pour le groupe d'alarmes/d'événements

AELTESTER=1
  • 1 : l'alarme la plus ancienne est affichée dans la ligne d'état des alarmes.
  • 0 : l'alarme la plus récente est affichée dans la ligne d'état des alarmes.

STATUS=

1 : la ligne d'état des alarmes est affichée.

0 : la ligne d'état des alarmes n'est pas affichée.

MILLISEK=0
  • 0 : pour le paramètre Heure d'apparition, les millisecondes ne sont ni affichées, ni imprimées
  • 1 : les millisecondes sont également affichées

FARBE_KOMMT=

Couleur d'affichage du texte de réception des alarmes dans la liste d'alarmes

FARBE_GEHT=

Couleur d'affichage du texte d'envoi d'alarmes dans la liste d'alarmes

FARBE_QUIT=

Couleur d'affichage du texte d'acquittement des alarmes dans la liste d'alarmes

BEEP=1
  • 1 : un bip est émis lors de l'activation de la première alarme
  • 0 : aucun son n'est émis

STATUS_SCHRIFT=0

Indice de la police de caractères sélectionnée pour le texte dans la ligne d'état. Peut être défini dans le champ de configuration de la liste d'alarmes (par défaut, 0 - police de caractères système).

TITLE_NAME=

Texte affiché dans l'en-tête de la colonne, dans la mesure où celui-ci n'est pas configuré directement dans l'élément (par défaut, le titre est extrait des ressources linguistiques spécifiques). Ne définissez cette entrée que si vous souhaitez modifier le contenu par défaut !

TITLE_TAGNR=

cf. TITLE_NAME

TITLE_TEXT=

cf. TITLE_NAME

TITLE_COMES=

cf. TITLE_NAME

TITLE_GOES=

cf. TITLE_NAME

TITLE_QUIT=

cf. TITLE_NAME

TITLE_TIME_LASTING=

cf. TITLE_NAME

TITLE_STATUS=

cf. TITLE_NAME

TITLE_VALUE=

cf. TITLE_NAME

TITLE_USER=

cf. TITLE_NAME

TITLE_COMP=

cf. TITLE_NAME

TITLE_REACT_TIME=

cf. TITLE_NAME

TITLE_REACT_COUNT=

cf. TITLE_NAME

TITLE_REACT_STAT=

cf. TITLE_NAME

TITLE_ACT_TEXT=

cf. TITLE_NAME

TITLE_CLASS=

cf. TITLE_NAME

TITLE_GROUP=

cf. TITLE_NAME

HEADER=1

Affichage des en-têtes de colonnes dans la liste d'alarmes

HEADER_ENABLE=1

1 : l'en-tête de colonne peut être actionné

0 : l'en-tête de colonne est uniquement utilisé pour l'affichage

RESOURCELABEL

Décrit la colonne d'identification des ressources.

RESOURCELABEL_ANZ

Largeur en caractères de la colonne d'identification des ressources.

COMES_ANZ

Largeur en caractères de la colonne Heure d'apparition.

GOES_ANZ

Largeur en caractères de la colonne Heure de disparition.

QUIT_ANZ

Largeur en caractères de la colonne Heure d'acquittement.

REACT_TIME_ANZ

Largeur en caractères de la colonne Heure de réactivation.

REACT_COUNT_ANZ

Largeur en caractères de la colonne Nombre de réactivations.

REACT_STAT_ANZ

Largeur en caractères de la colonne Reactivated variable status (État de la variable réactivée).

TIME_LASTING_ANZ

Largeur en caractères de la colonne Active.

PREF_COMES

Préfixe par défaut de l'alarme reçue.
Par défaut : Par défaut :"TEXT=>>"

PREF_GOES

Préfixe par défaut de l'alarme supprimée.
Par défaut : Par défaut :"TEXT=<<"

PREF_QUIT

Préfixe par défaut de l'alarme acquittée.
Par défaut : Par défaut : "TEXT=--"

PREF_IMAGE_COMES

Fichier graphique pour l'alarme reçue.

PREF_IMAGE_GOES

Fichier graphique pour l'alarme supprimée.

PREF_QUIT_GOES

Fichier graphique pour l'alarme acquittée.

GROUPSYMBOL_ANZ

Largeur en caractères de la colonne Alarm group symbol (Symbole de groupe d'alarmes).

TITLE_GROUPSYMBOL_STYLE

Type d'affichage de la colonne Alarm/Event group symbol (Symbole de groupe d'alarmes/d'événements).

TITLE_GROUPSYMBOL

Description de la colonne Alarm/Event group symbol (Symbole de groupe d'alarmes/d'événements).

CLASSSYMBOL_ANZ"

Largeur en caractères de la colonne Alarm/Event class symbol (Symbole de classe d'alarmes).

TITLE_CLASSSYMBOL_STYLE

Type d'affichage de la colonne Alarm/Event class symbol (Symbole de classe d'alarmes/d'événements).

TITLE_CLASSSYMBOL

Description de la colonne Alarm/Event class symbol (Symbole de classe d'alarmes/d'événements).

TITLE_STATUSCAPTION_STYLE

Type d'affichage de la colonne Alarm status (Etat d'alarme).

AREA_ANZ

Largeur en caractères de la colonne Domaine d'alarme.

AREA

Description de la colonne Alarm area (Domaine d'alarme).

AREANR_ANZ

Largeur en caractères de la colonne Alarm area number (Numéro de domaine d'alarme).

AREANR

Description de la colonne Alarm area number (Numéro de domaine d'alarme).

QUIT_IN_CEL=

Détermine si les acquittements d'alarmes font également l'objet d'une entrée dans la liste chronologique d'événements (1) ou non (0).

COLOR_CLASS=

1 : Les couleurs proviennent des classes,
0 : (par défaut) comme usuellement (couleurs trié, non-trié)

Si aucune classe n'est liée à une limite, la couleur du fond ou du texte prend la couleur définie dans l'élément "liste" dans le synoptique.

COLOR_BACKGROUND=

1 : la couleur de la classe est interprétée comme une couleur d'arrière-plan
0 : la couleur de la classe définit la couleur du texte

Si aucune classe n'est liée à une limite, la couleur du fond ou du texte prend la couleur définie dans l'élément "liste" dans le synoptique.

DYN_LIMIT_FILE=0

Les textes de limite dynamiques (liste d'alarmes) utilisent le champ "texte de réaction" pour stocker la chaîne dynamique (limité à 80 caractères). Le champ "texte de réaction" est donc réservé. Si le champ "texte de réaction" est nécessaire ou si 256 caractères sont nécessaires, un 1 doit être entré ici (un fichier additionnel avec le nom D*.AML est créé).

COLOR_ACKN_MARKER = xxx

Avec cette entrée, deux rectangles de couleur XXX clignotent sur les alarmes non-acquittées. Après l'acquittement le clignotement s'arrête.

xxx est calculé comme suit : partie rouge (0-255) + 256 * partie verte (0-255) + 65536 * partie bleue (0-255)

[BTB]

Liste chronologique d'événements

DRUCKE_SYSMLDG=1

Les messages du système doivent également être imprimés (1) ou incorporés dans la liste (0).

EIN=1

La communication au journal d'activité est active

FARBE_SORT=blue

Couleur utilisée pour les entrées triées

FARBE_UNSORT=

Couleur utilisée pour les entrées non-triées

HEADER=1

Définit si l'affichage des en-têtes de colonnes dans la liste est activé (1) ou désactivé (0).

HEADER_ENABLE=1

1 : l'en-tête de colonne peut être actionné

0 : l'en-tête de colonne est uniquement utilisé pour l'affichage

VAR_ANZ=

Nombre de caractères pour les noms de variables

TAG_ANZ=

Nombre de caractères pour l'identification des variables

TXT_ANZ=

Nombre de caractères pour les textes liés

WERT_ANZ=

Nombre de caractères pour la valeur obtenue

STAT_ANZ=

Nombre de caractères pour les textes d'état

USER_ANZ=

Nombre de caractères utilisés pour les noms d'utilisateur

COMPUTER_ANZ=

Nombre de caractères utilisés pour les noms d'ordinateur

RTEXT_ANZ=

Nombre de caractères pour les textes de réaction (commentaire)

CLASS_ANZ=

Nombre de caractères pour la classe d'alarmes/d'événements

GROUP_ANZ=

Nombre de caractères pour le groupe d'alarmes/d'événements

ZEIT_TYP=6

>5: affichage avec la date
2, 3, 6 ou 7 : affichage avec l'heure
3 ou 7 : affichage de l'heure avec les millisecondes

BTBLISTE=032

Entrées souhaitées et ordre de la liste
0 : Nom de variable (V)
1 : identification
2 : texte
3 : heure d'apparition
6 : informations d'état
7 : Valeur
8 : affichage pour l'utilisateur

SOLLWERT=0
  • Définit si les spécifications de valeurs doivent ou non être insérées dans la liste chronologique d'événements :
    0 : Toutes les actions sont consignées
    1 : uniquement les actions exécutées par l'intermédiaire de la boîte de dialogue Valeur prescrite 2 : aucune action n'est exécutée

ISTWERT=0
  • 0 : la valeur actuelle n'est ni enregistrée, ni affichée
  • <>0 : la valeur actuelle est enregistrée et affichée si les actions de définition de valeurs sont consignées dans la liste CEL.

REZEPT=1

0 : aucune entrée dans la liste CEL
1 : les recettes exécutées du gestionnaire de groupes de recettes sont indiquées dans la liste CEL

RTEXT_ANZ=45

Nombre de caractères pour les textes de réaction dans la Liste chronologique d'événements.

FIRST_ENTRY=0

Au démarrage du système, les violations de limite existantes ne sont pas relevées par le système. Seules les violations de limite survenant après le démarrage du système sont consignées dans la liste (0). Les violations de limite existantes sont également consignées (1).

TITLE_NAME=

Texte affiché dans l'en-tête de la colonne, dans la mesure où celui-ci n'est pas configuré directement dans l'élément (par défaut, le titre est extrait des ressources linguistiques spécifiques). Ne définissez cette entrée que si vous souhaitez modifier le contenu par défaut !

TITLE_TAGNR=

cf. TITLE_NAME

TITLE_TEXT=

cf. TITLE_NAME

TITLE_COMES=

cf. TITLE_NAME

TITLE_STATUS=

cf. TITLE_NAME

TITLE_VALUE=

cf. TITLE_NAME

TITLE_USER=

cf. TITLE_NAME

TITLE_COMP=

cf. TITLE_NAME

TITLE_ACT_TEXT=

cf. TITLE_NAME

TITLE_CLASS=

cf. TITLE_NAME

TITLE_GROUP=

cf. TITLE_NAME

TXT_FILE=0

0 : les entrées de la liste CEL sont enregistrées au format du système de contrôle (*.CEL)
1 : les entrées de la liste CEL sont enregistrées au format texte (*.TXT) et ne sont plus lisibles dans zenon

NAME_BTB=

(uniquement si TXT_FILE=1)
Utilisation de noms courts pour les fichiers texte enregistrés
(par défaut = BTB, c'est à dire BTBJJMM.TXT où JJ = jour et MM = mois)

SPONTAN=

1 – Toutes les nouvelles entrées de la CEL sont ajoutées immédiatement (excepté si la liste est interrompue)
0 – Les modifications sont mises à jour lors de la prochaine réouverture de la liste (avantage : diminue le trafic de données sur le réseau)

COLOR_CLASS=

1= Les couleurs proviennent des classes, 0=(par défaut) comme usuellement (couleurs trié, non-trié) Si aucune classe n'est liée à une limite, la couleur du fond ou du texte prend la couleur définie dans l'élément "liste" dans le synoptique.

COLOR_BACKGROUND=

1 - Couleur de classe interprétée comme couleur de fond,
0 - La couleur de classe définit la couleur du texte. Si aucune classe n'est liée à une limite, la couleur du fond ou du texte prend la couleur définie dans l'élément "liste" dans le synoptique.

DYN_LIMIT_FILE=0

Les textes de limite dynamiques (liste d'alarmes) utilisent le champ "texte de réaction" pour stocker la chaîne dynamique (limité à 80 caractères). Le champ "texte de réaction" est donc réservé. Si le champ "texte de réaction" est nécessaire ou si 256 caractères sont nécessaires, un 1 doit être entré ici (un fichier additionnel avec le nom D*.AML est créé).

[FRM_PRNT]

LINES=

Nombre de lignes par page lors de l'utilisation du fichier FRM_PRNT.DLL (édition mise en forme de la liste d'alarmes).
Par défaut = 0

[ELEMENTE]

TREND_ZEIT_FAKTOR=

Facteur multiplicatif pour les intervalles de temps lors de l'affichage des courbes de tendances. Une courbe de tendance est uniquement tracée si la distance entre deux valeurs insérées est égale à X fois la fréquence d'actualisation nécessaire. Aucune vérification n'est effectuée pour la valeur 0 (vérification par rapport aux valeurs historiques uniquement) (valeur par défaut 20)

[DRUCKER]

MAXPJ=90

Nombre maximum de documents à imprimer dans le gestionnaire d'impression de Windows. Si ce nombre est dépassé, il y a une entrée dans le CEL.

MAXNAMEN=9

Lors de l'impression en ligne, les entrées individuelles sont traitées comme des tâches d'impression distinctes. Afin d'éviter tout conflit au niveau des noms de tâches d'impression, la longueur de ces noms peut être modifiée ici.

DRUCKZEIT=2

Si plusieurs alarmes se produisent au même moment, il est possible de les associer sous forme d'une seule et même tâche d'impression. Au moins 2 secondes doivent s'écouler sans qu'une alarme ne survienne pour que la tâche d'impression soit transmise à l'imprimante.

[PATH]

EXPORTPFAD=

Dernier chemin d'exportation défini pour l'exportation de données ou de rapports dans le Runtime.

REPORTS=

Chemin d'accès au tableau pour la fonction ScreenDirect, ainsi que les fonctions Exporter ou Imprimer rapport.

VIDEO=

Chemin d'accès des fichiers fichiers vidéo (*.avi) dans le Runtime.

LISTEN=

Chemin d'accès des listes et des valeurs actuelles destinées à l'impression (fichiers *.txt, *.qrf, *.frm).

BACKUP=

Chemin d'accès des archives sauvegardées
Par défaut = répertoire du projet

[ARCHIV]

TRENNZEICHEN=;

Séparateur de champs pour l'exportation sous forme de fichiers ASCII

ARCHDIGITS=

Nombre de positions décimales pour l'exportation d'archives aux formats TXT, XML ou DBF et pour l'exportation vers un serveur SQL.
Par défaut=1.

KANALAUSWAHL=1

Valide pour les canaux d'archives du module Extended Trend
1 – Dans la boîte de dialogue de sélection d'archives, l'option "Tous les canaux" est affichée,
2 - Dans la boîte de dialogue de sélection d'archives, l'option "Toutes les canaux" n'est pas affichée

SPEICHER=

Nombre maximal de valeurs devant être lues dans la mémoire pour le module Tendances étendues, la révision d'archives, les listes AML et CEL et les tables.

Nombre exprimé en kilo-octets.

Par exemple : 2000000 pour 2 Go)

Par défaut à partir de la version 6.20 : 1000000 (=1 Go)

Attention : pour les données d'archives, les valeurs sont toujours lues, même si une variable seulement est affichée.

Remarque : l'espace disponible est vérifié avant la lecture des données d'archive (*.arx). Si une taille supérieure à la taille définie est requise, la lecture est annulée et un message d'erreur est écrit dans le fichier journal de l'outil Diagnosis Viewer.

STATUSSPERRBIT=1

Cette entrée définit un bit dans l'état ; ce bit empêche l'archivage des valeurs. Toutes les valeurs dans lesquelles ce bit est défini ne sont pas archivées avec leur valeur actuelle, mais avec la valeur de substitution INVALID.
Valeurs valides de 0 à 31.
Paramètres par défaut -1 (inactif)

ZEIT_AUTOMATISCH=0

1 = correction temps automatique d'une (1) seconde appliquée aux archives résultantes (par ex une valeur de 12:00:00 pm est définie en 11:59:59 pm du jour PRÉCÉDENT)
0 : = pas de correction.

CLIENTS_LOAD_LOCAL=0

1 : les fichiers d'archive sont lus localement sur le client et ne sont pas demandés au serveur. Ceci ne fonctionne pas avec la sélection de lots. Uniquement pour les archives au format *.arx et le transfert vers SQL.

Attention : la configuration d'une entrée n'entraîne pas la synchronisation des données par le Runtime avec le client zenon. Les données de l'archive doivent être copiées manuellement vers le client.

SQL_MAXROWS=

Nombre maximum de valeurs pouvant être lues depuis la base de données SQL. La valeur saisie correspond à des incréments de 1000 valeurs. 100 = 100 000 valeurs.

À compter de la version 6.50, une fonction vérifie automatiquement qu'il reste 10 % de mémoire libre.

[EXPORT]

OK_MESSAGEBOX=1

Boîte de message indiquant l'exportation de données réussie
1 - La boîte de message est affichée.
0 - Aucune boîte de dialogue n'est affichée.

FILEEXIST_MESSAGEBOX=

Boîte de dialogue d'écrasement de fichier
1 - La boîte de dialogue est affichée à l'écran.
0 - Aucune boîte de dialogue n'est affichée.

FILEEXIST_OVERWR_APP_CAN=

Le fichier existe déjà. ?0 - Remplacer
1 Ajouter (les nouveaux enregistrements sont ajoutés)
2 - Annuler (l'exportation est annulée)

MAX_LAENGE=32

nombre de décimales dans les archives au format DBF, par défaut = 32

[EW_TREND]

ANZEIGE_GWTEXT=0

Activation ou désactivation du texte de valeur limite (relatif à la lecture des courbes)

[PS3]

COM=com1:96,n,8,2

Configuration du port série.

TYPE=PS32

Type d'automate utilisé.

[SAT-DRIVER]

Paramètres du driver SAT

DDE-SERVER=2

Version de DDE Server
2 = DDE Server 2.0
3 = DDE Server 3.0
Par défaut = 2. Utilisé dans les versions 3.51 et ultérieures.

BUFFER_SIZE=300

Taille de la mémoire tampon transmise à Runtime. Si nécessaire, la taille de cette mémoire tampon peut être augmentée pour atteindre la taille définie dans le paramètre BUFFER_SIZE_MAX.

BUFFER_SIZE_MAX=10000

Taille maximale de la mémoire tampon transmise au Runtime zenon (SICAM 230 RT).

INTERN_BUFFER_SIZE=2000

Pour la communication avec le serveur DDE, un "buffer" (zone de mémoire) circulaire est utilisé. Définition de la taille (nombre de valeurs sauvegardées)

TIMER_TIMEOUT_MSEC=500

Durée de la mise en mémoire tampon (cache) en millisecondes. La mémoire tampon peut être vidée plus fréquemment (par ex. lorsque des données provenant de la même variable se succèdent rapidement, ou dans l'éventualité d'un dépassement de capacité).

EZ_PUFFERGROESSE=200

Taille de la mémoire tampon utilisée pour les données en temps réel.

[RT]

Configuration du Runtime

CURSOR_STEPS=2

Distance de déplacement du pointeur de souris, en nombre de pixels, lorsqu'il est contrôlé à l'aide du clavier

ERSTE_TASTE=0

Si les fonctions sont actionnées par l'intermédiaire d'une pression sur une touche, vous pouvez exécuter toutes les fonctions liées à cette touche (0) ou uniquement la première fonction trouvée (1).

SELECTION_NORMAL=1

Indicateur d'une entrée sélectionnée dans une liste (alarmes ou CEL) ; l'entrée est signalée par un cadre (0) ou un fond coloré (1).

WITH_ACTION=1

Détermine si, lors de l'utilisation des éléments, l'élément actionné est le premier élément sous le pointeur de la souris (WITH_ACTION = 0) ou le premier élément sous le pointeur lié à une action (WITH_ACTION = 1).

NOT_WORKING_AKTIV=0

Après un certain délai sans aucune intervention de l'utilisateur, une fonction sélectionnée peut être exécutée automatiquement. Cette entrée permet d'activer (1) ou de désactiver (0) l'exécution de cette fonction.

NOT_WORKING_TIME=60

Délai en minutes après lequel la commande spécifiée ci-dessus peut être exécutée ici.

NOT_WORKING_FUNC=0

Numéro interne de la fonction devant être exécutée après expiration du délai spécifié

WIN_CE=0

Détermine s'il s'agit d'un projet compatible CE (1 : certaines fonctions ne sont pas accessibles) ou non (0, par défaut : ensemble des fonctions, selon la version utilisée).

TOUCHSCREEN=1

Activer le clavier automatique pour les écrans tactiles

[STATUS]

STATUS0=

Texte utilisé pour les informations d'état si le Bit0 est haut. Il est possible de spécifier un texte long et un texte court, séparés par ";".

STATUSx=

Cf. STATUS0 pour les entrées 1 à 63.

[TABELLE]

TRENNZEICHEN=

Les séparateurs de cellules individuelles utilisés pour l'exportation de rapports au format *.TXT dans le Runtime (par ex. uniquement les caractères accessibles à l'aide d'une touche, par exemple « - », « . » ou Tabulation).

[SYSTEMTREIBER]

UPDATE_SEK=5

Temps de cycle du driver système en secondes.

WISCHER_BOXEN=
  • 0 : un bip est émis à la place de l'affichage de boîtes de messages dans le Runtime (les écrans de message définis par l'utilisateur peuvent être affichés à l'aide des variables système)
  • 1 : les boîtes de message sont affichées comme précédemment.

WISCHER_BOXEN_USERLEVEL=

Actif uniquement si WISCHER_BOXEN=1

  • 0 : un message d'erreur est affiché si l'utilisateur n'est pas autorisé à effectuer l'opération.
  • 1 : Aucun message d'erreur n'est affiché si l'utilisateur n'est pas autorisé à effectuer l'opération.

[PROJEKTLINKS]

Paramètres relatifs aux projets liés

LINK1=PROJEKTNAME

Définition du nom de projet

LINKPATH1=PROJEKTPFAD

Définition du chemin d'accès au projet

GLINK=PROJEKTNAME

Définition du nom de projet global

GLINKPATH=PROJEKTPFAD

Définition du chemin d'accès global du projet

[NETZ]

Réseau

SERVER=[Valeur]

Valeur -1 - Réseau inactif, station autonome.
Valeur >= 0 : Réseau actif.

SERVER1=COMPUTER1

Serveur

SERVER2=COMPUTER2

Serveur redondant

RELOADDELAY_SEC=

délai de rechargement, en secondes, des clients pour les projets réseau vastes.

0 : aucun délai

[TOKEN]

Administration de l'autorisation d'accès aux fonctions sur le réseau

ACTIVE=0

L'administration des autorisations peut être activée (=1) ou désactivée (=0) par le biais de cette entrée.

QUIT_TIMEOUT=60

Lorsque ce paramètre est inséré, si un client possède une autorisation d'accès, celle-ci doit être confirmée de manière cyclique. Si cette confirmation n'est pas transmise avant expiration du délai spécifié, le client perd automatiquement son autorisation d'accès.

QUESTION_TIMEOUT=60

Si un ordinateur sollicite une autorisation d'accès qui est détenue par un autre ordinateur, le système demande à ce dernier de la transférer. Si l'ordinateur possédant actuellement l'autorisation d'accès ne répond pas avant expiration du délai spécifié, le jeton (autorisation d'accès) est automatiquement perdu.

[ED_REMOTE]

Transport à distance

DEVICE=1

Dispositif
0 - Série
1 - TCP/IP

CONFIG=CDSBG024;PORT=95;TIMEOUT=10

Chaîne de configuration pour la vitesse (bauds) en communication série ou pour le numéro de port en communication TCP/IP

[DIRLIST]

Dossiers du module Remote Transport

GLOBAL_AKTIV=1

0 – Le projet global n'est pas mis à jour
1 – Le projet global est mis à jour

PROJECTBASE=Path

Chemin de base du projet pour le Runtime sur le poste cible

BITMAP=Path

Chemin cible des bitmaps

BITMAP_AKTIV=1

0 : Ne pas vérifier le chemin
1 : vérifier le chemin

LISTEN=Path

Chemin d'accès cible des fichiers

LISTEN_AKTIV=1

0 : Ne pas vérifier le chemin
1 : vérifier le chemin

VIDEO=Path

Chemin d'accès cible des vidéos

VIDEO_AKTIV=1

0 : Ne pas vérifier le chemin
1 : vérifier le chemin

REPORTS=Path

Chemin d'accès cible des rapports

REPORTS_AKTIV=1

0 : Ne pas vérifier le chemin
1 : vérifier le chemin

SOURCE_0=Path

Chemin d'accès ou fichier utilisateur source

TARGET_0=Path

Dossier cible du chemin ou du fichier utilisateur

AKTIV_0=1

0 : Ne pas vérifier le chemin
1 : vérifier le chemin

TYPE_0=0

0 : Ne pas vérifier le chemin
1 : vérifier le chemin

COMMENT_0=String

Commentaire définis par l'utilisateur

[TEXTLIST]

Paramètres des tables de langues

File#x=36

L'Éditeur mémorise les fichiers présents dans la colonne pour l'écran d'affichage des listes de chaînes (x = nombre de colonnes, par ex. 2).

Width#x=36

L'Éditeur mémorise la largeur de la colonne contenant les mots-clés pour l'écran d'affichage des listes de chaînes (x = nombre de colonnes, par ex. 2).

TRANSLATE=1

1 – Les textes dans les synoptiques dans l'Éditeur sont traduits avec la table de langues.
0 – Affiche les textes originaux (par exemple : @key).

TRANSLATE_INDEX=1

Index de la colonne qui est utilisée pour la langue utilisée dans l'Éditeur

[VERSION]

Informations concernant la version de zenon utilisée pour modifier le projet
(compatibilité ascendante uniquement)

VERSION1=

L'Éditeur se souvient du numéro de la version utilisée pour le projet

VERSION2=

L'Éditeur se souvient de la version utilisée pour le projet

SP=

L'Éditeur se souvient du numéro de version du Service Pack utilisé pour le projet

PROJECT_VERSION_ACTIVE=

0 : suivi de la version inactif

1 : Gestion de version active

Par défaut : 0

XML_EXPORT_ACTIVE=

0 : pas d'exportation au format XML pour le suivi de la version

1 : exportation au format XML active pour le suivi de la version

Par défaut : 0

PROJ_MAJOR=

le numéro de la version majeure défini par l'utilisateur.

PROJ_MINOR=

le numéro de version détaillée, incrémenté automatiquement par le système.

PROJ_TIMESTAMP=

L'heure de la dernière sauvegarde du projet en secondes, au format UTC.

[PASSWORD]

Paramètres de gestion des mots de passe

LOGTEMP =1

Le login temporaire pour l'exécution d'une fonction est autorisé (1) ou non autorisé (0).

[RS232LOG]

Paramètres de journalisation du port série

LOGCOMx=0

1 – Un fichier journal contenant toutes les données qui ont été émises ou reçues par l'interface série x est créé. Le fichier journal porte le nom LOG_COMxxx.TXT et est stocké dans le répertoire de démarrage du driver.

[RTDATEN]

Paramètres spécifiques à la génération de données modifiables en temps réel

NOOVERWRITE_REZEPTE=0

1- Le fichier des groupes de recettes (project.mdb) n'est pas entièrement créé et transféré s'il existe déjà

NOOVERWRITE_REZEPTUREN=0

1- Le fichier rezeptur.cmp n'est pas entièrement créé et transféré s'il existe déjà

NOOVERWRITE_PASSWORT=0

1- Le fichier passwort.cmp n'est pas entièrement créé et transféré s'il existe déjà

NOOVERWRITE_FPM=0

1- Le fichier fpm.cmp n'est pas entièrement créé et transféré s'il existe déjà

[ERRORLOG]

Paramètres relatifs à la génération de fichiers de rapport d'erreurs

CE_DRV_ERROR_FILE=0

1- Le driver génère un fichier d'erreur sous Windows CE

[LON_32]

Paramètres pour le driver LON

DIAG_LEVEL=0

Les actions sont consignées dans le fichier d'erreurs, selon le niveau :
0 - Pas d'enregistrement (par défaut),
1 - Erreurs
2 - Ecriture
3 - Lecture
4 - Notifier/Ne pas notifier,
5 - Interne

[S7TCP32]

Paramètres relatifs au driver S7TCP32

FS=0

Si 1, les types F&S DB Bit, F&S DB Byte, F&S Bit and F&S Byte sont affichés.

[TRANSPASS]

Mot de passe pour Remote Transport (sur la station de développement)

KEY=***

Mot de passe pour le transport distant

FIX=0

1 - Enregistré

0 - Non enregistré

NET=

Si cette entrée n'est pas 0, l'Éditeur transmet une demande de données de configuration du chiffrement à l'équipement distant après l'établissement d'une connexion par Remote Transport. L'entrée est définie par la boîte de dialogue Make connection (Établir la connexion) et réinitialisée à 0 immédiatement après l'envoi de la demande.

[WORLDVIEW]

Affichage vue globale

MarkCenter=
  • 0 : aucune indication d'une station sélectionnée
  • 1: indique une station sélectionnée dans le synoptique pour une courte période de temps après l'appel du synoptique.

[PFM]

Paramètres du module Production & Facility Manager

AnzeigenMitStrg=

Contrôle l'affichage de la boîte de dialogue lors du collage de programmes copiés.

Valeurs :

  • 1 : la boîte de dialogue est uniquement affichée si la touche Ctrl est enfoncée pendant l'insertion du planning.
  • 0 : la boîte de dialogue est toujours affichée.

Modification et acceptation d'entrées

Pour garantir l'acceptation de l'écriture des entrées dans le fichier project.ini, nous vous recommandons de suivre la procédure suivante :

  1. Identifiez le projet : notez le numéro GUID (les 4 à 6 premiers chiffres suffisent), puis fermez l'espace de travail et/ou l'Éditeur.
  2. Pour accéder au dossier SQL : un dossier comportant le numéro de GUID se trouve dans le répertoire SQL
  3. Pour accéder au fichier project.ini : le fichier project.ini se trouve dans le dossier du GUID, à l'adresse /FILES/zenon/system.
  4. Édition du fichier project.ini : Modification, enregistrement et fermeture du fichier project.ini
  5. Ouverture de l'Éditeur : réouverture de l'Éditeur ou chargement du projet, création des fichiers de Runtime modifiés et transfert des fichiers

info Info

Indépendamment du nom du projet, le fichier project.ini est toujours enregistré avec le nom project.ini dans le répertoire Répertoire_SQL_projet\FILES\zenon\system\project.ini.

Conseil : Marquez le projet dans le gestionnaire de projet -> Appuyez sur les touches Ctrl+Alt+E -> L'Explorateur Windows ouvre le dossier Project_SQL_directory/FILES/.


startup.ini

Manuels -> Structure des fichiers -> startup.ini

Conseil : Le paramétrage du projet doit être réalisé dans Startup Tool. Les modifications apportées à startup.ini doivent uniquement être effectuées par des experts.
Seuls les paramètres de chiffrement des communications sur le réseau sont actuellement documentés.

Entrée

Fonction

[Paramètres]

USE_ENCRYPTION=

Activer ou désactiver le chiffrement :

0 : inactif

1 : actif

L'entrée est transférée vers le fichier zenon6.ini après avoir été définie et enregistrée dans l'outil Startup Tool.

ENCRYPTION_PWD

Ici, le mot de passe est saisi après avoir été créé ; il est chiffré automatiquement. Le mot de passe est chiffré par l'ordinateur ; ainsi, la saisie d'un mot de passe identique sur des ordinateurs différents entraîne l'affichage de contenus différents pour cette entrée.

L'entrée est transférée vers le fichier zenon6.ini après avoir été définie et enregistrée dans l'outil Startup Tool.

PWD_VALIDATION=

Empreinte numérique permettant de vérifier si les données utilisées pour le chiffrement ont été modifiées.


zenDB.ini :

Manuels -> Structure des fichiers -> zenDB.ini :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les entrées dans le fichier zenDB.ini définissent la connexion au serveur SQL. Elles sont configurées à l'aide de l'outil Startup Tool.

Entrées dans le fichier zenDB.ini

À partir de la version 7.10 SP0

Entrée

Valeur par défaut

Description

[PATH]

None (Aucune)

Chemin

DB60_SQL2012=

None (Aucune)

Définit le chemin de stockage des bases de données SQL utilisées pour les projets dans l'Éditeur de zenon.

Exemple :

DB60_SQL2012=C:\ProgramData\COPA-DATA\SQL2012\

[CONNECTION_SQL2012]

Paramètres de connexion pour SQL Server 2012

USER=

Startup Tool : aucun
Sinon : zenOnSrv

Définit le nom d'utilisateur avec lequel zenDBSrv se connecte au serveur SQL Server.

PW=

Startup Tool : aucun
Sinon : srv_700

Définit le mot de passe que zenDBSrv utilise pour l'authentification sur le serveur SQL. Le mot de passe est stocké sous forme chiffrée dans le fichier zenDB.ini. Toutefois, la valeur non chiffrée par défaut peut être utilisée pour établir une connexion si les tentatives de chiffrement échouent en raison de sa longueur et la valeur par défaut est utilisée pour directement établir une connexion.

Attention : le chiffrement est effectué par le biais de Startup Tool. Vous devez donc effectuer la configuration de la base de données par le biais de Startup Tool.

Remarque : chaque composant écrit cette valeur dans le fichier .INI sous forme chiffrée.

SQLINSTANCE=

Startup Tool : aucun
Sinon : localhost.

Définit l'instance de serveur SQL à laquelle se connecte zenDBSrv. Une connexion ne peut pas être établie avec la valeur par défaut, car elle ne comporte pas de nom d'instance. L'expression "localhost" dans les noms d'instance est remplacée par le nom de l'ordinateur actuel avant l'établissement de la connexion.

Exemple :

SQLINSTANCE=localhost\ZENON_2012

SQLPROVIDER=

Startup Tool : aucun
Sinon : SQLNCLI10.1

Entrée facultative correspondant au fournisseur utilisé par zenDBSrv pour établir la connexion à la base de données. La valeur par défaut correspond au client natif SQL Server 2008 R2.

Exemple :

SQLPROVIDER=SQLNCLI10.1

Version 7.00 SP0

Entrée | Valeur par défaut | Description
[PATH] | None (Aucune) | Chemin
DB60_SQL2008= | None (Aucune) | Définit le chemin de stockage des bases de données SQL utilisées pour les projets dans l'Éditeur de zenon. Exemple : DB60_SQL2008=C:\ProgramData\COPA-DATA\SQL2008R2\
[CONNECTION_SQL2008] |  | Paramètres de connexion pour SQL Server 2008 R2
USER= | Startup Tool : aucun Sinon : zenOnSrv | Définit le nom d'utilisateur avec lequel zenDBSrv se connecte au serveur SQL Server.
PW= | Startup Tool : aucun Sinon : srv_700 | Définit le mot de passe que zenDBSrv utilise pour l'authentification sur le serveur SQL. Le mot de passe est stocké sous forme chiffrée dans le fichier zenDB.ini. Toutefois, la valeur non chiffrée par défaut peut être utilisée pour établir une connexion si les tentatives de chiffrement échouent en raison de sa longueur et la valeur par défaut est utilisée pour directement établir une connexion. Remarque : chaque composant écrit cette valeur dans le fichier .INI sous forme chiffrée.
SQLINSTANCE= | Startup Tool : aucun Sinon : localhost. | Définit l'instance de serveur SQL à laquelle se connecte zenDBSrv. Une connexion ne peut pas être établie avec la valeur par défaut, car elle ne comporte pas de nom d'instance. L'expression "localhost" dans les noms d'instance est remplacée par le nom de l'ordinateur actuel avant l'établissement de la connexion. Exemple : SQLINSTANCE=localhost\ZENON_2008R2
SQLPROVIDER= | Startup Tool : aucun Sinon : SQLNCLI10.1 | Entrée facultative correspondant au fournisseur utilisé par zenDBSrv pour établir la connexion à la base de données. La valeur par défaut correspond au client natif SQL Server 2008 R2. Exemple : SQLPROVIDER=SQLNCLI10.1

Version 6.51 SP0

Entrée | Valeur par défaut | Description
[PATH] |  | Chemin
DB60_SQL2008= | None (Aucune) | Définition du chemin. Exemple : DB60_SQL2005=C:\ProgramData\COPA-DATA\SQL\
[CONNECTION_SQL2005] |  |
SQLSERVICE_SQL2005= | localhost\ZENON_DEV | Nom du service démarrant l'instance de serveur SQL. Doit correspondre à l'entrée PROVIDER_SQL2005= dans la section Data Source. SQLSERVICE_SQL2005=MSSQL$ZENON_DEV
USER= | None (Aucune) | Utilisateur. Exemple : USER=zenOnSrv
PW= | None (Aucune) | Mot de passe. Émis dans Startup Tool et stocké sous forme chiffrée. Exemple : PW=0x9C 0x94 0xC6 0x50 0x15 0x80 0x79 0x06 0x32 0xED 0x4E 0xE1 0x15 0xDD 0x7C 0x90
SQLINSTANCE= | None (Aucune) | Instance SQL. Exemple : SQLINSTANCE=localhost\ZENON_DEV

De la version 6.21 SP0 à la version 6.50 SP0

Entrée

Valeur par défaut

Description

[PATH]

Chemin

DB60_SQL2008=

None (Aucune)

Définition du chemin.

Exemple :
DB60_SQL2005=C:\ProgramData\COPA-DATA\SQL\

[CONFIG]

SQLSERVICE_SQL2005=

localhost\ZENON_DEV

Nom du service démarrant l'instance de serveur SQL. Doit correspondre à l'entrée PROVIDER_SQL2005= dans la section Data Source.
Exemple :

SQLSERVICE_SQL2005=MSSQL$ZENON_DEV

PROVIDER_SQL2005=

Entrée correspondant au fournisseur utilisé par zenDBSrv pour établir la connexion à la base de données.
Exemple :

PROVIDER_SQL2005=Provider=SQLNCLI.1;Password=srv_601;Persist Security Info=True;User ID=zenOnSrv;Initial Catalog=%s;Data Source=localhost\ZENON_DEV;

Jusqu'à la version 6.20 SP4

Entrée

Valeur par défaut

Description

[PATH]

Chemin

DB60=

Exemple :
DB60=C:\SQL\

[CONFIG]

SQLSERVICE=

MSSQL$ZENON

Définit le chemin de stockage des bases de données SQL utilisées pour les projets dans l'Éditeur de zenon.

Provider=

Entrée correspondant au fournisseur utilisé par zenDBSrv pour établir la connexion à la base de données.

Exemple :

Provider=Provider=SQLOLEDB.1;Password=zenon;Persist Security Info=False;User ID=sa;Initial Catalog=%s;Data Source=localhost\ZENON


zenon6.ini

Manuels -> Structure des fichiers -> zenon6.ini

Remarque : Le paramétrage du projet doit être réalisé dans l'Éditeur. Les modifications apportées à zenon6.ini doivent uniquement être effectuées par des experts.

Paramètres

Description

[DEFAULT]

Paramètres par défaut

DEFANWENDUNG30=

Projet utilisé par le Runtime lors du démarrage

DEFWORKSPACE=

Nom de l'espace de travail actuel

LANGUAGE=

Langue prédéfinie
GERMAN (par défaut)
ENGLISH, ITALIAN, FRANCE

TIMER_FKT=

Nombre de ms pour la répétition les commandes temporisées
Par défaut = 5000 5 secondes

WARTE_ZEIT=

Les transactions de base de données sont relancées après le délai configuré.
Le début de la transaction est exécuté en boucle.
Par défaut = 10

SERIAL7=

Numéro de série utilisé pour les licences par dongle ou les licences logicielles.

ACTIVATIONKEY7=

Clé d'activation pour les licences par dongle ou les licences logicielles.

INTERVALL=900

Lors de la définition d'une nouvelle commande temporisée, cette valeur (en secondes) est proposée comme valeur par défaut du cycle de temps
(900 = 15 min.)

SERIALIZE=

Enregistrement des écrans en ligne sous forme de fichiers binaires?
0 : Inactif (par défaut)
1 : Actif

STARTDELAY=

Délai de démarrage du Runtime au démarrage, en ms.
En cas de problèmes lors du démarrage automatique du système d'exploitation, ce paramètre permet de démarrer le Runtime après un délai. Le système d'exploitation a ainsi plus de temps pour démarrer tous les services requis.

SCREENPROFILE=

Profil de moniteur sélectionné pour l'ordinateur actuel.

AUTOEXCEPTTIME=

Durée d'affichage de la boîte d'exception, en secondes.
Si cette entrée est manquante ou définie sur 0, la boîte est affichée jusqu'à ce qu'elle soit confirmée en cliquant sur OK.

RT_CXMAINFRAME=

Largeur de la résolution de tous les moniteurs, moins 1 pixel.

Avec RT_CYMAINFRAME= , enregistre la position et la taille de la fenêtre du Runtime.

RT_CYMAINFRAME=

Largeur de la résolution de tous les moniteurs, moins 1 pixel.

Attention : Si la barre d'outils est activée, sa largeur doit être prise en compte et d'autres pixels doivent être retranchés.

Avec RT_CXMAINFRAME= , enregistre la position et la taille de la fenêtre du Runtime.

[FUNKTIONEN]

Gestion des fonctions

LIST_BOX=

Dernière position gauche du champ de saisie.

Format : gauche, haut, droite, bas

Pas d'entrée = la position par défaut est utilisée

[DRUCKER]

Attribution d'imprimante

ALARM=

Imprimante associée à la liste d'alarmes ou la liste CEL.

ALARM_OFFL=

Une imprimante indépendante peut être utilisée pour les impressions hors ligne. L'imprimante d'alarmes est utilisée en l'absence d'entrée.

ALARM_OFFL_PAGE=

Configuration de page de l'imprimante utilisée pour les alarmes.

HDDRUCKER=

Imprimante utilisée pour les impressions d'écran.

HDDRUCKER_PAGE=

Configuration de page de l'imprimante utilisée pour les impressions d'écran.

LISTDRUCKER=

Imprimante utilisée pour les listes générales.

LISTDRUCKER_PAGE=

Configuration de page de l'imprimante utilisée pour les listes générales.

WERTE=

Imprimante utilisée pour l'impression des valeurs actuelles.

WERTE_PAGE=

Configuration de page de l'imprimante utilisée pour l'impression des valeurs actuelles.

[PATH]

Configuration des chemins d'accès

EXE=

Chemin d'accès des fichiers EXE (répertoire d'installation des programmes).

VBF30=

Chemin d'accès de la base de données du projet actuel.

BILDER=

Chemin d'accès des fichiers BLD.

DLL=

Chemin d'accès des fichiers DLL (répertoire d'installation des programmes).

GRAPHIK=

Chemin des fichiers graphiques pour l'importation de graphiques.

BITMAP=

Chemin d'accès des fichiers bitmap :

  • *.bmp
  • *.wmf
  • *.jpg
  • *.png

ZUORDNUNG=

Uniquement pour des raisons de compatibilité

EXPORTARV=

Chemin des archives transférées par l'utilisateur (*.arv)

WEB_PROJECT_PATH=

Dossier d'enregistrement des fichiers Runtime du client Web. Si cette entrée n'est pas disponible, le dossier %temp%\zenWebCli est utilisé.

EDOC_PATH =

Chemin du document EPLAN.

Par exemple : EDOC_PATH=C:\\Programme\EPLAN\View\1.7.11\BIN\W3u.exe

[EXPORT]

Exporter

AML_CEL_NEU=1

Exportation dans un fichier dBase standard (0) ou comme dans l'Éditeur sous forme de colonnes (1).

[STATISCH]

Configuration de l'Éditeur

SUCHE=

Rayon déterminant à quel moment un point d'un segment de polygone doit être considéré comme identique à un autre.
Par défaut = 5

[SAT-DRIVER]

Paramétrage du driver SAT

DATENPUNKTAUFZEICHNEN=0

Adresse de la donnée à enregistrer dans le fichier CS_PORT.TXT.

Valeur par défaut 0 : aucun point de données n'est enregistré dans un fichier journal.

A partir de la version 3.51, le nom de la variable doit être défini ici.

DATENPUNKTAUFZEICHNEN2=

Reportez-vous au chapitre Enregistrement des points de données.

DATENPUNKTAUFZEICHNEN3=

Reportez-vous au chapitre Enregistrement des points de données.

DATENPUNKTAUFZEICHNEN4=

Reportez-vous au chapitre Enregistrement des points de données.

CHECK_VARIABLES=0
  • 1 : les variables sont vérifiées et les résultats sont écrits dans le fichier SAT_PROT.TXT.
    Toutes les variables enregistrées d'un côté seulement (Serveur DDE ou SICAM 230) sont enregistrées.

Par défaut : 0

KDA_BUFFERSIZE=200

Taille du buffer.

KDA_TIMER_MSEC=30000

Cycle de balayage.

[RT]

DRIVER_QUE=0

Taille de la file d'attente de transfert de données vers le Runtime.
(0 = illimitée)

DRIVER_COUNT=0

Entrée TMP pour le driver correspondant et le Runtime

DYNRAHMEN=

Affichage d'un cadre autour des éléments dynamiques en mode de fonctionnement en ligne.
0: ne pas afficher
1 : afficher

RECT_ANZ=50

Paramètres des mesures d'optimisation.

Les éléments des synoptiques devant être affichés sont réunis dans des rectangles avant d'être représentés. Une fois la valeur définie atteinte, les nouvelles plages de caractères sont ajoutées au premier rectangle.

[EDITOR]

Paramètres dans l'Éditeur

LASTWORKSPACE=1

1 : le dernier espace de travail est chargé automatiquement
0 : l'Éditeur s'exécute sans chargement préalable d'un espace de travail

WORKSPACEVIEW=1

1 : affichage de l'espace de travail actif
0 : affichage de l'espace de travail inactif

SPOT=

Taille des points angulaires (coins) des éléments.
Par défaut = 2

SUCHE=

Nouvelle position d'un même point lorsque celui-ci est déplacé.
Par défaut = 2

DYNRAHMEN=

Affichage d'un cadre autour des éléments dynamiques dans l'Éditeur.
0: inactif
1 : actif (par défaut)

RASTER=

Positionner sur la grille :
0: inactif
1 : actif (par défaut)

RASTER_GRID=

Afficher la grille :
0: inactif (par défaut)
1 : active

RASTER_ABSTAND_X=

Distance de la grille horizontale, en pixels.
Par défaut = 5

RASTER_ABSTAND_Y=

Distance de la grille verticale, en pixels.
Par défaut = 5

KOORD_GLOBAL=0

Type d'affichage de coordonnées :
0: Coordonnées par pixels (par défaut)
1 : Coordonnées globales

EINGABE_SOFORT=0

Affichage du champ de saisie d'un élément lors de sa création :

  • 0 : Non
  • 1 : immédiatement

SELECT_INVERSE=1

Inversion des couleurs d'arrière-plan :

  • 1 : Lorsque des éléments sont sélectionnés, la couleur du fond sur lequel ils sont affichés est inversée. Avec certaines couleurs (par ex. gris foncé), cette inversion peut être difficile à voir.
  • 0 : Si vous spécifiez un paramètre de 0, la couleur de SELECT_COLOR est utilisée afin de signaler les éléments sélectionnés.

SELECT_COLOR=rot

La couleur utilisée pour identifier les éléments sélectionnés dans l'Éditeur si le paramètre SELECT_INVERSE n'est pas actif.

RUECK_ANZ=10

Nombre d'actions pouvant être annulées.

KONVERT=0

Certains éléments peuvent être déplacés lors de l'utilisation de projets provenant de versions antérieures à 3.51 SP3. Pour éviter cette erreur, des cases à cocher supplémentaires vous sont proposées, correspondant à des options que vous pouvez activer lors de la conversion du projet.

1 : actif

WINDOW=3,109,181,589,661

L'Éditeur mémorise sa position d'affichage à l'écran dans le fichier zenon6.ini lorsque vous le fermez. Lors du prochain démarrage, la position enregistrée est restaurée.

Premier nombre : définit si la fenêtre est réduite, agrandie ou affichée normalement.

Autres nombres : position par rapport au coin supérieur gauche.

KEY_WIDTH=36

L'Éditeur mémorise la largeur de la colonne de mots-clé dans la table des langues.

SYMBOL_COLOR=16777215 (=white)

La couleur de fond des symboles dans l'Éditeur de symbole, permettant un repérage plus aisé de la zone de traçage.

POST_BUILD_STEP=

Le programme indiqué ici est démarré automatiquement après la création des fichiers du Runtime :

Paramètre 1 : Nom du projet

Paramètre 2 : chemin du projet

[ARCHEDIT]

DATUMBREITE=

Largeur de la colonne Date dans la liste des valeurs d'archives.

VARIABLEBREITE=

Largeur de la colonne Variable.

WERTBREITE=

Largeur de la colonne Valeur.

EINHEITBREITE=

Largeur de la colonne Unité.

STATUSBREITE=

Largeur de la colonne de Texte d'état.

ZUSTANDBREITE=

Largeur de la colonne de Texte conditionnel.

KENNUNGBREITE=

Largeur de la colonne Variable.

ARCHEDITFONT=

Police

KURZBEZEICHNUNG=

1 - L'identifiant court des archives est affiché dans le rapport
0 - L'identifiant court des archives n'est pas affiché

ZWANGSSPEICHERN=0

1 – Toutes les entrées des archives résultantes sont mises à jour
0 – Seules les entrées modifiées sont mises à jour (par défaut)

[VBA]

Paramètres pour Visual Basic for Applications

EIN=1

Activation de VBA
0 : désactivé
1 : activé

EVENT=1

Activation des événements VBA
0 : désactivés
1 : activés

BREAK=1

Activation de la boîte de message d'erreur VBA invitant l'utilisateur à lancer le débogage dans le Runtime
1 : active (par défaut)
0 : inactive

[VSTA]

Paramètres pour VSTA

ON=1

1 : VSTA activé (par défaut)

0 : VSTA désactivé

CSHARP=1

Langage de programmation VSTA pour l'Éditeur ->

1: C#

0: VB.NET

LOADED=1

1 : l'extension VSTA pour l'Éditeur est chargée au démarrage

0 : lors du démarrage de l'Éditeur, une boîte de dialogue demande si l'extension VSTA doit être chargée.
Remarque : si une extension défectueuse entraîne le blocage de l'Éditeur, l'entrée est automatiquement définie sur 0.

[SYMBOL]

SICHTBAR=

Définit si la barre d'outils est visible lors du démarrage du programme :
1 : visible (par défaut)
0 : non visible

SUBSTITUTE=

La fonction de remplacement doit-elle être utilisée lorsqu'un symbole est collé sur un synoptique ?

  • 1 : oui (par défaut)
  • 0 : Non

Cette fonction n'a d'influence que lorsque le symbole est lié au moins à une variable.

VORSCHAU=

Définit si la fenêtre d'aperçu doit être affichée :

  • 1 : oui (par défaut)
  • 0 : Non

Désactiver cette option (0) permet de gagner de la place dans l'Éditeur.

BREITE=

Définit la largeur du synoptique correspondant à la dernière édition.

HOEHE=

Définit la hauteur du synoptique correspondant à la dernière édition.

LINKS=

Définit la bordure gauche de la fenêtre.

RECHTS=

Définit la bordure droite de la fenêtre.

TOP=

Définit la bordure supérieure de la fenêtre.

BOTTOM=

Définit la bordure inférieure de la fenêtre.

STRETCHED=1

Affichage des symboles dans la fenêtre d'aperçu :

  • 1 : adaptation à la taille de la fenêtre
  • 0 : le rapport d'aspect est conservé

[VarListBox]

Paramètres de la liste de variables

SINGLE=

Position de la zone de liste de variables (sélection simple) définie lors du dernier affichage à l'écran de celle-ci (aucune entrée = position par défaut).

Format: gauche, haut, droite, bas

MULTI=

Dernière position d'affichage de la zone de liste de variables (sélection multiple) définie lors du dernier affichage à l'écran de celle-ci (aucune entrée = position par défaut).

Format: gauche, haut, droite, bas

[Alarm]

Gestion des alarmes

RAS_AML_INIT=0

0 : inactive (par défaut)
1 : lors du démarrage du client RAS, tous les fichiers de la liste AML sont copiés

[NETZ]

Configuration du fonctionnement du réseau

QUESIZE=5000

Nombre maximum d'objets dans une file d'attente sur le réseau.
Par défaut = 5000

NET_TIMEOUT_MSEC=

Délai d'attente des communications du réseau, en millisecondes.
Par défaut = 30000

NET_NETMODULE_TIMEOUT_MSEC=

Délai d'attente des communications du module, en millisecondes.
Par défaut = 30000

NET_CONNECTCOUNT=

Répétitions des connexions TCP/IP au client.

0 : répétition immédiate
Par défaut = 0

NET_CONNECTWAIT_MSEC=30000

Délai d'attente après l'échec d'une tentative de connexion TCP/IP du client, en millisecondes.
Par défaut = 30000

USEIPV6=

Réglemente l'utilisation du protocole IPv6.

1 : active, toutes les connexions TCP sont établies avec le protocole IPv6.

0 : inactive, toutes les connexions TCP sont établies avec le protocole IPv4.

Le double fonctionnement n'est pas autorisé.

Remarque : si cette option est modifiée, tous les procédés zenon en cours doivent être redémarrés. Ceci concerne en particulier zenAdminSrv, zenSysSrv, zenLogSrv et zenDBSrv.

Les composants suivants ne sont pas affectés par le paramètre :

  • Communications du driver avec les automates
  • Communications du protocole dans les plug-ins de Process Gateway
  • Communications de l'espace de travail et du Runtime dans zenon Logic

Attention : fonctionne uniquement avec les versions 7 et ultérieures. Aucune version avant la version 7 ne peut être démarrée si cette option est active.

WAN=

Connexion du client au serveur :
0: LAN (par défaut)
1 : WAN

WAN_IDLETIME=

Délai d'inactivité du WAN.
La connexion au serveur ou au client est fermée après ce délai.
Par défaut = 30000 ms

TIMESYNCH=

1 : = l'heure est comparée à celle d'un projet de serveur (par défaut)
0 : = l'heure n'est pas comparée (pour la redondance circulaire, par exemple)

USE_ENCRYPTION=

Activer ou désactiver le chiffrement :

0 : Inactive

1 : actif

ENCRYPTION_PWD

Ici, le mot de passe est saisi après avoir été créé ; il est chiffré automatiquement. Le mot de passe est chiffré par l'ordinateur ; ainsi, la saisie d'un mot de passe identique sur des ordinateurs différents entraîne l'affichage de contenus différents pour cette entrée.

PWD_VALIDATION=

Empreinte numérique permettant de vérifier si les données utilisées pour le chiffrement ont été modifiées.

NET_PROXYPORT=

Port de connexion du client Web au serveur Web : le serveur Web écoute le port et le client Web se connecte à celui-ci.
Par défaut :

  • TCP: 1102
  • HTTP: 8080

POLLING_INTERVALL=

Délai d'attente, en millisecondes, au terme duquel le client Web envoie une nouvelle demande HTTP GET au serveur Web si le buffer d'une connexion est vide.

Par défaut : 2000

[IPADDR]

Uniquement sous Windows CE.

Les fichiers HOSTS n'étant pas pris en charge sous CE, Windows CE établit une liste d'attribution d'adresses IP aux noms d'ordinateurs

Cette liste n'est nécessaire que sur les réseaux dépourvus de DNS. Si un serveur DNS existe, Windows CE identifie de lui-même les noms.
La liste ne peut uniquement être modifiée manuellement, au moyen d'un Éditeur de texte. Généralement, seule l'adresse du serveur défini doit être spécifiée.

COMPUTERNAME1=

Attribue une adresse IP à un ordinateur. Par exemple :

COMPUTERNAME1=192.52.109.62

COMPUTERNAME2=192.52.109.63

Attention : Toutes les entrées (noms d'ordinateurs) doivent être indiquées en majuscules, faute de quoi elles ne seront pas reconnues.

[LE GESTIONNAIRE DE MESSAGES]

Paramètres du module de Gestion des messages.

Entrées et configurations - reportez-vous à la section Gestion des messages.

[TERMINAL]

Paramétrage pour terminal server

CLIENT=

Valeurs possibles :

  • 0 : le Runtime ne peut être démarrré qu'une seule fois. L'utilisation du serveur de terminaux n'est pas possible.
  • 1 : le serveur du terminal est utilisé. Le Runtime peut être démarré plusieurs fois, tous les paramètres pour les opérations sur le serveur de terminaux sont automatiquement définis par le Runtime.

Par défaut : 0

CLIENT_NO_FILE_ALIGN=

Paramètres de synchronisation du client avec le serveur :

  • 0: les projets sont toujours rechargés par tous les clients.
  • 1 : Synchronisation sélective active.
    Seul le client zenon démarré dans la session de console du serveur de terminal synchronise les fichiers du Runtime avec le serveur zenon.

SERIALIZE=

Définition de la résolution d'écran.

  • 0 : résolution d'écran individuelle ; tous les écrans sont recalculés pour chaque client.
  • 1 : le premier client démarré détermine la résolution d'écran.

[editor/CustomMenu]

Paramètres relatifs au menu défini par l'utilisateur dans l'Éditeur

Name#0=

Entrée dans le menu pour le programme 0.

File#0=

Nom du fichier à exécuter pour l'entrée de menu 0.

Arguments#0=

Paramètre d'exécution du programme.

[PASSWORD]

Paramètres de gestion des mots de passe

LOGOFF=0

Délai de déconnexion automatique (en minutes) en cas d'absence d'intervention de l'utilisateur.

[Exécution de commandes]

TYP=

Type de fenêtre de commande
(Application spéciale = DBAG)

POSITION=

Définit la position et la taille du champ de connexion/déconnexion :
xleft, xright, yup, ydown
Plage de valeurs de 0 à 1
Par défaut : 0.001 , 0.999 , 0.835 , 0.964

SCHRIFT=

Police en mode de fonctionnement en ligne
Par défaut = -13,0,0,0,400,0,0,0,0,3,2,1,34,Arial

CODE=

Requête de numéro de code
0 : désactivée (par défaut)
1 : activée

Befehlsstring=

Enregistrement des commandes : dans la liste CEL avec la commande 1 : = active (par défaut)

CodeKontrolle=

Vérifications de cohérence lors de requêtes de numéro de code :
0 : inactives (par défaut)
1 : actives

TASTE=

Configuration du clavier pour les opérations à deux mains.
Pas de saisie -> une main.
ENTREE
ESPACE
F2...F12
A...Z 0...9
Par défaut = Aucune

[TRANSPASS]

Mot de passe de Remote Transport (sur la station distante)

KEY=***

Mot de passe pour le transport distant

FIX=0

1 - Enregistré

0 - Non enregistré

InitWait=

Temps d'attente pour le démarrage des drivers locaux. Le Runtime de zenon attend pendant un intervalle défini en millisecondes afin de garantir le bon démarrage du driver.

L'expérience révèle que ce paramètre est uniquement nécessaire sous Windows 95, en raison d'une défaillance du comportement multitâches.

Valeur de référence : =500 ms

[STATISCH]

SUCHE=5

Fin de segment de polygone : rayon (en pixels) déterminant quand un point doit être considéré comme identique à un autre. La valeur par défaut est utilisée en l'absence de saisie.

Par défaut : 5

[EW_TREND]

AUTOSKALIERUNG=0

Définit si la fonction de mise à l'échelle automatique est active ou non par défaut.

[SYS_REMOTE]

Administration des paramètres de Remote Transport sur le réseau.

Pour la configuration de Diagnosis Server, reportez-vous au chapitre : Configuration du serveur de diagnostics (Diagnosis Server) à l'aide de zenon6.ini

CONFIG=

Chaîne de configuration de zenSysSrv. Remote Transport et le système de diagnostic utilisent la même configuration de serveur jusqu'à la version 6.51 SP0 incluse. Pour les détails de configuration, en particulier pour les versions antérieures à la version 7, reportez-vous au chapitre : Configuration du serveur de diagnostics (Diagnosis Server) à l'aide de zenon6.ini

La chaîne comprend les éléments suivants : DEVICE=[Device];HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout].

  • DEVICE: définit le type de communication utilisé.
    Les types TCP/IP et série sont disponibles.
  • HOST : défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT : indique le port utilisé.
  • TIMEOUT : fournit le délai d'expiration de la connexion, en secondes.
  • BAUD : indique la vitesse d'une connexion série.

Configuration du PC :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configuration de CE :

  • DEVICE=COM1
  • BAUD=115200

[SIMULATOR]

OFFSET=0

Offset des variables de commande dans le simulateur.

DWBEGIN=

Début des adresses de variables DWORD.

DWEND=

Fin des adresses de variables DWORD.

FLOATBEGIN=

Début des adresses de variables flottantes.

FLOATEND=

Début des adresses de variables flottantes.

UPDATE=

Période de rafraichissement, en millisecondes.
Par défaut : 500 (= 0,5 seconde)

BACKUP=1

0 : Les valeurs HD ne sont pas enregistrées sur le disque dur
1 : Les valeurs HD sont enregistrées sur le disque dur (par défaut)

MAXHDVALS=1024

Définit la zone d'offset maximale 1 pour les données HD. Pour les chaînes HD, l'offset doit systématiquement être inférieur de 4 à cette valeur.

Par défaut : 1024

DIAG_LEVEL=
  • 1 : Journal de diagnostic dans le fichier d'erreurs (définition de valeurs), par défaut :
  • Par défaut : 0

info Info

Le fichier zenon6.ini se trouve dans le chemin suivant :

Windows Vista/7/8: %ProgramData%\COPA-DATA\System\

Autres sujets abordés dans ce chapitre

Configuration du serveur de diagnostics (Diagnosis Server) à l'aide de zenon6.ini

Gestion de messages


Configuration du serveur de diagnostics (Diagnosis Server) à l'aide de zenon6.ini

Manuels -> Structure des fichiers -> zenon6.ini -> Configuration du serveur de diagnostics (Diagnosis Server) à l'aide de zenon6.ini

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À partir de la version 7, les tâches à distance et tâches de diagnostic sont exécutées par deux services différents. Si un équipement comporte à la fois des clients de diagnostics et/ou des serveurs de diagnostics nouveaux et anciens, ces derniers peuvent être configurés indépendamment les uns des autres au moyen d'entrées INI. Par exemple, les entrées de fichier journal des anciens clients de diagnostics sont reroutées, sans que les entrées de fichier journal des nouveaux clients n'en soient affectées.

Diagnosis Server avant la version 7.00 SP0

Entrée de fichier INI

Description

[SYS_REMOTE]

Section dans zenon6.ini.

Contient des paramètres pour zenSysSrv (modules Remote Transport et Diagnosis Server).

LOGDirectory=

Définit le dossier des fichiers journaux.

En l'absence d'entrée, le dossier LOG du dossier ProgramData est utilisé par défaut.

Exemple :
LOGDirectory= %ProgramData%\COPA-DATA\zenon651\LOG

CONFIG=

Chaîne de configuration pour les modules Diagnosis Server et zenSysSrv. Remote Transport et le système de diagnostic utilisent la même configuration de serveur jusqu'à la version 6.51 SP0 incluse. La chaîne comprend les éléments suivants : DEVICE=[Équipement];HOST=[Nom d'hôte];PORT=[Port];TIMEOUT=[Délai d'attente]

  • DEVICE: définit le type de communication utilisé.
    Les types TCP/IP et série sont disponibles.
  • HOST : défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT : indique le port utilisé.
  • TIMEOUT : fournit le délai d'expiration de la connexion, en secondes.
  • BAUD : indique la vitesse d'une connexion série.

Configuration du PC :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Configuration de CE :

  • DEVICE=COM1
  • BAUD=115200

LOGMinFreeDiskSpace=

Définit la quantité minimale de mémoire (en Mo) devant être disponible sur le disque dur. Les fichiers journaux (LOG) sont supprimés avant que cette valeur ne soit dépassée.

Par défaut : 1024

LOGMaxUsedDiskSpace=

Définit la quantité maximale de mémoire, en Mo, utilisée par les fichiers journaux sur le disque dur. Les fichiers journaux (LOG) sont supprimés si cette valeur est dépassée.

Par défaut : 1024

LOGMinUsedDiskSpace=

Définit la quantité de mémoire (en Mo) utilisée sur le disque dur, même en l'absence de fichiers journaux.

Par défaut : 5

LOGLogLifeTime=

Définit le cycle de vie des fichiers journaux, en secondes. Les fichiers journaux les plus anciens sont supprimés.

Par défaut : 1209600 (correspond à 14 jours)

LOGImageCnt=

Définit le nombre d'entrées de fichiers journaux ; au-delà de ce nombre, des fichiers journaux incrémentiels sont créés.

Par défaut : 0

LOGLogUpdateTime=

Nombre de millisecondes après lequel les entrées de fichiers journaux reçues sont écrites dans un fichier journal.

Par défaut : 2000

LOGMaxBufferedRecs=

Définit le nombre d'entrées de fichiers journaux conservées en mémoire tampon si elles ne peuvent pas être écrites dans les fichiers journaux.

Par défaut : 10240

LOGMaxLogFileSize=

Taille maximum d'un fichier log en octets. Si un fichier journal atteint cette taille, il est fermé et un nouveau fichier journal est créé.

Par défaut : 5242880 (correspond à 5 Mo)

LOGCheckDiskTime=

Définit l'intervalle en secondes durant lequel la mémoire occupée par les fichiers journaux est contrôlée.

Par défaut : 60

INIT=

Action lors du démarrage de l'application dans Windows CE :

  • 0 : terminer immédiatement
  • 1 (ou toute autre valeur supérieure à 2) : ouvrir le port d'écoute et minimiser dans la barre des tâches.
  • 2 : afficher uniquement la surface.

Par défaut : 1

Remarque : dans le cadre de la séparation de zenSysSrv et zenLogServ dans zenon 7.00, cette valeur par défaut a également été modifiée pour d'autres versions. La valeur par défaut était auparavant 2.

Diagnosis Server à partir de la version 7.00 SP0

Entrée de fichier INI

Description

[LOGGING_SYSTEM]

Section dans zenon6.ini.

Contient les paramètres du module Diagnosis Server. Affecte uniquement zenLogSrv et n'a aucune incidence sur zenSysSrv.

LOGDirectory=

Définit le dossier des fichiers journaux.

En l'absence d'entrée, les paramètres suivants sont utilisés comme valeur standard :

Le chemin extrait de la base de registres,
par exemple : %ProgramData%\COPA-DATA\LOG

Le dossier LOG du dossier ProgramData du module zenLogSrv, si aucun chemin n'est défini dans la base de registres,
par exemple %ProgramData%\COPA-DATA\zenon700\LOG

CONFIG=

Chaîne de configuration du module Diagnosis Server. La chaîne comprend les éléments suivants : DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST : défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT : indique le port utilisé.
  • TIMEOUT : fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

LOGMinFreeDiskSpace=

Définit la quantité minimale de mémoire (en Mo) devant être disponible sur le disque dur. Les fichiers journaux (LOG) sont supprimés avant que cette valeur ne soit dépassée.

Par défaut : 1024

LOGMaxUsedDiskSpace=

Définit la quantité maximale de mémoire, en Mo, utilisée par les fichiers journaux sur le disque dur. Les fichiers journaux (LOG) sont supprimés si cette valeur est dépassée.

Par défaut : 1024

LOGMinUsedDiskSpace=

Définit la quantité de mémoire (en Mo) utilisée sur le disque dur, même en l'absence de fichiers journaux.

Par défaut : 5

LOGLogLifeTime=

Définit le cycle de vie des fichiers journaux, en secondes. Les fichiers journaux les plus anciens sont supprimés.

Par défaut : 1209600 (correspond à 14 jours)

LOGImageCnt=

Définit le nombre d'entrées de fichiers journaux ; au-delà de ce nombre, des fichiers journaux incrémentiels sont créés.

Par défaut : 0

LOGLogUpdateTime=

Nombre de millisecondes après lequel les entrées de fichiers journaux reçues sont écrites dans un fichier journal.

Par défaut : 2000

LOGMaxBufferedRecs=

Définit le nombre d'entrées de fichiers journaux conservées en mémoire tampon si elles ne peuvent pas être écrites dans les fichiers journaux.

Par défaut : 10240

LOGMaxLogFileSize=

Taille maximum d'un fichier log en octets. Si un fichier journal atteint cette taille, il est fermé et un nouveau fichier journal est créé.

Par défaut : 5242880 (correspond à 5 Mo)

LOGCheckDiskTime=

Définit l'intervalle en secondes durant lequel la mémoire occupée par les fichiers journaux est contrôlée.

Par défaut : 60

INIT=

Action lors du démarrage de l'application dans Windows CE :

  • 0 : terminer immédiatement
  • 1 (ou toute autre valeur supérieure à 2) : ouvrir le port d'écoute et minimiser dans la barre des tâches.
  • 2 : afficher uniquement la surface.

Par défaut : 1

Diagnosis Client avant la version 7.00 SP0

Entrée de fichier INI

Description

[SYS_REMOTE]

Section dans zenon6.ini.

Contient les paramètres du module Diagnosis Client.

LOG_CONFIG=

Une chaîne de configuration du module Diagnosis Client est conservée ici. La chaîne comprend les éléments suivants : DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST : défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT : indique le port utilisé.
  • TIMEOUT : fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=1101
  • TIMEOUT=10

Diagnosis Client à partir de la version 7.00 SP0

Entrée de fichier INI

Description

[LOGGING_SYSTEM]

Section dans zenon6.ini.

Contient les paramètres du module Diagnosis Client.

LOG_CONFIG=

Une chaîne de configuration du module Diagnosis Client est conservée ici. La chaîne comprend les éléments suivants :

DEVICE=TCP/IP;HOST=[Hostname];PORT=[Port];TIMEOUT=[Timeout]

  • DEVICE: définit le type de communication utilisé ; doit toujours être configurés sur TCP/IP
  • HOST : défini sur le nom de l'ordinateur du module Diagnosis Server.
  • PORT : indique le port utilisé.
  • TIMEOUT : fournit le délai d'expiration de la connexion, en secondes.

Configuration :

  • DEVICE=TCP/IP
  • HOST=localhost
  • PORT=50780
  • TIMEOUT=10

Conseils

INI sous CE

Sous Windows CE, nous vous recommandons instamment de ne pas définir l'entrée INIT= (dans la section [LOGGING_SYSTEM] ou [SYS_REMOTE]) sur la valeur 2.

Pourquoi : la valeur 2 signifie que SysSrvCE et LogSrvCE affichent uniquement l'interface utilisateur, et n'ouvrent pas le port d'écoute.
Dans ce cas, si un service Diagnosis Client tente d'établir une connexion, il échouera. Dans ce cas, puisque le service Diagnosis Client démarre le procédé LogSrvCE et le procédé n'ouvre pas le port, chaque service Diagnosis Client démarre un procédé. Par conséquent, plusieurs procédés LogSrvCE s'exécutent en parallèle et le démarrage du service Diagnosis Client est retardé, car celui-ci attend l'expiration du délai d'attente de la connexion pour établir la connexion de diagnostic.

Utilisation de zenLogSrv sur un système comportant différentes versions

Si zenLogSrv est utilisé sur un système comportant différentes versions, utilisé en tant que serveur de diagnostic local central, l'entrée LOG_CONFIG de la section [SYS_REMOTE] doit être la suivante :
DEVICE=TCP/IP;HOST=localhost;PORT=5780;TIMEOUT=10

Pourquoi : les anciens clients utilisent alors zenLogSrv en tant que serveur de diagnostics. Les nouveaux clients font cela automatiquement. Ce service est automatiquement activé sur le PC au démarrage du système ; il doit être démarré manuellement sous CE.

Attention : si le port ne peut pas être atteint, les anciens clients démarrent zenSysSrv et réessaient de s'y connecter.


Gestion de messages

Manuels -> Structure des fichiers -> zenon6.ini -> Gestion de messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les propriétés globales pour l'envoi des messages dans le module de Gestion des messages sont enregistrées dans le fichier zenon6.ini, dans la section [MESSAGE CONTROL].

Entrée | Description
[LE GESTIONNAIRE DE MESSAGES] | Section dans zenon6.ini
Outlook_Profile= | Nom du profil Outlook utilisé pour l'envoi. Valeur par défaut : vide
Outlook= | Fonction d'envoi active ? 0 : Inactive 1 : actif Par défaut : 0
Subject= | Identifiant unique que doivent contenir les e-mails entrants pour être traités par le module de Gestion des messages. Valeur par défaut : vide
Telephone_Timeout= | Délai en minutes au terme duquel une condition existante doit être annulée et fermée. Le délai doit être plus long que le délai nécessaire à la lecture et la confirmation du message. Par défaut : 1
Telephone_WelcomeMessageCount= | Nombre de répétitions pour le texte d'accueil. Par défaut : 5
Telephone_IgnoreDisconnect= | 1 : une déconnexion (par ex., le destinataire met un terme à l'appel) est ignorée et le message est relu dans son intégralité avant la fermeture de la ligne. 0 : la transmission du message est abandonnée lors de l'interruption de la connexion. Par défaut : 0
Telephone= | Fonction d'envoi active ? 0 : Inactive 1 : actif Par défaut : 0
Speech= | Fonction d'envoi active ? 0 : Inactive 1 : actif Par défaut : 0
Speech_Rate= | Vitesse de la voix. Minimum : -10 Maximum : 10 Par défaut : 0
Speech_Volume= | Volume de la voix. Ce nombre est une valeur, en pourcentage, de la valeur maximale pour la voix sélectionnée. Maximum : 100 Minimum : 1 0: nombre de nouvelles tentatives sans modification du système d'exploitation. Par défaut : 0
Speech_Name= | Sélection la voix et de la langue de la synthèse vocale Valeur par défaut : vide
SMSGateway= | Fonction d'envoi active ? 0 : Inactive 1 : actif Par défaut : 0
SMSGateway_Inbox= | Dossier de réception pour la fonction d'envoi de SMS. Valeur par défaut : vide
SMSGateway_Outbox= | Dossier d'envoi pour la fonction d'envoi de SMS. Valeur par défaut : vide
SMSGateway_Statusbox= | Dossier des messages d'état de la fonction d'envoi de SMS. Valeur par défaut : vide
SMSGateway_Prefix= | Première lettre du fichier SMS. Longueur : 1 caractères. Par défaut : F
SMSGateway_SemaphorPrefix= | Première lettre du fichier de verrouillage. Longueur : 1 caractères. Par défaut : S
SMSGateway_OriginId= | Identification de l'expéditeur pour l'envoi de SMS. Valeur par défaut : vide
SMSGateway_TimeOut= | Délai d'attente en minutes des messages envoyés. Définit le délai au terme duquel un message est considéré comme n'ayant pas été correctement envoyé. Par défaut : 60
SMSGateway_SmartAlarm= | la gestion intelligente des alarmes est utilisée. Par défaut : 0
SMTP_POP_MAIL= | L'entrée définit si le type d'envoi est actif. 1 : actif 0 : Inactive Par défaut : 0
SMTP_SRV_IS_POP= | Cette entrée définit si le serveur POP3 est utilisé en tant que serveur SMTP. 1 : les serveurs POP3 et SMTP sont identiques 0 : les serveurs POP3 et SMTP sont différents Par défaut : 0
SMTP_SERVER= | Serveur SMTP défini par l'utilisateur. Valeur par défaut : vide
SMTP_PORT= | Définit le port utilisé sur le serveur SMTP. Par défaut : 25
SMTP_SECURITY= | Type de protection de la connexion au serveur SMTP. 0 : pas de sécurité 1 : SSLv2 et SSLv3 2 : TLSv1 Par défaut : 0
SMTP_AUTH= | Authentification sur le serveur de courrier sortant. 0 : pas de sécurité 1 : connexion au serveur POP3 avant l'envoi 2 : SMTP AUTH Par défaut : 0
SMTP_OTHER_CREDS= | Définit si le serveur de courrier sortant utilise des données de connexion différentes de celles du serveur de courrier entrant. 0 : Inactive 1 : actif Par défaut : 0
SMTP_USER= | Nom d'utilisateur enregistré sur le serveur de courrier sortant. Valeur par défaut : vide
SMTP_PASSWORD= | Données hexadécimales du mot de passe chiffré d'authentification sur le serveur de courrier sortant. Valeur par défaut : vide
SMTP_SUBJECT= | Objet des messages sortants, permettant de détecter si un e-mail reçu sur le serveur correspond à un type d'envoi précis. Par défaut : MsgCtrl_Alert
SMTP_USER_IS_ADDR= | Définit si le nom d'utilisateur utilisé pour l'authentification sur le serveur de courrier sortant est utilisé en tant qu'adresse d'expéditeur des e-mails envoyés. 1 : actif 0 : Inactive Par défaut : 0
SMTP_OUT_ADDR= | Adresse pour les messages envoyés. Valeur par défaut : vide
POP_SERVER= | Serveur POP3 enregistré. Valeur par défaut : vide
POP_PORT= | Définit le port utilisé sur le serveur POP3. Par défaut : 110
POP_SECURITY= | Type de protection de la connexion au serveur POP3. 0 : pas de sécurité 1 : SSLv2 et SSLv3 2 : TLSv1 Par défaut : 0
POP_APOP= | Définit si la commande APOP doit être utilisée. 1 : actif 0 : Inactive Par défaut : 0
POP_KEEP_MAILS= | Définit si les e-mails lus restent sur le serveur. 1 : Les e-mails ne sont pas supprimés du serveur après téléchargement 0 : les e-mails sont supprimés du serveur après téléchargement. Par défaut : 0
POP_USER= | Nom d'utilisateur du serveur entrant. Valeur par défaut : vide
POP_PASSWORD= | Données hexadécimales du mot de passe chiffré d'authentification sur le serveur de courrier entrant. Valeur par défaut : vide
POP_POLL_INTERVALL= | Intervalle minimum entre deux demandes POP3, en secondes. Minimum : 10 Par défaut : 60
GSM_SMS= | Activation du type d'envoi SMS via GMS. 0 : actif Différent de 0 : Inactive Par défaut : 0 L'entrée correspond à l'entrée [GSM] définie sur On dans le fichier Message32.ini, et est prise en compte lors de l'importation/exportation du paramètre INI.
GSM_SMS_COM= | Port COM utilisé pour établir la connexion au modem. Valeur par défaut : vide
GSM_SMS_SMSC= | Numéro de téléphone du centre de messagerie du fournisseur GSM. Valeur par défaut : vide
GSM_SMS_PIN= | Code PIN utilisé pour l'authentification auprès du modem. Valeur par défaut : vide

info Info

Puisque certaines propriétés peuvent reprendre les valeurs d'autres propriétés et conservent les dernières valeurs saisies, il n'est pas nécessaire que les valeurs dans l'entrée INI correspondent toujours aux valeurs des propriétés affichées dans l'Éditeur. Les entrées suivantes sont concernées si elles sont affichées comme indisponibles :

SMTP_SERVER - > Adresse du serveur

SMTP_USER - > Identification utilisateur

SMTP_PASSWORD - > Mot de passe

SMTP_OUT_ADDR - > Adresse pour les e-mails sortants


zenWebSrv.ini

Manuels -> Structure des fichiers -> zenWebSrv.ini

Paramètres du serveur Web de zenon.

Paramètres

Description

[DEFAULT]

Paramètres de base.

INIT=

Paramètres d'activation du serveur Web de zenon.

Paramètre différent de 0 : le serveur Web a été démarré par le contrôleur du système.

USE_HTTP_PROXY=

Définit si la connexion est établie via TCP ou HTTP.

  • 0 : le protocole TCP est utilisé.
  • Différent de 0 : le tunnelage HTTP est utilisé.

La valeur peut être définie directement via la boîte de dialogue de configuration du serveur Web

[PROXY]

Échange de données entre le serveur Web de zenon et le contrôleur du système.

REMOVE_CLIENT

Cette entrée indique lorsqu'un client authentifié est supprimé du contrôleur du système connecté au serveur Web de zenon.

MAX_CLIENT

Nombre maximal de clients. (dépend de la licence).

AKT_CLIENT

Nombre actuel de clients connectés.

SERIAL7=

Numéro de série du serveur Web de zenon.

ACTIVATIONKEY7=

Numéro d'activation chiffré du serveur Web de zenon.

LICENCEINFO

Informations concernant la licence, telles qu'elles sont affichées dans le contrôleur du système :

  • Démo de Webserver Pro
  • Démo de Webserver
  • Runtime de Webserver Pro
  • Runtime de Webserver

[CLIENTLIST]

Liste des clients connectés.

NAME_[indices de 00 et plus]

Nom du client connecté.

Remarque : les entrées dans les sections [PROXY] et [CLIENTLIST] sont supprimées au démarrage du serveur Web zenon. Si le service reçoit une commande de contrôle du contrôleur du système, les entrées sont écrites ou lues selon le besoin.

info Info

Le fichier zenWebSrv.ini se trouve dans le chemin %cd_system%.


Synoptiques

Manuels -> Synoptiques

Les synoptiques sont les éléments centraux d'un projet. Ils affichent les équipements configurés, des informations et fournissent des éléments utilisateur.
Les synoptiques sont constitués d'éléments vectoriels et/ou d'éléments dynamiques. Ils sont liés à des variables ou des fonctions. Les synoptiques sont configurés dans la fenêtre principale de l'Éditeur.

zenon fournit un grand nombre de types de synoptiques prédéfinis, tels que des listes d'informations sur les alarmes, des synoptiques de tendances etc. L'avantage de ce type de synoptique est que la fonctionnalité souhaitée est liée au type de synoptique. Vous devez créer le type de synoptique ; vous disposez pour cela de différentes fonctions prédéfinies. Vous trouverez un aperçu des types de synoptiques dans la section Types de synoptiques.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Fenêtre principale

Dans la fenêtre principale, les documents tels que les synoptiques, les rapports et autres sont affichés et édités. La fenêtre principale est la seule fenêtre qui ne peut pas être masquée.

Ouvrez plusieurs documents simultanément.

Vous pouvez afficher plusieurs synoptiques à la fois dans la fenêtre principale. Cette fonction peut être activée via : Options -> Vue de l'espace de travail. Les synoptiques peuvent être sélectionnés à l'aide des onglets situés dans la partie supérieure de la fenêtre principale, et peuvent être positionnés via les options accessibles par l'élément de menu Fenêtres.

Pour fermer les synoptiques ouverts, utilisez le raccourci-clavier Ctrl+F4, le menu contextuel ou la commande Fenêtre -> Fermer.

Menu contextuel Documents

Cliquez avec le bouton droit de la souris sur l'onglet d'un document pour ouvrir le menu contextuel.

Paramètres | Description
Enregistrer | Enregistre le document.
Fermer | Ferme le document.
Close all others (Fermer tous les autres) | Ferme tous les autres documents.

Positionner les éléments sur le synoptique

Activez les éléments en cliquant sur le symbole dans la barre d'outils éléments et ouvrez-les dans la fenêtre principale à l'aide de la souris.

Il existe plusieurs manières de déplacer les éléments :

  • Déplacement rapide : cliquez sur l'élément et positionnez-le à l'aide de la souris.
  • Positionnement précis : cliquez sur l'élément et positionnez-le à l'aide des touches fléchées.
  • Rotation : faites pivoter l'élément à votre convenance à l'aide de la poignée située au-dessus du coin supérieur gauche.

Positionnement d'éléments dans l'Éditeur et le Runtime

Les éléments peuvent être positionnés à différents niveaux dans l'Éditeur et dans le Runtime. Les éléments individuels peuvent également être masqués dans l'Éditeur.

Attention : les éléments de contrôle sont toujours affichés dans la position la plus haute. Cela reste également vrai s'ils sont recouverts par d'autres éléments dans l'Éditeur. Ceci permet à l'utilisateur d'y accéder à tout moment.

Ajustement en fonction de la résolution

Les synoptiques et leurs éléments sont automatiquement ajustés en fonction de la résolution de l'écran dans le Runtime. Vous pouvez interdire cet ajustement. Pour afficher les éléments de synoptique à la taille et la position configurées dans l'Éditeur, activez la propriété Ne pas adapter l'élément à la résolution de l'écran pour le synoptique correspondant dans le groupe Dimension.

Autres sujets abordés dans ce chapitre

Menu contextuel Gestionnaire de projet

Qualité d'affichage graphique

Vue de détail de la barre d'outils et du menu contextuel des synoptiques

Barre d'outils d'édition de synoptiques

Barre de boutons Éléments

Éléments du menu contextuel

Exportation et importation au format XML

Éléments de synoptique

Modification d'éléments de synoptique

Cadres

Palettes

Polices

Symboles

Niveaux de visibilité

Types de synoptique

Fonctions de synoptiques


Menu contextuel Gestionnaire de projet

Manuels -> Synoptiques -> Menu contextuel Gestionnaire de projet

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Élément de menu | Action
Nouveau synoptique | Crée un nouveau synoptique portant le nom par défaut "Synoptique" en tant que type de synoptique par défaut.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML. Remarque : les cadres existants ne sont pas remplacés durant la procédure d'importation au format XML à l'aide du nœud Synoptiques. Les cadres existants sont remplacés par le biais du nœud Cadres durant l'importation au format XML. Dans ce cas, tous les synoptiques et leurs éléments sont adaptés au nouveau cadre.
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.


Qualité d'affichage graphique

Manuels -> Synoptiques -> Qualité d'affichage graphique

Dans zenon, la qualité d'affichage graphique peut être adaptée aux ressources du système. Ce paramètre est configuré par le biais du paramètre de projet Qualité graphique, dans le groupe Apparence graphique. Les options possibles sont les suivantes :

  • Windows Basic : Basic graphics settings. Paramètre recommandé lorsque les ressources du matériel sont limitées.
  • Windows Enhanced (Windows optimisé) : offre des fonctions d'affichage graphique amélioré, nécessite davantage de ressources.
  • DirectX Software (Logiciel DirectX) : les calculs graphiques sont effectués par le processeur. Selon les éléments graphiques affichés, vous pouvez utiliser plusieurs processeurs. Utiliser l'option DirectX Software peut exercer une forte charge sur le processeur.
  • Matériel DirectX : certains calculs graphiques sont effectués par la carte graphique, ce qui améliore les performances d'affichage. Si ce paramètre n'est pas pris en charge par le système utilisé, zenon bascule automatiquement vers l'option DirectX Software (Logiciel DirectX). En règle générale, il est préférable d'utiliser l'option DirectX Hardware (Matériel DirectX) et de n'utiliser l'option DirectX Software (Logiciel DirectX) qu'en cas d'absolue nécessité.

attention Attention
  • Les paramètres Windows Enhanced (Windows optimisé) et DirectX ne sont pas disponibles sous Windows CE.
  • L'affichage DirectX est uniquement pris en charge dans le Runtime.

DirectX

DirectX offre une qualité d'affichage supérieure à celle des modes Windows Basic (Windows de base) ou Windows Enhanced (Windows optimisé). Ainsi, contrairement aux modes Windows Basic/Enhanced (Windows de base/optimisé), DirectX peut activer ou désactiver les propriétés Utiliser l'anticrénelage (antialiasing) et Polices ClearType, indépendamment des paramètres du système d'exploitation. La qualité de l'anti-aliasing de DirectX est supérieure à la qualité du mode Windows Enhanced (Windows optimisé).

Pour utiliser DirectX, plusieurs conditions préalables doivent être remplies :

Conditions préalables

Description

L'option DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) doit être activée.

Dans les paramètres du projet, vous devez sélectionner DirectX Hardware ou DirectX Software pour la propriété Apparence graphique.

Le système d'exploitation doit prendre en charge DirectX 11.

Les options DirectX Hardware et DirectX Software sont uniquement compatibles avec les systèmes d'exploitation prenant en charge DirectX11.

Si le système n'est pas compatible avec DirectX 11, le mode Windows Enhanced (Windows optimisé) est sélectionné automatiquement.

Le programme DirectX Runtime le plus récent doit être installé.

Pour zenon, il est installé lors de l'installation du programme. Pour le client Web, il doit être installé manuellement.

Le synoptique ou l'élément doit être compatible avec DirectX.

Seuls les éléments ou les synoptiques compatibles avec DirectX peuvent être affichés avec DirectX.

Pour l'option DirectX Hardware (Matériel DirectX), les conditions préalables minimales doivent être satisfaites.

Pour plus de détails, reportez-vous aux exigences minimales concernant la carte graphique. Si ces conditions ne sont pas satisfaites, la carte graphique active automatiquement l'option DirectX Software (Logiciel DirectX).

Si le système d'exploitation ne fournit aucune accélération matérielle (par exemple, dans Remote Desktop), l'option DirectX Hardware (Matériel DirectX) ne pourra peut-être pas être sélectionnée.

Exigences minimales concernant la carte graphique pour l'option DirectX Hardware (Matériel DirectX)

Pour utiliser l'option DirectX Hardware (Matériel DirectX), les conditions minimales suivantes doivent être satisfaites.

Paramètre | Conditions requises | Recommandée
Carte graphique : | Carte graphique dédiée DirectX 11 AMD ou nVidia | Carte graphique dédiée DirectX 11 AMD ou nVidia
Mémoire graphique : (La taille requise dépend du nombre de synoptiques appelés et d'éléments affichés.) | 512 Mo de VRAM | 1 Go de VRAM
Pilote de carte graphique : | Le driver le plus récent fourni par le fabricant de la carte graphique

Pour contrôler la prise en charge de DirectX Hardware par votre carte graphique, vous pouvez utiliser l'outil dxdiag.exe du système d'exploitation Windows. Check the DDI version value under Display. La valeur 11 désigne DirectX 11, par exemple. All supported versions of DirectX are displayed in the Display tab under Feature Levels. For example, DirectX 11 is displayed as 11.0.

Différences entre DirectX et le mode Windows Enhanced

DirectX diffère du mode Windows Enhanced (Windows optimisé) en termes de qualité, de performances et de ressources requises. Voici quelques exemples de différences essentielles :

  • La mise à l'échelle, la déformation et la rotation des objets sont affichées avec un anti-aliasing. L'anti-aliasing est également compatible avec les transformations.
  • Les ombres affichées reflètent la forme de l'élément réel. Même les textes et les éléments bitmaps semi-transparents possèdent une ombre parfaitement correcte. Les changements dynamiques sont pris en compte : lorsque l'utilisateur clique sur un bouton, l'ombre de ce dernier change.
  • L'effet de luminescence reflète la forme réelle de l'élément. Même les textes et les éléments bitmaps semi-transparents possèdent un effet de luminescence parfaitement correct. Les changements dynamiques sont pris en compte : lorsque l'utilisateur clique sur un bouton, l'effet de luminescence de ce dernier change.

info Info

L'utilisation d'éléments graphiques au format WMF et EMF sous DirectX peut entraîner une baisse des performances.

Exemples

Éléments dynamiques pivotés

Avec le mode Windows Enhanced (Windows optimisé) !

Avec DirectX :

La formation de "crans" au niveau des bords est réduite ; les textes sont correctement positionnés.

Bouton semi-transparent avec ombre

Avec le mode Windows Enhanced (Windows optimisé) !

Avec DirectX :

Ombre correcte avec texte visible.

Ombre d'un bouton avec un élément bitmap

À gauche, un bouton comportant un élément bitmap est affiché ; à droite, le même élément est affiché lorsque la propriété Transparent est active.

Avec le mode Windows Enhanced (Windows optimisé) !

Avec DirectX :

Autres sujets abordés dans ce chapitre

Erreurs de traitement de DirectX


Erreurs de traitement de DirectX

Manuels -> Synoptiques -> Qualité d'affichage graphique -> Erreurs de traitement de DirectX

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les erreurs sont affichées dans Diagnosis Viewer.

DirectX n'est pas initialisé.

Si DirectX ne peut pas être initialisé durant un appel de synoptique ou dans le cadre du fonctionnement continu,

  • Une barre de progression est affichée
  • Le programme réessaie d'initialiser DirectX
  • Le Runtime s'exécute normalement, tant que la barre de progression est affichée
  • Vous pouvez essayer de résoudre le problème (installation de pilotes, etc.)

Pour annuler la barre de progression, cliquez sur le bouton Annuler. Après l'annulation, le Runtime est fermé et un message d'erreur s'affiche ; pour le fermer, vous devez cliquer sur OK.

Remarque : en cas d'erreur interdisant la réinitialisation de DirectX, un message d'erreur s'affiche immédiatement.

Outil de diagnostic : Diagnosis Viewer

DirectX fournit différents messages dans Diagnosis Viewer ; ces messages contiennent :

  • Un message d'erreur
  • Des causes possibles des erreurs
  • Codes d'erreur

L'affichage se déroule dans un module DirectX spécifique. En cas d'erreur, le texte de l'erreur est affiché dans le champ de texte Erreur. Dans le cas des avertissements et informations de débogage, les messages correspondants sont affichés dans le champ de texte Général :

  • En cas d'appel de synoptique réussi, au moins un message de débogage indiquant le succès de l'opération est affiché.
  • Les avertissements désignent les événements pouvant influencer le fonctionnement.
  • Si une erreur ne pouvant pas être résolue se produit, un message d'erreur est affiché.

info Info

Si un message n'est pas entièrement affiché dans la table dans l'outil Diagnosis Viewer, vous pouvez double-cliquer sur l'entrée pour l'ouvrir et afficher le message dans sa totalité.

Liste de contrôle de recherche d'erreurs

  • Une vérification du bon fonctionnement de DirectX peut être effectuée en activant le message de débogage dans l'outil Diagnosis Viewer. Pour faciliter la résolution d'incidents, un message détaillé est affiché.
  • Les avertissements ou messages d'erreur concernant DirectX sont-ils affichés dans l'outil Diagnosis Viewer ?
  • La propriété DirectX Hardware ou DirectX Software est-elle activée dans le paramètre de projet Qualité graphique ?
  • Les conditions indispensables à l'exécution de DirectX sont-elles satisfaites ? Pour plus de détails concernant les conditions minimales indispensables, reportez-vous au chapitre Qualité d'affichage graphique.
    • DirectX 11 est-il pris en charge par le système d'exploitation ?
    • Une version actuelle de DirectX Runtime est-elle installée ?
    • DirectX Hardware est-il pris en charge par la carte graphique ?

      Pour contrôler la prise en charge de DirectX Hardware par votre carte graphique, vous pouvez utiliser l'outil dxdiag.exe du système d'exploitation Windows. Check the DDI version value under Display. La valeur 11 désigne DirectX 11, par exemple. All supported versions of DirectX are displayed in the Display tab under Feature Levels. For example, DirectX 11 is displayed as 11.0.

  • DirectX est-il pris en charge par le synoptique ou l'élément ?
  • L'écran fonctionne-t-il correctement dans les modes Windows Basis et Windows Enhanced ?
  • L'écran fonctionne-t-il avec un autre pilote ?
  • L'écran fonctionne-t-il avec une carte graphique d'un autre fabricant ?


Vue de détail de la barre d'outils et du menu contextuel des synoptiques

Manuels -> Synoptiques -> Vue de détail de la barre d'outils et du menu contextuel des synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu contextuel

Élément de menu | Action
Nouveau synoptique | Ajoute un nouveau synoptique à la liste et bascule l'affichage vers cette entrée.
Ouvrir synoptique | Ouvre la fenêtre principale pour le synoptique sélectionné.
Créer une fonction standard | Ouvre les assistants de sélection de synoptiques et de configuration des détails, afin de créer automatiquement une fonction adaptée. Cette action est consignée dans la fenêtre de sortie.
Éléments liés | Ouvre la liste déroulante comportant l'option Jump back to start element (Retour à l'élément de départ). Cliquez pour revenir à l'élément depuis lequel vous avez directement accédé au synoptique.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML. Remarque : les cadres existants ne sont pas remplacés durant la procédure d'importation au format XML à l'aide du nœud Synoptiques. Les cadres existants sont remplacés par le biais du nœud Cadres durant l'importation au format XML. Dans ce cas, tous les synoptiques et leurs éléments sont adaptés au nouveau cadre.
Création d'un modèle pour un type de synoptique | Ouvre la boîte de dialogue de création d'un nouveau modèle pour vous permettre d'ajouter des éléments de contrôle au type de synoptique spécifié.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de textes dans la langue sélectionnée.
Propriétés | Ouvre la fenêtre des Propriétés pour l'entrée sélectionnée.
Aide | Ouvre l'aide en ligne.


Barre d'outils d'édition de synoptiques

Manuels -> Synoptiques -> Barre d'outils d'édition de synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une barre d'outils vous permet d'éditer les synoptiques. Par défaut, elle est affichée sous la barre de menus.

Symbole

(de gauche à droite)

Fonction

Enregistrer le synoptique

Enregistre le synoptique courant.

Enregistrer tout

Enregistre tous les synoptiques modifiés.

Couper

Coupe l'élément sélectionné et le stocke dans le presse-papiers ; cette fonction est également utilisable d'un projet à l'autre. Disponible uniquement si un élément a été sélectionné.

Copier

Transfère une copie du synoptique actuel vers le presse-papiers. Disponible uniquement si un élément a été sélectionné.

Coller

Insère (c'est-à-dire colle) un synoptique depuis le presse-papier. Uniquement disponible si le presse-papiers contient des données.

Redessiner le synoptique

Rafraîchit l'affichage.

Mode édition

Bascule du mode Zoom au mode Edition .

Annuler

Permet d'annuler jusqu'à 100 actions. Par défaut, 10 actions peuvent être annulées.

Définissez le nombre d'actions : Options -> Paramètres -> Paramètres -> Nombre d'actions pouvant être annulées. Saisissez un nombre compris entre 1 et 100.

Zoom

Fournit deux modes de zoom :

  • Zoom variable :
    Une valeur prédéfinie peut être sélectionnée dans la liste déroulante, ou vous pouvez directement saisir n'importe quelle valeur comprise entre 15 % et 400 %.
  • Outil zoom :
    Vous pouvez directement effectuer un zoom sur le synoptique en sélectionnant les deux symboles d'agrandissement (+ et -). La touche Ctrl permet de basculer entre les différents modes. Le zoom défini est enregistré pour chaque synoptique.

Fermer le mode Zoom : Cliquez sur le symbole du mode Edition dans la barre d'outils Éléments.

Imprimer

Tout le contenu actuel de l'écran est imprimé sur l'imprimante par défaut. Vous pouvez configurer les propriétés de l'imprimante via les options Fichier -> Configuration standard -> Standard.

Aide

Ouvre l'aide en ligne.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.


Barre de boutons Éléments

Manuels -> Synoptiques -> Barre de boutons Éléments

No.

Symbole

Fonction

01

Rectangle

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage

02

Ligne

Avec épaisseur, couleur et type de ligne définissables

03

Rectangle arrondi

Rectangle avec coins arrondis pouvant être librement définis

04

Ellipse/Cercle

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage (cercle)

05

Polygone

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage

06

Ligne brisée

Avec type et couleur de ligne (également motif de remplissage et couleur pour une description de l'élément)

07

Quartier de cercle (camembert)

Avec épaisseur, couleur et type de ligne définissables

08

Quartier de cercle (camembert)

Tracer un quartier de cercle avec un angle d'ouverture de 180º (modifiable) ; épaisseur, couleur et type de ligne définissables

10

Texte statique

Avec couleur de la police et sélection du type de police

09

Tube

Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage

11

Bargraphe

Affichage de valeurs sous forme de bargraphe

12

Valeur numérique

Affichage numérique de valeurs

13

Texte dynamique

Affichage des textes des limites d'une variable ou directement de la valeur d'une variable de type STRING (chaîne de caractères)

14

Élément tendance

Tracé de courbes

15

Instrument à aiguille

Affichage de la valeur sur un cadran d'instrument à aiguille

16

Élément logique

Utilise les couleurs des configurations des limites d'une variable

17

Bouton

Zone sensible à la souris affichée sous forme de bouton

18

Bascule

Permet le forçage d'une variable de type BOOL.

19

Combinaisons multiples

Affichage de plusieurs variables dans un point du synoptique à l'aide de couleurs et de symboles (chaîne).

20

Bouton de synoptique d'alarmes

Uniquement disponible avec une licence pour SICAM 230.

21

Élément message

Affichage de textes extraits d'une table de texte

22

Horloge

Date et heure

23

Élément commande

Uniquement disponible avec une licence pour SICAM 230.

24

Élément combiné

Affiche une ou plusieurs variables à l'aide de couleurs ou de symboles (textes chaînés).

25

Gestion des synoptiques d'alarmes

Uniquement disponible avec une licence pour SICAM 230.

26

Élément ActiveX

Insère un contrôle Active X

27

Réglette universelle

contrôle réglette

28

Liste de choix / menu déroulant

Permet de lier les valeurs de variable à des textes.

29

Élément WPF

Affiche des fichiers XAML WPF valides.

30

Mode édition

Bascule du mode zoom au mode édition.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.


Éléments du menu contextuel

Manuels -> Synoptiques -> Éléments du menu contextuel

Des commandes adaptées à la situation sont disponibles dans le menu contextuel. Ces commandes sont également accessibles par le biais des menus et des barres d'outils.

Commande

Description

Symbole

Ouvre la liste déroulante contenant les commandes. Les commandes suivantes sont disponibles, selon l'état du symbole :

  • Créer
  • Dissocier
  • Activer ou désactiver le mode d'édition individuelle
  • Insérer dans un symbole incorporé existant.
  • Convertir symbole lié en symbole embarqué
  • Modification dans l'Éditeur de symboles
  • Insertion dans la bibliothèque de symboles
  • Créer

Crée un symbole embarqué.

  • Dissocier

Dissocie un symbole embarqué en éléments de synoptique.

  • Activer ou désactiver le mode d'édition individuelle

Active le mode d'édition individuelle, ou revient au mode d'édition de symbole. Le mode d'édition individuelle vous permet d'éditer les éléments individuels d'un symbole.

  • Insérer dans symbole embarqué existant ...

Insère le symbole dans un symbole incorporé existant.

  • Convertir symbole lié en symbole embarqué

Convertit un symbole lié en symbole incorporé.

  • Modifier dans éditeur de symbole

Ouvre un symbole lié dans l'Éditeur de symboles, vous permettant de le modifier.

  • Insertion dans la bibliothèque de symboles

Ouvre la boîte de dialogue d'ajout de symboles depuis un synoptique d'une bibliothèque de symboles.

Position de l'élément

Ouvre la liste déroulante permettant de modifier la position de l'élément :

  • Premier plan : Passe les éléments sélectionnés en premier-plan.
  • Explication : Passe les éléments sélectionnés en arrière-plan.
  • Avancer : Avance les éléments sélectionnés d'un pas (vers le premier-plan).
  • Reculer : Recule les éléments sélectionnés d'un pas (vers l'arrière-plan).

Cascade

Ouvre la liste déroulante permettant de réorganiser les éléments liés.

Éléments liés

Ouvre la liste déroulante contenant les éléments dynamiques liés, par exemple : variables, fonctions, polices de caractères, symboles, etc.

Remplacer les liens

Fonction Rechercher/Remplacer
Par ex. "Température cuve 1" est remplacé par "Température cuve 2"

Couper

Coupe l'élément sélectionné et le stocke dans le presse-papiers.

Copier

Copier les objets sélectionnés.

Coller

Colle les objets qui ont été coupés ou copiés depuis le presse-papiers.

Coller à la même position

Colle les objets qui ont été coupés ou copiés depuis le presse-papiers.

Supprimer

Supprime les objets sélectionnés.

Transfer format (Copier le format)

Transfère les propriétés d'un élément sélectionné vers un ou plusieurs éléments.

  • Transférer vers un élément :

    Cliquez sur l'élément comportant les propriétés originales.
    -> Cliquez sur le symbole Copier les propriétés ou la commande du menu contextuel.
    -> Cliquez sur l'élément cible : les propriétés sont transférées.

  • Transférer vers plusieurs éléments :

    Sélectionnez l'élément source.
    -> Sélectionnez l'élément cible en maintenant la touche Ctrl enfoncée (les éléments source et cible sont sélectionnés).
    > Cliquez sur le symbole Copier les propriétés ou la commande dans le menu contextuel.
    -> Les propriétés de l'élément source sont transférées vers l'élément cible.

Les objets source et cible déterminent les propriétés transférées.

Si plusieurs éléments ont été choisis comme source, les propriétés du premier élément sont transférées.

Mode plein écran

Le mode plein écran masque toutes les autres fenêtres et affiche uniquement la fenêtre principale contenant tous les documents ouverts (synoptiques, rapports, etc.) en mode plein écran.

Vous pouvez fermer le mode plein écran en :

  • Cliquant sur le bouton de fermeture du mode plein écran
  • En appuyant sur Maj+F9
  • En appuyant sur Échap

Redessiner écran/symbole

Rafraîchit l'affichage.

Afficher la grille

Active ou désactive la grille.

Afficher la grille

Active ou désactive l'utilisation de la grille.

Activée : tous les objets sont automatiquement alignés sur la grille.

Utiliser les points magnétiques

Active ou désactive les points magnétiques.

Utilisation : si vous déplacez un objet à proximité du point de manipulation d'un autre objet, il s'enclenche automatiquement sur ce point de manipulation.

Zoom

Modifie la résolution par incréments fixes compris entre 15 % et 400 %.

Copie d'écran : écran/symbole courant

Le synoptique actuel est imprimé sur l'imprimante standard. Vous pouvez configurer les propriétés de l'imprimante via les options Fichier -> Configuration standard -> Standard.

Insérer graphiques vectoriels

Ouvre la boîte de dialogue permettant d'insérer des éléments graphiques vectoriels externes.

Propriétés

Ouvre la fenêtre des propriétés pour l'élément sélectionné.

Aide

Ouvre l'aide en ligne.


Exportation et importation au format XML

Manuels -> Synoptiques -> Exportation et importation au format XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Exportation de synoptiques

Les variables et les fonctions incluses sont exportées avec les synoptiques. Le fichier d'exportation pour les synoptiques comporte les sections suivantes :

  • Synoptiques
  • Cadres
  • Symboles
  • Variables
  • Fonctions

Pour exporter des synoptiques :

  1. Sélectionnez les synoptiques de votre choix.
  2. Sélectionnez Exporter XML (sélection)... dans le menu contextuel de la vue de détail.
    Vous pouvez également sélectionner, dans le nœud Synoptique, la commande Exporter XML (tout)....
  3. La boîte de dialogue de sélection de l'emplacement d'enregistrement s'ouvre
  4. Sélectionnez l'emplacement d'enregistrement de votre choix
  5. Attribuez un nom
  6. Prêtez attention au type de fichier XML
  7. Confirmez en cliquant sur le bouton Enregistrer

Les synoptiques sélectionnés sont exportés vers un fichier XML, et peuvent être importés à tout instant dans ce projet ou d'autres projets.

Importation de synoptiques

Pour importer les synoptiques :

  1. Dans le menu contextuel du nœud Synoptiques ou la vue de détail Synoptiques, sélectionnez la commande Importer XML...
  2. La boîte de dialogue de sélection de l'emplacement d'enregistrement s'ouvre
  3. Accédez à l'emplacement d'enregistrement du fichier XML souhaité
  4. Sélectionnez le fichier de votre choix
  5. Confirmez l'importation en cliquant sur le bouton Ouvrir.

Les synoptiques sont importés.

Conflits de noms durant l'importation

Lors de l'importation d'un synoptique, le nom (attribut ShortName) conservé dans le fichier XML est utilisé pour le nom du synoptique créé. Si un synoptique portant le même nom existe déjà, l'importation est interrompue et un message d'erreur est affiché :

Paramètres | Description
Oui | Le synoptique décrit dans le message d'erreur est remplacé par le synoptique du fichier XML lors de l'importation. En cas de nouveau conflit, le message d'erreur est affiché une nouvelle fois.
Non | Le synoptique décrit dans le message d'erreur n'est pas importé. Le synoptique existant est conservé. En cas de nouveau conflit, le message d'erreur est affiché une nouvelle fois.
Yes, all (Oui, tous) | Le synoptique décrit dans le message d'erreur est remplacé par le synoptique du fichier XML lors de l'importation. Ce paramètre est utilisé automatiquement lorsqu'une erreur liée à l'utilisation du même nom se produit. Tous les synoptiques affectés sont remplacés.
No, all (Non pour tous) | Le synoptique décrit dans le message d'erreur n'est pas importé. Le synoptique existant est conservé. Ce paramètre est utilisé automatiquement lorsqu'une erreur liée à l'utilisation du même nom se produit. Tous les synoptiques affectés sont conservés.

Remarque : seul l'attribut ShortName est utilisé. Le nom de fichier n'a aucune importance au regard des synoptiques devant être importés. Il ne peut donc pas être utilisé pour résoudre le conflit.

Variables et fonctions dans les synoptiques

Les éléments dynamiques et les cadres sont automatiquement importés avec les synoptiques. Les variables et les fonctions doivent être importées manuellement avant, à partir du même fichier.

Seules les variables et fonctions du premier niveau sont traitées, i.e. les variables et fonctions qui sont directement liées au synoptique. Comme, des variables peuvent être liées à des fonctions (par exemple : envoi de valeur) et que des fonctions peuvent être liées aux variables (par exemple sur les limites), il peut être nécessaires d'importer d'abord les variables, puis les fonctions et à nouveau les variables. Ainsi tous les liens seront recréés correctement.

Exemple : Un synoptique contient un bouton avec une fonction Envoi de valeur vers une variable. La fonction est importée avec le synoptique, mais sans la variable.

info Info

Nous recommandons ici l'utilisation des assistants d'importation XML.


Éléments de synoptique

Manuels -> Synoptiques -> Éléments de synoptique

Deux types d'éléments de synoptique sont utilisés dans zenon :

  1. Les éléments vectoriels statiques
  2. Les éléments dynamiques

De nombreuses combinaisons de touches sont disponibles lors de l'édition d'éléments de synoptique. Vous trouverez plus de détails à ce propos dans l'aide, à la section relative aux combinaisons de touches d'éléments graphiques.

Dans cette section, vous trouverez des informations concernant :

  • Insert into the main window (Insérer dans la fenêtre principale)
  • Définition des propriétés
  • Modifier la taille de l'élément
  • Faire pivoter l'élément
  • Séquence dans le Runtime
  • Éléments vectoriels dans zenon
  • Éléments dynamiques dans zenon

info Info

Les éléments de synoptique liés à une variable, qui ne comportent ni valeur, ni état, deviennent invisibles dans le Runtime.

Insert into the main window (Insérer dans la fenêtre principale)

L'élément sélectionné peut être sélectionné plusieurs fois dans la fenêtre principale et y être réorganisé. L'élément sélectionné (et donc actif) est représenté par l'affichage d'un symbole à l'extrémité du pointeur de souris. Pour dessiner le gabarit :

  1. Cliquez sur le bouton gauche de la souris.
  2. Déplacez la souris.
  3. Relâchez le bouton de la souris.

Exception : polyligne, polygone et tube :

  • Cliquez pour insérer une nouvelle position d'ancrage.
  • Double-cliquez ou appuyez sur la touche Échap pour arrêter de tirer sur une poignée.

Les éléments peuvent être pivotés librement avec la souris ; pour cela :

  1. Cliquez sur l'élément.
  2. Faites-le pivoter à l'aide de la poignée de redimensionnement jaune.

Le point de contact, et donc le point de rotation, peuvent être définis dans les propriétés Point de référence.

Définition des propriétés

Pour les éléments de la fenêtre principale, les propriétés sont définies dans les propriétés de la fenêtre. Pour cela, l'élément doit être activé dans la fenêtre principale.

Vous pouvez également sélectionner plusieurs éléments simultanément et leur attribuer des propriétés communes. Dans ce cas, les dispositions suivantes s'appliquent :

  • Les différentes valeurs correspondant aux différentes propriétés sont affichées en rouge.
  • Les propriétés qui ne peuvent être modifiées conjointement sont désactivées.

Des instructions d'aide relatives aux propriétés vous sont également fournies lors de la création d'éléments. Pour cela, activez la fenêtre d'aide dans zenon.

Modifier la taille de l'élément

Pour modifier la taille d'un élément, vous pouvez utiliser la souris, le clavier, les propriétés ou une boîte de dialogue :

  • Avec la souris :
    1. Cliquez sur une des poignées du cadre de l'élément.
    2. Faites glisser l'élément jusqu'à obtenir la taille souhaitée.
  • Avec le clavier :
    • Activez la poignée de redimensionnement souhaitée (le pointeur de la souris doit se trouver sur la poignée de redimensionnement.)
    • Faites-le glisser à l'aide des touches fléchées du clavier :
    • lorsque vous appuyez sur une touche fléchée, vous modifiez la position de 1 pixel.
    • Avec la touche Maj et les touches fléchées : Curseur lorsque vous appuyez sur une touche fléchée, vous modifiez la position de 10 pixel.
  • Avec la fenêtre des propriétés : Dans le groupe de propriétés Position, vous pouvez spécifier la position et la taille avec une précision de 1 pixel.
  • Avec une boîte de dialogue : double-cliquez sur une poignée pour ouvrir une boîte de dialogue dans laquelle vous pouvez saisir la position avec une précision de 1 pixel.

Remarque : Si, dans la propriété Taille du graphique, le paramètre Taille d'origine a été sélectionné pour la valeur associée à l'élément Combinaison multiple, Élément combiné, Bouton ou Interrupteur, la largeur et la hauteur du fichier graphique correspondant ne peuvent plus être modifiées.

Faire pivoter l'élément

Les éléments peuvent pivoter librement. Vous pouvez définir le point de rotation à l'aide des propriétés dans le groupe Point de référence.

Définissez l'angle de rotation comme suit :

  • Avec la souris : cliquez sur l'élément et faites-le pivoter à l'aide de la poignée verte.
  • Avec la fenêtre des propriétés : avec la propriété Angle de rotation [°] dans le groupe Position.
  • Avec une boîte de dialogue : Double-cliquez sur la poignée verte pour ouvrir une boîte de dialogue dans laquelle vous pouvez saisir l'angle de rotation.

info Info

Les éléments de synoptique à base de fenêtres, tels que les éléments ActiveX, les listes ou les menus déroulants/zones de liste déroulantes ne peuvent pas être pivotés dans le Runtime. La configuration dans l'Éditeur est possible pour ActiveX, mais elle n'a aucune incidence sur l'affichage dans le Runtime.

Hauteur des lignes

La hauteur de ligne peut être définie pour certains éléments, indépendamment de la taille de la police, à l'aide de la propriété Affichage/Hauteur de ligne [pixel]. La valeur par défaut est 0 pixel. La hauteur des lignes est définie indépendamment de la taille de la police. Toute valeur supérieure à 0 définit une valeur fixe de hauteur de ligne, en pixels. Si une hauteur de ligne est définie, les illustrations graphiques ne sont pas redimensionnées en fonction de la hauteur de ligne, mais adaptées à la taille de la police.

Attention : si la hauteur de ligne

  • sélectionnée est trop élevée, dans certaines circonstances, aucune information ne sera affichée dans le Runtime.
  • sélectionnée est inférieure à la taille de la police, les éléments graphiques seront tronqués.

Dans le Runtime :

Ordre

Dans le Runtime, la séquence suivante est généralement applicable à l'affichage d'éléments, de haut en bas :

  • Élément WPF, toujours au premier plan
  • Élément ActiveX, toujours au premier plan, sauf s'il est recouvert par un élément WPF
  • Éléments dynamiques et éléments vectoriels

Déplacement

Le déplacement d'éléments est interprété comme suit :

rotation d'abord (statique et dynamique), puis zoom dynamique, X et Y).

Éléments recouverts

Les considérations suivantes s'appliquent aux éléments recouverts :

  • Si un élément vectoriel recouvre un élément dynamique :
    • Les éléments dynamiques ou la partie recouverte ne sont pas affichés
    • Les éléments dynamiques peuvent être actionnés, même s'ils sont entièrement recouverts
  • Si plusieurs éléments dynamiques sont recouverts, seules les parties visibles (c'est-à-dire pouvant être cliquées) peuvent être cliquées.

info Info

Les éléments recouverts dans le Runtime peuvent être contrôlés à l'aide du clavier. Pour plus de détails concernant la configuration, reportez-vous au manuel Runtime, au chapitre Définition de séquences dans les cadres.

Éléments vectoriels dans zenon :

Utilisez l'Éditeur de caractères pour créer des éléments vectoriels dans zenon. Sélectionnez l'élément de votre choix dans la barre d'outils Éléments ou dans la liste déroulante et déposez-le dans la fenêtre principale avec la souris. Configurez les propriétés dans la fenêtre Propriétés. Pour cela, l'élément doit être activé dans la fenêtre principale.

Élément | Propriétés
Ellipse | Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage
Cercle | Sélectionnez le symbole Ellipse et maintenez la touche Maj enfoncée pendant que vous tracez la forme ; avec couleur de cadre et de remplissage, type de cadre et motif de remplissage
Quartier de cercle (camembert) | Avec épaisseur, couleur et type de ligne définissables
Quartier de cercle (camembert) | Avec épaisseur, couleur et type de ligne définissables
Ligne | Avec épaisseur, couleur et type de ligne définissables
Polygone | Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage
Ligne brisée | Avec type et couleur de ligne (également motif de remplissage et couleur pour une description de l'élément)
Carré | Sélectionnez le symbole Rectangle et maintenez la touche Maj enfoncée pendant que vous tracez la forme ; avec couleur de cadre et de remplissage, type de cadre et motif de remplissage
Rectangle | Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage
Rectangle arrondi | Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage
Tube | Avec couleur de cadre et de remplissage, type de cadre et motif de remplissage
Texte statique | Avec couleur de la police et sélection du type de police

Importation de vos propres graphiques vectoriels

Les éléments vectoriels créés à l'aide de programmes externes peuvent être importés sous forme de synoptique et incorporés. Pour cela, accédez à Fichiers -> Graphiques -> Add data (Ajouter des données) dans le gestionnaire de projet.

Éléments dynamiques dans zenon

Utilisez l'Éditeur de caractères pour créer des éléments de synoptique dynamiques dans zenon. Sélectionnez l'élément de votre choix dans la barre d'outils Éléments ou dans la liste déroulante et déposez-le dans la fenêtre principale avec la souris. Configurez les propriétés dans la fenêtre Propriétés. Pour cela, l'élément doit être activé dans la fenêtre principale. Les éléments graphiques peuvent être activés directement ici, par l'intermédiaire des variables. Pour de nombreux éléments, une boîte de dialogue de configuration est affichée lors de leur création.

Éléments dynamiques dans zenon :

Élément

Fonction

ActiveX

Permet d'insérer les éléments ActiveX de votre choix. Ces éléments doivent déjà être installés sur l'ordinateur.

Bargraphe

Affiche la taille d'un signal sous forme de barre. La longueur de la barre évolue en fonction de la taille du signal.

Élément de commande

Permet de transmettre des commandes pour le module de commande. Nécessite une licence pour SICAM 230.

Bouton alarme de synoptique

Autorise l'affichage d'alarmes colorées et clignotantes via le synoptique. Nécessite une licence pour SICAM 230.

Bouton Bitmap

Lie un fichier graphique (éléments graphiques pixellisés : *.bmp, *.jpg, *.gif ou *.png ou vectoriels : *.wmf) à un bouton.

Attention ! Cet élément est uniquement disponible si la propriété Créer fichiers RT pour du projet a été définie sur une valeur inférieure à 6.50. Cette fonction a été intégrée à l'élément bouton à partir de la version 6.50.

Bouton

Autorise la mise en œuvre d'actions telles que l'exécution d'une fonction ou d'une valeur cible. Il permet d'afficher des textes et des éléments graphiques, et peut être créé sous forme d'objet transparent via d'autres éléments.

Attention ! Si la propriété Créer fichiers RT pour du projet est définie sur une valeur inférieure à 6.50, seule la sortie au format texte est affichée dans le Runtime. Les éléments graphiques et la fonction invisible doivent ensuite être configurés avec les éléments Bouton bitmap et Bouton invisible. Vous trouverez ces deux éléments au bas de la liste déroulante Éléments.

Élément combiné

Affiche les états des variables au moyen de symboles ; les synoptiques et les textes au format graphique peuvent également être utilisés comme commutateurs ou boutons.

Liste déroulante/Zone de liste

Affiche du texte dans une zone de liste ou une liste déroulante, quelle que soit la valeur de la variable. Lorsqu'une entrée est sélectionnée, la valeur correspondant est transmise ou la fonction correspondante est exécutée.

Texte dynamique

Affiche la valeur d'une variable de chaîne au format alphanumérique ou le texte de limite actuel de variables numériques.

Élément message

Lit le texte depuis un fichier texte, en fonction de deux variables, et l'affiche.

Élément combinaison multiple

Active l'affichage d'un graphique ou la coloration de symboles et l'affichage d'un texte d'état, indépendamment des valeurs de variables.

Commutateur

Affiche et modifie les valeurs d'une variable binaire.

Move Symbol (Déplacer le symbole)

Permet de déplacer, pivoter et augmenter ou diminuer la taille d'un symbole, indifféremment des valeurs de variables.

Courbe de tendance

Affiche des valeurs sous forme de courbes de tendance

Horloge

Affiche la date et l'heure actuelles.

Réglette universelle

Fournit des réglettes sous différentes formes graphiques.

Bouton invisible

Objet transparent permettant de déclencher des actions telles que l'exécution d'une fonction ou la définition d'une valeur prescrite.

Attention ! Cet élément est uniquement disponible si la propriété Créer fichiers RT pour du projet a été définie sur une valeur inférieure à 6.50. Cette fonction a été intégrée à l'élément bouton à partir de la version 6.50.

WPF Element (Élément WPF)

Affiche des fichiers WPF-XAML dans zenon.

Valeur numérique

Affiche la valeur d'une variable sous forme numérique.

Instrument à aiguille

Affiche la valeur d'une variable sous forme d'outil de mesure analogique en utilisant un indicateur en tant qu'élément d'affichage.

Élément logique

Transfère les propriétés de variables liées vers un symbole et affiche des textes de limite statistique.

Définition des propriétés

Pour de nombreux éléments dynamiques, une boîte de dialogue de configuration s'ouvre pour autoriser la sélection des variables et/ou des fonctions qui définissent les éléments dans le Runtime. Les propriétés peuvent également être définies indépendamment de la boîte de dialogue de configuration dans la fenêtre des propriétés. Elles peuvent être modifiées ici à tout instant. Pour cela, l'élément doit être activé dans la fenêtre principale.

Vous pouvez également sélectionner plusieurs éléments simultanément et leur attribuer des propriétés communes. Dans ce cas, les dispositions suivantes s'appliquent :

  • Les différentes valeurs correspondant aux différentes propriétés sont affichées en rouge.
  • Les propriétés qui ne peuvent être modifiées conjointement sont désactivées.

Des instructions d'aide relatives aux propriétés vous sont également fournies lors de la création d'éléments. Pour cela, activez la liste des propriétés dans zenon.

Affichage dans la fenêtre principale

Vous pouvez obtenir des informations concernant un élément dynamique dans la fenêtre principale en consultant :

L'info-bulle qui apparaît lorsque vous positionnez la souris sur l'élément :

  • Type élément
  • Nom élément
  • Nom de fonction/Type de fonction
  • Variables liées

Dans la barre d'état, lors de l'activation :

  • Position du pointeur de souris
  • Type élément
  • Nom élément
  • Point de départ
  • Largeur/hauteur

Autres sujets abordés dans ce chapitre

Contrôle .NET

ActiveX

Bargraphe

Élément commande

Bouton de synoptique d'alarmes

Bouton

Élément combiné

Liste déroulante/Zone de liste

Texte dynamique

Ellipse

Cercle

Quartier de cercle (camembert)

Quartier de cercle (camembert)

Ligne

Élément message

Combinaisons multiples

Polygone

Ligne brisée

Rectangle

Carré

Tube

Bascule

Texte statique

Move symbol (Déplacer le symbole) (versions 6.22 et antérieures uniquement)

Élément tendance

Horloge

Réglette universelle

Élément WPF

Valeur numérique

Instrument à aiguille

Élément logique


Contrôle .NET

Manuels -> Synoptiques -> Éléments de synoptique -> Contrôle .NET

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le contrôle ActiveX CD_DotNetControlContainer.Container permet d'utiliser les contrôles Windows Forms .NET de votre choix en tant qu'éléments dynamiques dans zenon. Dans ce cas, toutes les fonctions déployées dans le contrôle .NET sont prises en charge. Le contrôle peut être utilisé avec toutes les versions de zenon compatibles avec ActiveX, à partir de la version 5.50.

Remarque : .NET Framework 3.5 doit être disponible.

info Info

D'autres informations concernant l'utilisation de .NET avec zenon sont disponibles dans le manuel Interfaces de programmation, au chapitre .NET.

Pour utiliser le contrôle ActiveX CD_DotNetControlContainer.Container :

  1. Créez un élément dynamique de type ActiveX.
  2. Sélectionnez CD_DotNetControlContainer.Container dans la liste des contrôles disponibles.
  3. Cliquez sur le bouton Propriétés.
  4. La boîte de dialogue de configuration du contrôle s'affiche à l'écran.

Paramètre | Description
Charger | Ouvre le gestionnaire de fichiers pour vous permettre de sélectionner un ensemble de contrôle .NET. Remarque : l'ensemble de contrôle .NET doit se trouver dans le même dossier que le Runtime. Dans tous les cas, le chemin absolu de l'ensemble de contrôle .NET est enregistré, par exemple : C:\Controls\Assembly.dll.
SelectUserControl | Sélection des contrôles .NET parmi les contrôles disponibles dans l'ensemble de contrôle .NETsélectionné.
Aperçu | Affiche le chemin d'accès absolu à l'ensemble de contrôle .NET. Champ inférieur gauche : aperçu du contrôle. Champ inférieur droit : Liste de propriétés pour le contrôle .NET sélectionné.
Symbole : Par catégorie | Affiche les propriétés triées par catégorie.
Symbole : alphabétique | Affiche les propriétés par ordre alphabétique.
Symbole : pages de propriétés | Affiche les pages de propriétés.
OK | Confirme la configuration. Celle-ci est ensuite enregistrée dans l'élément ActiveX de zenon, sous forme de flux XML.
Annuler | Annule la configuration.


ActiveX

Manuels -> Synoptiques -> Éléments de synoptique -> ActiveX

La connexion des éléments ActiveX de projets s'effectue à l'aide de l'élément dynamique ActiveX .

info Info

D'autres informations concernant l'utilisation d'ActiveX avec zenon sont disponibles dans le manuel Interfaces de programmation, au chapitre ActiveX.

Pour créer un élément ActiveX sur un synoptique :

  1. Sélectionnez le symbole ActiveX dans la barre d'outils Éléments ou dans la liste déroulanteÉléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément de contrôle tout en maintenant le bouton gauche la souris enfoncé.
  4. Une boîte de dialogue de configuration s'affiche, vous permettant de sélectionner l'élément et le configurer.
  5. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  6. Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.

Vous pouvez définir les propriétés individuelles de l'élément dans la fenêtre des propriétés. Pour cela, l'élément doit être actif (clic sur un bouton de la souris) dans la fenêtre principale. Pour sélectionner ou modifier un contrôle ultérieurement, ouvrez la boîte de dialogue de configuration en double-cliquant sur l'élément de menu Propriétés du menu contextuel.

attention Attention

Seuls les éléments ActiveX installés et enregistrés sur l'ordinateur sont affichés. Assurez-vous que tous les éléments ActiveX sont également installés sur les systèmes Runtime sur lesquels vous utilisez le projet.
Vous pouvez également utiliser le module de transport à distance pour enregistrer les éléments ActiveX sur les systèmes distants. Voir: Reportez-vous à Fichiers définis (copie & enregistrement)

Configuration ActiveX

Élément | Fonction
Éléments ActiveX | Liste de tous les éléments ActiveX disponibles.
Propriétés | Ouvre une boîte de dialogue de configuration pour l'élément ActiveX affiché en surbrillance, le cas échéant. Vous pouvez obtenir de l'aide et des informations concernant la configuration du contrôle ActiveX concerné auprès du développeur.
Assignation variable | Liste des variables liées à l'élément ActiveX.
Variable | Ouvre la boîte de dialogue de sélection de variables de zenon, s'il est possible de lier des variables.
Bas | Trie les variables triées dans l'ordre décroissant.
Vers le haut | Trie les variables triées dans l'ordre croissant.

Changement de position dans le Runtime

Les contrôles ActiveX en mode fenêtré utilisent des coordonnées de souris non transformées dans le Runtime. Si un élément est pivoté, étiré ou autrement modifié en termes de taille ou de position, le contrôle ne correspond plus et continue à être exécuté à l'emplacement d'origine. L'élément transformé ne peut donc plus être actionné dans sa position transformée à l'aide du contrôle.

Les contrôles ActiveX sans fenêtre utilisent des coordonnées de souris transformées dans le Runtime. Si un élément est pivoté, étiré ou si sa position est autrement modifiée, le contrôle fonctionne si les conditions suivantes ont été satisfaites :

  • Ne fonctionne pas sous Windows CE.
  • Ne contient pas de contrôle ActiveX sans fenêtre
  • Les contrôles ActiveX sans fenêtre offrent une prise en charge correcte des caractères transformés

info Info

Considérations relatives à la différence entre les éléments ActiveX avec et sans fenêtre.

Les éléments ActiveX avec fenêtre (par exemple, tous les contrôles Microsoft ActiveX) se trouvent toujours au premier plan.

Contrairement à cela, vous pouvez par exemple disposer un élément dynamique par-dessus des éléments ActiveX sans fenêtre.


Bargraphe

Manuels -> Synoptiques -> Éléments de synoptique -> Bargraphe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La taille numérique d'un signal est définie à l'aide de l'élément dynamique Bargraphe. La longueur de la barre varie en fonction de la taille du signal dans le Runtime.

Pour créer un bargraphe sur un synoptique :

  1. Sélectionnez le symbole Bargraphe dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue d'attribution de variable s'affiche à l'écran.
  5. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  6. Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.

Vous pouvez définir les propriétés individuelles de l'élément dans la fenêtre Propriétés. Pour cela, l'élément doit être actif (clic sur un bouton de la souris) dans la Fenêtre principale.

Pour modifier la variable liée :

  1. Ouvrez la variables dans la vue de détail du gestionnaire de projet,
  2. Faites glisser la variable de votre choix sur l'élément tout en maintenant le bouton gauche de la souris enfoncé.
  3. La nouvelle variable se substitue à la variable précédente.

Affichage avec code de couleurs du dépassement de limite

En cas de dépassement d'une limite, la couleur de la variable peut colorer la zone entière ou uniquement la zone commençant après le dépassement de limite. Cette fonctionnalité est contrôlée par le biais de la propriété Explicite, dans le groupe Affichage.

Cette propriété affecte uniquement l'affichage de valeurs comportant des limites définies issues des variables. Les limites des matrices de réaction ne sont pas prises en compte.

Actif : si une limite de la variable liée est dépassée, seule la partie de l'affichage correspondant au dépassement de limite est affichée dans la couleur de la limite correspondante.
Si la variable comporte plusieurs limites définies, les zones correspondantes de l'affichage sont toujours affichées dans la couleur de la limite correspondante.

Inactif : Si une limite de la variable liée est dépassée, l'affichage entier reprend les couleurs de la limite dépassée.

Par défaut : Inactif


Élément commande

Manuels -> Synoptiques -> Éléments de synoptique -> Élément commande

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Permet de transmettre des commandes pour le module de commande. Nécessite une licence pour SICAM 230.

Vous trouverez des instructions concernant l'utilisation des éléments dans l'aide de SICAM 230.


Bouton de synoptique d'alarmes

Manuels -> Synoptiques -> Éléments de synoptique -> Bouton de synoptique d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Attention : Le bouton Alarme de synoptique nécessite une licence pour SICAM 230. Vous trouverez d'autres instructions concernant l'utilisation des éléments dans l'aide de SICAM 230.


Bouton

Manuels -> Synoptiques -> Éléments de synoptique -> Bouton

L'élément dynamique Bouton permet de créer un bouton que vous pouvez configurer librement et utiliser de manière interactive sur le synoptique, pour exécuter une fonction ou activer ou désactiver une variable binaire.

Le bouton peut :

  • Afficher un fichier graphique
  • Animer un fichier graphique
  • Être affiché de manière invisible

info Info

Jusqu'à la version 6.22 (incluse), les boutons sont répartis dans les catégories Bouton texte, Bouton Bitmap et Bouton invisible. À partir de la version 6.50, toutes les propriétés pouvant être configurées avec des boutons sont regroupées dans l'élément bouton.

Pour créer un élément dynamique Bouton sur un synoptique :

  1. Sélectionnez le symbole Bouton dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue de sélection de fonctions s'affiche.
  5. Sélectionnez la fonction de votre choix.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

    Conseil : Vous pouvez arrondir les coins si vous le souhaitez.

  7. Vous pouvez ajouter des variables par glisser-déplacer.

Intitulé

Pour attribuer un intitulé au bouton :

  • Cliquez sur l'élément.
  • Saisissez le texte.
  • Définissez les propriétés du texte dans le nœud Affichage.

Soulignement

Pour souligner du texte, insérez un caractère & avant le texte à souligner.

"&Texte" devient :

Si vous souhaitez utiliser le caractère "&" dans du texte, saisissez-le deux fois :
"1 && 2" devient "1 & 2".

Saut de ligne

Pour définir un saut de ligne, utilisez la chaîne \n.

Exemple :

Ligne 1 \n

Ligne 2

Bouton comme commutateur

Pour utiliser le bouton comme commutateur :

  1. Activez la propriété Commutateur dans le nœud Spécifier valeur prescrite.
  2. La propriété Mode temporaire permet d'activer les paramètres permettant d'utiliser le bouton en tant que commutateur temporaire.
  3. Liez le bouton à une variable binaire (nœud Variable/fonction, propriété Variable)

Bouton d'exécution de fonction

Pour lier un bouton à une fonction :

  1. Désactivez la propriété Commutateur dans le nœud Spécifier valeur prescrite.
  2. Liez le bouton à une variable binaire (nœud Variable/fonction, propriété Fonction)

Bouton avec élément graphique

Pour placer un élément graphique sur le bouton :

  1. Activez l'élément.
  2. Définissez les éléments graphiques correspondant aux différents états du commutateur dans le nœud Affichage par le biais des propriétés Fichier graphique et de l'option Élément graphique du bouton appuyé. Vous pouvez utiliser les fichiers graphiques suivants : Éléments graphiques pixellisés : *.bmp, *.jpg, *.gif, or *.png ou éléments graphiques vectoriels : *.wmf.

Un bouton comportant un élément graphique comporte par défaut un cadre 3D fin, d'une épaisseur d'un pixel, sur chaque côté de l'élément graphique. Si les éléments graphiques doivent être visibles :

  • Dans les propriétés, sélectionnez la propriété Transparence du cadre [%] du groupe Couleur.
    • Avec la valeur 100.

    ou

  • Activez la propriété Transparent pour désactiver la couleur d'arrière-plan et la couleur du cadre.

Dans ce cas, le trait du cadre 3D n'est pas affiché, et l'élément graphique est visible dans son intégralité.

Bouton invisible

Pour définir une interface utilisateur interactive transparente :

  1. Activez l'élément.
  2. Définissez la propriété Transparent dans le nœud Couleur.
  3. Supprimez tout intitulé du bouton.
  4. Accès au Runtime :
    • Le pointeur de souris change lorsque vous déplacez la souris sur l'élément.
    • Par une combinaison de touches définie (nœud Runtime, propriété Raccourci clavier)

Informations concernant info

Pour les boutons invisibles, l'état de la variable ne peut pas être affiché.

Autres sujets abordés dans ce chapitre

Graphiques animés

Bouton Bitmap (versions 6.22 et antérieures uniquement)

Bouton invisible (versions 6.22 et antérieures uniquement)


Graphiques animés

Manuels -> Synoptiques -> Éléments de synoptique -> Bouton -> Graphiques animés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fichiers graphiques au format GIF peuvent être animés dans le bouton d'élément dynamique :

  1. Attribuez un fichier GIF à un bouton dans le nœud Affichage via la propriété Fichier graphique.
  2. Sélectionnez la propriété Animation GIF dans le même nœud.
  3. Choisissez Toujours ou une animation simple si une variable booléenne possède une valeur de 1 ; pour cela, liez les propriétés des deux propriétés Variable.


Bouton Bitmap (versions 6.22 et antérieures uniquement)

Manuels -> Synoptiques -> Éléments de synoptique -> Bouton -> Bouton Bitmap (versions 6.22 et antérieures uniquement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lie un fichier graphique (éléments graphiques pixellisés : *.bmp, *.jpg, *.gif ou *.png ou vectoriels : *.wmf) à un bouton.

Si la propriété Créer fichiers RT pour du projet est définie sur une valeur basse (6.50), le bouton de l'élément permet uniquement d'afficher des textes dans le Runtime. Dans ce cas, les éléments graphiques doivent être configurés à l'aide du bouton Bitmap.

Boutons de développement des différentes versions du Runtime :

Bouton pour : | Créer fichiers RT pour < 6.50 | à partir de 6,50
Texte | Bouton | Bouton
Graphiques | Bouton Bitmap | Bouton
invisible | Bouton invisible | Bouton

Pour activer un bouton Bitmap :

  • Sélectionnez le symbole Bouton Bitmap dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  • Sélectionnez le point de départ dans la fenêtre principale.
  • Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  • Une boîte de dialogue s'affiche, vous permettant de lier la fonction de votre choix à l'élément.
  • Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  • Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  • Vous pouvez définir les propriétés individuelles de l'élément dans la fenêtre des propriétés. Pour cela, l'élément doit être actif (clic sur un bouton de la souris) dans la fenêtre principale.

Une boîte de dialogue filtrée s'affiche pour vous permettre de sélectionner les fonctions :

L'élément

Description

L'arbre du projet

Définition du projet à partir duquel la fonction doit être sélectionnée.

Volet de sélection

Sélection de la fonction.

Pas de sélection

Selon l'élément :

  • le dialogue est annulé
  • Les fonctions déjà liées sont supprimées.

Conseil : vous pouvez ajuster la taille de cette boîte de dialogue. La taille et la position de la boîte de dialogue sont enregistrées.

Modifier une fonction liée

  1. manuellement
    • Dans la vue de détail du gestionnaire de projet, ouvrez les fonctions concernées.
    • Faites glisser la fonction de votre choix sur l'élément tout en maintenant le bouton gauche de la souris enfoncé.
    • La nouvelle fonction se substitue à la fonction précédente.
  2. Automatique
    • Sélectionnez l'entrée Remplacer les liens du menu contextuel. Pour plus de détails, reportez-vous au chapitre Substitution de variables dans les éléments dynamiques.

Les fichiers graphiques au format GIF peuvent être animés dans le bouton d'élément dynamique :

  1. Attribuez un fichier GIF à un bouton dans le nœud Affichage via la propriété Fichier graphique.
  2. Sélectionnez la propriété Animation GIF dans le même nœud.
  3. Choisissez Toujours ou une animation simple si une variable booléenne possède une valeur de 1 ; pour cela, liez les propriétés des deux propriétés Variable.


Bouton invisible (versions 6.22 et antérieures uniquement)

Manuels -> Synoptiques -> Éléments de synoptique -> Bouton -> Bouton invisible (versions 6.22 et antérieures uniquement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si la propriété Créer fichiers RT pour du projet est définie sur une valeur basse (6.50), le bouton de l'élément permet uniquement d'afficher des textes dans le Runtime. Les boutons invisibles doivent être configurés à l'aide de l'élément bouton invisible, dans ce cas.

Boutons de développement des différentes versions du Runtime :

Bouton pour : | Créer fichiers RT pour < 6.50 | à partir de 6,50
Texte | Bouton | Bouton
Graphiques | Bouton Bitmap | Bouton
invisible | Bouton invisible | Bouton

L'élément dynamique Bouton invisible offre la possibilité de définir une interface utilisateur interactive transparente, qui est liée à une fonction d'appel de fonction.

Pour activer un bouton invisible :

  • Sélectionnez le symbole Bouton invisible dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  • Sélectionnez le point de départ dans la fenêtre principale.
  • Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  • Une boîte de dialogue s'affiche, vous permettant de lier la fonction de votre choix à l'élément.
  • Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  • Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  • Vous pouvez définir les propriétés individuelles de l'élément dans la fenêtre des propriétés. Pour cela, l'élément doit être actif (clic sur un bouton de la souris) dans la fenêtre principale.

Une boîte de dialogue filtrée s'affiche pour vous permettre de sélectionner les fonctions :

L'élément

Description

L'arbre du projet

Définition du projet à partir duquel la fonction doit être sélectionnée.

Volet de sélection

Sélection de la fonction.

Pas de sélection

Selon l'élément :

  • le dialogue est annulé
  • Les fonctions déjà liées sont supprimées.

Conseil : vous pouvez ajuster la taille de cette boîte de dialogue. La taille et la position de la boîte de dialogue sont enregistrées.

Modifier une fonction liée

  1. manuellement
    • Dans la vue de détail du gestionnaire de projet, ouvrez les fonctions concernées.
    • Faites glisser la fonction de votre choix sur l'élément tout en maintenant le bouton gauche de la souris enfoncé.
    • La nouvelle fonction se substitue à la fonction précédente.
  2. Automatique

Sélectionnez l'entrée Remplacer les liens du menu contextuel. Pour plus de détails, reportez-vous au chapitre Substitution de variables dans les éléments dynamiques.

Informations concernant info

Pour les boutons invisibles, l'état de la variable ne peut pas être affiché.


Élément combiné

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'élément combiné est un élément dynamique qui peut être utilisé de manière universelle, et peut adopter des caractéristiques graphiques extrêmement diverses :

  • Graphiques
  • Symbole de la bibliothèque
  • Symbole embarqué dans des synoptiques
  • Texte

Le format de l'affichage est défini par l'intermédiaire d'états. Les valeurs de variable de la valeur principale, les valeurs des autres valeurs et les informations d'état provenant de toutes les variables liées peuvent toutes servir d'états. Les liens peuvent être créés à l'aide de formules.
Les états des variables principales (attributs de limites) peuvent être transférés directement vers l'élément combiné. L'élément combiné offre également la prise en charge de la définition de valeurs sous forme de commutateurs/commutateurs temporaires, ainsi que les fonctions de réception et de transmission ; il est utilisé pour le déploiement d'éléments spécifiques aux processus techniques avec la coloration automatique des lignes.

Si les valeurs prescrites sont définies par le biais d'une commande et une variable de réponse est définie dans l'élément combiné ou l'élément dynamique, celle-ci peut être définie indépendamment de la configuration de la propriété Forçage valeurs actif. Tous les boutons d'action du synoptique d'envoi de commande qui déclenchent une modification directe de la variable de réponse sont alors définis comme invisibles.

Créer un élément combiné

Pour créer un élément combiné sur un synoptique :

  1. Cliquez sur le symbole Élément combiné dans la barre d'outils Éléments et faites glisser l'élément vers la fenêtre principale à l'aide de la souris.
  2. La boîte de dialogue de sélection de variables s'ouvre ; seules les variables numériques sont affichées.
  3. Sélectionnez la variable de votre choix.
  4. L'assistant de configuration des paramètres de l'élément combiné s'ouvre pour vous guider tout au long des réglages de base. Si vous préférez définir tous les paramètres manuellement, cliquez sur Annuler maintenant. Vous trouvez plus de détails au chapitre Assistant.

Si vous souhaitez configurer les paramètres manuellement, définissez la propriété Type d'affichage du nœud Affichage. Le symbole provenant de la bibliothèque est fourni par défaut. Vous pouvez définir les données et le texte du synoptique en fonction des paramètres spécifiés.

Vous pouvez définir d'autres états dans l'assistant, via la fonction Nouvel état, ou dans les propriétés de l'élément combiné, dans l'affichage du nœud de propriétés Configuration et test.

Vous pouvez attribuer les fonctions et les variables à l'élément combiné par glisser-déplacer. Dans ce cas, les variables et fonctions concernées sont remplacées par les nouvelles variables et fonctions.

attention Attention !

On ne peut pas agir en Runtime sur les symboles dans un élément combiné.

Exception : les symboles de la bibliothèque peuvent être créés sous forme de boutons à cliquer.

Règles concernant les liens

Si vous avez sélectionné le type d'affichage Symbole de la bibliothèque, vous pouvez définir des règles concernant les liens. Ouvrez la boîte de dialogue de saisie de l'élément via la propriété Configuration et test. Après avoir sélectionné le symbole via le bouton Sélection de symbole, vous pouvez créer et modifier les règles relatives aux liens. Ces règles sont enregistrées pour chaque état.

Example Exemple

Variables/fonctions référencées dans le symbole :
Var_SWITCH_0010
Var_TEMPERATURE_0010
Fct_ShowTrend_0010
Fct_Help_0000

Les variables et fonctions du symbole sont maintenant remplacées selon la règle suivante :
Source : *_0010
remplacée par : _0020

Résultat de la règle relative aux liens :
Var_SWITCH_0020
Var_TEMPERATURE_0020
Fct_ShowTrend_0020
Fct_Help_0000

La règle relative aux liens permet d'échanger toutes les variables et fonctions. Si une variable ou une fonction ne 'colle' pas pour le remplacement, ce lien n'est pas remplacé.

Lorsque les fichiers Runtime sont générés, les liens correspondants sont définis pour chaque état selon les règles définies.

Example Exemple

Vous souhaitez afficher graphiquement l'état de fonctionnement d'un moteur, ainsi que son sens de rotation.

Les informations concernant le sens de fonctionnement et l'état de marche/arrêt du moteur proviennent de variables côté procédé. Le texte d'état indique si le moteur fonctionne, et son sens de rotation.

  • Sélectionnez Propriétés -> Type d'affichage -> Texte d'état.
  • Ouvrez la boîte de dialogue de saisie de l'élément en cliquant sur Configuration et test.
  • Saisissez le texte d'état que vous souhaitez associer à valeur correspondante.

Il sera ensuite affiché dans le moteur dans le Runtime ; par exemple : "à gauche", "à droite" ou pas de texte si le moteur ne tourne pas.

Vous trouverez plus d'informations sur l'évaluation des bits d'état au chapitre États.

Autres sujets abordés dans ce chapitre

Assistant

Boutons à cliquer de la forme de votre choix

États

Mode test

L'éditeur de formules

Affichage de noms et d'identifications de variables


Assistant

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Assistant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un assistant est disponible pour vous aider à configurer les principaux aspects de l'élément combiné. Celui-ci s'affiche dès que vous sélectionnez une variable pour l'élément combiné.

Lors de la première étape, vous sélectionnez le type d'affichage. Les types d'affichage suivants sont disponibles :

  • Symbole de la bibliothèque
  • Symbole de synoptique/texte
  • Bitmap et symbole de synoptique
  • Seulement symbole de synoptique

info Info

Vous pouvez définir des états supplémentaires dans toutes les fenêtres de sélection d'états. Le bouton Nouvel état est disponible à cette fin.

Par défaut : Symbole de la bibliothèque.
Ce paramètre est également proposé en tant que paramètre par défaut dans les propriétés, si vous créez l'élément combiné sans recourir à l'assistant.

Vous pouvez définir des états dès que vous avez sélectionné un type d'affichage. Le premier état est toujours l'état par défaut.
Astuce : Une valeur ne peut pas être saisie pour l'état par défaut ; une valeur doit être saisie pour tous les autres états. Vous ne pouvez modifier qu'un état à la fois.

Symbole de la bibliothèque

Cliquez dans la fenêtre vide affichée en bas à gauche pour sélectionner un symbole dans la bibliothèque de symboles globale ou la bibliothèque du projet. Vous pouvez à nouveau supprimer le symbole sélectionné en cliquant sur le X adjacent à la fenêtre.

Paramètre | Description
Valeur | Valeur numérique qui active l'état. Par défaut : pas de valeur À partir de 2 État : saisie requise.
Nouvel état | Crée un nouvel état pour l'élément combiné.

info Info

Pour le paramètre Symbole de la bibliothèque, des boutons pouvant être cliqués peuvent être créés sous toutes les formes.

Symbole de synoptique/texte

Chaque état peut être identifié à l'aide d'un texte et de couleurs d'avant-plan et d'arrière-plan.

Paramètre | Description
Valeur | Valeur numérique qui active l'état. Par défaut : pas de valeur à partir de 2 État : saisie requise.
Texte d'état | Texte tel qu'il est affiché dans le Runtime.
Couleur | Couleur de la police de caractères du texte d'état.
Couleur de remplissage | Couleur d'arrière-plan du texte d'état.
Nouvel état | Crée un nouvel état pour l'élément combiné.

Bitmap et symbole de synoptique

Cliquez sur le bouton <Aucun graphique sélectionné> dans la partie inférieure gauche pour sélectionner un fichier de synoptique (*.bmp, *.gif, *.jpg, *.png etc.). Vous disposez de deux options pour sélectionner un synoptique :

  1. Synoptiques du projet :

    Il s'agit de synoptiques que vous avez déjà enregistrés dans le répertoire d'éléments graphiques d'un projet (reportez-vous au chapitre Éditeur -> Gestionnaire de projet -> Fichiers) ; ils vous sont automatiquement proposés par l'assistant.

  2. Absolute path to other directories (Chemin absolu des autres répertoires) :
    • Pour cette option, activez la sélection directe de fichiers.
    • La fenêtre bascule en mode de sélection directe.
    • Cliquez sur le bouton ....
    • Sélectionnez le fichier de votre choix dans l'explorateur.
Paramètre | Description
Valeur | Valeur numérique qui active l'état. Par défaut : pas de valeur à partir de 2 État : saisie requise.
Nouvel état | Crée un nouvel état pour l'élément combiné.

Seulement symbole de synoptique

Vous pouvez spécifier un symbole commun pour tous les états d'éléments combinés.
Ce symbole :

  • doit déjà être présent sur le synoptique.
  • L'option Applies for all statuses (S'applique à tous les états)
  • peut être définie pour chaque état avec une couleur de remplissage spécifique.
Paramètre | Description
Valeur | Valeur numérique qui active l'état. Par défaut : pas de valeur À partir de 2 État : saisie requise.
Symbole de synoptique | Liste déroulante permettant de sélectionner un symbole. Si aucun symbole n'est affiché, aucun symbole n'est présent sur le synoptique actuel.
Couleur de remplissage | Définit le nom de l'état attribué.
Nouvel état | Crée un nouvel état pour l'élément combiné.


Boutons à cliquer de la forme de votre choix

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Boutons à cliquer de la forme de votre choix

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'élément combiné, des boutons à cliquer peuvent être créés avec la forme de votre choix.

info Info

Cette option est disponible à compter de la version 6.51. Pour les projets destinés aux précédentes versions du logiciel, la propriété est considérée comme inactive.

Pour créer des boutons à cliquer de la forme de votre choix :

  1. Créez un élément combiné dans les attributs Symbole de la bibliothèque.
  2. Dans les propriétés de l'élément combiné, activez la propriété La forme du symbole définie la zone de clic dans le nœud Affichage.

info Info

Cette propriété ne fonctionne pas sous Windows CE, car la fonctionnalité requise n'est pas disponible sous Windows CE.

Éléments

D'autres symboles ou éléments combinés peuvent être intégrés au symbole. Ces derniers sont déclenchés en fonction de la zone du clic. Pour les symboles, les limites de l'élément sont utilisées normalement ; avec un élément combiné, cela dépend de la propriété La forme du symbole définie la zone de clic – soit des zones de clic individuelles des éléments, soit du rectangle d'environnement de l'élément combiné.

Les éléments suivants disposent d'une zone de clic spécifique :

  • Rectangle arrondi (présent sous la forme d'élément vectoriel dédié jusqu'à la version 6.50)
  • Bouton
  • Élément combiné comportant la propriété "Symbol form defines the click area" (La forme du symbole détermine la zone du clic)
  • Cercle
  • Quartier de cercle (camembert)
  • Quartier de cercle (camembert)
  • Ligne
  • Tube
  • Polygone
  • Ligne brisée
  • Rectangle
  • Texte statique
  • Symbole (les zones de clic correctes des éléments du symbole sont utilisées)

Pour tous les autres éléments, la zone de clic est définie par le contour.

Attributs spéciaux

Attribut spécial

Effets

Ne font jamais l'objet d'un traitement particulier :

  • Type de ligne
  • Motif de remplissage
  • Transparences de tout type
    (saut éléments texte)

Les zones peuvent toujours être cliquées.

Transparence pour le texte statique :

Les éléments se comportent comme si l'élément n'existait pas. Par conséquent, il est possible de nommer des éléments sans agrandir la zone de clic par erreur.

Cela n'a aucune incidence sur la zone de clic.

Conseil : si vous souhaitez qu'un élément de texte transparent influence la zone de clic :

  • Désactivez la propriété Transparent.
  • Placez manuellement un élément transparent sur ou sous l'élément de texte.

Bouton

Utilisés pour la zone de clic ; la propriété Animation GIF correspondant à l'état "appuyé" n'est pas disponible ici. Ceci correspond au comportement obtenu lorsque la propriété La forme du symbole définie la zone de clic est inactive.

Le symbole dépasse de l'élément combiné.

Le symbole est affiché, mais les clics sont uniquement interprétés dans l'élément combinés.

Commentaire : si des éléments dépassent les limites de symboles ou des symboles dépassent les limites d'un élément combiné, cela peut provoquer des problèmes d'affichage et des effets de flou.

Zones de clic

Dans l'éditeur, des zones plus grandes que la zone de clic sont parfois définies pour faciliter les clics sur la zone concernée. Par exemple, une ligne d'une épaisseur de 1 pixel dans l'éditeur peut être sélectionnée avec une largeur de 8 pixels.

La largeur de la zone de clic est définie de manière exacte dans le Runtime. Par exemple, une ligne de 1 pixel d'épaisseur peut également uniquement être sélectionnée avec une largeur de 1 pixel.

Le calcul de la zone de clic de l'élément combiné est exécuté indépendamment de la configuration de la propriété Qualité graphique. Toutefois, une zone de clic différente est calculée pour les éléments concernés, indépendamment de ce paramètre.

info Info

Si le pointeur de la souris se trouve au-dessus de l'élément combiné, il est analysé, que le curseur se trouve ou non dans la zone de clic de l'élément. La charge exercée sur le processeur peut ensuite être élevée si un grand nombre d'éléments se trouvent dans le symbole de l'élément combiné.

Autres sujets abordés dans ce chapitre

Exemples de boutons à cliquer


Exemples de boutons à cliquer

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Boutons à cliquer de la forme de votre choix -> Exemples de boutons à cliquer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Exemple 1

État La forme du symbole définie la zone de clic | Action
active | Pas de clic
Inactive | Clic

Exemple 2

État La forme du symbole définie la zone de clic | Action
active | Clic
Inactive | Clic

Exemple 3

État La forme du symbole définie la zone de clic | Action
active | Pas de clic
Inactive | Clic


États

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> États

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour accéder à la fenêtre des états, sélectionnez la propriété Configuration et test dans le nœud Affichage.

Cliquez sur le bouton ou sur le texte "Cliquez ici" pour ouvrir la fenêtre :

Ici

  • Vous pouvez modifier les états existants.
  • Ajouter de nouveaux états.
  • Spécifier dans quel sens les états doivent être traités.

Les paramètres affichés dans la partie supérieure de la fenêtre sont identiques pour tous les types d'affichage. Dans le tiers inférieur, les paramètres individuels correspondant aux quatre types d'affichage différents sont définis.

Paramètres communs

Définition des états

Affiche la liste de tous les états définis. Un état peut être constitué de valeurs et d'un état. L'élément est traité depuis le premier état jusqu'à la dernière entrée. La première correspondance totale est affichée. Exception : La propriété Chevauchement (pour les symboles de la bibliothèque) ou Chaîné (pour les textes) est active.

Paramètre | Description
Valeur par défaut | L'état défini lors de la création de l'élément. Il se trouve toujours en première position, et ne peut plus être modifié ou supprimé.
Valeur | Affiche la valeur définie (32 bits).
États | Affiche l'état défini. Un "F" suivant l'état indique une formule.
Nouveau | Définit de nouveaux états. Dans ce cas, les valeurs, l'état et les formules de l'état actuellement sélectionné sont repris en tant que valeurs initiales.
Supprimer | Supprime l'état sélectionné. L'état par défaut ne peut pas être supprimé.
Haut/bas | Modifie l'ordre de traitement des états. Le premier état est toujours l'état par défaut.

Variables de formule

Affiche toutes les variables définies aux fins d'une saisie dans des formules. Les variables existantes sont identifiées par une coche verte ; les variables inexistantes sont identifiées par une croix rouge. Les variables inexistantes peuvent être remplacées par les variables existantes via la fonction Modifier. Les boutons Ajouter et Modifier ouvrent la boîte de dialogue de sélection de variables.

Valeur

Autorise

  • La saisie d'une valeur correspondant à un état via une matrice ou par voie numérique
  • La définition d'une formule
Paramètre | Description
Valeur | Définition d'une valeur via une structure de bit prédéfinie
Valeur | Saisissez la valeur numérique.
Formule | Ouvre la fenêtre de saisie de formules. Dans la zone de variables de la formule, les variables définies sont disponibles. La liaison s'effectue au moyen d'opérateurs logiques, par bit et par comparaison.

attention Attention

Pour les variables non-binaires, la valeur doit être spécifiée dans la résolution du signal. Les configurations des plages de valeurs de mesures (ajustement linéaire) ou de l'ajustement non-linéaire ne sont pas prises en compte dans cet élément.

États

Autorise les requêtes d'informations d'état.

Attention : La plupart des états peuvent uniquement être demandés si le pilote est compatible avec le traitement d'états.

No. | Désignation abrégée | Nom long | Commentaire
0 | M1 | État utilisateur 1 |
1 | M2 | État utilisateur 2 |
2 | M3 | État utilisateur 3 |
3 | M4 | État utilisateur 4 |
4 | M5 | État utilisateur 5 |
5 | M6 | État utilisateur 6 |
6 | M7 | État utilisateur 7 |
7 | M8 | État utilisateur 8 |
8 | NET_SEL | Sélection sur le réseau |
9 | REVISION | Révision |
10 | PROGRESS | En cours d'utilisation |
11 | TIMEOUT | Dépassement du délai d'attente |
12 | MAN_VAL | VAL_M;valeur manuelle | Disponible uniquement pour les formules
13 | M14 | État utilisateur 14 | Disponible uniquement pour les formules
14 | M15 | État utilisateur 15 | Disponible uniquement pour les formules
15 | M16 | État utilisateur 16 | Disponible uniquement pour les formules
16 | GI | RG;Requête générale |
17 | SPONT | Spontané |
18 | INVALID | Non valide |
19 | T_CHG_A | Annonce heure été/hiver |
20 | OFF | Désactivé |
21 | T_EXTERN | Temps réel externe | Disponible uniquement pour les formules
22 | T_INTERN | Horodatage temps réel interne | Disponible uniquement pour les formules
23 | N_SORTAB | Non triable | Disponible uniquement pour les formules
24 | FM_TR | MD_TR;Message de défaut du transfo |
25 | RM_TR | MM_TR;Message de marche du transfo |
26 | INFO | Informations de la variable |
27 | ALT_VAL | Valeur de substitution |
28 | RES28 | Réservé |
29 | N_UPDATE | Non mis à jour |
30 | T_STD | Heure standard | Disponible uniquement pour les formules
31 | RES31 | Réservé |
32 | COT0 | Cause de transmission, bit 1 | Disponible uniquement pour les formules
33 | COT1 | Cause de transmission, bit 2 | Disponible uniquement pour les formules
34 | COT2 | Cause de transmission, bit 3 | Disponible uniquement pour les formules
35 | COT3 | Cause de transmission, bit 4 | Disponible uniquement pour les formules
36 | COT4 | Cause de transmission, bit 5 | Disponible uniquement pour les formules
37 | COT5 | Cause de transmission, bit 6 | Disponible uniquement pour les formules
38 | N_CONF | Pas d'acceptation du mode Select par le matériel (IEC 60870) | Disponible uniquement pour les formules
39 | TEST | Bit de test (IEC60870 [T]) |
40 | WR_ACK | Écriture reconnue | Disponible uniquement pour les formules
41 | WR_SUC | Écriture réussie | Disponible uniquement pour les formules
42 | NORM | NORM;État Normal | Disponible uniquement pour les formules
43 | N_NORM | DEVNORM;État déviation normale | Disponible uniquement pour les formules
44 | BL_870 | État IEC 60870 : bloqué |
45 | SB_870 | État IEC 60870 : substitué |
46 | NT_870 | État IEC 60870 : non topique |
47 | OV_870 | État IEC 60870 : dépassement |
48 | SE_870 | État IEC 60870 : sélectionné |
49 | T_INVAL | Temps invalide | Disponible uniquement pour les formules
50 | RES50 | réservé |
51 | RES51 | réservé |
52 | RES52 | réservé |
53 | RES53 | réservé |
54 | RES54 | réservé |
55 | RES55 | réservé |
56 | RES56 | réservé |
57 | RES57 | réservé |
58 | RES58 | réservé |
59 | RES59 | réservé |
60 | RES60 | réservé |
61 | RES61 | réservé |
62 | RES62 | réservé |
63 | RES63 | réservé |

info Info

Les désignations abrégées des bits d'état ont été unifiées pour toutes les langues depuis la version 6.50. Vous trouverez plus de détails et des informations concernant l'utilisation des anciennes désignations au chapitre Bits d'état - nouvelles désignations abrégées.

Non acquitté : si l'option "Clignotement" est active pour une limite d'une variable, le bit "Non acquittée" est défini sur 1. Avec l'option L'acquittement du clignotement acquitte aussi l'alarme dans la gestion des alarmes, l'alarme est acquittée et le bit Non acquittée est défini sur 0.

Paramètres individuels

Les paramètres individuels correspondant aux quatre types d'affichage d'états sont présentés dans les sous-chapitres suivants :

Symbole de la bibliothèque

Symbole de synoptique/texte

Bitmap et symbole de synoptique

Seulement symbole de synoptique

Configuration de l'état pour les variables non encore liées

Parfois, vous devez définir un élément combiné mais ne disposez pas encore d'une variable réelle existante. Par exemple, si l'élément combiné est utilisé dans un symbole de la bibliothèque, la variable ne sera réellement liée à l'élément que lors de l'insertion du symbole dans un synoptique. Dans ce cas, vous travaillez d'abord avec une "variable factice", que vous remplacez ensuite par une variable existante. Vous pouvez ensuite définir tous les états dans l'élément combiné si les variables existantes n'ont pas encore été liées. Vous n'avez pas accès aux variables factices en mode test.

Voici comment créer une variable "fantôme" :

  • Saisissez un nom symbolique dans les propriétés de l'élément combiné, dans le champ de saisie Variable.
  • Cliquez sur la zone Affichage du champ Configuration et test : les états des pages de la saisie de l'élément sont ouverts.
  • Dans la liste des variables de formule, les variables existantes sont identifiées par une coche verte. Les variables qui n'existent pas sont montrées avec une croix rouge. Vous pouvez ajouter d'autres variables :
  • Utilisez le bouton Ajouter pour les variables existantes.
    Avec le bouton Modifier, vous pouvez remplacer les variables existantes ou non-existantes par d'autres variables.
  • Pour ajouter une variable non-existante, cliquez sur Ajouter et ensuite sur Annuler sélection. Vous obtenez une variable de formule nommée comme suit : X00 : <vide>. (00 représente un nombre à 2 chiffres).
    Sélectionnez la variable et cliquez dans la zone <vide> ; définissez un intitulé.
    Si vous saisissez le nom d'une variable existante, le lien est établi et l'icône passe d'une croix rouge à une coche verte.

Formules

Pour plus d'informations concernant la création d'une formule, reportez-vous au chapitre relatif à l'éditeur de formules.

Autres sujets abordés dans ce chapitre

Symbole de la bibliothèque

Symbole de synoptique/texte

Élément graphique et symbole de synoptique

Seulement symbole de synoptique


Symbole de la bibliothèque

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> États -> Symbole de la bibliothèque

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres généraux de tous les types d'affichage sont décrits au chapitre relatif aux états.

Paramètre

Description

Éléments de l'affichage

Symbole de la bibliothèque

Cliquer sur le symbole pour ouvrir la boîte de dialogue et sélectionner un symbole.

Cliquez sur le symbole X adjacent au symbole pour supprimer le symbole sélectionné.

Modifier la règle de liens

Les variables et les fonctions contenues dans le symbole peuvent être échangés grâce aux règles de liens.

Attention : Si une variable ou une fonction ne 'colle' pas pour le remplacement, ce lien n'est pas remplacé.

Couleur

Actif uniquement si la propriété Couleurs de symboles originales des Paramètres spécifiques est désactivée.

Couleur

Choix de la couleur.

Couleur de remplissage

Choix de la couleur de remplissage.

A partir de CAL

La couleur de la source liée est utilisée.

Paramètres spécifiques

Couleur symbole originale

Actif : Transfère la couleur originale depuis le symbole. Désactive la propriété Prendre la couleur de la variable principale.

Clignotement

Actif : le symbole clignote dans le Runtime si l'état a été atteint.


Symbole de synoptique/texte

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> États -> Symbole de synoptique/texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres généraux de tous les types d'affichage sont décrits au chapitre relatif aux états.

Paramètre | Description
Éléments de l'affichage |
Texte d'état | Texte correspondant à l'état.
Texte affiché lors de l'appui sur le symbole. | Texte affiché lorsque le symbole est enfoncé.
Couleur |
Couleur | Choix de la couleur.
Couleur de remplissage | Choix de la couleur de remplissage.
A partir de CAL | La couleur de la source liée est utilisée.
Paramètres spécifiques |
Clignotement | Actif : le symbole clignote dans le Runtime si l'état a été atteint.
Transparent | Actif : La couleur de remplissage est définie sur transparent.


Élément graphique et symbole de synoptique

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> États -> Élément graphique et symbole de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres généraux de tous les types d'affichage sont décrits au chapitre relatif aux états.

Paramètre | Description
Éléments de l'affichage |
Graphiques | Cliquez sur Graphiques pour ouvrir la boîte de dialogue de sélection d'éléments graphiques. Supprimer : supprime le nom de la ligne de texte.
Paramètres spécifiques |
Clignotement | Actif : le symbole clignote dans le Runtime si l'état a été atteint.


Seulement symbole de synoptique

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> États -> Seulement symbole de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres généraux de tous les types d'affichage sont décrits au chapitre relatif aux états.

Paramètre | Description
Couleur |
Couleur | Choix de la couleur.
A partir de CAL | La couleur de la source liée est utilisée.
Paramètres spécifiques |
Couleur symbole originale | Actif : Transfère la couleur originale depuis le symbole.
Symbole transparent | Actif : la couleur du symbole est définie sur transparent.
Clignotement | Actif : le symbole clignote dans le Runtime si l'état a été atteint.


Mode test

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Mode test

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le mode test simule le fonctionnement en Runtime : vous pouvez tester le changement d'une valeur et voir comment votre élément combiné se comporte en Runtime. Vous pouvez activer cet onglet uniquement si tous les liens se réfèrent à des variables existantes.

Remarque : en mode test, le symbole est affiché à une résolution inférieure à celle du synoptique dans le Runtime .


L'éditeur de formules

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> L'éditeur de formules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'éditeur de formules fournit une assistance lors de la création de formules comportant des opérateurs logiques ou de comparaison avec un élément combiné, pour les verrouillages et les commandes. Si vous avez besoin de variables supplémentaires pour la formule, vous devez les créer dans la section Variables de formule de la fenêtre d'état en cliquant sur le bouton Ajouter. Les formules existantes sont affichées dans la liste d'état avec la lettre F.

Remarque concernant la saisie de points décimaux :

  • Le séparateur décimal virgule (,) est automatiquement converti en point (.) :
  • les zéros situés après le point décimal sont automatiquement supprimés ; 23,000 devient automatiquement 23.

Créer une formule

Cliquez sur le bouton Formule dans la fenêtre d'état. L'éditeur de formule s'ouvre.

Sélectionnez les bits de votre formule dans la section gauche.

A droite, vous trouverez les opérateurs d'opérations logiques et de comparaison.

La formule créée est affichée dans la section Formule.

info Info

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99. La longueur de la formule ne doit pas dépasser 4096 caractères.

Signification des bits :

Paramètre

Description

Valeur en bits

32 bits de valeurs (de 0 à 31) sont disponibles. Ils décrivent la variable, bit par bit. Pour les variables BINAIRE compte le bit 0 ; pour SINT et USINT, seuls comptent les bits compris entre 0 et 7, etc.

Remarque : la valeur fait référence à la valeur brute (plage de signal) des variables, et non à la plage de mesures convertie.

Bits d'état

Ici vous trouvez les bits d'états les plus couramment utilisés. Vous trouverez des informations concernant la définition et l'utilisation des bits d'état dans la Liste des bits d'état.

sans reçu

Non acquitté est traité comme un bit d'état habituel. Mais il est montré séparément ici, car il n'appartient pas aux états classiques des variables.

Valeur et État

Dans les formules, toutes les valeurs (valeur des bits et bits d'état) sont traitées comme des valeurs binaires pouvant être liées de manière logique par des conditions AND et OR, etc.
Les exceptions à cette règle sont la valeur totale et l'état global. Pour obtenir un résultat booléen, cette valeur totale doit être associée à une condition OR (ou) avec une constante de bit. Pour cela, on utilise l'opérateur &.
Pour le résultat 0 (faux) de cette condition logique OR, on obtient la valeur binaire 0 (faux) ou 1 (vrai).

Exemple : voir le chapitre Exemple d'utilisation de la condition Or, bit par bit

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.

Si d'autres paramètres externes à la formule sont définis pour l'état courant, ils sont "ajoutés" à la formule à l'aide d'un ET logique.

Reportez-vous à la section Exemples pour obtenir des exemples.

info Info

Les formules comportant des valeurs X binaires et des liens de niveau bit peuvent être utilisées avec 2 valeurs binaires maximum. Si d'autres valeurs sont requises, la liaison doit être établie sans valeurs X binaires.

Exemple :

X01.Value & X02.Value -> fonctionne

X01.Value & X02.Value & X03.Value -> ne fonctionne pas

Toutefois :

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> fonctionne

Autres sujets abordés dans ce chapitre

List of status bits

Opérateurs logiques

Formules Bit

Opérateurs de comparaison

Exemples pour les formules


List of status bits

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> L'éditeur de formules -> List of status bits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | État utilisateur 1 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélection sur le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En cours d'utilisation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | VAL_M;valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | RG;Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Non valide | _VSB_I_BIT
19 | T_CHG_A | Annonce heure été/hiver | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel externe | _VSB_RT_E
22 | T_INTERN | Horodatage temps réel interne | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | MM_TR;Message de marche du transfo | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | VALR;valeur de remplacement Si aucune valeur n'a été transférée, la valeur de remplacement définie est utilisée ; dans le cas contraire, la dernière valeur valide est utilisée. | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Non mis à jour | _VSB_ACTUAL
30 | T_STD | Heure standard | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission, bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission, bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission, bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission, bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission, bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission, bit 6 | _VSB_TCB5
38 | N_CONF | Pas d'acceptation du mode Select par le matériel (IEC 60870) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | DEVNORM;État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : bloqué | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substitué | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : non topique | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : dépassement | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : sélectionné | _VSB_SE_BIT
49 | T_INVAL | Temps invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | RES52 | réservé | non défini
53 | RES53 | réservé | non défini
54 | RES54 | réservé | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Info

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états


Opérateurs logiques

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> L'éditeur de formules -> Opérateurs logiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Liens logiques : seule la valeur logique '0' sera recherchée dans les variables ; si la valeur n'est pas égale à '0', elle sera considérée comme égale à '1'.

Contrairement aux formules bit, la portée technique peut être modifiée au moyen d'un facteur d'étirement -> (différent de '0' ou '1').

Opérateur | Signification
AND | ET logique
NOT | Négation
OR | OU logique
XOR | OU EXCLUSIF logique

Les opérateurs possèdent la priorité suivante dans le calcul de la formule :

Priorité | Opérateur
1 | & (opérateur des formules bit)
2 | NOT
3 | AND
4 | XOR/OR

Informations concernant info

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99.

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.


Formules Bit

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> L'éditeur de formules -> Formules Bit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les formules Bit comportent uniquement un état logique haut ou bas. Contrairement aux formules logiques, la valeur brute est déjà prédéfinie (0,1).

Opérateur | Description
& | AND
| | OU

Autres sujets abordés dans ce chapitre

Exemple : Comparaison de bits avec OR


Exemple : Comparaison de bits avec OR

Exemple : Comparaison de bits avec OR

Vous voulez savoir si l'un des bits d'état utilisateur 1 à 8 (M1 ... M8) de la variable X01 est défini :

Formule classique :

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8.
Cette requête peut être considérablement simplifiée en utilisant la condition logique OR sur l'état général.

Interrogation OR logique :

X01.Status & 0xFF

La constante peut être saisie au format hexadécimal, comme ci-dessus.

0xFF en décimal vaut 256, et correspond aux huit premiers bits d'état (en binaire, 11111111). Si l'un de ces bits est défini sur 1, le résultat de l'application de la condition logique ORing au niveau des bits est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Si, par exemple, tous les bits d'états utilisateur sont à tester sauf le bit M7, la formule binaire serait : 10111111. Le bit 7 est sans intérêt, et est donc défini sur 0. Ceci correspond à 0xBF en hexadécimal. L'expression de la formule est alors : X01.Status & 0xBF.

A la place d'une comparaison de bits avec OR à l'aide d'une constante, la valeur peut également être comparée directement à un nombre décimal. Si la comparaison est fausse, la valeur binaire sera égale à 0 (False) ; dans le cas contraire, elle prendra la valeur 1 (True).

Exemple :

Si vous voulez savoir si la valeur est égale à la constante 202 : La formule est alors :

X01.value = 202

Si la valeur est égale à la constante 202, le résultat de la formule est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Remarque : avec le caractère OR (|), la condition logique OR au niveau des bits fonctionne de la même manière que dans cet exemple.


Opérateurs de comparaison

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> L'éditeur de formules -> Opérateurs de comparaison

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les opérateurs de comparaison permettent de comparer directement deux valeurs numériques. Le résultat des comparaisons est une valeur binaire. "0" si la condition est fausse et "1" si la condition est vraie.

Opérateur | Description
< | inférieur
> | supérieur
<= | Inférieur ou égal à
>= | Supérieur ou égal à
= | Égal
<> | Différent de

À gauche et à droite de l'opérateur de comparaison doivent se trouver des valeurs complètes ou des états complets ; des bits simples ne peuvent pas être utilisés.

A droite d'un opérateur de comparaison, vous pouvez également utiliser une constante (les constantes ne peuvent être que des entiers. La comparaison avec un nombre réel flottant n'est pas possible).
Ces constantes sont saisies sous forme de valeurs hexadécimales ou de valeurs décimales dans l'élément combiné. Les chiffres hexadécimaux sont automatiquement convertis en valeurs décimales lorsque vous cliquez sur OK (par exemple, 0x64 égale 100 en chiffres décimaux).

Example Exemple

X01.valeur >= X02.valeur
Le résultat est 1, si la valeur de X01 est supérieure ou égale à la valeur de X02

X01.valeur = 0x64
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 (= hex 0x64)

(X01.valeur = 0x64) OR (X01.valeur = 0x65)
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 ou 101 (= hex 0x64 ou hex 0x65)


Exemples pour les formules

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> L'éditeur de formules -> Exemples pour les formules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Liaison logique AND simple entre deux valeurs de bits

Example Exemple

Formule : X01.03 AND X02.03

Cette formule vaut TRUE si le bit 3 de la variable 1 et le bit 3 de la variable 2 sont tous deux égaux à 1.

Comparaison d'une valeur analogique ou de l'état d'une variable

Example Exemple

(X01.Value > X02.Value)

Comparaison de valeurs analogiques sur une base logique

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value)

Comparaison à l'aide de bits de valeur et de bits d'état

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value) OR (X01.03 = X02.03)

Comparaison d'une valeur avec une valeur décimale ou hexadécimale

Example Exemple

Formule : (X01.Value = 111)

Formule : (X01.Value = 0x6F)

Si une valeur hexadécimale est utilisée, cette dernière est convertie en valeur décimale lorsque vous cliquez sur OK. Si une valeur décimale est saisie et confirmée, la valeur reste affichée au format décimal après la réouverture.

Informations concernant info

Il n'est pas possible d'utiliser une virgule ou un point lors de la saisie d'une valeur.


Affichage de noms et d'identifications de variables

Manuels -> Synoptiques -> Éléments de synoptique -> Élément combiné -> Affichage de noms et d'identifications de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez afficher des noms et des identifications de variables grâce à la liste déroulante. Procédez comme suit :

  1. Créez un élément combiné.
  2. Sélectionnez le type d'affichage Texte d'état et symbole.
  3. Créez un état par défaut.
  4. Saisissez l'opérateur suivant en tant que texte d'état.
caractère générique | Description
%n | Affiche le nom de la variable.
%n,1,2 | affiche le nom de la variable en commençant à la position 1 pour 2 caractères
%N | Affiche le nom de la variable.
%N,3,2 | Affiche le nom de la variable, moins les trois premiers et les deux derniers caractères.
%l | affiche l'identification de la variable
%l,1,2 | affiche l'identification de la variable en commençant à la position 1 pour 2 caractères
%L | affiche l'identification de la variable
%L.3.2 | Affiche l'identification de la variable, moins les trois premiers et les deux derniers caractères.


Liste déroulante/Zone de liste

Manuels -> Synoptiques -> Éléments de synoptique -> Liste déroulante/Zone de liste

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'élément dynamique Listes déroulantes/Zones de liste permet de lier des valeurs de variables à des textes. Ces éléments peuvent être utilisés de deux manières :

  1. Si du texte est sélectionné dans le Runtime, la valeur de la variable devient la valeur liée au texte.
  2. Si la valeur atteint la valeur de la valeur définie, le texte lié est affiché dans la zone de liste avec la valeur actuelle.

Créer une liste déroulante/zone de liste

Pour créer l'élément dynamique Liste déroulante/Zone de liste dans un synoptique :

  1. Sélectionnez le symbole Liste déroulante/Zone de liste dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. Une boîte de dialogue s'affiche, vous permettant de lier la variable souhaitée à l'élément. Une variable peut également être liée à un élément au moyen d'une manipulation glisser-déplacer. Faites glisser une variable sur une liste déroulante/zone de liste ; celle-ci remplace alors les variables qui s'y trouvaient précédemment.
    Les types de variable suivants sont supportés :
    • Binaire
    • Numérique
    • String

Informations concernant info

Un point-virgule (;) ne peut pas être affiché dans le texte pour les variables de chaîne, car le point-virgule est utilisé comme séparateur.

L'élément liste déroulante/zone de liste prend en charge les mêmes fonctions supplémentaires que l'élément valeur numérique :

  • Verrouillage, État, Visibilité, Couleurs dynamiques.
  • Couleurs dynamiques : La couleur d'arrière-plan est uniquement prise en compte pour les entrées existantes. Si une partie de l'élément ne contient pas d'entrées, c'est la couleur d'arrière-plan par défaut qui est utilisée.

La liaison de macros à des événements d'éléments (tels que LeftClickUp, par exemple) n'est pas prise en charge.

attention Attention !

Il est impossible de modifier les couleurs et les polices de caractères dans la zone de lister sous Windows CE.

Les zones de listes/listes déroulantes peuvent être créées de manière dynamique ou statique. La propriété ID_PROP_COMBOLIST_DYNCONTENT_USE permet de basculer entre les modes de fonctionnement statique et dynamique. Les entrées fixes sont définies dans l'Éditeur durant le fonctionnement statique. Durant le fonctionnement dynamique, une variable de contenu est liée et sa valeur est interprétée dans le Runtime.

Différence entre zone de liste et liste déroulante

Les textes sont ouverts individuellement dans une fenêtre, dans une Liste déroulante.

Les valeurs sont affichées dans une liste et la valeur actuelle est marquée, dans la zone de liste. Si le nombre d'états dépasse les états pouvant être affichés dans la liste, alors un ascenseur est ajouté sur la droite.

Informations concernant info

Si la variable possède une valeur qui n'a pas été définie dans les entrées de liste déroulante/zone de liste, aucun texte n'est affiché ou marqué.

Zone de liste déroulante statique ou zone de liste

Les entrées fixes sont configurées dans l'Éditeur, pour une zone de liste statique. Celles-ci sont affichées et utilisées dans le Runtime.

Pour saisir des valeurs :

  1. Ouvrez le groupe Affichage.
  2. Sélectionnez le type d'affichage de votre choix avec la propriété Type : Liste déroulante ou Zone de liste.

    Valeur par défaut : Listbox (Zone de liste)

  3. Désactivez la propriété Entrées depuis une variable chaine.
  4. Cliquez sur le bouton ... de la propriété Entrées.
  5. La boîte de dialogue de configuration des entrées s'affiche à l'écran.

  6. Saisissez les valeurs des états.
  7. Liez les valeurs aux textes correspondant aux états.

Boîte de dialogue des entrées

Paramètres

Description

Entrées

Liste des entrées déjà définies.

No.

Numéro séquentiel attribué automatiquement.

Valeur

Valeur attribuée sous Entrées/Valeur.

Envoyer valeur

Oui : Envoyer valeur est active.

Non : Envoyer valeur est inactive.

Texte

Chaîne de caractères saisie sous Entrées/Texte.

Fonction

Fonction liée au champ Entrées/Fonction.

Variable

Variable de visibilité liée.

Nouveau

Crée une nouvelle entrée avec :

  • nombre consécutif
  • Valeur active définie

Supprimer

Supprime l'entrée sélectionnée. Une seule entrée peut être supprimée ; il est impossible de sélectionner plusieurs entrées.

Copier

Copie l'élément sélectionné et l'ajoute à la fin de la liste, en tant que nouvel élément. Les paramètres des éléments copiés sont repris.

Haut/bas

Déplace l'entrée sélectionnée vers le haut ou vers le bas et adapte la numérotation consécutive.

Paramètre de saisie

Configuration des entrées de la liste.

Texte

Saisie de la chaîne de caractères liée à la valeur.

Valeur

Valeur numérique.

Les valeurs pouvant être saisies dépendent du type de données des variables.

Envoyer valeur

Active ou désactive la valeur définie :

Actif : la valeur est définie sous forme de valeur prescrite.
Inactif : la valeur saisie est uniquement utilisée pour référencer la sélection.
Attention : Valeur prescrite affecte uniquement la valeur, et non la fonction. La fonction est toujours exécutée. L'option Spécifier valeur prescrite doit être inactive pour tout appel de fonction ne comportant pas une variable liée.

Fonction

Fonction exécutée lors de la sélection de l'entrée dans le Runtime. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.
Attention : la fonction est uniquement exécutée si l'entrée est sélectionnée dans la zone de liste/liste déroulante dans le Runtime. Si la valeur de déclenchement change et atteint le niveau de la variable, la fonction n'est pas exécutée. L'option Spécifier valeur prescrite doit être inactive pour tout appel de fonction ne comportant pas une variable liée.

Variable de visibilité

Il s'agit de variables dont la valeur change, qui permettent donc d'évaluer les dépassements de limites dans le Runtime. En cas de dépassement de limite des variables de visibilité, la propriété Visibilité est évaluée en fonction du dépassement de limite. Elle détermine si l'entrée est visible ou non dans la liste. L'entrée est affichée dans la liste, par défaut (pas de dépassement de limite). Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Attention : avec les listes déroulantes, un changement de valeur durant le fonctionnement du système peut provoquer la fermeture d'une zone de liste ouverte.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Tri d'entrées

Les entrées peuvent être triées comme suit :

  • Boutons Vers le haut et Vers le bas : sélectionnez l'élément souhaité et déplacez-le en cliquant sur les boutons.
  • Glisser-déposer : Faites glisser l'élément vers l'emplacement souhaité avec la souris. Un trait rouge indique l'emplacement auquel sera inséré l'élément.

Zone de liste déroulante dynamique ou zone de liste

Dans le cadre d'une utilisation dynamique, une variable de chaîne définissant le contenu doit être liée à l'aide de la propriété Variable. Toute entrée statique pouvant être configurée au même moment dans le Runtime est ignorée. La valeur de la variable de contenu est évaluée et interprétée. Pour cela, la valeur des variables doit correspondre à une configuration valide dans le Runtime.

Calque

La valeur de chaîne affiche une liste d'entrées. Chaque entrée consiste en une valeur et un texte séparé par une virgule (,). Les entrées se terminent par un point-virgule (;). Si la partie textuelle d'une entrée contient un caractère @, cette partie sera traduite à l'aide de la table de langues existante.

Exemple de valeur de chaîne valide :

1,un;2,deux;3,trois;

Exemple de valeur de chaîne valide avec traduction :

1,@un;2,@deux;3,@trois;

Configuration

Pour lier une variable :

  1. Ouvrez le groupe Affichage.
  2. Sélectionnez le type d'affichage de votre choix avec la propriété Type : Liste déroulante ou Zone de liste.

    Valeur par défaut : Listbox (Zone de liste)

  3. Activez la propriété Entrées depuis une variable chaine.
  4. À l'aide de la propriété Variable, sélectionnez la variable souhaitée
    (Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables)
  5. Sélectionnez la variable de chaîne contenant les entrées configurées

Marquer l'élément dans la liste lors de la sélection

Les éléments affichés dans la liste déroulante ou la zone de liste peuvent être marqués en couleur dans le Runtime. Pour cela :

  • Accédez au groupe Couleur dans les propriétés.
  • Sélectionnez Propriétés dans le groupe Couleurs statiques.
    • Couleur de texte pour l'entrée sélectionnée pour la couleur du texte
    • Couleur d'arrière plan pour l'entrée sélectionnée pour la couleur de l'arrière-plan du texte

Ces couleurs sont ensuite utilisées dans le Runtime. Les paramètres du système d'exploitation sont ignorés, tout comme les couleurs des variables liées.

info Info

Les couleurs du système d'exploitation étaient utilisées jusqu'à la version 6.50. Lors de la conversion du projet :

  • la couleur d'arrière-plan est identique à celle configurée dans le système d'exploitation.
  • Si la couleur de texte est définie sous forme de couleur statique :

Sur les ordinateurs sur lesquels les couleurs ont été modifiées dans le système d'exploitation, cela peut provoquer un comportant différent dans le Runtime.

Dépannage

Les erreurs sont affichées sous forme d'entrées de fichier journal dans le service Diagnosis Server :

Message

Niveau

Signification

The value '%s' of the content variable '%s' is not valid, entries might be incorrect or missing! (La valeur '%s' de la variable de contenu '%s' n'est pas valide ; des entrées sont peut-être incorrectes ou manquantes !)

Erreurs

La variable de chaîne liée dans la propriété Variable comporte une valeur dont la configuration n'est pas valide.

Le texte est évalué dans la mesure du possible. La valeur actuelle est également consignée dans le fichier journal, afin de faciliter l'analyse des erreurs dans le Runtime.


Texte dynamique

Manuels -> Synoptiques -> Éléments de synoptique -> Texte dynamique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'élément dynamique Texte dynamique vous permet d'afficher le texte de valeur de la limite actuelle en cas de dépassement de la limite, ou d'afficher la valeur d'une variable de chaîne sous forme alphanumérique. Si aucun dépassement de limite n'est détectée, le texte défini dans l'éditeur est affiché à l'écran.

Pour créer un texte dynamique sur un synoptique :

  1. Sélectionnez le symbole Texte dynamique dans la barre d'outils Éléments ou dans la liste déroulanteÉléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue d'attribution de variable s'affiche à l'écran.
  5. Sélectionnez la variable que vous voulez attribuer.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.


Ellipse

Manuels -> Synoptiques -> Éléments de synoptique -> Ellipse

Pour dessiner une ellipse :

  1. Sélectionnez le symbole Ellipse/Cercle dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'ellipse tout en maintenant le bouton gauche la souris enfoncé
  4. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  5. Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.


Cercle

Manuels -> Synoptiques -> Éléments de synoptique -> Cercle

Pour tracer un cercle :

  1. Sélectionnez le symbole Ellipse/Cercle dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Maintenez la touche Maj enfoncée.
  4. Agrandissez le cercle tout en maintenant le bouton gauche la souris enfoncé
  5. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  6. Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  7. Si vous souhaitez préserver la forme du cercle, maintenez la touche Maj pendant que vous déplacez l'un des coins.
  8. Définissez les propriétés de votre choix dans la fenêtre des propriétés.


Quartier de cercle (camembert)

Manuels -> Synoptiques -> Éléments de synoptique -> Quartier de cercle (camembert)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour tracer un arc de cercle :

  • Sélectionnez le symbole Arc de cercle dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  • Sélectionnez le point de départ dans la fenêtre principale.
  • Agrandissez l'arc de cercle tout en maintenant le bouton gauche la souris enfoncé.
  • Déplacez la souris vers le coin supérieur droit de l'écran pour ouvrir l'arc de cercle vers la gauche ; procédez de même pour l'ouvrir dans une autre direction.
  • Pour modifier la direction d'ouverture, déplacez un point de contact de l'autre côté de la ligne située à l'opposé.
  • Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  • Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  • Maintenez la touche Maj enfoncée pendant le déplacement du coin pour préserver le ratio de l'élément.
  • Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Informations concernant info

L'arc de cercle est toujours affiché sous forme de secteur, et peut être étendu grâce à un copier-coller.
Les motifs et couleurs de remplissage ne sont pas disponibles pour les arcs de cercle.


Quartier de cercle (camembert)

Manuels -> Synoptiques -> Éléments de synoptique -> Quartier de cercle (camembert)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

attention Attention

Avec le quartier de cercle, vous dessinez la portion souhaitée d'un cercle ou d'une ellipse.

Pour dessiner un quartier de cercle :

  1. Sélectionnez le symbole Quartier de cercle dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez le quartier de cercle tout en maintenant le bouton gauche la souris enfoncé.
  4. Déplacez le la souris en haut à droite pour ouvrir le quartier vers la gauche, et inversement.
  5. Pour modifier la direction d'ouverture, déplacez un point de contact de l'autre côté de la ligne située à l'opposé.
  6. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  7. Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  8. Maintenez la touche Maj enfoncée pendant le déplacement du coin pour préserver le ratio de l'élément.
  9. Vous disposez de deux possibilités pour modifier l'angle d'ouverture ou ouvrir le quartier de cercle vers le haut ou vers le bas :
    • Placez le pointeur de la souris sur l'un des deux points de contact scindés jusqu'à ce que le pointeur de souris situé sur le point de contact extérieur se transforme en croix noire avec des flèches, puis déplacez le point dans la direction de votre choix
      ou
    • Vous pouvez modifier les propriétés des paramètres d'angle sous Angle d'ouverture. Par exemple :
      - pour une ouverture vers le bas : Angle de fin [degrés] 180° et Angle de début [degrés] sur 0°

      Les données d'angle peuvent comporter deux virgules décimales au maximum.
      Remarque : les coins calculés à partir des données d'angle étant des pixels, et ces derniers étant obligatoirement des nombres entiers, la valeur angulaire affichée peut légèrement différer des données. Par exemple, une valeur de 45° ne produit pas un nombre entier de pixels. La valeur est arrondie au niveau interne par zenon et l'angle affiché est de 44,75°.
  10. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Clé :

1) Points de contact de l'angle d'ouverture

2) Point de contact de la hauteur

Informations concernant info

Si vous souhaitez utiliser le segment de cercle comme arc de cercle, modifiez la valeur de la propriété Remplissage (type) en transparent. Seule la ligne extérieure est affichée avec le type d'affichage transparent.
L'angle d'ouverture doit toujours être > 0° et < 360°.

Attention

L'élément segment de cercle n'est pas disponible dans Windows CE.

Épaisseur segment

L'épaisseur d'un quartier de cercle peut être définie à l'aide des propriétés du groupe Epaisseur segment. Si la propriété Epaisseur de segment ajustable est activée, l'ellipse affichée au niveau des angles de début et de fin entre le bord extérieur et le centre affiche uniquement l'épaisseur définie. Ainsi, des tubes comportant différentes épaisseurs de début et de fin peuvent être affichées sous forme de courbe.

Les quartiers de cercle circulaires et elliptiques sont tous deux pris en charge. La propriété Epaisseur de fin égal épaisseur de début permet d'afficher les formes de même épaisseur.

Si la valeur 0 est définie comme épaisseur de quartier de cercle pour Angle de départ du segment [pixel] et Angle de fin du segment [pixel], un arc de cercle est affiché.

Remarques concernant la disponibilité : Indisponible pour Qualité graphique Windows de base, pour Projet WindowsCE actif ou pour Gradient de couleur Par les valeurs de luminosité.


Ligne

Manuels -> Synoptiques -> Éléments de synoptique -> Ligne

Pour tracer une ligne :

  1. Sélectionnez le symbole Ligne dans la barre d'outils Éléments ou dans la liste déroulanteÉléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez la ligne tout en maintenant le bouton gauche la souris enfoncé
  4. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  5. Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Informations concernant info

Les motifs et couleurs de remplissage ne sont pas disponibles pour les lignes.


Élément message

Manuels -> Synoptiques -> Éléments de synoptique -> Élément message

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec l'élément dynamique Élément message, vous pouvez afficher le texte dans le Runtime en fonction des états des variables de procédé. Les sources des textes sont des fichiers texte ASCII, édités sous forme de tables. Vous pouvez les configurer librement.

Pour créer un élément dynamique Élément message sur un synoptique :

  1. Sélectionnez le symbole Élément message dans la barre d'outils Éléments ou dans la liste déroulanteÉléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue d'attribution de variable s'affiche à l'écran.
  5. Sélectionnez les variables de votre choix.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Construction de la table

  • Créez un document texte au format ASCII.
  • Vous devez l'enregistrer au format Unicode.
  • Utilisez le caractère | (code ASCII 124) comme séparateur de colonnes.
  • Exemple :

    1 | Off | On | Diff | Fault

    2 |Off | On | True | False

    4 | Text1 | Text2 | Text3 | Text4

  • Les variables liées définissent les lignes et les colonnes du texte à afficher.

Première variable

La première variable de la liste doit être une variable mot, et définit la position de la colonne depuis laquelle sera extrait le texte. Dans le même temps, elle contrôle le type de traitement.

Bit défini | Effet
Bit 15 (bit dont la valeur est la plus élevée) | L'élément message est bloqué ; rien ne s'affiche plus à l'écran.
Bit 14 | Désactivation de la mise à jour de l'affichage à l'écran ; le dernier texte actif est affiché.

Remarque : Pour une variable à 16 bits, un maximum de 14 colonnes est autorisé. L'adressage de la colonne se déroule en fonction du numéro de bit, et non de la valeur numérique.

Deuxième variables et suivantes

Les autres variables définissent la position de la ligne depuis laquelle sera extrait le texte. La signification découle des éléments suivants :

Valeur | Ligne
1 | Ligne 1
2 | Ligne 2
4 | Ligne 3

Chaque variable de ligne est responsable pour un maximum de 16 lignes. Si plus de 16 lignes sont requises, d'autres variables de ligne peuvent être définies.

Si la ligne 1 et la ligne 2 doivent être affichées en alternance, la signification de la variable de ligne doit être "3". Si les 16 bits sont définis dans leur totalité, les lignes de 1 à 16 sont affichées en alternance.


Combinaisons multiples

Manuels -> Synoptiques -> Éléments de synoptique -> Combinaisons multiples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez définir plusieurs éléments avec l'élément dynamique Combinaison multiple :

  • Affichage d'éléments graphiques en fonction des valeurs de variables.
  • Symboles de couleur
  • Génération de texte d'état
  • Liaison de valeurs numériques et de valeurs binaires
  • Affichez un commutateur ou une touche pour la première variable, à condition que la première variable soit une variable binaire.

Création de l'élément combinaison multiple

Pour créer un élément combinaison multiple sur un synoptique :

  1. Sélectionnez le symbole Combinaisons multiples dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue d'attribution de variable s'affiche à l'écran.
  5. Sélectionnez les variables de votre choix.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Définition d'états

Vous définissez les paramètres d'affichage des états variables dans la boîte de dialogue de saisie d'éléments :

  1. Cliquez sur le nœud Affichage.
  2. Sélectionnez la propriété Configuration.
  3. La boîte de dialogue de définition des états s'ouvre.
  4. Les états définis sont traités du haut vers le bas.
  5. Les paramètres du premier état applicable sont affichés.

Autres sujets abordés dans ce chapitre

Élément combinaison multiple


Élément combinaison multiple

Manuels -> Synoptiques -> Éléments de synoptique -> Combinaisons multiples -> Élément combinaison multiple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour attribuer l'élément combinaison multiple à certains états :

  1. Cliquez sur le nœud Affichage.
  2. Sélectionnez la propriété Configuration.
  3. La boîte de dialogue de saisie d'éléments s'affiche à l'écran.
  4. Sélectionnez le type d'affichage souhaité :
    • Éléments graphiques : Affichage des informations sous forme de fichiers graphiques bitmap ; ceci autorise également le déplacement de synoptiques.
    • Symbole de synoptique/texte d'état : affichage de symboles et d'informations textuelles.
  5. Les états définis traités du haut vers le bas et le paramètre du premier état applicable sont affichés.


Graphiques

Manuels -> Synoptiques -> Éléments de synoptique -> Combinaisons multiples -> Élément combinaison multiple -> Graphiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Affichage des informations sous forme de fichiers graphiques bitmap ; ceci autorise également le déplacement de synoptiques.

Propriété

Description

Taille originale

Actif : les éléments graphiques sont affichés à leur taille originale.

Inactive : les éléments graphiques sont étirés ou compressés en fonction de la taille de l'affichage.

Options

Afficher état

Sélectionne l'élément dans le Runtime avec un point rouge en cas d'état d'exception.

Tenir compte du clignotement de toutes les variables

Actif : Résumé des alarmes pour toutes les variables de procédé liées. La couleur et les éléments graphiques sont définis en fonction de l'état actuel. Les états clignotants actifs sont conservés jusqu'à la validation.

État 0 (BAS)

Paramètres de l'état actuel conformes au type d'affichage.

Graphiques

Sélection des éléments graphiques. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fichiers.

  • Pour pouvoir sélectionner un fichier dans un projet, celui-ci doit déjà être présent dans le nœud Fichiers/Éléments graphiques du Gestionnaire de projet.
  • Pour pouvoir sélectionner directement un fichier dans un dossier de l'ordinateur, la propriété Sélection directe du fichier doit être activée.

Autres états

Sélectionnez d'autres variables en cliquant sur le bouton ..., puis triez les états en cliquant sur les boutons Haut et Bas.

Pour chacune des variables liées, un état discret doit être défini ; pour définir celui-ci, spécifiez les valeurs des informations à combinaison de bits et les valeurs numériques. Les valeurs à combinaison de bits doivent être attribuées plusieurs fois : nombre d'états moins 1 ; exemple : double message = 3.

Si un des états est vrai en Runtime, il est affiché à l'écran (bitmap ou symbole/texte). Si aucun des états définis n'est vrai, alors l'état 0 [BAS], globalement valable pour la combinaison multiple, est affiché à l'écran.

Remarque : Pour les variables non-binaires, la valeur doit être spécifiée dans la résolution du signal.


Symbole de synoptique/texte d'état

Manuels -> Synoptiques -> Éléments de synoptique -> Combinaisons multiples -> Élément combinaison multiple -> Symbole de synoptique/texte d'état

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Affichage de symboles et d'informations textuelles. La couleur de l'état actuel est fournie en même temps.

Propriété

Description

Symbole de synoptique
/texte d'état

Sélectionnez un symbole. Le symbole doit déjà être présent sur le synoptique. Le symbole affiché dans la liste déroulante clignote sur le synoptique jusqu'à ce que la boîte de dialogue Saisir un élément soit refermée.

Afficher texte d'état

Actif : Les textes d'état sont affichés dans le Runtime.

La couleur d'arrière-plan peut être définie.

Actif : La couleur d'arrière-plan du texte peut être choisie librement.

Options

Afficher état

Sélectionne l'élément dans le Runtime avec un point rouge en cas d'état d'exception.

Colorer uniquement zone de remplissage

Si vous avez sélectionné un symbole dans le synoptique, alors seul l'intérieur se colore selon les couleurs définies pour chaque état (les contours gardent leurs couleurs).

Tenir compte du clignotement de toutes les variables

Actif : Résumé des alarmes pour toutes les variables de procédé liées. La couleur et les éléments graphiques sont définis en fonction de l'état actuel. Les états clignotants actifs sont conservés jusqu'à la validation.

Couleur de fond lorsque l'élément clignote

Couleur de fond lorsque l'élément clignote

État 0 (Bas)

Texte d'état

Texte tel qu'il est affiché dans le Runtime. La saisie est uniquement possible si la propriété Afficher texte d'état est active.

Couleur du symbole/couleur du texte

Sélectionnez la couleur du symbole et du texte d'état.

Couleur d'arrière-plan du texte

Sélection de la couleur d'arrière-plan du texte d'état. Disponible uniquement si la propriété Configurable background (Arrière-plan configurable) est active.

Autres états

Sélectionnez d'autres variables en cliquant sur le bouton ..., puis triez les états en cliquant sur les boutons Haut et Bas.

Pour chacune des variables liées, un état discret doit être défini ; pour définir celui-ci, spécifiez les valeurs des informations à combinaison de bits et les valeurs numériques. Les valeurs à combinaison de bits doivent être attribuées plusieurs fois : nombre d'états moins 1 ; exemple : double message = 3.

Si un des états est vrai en Runtime, il est affiché à l'écran (bitmap ou symbole/texte). Si aucun des états définis n'est vrai, alors l'état 0 [BAS], globalement valable pour la combinaison multiple, est affiché à l'écran.

Remarque : Pour les variables non-binaires, la valeur doit être spécifiée dans la résolution du signal.


Paramètres de commutation

Manuels -> Synoptiques -> Éléments de synoptique -> Combinaisons multiples -> Élément combinaison multiple -> Paramètres de commutation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si une variable binaire est liée en tant que première variable, elle peut être utilisée en tant que commutateur ou commutateur temporaire.

Propriété | Description
Lecture seule | Il est impossible de saisir des valeurs prescrites dans le Runtime.
Commutateur | L'élément se comporte comme un commutateur pour la saisie de valeurs prescrites.
Mode temporaire MARCHE | Écrit la valeur prescrite HAUT. La position préférée du commutateur devient Arrêt.
Mode temporaire ARRET | Écrit la valeur prescrite BAS. La position préférée du commutateur devient Marche.
Période de maintien en ms | Période de maintien de l'état cible
Groupe d'autorisation | Définit le niveau d'autorisation requis pour l'élément valeur prescrite.
Combinaison de touches | Raccourci clavier utilisable pour la spécification des valeurs prescrites


Polygone

Manuels -> Synoptiques -> Éléments de synoptique -> Polygone

Pour tracer un polygone :

  1. Sélectionnez le symbole Polygone dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Dans la fenêtre principale, sélectionnez le point de départ en cliquant sur le bouton gauche de la souris.
  3. Tracez la première section.
  4. Positionnez un premier point d'angle en cliquant sur le bouton gauche de la souris.
  5. Tracez une autre ligne et positionnez les points d'angle.
  6. Positionnez le point de fin en double-cliquant ou en appuyant sur la touche Échap.
  7. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  8. Maintenez la touche Maj enfoncée pendant que vous tracez l'élément ; de cette manière seuls les déplacements horizontaux ou verticaux à partir de la position d'origine sont possibles.
  9. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

    Conseil : Utilisez la propriété Arrondir pour définir l'arrondi des lignes. Pour cela, sélectionnez une valeur comprise entre 0 (pas d'arrondi) et 1 (arrondi maximal).

*Ajouter des nœuds :

Pour ajouter des angles (coins):

  • Placez le pointeur de la souris sur une ligne du polygone :
  • Cliquez avec le bouton droit
  • Sélectionnez l'élément de menu Ajouter un nœud dans l'élément sélectionné dans le menu contextuel

Ou :

  • Appuyez simultanément sur Ctrl et Maj
  • Placez le pointeur de la souris sur une ligne du polygone :
  • Le pointeur de la souris devient une flèche comportant un symbole plus
  • Cliquez avec le bouton gauche pour ajouter un angle

Supprimer des nœuds :

  • Placez le pointeur de la souris sur un angle du polygone :
  • Cliquez avec le bouton droit
  • Sélectionnez l'élément de menu Deleting the node in the selected element (Supprimer un nœud dans l'élément sélectionné) dans le menu contextuel

Ou :

  • Appuyez simultanément sur Ctrl et Maj
  • Placez le pointeur de la souris sur un angle du polygone :
  • Le pointeur de la souris devient une flèche comportant un symbole plus
  • Cliquez avec le bouton gauche pour supprimer l'angle

info Info

La propriété Par les valeurs de luminosité n'est pas disponible pour les polygones.


Ligne brisée

Manuels -> Synoptiques -> Éléments de synoptique -> Ligne brisée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour tracer une polyligne :

  1. Sélectionnez le symbole Polyligne dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Dans la fenêtre principale, sélectionnez le point de départ en cliquant sur le bouton gauche de la souris.
  3. Tracez la première section.
  4. Positionnez un premier point d'angle en cliquant sur le bouton gauche de la souris.
  5. Tracez une autre ligne et positionnez les points d'angle.
  6. Positionnez le point de fin en double-cliquant ou en appuyant sur la touche Échap.
  7. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  8. Maintenez la touche Maj enfoncée pendant que vous tracez l'élément ; de cette manière seuls les déplacements horizontaux ou verticaux à partir de la position d'origine sont possibles.
  9. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

    Conseil : Utilisez la propriété Arrondir pour définir l'arrondi des lignes. Pour cela, sélectionnez une valeur comprise entre 0 (pas d'arrondi) et 1 (arrondi maximal).

*Ajouter des nœuds :

Pour ajouter des angles (coins):

  • Placez le pointeur de la souris sur une ligne du polygone :
  • Cliquez avec le bouton droit
  • Sélectionnez l'élément de menu Ajouter un nœud dans l'élément sélectionné dans le menu contextuel

Ou :

  • Appuyez simultanément sur Ctrl et Maj
  • Placez le pointeur de la souris sur une ligne du polygone :
  • Le pointeur de la souris devient une flèche comportant un symbole plus
  • Cliquez avec le bouton gauche pour ajouter un angle

Supprimer des nœuds :

  • Placez le pointeur de la souris sur un angle du polygone :
  • Cliquez avec le bouton droit
  • Sélectionnez l'élément de menu Deleting the node in the selected element (Supprimer un nœud dans l'élément sélectionné) dans le menu contextuel

Ou :

  • Appuyez simultanément sur Ctrl et Maj
  • Placez le pointeur de la souris sur un angle du polygone :
  • Le pointeur de la souris devient une flèche comportant un symbole plus
  • Cliquez avec le bouton gauche pour supprimer l'angle

attention Attention

Si vous transformez une polyligne en polygone lorsque l'option Inverser l'arrière-plan est active, les poignées de redimensionnement affichées au début et à la fin de la ligne deviennent invisibles durant le chevauchement. Pour désactiver cette option, sélectionnez Options -> Paramètres -> Coins de sélection -> Inverser l'arrière-plan.


Rectangle

Manuels -> Synoptiques -> Éléments de synoptique -> Rectangle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour tracer un rectangle :

  1. Sélectionnez le symbole Rectangle dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez le rectangle en maintenant le bouton gauche la souris enfoncé.
  4. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  5. Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

    Conseil : Vous pouvez arrondir les angles à votre convenance afin de créer un rectangle doté de coins arrondis


Carré

Manuels -> Synoptiques -> Éléments de synoptique -> Carré

Pour tracer un carré :

  1. Sélectionnez le symbole Rectangle dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Maintenez la touche Maj enfoncée.
  3. Sélectionnez le point de départ dans la fenêtre principale.
  4. Agrandissez le carré tout en maintenant le bouton gauche la souris enfoncé.
  5. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant déplaçant les coins de l'élément ou l'élément entier ;
    si vous souhaitez conserver la forme de "carré", maintenez la touche Maj enfoncée tout en tirant sur les coins.
  6. Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  7. Définissez les propriétés de votre choix dans la fenêtre des propriétés.


Tube

Manuels -> Synoptiques -> Éléments de synoptique -> Tube

Pour tracer un tube :

  1. Sélectionnez le symbole Tube dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Dans la fenêtre principale, sélectionnez le point de départ en cliquant sur le bouton gauche de la souris.
  3. Tracez la première section.
  4. Positionnez un premier point d'angle en cliquant sur le bouton gauche de la souris.
  5. Tracez une autre ligne et positionnez les points d'angle.
  6. Positionnez le point de fin en double-cliquant ou en appuyant sur la touche Échap.
  7. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  8. Maintenez la touche Maj enfoncée pendant que vous tracez l'élément ; de cette manière seuls les déplacements horizontaux ou verticaux à partir de la position d'origine sont possibles.
  9. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

    Conseil : Utilisez la propriété Arrondir pour définir l'arrondi des lignes. Pour cela, sélectionnez une valeur comprise entre 0 (pas d'arrondi) et 1 (arrondi maximal).

*Ajouter des nœuds :

Pour ajouter des angles (coins):

  • Placez le pointeur de la souris sur une ligne du polygone :
  • Cliquez avec le bouton droit
  • Sélectionnez l'élément de menu Ajouter un nœud dans l'élément sélectionné dans le menu contextuel

Ou :

  • Appuyez simultanément sur Ctrl et Maj
  • Placez le pointeur de la souris sur une ligne du polygone :
  • Le pointeur de la souris devient une flèche comportant un symbole plus
  • Cliquez avec le bouton gauche pour ajouter un angle

Supprimer des nœuds :

  • Placez le pointeur de la souris sur un angle du polygone :
  • Cliquez avec le bouton droit
  • Sélectionnez l'élément de menu Deleting the node in the selected element (Supprimer un nœud dans l'élément sélectionné) dans le menu contextuel

Ou :

  • Appuyez simultanément sur Ctrl et Maj
  • Placez le pointeur de la souris sur un angle du polygone :
  • Le pointeur de la souris devient une flèche comportant un symbole plus
  • Cliquez avec le bouton gauche pour supprimer l'angle


Bascule

Manuels -> Synoptiques -> Éléments de synoptique -> Bascule

La valeur d'une variable binaire est affichée sous forme graphique, et peut être modifiée avec l'élément dynamique Commutateur. L'élément peut également être utilisé en tant que commutateur pour la saisie non sécurisée de commandes à un niveau.

Pour créer un élément Commutateur sur un synoptique :

  • Sélectionnez le symbole Commutateur dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  • Sélectionnez le point de départ dans la fenêtre principale.
  • Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  • La boîte de dialogue de sélection d'une variable binaire s'affiche à l'écran.
  • Sélectionnez la variable que vous voulez attribuer.
  • Définissez les propriétés de votre choix dans la fenêtre des propriétés.

    Pour utiliser l'élément en tant que commutateur, activez la propriété Mode temporaire dans le nœud Spécifier valeur prescrite.


Texte statique

Manuels -> Synoptiques -> Éléments de synoptique -> Texte statique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour saisir du texte statistique :

  1. Sélectionnez le symbole Texte statistique dans la barre d'outils Éléments ou la liste déroulante Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez le champ de texte tout en maintenant le bouton gauche la souris enfoncé.
  4. Vous pouvez modifier la forme, la taille et la position de l'élément à tout instant en déplaçant les coins ou l'élément tout entier.
  5. Si vous maintenez la touche Alt enfoncée pendant que vous déplacez les coins extérieurs, la modification est apportée de manière symétrique.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

Pour saisir du texte :

  1. Double-cliquez lentement sur le champ de texte.

    Ou sélectionnez Édition dans le menu contextuel

  2. Saisissez le texte de votre choix.

info Info

Par défaut, le texte est automatiquement renvoyé à la ligne, en fonction de la taille du champ de texte. Pour désactiver le retour à la ligne automatique, désactivez la propriété Retour à la ligne automatique dans le nœud Affichage.

Conseil : si un Angle du texte [°] (Affichage) est défini dans la propriété, il est impossible de renvoyer le texte à la ligne automatiquement. Un affichage d'angle avec renvoi automatique du texte peut également être obtenu en pivotant l'élément dans son intégralité (lignes du cadre incluses, le cas échéant).

Soulignement

Pour souligner du texte, insérez un caractère & avant le texte à souligner.

"&Texte" devient :

Si vous souhaitez utiliser le caractère "&" dans du texte, saisissez-le deux fois :
"1 && 2" devient "1 & 2".

Saut de ligne

Pour définir un saut de ligne, utilisez la chaîne \n.

Exemple :

Ligne 1 \n

Ligne 2

info Info

La saisie n'est plus limitée à 80 caractères à partir de la version 6.51.


Move symbol (Déplacer le symbole) (versions 6.22 et antérieures uniquement)

Manuels -> Synoptiques -> Éléments de synoptique -> Move symbol (Déplacer le symbole) (versions 6.22 et antérieures uniquement)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec l'élément Move Symbol (Déplacer le symbole), vous pouvez déplacer les éléments que vous souhaitez déplacer horizontalement ou verticalement ou en modifier la talle (facteur de zoom), quel que soit l'état des autres variables. Pour cela, connectez les éléments à un symbole.

Pour créer un élément dynamique Move Symbol (Déplacer le symbole) sur un synoptique :

  • Sélectionnez le symbole Move Symbol (Déplacer le symbole) dans la barre d'outils Éléments ou dans la liste déroulanteÉléments.
  • Sélectionnez le point de départ dans la fenêtre principale.
  • Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  • Sélectionnez la variable souhaitée et définissez les propriétés de votre choix dans la fenêtre des propriétés.
  • Vous pouvez uniquement utiliser les symboles déjà présents dans le synoptique.

L'élément dynamique Move Symbol (Déplacer le symbole) est disponible jusqu'à la version 6.22. À partie de la version 6.50, utilisez les propriétés dynamiques d'un élément tel que Position, Dimensions et rotation dynamiques ou Couleur pour toutes les actions dynamiques.


Élément tendance

Manuels -> Synoptiques -> Éléments de synoptique -> Élément tendance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec l'élément dynamique Courbe de tendance, vous pouvez afficher toutes les valeurs dans le Runtime sous forme de courbes de tendance sur lesquelles plusieurs variables de procédé peuvent être affichées en même temps.

Pour que l'élément Courbe de tendance affiche les valeurs, la propriété Stockage de données sur disque dur actif dans le nœud Stockage données disque dur des propriétés de la variable doit être actif. Temps de cycle [s] et Nombre de valeurs doivent correspondre aux éléments Temps d'actualisation et Durée de visualisation dans la courbe de tendance ; dans le cas contraire, le tracé de la courbe redémarre à chaque nouvel appel de synoptique. Chaque modification peut avoir une incidence sur les autres Courbes de tendance utilisant les mêmes variables de procédé.

Créer une courbe de tendance

Pour créer une Courbe de tendance sur un synoptique :

  1. Sélectionnez le symbole Courbe de tendance dans la barre d'outils Éléments ou dans la liste déroulanteÉléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue d'attribution de variables numériques multiples s'affiche à l'écran.
  5. Sélectionnez les variables de votre choix.
  6. Toutes les courbes sont automatiquement créées dans la courbe de tendance.

    Pour ajouter une courbe ultérieurement :

    • Dans les propriétés, sélectionnez la propriété <Nouvelle courbe> dans le nœud Courbes.

      Ou :

    • Faites glisser la variable de votre choix sur la courbe de tendance tout en maintenant le bouton gauche de la souris enfoncé.
  7. Définissez les propriétés de votre choix dans la fenêtre des propriétés.
    • Vous définissez les propriétés graphiques des courbes dans le nœud Courbes des propriétés.
    • Vous déterminez le temps de cycle et le nombre de valeurs dans les propriétés de la variable correspondante dans le nœud Stockage données disque dur.

info Info

Vous pouvez également lier les variables et les fonctions aux éléments dynamiques en les faisant glisser sur l'élément dans le synoptique.


Horloge

Manuels -> Synoptiques -> Éléments de synoptique -> Horloge

L'élément dynamique Horloge permet d'afficher l'heure actuelle dans le Runtime, ou de convertir des valeurs numériques sous forme d'heure. La date et/ou l'heure peuvent être affichées sous forme de période de temps absolu ou de différence de temps.

Afficher

L'affichage dans le Runtime dépend de la présence d'une variable liée.

  • Si aucune variable n'est liée à l'élément, l'heure système actuelle est affichée sous forme de temps absolu dans le Runtime.
    Pour cela, dans le groupe Affichage, définissez la propriété Type d'affichage sur la valeur Temps absolu (Base : 00:00:00 1.1.1970).
  • Si une variable est liée, sa valeur peut être affichée comme ceci :
    • Différence de temps : La variable doit contenir le nombre de secondes.
      Les valeurs entières affichées dans la zone des secondes (de -2147483648 (min(DINT)) à +4294967295 (max(UDINT))) peuvent être affichées.
      Il est également possible d'afficher des valeurs négatives : Une valeur de variable de -60 est représentée par -01:00 au format mm:ss. Par conséquent, si la différence -01:40 est affichée, la valeur de la variable résultante est -100.
    • Intervalle de temps absolu : temps Unix, c'est-à-dire les secondes écoulées depuis le 1er janvier 1970 à 00:00 UTC dans la plage positive.

      Seules les valeurs positives jusqu'à 2147483647 peuvent être affichées. Une valeur de variable extérieure à cette plage produit un affichage incorrect : la partie hh:mm reste 00:00 ou 01:00 à l'heure d'hiver.

Développement

Pour créer une Horloge sur un synoptique :

  1. Sélectionnez le symbole Horloger dans la barre d'outils Éléments ou dans la liste déroulanteÉléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. Si une variable doit être liée :
    Liez la variable souhaitée dans la section Variable/fonction, ou effectuez un glisser-déplacer avec l'élément.
    • Toutes les variables peuvent être liées, à l'exception des variables de type chaîne et booléenne.
    • Les fractions de variables flottantes (des types de données REAL et DATA_AND_TIME) ne sont pas prises en compte.
  5. Définissez les propriétés de votre choix dans la fenêtre des propriétés, et surtout :
  6. Sélectionnez la propriété Type d'affichage dans le groupe Affichage.
    • Heure système/Période de temps absolu L'heure est affichée sous forme de temps absolu.
      Remarque : les menus contextuels et les infos-bulle ne sont pas pris en charge.
    • Différence de temps : La différence de temps est indiquée en minutes et en secondes. La variable doit contenir le nombre de secondes.
      Les valeurs entières peuvent être affichées dans la zone des secondes : de -2147483648 (min(DINT)) à +4294967295 (max(UDINT)). Il est donc également possible d'afficher des valeurs négatives.
      Exemples au format mm:ss : La valeur de variable 50 est affichée comme 00:50 ; la valeur de variable 100 est affichée comme 01:40.
      La valeur de variable -60 est affichée comme -01:00. Par conséquent, si la différence -01:40 est affichée, la valeur de la variable résultante est -100.
  7. Sélectionnez le type d'affichage de votre choix avec la propriété Formatage.

info Info

Si l'option Période de temps absolu est sélectionnée pour l'élément Spécifier valeur prescrite par, le champ de saisie comporte un format Différence de temps.

Par exemple :

  • Le formatage de la période de temps absolu hh:mm:ss jj.mm.aa
    est affiché sous la forme suivante dans l'élément : jj:hh:mm:ss
  • jj.mm.aaaa (par exemple, 17.12.2008)
    est affiché sous la forme jjjjj (14230 jours depuis le 1.1.1970).


Réglette universelle

Manuels -> Synoptiques -> Éléments de synoptique -> Réglette universelle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'élément Réglette universelle permet d'afficher des variables sous forme de réglettes, de bargraphes, de bargraphes à LED ou de toute autre réglette de votre choix. Les réglettes permettent de définir des éléments à valeur prescrite dans le Runtime.

Pour créer une réglette universelle sur un synoptique :

  1. Sélectionnez le symbole Réglette universelle dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue d'attribution de variable s'affiche à l'écran.
  5. Sélectionnez la variable que vous voulez attribuer.
  6. L'assistant de configuration de réglette universelle s'affiche à l'écran.

  7. Sélectionnez l'alignement :
    horizontal, vertical ou circulaire.

  8. Sélectionnez la forme :
    Réglette/potentiomètre, Barre, Bargraphe à LED ou Réglette animée.

  9. Un aperçu s'affiche à l'écran :
    définissez l'affichage du titre et la position de l'affichage de la valeur.

  10. Définissez les autres propriétés dans la fenêtre des propriétés.

    Conseil : Vous pouvez modifier l'affichage et la forme d'une réglette universelle dans les propriétés du nœud Réglette universelle.

info Info

Un indicateur permet d'afficher les valeurs minimales ou maximales des variables au cours d'un intervalle donné. Si vous double-cliquez sur l'élément dans Runtime, le marquage du minimum et du maximum est réinitialisé.

Affichage avec code de couleurs du dépassement de limite

En cas de dépassement d'une limite, la couleur de la variable peut colorer la zone entière ou uniquement la zone commençant après le dépassement de limite. Cette fonctionnalité est contrôlée par le biais de la propriété Barre explicite, dans le groupe Réglette universelle.

Cette propriété affecte uniquement l'affichage de valeurs comportant des limites définies issues des variables. Les limites des matrices de réaction ne sont pas prises en compte.

Actif : si une limite de la variable liée est dépassée, seule la partie de l'affichage correspondant au dépassement de limite est affichée dans la couleur de la limite correspondante.
Si la variable comporte plusieurs limites définies, les zones correspondantes de l'affichage sont toujours affichées dans la couleur de la limite correspondante.

Inactif : Si une limite de la variable liée est dépassée, l'affichage entier reprend les couleurs de la limite dépassée.

Par défaut : Inactif


Élément WPF

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'élément dynamique WPF permet d'intégrer et d'afficher les fichiers WPF/XAML valides dans zenon.

info Info

Toutes les marques et noms de produits mentionnés dans cette documentation sont des marques de commerce ou des marques déposées de leurs détenteurs respectifs.

Autres sujets abordés dans ce chapitre

Notions fondamentales

Manuel du concepteur

Développement dans zenon


Notions fondamentales

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Notions fondamentales

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

XAML

XAML signifie "Extensible Application Markup Language". Ce langage descriptif développé par Microsoft, conçu sur la base du XML, définit la syntaxe dans les applications Silverlight et les interfaces utilisateur WPF. Le XAML permet de séparer la conception graphique et la programmation. Le concepteur prépare l'interface utilisateur graphique et crée des animations simples, qui sont ensuite utilisées par les développeurs ou planificateurs de projet. Le planificateur de projet peut adapter le contrôle et l'animation de ces fichiers .xaml à son projet.

WPF

WPF signifie "Windows Presentation Foundation", et décrit une infrastructure graphique qui forme partie de l'infrastructure Windows .NET.

  • WPF affiche l'environnement de programmation.
  • Le langage XAML décrit, sur la base du langage XML, la hiérarchie de l'interface sous forme de langage de balisage. En fonction de la construction du fichier XAML, il est possible de lier des propriétés, des événements et des transformations d'éléments WPF à des variables et des fonctions de
    CD_PRODUCTNAME<.
  • Cette infrastructure réunit les différents éléments de présentation tels que l'interface utilisateur, les tracés d'éléments, les éléments graphiques, les éléments audio et vidéo, les documents et les polices de caractères.

Selon Microsoft, WPF est fourni avec Windows 8, Windows 7, Windows Vista et Windows Server 2008. Microsoft .NET 3.5 est nécessaire à l'exécution.

Autres sujets abordés dans ce chapitre

Éléments WPF dans la visualisation de procédés

Transfert de valeurs de zenon vers WPF

Objets référencés

Association d'un objet zenon à un contenu WPF

Flux de travail


Éléments WPF dans la visualisation de procédés

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Notions fondamentales -> Éléments WPF dans la visualisation de procédés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le langage XAML offre différentes possibilités de conception graphique dans zenon. Les éléments d'affichage et les éléments dynamiques peuvent être adaptés graphiquement, quelle que soit la planification du projet. Par exemple, des illustrations sont d'abord créées par les concepteurs graphiques, puis importées dans zenon sous forme de fichier XAML et liées aux éléments logiques souhaités. Il existe de nombreuses possibilités d'utilisation de cette fonction, par exemple :

Éléments dynamiques avec une apparence analogique

Il n'est plus nécessaire de dessiner les éléments graphiques dans zenon ; ils peuvent maintenant être importés directement sous forme de fichier XAML. Ceci permet d'utiliser des éléments illustrés complexes, riches en détails, aux fins de la visualisation de procédés. Les reflets, les ombres, les effets 3D etc. sont pris en charge sous forme d'éléments graphiques. Les éléments qui sont adaptés aux différents environnements industriels autorisent une utilisation intuitive, semblable aux éléments opérationnels de la machine.

Des illustrations détaillées pour une utilisation intuitive

L'intégration d'éléments d'affichage au format XAML permet d'améliorer l'apparence graphique des projets, et améliore très significativement la clarté de l'affichage des procédés. Les éléments optimisés pour l'ergonomie facilitent l'utilisation des machines. L'affichage clair des données permet de recevoir des contenus complexes plus facilement. Les options flexibles d'adaptation d'éléments individuels facilitent le travail de l'opérateur. Il est donc possible pour les planificateurs de projet de définir seuls les valeurs d'affichage, les échelles et les unités.

Présentation clair des données et des récapitulatifs

Les éléments d'affichage groupés permettent d'afficher clairement les données les plus importantes du procédé, afin que les opérateurs d'équipements soient toujours informés du déroulement du procédé actuel. Les évaluations graphiques, les valeurs d'affichage et les réglettes peuvent être rassemblées sous la forme d'un élément unique, facilitant le contrôle de l'équipement.

Affichages spécifiques aux industries

Les éléments tels que les thermomètres, les balances ou les bargraphes forment partie des éléments fondamentaux de la visualisation de procédés. Grâce au langage XAML, il est possible d'adapter ces éléments à différentes industries. Ainsi, les opérateurs d'équipements peuvent localiser les éléments établis et habituels, qu'ils associent déjà à ces machines, aux fins de la visualisation du procédé sur le terminal.

Adaptation aux chartes graphiques des entreprises

Les illustrations peuvent être adaptées aux différentes exigences stylistiques des entreprises, afin de fournir une apparence visuelle cohérente jusque sur les synoptiques des différents procédés. Par exemple, les éléments fonctionnels standard de zenon peuvent être utilisés, puis être adaptés à la gamme chromatique, aux polices et au style d'illustration de la charte graphique de l'entreprise.


Transfert de valeurs de zenon vers WPF

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Notions fondamentales -> Transfert de valeurs de zenon vers WPF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Au niveau interne, zenon utilise toujours des valeurs de type double ou chaîne . Celles-ci sont transmises à l'élément WPF. L'élément WPF est intégré à un conteneur .NET. Il doit généralement être converti pour que le type de données puisse être utilisé. Cette conversion peut être exécutée automatiquement par .NET.

Les valeurs sont transmises conformément aux règles suivantes :

  • Si le type .NET (System.Object) correspondant à zenon n'est pas manifeste, la valeur est transmise telle quelle à .NET. .NET doit gérer lui-même l'affichage ou la conversion.
  • Si le type .NET est un type booléen (System.Boolean), zenon procède à l'écriture conformément à la convention .NET, 0 ou -1.
  • Si le type .NET est connu, une vérification est effectuée afin de déterminer si .NET peut convertir la valeur. Le convertisseur de .NET est utilisé à cette fin.
    • Oui : la valeur est transmise.
    • Non : la valeur est transmise malgré tout. Si .NET réagit en affichant un message d'erreur, la valeur de zenon est convertie en chaîne, puis renvoyée.


Objets référencés

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Notions fondamentales -> Objets référencés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans WPF, vous pouvez utiliser des objets standard, tels que des rectangles, des boutons, des champs de texte, etc., mais également des contrôles utilisateur de WPF, qui sont référencés sous le nom "d'ensembles".

Les contrôles utilisateur de WPF sont des objets créés individuellement. Par exemple, cet élément peut prendre l'apparence d'un tachymètre et fournir des propriétés spéciales et des effets optiques, tels qu'une propriété "Valeur", qui provoque le déplacement de l'aiguille du tachymètre lorsque la valeur correspondante est définie.

Voici le flux de travail correspondant :

  • L'apparence d'un contrôle utilisateur est constituée d'objets standard, proposés par WPF.
  • Les propriétés et interactions sont programmées.
  • L'ensemble complet est compilé et présent sous la forme d'un ensemble .NET.

Cet ensemble peut également être utilisé pour les projets WPF. Pour cela, il doit être référencé (c'est-à-dire lié) dans l'Éditeur WPF (par exemple : Microsoft Expression Blend). Pour cela, sélectionnez l'ensemble dans la boîte de dialogue de sélection de fichiers zenon :

À compter de cet instant, les contrôles utilisateur WPF de l'ensemble en cours de développement peuvent être sélectionnés sous Custom user controls (Contrôles utilisateur personnalisés) et utilisés dans le projet WPF.

Ensembles référencés utilisés dans zenon

Pour utiliser un ensemble dans zenon, ce dernier doit être fourni sous forme de fichier.
Les fichiers collectifs au format .cdwpf gèrent les ensembles de manière indépendante ; aucune configuration ultérieure n'est nécessaire. Les ensembles doivent être ajoutés au dossier Fichiers pour les fichiers .xaml :

  • Cliquez sur Fichiers dans l'arborescence du projet.
  • Sélectionnez Autres.
  • Sélectionnez Ajouter fichier... dans le menu contextuel.
  • La boîte de dialogue de configuration s'ouvre.
  • Insérez l'ensemble souhaité.

Lors de l'affichage d'un fichier WPF dans l'élément WPF (éditeur et Runtime), les ensembles de ce dossier sont chargés. Cela permet également de garantir que lors du transfert de fichiers du Runtime à l'aide du module de Transport à distance, tous les ensembles référencés sont présents sur l'ordinateur cible.

Un fichier collectif (.cdwpf) peut se trouver dans le même répertoire qu'un fichier XAML portant le même nom. Tous les ensembles (*.dll) provenant de tous les fichiers collectifs et du dossier Other (Autres) sont copiés vers le dossier de travail. Seule la version la plus élevée du fichier est utilisée, si plusieurs ensembles portent le même nom.

attention Attention

Les ensembles sont uniquement supprimés une fois le chargement terminé, lors de la fermeture de l'application. Ce qui signifie :

Si un fichier WPF contenant un ensemble référencé dans zenon est affiché, cet ensemble reste chargé en mémoire jusqu'à la fermeture de zenon, même si le synoptique est refermé. Si vous souhaitez supprimer un ensemble du dossier Fichiers/Autres, vous devez d'abord redémarrer l'éditeur, afin que l'ensemble soit supprimé.

Gestion multi-projets

Dans la gestion multi-projets, le même ensemble doit être utilisé dans tous les projets. Si un ensemble est remplacé par une autre version dans un projet, il doit également être remplacé dans tous les autres projets chargés dans l'Éditeur ou le Runtime.


Association d'un objet zenon à un contenu WPF

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Notions fondamentales -> Association d'un objet zenon à un contenu WPF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les objets de zenon peuvent être associés à des contenus WPF à l'aide du nom de l'objet WPF. Dans ce cas de figure, tenez compte des aspects suivants :

Les objets visuels ne comportent pas de propriété RuntimeNamePropertyAttribute. Par conséquent, lorsque le contenu WPF est chargé et créé, l'information supplémentaire nom n'est pas disponible.

Il est donc impossible d'associer clairement des objets zenon aux objets WPF. Par conséquent, seuls des objets logiques apparaissent dans la boîte de dialogue de configuration de zenon. La disponibilité des objets WPF pour la propriété RuntimeNamePropertyAttribute est visible dans MSDN, ou sur le site Web de Microsoft.

Solution

Néanmoins, les contournements suivants existent pour animer les objets visuels.

Pour les éléments visuels, la propriété animable est liée à la propriété textuelle d'une zone de texte invisible durant la connexion de données.

La zone de texte, en tant qu'objet logique, est compatible avec la propriété nom ; celle-ci est donc affichée dans zenon.

La propriété de la zone de texte peut également être animée avec zenon.

Par conséquent, cet objet visuel est également animé, de manière indirecte.


Flux de travail

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Notions fondamentales -> Flux de travail

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La technologie WPF/XAML permet de créer de nouveaux flux de travail dans la visualisation de procédés. La séparation des aspects de conception graphique et de gestion des fonctionnalités garantit une séparation nette des rôles des planificateurs de projets et des concepteurs graphiques ; les tâches de conception graphique peuvent être facilement exécutées à l'aide d'éléments graphiques existants, que le planificateur de projets n'aura plus besoin de modifier.

Les personnes suivantes sont impliquées dans le flux de travail de création d'éléments WPF dans zenon :

  • Concepteur graphique
    • Illustre des éléments
    • Veille à la conception des éléments graphiques dans MS Expression Design
  • Opérateur MS Expression Blend
    • Anime les éléments
    • Crée des variables destinées à l'animation d'éléments WPF dans zenon, auxquelles les planificateurs de projet ont accès
  • Planificateur de projet
    • Intègre les éléments dans zenon :
    • Mémorise les éléments logiques et les fonctionnalités

Nous effectuons la distinction suivante :

  • Flux de travail avec Microsoft Expression Blend
  • Flux de travail avec Adobe Illustrator

Autres sujets abordés dans ce chapitre

Flux de travail avec Microsoft Expression Blend

Flux de travail avec Adobe Illustrator


Flux de travail avec Microsoft Expression Blend

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Notions fondamentales -> Flux de travail -> Flux de travail avec Microsoft Expression Blend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Flux de travail avec Microsoft Expression Blend

Lors de l'utilisation de Microsoft Expression Blend, un élément WPF est créé en quatre étapes :

  1. Illustration d'éléments dans MS Expression Blend
  2. Ouvrez l'élément dans MS Expression Design et exportez-le au format WPF
  3. Animation dans MS Expression Blend
  4. Intégration dans zenon

Vous trouverez un exemple de création d'éléments WPF dans Microsoft Expression Blend au chapitre Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend.


Flux de travail avec Adobe Illustrator

Flux de travail avec Adobe Illustrator

Le flux de travail suivant, créé autour des processus de conception graphique dans Adobe Illustrator, est disponible :

  1. Illustration d'éléments dans Adobe Illustrator
  2. Importation de fichiers .ai et préparation dans MS Expression Design
  3. Exportation au format WPF depuis MS Expression Design
  4. Animation dans MS Expression Blend
  5. Intégration dans zenon

Un exemple de création est fourni au chapitre Flux de travail avec Adobe Illustrator.


Manuel du concepteur

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Manuel du concepteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette section décrit la création de fichiers WPF dans Microsoft Expression Blend et Adobe Illustrator. Les didacticiels relatifs à la création d'un élément Bouton et d'un élément bargraphe décrivent la procédure de création, en quelques étapes, de fichiers WPF entièrement fonctionnels pour zenon à partir d'éléments graphiques existants.

Les outils suivants ont été utilisés à cette fin :

  • Adobe Illustrator CS3 (AI)
  • Microsoft Expression Design 4 (ED)
  • Microsoft Expression Blend 4 (EB)
  • zenon 6.51

info Info

Si des objets référencés (ensembles) sont utilisés dans WPF, notez les instructions fournies au chapitre Objets référencés.

Autres sujets abordés dans ce chapitre

Flux de travail avec Microsoft Expression Blend

Flux de travail avec Adobe Illustrator


Flux de travail avec Microsoft Expression Blend

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Manuel du concepteur -> Flux de travail avec Microsoft Expression Blend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec Microsoft Expression Blend, un élément WPF :

  • est illustré
  • est converti en élément WPF dans MS Expression Design
  • est animé

L'exemple suivant représente l'illustration et la conversion d'un élément bouton en fichier XAML.

Remarque : Une version de test de Microsoft Expression Blend peut être téléchargée depuis le site Web de Microsoft.

Autres sujets abordés dans ce chapitre

Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend


Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Manuel du concepteur -> Flux de travail avec Microsoft Expression Blend -> Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend

Créez le bouton

  1. Démarrez Expression Blend.
  2. Sélectionnez l'option New Project (Nouveau projet).

  3. Sélectionnez le type de projet WPF.
  4. Attribuez-lui le chemin et le nom de votre choix (MyBlendProject, par exemple)

    Vous pouvez ignorer les paramètres Language (Langue) et Version, car aucune fonctionnalité ne sera programmée.

  5. Lorsque vous confirmez la boîte de dialogue en cliquant sur OK, Microsoft Blend crée un nouveau projet avec les paramètres choisis. Expression Blend ajoute un fichier XAML vide, qui contient déjà une référence de classe.
  6. Supprimez le fichier CS associé au fichier XAML à l'aide du menu contextuel.
  7. Renommez le fichier XAML MainControl.xaml en MyButton.xaml.
  8. La taille de développement par défaut du projet est définie sur 640 x 480 pixels et doit encore être modifiée :
    1. Sélectionnez la vue XAML.
    2. Sélectionnez une taille de 100 x 100 pixels.
    3. Supprimez la référence de classe x:Class="MyBlendProject.MyButton"

  9. Sélectionnez la vue Design (Apparence).

  10. Ajoutez un bouton à l'aide de la barre d'outils.
  11. Définissez les propriétés.
    • Width (Largeur) : 50
    • Height (Hauteur) : 50
    • Margins (Marges) : 25

    Le bouton se trouve donc au centre du contrôle.

  12. Enregistrez les modifications et ouvrez le fichier dans Internet Explorer pour l'inspecter. Vous verrez que le bouton est affiché à la taille de 50 x 50 pixels.

Rendez le bouton redimensionnable

Si vous intégrez cet état à zenon, le bouton possédera toujours précisément une taille de 50 x 50 pixels. Le bouton peut être mis en œuvre sous la forme d'un bouton pouvant être redimensionné ; basculez à nouveau vers Expression Blend :

  1. Sélectionnez le bouton dans l'arborescence.
  2. Sélectionnez l'option Group Into -> ViewBox (Regrouper sous -> ViewBox) dans le menu contextuel.
  3. Le bouton est inséré dans une ViewBox.
  4. Définissez les propriétés de l'élément Viewbox
    • Largeur : Auto
    • Hauteur : Auto
  5. Enregistrez le fichier.

  6. Si vous ouvrez maintenant le fichier dans Internet Explorer, le bouton est automatiquement redimensionné lorsque vous modifiez la taille de la fenêtre IE. Ce fichier s'adaptera désormais automatiquement aux modifications de la taille de l'élément WPF dans zenon.

Changez le nom de l'élément

Avant de pouvoir intégrer le fichier dans zenon, vous devez nommer l'élément WPF. Les éléments WPF ne sont pas nommés dans Expression Blend, et sont identifiés par des crochets et leur type. Le contenu de zenon est associé au contenu WPF via le nom des éléments WPF :

  • dans l'arborescence, modifiez le nom
    • du bouton en MyButton
    • de la ViewBox en MyViewBox

Ce bouton peut maintenant être intégré dans zenon sous forme de fichier XAML.


Flux de travail avec Adobe Illustrator

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Manuel du concepteur -> Flux de travail avec Adobe Illustrator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsque Adobe Illustrator est utilisé, un élément WPF :

  • est illustré dans Adobe Illustrator
  • est converti en élément WPF dans MS Expression Design
  • est animé dans MS Expression Blend

L'exemple suivant représente l'illustration et la conversion d'un élément bargraphe en fichier XAML.

Autres sujets abordés dans ce chapitre

Illustration de bargraphe

Exportation au format WPF

Animation dans Blend


Illustration de bargraphe

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Manuel du concepteur -> Flux de travail avec Adobe Illustrator -> Illustration de bargraphe

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Illustration de bargraphe

Un bargraphe peut être créé dans Adobe Illustrator.

  1. AI : élément de départ du bargraphe

    Illustré dans Adobe Illustrator CS3.

  2. AI : vue du chemin du bargraphe dans Adobe Illustrator

    • Tous les effets doivent être convertis (Objet -> Convert appearance (Convertir apparence))
    • Toutes les lignes sont transformées en chemins (Objet -> Chemin -> Contour line (Contour))
    • N'utilisez pas de filtres tels que les ombres, les flous etc.

Remarques concernant la compatibilité

Les illustrations créées avec Adobe Illustrator sont en principes adaptées à l'exportation au format WPF. Toutefois, tous les effets d'Illustrator ne deviennent pas les effets correspondants dans Expression Design ou Blend. Remarque :

Effets

Description

Masques d'écrêtage

Les masques d'écrêtage créés dans Adobe Illustrator ne sont pas correctement interprétés par Expression Design. Ils sont habituellement affichés sous forme de zones de couleur noire dans Blend.

Nous vous recommandons de créer des illustrations sans masques d'écrêtage.

Filtres et effets

Tous les filtres d'Adobe Illustrator ne sont pas correctement transférés vers Expression Design : les filtres de flou, les filtres d'ombre et les effets d'angle d'Illustrator ne fonctionnent pas dans Expression Design.

Solution :

  • La plupart des effets peuvent être convertis afin d'être correctement lus par Expression Design à l'aide de la commande Objet -> Convert appearance [Convertir l'apparence] dans Adobe Illustrator.
  • Les effets d'angle d'Adobe Illustrator sont correctement interprétés par MS Design s'ils sont convertis en chemins sous AI.

Zones de texte

Pour pouvoir lier des champs de texte à du code, vous devez créer ces derniers séparément, dans Expression Blend. Des "intitulés" sont nécessaires pour les textes dynamiques ; de simples champs de texte sont suffisants pour les informations statiques.

Il n'est pas possible de créer des intitulés de texte dans MS Design. Ceux-ci doivent être créés directement dans MS Blend.

Transparences et transparences de groupe

Dans Adobe Illustrator, certaines difficultés peuvent être liées à l'interprétation correcte des paramètres de transparence, plus particulièrement en ce qui concerne les paramètres de transparence de groupe.

Toutefois, MS Expression Blend et MS Expression Design offrent la possibilité de créer de nouveaux paramètres de transparence.

Multiplication des niveaux

Les paramètres de niveau d'Adobe Illustrator ne sont pas toujours correctement restitués par MS Expression Blend.

Toutefois, il est possible de multiplier les niveaux directement dans Expression Design.

Instruments à aiguille et positions standard

Pour optimiser les éléments graphiques pour l'animation, les instruments à aiguilles et les réglettes doivent toujours être réglés en position de départ, généralement 0 ou 12:00 heures.

Ainsi, les paramètres de position des rotations et autres seront également corrects dans Blend, et une animation pourra être mise en œuvre sans nécessiter de conversion des données de position.


Exportation au format WPF

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Manuel du concepteur -> Flux de travail avec Adobe Illustrator -> Exportation au format WPF

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Exportation au format WPF

Les fichiers WPF sont indispensables à l'animation dans Microsoft Expression Blend. Nous recommandons d'utiliser Microsoft Expression Design aux fins de cette procédure d'exportation, car ce logiciel fournit de bons résultats et interprète correctement la plupart des effets de Adobe Illustrator.

Remarque : un plug-in gratuit est disponible sur Internet, permettant d'exporter directement des fichiers WPF depuis Adobe Illustrator. Ce plug-in fournit une manière rapide et simple d'exporter des données depuis Illustrator ; toutefois, il est moins adapté à cette application, dans la mesure où il induit des pertes graphiques. Il est même possible que des différences de couleur par rapport au document original soient visibles.

Les fichiers au format .ai peuvent être importés normalement dans Expression Design ; les chemins d'accès sont conservés durant la procédure.
Attention : certains effets de Adobe Illustrator ne peuvent toutefois pas être correctement affichés par Expression Design (reportez-vous au chapitre Illustration).

L'exportation de l'élément bargraphe préalablement créé se déroule en 5 étapes :

  1. ED : Importation
    • Importez le fichier Illustrator préparé dans Microsoft Expression Design en sélectionnant Fichier -> Importer.
  2. ED : Optimisation

    • Si le fichier de départ ne s'affiche pas correctement dans MS Expression Design, il peut encore être édité et optimisé ici.
  3. ED : Sélection

    • Sélectionnez l'élément requis pour l'exportation au format WPF en cliquant sur la flèche Sélection directe dans MS Expression Design ; dans ce cas, il s'agit de l'horloge entière.
  4. ED : démarrer l'exportation

    • Démarrez l'exportation en sélectionnant Fichier -> Exporter.
    • La boîte de dialogue de configuration des paramètres d'exportation s'affiche à l'écran.
  5. ED : Export settings (Exporter les paramètres)

    • Saisissez les paramètres d'exportation suivants :
    1. Format : XAML Silverlight 4 / WPF Canvas

      Toujours nommer les objets : cochez la case correspondant à cette option.

      Placer les objets groupés dans un conteneur de disposition XAML : cochez la case correspondant à cette option.

    2. Texte : bloc de texte éditable
    3. Effets de ligne : rastériser tout

Le fichier exporté comporte l'extension de fichier .xaml. Il sera préparé et animé dans MS Expression Blend à l'étape suivante.


Animation dans Blend

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Manuel du concepteur -> Flux de travail avec Adobe Illustrator -> Animation dans Blend

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Animation dans Blend

Avec MS Expression Blend :

  • Les fichiers statiques XAML de MS Expression Design sont animés.
  • Les variables de contrôle des effets pouvant être actionnées par zenon sont créées.

En treize étapes, la procédure suivante permet d'évoluer d'un fichier statique XAML à un élément animé, pouvant être intégré dans zenon.

  1. EB : créer un projet

    1. Ouvrez Microsoft Expression Blend.
    2. Créer un nouveau projet
    3. Sélectionnez le Type de projet WPF-> Bibliothèque de contrôles WPF.
    4. Spécifiez un nom (dans ce didacticiel : Mon_projet).
    5. Sélectionnez l'emplacement auquel il sera enregistré.
    6. Sélectionnez un langage (dans ce didacticiel : C#)
    7. Sélectionnez Framework Version 3.5.
  2. EB : supprimer MainControl.xaml.cs

    1. Accédez à MainControl.xaml.cs.
    2. Supprimez ce fichier en sélectionnant l'option Supprimer du menu contextuel.
  3. EB : ouvrir le fichier XAML exporté

    1. Ouvrez le menu contextuel de Mon_projet en cliquant sur celui-ci avec le bouton droit.
    2. Sélectionnez Add existing element... (Ajouter un élément existant).
    3. Sélectionnez le fichier XAML exporté depuis Microsoft Expression Design pour ouvrir celui-ci dans Microsoft Expression Blend.
  4. EB : ouvrir MainControl.xaml

    1. Ouvrir le fichier MainControl.xaml créé automatiquement.
    2. Dans la zone Objects and Time axes (Objets et axes de temps), accédez à l'entrée UserControl.
  5. EB : adapter le code XAML

    1. Cliquez sur UserControl avec le bouton droit de la souris.
    2. Sélectionnez Display XAML (Afficher XAML) dans le menu contextuel.
    3. Supprimer les lignes 7 et 9 dans le code XAML :

      x:Class="Mon_projet.MainControl"

      d:DesignWidth="640" d:DesignHeight="480"

  6. EB : vérifier le code XAML

    • Le code XAML doit maintenant se présenter comme ceci :

    <UserControl

    xmlns=http://schemas.microsoft.com/winfx/2006/xaml/presentation
    xmlns:x=http://schemas.microsoft.com/winfx/2006/xaml
    xmlns:d=http://schemas.microsoft.com/expression/blend/2008
    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    mc:Ignorable="d"
    x:Name="UserControl">

    <Grid x:Name="LayoutRoot"/>

    </UserControl>

  7. EB : copier les éléments

    1. Ouvrez le fichier XAML importé depuis Expression Design.
    2. Sélectionnez tous les éléments.
    3. Sélectionnez Supprimer dans le menu contextuel.
    4. Revenez au fichier XAML généré automatiquement.
  8. EB : insérer les éléments

    1. Cliquez sur LayoutRoot avec le bouton droit de la souris.
    2. Sélectionnez Insérer.
  9. EB : adapter le type de disposition

    1. Cliquez sur LayoutRoot -> Modifier le type de disposition -> Viewbox avec le bouton droit de la souris.
    2. La structure doit maintenant se présenter comme ceci : UserControl -> LayoutRoot -> Grille -> Éléments
    3. Spécifiez un nom pour LayoutRoot et Grille en double-cliquant sur les noms.
  10. EB : textes et valeurs

    • Les textes dynamiques et statiques comportent des intitulés sous forme de champs de texte.
    • Des valeurs (numériques) sont fournies avec les intitulés.
  11. EB : insérer les intitulés

    • Les intitulés remplacent les nombres qui doivent être liés ultérieurement à l'aide de variables INT (cette opération doit être effectuée pour tous les éléments numériques)
  12. EB : définir les propriétés

    • Pour un affichage à 100 %, définir la propriété de l'élément de bargraphe MaxHeight sur 341 (la hauteur maximale de l'élément indicateur est 340).
  13. EB : préparer l'utilisation dans zenon

    1. Supprimez tous les intitulés (des noms peuvent uniquement être fournis pour les éléments devant être actionnés via zenon).
    2. Enregistrez le fichier XAML sous le nom de votre choix.
    3. Intégrez le fichier XAML à zenon.

Astuce pour la vérification : si le fichier XAML s'affiche sans difficulté dans Microsoft Internet Explorer et la taille de la fenêtre d'Internet Explorer s'adapte au fichier, il s'affichera correctement dans zenon.


Développement dans zenon

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser WPF avec zenon, vous devez installer Microsoft Framework 3.5 sur l'ordinateur sur lequel est installé l'Éditeur et sur le Runtime.

Conditions applicables à l'affichage d'éléments WPF dans zenon

L'animation est actuellement indisponible pour les variables simples ; les tableaux et les structures ne peuvent pas être animées. Par conséquent, les fonctions WPF suivantes peuvent être mises en œuvre dans zenon :

  • Les propriétés d'éléments correspondant à des types de données simples, tels que String (Chaîne), Int (Entier), Bool (Booléen) etc.
  • Les propriétés d'éléments du type Objet, qui peuvent être définis avec des types de données simples.
  • Les événements d'éléments peuvent être utilisés avec des fonctions ; les paramètres des événements ne sont toutefois pas disponibles et ne peuvent pas être évalués dans zenon
  • La transformation d'éléments pour lesquels une fonction de transformation de rendu est présente dans le fichier XAML.

    Attention : si le contenu est situé hors de la zone de l'élément WPF durant la transformation, cette partie du contenu est perdue ou ne comporte pas d'intitulé.

Remarques concernant dBase : Aucune ombre ne peut être affichée pour les éléments WPF dans zenon.

attention Attention

Si les fichiers du Runtime ont été créés pour un projet destiné aux versions antérieures à la version 6.50, les éléments WPF existants ne sont pas inclus dans les synoptiques du Runtime.

Créer un élément WPF

Pour créer un élément WPF

  1. Dans la barre d'outils Éléments, sélectionnez le symbole de l'élément WPF ou l'option Éléments du menu.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément avec la souris.
  4. Dans les propriétés, sélectionnez la propriété Affichage du groupe Fichier XAML.
  5. La boîte de dialogue de sélection de fichiers s'ouvre.
  6. Sélectionnez le fichier souhaité.
    Les formats de fichier suivants sont valides :
    • *.xaml: Extensible Application Markup Language
    • *.cdwpf: fichier collectif WPF, affiche également un aperçu

    (Le fichier doit également être présent dans le Gestionnaire de projet, sous Fichiers/Éléments graphiques, ou il doit avoir été créé dans la boîte de dialogue.)

  7. Configurez le lien

info Info

Si des objets référencés (ensembles) sont utilisés dans WPF, notez les instructions fournies au chapitre Objets référencés.

Fichiers CDWPF (fichiers collectifs)

Règles d'utilisation des fichiers collectifs :

  • Les fichiers peuvent se trouver directement dans le fichier ZIP, ou dans un dossier associé.
  • Le nom du fichier XAML doit correspondre aux noms définis dans le fichier collectif.
  • Un seul fichier XAML peut être présent à la fois.
  • L'aperçu graphique doit être de petite taille, et ne pas mesurer plus de 64 pixels en hauteur.
    Nom du fichier d'aperçu : preview.png ou le nom du fichier XAML suivi du suffixe png.
  • Vous pouvez utiliser autant d'ensembles que vous le souhaitez. La distinction est établie sur la base de la version du fichier dans sa forme numérique.
  • Il n'est pas nécessaire que les fichiers collectifs contiennent un ensemble.
  • Tous les dossiers sont analysés, et seuls les fichiers *.dll, *.xaml et *.png sont pris en compte.
  • Si un fichier collectif (.cdwpf) est remplacé par une autre version du fichier, il est nécessaire d'adapter tous les fichiers CDWPF correspondants dans tous les symboles et images utilisés dans les projets chargés dans l'Éditeur ou le Runtime.

Affichage sous Windows Vista/Windows 7

Si un synoptique de type WPF contient une réglette et les effets Aero sont utilisés sous Windows Vista ou Windows 7, cela peut entraîner des problèmes d'actualisation dans l'Éditeur de zenon.

Autres sujets abordés dans ce chapitre

Configuration de liens

Validité des fichiers XAML

Éléments prédéfinis

Exemples : Intégration de WPF dans zenon

Traitement des erreurs


Configuration de liens

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Configuration de liens

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer un élément WPF

  1. Dans les propriétés, sélectionnez la propriété Configuration du groupe Affichage.
  2. Une boîte de dialogue comportant trois onglets s'affiche, et propose un aperçu du fichier XAML et des éléments présents dans le fichier

    .

Paramètre

Description

Éléments disponibles

Affiche les éléments de fichier nommés sous forme d'arborescence. L'élément sélectionné peut être liée aux données de procédés.

WPF est attribué aux données de procédé reposant sur le nom d'élément. Par conséquent, les éléments sont uniquement affichés si ces éléments et les éléments attenants possèdent un nom. Les attributions sont configurées et représentées dans les onglets Propriétés, Événements et Transformation.

Aperçu

L'élément sélectionné clignote dans l'aperçu.

Propriétés

Configuration et affichage des propriétés (variables, autorisations, verrouillages, valeurs liées).

Événements

Configuration et affichage d'événements (fonctions).

Transformations

Configuration et affichage de transformations.

Nom

Nom de la propriété.

Lien

Sélection du lien.

Type de lien

Type de lien (variable, autorisation, fonction)

WPF info (Informations WPS)

Affiche la valeur actuelle des propriétés du contenu WPF. L'utilisateur peut directement visualiser le type de propriété dont il s'agit (valeur booléenne, chaîne, etc.).

Lien (Liée)

Indique si une propriété est actuellement utilisée.

Non présente dans la vue par défaut, mais peut être sélectionnée ouvrant le menu contextuel et en sélectionnant Colonne.

info Info

Seuls les objets logiques peuvent être affichés dans la boîte de dialogue de configuration. Les objets visuels ne sont pas affichés. Vous pouvez en apprendre davantage sur les arrière-plans et l'animation des objets visuels au chapitre Association d'un objet zenon à un contenu WPF.

Autres sujets abordés dans ce chapitre

Propriétés

Événements

Transformation


Propriétés

Propriétés

Les propriétés permettent de lier les éléments suivants :

  • Variables
  • Valeurs
  • Autorisations et verrouillages

Paramètre |  | Description
Nom | Nom de la propriété.
Lien | Variable liée, autorisation ou valeur liée. Cliquez sur la colonne pour ouvrir la boîte de dialogue de sélection correspondante, en fonction de l'entrée dans la colonne Link type (Type de lien).
Type de lien | Sélection du lien.
WPF info (Informations WPS) | Affiche la valeur actuelle des propriétés du contenu WPF. L'utilisateur peut directement visualiser le type de propriété dont il s'agit (valeur booléenne, chaîne, etc.).
Lien (Liée) | Indique si une propriété est actuellement utilisée. Non présente dans la vue par défaut, mais peut être sélectionnée ouvrant le menu contextuel et en sélectionnant Colonne.

Créez un lien

Pour créer un lien :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Link type (Type de lien).
  3. Sélectionnez le lien de votre choix dans la liste déroulante.

    Les choix disponibles sont les suivants :

    • <Non lié> (supprime un lien existant)
    • Autorisation/verrouillage
    • Variable
    • Liaison de valeurs
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration du lien souhaité s'affiche à l'écran.

info Info

Les propriétés de WPF et de zenon peuvent être différentes. Si, par exemple, la propriété Visibilité est liée, trois valeurs sont disponibles dans .NET :

0 - visible

1 - invisible

2 - minimisé

Ces valeurs doivent être affichées via la variable liée de zenon.

Autres sujets abordés dans ce chapitre

Lier une variable

Valeurs du lien

Autorisation de liens ou de verrouillages


Lier une variable

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Configuration de liens -> Propriétés -> Lier une variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Lier une variable

Pour lier une valeur avec une propriété WPF :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Link type (Type de lien).
  3. Sélectionnez Variable dans la liste déroulante.
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration des variables s'affiche à l'écran.

Cette boîte de dialogue s'applique également à la sélection de variables pour les transformations. La configuration permet également d'effectuer des conversions en unités WPF depuis zenon.

Paramètre

Description

Variable liée

Sélection de la variable à lier. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Plage de valeurs de l'élément WPF

Données de conversion des valeurs de la variable en valeurs WPF.

Convertir plage de valeurs

Actif : La conversion des unités WPF est activée.

Effet sur le Runtime : la valeur zenon actuelle (y compris l'unité zenon) est convertie en valeur de la plage WPF en fonction des valeurs minimum et maximum normalisées.

Par exemple : la valeur d'une variable varie de 100 à 200. Avec les variables, la plage normalisée est définie sur 100 à 200. L'objectif consiste à représenter cette modification de la valeur à l'aide d'un bouton rotatif WPF. Par conséquent :

  • Pour les transformations, la propriété RotateTransform.Angle est liée aux variables
  • L'option Modifier la valeur est activée
  • Une plage de valeurs WPF de 0 à 360 est configurée.

Maintenant, le bouton rotatif peut être réglé sur une valeur de 150, par exemple, de 180 degrés.

Minimum

Définit la valeur WPF la moins élevée.

Maximum

Définit la valeur WPF la plus élevée.

OK

Accepte les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Autorisation de liens ou de verrouillages

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Configuration de liens -> Propriétés -> Autorisation de liens ou de verrouillages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Autorisation de liens ou de verrouillages

Des autorisations ne peuvent pas être accordées pour l'ensemble de l'élément WPF. L'élément est attribué à un niveau d'utilisateur. Les autorisations sont accordées au sein du niveau utilisateur pour les contrôles individuels. Si une autorisation est active, la valeur 1 est écrite dans l'élément.

Pour lier une autorisation ou un verrouillage à une propriété WPF :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Link type (Type de lien).
  3. Sélectionnez Authorization/interlocking (Autorisation/verrouillage) dans le menu déroulant.
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration des autorisations s'affiche à l'écran.

Paramètre | Description
Autorisation du lien/verrouillage | Configuration des autorisations.
Linked status (État lié) | Sélection d'une autorisation liée à un contrôle WPF dans la liste déroulante. Par exemple, la visibilité et le fonctionnement d'un bouton WPF peuvent dépendre de l'état d'un utilisateur.

Autorisation | Description
Autorisation disponible | Si l'utilisateur dispose de droits suffisants pour actionner l'élément WPF, une valeur de 1 est écrite dans la propriété.
Pas d'autorisation | Si l'utilisateur ne dispose pas de droits suffisants pour actionner l'élément WPF, une valeur de 1 est écrite dans la propriété.
non verrouillé | Si l'élément n'est pas verrouillé, la valeur 1 est écrite dans la propriété.
verrouillé | Si l'élément est verrouillé, la valeur 1 est écrite dans la propriété.
action autorisée | Si l'autorisation est présente et l'élément n'est pas verrouillé, une valeur de 1 est écrite dans la propriété.
ne peut pas être utilisé | Si l'autorisation n'est pas présente ou l'élément n'est pas verrouillé, une valeur de 1 est écrite dans la propriété.


Événements

Événements

Les événements permettent de lier des fonctions de zenon à un élément WPF.

Paramètre |  | Description
Nom | Nom de la propriété.
Lien | Fonction liée. Cliquez sur la cellule pour ouvrir la boîte de dialogue.
Type de lien | Sélection du lien. Cliquez sur la cellule pour ouvrir la boîte de dialogue de sélection.
WPF info (Informations WPS) | Affiche la valeur actuelle des propriétés du contenu WPF. L'utilisateur peut directement visualiser le type de propriété dont il s'agit (valeur booléenne, chaîne, etc.).
Lien (Liée) | Indique si une propriété est actuellement utilisée. Non présente dans la vue par défaut, mais peut être sélectionnée ouvrant le menu contextuel et en sélectionnant Colonne.

Fonctions de lien

Pour créer un lien :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Link type (Type de lien).
  3. Sélectionnez la fonction dans la liste déroulante.
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration de la fonction s'affiche à l'écran.

Paramètre |  | Description
Fonction liée | Sélectionnez les fonctions à lier. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.
OK | Accepte la sélection et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Transformation

Transformation

L'élément WPF ne prend pas en charge la rotation. Par exemple, si l'élément WPF se trouve dans un symbole et ce symbole subit une rotation, l'élément WPF ne pivotera pas avec le symbole. Par conséquent, il existe un autre mécanisme de Transformation dans WPF permettant de faire pivoter les éléments ou de les transformer autrement. Ces transformations sont configurées dans l'onglet Transformation.

Attention : si le contenu se trouve hors de la zone de l'élément WPF, cette partie du contenue est perdue (c'est-à-dire qu'elle n'est pas affichée).

Paramètres

Description

Nom

Nom de la propriété.

Lien

Sélection des variables liées.

Les transformations sont affichées en langage XAML sous forme d'objets de transformation possédant des propriétés propres. Si un élément est compatible avec une transformation, les propriétés possibles de l'objet de transformation sont affichées dans la liste (pour plus d'informations à ce sujet : Intégration d'un bouton sous forme d'élément WPF XAML dans zenon

Par exemple, si la variable liée est définie à une valeur de 10, cette valeur est écrite sous forme de cible WPF, et l'élément WPF est pivoté de 10°.

Type de lien

Sélection du type de lien de transformation.

WPF info (Informations WPS)

Affiche la valeur actuelle des propriétés du contenu WPF. L'utilisateur peut directement visualiser le type de propriété dont il s'agit (valeur booléenne, chaîne, etc.).

Lien (Liée)

Indique si une propriété est actuellement utilisée.

Non présente dans la vue par défaut, mais peut être sélectionnée ouvrant le menu contextuel et en sélectionnant Colonne.

Liez les transformations

Pour lier une transformation avec une propriété WPF :

  1. Sélectionnez la ligne comportant la propriété que vous souhaitez lier.
  2. Cliquez sur la cellule Link type (Type de lien).
  3. Sélectionnez Transformation dans la liste déroulante.
  4. Cliquez sur la cellule Lien.
  5. La boîte de dialogue de configuration des variables s'affiche à l'écran.

La configuration permet également d'effectuer des conversions en unités WPF depuis zenon.

Paramètre

Description

Variable liée

Sélection de la variable à lier. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Plage de valeurs de l'élément WPF

Données de conversion des valeurs de la variable en valeurs WPF.

Convertir plage de valeurs

Actif : La conversion des unités WPF est activée.

Effet sur le Runtime : la valeur zenon actuelle (y compris l'unité zenon) est convertie en valeur de la plage WPF en fonction des valeurs minimum et maximum normalisées.

Par exemple : la valeur d'une variable varie de 100 à 200. Avec les variables, la plage normalisée est définie sur 100 à 200. L'objectif consiste à représenter cette modification de la valeur à l'aide d'un bouton rotatif WPF. Par conséquent :

  • Pour les transformations, la propriété RotateTransform.Angle est liée aux variables
  • L'option Modifier la valeur est activée
  • Une plage de valeurs WPF de 0 à 360 est configurée.

Maintenant, le bouton rotatif peut être réglé sur une valeur de 150, par exemple, de 180 degrés.

Minimum

Définit la valeur WPF la moins élevée.

Maximum

Définit la valeur WPF la plus élevée.

OK

Accepte les paramètres et ferme la boîte de dialogue.

Annuler

Abandonne les paramètres et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Validité des fichiers XAML

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Validité des fichiers XAML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La validité des fichiers XAML est soumise à certaines exigences :

  • Espace de nommage correct
  • Absence de référence de classe
  • Capacité d'extension

Espace de nommage correct

L'élément WPF peut uniquement afficher un contenu WPF, c'est-à-dire :

seuls les fichiers XAML comportant un espace de nommage WPF de longueur correcte peuvent être affichés par l'élément WPF. Les fichiers utilisant un espace de nommage Silverlight ne peuvent être ni chargés, ni affichés. Toutefois, dans la plupart des cas, il suffit de convertir l'espace de nommage Silverlight en espace de nommage WPF.

Espace de nommage WPF :

xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

Absence d'utilisation de références de classe

Les fichiers XAML pouvant être chargés de façon dynamique, il est impossible d'utiliser des fichiers XAML contenant des références à de classes (clé "class" dans l'en-tête). Les fonctions programmées dans des fichiers C# créés indépendamment ne peuvent pas être utilisées.

Capacité d'extension

Si le contenu d'unélément WPF est ajusté à la taille de l'élément WPF, les commandes de l'élément WPF sont entrelacées dans une commande offrant cette fonctionnalité, à l'image d'une Viewbox, par exemple. En outre, il convient de veiller que les éléments hauteur et largeur soient configurés de manière automatique.

Vérification de la validité d'un fichier XAML

Pour s'assurer qu'un fichier XAML possède le format adéquat :

  • Ouvrez le fichier XAML dans Internet Explorer.
    • S'il peut être ouvert sans plug-ins supplémentaires (Java ou autres), on peut très facilement supposer que ce fichier peut être chargé et affiché par zenon.
    • Si un problème survient durant le chargement, celui-ci est affiché dans Internet Explorer et les lignes à l'origine du problème sont indiquées de manière claire.

La capacité d'extension peut également être testée de cette manière : Si le fichier a été correctement créé, le contenu sera automatiquement ajusté à la taille de la fenêtre Internet Explorer.

Message d'erreur

Si un fichier non valide est utilisé dans zenon, un message d'erreur est affiché dans la fenêtre de sortie lors du chargement du fichier dans l'élément WPF.

Par exemple :

"error when loading xaml-Datei:C:\ProgramData\COPA-DATA\SQL\781b1352-59d0-437e-a173-08563c3142e9\FILES\zenon\custom\media\UserControl1.xaml

The attribute "Class" cannot be found in XML namespace "http://schemas.microsoft.com/winfx/2006/xaml". Line 7 Position 2."


Éléments prédéfinis

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon comporte déjà plusieurs éléments WPF. D'autres sont en outre disponibles en téléchargement dans la boutique Web.

Tous les éléments WPF comportent des propriétés déterminant la conception graphique de l'élément correspondant (Dependency Properties). La configuration des valeurs par le biais d'un fichier XAML ou d'un lien avec la propriété par le biais de zenon peut modifier directement l'apparence dans le Runtime. Les tables suivantes contiennent les Dependency Properties, respectives, selon le contrôle choisi.

Éléments dynamiques

  • Affichage circulaire
  • Barre de progression
  • Bargraphe vertical
  • Commande de température
  • Horloge analogique
  • Réglette universelle

Remplacement d'un ensemble par une version plus récente

Pour chaque projet, un seul ensemble peut être utilisé pour un élément WPF, dans l'Éditeur comme dans le Runtime. Si deux versions d'un ensemble sont disponibles dans un projet, le premier fichier chargé est utilisé. L'utilisateur doit s'informer sur la version à utiliser. Aucune autre action n'est nécessaire pour assurer la maintenance des versions utilisées jusqu'à présent. Si une version plus récente est choisie, il est nécessaire d'adapter tous les fichiers CDWPF correspondants dans tous les symboles et images utilisés dans les projets chargés dans l'Éditeur ou le Runtime.

Remarque concernant la gestion multi-projet : Si un ensemble dans un projet est remplacé par une version plus récente, il doit également être remplacé dans tous les autres projets chargés dans l'Éditeur ou le Runtime.

Autres sujets abordés dans ce chapitre

Contrôle Indicateur circulaire

Barre de progression - ProgressBarControl

Bargraphe vertical - VerticalBargraphControl

Jauge de température - TemperatureIndicatorControl

Horloge analogique - AnalogClockControl

Réglette universelle - UniversalReglerControl


Contrôle Indicateur circulaire

Contrôle Indicateur circulaire

Propriété

Fonction

Valeur

CurrentValue

Valeur actuelle à afficher.

Double

IsReversed

Orientation de l'échelle, horaire ou antihoraire

Booléen

ElementFontFamily

Police de caractères de l'élément.

Police

MinValue

Valeur minimum de l'échelle.

Double

MaxValue

Valeur maximum de l'échelle.

Double

ScaleRadius

Rayon de l'échelle.

Double

ScaleStartAngle

Angle auquel commence l'échelle.

Double

ScaleLabelRotationMode

Alignement de la légende de l'échelle.

Enum :

  • None (Aucune)
  • Automatique
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Section angulaire définissant la taille de l'échelle.

Double

ScaleLabelFontSize

Taille de la police de caractères de la légende de l'échelle.

Double

ScaleLabelColor

Couleur de la police de caractères de la légende de l'échelle.

Couleur

ScaleLabelRadius

Rayon suivant lequel est orientée la légende de l'échelle.

Double

ScaleValuePrecision

Précision de la légende de l'échelle.

Entier

PointerStyle

Forme du pointeur affichant la valeur.

Enum :

  • Flèche
  • Rectangle
  • TriangleCap
  • Pentagone
  • Triangle

MajorTickColor

Couleur des graduations principales sur l'échelle.

Couleur

MinorTickColor

Couleur des graduations secondaires sur l'échelle.

Couleur

MajorTickSize

Taille des graduations principales sur l'échelle.

Taille

MinorTickSize

Taille des graduations secondaires sur l'échelle.

Taille

MajorTicksCount

Nombre de graduations principales sur l'échelle.

Entier

MajorTicksShape

Forme/type des graduations principales sur l'échelle.

Enum :

  • Rectangle
  • Trapèze
  • Triangle

MinorTicksShape

Forme/type des graduations secondaires sur l'échelle.

Enum :

  • Rectangle
  • Trapèze
  • Triangle

MinorTicksCount

Nombre de graduations secondaires sur l'échelle.

Entier

PointerSize

Taille du pointeur.

Taille

PointerCapRadius

Taille du point d'attache du pointeur.

Double

PointerBorderBrush

Couleur de la bordure du pointeur.

Pinceau

PointerCapStyle

Forme/type du point d'attache du pointeur.

Enum :

  • BackCap
  • FrontCap
  • Vis

PointerCapBorderBrush

Couleur du point d'attache du pointeur.

Pinceau

PointerBrush

Couleur du pointeur.

Pinceau

GaugeBorderBrush

Couleur de la bordure de l'élément.

Pinceau

GaugeBackgroundBrush

Couleur de l'arrière-plan de l'élément.

Pinceau

PointerCapColorBrush

Couleur du point d'attache du pointeur.

Pinceau

GaugeMiddlePlate

Rayon de la plaque centrale de l'élément d'arrière-plan.

Double

PointerOffset

Décalage du pointeur (déplacement).

Double

RangeRadius

Rayon de l'affichage de la plage totale.

Double

RangeThickness

Épaisseur de l'affichage de la plage totale.

Double

RangeStartValue

Valeur de départ de l'affichage de la plage totale.

Double

Range1EndValue

Valeur de fin de la première plage et valeur de début de la deuxième plage.

Double

Range2EndValue

Valeur de fin de la deuxième plage et valeur de début de la troisième plage.

Double

Range3EndValue

Valeur de fin de la troisième plage et valeur de début de la quatrième plage.

Double

Range4EndValue

Valeur de fin de la quatrième plage et valeur de début de la cinquième plage.

Double

Range5EndValue

Valeur de fin de la cinquième plage et valeur de début de la sixième plage.

Double

Range6EndValue

Valeur de fin de la sixième plage.

Double

Range1ColorBrush

Couleur de la première plage.

Pinceau

Range2ColorBrush

Couleur de la deuxième plage.

Pinceau

Range3ColorBrush

Couleur de la troisième plage.

Pinceau

Range4ColorBrush

Couleur de la quatrième plage.

Pinceau

Range5ColorBrush

Couleur de la cinquième plage.

Pinceau

Range6ColorBrush

Couleur de la sixième plage.

Pinceau

ScaleOuterBorderBrush

Couleur de la bordure de l'échelle.

Pinceau

ScaleBackgroundBrush

Couleur de l'arrière-plan de l'échelle.

Pinceau

ValueTextFrameStyle

Forme/type d'affichage de la valeur.

Enum :

  • LargeFrame
  • SmallFrame
  • None (Aucune)

ValueTextContent

Contenu de l'affichage de la valeur.

Enum :

  • Texte
  • TextValue
  • Valeur

ValueTextSize

Taille de la police de l'affichage de la valeur.

Double

ValueTextColor

Taille de la police de l'affichage de la valeur.

Couleur

IsGlassReflection

Active l'effet vitré sur l'élément.

Booléen

GaugeOffset

Abaisse le point de rotation de l'ensemble de l'élément.

Double


Barre de progression - ProgressBarControl

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Barre de progression - ProgressBarControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Barre de progression - ProgressBarControl
Propriété | Fonction | Valeur
CurrentValue | Valeur actuelle à afficher. | Double
MinValue | Valeur minimum de la zone de valeurs. | Double
MaxValue | Valeur maximum de la zone de valeurs. | Double
ProgressbarDivisionCount | Nombre de divisions de la barre de progression. | Entier
VisibilityText | Visibilité de l'affichage de la valeur. | Booléen
TextSize | Taille de la police de l'affichage de la valeur. | Double
TextColor | Couleur de l'affichage de la valeur. | Couleur
ProgressBarBoxedColor | Couleur de la bordure de la barre de progression. | Couleur
ProgressBarMarginDistance | Distance de la boîte de dialogue de la barre de progression par rapport au bord de l'élément (gauche, haut, droite, bas). | Double
ProgressBarInactiveBrush | Couleur de l'indicateur inactive. | Pinceau
ProgressBarActiveBrush | Couleur de l'indicateur active. | Pinceau
ProgressBarPadding | Distance de la boîte de dialogue de la barre de progression par rapport à la boîte de dialogue de la barre de progression (gauche, haut, droite, bas). | Double
ElementBorderBrush | Couleur de la bordure de l'élément. | Pinceau
ElementBackgroundBrush | Couleur de l'arrière-plan de l'élément. | Pinceau


Bargraphe vertical - VerticalBargraphControl

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Bargraphe vertical - VerticalBargraphControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Bargraphe vertical - VerticalBargraphControl
Propriété | Fonction | Valeur
CurrentValue | Valeur actuelle à afficher. | Double
MinValue | Valeur minimum de l'échelle. | Double
MaxValue | Valeur maximum de l'échelle. | Double
MajorTicksCount | Nombre de graduations principales sur l'échelle. | Entier
MinorTicksCount | Nombre de graduations secondaires sur l'échelle. | Entier
MajorTickColor | Couleur des graduations principales sur l'échelle. | Couleur
MinorTickColor | Couleur des graduations secondaires sur l'échelle. | Couleur
ElementBorderBrush | Couleur de la bordure de l'élément. | Pinceau
ElementBackgroundBrush | Couleur de l'arrière-plan de l'élément. | Pinceau
ElementGlassReflection | Active l'effet vitré sur l'élément. | Visibilité
ElementFontFamily | Police de caractères de l'élément. | Police
ScaleFontSize | Taille de la police de caractères de l'élément. | Double
ScaleFontColor | Couleur de la police de caractères de l'échelle. | Couleur
IndicatorBrush | Couleur de remplissage du bargraphe. | Pinceau
BargraphSeparation | Nombre de divisions du bargraphe. | Entier
BargraphSeparationColor | Couleur des divisions de l'échelle. | Couleur


Jauge de température - TemperatureIndicatorControl

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Jauge de température - TemperatureIndicatorControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Jauge de température - TemperatureIndicatorControl

Propriété

Fonction

Valeur

CurrentValue

Valeur actuelle à afficher.

Double

MinValue

Valeur minimum de l'échelle.

Double

MaxValue

Valeur maximum de l'échelle.

Double

MajorTicksCount

Nombre de graduations principales sur l'échelle.

Entier

MinorTicksCount

Nombre de graduations secondaires sur l'échelle.

Entier

TickNegativColor

Couleur des graduations négatives principales (dégradé de TickPositivColor).

Couleur

TickPositivColor

Couleur des graduations positives principales (dégradé de TickNegativColor).

Couleur

MinorTickColor

Couleur des graduations secondaires.

Couleur

ElementBorderBrush

Couleur de la bordure de l'élément.

Pinceau

ElementBackgroundBrush

Couleur de l'arrière-plan de l'élément.

Pinceau

ElementGlassReflection

Active l'effet vitré sur l'élément.

Visibilité

ElementFontFamily

Police de caractères de l'élément.

Police

IndicatorColor

Couleur de remplissage de la jauge.

Couleur

IndicatorBorderColor

Couleur de la bordure de la jauge.

Couleur

MajorTickSize

Taille des graduations principales sur l'échelle.

Taille

MinorTickSize

Taille des graduations secondaires sur l'échelle.

Taille

ScaleLetteringDistance

Distance de la légende de l'échelle (verticale) ; chaque xème graduation principale doit comporter une légende.

Entier

IndicatorScaleDistance

Distance entre la jauge et l'échelle (horizontale).

Double

ScaleFontSize

Taille de la police de caractères de l'élément.

Double

ScaleFontColor

Couleur de la police de caractères de l'échelle.

Couleur

Unité

Unité.

String

ElementStyle

Forme/type d'élément.

Enum :

  • SmallFrame
  • Unité
  • None (Aucune)


Horloge analogique - AnalogClockControl

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Horloge analogique - AnalogClockControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Horloge analogique - AnalogClockControl

Propriété

Fonction

Valeur

ElementStyle

Forme/type d'élément.

Enum :

  • SmallNumbers
  • BigNumbers
  • Non

ElementBackgroundBrush

Couleur de l'arrière-plan de l'élément.

Pinceau

ElementGlassReflection

Active l'effet vitré sur l'élément.

Visibilité

Offset

Valeur en heures (h) affichant le décalage de temps par rapport à l'horloge système.

Int16

OriginText

Texte affiché sur l'horloge (par exemple, emplacement).

String


Réglette universelle - UniversalReglerControl

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Éléments prédéfinis -> Réglette universelle - UniversalReglerControl

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Réglette universelle - UniversalReglerControl

Propriété

Fonction

Valeur

CurrentValue

Valeur actuelle à afficher.

Double

ElementFontFamily

Police de caractères de l'élément.

Police

MinValue

Valeur minimum de l'échelle.

Double

MaxValue

Valeur maximum de l'échelle.

Double

Rayon

Double

ScaleRadius

Rayon de l'échelle.

Double

ScaleStartAngle

Angle auquel commence l'échelle.

Double

ScaleLabelRotationMode

Alignement de la légende de l'échelle.

Enum :

  • None (Aucune)
  • Automatique
  • SurroundIn
  • SurroundOut

ScaleSweepAngle

Section angulaire définissant la taille de l'échelle.

Double

ScaleLabelFontSize

Taille de la police de caractères de la légende de l'échelle.

Double

ScaleLabelColor

Couleur de la police de caractères de la légende de l'échelle.

Couleur

ScaleLabelRadius

Rayon suivant lequel est orientée la légende de l'échelle.

Double

ScaleValuePrecision

Précision de la légende de l'échelle.

Entier

ElementStyle

Type d'affichage de l'élément

Enum :

  • Bouton
  • Plaque
  • None (Aucune)

MajorTickColor

Couleur des graduations principales sur l'échelle.

Couleur

MinorTickColor

Couleur des graduations secondaires sur l'échelle.

Couleur

MajorTickSize

Taille des graduations principales sur l'échelle.

Taille

MinorTickSize

Taille des graduations secondaires sur l'échelle.

Taille

MajorTicksCount

Nombre de graduations principales sur l'échelle.

Entier

MajorTicksShape

Forme/type des graduations principales sur l'échelle.

Enum :

  • Rectangle
  • Trapèze
  • Triangle

MinorTicksShape

Forme/type des graduations secondaires sur l'échelle.

Enum :

  • Rectangle
  • Trapèze
  • Triangle

MinorTicksCount

Nombre de graduations secondaires sur l'échelle.

Entier

BackgroundBorderBrush

Couleur de la bordure de l'élément.

Pinceau

BackgroundBrush

Couleur de l'arrière-plan de l'élément.

Pinceau

PointerCapColorBrush

Couleur du point d'attache du pointeur.

Pinceau

GaugeMiddlePlate

Rayon de la plaque centrale de l'élément d'arrière-plan.

Double

ValueFontSize

Taille de la police de l'affichage de la valeur.

Double

ValueFontColor

Taille de la police de l'affichage de la valeur.

Couleur

IsGlassReflection

Active l'effet vitré sur l'élément.

Booléen

KnobBrush

Couleur du bouton.

Pinceau

IndicatorBrush

Couleur de la jauge.

Pinceau

IndicatorBackgroundBrush

Couleur d'arrière-plan de la jauge inactive.

Pinceau

KnobSize

Diamètre du bouton.

Double

KnobIndicatorSize

Taille de la jauge du bouton.

Taille

ElementSize

Taille de l'élément.

Taille

VisibilityKnob

Activation du bouton.

Booléen

ValuePosition

Couleur de l'affichage de la valeur.

Double

ValueVisibility

Activation de l'affichage de la valeur.

Booléen


Exemples : Intégration de WPF dans zenon

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Exemples : Intégration de WPF dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les exemples suivants décrivent la création de fichiers XAML et leur intégration sous forme d'éléments WPF dans zenon :

  • Intégration d'un bouton sous forme d'élément WPF XAML dans zenon
  • Intégration d'un bargraphe sous forme d'élément WPF XAML dans zenon
  • Intégration d'un contrôle DataGrid dans zenon


Intégration d'un bouton sous forme d'élément WPF XAML dans zenon

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Exemples : Intégration de WPF dans zenon -> Intégration d'un bouton sous forme d'élément WPF XAML dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Intégration d'un bouton sous forme d'élément WPF XAML dans zenon

Exemple de structure :

  • Création d'un bouton dans Microsoft Expression Blend
  • Intégration dans zenon
  • Lien à une variable et une fonction
  • Ajustement du bouton à la taille de l'élément
  • Créez le bouton

Lors de la première étape, créez un bouton conformément aux indications fournies au chapitre Créer un bouton sous forme de fichier XAML dans Microsoft Expression Blend. Pour pouvoir utiliser le fichier XAML dans zenon, insérez ceci dans l'arborescence du projet dans le dossier Fichiers/graphiques.

Intégrer le bouton

Remarque : Un projet zenon doté du contenu suivant est utilisé pour la description suivante :

  • Un synoptique vide en tant que synoptique de départ
  • Une variable interne int de type Int
  • Une fonction Fonction_0 de type Envoi d'une valeur vers matériel, avec :
    • L'option Directement sur matériel activée
    • L'ensemble a été défini sur 45

Pour intégrer le bouton :

  1. Ouvrez le synoptique vide.
  2. Insérez un élément WPF dans le synoptique.
  3. Sélectionnez Fichier XAML dans la fenêtre des propriétés.
  4. Sélectionnez le fichier XAML (par exemple, MyButton.xaml) et fermez la boîte de dialogue
  5. Sélectionnez la propriété Configuration.

Configurez le bouton

La boîte de dialogue de configuration affiche un aperçu du fichier XAML sélectionné. Tous les éléments nommés dans le fichier XAML sont mentionnés dans l'arborescence :

  1. Sélectionnez le bouton WPF, qui se trouve dans LayoutRoot->MyViewBox->MyButton.
  2. Consultez l'onglet Content (Contenu) de l'entrée Propriétés ; celui-ci contient le texte du bouton.
  3. Cliquez sur la colonne Link type (Type de lien).
  4. Sélectionnez Variable dans la liste déroulante.
  5. Cliquez sur la colonne Lien.
  6. La boîte de dialogue de sélection de variables s'affiche.
  7. Sélectionnez la variable int pour lier cette variable à la propriété Contenu.

Événements

Pour attribuer des événements :

  1. Sélectionnez l'onglet Événements.

  2. Recherchez l'entrée "Clic" ; cet événement est déclenché par l'élément WPF dès que l'utilisateur clique sur le bouton.
  3. Cliquez sur la colonne Link type (Type de lien).
  4. Sélectionnez Fonction dans la liste déroulante.
  5. Cliquez sur la colonne Lien.
  6. La boîte de dialogue de sélection de fonctions s'ouvre.
  7. Sélectionnez Function_0.
  8. Confirmez en cliquant sur OK.
  9. Insérez un élément valeur numérique dans le synoptique.
  10. Vous pouvez également lier cet élément valeur numérique aux variables int.
  11. Compilez les fichiers du Runtime et démarrez le Runtime.

L'élément WPF est affiché dans le Runtime ; le texte du bouton est 0. Lorsque vous cliquez sur le bouton, l'événement Clic est déclenché et la fonction valeur prescrite est exécutée. La valeur 45 est transmise directement au matériel, et la valeur numérique et le bouton affichent tous deux la valeur 45 .

Définissez une valeur prescrite de 30 via l'élément valeur numérique ; cette valeur est alors reprise par l'élément WPF.

Autorisation

A l'image d'une valeur numérique, un élément WPF peut être verrouillé en fonction des autorisations (symbole représentant un cadenas), ou être déverrouillé pour être actionnable. Réglez le niveau d'autorisation utilisateur sur 1 pour l'élément WPF et créez un utilisateur appelé Test possédant le niveau d'autorisation 1. Ensuite, définissez les fonctions Login with dialog (Connexion avec boîte de dialogue) et Logout (Déconnexion). Liez ensuite ces deux fonctions aux deux nouveaux boutons avec texte affichés sur le synoptique.

Dans la boîte de dialogue de configuration de l'élément WPF, sélectionnez le bouton WPF MyButton, puis sélectionnez l'onglet Propriétés.

  1. Sélectionnez l'élément IsEnabled.
  2. Cliquez sur la colonne Link type (Type de lien).
  3. Sélectionnez Authorizations/interlocking (Autorisations/verrouillage) dans la liste déroulante.
  4. Cliquez sur la colonne Lien.
  5. Dans la liste déroulante, sélectionnez l'option Authorized (Autorisé).

  6. Fermez la boîte de dialogue en cliquant sur OK.

Compilez le fichier Runtime ; notez bien que vous devez également sélectionner Authorizations to be Transferred (Autorisations utilisateur à transférer). Après le démarrage du Runtime, le bouton WPF apparaît désactivé sur le synoptique et ne peut pas être actionné. Connectez-vous maintenant en tant qu'utilisateur Test ; le bouton est activé et peut être actionné. Le bouton est verrouillé à nouveau dès que vous vous déconnectez.

Transformation

Les fichiers XAML doivent encore être adaptés pour que les transformations soient utilisables :

  1. Basculez vers le programme Expression Blend .
  2. Sélectionnez MyButton, afin que les propriétés de l'élément soient visibles dans la fenêtre des événements.

  3. Sous Transform (Transformer) au niveau de l'entrée RenderTransform (Transformation de rendu), sélectionnez l'option Apply relative transform (Appliquer une transformation de rendu).

    Un bloc est alors inséré dans le fichier XAML, dans lequel les paramètres de transformation dans le Runtime sont enregistrés.

  4. Enregistrez le fichier et remplacez l'ancienne version dans zenon par ce nouveau fichier.
  5. Ouvrez à nouveau la boîte de dialogue de configuration de l'élément WPF :
    1. Sélectionnez le bouton MyButton.
    2. Sélectionnez l'onglet Transformations.

    1. Sélectionnez l'élément RotateTransform.Angle.
    2. Cliquez sur la colonne Link type (Type de lien).
    3. Sélectionnez Transformations dans la liste déroulante.
    4. Cliquez sur la colonne Lien.
    5. La boîte de dialogue de sélection de variables s'affiche.
    6. Sélectionnez la variable int pour lier cette variable à la propriété RotateTransform.Angle.

Compilez les fichiers du Runtime et démarrez le Runtime. Connectez-vous en tant qu'utilisateur Test, puis cliquez sur le bouton. Le bouton comporte la valeur 45 et l'élément WPF pivote de 45°.


Intégration d'un bargraphe sous forme d'élément WPF XAML dans zenon

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Exemples : Intégration de WPF dans zenon -> Intégration d'un bargraphe sous forme d'élément WPF XAML dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Intégration d'un bargraphe sous forme d'élément WPF XAML dans zenon

Exemple de structure :

  • Création d'un bargraphe dans Adobe Illustrator et conversion au format WPF
  • Intégration dans zenon
  • Liaison avec des variables
  • Adaptation du bargraphe à l'élément WPF

Créer le bargraphe

La première étape consiste à générer un bargraphe conformément aux indications fournies au chapitre Flux de travail avec Adobe Illustrator. Pour pouvoir utiliser le fichier XAML dans zenon, insérez ceci dans l'arborescence du projet dans le dossier Fichiers/graphiques.

Intégration d'un bargraphe

Remarque : Un projet zenon doté du contenu suivant est utilisé pour la description suivante :

  • Un synoptique vide en tant que synoptique de départ
  • Quatre variables du driver interne pour :
    • Échelle 0
    • Échelle centrale
    • Échelle élevée
    • Valeur actuelle
  • Une variable provenant du pilote mathématique permettant d'afficher la valeur actuelle (255).

Pour intégrer le bargraphe :

  1. Ouvrez le synoptique vide.
  2. Insérez un élément WPF dans le synoptique.
  3. Sélectionnez Fichier XAML dans la fenêtre des propriétés.
  4. Sélectionnez le fichier XAML souhaité (par exemple, bar graph_vertical.xaml) et fermez la boîte de dialogue.

Ajuster le bargraphe

Avant la configuration, l'échelle du fichier XAML doit être adaptée, si nécessaire :

Pour cela :

  • Créez une nouvelle variable mathématique qui calcule la nouvelle valeur par rapport à l'échelle, par exemple :
  • Variable : 0-1000
  • Variable mathématique {valeur créée dans le fichier xaml}*Variable/1000

    Le fichier XAML est alors configuré.

Configurer le bargraphe

  1. Cliquez sur l'élément WPF et sélectionnez la propriété Configuration.
  2. La boîte de dialogue de configuration affiche un aperçu du fichier XAML sélectionné.
  3. Sélectionnez la valeur minimum, la valeur moyenne et la valeur maximum et liez chacune de ces valeurs à la variable correspondante dans la propriété Contenu.

  4. Sélectionnez la réglette et liez la propriété Valeur aux variables mathématiques (dans notre exemple : calcul).

  5. Contrôlez le projet de planification dans le Runtime :


Intégration d'un contrôle DataGrid dans zenon

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Exemples : Intégration de WPF dans zenon -> Intégration d'un contrôle DataGrid dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Intégration d'un contrôle DataGrid dans zenon

Pour créer un contrôle DataGrid, vous avez besoin des outils suivants :

  • WPF Toolkit : disponible en téléchargement à l'adresse http://wpf.codeplex.com
  • Visual Studio

Assurez-vous de toujours créer des projets reposant sur .NET Framework 3.5.

Création d'un contrôle utilisateur .NET

  1. Créez un contrôle utilisateur WPF dans Visual Studio.

    Dans notre exemple, il porte le nom MyWPFLibrary.

  2. Ajoutez les ensembles WPF Toolkit aux références. Pour cela :
    1. Cliquez avec le bouton droit sur le projet.
    2. Sélectionnez Ajouter une référence...
    3. Sélectionnez cette option dans l'onglet .NET
    4. Sélectionnez System.Data, ainsi que System.Data.DataSetExtensions s'ils ne sont pas déjà présents
  3. Créez une nouvelle connexion de données dans l'Explorateur de serveurs. Pour cela :
    1. Cliquez avec le bouton droit sur Connexions de données.
    2. Sélectionnez Ajouter une connexion...

    Dans notre exemple, la base de données Northwind est utilisée ; il s'agit d'un exemple de base de données créé par Microsoft.

    Une fois la connexion ajoutée, la fenêtre de l'Explorateur de serveurs doit ressembler à ceci :

    Un nouveau groupe de données est créé à l'étape suivante.

Création d'un groupe de données

  1. Cliquez avec le bouton droit sur le projet.
  2. Dans le menu contextuel, sélectionnez l'entrée Ajouter un nouvel objet....
  3. Créez un nouveau groupe de données.
  4. Double-cliquez sur le groupe de données pour l'ouvrir dans l'interface de configuration.
  5. Faites glisser les tables dont vous avez besoin vers la fenêtre principale de configuration du groupe de données.

Le fichier XAML est configuré à l'étape suivante.

Configuration du fichier XAML.

  1. Insérez les espaces de nom dans le fichier XAML.
    Vous devez disposer de l'espace de nom des outils WPF Toolkit et d'une référence à la classe :

  2. Définissez les ressources et le contrôle DataGrid que vous souhaitez utiliser dans l'élément WPF :

    <UserControl.Resources>

    <my1:MyDataSet x:Key="MyDataSet" />

    <CollectionViewSource x:Key="customersViewSource" Source="{Binding Path=Customers, Source={StaticResource MyDataSet}}" />

    </UserControl.Resources>

    <Grid DataContext="{StaticResource customersViewSource}">

    <my:DataGrid Height="304" HorizontalAlignment="Left" Margin="6,7,0,0" Name="dataGrid1" VerticalAlignment="Top" Width="497" DisplayMemberPath="CompanyName" ItemsSource="{Binding}" SelectedValuePath="CustomerID" />

    </Grid>

  3. Ouvrez le fichier code-behind (xaml.cs) et insérez les lignes suivantes dans le constructeur :

    public UserControl1()

    {

    InitializeComponent();

    MyWPFLibrary.MyDataSet ds = ((MyWPFLibrary.MyDataSet)(this.FindResource("MyDataSet")));

    MyWPFLibrary.MyDataSetTableAdapters.CustomersTableAdapter ta = new MyWPFLibrary.MyDataSetTableAdapters.CustomersTableAdapter();

    ta.Fill(ds.Customers);

    System.Windows.Data.CollectionViewSource customersViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("customersViewSource")));

    customersViewSource.View.MoveCurrentToFirst();

    }

    Ceci a l'effet suivant :

    • Obtention du groupe de données
    • Création d'un nouvel élément ReportAdapter
    • Remplissage du groupe de données
    • Transmission de ces informations au contrôle DataGrid

La solution peut maintenant être construite.

Construction

Maintenant, créez la solution. Certains fichiers DLL sont créés dans le dossier de sortie durant la procédure.

Vous disposez maintenant d'un fichier DLL doté des fonctionnalités requises. Toutefois, zenon peut uniquement afficher les fichiers XAML qui ne peuvent pas être liés au fichier code-behind. Par conséquent, vous devez prévoir un autre fichier DLL renvoyant au fichier DLL que vous venez de créer. Pour cela :

  1. Créez un autre projet et une autre bibliothèque de contrôles utilisateur WPF.
  2. Celui-ci est intitulé DataGridControl dans notre exemple.
  3. Insérez une référence au projet que vous venez d'intégrer à ce nouveau projet.

  4. Les fichiers XAML se présentent comme suit :

  5. Les contenus nécessaires sont présents dans le fichier DLL, et aucun fichier code-behind n'est nécessaire ; vous pouvez donc supprimer ceci :

    x:Class="test.UserControl1"

  6. Supprimez également les lignes suivantes, relatives au positionnement :

    mc:Ignorable="d"

    d:DesignHeight="300" d:DesignWidth="300"

  7. Définissez les contenus devant être affichés dans le fichier XAML. Pour cela, ajoutez les lignes suivantes :

    <UserControl xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"

    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"

    xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"

    xmlns:d="http://schemas.microsoft.com/expression/blend/2008"

    xmlns:mywpflib="clr-namespace:MyWPFLibrary;assembly=MyWPFLibrary">

    <Grid x:Name="GridName">

    <mywpflib:UserControl1 HorizontalAlignment="Left" Name="userControl11" VerticalAlignment="Top"/>

    </Grid>

    </UserControl>

    La ligne xmlns:mywpflib="clr-namespace:MyWPFLibrary;assembly=MyWPFLibrary" définit l'espace de nom mywpflib et stipule que celui-ci doit utiliser l'ensemble précédemment créé.

  8. Insérez un nom prédéfini dans les balises de la grille.
  9. Insérez le contrôle mywpflib:UserControl1 de notre bibliothèque et donnez-lui un nom ; zenon peut uniquement modifier les objets comportant un nom.
  10. Construisez cette solution.
    Ceci génère un message d'erreur :

  11. pour remédier à l'erreur, supprimez simplement le fichier code-behind et recréez une version.

À l'étape suivante, le fichier XAML est ajouté dans zenon.

Étapes dans zenon

  1. Ouvrez l'Éditeur de zenon
  2. Sélectionnez Fichier -> Éléments graphiques
  3. Sélectionnez Ajouter fichier... dans le menu contextuel.

  4. Sélectionnez le fichier XAML à l'emplacement auquel il est enregistré et insérez-le.

  5. Insérez les fichiers DLL contenant les fonctionnalités du fichier XAML. Pour cela :
    1. Dans le menu contextuel, sélectionnez la commande Fichier -> Autres, puis Ajouter fichier...
    2. Sélectionnez le fichier WPFToolkit.dll et le fichier DLL du premier projet

  6. Créez un synoptique.
  7. Insérez un élément WPF, puis sélectionnez un fichier XAML. Vous devriez maintenant voir les éléments suivants :

Remarque : Si le fichier XAML doit être supprimé ou mis à jour dans le projet zenon, il est possible que les fichiers DLL restent ouverts et ne puissent pas être supprimés du dossier. Vous devez redémarrer l'Éditeur pour pouvoir les supprimer. Il peut également suffire de désactiver, puis réactiver le projet.


Traitement des erreurs

Manuels -> Synoptiques -> Éléments de synoptique -> Élément WPF -> Développement dans zenon -> Traitement des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Entrées dans les fichiers journaux

Entrée | Niveau | Signification
Xaml file found in %s with different name, using default! (Fichier XAML avec un nom différent trouvé dans %s ; le fichier par défaut sera utilisé !) | Avertissement | Le nom du fichier collectif et le nom du fichier XAML qu'il contient ne correspondent pas. Pour éviter tout conflit interne, le fichier portant le nom du fichier collectif et le suffixe .xaml sera utilisé.
No preview image found in %s (Aucun aperçu d'image trouvé dans %s) | Avertissement | Le fichier collectif ne contient aucun aperçu graphique valide (preview.png ou [nom du fichier XAML].png). Par conséquent, aucun aperçu ne peut être affiché.
Xaml file in %s not found or not unique! (Fichier XAML dans %s introuvable ou non unique !) | Erreur | Le fichier collectif ne contient aucun fichier XAML, ou contient plusieurs fichiers portant le suffixe .xaml. Il ne peut pas être utilisé.
Could not remove old assembly %s (Impossible de supprimer l'ancien ensemble %s) | Avertissement | Un ensemble doit être remplacé par une version plus récente, mais il ne peut pas être supprimé.
Could not remove old assembly %s (Impossible de supprimer l'ancien ensemble %s) | Erreur | Une nouvelle version d'un ensemble situé dans le dossier de travail est disponible, mais il ne peut pas être copié à cet emplacement. Causes possibles : l'ancien exemple est encore chargé, par exemple. L'ancienne version continue à être utilisée, et la nouvelle version ne peut pas être utilisée.
file exception in %s (Exception de fichier dans %s) | Erreur | Une erreur de fichier s'est produite lors de l'accès à un fichier collectif.
Generic exception in %s (Exception générique dans %s) | Erreur | Une erreur générale s'est produite lors de l'accès à un fichier collectif.


Valeur numérique

Manuels -> Synoptiques -> Éléments de synoptique -> Valeur numérique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les valeurs numériques sont affichées à l'aide de l'élément valeurs numériques.

Pour créer une valeur numérique sur un synoptique :

  1. Sélectionnez le symbole Valeur numérique dans la barre d'outils Éléments ou dans la liste déroulante Éléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue d'attribution de valeur numérique s'affiche à l'écran.
  5. Sélectionnez la variable souhaitée et définissez les propriétés de votre choix dans la fenêtre des propriétés.

Informations concernant info

Les considérations suivantes s'appliquent dans le Runtime : Une valeur décimale peut être saisie avec une virgule, mais également avec un point en tant que séparateur décimal. Elle est toujours affichée sous forme de point.


Instrument à aiguille

Manuels -> Synoptiques -> Éléments de synoptique -> Instrument à aiguille

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'instrument de mesure peut être affiché à l'aide de l'élément dynamique instrument de mesure.

Pour créer un instrument de mesure sur un synoptique :

  1. Sélectionnez le symbole Instrument de mesure dans la barre d'outils Éléments ou dans la liste déroulanteÉléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue d'attribution de valeur numérique s'affiche à l'écran.
  5. Sélectionnez la variable souhaitée et définissez les propriétés de votre choix dans la fenêtre des propriétés.

Affichage avec code de couleurs du dépassement de limite

En cas de dépassement d'une limite, la couleur de la variable peut colorer la zone entière ou uniquement la zone commençant après le dépassement de limite. Cette fonctionnalité est contrôlée par le biais de la propriété Explicite, dans le groupe Affichage.

Cette propriété affecte uniquement l'affichage de valeurs comportant des limites définies issues des variables. Les limites des matrices de réaction ne sont pas prises en compte.

Actif : si une limite de la variable liée est dépassée, seule la partie de l'affichage correspondant au dépassement de limite est affichée dans la couleur de la limite correspondante.
Si la variable comporte plusieurs limites définies, les zones correspondantes de l'affichage sont toujours affichées dans la couleur de la limite correspondante.

Inactif : Si une limite de la variable liée est dépassée, l'affichage entier reprend les couleurs de la limite dépassée.

Par défaut : Inactif


Élément logique

Manuels -> Synoptiques -> Éléments de synoptique -> Élément logique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les symboles affichés sur le synoptique peuvent être contrôlés avec un élément dynamique Élément logique. De cette manière, les propriétés d'une variable liée, telles que les couleurs ou le clignotement, sont transférées vers un symbole. Vous pouvez ainsi afficher des textes de valeur limite statistique.

Pour créer un élément dynamique Élément logique sur un synoptique :

  1. Sélectionnez le symbole Élément logique dans la barre d'outils Éléments ou dans la liste déroulanteÉléments.
  2. Sélectionnez le point de départ dans la fenêtre principale.
  3. Agrandissez l'élément tout en maintenant le bouton gauche la souris enfoncé.
  4. La boîte de dialogue d'attribution de variable s'affiche à l'écran.
  5. Sélectionnez la variable souhaitée et définissez les propriétés de votre choix dans la fenêtre des propriétés.

info Info

A la place de l'élément dynamique Élément binaire, il est possible d'utiliser les propriétés dynamiques de l'élément.


Modification d'éléments de synoptique

Manuels -> Synoptiques -> Modification d'éléments de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

De nombreuses possibilités s'offrent à vous pour modifier les éléments de synoptique :

  • Actions graphiques
  • Remplacement automatisé
  • Image de fond
  • Fonctions de la boîte de dialogue de sélection
  • Boîte de dialogue de sélection de variables

Autres sujets abordés dans ce chapitre

Actions graphiques

Remplacement des liens de variables et de fonctions

Image de fond

Boîte de dialogue de sélections de fonctions

Boîte de dialogue de sélection de variables


Actions graphiques

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Des actions graphiques sont également possibles dans zenon. Pour cela, utilisez les commandes suivantes :

  • Propriétés de l'élément
  • Les commandes du menu Edition.
  • Actions avec la souris :
    • Maintenez la touche Ctrl tout en déplaçant la souris pour copier l'élément.
    • Déplacer l'élément en maintenant le bouton droit de la souris enfoncé ouvre le menu contenu, et vous permet au choix de copier ou déplacer l'élément.
  • Le menu contextuel

info Info

Les actions graphiques, telles que l'application d'une ombre ou d'un effet de flou, peuvent avoir une incidence sur les performances du système, dans l'éditeur comme dans le Runtime.

Saisie de valeurs

Pour la saisie de valeurs dans une limite déterminée, des réglettes permettent de définir de nombreuses propriétés. Ces réglettes sont accessibles via le bouton .... Les modifications apportées aux valeurs à l'aide de la réglette sont immédiatement affichées dans le champ des propriétés.

Lors de la sélection de couleurs, la couleur activée dans la palette est affichée directement sur l'objet, sous forme d'aperçu.

Autres sujets abordés dans ce chapitre

Troncages

Effets pour les éléments de synoptique

Déplacement d'éléments

Dégradé de couleurs et transparence

Transfer format (Copier le format)

Copie, insertion et déplacement

Ajouter et supprimer des points

Flèches dans les éléments vectoriels

Grille

Police

Sélection

Redimensionnement, centrage et zoom

Raccourcis clavier

Pour attribuer une touche à un élément de contrôle :


Troncages

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Troncages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les éléments Rectangle et bouton , Polygone, Polyligne et Tube peuvent être affichés avec des troncages.

info Info

Les options de troncage sont uniquement disponibles, avec certaines restrictions, si la propriété Projet WindowsCE est activée ou la propriété Qualité graphique comporte la valeur Windows Base.

Rectangle et bouton

Définissez le niveau de troncage grâce aux propriétés du nœud Coins arrondis. Deux valeurs peuvent être définies pour chaque coin :

  • Valeur X : valeur de pourcentage de l'arrondi calculée sur la base de la largeur de l'élément.
  • Y-la valeur : valeur de pourcentage de l'arrondi calculée sur la base de la hauteur de l'élément.

0% signifie aucun arrondi.
100% signifie un arc de cercle.

Si la propriété Proportionnel est activée, seule la valeur X peut être saisie.

Les valeurs peuvent être définies séparément pour chaque angle. La valeur d'un angle est définie sur -1, puis celui-ci dérive sa valeur d'arrondi des propriétés Tous les x [%] ou Tous les y [%].

info Info

Si la valeur de Tous les x [%] ou Tous les y [%] est modifiée, toutes les valeurs sont définies sur -1 sur l'axe correspondant. Par conséquent, différentes valeurs peuvent être à nouveau harmonisées très facilement.

Conseil : un petit triangle jaune se trouve dans le quartier inférieur droit de l'élément. Cliquez dessus avec la souris et déplacez-le triangle vers le haut jusqu'à obtenir l'arrondi souhaité.

Exemple :

Le bouton comporte un fichier GIF avec un arrière-plan transparent. Un dégradé de couleur rouge a été défini pour le bouton. L'arrondi des angles a été défini avec Tous les x [%] et Proportionnel ; la valeur a ensuite été modifiée individuellement pour l'angle inférieur gauche.

info Info

Si la propriété Par les valeurs de luminosité est utilisée pour afficher la couleur de remplissage, les bords arrondis ne peuvent pas être utilisés. Si cet élément est activé pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Polygone, polyligne et tube

Vous pouvez définir le degré d'arrondi des polygones, des polylignes et des tubes avec la propriété Arrondir du nœud Affichage. Pour cela, saisissez une valeur comprise entre 0 et 1.


Effets pour les éléments de synoptique

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Effets pour les éléments de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Différents éléments graphiques peuvent être mis en évidence à l'aide d'effets dans le Runtime.

Vous trouverez des effets supplémentaires au chapitre effets pour les cadres.

Autres sujets abordés dans ce chapitre

Effet de luminescence

Cadre et ombres


Effet de luminescence

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Effets pour les éléments de synoptique -> Effet de luminescence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

De nombreux éléments de zenon sont compatibles avec l'effet de luminescence.

Minimum requis

Pour utiliser l'effet de luminescence pour un élément graphique, vous devez satisfaire les conditions suivantes :

  • La propriété Apparence graphique/Qualité graphique du projet doit être définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX). Pour plus de détails, reportez-vous au chapitre Qualité d'affichage graphique.
  • L'élément graphique doit être pris en charge.
    À l'exception des éléments suivants, tous les éléments graphiques sont pris en charge : WMF, symboles, éléments combinés, ActiveX, WPF, éléments de contrôle Win32, fenêtres et certains éléments de contrôle spéciaux.
  • L'élément doit être visible.
    Si l'élément est invisible, l'effet de luminescence est automatiquement invisible, car il est directement dérivé de l'élément.

Configuration

Pour configurer l'effet de luminescence pour un élément pris en charge :

  1. Assurez-vous que la propriété Qualité graphique est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX).
  2. Créez l'élément.
  3. Accédez au nœud Effets des propriétés
  4. Activez la propriété Activer dans le nœud Effet de rayonnement (seulement DirectX).
  5. Configurez la transparence, la couleur, l'étendue et la visibilité

    Si vous configurez plusieurs propriétés pour un même effet, la propriété la plus significative est exécutée dans le Runtime. Pour plus de détails, reportez-vous à la section Dépendances de la configuration. (Par exemple, un effet de luminescence invisible est toujours invisible ; les paramètres de clignotement n'ont plus aucune incidence.)

Valeur par défaut de l'effet de luminescence :

  • Activer: Inactive
  • Actif seulement si cliqué: Inactive
  • Transparence [%]: 20 %
  • Propagation [pixel]: 15 pixels
  • Coloration: Inactive
  • Couleur: #FFFF90 (jaune)
  • Variable pour la couleur: aucun
  • Variable pour la visibilité: aucun
  • Visibilité depuis les limites: Inactive
  • Visible de: 0
  • Visible jusqu'à: 0
  • Variable pour le clignotement: aucun
  • Clignotement depuis les limites: Inactive
  • 2 états de clignotement invisibles: Inactive

Dépendances de la configuration

Variable de visibilité

La visibilité génère des effets particulièrement puissants. Si l'effet de luminescence est défini sur invisible, le clignotement et la couleur sont ignorés. Dépendances :

  1. Variable pour la visibilité est lié et Visibilité depuis les limites est actif :
    • Invisible dans la valeur limite est activé : L'effet de luminescence est invisible.
    • Invisible dans la limite n'est pas activé :
      L'effet de luminescence configuré dans les propriétés est affiché. Selon les paramètres définis, l'effet de luminescence peut également clignoter.
  2. Variable pour la visibilité est lié et Visibilité depuis les limites est inactif :
    • La valeur de la variable est conforme aux valeurs limite des propriétés de Visible de et Visible jusqu'à :
      L'effet de luminescence configuré dans les propriétés est affiché. Selon les paramètres définis, l'effet de luminescence peut également clignoter.
    • La valeur de la variable n'est pas conforme aux valeurs limite des propriétés de Visible de et Visible jusqu'à :
      L'effet de luminescence est invisible.
  3. Variable pour la visibilité n'est pas relié :
    L'effet de luminescence configuré dans les propriétés est affiché. Selon les paramètres définis, l'effet de luminescence peut également clignoter.

Variable de clignotement

Pour tous les états pour lesquels l'effet de luminescence initialement configuré est affiché, vous définissez l'effet de luminescence configuré dans les propriétés. Dans ce cas, par exemple, la couleur d'une valeur limite peut être issue d'une variable spécifique ; pour plus de détails, reportez-vous à la section Couleur issue d'une variable.

  1. Variable pour le clignotement est lié, Clignotement depuis les limites est actif et 2 états de clignotement invisibles est actif :
    • La valeur limite a été dépassée :
      L'effet de luminescence clignote et alterne entre un effet de luminescence coloré (résultant du dépassement de valeur limite) et l'effet de luminescence initialement configuré.
    • La valeur limite n'a pas été dépassée :
      L'effet de luminescence ne clignote pas et l'effet de luminescence est affiché tel qu'il était initialement configuré.
  2. Variable pour le clignotement est lié, Clignotement depuis les limites est actif et 2 états de clignotement invisibles est inactif :
    • Dépassement de valeur limite actif : Dépassement de valeur limite actif :
      L'effet de luminescence clignote et alterne entre un effet de luminescence coloré (résultant du dépassement de valeur limite) et l'absence d'effet de luminescence.
    • Dépassement de valeur limite inactif :
      L'effet de luminescence ne clignote pas et l'effet de luminescence est affiché tel qu'il était initialement configuré.
  3. Variable pour le clignotement est lié et Clignotement depuis les limites est inactif :
    • Dépassement de valeur limite actif :
      L'effet de luminescence clignote et alterne entre l'effet de luminescence initialement configuré et l'absence d'effet de luminescence.
    • Dépassement de valeur limite inactif :
      L'effet de luminescence ne clignote pas et l'effet de luminescence est affiché tel qu'il était initialement configuré.
  4. Variable pour le clignotement n'est pas actif :
    L'effet de luminescence peut être affiché en fonction des autres propriétés.

Couleur issue d'une variable :

Offre la possibilité de définir la couleur de l'effet de luminescence dans la vue normale, par le biais des limites d'une variable. Ceci s'applique également à la vue normale lorsque l'effet de luminescence ne clignote pas.

  1. Variable pour la couleur lié :
    1. Dépassement de valeur limite actif :
      La couleur de la limite dépassée est utilisée.
    2. Dépassement de valeur limite inactif :
      Pour la coloration de l'effet de luminescence, la couleur définie par la propriété Couleur est utilisée.
  2. Variable pour la couleurNon lié
    Pour la coloration de l'effet de luminescence, la couleur définie par la propriété Couleur est utilisée.

Coloration :

définit si l'effet de luminescence est créé comme une image de l'élément réel, ou s'il est coloré avec une couleur unique.

  1. Coloration actif et Variable pour la couleur lié :
    1. Dépassement de valeur limite actif :
      La couleur associée au dépassement de limite est utilisée pour colorer l'effet de luminescence.
    2. Dépassement de valeur limite inactif :
      Pour la coloration de l'effet de luminescence, la couleur définie par la propriété Couleur est utilisée.
  2. Coloration actif et Variable pour la couleur pas relié :
    Pour la coloration de l'effet de luminescence, la couleur définie par la propriété Couleur est utilisée.
  3. ColorationInactif une image de l'élément réel avec toutes les couleurs correspondantes de l'élément est utilisée pour l'effet de luminescence.

Conseils relatifs à la configuration

Pour optimiser les résultats :

  • Sélectionnez plutôt une valeur peu élevée pour Transparence [%]. Sans coloration, la valeur peut être un peu plus élevée qu'avec la coloration.
  • Ne sélectionnez pas une valeur trop basse pour Propagation [pixel]. Celle-ci doit être >5 pour que l'effet soit visible hors de l'élément.
    Attention : les valeurs trop élevées (>20) peuvent entraîner une diminution considérable de l'effet de luminescence. Dans ce cas, la visibilité peut être augmentée en réduisant la transparence. En règle générale, l'effet de luminescence nécessite une puissance de calcul élevée. Réfléchissez bien avant de l'utiliser, et déterminez dans quelles conditions vous pouvez le faire. Une valeur plus élevée pour Propagation [pixel] nécessite davantage de ressources, ce qui affecte particulièrement les éléments proches les uns des autres.
  • Avec DirectX, l'effet de luminescence (à l'image de l'effet d'ombre) est issu de l'élément d'origine, et les modifications dynamiques de l'élément n'affectent pas l'effet. En outre, des éléments graphiques au format bitmap peuvent recevoir cet effet. Ainsi, par exemple, un élément graphique au format PNG comportant des zones semi-transparentes et une animation au format GIF fournit un effet de luminescence correct, qui est créé de manière dynamique durant l'affichage. L'effet de luminescence, comme l'ombre, affecte le texte ; l'effet peut être étendu au texte en corrélant les effets.

Autres sujets abordés dans ce chapitre

Exemples d'effets de luminescence

Traitement des erreurs


Exemples d'effets de luminescence

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Effets pour les éléments de synoptique -> Effet de luminescence -> Exemples d'effets de luminescence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Exemples d'effets de luminescence

Effet de luminescence

Élément sans effet de luminescence :

Élément avec effet de luminescence :

Couleur

Couleur par défaut 0xFFFF90 (jaune) :

Couleur 0xFFFFFF (blanc) :

Transparence

Transparence de 0 % :

Transparence de 20% :

Transparence de 60% :

Étendue

Étendue de 0 pixel et transparence de 0 % :

Étendue de 5 pixels et transparence de 0 % :

Étendue de 10 pixels et transparence de 0 % :

Étendue de 20 pixels et transparence de 0 % :

Couleur 0xFFFF90, étendue de 5 pixels et transparence de 20 % :

Couleur 0xFFFF90, étendue de 20 pixels et transparence de 20 % :

Textes

Étendue de 5 pixels et transparence de 0 % :

Couleur 0xFF0000, étendue de 5 pixels et transparence de 0% :

Grande police de caractères avec étendue de 15 pixels et transparence de 0 % :

Grande police de caractères avec couleur 0xFF0000, étendue de 35 pixels et transparence de 20% :

Élément graphique partiellement transparent

Original :

Étendue de 20 pixel et transparence de 20% :

Couleur 0xFF0000, étendue de 20 pixels et transparence de 20% :

Incolore, étendue de 20 pixels et transparence de 20 % avec ombre (distance 40 pixels), transparence de 60 %, noir et lissage de 5 pixels.

Modifications d'éléments

Bouton 3D en couleurs contrastées, étendue de 15 pixels et transparence de 0 % sur un bouton 3D :

Bouton 3D en couleurs contrastées, enfoncé avec étendue de 15 pixels et transparence de 0 % sur un bouton 3D :


Traitement des erreurs

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Effets pour les éléments de synoptique -> Effet de luminescence -> Traitement des erreurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Traitement des erreurs

Fenêtre d'affichage

Entrée | Niveau | Description
DirectX synoptique 'Nom du synoptique' - L'élément 'Nom de l'élément' utilise un effet ne pouvant pas être affiché avec les paramètres graphiques actuellement sélectionnés. | Avertissement | L'effet de luminescence a été désactivé pour un élément. Toutefois, l'option DirectX Software ou DirectX Hardware n'est pas sélectionnée ou n'est pas disponible.

Liste de contrôle de recherche d'erreurs

  • DirectX est-il activé ?
  • DirectX est-il disponible sur le système ? Une vérification correspondante peut être effectuée en activant les messages de débogage dans l'outil de diagnostic Diagnosis Viewer. Pour faciliter la résolution d'incidents, un message détaillé est affiché.
  • L'élément est-il compatible avec l'effet de luminescence ?
  • L'élément est-il visible ?
  • Certaines propriétés statiques (par exemple, transparence) ne perturbent-elles ou n'empêchent-elles pas l'affichage de l'effet de luminescence ?
  • Certaines propriétés dynamiques ne perturbent-elles ou n'empêchent-elles pas l'affichage de l'effet de luminescence ?
  • Une propriété sélectionnée empêche-t-elle l'affichage de l'effet de luminescence dans certaines circonstances (par exemple, un bouton avec la propriété "Actif uniquement si enfoncé") ?


Cadre et ombres

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Effets pour les éléments de synoptique -> Cadre et ombres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les éléments peuvent être complétés avec des cadres et des ombres.

Exception : Les éléments d'état ne peuvent pas recevoir d'ombres.

info Info

Si la transparence d'un objet (par exemple, la couleur d'arrière-plan) est modifiée, l'affichage de l'ombre préconfigurée est modifié en conséquence. Les valeurs des couleurs et transparences des ombres demeurent identiques durant le processus.

Définir un cadre et des ombres

  • Pour définir un cadre pour un élément, sélectionnez Cadre dans le nœud Cadres/Ombres de la propriété Type de cadre.
  • Pour définir un cadre pour un élément, sélectionnez Cadre dans le nœud Cadres/Ombres de la propriété Type de cadre.

Pour les ombres et les cadres, vous pouvez définir :

  • Distance : la distance du cadre ou de l'ombre par rapport à l'élément.
  • La couleur du cadre : la couleur du cadre ou de l'ombre.

Pour les cadres, vous pouvez définir :

  • La largeur de ligne : la largeur du cadre.

Pour les ombres, vous pouvez définir :

  • L'angle : l'angle à laquelle porte l'ombre, en degrés, dans le sens antihoraire en partant du bord extérieur droit.

  • La transparence : la transparence de l'ombre, comprise entre 0 et 100%, 0% étant une ombre opaque et 100% une ombre transparente.
  • La taille de l'ombre : la taille de l'ombre en pixels.
  • L'effet de flou : applique un effet de flou à la couleur de la surface et adoucit la transition avec l'ombre.
    Remarque : si une valeur est incorrectement définie sur 0, le calcul de l'effet affectera les performances du système.

info Info

La transparence des lignes et les couleurs de remplissage d'un élément ont une incidence sur l'ombre. Par exemple : Si la couleur de remplissage est réglée sur un niveau de transparence de 100%, aucune ombre ne sera visible pour la zone de remplissage.

Autres sujets abordés dans ce chapitre

Exemples


Exemples

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Effets pour les éléments de synoptique -> Cadre et ombres -> Exemples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Exemples

Ombre à un angle de 45 degrés, avec un décalage de 10 pixels

Ombre à un angle de 45 degrés, avec un décalage de 30 pixels

Ombre d'une taille de 30 pixels

Ombre d'une taille de -20 pixels

Ombre d'une taille de -20 pixels, avec un dégradé de couleurs transparent dans l'élément

Rectangle arrondi avec un flou de 10


Déplacement d'éléments

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Déplacement d'éléments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour déplacer des éléments, utilisez :

A partir de la version 6.50

Les propriétés de l'élément concerné :

  • Position
  • Dimensions et rotation dynamiques

Vous pouvez également animer des éléments à l'aide des propriétés.

  • Couleur dynamiqueDans le nœudCouleur
  • ClignotementDans le nœudVisibilité/Clignotement
  • VisibilitéDans le nœudVisibilité/Clignotement

Jusqu'à la version 6.22 incluse et la compatibilité du Runtime

  • Vous pouvez également utiliser l'élément dynamique Move Symbol (Déplacer le symbole).


Dégradé de couleurs et transparence

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Dégradé de couleurs et transparence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les éléments peuvent recevoir des dégradés de couleurs ou être définis comme transparents.

Pour cela, sélectionnez les propriétés de l'élément correspondant dans le nœud Couleur :

Dégradé de couleurs

Les dégradés de couleurs peuvent être définis dans la direction suivante, pour les éléments suivants :

Élément | Linéaire | Démarrer d'un point défini | Démarrer un point défini avec rayonnement
Rectangle | oui | oui | oui
Cercle | oui | oui | non
Quartier de cercle (camembert) | oui | oui | non
Polygone | oui | oui | oui
Bouton | oui | oui | oui

Pour définir un dégradé de couleur, sélectionnez Color Gradient (Dégradé de couleur) comme Remplissage (type).

Vous pouvez maintenant définir le dégradé de couleurs via les propriétés du groupe Gradient de couleur. Vous pouvez également définir le dégradé de couleurs à l'aide de la souris. Pour cela, cliquez sur le cercle jaune dans l'élément qui comporte une ligne reliée au point central, puis déplacez le cercle jusqu'à ce que vous obteniez le dégradé souhaité.

info Info

Les angles droits sont positionnés horizontalement, à des angles compris entre 45° et 135° et entre 225° et 315°.

La propriété Par les valeurs de luminosité n'est pas disponible pour les polygones.

Dégradé de couleurs sous Windows CE ou, pour la qualité des éléments graphiques, Windows Basic.

Sous Windows CE, ou pour le paramètre Windows Basic pour la propriété Qualité graphique, les dégradés de couleur des éléments vectoriels peuvent uniquement obtenus par le biais de valeurs de luminosité. La propriété Gradient de couleur n'est pas disponible. Pour l'affichage des dégradés de couleur, utilisez la propriété :

  • Décalage [%] : fonctionne uniquement pour l'élément rectangle
  • Angle [°] : fonctionne uniquement pour l'élément rectangle
  • Luminosité à l'extérieur
  • Luminosité à l'intérieur

Remarque :

La propriété Par les valeurs de luminosité n'a pas besoin d'être activée séparément.

La propriété Angle [°] peut uniquement être modifiée par incréments de 90° dans Windows CE et lorsque le paramètre Windows Basic est défini pour la propriété Qualité graphique.

Bouton

Sous Windows CE et avec le paramètre Windows Basic, les conditions suivantes s'appliquent également au bouton de l'élément :

  • Pour la propriété Remplissage, les valeurs Starting from a defined point (À partir d'un point défini) et Starting from a defined point with beams (À partir d'un point défini avec des rayons) ne sont pas disponibles.
  • La propriété Angle [°] n'est pas disponible.

Transparence

La propriété Transparent permet de définir un élément comme entièrement transparent.

Pour activer la transparence partielle d'éléments, utilisez les propriétés de transparence des couleurs de remplissage, de dégradé de couleurs et de couleur du cadre. Ici, vous pouvez définir l'opacité des couleurs en spécifiant des valeurs comprises entre 0 et 100 pour cent. Dans ce cas, 0 est opaques et 100 est transparents. Toutes les valeurs comprises entre ces valeurs définissent un niveau de transparence variable selon le réglage.

Exemples

La transparence : couleur de remplissage = 100, couleur de remplissage 2 = 100

La transparence : couleur de remplissage = 50, couleur de remplissage 2 = 100

La transparence : couleur de remplissage = 0, couleur de remplissage 2 = 100

info Info

Les éléments de contrôle de champs de listes, tels que les barres de défilement de synoptiques, ne sont pas compatibles avec la fonction de transparence.


Transfer format (Copier le format)

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Transfer format (Copier le format)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Transfère les propriétés d'un élément sélectionné vers un ou plusieurs éléments :

  1. Transférer vers un élément :
    1. Cliquez sur l'élément possédant les propriétés originales
    2. Cliquez sur le symbole Copier les propriétés
      Ou la commande correspondante dans le menu contextuel
    3. Cliquez sur l'élément cible : les propriétés sont transférées.
  2. Transférer vers plusieurs éléments :
    1. Sélectionnez l'élément source
    2. Sélectionnez l'élément cible en maintenant la touche Ctrl enfoncée (les éléments source et cible sont sélectionnés)
    3. Cliquez sur le symbole Copier les propriétés ou la commande correspondante dans le menu contextuel
    4. Les propriétés de l'élément source sont transférées vers les éléments cibles.

Si plusieurs éléments ont été choisis comme source, les propriétés du premier élément sont transférées.

info Info

Acceptez les propriétés par le biais de la fenêtre des propriétés :

Si plusieurs éléments sont sélectionnés, les propriétés du dernier élément correspondant sélectionné dans les propriétés sont affichées. Si la fenêtre des propriétés est affichée dans le mode Vue groupée ou le mode Toutes les propriétés, la propriété correspondante peut être transférée vers tous les éléments sélectionnés en appuyant sur la touche Entrée. Cela n'est pas possible dans le mode Vue en boîte de dialogue. Pour plus de détails, reportez-vous au chapitre Fenêtre des propriétés, section Sélection multiple.

Règles de copie des formats

Les éléments suivants sont copiés :

  • Les propriétés définissant directement un élément en termes de forme, de couleur et d'apparence, mais qui ne sont pas influencées par une variable.

Les éléments suivants ne sont pas copiés :

  • Les propriétés désactivées
  • Les propriétés qui n'ont aucun intérêt à être copiées, telles que les textes et Fichiers graphiques

    Exception :

    • les fichiers graphiques associés à un interrupteur sont copiés, dans la mesure où il est souhaitable que tous les interrupteurs soient identiques.
    • Les fichiers graphiques associés aux boutons ne sont pas copiés, car des fichiers graphiques différents sont normalement utilisés.
  • Les propriétés des groupes :
    • Autorisation
    • Coloration Automatique de Lignes
    • Général
    • Position
    • Dimensions et rotation dynamiques
    • Runtime
    • macros VBA
    • Spécifier valeur prescrite
  • Tout ce qui provient directement des variables.
  • Les variables et fonctions liées.


Copie, insertion et déplacement

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Copie, insertion et déplacement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour copier, déplacer ou supprimer des éléments d'un synoptique, utilisez

  • Les commandes du menu Edition.
  • Actions avec la souris :

    Maintenez la touche Ctrl tout en déplaçant la souris pour copier l'élément.
    Déplacer l'élément en maintenant le bouton droit de la souris enfoncé ouvre le menu contenu, et vous permet au choix de copier ou déplacer l'élément.

  • Le menu contextuel

Déplacer

A l'exception des cadres, les objets peuvent être déplacés à l'aide du clavier ou de la souris. Vous pouvez utiliser des effets spéciaux associés à des touches de fonction lors du déplacement d'éléments :

Touche | Action | Résultat
Ctrl | Déplacement avec la souris | L'objet est copié.
Poste | Déplacement avec la souris | L'objet peut uniquement être déplacé horizontalement et verticalement.
Poste | Déplacement avec les touches fléchées | Chaque pression sur une touche déplace l'objet de 10 pixels.
Bouton droit de la souris | Déplacement avec la souris | Le menu contextuel vous permet de Copier ou Déplacer l'objet.
Barre d'espacement |  | Le pointeur de la souris devient une main. Avec cette main, la zone d'édition peut être déplacée avec le bouton gauche de la souris.


Ajouter et supprimer des points

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Ajouter et supprimer des points

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ajouter et supprimer des points de polylignes, de polygones et de tubes :

*Ajouter des nœuds :

Pour ajouter des angles (coins):

  • Placez le pointeur de la souris sur une ligne du polygone :
  • Cliquez avec le bouton droit
  • Sélectionnez l'élément de menu Ajouter un nœud dans l'élément sélectionné dans le menu contextuel

Ou :

  • Appuyez simultanément sur Ctrl et Maj
  • Placez le pointeur de la souris sur une ligne du polygone :
  • Le pointeur de la souris devient une flèche comportant un symbole plus
  • Cliquez avec le bouton gauche pour ajouter un angle

Supprimer des nœuds :

  • Placez le pointeur de la souris sur un angle du polygone :
  • Cliquez avec le bouton droit
  • Sélectionnez l'élément de menu Deleting the node in the selected element (Supprimer un nœud dans l'élément sélectionné) dans le menu contextuel

Ou :

  • Appuyez simultanément sur Ctrl et Maj
  • Placez le pointeur de la souris sur un angle du polygone :
  • Le pointeur de la souris devient une flèche comportant un symbole plus
  • Cliquez avec le bouton gauche pour supprimer l'angle


Flèches dans les éléments vectoriels

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Flèches dans les éléments vectoriels

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un symbole de début et de fin de ligne peut être défini pour tous les éléments vectoriels affichant des figures ouvertes. Ceci s'applique aux figures suivantes :

  • Ligne
  • Ligne brisée
  • Arc de cercle sans remplissage
  • Quartier de cercle sans remplissage

Pour ajouter un symbole :

  1. Assurez-vous que la propriété Qualité graphique (nœud Synoptiques) est activée.
  2. Dessinez l'élément.
  3. Dans les propriétés, dans le groupe Fin de ligne, sélectionnez les propriétés pour les éléments suivants :
    1. Type de démarrage: symbole de début de ligne.
    2. Type de terminaison: symbole de fin de ligne.
    3. Dimension : facteur d'agrandissement de la largeur de la ligne. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Epaisseur de ligne [Pixels]. Par défaut = 0

Les symboles suivants sont disponibles :

depuis la gauche ou vers la gauche :

depuis la droite ou vers la droite :

info Info

Les éléments suivants ne sont pas disponibles :

  • Sous Windows CE, parce que Qualité graphique doit être activé.
  • Avec un quartier de cercle avec remplissage
  • Avec un arc de cercle avec remplissage.

Autres sujets abordés dans ce chapitre

Exemple pour les flèches


Exemple pour les flèches

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Flèches dans les éléments vectoriels -> Exemple pour les flèches

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Eléments vectoriels avec des symboles de début et de fin et un facteur d'agrandissement de 1,5 :


Grille

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Grille

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La grille permet d'aligner précisément des éléments sur le synoptique.

Les paramètres de base sont fournis dans le menu Options/Paramètres :

Paramètres de la grille |
Montrer grille | Actif : affiche la grille pouvant être définie dans la fenêtre principale sous Type de grille. Inactif : la grille n'est pas affichée.
Positionner sur la grille | Actif : les éléments de l'écran sont automatiquement alignés sur la grille. Cette fonction est indépendante de l'option Afficher la grille.
Couleur de la grille | Définit la couleur de la grille. La palette de couleurs de la fenêtre est utilisée pour la sélection.
Type de grille | Définit le type de grille : pleine, en pointillés ou intersections.
Pas de la grille (en pixels) | Définit la distance horizontale et verticale entre des points de marqueur uniques. Cette option détermine donc également la finesse avec laquelle les éléments redimensionnés peuvent être affichés. Pas de grille recommandé : 10 pixels horizontalement et verticalement.

Dans le menu contextuel du synoptique, vous décidez :

Entrée de menu | Description
Afficher la grille | Basculer la grille en mode visible ou invisible.
Afficher la grille | Les éléments sont alignés sur la grille.
Utiliser les points magnétiques | Les points de contact des objets "s'enclenchent" lorsqu'ils se trouvent à proximité et s'alignent les uns sur les autres.

info Info

Si les points de la grille sont espacés de 5 pixels ou moins, seules les lignes de grille espacées de plus de 5 pixels sont affichées. Les lignes de grille plus petites sont également utilisées pour le positionnement.


Police

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Police

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une police de caractères par défaut est automatiquement créée lors de la création d'un projet. Elle est fournie en tant que police de caractères par défaut pour les nouveaux objets. La police par défaut ne peut pas être supprimée. Si d'autres polices de caractères sont requises :

  • Créez la police de caractères de votre choix dans le nœud Polices (sous-nœud de Synoptiques)
  • Sélectionnez la police de caractères dans les propriétés de l'objet (nœud Affichage, propriété Police)


Sélection

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Sélection

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez avec la souris pour sélectionner les objets. Pour sélectionner plusieurs objets :

  • Pendant que vous cliquez, maintenez la touche Maj ou Ctrl enfoncée,
    ou
  • Tracez un rectangle de sélection avec la souris.

Pour désélectionner un objet lorsque plusieurs objets sont sélectionnés simultanément, cliquez dessus en maintenant la touche Ctrl enfoncée.

Modifier l'ordre de sélection

Si les objets doivent être alignés les uns avec les autres, le premier objet sert de référence. Vous pouvez reconnaître l'objet de référence aux points de contact entièrement colorés. Pour sélectionner un autre objet comme objet de référence :

  1. Maintenez la touche Maj enfoncée.
  2. Avec la souris, cliquez sur l'objet devant servir d'objet de référence.

Aligner un objet sélectionné

Vous trouverez d'autres informations concernant l'alignement d'objets aux chapitres relatifs aux commandes Editeur/Barre d'outils/Alignement et Editeur/Barre de menus/Edition


Redimensionnement, centrage et zoom

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Redimensionnement, centrage et zoom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Redimensionnement

Vous pouvez redimensionner les éléments de deux manières :

  1. Proportionnelle : maintenez la touche Maj enfoncée pendant le redimensionnement.
  2. Autour du centre : maintenez la touche Maj enfoncée.

Remarque : si un angle différent de 0 a été défini pour un élément via la propriété Angle de rotation [°], il ne peut pas être redimensionné à l'aide des touches fléchées.

info Info

Mise à l'échelle de symboles :

Si le symbole contient un élément de texte statique et est incorporé sous forme de texte dans cet élément, ce texte :

  • Est mis à l'échelle dans l'Éditeur
  • N'est pas mis à l'échelle dans le Runtime

Ceci s'applique uniquement aux symboles. Le texte incorporé n'est mis à l'échelle ni dans l'Éditeur, ni dans le Runtime, dans toutes les configurations.

Centré

L'élément actuellement sélectionné peut être centré dans la fenêtre d'édition en appuyant sur la touche H.

Zoom

D'autres informations concernant l'utilisation de la fonction de zoom sur les synoptiques sont disponibles au chapitre Barre d'outils Synoptique (manuel : Éditeur).


Raccourcis clavier

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Raccourcis clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Raccourcis de l'éditeur graphique :

Note concernant les raccourcis : le signe plus (+) signifie que les touches sont enfoncées simultanément.
Par exemple :

Ctrl+A signifie : maintenez la touche Ctrl enfoncée, puis appuyez sur la touche A.

Ctrl++ signifie : maintenez la touche Ctrl enfoncée, puis appuyez sur la touche +.

Généralités

Commande | Combinaison de touches
Fenêtre principale : faire défiler le contenu avec le pointeur Main | Maintenez la touche Espace enfoncée
Fermer le synoptique actuel | Ctrl+F4
Ouvrir les propriétés | Alt+Entrée

Sélection

Commande

Combinaison de touches

Sélectionner plusieurs objets

Appuyez sur Maj ou Ctrl

Désélectionner un objet dans une sélection multiple

Ctrl + clic de souris

Sélection : modifier l'ordre de tri. Définir l'élément sur lequel tous les autres seront réalignés

Appuyez sur Maj durant la sélection

Sélectionner les objets masqués
  1. Appuyez sur Alt
  2. Cliquez sur l'objet et déplacez-le

Sélectionner tous les éléments d'un synoptique

Ctrl+A

Sélectionner l'élément suivant dans l'ordre de création des éléments

Tabulation

Sélectionner l'élément précédent dans l'ordre de création des éléments

Maj + Tabulation

Positionnement

Commande | Combinaison de touches
Déplacer l'objet sélectionné | Touches fléchées du clavier
Déplacer l'objet de 10 pixels à chaque pression sur une touche fléchée | Maj + touches fléchées
Déplacer l'objet horizontalement ou verticalement | Appuyez sur Maj durant le déplacement
Centrer l'objet sélectionné dans la zone de travail | H

Actions

Commande | Combinaison de touches
Enregistrer les modifications | Ctrl+S
Coller l'élément depuis le presse-papiers | Ctrl+V Maj + Insér.
Insérer un élément du presse-papiers dans sa position originale ; l'original et la copie se superposent | Ctrl+Maj+V
Copie l'élément sélectionné. | Ctrl+C Ctrl+Insér.
Copier, plutôt que déplacer | Appuyez sur Ctrl durant le déplacement
Supprime l'élément sélectionné. | Suppr
Couper l'élément sélectionné | Maj + Suppr. Ctrl+X
Annuler les modifications | Ctrl+Z Alt+Retour arrière
Ajouter ou supprimer un nœud dans l'élément sélectionné. Ajouter : le pointeur de la souris devient un symbole moins (+). Supprimer : le pointeur de la souris devient un symbole moins (-). Fonctionne avec les polylignes, les polygones et les barres verticales. | Ctrl+Maj
Annuler le tracé des polylignes et polygones | S
Annuler le tracé des polylignes et polygones et supprimer la dernière section tracée | Échap
Déplacer les éléments sélectionnés d'un niveau vers le haut | +
Déplacer les éléments sélectionnés d'un niveau vers le bas | -
Déplacer les éléments sélectionnés au premier plan | Ctrl++
Déplacer les éléments sélectionnés vers l'arrière-plan | Ctrl+-

Redimensionnement

Commande

Combinaison de touches

Modifier la taille

Déplacez le pointeur de la souris sur le coin ; le pointeur devient une flèche. Vous pouvez ensuite positionner le coin au pixel près en vous servant des touches fléchées, ou le déplacer par incréments de 10 pixels en appuyant sur les touches fléchées+Maj.

Remarque : si un angle différent de 0 a été défini pour un élément via la propriété Angle de rotation [°], il ne peut pas être redimensionné à l'aide des touches fléchées.

Redimensionner l'objet autour du centre

Appuyez sur Alt durant le redimensionnement.

Redimensionnement proportionnel

Appuyez sur Maj durant le redimensionnement


Pour attribuer une touche à un élément de contrôle :

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Actions graphiques -> Pour attribuer une touche à un élément de contrôle :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les éléments actionnables d'un synoptique peuvent être liés à l'aide d'une combinaison de touches et ainsi, être actionnés par ce biais. Ceci s'applique par exemple aux actions suivantes :

  • Exécution d'éléments de contrôle et de fonctions attribuées telles que l'impression, le déplacement de synoptiques, etc.
  • L'envoi de valeurs (avec un interrupteur, par exemple)
  • La définition du focus sur certaines fenêtres (telles que les courbes dans le module Tendance étendue ou les listes de menus déroulants dans le Gestionnaire de groupes de recettes)

La fonction de l'élément de contrôle peut être exécutée à l'aide du clavier dans le Runtime.

Pour attribuer une touche à un élément de contrôle :

  1. Sélectionnez l'élément de contrôle de votre choix.
  2. Accédez à la propriété Raccourci clavier (propriétés de l'objet -> Runtime -> Opération clavier)
  3. Cliquez sur le bouton ... ou cliquez dans le champ de saisie.
  4. La boîte de dialogue de définition de la combinaison de touches est ouverte.

Paramètre | Description
Combinaison de touches | Saisie de la combinaison de touches. Cliquez dans le champ et appuyez sur la touche ou la combinaison de touches souhaitée, par exemple : A. La combinaison de touches est affichée dans le champ de saisie.
X | Supprime la séquence de caractères dans le champ de saisie.
OK | Accepte la combinaison de touches et ferme la boîte de dialogue.
Annuler | Annule la saisie ou la modification et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.


Remplacement des liens de variables et de fonctions

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Remplacement des liens de variables et de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si plusieurs variables ou fonctions doivent être remplacées simultanément, nous vous recommandons d'utiliser la fonction de remplacement automatique pour les tâches suivantes :

  • Remplacement de liens dans l'Éditeur
  • Remplacement de liens lors des appels de synoptique
  • Remplacer les indices
  • Symboles liés

Vous pouvez également vous informer sur le remplacement automatisé pour la configuration dans le manuel Configuration efficace avec zenon, à a section Réutilisation d'éléments.

Autres sujets abordés dans ce chapitre

Conventions d'affectation de noms

Remplacement de liens dans l'Éditeur

Remplacement de liens lors des appels de synoptique

Remplacement d'indices

Exemple : Remplacement de variables à base de règles


Conventions d'affectation de noms

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Conventions d'affectation de noms

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour autoriser le remplacement sûr des variables et autres éléments, l'affectation de noms doit être systématique et standardisée, dans la mesure du possible. Ceci facilite la réutilisation des variables et autres éléments, mais également les opérations de maintenance et de développement inverse.

Différents systèmes sont disponibles pour faciliter l'affectation de noms systématique.

Par exemple : Industrie électrique

Allemagne

  • KKS (Kraftwerk-Kennzeichen-System – Système de classification des centrales électriques) ; pour plus de détails (en allemand), consultez la page http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem.
  • La norme DIN 6779 (Kennzeichnungssystematik für technische Produkte und technische Produktdokumentation – Système de classification des produits techniques et documentations de produits techniques) ; pour plus de détails (en allemand), consultez la page http://de.wikipedia.org/wiki/DIN_6779.
  • AKZ (Anlagenkennzeichnungssystem – Système de classification d'équipements) ; pour plus de détails (en allemand), consultez la page http://de.wikipedia.org/wiki/Anlagenkennzeichnungssystem.

Paramètres régionaux

  • KKS (Système de classification des centrales électriques) ; pour plus de détails, consultez la page (en allemand) http://de.wikipedia.org/wiki/Kraftwerk-Kennzeichensystem.

Ces standards existent dans tous les secteurs de l'industrie. Nous vous recommandons d'utiliser les conventions d'affectation de noms correspondantes.

Dans le système de classification des centrales électriques, par exemple :

Dans un projet de centrale électrique, les variables doivent être nommées conformément au système KKS. Une variable correspondante avec l'intitulé C01_MDY10-QA001_QA07 indique :

  • Équipement éolien C01 (rang C, no. 1)
  • Contrôleur de turbine éolienne MDY10, référence de pièce QA001
  • Dispositif de protection de puissance QA07.


Remplacement de liens dans l'Éditeur

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Remplacement de liens dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables ou fonctions liées peuvent être définitivement remplacées dans l'Éditeur, à l'aide de règles. Le remplacement ne se limite pas aux fonctions ou variables définies dans les propriétés du groupe Variable/fonction. Toutes les autres variables présentes dans le synoptique peuvent être remplacées, à l'image des variables de Visibilité, Clignotement et Dimensions et rotation dynamiques, entre autres.

Pour remplacer les variables ou les fonctions à l'aide de règles, directement dans l'élément :

  1. Sélectionnez l'élément de votre choix et ouvrez-le en cliquant avec le bouton droit sur l'élément dans le menu contextuel.
  2. Sélectionnez Remplacer les liens.
  3. La boîte de dialogue de remplacement de liens s'ouvre.

Propriété | Description
Source | Saisissez l'expression partielle à rechercher. Les opérateurs * et ? peuvent être utilisés. Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple : *xxx ou xxx*.
Destination | Saisie de la chaîne partielle
Nom | Echange des informations dans des noms de variables de procédé.
Identification | Echange des informations dans l'identification.
Note capitalization (Tenir compte de la capitalisation) | Lors de l'échange, assurez-vous que l'utilisation des majuscules soit parfaitement identique.
Accepter | Echange des chaînes cibles de la source avec celles définies dans la cible.
Variable/Fonction | Ouvre la liste de sélection des variables et fonctions correspondant à la ligne sélectionnée dans la liste. Cliquez sur la variable dans la liste pour définir de nouvelles variables cible. Alternatif : double-cliquez sur la variable source en question.

Remplacer

a) Remplacement par sélection manuelle

  • Sélectionnez dans la liste l'élément que vous souhaitez utiliser en tant que source.
  • Sélectionnez un élément cible en cliquant sur le bouton variable/fonction.
  • Le nouvel élément remplace le précédent.

b) Remplacement automatisé à l'aide de règles.

  • Dans le champ de saisie source, définissez les paramètres correspondant aux éléments que vous souhaitez remplacer.
  • Définissez les paramètres des nouvelles variables et fonctions dans le champ de saisie cible .
  • Spécifiez les éléments que vous souhaitez remplacer en cliquant sur Nom/Identification.
  • Cliquez sur Accepter.

info Info

La variable cible ou la fonction cible peut également se trouver dans un projet différent de la variable source ou la fonction source.

attention Attention

Lors du remplacement de variables, tenez compte du type et de la résolution du signal. Si vous remplacez une variable par une variable de type incompatible, cela peut entraîner des erreurs lors de l'exécution. Vous serez averti lors du remplacement, et ce dernier sera effectué malgré l'avertissement.

info Info

Remplacer via un glisser-déplacer : Les éléments qui ne peuvent contenir qu'une seule variable ou fonction peuvent être remplacés par glisser-déplacer. Faites glisser la nouvelle variable ou fonction vers l'élément à l'aide de la souris. Elle remplace automatiquement la précédente.


Remplacement de liens lors des appels de synoptique

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Remplacement de liens lors des appels de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables ou fonctions liées dans un ou plusieurs éléments peuvent être remplacées, à l'image des alias, dans le module CAL lors d'un appel de synoptique. Dans ce cas, les éléments affichés à l'écran ne sont pas remplacés durablement, mais l'appel de synoptique est lié dans le Runtime.

Pour remplacer le lien lors de l'appel de synoptique :

  1. Configurez une fonction d'appel de synoptique
  2. Définissez les éléments pouvant être remplacés dans le synoptique ; la boîte de dialogue de remplacement s'affiche à l'écran
  3. Attribuez la fonction à un bouton pour pouvoir exécuter la fonction d'appel de synoptique dans le Runtime

Propriété | Description
Source | Saisissez l'expression partielle à rechercher. Les opérateurs * et ? peuvent être utilisés. Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple : *xxx ou xxx*.
Destination | Saisie de la chaîne partielle
Nom | Echange des informations dans des noms de variables de procédé.
Identification | Echange des informations dans l'identification.
Note capitalization (Tenir compte de la capitalisation) | Lors de l'échange, assurez-vous que l'utilisation des majuscules soit parfaitement identique.
Accepter | Echange des chaînes cibles de la source avec celles définies dans la cible.
Variable/Fonction | Ouvre la liste de sélection des variables et fonctions correspondant à la ligne sélectionnée dans la liste. Cliquez sur la variable dans la liste pour définir de nouvelles variables cible. Alternatif : double-cliquez sur la variable source en question.

Remplacer

a) Remplacement par sélection manuelle

  • Sélectionnez dans la liste l'élément que vous souhaitez utiliser en tant que source.
  • Sélectionnez un élément cible en cliquant sur le bouton variable/fonction.
  • Le nouvel élément remplace le précédent.

b) Remplacement automatisé à l'aide de règles.

  • Dans le champ de saisie source, définissez les paramètres correspondant aux éléments que vous souhaitez remplacer.
  • Définissez les paramètres des nouvelles variables et fonctions dans le champ de saisie cible .
  • Spécifiez les éléments que vous souhaitez remplacer en cliquant sur Nom/Identification.
  • Cliquez sur Accepter.

info Info

La variable cible ou la fonction cible peut également se trouver dans un projet différent de la variable source ou la fonction source.

attention Attention

Lors du remplacement de variables, tenez compte du type et de la résolution du signal. Si vous remplacez une variable par une variable de type incompatible, cela peut entraîner des erreurs lors de l'exécution. Vous serez averti lors du remplacement, et ce dernier sera effectué malgré l'avertissement.

Remplacement des verrouillages

Dans la boîte de dialogue, les variables des verrouillages utilisés sur ce synoptique s'affichent à proximité des variables directement liées au synoptique. Cela inclut également la variable de résultat d'un verrouillage. Si une variable a été liée aux deux éléments d'un synoptique et avec des verrouillages de synoptique, elles ne sont affichées qu'une seule fois dans la boîte de dialogue.

Les variables devant être remplacées pour tous les verrouillages utilisant ces variables sont remplacées dans le Runtime. En plus des variables normalement liées au verrouillage, les variables de résultat liées au verrouillage sont remplacées pour le synoptique.

Remplacement dans les projets d'intégration

Si des variables ou des fonctions sont remplacées entre un sous-projet et le projet d'intégration, vous devez vous assurer que tous les projets concernés dans le Runtime sont disponibles et démarrés sur l'ordinateur.

Example Exemple

L'appel d'un synoptique du sous-projet est configuré dans le sous-projet. Dans ce cas, la variable variable1 du sous-projet est remplacée par la variable variable2 du projet d'intégration. Pour que ce remplacement soit effectué dans le Runtime, le projet d'intégration doit être le projet de démarrage.

Si le sous-projet n'est pas le projet de démarrage, la variable variable2 du projet d'intégration n'est pas disponible. Aucun remplacement n'est effectué, et la variable originale variable1 du sous-projet est utilisée.

L'utilisateur n'est pas informé que le remplacement n'a pas été effectué avec succès dans le Runtime.


Remplacement d'indices

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Remplacement d'indices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'appel d'un synoptique dans le Runtime, les variables peuvent être remplacées de manière dynamique (virtuelle) grâce à des règles de gestion d'indices. Dans ce cas, les valeurs de variables peuvent être utilisées dans le cadre de la règle de remplacement.

attention Attention

Parce que les noms sont remplacés, les variables et les fonctions doivent toujours recevoir des noms différents. Les variables et les fonctions sont remplacées si les noms sont identiques.

Exemple :

SI une variable "test" et une fonction "test" existent et la variable "test" doit être remplacée, la fonction "test" sera remplacée en même temps.

Conseil : ajoutez un préfixe correspondant aux noms de variables et de fonctions (par exemple, var_ et func_). Vous disposerez ainsi d'une visibilité satisfaisante, même dans les listes.

Pour configurer le remplacement d'indices :

  1. Toutes les variables et fonctions présentes dans le synoptique sont affichées dans le champ Source de la section Replacement preview (Aperçu du remplacement).
  2. Cliquez avec le bouton gauche de la souris sur la variable ou la fonction pour laquelle vous souhaitez créer une règle d'indices.
  3. Dans la section Règle d'indices, la variable ou fonction est saisie dans les champs Source et Cible.
    Vous pouvez également saisir la variable ou fonction directement dans le champ Source de la section Règle d'indices.
  4. Définissez la règle d'indices.
    La partie dynamique de la règle est insérée entre accolades, par exemple, {X01}.

    Exemple :

    La variable source Motor[1].speed est remplacée par la variable cible Motor[{X01}].speed,
    le paramètre fictif X01 étant remplacé par la valeur correspondante de la variable d'indice dans le Runtime.
    La règle de remplacement serait donc la suivante :

    Source : Motor1

    Cible : Motor{X01}

  5. Transférez-la ensuite vers le champ Ajouter une règle en cliquant avec le bouton gauche de la souris sur les règles d'indices.
  6. Toutes les règles d'indices qui ont été créées sont affichées dans cette liste.
  7. Vous pouvez modifier l'ordre des entrées en cliquant sur le bouton représentant une flèche.

    Attention : les substitutions sont exécutées dans l'ordre dans lequel elles apparaissent dans la liste.

  8. Vous pouvez insérer les variables qui ne sont pas présentes sur le synoptique mais sont utilisées lors du remplacement en cliquant sur le bouton Ajouter des variables... dans la fenêtre Variables d'indices.
  9. Les variables qui se trouvent dans cette liste sont toujours conservées en mémoire dans l'ordre, afin de réduire les temps d'attente lors du chargement du synoptique.

info Info

Pour l'opérateur *, les règles sont les mêmes que pour la fonction Remplacer les liens.

attention Attention

Si des variables d'indice sont utilisées dans un projet de réseau, le client doit d'abord obtenir la valeur auprès du serveur. Le calcul est ensuite exécuté. Sur les équipements comportant du matériel obsolète, cela peut provoquer un délai lors d'un appel de synoptique.
Par conséquent, dans un projet en réseau, les variables d'indice doivent toujours être définies sur DDE active.

Entre projets

Si la destination se trouve dans un autre projet que la source, ceci peut être affiché à l'aide du caractère '#'.

Example Exemple

Source : VAR_1

Cible : VAR_1 dans Project_1

Vous saisissez donc VAR_1 en tant que source, et Project_1#VAR_1 en tant que cible.

Source : SUBPROJECT1#VAR_1

Cible : {X01}VAR_1

La variable d'indice X01 est une variable de chaîne et comporte un nom de projet contenant # avec une valeur, par exemple "SUBPROJECT4#".


Exemple : Remplacement de variables à base de règles

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Remplacement des liens de variables et de fonctions -> Exemple : Remplacement de variables à base de règles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Toutes les variables dont le nom comporte "Tank1" doivent être remplacées par "Tank4".

  1. Saisissez "Tank1" dans le champ de texte Source. Vous pouvez inclure toutes les variables commençant par "Tank1" avec le caractère *.
  2. Saisissez "Tank4" dans le champ de texte cible.
  3. Cliquez sur Accepter.
  4. Les variables Tank1_max et Tank1_min sont remplacées par les variables Tank4_max et Tank4_min.


Image de fond

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Image de fond

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un fichier image peut être affiché en arrière-plan de tous les synoptiques. Ces fichiers graphiques sont positionnés au niveau de visibilité le plus loin vers l'arrière, et sont recouverts par tous les autres éléments du synoptique. Le fonctionnement de cette option est semblable à celui des images d'arrière-plan du bureau de Windows.

Des options de positionnement (par exemple, Centrer ou Mosaïque) sont disponibles. Les éléments graphiques ne peuvent pas être déplacés librement.

Seules les données graphiques déjà disponibles dans la section Fichiers/Graphiques du projet peuvent être utilisées. Voir: Fichiers.

Conseil : si vous souhaitez utiliser la même image d'arrière-plan pour plusieurs synoptiques, vous pouvez prédéfinir les images d'arrière-plan dans les cadres. Voir: Images d'arrière-plan des cadres

Conseil : vous pouvez également utiliser un bouton avec un fichier graphique ne comportant aucune fonction liée pour afficher un fichier graphique que vous pouvez positionner librement.


Boîte de dialogue de sélections de fonctions

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Boîte de dialogue de sélections de fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une boîte de dialogue filtrée s'affiche pour vous permettre de sélectionner les fonctions :

L'élément

Description

L'arbre du projet

Définition du projet à partir duquel la fonction doit être sélectionnée.

Volet de sélection

Sélection de la fonction.

Pas de sélection

Selon l'élément :

  • le dialogue est annulé
  • Les fonctions déjà liées sont supprimées.

Conseil : vous pouvez ajuster la taille de cette boîte de dialogue. La taille et la position de la boîte de dialogue sont enregistrées.

Modifier une fonction liée

  1. manuellement
    • Dans la vue de détail du gestionnaire de projet, ouvrez les fonctions concernées.
    • Faites glisser la fonction de votre choix sur l'élément tout en maintenant le bouton gauche de la souris enfoncé.
    • La nouvelle fonction se substitue à la fonction précédente.
  2. Automatique
    • Sélectionnez l'entrée Remplacer les liens du menu contextuel. Pour plus de détails, reportez-vous au chapitre Substitution de variables dans les éléments dynamiques.


Boîte de dialogue de sélection de variables

Manuels -> Synoptiques -> Modification d'éléments de synoptique -> Boîte de dialogue de sélection de variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une boîte de dialogue filtrée s'affiche pour vous permettre de sélectionner les variables :

Conseil : vous pouvez ajuster la taille de cette boîte de dialogue. La taille et la position de la boîte de dialogue sont enregistrées.

Les variables peuvent également être utilisées dans l'ensemble des projets.

Lier une variable

Les éléments qui ne peuvent être liés qu'à une seule variable unique ouvrent la boîte de dialogue suivante :

L'élément

Description

L'arbre du projet

Définition du projet à partir duquel la variable doit être sélectionnée.

Volet de sélection

Sélection de la variable devant être liée. Elle peut être liée de deux manières :

  • Par un double-clic sur la variable souhaitée : La boîte de dialogue est automatiquement fermée.
  • En sélectionnant la variable souhaitée et en cliquant ensuite sur OK.

Pas de sélection

Selon l'élément :

  • le dialogue est annulé
  • Les variables déjà liées sont supprimées (telles que les variables de batch liées dans le Serveur d'archives)

Remarque : si la variable souhaitée n'est pas affichée, il peut y avoir plusieurs raisons à cela :

  • Vous avez sélectionné un filtre et la variable souhaitée ne correspond pas au filtre : Vérifier qu'aucun filtre n'est actif dans la ligne de filtres. Les informations concernant les éléments filtrés qui sont affichées au bas de la fenêtre de sélection sont également utiles lors de la recherche de filtres actifs.
  • La boîte de dialogue est filtrée par l'Éditeur, et la variable ne correspond pas au filtre. L'affichage n'est filtré que lorsque des types de données spéciaux sont autorisés ; par exemple, pour l'élément dynamique Valeur numérique, aucune variable de type chaîne ne peut être liée.
  • Vous avez sélectionné un projet incorrect dans l'arborescence des projets.

attention Attention

la boîte de dialogue permet généralement de choisir plusieurs variables en utilisant les raccourcis-clavier Windows habituels, mais à cette étape, une seule variable peut être liée. En cas de sélection multiple, la première variable sélectionnée est associée à l'élément.

Liaison de variables multiples :

Les éléments qui peuvent être liés à plusieurs variables ouvrent la boîte de dialogue suivante :

Élément

Description

L'arbre du projet

Définition du projet à partir duquel la variable doit être sélectionnée.

Volet de sélection

Sélection des variables:

  • Double-cliquez sur la variable sélectionnée pour l'ajouter à la liste de variables.
  • Vous pouvez déplacer la variable sélectionnée vers la liste de variables en effectuant un glisser-déplacer.
  • Sélectionnez la variable de votre choix. Vous pouvez sélectionner plusieurs variables en appuyant sur les touches Ctrl et/ou Maj. En cliquant sur Ajouter, vous ajoutez les variables sélectionnées à la liste de variables.

Liste de variables

Liste toutes les variables sélectionnées

Ajouter

Ajoute la variable actuellement sélectionnée dans la fenêtre de sélection à la liste de variables.

Supprimer

Supprime (de la liste) les variables qui sont sélectionnées dans la liste de variables.

Pas de sélection

Selon l'élément :

  • le dialogue est annulé
  • certains liens comme les variables batch dans les archives peuvent être libérés

Remarque : si la variable souhaitée n'est pas affichée, il peut y avoir plusieurs raisons à cela :

  • Vous avez sélectionné un filtre et la variable souhaitée ne correspond pas au filtre : Vérifier qu'aucun filtre n'est actif dans la ligne de filtres. Les informations concernant les éléments filtrés qui sont affichées au bas de la fenêtre de sélection sont également utiles lors de la recherche de filtres actifs.
  • La boîte de dialogue est filtrée par l'Éditeur, et la variable ne correspond pas au filtre. L'affichage n'est filtré que lorsque des types de données spéciaux sont autorisés ; par exemple, pour l'élément dynamique Valeur numérique, aucune variable de type chaîne ne peut être liée.
  • Vous avez sélectionné un projet incorrect dans l'arborescence des projets.

Modifier une variable liée

Sélectionnez l'entrée Remplacer les liens du menu contextuel de l'élément. Pour plus de détails, reportez-vous au chapitre Substitution de variables dans les éléments dynamiques.


Cadres

Manuels -> Synoptiques -> Cadres

Les cadres forment la base de l'organisation de la fenêtre et des synoptiques affichés dans le Runtime. Vous structurez l'affichage sur le synoptique et en déterminez la position. Chaque synoptique est associé à un cadre et affiché dans la zone de l'écran définie par le cadre.

Les cadres déterminent les propriétés générales de la fenêtre, telles que la position, la taille, l'apparence et les options de manipulation dans le Runtime. Cadres :

  • Ils fournissent un aperçu de toutes les fenêtres définies dans un projet.
  • Ils peuvent être librement définis via la propriété Définir des formes de gabarits libres.
  • Ils autorisent l'affectation de fonctions spéciales à tous les synoptiques disponibles dans un cadre, par exemple :

    Retour au synoptique précédent, Paramétrer le focus sur le cadre, Retirer le focus du cadre, Fermer le cadre, Acquitter clignotement, Imprimer la capture d'écran.

  • Tous les synoptiques sont modifiés sur la base de ce cadre.
  • Les synoptiques apparaissent toujours de la même taille, à l'emplacement défini dans le Runtime, et ne peuvent pas être déplacés librement.
  • Les cadres peuvent toujours être fermés automatiquement dans le Runtime si la sélection est transférée vers un autre élément.
  • Les synoptiques dans un cadre peuvent être modifiés à volonté en mode de fonctionnement en ligne.

info Info

Si aucun cadre n'existe lors de la création d'un synoptique, zenon crée automatiquement un cadre par défaut qui couvre l'intégralité du synoptique.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau cadre | Crée un nouveau cadre.
Ouvrir l'éditeur de cadres | Ouvre l'éditeur de cadres dans la fenêtre principale et affiche la liste des cadres dans la vue de détail.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML. Remarque : Les cadres existants sont remplacés par le biais du nœud Cadres durant l'importation au format XML. Dans ce cas, tous les synoptiques et leurs éléments sont adaptés au nouveau cadre.
Aide | Ouvre l'aide en ligne.

Créer un cadre

Pour créer un cadre :

  1. Dans le gestionnaire de projet, sélectionnez l'élément Cadres du nœud Synoptiques.
  2. Sélectionnez Créer nouveau cadre dans le menu contextuel.
  3. Un nouveau cadre est créé.
    La taille initiale est déterminée par la taille de l'écran et peut être paramétrée dans la section de gestion de moniteur (Propriétés du projet. ‑> Apparence graphique ‑> Gestion de moniteur)
  4. Cliquez sur le nouveau cadre et faites glisser le cadre sur le point de contact, jusqu'à obtenir la taille souhaitée.
  5. Positionnez le cadre à l'emplacement souhaité dans la fenêtre.
  6. Définissez les propriétés de votre choix dans la fenêtre des propriétés.

attention Attention

Les cadres du projet global et du sous-projet doivent porter des noms différents.

Example Exemple

Trois éléments doivent être présents dans l'ensemble du projet :

  • Un en-tête comportant l'heure et un logo apparaît en haut de l'écran.
    Un cadre d'en-tête est défini pour cet élément. Ce cadre définit la taille et la position de la ligne d'en-tête.
  • Un menu apparaît au bas de l'écran.
    Un cadre de "menu" est créé.
  • Synoptiques de procédé provisoires.
    Un synoptique de procédé est créé.

Les cadres sont toujours affichés à la taille et à l'emplacement définis. Tous les synoptiques créés sont liés à un de ces cadres, et le Runtime les affiche dans ce dernier. Si l'organisation du synoptique est modifiée (par exemple, si vous souhaitez afficher les barres de menus en haut de l'écran et transformer l'en-tête en pied de page), seule la position des cadres doit être modifiée. Les synoptiques contenus dans les cadres sont automatiquement transférés.

Conseil : ne placez jamais les gabarits directement l'un au-dessus de l'autre. Ceci vous permet d'accéder à tout instant aux synoptiques dans le Runtime.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Cadre

L'éditeur de cadres

Définir des images de fond pour les cadres

Développement distribué avec les cadres

Gabarits principaux

Effets des cadres


Barre d'outils et menu contextuel de la vue de détail Cadre

Manuels -> Synoptiques -> Cadres -> Barre d'outils et menu contextuel de la vue de détail Cadre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Élément de menu | Action
Nouveau cadre | Ajoute un nouveau cadre à la liste et bascule l'affichage vers cette entrée.
Ouvrir l'éditeur de cadres | Ouvre l'éditeur de cadres dans la fenêtre principale.
Définir des formes de cadres libres | Bascule vers la fenêtre principale pour définir une forme de cadre libre.
Retour à l'élément de départ | Si vous avez saisi la liste via la fonction Éléments liés, le symbole vous ramène à l'élément de départ. Uniquement disponible dans le menu contextuel lorsque tous les éléments liés sont ouverts.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML. Remarque : Les cadres existants sont remplacés par le biais du nœud Cadres durant l'importation au format XML. Dans ce cas, tous les synoptiques et leurs éléments sont adaptés au nouveau cadre.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Aide | Ouvre l'aide en ligne.


L'éditeur de cadres

Manuels -> Synoptiques -> Cadres -> L'éditeur de cadres

Vous pouvez définir et positionner tous les cadres dans l'éditeur de cadres.

attention Attention

Il est impossible d'annuler les actions effectuées dans l'éditeur de cadres. L'élément de menu Annuler (Ctrl+Z) n'est pas disponible.

Autres sujets abordés dans ce chapitre

Ouvrir l'Éditeur de cadres

Afficher des cadres dans l'éditeur de cadres

Créer nouveau cadre

Positionnement dans le Runtime

Supprimer des cadres


Ouvrir l'Éditeur de cadres

Manuels -> Synoptiques -> Cadres -> L'éditeur de cadres -> Ouvrir l'Éditeur de cadres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour ouvrir l'Éditeur de cadres :

  • Dans le gestionnaire de projet, double-cliquez sur le cadre de votre choix dans la vue de détail Cadres.

    Ou

  • Sélectionnez Gestionnaire de projet -> Cadres -> Menu contextuel -> Ouvrir l'Éditeur de cadres.

La taille affichée dans l'Éditeur de cadres dépend de la taille de moniteur définie dans la section de gestion de moniteur. Voir le chapitre Gestion de moniteur. Si les paramètres du moniteur sont modifiés par la suite, l'Éditeur de cadres doit être fermé, puis ouvert à nouveau pour que les nouveaux paramètres du moniteur soient pris en compte.

Le cadre rouge de la ligne d'état des alarmes est automatiquement créé le long du bord supérieur de l'écran par zenon pour chaque projet. Vous pouvez modifier sa position via les propriétés du groupe Position. Pour cela, la propriété Utiliser position standard doit être désactivée.


Afficher des cadres dans l'éditeur de cadres

Manuels -> Synoptiques -> Cadres -> L'éditeur de cadres -> Afficher des cadres dans l'éditeur de cadres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez afficher les cadres ou les rendre visibles ou invisibles en procédant comme suit :

  • Propriété Afficher dans l'éditeur de gabarits :
    Activée : le cadre est affiché
  • Glisser-déposer :
    invisible ; faites glisser le cadre depuis la fenêtre principale
    visible : faites glisser le cadre depuis la vue de détail vers la fenêtre principale
  • Vue de détail -> Vue dans l'Éditeur de cadre :
    Invisible : désélectionnez la case à cocher
    Visible : cochez la case

Vous pouvez obtenir des informations concernant le nom et la position du cadre dans le coin supérieur gauche du cadre et par les infos-bulles lorsque vous déplacez le pointeur de la souris sur le cadre.

info Info

Une ligne d'état d'alarme ou un menu du système est automatiquement pris en compte dans l'éditeur de cadre, et toujours affiché au premier plan. Un cadre incorrectement positionné ne peut donc masquer aucune information importante dans le Runtime.


Créer nouveau cadre

Manuels -> Synoptiques -> Cadres -> L'éditeur de cadres -> Créer nouveau cadre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous disposez de deux possibilités pour créer un nouveau cadre :

  • Créer un nouveau cadre :
    Gestionnaire de projet -> Cadres -> Menu contextuel -> Créer nouveau cadre ou Vue de détail du cadre - > Menu contextuel -> Nouveau cadre

    Ceci permet de créer un nouveau gabarit par défaut à la taille définie dans les propriétés du moniteur.

  • Pour dessiner un nouveau cadre : Fenêtre principale -> Menu contextuel -> Dessiner un nouveau cadre

    Le pointeur de souris devient un carré noir ; le point de départ est représenté par une croix située dans le coin supérieur gauche. Vous pouvez maintenant faire glisser la souris pour redimensionner et positionner le cadre à votre convenance.

Positionner les cadres

La position et l'orientation d'un cadre ou d'un groupe de cadres sélectionnés peuvent être déterminées grâce à l'option Arranger du menu contextuel dans la fenêtre principale.

Positionner en utilisant les points de connexion :

Si l'option 'Utiliser les points magnétiques' a été activée (voir le chapitre Éditeur, section Paramétrage), les points magnétiques des cadres "collent" à ceux des autres cadres. De plus, les cadres peuvent se "coller" aux bords du synoptique et à la ligne d'alarme, si celle-ci est affichée et active.

Autres sujets abordés dans ce chapitre

Cadre avec forme de cadre libre


Cadre avec forme de cadre libre

Manuels -> Synoptiques -> Cadres -> L'éditeur de cadres -> Créer nouveau cadre -> Cadre avec forme de cadre libre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez adapter la forme du cadre à vos exigences grâce à la propriété Forme de gabarit librement définie. Après avoir activé cette propriété, vous pouvez ouvrir l'éditeur de cadres de l'une des manières suivantes :

  • Cliquez sur le bouton de la propriété Définir des formes de gabarits libres.
  • Cliquez sur le symbole de cadre correspondant dans la barre d'outils.
  • Sélectionnez l'entrée de menu Define Free Frame (Définir un cadre libre) dans le menu contextuel lors de la sélection du cadre.
  • Sélectionnez l'entrée de menu Define Free Frame (Définir un cadre libre) dans le menu contextuel de l'éditeur de cadres.
  • Double-cliquez sur un cadre dans l'éditeur de cadres.

Ici, vous pouvez créer le cadre à votre convenance grâce aux éléments rectangle, cercle, rectangle arrondi et polygone.

info Info

Forme de gabarit librement définie n'est pas disponible :

  • Pour le cadre de la ligne d'état des alarmes
  • Sous Windows CE

Si la propriété Définir des formes de gabarits libres est désactivée, une forme de cadre libre existante n'est pas affichée – ni dans l'Éditeur de cadres, ni dans l'Éditeur de synoptiques.

Vous décidez de quelle manière les différents éléments influencent l'apparence du cadre avec l'aide de la propriété Utilisation domaine. Pour cela, les paramètres suivants sont nécessaires :

Paramètre | Description
Cover (Couverture) | La surface de l'élément est utilisée en tant que zone du synoptique.
Couper | La surface de l'élément est supprimée des surfaces situées dessous. Vous pouvez par exemple créer des "découpes" dans le cadre.
OU exclusif | Cet élément est découpé ou couvert, en fonction de la présence d'un élément de couverture situé sous l'élément.

Informations concernant info

La manière dont la surface est utilisée dépend toujours des surfaces situées sous l'élément. Si, par exemple, vous dessinez un élément de couverture par-dessus un élément de découpe, la surface apparaît remplie. Si vous inversez l'ordre, l'élément de découpe est supprimé de l'élément de couverture.


Positionnement dans le Runtime

Manuels -> Synoptiques -> Cadres -> L'éditeur de cadres -> Positionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les positions des cadres peuvent être définies de manière fixe ou relative dans le Runtime. De cette manière, vous pouvez positionner les synoptiques de type clavier ou les boîtes de dialogue à l'emplacement exact auquel se situe le pointeur de la souris ou l'élément devant être sélectionné. Les positions des cadres peuvent être définies dans le Runtime :

  • Position absolue
  • Par rapport au pointeur de souris
  • Par rapport à l'élément

Les positions absolues et relatives sont définies dans les propriétés.

Conserver la position pour la prochaine fois

Windows détermine toujours la position des synoptiques en fonction du gabarit. Si des synoptiques contextuels sont planifiés et déplacés pendant l'exécution du programme, chaque synoptique contextuel est placé dans la position planifiée lors de la prochaine activation de la fonction de commutation. En utilisant la propriété Garder la position pour le prochain affichage, le gabarit peut être configuré pour conserver sa position tant qu'il est ouvert, indépendamment des appels de synoptique. Si la propriété est active :

  • Si un synoptique est ouvert dans le Runtime dans un gabarit déplacé manuellement, sa position est également conservée en cas d'appel de synoptique.
  • Si un autre synoptique est ouvert dans le même gabarit, sa position est conservée. Cela s'applique également aux appels de remplacement.

Avec cette fonction, une position de gabarit différente peut être utilisée pour chaque client, dans la mesure où la position locale est toujours sauvegardée.

Positionnement absolu

Les coordonnées du cadre sont toujours fixes et prédéfinies. Une position fixe est toujours utilisée pour tous les autres synoptiques affichés automatiquement pas le système, comme, par exemple, lors d'une exécution par une commande temporisée ou lorsqu'une limite est franchie.

Positionnement relatif

Le positionnement relatif est particulièrement adapté au chargement de boîtes de dialogue, de synoptiques de type clavier ou de synoptiques de saisie de commande. Ceci est possible pour tous les appels de synoptiques, saisies de valeurs prescrites avec des synoptiques de type clavier librement définis et synoptiques de saisie de commandes démarrés manuellement par l'utilisateur. Le fait que l'action soit déclenchée par une fonction Appel de synoptique, ou une définition de valeur prescrite ou directement sur un élément n'a pas d'importance. Le positionnement relatif est disponible pour :

  • les éléments dynamiques, auxquels vous pouvez associer une fonction
  • les éléments dynamiques pouvant être utilisés pour saisir une valeur prescrite (boutons, éléments combinés, etc.)
  • Menus principaux et contextuels
  • Exécutez la fonction spécifique au synoptique depuis le synoptique de la liste d'alarmes.

Le positionnement relatif fonctionne aussi pour les appels de fonctions imbriqués, par exemple, lorsqu'un appel de synoptique ou un envoi de valeur prescrite est déclenché par un script. Dans le cas où le synoptique s'afficherait hors des limites de l'écran, il est automatiquement repositionné pour qu'il soit visible. Ceci s'applique aussi dans le cadre d'une gestion multi-moniteurs, où le synoptique s'afficherait sur l'écran d'à coté.

attention Attention

Le positionnement relatif fonctionne uniquement lorsqu'il est appelé directement par l'utilisateur, et non avec des fonctions automatisées ou via une commande VBA.

Par rapport à l'élément

Positionne le point de référence du cadre par rapport à l'élément depuis lequel a été initié l'appel de synoptique (par ex. un bouton ou un élément combiné). Le point de référence du cadre sera toujours placé sur le point de référence calculé de l'élément. Si le cadre ne peut pas être désactivé dans cette position, car cela placerait le synoptique hors de l'écran, les points de référence alternatifs sont utilisés.

Définissez d'abord un point de référence pour votre cadre, puis pour la position préférée dans l'élément. Les paramètres suivants sont disponibles :

Propriété | Valeur
Point de référence d'élément vertical | bas
 | Haut
Point de référence d'élément horizontal | Gauche
 | Droite
Mouvement vertical en pixels | Saisissez le déplacement souhaité
Mouvement horizontal en pixels | Saisissez le déplacement souhaité

Position alternative

Définissez une position alternative pour le point de référence du cadre et le point de référence de l'élément. Continuez en définissant les positions alternatives de la même manière que vous définissez les positions préférées. La position alternative est utilisée lorsque le cadre ne peut pas être placé dans la première position.

Par rapport au pointeur de souris

L'affichage du synoptique varie selon la position du pointeur de souris. Si le point de référence se trouve sur le côté supérieur gauche, le cadre sera chargé dans le coin inférieur droit du point de référence. Si le synoptique ne peut pas être affiché entièrement à la position configurée, la position sera décalée jusqu'à ce que le synoptique se trouve entièrement dans la zone affichable de l'écran.

Définissez le point de référence du cadre au-dessus des deux propriétés Vertical reference point (Point de référence vertical) et Horizontal reference point (Point de référence horizontal). Le point de référence est identifié par un point rouge sur le cadre. Les paramètres suivants sont disponibles :

Propriété | Valeur
Point de référence de cadre vertical | Haut
 | bas
 | centré
Point de référence de cadre horizontal | Gauche
 | Droite
 | centré

Example Exemple

Vous avez défini un bouton sur la bordure droite de l'écran et essayez de positionner une fenêtre contextuelle sur son côté droit :

  • Point de référence de l'élément : A droite/centré
  • Point de référence du cadre : gauche/centré

Dans le Runtime, la fenêtre contextuelle s'affiche à droite du bouton, centrée par rapport au milieu du bouton. La fenêtre contextuelle ne couvre pas le bouton.

Vous pouvez également utiliser le même cadre pour un bouton sur la bordure gauche de l'écran. Il n'y aura peut-être pas assez de place sur le côté droit pour afficher entièrement la fenêtre contextuelle. La position configurée alternative sera alors utilisée. Pour cela, vous devez définir

  • Le point de référence alternatif de l'élément sur : gauche/centré
  • Le point de référence alternatif de l'élément sur : à droite/centré


Supprimer des cadres

Manuels -> Synoptiques -> Cadres -> L'éditeur de cadres -> Supprimer des cadres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour supprimer des cadres, vous pouvez :

Sélectionner un ou plusieurs cadres avec la souris, puis sélectionner Supprimer dans le menu contextuel ou appuyer sur la touche Suppr.

Sélectionner un ou plusieurs cadres dans la vue de détail, puis sélectionner Supprimer dans le menu contextuel ou appuyer sur la touche Suppr.

Une demande de confirmation de l'action est affichée à l'écran avant que la suppression n'ait lieu.

attention Attention

La suppression des cadres ne peut pas être annulée.


Définir des images de fond pour les cadres

Manuels -> Synoptiques -> Cadres -> Définir des images de fond pour les cadres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un fichier image peut être affiché en arrière-plan de tous les synoptiques. Ces fichiers graphiques sont positionnés au niveau de visibilité le plus loin vers l'arrière, et sont recouverts par tous les autres éléments du synoptique. Le positionnement s'effectue par l'intermédiaire des propriétés ; ils ne peuvent pas être positionnés librement. Seules les données graphiques déjà disponibles dans la section Fichiers/Graphiques du gestionnaire de projet peuvent être utilisées.

Si plusieurs synoptiques utilisent la même couleur d'arrière-plan, celle-ci est définie par le cadre de synoptique :

  1. Dans les propriétés, cliquez sur la propriété Fichier graphique dans le nœud Graphique d'arrière plan.
  2. Sélectionnez un fichier dans le nœud Fichiers/Graphiques du gestionnaire de projet.
  3. Définissez la position avec la propriété Alignement.

Ce fichier graphique est alors utilisé pour tous les synoptiques créés à l'aide de ce cadre. Toutefois, des fichiers graphiques individuels peuvent toujours être définis comme arrière-plans de synoptiques pour chaque synoptique.

Attention ! Le fichier graphique est enregistré avec les synoptiques. La modification du fichier graphique ou de sa configuration dans le cadre affectera uniquement les nouveaux synoptiques. Les synoptiques existants doivent être modifiés manuellement.


Développement distribué avec les cadres

Manuels -> Synoptiques -> Cadres -> Développement distribué avec les cadres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans les opérations multi-utilisateurs, tous les mécanismes habituels pour permettre et accepter les modifications sont implémentés. Dans l'Éditeur de cadres, en revanche, contrairement aux synoptiques, chaque cadre est traité individuellement (le synoptique n'est pas intégralement accessible). Pour un meilleur aperçu, les cadres dans lesquels les modifications ne sont pas permises sont signalés avec une bordure en pointillés.


Gabarits principaux

Manuels -> Synoptiques -> Cadres -> Gabarits principaux

Les derniers gabarits ouverts peuvent être affichés dans le driver système à l'aide de la variable Dernier synoptique ouvert. Les gabarits incorporés dans l'affichage sont définis à l'aide de la propriété Gabarits principaux du gestionnaire de projet (Apparence graphique, Généralités runtime). Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de gabarits :

Plusieurs entrées peuvent être sélectionnées à l'aide de la combinaison Ctrl + clic gauche ou Maj + clic gauche. Cliquez sur OK pour confirmer la sélection.

info Info

Cette propriété a également un effet sur la fonction Synoptique : retour au précédent.


Effets des cadres

Manuels -> Synoptiques -> Cadres -> Effets des cadres

Les cadres peuvent également être associés à des effets.

Vous trouverez des effets supplémentaires pour les éléments de synoptique au chapitre effets pour les éléments de synoptique.

Autres sujets abordés dans ce chapitre

Mise en évidence d'un cadre


Mise en évidence d'un cadre

Manuels -> Synoptiques -> Cadres -> Effets des cadres -> Mise en évidence d'un cadre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Highlight frame (Mettre le cadre en évidence) permet de sélectionner un cadre pour attirer l'attention de l'utilisateur sur un synoptique en particulier. À cette fin, le cadre sur lequel repose le synoptique est mis en évidence par la coloration de la zone libre dans le Runtime. Pour cela, vous devez définir une couleur et une transparence pour la zone proche du cadre de synoptique recouvrant le synoptique sous-jacent. Le synoptique sous-jacent ne peut pas être actionné.

Remarque : les synoptiques doivent reposer sur différents cadres, de différentes tailles. Vous ne devez pas appeler plusieurs synoptiques simultanément avec cette propriété.

Pour utiliser l'effet, configurez le synoptique qui sera disposé sur un synoptique plus grand :

  1. Accédez au groupe Type de fenêtre des propriétés du synoptique.
  2. Activez la propriété Dialogue modal.
  3. Activez la propriété Cadre de mise en évidence.
  4. La propriété Couleur de contour permet de configurer la couleur utilisée pour la coloration de la zone située autour du synoptique actif.
    Cette propriété affecte toujours le cadre sur lequel repose le synoptique.
  5. La propriété Transparence de contour permet de configurer la transparence de la propriété Couleur de contour.
  6. Configurez un bouton permettant de fermer le synoptique dans le Runtime.

Dès que vous ouvrez ce synoptique par-dessus un autre synoptique, la zone située autour du cadre est colorée, ce qui met le synoptique en évidence. Seul ce synoptique peut être actionné. Après la fermeture du synoptique, les autres synoptiques sont affichés avec des couleurs normales et peuvent être actionnés.

Exemple

Le synoptique est ouvert :

Le deuxième synoptique comportant l'effet actif Highlight frame (Mettre le cadre en évidence) est également ouvert. Tous les éléments situés à l'extérieur du synoptique supplémentaire ouvert sont mis en évidence avec la couleur définie dans la propriété Couleur de contour et la transparence définie dans la propriété Transparence de contour.


Palettes

Manuels -> Synoptiques -> Palettes

Les palettes de couleurs permettent de regrouper des couleurs individuelles sous forme de palettes de couleurs. Vous pouvez ainsi définir des ensembles de couleurs que vous pouvez ensuite modifier à votre convenance dans l'éditeur et dans le Runtime. Toutes les couleurs définies à l'aide des couleurs de la palette peuvent ainsi être modifiées très facilement.

Ceci permet notamment de modifier très rapidement l'apparence uniforme de Company Designs (CD). Si nécessaire, l'apparence peut être entièrement modifiée de manière centrale (changement de palette), ou des couleurs individuelles peuvent être modifiées (modification de couleurs de la palette).

L'approche de zenon : les modifications peuvent facilement être apportées de manière centrale ou globale, à l'aide d'un projet global.

Développement

Ces palettes sont créées dans l'éditeur ; elles peuvent être exportées et importées, et il existe une fonction permettant de basculer vers celles-ci dans le Runtime. Les palettes de couleurs peuvent être créées dans un projet global ou local. Toutes les palettes d'un projet doivent toujours contenir la même quantité de couleurs ; le nombre de couleurs peut donc varier entre un projet global et un projet local.

Attention : en cas de conflits d'événements dans le Runtime, les palettes de couleurs du projet local sont prioritaires.

Les couleurs de la palette de couleurs peuvent être utilisées partout où des couleurs sont utilisées.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouvelle palette | Crée une nouvelle palette de couleurs portant le nom par défaut Palette de couleurs suivi d'un numéro d'indice.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Vue de détail de la barre d'outils et du menu contextuel des palettes de couleurs

Créer et modifier des couleurs

Création et édition de couleurs

Utiliser les palettes de couleurs dans l'éditeur

Créer des fichiers Runtime

Fonction de changement de palettes de couleurs

Exportation et importation

Message d'erreur

Exemple pour l'éditeur et le Runtime


Vue de détail de la barre d'outils et du menu contextuel des palettes de couleurs

Manuels -> Synoptiques -> Palettes -> Vue de détail de la barre d'outils et du menu contextuel des palettes de couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Barre d'outils et menu contextuel

No. | Symbole | Action
01 | Nouvelle palette | Crée une nouvelle palette de couleurs portant le nom par défaut Palette de couleurs suivi d'un numéro d'indice.
02 | Créer une fonction standard | Ouvre la boîte de dialogue permettant de créer une fonction de changement de palette et active automatiquement la palette sélectionnée dans la liste déroulante.
03 | Suppression d'une palette de couleurs | Supprime la palette de la couleur sélectionnée. les palettes peuvent uniquement être supprimées individuellement.
04 | Nouvelle couleur | Crée une nouvelle couleur avec la couleur avec la couleur par défaut blanc et le nom par défaut Couleur suivi d'un numéro d'indice. Des nouvelles couleurs sont toujours créées pour toutes les palettes du projet. Conseil : définissez des noms univoques pour le projet global et le projet local.
05 | Suppression d'une couleur | Supprime la couleur sélectionnée de toutes les palettes du projet. Remarque : la commande est uniquement active si la dernière couleur de chaque palette est sélectionnée. Pour quelles raisons ? En effet, seule la dernière couleur d'une palette peut être supprimée, pour que les numéros d'indices soient encore valables. En outre, la couleur doit être supprimée pour toutes les palettes, afin que le nombre de couleurs reste identique dans toutes les palettes.
06 | Copier | Copie les couleurs ou les palettes de couleurs sélectionnées vers le presse-papier.
07 | Coller | Colle les couleurs ou les palettes de couleurs sélectionnées depuis le presse-papier.
08 | Retour à l'élément de départ | Si vous avez saisi la liste via la fonction Éléments liés, le symbole vous ramène à l'élément de départ. Uniquement disponible dans le menu contextuel lorsque tous les éléments liés sont ouverts.
09 | Palette dans l'éditeur | Ouvre une liste déroulante contenant toutes les palettes pouvant être définies dans le projet local et le projet global.
10 | Enregistrer | Enregistre toutes les modifications apportées aux palettes de couleurs.
11 | Exporter XML (sélection)... | Exporte touts les palettes sélectionnées sous forme de fichier XML.
12 | Importer XML … | Importe des entrées à partir d'un fichier XML.
13 | Propriétés | Ouvre la fenêtre de propriétés.
14 | Aide | Ouvre l'aide en ligne.


Créer et modifier des couleurs

Manuels -> Synoptiques -> Palettes -> Créer et modifier des couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez créer des palettes de couleurs globalement, ou dans un projet local. Les palettes de couleurs globales sont disponibles dans tous les projets, tandis que les palettes de couleurs locales sont uniquement disponibles dans le projet dans lequel elles ont été créées. S'il existe des conflits lors de la définition de ces palettes dans le Runtime, les palettes de couleurs du projet local sont prioritaires (reportez-vous également à la section Palettes de couleurs dans le Runtime).

Créer une palette de couleurs

Pour créer une palette de couleurs :

  • Sélectionnez le nœud Palettes de couleurs (sous Synoptiques dans le projet local ou le projet global).
  • Sélectionnez l'option Nouvelle palette de couleurs dans le menu contextuel.
  • Une nouvelle palette de couleurs est créée avec :
    • Le nom par défaut Palette suivi d'un numéro d'indice (par exemple, Palette 0).
    • Le même nombre de couleurs que les palettes préexistantes ; par défaut, toutes les couleurs sont blanches.

Renommer une palette de couleurs

Pour renommer une palette individuellement :

  • Sélectionnez la palette ou une ou plusieurs couleurs de la palette.
  • Dans les propriétés, sélectionnez la propriété Palette du groupe Nom palette.
  • Saisissez le nom de la palette souhaitée.
    Conseil : spécifiez des noms univoques afin de distinguer facilement les palettes de couleurs du projet global et du projet local.

Suppression d'une palette de couleurs

Pour supprimer une palette de couleurs :

  • Sélectionnez l'intégralité de la colonne de la palette de couleurs.
  • Dans le menu contextuel, sélectionnez l'option Supprimer la palette de couleurs ou appuyez sur Suppr.
  • La palette sera supprimée sans demande de confirmation.
    Remarque : les palettes peuvent uniquement être supprimées individuellement.


Création et édition de couleurs

Manuels -> Synoptiques -> Palettes -> Création et édition de couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Créer une couleur

Pour créer un couleur :

  • Sélectionnez une couleur ou une palette.
  • Dans le menu contextuel, sélectionnez Nouvelle couleur ou appuyez sur la touche Insér.
  • À l'extrémité inférieure de la table des couleurs, une nouvelle couleur est insérée pour toutes les palettes, avec les caractéristiques suivantes :
    • La couleur par défaut blanc et
    • Couleur suivi d'un numéro d'indice, par exemple Couleur 10.
  • Définissez la couleur et attribuez-lui un nom.

Renommer une couleur

Pour renommer une couleur :

  • Sélectionnez la couleur.
  • Dans les propriétés, sélectionnez la propriété Couleur du groupe Identification.
  • Saisissez le nom de votre choix.
    Conseil : il est possible de différencier un projet global et un projet local lors de l'attribution du nom, ce qui vous permettra de déterminer l'origine de la palette lors du choix de palettes à un stade ultérieur.

Définir une couleur

Pour définir une couleur :

  • sélectionnez la couleur de votre choix sur la palette.
  • Saisissez la couleur :
    • Soit directement, dans la cellule de la table dans la vue de détail, sous forme de code hexadécimal ou via la boîte de dialogue de sélection en cliquant sur ...
    • Ou dans les propriétés du groupe Couleur, dans le champ Couleur des propriétés, sous forme de code hexadécimal ou via la boîte de dialogue de sélection en cliquant sur ...

Définir une couleur via la boîte de dialogue

Pour sélectionner des couleurs de base prédéfinies dans une boîte de dialogue ou créer vos propres couleurs :

  • Dans la vue de détail, cliquez sur la cellule contenant la couleur de votre choix ou, dans les propriétés Couleur, cliquez sur ...
  • La boîte de dialogue de sélection des couleurs standard s'affiche.

  • Cliquez sur une couleur standard pour l'attribuer.
  • Pour définir votre propre couleur, cliquez sur le bouton Définir une couleur.

  • Définir la couleur
  • Cliquez sur le bouton Ajouter la couleur pour ajouter la couleur à la liste Couleurs personnalisées.
  • Sélectionnez la couleur de votre choix.
  • Cliquez sur OK pour attribuer la couleur.

Copier une couleur

Pour copier plusieurs couleurs possédant la même définition de couleurs :

  • sélectionnez le code hexadécimal de la couleur dans le champ de saisie de la couleur souhaitée.
  • Copiez le code hexadécimal en appuyant sur Ctrl+C ou en sélectionnant la commande Copier du menu contextuel.
  • Insérez le code hexadécimal pour toutes les couleurs devant recevoir la même définition de couleurs en appuyant sur Ctrl+V ou en sélectionnant la commande Insérer du menu contextuel.

Suppression d'une couleur

Les couleurs de la palette sont faciles à distinguer grâce à leur numéro d'indice dans la palette (qui correspond au numéro de ligne dans la fenêtre d'affichage de la palette). Par conséquent, les couleurs peuvent uniquement être supprimées à la fin de la palette ; dans le cas contraire, les indices des couleurs ultérieures changeront. Toutes les palettes d'un même projet doivent comporter la même couleur ; aussi, il est uniquement possible de supprimer des lignes de couleur entières. Pour supprimer une couleur de toutes les palettes :

  • Sélectionnez les lignes que vous souhaitez supprimer, en commençant par l'extrémité inférieure des couleurs de la palette.
  • Dans le menu contextuel, sélectionnez Supprimer la couleur ou appuyez sur la touche Insér.


Utiliser les palettes de couleurs dans l'éditeur

Manuels -> Synoptiques -> Palettes -> Utiliser les palettes de couleurs dans l'éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionner la palette active dans l'éditeur

Dans l'éditeur, une palette peut être utilisée en tant que palette active pour l'affichage et la sélection de couleurs issues du projet local ou global.

Pour sélectionner une palette afin de l'afficher dans l'éditeur :

  • Cliquez sur la table des palettes de couleurs avec le bouton droit de la souris.
  • Sélectionnez Palette de couleurs dans l'Éditeur dans le menu contextuel.
  • Sélectionnez la palette de couleurs de votre choix dans la liste déroulante.

Remarque : Les palettes de couleurs issues du projet local sont disposées avant celles issues du projet global.

Attention : si des palettes des projets global et local portent le même nom, seules les palettes issues du projet local peuvent être sélectionnées.

attention Attention

Si un nombre différent de couleurs est configuré pour chaque palette dans les projets global et local, le nombre de couleurs disponible pour la sélection de la palette active sera peut-être moins élevé !

Les définitions de palettes issues du projet local sont toujours prioritaires : si au moins une couleur est configurée dans les palettes du projet local, le nombre de couleurs contenues dans la palette locale est proposé ; dans le cas contraire, le nombre de couleurs proposé est celui de la palette du projet local.

Les couleurs manquantes dans la palette active sont affichées en blanc.

Sélection des couleurs de la palette

Les couleurs de la palette peuvent être attribuées dans l'éditeur via :

  • La boîte de dialogue des propriétés.
  • Un glisser-déplacer de la description d'une couleur dans le champ correspondant dans les propriétés.
  • La saisie directe d'une description d'une couleur dans le champ correspondant dans les propriétés.

Si une couleur est attribuée à un élément via les propriétés, la boîte de dialogue de couleurs s'ouvre ; elle comporte deux onglets :

  • Couleurs : sélection d'une couleur particulière
  • Palettes de couleurs : sélection d'une palette de couleurs particulière dans la palette de couleurs active

Si aucune palette comportant une couleur au moins n'est configurée dans le projet local ou global, ou si la propriété n'autorise pas l'affectation d'une couleur, seules les couleurs de l'onglet sont affichées.

Couleurs des projets multi-utilisateurs

Les modifications apportées aux palettes de couleurs peuvent uniquement être autorisées, transférées ou annulées pour toutes les palettes d'un projet.


Créer des fichiers Runtime

Manuels -> Synoptiques -> Palettes -> Créer des fichiers Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les palettes du projet global et du projet local sont transférées dans une liste commune lors de la création de fichiers Runtime. Des conflits peuvent se produire durant cette opération. Remarque :

  • Le projet local est toujours prioritaire.
  • Chaque palette affiche la quantité unifiée et contient donc autant de couleurs que la plus grande palette.
  • Si les palettes du projet global et du projet local contiennent un nombre de couleurs différent, les palettes plus courtes sont remplies de blanc, afin que toutes les palettes possèdent le même nombre de couleurs et qu'une couleur soit disponible dans chaque palette pour chaque indice de couleur.
  • Lorsque plusieurs palettes portent le même nom, les palettes du projet local sont utilisées et remplies avec les couleurs du projet global, si celui-ci contient plus de couleurs.

Exemple :

  • Le projet global comporte 3 palettes : Global 1, Global 2 et Palette 1, comportant 10 couleurs chacune.
  • Le projet local comporte deux couleurs : Palette 1 et Palette 2, comportant 5 couleurs chacune.
  • Le Runtime comporte alors :
    • la Palette 1 provient du projet local et remplace la Palette 1 du projet global ; elle contient les 5 couleurs du projet local, ainsi que les couleurs 6 à 10 de la Palette 1 du projet global.
    • la Palette 2 contient les 5 couleurs du projet local, plus les couleurs 6 à 10 initialisées en blanc.
    • Global 1 : contient les 10 couleurs du projet global.
    • Global 2 : contient les 10 couleurs du projet global.

Changement de couleurs dans le Runtime

Pour changer les couleurs dans Runtime, vous devez utiliser la fonction Changer de palette (reportez-vous au chapitre concernant le changement de palettes de couleurs).

Changer de palette

Crée une fonction permettant de changer de palettes de couleurs dans le Runtime.

Plus de détails dans l'aide en ligne.

Vous trouverez un exemple de changement dans le Runtime au chapitre fournissant un exemple dans l'éditeur et le Runtime.


Fonction de changement de palettes de couleurs

Manuels -> Synoptiques -> Palettes -> Fonction de changement de palettes de couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors du démarrage du Runtime, la première palette du projet devient automatiquement active, tant qu'une autre palette n'est pas activée via un script de démarrage.

La palette active peut être modifiée dans le Runtime à l'aide de la fonction Changer de palette. Tous les synoptiques et éléments sont ensuite modifiés avec les couleurs de la nouvelle palette.

Changer de palette

Crée une fonction permettant de changer de palettes de couleurs dans le Runtime.

Plus de détails dans l'aide en ligne.

La palette active est définie par l'intermédiaire du nom de la palette. Si aucune palette portant le nom fourni n'existe, la première palette du projet est activée.

Pour créer la fonction Changer de palette :

  • Dans le gestionnaire de projet, sélectionnez l'option Nouvelle fonction... dans le nœud Fonctions.
  • Accédez à Applications.
  • Sélectionnez Changer de palette de couleurs

  • Confirmez avec OK.
  • La boîte de dialogue de sélection de palette de couleurs s'affiche.

Paramètre | Description
Palette | Sélectionnez la palette de couleurs de votre choix dans la liste déroulante.
Afficher cette boîte de dialogue dans le Runtime | Autorise la sélection d'une nouvelle palette de couleurs dans le Runtime.


Exportation et importation

Manuels -> Synoptiques -> Palettes -> Exportation et importation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les palettes de couleurs peuvent être exportées sous forme de fichiers XML, et être importées depuis ces derniers.

Exporter

Pour exporter une palette de couleurs :

  • Sélectionnez la palette de couleurs de votre choix.
    Pour sélectionner plusieurs palettes, maintenez la touche Ctrl ou Maj enfoncée pendant que vous cliquez, ou maintenez le bouton gauche de la souris enfoncé et placez le pointeur sur la ligne de titre de la table
    (Remarque : les palettes sélectionnées ne peuvent plus être désélectionnées individuellement).
  • Seules les palettes entières peuvent être exportées ; les couleurs individuelles ne peuvent pas l'être.
  • Sélectionnez Exporter XML (sélection)... dans le menu contextuel ou la barre d'outils.
  • Dans le gestionnaire de fichiers qui s'affiche à l'écran, sélectionnez l'emplacement auquel vous souhaitez enregistrer le fichier et spécifiez le nom du fichier XML.

Importation

Pour importer une palette de couleurs :

  • Sélectionnez Importer XML … dans le menu contextuel ou la barre d'outils.
  • Sélectionnez le fichier que vous souhaitez importer dans le gestionnaire de fichiers qui s'affiche à l'écran.
  • Les palettes enregistrées dans le fichier XML seront importées.
  • Attention : L'ordre d'exportation est pris en compte :
    si, par exemple, une palette est exportée à la troisième place d'une table, elle sera importée au même emplacement ou ajoutée à la fin, si le projet comporte moins de palettes. Les palettes déjà présentes sont remplacées. Ce qui signifie :
    • Si des palettes sont présentes à l'emplacement de destination de l'importation, les noms et couleurs des palettes existantes sont remplacés.
    • Si une palette est importée vers un emplacement libre, elle est insérée à la fin de la séquence et reçoit un nom standard défini de manière consécutive.
    • Si la palette importée comprend plus de couleurs que les palettes existantes, les couleurs manquantes sont remplacées par du blanc dans les palettes existantes.
    • Si la palette importée comporte moins de couleurs que la palette existante, les couleurs manquantes sont acceptées par la palette remplacée ou complétées avec du blanc, si aucune palette n'a été remplacée.


Message d'erreur

Manuels -> Synoptiques -> Palettes -> Message d'erreur

Lors du transfert d'éléments, par exemple lors de l'importation de fichiers XML ou de l'utilisation de la fonction copier-coller, il est possible que certaines palettes ne s'affichent plus correctement. Causes possibles :

  • Aucune palette de couleurs n'a encore été créée dans le projet.
  • Les palettes comportent différents nombres de couleurs.
  • Les couleurs ont été supprimées

Les message d'erreur correspondant est affiché dans le champ de saisie des propriétés, et l'élément est affiché en blanc.

Message d'erreur | Raison
Aucune palette n'est chargée ! | Aucune palette n'a été configurée dans les projets local et global.
La palette de couleurs est indisponible ! | Il n'existe aucune couleur dans la palette du projet possédant l'indice correspondant.


Exemple pour l'éditeur et le Runtime

Manuels -> Synoptiques -> Palettes -> Exemple pour l'éditeur et le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'Éditeur

Voici par exemple comment on utilise les palettes de couleurs dans l'éditeur :

  • Créez un synoptique comportant un bouton avec du texte et un élément graphique.
  • Choisissez Arrière-plan (couleur) dans les propriétés.
  • Cliquez sur ...
  • La boîte de dialogue de sélection des couleurs s'ouvre.
  • Sélectionnez l'onglet Palette de couleurs.
  • Les couleurs de la palette de couleurs active sont affichées.
  • Sélectionnez la couleur de votre choix.
  • Répétez cette étape pour les propriétés Couleur cadre et Texte (couleur).
  • Synoptique avec une palette de couleurs de base

  • Dans la table de palettes de couleurs, cliquez sur une cellule avec le bouton droit de la souris.
  • Sélectionnez Palette de couleurs dans l'Éditeur dans le menu contextuel.
  • Dans la liste déroulante, sélectionnez une autre palette de couleurs, par exemple Palette 2.
  • Synoptique dans l'Éditeur :

Dans le Runtime

Le synoptique dont la palette de couleurs a été activée dans l'éditeur est affiché dans le Runtime.

Si vous avez configuré une fonction de changement (reportez-vous au chapitre relatif à la Fonction de changement de palettes de couleurs), vous pouvez modifier la palette de couleurs dans le Runtime.

Pour cela :

  • Cliquez sur l'élément.
  • Si l'option Afficher cette boîte de dialogue dans le Runtime est activée, une nouvelle palette peut être sélectionnée dans le Runtime ; dans le cas contraire, la palette fournie par la fonction est affichée automatiquement.

  • L'élément est basculé vers les nouvelles couleurs.


Polices

Manuels -> Synoptiques -> Polices

Dans zenon, toutes les polices installées dans le système d'exploitation peuvent être utilisées. Le nœud Polices se trouve sous le nœud Synoptiques dans le gestionnaire de projet.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouvelle liste de polices | Crée une nouvelle liste de polices de caractères dans la vue de détail.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

info Info

La police sélectionnée doit également être présente sur le système cible comportant le Runtime. Si la police n'est pas présente sur le système cible, une autre police présente sur le système et provenant de la même famille sera utilisée.

Compatibilité avec DirextX

Not all fonts are suitable for use with Direct X. TrueType and OpenType are suitable for use with DirectX. Bitmap fonts are not suitable. Unsuitable fonts are replaced by a suitable font in Runtime.

  • Recommended for use zenon and suitable for Direct X:
    • TrueType (.ttf)
    • OpenType (.otf)
  • Not suitable:
    • Bitmap (.fon) such as System or Script for example
    • Adobe Type 1 (.pfm/.pfb)

Autres sujets abordés dans ce chapitre

Listes de polices

Police par défaut et police système

Dénomination et numérotation de polices et de listes de polices

Lier une police à un élément

ClearType


Listes de polices

Manuels -> Synoptiques -> Polices -> Listes de polices

Par défaut, une liste de polices existe. Elle est affichée dans la vue de détail si le nœud Synoptiques / Polices est sélectionné dans le gestionnaire de projet.

Barre d'outils et menu contextuel

Paramètres | Description
Nouvelle police | Crée une nouvelle police. La boîte de dialogue Police de Windows s'ouvre, vous permettant de sélectionner le type de police, le style, la taille, etc. Voir le chapitre Créer une nouvelle police.
Supprimer une police | Supprime la police sélectionnée de la liste de police.
Nouvelle liste de polices | Crée une nouvelle liste de polices (idem que depuis le gestionnaire de projet). Voir le chapitre Créer une nouvelle liste de polices.
Supprimer liste de polices | Supprime la liste de polices sélectionnée.
Enregistrer | Enregistre les modifications.
Liste de polices définie dans l'éditeur | Affiche les listes de polices existantes et permet de sélectionner celle qui est utilisée pour afficher les textes utilisés dans les synoptiques dans l'éditeur.
Exporter XML (sélection) ... | Les polices et listes de polices peuvent être importées ou exportées au format XML. Voir le chapitre Import / Export / Synoptiques / Polices.

Dans les propriétés, le nom de la liste de polices peut être modifié.

attention Attention

Les modifications de noms effectuées ultérieurement ne sont pas intégrées automatiquement. Si vous modifiez le nom d'une liste de polices après avoir créé une fonction de changement de langue pour cette liste, vous devrez également modifier le nom de la liste de polices dans cette fonction.

Listes de polices : projet global et projet d'intégration

L'éditeur comporte toujours une liste de polices activement basculée. Pour utiliser des polices provenant du projet standard et du projet global, les listes de polices dans ces deux projets doivent porter le même nom.

Note lors de l'utilisation de listes de polices dans les projets globaux :

  • Si les listes de polices sont nommées de manière identique dans un projet global et un projet standard, la liste de polices du projet standard devient prioritaire dans le Runtime.
  • Si elles comportent des noms différents, deux listes de polices sont présentes dans le projet standard, et l'une d'elle peut être utilisée dans le Runtime, au choix de l'utilisateur.

Pour éviter cet effet : Planifiez une fonction de changement de langue en sélectionnant la liste de polices.

Autres sujets abordés dans ce chapitre

Créer une nouvelle liste de polices


Créer une nouvelle liste de polices

Manuels -> Synoptiques -> Polices -> Listes de polices -> Créer une nouvelle liste de polices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour pouvoir utiliser dans les éléments, des polices qui n'appartiennent pas à la liste de police 1, une autre liste de polices doit être créée.

Créer d'autres listes de polices

Une nouvelle liste de polices peut être créée en ouvrant le menu contextuel dans le gestionnaire de projet sur la section Synoptiques / Polices et en sélectionnant la commande Nouvelle liste de polices. La nouvelle liste de polices est affichée dans la vue de détail du gestionnaire de projet.

La police par défaut est créée automatiquement à la première position.

Activer une liste de polices

Pour activer une liste de polices, sélectionnez-la dans le menu contextuel, puis sélectionnez l'entrée Liste de polices dans l'éditeur. Ceci peut être nécessaire dans le cas de l'utilisation de la fonctionnalité de changement de langues. De cette façon, vous pouvez déjà vérifier dans l'éditeur, comment l'élément apparaitra dans le Runtime avec la liste de polices sélectionnée. (par exemple, si la police est trop grosse pour un bouton). Voir chapitre : Changement de langue / Polices

info Info

Il n'existe aucune liste de polices par défaut pour le Runtime. Si plusieurs listes de polices sont prévues, la liste de polices devant être utilisée dans le Runtime doit être définie à l'aide de la fonction de Changement de langue.


Police par défaut et police système

Manuels -> Synoptiques -> Polices -> Police par défaut et police système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tous les nouveaux éléments sont liés à une police par défaut. C'est cette police qui est attribuée au type de l'élément. Si vous modifiez la propriété Police d'un élément, alors tous les éléments du même type qui seront créés après seront liés à cette police. Après le redémarrage de l'éditeur, la police de caractères par défaut est à nouveau utilisée pour tous les types d'éléments. La police par défaut est Arial 10 ; elle supporte l'anticrénelage et apparaît en deuxième position dans la liste. Position.

Les polices suivantes sont automatiquement créées lors de la création initiale d'un projet :

Police | Styles | Taille de police | Information
Arial | Standard | 8 |
Arial | Standard | 10 | Police par défaut
Arial | Standard | 12 |
Arial | Standard | 14 |
Arial | Standard | 20 |
  • La police par défaut peut être éditée. Les modifications sont ensuite répercutées partout où cette police est utilisée.
  • La police système n'est pas redimensionnable, ce qui peut conduire à des problèmes lors de l'utilisation du zoom ou de l'ajustement automatique de la résolution.
  • La police par défaut peut être modifiée avec la propriété Police. La boîte de dialogue est la même que celle qui s'ouvre lorsqu'on utilise la commande Nouvelle police dans le menu contextuel.

Autres sujets abordés dans ce chapitre

Créer une nouvelle police


Créer une nouvelle police

Manuels -> Synoptiques -> Polices -> Police par défaut et police système -> Créer une nouvelle police

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Par défaut, une seule liste de polices existe ; elle est affichée dans la vue de détail du gestionnaire de projet et peut être remplie avec différentes polices.

Créer une nouvelle police dans la liste de polices

Cliquez sur la fenêtre de la vue de détail et ouvrez le menu contextuel en cliquant avec le bouton droit. Sélectionnez ici l'entrée Nouvelle police.

La boîte de dialogue Police de Windows s'affiche à l'écran. Les paramètres suivants sont disponibles :

Paramètres | Description
Police | Toutes les polices du système d'exploitation sont triées par ordre alphabéthique.
Styles | Gras, Italique, etc.
Taille | Taille de la police en pixels.
Effets | Souligné, barré.
Couleur | Sélection de la couleur de la police
Script | Occidentale, Cyrillique, etc.

info Info

Les paramètres de couleurs sont ignorés. Le texte est affiché en noir, à moins que la couleur n'ait été modifiée de manière explicite dans les propriétés. Les couleurs des textes sont uniquement modifiées dans le runtime (par ex. en raison d'un dépassement de limite).

Pour les polices définies dans un projet global, référez-vous au chapitre : Gestion de projet / Projet global.

attention Attention

Toutes les polices de caractères utilisées doivent être installées sur tous les ordinateurs sur lesquels le projet sera démarré.
L'installation peut également être effectuée à l'aide du module de transport à distance. Voir également : Reportez-vous à Fichiers définis (copie & enregistrement)


Dénomination et numérotation de polices et de listes de polices

Manuels -> Synoptiques -> Polices -> Dénomination et numérotation de polices et de listes de polices

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la création d'un projet zenon, 5 polices par défaut sont créées. Le nom de la liste de polices et de la police par défaut dépendent de la langue de démarrage de l'éditeur. Ceci s'applique à la fois aux projets standard et aux projets globaux.

Les polices sont représentées par des numéros. Les polices numéro 1 et 2 sont des polices standard. Ces deux numéros ne peuvent pas être modifiés ; tous les autres numéros peuvent être adaptés individuellement. Lors de la création d'éléments dynamiques, ces derniers sont automatiquement associés à la police portant le numéro 2.

L'éditeur comporte toujours une liste de polices activement basculée. Pour utiliser des polices provenant du projet standard et du projet global, les listes de polices dans ces deux projets doivent porter le même nom.

Remarque : Les projets zenon qui ont été convertis de la version 5.50 à une version ultérieure ne comportent pas de liste de polices par défaut si le projet ne comporte aucune police dans la version 5.50.

Projets globaux et locaux

Les polices provenant du projet standard local sont prioritaires sur les polices provenant du projet global.
Par exemple : une police porte le numéro 50 dans le projet global. Cette police peut être utilisée dans l'espace de travail de tout projet standard, tant que le projet standard ne comporte aucune police portant le numéro 50. Si le projet standard comporte également un numéro 50, c'est cette police qui est utilisée.

Les polices portant les numéros 1 et 2 ne peuvent pas être supprimées dans le projet standard. Ce qui signifie : les polices portant les numéros 1 et 2 peuvent être modifiées dans le projet global. Toutefois, elles ne peuvent pas être utilisées dans le projet standard, car ces deux numéros sont toujours présents dans le projet standard et comportent une priorité plus élevée. Un offset peut être utilisé pour différencier les polices du projet global et du projet standard. Par exemple, la police 2 du projet standard peut devenir la police 2002 dans le projet global.

Solution pour utiliser les polices 1 et 2 du projet global dans le projet standard : Supprimez la liste de polices dans le projet standard et donnez à une nouvelle liste de polices vide le même nom que la liste de polices du projet global.

Supprimer liste de polices

Si les polices portant les numéros 1 et 2 du projet global doivent être utilisées dans le projet standard, la liste de polices doit être supprimée dans le projet standard. Pour cela :

  1. Voici comment créer une sauvegarde du projet :
  2. Si les polices adaptées depuis un projet standard doivent être utilisées globalement :
    1. Exportez la liste de polices du projet standard au format XML.
    2. Importez la liste de polices au format XML dans le projet global.
  3. Ouvrez le dossier SQL du projet standard.

    Conseil : sélectionnez le projet dans zenon et appuyez Ctrl+Alt+E ; le dossier du projet est ouvert dans l'Explorateur. Accédez ensuite à zenon/system.

  4. Fermez l'espace de travail.
  5. Supprimez le fichier intitulé fonts.bin.
  6. Ouvrez l'espace de travail.
  7. Maintenant, créez une nouvelle liste de polices vide et donnez-lui le même nom que la liste de polices du projet global.

Les polices portant les numéros 1 et 2 du projet global sont maintenant utilisées dans le projet standard. Les nouveaux éléments utilisent la police numéro 2 du projet global, le cas échéant, ou la police système si le projet global n'est pas disponible.

Eléments dynamiques et statiques

Les polices de l'élément vectoriel Texte statique et des éléments dynamiques ne sont pas sauvegardées de la même manière. La raison est que l'option Texte statique autorise également l'incorporation de polices.

L'incorporation signifie que la police n'est alors plus liée à une liste de polices, mais qu'elle est locale et uniquement configurée pour cet élément.

Attention : cela ne signifie pas que la police est incorporée dans le synoptique, et qu'elle est donc toujours correctement affichée. La police doit rester présente dans le système qui l'affiche.

Importation et exportation via XML

Lors de l'importation et de l'exportation via XML, la propriété Nom est utilisée aux fins de l'identification avec des éléments dynamiques. Si, par exemple, le projet global comporte une police portant le nom "zenon" et le projet standard local comporte une autre police portant aussi le nom "zenon", la police du projet local doit être utilisée durant l'importation et l'exportation.

Conseil : les noms des polices doivent être explicites dans le projet global et le projet standard. L'éditeur n'effectue aucune vérification en ce sens.

VBA

Le langage VBA utilise la propriété Numéro de la police pour les éléments dynamiques. Ici, l'offset peut s'avérer utile pour les polices dans le projet global et le projet standard.

Par exemple : La police 2 du projet standard est remplacée par la police 2002 du projet global. Pour les éléments vectoriels, le numéro de police est enregistré en deuxième position de la chaîne de polices. Dans la chaîne de polices "0 7 0 0 700 255 0 0 0 3 2 5 34 Arial", le numéro de la police est 7 et peut facilement être remplacé par 2007 dans le projet global.


Lier une police à un élément

Manuels -> Synoptiques -> Polices -> Lier une police à un élément

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il y a deux possibilités pour lier une police de caractères à un élément dynamique ou un élément vectoriel (par exemple : Texte).

Paramètres | Description
Glisser et déposer | La table dans la vue de détail a la structure suivante : Numéros, listes de polices et polices. La police peut être liée à l'élément par un glisser et déposer du numéro de la police vers l'élément dans le synoptique.
Propriétés | Il est aussi possible de lier la police en utilisant les propriétés de l'élément sélectionné. En cliquant dans Affichage / Police, la boîte de dialogue Saisir un élément est ouverte.

Autres sujets abordés dans ce chapitre

Polices embarquées et polices liées


Polices embarquées et polices liées

Manuels -> Synoptiques -> Polices -> Lier une police à un élément -> Polices embarquées et polices liées

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les polices peuvent être soit embarquées dans les éléments, soit liées.

Paramètre

Description

lien

Les polices de caractères sont liées par défaut.

embarqué

Pour l'élément vectoriel texte statique, il est possible d'incorporer la police. La police n'est alors plus liée à une liste de polices, mais est locale et uniquement configurée pour cet élément.

Attention : cela ne signifie pas que la police est incorporée dans le synoptique, et qu'elle est donc toujours correctement affichée. La police doit rester présente dans le système qui l'affiche.

info Info

Mise à l'échelle de symboles :

Si le symbole contient un élément de texte statique et est incorporé sous forme de texte dans cet élément, ce texte :

  • Est mis à l'échelle dans l'Éditeur
  • N'est pas mis à l'échelle dans le Runtime

Ceci s'applique uniquement aux symboles. Le texte incorporé n'est mis à l'échelle ni dans l'Éditeur, ni dans le Runtime, dans toutes les configurations.


ClearType

Manuels -> Synoptiques -> Polices -> ClearType

Les polices ClearType peuvent améliorer la lisibilité des polices sur les écrans LCD dans leur résolution native. Les polices standard de Windows sont souvent mieux adaptées aux moniteurs cathodiques et aux écrans LCD dotés d'une résolution par interpolation. Vous pouvez définir si les polices ClearType sont utilisées dans les propriétés du projet : Nœuds Apparence graphique -> Synoptiques -> Polices ClearType.

Activation de l'option ClearType

  • Si l'option ClearType est active dans le système d'exploitation, la fonction ClearType est utilisée, quel que soit le paramètre configuré dans zenon.
    Exception : DirectX peut directement activer ou désactiver l'option ClearType.
  • Si l'option ClearType n'est pas active dans le système d'exploitation, le paramètre défini dans zenon est décisif.
Paramètre | Paramètres de la propriété Qualité graphique | Description
Active (par défaut) |  | Les polices ClearType sont utilisées.
Inactif | Base Windows Windows Extended | Les polices standard de Windows sont utilisées. L'option ClearType doit également être désactivée dans le système d'exploitation sous Windows Vista et Windows 7.
 | Logiciel DirectX Matériel DirectX | L'option ClearType peut être activée ou désactivée indépendamment du système d'exploitation.

Attention : Les modifications apportées au paramètre prennent uniquement effet après le redémarrage de l'éditeur.


Symboles

Manuels -> Synoptiques -> Symboles

Les symboles sont des éléments de synoptique auxquels il est possible d'attribuer des éléments vectoriels et des éléments dynamiques (macros de synoptique). L'attribut de couleur d'un symbole peut être modifié au moyen d'éléments dynamiques (élément binaire, élément binaire multiple et élément combiné) dans le Runtime.

zenon comporte deux bibliothèques de symboles distinctes :

Bibliothèques de symboles

Propriété

Bibliothèque globale du système

Les symboles sont disponibles dans tous les projets. Le nœud Bibliothèque de symboles globale se trouve dans le gestionnaire de projet, sous les projets actuellement chargés.

Les symboles globale sont enregistrés dans le dossier du programme zenon, et sont uniquement mis à jour lors du démarrage de l'Éditeur. Ces symboles ne sont pas enregistrés durant la sauvegarde du projet.

Bibliothèque de symboles du projet

Les symboles sont uniquement disponibles dans le projet actuel.

Les symboles sont enregistrés dans le dossier du projet. La bibliothèque de symboles du projet se trouve dans le projet actuel, dans le nœud Synoptiques, et est sauvegardée lors de la sauvegarde du projet.

Pour vous permettre de travailler simultanément avec les deux bibliothèques, les aperçus de la bibliothèque globale et de la bibliothèque du projet sont affichés dans deux fenêtres distinctes. Les noms des bibliothèques sont alors affichés dans les onglets affichés le long du bord inférieur de l'écran.

Les symboles peuvent être déplacés ou copiés d'une bibliothèque vers une autre à l'aide d'une manipulation glisser-déplacer.

info Info

Mise à l'échelle de symboles :

Si le symbole contient un élément de texte statique et est incorporé sous forme de texte dans cet élément, ce texte :

  • Est mis à l'échelle dans l'Éditeur
  • N'est pas mis à l'échelle dans le Runtime

Ceci s'applique uniquement aux symboles. Le texte incorporé n'est mis à l'échelle ni dans l'Éditeur, ni dans le Runtime, dans toutes les configurations.

Symboles de synoptique et symboles de la bibliothèque de symboles globale

  • Les symboles de synoptique sont créés sur le synoptique et ne peuvent être modifiés qu'à cet endroit. Ils sont liés à la bibliothèque ou embarqués dans les synoptiques.
  • Les symboles provenant d'une bibliothèque sont modifiés dans la bibliothèque et liés au synoptique.

attention Attention

Les symboles provenant de la Bibliothèque de symboles globale sont enregistrés localement dans leur propre fichier (*.sym), dans le dossier de programme zenon. Ces fichiers doivent toujours être ajoutés manuellement aux sauvegardes de projets multi-utilisateurs et lors de la transmission de projets. Les symboles provenant de la bibliothèque de symboles du projet local sont toujours incorporés automatiquement aux sauvegardes de projets.

Conseil : sauvegardez toujours les symboles dans la bibliothèque de symboles du projet local.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Exporter XML tous... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Ouvrir dans nouvelle fenêtre ... | Ouvre une nouvelle fenêtre permettant d'afficher et modifier la variable. (Par défaut : au bas de l'Éditeur.)
Aide | Ouvre l'aide en ligne.

Marquage des symboles liés

Les symboles liés sont vérifiés, afin de s'assurer qu'ils sont présents et corrects :

  • lors de la génération des fichiers Runtime
  • lors de la fermeture de l'éditeur et de la création de nouveaux fichiers Runtime

Les symboles manquants sont indiqués en rouge dans la fenêtre de sortie. Le message d'erreur indique le nom des synoptiques et symboles concernés.

Symboles du menu

Dès qu'un symbole est activé dans la bibliothèque de symboles globale ou la bibliothèque de symboles du projet, l'élément de menu Synoptiques est remplacé par Symbole dans la barre d'outils.

Les actions possibles sont les suivantes :

Élément de menu

Action

Enregistrer symbole

Enregistre le symbole actuel.

Enregistrer tous les symboles

Enregistre tous les symboles.

Changer symbole...

Ouvre la boîte de dialogue de configuration de la taille et de la couleur d'arrière-plan des symboles.

Remarque : les modifications apportées à la couleur d'arrière-plan affectent toujours tous les symboles dans la bibliothèque de symboles globale.

Liste de symboles

Affiche une liste de tous les symboles utilisés dans le synoptique actuel. Pour chaque symbole, la liste des composants graphiques est fournie.

Mode Plein écran

Le mode plein écran masque toutes les autres fenêtres et affiche uniquement la fenêtre principale contenant tous les documents ouverts (synoptiques, rapports, etc.) en mode plein écran.

Vous pouvez fermer le mode plein écran en :

  • Cliquant sur le bouton de fermeture du mode plein écran
  • En appuyant sur Maj+F9
  • En appuyant sur Échap

Redessiner symbole

Rafraîchit l'affichage.

Montrer grille

Active ou désactive la grille.

Afficher la grille

Active ou désactive l'utilisation de la grille.

Activée : tous les objets sont automatiquement alignés sur la grille.

Utiliser les points magnétiques

Active ou désactive les points magnétiques.

Utilisation : si vous déplacez un objet à proximité du point de manipulation d'un autre objet, il s'enclenche automatiquement sur ce point de manipulation.

Change order for focus (Modifier l'ordre d'affichage)

Ouvre la liste déroulante permettant de définir l'ordre horizontal ou vertical lors de l'utilisation du clavier.

Ordre vers la gauche/la droite : Détermine l'ordre horizontal.

Ordre vers le haut/le bas : Détermine l'ordre vertical.

Zoom

Modifie la résolution par incréments fixes compris entre 15 % et 400 %.

Screenshot print current symbol (Capture d'écran : imprimer le symbole actuel)

Le symbole actuel est imprimé sur l'imprimante par défaut. Vous pouvez configurer les propriétés de l'imprimante via les options Fichier -> Configuration standard -> Standard.

Insérer graphiques vectoriels

Ouvre la boîte de dialogue permettant d'insérer des éléments graphiques vectoriels externes.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Symbole

Configuration de la taille et de la couleur d'arrière-plan

Déverrouillage des propriétés du lien

Créer et supprimer vos propres symboles

Ajout de symboles à un synoptique

Liste de symboles

Exportation et importation au format XML


Barre d'outils et menu contextuel de la vue de détail Symbole

Manuels -> Synoptiques -> Symboles -> Barre d'outils et menu contextuel de la vue de détail Symbole

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La bibliothèque de symboles peut être actionnée depuis le menu contextuel ou la barre d'outils :

Commandes du menu contextuel et de la barre d'outils

Barre d'outils

Le menu contextuel

Fonction

1

Nouveau symbole

Crée un nouveau symbole.

3

Ouvrir symbole

Ouvre le symbole dans l'Éditeur de symboles, vous permettant de le modifier.

2

Symbol group new (Nouveau groupe de symboles)

Un nouveau groupe est créé et vous pouvez y ajouter des symboles sélectionnés dans la bibliothèque ou des symboles que vous avez définis dans des synoptiques. (Copier et coller). Disponible uniquement dans la bibliothèque de symboles globale.

4

Insérer symbole de manière embarquée dans le synoptique

Insère le symbole de manière embarquée dans un synoptique (pour plus de détails, reportez-vous au sous-chapitre Symboles embarqués).

5

Insérer symbole de manière liée dans le synoptique

Lie le symbole à un synoptique (pour plus de détails, reportez-vous au sous-chapitre Symboles liés).

13

Vue à plat

Réorganise tous les symboles sous forme de vue plane. Facilite la recherche de certains symboles.

Remarque : Dans cette vue, vous ne pouvez ni créer, ni supprimer des symboles ; il est également impossible de copier ou insérer des symboles depuis le presse-papiers.

14

Hierarchical view (Vue hiérarchique)

Trie tous les symboles de manière hiérarchique dans des sous-groupes et affiche les dépendances.

6

Copier

Copie le symbole sélectionné vers le presse-papiers (vue hiérarchique uniquement).

7

Coller

Insère le symbole copié dans le groupe actif (vue hiérarchique uniquement).

8

Supprimer

Supprime le symbole ou groupe de symboles sélectionné (vue hiérarchique uniquement).

Attention : la suppression ne peut pas être annulée.

9

Éditer cellule sélectionnée

Autorise l'édition du contenu de la cellule sélectionnée.

10

Replace text in selected cell (Remplacer un texte dans la cellule sélectionnée)

Ouvre la boîte de dialogue de remplacement automatique de textes (uniquement disponible si des cellules contenant du texte ont été sélectionnées).

11

Propriétés

Ouvre la fenêtre Propriétés pour le symbole sélectionné.

12

Étendre/réduire les nœuds

Autorise le développement/la réduction du nœud sélectionné ou de tous les nœuds dans la vue hiérarchique.

15

Exporter XML (sélection)

Ouvre la boîte de dialogue permettant d'exporter les symboles sélectionnés au format XML. (Pour plus de détails, reportez-vous au chapitre Importation/exportation de symboles.)

16

Importer XML

Importe des symboles depuis un fichier XML (reportez-vous au chapitre Importation/exportation de symboles).

18

Supprimer tous les filtres

Supprime tous les filtres dans l'intitulé de la colonne.

19

Aide

Ouvre le fichier d'aide du menu contextuel.

17

-

Revient à l'élément de départ (barre d'outils uniquement).

Options de la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.


Configuration de la taille et de la couleur d'arrière-plan

Manuels -> Synoptiques -> Symboles -> Configuration de la taille et de la couleur d'arrière-plan

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour configurer la taille et la couleur de l'arrière-plan du symbole :

  1. Sélectionnez le symbole dans le menu contextuel ou, dans le menu Symbole, sélectionnez l'option Changer symbole....
  2. La boîte de dialogue de configuration s'affiche à l'écran.

Paramètres | Description
Largeur/hauteur symbole | Saisissez la hauteur et la largeur du symbole en pixels.
Couleur du fond | Définit la couleur de l'arrière-plan. Cliquez sur Couleur pour ouvrir la palette de couleurs. Remarque : les modifications apportées à la couleur d'arrière-plan affectent toujours tous les symboles dans la bibliothèque de symboles globale.
OK | Appliquer toutes les modifications et ferme la boîte de dialogue.
Annuler | Annule toutes les modifications et ferme la boîte de dialogue.


Déverrouillage des propriétés du lien

Manuels -> Synoptiques -> Symboles -> Déverrouillage des propriétés du lien

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour une utilisation optimale des symboles liés, il est parfois nécessaire d'attribuer des valeurs individuelles à des propriétés individuelles provenant d'éléments du système. Par exemple, un symbole de moteur comporte un en-tête contenant son nom.

Vous pouvez déverrouiller la propriété Texte avec cette fonction. Si vous faites glisser le symbole sur le synoptique, vous pouvez ensuite modifier la propriété Texte individuellement pour chaque moteur.

Cette fonction est disponible pour toutes les propriétés.

Développement

L'éditeur de symboles est ouvert lors de l'ouverture d'un symbole. L'éditeur de symbole est constitué d'une fenêtre scindée en deux parties, qui permet de modifier le symbole sélectionné.

Le symbole est modifié dans la zone supérieure ; dans la zone inférieure apparaissent les propriétés déverrouillées de l'élément de ce symbole. Il existe différentes manières de déverrouiller les éléments :

  1. Glisser et déposer
    1. Déplacez les propriétés de votre choix en effectuant un glisser-déplacer de la fenêtre de la propriété vers la section inférieure de l'Éditeur de symboles.
    2. Remarque : vous devez toujours cliquer sur le nom de la propriété (pas sur la valeur) et la déplacer vers la zone de déverrouillage par un glisser-déplacer.
  2. Menu contextuel Propriétés
    1. Cliquez avec le bouton droit sur le nom de la propriété.
    2. Sélectionnez Libérer [propriété] dans le menu contextuel.
    3. La propriété apparaît dans la liste.
  3. Barre d'outils Propriété
    1. Cliquez avec le bouton gauche sur le nom de la propriété.
    2. Cliquez sur le symbole de déverrouillage de la barre d'outils (la flèche vers le haut de couleur verte, située au-dessus du champ de texte).
    3. La propriété apparaît dans la liste.

Remarque : si l'entrée n'est pas proposée, ou si le symbole est affiché comme désactivé, l'élément ne peut pas être déverrouillé. Causes possibles :

  • Aucun élément de synoptique n'est sélectionné dans l'Éditeur de symboles.
  • La propriété a déjà été déverrouillée
  • L'élément n'autorise pas le déverrouillage (ActiveX, par exemple)

La zone de déverrouillage est une liste qui peut être filtrée. Vous pouvez filtrer cette liste en fonction des différentes propriétés, si vous le souhaitez. Un menu contextuel est disponible pour toutes les actions.

Menu contextuel de la liste de propriétés déverrouillées :

Paramètres | Description
Remove selected property (Supprimer la propriété sélectionnée) | Annule le déverrouillage de l'élément.
Annuler | Révise la dernière action.
Aide | Ouvre l'aide en ligne.

Modification de propriétés déverrouillées

Si le symbole est affiché sur le synoptique, le nœud supplémentaire $_Element Name est disponible. Toutes les propriétés déverrouillées individuellement sont déverrouillées. Elles sont séparées du principe de lien (déverrouillées), et n'ont plus aucun lien avec ce symbole si elles sont modifiées. Si une propriété de l'un de ces éléments est sélectionnée dans la fenêtre Propriétés, cet élément clignote à l'écran.

Les propriétés déverrouillées peuvent être modifiées :

  • Par le biais des propriétés du nœud $_nom_élément
  • À l'aide de l'assistant Symbole lié

Assistant Symbole lié

L'assistant Symbole lié vous permet d'éditer facilement les propriétés déverrouillées, avec un aperçu clair :

  1. Double-cliquez sur un symbole :
    1. Lié dans le synoptique et
    2. Dont les propriétés sont déverrouillées
  2. L'assistant Symbole lié s'affiche
  3. Sélectionnez la propriété à modifier.
  4. Saisissez la nouvelle valeur.
    Conseil : chaque modification est acceptée immédiatement !
  5. Fermez l'assistant de dialogue en cliquant sur Quitter.

Paramètres | Description
Select an element in the symbol (Sélectionner un élément dans le symbole) | Sélection d'un élément dans le symbole à l'aide de la liste déroulante.
Select the exported property to (Sélectionner la propriété exportée pour) | Sélection de la propriété déverrouillée dans une liste.
Display of property (Affichage de la propriété) | Affichage de la propriété à modifier.
Champ de saisie | Saisie de la nouvelle valeur de la propriété par la saisie d'une saisie textuelle/numérique, d'une liste déroulante ou d'une boîte de dialogue de sélection, selon la propriété.
Quitter | Ferme l'assistant

info Info

L'assistant n'est pas compatible avec toutes les propriétés de symbole.


Créer et supprimer vos propres symboles

Manuels -> Synoptiques -> Symboles -> Créer et supprimer vos propres symboles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Créez des symboles dans l'éditeur de symboles ou dans un synoptique. Les éléments d'un symbole peuvent être :

  • Éléments vectoriels
  • Les éléments dynamiques
  • D'autres symboles : Les symboles peuvent être insérés dans d'autres symboles embarqués

info Info

Les éléments contenus dans un symbole doivent uniquement être placés dans la zone du symbole, et ne doivent pas en dépasser. Si des éléments dépassent des bordures du symbole, des erreurs d'affichage peuvent se produire lors de l'affichage dans le Runtime. Cela s'applique également aux éléments utilisant des symboles (par exemple, éléments combinés).

Dans l'éditeur de symboles :

  1. Sélectionnez Nouveau symbole dans le menu contextuel ou la barre d'outils.
  2. Cliquez sur la cellule Nom d'élément et spécifiez un nom (l'usage des points n'est pas autorisé dans les noms de symboles).
  3. Créez le symbole dans l'éditeur de symboles.
  4. Ajoutez les éventuelles propriétés individuelles (reportez-vous au sous-chapitre relatif à la modification des propriétés héritées).
  5. Enregistrez le symbole.

Dans le synoptique :

  1. Sélectionnez un ou plusieurs éléments sur le synoptique.
  2. Dans le menu contextuel, sélectionnez Symbole -> Créer (ou -> Insérer dans symbole existant),
    ou, dans le menu Édition-> Symbole -> Créer.
  3. Enregistrez le symbole.

attention Attention !

Polices de caractères et éléments graphiques des symboles utilisés dans le projet :

Polices :les polices de caractères sont définies par des identifiants. Assurez-vous que le même identifiant est attribué à toutes les polices de caractères dans tous les projets dans lesquels le symbole est utilisé.

Éléments graphiques : les éléments graphiques intégrés à un symbole ne sont pas sauvegardés avec le symbole. Les éléments graphiques correspondants doivent être copiés manuellement vers la bibliothèque d'éléments graphiques du projet correspondant.

Intégration de symboles à d'autres symboles ou de symboles de liens à des symboles

Lors de la création de symboles, vous pouvez également intégrer ou lier des symboles existants, de manière semblable aux synoptiques (reportez-vous à la section Insérer un symbole dans un synoptique). Dans ce cas, vous devez respecter les consignes suivantes :

  • Un symbole ne peut pas contenir de récursion, c'est-à-dire qu'il ne peut être lié à lui-même !
  • Les symboles d'un projet ne peuvent pas comporter des liens vers d'autres projets !
  • Les symboles provenant de la bibliothèque globale ne peuvent pas contenir de liens vers les symboles du projet.

info Info

Le contenu d'un symbole peut uniquement être modifié dans l'éditeur de symboles. Si vous insérez un symbole embarqué dans un synoptique, vous ne pouvez pas modifier le symbole dans l'éditeur de synoptiques.

attention Attention

Vous pouvez uniquement lier les symboles provenant de la bibliothèque du projet au projet concerné. Il est impossible de lier des symboles provenant de la bibliothèque d'un projet à d'autres projets. Si vous souhaitez utiliser un symbole provenant d'une autre bibliothèque de projet, vous pouvez l'incorporer.

Supprimer et effacer

Pour supprimer un symbole :

  1. Sélectionnez le symbole dans la bibliothèque.
  2. Sélectionnez Supprimer dans le menu contextuel ou la barre d'outils.

Pour supprimer un symbole embarqué dans un nouveau synoptique :

  1. Sélectionnez le symbole dans la bibliothèque.
  2. Dans le menu contextuel, sélectionnez Symbole -> Supprimer
  3. Le symbole est supprimé des éléments.
  4. Si le symbole de la bibliothèque de symboles a déjà été inséré, il reste inchangé ; il est définitivement supprimé de la section de gestion des symboles.

Pour supprimer un symbole lié :

  1. Sélectionnez le symbole dans la bibliothèque.
  2. Sélectionnez Supprimer dans le menu contextuel.
  3. Le symbole reste inchangé dans la bibliothèque de symboles ; en revanche, il est supprimé de la section de gestion des symboles.

info Info

Pour modifier les éléments individuels d'un symbole sans supprimer l'attribution du symbole, procédez comme suit :

  • Pour les symboles liés : Modifier dans éditeur de symbole
  • Pour les symboles embarqués : Mode d'édition Symbole/Éléments

Autres sujets abordés dans ce chapitre

Transférer vos propres symboles vers la bibliothèque


Transférer vos propres symboles vers la bibliothèque

Manuels -> Synoptiques -> Symboles -> Créer et supprimer vos propres symboles -> Transférer vos propres symboles vers la bibliothèque

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez également transférer les symboles que vous avez créés dans le synoptique vers une bibliothèque de symboles :

  1. Dans le menu contextuel, sélectionnez Symbole -> Insérer dans la bibliothèque de symboles.
  2. La boîte de dialogue de définition des symboles s'ouvre.
  3. Sélectionnez votre bibliothèque de projets ou la bibliothèque de symboles globale, ainsi que le dossier approprié.
  4. Confirmez en cliquant sur OK.
  5. Sélectionnez la bibliothèque de symboles souhaitée.
  6. Le symbole a été saisi avec le nom d'élément Embedded symbol_No (Symbole embarqué no.).
  7. Renommez-le à votre convenance.
  8. Pour continuer à modifier le symbole ou pour l'associer à des propriétés individuelles (voir Déverrouiller les propriétés héritées), ouvrez le symbole en double-cliquant dessus ou en sélectionnant l'option Ouvrir symbole du menu contextuel dans l'éditeur de symboles.

info Info

Un symbole créé à partir d'un élément et d'un symbole lié ne peut pas être accepté dans la bibliothèque de symboles. Pour pouvoir insérer le symbole :

  • Convertissez le symbole lié en symbole embarqué
  • Créez un nouveau symbole à partie de l'élément et du symbole embarqué

Ce symbole peut maintenant être inséré dans la bibliothèque de symboles.


Ajout de symboles à un synoptique

Manuels -> Synoptiques -> Symboles -> Ajout de symboles à un synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les symboles peuvent être insérés dans un synoptique de deux manières, sous forme de :

  • Symboles embarqués : ces symboles ne sont plus connectés au symbole dans la bibliothèque ; les modifications apportées au symbole original n'ont aucun effet sur le symbole embarqué.
  • Symboles liés : ces symboles restent liés au symbole original. Les modifications apportées au symbole modifient également le symbole dans le synoptique.

attention Attention

Vous pouvez uniquement lier les symboles provenant de la bibliothèque du projet au projet concerné. Il est impossible de lier des symboles provenant de la bibliothèque d'un projet à d'autres projets. Si vous souhaitez utiliser un symbole provenant d'une autre bibliothèque de projet, vous pouvez l'incorporer.

info Info

Si vous avez activé la propriété Frame Around Dynamic Elements in Editor (Cadre autour des éléments dynamiques dans l'Éditeur), vous pouvez différencier les symboles embarqués et les symboles liés d'un simple coup d'œil. Pour les symboles liés, un symbole représentant une flèche est affiché dans le coin supérieur droit. Vous trouverez cette propriété sous Options -> Paramètres, dans la section Paramètres.

Autres sujets abordés dans ce chapitre

Symboles embarqués

Symboles liés

Sélection de symboles dans les éléments combinés


Symboles embarqués

Manuels -> Synoptiques -> Symboles -> Ajout de symboles à un synoptique -> Symboles embarqués

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Voici comment embarquer un symbole dans un synoptique :

  • maintenez la touche Ctrl enfoncée et déplacez le symbole en effectuant un glisser-déplacer

    ou

  • Sélectionnez l'option Insérer symbole de manière embarquée dans le menu contextuel pour embarquer le symbole dans le synoptique actuel.

Les symboles incorporés peuvent ensuite être dissociés en éléments individuels, ou leurs éléments peuvent être modifiés. Pour cela, sélectionnez Symbole -> Change to individual editing mode (Activer le mode d'édition individuelle) dans le menu contextuel ou sélectionnez Édition -> Symbole -> Symbol/Element individual editing mode (Mode d'édition de symboles/d'éléments individuels) dans le menu.

Ces symboles ne sont pas modifiés, même lorsque le symbole original dans la bibliothèque est modifié, car ils n'y sont plus liés.

Remplacement de variables liées

La boîte de dialogue permettant de remplacer les variables et les fonctions s'ouvre lors de l'incorporation d'un symbole. Ici, vous pouvez automatiquement remplacer les éléments présents par ceux que vous souhaitez attribuer au symbole lié. Vous trouverez plus de détails concernant le remplacement automatique de variables et de fonctions au chapitre Remplacement de d'éléments liés dans l'Éditeur .

Pour remplacer les variables dans des symboles déjà insérés, sélectionnez l'option Remplacer les liens dans le menu contextuel.

Conseil : veillez à attribuer des noms univoques et logiques aux variables dès le début.


Symboles liés

Manuels -> Synoptiques -> Symboles -> Ajout de symboles à un synoptique -> Symboles liés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les symboles liés n'enregistrent pas les variables physiquement présentes dans la bibliothèque de symboles, mais uniquement les noms de variables. Lors de l'insertion de variables dans un synoptique sous forme de liens, les noms de variables enregistrés dans le symbole peuvent être attribués aux variables issues du projet. Si le projet reçoit une variable correspondant à un nom de variable enregistré dans le symbole, celui-ci est lié automatiquement, sans règle supplémentaire.

Insertion d'un symbole avec un lien

Voici comme lier un symbole à un synoptique :

  • Déplacez le symbole en effectuant un glisser-déplacer vers le synoptique

    ou

  • Sélectionnez l'option Insérer symbole de manière liée dans le synoptique dans le menu contextuel pour lier le symbole au synoptique actuel.

Les symboles liés sont uniquement enregistrés sous forme de liens dans les synoptiques. Chaque modification du symbole dans la bibliothèque a une influence directe dans le symbole du synoptique. Si, par exemple, un élément dynamique est ajouté à un symbole, il est disponible dans tous les synoptiques dans lesquels le symbole est utilisé.
Exception : les modifications de la taille du symbole ont uniquement un effet sur le synoptique où se trouve le symbole si l'option Taille originale est sélectionnée dans les propriétés Taille du graphique du symbole.

Avec les symboles embarqués, vous pouvez :

  • Les transformer en symboles embarqués : Menu contextuel Symbole -> Convertir symbole lié en symbole embarqué
  • Les modifier dans l'éditeur de symboles : Symbole -> Modifier dans éditeur de symbole
  • Les insérer dans un symbole embarqué : Symbole -> Insérer dans symbole existant

Les symboles liés ne peuvent pas être dissociés sous forme d'éléments, et leurs éléments ne peuvent pas être modifiés par le biais de la commande Éditer symbole (menu contextuel -> Symbole -> Change to individual editing mode (Activer le mode d'édition individuelle) ou menu Édit -> Symbole -> Symbol/element individual editing mode (Mode d'édition de symboles/d'éléments individuels).

attention Attention

Dans les symboles liés, vous ne devez utiliser que les polices de caractères "embarquées", car les polices "liées" ne sont pas redimensionnées avec le symbole. La position du texte changera en fonction de l'élément graphique du symbole.

Remplacement de variables et de fonctions liées

Lors de l'incorporation d'un symbole contenant des variables, la boîte de dialogue de remplacement de variables et de fonctions s'ouvre. Ici, vous pouvez automatiquement remplacer les éléments présents par ceux que vous souhaitez attribuer au symbole lié. Les alias de CAL utilisés dans les éléments du symbole peuvent également être remplacés. Séparez les entrées multiples par un point-virgule (;).

Propriété | Description
Source | Saisie partielle de la chaîne recherchée ; les opérateurs * et ? peuvent être utilisés. (Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.)
Destination | Saisie de la chaîne partielle
Nom | Échange des informations dans des noms de variables de procédé.
Identification | Échange des informations dans l'identification.
Note capitalization (Tenir compte de la capitalisation) | Lors de l'échange, assurez-vous que l'utilisation des majuscules soit parfaitement identique.
Noms hiérarchiques | Noms combinés autorisés. Indisponible pour les alias de CAL. Ces derniers sont toujours utilisés sans symbole en préfixe.

D'autres détails concernant le remplacement automatique des variables et des fonctions sont disponibles au chapitre Remplacement des liens de variables et de fonctions.

Pour remplacer les variables dans des symboles précédemment insérés, sélectionnez la propriété Aperçu dans le nœud Liens.

Conseil : veillez à attribuer des noms univoques et logiques aux variables dès le début.

Exemple :

Source : A;b

Cible : C;d

Noms hiérarchiques

Si la propriété Noms hiérarchiques du nœud Liens est active, les noms des variables liées issues des noms d'objet du symbole et des variables définies dans le symbole sont associés. Les deux noms sont séparés par un point : "NomSymbole.Variable"

Example Exemple

Nom de la variable : Motor.Speed
Le nom d'objet du symbole est Motor. L'élément dynamique utilisé dans le symbole comporte l'opérateur Régime en tant que variable liée.
L'opérateur Régime peut facilement être saisi pour la propriété du symbole lors de la création de la variable.

Les noms combinés fonctionnent également avec les symboles imbriqués :
Si vous avez un symbole Pompe, qui contient à son tour un symbole Moteur et un symbole Convertisseur avec l'opérateur de variable Puissance, la liaison fonctionne en présence d'une variable Pompe.Moteur.Puissance et d'une variable Pompe.Convertisseur.Puissance.


Sélection de symboles dans les éléments combinés

Manuels -> Synoptiques -> Symboles -> Ajout de symboles à un synoptique -> Sélection de symboles dans les éléments combinés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour lier des éléments combinés à un symbole :

  1. Sélectionnez Symbole de la bibliothèque dans les propriétés de l'élément combiné, dans le nœud Affichage de la propriété Type d'affichage.
  2. Cliquez sur Configuration et test
  3. La boîte de dialogue de configuration s'ouvre.

Les paramètres généraux de tous les types d'affichage sont décrits au chapitre relatif aux états.

Paramètre

Description

Éléments de l'affichage

Symbole de la bibliothèque

Cliquer sur le symbole pour ouvrir la boîte de dialogue et sélectionner un symbole.

Cliquez sur le symbole X adjacent au symbole pour supprimer le symbole sélectionné.

Modifier la règle de liens

Les variables et les fonctions contenues dans le symbole peuvent être échangés grâce aux règles de liens.

Attention : Si une variable ou une fonction ne 'colle' pas pour le remplacement, ce lien n'est pas remplacé.

Couleur

Actif uniquement si la propriété Couleurs de symboles originales des Paramètres spécifiques est désactivée.

Couleur

Choix de la couleur.

Couleur de remplissage

Choix de la couleur de remplissage.

A partir de CAL

La couleur de la source liée est utilisée.

Paramètres spécifiques

Couleur symbole originale

Actif : Transfère la couleur originale depuis le symbole. Désactive la propriété Prendre la couleur de la variable principale.

Clignotement

Actif : le symbole clignote dans le Runtime si l'état a été atteint.


Liste de symboles

Manuels -> Synoptiques -> Symboles -> Liste de symboles

Sélectionnez Édition -> Symbole ->Barre d'outils... pour ouvrir une liste présentant tous les symboles du synoptique actif.

Titre : | Contenu
No. | Numéro du symbole
Nom | Nom du symbole

Vous pouvez trier les symboles par numéro ou par nom en cliquant sur l'intitulé de la colonne correspondante. Tout symbole sélectionné dans la liste de symboles clignote dans le synoptique.


Exportation et importation au format XML

Manuels -> Synoptiques -> Symboles -> Exportation et importation au format XML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'importation/exportation des symboles est possible à partir du projet et de la bibliothèque globale de symboles. Les symboles sélectionnés ou tous les symboles d'une bibliothèque (c'est-à-dire la bibliothèque complète) peuvent être importés ou exportés. Le chemin d'exportation peut être défini librement.

Exportation de symboles

Pour exporter des symboles :

  1. Sélectionnez les symboles de votre choix
  2. Sélectionnez Exporter XML (sélection)... dans le menu contextuel ou la vue de détail.
    Vous pouvez également procéder ainsi : Dans le menu contextuel du nœud Bibliothèque de symboles du projet, sélectionnez la commande Exporter XML (tout)....
  3. La boîte de dialogue de sélection de l'emplacement d'enregistrement s'ouvre
  4. Sélectionnez l'emplacement d'enregistrement de votre choix
  5. Attribuez un nom
  6. Prêtez attention au type de fichier XML
  7. Confirmez en cliquant sur le bouton Enregistrer

Les symboles sélectionnés sont exportés vers un fichier XML, et peuvent être importés à tout instant dans ce projet ou d'autres projets.

Importation de symboles

Pour importer des symboles :

  1. Dans le menu contextuel du nœud ou la vue de détail de la Bibliothèque de symboles du projetn ou dans la vue de détail de la Bibliothèque de symboles globale, sélectionnez la commande Importer XML....
  2. La boîte de dialogue de sélection de l'emplacement d'enregistrement s'ouvre
  3. Accédez à l'emplacement d'enregistrement du fichier XML souhaité
  4. Sélectionnez le fichier de votre choix
  5. Confirmez l'importation en cliquant sur le bouton Ouvrir.

Les symboles sont importés.

Conflits de noms durant l'importation

Lors de l'importation d'un symbole, le nom (attribut ShortName) conservé dans le fichier XML est utilisé pour le nom du symbole créé. Si un symbole portant le même nom existe déjà, l'importation est interrompue et un message d'erreur est affiché :

Paramètres | Description
Oui | Le symbole décrit dans le message d'erreur est remplacé par le symbole du fichier XML lors de l'importation. En cas de nouveau conflit, le message d'erreur est affiché une nouvelle fois.
Non | Le symbole décrit dans le message d'erreur n'est pas importé. Le symbole existant est conservé. En cas de nouveau conflit, le message d'erreur est affiché une nouvelle fois.
Yes, all (Oui, tous) | Le symbole décrit dans le message d'erreur est remplacé par le symbole du fichier XML lors de l'importation. Ce paramètre est utilisé automatiquement lorsqu'une erreur liée à l'utilisation du même nom se produit. Tous les symboles affectés sont remplacés.
No, all (Non pour tous) | Le symbole décrit dans le message d'erreur n'est pas importé. Le symbole existant est conservé. Ce paramètre est utilisé automatiquement lorsqu'une erreur liée à l'utilisation du même nom se produit. Tous les symboles affectés sont conservés.

Remarque : seul l'attribut ShortName est utilisé. Le nom de fichier n'a aucune importance au regard du symbole devant être importé. Il ne peut donc pas être utilisé pour résoudre le conflit.


Niveaux de visibilité

Manuels -> Synoptiques -> Niveaux de visibilité

Comme dans les programmes de CAO, vous pouvez définir des niveaux de visibilité dans l'Éditeur et les associer à des éléments uniques. De cette manière, vous pouvez facilement masquer les éléments inutilisés dans des images complexes et les afficher à nouveau à votre convenance. 15 niveaux de visibilité sont disponibles. Les niveaux sont associés par l'intermédiaire des propriétés Niveau de visibilité du nœud Général. Les différents niveaux peuvent être activés et désactivés à l'aide des boutons de la barre d'outils Niveaux de visibilité :

Symbole

(de gauche à droite)

Fonction

Rendre visible tous les niveaux de visibilité

Affiche tous les niveaux.

Rendre invisible tous les niveaux de visibilité

Masque tous les niveaux.

Niveau de visibilité <no.>

Affiche ou masque le niveau de visibilité concerné.

Options de la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.

info Info

Les niveaux de visibilité concernent uniquement l'Éditeur, et sont sans effet dans le Runtime.

Remarque concernant les éléments de contrôle : les éléments de contrôle sont toujours affichés en haut de l'écran. Cela reste également vrai s'ils sont recouverts par d'autres éléments dans l'Éditeur. Ceci permet à l'utilisateur d'y accéder à tout moment.


Types de synoptique

Manuels -> Synoptiques -> Types de synoptique

La création de synoptiques se déroule au niveau des paramètres de base avec le type de synoptique -. Une liste déroulante permet de sélectionner les types de synoptiques spéciaux pour les propriétés dans les propriétés du synoptique.

attention Attention

Si un type de synoptique est basculé du type standard vers un type spécial, le nouveau type de synoptique est défini de manière fixe avec l'écran, et ne peut plus être modifié.

Types de synoptiques spéciaux

zenon propose une gamme de types de synoptiques spéciaux pour des tâches spéciales. Après avoir sélectionné un type de synoptique spécial, tous les éléments utilisateur correspondant au type de synoptique sont disponibles dans le menu Éléments de contrôle. L'option de menu Insérer un modèle ouvre une boîte de dialogue de sélection permettant d'ajouter des mises en forme prédéfinies à certains éléments de contrôle, à des emplacements prédéfinis.

info Info

Les types de synoptiques spéciaux ne doivent être créés qu'une fois, même s'ils sont utilisés à plusieurs reprises. Ils peuvent être ouverts avec différentes données grâce à la fonction d'appel de synoptique.

Types de synoptiques spéciaux en tant que synoptiques de démarrage

Chaque type de synoptique peut être utilisé comme synoptique de départ, en théorie.

Attention : les types de synoptiques spéciaux sont ouverts avec un filtre vide, et par conséquent, aucune donnée n'est affichée.

Autres sujets abordés dans ce chapitre

Types de synoptiques spéciaux

Fonctions spécifiques selon le type de synoptique

Filtre de synoptique

HTML

Bloc-notes

Vidéo


Types de synoptiques spéciaux

Manuels -> Synoptiques -> Types de synoptique -> Types de synoptiques spéciaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Types de synoptiques spéciaux dans zenon :

Type de synoptique | Description
Liste d'alarmes | Rassemble les messages d'alarme et les affiche sous forme de liste.
Filtre de liste de messages d'alarme | Filtre de la Liste d'alarmes.
Maintenance de l'archive | Affichage et édition des valeurs d'archives sauvegardées dans une table. ATTENTION : disponible uniquement si le module Serveur d'archives comporte une licence.
Batch | Création de valeurs par défaut pour la recette principale dans le module Batch Control (Contrôle de batch). ATTENTION : disponible uniquement si le module Batch Control comporte une licence.
Envoi de commande | Affichage des saisies de commandes. ATTENTION : disponible uniquement si le module Energy Edition comporte une licence.
Liste chronologique d'événements | Rassemble les événements de procédé, les événements système et les paramètres par défaut de l'utilisateur et les affiche sous forme de liste.
Filtre de liste chronologique d'événements | Filtre de la liste chronologique d'événements.
Système Energy Management System (EMS) | Planification et affichage de la gestion d'énergie (électricité, gaz). ATTENTION : Disponible uniquement si le module Energy Management System comporte une licence. Remarque : Indisponible sous Windows CE.
Extended Trend | Affiche les valeurs en ligne et les valeurs archivées sous forme de diagrammes.
Prévisions d'énergie | Synoptique d'affichage de la projection de pic de charge. ATTENTION : disponible uniquement si SICAM 230 comporte une licence.
HTML | Permet d'afficher un synoptique au format HTML adapté à Microsoft Internet Explorer.
Industrial Maintenance Manager (Gestionnaire de maintenance industrielle) | Affichage des informations de maintenance. ATTENTION : disponible uniquement si le module Industrial Maintenance Manager comporte une licence. Remarque : Indisponible sous Windows CE.
Industrial Performance Analyzer | Analyse les alarmes afin d'identifier les faiblesses (périodes d'indisponibilité) des équipements. Remarque : Indisponible sous Windows CE.
Clavier | Crée un clavier virtuel librement définissable.
Connexion | Conception individuelle d'une fenêtre de connexion.
Gestion de messages | Synoptique de gestion de la file d'attentes dans le module Gestion des messages.
Bloc-notes | Affiche les protocoles et les fichiers texte créés à partir de la base de données ou de fichiers texte existants.
Production & Facility Scheduler | Gestion des programmes et des profils. ATTENTION : disponible uniquement si le module Production & Facility Scheduler (PFS) comporte une licence.
Générateur de rapports | Destiné à la création de rapports générés au moyen du générateur de rapports. ATTENTION : disponible uniquement si le générateur de rapports comporte une licence. Si vous souhaitez uniquement afficher des rapports sans les modifier, il n'est pas nécessaire de disposer d'une licence pour le Runtime.
Module de visualisation de rapports | Permet d'afficher les rapports RDL pour les archives, les listes AML et CEL et les valeurs en ligne. ATTENTION : disponible uniquement si le gestionnaire de rapports comporte une licence.
Gestionnaire de groupes de recettes | Autorise la gestion des recettes et leur utilisation dans un groupe de recettes. ATTENTION : disponible uniquement si le gestionnaire de groupes de recettes module comporte une licence.
S7 Graph | Utilisé dans les chaînes séquentielles comportant des séquences avec étapes alternatives ou parallèles (SFC). Affiche l'état actuel du système de contrôle de la chaîne dans l'automate dans le Runtime.
Recettes standard | Gestion des recettes.
Liste d'états | Affiche les variables dans le Runtime et transmet les valeurs aux équipements. Remarque : Indisponible sous Windows CE.
Vidéo | Affiche les vidéos en ligne et enregistrées (*.avi). Remarque : Indisponible sous Windows CE.
Aperçu vue globale | Autorise le défilement de synoptiques standard dont la largeur est supérieure à la résolution d'écran.
Filtre de temps | Permet de définir des paramètres de filtre généraux pour des listes. Les listes contrôlées de cette manière sont définies dans la fonction d'appel de synoptique.

Autres sujets abordés dans ce chapitre

Créer des types de synoptiques spéciaux

Modèle pour les synoptiques standard et les types de synoptique spéciaux


Créer des types de synoptiques spéciaux

Manuels -> Synoptiques -> Types de synoptique -> Types de synoptiques spéciaux -> Créer des types de synoptiques spéciaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un type de synoptique spécial :

  1. Créez un nouveau synoptique ou sélectionnez un synoptique existant de type Standard.
  2. Cliquez sur le type prédéfini Standard dans les propriétés, à l'emplacement Type de synoptique du nœud Général.

    Vous pouvez également procéder ainsi : Dans la vue de détail Synoptique, vous pouvez également cliquer sur le type de synoptique des éléments et sélectionner le type de synoptique de votre choix dans la liste déroulante.

  3. Sélectionnez le type de synoptique souhaité dans la liste déroulante.
  4. Sélectionnez les éléments de contrôle de votre choix dans le menu Éléments de contrôle.
    • L'option Insérer un modèle ouvre une boîte de dialogue de sélection permettant d'ajouter des mises en forme prédéfinies à certains éléments de contrôle, à des emplacements prédéfinis.
    • Les éléments déjà présents sur le synoptique sont grisés et ne peuvent plus être sélectionnés.

info Info

Restriction concernant l'insertion automatique du modèle :

Si un élément statique, tel qu'un élément de contrôle, est déjà présent dans le synoptique, aucun cadre ou texte de cadre n'est ajouté lors de l'insertion des éléments de contrôle par défaut.

Recommandation : après avoir créé un synoptique de type spécial insérez les éléments de contrôle par défaut du modèle, puis les autres éléments.


Modèle pour les synoptiques standard et les types de synoptique spéciaux

Manuels -> Synoptiques -> Types de synoptique -> Types de synoptiques spéciaux -> Modèle pour les synoptiques standard et les types de synoptique spéciaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour les types de synoptique spéciaux et les synoptiques, vous pouvez utiliser des modèles permettant d'insérer et de positionner les éléments automatiquement. Vous pouvez créer vous-même les modèles, à partir de n'importe quel synoptique. Pour les types de synoptiques spéciaux, des modèles prédéfinis sont fournis avec zenon.

Les modèles sont enregistrés sous forme de fichiers zip compressés contenant trois fichiers :

  • Métadonnées : fichier XML contenant la description du modèle (nom, description, taille, etc.).
  • Éléments de synoptique : fichier XML contenant les éléments exportés du synoptique.
  • Aperçu : fichier bitmap comportant un aperçu du modèle.

Modèles fournis

Les modèles fournis sont disponibles dans différentes résolutions et dans des versions optimisées pour les écrans tactiles. Ces modèles ne peuvent être ni modifiés, ni supprimés. Les gabarits prédéfinis de COPA-DATA sont enregistrés dans le dossier de programme sous zenon. \Templates\ScreenTypes\[LANGUE]\[Nom du type de synoptique]\[Nom du fichier].zip.

Exemple : Les gabarits en langue anglaise de la liste d'alarmes se trouvent dans le répertoire %Program Files (x86)%\COPA-DATA\zenon 8.2\Templates\ScreenTypes\ENGLISH\Alarm Message list\

Remarque : Seuls les gabarits associés à la langue actuellement définie sont chargés.

Modèle défini par l'utilisateur

Les utilisateurs peuvent créer et enregistrer des modèles pour tous les types de synoptique. Ils peuvent également les modifier et les supprimer.

Les gabarits définis par l'utilisateur sont enregistrés dans le dossier de données de zenon : Templates\ScreenTypes\<Nom du type de synoptique>\<Nom du fichier>.zip.
Par exemple : %ProgramData%\COPA-DATA\zenon700\Templates\ScreenTypes\Alarm Message List\3e9afbcf-f93d-46d9-a199-e00effe4811c.zip.

Remarque : le chemin dépend si le programme a été enregistré lors de l'installation, ou par le biais de l'outil Startup Tool. Dans ce dernier cas, le dossier actuel du programme est utilisé comme dossier de données.

Autres sujets abordés dans ce chapitre

Utilisation de modèles

Création de modèles


Utilisation de modèles

Manuels -> Synoptiques -> Types de synoptique -> Types de synoptiques spéciaux -> Modèle pour les synoptiques standard et les types de synoptique spéciaux -> Utilisation de modèles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser des modèles pour un synoptique :

  1. Ouvrez le synoptique.
  2. Sélectionnez Insérer un modèle dans le menu Éléments de contrôle.
  3. La boîte de dialogue de sélection de modèles prédéfinis et définis par l'utilisateur s'affiche.

    Remarque pour les synoptiques de type Standard, seuls les modèles définis par l'utilisateur sont disponibles.

  4. Sélectionnez les modèles de votre choix.
  5. Cliquez sur Accepter.
  6. Les éléments définis dans les modèles sont insérés à l'emplacement prédéfini.

Paramètre | Description
Champ de liste de modèles (à gauche) | Affiche la liste des modèles prédéfinis et définis par l'utilisateur.
Aperçu du modèle (en haut à droite) | Aperçu du synoptique lors de l'adaptation du modèle sélectionné.
Description du modèle (en bas à droite) | Description du modèle.
Suppression d'éléments de synoptique existants | Actif : les éléments existants du synoptique sont supprimés lors de l'utilisation du modèle.
Accepter | Insère les éléments du modèle sélectionné dans le synoptique et ferme la boîte de dialogue.
Annuler | Ferme la boîte de dialogue sans insérer les éléments.
Aide | Ouvre l'aide en ligne.


Création de modèles

Manuels -> Synoptiques -> Types de synoptique -> Types de synoptiques spéciaux -> Modèle pour les synoptiques standard et les types de synoptique spéciaux -> Création de modèles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les dossiers et modèles peuvent être créés, supprimés, renommés et déplacés pour les modèles définis par l'utilisateur. Les modèles prédéfinis, fournis avec le logiciel, ne peuvent être ni modifiés, ni supprimés.

Création de dossiers ou de modèles

Pour créer un dossier, sélectionnez :

  • Le bouton Nouveau dossier dans la boîte de dialogue
  • Ou la commande Nouveau dossier dans le menu contextuel
  • Ou appuyez sur la touche Insér.

Pour créer un modèle :

  1. Sélectionnez le synoptique souhaité dans la vue de détail.
  2. Sélectionnez la commande Create template for screen type (Créer un modèle pour le type de synoptique) dans le menu contextuel ou la barre d'outils.
  3. La boîte de dialogue de création de modèles personnalisés s'affiche à l'écran.
  4. Sélectionnez un dossier existant ou créez-en un nouveau.
  5. Saisissez un nom pour le nouveau modèle.
  6. Vous pouvez ajouter une description, si vous le souhaitez.
  7. Confirmez votre sélection en cliquant sur OK.
  8. Le modèle est ajouté au dossier de gabarit.

Paramètre | Description
Champ de liste de modèles (à gauche) | Affiche la liste des modèles prédéfinis et définis par l'utilisateur. Permet de supprimer ou renommer les dossiers et modèles et d'ajouter des dossiers par le biais du menu contextuel.
Aperçu du modèle (en haut à droite) | Aperçu du synoptique lors de l'adaptation du modèle sélectionné.
Description du modèle (en bas à droite) | Description du modèle.
Nouveau dossier | Crée un nouveau dossier. Vous pouvez créer plusieurs niveaux.
Renommer | Ouvre le champ de nom pour la modification. Vous pouvez également effectuer ceci en appuyant sur la touche F2 ou en cliquant deux fois sur le champ.
Supprimer | Supprime le dossier sélectionné et tous les sous-dossiers après l'affichage d'une demande de confirmation.
OK | Crée le modèle et ferme la boîte de dialogue.
Annuler | Ferme la boîte de dialogue sans créer le modèle.
Aide | Ouvre l'aide en ligne.

Supprimer le dossier

Pour supprimer un dossier ou un modèle :

  1. Sélectionnez le dossier ou le modèle
  2. Sélection
    1. Bouton Supprimer dans la boîte de dialogue
    2. Ou la commande Supprimer dans le menu contextuel
    3. Ou appuyez sur la touche Suppr.

Le dossier ou le modèle est supprimé après affichage d'une demande de confirmation. Dans le cas des dossiers, les éventuels sous-dossiers et tous les modèles qu'ils contiennent sont également supprimés.

Renommer un dossier ou un modèle

Pour supprimer un dossier ou un modèle :

  • Sélectionnez la commande Renommer dans le menu contextuel
  • ou cliquez sur le bouton Renommer
  • ou sélectionnez l'élément, puis ouvrez-le en appuyant sur la touche F2 ou en cliquant deux fois sur le texte pour l'éditer.
  • Ou, dans le cas des modèles, modifiez directement le texte dans le champ Nom

Déplacement de dossiers ou de modèles

Les dossiers et modèles peuvent être déplacés vers d'autres dossiers avec la souris, par le biais d'une manipulation "glisser-déplacer".

Autres sujets abordés dans ce chapitre

Menu contextuel création d'un modèle pour un type de synoptique


Menu contextuel création d'un modèle pour un type de synoptique

Manuels -> Synoptiques -> Types de synoptique -> Types de synoptiques spéciaux -> Modèle pour les synoptiques standard et les types de synoptique spéciaux -> Création de modèles -> Menu contextuel création d'un modèle pour un type de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Menu contextuel création d'un modèle pour un type de synoptique

La boîte de dialogue de création de nouveaux modèles comporte également des menus contextuels.

Menu contextuel du dossier

Paramètre | Description
Nouveau dossier | Crée un nouveau dossier sous le niveau sélectionné.
Supprimer | Supprime le dossier sélectionné après affichage d'une demande de confirmation.
Renommer | Ouvre l'intitulé du dossier pour vous permettre de le renommer.
Aide | Ouvre l'aide en ligne.

Menu contextuel des modèles

Paramètre | Description
Supprimer | Supprime le modèle sélectionné après affichage d'une demande de confirmation.
Renommer | Ouvre l'intitulé du modèle pour vous permettre de le renommer.
Aide | Ouvre l'aide en ligne.


Fonctions spécifiques selon le type de synoptique

Manuels -> Synoptiques -> Types de synoptique -> Fonctions spécifiques selon le type de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si un élément dynamique de type Bouton est créé dans un synoptique de type spécial, la propriété Variable/fonctionActivates additional property (Active une propriété supplémentaire)Fonction spécifique au synoptique est disponible dans les nœuds de propriétés. Par conséquent, le bouton peut être associé à des fonctions spéciales, adaptées au type de synoptique.

Par exemple, dans le module de tendance étendue :


Filtre de synoptique

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la création ou de l'édition d'une fonction d'appel de synoptique de filtre, la boîte de dialogue de filtre de synoptique s'affiche.

  • Filtre de liste de messages d'alarme
  • Filtre de liste chronologique d'événements
  • Filtre de temps

Vous pouvez utiliser les filtres de synoptique pour concevoir des pages de filtre individuelles avec leurs propres boîtes de dialogue de filtre. Vous pouvez faire cela en fonction d'aspects tels que l'utilisation d'une interface tactile, le filtrage de zones spécifiques uniquement, la possibilité de changer de langage, etc.

Autres sujets abordés dans ce chapitre

Boîte de dialogue Screen filter (Filtre de synoptique)

Création d'un synoptique de filtre de liste d'alarmes

Créer un synoptique de type filtre de liste CEL

Créer un synoptique de type Filtre de temps


Boîte de dialogue Screen filter (Filtre de synoptique)

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Boîte de dialogue Screen filter (Filtre de synoptique)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette boîte de dialogue, vous pouvez effectuer des réglages sommaires. Ces paramètres influencent les valeurs affichées lorsque les filtres de synoptique concernés sont activés dans le Runtime.

info Info

Tous les onglets ne sont pas disponibles pour tous les types de filtres de synoptique.

Autres sujets abordés dans ce chapitre

Synoptiques

Généralités

Texte

Heure


Synoptiques

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Boîte de dialogue Screen filter (Filtre de synoptique) -> Synoptiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous pouvez définir les écrans que vous souhaitez mettre à jour par l'intermédiaire du filtre de synoptique.

Les paramètres suivants sont disponibles :

Paramètre

Description

Le filtre défini à partir du synoptique suivant

Synoptique appelant

Actif : Les paramètres du filtres sont ceux du synoptique depuis lequel le synoptique de filtre est appelé. Le bouton de synoptique est grisé. Vous ne pouvez pas sélectionner de synoptique en particulier, car avec ce paramètre, le filtre est toujours mis à jour depuis le synoptique d'activation.

Remarque : les paramètres des onglets Général, Texte et Heure sont verrouillés.

Sélection de synoptique

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de synoptique.

Sélectionnez le synoptique depuis lequel le filtre doit être lu lorsque vous cliquez sur le bouton Mise à jour dans le Runtime.

Remarque : Il convient donc de sélectionner un synoptique pouvant intégrer ou remplir le filtre de synoptique.

Le synoptique sélectionné est ajouté à la liste des synoptiques devant être mis à jour. Si vous le supprimez de la liste, le prochain synoptique de la liste est automatiquement inséré à sa place.

Remarque : indisponible si vous avez coché la case Calling screen (Synoptique d'activation).

Screens to be updated (Synoptiques devant être mis à jour)

Sélection de synoptique

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection des synoptiques de filtre. Sélectionnez l'écran de votre choix.

Mise à jour

Update on all monitors (Mettre à jour sur tous les moniteurs)

Actif : Les synoptiques devant être mis à jour dans la liste de synoptiques sont mis à jour sur tous les moniteurs accessibles.


Généralités

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Boîte de dialogue Screen filter (Filtre de synoptique) -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cet onglet est uniquement disponible pour la liste d'alarmes et la liste chronologique d'événements, et présente le filtre standard de la liste correspondante. Reportez-vous aux sections Filtre de la liste d'alarmes et Filtre de la liste chronologique d'événements.

AML

Paramètre

Description

Filtre de variables

Limitation de certaines variables aux alarmes

Nom de la variable

Saisissez le nom ou la partie du nom de la variable que vous souhaitez filtrer. L'opérateur * peut être utilisé.

Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Identification

Saisissez l'identification ou une partie de l'identifiant de la variable que vous souhaitez filtrer. L'opérateur * peut être utilisé.

Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Respecter la casse

Actif : les caractères majuscules et minuscules sont pris en compte lors du filtrage par nom et/ou identifiant de variable.

Type d'alarmes

Type d'alarme affiché.

Seulement les alarmes non-acquittées

Actif : Seules les alarmes non encore acquittées par l'utilisateur sont affichées.

Seulement les alarmes disparues

Actif : Seules les alarmes déjà passées, c'est-à-dire dont les valeurs ne se trouvent plus dans la plage critique, sont affichées.

Alarmes courantes uniquement

Actif : Seules les alarmes encore actives, c'est-à-dire dont les valeurs se trouvent encore dans la plage critique, sont affichées.

Durée minimale des alarmes courantes

Utilisez la commande rotative pour définir la durée d'activité minimale d'un alarme avant son affichage. Paramètres possibles :

  • Jours
  • Heures (hr)
  • Minutes (min.)
  • Secondes (sec.)
  • Millisecondes (ms)

Origine des données

Affichage des alarmes actuelles ou actuelles et historiques.

Buffer circulaire

Actif : Seules les données issues de la mémoire circulaire sont affichées.

Données historiques
Nombre maximal

Actif : Les données de la mémoire circulaire et les données historiques de la liste AML sont affichées.

Le nombre maximal de données à afficher inclut les données de la mémoire circulaire.

Configuration du Runtime

Comportement de la liste AML dans le Runtime

Show list without refresh (Afficher la liste sans l'actualiser)

Actif : lorsque la liste est ouverte, aucune nouvelle entrée n'est ajoutée.

Groupes/classes d'alarmes/d'événements et domaines d'alarmes

Sélection des groupes, classes et domaines d'alarmes

Groupes d'alarmes/d'événements

Parmi les groupes d'alarmes/d'événements existants, sélectionnez celui dont vous souhaitez afficher les alarmes.

Classes d'alarmes/d'événements

Parmi les classes d'alarmes/d'événements existants, sélectionnez celle dont vous souhaitez afficher les alarmes.

Domaines d'alarmes

Parmi les domaines d'alarmes existants, sélectionnez celui dont vous souhaitez afficher les alarmes.


Texte

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Boîte de dialogue Screen filter (Filtre de synoptique) -> Texte

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cet onglet, vous pouvez définir les valeurs standard utilisées pour le filtrage de texte. Uniquement disponible pour la liste d'alarmes et la liste chronologique d'événements.

Paramètres | Description
Filter according to (Filtrer selon) |
Aucun filtre de texte | Le filtre de texte n'est pas utilisé.
Search for (words separated by spaces) (Rechercher [mots séparés par des espaces]) | Le filtre de texte est utilisé. Les autres options sont désactivées.
Champ de saisie | Saisissez les mots ou chaînes de caractères souhaité(e)s.
Options |
Note capitalization (Tenir compte de la capitalisation) | Actif : lors du filtrage, une distinction est effectuée entre les caractères majuscules et minuscules.
Words do not have to appear in the text in full (Les mots entiers n'apparaissent pas dans le texte) | Actif : certaines parties de mots peuvent également être prises en compte durant le filtrage.
At least one word must be present in the text (Au moins un mot doit être présent dans le texte) | Actif : Au moins un des mots de l'expression de recherche doit être présent dans le texte.
All words must be present in the text (Tous les mots doivent être présents dans le texte) | Actif : Tous les mots doivent être présents dans l'expression de recherche. Dans ce cas, l'ordre des mots n'a aucune incidence.
Filter text must appear in the text exactly (Le texte filtré apparaît exactement dans le texte) | Actif : le texte doit être absolument identique au texte de l'expression de recherche.


Heure

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Boîte de dialogue Screen filter (Filtre de synoptique) -> Heure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur cet onglet, vous pouvez définir la période de temps utilisée lors de l'ouverture du synoptique de filtre.

D

Les paramètres suivants sont disponibles :

Paramètres

Description

Filtre

Sélection du filtre.

Tout

Actif : Aucun filtre temps n'est utilisé.

Indisponible dans le module Extended Trend

Absolute filter (Filtre absolu)

Actif : Un intervalle de temps fixe est défini dans l'Éditeur. Lors de l'exécution de la fonction, l'intervalle temps absolu défini est utilisé avec exactitude.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Horaire relatif

Actif : Un intervalle de temps relatif est saisi.

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : Ce filtre est continuellement mis à jour.

A partir de

Actif : L'heure à partir de laquelle le filtre est appliqué. Si l'heure n'est pas atteinte ce jour, le filtrage a lieu à partir de l'heure correspondante le jour précédent.

Sélectionnez le mode du domaine dans la liste déroulante ;

  • A partir de HH:MM:SS
  • A partir du jour à HH:MM:SS
  • A partir du jour, mois à HH:MM:SS

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Attention : L'heure de départ de ce filtre n'est pas mise à jour automatiquement. Seules les heures existantes affichées sont utilisées.
L'heure de fin n'est pas définie avec ce filtre ; elle est reportée.

Période de temps

Actif : Un intervalle de temps fixe est saisi. Sélectionnez le mode du domaine dans la liste déroulante ;

  • Horaire-jour
  • Horaire-semaine
  • Horaire-2 semaines
  • Horaire-mois
  • Horaire année
  • 15 minutes
  • 30 minutes
  • 60 minutes

La section Paramètres permet d'afficher et de configurer les options correspondantes.

Lot

Actif : La boîte de dialogue de sélection est affichée dans le Runtime.

Disponible uniquement pour les modules Extended Trend, Maintenance d'Archive et Rapports.

relatif

Actif : L'affichage débute toujours au point zéro. Autorise la comparaison directe de plusieurs lots.

Disponible uniquement pour le module Tendance étendue, et disponible uniquement si l'option Lot est activée.

OK

Applique toutes les modifications effectuées sur tous les onglets, puis ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Filtre absolu

Filtre relatif

A partir de

Période de temps


Filtre absolu

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Boîte de dialogue Screen filter (Filtre de synoptique) -> Heure -> Filtre absolu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Filtre absolu

Le filtre absolu permet de définir une période de temps fixe. Lors de l'exécution de la fonction, l'intervalle temps absolu défini est utilisé avec exactitude. Pour configurer le filtre :

  1. Dans la section Filtre, sélectionnez l'option Filtre absolu.
  2. Configurez l'intervalle de temps souhaité dans la section Paramètres.

Remarque : l'heure est enregistrée au format UTC. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Paramètre | Description
Configurer les barres d'outils | Configuration du filtre horaire
Proposer la date/heure courante | Actif : Le filtre de temps est affiché dans le Runtime.
Défaut | Actif : le filtre de temps est fourni dans l'Éditeur. Seule l'heure de début peut encore être configurée dans le Runtime.
A partir de | Heure de début du filtre. Sélection du jour, du mois, de l'année, de l'heure, de la minute et de la seconde
Jusqu'à | Heure de fin du filtre. Sélection du jour, du mois, de l'année, de l'heure, de la minute et de la seconde

Exemple : si vous souhaitez voir toutes les alarmes du 1er janvier 2011 au 31 décembre 2011, saisissez les données correspondantes dans les champs À partir et À.


Filtre relatif

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Boîte de dialogue Screen filter (Filtre de synoptique) -> Heure -> Filtre relatif

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Filtre relatif

Un intervalle de temps relatif est saisi.

Attention : ce filtre est constamment mis à jour et continue à fonctionner.

Paramètre | Description
Configurer les barres d'outils | Configuration du filtre horaire.
Proposer la date/heure courante | Actif : Le filtre de temps est affiché dans le Runtime.
Défaut | Actif : le filtre de temps est fourni dans l'Éditeur. Seule l'heure de début peut encore être configurée dans le Runtime. Sélection de l'intervalle relatif en jours, heures, minutes et secondes.

Exemple : vous pouvez définir un intervalle de temps relatif de 10 minutes et basculer vers un synoptique de type Liste d'alarmes en réglant ce filtre de temps sur 12:00. Vous verrez alors s'afficher les alarmes de 11:50 à 12:00 lors de l'appel de synoptique. Si le synoptique Liste d'alarmes reste ouvert, le filtre est automatiquement mis à jour. A 12:01, vous voyez les alarmes de 11:51 à 12:01, etc.


A partir de

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Boîte de dialogue Screen filter (Filtre de synoptique) -> Heure -> A partir de

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
A partir de

Définit l'heure à partir de laquelle le filtre est appliqué.

Paramètre

Description

Configurer les barres d'outils

Configuration du filtre horaire

[Date/Heure]

Selon la configuration de l'option, l'heure à partir de laquelle le filtre est appliqué est configurée ici :

  • heure - minute - seconde
  • jour - heure - minute - seconde
  • jours - mois - heure - minute - seconde

Attention ! L'heure de départ de ce filtre n'est pas mise à jour automatiquement. Seules les heures existantes affichées sont appliquées, même si le synoptique reste ouvert et l'heure de 23:00:00 est atteinte.
L'heure de fin de l'intervalle n'est pas définie avec ce filtre ; elle est reportée.
  • heure - minute - seconde

L'heure à partir de laquelle le filtre est appliqué. Si l'heure n'est pas atteinte ce jour, le filtrage a lieu à partir de l'heure correspondante le jour précédent.

Exemple : vous saisissez 23:00:00. Si la fonction est exécutée à 23:30, elle est filtrée de 23:00:00 jusqu'à l'heure actuelle. S'il est 22:30, toutefois, le filtrage est actif de 23:00:00 le jour précédent jusqu'à l'heure actuelle.
  • jour - heure - minute - seconde

Un jour et une heure de début du filtre sont saisis. Si l'heure indiquée n'a pas été atteinte au cours du mois actuel, l'heure correspondante définie le mois précédent est utilisée.

Exemple : Vous saisissez jour 5 - 23:00:00. Si nous sommes le 10 du mois et il est 23:30, le filtrage sera appliqué à compter du 5 à 23:00:00 jusqu'à l'heure actuelle. Si toutefois nous sommes le 4 du mois, le filtrage sera appliqué à partir du 5 du mois précédent jusqu'à l'heure actuelle.

  • jours - mois - heure - minute - seconde

Un mois, un jour et une heure de début du filtre sont saisis. Si l'heure indiquée n'a pas été atteinte au cours de l'année actuelle, l'heure correspondante définie l'année précédente est utilisée.

Exemple : Vous saisissez Mois Octobre, Jour 5- 23:00:00. Si nous sommes le 10 octobre et il est 23:30, le filtrage est appliqué à compter du 5 octobre à 23:00:00 jusqu'à l'heure actuelle. Si toutefois nous sommes le 4 octobre, le filtrage sera appliqué à partir du 5 octobre de l'année précédente jusqu'à l'heure actuelle.


Période de temps

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Boîte de dialogue Screen filter (Filtre de synoptique) -> Heure -> Période de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Période de temps

Définit une période de temps durant laquelle le filtre est appliqué.

Paramètre

Description

Configurer les barres d'outils

Configuration du filtre horaire

Modifier la période de temps

Permet de modifier les cycles, les délais et les prolongations de périodes de temps.

Actif : L'évaluation est réalisée conformément aux règles suivantes :

  • D'abord, l'option Utiliser la dernière période de temps effectuée est évaluée.
  • Ensuite, l'option Modifier la période de temps de est utilisée.
  • Enfin, l'option Déplacer la période de temps dans le futur de est appliquée.

Inactive : aucune modification n'est apportée à la période de temps.

Attention : Dans la version 7.10, les actions de filtrage réalisées avec cette fonction génèrent des résultats différents de celles réalisées dans les versions antérieures.

Déplacer la période de temps dans le futur de

Actif : La période de temps définie dans le filtre est décalée vers le futur. Indication en heures - minutes - secondes.

Si un décalage égal ou supérieur à la période de temps sélectionnée est défini, un message invitant l'utilisateur à vérifier la configuration s'affiche.

Modifier la période de temps de

Actif : La période de temps définie dans le filtre est modifiée. Indication en heures - minutes - secondes.

Si une modification et un décalage égaux ou supérieurs à la période de temps sélectionnée sont définis, un message invitant l'utilisateur à vérifier la configuration s'affiche.

Ajouter la durée

Actif : L'heure indiquée dans le paramètre Modifier la période de temps de est ajoutée au temps défini dans le paramètre Période de temps.

Soustraire la durée

Actif : L'heure indiquée dans le paramètre Modifier la période de temps de est déduite du temps défini dans le paramètre Période de temps.

Utiliser la dernière période de temps effectuée

Actif : La dernière période de temps terminée est utilisée.


Création d'un synoptique de filtre de liste d'alarmes

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Création d'un synoptique de filtre de liste d'alarmes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez ajuster les paramètres de filtre de la liste d'alarmes dans le Runtime à l'aide du synoptique Filtre de liste d'alarmes. Seuls les éléments de filtre réellement nécessaires et configurés sont proposés à l'utilisateur. L'apparence peut également être librement définie, et ainsi, adaptée aux différents équipements finaux. Tous les paramètres de filtre disponibles dans le filtre pour la fonction d'appel de synoptique de Liste chronologique d'événements peuvent être configurés.

Par conséquent :

  • Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l'utilisateur.
  • Seuls ces filtres et une vue d'ensemble sont accessibles à l'utilisateur.
  • Vous êtes libre de modifier l'apparence et pouvez, par exemple, faciliter l'utilisation du système avec un écran tactile.

Pour plus de détails concernant l'utilisation dans le Runtime, reportez-vous au chapitre Utilisation des filtres de la liste d'alarmes.

Pour la définition des critères de filtre, reportez-vous au chapitre Filtres de la liste d'alarmes.

attention Attention

Les synoptiques de type Filtre de liste d'alarmes, Filtre de liste chronologique d'événements et Filtre de temps doivent être développés avec un cadre spécifique. S'ils utilisent le même cadre que d'autres synoptiques, tous les synoptiques configurés avec ce cadre sont fermés lors de la fermeture du cadre.

Création d'un synoptique de filtre de liste d'alarmes

Pour créer un synoptique de filtre de liste d'alarmes :

  1. Dans la barre d'outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
  2. Un synoptique standard vide s'affiche à l'écran.
  3. Changez le type de synoptique dans la vue détaillée ; pour cela :
    1. Cliquez sur Standard dans la colonne Type de synoptique.
    2. Sélectionnez Alarm Message List filter (Filtre de liste d'alarmes) dans la liste déroulante.
  4. Sélectionnez votre gabarit
    (le filtre de liste AML ne peut être conçu avec le même gabarit que les autres synoptiques).
  5. Cliquez sur le synoptique.
  6. Sélectionnez l'option de menu Éléments de contrôle dans la barre de menus.
  7. Cliquez sur Insérer un modèle dans la liste déroulante.
  8. La boîte de dialogue de sélection de modèle s'affiche à l'écran
  9. sélectionnez le modèle de votre choix
  10. Sélectionnez les éléments supplémentaires selon le besoin et insérez-les à l'emplacement souhaité sur l'écran.
  11. Donnez un nom au synoptique en fonction du filtre sélectionné.
    Pour cela :
    1. Cliquez sur le nom d'un synoptique dans la vue détaillée, dans la colonne Nom.
    2. Sélectionnez un nom prédéfini adéquat dans la liste déroulante, ou spécifiez un nom de votre choix.
  12. Créez une fonction d'appel de synoptique pour pouvoir appeler le synoptique dans le Runtime.

Éléments

Le synoptique de filtre de liste d'alarmes peut contenir les éléments de contrôle et d'affichage suivants :

Élément

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Filtres généraux

Liste déroulante des différents filtres généraux.

Insérer tous les éléments : Filtres généraux

Insère tous les éléments de la zone des filtres généraux à des emplacements prédéfinis. Les éléments peuvent être arrangés individuellement.

Insérer tous les éléments : Filtre général (Tactile)

Insère tous les éléments de la zone des filtres généraux à des emplacements prédéfinis. Les éléments peuvent être arrangés individuellement. Les éléments ont été optimisés pour un fonctionnement tactile.

Filtre de variables

Alarmes des variables affichées :
  • Nom de la variable

Filtrer selon les noms des variables.
  • Identification

Filtrer selon l'identification des variables.
  • Respecter la casse

Tenir compte de la capitalisation lors du filtrage des variables.

Type d'alarmes

Alarmes affichées :
  • Seulement les alarmes non-acquittées

Uniquement les alarmes non acquittées
  • Seulement les alarmes disparues

Only historical (Historiques seulement)
  • Alarmes courantes uniquement

Alarmes actuelles uniquement
  • Comment required (Commentaire requis)

Alarmes dont l'acquittement nécessite la saisie d'un commentaire
  • Durée minimum pour les alarmes courantes - jours

Seules les alarmes actives depuis le nombre de jour indiqué sont affichées.
  • Durée minimum pour les alarmes courantes - heures

Seules les alarmes actives depuis le nombre d'heures indiqué sont affichées.
  • Durée minimum pour les alarmes courantes - minutes

Seules les alarmes actives depuis le nombre de minutes indiqué sont affichées.
  • Durée minimum pour les alarmes courantes - secondes

Seules les alarmes actives depuis le nombre de secondes indiqué sont affichées.
  • Durée minimum pour les alarmes courantes - millisecondes

Seules les alarmes actives depuis le nombre de millisecondes indiqué sont affichées.

Type d'alarmes (Tactile)

Éléments optimisés pour un fonctionnement tactile avec l'affichage du type d'alarme, semblable au menu Alarm type.

  • Seulement les alarmes non-acquittées
  • Seulement les alarmes disparues
  • Alarmes courantes uniquement
  • Comment required (Commentaire requis)
  • Durée minimum des alarmes courantes - Bouton : Jours (haut)
  • Durée minimum des alarmes courantes - Boite tactile : Jours
  • Durée minimum des alarmes courantes - Bouton : Jours (bas)
  • Durée minimum des alarmes courantes - Bouton : Heures (haut)
  • Durée minimum des alarmes courantes - Boite tactile : Heures
  • Durée minimum des alarmes courantes - Bouton : Heures (bas)
  • Durée minimum des alarmes courantes - Bouton : Minutes (haut)
  • Durée minimum des alarmes courantes - Boite tactile : min
  • Durée minimum des alarmes courantes - Bouton : Minutes (bas)
  • Durée minimum des alarmes courantes - Bouton : Secondes (haut)
  • Durée minimum des alarmes courantes - Boite tactile : Secondes
  • Durée minimum des alarmes courantes - Bouton : Secondes (bas)
  • Durée minimum des alarmes courantes - Bouton : Millisecondes (haut)
  • Durée minimum des alarmes courantes - Boite tactile : Millisecondes
  • Durée minimum des alarmes courantes - Bouton : Millisecondes (bas)

Origine des données

Provenance des données :
  • Buffer circulaire

Depuis la mémoire circulaire.
  • Données historisées

Depuis une archive.
  • Texte : Nombre max. :

Texte du champ de saisie Maximum number (Nombre maximal)

  • Champ de saisie : Nombre max. :

Saisie du nombre maximal d'alarmes à afficher lors de l'affichage d'alarmes historiques.

0 : toutes les alarmes sont affichées

Configuration du Runtime

  • Show list without refresh (Afficher la liste sans l'actualiser)

Active l'état Arrêt de la liste d'alarmes. Les nouvelles alarmes ne sont pas ajoutées.

Groupes d'alarmes/d'événements / Classes d'alarmes/d'événements / Domaines d'alarmes/d'événements

Champ de liste pour l'affichage groupé :
  • Groupes d'alarmes/d'événements

Groupes d'alarmes/d'événements
  • Classes d'alarmes/d'événements

Classes d'alarmes/d'événements
  • Domaines d'alarmes

Domaines d'alarmes

Filtre de temps

Sélection des différents filtres de temps.

Insérer tous les éléments

Ouvre la liste déroulante de sélection d'éléments prédéfinis de configuration de certaines périodes de temps.

Période de temps absolue : affichage classique

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Période de temps absolue : affichage compact

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Horaire relatif

Éléments de configuration de périodes de temps relatives.

A partir de HH:MM:SS

Éléments de configuration d'une période de temps commençant à une heure définie.

A partir du jour à HH:MM:SS

Éléments de configuration d'une période de temps débutant à une heure définie.

A partir du jour, mois à HH:MM:SS

Éléments de configuration d'une période de temps débutant un jour défini dans un mois défini,;à une heure définie.

Période de temps : 1 ou 2 semaines

Éléments de configuration d'une période de temps d'une ou deux semaines.

Période de temps : un jour

Éléments de configuration d'une période de temps d'une journée.

Période de temps : un mois

Éléments de configuration d'une période de temps d'un mois.

Période de temps : une année

Éléments de configuration d'une période de temps d'une année.

Période de temps : 15/30/60 minutes

Éléments de configuration d'une période de temps de 15, 30 ou 60 minutes.

Insérer tous les éléments (Tactile)

Ouvre la liste déroulante de sélection d'éléments prédéfinis de configuration de certaines périodes de temps, optimisée pour un fonctionnement tactile. Comme dans l'option Insérer tous les éléments, les paramètres suivants sont disponibles.

  • Période de temps absolue : affichage classique
  • Horaire relatif
  • A partir de HH:MM:SS
  • A partir du jour à HH:MM:SS
  • A partir du jour, mois à HH:MM:SS
  • Période de temps : 1 ou 2 semaines
  • Période de temps : un jour
  • Période de temps : un mois
  • Période de temps : une année
  • Période de temps : 15/30/60 minutes

Intitulé : type de filtre de temps

Intitulé du type de filtre de temps.

Menu déroulant : type de filtre de temps

Menu déroulant : type de filtre de temps

Affichage : type de filtre de temps

Champ d'affichage du type de filtre de temps.

Options de filtre horaire

Boutons affichant ou masquant certains éléments dans le Runtime :

  • Pas de filtre
  • Filtre de temps absolu
  • Filtre temps relatif
  • A partir du jour, mois à HH:MM:SS
  • A partir du jour à HH:MM:SS
  • Période de temps 1 semaine
  • Période de temps 2 semaines
  • Période de temps 1 jour
  • Période de temps 1 mois
  • Période de temps 1 an
  • Période de temps 15 minutes
  • Période de temps 30 minutes
  • Période de temps 60 minutes

Heure de début

Champs et intitulés de définition de l'heure de début.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Minute de début
  • Zone de liste modifiable : Minute de début
  • Intitulé : Seconde de début
  • Zone de liste modifiable : Seconde de début
  • Spin control From (Commande rotative : Début)

Heure de fin

Champs et intitulés de définition de l'heure de fin.

  • Intitulé : Jusqu'à l'année
  • Zone de liste modifiable : Jusqu'à l'année
  • Intitulé : Jusqu'au mois
  • Zone de liste modifiable : Jusqu'au mois
  • Intitulé : Jusqu'au jour
  • Zone de liste modifiable : Jusqu'au jour
  • Intitulé : Jusqu'à l'heure
  • Zone de liste modifiable : Jusqu'à l'heure
  • Intitulé : Jusqu'à la minute
  • Zone de liste modifiable : Jusqu'à la minute
  • Intitulé : Jusqu'à la seconde
  • Zone de liste modifiable : Jusqu'à la seconde
  • Spin control From (Commande rotative : Fin)

Temps à partir de (Tactile)

Champs et intitulés de définition de l'heure de début, optimisés pour un fonctionnement tactile.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Minute de début
  • Zone de liste modifiable : Minute de début
  • Intitulé : Seconde de début
  • Zone de liste modifiable : Seconde de début
  • Spin control From (Commande rotative : Début)

Temps jusqu'à (Tactile)

Champs et intitulés de définition de l'heure de fin, optimisés pour un fonctionnement tactile.

  • Intitulé : Jusqu'à l'année
  • Zone de liste modifiable : Jusqu'à l'année
  • Intitulé : Jusqu'au mois
  • Zone de liste modifiable : Jusqu'au mois
  • Intitulé : Jusqu'au jour
  • Zone de liste modifiable : Jusqu'au jour
  • Intitulé : Jusqu'à l'heure
  • Zone de liste modifiable : Jusqu'à l'heure
  • Intitulé : Jusqu'à la minute
  • Zone de liste modifiable : Jusqu'à la minute
  • Intitulé : Jusqu'à la seconde
  • Zone de liste modifiable : Jusqu'à la seconde
  • Spin control From (Commande rotative : Fin)

Filtre de temps absolu

Champs et intitulés de définition du filtre de temps (temps absolu).

  • Intitulé : A partir de
  • Affichage du calendrier : Date de début
  • Affichage de la date : Date de début
  • Affichage de l'heure : Heure de début
  • Intitulé : Jusqu'à
  • Affichage du calendrier : Date de fin
  • Affichage de la date : Date de fin
  • Affichage de l'heure : Heure de fin

Période de temps

Champs et intitulés de définition des périodes de temps.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Semaine
  • Zone de liste modifiable : Semaine

Période de temps (tactile)

Champs et intitulés de définition de l'heure de début, optimisés pour un fonctionnement tactile.

  • Intitulé : Année de début
  • Bouton : Année de début (vers le haut)
  • Zone tactile : Année de début
  • Bouton : Année de début (vers le bas)
  • Intitulé : Mois de début
  • Bouton : Mois de début (vers le haut)
  • Zone tactile : Mois de début
  • Bouton : Mois de début (vers le bas)
  • Intitulé : Jour de début
  • Bouton : Jour de début (vers le haut)
  • Zone tactile : Jour de début
  • Bouton : Jour de début (vers le bas)
  • Intitulé : Heure de début
  • Bouton : Heure de début (vers le haut)
  • Zone tactile : Heure de début
  • Bouton : Heure de début (vers le bas)
  • Intitulé : Semaine
  • Bouton : Semaine (vers le haut)
  • Zone tactile : Semaine
  • Bouton : Semaine (vers le bas)

Text filter (Filtre de texte)

Liste déroulante des différents filtres de texte.

Insérer tous les éléments : Text filter (Filtre de texte)

Insère tous les éléments des filtres de texte.

Aucun filtre de texte

Bouton d'option permettant de désélectionner le filtre de texte.

Rechercher (mots séparés par des espaces)

Bouton d'option permettant d'activer la recherche

Texte : Search text (Recherche de texte)

Intitulé du champ de recherche.

Champ de saisie : Search text (Recherche de texte)

Champ de saisie du terme de cherche.

Options

Options de recherche
  • Respecter la casse

La capitalisation sera prise en compte.
  • Les mots n'ont pas besoin d'être en entier dans le texte

Vous pouvez également rechercher des fragments.
  • Au moins un mot doit être dans le texte

Un au moins des termes de recherche doit être présent dans le résultat.
  • Tous les mots doivent être dans le texte

Tous les termes de recherche doivent être présents dans le résultat.
  • La chaîne de filtre doit se trouver exactement dans le texte

Les résultats doivent contenir le texte exact du champ de saisie.

OK

Accepter la saisie et fermer le synoptique.

Annuler

Refuser la saisie et fermer le synoptique.

Accepter

Accepter les entrées et laisser le synoptique ouvert à d'autres entrées.

Actualiser

Actualiser le synoptique.

Synoptiques de filtre

Les synoptiques de filtre permettent de transférer un filtre prédéfini d'un synoptique vers un autre. Le filtre du synoptique source est défini à l'aide du synoptique cible. Les synoptiques peuvent également être de types différents.

attention Attention

Pour que le temps du synoptique soit affiché dans le Runtime, la plage de temps suivante doit être sélectionnée dans l'Éditeur pour la fonction d'appel de synoptique de la liste d'alarmes ou de la liste chronologique d'événements, dans la propriété filtre de temps : Définir le filtre avec un type de filtre horaire

Définition de l'affichage

Les conditions suivantes doivent être remplies pour que les filtres définis soient utilisés :

  1. Le filtre défini pour le type de filtre de temps est sélectionné en tant qu'intervalle de temps pour le filtre de temps.
  2. Le synoptique (synoptiques Filtre de liste d'informations sur les alarmes, Liste chronologique d'événements et filtre de temps) sont activés à l'aide d'un bouton ou d'un élément combiné. C'est la seule manière de maintenir la relation entre le synoptique de filtre et le synoptique source.
  3. Le synoptique source et le synoptique de filtre doivent être configurés dans différents cadres ou sur différents moniteurs. Le filtre du synoptique de filtre peut uniquement être actualisés si le synoptique source est ouvert. Cela est uniquement possible si les deux synoptiques n'utilisent pas le même cadre ou le même moniteur.
  4. Le synoptique appelé doit être compatible avec le synoptique de filtre appelé (voir table).
Synoptique source | Filtre de liste AML | Filtre de liste CEL | Filtre de temps
Maintenance de l'archive | T | T | T
Tendance étendue | T | T | T
Filtre de temps | T | T | X
Filtre de liste de messages d'alarme | X | C | T
Filtre de liste chronologique d'événements | C | X | T
Liste d'alarmes | X | C | T
Liste chronologique d'événements | C | X | T

Clé :

  • C : les paramètres communs sont mis à jour.
  • T : les paramètres de temps sont mis à jour.
  • X : tous les paramètres sont mis à jour.

info Info

Aucun filtrage

Le synoptique de filtre n'est pas filtré, mais il est ouvert avec les valeurs configurées si :

  • Une des conditions 1 à 3 n'est pas satisfaites ou
  • Le paramètre Screen to call up (Synoptique appelé) n'est pas activé pour la fonction Appel de synoptique ou
  • Le synoptique n'est pas appelé par le biais d'un élément de synoptique

Dans ce cas, les boutons Accepter, Fermer et Mise à jour sont grisés dans le Runtime et n'ont aucune fonction.


Créer un synoptique de type filtre de liste CEL

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Créer un synoptique de type filtre de liste CEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez ajuster les paramètres de filtre de liste chronologique d'événements dans le Runtime à l'aide du synoptique de filtre de liste chronologique d'événements. Seuls les éléments de filtre réellement nécessaires et configurés sont proposés à l'utilisateur. L'apparence peut également être librement définie, et ainsi, adaptée aux différents équipements finaux. Tous les paramètres de filtre disponibles dans le filtre pour la fonction d'appel de synoptique de Liste chronologique d'événements peuvent être configurés.

Par conséquent :

  • Seuls les éléments de filtre réellement nécessaires sont configurés et proposés à l'utilisateur.
  • Seuls ces filtres et une vue d'ensemble sont accessibles à l'utilisateur.
  • Vous êtes libre de modifier l'apparence et pouvez, par exemple, faciliter l'utilisation du système avec un écran tactile.

Pour plus de détails concernant l'utilisation dans le Runtime, reportez-vous au chapitre Utilisation des filtres de la liste chronologique d'événements.

Pour la définition des critères de filtre, reportez-vous au chapitre Filtres d'appel de synoptique de filtre de liste CEL.

attention Attention

Les synoptiques de type Filtre de liste d'alarmes, Filtre de liste chronologique d'événements et Filtre de temps doivent être développés avec un cadre spécifique. S'ils utilisent le même cadre que d'autres synoptiques, tous les synoptiques configurés avec ce cadre sont fermés lors de la fermeture du cadre.

Créer un synoptique de type filtre de liste chronologique d'événements

Pour créer un synoptique de type filtre de liste chronologique d'événements :

  1. Dans la barre d'outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
  2. Un synoptique standard vide s'affiche à l'écran.
  3. Changez le type de synoptique dans la vue détaillée ; pour cela :
    1. Cliquez sur Standard dans la colonne Type de synoptique.
    2. Sélectionnez Chronological Event List Filter (Filtre de liste chronologique d'événements) dans la liste déroulante.
  4. Sélectionnez votre cadre
    (le filtre de liste CEL ne peut pas être conçu avec le même cadre que les autres synoptiques).
  5. Cliquez sur le synoptique.
  6. Sélectionnez l'option de menu Éléments de contrôle dans la barre de menus.
  7. Cliquez sur Insérer un modèle dans la liste déroulante.
  8. La boîte de dialogue de sélection de modèle s'affiche à l'écran
  9. sélectionnez le modèle de votre choix
  10. Sélectionnez les éléments supplémentaires selon le besoin et insérez-les à l'emplacement souhaité sur l'écran.
  11. Donnez un nom au synoptique en fonction du filtre sélectionné.
    Pour cela :
    1. Cliquez sur le nom d'un synoptique dans la vue détaillée, dans la colonne Nom.
    2. Sélectionnez un nom prédéfini adéquat dans la liste déroulante, ou spécifiez un nom de votre choix.
  12. Créez une fonction d'appel de synoptique pour pouvoir appeler le synoptique dans le Runtime.

Éléments

Le synoptique de type Filtre de liste chronologique d'événements peut contenir les éléments de contrôle et d'affichage suivants.

Élément

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Filtres généraux

Liste déroulante des différents filtres généraux.

Insérer tous les éléments : Filtres généraux

Insère tous les éléments de la zone des filtres généraux à des emplacements prédéfinis. Les éléments peuvent être arrangés individuellement.

Filtre de variables

Alarmes des variables affichées :
  • Nom de la variable

Filtrer selon les noms des variables.
  • Identification

Filtrer selon l'identification des variables.
  • Respecter la casse

Tenir compte de la capitalisation lors du filtrage des variables.

Origine des données

Provenance des données :
  • Buffer circulaire

Depuis la mémoire circulaire.
  • Données historisées

Depuis une archive.
  • Texte : Nombre max. :

Texte du champ de saisie Maximum number (Nombre maximal)

  • Champ de saisie : Nombre max. :

Saisie du nombre maximal d'alarmes à afficher lors de l'affichage d'alarmes historiques.

0 : toutes les alarmes sont affichées

Configuration du Runtime

  • Show list without refresh (Afficher la liste sans l'actualiser)

Active l'état Arrêt de la liste d'alarmes. Les nouvelles alarmes ne sont pas ajoutées.
  • Montrer les temps relatifs

Bascule entre l'affichage normal et l'affichage de l'heure relative, sans perte du focus entre les entrées.

Heure relative : Toutes les entrées sont affichées avec, dans la colonne de l'heure d'apparition, la différence de temps par rapport à l'entrée sélectionnée.

Le temps affiché est le temps écoulé depuis l'heure d'apparition de l'événement sélectionné. L'entrée sélectionnée reçoit automatiquement l'information d'horodatage 0. Les autres événements comportent :

  • Une différence de temps positive par rapport à l'entrée sélectionnée s'ils se sont produits plus tard
  • Une différence de temps négative par rapport à l'entrée sélectionnée s'ils se sont produits plus tôt

Groupes d'alarmes/d'événements / Classes d'alarmes/d'événements / Domaines d'alarmes/d'événements

Champ de liste pour l'affichage groupé :
  • Groupes d'alarmes/d'événements

Groupes d'alarmes/d'événements
  • Classes d'alarmes/d'événements

Classes d'alarmes/d'événements
  • Domaines d'alarme

Domaines d'alarme

Filtre de temps

Liste déroulante des différents filtres horaires.

Insérer tous les éléments

Ouvre la liste déroulante de sélection d'éléments prédéfinis de configuration de certaines périodes de temps.

Période de temps absolue : affichage classique

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Période de temps absolue : affichage compact

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Horaire relatif

Éléments de configuration de périodes de temps relatives.

A partir de HH:MM:SS

Éléments de configuration d'une période de temps commençant à une heure définie.

A partir du jour à HH:MM:SS

Éléments de configuration d'une période de temps débutant à une heure définie.

A partir du jour, mois à HH:MM:SS

Éléments de configuration d'une période de temps débutant un jour défini dans un mois défini,;à une heure définie.

Période de temps : 1 ou 2 semaines

Éléments de configuration d'une période de temps d'une ou deux semaines.

Période de temps : un jour

Éléments de configuration d'une période de temps d'une journée.

Période de temps : un mois

Éléments de configuration d'une période de temps d'un mois.

Période de temps : une année

Éléments de configuration d'une période de temps d'une année.

Période de temps : 15/30/60 minutes

Éléments de configuration d'une période de temps de 15, 30 ou 60 minutes.

Insérer tous les éléments (Tactile)

Ouvre la liste déroulante de sélection d'éléments prédéfinis de configuration de certaines périodes de temps, optimisée pour un fonctionnement tactile. Comme dans l'option Insérer tous les éléments, les paramètres suivants sont disponibles.

  • Période de temps absolue : affichage classique
  • Horaire relatif
  • A partir de HH:MM:SS
  • A partir du jour à HH:MM:SS
  • A partir du jour, mois à HH:MM:SS
  • Période de temps : 1 ou 2 semaines
  • Période de temps : un jour
  • Période de temps : un mois
  • Période de temps : une année
  • Période de temps : 15/30/60 minutes

Intitulé : type de filtre de temps

Intitulé du type de filtre de temps.

Menu déroulant : type de filtre de temps

Menu déroulant : type de filtre de temps

Affichage : type de filtre de temps

Champ d'affichage du type de filtre de temps.

Options de filtre horaire

Boutons affichant ou masquant certains éléments dans le Runtime :

  • Pas de filtre
  • Filtre de temps absolu
  • Filtre temps relatif
  • A partir du jour, mois à HH:MM:SS
  • A partir du jour à HH:MM:SS
  • Période de temps 1 semaine
  • Période de temps 2 semaines
  • Période de temps 1 jour
  • Période de temps 1 mois
  • Période de temps 1 an
  • Période de temps 15 minutes
  • Période de temps 30 minutes
  • Période de temps 60 minutes

Heure de début

Champs et intitulés de définition de l'heure de début.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Minute de début
  • Zone de liste modifiable : Minute de début
  • Intitulé : Seconde de début
  • Zone de liste modifiable : Seconde de début
  • Spin control From (Commande rotative : Début)

Heure de fin

Champs et intitulés de définition de l'heure de fin.

  • Intitulé : Jusqu'à l'année
  • Zone de liste modifiable : Jusqu'à l'année
  • Intitulé : Jusqu'au mois
  • Zone de liste modifiable : Jusqu'au mois
  • Intitulé : Jusqu'au jour
  • Zone de liste modifiable : Jusqu'au jour
  • Intitulé : Jusqu'à l'heure
  • Zone de liste modifiable : Jusqu'à l'heure
  • Intitulé : Jusqu'à la minute
  • Zone de liste modifiable : Jusqu'à la minute
  • Intitulé : Jusqu'à la seconde
  • Zone de liste modifiable : Jusqu'à la seconde
  • Spin control From (Commande rotative : Fin)

Temps à partir de (Tactile)

Champs et intitulés de définition de l'heure de début, optimisés pour un fonctionnement tactile.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Minute de début
  • Zone de liste modifiable : Minute de début
  • Intitulé : Seconde de début
  • Zone de liste modifiable : Seconde de début
  • Spin control From (Commande rotative : Début)

Temps jusqu'à (Tactile)

Champs et intitulés de définition de l'heure de fin, optimisés pour un fonctionnement tactile.

  • Intitulé : Jusqu'à l'année
  • Zone de liste modifiable : Jusqu'à l'année
  • Intitulé : Jusqu'au mois
  • Zone de liste modifiable : Jusqu'au mois
  • Intitulé : Jusqu'au jour
  • Zone de liste modifiable : Jusqu'au jour
  • Intitulé : Jusqu'à l'heure
  • Zone de liste modifiable : Jusqu'à l'heure
  • Intitulé : Jusqu'à la minute
  • Zone de liste modifiable : Jusqu'à la minute
  • Intitulé : Jusqu'à la seconde
  • Zone de liste modifiable : Jusqu'à la seconde
  • Spin control From (Commande rotative : Fin)

Filtre de temps absolu

Champs et intitulés de définition du filtre de temps (temps absolu).

  • Intitulé : A partir de
  • Affichage du calendrier : Date de début
  • Affichage de la date : Date de début
  • Affichage de l'heure : Heure de début
  • Intitulé : Jusqu'à
  • Affichage du calendrier : Date de fin
  • Affichage de la date : Date de fin
  • Affichage de l'heure : Heure de fin

Période de temps

Champs et intitulés de définition des périodes de temps.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Semaine
  • Zone de liste modifiable : Semaine

Période de temps (tactile)

Champs et intitulés de définition de l'heure de début, optimisés pour un fonctionnement tactile.

  • Intitulé : Année de début
  • Bouton : Année de début (vers le haut)
  • Zone tactile : Année de début
  • Bouton : Année de début (vers le bas)
  • Intitulé : Mois de début
  • Bouton : Mois de début (vers le haut)
  • Zone tactile : Mois de début
  • Bouton : Mois de début (vers le bas)
  • Intitulé : Jour de début
  • Bouton : Jour de début (vers le haut)
  • Zone tactile : Jour de début
  • Bouton : Jour de début (vers le bas)
  • Intitulé : Heure de début
  • Bouton : Heure de début (vers le haut)
  • Zone tactile : Heure de début
  • Bouton : Heure de début (vers le bas)
  • Intitulé : Semaine
  • Bouton : Semaine (vers le haut)
  • Zone tactile : Semaine
  • Bouton : Semaine (vers le bas)

Text filter (Filtre de texte)

Liste déroulante des différents filtres de texte.

Insérer tous les éléments : Text filter (Filtre de texte)

Insère tous les éléments des filtres de texte.

Aucun filtre de texte

Bouton d'option permettant de désélectionner le filtre de texte.

Rechercher (mots séparés par des espaces)

Bouton d'option permettant d'activer la recherche

Texte : Search text (Recherche de texte)

Intitulé du champ de recherche.

Champ de saisie : Search text (Recherche de texte)

Champ de saisie du terme de cherche.

Options

Options de recherche
  • Respecter la casse

La capitalisation sera prise en compte.
  • Les mots n'ont pas besoin d'être en entier dans le texte

Vous pouvez également rechercher des fragments.
  • Au moins un mot doit être dans le texte

Un au moins des termes de recherche doit être présent dans le résultat.
  • Tous les mots doivent être dans le texte

Tous les termes de recherche doivent être présents dans le résultat.
  • La chaîne de filtre doit se trouver exactement dans le texte

Les résultats doivent contenir le texte exact du champ de saisie.

OK

Accepter la saisie et fermer le synoptique.

Annuler

Refuser la saisie et fermer le synoptique.

Accepter

Accepter les entrées et laisser le synoptique ouvert à d'autres entrées.

Mise à jour

Actualiser le synoptique.

Synoptiques de filtre

Les synoptiques de filtre permettent de transférer un filtre prédéfini d'un synoptique vers un autre. Le filtre du synoptique source est défini à l'aide du synoptique cible. Les synoptiques peuvent également être de types différents.

attention Attention

Pour que le temps du synoptique soit affiché dans le Runtime, la plage de temps suivante doit être sélectionnée dans l'Éditeur pour la fonction d'appel de synoptique de la liste d'alarmes ou de la liste chronologique d'événements, dans la propriété filtre de temps : Définir le filtre avec un type de filtre horaire

Définition de l'affichage

Les conditions suivantes doivent être remplies pour que les filtres définis soient utilisés :

  1. Le filtre défini pour le type de filtre de temps est sélectionné en tant qu'intervalle de temps pour le filtre de temps.
  2. Le synoptique (synoptiques Filtre de liste d'informations sur les alarmes, Liste chronologique d'événements et filtre de temps) sont activés à l'aide d'un bouton ou d'un élément combiné. C'est la seule manière de maintenir la relation entre le synoptique de filtre et le synoptique source.
  3. Le synoptique source et le synoptique de filtre doivent être configurés dans différents cadres ou sur différents moniteurs. Le filtre du synoptique de filtre peut uniquement être actualisés si le synoptique source est ouvert. Cela est uniquement possible si les deux synoptiques n'utilisent pas le même cadre ou le même moniteur.
  4. Le synoptique appelé doit être compatible avec le synoptique de filtre appelé (voir table).
Synoptique source | Filtre de liste AML | Filtre de liste CEL | Filtre de temps
Maintenance de l'archive | T | T | T
Tendance étendue | T | T | T
Filtre de temps | T | T | X
Filtre de liste de messages d'alarme | X | C | T
Filtre de liste chronologique d'événements | C | X | T
Liste d'alarmes | X | C | T
Liste chronologique d'événements | C | X | T

Clé :

  • C : les paramètres communs sont mis à jour.
  • T : les paramètres de temps sont mis à jour.
  • X : tous les paramètres sont mis à jour.

info Info

Aucun filtrage

Le synoptique de filtre n'est pas filtré, mais il est ouvert avec les valeurs configurées si :

  • Une des conditions 1 à 3 n'est pas satisfaites ou
  • Le paramètre Screen to call up (Synoptique appelé) n'est pas activé pour la fonction Appel de synoptique ou
  • Le synoptique n'est pas appelé par le biais d'un élément de synoptique

Dans ce cas, les boutons Accepter, Fermer et Mise à jour sont grisés dans le Runtime et n'ont aucune fonction.


Créer un synoptique de type Filtre de temps

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Créer un synoptique de type Filtre de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez modifier les paramètres du filtre de temps dans le Runtime par l'intermédiaire d'un synoptique Filtre de temps. Les synoptiques suivants peuvent être influencés par le filtre :

  • Liste d'alarmes
  • Maintenance de l'archive
  • Liste chronologique d'événements
  • Extended Trend

L'avantage de ce type de synoptique est qu'il permet de configurer uniquement les éléments de filtre réellement nécessaires. Par conséquent, il est inutile que l'utilisateur s'astreigne à comprendre de nombreux paramètres de filtre. Seuls les paramètres de filtre nécessaires dans ce contexte particulier sont affichés. En outre, vous êtes entièrement libre de modifier l'apparence et pouvez, par exemple, faciliter l'utilisation du système avec un écran tactile.

attention Attention

Les synoptiques de type Filtre de liste d'alarmes, Filtre de liste chronologique d'événements et Filtre de temps doivent être développés avec un cadre spécifique. S'ils utilisent le même cadre que d'autres synoptiques, tous les synoptiques configurés avec ce cadre sont fermés lors de la fermeture du cadre.

Sur le synoptique de filtre de temps, tous les paramètres de filtre de temps également présents dans le filtre associé à la fonction d'appel du synoptique correspondant peuvent être projetés.

Créer un synoptique de type Filtre de temps

Pour créer un synoptique Filtre de temps :

  1. Dans la barre d'outils ou le menu contextuel du nœud Synoptiques, sélectionnez la commande Nouveau synoptique.
  2. Un synoptique standard vide s'affiche à l'écran.
  3. Changez le type de synoptique dans la vue détaillée ; pour cela :
    1. Cliquez sur Standard dans la colonne Type de synoptique.
    2. Sélectionnez Filtre de temps dans la liste déroulante.
  4. Sélectionnez votre cadre
    (le filtre de temps ne peut pas être conçu avec le même cadre que les autres synoptiques).
  5. Cliquez sur le synoptique.
  6. Sélectionnez l'option de menu Éléments de contrôle dans la barre de menus.
  7. Cliquez sur Insérer un modèle dans la liste déroulante.
  8. La boîte de dialogue de sélection de modèle s'affiche à l'écran
  9. sélectionnez le modèle de votre choix
  10. Les éléments standard sont placés dans des positions prédéfinies ; ils peuvent être supprimés ou positionnés ailleurs.
  11. Vous pouvez ajouter d'autres éléments à l'aide du menu Éléments de contrôle .
  12. Donnez un nom au synoptique en fonction du filtre sélectionné.
    Pour cela :
    1. Cliquez sur le nom d'un synoptique dans la vue détaillée, dans la colonne Nom.
    2. Sélectionnez un nom prédéfini adéquat dans la liste déroulante, ou spécifiez un nom de votre choix.
  13. Créez une fonction d'appel de synoptique pour pouvoir appeler le synoptique dans le Runtime.

Autres sujets abordés dans ce chapitre

Éléments de contrôle

Modèle

Noms prédéfinis

Utilisation d'un synoptique de type Filtre de temps


Éléments de contrôle

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Créer un synoptique de type Filtre de temps -> Éléments de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour les synoptiques de filtre de temps, des éléments ont également été optimisés pour les écrans tactiles, outre les éléments conventionnels.

Paramètres

Description

Insérer un modèle

Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant.

Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur.

Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.

Insérer tous les éléments

Ouvre la liste déroulante de sélection d'éléments prédéfinis de configuration de certaines périodes de temps.

Période de temps absolue : affichage classique

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Période de temps absolue : affichage compact

Éléments de configuration de périodes de temps absolues, avec un affichage compact.

Horaire relatif

Éléments de configuration de périodes de temps relatives.

A partir de HH:MM:SS

Éléments de configuration d'une période de temps commençant à une heure définie.

A partir du jour à HH:MM:SS

Éléments de configuration d'une période de temps débutant à une heure définie.

A partir du jour, mois à HH:MM:SS

Éléments de configuration d'une période de temps débutant un jour défini dans un mois défini,;à une heure définie.

Période de temps : 1 ou 2 semaines

Éléments de configuration d'une période de temps d'une ou deux semaines.

Période de temps : un jour

Éléments de configuration d'une période de temps d'une journée.

Période de temps : un mois

Éléments de configuration d'une période de temps d'un mois.

Période de temps : une année

Éléments de configuration d'une période de temps d'une année.

Période de temps : 15/30/60 minutes

Éléments de configuration d'une période de temps de 15, 30 ou 60 minutes.

Insérer tous les éléments (Tactile)

Ouvre la liste déroulante de sélection d'éléments prédéfinis de configuration de certaines périodes de temps, optimisée pour un fonctionnement tactile. Comme dans l'option Insérer tous les éléments, les paramètres suivants sont disponibles.

  • Période de temps absolue : affichage classique
  • Horaire relatif
  • A partir de HH:MM:SS
  • A partir du jour à HH:MM:SS
  • A partir du jour, mois à HH:MM:SS
  • Période de temps : 1 ou 2 semaines
  • Période de temps : un jour
  • Période de temps : un mois
  • Période de temps : une année
  • Période de temps : 15/30/60 minutes

Intitulé : type de filtre de temps

Intitulé du type de filtre de temps.

Menu déroulant : type de filtre de temps

Menu déroulant : type de filtre de temps

Affichage : type de filtre de temps

Champ d'affichage du type de filtre de temps.

Options de filtre horaire

Boutons affichant ou masquant certains éléments dans le Runtime :

  • Pas de filtre
  • Filtre de temps absolu
  • Filtre temps relatif
  • A partir du jour, mois à HH:MM:SS
  • A partir du jour à HH:MM:SS
  • Période de temps 1 semaine
  • Période de temps 2 semaines
  • Période de temps 1 jour
  • Période de temps 1 mois
  • Période de temps 1 an
  • Période de temps 15 minutes
  • Période de temps 30 minutes
  • Période de temps 60 minutes

Heure de début

Champs et intitulés de définition de l'heure de début.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Minute de début
  • Zone de liste modifiable : Minute de début
  • Intitulé : Seconde de début
  • Zone de liste modifiable : Seconde de début
  • Spin control From (Commande rotative : Début)

Heure de fin

Champs et intitulés de définition de l'heure de fin.

  • Intitulé : Jusqu'à l'année
  • Zone de liste modifiable : Jusqu'à l'année
  • Intitulé : Jusqu'au mois
  • Zone de liste modifiable : Jusqu'au mois
  • Intitulé : Jusqu'au jour
  • Zone de liste modifiable : Jusqu'au jour
  • Intitulé : Jusqu'à l'heure
  • Zone de liste modifiable : Jusqu'à l'heure
  • Intitulé : Jusqu'à la minute
  • Zone de liste modifiable : Jusqu'à la minute
  • Intitulé : Jusqu'à la seconde
  • Zone de liste modifiable : Jusqu'à la seconde
  • Spin control From (Commande rotative : Fin)

Temps à partir de (Tactile)

Champs et intitulés de définition de l'heure de début, optimisés pour un fonctionnement tactile.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Minute de début
  • Zone de liste modifiable : Minute de début
  • Intitulé : Seconde de début
  • Zone de liste modifiable : Seconde de début
  • Spin control From (Commande rotative : Début)

Temps jusqu'à (Tactile)

Champs et intitulés de définition de l'heure de fin, optimisés pour un fonctionnement tactile.

  • Intitulé : Jusqu'à l'année
  • Zone de liste modifiable : Jusqu'à l'année
  • Intitulé : Jusqu'au mois
  • Zone de liste modifiable : Jusqu'au mois
  • Intitulé : Jusqu'au jour
  • Zone de liste modifiable : Jusqu'au jour
  • Intitulé : Jusqu'à l'heure
  • Zone de liste modifiable : Jusqu'à l'heure
  • Intitulé : Jusqu'à la minute
  • Zone de liste modifiable : Jusqu'à la minute
  • Intitulé : Jusqu'à la seconde
  • Zone de liste modifiable : Jusqu'à la seconde
  • Spin control From (Commande rotative : Fin)

Filtre de temps absolu

Champs et intitulés de définition du filtre de temps (temps absolu).

  • Intitulé : A partir de
  • Affichage du calendrier : Date de début
  • Affichage de la date : Date de début
  • Affichage de l'heure : Heure de début
  • Intitulé : Jusqu'à
  • Affichage du calendrier : Date de fin
  • Affichage de la date : Date de fin
  • Affichage de l'heure : Heure de fin

Période de temps

Champs et intitulés de définition des périodes de temps.

  • Intitulé : Année de début
  • Zone de liste modifiable : Année de début
  • Intitulé : Mois de début
  • Zone de liste modifiable : Mois de début
  • Intitulé : Jour de début
  • Zone de liste modifiable : Jour de début
  • Intitulé : Heure de début
  • Zone de liste modifiable : Heure de début
  • Intitulé : Semaine
  • Zone de liste modifiable : Semaine

Période de temps (tactile)

Champs et intitulés de définition de l'heure de début, optimisés pour un fonctionnement tactile.

  • Intitulé : Année de début
  • Bouton : Année de début (vers le haut)
  • Zone tactile : Année de début
  • Bouton : Année de début (vers le bas)
  • Intitulé : Mois de début
  • Bouton : Mois de début (vers le haut)
  • Zone tactile : Mois de début
  • Bouton : Mois de début (vers le bas)
  • Intitulé : Jour de début
  • Bouton : Jour de début (vers le haut)
  • Zone tactile : Jour de début
  • Bouton : Jour de début (vers le bas)
  • Intitulé : Heure de début
  • Bouton : Heure de début (vers le haut)
  • Zone tactile : Heure de début
  • Bouton : Heure de début (vers le bas)
  • Intitulé : Semaine
  • Bouton : Semaine (vers le haut)
  • Zone tactile : Semaine
  • Bouton : Semaine (vers le bas)

Annuler

Bouton d'annulation des paramètres de filtre dans le Runtime.

Accepter

Bouton d'acceptation des paramètres de filtre dans le Runtime.

Actualiser

Bouton d'actualisation de l'affichage filtré.

Mise en évidence des éléments tactiles.

Les éléments de contrôle tactiles peuvent être mis en évidence avec des couleurs. Pour cela, configurez les propriétés suivantes dans le groupe Couleur pour les éléments tactiles :

  • Couleur du texte pour la sélection avec le focus : Couleur du texte lorsque le focus se trouve sur l'élément
  • Couleur de fond pour la sélection avec le focus : Couleur de l'arrière-plan texte lorsque le focus se trouve sur l'élément
  • Couleur de texte pour la sélection sans le focus : Couleur du texte lorsque le focus ne se trouve pas sur l'élément
  • Couleur de fond pour la sélection sans le focus : Couleur de l'arrière-plan lorsque le focus ne se trouve pas sur l'élément


Modèle

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Créer un synoptique de type Filtre de temps -> Modèle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Des modèles prédéfinis sont disponibles pour les synoptiques de type filtre de temps.

Paramètres | Description
Champ de liste de modèles (à gauche) | Affiche la liste des modèles prédéfinis et définis par l'utilisateur.
Standard | Insère les éléments standard.
Scada | Modèle pour l'utilisation avec la souris.
Absolu | Insère les éléments de configuration d'intervalles de temps absolus.
Absolu, calendrier | Insère les éléments de configuration d'intervalles de temps absolus avec un calendrier.
Absolu compact | Insère les éléments de configuration d'intervalles de temps absolus, avec un affichage compact.
Standard | Insère les éléments standard.
À partir d'un mois | Insère les éléments de configuration de la plage de temps à partir d'un mois.
À partir d'une heure | Insère les éléments de configuration de la plage de temps à partir d'une heure.
À partir d'un jour | Insère les éléments de configuration de la plage de temps à partir d'un jour.
Tactile | Les modèles sont optimisés pour un fonctionnement tactile.
Absolu | Insère les éléments de configuration d'intervalles de temps absolus.
Standard | Insère les éléments standard.
À partir d'un mois | Insère les éléments de configuration de la plage de temps à partir d'un mois.
À partir d'une heure | Insère les éléments de configuration de la plage de temps à partir d'une heure.
À partir d'un jour | Insère les éléments de configuration de la plage de temps à partir d'un jour.
Aperçu du modèle (en haut à droite) | Aperçu du synoptique lors de l'adaptation du modèle sélectionné.
Description du modèle (en bas à droite) | Description du modèle.
Suppression d'éléments de synoptique existants | Actif : les éléments existants du synoptique sont supprimés lors de l'utilisation du modèle.
Accepter | Insère les éléments du modèle sélectionné dans le synoptique et ferme la boîte de dialogue.
Annuler | Ferme la boîte de dialogue sans insérer les éléments.
Aide | Ouvre l'aide en ligne.


Noms prédéfinis

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Créer un synoptique de type Filtre de temps -> Noms prédéfinis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Des noms prédéfinis sont disponibles pour les filtres de temps. Pour sélectionner un nom :

  1. Dans la vue de détail, définissez un filtre de temps, un filtre de liste chronologique d'événements ou un filtre de liste d'alarmes.
  2. Cliquez deux fois sur le champ du nom dans la colonne Nom.
  3. Sélectionnez le nom prédéfini dans la liste déroulante.
    • TIMEFILTER_ABSOLUTE
    • TIMEFILTER_DAY
    • TIMEFILTER_HOUR
    • TIMEFILTER_MONTH
    • TIMEFILTER_PERIOD
    • TIMEFILTER_PERIOD_DAY
    • TIMEFILTER_PERIOD_MINUTE
    • TIMEFILTER_PERIOD_MONTH
    • TIMEFILTER_PERIOD_WEEK
    • TIMEFILTER_PERIOD_YEAR
    • TIMEFILTER_RELATIVE

Remarque : les synoptiques Filtre de liste CEL et le Filtre de liste AML possèdent également des noms prédéfinis, CEL_FILTER et AML_FILTER.


Utilisation d'un synoptique de type Filtre de temps

Manuels -> Synoptiques -> Types de synoptique -> Filtre de synoptique -> Créer un synoptique de type Filtre de temps -> Utilisation d'un synoptique de type Filtre de temps

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Synoptiques de filtre

Les synoptiques de filtre permettent de transférer un filtre prédéfini d'un synoptique vers un autre. Le filtre du synoptique source est défini à l'aide du synoptique cible. Les synoptiques peuvent également être de types différents.

attention Attention

Pour que le temps du synoptique soit affiché dans le Runtime, la plage de temps suivante doit être sélectionnée dans l'Éditeur pour la fonction d'appel de synoptique de la liste d'alarmes ou de la liste chronologique d'événements, dans la propriété filtre de temps : Définir le filtre avec un type de filtre horaire

Définition de l'affichage

Les conditions suivantes doivent être remplies pour que les filtres définis soient utilisés :

  1. Le filtre défini pour le type de filtre de temps est sélectionné en tant qu'intervalle de temps pour le filtre de temps.
  2. Le synoptique (synoptiques Filtre de liste d'informations sur les alarmes, Liste chronologique d'événements et filtre de temps) sont activés à l'aide d'un bouton ou d'un élément combiné. C'est la seule manière de maintenir la relation entre le synoptique de filtre et le synoptique source.
  3. Le synoptique source et le synoptique de filtre doivent être configurés dans différents cadres ou sur différents moniteurs. Le filtre du synoptique de filtre peut uniquement être actualisés si le synoptique source est ouvert. Cela est uniquement possible si les deux synoptiques n'utilisent pas le même cadre ou le même moniteur.
  4. Le synoptique appelé doit être compatible avec le synoptique de filtre appelé (voir table).
Synoptique source | Filtre de liste AML | Filtre de liste CEL | Filtre de temps
Maintenance de l'archive | T | T | T
Tendance étendue | T | T | T
Filtre de temps | T | T | X
Filtre de liste de messages d'alarme | X | C | T
Filtre de liste chronologique d'événements | C | X | T
Liste d'alarmes | X | C | T
Liste chronologique d'événements | C | X | T

Clé :

  • C : les paramètres communs sont mis à jour.
  • T : les paramètres de temps sont mis à jour.
  • X : tous les paramètres sont mis à jour.

info Info

Aucun filtrage

Le synoptique de filtre n'est pas filtré, mais il est ouvert avec les valeurs configurées si :

  • Une des conditions 1 à 3 n'est pas satisfaites ou
  • Le paramètre Screen to call up (Synoptique appelé) n'est pas activé pour la fonction Appel de synoptique ou
  • Le synoptique n'est pas appelé par le biais d'un élément de synoptique

Dans ce cas, les boutons Accepter, Fermer et Mise à jour sont grisés dans le Runtime et n'ont aucune fonction.

Mise à jour

Lorsqu'un synoptique de filtre est activé (filtre de liste d'alarmes, filtre de liste chronologique d'événements et filtre de temps), les synoptiques configurés dans la fonction d'appel de synoptique sont mis à jour de deux manières :

  • Si le synoptique de filtre est invoqué par le biais d'un élément de synoptique, les synoptiques cibles affichés sur le même moniteur que le synoptique source sont mis à jour.
  • Si le filtre est invoqué de manière différente ou si le paramètre Update on all monitors (Mettre à jour sur tous les moniteurs) est activé, tous les synoptiques cible sont configurés et mis à jour.

Ils sont mis à jour dès que vous cliquez sur le bouton Accepter ou que vous fermez le synoptique de filtre en cliquant sur le bouton Fermer. Le bouton Annuler annule les modifications et ferme le synoptique de filtre.

Mise à jour des paramètres de filtre

Vous pouvez actualiser les paramètres de filtre actuels du synoptique source en cliquant sur le bouton Actualiser. Si le synoptique de filtre n'est pas invoqué par un élément de synoptique, ou si l'option Calling screen (Synoptique d'activation) n'a pas été activée, tous les moniteurs sont inspectés afin de déterminer les synoptiques pouvant être utilisés aux fins de la mise à jour. Le premier synoptique trouvé est alors utilisé pour la mise à jour.


HTML

Manuels -> Synoptiques -> Types de synoptique -> HTML

Permet d'afficher un synoptique au format HTML. Le moteur de rendu utilisé est la version actuellement installée de Microsoft Internet Explorer.

Autres sujets abordés dans ce chapitre

Créer un synoptique de type HTML

Fonction Appel de synoptique - HTML

Fonctionnement dans le Runtime


Créer un synoptique de type HTML

Manuels -> Synoptiques -> Types de synoptique -> HTML -> Créer un synoptique de type HTML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un synoptique de type HTML :

  1. Créez un nouveau synoptique.
  2. Sélectionnez le type de synoptique HTML.
  3. Un synoptique vide est créé.
  4. Cliquez sur Insérer un modèle dans la liste déroulante.
  5. La boîte de dialogue de sélection de modèle s'affiche à l'écran
  6. sélectionnez le modèle de votre choix

Les adresses de navigation et de recherche sont définies lors de la création de la fonction Appel de synoptique.

info Info

L'élément de menu Insérer un modèle ajoute des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Tous les éléments de contrôle peuvent être ajoutés, supprimés et librement positionnés. Les autres éléments dynamiques et éléments vectoriels peuvent également être ajoutés.


Fonction Appel de synoptique - HTML

Manuels -> Synoptiques -> Types de synoptique -> HTML -> Fonction Appel de synoptique - HTML

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer une fonction permettant de basculer vers le synoptique HTML :

  • Sélectionnez Nouvelle fonction.
  • Sélectionnez Appel de synoptique.
  • Sélectionnez le synoptique HTML.
  • Une boîte de dialogue permettant de définir des adresses pour la zone de recherche et de navigation est ouverte.

Paramètre | Description
Adresse de recherche | Adresse de la page à afficher dans la zone de recherche.
Adresse de navigation | Adresse de la page à afficher dans la zone de navigation.
Enregistrer dernières adresses : |
Rechercher | Nombre d'adresses à stocker par le système pour la zone de recherche.
Navigation | Nombre d'adresses à stocker par le système pour la zone de navigation.
Afficher cette boîte de dialogue dans le Runtime | Actif : Ouvre la boîte de dialogue lorsque le synoptique est ouvert dans le Runtime.


Fonctionnement dans le Runtime

Manuels -> Synoptiques -> Types de synoptique -> HTML -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Élément de contrôle | Description
Rechercher | Elément Rechercher dans la zone
Naviguer | Elément zone de navigation En cliquant un lien dans le champs "Rechercher", la page correspondante sera affichée dans la partie Naviguer. Donc, dans le champ Rechercher, une barre de navigation ou le résultat d'un moteur de recherche peut-être affiché sans changer le contenu lorsqu'un lien est activé.
Rechercher Précédente | Remonter d'une page dans la zone Rechercher.
Rechercher Suivante | Descendre d'une page dans la zone Rechercher.
Annuler Rechercher | Annuler Rechercher.
Rercherche Accueil | Revenir à la page d'accueil de la zone Rechercher.
Actualiser Rechercher | Régénérer la zone Rechercher.
Rechercher URL | Rechercher une adresse ou un fichier.
Précédente | Remonter d'une page dans la zone de navigation.
Suivante | Descendre d'une page dans la zone de navigation.
Annuler l'action de navigation | Annuler l'action de navigation.
Page d'accueil | Revenir à la page d'accueil de la zone de navigation.
Actualiser | Actualiser la zone de navigation.
URL | Accéder à une adresse ou un fichier.
Filtre | Ouvre la boîte de dialogue de filtres.


Bloc-notes

Manuels -> Synoptiques -> Types de synoptique -> Bloc-notes

Le bloc-notes vous permet d'afficher des fichiers texte et de les éditer, le cas échéant.

Autres sujets abordés dans ce chapitre

Créer un bloc-notes de synoptique

Fonction Appel de synoptique Bloc-notes

Fonctionnement dans le Runtime


Créer un bloc-notes de synoptique

Manuels -> Synoptiques -> Types de synoptique -> Bloc-notes -> Créer un bloc-notes de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La taille de l'affichage du synoptique Bloc-notes est définie par la taille du gabarit. Lors de l'activation du synoptique, vous devez définir quel rapport sera ouvert.

Pour créer un bloc-notes :

  1. Créez un nouveau synoptique.
  2. Sélectionnez le type de synoptique Bloc-notes.
  3. Un synoptique vide est créé.
  4. Cliquez sur Insérer un modèle dans la liste déroulante.
  5. La boîte de dialogue de sélection de modèle s'affiche à l'écran
  6. sélectionnez le modèle de votre choix

info Info

Insérer un modèle ajoute des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Tous les éléments de contrôle peuvent être ajoutés, supprimés et librement positionnés. Les autres éléments dynamiques et éléments vectoriels peuvent également être ajoutés.


Fonction Appel de synoptique Bloc-notes

Manuels -> Synoptiques -> Types de synoptique -> Bloc-notes -> Fonction Appel de synoptique Bloc-notes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer une fonction permettant de basculer vers le synoptique Bloc-notes :

  • Sélectionnez Nouvelle fonction.
  • Sélectionnez Appel de synoptique.
  • Sélectionnez le synoptique Bloc-notes.
  • Ouvre une boîte de dialogue permettant de définir le fichier devant être affiché.

Paramètre | Description
Nom de fichier | Pour sélectionner le fichier devant être affiché, cliquez sur ... : une boîte de dialogue s'affiche à l'écran. Le fichier doit avoir été créé dans le gestionnaire de projet, dans le nœud Fichiers/Textes et formats, sous la forme d'un fichier bitmap. Si aucun fichier approprié n'a été créé, vous pouvez en sélectionner un dans la boîte de dialogue en cliquant sur le symbole Ajouter fichier. Types de fichiers autorisés : TXT, HTM, HTML, FRM.
En lecture seulement | Actif : Dans le Runtime, le texte peut être lu, mais pas édité.


Fonctionnement dans le Runtime

Manuels -> Synoptiques -> Types de synoptique -> Bloc-notes -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Élément de contrôle | Action
Bouton Fichier | Sélection de fichier en mode de fonctionnement en ligne
Bouton Regénérer | Rafraîchit l'affichage en mode de fonctionnement en ligne
Bouton Enregistrer | Enregistrer les modifications apportées au fichier en mode de fonctionnement en ligne
Bouton Enregistrer sous | Enregistrer les modifications apportées à un fichier sous un nom différent
Bouton Imprimer | Imprime le fichier en mode de fonctionnement en ligne
Bouton Paramétrage impression | Paramètres pour l'impression
Bouton Fermer | Ferme le synoptique
Bouton Colonne de droite | Fait défiler le texte dans la liste vers la droite
Bouton Colonne de gauche | Fait défiler le texte dans la liste vers la gauche
Bouton Page de droite | Fait défiler le texte dans la liste vers la droite
Bouton Page de gauche | Fait défiler le texte dans la liste vers la gauche
Bouton Ligne précédente | Fait défiler le texte dans la liste vers le haut
Bouton Ligne suivante | Fait défiler le texte dans la liste vers le bas
Bouton Page précédente | Fait défiler le texte dans la liste vers le haut
Bouton Page suivante | Fait défiler le texte dans la liste vers le bas
Editer | Fenêtre d'affichage du contenu du fichier


Vidéo

Manuels -> Synoptiques -> Types de synoptique -> Vidéo

Dans zenon, en utilisant un synoptique spécifique pour l'affichage de vidéos, il est possible d'afficher des enregistrements vidéo (*.avi) en ligne ou stockés. Le format utilisé est le format .avi.

Dans le Runtime, les vidéos sont centrées dans le cadre lors de la lecture. Le contrôle est assuré par le biais de l'élément de contrôle.

Remarque : les codecs nécessaires pour lire la vidéo doivent être installés sur l'ordinateur.

Autres sujets abordés dans ce chapitre

Créer un synoptique de type Vidéo

Appel de synoptique - vidéo

Fonctionnement dans le Runtime


Créer un synoptique de type Vidéo

Manuels -> Synoptiques -> Types de synoptique -> Vidéo -> Créer un synoptique de type Vidéo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un synoptique de type Vidéo :

  1. Créez un nouveau synoptique.
  2. Sélectionnez le type de synoptique Vidéo.
  3. Un synoptique vide est créé.
  4. Cliquez sur Insérer un modèle dans la liste déroulante.
  5. La boîte de dialogue de sélection de modèle s'affiche à l'écran
  6. sélectionnez le modèle de votre choix

info Info

Insérer un modèle ajoute des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Tous les éléments de contrôle peuvent être ajoutés, supprimés et librement positionnés. Les autres éléments dynamiques et éléments vectoriels peuvent également être ajoutés.


Appel de synoptique - vidéo

Manuels -> Synoptiques -> Types de synoptique -> Vidéo -> Appel de synoptique - vidéo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec le synoptique Vidéo, vous pouvez afficher deux types de vidéos dans le Runtime :

  1. Les vidéos enregistrées (*.avi)
  2. Les vidéos provenant d'une caméra de surveillance

La vidéo affichée dépend de l'onglet affiché lors de l'enregistrement de la boîte de dialogue.

info Info

Si les fichiers vidéo et les vidéos en ligne doivent être affichés, créez deux fonctions d'appel de synoptique.

Pour créer une fonction permettant de basculer vers le synoptique Vidéo :

  • Sélectionnez Nouvelle fonction.
  • Sélectionnez Appel de synoptique.
  • Sélectionnez le synoptique Vidéo.
  • Une boîte de dialogue pour la définition de la source vidéo est ouverte.
    • Fichier vidéo
    • Vidéo en ligne

Autres sujets abordés dans ce chapitre

Fichier vidéo

Vidéo en ligne


Fichier vidéo

Manuels -> Synoptiques -> Types de synoptique -> Vidéo -> Appel de synoptique - vidéo -> Fichier vidéo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres nécessaires à l'affichage du synoptique Vidéo pour afficher une caméra de surveillance sont les suivants :

  • Définissez la vidéo devant être affichée
  • Paramètres de position, de vitesse, de volume et de facteur d'agrandissement de l'affichage

Paramètre | Description
Fichier - *.avi | Le fichier vidéo à afficher
Options et paramètres |
Lecture | Affiche une barre de progression dans le synoptique vidéo.
Menu | Affiche un menu dans la barre de lecture pour le contrôle de la vidéo (seulement avec barre de lecture activée)
Vidéo position centrée | Point de référence de la position de l'affichage de la vidéo lors des actions de zoom. Actif : La vidéo 'zoomée' est positionné au centre du gabarit. Inactif : L'affichage de la vidéo est zoomé à partir du coin bas droit.
Démarrage auto | Le fichier vidéo est automatiquement lancé à l'ouverture du synoptique
Fonctionnement continu | La vidéo est exécutée en boucle.
Vitesse | Vitesse, en millièmes de la vitesse d'origine. Par défaut : 1000 (vitesse d'origine)
Zoom | Zoom factor for correctly-proportioned zooming in or zooming out as a percentage of the original size. Par défaut : 100 (taille d'origine)
Volume | Volume, en millièmes du volume d'origine. par défaut : 1000 (volume d'origine)
TimrFreq | Remarque : ne sont pas utilisées. Fréquence de l'horloge. Par défaut : 500


Vidéo en ligne

Manuels -> Synoptiques -> Types de synoptique -> Vidéo -> Appel de synoptique - vidéo -> Vidéo en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres nécessaires à l'affichage du synoptique Vidéo pour afficher une caméra de surveillance sont les suivants :

  • Paramètres du lecteur vidéo
  • Paramètres spécifiques aux options d'enregistrement si la vidéo doit être enregistrée

Paramètre | Description
Driver vidéo | Sélection du pilote vidéo utilisé. Remarque : le pilote doit être compatible avec Microsoft Capturing.
Option d'enregistrement | Options d'enregistrement et de sauvegarde de la vidéo sous forme de fichier AVI ou de bitmaps. Si seule une vidéo en ligne doit être affichée, aucun paramètre n'est nécessaire.
Nom ou abréviation | Nom du fichier à sauvegarder.
Assigner nom automatiquement | Le nom est automatiquement généré par le système durant l'enregistrement.
Active limite temps capture | Limite de temps de l'enregistrement, en secondes.
Format | AVI ou BMP.
Démarrage auto enregistrement | L'enregistrement démarre automatiquement lors de l'affichage du synoptique.
Utiliser buffer DOS | Concerne uniquement les systèmes 16 bits.
Frame Rate | Nombre d'images à la seconde lors de l'enregistrement
Video Buffers | Nombre de Mo réservés pour le buffer d'enregistrement
Max Drop Rate | Nombre maximal d'images "oubliées" (en pourcentage) durant l'enregistrement. Valeur : 0 à 100 Par défaut : 10
Vidéo | Paramètres spécifiques du pilote.
Vues... | Paramètres variables selon le pilote sélectionné.
Format... | Paramètres variables selon le pilote sélectionné.
Compression... | Paramètres variables selon le pilote sélectionné.
Source... | Paramètres variables selon le pilote sélectionné.
Audio | Paramètres d'enregistrement audio
Saisie audio | Active l'enregistrement audio.
Format audio | Paramètres spécifiques du pilote.


Fonctionnement dans le Runtime

Manuels -> Synoptiques -> Types de synoptique -> Vidéo -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsqu'elles sont lues, les vidéos sont centrées dans le cadre.

Élément de contrôle | Description
Vidéo en ligne | Éléments de contrôle d'une vidéo en ligne.
Format | Format de sortie.
Source | Source de données.
Afficher | Affichage d'une vidéo
Compression | Compression de données.
Fichier vidéo | Éléments de contrôle d'un fichier vidéo.
Vitesse | Vitesse.
Zoom | Magnification
Filtre | Paramètres de filtrage.
Lecture | Lire la vidéo.
Répéter | Relire la vidéo.
Enregistrement | Enregistrer une vidéo.
Pause | Interrompre la lecture d'une vidéo.
Stopper | Mettre la lecture en stop/reprendre la lecture
Éjecter | Éjecter.
>> | Avance rapide.
<< | Retour rapide.
Fin | Avancer jusqu'à la fin de la vidéo.
Origine | Accédez au départ


Fonctions de synoptiques

Manuels -> Synoptiques -> Fonctions de synoptiques

Lorsque la fonction standard est créée depuis le menu contextuel dans l'affichage détaillé, zenon crée automatiquement une fonction "Appel de synoptique" pour le synoptique sélectionné.

Autres sujets abordés dans ce chapitre

Appel de synoptique

Synoptique indexé

Synoptique : fermer

Synoptique : retour au précédent

Activer l'élément qui a le focus

Donner le focus au gabarit

Donner le focus

Enlever le focus du gabarit

Visualiser menu

Sélection moniteur

Fermer le cadre

Saisie de valeur prescrite pour le synoptique de type Clavier

Vue d'aperçu

Synoptique : déplacer le centre


Appel de synoptique

Manuels -> Synoptiques -> Fonctions de synoptiques -> Appel de synoptique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Appel de synoptique permet d'afficher différents synoptiques de procédés durant le Runtime.

Example Exemple

Un projet comporte un synoptique de démarrage et un synoptique de type Liste d'alarmes. Dans le Runtime il est possible de basculer de l'un à l'autre. Dans ce cas, par exemple, un bouton est créé sur le synoptique de démarrage et une fonction de type Appel de synoptique est créée sur le synoptique Liste d'informations sur les alarmes. Après cela, la fonction est liée au bouton, par exemple au moyen d'un glisser-déplacer. Maintenant, dans le Runtime, vous pouvez masquer le synoptique de démarrage en cliquant sur le bouton et activer la Liste d'alarmes.

Configuration des appels de synoptique

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Accédez au nœud Synoptiques.

    Synoptiques

    Ce groupe contient les fonctions pour la gestion des synoptiques.

    Plus de détails dans l'aide en ligne

  3. Sélectionnez la fonction Appel de synoptique.

    Appel de synoptique

    Cette fonction ouvre le synoptique sélectionné. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

    Plus de détails dans l'aide en ligne

  4. La boîte de dialogue de sélection de synoptique s'affiche à l'écran.
  5. Sélectionnez un synoptique.
  6. La boîte de dialogue de remplacement de variables et de fonctions s'affiche à l'écran.
  7. Fermez la configuration en cliquant sur OK
  8. Attribuez un bouton à la fonction

Boîte de dialogue de sélection de synoptique

Dans la boîte de dialogue de sélection de synoptique, des synoptiques peuvent être sélectionnés pour l'exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l'espace de travail dans lesquels l'option Garder projet en mémoire est active

Paramètre

Description

Fenêtre d'arborescence des projets

Affiche tous les projets dans l'espace de travail. Les synoptiques peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l'option Garder projet en mémoire est active.

Fenêtre d'affichage des synoptiques

Sélection du synoptique.

Si plusieurs synoptiques sont sélectionnés, le premier synoptique sélectionné est utilisé pour l'exécution de la fonction.

Afficher cette boîte de dialogue dans le Runtime

Bascule vers la boîte de dialogue de sélection de synoptique lors de l'exécution de cette fonction dans le Runtime.

Pas de sélection

Aucune fonction pour cette sélection de synoptique.

Déplacer vers moniteur

Actif : des barres de défilement sont visibles dans le Runtime, vous permettant d'accéder au moniteur de votre choix.

Disponible uniquement sur les systèmes multi-moniteurs.

Moniteur

Sélectionnez le moniteur souhaité dans la liste déroulante.

Celle-ci contient :

  • Moniteur actuel
  • Tous les moniteurs virtuels définis dans la section de gestion des moniteurs
  • facultatif : Tous les moniteurs

Disponible uniquement sur les systèmes multi-moniteurs.

Disponible uniquement sur les systèmes multi-moniteurs.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Synoptique indexé

Manuels -> Synoptiques -> Fonctions de synoptiques -> Synoptique indexé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour appeler le synoptique dont le nom se trouve dans la variable chaîne liée.

Une variable de chaîne doit être sélectionnée dans la liste des variables, en tant que paramètre de transfert.

Note concernant les systèmes multi-moniteurs : plusieurs moniteurs ne peuvent pas être sélectionnés. La fonction concerne toujours le premier moniteur.


Synoptique : fermer

Manuels -> Synoptiques -> Fonctions de synoptiques -> Synoptique : fermer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette commande permet de fermer un synoptique défini dans le Runtime. Dans le cadre des projets multi-moniteurs, si un synoptique est basculé vers plusieurs moniteurs, il est possible de sélectionner le synoptique devant être fermé sur un moniteur.

Pour configurer la fonction :

  1. Dans la liste de fonctions, dans le nœud Synoptiques, sélectionnez la fonction Synoptique : fermeture.

    Synoptique : fermeture

    Cette fonction ferme le synoptique sélectionné.

    Plus de détails dans l'aide en ligne

    Synoptiques

    Ce groupe contient les fonctions pour la gestion des synoptiques.

    Plus de détails dans l'aide en ligne

  2. La boîte de dialogue de sélection de synoptique s'affiche à l'écran.
  3. Sélectionnez le synoptique de votre choix.
  4. Dans le cadre d'un projet multi-moniteurs, sélectionnez le moniteur virtuel sur lequel doit être fermé le synoptique dans la liste déroulante :
    • Tout
    • Moniteur actuel
    • Moniteur virtuel désigné

Boîte de dialogue de sélection de synoptique

Dans la boîte de dialogue de sélection de synoptique, des synoptiques peuvent être sélectionnés pour l'exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l'espace de travail dans lesquels l'option Garder projet en mémoire est active

Paramètre

Description

Fenêtre d'arborescence des projets

Affiche tous les projets dans l'espace de travail. Les synoptiques peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l'option Garder projet en mémoire est active.

Fenêtre d'affichage des synoptiques

Sélection du synoptique.

Si plusieurs synoptiques sont sélectionnés, le premier synoptique sélectionné est utilisé pour l'exécution de la fonction.

Afficher cette boîte de dialogue dans le Runtime

Bascule vers la boîte de dialogue de sélection de synoptique lors de l'exécution de cette fonction dans le Runtime.

Pas de sélection

Aucune fonction pour cette sélection de synoptique.

Déplacer vers moniteur

Actif : des barres de défilement sont visibles dans le Runtime, vous permettant d'accéder au moniteur de votre choix.

Disponible uniquement sur les systèmes multi-moniteurs.

Moniteur

Sélectionnez le moniteur souhaité dans la liste déroulante.

Celle-ci contient :

  • Moniteur actuel
  • Tous les moniteurs virtuels définis dans la section de gestion des moniteurs
  • facultatif : Tous les moniteurs

Disponible uniquement sur les systèmes multi-moniteurs.

Disponible uniquement sur les systèmes multi-moniteurs.

OK

Applique les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Synoptique : retour au précédent

Manuels -> Synoptiques -> Fonctions de synoptiques -> Synoptique : retour au précédent

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet d'appeler le synoptique d'un gabarit précédemment appelé, puis fermé en mode de fonctionnement en ligne. Les synoptiques précédemment ouverts sont gérés dans une mémoire tampon après leur fermeture. Lorsqu'ils sont à nouveau ouverts, la fonction utilisée pour ouvrir le synoptique est exécutée une nouvelle fois. Cela signifie que les filtres de synoptique ne sont pas enregistrés, et doivent être recréés.

Lors de l'exécution de la fonction Appel de synoptique, les synoptiques des cadres correspondants sont conservés en mémoire. Le nombre de synoptiques en mémoire est défini dans le fichier project.ini :

[FUNKTIONEN]

ZURUECK_ANZAHL=10

Les cadres doivent être définis en tant que paramètres d'appel.

La quantité de mémoire doit être fournie par l'entrée ZURUECK_ANZAHL=.

Note concernant les systèmes multi-moniteurs : plusieurs moniteurs ne peuvent pas être sélectionnés. La fonction concerne toujours tous les moniteurs.

info Info

Un synoptique est uniquement ajouté à la liste des synoptiques précédents lorsqu'il est fermé. Toutefois, les gabarits ouverts en arrière-plan ne sont pas considérés comme des synoptiques fermés. En cas d'appel de synoptiques dans plusieurs gabarits superposés, la liste de synoptiques précédents reste vide, car tous les synoptiques sont encore ouverts.

Conseil : en règle générale, ne jamais placer les gabarits directement l'un au-dessus de l'autre.


Activer l'élément qui a le focus

Manuels -> Synoptiques -> Fonctions de synoptiques -> Activer l'élément qui a le focus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction active l'élément sélectionné dans le cadre sélectionné.


Donner le focus au gabarit

Manuels -> Synoptiques -> Fonctions de synoptiques -> Donner le focus au gabarit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction transfère la sélection vers un cadre défini lors de l'utilisation des touches dans le Runtime.

Pour configurer la fonction :

  1. Dans la liste de fonctions, dans le nœud Synoptiques, sélectionnez la fonction Donner le focus au gabarit.

    Donner le focus au gabarit

    Cette fonction donne le focus au synoptique couramment ouvert dans un gabarit donné. Ceci permet la création de projet entièrement géré avec le clavier.

    Plus de détails dans l'aide en ligne

    Synoptiques

    Ce groupe contient les fonctions pour la gestion des synoptiques.

    Plus de détails dans l'aide en ligne

  2. La boîte de dialogue de sélection de synoptique s'affiche à l'écran.
  3. Sélectionnez le cadre que vous voulez attribuer.
  4. Pour les projets multi-moniteurs, sélectionnez le moniteur virtuel utilisé pour l'ouverture du cadre.

Le cadre comportant la sélection apparaît entouré d'un cadre dans le Runtime. La largeur et la couleur de ligne du cadre sont définis dans le nœud Apparence graphique/Synoptiques des propriétés du projet.

Boîte de dialogue de sélection de cadre

Dans la boîte de dialogue de sélection de cadre, des cadres peuvent être sélectionnés pour l'exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l'espace de travail dans lesquels l'option Garder projet en mémoire est active

Paramètres

Description

Fenêtre d'arborescence des projets

Affiche tous les projets dans l'espace de travail. Les cadres peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l'option Garder projet en mémoire est active.

Fenêtre de cadres

Sélection du cadre.

Si plusieurs cadres sont sélectionnés, le premier cadre sélectionné est utilisé pour l'exécution de la fonction.

Open this dialog in the Runtime (Ouvrir cette boîte de dialogue dans le Runtime)

Bascule vers la boîte de dialogue de sélection de cadre lors de l'exécution de cette fonction dans le Runtime.

Pas de sélection

Aucune fonction pour cette sélection.

Déplacer vers moniteur

Actif : des barres de défilement sont visibles dans le Runtime, vous permettant d'accéder au moniteur de votre choix.

Disponible uniquement sur les systèmes multi-moniteurs.

Moniteur

Sélectionnez le moniteur souhaité dans la liste déroulante.

Celle-ci contient :

  • Moniteur actuel
  • Tous les moniteurs virtuels définis dans la section de gestion des moniteurs
    optionnel: Tous les moniteurs

Disponible uniquement sur les systèmes multi-moniteurs.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Donner le focus

Manuels -> Synoptiques -> Fonctions de synoptiques -> Donner le focus

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction active la sélection d'un élément particulier dans le Runtime pour l'utilisation du clavier, et peut donc être utilisée pour parcourir un cadre.

Propriété | Action
Direction | Définition de la direction dans laquelle la sélection doit être déplacée. La séquence définie ci-dessous est applicable à l'éditeur, via le menu contextuel ou le menu Édition/change focus sequence (Modifier l'ordre de sélection)...
Sur l'élément | Définition de l'élément pour le focus. Entrez le nom d'objet de l'élément


Enlever le focus du gabarit

Manuels -> Synoptiques -> Fonctions de synoptiques -> Enlever le focus du gabarit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction annule la sélection du cadre actuel dans le Runtime. Si vous souhaitez continuer à utiliser le clavier, vous devez à nouveau activer la sélection d'un cadre.


Visualiser menu

Manuels -> Synoptiques -> Fonctions de synoptiques -> Visualiser menu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction contrôle l'affichage des menus principaux.

  1. Créez une nouvelle fonction en sélectionnant Nouvelle fonction
  2. Dans le nœud Synoptiques, sélectionnez la fonction Display menu (Afficher le menu).
  3. Définissez l'action à exécuter et le menu principal.

Paramètre | Description
Action | Sélection de l'action :
Visualiser menu | Le menu sélectionné est affiché.
Cacher menu | Le menu sélectionné est caché.
Changer menu | Le menu courant est caché et le menu sélectionné est affiché à la place.
Si aucun menu disponible | Le menu sélectionné est affiché si aucun menu n'est affiché à cet instant.
Menu | Sélection du menu.
Afficher cette boîte de dialogue dans le Runtime | Actif : cette boîte de dialogue s'affiche lorsque la fonction est exécutée dans le Runtime.


Sélection moniteur

Manuels -> Synoptiques -> Fonctions de synoptiques -> Sélection moniteur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans un environnement multi moniteurs, vous pouvez attribuer un moniteur virtuel à un moniteur réel unique.


Fermer le cadre

Manuels -> Synoptiques -> Fonctions de synoptiques -> Fermer le cadre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet de fermer le cadre sélectionné et tous les synoptiques reposant sur celui-ci. Contrairement à la fonction Fermer le synoptique, il n'est pas nécessaire de fournir précisément le nom du synoptique. Dans le cadre de projets multi-moniteurs, si un cadre est basculé vers plusieurs moniteurs, il est possible de sélectionner le cadre devant être fermé sur un moniteur.

Pour configurer la fonction :

  1. Dans la liste de fonctions, dans le nœud Synoptiques, sélectionnez la fonction Fermer le gabarit.

    Fermer le gabarit

    Cette fonction ferme le synoptique couramment ouvert d'un gabarit donné.

    Plus de détails dans l'aide en ligne

    Synoptiques

    Ce groupe contient les fonctions pour la gestion des synoptiques.

    Plus de détails dans l'aide en ligne

  2. La boîte de dialogue de sélection de synoptique s'affiche à l'écran.
  3. Sélectionnez le cadre que vous voulez attribuer.
  4. Dans le cadre d'un projet multi-moniteurs, sélectionnez le moniteur virtuel sur lequel doit être fermé le cadre dans la liste déroulante :
    • Tout
    • Moniteur actuel
    • Moniteur virtuel désigné

Boîte de dialogue de sélection de cadre

Dans la boîte de dialogue de sélection de cadre, des cadres peuvent être sélectionnés pour l'exécution de fonctions parmi les éléments suivants :

  • Projet actuel
  • Sous-projets
  • Tous les projets de l'espace de travail dans lesquels l'option Garder projet en mémoire est active

Paramètres

Description

Fenêtre d'arborescence des projets

Affiche tous les projets dans l'espace de travail. Les cadres peuvent être sélectionnés dans le projet actuel et dans tous les projets dans lesquels l'option Garder projet en mémoire est active.

Fenêtre de cadres

Sélection du cadre.

Si plusieurs cadres sont sélectionnés, le premier cadre sélectionné est utilisé pour l'exécution de la fonction.

Open this dialog in the Runtime (Ouvrir cette boîte de dialogue dans le Runtime)

Bascule vers la boîte de dialogue de sélection de cadre lors de l'exécution de cette fonction dans le Runtime.

Pas de sélection

Aucune fonction pour cette sélection.

Déplacer vers moniteur

Actif : des barres de défilement sont visibles dans le Runtime, vous permettant d'accéder au moniteur de votre choix.

Disponible uniquement sur les systèmes multi-moniteurs.

Moniteur

Sélectionnez le moniteur souhaité dans la liste déroulante.

Celle-ci contient :

  • Moniteur actuel
  • Tous les moniteurs virtuels définis dans la section de gestion des moniteurs
    optionnel: Tous les moniteurs

Disponible uniquement sur les systèmes multi-moniteurs.

OK

Abandonne les paramètres et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.


Saisie de valeur prescrite pour le synoptique de type Clavier

Manuels -> Synoptiques -> Fonctions de synoptiques -> Saisie de valeur prescrite pour le synoptique de type Clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Saisie de valeur pour les synoptiques clavier n'est pas disponible pour les synoptiques Clavier. Par ailleurs, le champ de texte Valeur prescrite doit avoir été créé. Il vous permet de définir ou de définir et envoyer une valeur préalablement définie.

Saisie de valeur pour les synoptiques clavier

Cette fonction définit une valeur prédéfinie (valeur recommandée) pour les synoptiques de type Clavier, ou écrit une valeur prédéfinie et ferme le synoptique.

Plus de détails dans l'aide en ligne

Paramètres | Description
Valeur prescrite par défaut | Saisie de la valeur cible.
Action | Sélectionnez une action dans la liste déroulante. (Pour la liste des actions possibles, voir le tableau suivant.)
OK | Accepte les saisies, ferme la boîte de dialogue et crée des fonctions avec la valeur et l'action définies.
Annuler | Accepte les saisies, ferme la boîte de dialogue et crée des fonctions sans point de consigne ou action.
Aide | Ouvre l'aide en ligne.

Actions dans la liste déroulante :

Action

Description

Proposer une valeur

Le point de consigne par défaut est écrit sur le synoptique Clavier.

Accepter la valeur

Les événements suivants se produisent :

  • Le point de consigne par défaut est écrit sur le synoptique Clavier.
  • Cliquez sur OK pour fermer le synoptique Clavier.

Module RGM : accepter et envoyer les valeurs

Si le synoptique Clavier est appelé depuis la table du Gestionnaire de groupes de recettes, les événements suivants se produisent :

  • Le point de consigne par défaut est écrit sur le synoptique Clavier.
  • Cliquez sur OK pour fermer le synoptique Clavier.
  • La valeur de la recette est écrite dans la variable.

Module RGM : Accepter la valeur et enregistrer la recette

Si le synoptique Clavier est appelé depuis la table du Gestionnaire de groupes de recettes, les événements suivants se produisent :

  • Le point de consigne par défaut est écrit sur le synoptique Clavier.
  • Cliquez sur OK pour fermer le synoptique Clavier.
  • La recette est enregistrée.

Module RGM : Write and send value and save recipe (Gestionnaire de groupes de recettes : écrire et envoyer la valeur, puis enregistrer la recette)

Si le synoptique Clavier est appelé depuis la table du Gestionnaire de groupes de recettes, les événements suivants se produisent :

  • Le point de consigne par défaut est écrit sur le synoptique Clavier.
  • Cliquez sur OK pour fermer le synoptique Clavier.
  • La valeur de la recette est écrite dans la variable.
  • La recette est enregistrée.


Vue d'aperçu

Manuels -> Synoptiques -> Fonctions de synoptiques -> Vue d'aperçu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction Vue d'aperçu affiche la fenêtre d'aperçu dans le Runtime ; celle-ci présente les moniteurs réels ou les cadres dans un système multi-moniteurs. Un moniteur et/ou un cadre peuvent être activés avec un clic.

Vue d'aperçu

Cette fonction ouvre une vue d'aperçu, de façon à pourvoir simuler les projets multi moniteurs sur un poste avec un seul écran.

Plus de détails dans l'aide en ligne

Pour configurer la fonction :

  1. Créez une nouvelle fonction.
  2. Accédez au nœud Fonctions.
  3. Sélectionnez la fonction Vue d'aperçu.
  4. La boîte de dialogue de configuration de la fenêtre d'aperçu s'affiche
  5. Sélectionnez votre configuration
  6. Fermez la configuration en cliquant sur OK
  7. Attribuez un bouton à la fonction

Affichage de la fenêtre d'aperçu

Paramètre | Description
Configurer les barres d'outils | La fonction peut afficher, fermer ou basculer la fenêtre d'aperçu. La sélection est effectuée à l'aide de boutons d'option :
Afficher | la fenêtre d'aperçu s'ouvre.
Bascule | l'état de la fenêtre d'aperçu bascule entre ouvert et fermé.
Fermer | la fenêtre d'aperçu se ferme.
Affichage de | Sélection de l'affichage dans la fenêtre d'aperçu. Les cadres ou les moniteurs sont affichés.
Cadres | La fenêtre d'aperçu scinde le synoptique en cadres.
Moniteurs | La fenêtre d'aperçu scinde le synoptique en moniteurs.
Position | Position de la fenêtre d'aperçu sur le synoptique, calculée en pixels à partir du coin supérieur gauche.
Style de la fenêtre |
Avec titre | Actif : La fenêtre d'aperçu comporte une barre de titre Windows
Menu système | Actif : Un menu système est affiché en cas d'activation de la barre de titre.
Avec cadre | Actif : La fenêtre d'aperçu est affichée avec une bordure. La taille de la fenêtre peut être configurée dans le Runtime en faisant glisser la bordure. La sélection de la largeur de la bordure s'effectue au moyen des cases d'option :
Fin | bordure épaisse.
gras | bordure fine.
Couleur | Définition des couleurs dans la fenêtre d'aperçu. Cliquez sur Couleur pour ouvrir la palette de couleurs.
Couleur du fond | Couleur de l'arrière-plan de la fenêtre
Vue courante | Cadres/moniteurs actuellement affichés.
Cadre | Couleur de la bordure.
Sélectionnés | Cadres/moniteurs sélectionnés.
OK | Accepte les paramètres, ferme la boîte de dialogue et crée des fonctions avec l'attribution.
Annuler | Annule les paramètres, ferme la boîte de dialogue et crée des fonctions avec des paramètres standard.
Aide | Ouvre l'aide en ligne.


Synoptique : déplacer le centre

Manuels -> Synoptiques -> Fonctions de synoptiques -> Synoptique : déplacer le centre

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec cette fonction, le centre du synoptique peut être déplacé et un facteur de zoom peut être spécifié pour la fonctionnalité Vue globale. La condition préalable est la création d'un synoptique plus grand que la résolution de l'écran. Dans les paramètres du synoptique, l'option Dimension du cadre doit être désactivée et la taille doit être définie directement.

Synoptique | Sélectionnez le synoptique dont vous souhaitez définir le centre. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de synoptique.
Sélection du centre du synoptique | Paramètres du centre du synoptique
Nom d'objet | Définissez le centre souhaitée du synoptique par le biais d'un objet issu d'une liste d'objets.
Coordonnées | Saisissez les coordonnées (x,y) du centre du synoptique.
Définition des pas de zoom | Définition du facteur de zoom.
en % | Définition du facteur de zoom en pourcentage.
Pas | Définition du facteur de zoom via des pas de zoom.


Transport à distance

Manuels -> Transport à distance

Le Transport à Distance est utilisé pour transférer les fichiers Runtime sur un système cible. Des explications concernant la sauvegarde et le rechargement des fichiers de l'Éditeur sont fournies au chapitre sauvegardes des projets.

Si l'éditeur et le Runtime sont sur le même PC, les fichiers du Runtime sont directement disponibles pour le Runtime. Si le Runtime n'est pas sur le même PC, il y a 2 possibilités :

  1. Le répertoire correspondant avec les fichiers du Runtime est connecté en tant que lecteur réseau.
  2. Les fichiers Runtime sont copiés sur le système cible

Lors de la connexion en tant que lecteur réseau, le fonctionnement du Runtime est tributaire des performances du réseau. Rendre les fichiers disponibles directement sur l'ordinateur du Runtime permet de garantir la bonne exécution et les performances du système.

Le transfert des fichiers du Runtime vers l'ordinateur du Runtime peut être effectué à l'aide de l'Explorateur Windows. Vous pouvez exécuter cette opération plus facilement et de manière plus systématique grâce au module Remote Transport de zenon. Le module Remote Transport s'assure que tous les fichiers nécessaires sont toujours transférés au système cible.

attention Attention

Les fichiers graphiques au format PNG ne peuvent pas être remplacés durant l'exécution du Runtime.

Explication : le Runtime protège les fichiers .png ouverts contre l'écriture.

Solution : Avant l'initialisation du service Remote Transport, assurez-vous que le synoptique sur lequel se trouve le fichier *.png n'est pas affiché dans le Runtime, et que le fichier n'est pas utilisé par un autre programme. Cela s'applique également à l'actualisation des fichiers Runtime modifiés. La synchronisation dans le Runtime sur le réseau ne fonctionne pas pour ce synoptique si l'appel de synoptique est effectué sur un ordinateur zenon impliqué dans le procédé (serveur redondant, client).

De même n'importe quel autre fichier peut être transféré avec l'outil de transport à distance.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Fonctionnalités

En plus de cette fonction de "pure copie", l'outil de transport à distance offre les fonctionnalités suivantes :

Paramètre | Description
Copie incrémentielle | L'Éditeur identifie automatiquement, sur le système cible, les fichiers différents des fichiers devant être transférés et transfère uniquement les fichiers modifiés.
Définir le projet de démarrage | Avec le transport à distance, vous pouvez définir le projet de démarrage sur le poste distant.
Démarrer et arrêter le Runtime | Le Runtime peut être démarré et fermé sur l'ordinateur distant.
Récupérer l'état du système | L'état du système distant (système d'exploitation, version de zenon, lecteurs existants, etc.) peut être déterminé.
Redémarrer le système distant | Le PC distant peut être redémarré.
Rechargement en ligne | Le Runtime distant est actualisé en ligne à cet instant.
Démarrer la connexion au bureau distant | Crée une connexion Remote Desktop.
Rapatrier les données du projet | Les données de Runtime du projet peuvent être récupérées du système distant.
Copier et enregistrer des données | Les fichiers ne sont pas seulement copiés, mais également enregistrés sur le système cible. Cela s'avère particulièrement intéressant pour les polices de caractères et les éléments ActiveX.
Copier et enregistrer des données | Les fichiers exécutables sont copiés et démarrés.

attention Attention

Tenez compte des indications suivantes lors du démarrage du Runtime via Remote Transport :

  • Le programme 32 bits zensyssrv.exe démarre le Runtime 32 bits
  • Le programme 64 bits zensyssrv.exe démarre le Runtime 64 bits

Autres sujets abordés dans ce chapitre

Barre de boutons "Transport à distance"

Menu contextuel Remote Transport

Configuration dans l'Éditeur

Établir une connexion

Mode batch


Barre de boutons "Transport à distance"

Manuels -> Transport à distance -> Barre de boutons "Transport à distance"

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un ordinateur de développement peut établir des connexions à distance vers d'autres postes. La barre d'outils Remote Transport fournit des fonctions pour les transferts et les requêtes de données.

Symbole

(de gauche à droite)

Fonction

Transport à distance Créer connexion

Établit une connexion à l'ordinateur distant.

Transport à distance Paramètres de connexion

Ouvre la boîte de dialogue de configuration de la connexion.

Ordinateur distant : transférer les fichiers Runtime modifiés

Transfère tous les fichiers Runtime modifiés sur l'ordinateur de développement vers l'ordinateur cible.

Ordinateur distant : relire tous les fichiers Runtime

Charge tous les fichiers pouvant être édités dans le Runtime (tels que les recettes ou les fichiers de gestion d'utilisateurs) sur l'ordinateur de développement.

Ordinateur distant : définir le projet de démarrage

Définit le projet de démarrage pour le poste cible.

Ordinateur distant : démarrer le Runtime à distance

Démarre le Runtime sur le poste cible.

Ordinateur distant : Quitter le Runtime

Arrête le Runtime sur le poste cible.

Ordinateur distant : Recharger projet

Exécute la fonction Recharger sur l'ordinateur cible.

Ordinateur distant : Démarrer la connexion au bureau distant

Démarre une connexion permettant d'actionner l'ordinateur cible par le biais de Remote Desktop.

Options pour la barre de symboles

Cliquez sur la flèche pour ouvrir le sous-menu :

Actif : la barre d'outils est affichée

Si la barre d'outils n'est pas affichée, elle peut être activée en sélectionnant le menu Options -> Barre d'outils.

Remarque : Si la barre d'outils est positionnée librement (c'est-à-dire dissociée de l'Éditeur), les options ne sont pas affichées. Pour fermer la barre d'outils, cliquez sur le bouton X.

D'autres symboles peuvent être ajoutés à l'aide des options des barres d'outils :

Transférer tous les fichiers runtime

Transfère tous les fichiers du Runtime vers le système cible.

Redémarrer OS

Après affichage d'une demande de confirmation, redémarre le système d'exploitation de l'ordinateur cible. Sur Windows CE, cette option n'est pas supportée.

- Donner l'état système

Détermine l'état du système de l'ordinateur cible et écrit les données dans la fenêtre de sortie. Les informations suivantes sont définies :

  • Nom de l'ordinateur
  • Système d'exploitation
  • Runtime actif/inactif
  • Start project (Projet de démarrage)
  • Mémoire réelle
  • Lecteurs
  • Numéro de série de l'ordinateur distant
  • Numéro d'activation de l'ordinateur distant
  • Version de zenon de l'ordinateur distant

Modification du mot de passe et affichage de la licence

Ouvre la boîte de dialogue d'établissement de la connexion.

Autorise :

  • La modification du mot de passe d'établissement de la connexion
  • L'affichage et la modification des informations de la licence pour l'ordinateur cible
  • La configuration du chiffrement sur l'ordinateur cible

Remarque : toutes les commandes de Remote Transport sont disponibles dans le menu contextuel du projet.


Menu contextuel Remote Transport

Manuels -> Transport à distance -> Menu contextuel Remote Transport

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez accéder aux commandes du module Remote Transport par le biais de la barre d'outils ou du menu contextuel du projet :

  1. Cliquez avec le bouton droit sur le projet dans le gestionnaire de projets
  2. Dans le menu contextuel, sélectionnez le nœud Remote Transport
  3. Sélectionnez la commande souhaitée dans la liste déroulante.

Commande

Fonction

Établir une connexion

Établit une connexion avec l'ordinateur distant.

Paramètres de connexion

Ouvre la boîte de dialogue de configuration de la connexion.

- Transférer les fichiers Runtime modifiés

Transfère tous les fichiers Runtime modifiés sur l'ordinateur de développement vers l'ordinateur cible.

- Transférer tous les fichiers Runtime

Transfère tous les fichiers Runtime de l'ordinateur de développement vers l'ordinateur cible.

Restore all Runtime files (Restaurer tous les fichiers du Runtime)

Charge tous les fichiers pouvant être édités dans le Runtime (tels que les recettes ou les fichiers de gestion d'utilisateurs) sur l'ordinateur de développement.

Définir le projet en tant que projet de démarrage

Définit le projet de démarrage pour le poste cible.

Lancer le Runtime

Démarre le Runtime sur le poste cible.

Arrêter le Runtime

Arrête le Runtime sur le poste cible.

Recharger projet

Exécute la fonction Recharger sur l'ordinateur cible.

Remote: Restart the operating system (Redémarrer le système d'exploitation à distance)

Après affichage d'une demande de confirmation, redémarre le système d'exploitation de l'ordinateur cible. Sur Windows CE, cette option n'est pas supportée.

Determine system status (Déterminer l'état du système)

Détermine l'état du système de l'ordinateur cible et écrit les données dans la fenêtre de sortie. Les informations suivantes sont définies :

  • Nom de l'ordinateur
  • Système d'exploitation
  • Runtime actif/inactif
  • Start project (Projet de démarrage)
  • Mémoire réelle
  • Lecteurs
  • Numéro de série de l'ordinateur distant
  • Numéro d'activation de l'ordinateur distant
  • Version de zenon de l'ordinateur distant

Modification du mot de passe et affichage de la licence

Ouvre la boîte de dialogue d'établissement de la connexion.

Autorise :

  • La modification du mot de passe d'établissement de la connexion
  • L'affichage et la modification des informations de la licence pour l'ordinateur cible
  • La configuration du chiffrement sur l'ordinateur cible

Ordinateur distant : Démarrer la connexion au bureau distant

Démarre une connexion permettant d'actionner l'ordinateur cible par le biais de Remote Desktop.


Configuration dans l'Éditeur

Manuels -> Transport à distance -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'outil Remote Transport est configuré dans les propriétés du projet, sous Général / Transport à distance, et contrôlé par le biais de la barre d'outils Remote Transport.

Pour configurer Remote Transport :

  1. Accédez au nœud Général dans les propriétés.
  2. Cliquez sur la propriété Transport à distance
  3. La boîte de dialogue de configuration des propriétés de la connexion et des fichiers devant être transférés s'affiche à l'écran

Paramètre

Description

Support de transport

Série

Transfert via une connexion série, par exemple vers un terminal CE.
  • Port

Sélection des ports COM pour la connexion série.

TCP/IP

Transfert via TCP/IP sur un réseau, ou via un modem.
  • Nom ou adresse IP de l'ordinateur

Le nom de l'ordinateur ou l'adresse TCP/IP sont saisis en tant que cible :

  • Saisissez le nom de l'ordinateur manuellement, ou en cliquant sur le bouton ...
  • Saisissez manuellement l'adresse IP

L'adresse IP doit être conforme à la version d'IP définie (IPv4 ou IPv6).

Remarque : lors de la connexion, des numéros de port peuvent être utilisés conjointement aux noms. Par exemple : Runtime1;PORT=1105

Source / Cible

Liste des connexions.

Sur la première ligne, vous pouvez définir une cible pour le premier dossier de la structure. Cliquez avec le bouton droit sur la cellule pour afficher le menu contextuel de sélection.

Attention : ce chemin doit être disponible en permanence sur le système cible. Cela signifie qu'aucun terminal réseau intégré ou périphérique de données amovible ne doit être présent.

active

Définissez les fichiers devant être transférés en option.

Le chemin de base du projet ne peut pas être désélectionné.

Source

Dossier des fichiers devant être transférés.

Destination

Dossier cible.

la cible du premier dossier et de la nouvelle entrée peut être définie.

Les sous-dossiers ne peuvent pas être modifiés. Ceci permet de garantir que tous les fichiers sont présents sur le système cible dans le Runtime.

Remarque : le dossier par défaut est le dossier de Runtime défini dans les propriétés du projet. Si le dossier cible est saisi manuellement, veillez à ce qu'il se termine par le nom du projet. Ceci est important dans le cadre de la gestion multi-utilisateurs. Par exemple :
C:\Users\Public\Documents\zenon_Projects\MON_PROJET

Édition

Type de transfert. Peut être défini librement pour le dossier supérieur et les nouvelles entrées. Cliquez avec le bouton droit pour ouvrir la liste déroulante :

  • Copier : Copier les fichiers
  • Copier et enregistrer : copie les fichiers et les enregistre sur le système. Utile pour les éléments ActiveX et les polices (fichiers ttf).
  • Copier et exécuter : copie les fichiers, puis les exécute.

Description

Saisie de texte facultative pour les nouvelles entrées, permettant de décrire les fichiers devant être transférés.

attention Attention !

Pour les projets redondants : Si vous utilisez des drivers nécessitant un fichier de configuration, vous devez désactiver l'entrée \zenon\custom\drivers.

Utilisation du module Remote Transport sur le réseau

Dans le menu contextuel, sélectionnez le projet -> Remote Transport -> <Commande> :

Paramètres

Description

Établir une connexion

Par l'intermédiaire du service zenSysSrv, une connexion au système cible est établie. Sur les deux systèmes, le service zenSysSrv.exe (ou sur les systèmes CE, SysSrvCE.exe) doit être démarré. Les versions doivent être identiques.

- Transférer les fichiers Runtime modifiés

Si cette option est sélectionnée, les fichiers Runtime qui ont changé depuis le dernier transfert sont envoyés sur le système cible. Si aucun fichier Runtime n'existe sur le système cible, tous les fichiers Runtime sont transférés.

- Transférer tous les fichiers Runtime

Si cette option est activée, tous les fichiers Runtime sont transférés. Les seules exceptions sont les fichiers, comme les recettes standard ou les informations de la gestion de messages, pour lesquels l'option "Ne pas générer et transférer" a été cochée dans les paramètres : 'Données modifiables en RT'

- Relire tous les fichiers Runtime

Si cette option est sélectionnée, les fichiers Runtime des modules Recettes, Gestionnaire de groupes de recettes, Gestion de messages, Gestion des utilisateurs et Production & Facility Scheduler (PFS) sont transférés du système cible vers le répertoire Runtime local. Ensuite les données de ces fichiers se trouvant dans le répertoire Runtime local peuvent être insérées dans l'éditeur par la commande "Importer les fichiers Runtime".

Définir le projet en tant que projet de démarrage

Le projet sélectionné est défini comme le projet de démarrage. Ce projet est chargé lors du démarrage du Runtime.

Lancer le Runtime

Démarre le Runtime.

Arrêter le Runtime

Le Runtime est arrêté.

Recharger projet

Le projet est rechargé. Les fichiers Runtime modifiés sont rechargés dans le Runtime.

Remote: Restart the operating system (Redémarrer le système d'exploitation à distance)

Le terminal avec lequel la connexion est établie est redémarré après affichage d'un message de confirmation. Si nécessaire, vous devez à nouveau vous connecteur au système d'exploitation. Sur Windows CE, cette option n'est pas supportée.

- Donner l'état système

On vérifie, si le Runtime tourne sur le système cible et quel est son état. La version installée de zenon est également contrôlée. Les informations suivantes sont définies :

  • Nom de l'ordinateur
  • Système d'exploitation
  • Runtime actif/inactif
  • Start project (Projet de démarrage)
  • Mémoire réelle
  • Lecteurs
  • Numéro de série de l'ordinateur distant
  • Numéro d'activation de l'ordinateur distant
  • Version de zenon de l'ordinateur distant

Modification du mot de passe et affichage de la licence.

Ouvre la boîte de dialogue d'établissement de la connexion.

Autorise :

  • Modification du mot de passe
  • Affichage et modification des informations de licence
  • Configuration du chiffrement

Démarrer la connexion au bureau distant

Démarre une connexion permettant d'actionner l'ordinateur cible par le biais de Remote Desktop.

Autres sujets abordés dans ce chapitre

TCP/IP

Série

Définition des fichiers

Données modifiables dans le Runtime

Windows CE


TCP/IP

Manuels -> Transport à distance -> Configuration dans l'Éditeur -> TCP/IP

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de la configuration du service de transport à distance, vous devez saisir le nom du système cible ou l'adresse IP. L'adresse IP doit être conforme à la version d'IP définir, c'est-à-dire être conforme à IPv4 en cas d'utilisation du protocole IPv4 et conforme à IPv6 en cas d'utilisation du protocole IPv6.

En cas d'utilisation de noms, les derniers noms utilisés sont enregistrés et peuvent être sélectionnés par l'intermédiaire de la liste déroulante. L'utilisation du numéro de port est uniquement possible avec des noms.

Configuration automatique des projets de serveur

Si le projet à transférer est un projet serveur, le nom du PC distant peut ne pas être défini dans la configuration du transport distant sous paramètre de configuration. Dans ce cas, le transport à distance utilise le PC donné dans la configuration réseau en tant que Serveur. Ceci garantit ainsi que les modifications sont toujours transférées sur le serveur, qui transfère ensuite automatiquement les fichiers vers les clients !

attention Attention

Par défaut, Remote Transport utilise toujours le port TCP 1101. Ce port ne doit pas être bloqué par d'autres applications.


Série

Manuels -> Transport à distance -> Configuration dans l'Éditeur -> Série

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Par défaut, les communications dans Remote Transport utilisent le protocole TCP/IP. Vous pouvez toutefois configurer des communications série. Vous pourrez ainsi vous connecter à des terminaux Windows CE, par exemple. Par conséquent :

  • changez le type de communication du service de transport sur le terminal distant via le fichier zenon6.ini
  • Configurez le module Remote Transport dans l'Éditeur

attention Attention

Si le fichier zenon6.ini est édité, les modifications ne seront prises en compte que lors du redémarrage du service transport.

Entrées du fichier zenon6.ini

Si le service transport doit être utilisé en liaison série, les entrées suivantes doivent être définies manuellement dans le fichier zenon6.ini du système cible : Remarque : Sous Windows CE ces entrées sont automatiquement générées dans le fichier zenon6.ini à l'aide de l'interface utilisateur du service transport.

[SYS_REMOTE]

;SysService lié à l'interface de COM

CONFIG=DEVICE=COM;

PORT=COM2;

attention Attention

N’oubliez pas le ; (point-virgule) à la fin.

Avec ces paramètres le transport à distance fonctionne avec la vitesse de 115200 bits/seconds. Par défaut l'éditeur utilise aussi cette vitesse.

Paramètres de l'Éditeur

Dans l'Éditeur, sélectionnez :

  1. l'option Série pour le paramètre Moyen de transport
  2. Dans la liste déroulante, le port COM de l'ordinateur source


Définition des fichiers

Manuels -> Transport à distance -> Configuration dans l'Éditeur -> Définition des fichiers

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous définissez les fichiers transférés dans la boîte de dialogue de configuration par le biais des cases à cocher dans la colonne Active. La ligne indiquant le chemin de base du projet ne peut pas être désactivée. Les fichiers suivants sont systématiquement transférés.

Remarque : les chemins source sont toujours créés par rapport au chemin de base du projet.

attention Attention

Tenez compte des effets des paramètres si le projet est utilisé sur le réseau.

Par exemple :

Le transfert des éléments graphiques est désactivé, car ces éléments sont déjà sur le serveur. Alors si un client est démarré. Le client se rend compte que les graphiques ne doivent pas être transférés et donc ne les rapatrie pas chez lui. Dans ce cas, aucun élément graphique n'est affiché sur le client.

À l'inverse, les fichiers peuvent être transférés vers le client ; les fichiers présents sur le client sont alors remplacés.

Fichiers à transférer

Le module Remote Transport assure le transfert des fichiers suivants vers le système cible : tous les fichiers sont systématiquement transférés vers le dossier correspondant.

  1. Standard

    Tous les fichiers présents dans le dossier de Runtime du projet.
    Ces fichiers déterminent l'apparence et le comportement du projet, et sont transférés par défaut :

    1. tous les fichiers de synoptiques (nom du synoptique.zpp)
    2. amlcel.cmp
    3. archiv.cmp
    4. fpm.cmp
    5. functions.cmp
    6. project.cmp
    7. projekt.mdb (pas sous CE)
    8. remas.cmp
    9. rezepturen.cmp
    10. scripts.cmp
    11. templates.cmp
    12. variables.cmp
    13. zuweisung.cmp
    14. Plus : project.ini et projekt.vba, qui sont toujours dans le dossier du projet

info Info

Les fichiers comportant les suffixes suivants ne sont pas transférés par défaut :

  • .hot
  • .ho
  • .ret
  • .re
  1. Facultatif

    En outre, tous les fichiers incorporés dans le projet doivent être transférés. Pour les sélectionner, cochez la case Active dans les paramètres de Remote Transport. Ces fichiers se trouvent dans les sous-dossiers suivants du répertoire du projet :

    1. \zenon\custom\graphics : pour les éléments graphiques
    2. \zenon\custom\lists : pour les tables de langues
    3. \zenon\custom\media : pour tous les fichiers média
    4. \zenon\custom\reports : pour les rapports créés avec le générateur de rapport
    5. \zenon\custom\help : pour les fichiers d'aide
    6. \zenon\custom\additional : pour les fichiers supplémentaires
    7. \zenon\custom\drivers : pour les drivers
    8. \straton : pour zenon Logic

    Recommandation : Le chemin d'accès de base du projet, les fichiers graphiques, les tables de langues, les tables de rapports et les fichiers média sont toujours transférés.
    Les éléments suivants sont transférés depuis le chemin d'accès de base, par défaut : les fichiers project.ini, Projekt.vba, Monitor.mon et le dossier Projekt.

    Par défaut, zenon utilise systématiquement des chemins relatifs (et non des chemins absolus), afin que les fichiers puissent facilement être retrouvés sur le système cible.

    Pour les fichiers dont le transfert est facultatif, vous devez toujours utiliser les chemins originaux (la zone de texte vide dans "Cible"), de manière à ce que zenon puisse les trouver sur le système cible.

  2. Définir le projet de démarrage

    Pour le Runtime, le projet de départ doit toujours être défini dans zenon6.ini. Pour cela, cliquez sur l'option Spécifier le projet de démarrage du Runtime à distance de la barre d'outils Remote Transport. Les entrées suivantes sont alors définies :

    [PATH]

    VBF30='chemin projet'

    [DEFAULT]

    DEFANWENDUNG30='nom projet'

Projet global

Si un projet global est présent dans l'espace de travail, il sera automatiquement configuré pour le transport. Vous n'avez besoin de définir aucun paramètre supplémentaire. Tous les fichiers nécessaires pour le projet global sont toujours transférés.Sélection de fichiers individuels

Pour transférer des fichiers individuels :

  1. Cliquez avec le bouton droit dans la première cellule vide de la colonne Source
  2. Dans le menu contextuel, sélectionnez Sélection fichier ou Sélection répertoire
  3. L'explorateur s'affiche, vous permettant d'effectuer la sélection
  4. Sélectionnez le fichier ou le dossier souhaité
  5. Cochez la case dans la colonne Active
  6. Cliquez avec le bouton droit sur la cellule dans la colonne Cible
  7. Définissez le dossier cible
    Si le dossier cible n'est pas spécifié, les fichiers sont transférés vers le répertoire défini dans la section Source.

attention Attention

Les chemins doivent être spécifiés de manière relative !

Saisissez les chemins d'accès aux fichiers individuels par rapport au chemin de base du projet. De cette manière, le système cible possède également la structure de répertoires correcte.
Exemple :

Spécification pour Source : saisissez /default.iso.
Le transport à distance sait automatiquement que le fichier est dans le chemin de base du projet.
Les répertoires sont saisis de la même manière.

Windows CE :

Si le système cible est un terminal Windows CE et aucun chemin cible n’est spécifié pour le chemin de base du projet, le chemin \Storage Card\Data est utilisé par défaut.

Action lors du transfert

Dans les lignes nouvellement créées, l'entrée de la colonne Révision définit comment procéder avec les fichiers lors du transfert. Il y a trois possibilités :

Action | Description
Copier | Le fichier est copié sur le système cible.
Copier et enregistrer | Le fichier est copié sur le système cible et ajouté dans la base de registres. Conseil : Utile pour les éléments ActiveX et les polices (fichiers ttf).
Copier et exécuter | Le fichier est copié sur le système cible et exécuté.


Données modifiables dans le Runtime

Manuels -> Transport à distance -> Configuration dans l'Éditeur -> Données modifiables dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il y a différentes données qui peuvent être modifiées dans l'Éditeur zenon aussi bien que dans le Runtime. Ces fichiers concernent les éléments suivants :

  • Gestionnaire de groupes de recettes
  • Recettes standard
  • Gestion des utilisateurs
  • Planning

Protection contre l'écrasement des fichiers du Runtime

Si tous les fichiers Runtime sont créés ou transférés, les fichiers modifiés dans le Runtime entre-temps seraient écrasés. De façon à éviter l'écrasement involontaire de fichiers, qui ne devraient pas être générés ou transférés, ils peuvent être sélectionnés dans la section Ne pas générer et transférer.

Protection contre l'écrasement des fichiers de l'Éditeur

Les données modifiées dans le Runtime peuvent être rapatriées. Dans ce cas, les données dans l'Éditeur sont écrasées. De façon à éviter l'écrasement involontaire de fichiers, qui ne devraient pas être rapatriés, ils peuvent être sélectionnés dans la section Ne pas décompiler.

Boîte de dialogue Données modifiables en RT

Vous pouvez ouvrir la boîte de dialogue de configuration des fichiers modifiables dans le Runtime via les paramètres de projet Général/Données modifiables en RT :

Les types de fichiers suivants peuvent être sélectionnés :

Paramètre | Description
Gestionnaire de groupes de recettes | Les groupes de recettes et les recettes des groupes de recettes Lors du transfert, les nouveaux fichiers sont transférés et de nouveaux sous-dossier sont créés ; les fichiers et sous-dossiers supprimés sont également supprimés sur le système cible.
Recettes standard | Recettes standard
Gestion des utilisateurs | Gestion des utilisateurs pour la connexion et la gestion des droits dans le Runtime.
Planning | Modifications dans les modèles de temps et les plannings du module PFS.

attention Attention

Lors de la conversion du projet, assurez-vous que les fichiers modifiables dans le Runtime sont également convertis. Pour cela, les fichiers du Runtime doivent être importés dans l'Éditeur, puis copiés vers le Runtime après la mise à jour. Pour plus de détails, reportez-vous au chapitre Procédure recommandée pour la conversion des fichiers du Runtime dans le manuel Conversion de projets.

Transfert des fichiers

Dans le Runtime :

Pour transférer des fichiers vers le Runtime :

  1. Tous les fichiers peuvent être transférés
  2. Seuls les fichiers modifiés peuvent être transférés

Ces deux méthodes tiennent compte des fichiers définis dans la propriété Données modifiables en RT.

Fichiers du Runtime

Pour lire les fichiers du Runtime, deux méthodes s'offrent à vous :

  1. Restore all Runtime files (Restaurer tous les fichiers du Runtime) :
    1. relit tous les fichiers du Runtime vers le dossier défini dans la propriété Dossier runtime
    2. Cette fonction est indépendante de la propriété Données modifiables en RT
  2. Importer fichiers Runtime :
    1. Importe les fichiers définis dans la propriété Données modifiables en RT et
    2. Remplace le développement dans l'Éditeur par les fichiers du Runtime
    3. Cette méthode est adaptée à la conversion de données depuis un système distant dans l'Éditeur

Erreur de connexion

Durant le transfert, les données existantes sont remplacées, conformément aux paramètres.

Si des erreurs se produisent lors du transfert vers ou depuis le Runtime, ou si la connexion est interrompue, les fichiers doivent être entièrement transférés à nouveau.


Windows CE

Manuels -> Transport à distance -> Configuration dans l'Éditeur -> Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le transfert vers les systèmes Windows CE peut être effectué directement, ou par le biais d'une carte mémoire.

Configuration

  1. Assurez-vous que dans les propriétés du projet, la propriété Général du nœud Projet WindowsCE est activée.
  2. La boîte de dialogue de configuration contient maintenant de nouvelles entrées. Le répertoire cible C:\Storage Card\Data est prédéfini.

Transfert par carte mémoire

Le service de transport distant prend en charge un type de transfert spécial, dans lequel le projet est transféré directement vers une carte de stockage, plutôt que d'utiliser une connexion série ou TCP/IP. Pour cela, un ordinateur qui a directement accès à une carte mémoire (PCMCIA, carte ATA, Compact Flash, etc.) est nécessaire.

attention Attention

Il est crucial que le Runtime CE et le fichier zenon6.ini soient à la racine de la carte !

Insérez la carte dans le lecteur approprié et vérifiez quelle est la lettre de "lecteur réseau" qui est assignée à la carte par le système d'exploitation. (D:, or E:, ...)
  1. Cochez la case Dossier de base du projet CE
  2. Spécifiez le dossier de Runtime sur le terminal cible.

    Exemple : si la carte de stockage est montrée comme '\Storage Card' sous CE, le dossier du Runtime du système cible doit être C:\Storage Card\chemin du projet ! C:\ sera automatiquement supprimé par l'outil de transport à distance.

  3. Établissez la connexion à votre PC et transférez les fichiers vers la carte mémoire locale.
  4. Créez le dossier de Runtime sur le système cible à l'aide de la fonction Définit le projet actif comme projet de démarrage sur le système distant (barre d'outils Remote Transport) dans le fichier zenon6.ini de la carte mémoire.
  5. Insérez la carte mémoire dans le terminal CE et démarrez le Runtime.


Établir une connexion

Manuels -> Transport à distance -> Établir une connexion

Pour établir une connexion à distance :

  1. Cliquez sur le bouton correspondant dans la barre d'outils Remote Transport

    Ou sélectionnez, dans le menu contextuel du projet : Set up Remote Transport connection > (Établir une connexion via Remote Transport)

  2. La boîte de dialogue de configuration de la connexion s'affiche

Paramètre | Description
Mot de passe de connexion | Configuration du mot de passe pour la connexion à distance.
Mot de passe | Saisissez le mot de passe d'établissement de la connexion (facultatif).
Modification du mot de passe de la connexion | Ouvre la boîte de dialogue de modification du mot de passe.
Configuration du système cible | Paramètres du système cible.
Saisissez le numéro de série et le numéro d'activation | Actif : Les informations de licence de l'ordinateur distant sont affichées après l'établissement de la connexion, et peuvent être modifiées.
Configuration du chiffrement des communications du réseau | Actif : lorsque la connexion a été établie, vous pouvez activer ou désactiver le chiffrement des communications du réseau sur le système cible. Remarque : pour cela, la connexion de Remote Transport doit être protégée par un mot de passe.
Ne plus afficher cette boîte de dialogue | Actif : Cette boîte de dialogue ne s'affiche pas lors de l'établissement de la connexion. Remarque : Pour afficher la boîte de dialogue, dans le menu contextuel du projet, sélectionnez Remote Transport -> Modifier le mot de passe distant et afficher la licence
OK | Applique les paramètres et établit la connexion.
Annuler | Abandonne les modifications et ferme la boîte de dialogue sans établir la connexion.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Modification du mot de passe de la connexion

Configuration du chiffrement de la connexion réseau


Modification du mot de passe de la connexion

Manuels -> Transport à distance -> Établir une connexion -> Modification du mot de passe de la connexion

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour modifier le mot de passe de la connexion :

  1. Dans le menu contextuel du projet, sélectionnez Remote Transport -> Établir la connexion ou Modifier le mot de passe distant et afficher la licence
  2. Dans la boîte de dialogue, cliquez sur le bouton Modifier mot de passe de connexion
  3. La boîte de dialogue de modification du mot de passe s'affiche alors à l'écran.

Paramètre | Description
Ancien mot de passe | Saisissez le mot de passe existant.
Nouveau mot de passe | Saisissez le nouveau mot de passe.
Confirmation du mot de passe | Saisissez le nouveau mot de passe une nouvelle fois pour le confirmer.


Configuration du chiffrement de la connexion réseau

Manuels -> Transport à distance -> Établir une connexion -> Configuration du chiffrement de la connexion réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les communications du réseau peuvent être protégées à l'aide d'un chiffrement fort. Le chiffrement peut être activé localement, par le biais de l'outil Startup Tool de zenon, d'un outil pour le client Web de zenon ou via Remote Transport, dans la boîte de dialogue Establish connection (Établir la connexion) :

Paramètres

Description

Lire la configuration locale

Lit le paramètre de chiffrement de l'ordinateur local.

Chiffrement des communications du réseau

Actif : Le chiffrement du réseau est activé sur l'ordinateur distant.

Mot de passe

Saisissez le mot de passe.

Pour le critère, reportez-vous à la section Chiffrement du mot de passe du réseau du chapitre Chiffrement fort des communications du réseau.

La longueur affichée est toujours définie sur 20 caractères, afin de dissimuler la longueur réelle du mot de passe.

Confirmation du mot de passe

Saisissez à nouveau le mot de passe de vérification.

OK

Enregistre les modifications et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne

Le mot de passe défini ici est conservé sous forme chiffrée dans le fichier zenon6.ini de l'ordinateur distant.

info Info

Vous trouverez des notes concernant les messages d'erreur relatifs au chiffrement fort dans :

Le manuel Réseau -> Chapitre Chiffrement fort des communications du réseau -> Section Messages d'erreur.


Mode batch

Manuels -> Transport à distance -> Mode batch

Le mode batch permet de cibler plusieurs ordinateurs en même temps. Pour cela,

  1. Créez un fichier intitulé hosts.txt.
  2. Saisissez l'adresse IP ou le nom de chaque ordinateur sur une ligne distincte.

    Exemple :

    HOST=192.168.0.24;
    HOST=192.168.0.15;

  3. Placez le fichier hosts.txt dans le dossier \zenon\custom\additional.


Variables

Manuels -> Variables

Les variables, également appelées variables de procédé ou points de données, sont l'interface entre les données source (automates, but de terrain, etc.) et zenon. Elles représentent certaines valeurs mesurées ou des états du matériel, et notamment des propriétés telles que les changements d'échelle, les valeurs limite, etc.

Les variables sont définies dans la liste de variables centrale d'un projet et sont disponibles pour tous les éléments du système (fonctions, synoptiques, archives, etc.). Les projets d'intégration peuvent directement accéder aux variables de niveau inférieur.

Une variable est toujours basée sur deux composants. Le type de données et le type d'objet driver. Ces deux composants sont indépendants et peuvent donc être configurés indépendamment.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouvelle variable... | Ouvre l'assistant de création d'une nouvelle variable.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML.
Import/export étendu | Ouvre une liste déroulante contenant les formats d'importation et d'exportation prédéfinis.
Affichage des variables inutilisées | Crée une analyse de projet pour les variables inutilisées dans le projet actuel, et l'affiche sous forme de liste de résultats dans une fenêtre spécifique.
Ouvrir dans nouvelle fenêtre. | Ouvre une nouvelle fenêtre permettant d'afficher et modifier la variable. (Par défaut : au bas de l'Éditeur.)
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Chaque variable peut comporter ses propres attributs. Au total, 64 états/attributs ont été définis.

info Info

Les éléments de synoptique liés à une variable, qui ne comportent ni valeur, ni état, deviennent invisibles dans le Runtime.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Variables

Dénomination d'objets

Activation des variables dans zenon

Types de données

Driver

Créer, modifier et utiliser des variables

Concept d'héritage

Calcul de la valeur

Limites

Matrices de réaction

Fonctions des variables

Synoptique Liste d'états

Unit conversion (Conversion d'unités)


Barre d'outils et menu contextuel de la vue de détail Variables

Manuels -> Variables -> Barre d'outils et menu contextuel de la vue de détail Variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Barre d'outils

No. | Symbole | Action
01 | Nouvelle variable | Ouvre la boîte de dialogue de création d'une nouvelle variable.
02 | Copier | Copie les entrées sélectionnées vers le presse-papiers.
03 | Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
04 | Supprimer | Supprime les entrées sélectionnées.
05 | Créer une fonction standard | Ouvre l'assistant de sélection des variables et des valeurs prescrites et crée une fonction correspondante. Cette action est consignée dans la fenêtre de sortie.
06 | Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
07 | Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
08 | Remplacer le texte des limites | Ouvre la boîte de dialogue permettant de sélectionner les éléments dynamiques, puis la boîte de dialogue de recherche et de remplacement.
09 | Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
10 | Tout étendre | Liste déroulante permettant de développer ou réduire tous les nœuds ou les nœuds sélectionnés.
11 | Activer | Active les éléments sélectionnés d'une variable de structure.
12 | Désactiver | Désactive les éléments sélectionnés d'une variable de structure.
13 | Activer tout | Active tous les éléments inactifs d'une variable de structure.
14 | Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
15 | Importer XML | Importe des fichiers XML.
16 | Import S7 project (Importer projet S7) | Importe un projet Simatic S7.
17 | Activer | Active ou désactive les paramètres de filtre étendu.
18 | Retour à l'élément de départ | Si vous avez saisi la liste via la fonction Éléments liés, le symbole vous ramène à l'élément de départ. Uniquement disponible dans le menu contextuel lorsque tous les éléments liés sont ouverts.
19 | Remove filter (Supprimer filtre) | Supprime tous les paramètres de filtre
20 | Aide | Ouvre l'aide en ligne.

Le menu contextuel

Élément de menu | Action
Nouvelle variable | Ouvre la boîte de dialogue de création d'une nouvelle variable.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Créer une fonction standard | Ouvre la boîte de dialogue de sélection de variables et de valeurs prescrites.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Remplacer le texte des limites | Ouvre la boîte de dialogue permettant de sélectionner les éléments dynamiques, puis la boîte de dialogue de recherche et de remplacement.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Étendre/réduire les nœuds | Ouvre un menu avec lequel vous pouvez développer ou réduire les nœuds.
Activer tout | Active tous les éléments inactifs d'une variable de structure.
Activer | Active les éléments sélectionnés d'une variable de structure.
Désactiver | Désactive les éléments sélectionnés d'une variable de structure.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Import/export étendu | Ouvre le menu d'importation et d'exportation de projets aux formats S7, dBase et CSV.
Utilisation de variables | Crée une analyse de projet pour les variables sélectionnées dans le projet actuel, et l'affiche sous forme de liste de résultats dans une fenêtre spécifique.
Filtre étendu | Ouvre un menu permettant d'activer ou désactiver les filtres, ou de supprimer tous les paramètres de filtres.
Éléments liés | Affiche les éléments liés à la variable.
Aide | Ouvre l'aide en ligne.


Dénomination d'objets

Manuels -> Variables -> Dénomination d'objets

Le nom d'un objet doit être unique dans zenon.

info Info

Tenez compte des indications suivantes lors de l'attribution de noms :

  • Le caractère # n'est pas autorisé dans les noms de variables.
  • La longueur maximale de Nom, Identification et Valeur chaîne pour le remplissage des archives est de 128 caractères chacun.
  • La longueur maximale de Description externe est de 255 caractères.

Les noms de variables sont sensibles à la casse. Vous pouvez créer des variables portant un même nom, et qui diffèrent uniquement par la présence d'une lettre en caractères minuscules ou majuscules. Pour cet exemple, les variables test et Test sont deux variables différentes.

Attention : les noms identiques, qui ne diffèrent les uns des autres que par l'utilisation de lettres minuscules ou majuscules, peuvent poser un problème au niveau des drivers ou de zenon Logic avec les éléments suivants :

  1. Configuration du driver :

    si le nom du driver diffère uniquement par l'utilisation de lettres minuscules et majuscules, les deux drivers utilisent le même fichier d'attribution.

  2. zenon Logic :

    zenon Logic ne distingue pas les lettres majuscules et minuscules. Deux variables dont les noms ne diffèrent que par l'utilisation de minuscules et de majuscules dans zenon ne peuvent pas être utilisées dans zenon Logic. Ceci concerne les variables :

    • De projets zenon Logic utilisant les drivers zenon Logic, IEC870 et IEC850
    • Qui sont définies sur Visible par d'autres programmes dans zenon
    • Qui sont attribuées à un driver pour lequel un projet zenon Logic a été créé pour le mode Simulation - Programmée

info Info

Recommandation : Utilisez des noms d'objets uniques, qui ne diffèrent pas uniquement par l'utilisation de minuscules et de majuscules.


Activation des variables dans zenon

Manuels -> Variables -> Activation des variables dans zenon

Les variables sont activées dans zenon lors de l'ouverture des synoptiques auxquels elles sont liées. Elles sont lues à partir de cet instant. Lors de la fermeture d'une variable, les variables liées sont à nouveau désactivées et la lecture est arrêtée.

Activer (Advice) :

les valeurs de variables sont toujours interrogées par le pilote. Ceci se produit, indépendamment de la nécessité des variables à l'instant donné dans le projet et même si, par exemple, une variable ne comporte aucune valeur limite, n'est pas affichée et la valeur n'est pas enregistrée. Le pilote connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir si nécessaire, sans les interroger.

  • Avantage : les données sont immédiatement disponibles. Par exemple, l'activation et la désactivation des valeurs de variables dans la Ecriture valeur prescrite fonction ou dans les éléments de synoptique tels qu'un interrupteur est exécutée plus rapidement, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inconvénient : Charge supérieure pour les communications avec le contrôleur

Les fonctionnalités suivantes garantissent que les variables sont toujours activées :

  • Gestion des alarmes
  • Liste des événements
  • Gestionnaire d'archives
  • Conteneur VBA/VSTA en ligne
  • Propriété Stockage de données sur disque dur actif : Activée
  • Propriété Variable lue en permanence : Activée
  • L'option Keep update list in the memory (Conserver la liste des mises à jour en mémoire) est activée dans la configuration du driver (onglet Général).

Les variables activées par le biais de la propriété Variable lue en permanence sont également accessibles aux autres applications Windows.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence.

Requêtes (Request) :

si les variables ne sont pas activées, une requête de fourniture des valeurs et de l'état est transmise au pilote, si nécessaire.

Si les valeurs des variables doivent faire l'objet d'une interrogation spécifique, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.


Types de données

Manuels -> Variables -> Types de données

Chaque variable est basée sur un type de données IEC61131. Le type de données possède les mêmes propriétés que la variable elle-même (unité, résolution du signal, limites, etc.), à l'exception des propriétés spécifiques au driver, telles que l'adresse de l'automate, par exemple. Un type de donnée est un modèle de variable sans connexion au procédé. Cette connexion au procédé est uniquement établie en fonction du type d'objet du driver associé à la variable.

Lors de la création d'une nouvelle variable, un type de donnée doit être sélectionné. Toutes les propriétés du type de donnée sont répercutées sur la variable (héritage). Un lien est établi avec les propriétés du type de donnée, ce qui signifie que si une propriété du type de donnée est modifiée, alors elle est aussi modifiée dans toutes les variables liées à ce type de donnée.

Si une propriété est liée au type de donnée, elle est marquée avec un symbole dans la fenêtre des propriétés.

Ce lien peut aussi être "cassé". Une description plus détaillée est fournie au chapitre Concept d'héritage.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau type de données simple ... | Ouvre la boîte de dialogue de création d'un nouveau type de données.
Nouvelle structure | Ouvre la boîte de dialogue de création d'un nouveau type de données Structure.
Exporter XML tous ... | Exporte toutes les entrées sous forme de fichier XML.
Importer XML … | Importe des entrées à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Types de données IEC

Les types de données sont normalisés sur la base de la norme IEC 61131-3. A l'heure actuelle, zenon prend en charge les types de données IEC suivants :

Nom court

Nom long

Commentaire / plage de valeurs

Nombre de bits

BOOL

Booléen

Bit 0/1

1

BYTE

SINT

Entier court (short integer)

Octet signé

-128 à 127

8

USINT

Entier court non-signé (Unsigned short integer)

Octet 0 à 255

8

INT

Entier

Mot signé

-32768 à 32767

16

UINT

entier non-signé (unsigned integer)

Mot : 0 à 65535

16

DINT

entier double (double integer)

Entier double signé :

-2147483648 à 2147483647

32

UDINT

Entier double non-signé (unsigned double integer)

Double :

0 à 4294967295

32

LINT

Entier long (long integer)

zenon ne peut gérer la plage de valeurs d'un nombre à 64 bits ; la plage de valeurs réelle est donc limitée à 52 bits. La plage de nombres sans signe s'étend de 0 à 4503599627370496. Les nombres situés hors de cette plage provoquent un dépassement ou un défaut de capacité, en fonction d'un nombre entier à 52 bits.

Les composants suivants utilisent une résolution entière de 64 bits dans le Runtime de zenon :

  1. L'interface VBA Mémoire partagée, lorsque la valeur a été saisie dans la résolution du signal.
  2. L'interface Mémoire partagée de zenon Logic.
  3. Le kit de drivers est compatible avec toute l'étendue de nombre à 64 bits, et les drivers également, à condition que le driver prenne en charge ce type de données IEC. A l'heure actuelle, il s'agit des types Sample32, Internal (interne) et STRATON32.

Le gestionnaire de groupes de recettes et les recettes ne peuvent pas enregistrée une valeur à 52 bits avec exactitude.

64 ou 52

ULINT

Entier long non signé (Unsigned long integer)

zenon ne peut gérer la plage de valeurs d'un nombre à 64 bits ; la plage de valeurs réelle est donc limitée à 52 bits. La plage de nombres sans signe s'étend de 0 à 4503599627370496. Les nombres situés hors de cette plage provoquent un dépassement ou un défaut de capacité, en fonction d'un nombre entier à 52 bits.

Les composants suivants utilisent une résolution entière de 64 bits dans le Runtime de zenon :

  1. L'interface VBA Mémoire partagée, lorsque la valeur a été saisie dans la résolution du signal.
  2. L'interface Mémoire partagée de zenon Logic.
  3. Le kit de drivers est compatible avec toute l'étendue de nombre à 64 bits, et les drivers également, à condition que le driver prenne en charge ce type de données IEC. À l'heure actuelle, il s'agit des types Sample32, Internal et STRATON32.

Le gestionnaire de groupes de recettes et les recettes ne peuvent pas enregistrée une valeur à 52 bits avec exactitude.

64 ou 52

REAL

Nombre réel

Nombre réel

32

LREAL

Nombre réel

Nombre réel

64

STRING

Chaîne de caractères (un seul octet par caractère)

Chaîne de caractères (la longueur maximum de la chaîne dépend du driver).
La longueur de la chaîne par défaut est fixée à 5 caractères. La longueur correcte doit être fournie durant la configuration, si nécessaire.

>= 8 x longueur de chaîne

WSTRING

Longueur de variable

Chaîne de caractères multi-octets

Contient des chaînes multi-octets, par exemple des chaînes encodées au format Unicode (UTF-8, etc).
La longueur de la chaîne par défaut est fixée à 5 caractères. La longueur correcte doit être fournie durant la configuration, si nécessaire.

>= N x longueur de chaîne

DATE

Date

Date IEC par incréments de 1 jour

16

TIME

Durée

Durée au format IEC. Temps IEC par incréments de 1 ms, entier signé

32

TOD

Time of day (Heure)

Heure par incréments de 1 ms

32

DATE_AND_TIME

Date et heure

Définit une période à 64 bits, enregistrée dans un format décimal binaire.

64

attention Attention

Dans zenon, les types de données DATE, TIME, TOD sont traités comme le type de données UDINT au format d'heure Unix (secondes écoulées depuis le 01.01.1970). Le type de données DATE_AND_TIME équivaut au type de données FLOAT au format d'heure Unix. Dans ce format, l'heure est enregistrée à la milliseconde près, c'est-à-dire trois chiffres après le point décimal. Le driver convertit le type de données utilisé dans zenon en type de données correspondant et envoie la nouvelle valeur à l'automate.
Tous les drivers ne sont pas compatibles avec ces types de données. Reportez-vous à la documentation du driver correspondant afin de déterminer si le driver utilisé est compatible avec les types de données.

Vous trouverez des informations concernant le fonctionnement de l'héritage des propriétés du type de données dans la section Concept d'héritage.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Types de données

Types de données


Barre d'outils et menu contextuel de la vue de détail Types de données

Manuels -> Variables -> Types de données -> Barre d'outils et menu contextuel de la vue de détail Types de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu contextuel

Élément de menu | Action
Nouveau type de données simple | Ouvre la boîte de dialogue de création d'un nouveau type de données simple.
Nouveau type structure | Ouvre la boîte de dialogue de création d'un nouveau type de données Structure.
Nouvel élément de structure | Ouvre la boîte de dialogue permettant d'ajouter un élément de structure à un type de données de structure.
Copier | Copie les entrées sélectionnées vers le presse-papiers.
Coller | Insère le contenu du presse-papier. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Remplacer le texte des limites | Ouvre la boîte de dialogue permettant de sélectionner les éléments dynamiques, puis la boîte de dialogue de recherche et de remplacement.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Import/export étendu | Ouvre le menu d'importation de projets S7, dBase et CSV.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Types de données

Manuels -> Variables -> Types de données -> Types de données

Il y a principalement deux types de données différents :

  • Les types de données simples ; à leur tour, ces types comprennent les catégories suivantes :
    • Types de données simples préconfigurés
    • Types de données simples définis par l'utilisateur
  • Types structure

Autres sujets abordés dans ce chapitre

Types de données prédéfinis simples

Types de données simples définis par l'utilisateur

Types structure


Types de données prédéfinis simples

Manuels -> Variables -> Types de données -> Types de données -> Types de données prédéfinis simples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ces éléments sont fournis avec zenon et sont immédiatement disponibles lorsqu'une nouvelle variable est créée. Ils sont es aux types de données simples normalisés de la norme IEC 61131-3, tels que INT, USINT etc. Ils définissent une plage de valeurs prescrites (limites inférieure et supérieure fixes) avec un nombre défini de valeurs. C'est la raison pour laquelle les nombres réels ne peuvent être représentés qu'avec une certaine précision sous la forme de nombres à virgule flottante.

Les propriétés des types de données simples peuvent être modifiées. Les noms de ces types de données correspondent aux noms définis dans la norme CEI. Ces types ne peuvent pas être supprimés ou renommés.

Les types de données deviennent uniquement visibles dans zenon lorsqu'un driver est sélectionné. Chaque driver ouvre une liste de types qu'il supporte. Si un type de données IEC n'existe pas dans la liste des types de données, c'est qu'il n'est supporté par aucun driver du projet.

Les modifications apportées à un type de donnée se répercuteront sur toutes les variables liées et aussi sur toutes les structures liées.


Types de données simples définis par l'utilisateur

Manuels -> Variables -> Types de données -> Types de données -> Types de données simples définis par l'utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ces types peuvent être créés par l'utilisateur. Lors de la création, un type existant est utilisé. Toutes les propriétés du type de base sont copiées dans le nouveau type et peuvent être changées ultérieurement. Il n'existe aucune référence au type de données sur lequel il reposait à l'origine. Tous les types de données peuvent donc être configurés indépendamment les uns des autres.

Pour les types utilisateur, toutes les propriétés, y compris le nom et le type de données IEC, peuvent être modifiées.

attention Attention

Il peut être nécessaire de configurer manuellement toutes les variables reposant sur un type de données dans lequel le type de données IEC est modifié.

Exemple

Si le type IEC "INT" est modifié en type IEC "BOOL". Toutes les limites de valeurs prescrites de toutes les variables et toutes les positions auxquelles elles sont utilisées (synoptiques) ne sont plus correctes. Cela devient encore plus critique si les propriétés des variables sont écrasées et n'ont plus de référence au type de donnée.

Lors de la création d'un nouveau type de données défini par l'utilisateur, un type de données de base correspondant au type de données IEC requis doit être utilisé.

attention Attention

La modification ultérieure des types de données IEC n’est pas recommandée.
Un certain nombre de paramètres dépendent du type de données IEC et doivent être reconfigurés manuellement si le type de données IEC a été modifié. (Exemple : la résolution du signal, la plage de valeurs, l'hystérésis, les limites de valeurs prescrites, l'ajustement non-linéaire, etc.).
Lors d'une modification d'un type de données IEC, toutes les propriétés spécifiques à ce type de données doivent être vérifiées. Parfois, les propriétés doivent être adaptées avant la modification, car pour les variables BOOL, la résolution du signal et la plage de mesure ne peuvent pas être modifiées, par exemple.

Autres sujets abordés dans ce chapitre

Créer un type utilisateur

Modification des propriétés d'un type de données défini par l'utilisateur

Supprimer un type utilisateur


Créer un type utilisateur

Manuels -> Variables -> Types de données -> Types de données -> Types de données simples définis par l'utilisateur -> Créer un type utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ouvrez la partie Variables et sélectionnez Types de données.

Tous les types de données existants sont montrés dans la vue de détail. Lors de la première ouverture seuls les types prédéfinis correspondants aux types CEI sont affichés dans la liste. Un type utilisateur est toujours base sur un type CEI. Cliquez dans la liste avec le bouton droit de la souris et dans le menu contextuel, choisissez 'Nouveau type de données simple'.

Dans la boîte de dialogue donnez le nom du nouveau type utilisateur et choisissez un type de données existant. Ce nouveau type sera aussi sélectionnable pour les futurs types que vous créerez. Toutes les propriétés du type sont copiées vers le nouveau type. Elles peuvent ensuite être modifiées dans la fenêtre des propriétés. Aucune référence au type de base n'existe plus.

info Info

Le nom du type de données est limité à 128 caractères.

Cliquez sur Terminer. Le nouveau type utilisateur apparaît maintenant dans la liste des types simples dans la vue de détail.


Modification des propriétés d'un type de données défini par l'utilisateur

Manuels -> Variables -> Types de données -> Types de données -> Types de données simples définis par l'utilisateur -> Modification des propriétés d'un type de données défini par l'utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les propriétés d'un type de données défini par l'utilisateur peuvent être modifiées dans la fenêtre des propriétés, où sont fournies toutes les propriétés du type de données.

Veillez à ne pas modifier les données IEC, car cela entraînerait également une modification de la résolution du signal.


Supprimer un type utilisateur

Manuels -> Variables -> Types de données -> Types de données -> Types de données simples définis par l'utilisateur -> Supprimer un type utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez le type de données à supprimer dans la vue de détail et confirmez la suppression dans la boîte de dialogue suivante.

attention Attention

Si un type utilisateur est supprimé, toutes les variables liées à ce type sont aussi supprimée.


Types structure

Manuels -> Variables -> Types de données -> Types de données -> Types structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les types structures sont toujours des types de données utilisateur. Au contraire des types simples, qui ne permettent qu'une liste de variables "plate", ils permettent de construire une structure. Cette structure peut également en contenir d'autres (imbrication) et devenir ainsi très complexe.

Si vous avez besoin de créer des variables structures, vous devez d'abord créer le type structure correspondant. Une structure est composée d'un nom et d'éléments. Les éléments de structure peuvent être des types simples ou d'autres structures. Les éléments de structure peuvent aussi être des tableaux (champs) qui peuvent avoir jusqu'à trois dimensions.

attention Attention

Les variables de structure peuvent uniquement être créées ; Aucune modification ultérieure n'est possible.

Les structures peuvent uniquement être créées ; Aucune modification ultérieure n'est possible.

Lors de la création, vous devez définir si l'élément de structure doit utiliser le type lié ou embarqué. Aucune modification ultérieure n'est possible.

Exemple de type structure :

Deux structures sont affichées ci-dessus.

La structure Controller est composée de deux éléments. Engine speed set et Engine speed actual.

  • L'élément Engine speed actual est lié au type INT, c'est-à-dire que toutes les propriétés du type INT sont transmises dans cet élément de structure (héritage).
  • L'élément Engine speed set est embarqué (embedded) dans la structure. De cette façon, les propriétés de ce type peuvent être configurées dans l'élément lui-même.

La structure Engine est composée des éléments suivants : Activity Input, Charging Rate, Voltage, Temperature[3] et Engine Speed Control.

  • L'élément Activity Input est lié au type UINT - toutes les propriétés sont récupérées du type UINT.
  • L'élément Charging Rate a le type embarqué INT – toutes les propriétés sont définies dans l'élément de structure.
  • L'élément Voltage est lié au type utilisateur Voltage. L'élément prend toutes ses propriétés de ce type.
  • L'élément Temperature est un tableau à une dimension de trois éléments de type SINT.
  • L'élément Engine speed control est lié au type structure "Structure Controller" décrit ci-dessus. Les structures dans une structure ne peuvent pas être "embarquées". Elles sont toujours "liées" à la structure originale. La structure contient deux éléments. "Engine speed set" et "Engine speed actual" qui prennent leurs propriétés de la structure de base.

Autres sujets abordés dans ce chapitre

Créer un type structure

Insertion d'autres éléments de structure

Changer les propriétés d'un élément de structure

Déplacement d'un élément de structure

Supprimer un type structure


Créer un type structure

Manuels -> Variables -> Types de données -> Types de données -> Types structure -> Créer un type structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Voici comment créer un type de données de structure :

  1. Cliquez avec le bouton droit sur la liste des types et sélectionnez Nouveau type structure dans le menu contextuel.
  2. Vous pouvez définir les noms dans la boîte de dialogue qui s'affiche à l'écran.

    Remarque : Le nom du type de données est limité à 128 caractères.

  3. Confirmez en cliquant sur Terminer. Le nom du type structure peut être changé ultérieurement.
  4. Une nouvelle boîte de dialogue s'ouvre de façon à définir le premier élément de la structure.
  5. Spécifiez un nom éloquent.
  6. Sélectionnez le type de données sur lequel doit être basé l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

    Vous ne pouvez également pas lier des structures sous forme d'éléments de structure. Il est impossible d'incorporer des structures sous forme d'éléments de structure. Il est en outre uniquement possible de lier des structures entières, et non des parties d'une structure.

  7. Indiquez si le type de données doit être incorporé ou lié.
  8. Définir les dimensions du tableau si besoin.
    Si vous ne souhaitez pas utiliser un tableau, définissez les dimensions sur 0.
  9. Confirmez en cliquant sur Terminer.

Incorporation ou liaison

Paramètres | Description
Eléments de structure embarqués | Ils peuvent avoir des propriétés différentes des types de base sur lesquels ils sont basés. Les propriétés sont définies individuellement pour chaque élément de structure et sont sauvegardées localement.
Eléments de structure liés | Les éléments liés reçoivent toutes leurs propriétés des types de données élémentaires auxquels ils sont liés. Si le type de base est modifié, tous les éléments liés seront modifiés de la même façon !


Insertion d'autres éléments de structure

Manuels -> Variables -> Types de données -> Types de données -> Types structure -> Insertion d'autres éléments de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour insérer d'autres éléments de structure :

  1. Cliquez avec le bouton droit sur le type de donnée de structure souhaité.
  2. Sélectionnez Nouvel élément de structure... dans le menu contextuel.
  3. Définissez l'élément de structure dans la boîte de dialogue qui s'affiche à l'écran.
    1. Une description précise (le nom est limité à 128 caractères)
    2. les dimensions du tableau et
    3. indiquez si vous souhaitez incorporer ou lier l'élément de structure.

Si vous sélectionnez maintenant le type Données de structure dans la vue de détail, les éléments de structure existants sont affichés sous forme de sous-points.


Changer les propriétés d'un élément de structure

Manuels -> Variables -> Types de données -> Types de données -> Types structure -> Changer les propriétés d'un élément de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour modifier les propriétés d'un élément de structure :

Éléments de structure embarqués

  1. Sélectionnez l'élément de structure dans la vue de détail.
  2. Modifiez les propriétés de votre choix dans la fenêtre des propriétés.

Élément de structure liée

Avec les éléments de structure liés, les éléments suivants peuvent être modifiés dans la fenêtre des propriétés :

  • Nom
  • Offsets
  • Dimensions du tableau
  • Description

Toutes les autres propriétés doivent être modifiées directement au niveau du type de données d'origine.

attention Attention

Attention : les modifications faites sur un type de données sont directement répercutées sur toutes les variables associées, et ont également une incidence sur tous les autres types de données de structure liées à ce type de données.

Nous vous déconseillons d'apporter des modifications au type de données. Ces dernières doivent être préparées et mises en œuvre avec soin, tout particulièrement lors de la modification des paramètres de types de données IEC, de la mesure des paramètres de plage, de la définition des limites de valeurs prescrites, etc.

Dans certaines circonstances, toutes les variables et tous les synoptiques sur lesquels sont utilisées ces variables devront être ajustés manuellement par la suite !


Déplacement d'un élément de structure

Manuels -> Variables -> Types de données -> Types de données -> Types structure -> Déplacement d'un élément de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les éléments d'un type de données structuré peuvent être déplacés par glisser-déplacer. Pour déplacer des éléments :

  1. Sélectionnez l'élément de votre choix.
  2. Vous pouvez également sélectionner plusieurs éléments liés.
  3. Cliquez sur la sélection et faites glisser l'élément vers la position souhaitée.

Pour les projets multi-utilisateurs, une vérification est effectuée pour déterminer si l'état du type de données devant être modifié est défini sur Autoriser les modifications, ou peut être défini sur cette valeur.

Déplacement d'objets multiples

Les éléments liés peuvent être déplacés par glisser-déplacer Dans ce cas, les dispositions suivantes s'appliquent :

  • Seuls les éléments de structure liés peuvent être déplacés.

  • Si un écart est identifié avec une sélection multiple, l'action "déposer" est refusée.


Supprimer un type structure

Manuels -> Variables -> Types de données -> Types de données -> Types structure -> Supprimer un type structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour supprimer un type structure :

  1. Cliquez avec le bouton droit sur le type de données de structure dans la liste.
  2. Sélectionnez Supprimer dans le menu contextuel.
  3. Le type de données de structure est supprimé avec tous ses éléments de structure.

attention Attention

Lors de la suppression, toutes les variables reposant sur ce type de structure sont supprimées !


Driver

Manuels -> Variables -> Driver

zenon propose plus de 300 connexions différentes à différents automates, systèmes de bus et applications.

Pour communiquer avec une source de données, il faut utiliser un driver. Le driver établit une connexion entre un automate et zenon. La source de données n'est pas nécessairement un automate. Le driver DDE communique avec un serveur DDE, le driver "OPC client" avec un serveur OPC, le driver SNMP avec des agents SNMP, etc.

De nombreux drivers sont disponibles et peuvent être utilisés simultanément.

attention Attention

Sous Windows CE, un seul driver de chaque type peut être utilisé à la fois.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau driver... | Ouvre la vue de détail permettant de sélectionner un driver.
Aide | Ouvre l'aide en ligne.

Lors de la création d'une nouvelle variable, vous devez définir pour quel driver la variable est créée.

Les drivers de zenon sont des drivers de type "protocole". Ils ne doivent pas être confondus avec des drivers d'interface du système Windows (par exemple, les drivers pour les cartes LAN ou les drivers pour l'interface série). Les drivers de zenon sont toujours basés sur un driver d'interface du système d'exploitation, et communiquent avec le protocole correspondant (par exemple : Modbus RTU, MPI, Melsec A, etc.) qui est compris par l'automate.

Les drivers élémentaires sont disponibles gratuitement dans zenon : Les variables basées sur ces drivers ne sont pas comptabilisées dans les points d'E/S de la licence.

Paramètre

Description

Driver de simulation SIMUL32

Pour les variables internes.

Celles-ci peuvent être définies en tant que variables invulnérables aux défaillances (données de disque dur) ou en tant que types de drapeaux ; la valeur des objets de type drapeau peuvent modifier leur valeur automatiquement aux fins de simulations dynamiques.

Driver mathématique MATHDR32

Les variables de ce driver sont utilisées pour des calculs mathématiques ou pour des compteurs.

Driver système Sysdrv

Variables pour faire du monitoring ou du contrôle du matériel, du réseau et d'autres propriétés spécifiques au projet.

Driver interne Internal

Variables définies par l'utilisateur et sans connexion à un automate. (Similaires aux variables utilisateur du driver système.)

Chaque variable a une valeur propre. Il n'est donc pas possible d'extraire un bit ou un octet à partir d'une variable de type INT.

La définition de l'adresse n'est pas nécessaire. Les propriétés correspondantes ne peuvent d'ailleurs pas être éditées.

Des descriptions détaillées des drivers pour les drivers individuels sont disponibles dans la documentation de driver correspondante, accessible via l'aide en ligne (au chapitre Driver) et sur le DVD d'installation.

Lors de la création d'un nouveau driver, une boîte de dialogue de sélection s'ouvre et affiche tous les drivers disponibles. Les informations spécifiques à cette boîte de dialogue se trouvent dans les fichiers Treiber_DE.xml, Treiber_EN.xml etc., selon la langue. Vous pouvez ouvrir ou modifier ces fichiers XML avec l'outil driverinfo.exe.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Driver

Type d'objet driver

Créer un driver

Configuration d'un driver

Simulation de driver

Modifier un driver

Supprimer un driver

Variables des drivers

Documentations des drivers


Barre d'outils et menu contextuel de la vue de détail Driver

Manuels -> Variables -> Driver -> Barre d'outils et menu contextuel de la vue de détail Driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu contextuel

Élément de menu | Action
Nouveau driver | Ouvre la boîte de dialogue de création d'un nouveau driver.
Modifier un driver | Ouvre la fenêtre de sélection permettant de définir un driver.
Supprimer | Après une demande de confirmation, supprime les entrées sélectionnées de la liste.
Configuration du driver | Ouvre la boîte de dialogue de configuration du driver.
Importer les variables à partir du driver | Ouvre la boîte de dialogue d'importation de variables.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance. Uniquement disponible si la modification est autorisée.
Remplacer un texte dans la colonne sélectionnée | Ouvre une boîte de dialogue permettant de rechercher et remplacer automatiquement des caractères dans la colonne sélectionnée.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Supprimer tous les filtres | Supprime tous les filtres actifs de la liste.
Aide | Ouvre l'aide en ligne.


Type d'objet driver

Manuels -> Variables -> Driver -> Type d'objet driver

Le type d'objet driver définit à quelle catégorie de variable le système doit se référer dans l'automate. Aujourd'hui, chaque constructeur utilise des noms différents pour les emplacements dans leurs automates. Dans le monde Siemens, il y a des blocs de données, des marqueurs, des entrées, des sorties, etc. Dans le monde Modbus, il y a des « coils » et des « holding registers ». Chaque driver crée une liste interne mentionnant les types d'objet de driver disponibles. Lors de la création d'une nouvelle variable, la zone d'attribution de la variable dans l'automate doit être spécifiée.

Il existe une distinction stricte entre les types de données et les types d'objet de driver.

Cette distinction stricte permet de créer une structure sous forme de type de données de manière complètement indépendante, et ainsi, indépendamment de l'automate. Une variable avec cette structure peut être liée à n'importe quel driver. Une structure peut, par exemple, être liée au driver correspondant 1:1 avec un automate Siemens, ainsi qu'à un automate Modbus doté des drivers correspondants.


Créer un driver

Manuels -> Variables -> Driver -> Créer un driver

Pour créer un nouveau driver :

  1. Cliquez avec le bouton droit sur Driver dans le gestionnaire de projet, puis sélectionnez Nouveau driver dans le menu contextuel.
  2. Dans la boîte de dialogue suivante, le système de contrôle propose une liste des drivers disponibles.

  3. Sélectionnez le driver et donnez-lui un nom :
    • Le nom de driver doit être unique, c'est-à-dire que si un driver doit être utilisé plusieurs fois dans un projet, vous devez lui donner un nom différent à chaque fois.
    • Le nom du driver forme partie du nom de fichier. Il peut donc uniquement contenir des caractères pris en charge par le système d'exploitation. Les caractères non valides sont remplacés par un caractère de soulignement (_).
    • Attention : Le nom ne peut pas être modifié par la suite.
  4. Confirmez la boîte de dialogue en cliquant sur OK. Dans les boîtes de dialogues suivantes le driver peut être configuré.

Seuls les drivers nécessaires au projet ont besoin d'être insérés dans le projet. Vous pouvez ajouter des drivers supplémentaires par la suite sans problème.

info Info

Pour les nouveaux projets et les projets existants convertis à la version 6.21 (ou une version ultérieure), les drivers suivants sont créés automatiquement :

  • Interne
  • MathDr32
  • SysDrv.


Configuration d'un driver

Manuels -> Variables -> Driver -> Configuration d'un driver

Paramètre

Description

Mode

Permet de basculer entre les modes Équipement et Simulation.

  • Matériel :

    Une connexion au système de contrôle est établie.

  • Simulation statique

    Aucune communication n'est établie au niveau du système de contrôle ; les valeurs sont simulées par le driver. Dans ce mode, les valeurs demeurent constantes et/ou les variables conservent les valeurs définies par zenon Logic. Chaque variable possède sa propre zone de mémoire ; Par exemple, deux variables de type marqueur avec un offset 79 peuvent comporter des valeurs différentes dans le Runtime et ne s'influencent pas mutuellement. Exception : le driver de simulation.

  • Simulation - comptage

    Aucune communication n'est établie au niveau du système de contrôle ; les valeurs sont simulées par le driver. Dans ce mode, le driver augmente automatiquement les valeurs dans les limites d'une plage de valeurs.

  • Simulation - Programmée

    Aucune communication n'est établie avec l'automate. Les valeurs sont calculées par un projet de simulation librement programmable. Le projet de simulation est créé dans l'espace de travail de zenon Logic et s'exécute dans un Runtime de zenon Logic intégré au driver. Pour plus de détails, reportez-vous au chapitre Driver de simulation.

Conserver la liste de mises à jour en mémoire

Les variables demandées une fois sont encore demandées par le système de contrôle, même si elles ne sont actuellement pas nécessaires.
Ceci offre par exemple l'avantage d'accélérer l'exécution des appels de synoptique après la première utilisation du synoptique, dans la mesure où les variable ne sont pas appelées à nouveau. L'inconvénient est une augmentation de la charge de communications au niveau du système de contrôle.

Les résultats peuvent être écrits

Actif : les résultats peuvent être écrits.

Inactive : l'écriture des résultats est interdite.

Remarque : indisponible pour certains drivers.

Image des variables rémanente

Cette option permet de sauvegarder et restaurer les valeurs courantes des variables, leur horodatage et leur état.

Condition préalable fondamentale : la variable doit posséder une valeur valide et des informations d'horodatage.

L'image de la variable est sauvegardée en mode Équipement si :

  • Un des états S_MERKER_1(0) à S_MERKER8(7), REVISION(9), AUS(20) ou ERSATZWERT(27) est actif

L'image de la variable est toujours sauvegardée si :

  • La variable est du type d'objet Variable de driver
  • Le driver s'exécute en mode de simulation (simulation non programmée).

Les états suivants ne sont pas restaurés au démarrage du Runtime :

  • SELECT(8)
  • WR-ACK(40)
  • WR-ACK(41)

Le mode Simulation - programmée au démarrage du driver n'est pas un critère de restauration de l'image de variable rémanente.

Stop at the Standby Server (Arrêter au niveau du serveur redondant)

Configuration de la redondance pour les drivers autorisant seulement une direction de communication. Pour cela, le driver est arrêté au niveau du serveur redondant, et redémarré uniquement lors de la mise à niveau.

Attention : si cette option est active, l'archivage sans erreur ne peut plus être garanti.

Actif : Définit un état semblable à l'arrêt pour le driver au niveau du serveur ne dirigeant pas le procédé. Contrairement à l'arrêt par le biais de la commande de driver, la variable ne reçoit pas l'état désactivé, mais une valeur vide. Ceci évite que lors de la mise à niveau du serveur, des valeurs erronées ne soient générées dans les listes AML et CEL et le Serveur d'archives.

Global Update Time (Temps de mise à jour global)

Actif : le paramètre Global update time (Temps de mise à jour global), exprimé en ms, est utilisé pour toutes les variables du projet. La priorité définie au niveau des variables n'est pas utilisée.
Inactive : les priorités définies sont utilisées pour les variables individuelles.

Priorité

Ici, vous définissez les temps d'interrogation des priorités individuelles. Toutes les variables possédant la priorité correspondante sont interrogées dans l'intervalle de temps défini. L'attribution a lieu séparément pour chaque variable dans les paramètres des propriétés de variables.
La communication des variables individuelles est évaluée au regard de l'importance ou du sujet, grâce aux priorités. Ainsi, la charge de communications est mieux répartie.

OK

Valide les paramètres définis sur tous les onglets et ferme la boîte de dialogue.

Annuler

Annule toutes les modifications et ferme la boîte de dialogue.

Aide

Ouvre l'aide en ligne.

Délai de mise à jour du driver cyclique

Les dispositions suivantes s'appliquent aux drivers cycliques :

Pour les valeurs prescrites, la définition de variables et les requêtes, un cycle de lecture est immédiatement déclenché pour tous les drivers - indépendamment de l'heure de mise à jour définie. Ceci garantit que la valeur est immédiatement disponible pour la visualisation après l'écriture. Les délais de mise à jour peuvent donc être plus courts que les valeurs prédéfinies pour les drivers cycliques.


Simulation de driver

Manuels -> Variables -> Driver -> Simulation de driver

Si le procédé sous-jacent n'est pas disponible lors de la configuration, celui-ci peut être simulé et testé à l'avance. Trois modes sont disponibles à cette fin :

  • Simulation - Statique : valeurs constantes simulées par le driver
  • Simulation - Comptage : les valeurs simulées par le driver sont comptées.
  • Simulation - Programmée : les valeurs sont calculées via un projet de simulation avec zenon Logic.

attention Attention

Si le driver est arrêté en mode Simulation - Comptage, seul le comptage est arrêté. La variable n'est pas basculée vers l'état défaillant. Dans tous les autres modes, le driver est vraiment arrêté.

Conseil : Simulation - programmée n'est pas pris en charge par les drivers spécifiques aux éléments suivants :

  • Variables internes
  • Variables mathématiques
  • Variables de simulation
  • Variables système

info Info

Les variables de zenon représentant les variables d'E/S de zenon Logic sont disponibles dans le projet, sous l'état Simulation de drivée programmée.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Autres sujets abordés dans ce chapitre

Simulation statique

Simulation - comptage

Simulation - Programmée


Simulation statique

Manuels -> Variables -> Driver -> Simulation de driver -> Simulation statique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors d'une simulation statique, aucune communication n'est établie au niveau du système de contrôle ; les valeurs sont simulées par le driver. Dans ce mode, la valeur demeure constante. Les valeurs peuvent être modifiées par le Runtime ou l'utilisateur. Lors d'un redémarrage du Runtime en mode Simulation - Statique, ces valeurs ne sont toutefois pas enregistrées et sont perdues.


Simulation - comptage

Manuels -> Variables -> Driver -> Simulation de driver -> Simulation - comptage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors d'une simulation de comptage, aucune communication n'est établie au niveau du système de contrôle ; au lieu de cela, les valeurs sont simulées par le driver. Dans ce mode, le driver augmente automatiquement les valeurs dans les limites d'une plage de valeurs, en commençant par 0. Si la valeur maximale a été atteinte, le processus de comptage reprend à partir de 0.

info Info

Pour les valeurs de départ négatives, le processus de comptage commence uniquement à 0.

INT utilise la valeur maximale de USINT pour le comptage.

attention Attention

Si le driver est arrêté en mode Simulation - Comptage, seul le comptage est arrêté. La variable n'est pas basculée vers l'état défaillant. Dans tous les autres modes, le driver est vraiment arrêté.


Simulation - Programmée

Manuels -> Variables -> Driver -> Simulation de driver -> Simulation - Programmée

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour le mode Simulation - Programmée, aucune communication n'est établie avec l'automate ; au lieu de cela, les valeurs sont calculées par un projet de simulation librement programmable. Le projet de simulation est créé dans l'espace de travail de zenon Logic et s'exécute dans le Runtime de zenon Logic. Celui-ci permet de modifier les informations d'horodatage des variables au niveau du driver. Les commandes d'écriture de variables exécutées par zenon sont transmises à la simulation et les serveurs redondants sont synchronisés. C'est également de cette manière que sont simulés les procédés complexes.

Pour démarrer le programme de simulation, sélectionnez le mode Simulation - Programmée dans Driver configuration (Configuration du driver ).

info Info

Windows CE

Simulation - programmée n'est pas disponible sous Windows CE.

Autres sujets abordés dans ce chapitre

Éditeur

Configuration du driver

Espace de travail zenon Logic

Runtime

Dispositions applicables aux variables dans les projets de simulation

Messages d'erreur


Éditeur

Manuels -> Variables -> Driver -> Simulation de driver -> Simulation - Programmée -> Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Créer un projet

Supprimer un projet

Développement distribué

Modifier un driver

Export/import XML


Créer un projet

Créer un projet

Pour créer un programme pour la fonction Simulation - programmée, vous devez :

  • Sélectionner un driver de procédé simple ;
  • Vous assurer que le nom du projet est valide.

attention Attention

Simulation - programmée n'est pas pris en charge par les drivers spécifiques aux éléments suivants :

  • Variables internes
  • Variables mathématiques
  • Variables de simulation
  • Variables système

Pour créer un projet de simulation :

  • Cliquez sur le groupe Projet de simulation pour le driver dans la propriété Editer, puis sur Cliquer ici ->.
  • Un nouveau projet zenon Logic est alors créé,
  • Nom et les numéros de port pour Port d'événements et Port standard sont définis automatiquement ; vous pouvez les modifier à votre convenance.
  • L'espace de travail zenon Logic est ouvert.

L'espace de travail du projet de simulation est automatiquement fermé si :

  • l'Éditeur zenon est fermé.
  • Un driver est supprimé et le projet de simulation associé est actuellement en cours d'édition dans l'espace de travail.
  • Le projet de simulation associé au driver est supprimé via la propriété Supprimer.
  • Le projet de simulation est renommé.

Archivage de projets

Un projet zenon Logic contient de nombreux fichiers et dossiers. Pour les gérer, et en particulier pour simplifier le développement distribué, tous les fichiers sont archivés dans un format compressé dans le fichier Simul_<Treiber-ID>.zip dans le <répertoire de projet SQL>\FILES\zenon\custom\drivers. Ce fichier figure parmi les fichiers de drivers dans l'Éditeur. Lors du démarrage de l'espace de travail zenon Logic, les fichiers sont automatiquement décompressés, et sont à nouveau compressés lors de l'arrêt de l'espace de travail.

Création de variables

Lors de la création de variables dans un projet de simulation, la succession est importante :

  1. Créez la variable
  2. Sélectionnez un type de données valide dans l'espace de travail zenon Logic
  3. Ensuite, activez la propriété Embarquer les symboles

Explication : Les variables sont créées avec le type d'objet de driver Donnée automate, par défaut. Ce type d'objet n'est pas compatible avec tous les types de données pour tous les drivers. Si une variable est copiée dans l'espace de travail zenon Logic alors que la propriété Embarquer les symboles est active, vous devez désactiver cette propriété pour modifier le type de données. La variable est alors supprimée dans zenon.

info Info

Message d'erreur "Can not create variable" (Impossible de créer la variable)

Une variable ne peut pas être créée dans l'objet de simulation si le driver ne comporte pas le type d'objet de driver "exception".

Variable de driver - compatible avec ce type de données.

Lors de l'activation de la variable Embarquer les symboles, le message d'erreur "Can not create variable" (Impossible de créer la variable) est affiché.

Types structure

Lors de la création d'une variable avec un type de données structure :

  • Les variables sont créées avec le type d'objet de driver Donnée automate, si possible.
  • Tous les types de drivers d'objet, à l'exception de la variable de driver, sont testés jusqu'à ce qu'un type puisse être utilisé pour tous les éléments.
  • Si aucun type de driver d'objet adéquat n'est disponible :
    • Aucune variable n'est créée pour les variables non-structurelles.
    • Le type d'objet de driver Donnée automate est utilisé pour les variables structure.

Exemple :

Un type de données structure contient des éléments de type UINT et STRING. Une variable est créée pour le driver S7TCP, et la variable Embarquer les symboles est activée.

  • La variable n'est pas créée avec le type Donnée automate, mais avec le type Bloc de données étendu, dans lequel existent tous les éléments structure.
  • Un nouveau type (LINT) est ajouté ; il n'est pas compatible avec le type Ext.. Datablock - bloc de données.
  • Lorsqu'une nouvelle variable est créée, elle est créée sous le type Donnée automate. Seule la première variable complexe peut être activée (UINT). Pour la variable de structure existante, le type d'objet Bloc de données étendu est conservé, et le dernier élément structure (LINT) ne peut pas être activé.

Compilation des fichiers

Si un projet de simulation est compilé dans l'espace de travail zenon Logic, ceci provoque la création d'une variable dans zenon et le fichier programme du Runtime.
Lors de la compilation, un sous-dossier portant le nom du projet de simulation est créé dans Runtime-Folder\RT\FILES\zenon\custom\drivers. Le fichier contenant le code de la simulation est nommé SIMULRT.COD ; il est archivé dans ce dossier.

Le message suivant est affiché dans la fenêtre de sortie :

SIMULRT.COD

S'il est compilé avec le compilateur C, le message suivant est également affiché :

T5APP.DLL

attention Attention

Pour les projets multi-utilisateurs, vous ne devez pas créer de projets de simulation hors ligne. Ils ne peuvent plus être supprimés.


Supprimer un projet

Supprimer un projet

Pour supprimer un projet de simulation :

  1. Cliquez sur le bouton Cliquer ici -> dans la propriété Supprimer du groupe Projet de simulation pour le driver.
  2. Confirmez cette sélection lorsque le programme vous invite à le faire.
  3. Le fichier ZIP contenant les fichiers du projet est supprimé.
  4. L'espace de travail zenon Logic est fermé.

Remarque :

  • Le dossier du Runtime pour le projet de simulation est conservé.
  • La fonction Annuler n'est pas disponible pour cette action.
  • Cliquez sur Editer pour créer un nouveau projet de simulation.
  • Pour les projets multi utilisateurs:
    • L'option de driver Make changes possible (Autoriser les modifications) doit être activée pour que le programme de simulation puisse être supprimé.
    • Le projet n'est pas affiché comme supprimé sur d'autres clients tant qu'il n'a pas été synchronisé.

      Si vous tentez d'ouvrir un projet supprimé avant qu'il n'ait été synchronisé (en cliquant sur Editer), un nouveau projet de simulation est créé.

    • Vous ne pouvez pas annuler la suppression de projets simples via la fonction Annuler les modifications.

attention Attention

Le projet de simulation est immédiatement supprimé de la base de données locale et de la base de données du serveur lors de la suppression. Cette action ne peut pas être annulée !

Remarque : La suppression manuelle du fichier ZIP du driver entraîne également la suppression du projet de simulation. Éléments requis : L'espace de travail zenon Logic associé à ce driver n'est pas ouvert. Nous ne recommandons pas ce mode opératoire !


Développement distribué

Développement distribué

Pour les projets multi-utilisateurs, tous les espaces de travail zenon Logic en cours d'exécution qui forment partie du projet sont fermés dans les cas suivants :

  • La fonction Accepter les modifications est exécutée pour des modules entièrement verrouillées pour d'autres utilisateurs dans la section Autoriser modifications, par exemple pour les variables, les drivers et les types de données.
  • Discard changes (Annuler les modifications) :
    • Les nouveaux projets ne sont pas créés sur le serveur.
    • Les modifications apportées au programme de simulation sont perdues.
    • Les fichiers de driver non présents dans la base de données du serveur sont également perdus dans la base de données locale.
  • Synchroniser :
    Les modifications apportées localement au programme Simulation - Programmée sont perdues.
  • Mettre à jour la version locale :
    Les modifications apportées localement au programme de simulation dans la fonction Simulation - Programmée sont perdues.

attention Attention

L'état du fichier ZIP du projet de simulation ne peut pas être modifié (état multi-utilisateurs Accepter les modifications, Autoriser modifications, Discard Changes (Annuler les modifications)) afin de garantir l'exécution correcte des fonctions Accepter les modifications et Autoriser modifications pour le driver !

Supprimer un projet

Pour les projets multi utilisateurs

  • L'option de driver Make changes possible (Autoriser les modifications) doit être activée pour que le programme de simulation puisse être supprimé.
  • Le projet n'est pas affiché comme supprimé sur d'autres clients tant qu'il n'a pas été synchronisé.
    • Si vous tentez d'ouvrir un projet supprimé avant qu'il n'ait été synchronisé (en cliquant sur Editer), un nouveau projet de simulation est créé.
  • Vous ne pouvez pas annuler la suppression de projets simples via la fonction Annuler les modifications.

attention Attention

Un projet de simulation comportant l'état Autoriser modifications ne peut pas être supprimé dans le mode Hors ligne.

Un projet de simulation créé en mode hors ligne dans un projet multi-utilisateurs ne peut donc plus être supprimé.


Modifier un driver

Modifier un driver

En cas de changement de driver dans zenon, les conditions suivantes sont vraies :

  • Le projet de simulation est conservé.
  • Tous les ports sont toutefois définis sur 0. Pour obtenir des numéros de port fonctionnels, ouvrez le projet dans l'Éditeur. Les nouveaux numéros de port seront alors saisis automatiquement. Les numéros de port peuvent également être attribués manuellement.

attention Attention

Les drivers liés à un projet zenon Logic à l'aide de la solution intégrée ne peuvent pas être échangés.


Export/import XML

Export/import XML

Un projet en mode Simulation - programmée peut être exporté au format XML. Il ne peut en revanche pas être importé en tant que nouveau projet pour un autre driver.

Solution :

  1. Exportez les programmes de zenon Logic.
  2. Importez-les dans le nouveau projet pour le nouveau driver.
  3. Remplacez les variables à l'aide de la fonction Rechercher et remplacer.


Configuration du driver

Manuels -> Variables -> Driver -> Simulation de driver -> Simulation - Programmée -> Configuration du driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Quatre modes sont disponibles lors de la configuration du driver :

  • Matériel
  • Simulation - comptage
  • Simulation statique
  • Simulation - Programmée

Sélectionnez le mode Simulation - Programmée.

Autres sujets abordés dans ce chapitre

État de la variable du driver

Synchronisation cyclique


État de la variable du driver

État de la variable du driver

L'état du Runtime de zenon Logic est affiché dans la variable de driver SimulRTState, à l'offset 60. La variable est numérique et ne peut pas être écrite. La valeur vous informe au sujet de l'état du Runtime :

Bit | Signification | Description
31 | Sans application | Le Runtime n'a pas chargé de programme, le programme a été arrêté ou n'a pas été chargé dans le Runtime.
30 | Sans instance | Aucune instance de Runtime n'a été créée, par exemple parce que la DLL associée au Runtime n'a pas pu être chargée, parce que la quantité de mémoire disponible est insuffisante, parce que la DLL est absente ou parce que la version de la DLL est incorrecte.
18 | Code de programmation disponible | Le code de programmation est disponible avec le code compilé ; la commutation est possible.
17 | Code actif compilé | Le Runtime s'exécute avec le code compilé (dans le cas contraire, avec le code de programmation interprété)
16 | Code compilé disponible | Le code compilé provenant du compilateur C est disponible.
15 | L'application est chargée. | Une application est présente, le Runtime est en cours d'exécution.
14 | Démarrage impossible - gestionnaires manquants | Certaines fonctions "C" sont manquantes.
13 | Points d'interruption actifs installés | Au moins un point d'interruption a été défini par le débogueur.
12 | Le segment CT existe. | L'application a été compilée séparément avec l'option Complex variables in separate segment (Variables complexes dans un segment distinct).
11 | Réservé | (Interne, uniquement destiné au Runtime.)
10 | Demande d'informations système disponible. | (Interne, uniquement destiné au Runtime.)
9 | Figer la production d'événements. | La fonction de liaison ne transmet pas les événements.
8 | Mode cycle unique | (Interne, uniquement destiné au Runtime et au débogueur.)
7 | Réservé | (Interne, uniquement destiné au Runtime.)
6 | Variables verrouillées. | Au moins une variable est verrouillée.
5 | Fonctions trigonométriques en degrés. | Les fonctions trigonométriques sont exprimées en degrés.
4 | Consigner les messages dans la pile. | (Interne, uniquement destiné au Runtime.)
3 | Application arrêtée entre deux programmes. | Le Runtime s'est arrêté entre deux étapes durant le débogage.
2 | Application arrêtée sur un point d'interruption de SFC. | (Interne, uniquement destiné au Runtime.)
1 | Application arrêtée sur une erreur. | Runtime arrêté avec une erreur grave, redémarrage requis.
0 | L'application est en cours d'exécution. | TRUE = L'application opère en mode exécution. FALSE = L'application est en pause en mode "cycle à cycle".

info Info

La variable de driver SimulRTState comportant l'offset 60 affiche l'état du Runtime sur le serveur. Cela s'applique également lorsque la variable est affichée sur le serveur redondant.


Synchronisation cyclique

Synchronisation cyclique

Les simulations s'exécutent en réseau sur le serveur et le serveur redondant, chaque serveur étant indépendant de l'autre. Lors du démarrage du serveur redondant, une synchronisation est effectuée avec le serveur ; toutefois :

  • La première synchronisation est retardée conformément au délai d'exécution du paquet.
  • De petites différences dans l'exécution aboutissent à un écart plus important.

L'état des variables simulées devient alors différent. Pour minimiser ces différences, utilisez la fonction Transférer l'image de simulation du driver vers le serveur redondant pour synchroniser l'image de la simulation.

  • Créez une nouvelle fonction.
  • Sélectionnez Transférer l'image de simulation du driver vers le serveur redondant.

  • La boîte de dialogue de sélection de driver s'affiche à l'écran.

  • Dans la liste, tous les drivers liés au procédé sont disponibles dans la liste (à l'exception du simulateur) ; cliquez sur l'en-tête de la colonne pour modifier l'ordre de tri.
  • Sélectionnez le driver devant être synchronisé.
  • Chaque fois qu'une fonction est exécutée sur le serveur redondant, une image est demandée au serveur pour le driver sélectionné.

Les différences dans l'état actuel de la simulation peuvent être minimisées par l'activation cyclique. Adaptez la grille de l'exécution au volume de données à synchroniser, car cette tâche exerce une charge sur le réseau et sur l'ordinateur.

La Exécution de la fonction est fixe et définie sur Redondant ; elle ne peut pas être modifiée. Ceci se produit uniquement si :

  • L'ordinateur est le serveur redondant.
  • Le serveur est en ligne.
  • Le projet est un projet en réseau.
  • Les drivers ont été sélectionnés aux fins de la synchronisation.

Pour modifier la sélection des drivers

  • Dans les propriétés du driver, cliquez sur le groupe Général de la propriété Paramètre.
  • La boîte de dialogue de sélection du driver s'affiche.


Espace de travail zenon Logic

Manuels -> Variables -> Driver -> Simulation de driver -> Simulation - Programmée -> Espace de travail zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La programmation de la simulation programmée se déroule dans l'espace de travail zenon Logic, qui opère en collaboration étroite avec l'Éditeur zenon. Pour la simulation (contrairement à la solution intégrée), seules les variables d'un driver sont échangées entre les Éditeurs.

Définition des variables devant être échangées :

Lors du démarrage de l'espace de travail zenon Logic, toutes les variables de driver qui ne sont pas encore présentes dans zenon Logic sont créées sous forme de variables globales. L'option Embarquer les symboles est automatiquement activée pour celles-ci.

Visibilité

Si une nouvelle variable est définie dans l'espace de travail dans la zone Global ou Retain, elle est uniquement visible dans zenon Logic. Pour la rendre visible dans zenon, l'option Embarquer les symboles doit être activée. A partir de cet instant, toutes les variables sont actualisées par les deux Éditeurs.

Si l'option Embarquer les symboles est désactivée, la variable est supprimée dans l'Éditeur zenon. Cette action permet de définir des variables Global ou Retain dans zenon Logic ; celles-ci ne sont pas visibles pour zenon.

Le programme tente d'attribuer une nouvelle variable créée par l'espace de travail zenon Logic dans zenon à la zone SPSMERKER. Si le driver zenon ne prend pas en charge le type de données configuré, une recherche est effectuée afin de déterminer la première zone de données prenant ce type de données en charge. Si aucune zone n'est trouvée, la variable ne peut pas être créée.

Une variable est uniquement verrouillée dans le cadre d'un projet multi-utilisateurs, si l'état Permettre les modifications n'a pas été défini.

Paramètres du projet

Certains paramètres sous Project -> Project parameters... (Paramètres du projet... )-> Further options (Autres options) -> Extended (Etendues) dans zenon Logic influencent la fonctionnalité de la simulation.

Paramètres étendus

Description

Runtime : mode d'exécution

Recommandation :

Mode : déclenché par événement

Temps de cycle : Un quart à un tiers du délai d'actualisation du driver.
Les modifications de valeurs fréquentes des variables simulées entraînent une augmentation de la charge exercée sur l'ordinateur.

Compilateur/options : Embed symbols of all variables (Embarquer les symboles de toutes les variables)

Recommandation : désactivé.
Activé : les données d'une variable sont échangées, car les noms des symboles sont attribués dans le Runtime.

Toutefois, les modifications apportées à la configuration des variables ne sont pas actualisées entre zenon et zenon Logic. Il n'est plus possible d'effectuer des modifications en ligne.

Compilateur/options : Retain capitalization of symbols (Conserver la capitalisation des symboles)

Sans incidence : les noms de variables sont toujours convertis en capitales dans le Runtime.

Compilateur/options : Create status bits for variables with a profile (Créer des bits d'état pour les variables comportant un profil)

Active : l'état des variables est simulé ou déclenche une réaction dans le programme de simulation.

"C" compiler (Compilateur C)

Le code natif est pris en charge.

Nom de la DLL devant être contenue dans le code compilé : t5app.dll.


Runtime

Manuels -> Variables -> Driver -> Simulation de driver -> Simulation - Programmée -> Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Fonctionnalité

Fichiers Runtime

Échange de données

Stockage de données

Redondance

État

Démarrage/Arrêt

Commandes driver

Liaison de variables

Date / Heure


Fonctionnalité

Fonctionnalité

Le Runtime zenon Logic offre les fonctions suivantes :

  • Transfert de fichier
  • Type de données :
    • BOOL
    • BYTE
    • DINT
    • DWORD
    • INT
    • LINT
    • LREAL
    • REAL
    • SINT
    • STRING
    • TIME
    • UDINT
    • UINT
    • USINT
    • WORD
  • Tableaux de zenon (reportez-vous également à la section Tableaux et simulation)
  • Horodatage
  • Enregistrement numérique de valeurs
  • Blocs fonctionnels avec liaisons dynamiques, mémorisés dans t5block*.dll
  • Redémarrage à chaud
  • Journalisation :
    • Journalisation des messages provenant du programme (printf)
    • Messages d'erreur dans le Runtime
    • Tous transmis à l'espace de travail et au serveur de diagnostic
  • Code machine : code C natif compilé avec le post-compilateur (indisponible sous Windows CE)
  • Modification en ligne
  • Langages de programmation : IL, AS, FDB, LD, ST
  • Données Retain (données rémanentes)
  • Blocs fonctionnels et fonctions spéciales :
    • Numérotation consécutive des données
    • Attribution dynamique de mémoire
    • Recettes embarquées
    • Listes de variables embarquées
    • Gestion de fichiers
    • Fichiers
    • Mathématique
    • Aléatoires
    • Signaux
    • Tables de chaînes
    • Trigonométrie
    • Heure
  • Communications événementielles
    • Changement de valeur en cas d'événement
    • 16 connexions
    • Hystérésis
  • UDP et TCP/IP pour les langages IEC
  • Verrouillage de variables

Autres sujets abordés dans ce chapitre

Tableaux et simulation


Tableaux et simulation

Tableaux et simulation

Pour simuler des tableaux multi-dimensionnels dans la simulation de driver, vous devez activer la propriété Enregistrer les variables complexes dans leur propre segment du module Workbench de zenon Logic.

Les tableaux commencent par l'indice 1

Si des tableaux comportant l'indice de départ 1 existent dans une simulation, ces tableaux sont générés avec plusieurs indices dans le module Workbench de zenon Logic.

Example Exemple

Dans zenon, un tableau comporte les indices 1 à 4. Ce tableau comporte les indices 0 à 4 dans le module Workbench de zenon Logic.

Ceci garantit que les mêmes indices sont utilisés dans zenon et zenon Logic. L'indice 0 n'est pas transféré au driver.

Si vous modifiez le tableau dans le module Workbench de zenon Logic, vous devez tenir compte de cet indice supplémentaire.


Fichiers Runtime

Fichiers Runtime

Lors de la création des fichiers de Runtime, un sous-dossier portant le nom du projet de simulation est créé dans l'élément Dossier runtime du projet, dans le répertoire \RT\FILES\zenon\custom\drivers. Le fichier contenant le code de la simulation est nommé simulrt.cod ; il est archivé dans ce dossier.

Une fois la compilation effectuée dans le Workbench et le transfert vers le dossier de Runtime effectué, le message suivant s'affiche dans la fenêtre de sortie de l'Éditeur :

SIMULRT.COD

S'il est compilé avec le compilateur C, le message suivant est également affiché :

T5APP.DLL

Transport à distance

Les fichiers de Runtime destinés à la simulation sont générés sous la forme d'un sous-dossier des fichiers du driver. Pour le module Remote Transport, le sous-dossier et tous les informations qu'il contient sont transférés vers l'ordinateur cible.


Échange de données

Échange de données

L'échange de données entre le Runtime zenon Logic et le driver démarre lors du deuxième cycle du Runtime zenon Logic. Par conséquent, la première exécution est disponible aux fins de l'initialisation de toutes les variables dans le Runtime.

Les données sont uniquement échangées si :

  • La variable est demandée et...
    • N'a pas encore reçu une valeur.
    • Ne comporte pas l'état Désactivé (OFF/_VSB_N_UPD) ou Valeur de remplacement (ALT_VAL/_VSB_AVALUE) dans le driver
    • Est encore demandée par le driver.
    • A changé de valeur ou d'état.

L'échange de données avec le driver est exécuté de manière asynchrone durant le cycle du Runtime. Le driver analyse les changements de valeurs à chaque cycle de mise à jour. Toutes les valeurs modifiées - à l'exception de l'état Désactivé (OFF/_VSB_N_UPD) ou de la valeur de remplacement (ALT_VAL/_VSB_AVALUE) - sont entrées dans la liste de variables devant être mises à jour dans le driver et transmises au Runtime.

Fonction Transférer l'image de simulation du driver au serveur redondant

Cette fonction est uniquement exécutée sur le serveur redondant (pour plus d'informations concernant la configuration, se reporter au chapitre Comparaison cyclique). Les données sont obtenues de manière synchrone depuis le driver situé sur le serveur compilant l'image. Le driver dispose d'un délai de 5 secondes à cette fin. Parce que les donnés de l'image sont créées dans le même fil que celui dans lequel s'exécute la simulation, il est nécessaire de veiller à ce que la simulation soit traitée en l'espace de 5 secondes. En cas de dépassement de ce délai, aucune image n'est transférée pour ce driver.

Simulation de la valeur

Les changements de valeur ne sont pas transférés immédiatement, mais enregistrés dans une mémoire tampon. La mémoire tampon peut enregistrer 8192 changements de valeur, ou cinq fois le nombre de variables, selon la valeur la plus élevée. Le délai de transfert résultant du cycle du driver peut atteindre 100 ms. Si la valeur change encore alors qu'elle attend d'être transférée, toutes les valeurs qui n'ont pas encore été transférées sont transmises au Runtime et la nouvelle valeur est alors consignée. Ceci peut entraîner une augmentation de la charge exercée sur l'ordinateur et le réseau, mais garantit que toutes les valeurs sont transférées dans le Runtime.

Commande d'écriture de driver

Si la fonction Simulation - Programmée est configurée et active, les commandes d'écriture sur le serveur redondant sont transmises au Runtime.

Les opérations d'écriture sont exécutées de manière asynchrone par le driver dans le Runtime. Les échanges de données sont effectués par le biais d'une mémoire tampon. La mémoire tampon peut enregistrer 8192 changements de valeur, ou cinq fois le nombre de variables, selon la valeur la plus élevée.

Les commandes d'écriture sont examinées après les changements de valeur dans le Runtime. Si une commande d'écriture ne peut pas être exécutée correctement, le message d'erreur Write queue full! Write command for <DP-Name> lost! (File d'attente d'écriture pleine ! La commande d'écriture de Nom DP a été perdue !) est affiché

Si les bits d'état sont activés, le paramètre Écriture réussie sera affiché si la valeur provenant du driver a été écrite dans la valeur de la variable. Le programme du Runtime doit à nouveau supprimer cet état après avoir traité la commande d'écriture. Un bit d'état déjà actif ne provoque aucun délai en cas de nouvelle écriture dans le driver. Les commandes d'écriture sont également exécutées si le programme de Runtime a été arrêté par un point d'interruption.

Remarque : toutes les commandes d'écriture provenant du driver ne sont pas visibles dans le Runtime. Si plusieurs commandes d'écriture sont présentes dans la mémoire tampon, seule la dernière est visible dans le Runtime.

Switch off variables / Switch to substitute value (Désactiver les variables / Commuter vers valeur de remplacement)

Si la variable est désactivée ou basculée vers une valeur de remplacement, le Runtime ne le reconnaît pas. Les modifications des valeurs qui sont également exécutées par le Runtime ne sont pas attribuées aux variables dans le driver. Si les variables sont à nouveau activées ou basculées vers une valeur événementielle, la valeur actuelle est à nouveau transférée depuis le Runtime vers le driver. Lors de la désactivation de la valeur événementielle, le bit d'état OFF est défini. Lorsque vous revenez à la valeur spontanée, le bit OFF est réinitialisé.


Stockage de données

Stockage de données

Donnés Retain

Les données Retain sont conservées dans le fichier SimulRt<TreiberID>.ret. Un fichier comme celui-ci est créé pour chaque simulation, à condition que les variables Retain soient présentes. Le fichier est pris en compte lorsqu'une comparaison est réalisée sur le réseau.

Driver rémanent

Le paramètre Simulation - programmée au démarrage du driver n'est pas un critère de restauration de l'image de variable rémanente.


Redondance

Redondance

Démarrage sur le serveur redondant

Si le driver s'exécute déjà sur une base redondante, l'image de la simulation doit déjà être disponible. Dans ce cas, la simulation est démarrée "à chaud" avec cette image. Si aucune image n'est présente, une reprise intermédiaire est exécutée.

Fonction Transférer l'image de simulation du driver au serveur redondant

Cette fonction est uniquement exécutée sur le serveur redondant (pour plus d'informations concernant la configuration, se reporter au chapitre Comparaison cyclique). Les données sont obtenues de manière synchrone depuis le driver situé sur le serveur compilant l'image. Le driver dispose d'un délai de 5 secondes à cette fin. Parce que les donnés de l'image sont créées dans le même fil que celui dans lequel s'exécute la simulation, il est nécessaire de veiller à ce que la simulation soit traitée en l'espace de 5 secondes. En cas de dépassement de ce délai, aucune image n'est transférée pour ce driver.

Comparaison

Conjointement aux fichiers programme de la simulation, les éléments suivants sont également comparés :

  • Données Retain (*.ret)
  • Tous les fichiers *.simul
    Cette extension de fichier est créée par le programme de simulation pour les fichiers spécifiques à la simulation, qui sont archivés dans le dossier avec une description de l'ordinateur sous l'élément Dossier runtime.


État

État

Simulation d'état

Pour la simulation d'état, dans zenon Logic, l'option Projet -> Project parameters (Paramètres du projet) -> Extended (Etendus) -> Compiler (Compilateur) -> Options -> Create status bits for variables with a profile (Créer des bits d'état pour les variables comportant un profil) doit être active. Si l'état d'une variable est modifié, ceci déclenche la transmission d'une variable au driver.

Les modifications des états suivants ne déclenchent pas de modification de valeur au niveau du driver, et ne sont également pas dérivées de la simulation :

  • Temps réel externe (T_EXTERN/_VSB_RT_E)
  • Temps réel interne (T_INTERN/_VSB_RT_I)
  • Heure standard (T_STD/_VSB_WINTER)
  • Ecriture reconnue (WR_ACK/_VSB_WR_ACK)
  • Ecriture réussie (WR_SUC/_VSB_WR_SUC)
  • Etat normal (NORM/_VSB_NORM)
  • Ecart par rapport à l'état normal (N_NORM/_VSB_ABNORM)
  • Sélection sur le réseau (NET_SEL/_VSB_SELEC)
  • Dépassement du délai d'attente du Runtime (TIMEOUT/_VSB_RTE)
  • En cours d'utilisation (PROGRESS/_VSB_DIREC)
  • Désactivé (OFF/_VSB_N_UPD)
  • Valeur de substitution (ALT_VAL/_VSB_AVALUE)

info Info

Le bit d'état Écriture réussie (WR_SUC/_VSB_WR_SUC)) est disponible dans le programme de Runtime, et peut être rétabli pour afficher une écriture réussie.

Toutefois, le rétablissement de l'état ne déclenche pas le transfert vers le Runtime de <CD_PRODCUTNAME>. Seuls les changements de valeurs sont transférés du driver vers le Runtime.

Bits d'état traités différemment

Les bits d'état suivants s'annulent réciproquement :

Bit

Description

17 : Evénementiel
(SPONT/_VSB_SPONT)

L'état SPONTAN est défini. Cet état est défini si la fonction de gestion de l'état est désactivée ou si aucun état n'a été défini. L'état GI + INVALID est supprimé.

18 : Non valide
(INVALID/_VSB_I_BIT)

L'état INVALID est défini. L'état SPONTAN + GI est supprimé.

16: Interrogation générale
(GI/_VSB_GR)

L'état Requête générale est défini. L'état SPONTAN + INVALID est supprimé.

8: Sélection sur le réseau
(NET_SEL/_VSB_SELEC)

Si ce bit d'état est actif (activation/désactivation de la fonction SBO), les bits d'état suivants sont acceptés avec 0, puis transmis en tant que 0 au driver afin d'identifier une modification :

  • Sélection sur le réseau (NET_SEL)
  • Cause de transmission (COTx)
  • Sélection (SE_870)
  • N_CONF (P/N-BIT)
  • Bit de test (TEST)
  • Ecriture réussie (WR_SUC)

Fonction Select Before Operate (SBO)

La simulation d'état doit être disponible dans le programme du Runtime pour qu'une réaction ait lieu à l'élément Select Before Operate. La procédure Select Before Operate est définie dans le Runtime.

Activation

Si une commande de sélection de procédure SBO est transmise au driver, cela déclenche l'écriture d'une valeur avec l'état Sélection sur le réseau (NET_SEL) + cause de la transmission (COT_act).

Une procédure SBO correspondant doit être mise en œuvre et doit démarrer dans le Runtime.

Le bit d'état Sélect sur le réseau (NET_SEL) doit être rétabli dans le programme de Runtime.

Désactivation

La désactivation déclenche l'écriture d'une valeur avec l'état Sélection sur le réseau (NET_SEL) + Cause de transmission (COT_deact).

La procédure SBO doit être terminée de manière correspondante dans le Runtime.

Le bit d'état Sélect sur le réseau (NET_SEL) doit être rétabli dans le programme de Runtime.


Démarrage/Arrêt

Démarrage/Arrêt

Démarrage du driver

La mise à jour des valeurs démarre uniquement au niveau du serveur redondant si le driver a reçu l'image de procédé du serveur associé. L'image doit être reçue dans l'intervalle de temps défini pour le module ; dans le cas contraire, le driver démarrage sans image. Si le serveur redondant est mis à niveau comme serveur principal durant le délai d'attente, la période d'attente se termine. Les drivers qui démarrent dans un projet de réseau ou sans réseau ne comportent pas de délai d'attente. Ce comportement s'applique à la fois aux modes simulation et matériel.

Démarrage du Runtime

Si le driver démarre le mode Simulation - Programmée, la première étape consiste en le chargement de la DLL avec le Runtime de la simulation. Ensuite, le Runtime est paramétré et le programme du Runtime démarre, à condition d'avoir été correctement chargé.

Si une image du Runtime est présente, le Runtime est démarré à chaud avec celle-ci. Dans le cas contraire, une reprise intermédiaire est effectuée. Si celle-ci ne peut être exécutée, une tentative de démarrage à froid du Runtime est exécutée. En l'absence de programme valide, le Runtime démarre à l'arrêt. L'état de toutes les variables est défini sur INVALID.

Le programme de simulation s'exécute dans son propre fil, et est donc complètement indépendant du cycle du driver.

info Info

Variables de retenue

Les données de retenue contiennent uniquement la valeur des variables de zenon Logic, et non leur état. Cela signifie, pour le démarrage :

  • Reprise graduelle : l'état défini pour une variable est restauré, qu'il s'agisse ou non d'une variable de retenue.
  • Démarrage à froid avec variables de retenue : seule la valeur de la variable de retenue dans zenon Logic est restaurée, et non son état.

Arrêter le Runtime

Si le Runtime est arrêté, l'état INVALID est défini pour toutes les variables. Les variables qui sont demandées lors de l'arrêt du Runtime comportent l'état INVALID lors de l'initialisation. Le Runtime sécurise les données lors de la reprise intermédiaire et de la modification en ligne :

  • SIMULRT.HOT : contient les données destinées au redémarrage à chaud.
  • SIMULRT.UPD : contient les données destinées à la modification en ligne.

Ces deux fichiers sont créés dans le dossier de programme du Runtime. Le Runtime doit disposer d'une autorisation d'écriture dans ce dossier.

Rechargement

  • Recompilation du projet de simulation :
    Le driver correspondant est chargé à nouveau.
  • Modification du module de délai d'attente :
    Non reconnu comme une modification par le Runtime, ne provoque pas un nouveau chargement du driver.

Le déploiement standard dans le kit du driver déclenche un redémarrage à chaud lors de l'actualisation du projet de simulation. Si cela n'est pas possible (par exemple, parce que le programme est différent), un démarrage à froid est effectué avec les données Retain.

Suppression du Runtime

Si le Runtime est en cours d'exécution, celui-ci est arrêté. Avant la suppression du Runtime, toutes les mises à jour de valeurs en attente sont transmises au driver. Alors, seulement, le Runtime est déverrouillé et SimulRuntime.dll est supprimé du PC.


Commandes driver

Commandes driver

Les commandes de driver sont utilisées pour influencer les drivers par le biais de zenon (démarrage et arrêt, par exemple).
Le développement est mis en œuvre à l'aide de la fonction Commandes de driver.

Démarrage/Arrêt driver

Si le driver est arrêté dans le mode Simulation - Programmée, cela entraîne la suppression du Runtime de la mémoire. Toutes les variables reçoivent l'état INVALID. Lors du redémarrage du driver, la simulation est chargée à nouveau et le Runtime est démarré.

Commutation du driver matériel/de simulation

Lors du basculement entre les modes Matériel et Simulation, le driver se comporte comme suit :

  1. Si le driver a été configuré en mode Matériel dans l'Éditeur :
    • le driver est configuré en mode Simulation statique après l'exécution de la fonction Commande de driver avec le paramètre Driver en mode simulation.
  2. Si le driver a été configuré dans l'Éditeur pour l'un des modes de simulation (statique, comptage, programmée) :
    • le driver est configuré en mode matériel et communiqué avec l'élément de contrôle après l'exécution de la fonction Commande de driver avec le paramètre Driver en mode réel.
    • Le driver revient alors au mode simulation configuré après l'exécution de la fonction Commande de driver avec le paramètre Driver en mode simulation.


Liaison de variables

Liaison de variables

Le driver zenon est attribué aux variables zenon Logic ; les noms sont convertis en lettres majuscules. Si le Runtime zenon demande une variable au driver, cette demande est transmise à la simulation. Si aucune simulation n'est chargée, la variable reçoit l'état Désactivé ( OFF/VSB_N_UPD) lorsque le driver est arrêté. Dans le cas contraire, elle reçoit l'état Non valide (INVALID/_VSB_I_BIT). Les variables du type d'objet variable de driver ne sont jamais demandés par la simulation.


Date / Heure

Date / Heure

Pour utiliser la fonction d'horodatage, dans zenon Logic, l'option Projet -> Paramètres du projet -> Paramètres étendus -> Compilateur -> Options -> Créer des bits d'état pour les variables comportant un profil doit être active.

Si la date est définie pour une variable dans le Runtime, la valeur de la date et de l'heure est utilisée comme information d'horodatage. Si la date ou l'heure d'une variable change durant le dernier cycle, ceci déclenche toujours le transfert de la valeur au driver. Ceci est également vrai si ni la valeur, ni l'état n'ont changé.

La plupart des drivers transfèrent uniquement de nouvelles informations d'horodatage vers le Runtime en cas de modification simultanée de la valeur et/ou de l'état. Une exception est, par exemple, le driver IEC870, qui transfère également de nouvelles informations d'horodatage depuis le matériel (ou Simulation - Programmée) vers le Runtime, en conservant une valeur et un état identiques.

info Info

Vous devez veiller à ce que la date et l'heure augmentent toujours. Si ce n'est pas le cas, des problèmes peuvent se produire lors de l'archivage. La date doit être une valeur supérieure ou égale à 0.

Les variables horodatées par le programme du Runtime reçoivent l'état Temps réel externe (T_EXTERN/_VSB_RT_E).

Toutes les variables devant être transférées vers le driver et qui n'ont pas été horodatées par le Runtime reçoivent des informations d'horodatage communes durant le cycle. Ceci permet de garantir que l'heure correspond bien à celle de la modification. Ces drivers reçoivent l'état Temps réel interne (T_INTERN/_VSB_RT_I).

Date & Heure

Les considérations suivantes s'appliquent à toutes les informations de date et d'heure :

  • les heures indiquées sont au format UTC.
  • Toutes les heures doivent être comprises entre le 2 janvier 1970 et 2038.
  • Les dates sont converties en chaîne au format AAAA/MM/JJ.
  • L'heure est convertie au format HH:MM:SS.


Dispositions applicables aux variables dans les projets de simulation

Manuels -> Variables -> Driver -> Simulation de driver -> Simulation - Programmée -> Dispositions applicables aux variables dans les projets de simulation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les conditions suivantes s'appliquent à la création et la modification de variables dans les projets de simulation :

  1. zenon Logic

    Si les variables sont créées pour un projet de simulation dans l'espace de travail zenon Logic, elles ne disposent pas d'une adresse valide pour les communications. Si les communications basculent vers le matériel, elles peuvent être interrompues lorsque les nouvelles variables sont utilisées dans des synoptiques sans ajustement de l'adresse.

  2. Renommer

    Si une variable est renommée dans un projet de simulation, le nom de la variable est également modifié de manière correspondante dans zenon. Ainsi, par exemple, vous devez également ajuster les noms des variables utilisées dans un projet VBA dans le code VBA.

  3. Solutions intégrées

    Les variables des solutions intégrées telles que zenon Logic, IEC870 ou IEC850 ne doivent pas être renommées dans le projet de simulation. Dans ce cas, les variables perdent les informations relatives au projet.
    Par exemple : si vous renommez Project0/Global/NewVar en myNeVariablenwVar dans le projet de simulation, la variable devient myNewVar dans zenon. Une fois la variable renommée, les communications peuvent être établies avec le Runtime zenon Logic.

  4. Communications fondées sur les noms de variable

    Les variables d'un driver communiquant sur la base des noms de variables ne doivent pas être renommées dans le projet de simulation.

  5. Suppression ou importation de variables

    Si une variable est supprimée ou importée pendant que la fonction Modification en ligne est activée dans zenon Logic, toutes les variables sont supprimées et insérées à nouveau dans zenon Logic.

  6. Variables avec symbole "Embarqué" actif

    Les variables qui existent dans un programme, et dont le symbole "Embarqué" est actif, ne sont pas disponibles via l'interface de mémoire partagée dans zenon. Si une variable comportant un symbole "Embarqué" actif est déplacée de la zone globale vers un programme, la variable est supprimée dans zenon.


Messages d'erreur

Manuels -> Variables -> Driver -> Simulation de driver -> Simulation - Programmée -> Messages d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Messages d'erreur dans l'éditeur zenon :

Message d'erreur

Cause et solution

The chosen name was already used for another driver or contains invalid characters! Please select another name. (Le nom choisi est déjà utilisé pour un autre driver ou contient des caractères non valides ! Veuillez sélectionner un autre nom.)

Le nouveau nom du projet de simulation est déjà utilisé dans le projet ou n'est pas valide.

  • Spécifiez un nom valide

The simulation project from the <File name>/<Description> driver has not been compiled and cannot be supported! (Le projet de simultion provenant du driver <Nom de fichier>/<Description> n'a pas été compilé et ne peut pas être pris en charge !) Please compile the project in Workbench (Veuillez compiler le projet dans l'espace de travail).

Un projet de simulation est disponible pour le driver dans l'espace de travail. Toutefois, il n'a pas été compilé.

  • Démarrez l'espace de travail zenon Logic avec le projet de simulation de ce driver.
  • Compiler le projet

Conseil : Peu importe que les paramètres de driver soient définis sur Simulation - Programmée dans les paramètres du driver.

Write queue full! Write command for <Name Variable> lost! (File d'attente d'écriture pleine ! La commande d'écriture de <Nom de la variable> a été perdue !)

Indique la perte d'une commande d'écriture.


Modifier un driver

Manuels -> Variables -> Driver -> Modifier un driver

Les drivers peuvent être modifiés dans zenon. Les variables restent accessibles et fonctionnelles après que le driver ait été modifié, à condition qu'elles soient présentes dans le driver qui a été modifié. Il n'est possible d'échanger la définition de drivers que lorsque les drivers ont été déclarés comme étant compatibles.

attention Attention

Les drivers liés à un projet zenon Logic à l'aide de la solution intégrée ne peuvent pas être échangés.

Pour modifier un driver existant :

  1. Sélectionnez le driver à modifier dans la vue de détail
  2. Ouvrez le menu contextuel en cliquant avec le bouton droit
  3. Sélectionnez la commande Changer driver
  4. La boîte de dialogue de création de drivers s'affiche
  5. Sélectionnez le nouveau driver

Les paramètres nécessaires du driver (ou des drivers) - interface, adresse d'interruption etc. - sont définis lors de la configuration des variables.

Example Exemple

Le concept d'adressage de zenon n'est pas disponible lors de la création d'un projet. Seules les variables devant être utilisées ont été définies.

Pour autoriser le traitement en parallèle d'un projet, le driver des variables de simulateur est inclus en tant que driver. La génération des synoptiques avec les liens dynamiques et le test en ligne (spécification valeur prescrite, etc.) peuvent être effectués.

Une fois le concept d'adressage final et les liens vers zenon établis, le driver est modifié et peut alors être testé et utilisé dans les conditions du projet.

Un changement de driver ne peut être réalisé qu'à condition que le driver utilisé au cours de la configuration et le driver utilisé au final possèdent les mêmes propriétés (types de variables).


Supprimer un driver

Manuels -> Variables -> Driver -> Supprimer un driver

Pour supprimer un driver, sélectionnez le driver dans la vue de détail, via le menu contextuel, ou utilisez la commande Supprimer de la barre d'outils. Le processus de suppression doit être confirmé après une demande de confirmation.

Attention : Toutes les variables liées à ce driver sont aussi détruites.


Variables des drivers

Manuels -> Variables -> Driver -> Variables des drivers

Le kit de drivers déploie un certain nombre de variables de driver. Celles-ci sont réparties selon les catégories suivantes :

  • Information
  • Configuration
  • Statistiques et
  • Messages d'erreur

Les définitions des variables définies dans le "driver kit" sont disponibles dans le fichier d'import DRVVAR.DBF (sur le CD dans le dossier : Lecteur_CD:/Predefined/Variables) et peut être importé depuis cet emplacement.

Remarque : Les noms de variable doivent être uniques dans zenon. Si des variables de driver doivent être à nouveau importées depuis drvvar.dbf, les variables qui ont été préalablement importées doivent être renommées.

info Info

Tous les drivers ne sont pas compatibles avec toutes les variantes de driver.

Par exemple :

  • les variables concernant les informations du modem sont uniquement prises en charge par les drivers compatibles avec un modem.
  • Les variables de driver relatives au cycle d'interrogation sont uniquement compatibles avec les drivers d'interrogation.
  • Les informations associées à la connexion, telles que les données ErrorMSG, concernent uniquement les drivers éditant une connexion à la fois.

Information

Nom pour l'importation | Type | Offset | Description
Version principale | UINT | 0 | Numéro de version principale du driver
Sous-Version | UINT | 1 | Numéro de version secondaire du driver
Version build | UINT | 29 | Numéro de version du driver.
RTMajor | UINT | 49 | Numéro de version de zenon
RTMinor | UINT | 50 | Numéro de sous-version de zenon
RTSp | UINT | 51 | Numéro de service pack zenon
RTBuild | UINT | 52 | Numéro de build zenon
LineStateIdle | BOOL | 24,0 | TRUE, si la connexion modem est "idle"
LineStateOffering | BOOL | 24,1 | TRUE si un appel est reçu
LineStateAccepted | BOOL | 24,2 | L'appel est accepté
LineStateDialtone | BOOL | 24,3 | La tonalité est reconnue
LineStateDialing | BOOL | 24,4 | La numérotation est active
LineStateRingBack | BOOL | 24,5 | La connexion est en train d'être établie
LineStateBusy | BOOL | 24,6 | La ligne est occupée
LineStateSpecialInfo | BOOL | 24,7 | État spécial d'information reçue
LineStateConnected | BOOL | 24,8 | Connexion établie
LineStateProceeding | BOOL | 24,9 | Numérotation terminée
LineStateOnHold | BOOL | 12:00 AM | Connexion en attente
LineStateConferenced | BOOL | 12:00 AM | Connexion en mode de conférence.
LineStateOnHoldPendConf | BOOL | 12:00 AM | Connexion en attente en mode conférence
LineStateOnHoldPendTransfer | BOOL | 24,13 | Connexion en attente pour le transfert
LineStateDisconnected | BOOL | 24,14 | Connexion arrêtée.
LineStateUnknow | BOOL | 24,15 | État de connexion inconnu
ModemStatus | UDINT | 24 | État courant du modem
TreiberStop | BOOL | 28 | Driver arrêté Pour l'arrêt du driver, la variable possède la valeur TRUE et un bit OFF. Après le démarrage du driver, la variable possède la valeur FALSE et aucun bit OFF.
SimulRTState | UDINT | 60 | Renvoie l'état du Runtime aux fins de la simulation de driver.

Configuration

Nom pour l'importation | Type | Offset | Description
ReconnectInRead | BOOL | 27 | Si TRUE, me modem se reconnecte automatiquement pour la lecture
ApplyCom | BOOL | 36 | Applique les modifications dans le paramétrage de l'interface série L'écriture de cette variable entraîne immédiatement l'appel de la méthode SrvDrvVarApplyCom (qui ne possède actuellement aucune fonction ultérieure).
ApplyModem | BOOL | 37 | Applique les modifications dans le paramétrage du modem Écrire cette variable appelle immédiatement la méthode SrvDrvVarApplyModem. Ceci ferme la connexion actuelle et ouvre une nouvelle connexion, conformément aux paramètres PhoneNumberSet et ModemHwAdrSet.
PhoneNumberSet | STRING | 38 | Numéro de téléphone qui doit être utilisé
ModemHwAdrSet | DINT | 39 | Adresse physique pour le numéro de téléphone
GlobalUpdate | UDINT | 3 | Délai de mise à jour en millisecondes (ms).
BGlobalUpdaten | BOOL | 4 | TRUE si la période de rafraichissement est globale
TreiberSimul | BOOL | 5 | TRUE si le driver est en mode simulation
TreiberProzab | BOOL | 6 | TRUE si la liste de variables à mettre à jour doit être gardée en mémoire
ModemActive | BOOL | 7 | TRUE si le modem est actif pour le driver
Device | STRING | 8 | Nom de l'interface série ou nom du modem
ComPort | UINT | 9 | Numéro de l'interface série
Débit de données | UDINT | 10 | Vitesse de l'interface série.
Parity | SINT | 11 | Parité de l'interface série
ByteSize | USINT | 14 | Nombre de bits par caractère pour l'interface série Valeur = 0 si le driver ne peut pas établir une connexion série.
StopBit | USINT | 13 | Nombre de bits d'arrêt de l'interface série.
Autoconnect | BOOL | 16 | TRUE si la connexion modem doit être établie de façon automatique pour la lecture et l'écriture
PhoneNumber | STRING | 17 | Numéro de téléphone courant
ModemHwAdr | DINT | 21 | Adresse physique du numéro de téléphone courant
RxIdleTime | UINT | 18 | Le modem est considéré comme déconnecté s'il n'y a pas de transfert de données pendant cette période de temps (en secondes) (s)
WriteTimeout | UDINT | 19 | Durée d'écriture maximum pour une connexion par modem, en millisecondes (ms).
RingCountSet | UDINT | 20 | Nombre de sonneries avant qu'un appel soit accepté
ReCallIdleTime | UINT | 53 | Délai d'attente entre les appels en secondes (s).
ConnectTimeout | UINT | 54 | Délai d'établissement d'une connexion, en secondes (s).

Statistiques

Nom pour l'importation | Type | Offset | Description
MaxWriteTime | UDINT | 31 | La durée maximale nécessaire à l'écriture en millisecondes (ms).
MinWriteTime | UDINT | 32 | La durée minimale nécessaire à l'écriture en millisecondes (ms).
MaxBlkReadTime | UDINT | 40 | La durée maximale de la lecture d'un bloc de données, en millisecondes (ms).
MinBlkReadTime | UDINT | 41 | La durée minimale de la lecture d'un bloc de données, en millisecondes (ms).
WriteErrorCount | UDINT | 33 | Nombre d'erreurs d'écriture
ReadSucceedCount | UDINT | 35 | Nombre d'essais de lecture réussis
MaxCycleTime | UDINT | 22 | La durée maximale de lecture de toutes les données requises, en millisecondes (ms).
MinCycleTime | UDINT | 23 | La durée minimale de lecture de toutes les données requises, en millisecondes (ms).
WriteCount | UDINT | 26 | Nombre d'essais d'écriture
ReadErrorCount | UDINT | 34 | Nombre d'erreurs de lecture
MaxUpdateTimeNormal | UDINT | 56 | Durée (en millisecondes, ms) depuis la dernière actualisation du groupe de priorité Normale.
MaxUpdateTimeHigher | UDINT | 57 | Durée (en millisecondes, ms) depuis la dernière actualisation du groupe de priorité Supérieure.
MaxUpdateTimeHigh | UDINT | 58 | Durée (en millisecondes, ms) depuis la dernière actualisation du groupe de priorité Élevée.
MaxUpdateTimeHighest | UDINT | 59 | Durée (en millisecondes, ms) depuis la dernière actualisation du groupe de priorité Maximale.
PokeFinish | BOOL | 55 | Bascule vers 1 pour une requête si toutes les interrogations ont été exécutées

Messages d'erreur

Nom pour l'importation | Type | Offset | Description
ErrorTimeDW | UDINT | 2 | Durée (en secondes depuis le 1.1.1970) depuis la dernière erreur.
ErrorTimeS | STRING | 2 | Durée (en secondes depuis le 1.1.1970) depuis la dernière erreur.
RdErrPrimObj | UDINT | 42 | Numéro de l'élément PrimObject lorsque la dernière erreur de lecture est apparue.
RdErrStationsName | STRING | 43 | Nom du poste de travail lorsque la dernière erreur de lecture est apparue.
RdErrBlockCount | UINT | 44 | Nombre de blocs à lire lorsque la dernière erreur de lecture est apparue.
RdErrHwAdresse | DINT | 45 | Adresse du matériel lorsque la dernière erreur de lecture est apparue.
RdErrDatablockNo | UDINT | 46 | Numéro de bloc lorsque la dernière erreur de lecture est apparue.
RdErrMarkerNo | UDINT | 47 | Numéro de marqueur lorsque la dernière erreur de lecture est apparue.
RdErrSize | UDINT | 48 | Taille du bloc lorsque la dernière erreur de lecture est apparue.
DrvError | USINT | 25 | Message d'erreur en format nombre
DrvErrorMsg | STRING | 30 | Message d'erreur en format texte
ErrorFile | STRING | 15 | Nom du fichier d'erreur


Documentations des drivers

Manuels -> Variables -> Driver -> Documentations des drivers

Vous trouverez toutes les informations concernant tous les drivers de zenon dans les documentations des drivers correspondants. Vous trouvez plus de détails au chapitre Driver.

info Info

Si vous ne trouvez aucune documentation pour un driver particulier, vous pouvez solliciter l'aide de support@copadata.com.


Créer, modifier et utiliser des variables

Manuels -> Variables -> Créer, modifier et utiliser des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Des variables peuvent être créées :

  • Sous forme de variables simples
  • Dans des tableaux
  • Sous forme de variables de structure

Boîte de dialogue Variable

Pour créer une nouvelle variable, quel que soit son type :

  1. Sélectionnez la commande Nouvelle variable dans le nœud Variables du menu contextuel

  2. La boîte de dialogue de configuration des variables s'affiche alors à l'écran.
  3. Configurer la variable
  4. Les paramètres possibles dépendent du type des variables.

Propriété

Description

Nom

Nom unique de la variable. Si une variable portant le même nom existe déjà dans le projet, aucune variable supplémentaire ne peut être créée avec ce même nom.

Longueur maximale : 128 caractères.

Attention : le caractère # n'est pas autorisé dans les noms de variables. Si des caractères non autorisés sont utilisés, la création de variables ne peut être accomplie et le bouton Terminer reste inactif.

Drivers

Sélectionnez le driver souhaité dans la liste déroulante.

Remarque : si aucun driver n'a été ouvert dans le projet, le driver des variables internes (Intern.exe) est chargé automatiquement.

Type d'objet driver

Sélectionnez le type d'objet de driver adéquat dans la liste déroulante.

Type de données

Sélectionnez le type de données souhaité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Paramètres de tableau

Paramètres étendus pour les variables de tableau. Vous trouvez plus de détails au chapitre Tableaux.

Options d'adressage

Paramètres étendus pour les tableaux et les variables de structure. Vous trouvez plus de détails dans la section concernée.

Activation automatique d'éléments

Paramètres étendus pour les tableaux et les variables de structure. Vous trouvez plus de détails dans la section concernée.

Héritage du type de données

Les paramètres Plage de mesure, Signal range (Plage de signal) et Valeur prescrite sont toujours :

  • Dérivés du type de données
  • Adaptés automatiquement en cas de modification du type de données

Remarque concernant la plage de signal : si une modification apportée au type de données n'est pas compatible avec la plage de signal de l'ensemble, le paramètre Signal range (Plage de signal) est modifié automatiquement. Par exemple, en cas de modification d'INT en SINT, la plage de signal est changée en 127. La modification est également effectuée si la plage de signal n'a pas été héritée du type de données. Dans ce cas, la plage de mesure doit être adaptée manuellement.

Autres sujets abordés dans ce chapitre

Variables simples

Les tableaux

Variables de type structure

Variables de recouvrement de projets


Variables simples

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables simples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables simples sont toujours constituées d'un type de données et d'un type d'objet driver. Elles forment la base des variables de tableau et des variables de structure.

Autres sujets abordés dans ce chapitre

Créer une variable simple

Changer les propriétés d'une variable simple

Supprimer des variables simples


Créer une variable simple

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables simples -> Créer une variable simple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le Gestionnaire de projet, cliquez avec le bouton droit sur une variable et sélectionnez Nouvelle variable... dans le contextuel.

Définissez le nom, le driver, le type d'objet du driver et le type de données dans la boîte de dialogue suivante.

Propriété | Description
Nom | Nom unique de la variable. Si une variable portant le même nom existe déjà dans le projet, aucune variable supplémentaire ne peut être créée avec le même nom.
Driver | Sélectionnez le driver souhaité dans la liste déroulante.
- | Sélectionnez le type d'objet de driver adéquat dans la liste déroulante.
Type de donnée | Sélectionnez le type de données souhaité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

La nouvelle variable est affichée dans la vue de détails du gestionnaire de projet. Vous pouvez modifier les propriétés supplémentaires de la variable dans sa fenêtre de propriétés.


Changer les propriétés d'une variable simple

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables simples -> Changer les propriétés d'une variable simple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les modifications des propriétés d'une variable se font dans la fenêtre des propriétés. Sélectionnez la variable à modifier dans la vue de détail et saisissez les modifications souhaitées dans la fenêtre des propriétés.

Autres sujets abordés dans ce chapitre

Modifier variable

Erreur lors de la modification des variables


Modifier variable

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables simples -> Changer les propriétés d'une variable simple -> Modifier variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La boîte de dialogue Modifier variable est ouverte si une ou plusieurs variables sont sélectionnées et que l'une des propriétés suivantes est sélectionnée :

  1. Type de donnée
  2. Driver
  3. -
  4. Paramètres de tableau
    1. Dim 1
    2. Dim 2
    3. Dim 3
    4. Index de début
  5. Offset de calcul
  6. Type de donnée

Ici, les paramètres sont modifiés pour toutes les variables qui ont été sélectionnées à l'aide d'une sélection multiple, afin de les uniformiser.

Modification, si plusieurs variables ont été sélectionnées :

Si la valeur de la propriété sélectionnée est la même pour toutes les variables sélectionnées, elle est affichée dans la boîte de dialogue, sinon elle reste vide. Vide signifie que le paramètre n'a pas été défini. Si une sélection a été faite, il n'est plus possible de 'désélectionner'. Si vous voulez changer la sélection, vous devez d'abord fermer la boîte de dialogue avec le bouton Annuler et la rouvrir ensuite (exception : (Exception : cases à cocher).

Tant que le driver n'a pas été spécifié, la liste de choix Type d'objet driver montre les types d'objet disponibles pour le driver de la variable sélectionnée. Dès que le driver est sélectionné, seuls les types d'objet du driver sélectionné sont montrés. Si un driver est changé 'de' ou 'vers' un driver zenon Logic, le nom de la variable est automatiquement modifié en conséquence.
Lorsque plusieurs variables sont sélectionnées, des cases à cocher peuvent avoir l'un des trois états suivants : cochée, non cochée et non définie. Les champs qui ne sont pas définis ne sont pas modifiés au niveau de la variable. Si un champ a été spécifié, il définit la nouvelle valeur pour toutes les variables sélectionnées.

Vérification avec la modification :

Pour chaque variable, le système vérifie avant la modification que les paramètres résultants sont bien autorisés.

Example Exemple

Exemple d'une modification non valide : Une variable de tableau et une variable simple ont été sélectionnées ; la dimension du tableau est modifiée. Erreur : Une variable simple ne peut être ultérieurement changée en variable de tableau.

Pour les variables qui ne peuvent pas être modifiées avec les nouveaux paramètres, un message d'erreur est généré. Avant la modification, les messages sont listés dans la boîte de dialogue Erreur lors de la modification des variables, après la modification, ils sont affichés dans la fenêtre de suivi de l'éditeur.


Erreur lors de la modification des variables

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables simples -> Changer les propriétés d'une variable simple -> Erreur lors de la modification des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si une modification pour une ou plusieurs variables n'est pas possible, la boîte de dialogue 'Erreur lors de la modification des variables' s'ouvre. On y trouve toutes les variables qui ne peuvent pas être modifiées. Si elle est ouverte, avant que la modification ne soit effectuée, et uniquement en présence de variables ne pouvant pas être modifiées. Les entrées peuvent être triées et filtrées.

Paramètre | Description
Nom | Nom de la variable qui ne peut pas être modifiée.
Driver | Nom du driver avec l'identification du driver sur lequel la variable est basée.
Type de données | Type utilisé par la variable.
Type d'objet driver | Type d'objet de driver utilisé par la variable.
Message | Description de la raison pour laquelle la variable ne peut pas être modifiée.
Annuler | La modification de la variable est interrompue. Aucune modification n'est effectuée.
Ignorer tout | Toutes les variables, qui ne peuvent pas être modifiées, sont ignorées. Toutes les variables, qui peuvent être modifiées, sont modifiées. Un message pour toutes les variables ignorées est généré dans la fenêtre de suivi. Le texte est identique à celui montré dans le message.
Retour | Retour dans la boîte de dialogue de modification.
Ligne d'état | Nombre de variables sélectionnées et nombre d'obstacles. La variable est considérée comme non modifiable lorsque le premier obstacle a été reconnu. Il peut très bien y avoir d'autres causes d'échec, mais celles-ci ne seront donc pas montrées. Dans le cas de variables complexes (tableaux ou structures), toutes les variables activées sont vérifiées pour savoir si elles peuvent acceptées la modification. Pour chaque variable non modifiable activée, un message est généré. Ceci signifie que le nombre d'obstacles peut être supérieur au nombre de variables sélectionnées.


Supprimer des variables simples

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables simples -> Supprimer des variables simples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la vue de détail, cliquez avec le bouton droit de la souris sur la variable à supprimer et choisissez l'option Supprimer dans le menu contextuel.

Cliquer sur Supprimer ouvre la fenêtre de sécurité suivante :


Les tableaux

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les tableaux sont des champs de types de données ou de variables. Nous effectuons la distinction suivante :

  • Tableaux de types de données : peuvent uniquement être déployés dans des structures.
  • Tableaux de variables : peuvent également être définis aussi avec des types de données simples.

Les tableaux peuvent avoir jusqu'à trois dimensions.

Example Exemple

Exemple d'une variable tableau à deux dimensions :

Engine speed [2.3]
Cette variable est composée de six variables (2x3) :

  • Engine Speed [1,1]
  • Engine Speed [1,2]
  • Engine Speed [1,3]
  • Engine Speed [2,1]
  • Engine Speed [2,2]
  • Engine speed [2.3]

En interne, les tableaux sont gérés comme les structures. Ceci concerne plus particulièrement le système d'adressage.

attention Attention

Les variables d'ensemble reposant sur un driver stratonNG ou straton32 ne doivent pas commencer par 1. Un ensemble de zenon avec les dimensions 1,2,2 est créé comme une variable simple dans zenon Logic.

Variables inactives

Une variable d'un tableau peut être rendue inactive de façon indépendante. Variable inactive

  • Indisponible dans in zenon
  • Non enregistrés avec le driver
  • Non pris en compte lors du calcul des E/S pour la taille de la licence

De cette manière, des variables de réserve peuvent être créées dans un tableau, qui peut être activé ultérieurement, par exemple lors de l'expansion.

Taille de l'ensemble de blocs (jusqu'à la version 5.50).

Jusqu'à la version 5.50, la taille de l'ensemble de blocs pouvait être définie avec la propriété Dimension tableau. Il est donc possible d'utiliser une seule variable comportant une licence, par exemple, dans le module RGM ou dans VBA ; toutefois, vous ne pouvez pas adresser indirectement plusieurs variables associées à des drivers utilisant des adresses d'offset. Cette propriété est conservée pour des raisons de compatibilité.

Attention : le driver interne ne prend pas cette propriété en charge. Une valeur peut être définie dans l'Éditeur, mais aucune variable n'est affichée (la valeur est toujours 0).

Autres sujets abordés dans ce chapitre

Créer une variable de tableau

Adressage

Changer les propriétés d'un tableau

Désactiver / activer des éléments de tableau


Créer une variable de tableau

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux -> Créer une variable de tableau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables de tableau simples sont créées comme des variables simples.

Propriété

Description

Nom

Nom unique de la variable. Si une variable portant le même nom existe déjà dans le projet, aucune variable supplémentaire ne peut être créée avec ce même nom.

Driver

Sélectionnez le driver souhaité dans la liste déroulante.

Remarque : si aucun driver n'a été ouvert dans le projet, le driver des variables internes (Intern.exe) est chargé automatiquement.

Type d'objet driver

Sélectionnez le type d'objet de driver adéquat dans la liste déroulante.

Type de données

Sélectionnez le type de données souhaité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Adressage automatique

zenon calcule une attribution d'adresse automatique. Ceci dépend de la granularité du type d'objet de driver utilisé et du type de données IEC sur lequel est basé le type utilisé.

L'adresse décalée est conforme à l'offset de type de données et à l'offset de départ.

Le décalage est conforme à l'offset et au bit définis pour l'élément de structure attribué.

Adressage manuel

Adressage manuel.

Chaque type de données démarre avec un nouvel offset

Définissez de quelle manière les éléments de tableau uniques sont positionnés avec l'adressage automatique.

Actif : un nouvel offset est démarré pour chaque tableau.

Inactive : les offsets sont utilisés dans leur intégralité (l'adressage des variables est effectué par ligne).

Activer tous les éléments

Lors de la création d'une nouvelle variable tableau, tous les éléments sont activés.

Activer les éléments manuellement

Les éléments ne sont pas activés lors de la création. Ils doivent être activés individuellement dans la liste de variables. Ceci est fait à l'aide du menu contextuel de la liste de variables.


Adressage

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux -> Adressage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'adressage des tableaux est généralement automatique. Dans ce cas, les indications suivantes sont fournies pour les variables de tableau :

  • Adresse réseau
  • Offset démarrage
  • Bloc de données (facultatif)
  • Numéro de bit (facultatif)

Aucun paramètre supplémentaire n'est nécessaire pour les éléments de tableau uniques. L'adresse est calculée automatiquement.

Si l'adressage des tableaux doit être effectué manuellement, l'option Manual addressing (Adressage manuel) doit être désactivée, soit lors de la création du tableau, soit à un stade ultérieur dans la fenêtre des propriétés.

L'adresse est à nouveau calculée lorsque des modifications sont apportées aux éléments suivants :

  • Type de données d'un tableau
  • Type d'objet driver
  • Driver
  • Dimensions du tableau

Autres sujets abordés dans ce chapitre

Exemple de tableau avec adressage automatique pour une variable INT

Exemple de tableau avec adressage automatique pour une variable BOOL

Exemple d'un ensemble avec adressage manuel


Exemple de tableau avec adressage automatique pour une variable INT

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux -> Adressage -> Exemple de tableau avec adressage automatique pour une variable INT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Nous souhaitons créer un tableau comportant cinq variables entières.

Configuration de base

Dans la boîte de dialogue de configuration de variables

  • Nom : Envoi libre
  • Driver : S7 TCP/IP
  • Type d'objet driver : Ext. Data blocks (Blocs de données)
  • Type de données : INT
  • Tableau : l'indice de départ est 1
  • Dim 1: 5
  • Dim 2: 0
  • Adressage : Adressage automatique
  • Chaque type de données démarre avec un nouveau décalage : actif
  • Element activation (Activation des éléments) : Activer tous les éléments

Lorsque vous cliquez sur OK, les cinq variables définies sont créées dans la liste de variables. En outre, une variable de tableau correspondante est créée, dans laquelle les propriétés du tableau peuvent être définies.

Configuration des détails

Lorsque l'on sélectionne la variable tableau dans la vue de détail, les propriétés du tableau complet peuvent être définies dans la fenêtre des propriétés. Les paramètres les plus importants sont dans le groupe "Adresse". Nous définissons maintenant les éléments suivants pour le tableau :

  • Bloc de données
  • Adresse réseau (=adresse de bus)
  • Offset démarrage

Puisque l'option d'adressage automatique a été activée, les adresses de tous les éléments du tableau seront calculées par rapport à l'offset de départ. Dans notre exemple, nous changeons le paramètre Bloc de données en 50, nous laissons l'adresse réseau à 0 et nous modifions l'offset à 100.

La granularité pour les datablocks du S7 est de 8 bits. La zone des datablocks est orientée octets. Chaque variable INT a besoin de 16 bits. Le résultat de l'adressage automatique pour le tableau donne donc :

Tableau | Adresse réseau | Bloc de données | Offset
Tableau de INT[1] | 0 | 50 | 100
Tableau de INT[2] | 0 | 50 | 102
Tableau de INT[3] | 0 | 50 | 104
Tableau de INT[4] | 0 | 50 | 106
Tableau de INT[5] | 0 | 50 | 108

Chaque offset est plus grand que le précédent avec un pas de 2, car une variable de 16 bits prend 2 fois 8 bits.

Si on prend un driver S5 au lieu du driver S7, cela change l'adressage. Sur le S5, la zone des datablocks a une granularité de 16 bits. La zone des datablocks sur un automate S5 est orientée mots. Un projet identique générerait le résultat suivant :

Tableau | Adresse réseau | Bloc de données | Offset
Tableau de INT[1] | 0 | 50 | 100NT
Tableau de INT[2] | 0 | 50 | 101
Tableau de INT[3] | 0 | 50 | 102
Tableau de INT[4] | 0 | 50 | 103
Tableau de INT[5] | 0 | 50 | 104

Chaque offset est plus grand que le précédent avec un pas de un, car une variable de 16 bits prend une fois 16 bits.


Exemple de tableau avec adressage automatique pour une variable BOOL

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux -> Adressage -> Exemple de tableau avec adressage automatique pour une variable BOOL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Nous procéderons de la même manière que dans l'exemple d'adressage automatique, avec le type de données INT ; toutefois, nous utilisons le type de données standard BOOL comme type de données. Tous les autres paramètres restent identiques, et nous allons créer une nouvelle variable de tableau.

Nous définissons les valeurs suivantes dans les propriétés de la variable de tableau :

Bloc de données : 50

Adresse réseau : 0

Offset : 100

Numéro de bit : 0

Avec un driver S7, le synoptique suivant est généré par l'adressage automatique :

Tableau | Adresse réseau | Bloc de données | Offset | Numéro de bit
Tableau de INT[1] | 0 | 50 | 100 | 0
Tableau de INT[2] | 0 | 50 | 101 | 0
Tableau de INT[3] | 0 | 50 | 102 | 0
Tableau de INT[4] | 0 | 50 | 103 | 0
Tableau de INT[5] | 0 | 50 | 104 | 0

Une variable qui prend 1 bit a assez de place dans un offset de 8 bits. L'option Each data type starts with new offset (Chaque type de données démarre avec un nouvel offset) ayant été activée, chaque élément du tableau initie un nouvel offset.

Si on désactive cette option dans les propriétés de la variable tableau, le résultat est le suivant :

Tableau | Adresse réseau | Bloc de données | Offset | Numéro de bit
Tableau de INT[1] | 0 | 50 | 100 | 0
Tableau de INT[2] | 0 | 50 | 100 | 1
Tableau de INT[3] | 0 | 50 | 100 | 2
Tableau de INT[4] | 0 | 50 | 100 | 3
Tableau de INT[5] | 0 | 50 | 100 | 4

Maintenant tous les bits sont sur le même offset. Si l'offset n'avait pas été assez grand (par exemple, dans le cas d'un tableau de 20 BOOL), le bit suivant serait le premier de l'offset suivant. Un tableau de 20 BOOL irait de l'offset 100, bit 0 à l'offset 102, bit 3.


Exemple d'un ensemble avec adressage manuel

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux -> Adressage -> Exemple d'un ensemble avec adressage manuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour l'adressage manuel, la propriété Adressage manuel doit être sélectionnée dans la configuration de variable. Ensuite, les informations d'adressage peuvent être émises manuellement pour chaque élément de l'ensemble pour les éléments suivants :

  • Adresse réseau
  • Offset
  • Bloc de données (facultatif)
  • Numéro de bit (facultatif)

Cela pourrait alors se présenter comme suit pour l'exemple d'ensemble avec adressage automatique pour une variable BOOL :

Ensemble | Adresse réseau | Bloc de données | Offset | Numéro de bit
Ensemble de INT[1] | 0 | 50 | 100 | 0
Ensemble de INT[2] | 0 | 50 | 100 | 2
Ensemble de INT[3] | 0 | 50 | 101 | 0
Ensemble de INT[4] | 0 | 50 | 101 | 2
Ensemble de INT[5] | 0 | 50 | 102 | 0

attention Attention

Si vous modifiez l'offset de départ ou la dimension de l'ensemble, toutes les adresses (offset et adresse de bit) sont recalculées.

Si l'offset de départ est modifié, les offsets des variables déjà activées sont également modifiés conformément à l'ampleur de la modification. La différence d'offset entre la variable activée et les variables d'ensemble est ainsi conservée.


Changer les propriétés d'un tableau

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux -> Changer les propriétés d'un tableau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les propriétés sont modifiées dans la fenêtre Propriétés et la boîte de dialogue Modifier variable.

Vous devez tout particulièrement tenir compte de deux propriétés :

  • Montre le dernier offset (en incluant le numéro de bit) utilisé par l'adressage automatique.
  • Taille en octets :montre combien d'octets sont utilisés par le tableau sélectionné.

Les éléments suivants ne peuvent pas être modifiés :

  • Nom
  • Activation des éléments

Propriété

Description

Driver

Sélectionnez le driver souhaité dans la liste déroulante.

Remarque : si aucun driver n'a été ouvert dans le projet, le driver des variables internes (Intern.exe) est chargé automatiquement.

Type d'objet driver

Sélectionnez le type d'objet de driver adéquat dans la liste déroulante.

Type de données

Sélectionnez le type de données souhaité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Adressage automatique

zenon calcule une attribution d'adresse automatique. Ceci dépend de la granularité du type d'objet de driver utilisé et du type de données IEC sur lequel est basé le type utilisé.

L'adresse décalée est conforme à l'offset de type de données et à l'offset de départ.

Le décalage est conforme à l'offset et au bit définis pour l'élément de structure attribué.

Adressage manuel

Adressage manuel ou semi-automatique.

Chaque type de données démarre avec un nouvel offset

Définissez de quelle manière les éléments de tableau uniques sont positionnés avec l'adressage automatique.

Actif : un nouvel offset est démarré pour chaque tableau.

Inactive : les offsets sont utilisés dans leur intégralité (l'adressage des variables est effectué par ligne).

Remarques concernant la modification du type de données IEC

Si le type de données d'un ensemble est modifié, les dispositions suivantes s'appliquent :

  • Tant que la valeur de la plage de signal actuelle se trouve dans la plage de signal correspondant au type de données, aucune modification n'est effectuée.
  • La plage de mesure n'est pas adaptée.

    Exception : les plages de signal et de mesure sont toujours adaptées pour le type de données BOOL.

Pour l'adaptation de la plage de signal, la nouvelle plage de signal doit être inférieure à la plage de signal précédente :

  • SingalbereichMin est uniquement adapté si SignalbereichMinNeu <est SignalbereichMinAlt
  • SingalbereichMax est uniquement adapté si SignalbereichMaxNeu <est SignalbereichMinAlt


Désactiver / activer des éléments de tableau

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Les tableaux -> Désactiver / activer des éléments de tableau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Chaque élément de tableau peut être désactivé / activé individuellement. L'activation est faite soit lors de la création du tableau ("Activer tous les éléments") ou manuellement par le menu contextuel sur chaque élément du tableau. Les éléments inactifs du tableau sont pris en compte par le calcul automatique d'adresse comme s'ils étaient actifs. Les éléments inactifs correspondent à des emplacements qui pourront être activés à tout moment.


Variables de type structure

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une structure est constituée d'éléments individuels. Il s'agit toujours de types de données. Lors de la création d'un élément de structure, un type existant doit être sélectionné. Les éléments de structure peuvent être "embarqués" ou "liés".

Paramètres | Description
Eléments de structure embarqués | Ils peuvent avoir des propriétés différentes des types de base sur lesquels ils sont basés. Les propriétés sont définies individuellement pour chaque élément de structure et sont sauvegardées localement.
Eléments de structure liés | Les éléments liés reçoivent toutes leurs propriétés des types de données élémentaires auxquels ils sont liés. Si le type de base est modifié, tous les éléments liés seront modifiés de la même façon !

Types de données structure

Vous trouverez des détails concernant la création de types de données structure dans la section Types de données/Types de données de structure.

Variables de type structure

Les variables de structure sont toujours basées sur un type de données de structure. Ainsi elles récupèrent la structure du type de base. Lors de la création de la variable de structure, un certain nombre d'options peuvent être définies.

Paramètre

Description

Les tableaux

Vous pouvez choisir de créer la structure sous forme de structure unique ou de tableau. Vous pouvez définir jusqu'à trois dimensions pour un tableau de structures.

Adressage

La variable de structure peut maintenant être adressée manuellement ou automatiquement. Par défaut, l'adressage est automatique. Le calcul des adresses dépend donc de la granularité du type d'objet de driver utilisé et des éléments de structure utilisés.

Avec l'adressage automatique, chaque type de données peut être démarré avec un nouvel offset.

Activation d'éléments avec des variables de structure

Vous pouvez définir si tous les éléments de la structure doivent être activés ou non.

Activer signifie que tous les éléments sont définis comme actif. Les variables actives peuvent être utilisées immédiatement dans zenon. Les variables inactives ne sont pas disponibles dans zenon, ne sont pas comptées dans les points d'E/S de la licence et ne sont pas enregistrées dans le driver. Par conséquent, des zones de réserve peuvent être créées dans une structure, qui peut être activée ultérieurement. Tous les éléments d'une variable de structure peuvent être activés ou désactivés à n'importe quel moment par l'intermédiaire du menu contextuel.

Remarque : Les variables de structure désactivées sont également prises en compte lors du calcul des adresses. Si ce n'est pas ce que vous voulez, vous devez définir les adresses manuellement ou l'élément doit être supprimé du type de données de structure.

Comportement durant l'importation au format XML

Structures

Les structures qui diffèrent des structures existantes peuvent être importées dans des structures déjà existantes. Les variables reposant sur celles-ci sont adaptées automatiquement.

  • Les éléments de structure sont identifiés par leur nom.
  • Avec les éléments de structure déjà existants, le type est adapté si nécessaire.
  • Les éléments non existants sont ajoutés.
  • Les éléments qui n'existent pas dans le type de données de structure sont supprimés.

Variables inactives

Lors de l'importation des variables de structure, les variables actives et inactives sont importées. Les importations existantes ne sont pas remplacées durant l'importation. Si une variable inactive est importée dans un projet, puis activée, elle reste active même après une nouvelle importation au format XML.

Autres sujets abordés dans ce chapitre

Modification des variables de structure

Modification des variables de structure

Suppression de variables de structure


Modification des variables de structure

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer une variable de structure :

  1. Créez une variable simple.
  2. Sélectionnez un type de données de structure en tant que type de données.
  3. Sélectionnez le driver et le type d'objet driver.
  4. Définissez les dimensions du tableau.

Propriété

Description

Nom

Nom unique de la variable. Si une variable portant le même nom existe déjà dans le projet, aucune variable supplémentaire ne peut être créée avec ce même nom.

Driver

Sélectionnez le driver souhaité dans la liste déroulante.

Remarque : si aucun driver n'a été ouvert dans le projet, le driver des variables internes (Intern.exe) est chargé automatiquement.

Type d'objet driver

Sélectionnez le type d'objet de driver adéquat dans la liste déroulante.

Type de données

Sélectionnez le type de données souhaité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Adressage automatique

zenon calcule une attribution d'adresse automatique. Ceci dépend de la granularité du type d'objet de driver utilisé et du type de données IEC sur lequel est basé le type utilisé.

L'adresse décalée est conforme à l'offset de type de données et à l'offset de départ.

Le décalage est conforme à l'offset et au bit définis pour l'élément de structure attribué.

Adressage manuel

Adressage manuel ou semi-automatique.

Chaque type de données démarre avec un nouvel offset

Définissez de quelle manière les éléments de structure sont positionnés avec l'adressage automatique.

Actif : un nouvel offset est démarré pour chaque élément de structure. Un offset de bit de > 0 augmente le décalage de 1.

Inactive : les offsets sont utilisés dans leur intégralité (l'adressage des variables est effectué par ligne).

Activer tous les éléments

Tous les éléments sont activés automatiquement lors de la création de la nouvelle variable de structure.

Activer les éléments manuellement

Les éléments ne sont pas activés lors de la création. Ils doivent être activés individuellement dans la liste de variables. Ceci est fait à l'aide du menu contextuel de la liste de variables.

Organisation du type de données avec adressage automatique

  • Une granularité de driver de niveau OCTET peut uniquement utiliser les bits 0 à 7 avec BOOL. Tous les autres types de données démarrent au bit 0.
  • Avec WORD : BOOL : bits 0 à 15, U(S)INT : bits 0 et 8. Tous les autres types de données démarrent au bit 0.
  • Avec DWORD : BOOL : bits 0 à 31, U(S)INT : bits 0, 8, 16 et 24. (U)INT – bits 0 et 16. Tous les autres types de données démarrent au bit 0.
  • Les chaînes doivent toujours démarrer au bit 0.
    Par conséquent : si, avec l'adresse actuelle, l'offset de bit > est de 0, la variable est définie sur le bit 0 et l'offset sur +1.

Exemple

USINT = 8 bits, granularité WORD = 16 bits.

La variable peut uniquement commencer par les bits 0 ou 8. Si, par exemple, l'offset de bit planifié est 2 et l'adresse actuelle est Offset=0 et Bit=0, la variable est définie sur Offset 0 et Bit 8. Si l'adresse actuelle était Offset=0 et Bit=7, la variable serait définie sur Offset=1 et Bit=0.

Autres sujets abordés dans ce chapitre

Structure simple avec adressage automatique

Variable de structure sous forme de tableau avec adressage automatique

Adressage manuel


Structure simple avec adressage automatique

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure -> Structure simple avec adressage automatique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Exemple

La première étape consiste à créer un type de données de structure. Pour cela, nous créons une structure de réglette comportant quatre éléments :

  • Engine speed set (UINT),
  • Engine speed actual (USINT),
  • Tableau [2] de
    • activé/désactivé (BOOL) et
  • surveillance (SINT).

Ensuite, nous devons créer, dans la boîte de dialogue Créer une variable, une variable de structure basée sur ce type de donnée. Dans cet exemple, nous utiliserons :

  • Le driver S7 TCP/IP
  • Le bloc de données Intervalle
  • La dimension de tableau 0
  • Les options activées
    • Adressage automatique
    • Chaque type de données démarre avec un nouvel offset
    • Activer tous les éléments

La structure avec tous ses éléments apparaît dans la liste des variables après avoir cliqué sur Terminer.

Lorsque l’on sélectionne la variable de structure Engine Speed Control dans la vue de détail, les propriétés de la structure complète peuvent être définies dans la fenêtre des propriétés. Les paramètres les plus importants sont dans le groupe Adresse. Le bloc de données, l'adresse réseau (= adresse de bus) et l'offset de départ peuvent être modifiés. L'adressage automatique ayant été activé, les adresses de tous les éléments de structure seront calculées par rapport à l'offset de départ.

Dans notre exemple, nous utilisons les paramètres suivants :

Bloc de données : 50

Offset : 100

Adresse réseau : 0

La granularité pour les datablocks du S7 est de 8 bits. La zone des datablocks est orientée octets. Chaque variable UINT a besoin de 16 bits, un USINT de 8 bits, un BOOL de 1 bit et un SINT de 8 bits.

Le résultat de l'adressage automatique pour la structure donne donc :

Variable | Adresse réseau | Bloc de données | Offset | Numéro de bit
Engine Speed Control.Engine Speed Set | 0 | 50 | 100 | 0
Engine Speed Control.Engine Speed Actual | 0 | 50 | 102 | 0
Engine Speed Control.Engine Speed.On/Off[1] | 0 | 50 | 104 | 0
Engine Speed Control.Engine Speed.On/Off[2] | 0 | 50 | 105 | 1
Engine Speed Control.Engine Speed.Monitoring | 0 | 50 | 106 | 0

"Dernier offset utilisé" : 106 Bit 7

Les éléments individuels de la variable de structure s'intègrent ainsi de façon optimale aux offsets.

La variable à 8 bits Engine Speed Control.Engine Speed.Set utilise un offset ; la variable à 16 bits Engine Speed Control.Engine Speed.Actual utilise deux offsets ; les deux variables BOOL utilisent deux bits dans un offset et la variable Engine Speed Control.Engine Speed.Monitoring utilise un offset.

Les adresses peuvent être changées dans le type structure ou dans les paramètres de la section "Adresse" de la variable structure, mais pas individuellement dans chaque élément de la structure. Ce serait uniquement possible avec l'adressage manuel.

Si on prend un driver S5 au lieu du driver S7, cela change l'adressage. Sur le S5, la zone des datablocks a une granularité de 16 bits. La zone des datablocks sur un automate S5 est orientée mots.

Un projet identique générerait le résultat suivant :

Variable | Adresse réseau | Bloc de données | Offset | Numéro de bit
Engine Speed Control.Engine Speed Set | 0 | 50 | 100 | 0
Engine Speed Control.Engine Speed Actual | 0 | 50 | 101 | 0
Engine Speed Control.Engine Speed.On/Off[1] | 0 | 50 | 102 | 0
Engine Speed Control.Engine Speed.On/Off[2] | 0 | 50 | 102 | 1
Engine Speed Control.Engine Speed.Monitoring | 0 | 50 | 102 | 8

"Dernier offset utilisé" : 102 Bit 15

Les éléments individuels de la variable de structure s'intègrent ainsi de façon optimale aux offsets.

La variable à 8 bits Engine Speed Control.Engine Speed.Set occupe un demi-offset (bits 0 à 7), la variable à 16 bits Engine Speed Control.Engine Speed.Actual occupe un offset. Les deux variables BOOL utilisent seulement les deux bits suivants à l'offset 102, et la variable Engine Speed Control.Engine Speed.Monitoring démarre au même offset avec le bit numéro 8.


Variable de structure sous forme de tableau avec adressage automatique

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure -> Variable de structure sous forme de tableau avec adressage automatique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Tableau avec un élément de structure comportant un type de données simple

Les variables sont adressées sous forme d'ensemble, sur la base de l'offset au niveau de l'élément de structure, en fonction du type de données IEC et de la granularité. Il n'y a donc aucune différence par rapport à l'adressage sous forme d'ensemble.

Variable de structure sous forme de tableau

L'adresse du premier élément de structure de l'indice n est dérivée de l'adresse du dernier élément de structure de l'indice n-1, plus l'offset au niveau de l'élément de structure.

Si la propriété Each data type starts with new offset (Chaque type de données démarre avec un nouvel offset) est :

  • Active : l'indice démarre toujours à un offset entier (le bit est 0 et peut être décalé par l'offset au niveau de l'élément de structure).
  • inactive : la variable est traitée sous forme d'ensemble, en fonction du type de données et de la granularité, et décalé conformément à l'offset au niveau de l'élément de structure. Dans tous les cas, la variable est définie conformément au type de données et à la granularité.

Exemple

Nous utilisons le même exemple qu'à la section Structure simple avec adressage automatique, toutefois, nous modifions les dimensions du tableau 1 de 0 à 2 dans les propriétés de la variable de structure.

Lorsque vous cliquez sur Terminer, la liste de variables se présente comme suit :

La structure existante a été modifiée de façon à ce que chaque élément de structure apparaisse deux fois.

Par exemple, avec le driver S7, ceci provoque l'adressage automatique suivant, à condition que nous l'ayons activé : Each data type starts with new offset (Chaque type de données démarre avec un nouvel offset) :

Variable | Adresse réseau | Bloc de données | Offset | Numéro de bit
Engine Speed Control[1].Engine Speed.Set | 0 | 50 | 100 | 0
Engine Speed Control[1].Engine Speed.Actual | 0 | 50 | 101 | 0
Engine Speed Control[1].Engine Speed.Ein/Aus[1] | 0 | 50 | 103 | 0
Engine Speed Control[1].Engine Speed.Ein/Aus[2] | 0 | 50 | 103 | 1
Engine Speed Control[1].Engine Speed.Monitoring | 0 | 50 | 104 | 0
Engine Speed Control[2].Engine Speed.Set | 0 | 50 | 105 | 0
Engine Speed Control[2].Engine Speed.Actual | 0 | 50 | 106 | 0
Engine Speed Control[2].Engine Speed.Ein/Aus[2] | 0 | 50 | 108 | 0
Engine Speed Control[2].Engine Speed.Ein/Aus[2] | 0 | 50 | 108 | 1
Engine Speed Control[2].Engine Speed.Monitoring | 0 | 50 | 109 | 0

"Dernier offset utilisé" : 109 Bit 7

Le tableau de structures a été créé exactement comme une structure simple. La deuxième structure démarre là où la première finit.

Si on utilise le driver S5, cela donne :

Variable | Adresse réseau | Bloc de données | Offset | Numéro de bit
Engine Speed Control[1].Engine Speed.Set | 0 | 50 | 100 | 0
Engine Speed Control[1].Engine Speed.Actual | 0 | 50 | 101 | 0
Engine Speed Control[1].Engine Speed.Ein/Aus[1] | 0 | 50 | 102 | 0
Engine Speed Control[1].Engine Speed.Ein/Aus[2] | 0 | 50 | 102 | 1
Engine Speed Control[1].Engine Speed.Monitoring | 0 | 50 | 102 | 8
Engine Speed Control[2].Engine Speed.Set | 0 | 50 | 103 | 0
Engine Speed Control[2].Engine Speed.Actual | 0 | 50 | 104 | 0
Engine Speed Control[2].Engine Speed.Ein/Aus[2] | 0 | 50 | 105 | 0
Engine Speed Control[2].Engine Speed.Ein/Aus[2] | 0 | 50 | 105 | 1
Engine Speed Control[2].Engine Speed.Monitoring | 0 | 50 | 105 | 7

"Dernier offset utilisé" : 105 Bit 15

Chaque type de données démarre avec un nouvel offset

Le tableau de structures a été créé exactement comme une structure simple. La deuxième structure démarre là où la première finit. Ici les différences peuvent dépendre de l'option Each data type starts with new offset (Chaque type de données démarre avec un nouvel offset). Si cette option est activée, la structure suivante démarre toujours à un nouvel offset, même si la structure suivante tiendrait dans le même offset.

Example Exemple

Le dernier élément de structure est un SINT (8 bits) et utilise à l'offset 102 les bits de 0 à 7. Dans le cas de l’utilisation du driver S5 (offset de 16 bits) et si le premier élément de la structure était de type SINT ou USINT, la structure suivante démarrerait comme décrit ci-dessous :

  • Si l'option "Chaque type de données démarre avec un nouvel offset" est activée : Offset 103 Bit 0
  • Si l'option "Chaque type de données démarre avec un nouvel offset" est désactivée : Offset 102 Bit 8 Les structures sont maintenant situées directement l'une après l'autre.


Adressage manuel

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure -> Adressage manuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les adresses peuvent être émises de manière semi-automatique ou manuellement, via l'adressage manuel.

Solution semi-automatique

Les offsets et numéros de bits sont définis dans les éléments de structure dans le type de données. Mais ici cela correspond à un offset relatif. Dans la variable de structure, un offset de départ est défini et tous les offsets relatifs sont ajoutés à cet offset de départ.

Exemple

A l'image d'une structure simple avec adressage automatique, nous créons le type de données de structure réglette. L'offset souhaité est ensuite défini pour les éléments de structure individuels, par exemple l'offset 3 pour l'élément de structure Engine speed set.

Pour les variables de structure, l'option adressage automatique est activée lors de sa création. Un offset de départ de 100 est défini dans les propriétés de la variable de structure. zenon calcule ensuite, à l'adresse de la variable Drehzahl-Regelung.Drehzahl.Soll, l'offset 103 (100 pour la structure + 3 pour l'élément de structure).

Si l'offset relatif doit être modifié par la suite, les étapes suivantes doivent être exécutées :

  • Premièrement, vous changez l'offset dans l'élément de structure dans le type de donnée.
  • Ensuite, vous devez modifier l'offset de départ pour variable de structure (par exemple, en 101).
  • Ensuite, revenons à l'offset initial (100, dans notre exemple).

Explication : Le recalcul des adresses n'est fait que lorsque l’offset de démarrage de la variable est modifié, mais n'est pas fait si on change seulement les offsets dans les éléments du type structure.

Solution complètement manuelle

La façon de faire est à peu près identique que pour le mode semi-automatique sauf qu'ici les adresses sont entrées "à la main" sur chaque élément de la variable structure.

Si l'offset de départ d'une variable de structure est modifié, les offsets des variables déjà activées sont également modifiés conformément à l'ampleur de la modification. La différence d'offset entre la variable activée et les variables de tableau est ainsi conservée.


Modification des variables de structure

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les modifications sont apportées via les boîtes de dialogue Propriétés et Variable.

Les éléments suivants ne peuvent pas être modifiés :

  • Nom
  • Activation des éléments

Propriété

Description

Driver

Sélectionnez le driver souhaité dans la liste déroulante.

Remarque : si aucun driver n'a été ouvert dans le projet, le driver des variables internes (Intern.exe) est chargé automatiquement.

Type d'objet driver

Sélectionnez le type d'objet de driver adéquat dans la liste déroulante.

Type de données

Sélectionnez le type de données souhaité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Adressage automatique

zenon calcule une attribution d'adresse automatique. Ceci dépend de la granularité du type d'objet de driver utilisé et du type de données IEC sur lequel est basé le type utilisé.

L'adresse décalée est conforme à l'offset de type de données et à l'offset de départ.

Le décalage est conforme à l'offset et au bit définis pour l'élément de structure attribué.

Adressage manuel

Adressage manuel ou semi-automatique.

Chaque type de données démarre avec un nouvel offset

Définissez de quelle manière les éléments de structure sont positionnés avec l'adressage automatique.

Actif : un nouvel offset est démarré pour chaque élément de structure.

Inactif : les offsets sont utilisés dans leur intégralité (l'adressage des variables est effectué par ligne).

Autres sujets abordés dans ce chapitre

Modifier les propriétés

Désactiver / activer des éléments de structure

Changer l'ordre des éléments


Modifier les propriétés

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure -> Modifier les propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les modifications sont effectuées dans la fenêtre des propriétés.

Attention : les modifications faites dans la variable de structure peuvent en affecter les éléments (par exemple, le calcul de l'adresse, si vous modifiez l'offset de départ ou le driver). Les propriétés de chaque élément de la structure peuvent être modifiées individuellement. Les modifications peuvent être faites sur chaque élément de la variable ou dans les éléments du type structure de base. Les changements sont alors répercutés sur les éléments de variables. (Reportez-vous au chapitre Concept d'héritage pour plus d'informations à ce propos.)


Désactiver / activer des éléments de structure

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure -> Désactiver / activer des éléments de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous devez sélectionner les éléments dans la liste des variables et ensuite utiliser le menu contextuel. Les éléments inactifs du tableau sont pris en compte par le calcul automatique d'adresse comme s'ils étaient actifs. Les éléments inactifs correspondent à des emplacements qui pourront être activés à tout moment.

Variable inactive

  • Indisponible dans in zenon
  • Non enregistrés avec le driver
  • Non pris en compte lors du calcul des E/S pour la taille de la licence

Notes importantes

Note lors de la désactivation de variables :

  • Les références de variables sur les éléments de synoptique sont perdues lors de la désactivation. Les connexions peuvent uniquement être restaurées manuellement.
  • Si un élément de structure est basé sur un type IEC qui n'est pas autorisé avec le driver sélectionné, l'élément ne peut pas être activé.
  • Si les variables sont désactivées, puis réactivées, les éléments dynamiques de ces variables ne sont pas actualisés dans l'éditeur. Pour les actualiser, cliquez sur la variable correspondante dans la fenêtre de propriétés de l'élément.


Changer l'ordre des éléments

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Modification des variables de structure -> Changer l'ordre des éléments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'ordre des éléments de structure dans une variable de structure peut uniquement être modifié dans le type structure correspondant. Si vous modifiez le type structure, toutes les variables basées sur ce type seront aussi modifiées.


Suppression de variables de structure

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables de type structure -> Suppression de variables de structure

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez la variable dans la vue de détail et appuyez sur la touche Suppr.


Variables de recouvrement de projets

Manuels -> Variables -> Créer, modifier et utiliser des variables -> Variables de recouvrement de projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables peuvent également être sélectionnées dans d'autres projets et utilisées dans le projet. Cela est également possible dans différentes hiérarchies. Les variables issues de projets de niveau supérieur, de projets de même niveau et de projets de niveau inférieur peuvent être utilisées à votre convenance, ainsi que les variables issues de projets non liés.

Pour utiliser les variables dans un projet, dans le Runtime, tous les projets :

  • Doivent être chargés
  • Doivent être accessibles sur le réseau
    Conseil : zenon ne vérifie pas l'accessibilité du réseau dans le Runtime.

Dans le projet, les variables issues d'autres projets sont affichées comme suit :
[Nom du projet]#[Nom de la variable], par exemple Projet1#WIZ_VAR_10

Si l'utilisation inter-projets est impossible, les projets dans la boîte de dialogue de sélection de variables sont grisés.

Remarque : si les noms de projets sont modifiés ultérieurement ou les projets sont copiés, vous devez vous assurer que l'attribution est correctement effectuée. Pour cela, utilisez la boîte de dialogue de remplacement des références de projet.

attention Attention

Tenez compte des conditions spéciales concernant les variables inter-projets lors de la saisie de commandes.


Concept d'héritage

Manuels -> Variables -> Concept d'héritage

L'héritage signifie que les propriétés d'un objet sont propagées aux objets liés à cet objet. Les objets basés sur un objet, héritent en principe de toutes les propriétés de l'objet de base, mais les propriétés individuelles de ces objets peuvent être modifiées = écrasées.

Il existe également aussi la possibilité de conserver le lien avec le type de base. Ici aussi l'objet lié reçoit toutes les propriétés du type de base, mais ces propriétés ne peuvent pas être modifiées ou écrasées dans l'objet de base. Les modifications ne sont possibles que dans l'objet de base.

Dans les deux cas, ce qui suit est vrai : Si une propriété dans l'objet de base est modifiée, tous les objets basés sur cet objet sont aussi modifiés. Les propriétés ne sont pas sauvegardées dans l'objet, il y a seulement une référence à l'objet de base.

Exception : Dès qu'une valeur est écrasée (modifiée), cette propriété perd sa référence à l'objet de base. Si cette propriété est modifiée dans l'objet de base, elle ne sera pas répercutée dans l'objet où la propriété a été modifiée. Ceci est vrai pour les propriétés qui ont perdues la référence à l'objet de base. Toutes les autres propriétés ont bien toujours la référence à l'objet de base. Vous pouvez à tout moment restituer la référence à l'objet de base sur une propriété qui a perdu sa référence.

Autres sujets abordés dans ce chapitre

Héritage dans zenon

Propriétés héritées d'un type de données dans le cas de variables simples


Héritage dans zenon

Manuels -> Variables -> Concept d'héritage -> Héritage dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans zenon, les objets de base sont les types de données. Les types de données simples et structurés lient leurs propriétés aux variables basées sur celles-ci.

Les variables sont les objets basés sur les types de données. En principe, elles héritent de toutes leurs propriétés. Les exceptions sont les propriétés qui

peuvent uniquement être définies au niveau de la variable, par ex. l'adressage qui est basé sur le type d'objet de driver et non le type de donnée.

Dans les structures, il y a les éléments de structure. Ces derniers peuvent être embarqués ou liés. S'ils sont liés, ils héritent des propriétés du type de données auquel ils sont liés. Toutes les modifications dans le type de base sont directement répercutées. Mais aucune propriété ne peut être écrasée, comme elles ne sont que liées et non héritées.

Les éléments de structure embarqués n'ont pas, en principe, de référence vers leur type de base. Ils sont des copies, où toutes les propriétés peuvent être modifiées localement. Les modifications dans le type de base n'ont aucune influence sur eux. Les éléments de structure embarqués peuvent à tout moment être changés en éléments liés, et inversement.

Autres sujets abordés dans ce chapitre

Héritage des propriétés avec les type structures et les variables structures


Héritage des propriétés avec les type structures et les variables structures

Manuels -> Variables -> Concept d'héritage -> Héritage dans zenon -> Héritage des propriétés avec les type structures et les variables structures

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables structures sont gérées de la même façon que les variables simples. Mais les propriétés sont définies sur chaque élément de la structure. Chaque élément d'une variable structure est lié à l'élément du type structure sur lequel la variable est basée.

En plus un élément de structure peut aussi être lié à un type.

Ainsi, l'élément de la variable structure hérite des propriétés de l'élément de structure qui lui-même peut être lié à un type.

Cela peut même devenir encore plus complexe si une structure utilise d'autres structures.

Variables avec une structure dans une structure

Dans l'exemple, la variable est Engine.Speed.Control. Speed est déduite de la structure Engine. Celle-ci contient l'élément "Engine speed control" qui est aussi une structure. Cette structure est liée à la structure "Engine" car les structures dans les structures peuvent seulement être liées. Dans cette structure, "Speed control" est lié au type de données INT.

Ainsi, s'il y a des modifications dans ce type de données, ces modifications affectent directement la variable Engine.Speed Control. Engine.Speed Actual.

Donc attention aux modifications dans les types de données.

Écraser les propriétés ou restaurer les liens avec le type se fait comme décrit plus haut.


Propriétés héritées d'un type de données dans le cas de variables simples

Manuels -> Variables -> Concept d'héritage -> Propriétés héritées d'un type de données dans le cas de variables simples

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Toutes les propriétés sont héritées d'un nouveau type de données lors de la création d'une nouvelle variable. Ceci est indiqué par une marque dans la propriété.

Les propriétés héritées sont identifiées par une marque

Dans cet exemple, toutes les propriétés sont héritées du type de données sauf la propriété 'Unité'. Cette propriété a été écrasée dans la variable. Si la propriété de mesure est modifiée dans le type de données de base, la propriété d'unité de mesure sera modifiée pour toutes les variables basées sur ce type de données. Sauf dans les variables où cette propriétés a été écrasée (modifiée).

attention Attention

Veuillez noter que les modifications dans le type modifient toutes les variables basées sur ce type (sauf pour les propriétés qui ont été modifiées de façon correspondante dans les variables).

Autres sujets abordés dans ce chapitre

Ecraser les propriétés

Restaurer les propriétés d'un type de données


Ecraser les propriétés

Manuels -> Variables -> Concept d'héritage -> Propriétés héritées d'un type de données dans le cas de variables simples -> Ecraser les propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les propriétés de variables peuvent être écrasées de deux façons :

  • La propriété est modifiée avec le clavier ou la souris. Dès que la modification est faite, la référence au type est perdue.
  • La référence de cette propriété au type de données peut être coupée à l'aide du menu contextuel. Dans ce cas, seule la propriété sélectionnée ou toutes les propriétés de la variable peut (peuvent) être dissociée(s) du type de données. (Screenshot!)

Dès que la propriété est écrasée, la marque disparait. Tous les changements faits dans le type de données n'influencent plus ces propriétés.


Restaurer les propriétés d'un type de données

Manuels -> Variables -> Concept d'héritage -> Propriétés héritées d'un type de données dans le cas de variables simples -> Restaurer les propriétés d'un type de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez les propriétés écrasées et dans le menu contextuel, choisir Prendre toutes les propriétés du type de données ou seulement Lier <Nom> avec type de données. Ces propriétés retrouvent la marque du lien avec le type de données.


Calcul de la valeur

Manuels -> Variables -> Calcul de la valeur

Le calcul de la valeur définit la plage de valeurs d'une variable avec différentes propriétés.

Les valeurs fluctuantes peuvent être détectées avec différentes propriétés pour éviter les réactions indésirables telles que les alarmes ou les entrées dans les archives. Dans ce cas, la distinction suivante est faite :

  • Hystérésis : évite le transfert des valeurs fluctuantes du driver vers les variables.
  • Hystérésis pour l'archive : évite la création d'entrées dans les archives pour les valeurs qui fluctuent par rapport à la plage de mesure.
  • Hystérésis : évite les réactions indésirables, telles que les alarmes, pour les valeurs numériques fluctuantes.

Autres sujets abordés dans ce chapitre

Hystérésis


Hystérésis

Manuels -> Variables -> Calcul de la valeur -> Hystérésis

L'hystérésis définit la zone dans laquelle une modification de valeur est ignorée. Ceci permet d'éviter que des fluctuations de valeurs qui déclencheraient constamment des dépassements de valeurs limite ne soient affichées dans un élément de synoptique.

Dans <CD_ PRODUCTNAME>, l'hystérésis peut être définie dans les propriétés des variables (Plages de valeurs/Hystérésis) pour les éléments suivants :

  • Calculs des valeurs des variables : Positif pour le signal pour les propriétés et Négatif pour le signal pour la plage de signal

    Les valeurs modifiées dans la plage d'hystérésis ne sont pas transférées vers les variables depuis le driver.

  • Entrées dans l'archive en cas de changement de valeur : propriétés Positif pour l'archive et Négatif pour l'archive pour la plage de mesure

    Les valeurs modifiées situées dans la plage d'hystérésis ne sont pas saisies dans l'archive.

Example Exemple

Une valeur limite de 50 °C est définie. La température fluctue normalement dans une certaine limite. Par conséquent, la valeur limite est dépassée à chaque dépassement de la limite de 50°, ce qui déclenche une alarme et une entrée dans l'archive.

Si une hystérésis est définie pour la variable :

  • Positif pour le signal : 2
  • Négatif pour le signal : 2

Et pour l'archive en tant qu'hystérésis :

  • Positif pour l'archive : 8
  • Négatif pour le signal : 6

Ensuite :

  • Seuls les valeurs au-dessus de 52° ou en dessous de 48° sont considérées comme un dépassement de valeur limite.
  • Une entrée n'est créée dans l'archive que lorsque les valeurs s'élèvent au-dessus de 58° ou à moins de 44°.

Remarque : des hystérésis permettant d'éviter les réactions indésirables (telles que le déclenchement d'alarmes) pour limiter les dépassements de valeurs limite dues aux fluctuations des valeurs peuvent être créés à l'aide des valeurs de seuil.

info Info

Tous les drivers ne sont pas compatibles avec les hystérésis. Vous trouverez des informations concernant la compatibilité de votre driver avec les hystérésis dans la documentation du driver correspondant.


Limites

Manuels -> Variables -> Limites

Les limites ont pour but de déclencher une réaction dès qu'une limite est dépassée ou qu'un état est atteint. La limite est définie de manière fixe dans l'Éditeur ou peut être définie de manière variable selon la valeur d'une variable dans le Runtime. Les différents types de réaction peuvent se cumulés. Par exemple : Le changement de couleur, les entrées dans la liste d'alarme et dans la liste d'évènements, l'appel d'une fonction etc. sont possibles. L'exécution de la réaction est réalisée dans zenon.

La configuration de

  • limites définit le comportement des variables numériques.
  • Les états définissent le comportement des variables binaires (bas, état ou 0, 1).

Remarque : Pour des raisons de validité générale, le terme "valeur limite" désigne également les états ci-après.

Si une évaluation supplémentaire sur les informations d'états de la variable est nécessaire, alors vous devez définir une matrice de réaction.

Vous trouverez plus d'information sur les matrices de réaction dans le chapitre Matrices de réaction.

Utilisation avec EPLAN

En cas d'alarme, un document EPLAN peut également être affiché. Pour cela, la connexion à EPLAN doit disposer d'une licence et le chemin d'accès au programme EPLAN doit être défini dans le fichier zenon6.ini.
Configuration :

  • Saisie de la séquence de caractères $PRG:xxxxxx dans la propriété Fichier d'aide du groupe Valeurs limites

    Remarque : xxxxxx est l'opérateur représentant les paramètres à saisir

  • La propriété Chapitre d'aide est ignorée, mais ne doit pas être vide.

Pour plus de détails, reportez-vous au chapitre Ouverture d'EPLAN depuis l'aide dans le manuel Aide du Runtime.

Autres sujets abordés dans ce chapitre

Définir les limites dans l'éditeur

Les limites en Runtime

Texte dynamique de limite


Définir les limites dans l'éditeur

Manuels -> Variables -> Limites -> Définir les limites dans l'éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionner une variable dans la vue de détail du Gestionnaire de projet affiche toutes les propriétés de cette variable dans la fenêtre de propriétés.

Pour créer une nouvelle limite, cliquez sur Nouvelle limite. Chaque fois que vous cliquez sur Nouvelle limite (Insérer une limite), une nouvelle limite (Limite 1, Limite 2, etc.) est ajoutée à la liste.

Toutes les propriétés pour définir les limites sont affichées dans la fenêtre des propriétés et sont décrites dans l'aide embarquée. L'aide embarquée est automatiquement affichée lorsque l'on sélectionne une propriété.

Un nombre illimité de limites peuvent être définies par variable.

Cliquez sur le + devant les "Valeurs limites" ouvre la liste des limites. Toutes les limites sont listées dans ce groupe. Vous pouvez ensuite sélectionner une limite pour ouvrir ses propriétés.

Autres sujets abordés dans ce chapitre

Délai

Seuil

Déduction des limites issues du type de données

Sélection multiple

Supprimer une limite

Chevauchement de limites


Délai

Manuels -> Variables -> Limites -> Définir les limites dans l'éditeur -> Délai

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La propriété Délai [s] peut être utilisée pour configurer une valeur de délai dans les propriétés de la valeur limite. Cette valeur définit l'intervalle en secondes dans lequel le dépassement de valeur limite doit se produire pour que l'action définie associée au dépassement de limite soit exécutée.
Valeur par défaut : 0 - aucun délai

Valeur maximale : 4294967295 secondes

Le délai s'applique, quelles que soient les conditions du dépassement de limite.

Exemple :

  • Développement
    • la valeur du paramètre Valeur limite 1 est de 50.
    • la valeur du paramètre Valeur limite 2 est de 100.
    • Le délai est de 3 s.
  1. La valeur augmente à 110.
    • Après que le dépassement se soit produit pendant 3 secondes, le dépassement de la valeur limite pour la valeur 100 est affiché.
  2. La valeur diminue à 70.
    • Lorsque cette valeur a été affichée pendant 3 secondes, l'alarme de dépassement de la valeur limite 100 est désactivée et un dépassement de valeur limite pour la valeur 50 est affiché.
  3. Si la valeur descend en dessous de 40, l'alarme est désactivée après 3 secondes.

Horodatage et valeur

L'heure de la première violation est utilisée en tant qu'horodatage de la violation de limite dans la liste d'alarmes et/ou de la liste chronologique d'événements.
La première valeur après expiration du délai est définie en tant que valeur, et non la valeur déclenchant l'alarme.

Clé :

Chiffre

Description

1

Heure du dépassement de valeur limite.

Début du délai configuré.

Valeur à déclencher.

2

Fin du délai configuré. Alarme reçue :

  • Heure : heure du dépassement de valeur limite (1)
  • Valeur affichée : valeur après le délai (2)

attention Attention

Associée à la propriété Clignotement, cette propriété a l'effet suivant sur le réseau :

  • Valeur limite avec clignotement, sans délai :
    les éléments liés clignotent sur le serveur et sur les clients.
  • Valeur limite avec clignotement et délai :
    les éléments liés clignotent uniquement sur le serveur, pas sur les clients.
  • Alarme avec clignotement, sans délai :
    les éléments liés clignotent sur le serveur et sur les clients.
  • Alarme avec clignotement et délai :
    les éléments liés clignotent sur le serveur et sur les clients.


Seuil

Manuels -> Variables -> Limites -> Définir les limites dans l'éditeur -> Seuil

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les seuils permettent d'éviter les réactions indésirables à la fluctuation des valeurs numériques. Elles créent une hystérésis de valeur limite. La limite est donc différente pour le début du dépassement de limite et la fin du dépassement de limite.

Par exemple : valeur limite max. de 100, valeur de seuil de 10. Dès que la valeur de la variable atteint 100, la valeur limite est dépassée. Si la valeur redescend à 95, rien ne se passe. Le dépassement de valeur limite ne se termine que si la valeur descend à 89.

Les seuils peuvent être définis sur maximum ou minimum. Pour la configuration maximum, le seuil se déplace vers le bas, et vers le haut pour la configuration minimum.
Exemple de valeur maximum : valeur maximum = 900, seuil = 10, donne 890
La valeur limite sera dépassée à partir d'une valeur de 900, et la plage critique sera quittée lorsque la valeur chutera en dessous de 890.
Exemple de valeur minimum : valeur minimum = 900, seuil = 10, donne 910
La valeur limite sera dépassée à partir d'une valeur de 900, et la plage critique sera quittée lorsque la valeur s'élèvera au-dessus de 910.
Contrairement à l'hystérésis, cette propriété n'a aucune incidence sur l'affichage de la valeur, uniquement sur le comportement de l'alarme.


Déduction des limites issues du type de données

Manuels -> Variables -> Limites -> Définir les limites dans l'éditeur -> Déduction des limites issues du type de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les limites peuvent être déjà définies dans le type. Les limites définies dans le type sont disponibles dans toutes les variables basées sur ce type de données. Le concept d'héritage marche ici comme décrit plus haut : toutes les propriétés sont issues du type et peuvent être écrasées dans chaque variable. Ainsi une limite peut être désactivée dans une seule variable. Une limite qui provient du type ne peut pas être détruite dans une variable seule (la suppression n'est possible que dans le type). Mais des limites supplémentaires peuvent être ajoutées dans la variable. Ces limites spécifiques à une variable peuvent bien sûr être supprimées au niveau de la variable.

Vous trouverez plus d'information sur les matrices de réaction dans le chapitre Types de données.


Sélection multiple

Manuels -> Variables -> Limites -> Définir les limites dans l'éditeur -> Sélection multiple

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si plusieurs variables sont sélectionnées, les propriétés de toutes ces variables peuvent être éditées en même temps. Si une de ces variables n'a pas la limite couramment éditée, alors elle ne sera pas prise en compte.

Avec cette multi-sélection, les propriétés qui diffèrent d'une variable à l'autre sont affichées en rouge dans la fenêtre des propriétés. (La propriété de la première variable sélectionnée est affichée). Si les propriétés n'existent pas pour toutes la variables sélectionnées (par exemple les limites), elles sont affichées en jaune.


Supprimer une limite

Manuels -> Variables -> Limites -> Définir les limites dans l'éditeur -> Supprimer une limite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez sur "Supprimer limite" dans les propriétés.


Chevauchement de limites

Manuels -> Variables -> Limites -> Définir les limites dans l'éditeur -> Chevauchement de limites

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez définir des limites qui se chevauchent. Dans ce cas, zenon vérifie automatiquement quelle est la limite qui est valide.

Example Exemple

Limite 1 (maximum) est définie à 100. Limite 2 (maximum) est définie à 200. Si la variable dans le Runtime prend une valeur entre 100 et 199, alors c'est la limite 1 qui est franchie. Si la valeur dépasse 200 alors c'est la limite 2.


Les limites en Runtime

Manuels -> Variables -> Limites -> Les limites en Runtime

Pour les variables binaires, zenon réagit lorsque l'état est atteint (front montant). Pour les variables numériques, le système de contrôle réagit lorsque le maximum est atteint ou dépassé (égal ou plus grand) ou le minimum est atteint ou dépassé (égal ou plus petit). Ceci est appelé un dépassement de limite ou violation de limite.

info Info

Une variable binaire a deux limites, une limite min et une limite max. Attention : la limite min est la limite 1 et la limite max est la limite 2.

Lors du calcul des limites de variables numériques, la valeur brute de la variable (résolution de signal) destinée à être utilisée dans zenon est toujours calculée de manière linéaire, à moins qu'elle ne soit définie différemment par la fonction "ajustement de valeur non linéaire".

Exemple : Un capteur de température transmet sa valeur au système de contrôle. La variable d'octet correspondante possède une résolution de signal de 0-255. Dans zenon, la variable correspondante possède une plage de mesure de 0-100. Par conséquent :

Contrôle | Système de contrôle
0 | 0
127 | 50
255 | 100

Si une limite est dépassée, lorsque zenon démarre, la réaction est exécutée immédiatement lors du démarrage du Runtime.

Exception : Si la réaction correspond à une entrée dans la liste d’alarmes ou la liste du CEL, le système vérifie d'abord si l’entrée n’existe pas déjà (issue de la dernière session). Si c'est le cas, le système n'ajoute pas une nouvelle entrée ! Ainsi les doublons sont évités. Toutes les autres réactions sont quand même exécutées.

attention Attention

Une seule limite peut être active à un instant donné pour une variable donnée.

D'autres informations concernant la conversion de la plage de signal en plage de mesure sont disponibles dans la section d'aide dédiée aux propriétés de la fenêtre des propriétés, lorsque vous sélectionnez la propriété "Valeur".

Autres sujets abordés dans ce chapitre

Fin de dépassement de limite


Fin de dépassement de limite

Manuels -> Variables -> Limites -> Les limites en Runtime -> Fin de dépassement de limite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si une limite est dépassée, une modification de valeur à l'intérieur des plages de limite ne génère pas une nouvelle réaction.

Par exemple : une plage de valeurs limite de 100-200 est configurée. Si la valeur change de 110 à 115, aucune nouvelle réaction n'intervient. Si la valeur atteint 210, il y a une nouvelle réaction liée à la limite suivante.

Les réactions indésirables pour les valeurs numériques fluctuantes peuvent être évitées à l'aide des seuils.


Texte dynamique de limite

Manuels -> Variables -> Limites -> Texte dynamique de limite

Le texte de limite dynamique permet d'inclure les valeurs actuelles d'autres variables dans le texte de limite d'une variable ou dans une matrice de réaction. Un texte fixe peut être lié à cela via un index contenant des mots-clé générés à partir d'une table de langue (voir également Utiliser des mots-clé des tables de langues ). Dans le Runtime, ce texte de limite peut être affiché dans la Liste d'alarmes, la Liste chronologique d'événements et/ou la ligne d'état des alarmes. Dans les éléments dynamiques Texte de lien et État, le texte de limite dynamique ne peut pas être affiché.

Syntaxe

La nomenclature suivante est valide pour le paramétrage des textes de limite :

Paramètres | Description
$ | Indique que le texte de limite est dynamique. Ce caractère doit se trouver en première position dans le texte de limite.
; | Séparateur de commandes. Il est utilisé pour séparer le texte constant du texte dynamique. Lorsque vous séparez des variables, aucun espace ne doit être laissé entre le séparateur et la variable.
@Texte | texte issu de la table de langue couramment chargée.
%PV | Valeur d'une variable dont le nom est "PV"
@Text+%PV | Mot clé composé qui sera cherché dans la table de langue couramment chargée. La valeur de la variable "PV" est enregistrée et lors de l'affichage, l'association texte + valeur de la variable est recherchée dans la table de langue.

Cet encodage de texte ne marche que pour la liste d'alarmes et la liste chronologique des événements. Cette fonctionnalité est indisponible dans les éléments de texte. L'utilisation de combinaisons de mots-clé permet de créer des textes de limite dynamique pouvant comporter plus de 80 caractères.

Example Exemple 1

Texte de limite = $@Text; X-Pos ;%Value1; Y-Pos ;%Value2

Les conditions préalables suivantes sont valides :

  • @Text est un mot clé de la table de langues correspondant à "Texte de la table"
  • Value1 est une variable entière possédant la valeur 14
  • Value2 est une variable entière possédant la valeur 12

Sortie = Texte de la table X-Pos 14 Y-Pos 12

Example Exemple 2

$OFF in position ;%String1

Les conditions préalables suivantes sont valides :

  • %String1 est une variable de chaîne possédant le contenu "ORT"

Sortie = OUT à la position ORT

Example Exemple 3

$%@message_+value1
Les conditions préalables suivantes s'appliquent :

  • @message_ est une partie d'un mot clé dans la table des langues
  • Value1 est une variable entière possédant la valeur 12

La combinaison des deux donne le mot clé „message_12" et le texte correspondant dans la table de langue est affiché.

Example Exemple 4

$%@message_+String1
Les conditions préalables suivantes s'appliquent :

  • @message_ est une partie d'un mot clé dans la table des langues
  • String1 est une variable de chaîne possédant le contenu "zenon"

La combinaison des deux donne le mot clé "message_zenon" et le texte correspondant dans la table de langue est affiché.<

Limites des textes dynamiques de valeur limite

Le stockage des textes dynamiques de valeur limite aboutit à un certain nombre de limites :

  1. Le texte statique est stocké dans la zone de stockage du texte de valeur limite :
    maximum 128 caractères
  2. Les valeurs des variables liées sont stockées dans la zone de stockage du texte de commentaire :
    Maximum 80 caractères.
  3. Si des textes dynamiques de limite sont utilisés, aucun commentaire ne peut être utilisé pour ces alarmes.

Ces limites peuvent être contournées :

extension pour les textes dynamiques longs de limite.

Les valeurs de variables associées aux textes dynamiques de limites peuvent être évacuées dans un fichier distinct.

Minimum requis : dans les propriétés du projet, dans le groupe Liste d'alarmes, la propriété Textes de limite dynamiques longs pour les alarmes et/ou, dans le groupe Liste d'événements chronologique, la propriété Textes de limite dynamiques longs pour les événements est active.
Au lieu du champ de commentaires, les valeurs sont conservées dans un fichier distinct. 264 octets sont maintenant disponible par limite. 10 de ces octets par variable sont utilisés pour les informations de structure internes.

Exemple 1 : Limite dynamique avec des variables de type STRING :
Sur les 264 octets

  • 10 octets sont utilisés pour les informations de structure
  • 254 octets sont disponibles pour le contenu de la variable de chaîne

Exemple 2 : Limite dynamique avec une variable de type STRING et un variable mot :
Sur les 264 octets

  • 20 octets sont utilisés pour les informations de structure
  • 2 octets sont utilisés pour le contenu de la variable de type mot
  • 244 octets sont disponibles pour le contenu de la variable de chaîne

La limitation stricte de trois variables par texte de limite n'existe plus.
Les noms de fichier des fichiers supplémentaires créés sont Dxxx.aml et/ou Dxxx.cel.
Pour la mémoire circulaire, les informations supplémentaires sont enregistrées dans les fichiers aml.bin et cel.bin.

Textes d'erreur durant le Runtime :

Paramètres | Description
XXX | La valeur d'une variable liée a changé.
--- | les valeurs des variables liées sont indisponibles (peut se produire au démarrage du programme).
>3 | le nombre de variables liées est supérieur à 3 (la valeur ne peut donc pas être sauvegardée).

Autres sujets abordés dans ce chapitre

Mots-clé dynamiques dans les textes de limite


Mots-clé dynamiques dans les textes de limite

Manuels -> Variables -> Limites -> Texte dynamique de limite -> Mots-clé dynamiques dans les textes de limite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les messages d'alarme de variables booléennes ne fournissent pas la raison du déclenchement d'une alarme lors du traitement de messages collectifs. La cause peut être transférée à l'aide d'une variable avec indice, afin que le texte de limite imprime de toute façon la cause de l'alarme. Le texte correct est localisé et affiché à l'aide du texte de limite dynamique (reportez-vous au chapitre Changement de langue). Dans ce cas, aucun mot fixe ne peut être utilisé comme mot-clé ; utilisez un mot dynamique. Ce dernier est constitué ainsi : préfixe+valeur de l'indice de variable (soit %@errornr+mIndex).

Il est possible d'utiliser des mots-clé multidimensionnels (comportant plusieurs indices).
Par exemple : texte fixe; @Motorfehler%meinIndex1-%meinIndex2 devient, par exemple, @Motorfehler4-67 dans le Runtime. Ce mot-clé est ensuite recherché dans la table de langue, et le texte correspondant est affiché.

Exemples

Exemple 1

$@error in module: ;%moduleNr;@error type: ;%@errornr+mIndex;

Description :

$ définit un texte de valeur limite dynamique.

@erreur dans le module : mot-clé normal provenant de la table de langue.

%moduleNr : remplacé par la valeur de ModuleNr dans le Runtime (fonctionnalité du texte de limite dynamique).

@type d'erreur : un mot-clé normal provenant de la table de langue.

@errornr : la première partie du mot-clé dynamique.

+mIndex: remplacé dans le Runtime par la valeur de la variable mIndex et complète le mot-clé @errornr.

Résultat :

Valeur de mIndex | Mot-clé
1 | @errornr1
2 | @errornr2

Exemple 2 : Chaînes de caractères

$%@Message_+Internal_UINT_001;/;%@Reason_+Internal_STRING_004

Si Index_UINT_001 possède la valeur 4 et Index_STRING_004 possède la valeur Incendie, les textes Message_4 et Cause_of_fire sont recherchés dans la table de langue et affichés dans la liste d'alarmes ou la liste chronologique d'événements.


Matrices de réaction

Manuels -> Variables -> Matrices de réaction

info Info

Les informations concernant les limites peuvent être définies de manière centrale, dans une matrice de réaction.
Par exemple, lorsqu'un nombre de niveaux de remplissage correspond à un contrôle des niveaux de remplissage, cette information peut être définie dans une matrice de réaction unique. Cela permet par exemple de modifier la valeur d'une limite inférieure en un point central.

Avantages au regard des limites :

  • une même matrice de réaction peut être utilisée à plusieurs reprises. Une matrice de réaction peut être liée à plusieurs variables qui peuvent même être basées sur des types différents.
  • Les matrices de réaction peuvent gérer chaque changement de valeur d'une variable numérique comme un franchissement de limite. Ceci n'est pas possible avec les limites.
  • Avec les matrices de réaction, un état tel que non valide (voir le chapitre Gestion d'états) peut par exemple être demandé. Cela n'est en revanche pas possible avec les valeurs de limite.

Vous pouvez trouver plus d'informations concernant les limites au chapitre Limites.

Autres sujets abordés dans ce chapitre

Créer une matrice de réaction

Éditer une matrice de réaction

Types de matrices de réaction

Textes dynamiques de limite dans les matrices de réaction

États en cas de changement de valeur et de délai

List of status bits


Créer une matrice de réaction

Manuels -> Variables -> Matrices de réaction -> Créer une matrice de réaction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez "Matrices de réaction" dans le gestionnaire de projet et ouvrez le menu contextuel avec le bouton droit de la souris. Sélectionnez Nouvelle matrice de réaction …

Dans la boîte de dialogue qui apparaît, entrez le nom et le type de la matrice de réaction. Attention le type ne peut pas être changé par la suite. Le nom peut toutefois être changé à tout moment.

Les types de matrices de réaction sont utilisés pour les évaluations suivantes :

Paramètres | Description
Binaire | Evaluation d'états discrets (orienté bits)
Numérique | Evaluation d'états analogiques (orienté valeurs)
Multi-binaire | Evaluation étendue de variables 32 bits ; les 16 premiers bits déterminent la valeur de la variable et sont transmis en tant que valeurs numériques ; reroutage de bits d'état ; fonction spéciale (désactivation de variables si le bit d'état est mis à 1) (Configuration des données de protection - spécifique à SAT uniquement)
Multi-numérique | Evaluation étendue avec routage d'état simultané et fonction spéciale (désactivation de variables lorsque le bit d'état est mis à 1)
String | comparaison de chaîne


Éditer une matrice de réaction

Manuels -> Variables -> Matrices de réaction -> Éditer une matrice de réaction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour modifier une matrice de réaction :

  • Sélectionnez la matrice de réaction dans la vue de détail.
  • Sélectionnez la commande de votre choix dans le menu contextuel.

Menu contextuel de la vue de détail Matrice de réaction

Paramètre | Description
Nouvelle matrice de réaction | Crée une nouvelle matrice de réaction.
Configuration | Ouvre la boîte de dialogue de configuration de la matrice de réaction.
Copier | Copie la matrice de réaction sélectionnée.
Coller | Colle la matrice de réaction qui a été coupée ou copiée.
Supprimer | Supprime la matrice de réaction sélectionnée.
Exporter XML (sélection) | Exporte les matrices de réaction sélectionnées sous forme de fichier XML.
All filters removed (Tous filtres supprimés) | Supprime tous les paramètres de filtre
Éditer cellule sélectionnée | Ouvre la cellule pour la modification si la modification de la cellule est autorisée dans la liste.
Propriétés | Ouvre la fenêtre de propriétés.
Aide | Ouvre l'aide en ligne.

États et réactions de boîtes de dialogue

En cliquant sur Configuration, vous pouvez ouvrir la boîte de dialogue de configuration des états. Les possibilités de configuration dépendent du type de matrice de réaction.

Dans la liste États, vous pouvez également sélectionner plusieurs états à la fois et les modifier. Différents paramètres sont affichés en surbrillance (avec un fond rouge ou un cadre rouge).

Conseil : vous pouvez ainsi modifier l'état et la valeur pour plusieurs états.

Menu contextuel États

Dans la zone de liste États, les commandes suivantes sont accessibles via le menu contextuel :

Commande | Description
Creating a new status (Créer un nouvel état) | Crée un nouvel état sur la base de l'état actuellement sélectionné.
Create a new sub-status (Créer un nouveau sous-état) | Remarque concernant les éléments multi-binaires : crée un nouveau sous-état pour l'état sélectionné.
Copier | Copie l'état sélectionné vers le presse-papiers. Remarque concernant les éléments multi-binaires: Vous pouvez uniquement copier les états principaux. Les sous-états sont copiés avec les états principaux.
Coller | Colle l'état sélectionné depuis le presse-papiers.
Supprimer | Supprime l'état sélectionné de la liste. L'état par défaut ne peut pas être supprimé.
Test | Ouvre la boîte de dialogue permettant de tester l'état.
Vers le haut | Déplace les entrées sélectionnées vers le haut. (Également possible avec un glisser-déplacer.)
Bas | Déplace l'entrée sélectionnée vers le bas. (Également possible avec un glisser- & déposer.)
Aide | Ouvre l'aide en ligne de la matrice de réaction concernée.

Vous trouverez les paramètres généraux et la définition des valeurs dans la matrice de réaction correspondante :

  • Binaire
  • Numérique
  • String
  • États et réactions multi-binaires
  • États et réactions multi-numériques

info Info

Dans le cas d'un rechargement du projet ou d'un basculement sur le serveur redondant, il y a une distorsion dans les réponses présentes ou les confirmations d'écriture.


Types de matrices de réaction

Manuels -> Variables -> Matrices de réaction -> Types de matrices de réaction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cinq types de matrices de réaction sont disponibles :

  • Binaire
  • Numérique
  • String
  • Multi Binaire
  • Multi-numérique

Pour les types multi-binaire et multi-numérique, vous pouvez également configurer le texte de la liste d'informations sur les alarmes et de la liste chronologique d'événements, le routage d'états et le traitement des variables.

Autres sujets abordés dans ce chapitre

Binaire

Numérique

String

Les matrices à multi-réactions en général

Test


Binaire

Manuels -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Binaire

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une matrice de réaction binaire sert à l'évaluation de variables booléennes et de bits d'état de variables. L'évaluation est orientée bit. Des variables analogiques peuvent aussi être testées de cette façon.

Paramètre

Description

États

Liste des états développés avec valeur, état et cause de transmission.

Nouveau ...

Crée un nouvel état sur la base de l'état actuellement sélectionné.

Sous-état

Remarque concernant les éléments multi-binaires : crée un nouveau sous-état pour l'état sélectionné.

Supprimer

Supprime tous les états sélectionnés de la liste.

Test

Ouvre la boîte de dialogue permettant de tester l'état.

Vers le haut

Déplace les états sélectionnés vers le haut.

Bas

Déplace les états sélectionnés vers le bas.

État

Sélection des états.

Cause de transmission

État supplémentaire pour la cause de transmission.

Fonction

Ouvre la boîte de dialogue de liaison de fonctions. Vous pouvez désélectionner une fonction déjà liée en cliquant sur le bouton Aucune sélection dans cette boîte de dialogue.

Call via the Alarm Message List (Appel via la liste d'alarmes)

Disponible uniquement si vous avez activé l'option In Alarm Message List (Dans la liste d'alarmes) dans les listes AML/CEL.

Actif : La fonction est appelée via la liste AML.

Attributs supplémentaires

Couleur de valeur limite

Couleur lorsqu'une limite a été dépassée.

Clignotement

Actif : clignote lorsqu'une limite a été dépassée.

Invisible

Actif : devient invisible lorsqu'une limite a été dépassée.

Fichier d'aide

Cliquez sur ... pour ouvrir la boîte de dialogue permettant d'ouvrir les fichiers d'aide au format chm. Il doit déjà avoir été créé dans le gestionnaire de projet, sous Fichier/Aide.

Dans le Runtime, le fichier d'aide lié est ouvert si l'utilisateur sélectionne l'alarme correspondante et clique sur le bouton Call help (Afficher l'aide).

Remarque : la propriété peut uniquement être configurée si la propriété In Alarm Message List (Dans la liste d'alarmes) est active.

Chapitre d'aide

Indication du chapitre d'aide.

Remarque : disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Additional information 1 (Informations supplémentaires 1)

Dans le Runtime, les informations supplémentaires saisies peuvent être évaluées dans une macro VBA.

Additional information 2 (Informations supplémentaires 1)

Dans le Runtime, les informations supplémentaires saisies peuvent être évaluées dans une macro VBA.

Alarmes/Événements

In Alarm Message List (Dans la liste d'alarmes)

Actif : insertion dans la liste AML.

Acq. obligatoire

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Acquittement nécessaire.

Comment required (Commentaire requis)

Pour pouvoir acquitter une alarme, l'utilisateur doit d'abord saisir un commentaire. L'utilisateur doit être autorisé à exécuter les fonctions nécessaires.

Suppr. obligatoire

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Suppression nécessaire.

Imprimer

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Impression via l'imprimante standard définie.

Dans la liste des événements

Actif : Insertion dans la liste chronologique d'événements.
Conseil : si la valeur initiale (la première valeur provenant du contrôleur) ou la valeur au démarrage du Runtime enfreint déjà la valeur limite, ou si l'état de la matrice de réaction est actif en conséquence, aucune entrée n'est créée dans la liste chronologique d'événements. Une entrée dans la liste chronologique d'événements n'est générée que lorsque le dépassement de limite a été résolu, puis constaté à nouveau, ou qu'après que l'état soit devenu inactif, puis de nouveau actif.

Groupe d'alarmes/d'événements

Attribution à un groupe d'alarmes/d'événements.

Classe d'alarmes/d'événements

Attribution à une classe d'alarmes/d'événements.

Valeur

Paramètre | Description
Valeur | Valeur actuelle de la variable
Texte de limite | Texte affiché en cas de dépassement d'une limite.
Délai | La durée pendant laquelle le dépassement de limite doit être constaté pour que la valeur limite soit active.
Texte d'état du compteur dans le driver mathématique | Attribution de quatre numéros d'état possibles pour un compteur dans le driver mathématique. Pour cela, la variable doit comporter une matrice de réaction.

La définition de la combinaison des bits de variable et/ou de valeurs d'état s'effectue en cochant les cases appropriées. La valeur de l'état est la valeur binaire codée de façon non-linéaire des variables. La valeur transformée dans la plage de mesure (avec ajustement linéaire ou non-linéaire) n'est pas considérée !

L'attribution des bits est la suivante :

État : |
Bit "0" défini | 2^0 = 1
Bit "1" défini | 2^1 = 2
Bit "2" défini | 2^2 = 4 ....

Deux liens sont possibles. La signification des champs est la suivante :

État : |
Not considered (Non pris en compte) | lorsqu'il y a un point, non défini
vérification de "0" | 0, le bit est vérifié pour une valeur logique "0"
vérification de "1" | 1, le bit est vérifié pour une valeur logique "1"

L'ordre de la configuration est un facteur décisif lors des utilisations futures. Au cours du traitement de la matrice de réaction en mode de fonctionnement en ligne, la vérification de la combinaison de l'état et du bit d'état démarre à la première ligne. La vérification se poursuit jusqu'à la ligne pour laquelle la combinaison est vraie. Les lignes suivantes ne sont pas vérifiées. Si aucune ligne n'est vraie par rapport à la valeur actuelle de la variable, l'entrée par défaut est appliquée. Ceci permet d'établir une hiérarchisation de la priorité des textes de limites pour la liste chronologique des événements et la liste d'alarmes. L'évaluation des états se fait de la même façon que l'évaluation de la valeur de la variable.

Analyse

Pour les variables binaires, seul le bit 0 est évalué. Les autres bits sont ignorés. Pour les variables 8 bits (Types IEC : SINT et USINT) seuls les bits de 0 à 7 sont évalués, etc.

Exemple | (information simple et surveillance de perturbations)
Vérifier si le bit INVALID est défini | ................, ............1...
Vérifier si le bit "0" est à 1 | ...............0, ................
Vérifier si le bit "1" est à 1 | ...............1, ................

Dans l'exemple ci-dessus, la vérification se termine après la première ligne en cas de détection de l'état INVALID (pas de connexion à l'automate – variable perturbée), peu importe la valeur de la variable. Les propriétés de la variable (alarme, clignotement, liste CEL, etc.) sont contrôlées exclusivement par cette condition. Dès que l'état INVALID n'est plus détecté, les autres lignes sont traitées. Si vous souhaitez modifier l'ordre, vous pouvez le faire en sélectionnant la ligne concernée et en cliquant sur les boutons Nouveau, Supprimer, Vers le haut et Vers le bas.


Numérique

Manuels -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Numérique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une matrice de réaction numérique sert à l'évaluation de tous les types d'états limites et de bits d'état de variables. Par rapport aux matrices binaires, ici les valeurs numériques peuvent être évaluées. Ici c'est la valeur ajustée (de façon linéaire ou non-linéaire) qui est utilisée et non pas la valeur automate.

Paramètre

Description

États

Liste des états développés avec valeur, état et cause de transmission.

Nouveau ...

Crée un nouvel état sur la base de l'état actuellement sélectionné.

Sous-état

Remarque concernant les éléments multi-binaires : crée un nouveau sous-état pour l'état sélectionné.

Supprimer

Supprime tous les états sélectionnés de la liste.

Test

Ouvre la boîte de dialogue permettant de tester l'état.

Vers le haut

Déplace les états sélectionnés vers le haut.

Bas

Déplace les états sélectionnés vers le bas.

État

Sélection des états.

Cause de transmission

État supplémentaire pour la cause de transmission.

Fonction

Ouvre la boîte de dialogue de liaison de fonctions. Vous pouvez désélectionner une fonction déjà liée en cliquant sur le bouton Aucune sélection dans cette boîte de dialogue.

Call via the Alarm Message List (Appel via la liste d'alarmes)

Disponible uniquement si vous avez activé l'option In Alarm Message List (Dans la liste d'alarmes) dans les listes AML/CEL.

Actif : La fonction est appelée via la liste AML.

Attributs supplémentaires

Couleur de valeur limite

Couleur lorsqu'une limite a été dépassée.

Clignotement

Actif : clignote lorsqu'une limite a été dépassée.

Invisible

Actif : devient invisible lorsqu'une limite a été dépassée.

Fichier d'aide

Cliquez sur ... pour ouvrir la boîte de dialogue permettant d'ouvrir les fichiers d'aide au format chm. Il doit déjà avoir été créé dans le gestionnaire de projet, sous Fichier/Aide.

Dans le Runtime, le fichier d'aide lié est ouvert si l'utilisateur sélectionne l'alarme correspondante et clique sur le bouton Call help (Afficher l'aide).

Remarque : la propriété peut uniquement être configurée si la propriété In Alarm Message List (Dans la liste d'alarmes) est active.

Chapitre d'aide

Indication du chapitre d'aide.

Remarque : disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Additional information 1 (Informations supplémentaires 1)

Dans le Runtime, les informations supplémentaires saisies peuvent être évaluées dans une macro VBA.

Additional information 2 (Informations supplémentaires 1)

Dans le Runtime, les informations supplémentaires saisies peuvent être évaluées dans une macro VBA.

Alarmes/Événements

In Alarm Message List (Dans la liste d'alarmes)

Actif : insertion dans la liste AML.

Acq. obligatoire

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Acquittement nécessaire.

Comment required (Commentaire requis)

Pour pouvoir acquitter une alarme, l'utilisateur doit d'abord saisir un commentaire. L'utilisateur doit être autorisé à exécuter les fonctions nécessaires.

Suppr. obligatoire

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Suppression nécessaire.

Imprimer

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Impression via l'imprimante standard définie.

Dans la liste des événements

Actif : Insertion dans la liste chronologique d'événements.
Conseil : si la valeur initiale (la première valeur provenant du contrôleur) ou la valeur au démarrage du Runtime enfreint déjà la valeur limite, ou si l'état de la matrice de réaction est actif en conséquence, aucune entrée n'est créée dans la liste chronologique d'événements. Une entrée dans la liste chronologique d'événements n'est générée que lorsque le dépassement de limite a été résolu, puis constaté à nouveau, ou qu'après que l'état soit devenu inactif, puis de nouveau actif.

Groupe d'alarmes/d'événements

Attribution à un groupe d'alarmes/d'événements.

Classe d'alarmes/d'événements

Attribution à une classe d'alarmes/d'événements.

Valeur

Paramètre

Description

Valeur

Définition de la déclaration de la valeur :

  • tous : tout changement de valeur dépasse la limite
  • supérieure : saisie d'une limite
  • inférieure : saisie d'une limite
  • égale : saisie d'une limite
  • Zone : Saisie d'une plage (de... à)

Texte de limite

Texte affiché en cas de dépassement d'une limite.

Traiter chaque modif. de valeur comme un nouveau dépassement de limite

Actif : Chaque modification de la valeur est affichée sous forme de dépassement de limite.

Délai

La durée pendant laquelle le dépassement de limite doit être constaté pour que la valeur limite soit active.

Texte d'état du compteur dans le driver mathématique

Attribution de quatre numéros d'état possibles pour un compteur dans le driver mathématique. Pour cela, la variable doit comporter une matrice de réaction.

info Info

Une valeur décimale peut être saisie avec une virgule ou un point ; le séparateur décimal sera automatiquement remplacé par un point.


String

Manuels -> Variables -> Matrices de réaction -> Types de matrices de réaction -> String

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une matrice de réaction de type "String" sert à l'évaluation de valeurs limite et de bits d'état de variables de type "String". En complément des configurations connues de combinaisons de valeur limite et d'états, d'autres configurations sont possibles.

Paramètre

Description

États

Liste des états développés avec valeur, état et cause de transmission.

Nouveau ...

Crée un nouvel état sur la base de l'état actuellement sélectionné.

Sous-état

Remarque concernant les éléments multi-binaires : crée un nouveau sous-état pour l'état sélectionné.

Supprimer

Supprime tous les états sélectionnés de la liste.

Test

Ouvre la boîte de dialogue permettant de tester l'état.

Vers le haut

Déplace les états sélectionnés vers le haut.

Bas

Déplace les états sélectionnés vers le bas.

État

Sélection des états.

Cause de transmission

État supplémentaire pour la cause de transmission.

Fonction

Ouvre la boîte de dialogue de liaison de fonctions. Vous pouvez désélectionner une fonction déjà liée en cliquant sur le bouton Aucune sélection dans cette boîte de dialogue.

Call via the Alarm Message List (Appel via la liste d'alarmes)

Disponible uniquement si vous avez activé l'option In Alarm Message List (Dans la liste d'alarmes) dans les listes AML/CEL.

Actif : La fonction est appelée via la liste AML.

Attributs supplémentaires

Couleur de valeur limite

Couleur lorsqu'une limite a été dépassée.

Clignotement

Actif : clignote lorsqu'une limite a été dépassée.

Invisible

Actif : devient invisible lorsqu'une limite a été dépassée.

Fichier d'aide

Cliquez sur ... pour ouvrir la boîte de dialogue permettant d'ouvrir les fichiers d'aide au format chm. Il doit déjà avoir été créé dans le gestionnaire de projet, sous Fichier/Aide.

Dans le Runtime, le fichier d'aide lié est ouvert si l'utilisateur sélectionne l'alarme correspondante et clique sur le bouton Call help (Afficher l'aide).

Remarque : la propriété peut uniquement être configurée si la propriété In Alarm Message List (Dans la liste d'alarmes) est active.

Chapitre d'aide

Indication du chapitre d'aide.

Remarque : disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Additional information 1 (Informations supplémentaires 1)

Dans le Runtime, les informations supplémentaires saisies peuvent être évaluées dans une macro VBA.

Additional information 2 (Informations supplémentaires 1)

Dans le Runtime, les informations supplémentaires saisies peuvent être évaluées dans une macro VBA.

Alarmes/Événements

In Alarm Message List (Dans la liste d'alarmes)

Actif : insertion dans la liste AML.

Acq. obligatoire

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Acquittement nécessaire.

Comment required (Commentaire requis)

Pour pouvoir acquitter une alarme, l'utilisateur doit d'abord saisir un commentaire. L'utilisateur doit être autorisé à exécuter les fonctions nécessaires.

Suppr. obligatoire

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Suppression nécessaire.

Imprimer

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Impression via l'imprimante standard définie.

Dans la liste des événements

Actif : Insertion dans la liste chronologique d'événements.
Conseil : si la valeur initiale (la première valeur provenant du contrôleur) ou la valeur au démarrage du Runtime enfreint déjà la valeur limite, ou si l'état de la matrice de réaction est actif en conséquence, aucune entrée n'est créée dans la liste chronologique d'événements. Une entrée dans la liste chronologique d'événements n'est générée que lorsque le dépassement de limite a été résolu, puis constaté à nouveau, ou qu'après que l'état soit devenu inactif, puis de nouveau actif.

Groupe d'alarmes/d'événements

Attribution à un groupe d'alarmes/d'événements.

Classe d'alarmes/d'événements

Attribution à une classe d'alarmes/d'événements.

Valeur

Paramètre

Description

Valeur

Définition de la déclaration de la valeur :

  • tous : tout changement de valeur dépasse la limite
  • supérieure : saisie d'une limite
  • inférieure : saisie d'une limite
  • égale : saisie d'une limite
  • Zone : Saisie d'une plage (de... à)

Respecter la casse

Lors de la comparaison entre les chaînes de caractères, les minuscules et majuscules sont différenciées.

Utiliser caractères génériques

Les chaînes de caractères peuvent contenir des caractères génériques.

(Les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.)

Texte de limite

Texte affiché en cas de dépassement d'une limite.

Traiter chaque modif. de valeur comme un nouveau dépassement de limite

Actif : Chaque modification de la valeur est affichée sous forme de dépassement de limite.

Délai

La durée pendant laquelle le dépassement de limite doit être constaté pour que la valeur limite soit active.

Texte d'état du compteur dans le driver mathématique

Attribution de quatre numéros d'état possibles pour un compteur dans le driver mathématique. Pour cela, la variable doit comporter une matrice de réaction.

Example Exemple

Exemple 1 :
Dans l'ordre d'exécution majuscule avant minuscule :
Soient les chaînes de caractères : "Mon", "nom", "est", "Daniel"
Séquence d'exécution :
est, Nom, Mon, Daniel.

Pourquoi :
"est" commence avec une minuscule, et se trouve donc avant les autres chaînes.
Pour "Nom", N est plus 'grand' que M et D, et pour "Mon", M est plus 'grand' que D


Les matrices à multi-réactions en général

Manuels -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Les matrices à multi-réactions en général

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Onglets | Description
État et réactions | Configuration des états et réactions des matrices de réaction multi-binaire et multi-numérique.
Texte d'alarme/d'événement | Configuration de la sortie de la valeur adjacente au texte de limite dans la liste d'alarmes et la liste chronologique d'événements.
Tri d'états | Configuration du routage d'états.
Fonctions spéciales | Configuration des fonctions spéciales.

Remarque : les bits d'état NORM et N_NORM sont disponibles pour les deux types de matrices multi-réactions, mais pas pour les matrices standard.

Traitement de l'information

Les 16 bits 16 à 31 servent à la configuration de données de protection pour le traitement d'informations ; le numéro de l'information est mémorisé dans les 16 bits supérieurs.

La fonction des matrices de réaction multi binaires est identique à celle des matrices de réaction binaires pour les états principaux. En cas de modification des états principaux, les états de configuration respectifs (alarme, liste chronologique d'événements, texte etc.) sont exécutées.

  • Si un état principal comporte des sous-états, les sous-états sont vérifiés en premier lieu lorsque l'état principal est atteint.
  • Si aucun sous-état ne correspond à l'état actuel des variables, la configuration d'état correspondante (alarme, CEL, texte etc.) de l'état principal est exécutée.
  • Si le sous-état correspond à l'état actuel des variables, la configuration d'état respective (alarme, CEL, texte etc.) du sous-état concerné est exécutée.
  • Si l'état des variables change d'un sous-état vers l'état principal, aucune nouvelle sortie n'est ajoutée à la liste chronologique des événements ou à la liste d'alarmes (par ex. traitement des déclenchements d'interrupteurs dans le système SAT).

Exemple :

Paramètre | Description
Valeur principale | Configuration -> valeur basse xxxxxx00 pas d'alarme, texte CEL "Off" -> xxxxx100 alarme, texte CEL "Déclenchement frein off" xxxxxx01 pas d'alarme, texte CEL "On" xxxxxx10 alarme, texte CEL "Différence" xxxxxx11 alarme, texte CEL "Dysfonctionnement"
Changement de "ON" à "OFF" | Pas d'alarme, texte CEL "On"
Changement de "ON" à "OFF" | Entrée d'alarme "Déclenchement interrupteur off", texte CEL "Déclenchement interrupteur off" -> Acquittement du déclenchement d'interrupteur (changement de "ARRET DECLENCHEMENT INTERRUPTEUR" en "OFF") suppression de l'alarme "déclenchement frein off", pas de nouveau texte de CEL

Pour la sortie dans la liste chronologique d'événements et les synoptiques du procédé, le contenu complet de la variable peut être séparé en deux parties. Une partie est utilisée pour la définition de la limite et la seconde partie (valeur) est utilisée dans les synoptiques. (Champ d'application : télégramme de protection dans SAT 1703).

Cause de transmission

Les matrices de réaction multi-binaires et multi-analogiques autorisent l'évaluation de la cause de transfert.

Le standard IEC 60870-5-101/104. La cause de transmission est constituée de :

Bit | Description
6 bit | Value de la cause de transmission 0 ... 63
1 bit | N_CONF Bit P/N 0 = positif 1 = confirmation négative
1 bit | Bit de test

Dans la matrice de réaction, l'identification de la cause de transmission et le bit N_CONF (bit P/N) peuvent être attribués à chaque état. Ainsi la "violation" de l'état est déclenché seulement si la cause de transmission est la même que celle qui a été définie.

Paramètre | Description
Case à cocher Transfer cause (Cause de transfert). | Active l'évaluation du champ de saisie Transfer cause (Cause de transfert).
Champ de saisie Transfer cause (Cause de transfert) | Attend une valeur comprise entre 0 et 63 comme identification de la cause de transfert.

Autres sujets abordés dans ce chapitre

Etats et réactions multi-binaires

États et réactions multi-numériques

Configuration du texte de la liste d'alarmes et de la liste chronologique d'événements

Configuration du routage d'états

Configuration des fonctions spéciales


Etats et réactions multi-binaires

Manuels -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Les matrices à multi-réactions en général -> Etats et réactions multi-binaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une matrice de réaction multi binaire sert à l'évaluation de valeurs, états et bits d'état de variables booléennes. Les bits de 0 à 15 sont utilisés en tant que valeur pour l'affichage dans les synoptiques (éléments dynamiques) et dans la liste chronologique d'événements (champs "valeur"). En complément des configurations connues de combinaisons de valeur et d'états, d'autres configurations sont possibles.

Paramètre

Description

États

Liste des états développés avec valeur, état et cause de transmission.

Nouveau ...

Crée un nouvel état sur la base de l'état actuellement sélectionné.

Sous-état

Remarque concernant les éléments multi-binaires : crée un nouveau sous-état pour l'état sélectionné.

Supprimer

Supprime tous les états sélectionnés de la liste.

Test

Ouvre la boîte de dialogue permettant de tester l'état.

Vers le haut

Déplace les états sélectionnés vers le haut.

Bas

Déplace les états sélectionnés vers le bas.

État

Sélection des états.

Cause de transmission

État supplémentaire pour la cause de transmission.

Fonction

Ouvre la boîte de dialogue de liaison de fonctions. Vous pouvez désélectionner une fonction déjà liée en cliquant sur le bouton Aucune sélection dans cette boîte de dialogue.

Call via the Alarm Message List (Appel via la liste d'alarmes)

Disponible uniquement si vous avez activé l'option In Alarm Message List (Dans la liste d'alarmes) dans les listes AML/CEL.

Actif : La fonction est appelée via la liste AML.

Attributs supplémentaires

Couleur de valeur limite

Couleur lorsqu'une limite a été dépassée.

Clignotement

Actif : clignote lorsqu'une limite a été dépassée.

Invisible

Actif : devient invisible lorsqu'une limite a été dépassée.

Fichier d'aide

Cliquez sur ... pour ouvrir la boîte de dialogue permettant d'ouvrir les fichiers d'aide au format chm. Il doit déjà avoir été créé dans le gestionnaire de projet, sous Fichier/Aide.

Dans le Runtime, le fichier d'aide lié est ouvert si l'utilisateur sélectionne l'alarme correspondante et clique sur le bouton Call help (Afficher l'aide).

Remarque : la propriété peut uniquement être configurée si la propriété In Alarm Message List (Dans la liste d'alarmes) est active.

Chapitre d'aide

Indication du chapitre d'aide.

Remarque : disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Additional information 1 (Informations supplémentaires 1)

Dans le Runtime, les informations supplémentaires saisies peuvent être évaluées dans une macro VBA.

Additional information 2 (Informations supplémentaires 1)

Dans le Runtime, les informations supplémentaires saisies peuvent être évaluées dans une macro VBA.

Alarmes/Événements

In Alarm Message List (Dans la liste d'alarmes)

Actif : insertion dans la liste AML.

Acq. obligatoire

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Acquittement nécessaire.

Comment required (Commentaire requis)

Pour pouvoir acquitter une alarme, l'utilisateur doit d'abord saisir un commentaire. L'utilisateur doit être autorisé à exécuter les fonctions nécessaires.

Suppr. obligatoire

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Suppression nécessaire.

Imprimer

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Impression via l'imprimante standard définie.

Dans la liste des événements

Actif : Insertion dans la liste chronologique d'événements.
Conseil : si la valeur initiale (la première valeur provenant du contrôleur) ou la valeur au démarrage du Runtime enfreint déjà la valeur limite, ou si l'état de la matrice de réaction est actif en conséquence, aucune entrée n'est créée dans la liste chronologique d'événements. Une entrée dans la liste chronologique d'événements n'est générée que lorsque le dépassement de limite a été résolu, puis constaté à nouveau, ou qu'après que l'état soit devenu inactif, puis de nouveau actif.

Groupe d'alarmes/d'événements

Attribution à un groupe d'alarmes/d'événements.

Classe d'alarmes/d'événements

Attribution à une classe d'alarmes/d'événements.

Case à cocher État

Chaque état peut comporter l'un de 5 états. Ils sont définis en cliquant sur la case à cocher située avant l'état correspondant.

Etats possibles :

  • Not considered (Non pris en compte) (point)
  • On (Actif) (1)
  • Off (Inactif) (0)
  • Coming (Entrant) (flèche vers le haut)
  • Going (Sortant) (Flèche vers le bas)
  • Alternating (Changeant) (double flèche)

Valeur

Paramètres | Description
Valeur | Valeur actuelle de la variable
Texte de valeur limite | Texte affiché en cas de dépassement d'une limite.
Délai | La durée pendant laquelle le dépassement de limite doit être constaté pour que la valeur limite soit active.
Texte d'état du compteur dans le driver mathématique | Attribution de quatre numéros d'état possibles pour un compteur dans le driver mathématique. Pour cela, la variable doit comporter une matrice de réaction.

info Info

Une valeur décimale peut être saisie avec une virgule ou un point ; le séparateur décimal sera automatiquement remplacé par un point.


États et réactions multi-numériques

Manuels -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Les matrices à multi-réactions en général -> États et réactions multi-numériques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Une matrice de réaction multi-numérique sert à l'évaluation de valeurs limite et de bits d'état de variables. En complément des configurations connues de combinaisons de valeur limite et d'états, d'autres configurations sont possibles.

Paramètre

Description

États

Liste des états développés avec valeur, état et cause de transmission.

Nouveau ...

Crée un nouvel état sur la base de l'état actuellement sélectionné.

Sous-état

Remarque concernant les éléments multi-binaires : crée un nouveau sous-état pour l'état sélectionné.

Supprimer

Supprime tous les états sélectionnés de la liste.

Test

Ouvre la boîte de dialogue permettant de tester l'état.

Vers le haut

Déplace les états sélectionnés vers le haut.

Bas

Déplace les états sélectionnés vers le bas.

État

Sélection des états.

Cause de transmission

État supplémentaire pour la cause de transmission.

Fonction

Ouvre la boîte de dialogue de liaison de fonctions. Vous pouvez désélectionner une fonction déjà liée en cliquant sur le bouton Aucune sélection dans cette boîte de dialogue.

Call via the Alarm Message List (Appel via la liste d'alarmes)

Disponible uniquement si vous avez activé l'option In Alarm Message List (Dans la liste d'alarmes) dans les listes AML/CEL.

Actif : La fonction est appelée via la liste AML.

Attributs supplémentaires

Couleur de valeur limite

Couleur lorsqu'une limite a été dépassée.

Clignotement

Actif : clignote lorsqu'une limite a été dépassée.

Invisible

Actif : devient invisible lorsqu'une limite a été dépassée.

Fichier d'aide

Cliquez sur ... pour ouvrir la boîte de dialogue permettant d'ouvrir les fichiers d'aide au format chm. Il doit déjà avoir été créé dans le gestionnaire de projet, sous Fichier/Aide.

Dans le Runtime, le fichier d'aide lié est ouvert si l'utilisateur sélectionne l'alarme correspondante et clique sur le bouton Call help (Afficher l'aide).

Remarque : la propriété peut uniquement être configurée si la propriété In Alarm Message List (Dans la liste d'alarmes) est active.

Chapitre d'aide

Indication du chapitre d'aide.

Remarque : disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Additional information 1 (Informations supplémentaires 1)

Dans le Runtime, les informations supplémentaires saisies peuvent être évaluées dans une macro VBA.

Additional information 2 (Informations supplémentaires 1)

Dans le Runtime, les informations supplémentaires saisies peuvent être évaluées dans une macro VBA.

Alarmes/Événements

In Alarm Message List (Dans la liste d'alarmes)

Actif : insertion dans la liste AML.

Acq. obligatoire

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Acquittement nécessaire.

Comment required (Commentaire requis)

Pour pouvoir acquitter une alarme, l'utilisateur doit d'abord saisir un commentaire. L'utilisateur doit être autorisé à exécuter les fonctions nécessaires.

Suppr. obligatoire

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Suppression nécessaire.

Imprimer

Disponible uniquement si l'option In Alarm Message List (Dans la liste d'alarmes) est activée.

Actif : Impression via l'imprimante standard définie.

Dans la liste des événements

Actif : Insertion dans la liste chronologique d'événements.
Conseil : si la valeur initiale (la première valeur provenant du contrôleur) ou la valeur au démarrage du Runtime enfreint déjà la valeur limite, ou si l'état de la matrice de réaction est actif en conséquence, aucune entrée n'est créée dans la liste chronologique d'événements. Une entrée dans la liste chronologique d'événements n'est générée que lorsque le dépassement de limite a été résolu, puis constaté à nouveau, ou qu'après que l'état soit devenu inactif, puis de nouveau actif.

Groupe d'alarmes/d'événements

Attribution à un groupe d'alarmes/d'événements.

Classe d'alarmes/d'événements

Attribution à une classe d'alarmes/d'événements.

Valeur

Paramètre

Description

Valeur

Définition de la déclaration de la valeur :

  • tous : tout changement de valeur dépasse la limite
  • supérieure : saisie d'une limite
  • inférieure : saisie d'une limite
  • égale : saisie d'une limite
  • Zone : Saisie d'une plage (de... à)

Texte de limite

Texte affiché en cas de dépassement d'une limite.

Traiter chaque modif. de valeur comme un nouveau dépassement de limite

Actif : Chaque modification de la valeur est affichée sous forme de dépassement de limite.

Délai

La durée pendant laquelle le dépassement de limite doit être constaté pour que la valeur limite soit active.

Texte d'état du compteur dans le driver mathématique

Attribution de quatre numéros d'état possibles pour un compteur dans le driver mathématique. Pour cela, la variable doit comporter une matrice de réaction.

info Info

Une valeur décimale peut être saisie avec une virgule ou un point ; le séparateur décimal sera automatiquement remplacé par un point.


Configuration du texte de la liste d'alarmes et de la liste chronologique d'événements

Manuels -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Les matrices à multi-réactions en général -> Configuration du texte de la liste d'alarmes et de la liste chronologique d'événements

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cet onglet, les messages de la liste d'alarmes et de la liste chronologique d'événements sont configurés.


Configuration du routage d'états

Manuels -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Les matrices à multi-réactions en général -> Configuration du routage d'états

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cet onglet, le routage d'état peut être configuré. Cette fonction gère le routage de bits (et également la négation de bits) vers d'autres bits.

Sources possibles : Valeur des bits 0 ... 31l

Paramètres | Description
Bit source | Sélectionnez le bit source à partir d'une liste
NEG | Inversion (négation) du bit source pendant le "transfert"
Bit d'état | Sélectionnez le bit cible à partir d'une liste
Accepter | Accepte le "routage" sélectionné
Supprimer | Supprime le routage sélectionné ; Attention : Aucune confirmation ne vous sera demandée
Flèche vers le haut | Déplacer le routage sélectionné vers le haut dans la séquence
Flèche vers le bas | Déplacer le routage sélectionné vers le bas dans la séquence


Configuration des fonctions spéciales

Manuels -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Les matrices à multi-réactions en général -> Configuration des fonctions spéciales

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cet onglet, vous configurez les fonctions spéciales.

Avec les bits d'état actifs, les variables peuvent être désactivées automatiquement et les modifications d'états (lors de la réinitialisation) peuvent être autorisées au niveau des variables désactivées. Pour plus de détails, reportez-vous au chapitre Définition d'états.

Paramètres | Description
Désactiver pour | bits d'état pour lesquels la variable doit être désactivée ; on peut choisir "0" ou "1"
Autoriser pour | bits d'état pour lesquels une modification de l'état doit être autorisée
Pas de comparaison Ancien/Nouveau | Pas de gestion des changements
Pas de comparaison Ancien/nouveau pour chemin EZ | Pas de gestion des changements dans le chemin temps réel


Test

Manuels -> Variables -> Matrices de réaction -> Types de matrices de réaction -> Test

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Permet de tester les paramètres de la matrice de réaction. Selon la configuration de la matrice de réaction, une simulation des événements déclenchés lorsque des valeurs définies sont atteintes est effectuée. Les entrées dans les listes CEL ou AML sont simulées. Cette fonctionnalité concerne SICAM 230.

Paramètres | Description
État | Permet de simuler un changement d'état.
Valeur | Simulation des changements de valeurs.
Résultat du test | Affichage des changements d'état et de valeur dans les listes CEL et AML.
SendenEZ | Envoi de modifications en temps réel.
SendenNEZ | Envoyer les modifications.


Textes dynamiques de limite dans les matrices de réaction

Manuels -> Variables -> Matrices de réaction -> Textes dynamiques de limite dans les matrices de réaction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les textes dynamiques de limite peuvent aussi être utilisés dans les matrices de réaction :

$ %PV

$ @text

Voir également le chapitre Texte de limite dynamique.

La même matrice de réaction peut être utilisée sur plusieurs variables.


États en cas de changement de valeur et de délai

Manuels -> Variables -> Matrices de réaction -> États en cas de changement de valeur et de délai

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un état peut générer des alarmes en fonction des valeurs et des délais. Par exemple, une alarme peut être créée si une variable n'a pas changé depuis un certain temps.

Configuration :

  • Valeur : indifférent
  • Traiter chaque modif. de valeur comme un nouveau dépassement de limite : active
  • Délai : >0

Dans ce cas :

  • l'alarme est activée si la valeur est une constante plus longue que la valeur Délai.
  • Si la valeur change dans le délai, le délai redémarre. Par exemple, une alarme peut être créée si une variable n'a pas changé depuis un certain temps.


List of status bits

Manuels -> Variables -> Matrices de réaction -> List of status bits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | État utilisateur 1 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélection sur le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En cours d'utilisation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | VAL_M;valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | RG;Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Non valide | _VSB_I_BIT
19 | T_CHG_A | Annonce heure été/hiver | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel externe | _VSB_RT_E
22 | T_INTERN | Horodatage temps réel interne | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | MM_TR;Message de marche du transfo | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | VALR;valeur de remplacement Si aucune valeur n'a été transférée, la valeur de remplacement définie est utilisée ; dans le cas contraire, la dernière valeur valide est utilisée. | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Non mis à jour | _VSB_ACTUAL
30 | T_STD | Heure standard | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission, bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission, bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission, bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission, bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission, bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission, bit 6 | _VSB_TCB5
38 | N_CONF | Pas d'acceptation du mode Select par le matériel (IEC 60870) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | DEVNORM;État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : bloqué | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substitué | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : non topique | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : dépassement | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : sélectionné | _VSB_SE_BIT
49 | T_INVAL | Temps invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | RES52 | réservé | non défini
53 | RES53 | réservé | non défini
54 | RES54 | réservé | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Info

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états


Fonctions des variables

Manuels -> Variables -> Fonctions des variables

Fonctions permettant d'exécuter des commandes dans le Runtime à l'aide d'un bouton ou d'un script.

Pour créer une fonction :

  1. sélectionnez Nouvelle fonction... dans le menu contextuel ou la barre d'outils.
  2. Accédez à la variable.
  3. Sélectionnez la fonction de votre choix.

Autres sujets abordés dans ce chapitre

Exporter données

Lire un fichier dBase

Imprimer valeurs actuelles

Gestion HD active

Gestion HD inactive

Valeurs de tendances actives/inactives

Spécifier valeur prescrite

Commandes driver

Écrire l'heure dans une variable

Lire l'heure d'une variable


Exporter données

Manuels -> Variables -> Fonctions des variables -> Exporter données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction permet d'exporter les données de variables dans le Runtime.

Le format d'exportation et le nom de fichier sont définis dans l'Éditeur. L'emplacement de stockage lors de l'exécution dans le Runtime est le dossier Export, situé dans le dossier du Runtime.

Conseil : Vous pouvez accéder au dossier du projet en sélectionnant le projet dans l'Éditeur et en appuyant sur la combinaison de touches Ctrl+Alt+R.

Pour créer la fonction :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Exporter données.
  3. La boîte de dialogue de configuration s'affiche.

Paramètre

Description

Format de sortie

Format

Sélectionnez l'un des types de fichiers disponibles :

  • dBase IV (*.dbf)
  • Fichiers XML (*.xml)
  • CSV (*.txt)

En Unicode

Cette case à cocher est uniquement active si vous avez sélectionné le type de fichier CSV (*.txt).
Active : le fichier est enregistré au format Unicode (UTF-16).

Noms de fichiers

Créez les noms de fichiers.
Au maximum, 8 caractères sont autorisés pour les fichiers DBF.

Remarque : le nom ne peut plus être modifié dans le Runtime.

Emplacement de stockage dans le Runtime : dossier Export, situé dans le dossier du Runtime.

Variables

Sélection des variables

Sélection de variables à exporter. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables.

Cette sélection ne peut plus être modifiée dans le Runtime.

Remarque : pour qu'une variable puisse être sélectionnée, vous devez activer la propriété Stockage de données sur disque dur actif dans le groupe Stockage données disque dur pour cette variable.

Initialiser à nouveau les valeurs

Pour les valeurs stockées sur le disque dur (HD), une mémoire circulaire est remplie et conservée.
Active : la mémoire circulaire est vidée pour l'exportation.
Inactive : le buffer circulaire est conservé.


Lire un fichier dBase

Manuels -> Variables -> Fonctions des variables -> Lire un fichier dBase

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour lire un fichier dBase et le produire en tant que recette en mode de fonctionnement en ligne.

Indiquez le fichier dBase comme paramètre de transfert. Le fichier et le nom du répertoire doivent être compatible DOS.

Ce fichier contient les noms des variables du procédé et les valeurs correspondantes. Si la variable définie existe dans le projet, la valeur définie dans le fichier dBase est transmise à l'automate comme nouvelle valeur prescrite.

Le fichier dBaseIV doit avoir les structure et contenus suivants :

Description | Type | Valeur | Commentaire
NAME | Char | 32 | Nom de la variable du procédé
WERT | Num | 20 | Valeur technique
TYP | Char | 8 | Type de données (C = chaîne, N = numérique)
DIRECTION | Char | 12 |


Imprimer valeurs actuelles

Manuels -> Variables -> Fonctions des variables -> Imprimer valeurs actuelles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour créer un rapport simple des valeurs de variables (variables du procédé et variables dérivées) en mode de fonctionnement en ligne.

Indiquez un fichier de formatage comme paramètre de transfert. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie.

Les options pouvant être configurées sont les suivantes :

Paramètres | Description
Boutons système | OK, Annuler, Aide
Avec dialogue d'annulation | Affiche un dialogue qui permet d'annuler pendant la génération en mode de fonctionnement en ligne
Sélectionner fichier de formatage | Ouvre une boîte de dialogue permettant de sélectionner un fichier *.FRM. Ce fichier est créé avec le bouton situé en dessous. Le format FRM est décrit ci-dessous.
Démarrer éditeur de format | Démarre l'éditeur texte pour la création de fichier
Police | Définit la police à utiliser

Sélectionnez le fichier (*.FRM) en cliquant sur le bouton "Sélectionner fichier de formatage".

Des mots-clé définis peuvent être utilisés dans le fichier de formatage. En mode de fonctionnement en ligne, les paramètres des variables correspondants sont utilisés au lieu des mots-clé

Mot clé

Mot-clé | Description
@TTA.name | Nom de variable
@TTA.wert | Donne la valeur technique actuelle ou un état binaire ou une chaîne, selon le type de la variable
@TTA.einheit | Renvoie le texte défini pour la variable de procédé
@TTA.text | Renvoie le texte défini pour la variable de procédé
@TTA.status | Donne le bit d'état actuel de la variable du procédé avec les noms courts (provenant de ZENON6.INI)

Les mots-clé suivants sont disponibles pour formater la page de sortie ou comme information générale :

Mot-clé | Description
%DATE | Donne la date actuelle
%TIME | Donne l'heure actuelle
%PAGE | Donne le numéro de page actuelle

Les textes pour l'entête et le pied de page peuvent être définis. Les sections (entête, section principale, pied de page) doivent être marquées avant et après la section avec les caractères %%. Trois lignes vides doivent être laissées après le dernier "%%".

L'utilisation de Tab donnera des problèmes à l'impression de texte de différentes longueurs. Seuls des espaces peuvent être utilisées pour le positionnement. Le caractère « @ » n'est pas compté.

Fichier FRM “PROJEKT.FRM”

%%
En-tête de page
%%
%%
%date Valeurs mesurées de l'équipement XYZ %heures

Identification Valeur technique Unité de mesure
Valeur 1 @Value1.value bar
Valeur 2 @VALUE2.value kV
Valeur 3 @VALUE3.value ºF

Page %page
%%
%%
Pied de page
%%

Impression en ligne par le fichier “PROJEKT.FRM”.

Texte d'entête

21.02.1995 Valeurs mesurées de l'équipement XYZ 12:00 heures

Identification Valeur technique Unité de mesure
Valeur 1 0.63 bar
Valeur 2 9.98 kV
> Valeur 3 17.3 ºF

> Page 5

Texte de pied de page

Si le formatage souhaité des valeurs actuelles est plus petit que l'espace disponible entre les mots-clé TTA, on peut utiliser un fichier QRF du même nom. Dans le fichier QRF les variables du procédé sont affectées à des marqueurs définis. Chaque marqueur (xxx) commence par un "$" et est construit sur une certaine syntaxe.

Définir $xxx comme Variable |
- xxx | identificateur librement choisi ou numéro
Variable | Nom de la variable

Ces marqueurs sont accessibles dans le fichier FRM. Les paramètres de variables sont alors accessibles via d'autres paramètres.

$xxx.1 | Nom de la variable du procédé
$xxx.2 | Valeur technique
$xxx.3 | Unité
$xxx.4 | Texte d'état

Remarque : Les noms de variables comportant un point doivent être saisis entre apostrophes, par exemple : "Variable.Test".

Exemple de structure d'un fichier QRF :

fichier QRF “MOMENT.QRF”

définir $001 comme TTA1
définir $002 comme TTA2

fichier FRM “MOMENT.FRM”

%%
Texte d'en-tête
%%
%%
Section principale
Valeur de TTA1= @$001.2
Valeur de TTA2= @$002.2
%%
%%
Pied de page
%%

Impression en ligne par le fichier “MOMENT.FRM”

Texte d'en-tête
Valeur de TTA1= 100.25
Valeur de TTA2= 25.745
Texte de pied de page


Gestion HD active

Manuels -> Variables -> Fonctions des variables -> Gestion HD active

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour activer la gestion du HD (indication des valeurs en ligne avec la configuration HD; Onlinetrend) en mode de fonctionnement en ligne.

Aucun paramètre de transfert n'est nécessaire dans ce cas.


Gestion HD inactive

Manuels -> Variables -> Fonctions des variables -> Gestion HD inactive

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour désactiver la gestion du HD (indication des valeurs en ligne avec la configuration HD; Onlinetrend) en mode de fonctionnement en ligne.

attention Attention

Plus aucune valeur n'est enregistrée ! Les valeurs en ligne sont mises à jour. Aucun paramètre de transfert n'est nécessaire dans ce cas.


Valeurs de tendances actives/inactives

Manuels -> Variables -> Fonctions des variables -> Valeurs de tendances actives/inactives

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour basculer le mode de la gestion HD (disque dur) (indication des valeurs en ligne avec la configuration HD ; tendance en ligne) entre deux états en mode de fonctionnement en ligne. L'état enregistré dans le fichier project.ini sera lu au lancement du mode de fonctionnement en ligne.

[DEFAULT] |
... |
HDDATEN= | 0 - inactif
 | 1 - actif


Spécifier valeur prescrite

Manuels -> Variables -> Fonctions des variables -> Spécifier valeur prescrite

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette fonction est utilisée pour définir une valeur prescrite pour une variable dans le mode de fonctionnement en ligne.

La variable, sa valeur prescrite et la façon de forcer la valeur doivent être renseignées comme paramètres d'appel. La configuration de cette fonction s'effectue par le biais d'une boîte de dialogue de saisie. Cette fonction est configurée avec des boîtes de dialogue spécifiques :

  • Variables numériques
  • Variables binaires
  • Variables de chaîne

La boîte de dialogue de valeur prescrite est utilisée pour la saisie dans le Runtime. Si le synoptique de type Clavier et de nom SETVALUEKDB existe dans le projet, alors il est automatiquement utilisé.

info Info

Dans le cas d'un rechargement du projet ou d'un basculement sur le serveur redondant, il y a une distorsion dans les réponses présentes ou les confirmations d'écriture.

Autres sujets abordés dans ce chapitre

pour les variables numériques

pour les variables binaires

Pour les variables bit :

Vérification de l'écriture de valeurs prescrites


pour les variables numériques

Manuels -> Variables -> Fonctions des variables -> Spécifier valeur prescrite -> pour les variables numériques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres

Description

Paramètres valeur prescrite

Configuration de la valeur cible.

Valeur prescrite

Saisie de la valeur prescrite à définir pour la variable.

Minimum

Saisie de la valeur minimale.

Maximum

Saisie de la valeur maximale.

Utilisation des limites de la variable

Actif : La plage de valeurs de la valeur prescrite est issue de la définition de la variable (Spécifier valeur prescrite).
Inactif : La plage de valeurs de la valeur prescrite peut être directement définie dans la fonction (Min et Max).

Options

Configuration des options.

Proposer la valeur courante

Actif : La valeur est lue sur le matériel et ensuite proposée par défaut ou directement envoyée au matériel. En plus, le libellé du champ Valeur prescrite devient Modifiée par et la valeur entrée ici est ajoutée à la valeur courante (soustraite si la valeur entrée ici est négative).
Inactif : La valeur définie dans Valeur prescrite est proposée comme valeur par défaut ou directement envoyée au matériel.

Directement sur matériel

Actif : Après l'appel à la fonction, la valeur est directement envoyée au matériel sans demande de confirmation.
Inactif : Avant d'envoyer la valeur au matériel, la boîte de dialogue de valeur prescrite est ouverte et l'utilisateur peut modifier le paramétrage dans le Runtime.

Attendre la confirm. d'écriture

Actif : l'exécution de la fonction n'est pas terminée tant qu'une confirmation positive de l'écriture n'est pas reçue, ou tant que le délai d'attente fixe de 30 secondes n'est pas écoulé.
Dans les scripts, ceci permet de s'assurer que la fonction suivante n'est pas exécutée tant que celle-ci n'est pas terminée.
La confirmation peut aussi être évaluée par le bit d'état WR-SUC.
Inactif : N'attend pas la confirmation d'écriture.

Spécifier valeur prescrite par

Configuration de la méthode de définition de la valeur cible :

  • boîte de dialogue : valeur prescrite dans le Runtime définie à l'aide d'une boîte de dialogue.
  • Synoptique : valeur prescrite dans le Runtime définie à l'aide d'un écran.
  • Programme : valeur prescrite dans le Runtime définie à l'aide d'un programme. Effectuez votre sélection en cliquant sur le bouton ....

OK

La configuration est acceptée, la fonction est créée et la boîte de dialogue est fermée.

Annuler

La configuration est refusée, la fonction est créée sans paramètres et la boîte de dialogue est fermée.

Aide

L'aide en ligne s'affiche.

info Info

une valeur décimale peut être saisie avec une virgule ou un point, mais la virgule sera automatiquement changée en point.


pour les variables binaires

Manuels -> Variables -> Fonctions des variables -> Spécifier valeur prescrite -> pour les variables binaires

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres

Description

BAS (0)

La valeur de la variable sera définie sur LOW (0).

HAUT (1)

La valeur de la variable sera définie sur HIGH (1).

BASCULE

La valeur de la variable passera à l'état complémentaire.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

Paramètres

Description

Paramètres valeur prescrite

Configuration de la valeur cible.

Valeur prescrite

Saisie de la valeur prescrite à définir pour la variable.

Minimum

Saisie de la valeur minimale.

Maximum

Saisie de la valeur maximale.

Utilisation des limites de la variable

Actif : La plage de valeurs de la valeur prescrite est issue de la définition de la variable (Spécifier valeur prescrite).
Inactif : La plage de valeurs de la valeur prescrite peut être directement définie dans la fonction (Min et Max).

Options

Configuration des options.

Proposer la valeur courante

Actif : La valeur est lue sur le matériel et ensuite proposée par défaut ou directement envoyée au matériel. En plus, le libellé du champ Valeur prescrite devient Modifiée par et la valeur entrée ici est ajoutée à la valeur courante (soustraite si la valeur entrée ici est négative).
Inactif : La valeur définie dans Valeur prescrite est proposée comme valeur par défaut ou directement envoyée au matériel.

Directement sur matériel

Actif : Après l'appel à la fonction, la valeur est directement envoyée au matériel sans demande de confirmation.
Inactif : Avant d'envoyer la valeur au matériel, la boîte de dialogue de valeur prescrite est ouverte et l'utilisateur peut modifier le paramétrage dans le Runtime.

Attendre la confirm. d'écriture

Actif : l'exécution de la fonction n'est pas terminée tant qu'une confirmation positive de l'écriture n'est pas reçue, ou tant que le délai d'attente fixe de 30 secondes n'est pas écoulé.
Dans les scripts, ceci permet de s'assurer que la fonction suivante n'est pas exécutée tant que celle-ci n'est pas terminée.
La confirmation peut aussi être évaluée par le bit d'état WR-SUC.
Inactif : N'attend pas la confirmation d'écriture.

Spécifier valeur prescrite par

Configuration de la méthode de définition de la valeur cible :

  • boîte de dialogue : valeur prescrite dans le Runtime définie à l'aide d'une boîte de dialogue.
  • Synoptique : valeur prescrite dans le Runtime définie à l'aide d'un écran.
  • Programme : valeur prescrite dans le Runtime définie à l'aide d'un programme. Effectuez votre sélection en cliquant sur le bouton ....

OK

La configuration est acceptée, la fonction est créée et la boîte de dialogue est fermée.

Annuler

La configuration est refusée, la fonction est créée sans paramètres et la boîte de dialogue est fermée.

Aide

L'aide en ligne s'affiche.


Pour les variables bit :

Manuels -> Variables -> Fonctions des variables -> Spécifier valeur prescrite -> Pour les variables bit :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres

Description

Paramètres valeur prescrite

Configuration de la valeur cible.

Valeur prescrite

Saisie de la valeur prescrite à définir pour la variable.

Options

Configuration des options.

Proposer la valeur courante

Actif : La valeur est lue sur le matériel et ensuite proposée par défaut ou directement envoyée au matériel. En plus, le libellé du champ Valeur prescrite devient Modifiée par et la valeur entrée ici est ajoutée à la valeur courante (soustraite si la valeur entrée ici est négative).
Inactif : La valeur définie dans Valeur prescrite est proposée comme valeur par défaut ou directement envoyée au matériel.

Directement sur matériel

Actif : Après l'appel à la fonction, la valeur est directement envoyée au matériel sans demande de confirmation.
Inactif : Avant d'envoyer la valeur au matériel, la boîte de dialogue de valeur prescrite est ouverte et l'utilisateur peut modifier le paramétrage dans le Runtime.

Attendre la confirm. d'écriture

Actif : l'exécution de la fonction n'est pas terminée tant qu'une confirmation positive de l'écriture n'est pas reçue, ou tant que le délai d'attente fixe de 30 secondes n'est pas écoulé.
Dans les scripts, ceci permet de s'assurer que la fonction suivante n'est pas exécutée tant que celle-ci n'est pas terminée.
La confirmation peut aussi être évaluée par le bit d'état WR-SUC.
Inactif : N'attend pas la confirmation d'écriture.

Spécifier valeur prescrite par

Configuration de la méthode de définition de la valeur cible :

  • boîte de dialogue : valeur prescrite dans le Runtime définie à l'aide d'une boîte de dialogue.
  • Synoptique : valeur prescrite dans le Runtime définie à l'aide d'un écran.
  • Programme : valeur prescrite dans le Runtime définie à l'aide d'un programme. Effectuez votre sélection en cliquant sur le bouton ....

OK

La configuration est acceptée, la fonction est créée et la boîte de dialogue est fermée.

Annuler

La configuration est refusée, la fonction est créée sans paramètres et la boîte de dialogue est fermée.

Aide

L'aide en ligne s'affiche.


Vérification de l'écriture de valeurs prescrites

Manuels -> Variables -> Fonctions des variables -> Spécifier valeur prescrite -> Vérification de l'écriture de valeurs prescrites

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'écriture de valeurs, la valeur reçoit un bit d'état qui a été écrit. Si le procédé d'écriture est un succès, le bit d'état correspondant est défini :

  • WR-ACK

    Le driver a reçu une valeur à écrire.

  • WR-SUC

    Valeur 1 : Écriture réussie.

    Valeur 0 : l'action d'écriture a échoué. La valeur n'a pas été écrite.

info Info

Dans le cas d'un rechargement du projet ou d'un basculement sur le serveur redondant, les réponses actuellement actives ou les confirmations d'écriture sont abandonnées.

Cette combinaison d'états existe jusqu'au prochain changement de valeur. À ce moment, les deux états sont définis sur 0, jusqu'à ce que l'action d'écriture soit terminée. Pour l'évaluation, la combinaison de bits suivante doit être demandée dans la matrice de réaction :

WR-ACK, WR-SUC

Résultat :

  • WR-ACK 1, WR-SUC 1: l'action d'écriture a réussi.
  • WR-ACK 1, WR-SUC 0: l'action d'écriture a échoué.

attention Attention

Le mécanisme montre seulement que l'action d'écrire a réussi (ou non) sur l'automate. Ceci ne veut pas dire que la valeur a effectivement changé dans l'automate car l'automate peut resetter ou écraser la valeur immédiatement après. (Par exemple, pour l'écriture de résultats ou de bits transitoires, définis pour un court laps de temps.)

Modules

Ce mécanisme peut être utilisé dans les modules suivants :

  • Fonction Spécifier valeur prescrite : activez l'option Attendre confirmation d'écriture dans la boîte de dialogue de configuration de la fonction.
  • Les recettes standard : Activate property Ecrire de façon synchrone .
  • Groupes de recettes : Activate property Ecrire de façon synchrone.

Entrée dans la liste CEL

  • Fonction Spécifier valeur prescrite

    Pour l'entrée dans la liste CEL, vous devez activer la propriété Fonction envoi valeur prescrite dans le nœud Liste chronologique d'événements dans les paramètres du projet. La réaction positive ou négative à l'exécution de la fonction est ensuite écrite dans la liste CEL.

  • Recettes standard et Gestionnaire de groupes de recettes

    Pour une entrée dans la liste CEL, une variable de driver du système est utilisée et définie sur 1 lors de l'écriture réussie d'une recette. Une variable globale est évaluée sur le serveur, et une variable locale sur chaque client permet de déterminer quand l'écriture la dernière recette exécutée a été finalisée.
    Avec ces variables, une entrée dans la liste CEL peut être générée par l'intermédiaire d'une limite ou d'une matrice de réaction. La requête est exécutée par le biais d'une matrice de réaction multi-analogique ou multi-binaire.


Commandes driver

Manuels -> Variables -> Fonctions des variables -> Commandes driver

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce chapitre décrit les fonctions standard valides pour la plupart des drivers de zenon. Toutes les fonctions décrites ici ne sont pas disponibles pour tous les drivers. Par exemple, selon la fiche technique, un driver ne prenant pas en charge une connexion par modem ne possède par ailleurs aucune fonction de modem.

Les commandes de driver sont utilisées pour influencer les drivers par le biais de zenon (démarrage et arrêt, par exemple).
Le développement est mis en œuvre à l'aide de la fonction Commandes de driver. Pour cela :

  • Créez une nouvelle fonction.
  • Sélectionnez Variables -> Commandes driver.
  • La boîte de dialogue de configuration s'affiche à l'écran.

Paramètres

Description

Drivers

Liste déroulante contenant tous les drivers chargés dans le projet.

Current state (État actuel)

Entrée fixe ne possédant aucune fonction dans la version actuelle.

Commandes driver

Liste déroulante de sélection de la commande.
  • Démarrage driver

le driver est réinitialisé et démarré.
  • Arrêt driver

Le driver est arrêté. Aucune nouvelle donnée n'est acceptée.

Remarque : si le driver est hors ligne, toutes les variables créées pour ce driver reçoivent l'état désactivé (OFF ; bit 20).

  • Driver en mode simulation

le driver est mis en mode simulation.
Toutes les valeurs de toutes les variables du driver sont simulées par le driver. Aucune valeur du matériel connecté n'est affichée (par exemple, automate, bus de terrain, …)
  • Driver en mode réel

le driver est mis en mode réel (hardware).
Pour les variables liées au driver, les valeurs du matériel connecté sont affichées (par exemple, automate, bus de terrain, …).
  • Driver commande utilisateur

Saisissez les commandes spécifiques au driver. Ouvre le champ de saisie permettant de saisir une commande.
  • Activate driver write set value (Activer l'écriture de valeurs prescrites dans le driver)

L'écriture de valeurs prescrites dans un driver est autorisée.
  • Deactivate driver write set value (Désactiver l'écriture de valeurs prescrites dans le driver)

L'écriture de valeurs prescrites dans un driver est interdite.
  • Driver modem connecté

Établit une connexion (pour les drivers de modem). Ouvre les champs de saisie de l'adresse de l'équipement et du numéro de téléphone.
  • Driver modem déconnecté

Interrompt la connexion (pour les drivers modem)

Afficher cette boîte de dialogue dans le Runtime

La boîte de dialogue est affichée dans le Runtime, afin d'autoriser les modifications.

Commandes de driver sur le réseau

Si l'ordinateur sur lequel s'exécute la fonction de commande de driver forme partie du réseau de zenon, des actions supplémentaires sont exécutées. Une commande de réseau spéciale est transmise de l'ordinateur au serveur de projet, qui exécute l'action souhaitée sur son driver. En outre, le serveur transmet la même commande de driver au serveur redondant du projet. Le serveur redondant exécute également l'action sur son driver.

Cela permet d'assurer la synchronisation du serveur et du serveur redondant. Cela fonctionne uniquement si le serveur et le serveur redondant disposent tous deux d'une connexion fonctionnelle et indépendante au matériel.


Écrire l'heure dans une variable

Manuels -> Variables -> Fonctions des variables -> Écrire l'heure dans une variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec cette fonction, un automate connecté peut être synchronisé avec le PC. Lors de l'exécution de cette fonction, l'heure système du PC est lue et enregistrée dans une variable de type chaîne (String) de l'automate avec le format suivant : JJ.MM.AAAA HH:MM:SS.

Le nom de la variable doit être indiqué comme paramètre.


Lire l'heure d'une variable

Manuels -> Variables -> Fonctions des variables -> Lire l'heure d'une variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avec cette fonction, le PC peut être synchronisé avec un automate connecté. A l'exécution, la fonction lit une variable chaîne de l'automate. Si la différence de temps entre le PC et l'automate est supérieure à 1 seconde, l'heure système du PC est définie et une entrée est ajoutée au CEL. La variable chaîne (STRING) doit avoir le format : JJ.MM.AAAA HH:MM:SS.

Remarque : l'heure est enregistrée au format local. Pour plus de détails, reportez-vous au chapitre Gestion de la date et de l'heure, dans le chapitre Runtime.

Le nom de la variable doit être indiqué comme paramètre.


Synoptique Liste d'états

Manuels -> Variables -> Synoptique Liste d'états

En utilisant un synoptique Liste d'états, vous pouvez afficher des variables et écrire des valeurs prescrites dans le Runtime. Vous trouverez d'autres informations concernant les types de synoptiques prédéfinis au chapitre Synoptiques / Types de synoptiques.

Autres sujets abordés dans ce chapitre

Créer un synoptique de type Diagnostic de variable

Appel de synoptique - Liste d'états


Créer un synoptique de type Diagnostic de variable

Manuels -> Variables -> Synoptique Liste d'états -> Créer un synoptique de type Diagnostic de variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer une liste d'états de synoptique :

  • Créez un nouveau synoptique.
  • Sélectionnez le type de synoptique Liste d'états.
  • Un synoptique vide est créé.
  • Sélectionnez l'élément de menu Insérer un modèle dans le menu Éléments de contrôle, ou sélectionnez les éléments de contrôle de votre choix pour le fonctionnement dans le Runtime.

Élément de contrôle | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant. Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur. Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Vue des listes |
Liste d'états | Affichage des champs sous forme de liste dans le Runtime.
Valeurs décimales | Les valeurs de variables dans la liste (valeur actuelle et valeur prescrite) sont affichées en décimal.
Valeurs hexadécimales | Les valeurs de variables dans la liste (valeur actuelle et valeur prescrite) sont affichées en hexadécimal.
Valeurs binaires | Les valeurs de variables dans la liste (valeur actuelle et valeur prescrite) sont affichées en binaire.
Valeurs octales | Les valeurs de variables dans la liste (valeur actuelle et valeur prescrite) sont affichées en octal.
Valeurs décimales exponentielles | Les valeurs de variables dans la liste (valeur actuelle et valeur prescrite) sont affichées sous forme décimal exponentielle.
Variables |
Ajouter variable | Ajouter une variable à la liste dans le Runtime.
Supprimer variable | Supprimer une variable de la liste dans le Runtime.
Update value (Actualiser la valeur) |
Actualisation valeurs actuelles ON | Activation de la mise à jour automatique des valeurs actuelles des variables.
Actualisation valeurs actuelles OFF | Désactivation de la mise à jour automatique des valeurs actuelles des variables.
Actualiser valeurs actuelles | Met à jour les valeurs actuelles des variables.
Toutes les variables : Écriture valeur prescrite | Écrit les valeurs prescrites de toutes les variables sur le matériel.
Variables sélectionnées : Écriture valeur prescrite | Écrit les valeurs prescrites des variables sélectionnées sur le matériel.
Modifier valeur prescrite | Modifier la valeur prescrite de la variable sélectionnée.
Opérations spéciales |
Variables sélectionnées : Commuter vers valeur spontanée | Bascule la variable sélectionnée vers une valeur spontanée.
Variables sélectionnées : Commuter vers valeur de remplacement | Bascule la variable sélectionnée vers une valeur de remplacement.
Variables sélectionnées : Modifier valeur de remplacement | Modifier la valeur de remplacement de la variable sélectionnée.
Variables sélectionnées : Activer valeur spontanée | Active la valeur spontanée pour la variable sélectionnée. Pour cela, le bit d'état OFF (bit 20) est réinitialisé.
Variables sélectionnées : Désactiver valeur spontanée | Désactive la valeur spontanée pour la variable sélectionnée. Pour cela, le bit d'état OFF (bit 20) est défini.
Variables sélectionnées : Switch on revision (Activer la révision) | Active la révision pour les variables sélectionnées. Pour cela, le bit d'état REVISION (bit 09) est défini.
Variables sélectionnées : Switch on revision (Désactiver la révision) | Désactive la révision pour les variables sélectionnées. Pour cela, le bit d'état REVISION (bit 09) est réinitialisé.
Profils... |
Sélection profil | Sélectionne un profil enregistré
Enregistrer | Enregistre les paramètres sous forme de profil
Supprimer | Supprime le profil sélectionné

info Info

Une valeur décimale peut être saisie avec une virgule ou un point ; le séparateur décimal sera automatiquement remplacé par un point.

Pour utiliser le diagnostic de variable dans le Runtime, créez un appel de synoptique Fonction pour le synoptique.

info Info

Vous pouvez effectuer un filtrage en fonction des bits d'état NORM et N_NORM.


Appel de synoptique - Liste d'états

Manuels -> Variables -> Synoptique Liste d'états -> Appel de synoptique - Liste d'états

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres nécessaires pour ouvrir un synoptique de type Liste d'états sont les variables à afficher dans le synoptique et les valeurs prescrites par défaut pour ces variables.

Pour créer une fonction permettant de basculer vers le synoptique Liste d'états :

  • Sélectionnez Nouvelle fonction.
  • Sélectionnez Appel de synoptique.
  • Sélectionnez le synoptique Liste d'états.
  • La boîte de dialogue de configuration s'affiche alors à l'écran.

Paramètre

Description

Variables

Liste des variables et de leurs propriétés.

Ajouter variable

Ouvre la boîte de dialogue de sélection de variables, vous permettant d'ajouter une ou plusieurs variables.

Supprimer variable

Les variables sélectionnées sont retirées du synoptique.

Modifier valeur prescrite

La valeur prescrite par défaut peut être modifiée. Il est également possible de modifier les valeurs prescrites en cliquant sur la cellule contenant la valeur prescrite.

Options

Base pour l'affichage de valeurs

Définit l'affichage de valeurs dans le Runtime.

Valeurs possibles :

  • Décimal
  • Hexadécimal
  • Binaire
  • Octal
  • Décimal exponentiel

Actualisation valeurs actuelles (actif)

Actif : les valeurs réelles sont actualisées lorsque la fenêtre est invoquée dans le Runtime.

Afficher cette boîte de dialogue dans le Runtime

Actif : Ouvre la boîte de dialogue lorsque le synoptique est ouvert dans le Runtime.

info Info

Vous pouvez modifier les colonnes (texte affiché, type de colonne et largeur de colonne) en cliquant avec le bouton droit dans l'en-tête de la colonne. Vous trouverez les paramètres correspondants dans le menu contextuel. Ces paramètres sont transférés de l'éditeur vers le Runtime et peuvent être modifiés avec le même nom, si nécessaire.


Unit conversion (Conversion d'unités)

Manuels -> Variables -> Unit conversion (Conversion d'unités)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La fonction de conversion d'unités autorise la conversion et le basculement d'unités de base en unités de conversion, par exemple de mètres en yards ou de mètre en décimètres, centimètres et millimètres. Une unité de base contient la valeur initiale pour une conversion. L'unité de conversion contient la valeur convertie par rapport à la valeur de base. Toutes deux comportent un nom d'unité. Des éléments Facteur, Offset et Décalage du point décimal peuvent être définis pour les unités de conversion en fonction de l'unité de base correspondante.

Une unité de base peut être sélectionnée lors de la configuration de paramètres pour une variable. Il est possible de basculer d'une unité à l'autre durant le Runtime à l'aide de la fonction de commutation d'unités.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
New base unit (Nouvelle unité de base) | Crée une nouvelle unité de base.
Exporter XML tous | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des synoptiques à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

info Info

Vous ne devez pas utiliser la conversion d'unités avec la commande de rapport variablerw. Cette commande de rapport fournit une fonction de conversion d'unités pour les projets anciens. Si l'unité définie dans la fonction de conversion d'unités d'une variable est modifiée par la commande de rapport dans le Runtime, vous devez exécuter à nouveau la configuration dans la fonction de conversion d'unités.

Autres sujets abordés dans ce chapitre

Barre d'outils et menu contextuel de la vue de détail Unités

Unités de développement

Attribution d'une unité de base à une variable

Conversion d'unités de fonction

Runtime


Barre d'outils et menu contextuel de la vue de détail Unités

Manuels -> Variables -> Unit conversion (Conversion d'unités) -> Barre d'outils et menu contextuel de la vue de détail Unités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Menu contextuel de la vue de détail Unités

Élément de menu | Action
New base unit (Nouvelle unité de base) | Crée une nouvelle unité de base.
Exporter XML tous | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des synoptiques à partir d'un fichier XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel et barre d'outils Unité de base/Unité de conversion

Élément de menu | Action
New base unit (Nouvelle unité de base) | Crée une nouvelle unité de base.
New conversion unit (Nouvelle unité de conversion) | Crée une nouvelle unité de conversion pour l'unité de base supérieure.
Éléments liés : Retour à l'élément de départ | Zone de liste contenant un lien vers l'élément permettant d'accéder à l'unité. Disponible uniquement si l'unité est liée à un autre élément.
Renommer | Permet de renommer l'unité. Attention : si les unités sont renommées, toutes les unités déjà liées aux variables ou utilisées dans des fonctions doivent alors être adaptées manuellement pour la variable ou la fonction concernée. Voir également : Association d'une unité de base à une variable et Commande de conversion d'unités.
Exporter XML tous | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe des synoptiques à partir d'un fichier XML.
Copier | Copie les entrées sélectionnées et vers le presse-papiers.
Coller | Colle le contenu depuis le presse-papiers. Si une entrée portant le même nom existe déjà, le contenu est collé sous le nom Copie de...
Supprimer | Supprime les entrées sélectionnées.
Aide | Ouvre l'aide en ligne.


Unités de développement

Manuels -> Variables -> Unit conversion (Conversion d'unités) -> Unités de développement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous devez créer une unité de base et une unité de conversion pour la conversion, et vous devez également définir les paramètres de la conversion. La conversion est effectuée à l'aide de la formule y=kx+d (Autriche) ou y=mx+b (Allemagne). Chaque unité de base peut être attribuée en tant qu'unité à une variable.

Pour créer une nouvelle unité de base :

  • Sélectionnez le nœud Unités dans le Gestionnaire de projet.
  • Cliquez avec le bouton droit sur Unités.
  • Sélectionnez l'option New base unit (Nouvelle unité de base) dans le menu contextuel.
  • Une nouvelle entrée est créée dans la liste.
  • Donnez un nom à l'unité.
  • Créez l'unité de conversion.

Pour créer une unité de conversion :

  • Cliquez avec le bouton droit sur une unité de base.
  • Sélectionnez la commande Conversion unit (Unité de conversion) dans le menu contextuel.
  • Une nouvelle entrée est créée dans la liste.
  • Donnez un nom à l'unité.
  • Définissez un(e) Facteur pour la conversion.
  • Définissez une valeur pour la Décalage du point décimal.
  • Définissez une valeur pour la Offset.


Attribution d'une unité de base à une variable

Manuels -> Variables -> Unit conversion (Conversion d'unités) -> Attribution d'une unité de base à une variable

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'attribution de variables à une unité de base s'effectue dans propriété Unité (nœud Général).

Vous pouvez nommer les unités à votre convenance. Si la fonction de conversion d'unités est utilisée durant le Runtime, sélectionnez une base prédéfinie dans la liste déroulante.

Conseil : Si vous nommez une unité à votre convenance, nous vous recommandons de créer immédiatement un lien portant le même nom dans le nœud Unités - Unité de base.

Vous devez créer une fonction de conversion d'unités pour pouvoir effectuer une conversion durant le Runtime.

attention Attention

Si une unité est renommée ultérieurement, les variables déjà liées à celle-ci ne sont pas automatiquement renommées.

Pour renommer des unités déjà liées :

  • sélectionnez la vue de détail dans le Gestionnaire de projet.
  • Sélectionnez la colonne Unités, ou ajoutez-la à la vue si elle est encore affichée.
  • Dans le menu contextuel, sélectionnez l'option Remplacer un texte dans la colonne sélectionnée.
  • Dans la boîte de dialogue qui s'affiche à l'écran, effectuez une recherche sur le nom et remplacez celui-ci par le nouveau nom.


Conversion d'unités de fonction

Manuels -> Variables -> Unit conversion (Conversion d'unités) -> Conversion d'unités de fonction

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour exécuter la conversion d'unités dans le Runtime, vous devez créer une conversion d'unités de fonction :

  • Sélectionnez le nœud Fonctions dans le Gestionnaire de projet.
  • Dans le menu contextuel, sélectionnez la commande Nouvelle fonction...
  • Accédez à la variable.
  • Sélectionnez la fonction Conversion d'unité.

    Remarque : L'exécution d'une conversion d'unité de fonction déclenche l'actualisation du rapport s'il est actuellement affiché.

  • La boîte de dialogue de définition de la conversion d'unités s'ouvre.

Propriété

Description

Unit conversion (Conversion d'unités)

Boîte de dialogue autorisant l'association d'unités de conversion à des unités de base.

Unité de base

Liste des unités de base créées.

Commuter en

Liste déroulante de sélection de l'unité de conversion. Vous pouvez soit sélectionner une unité de conversion ou l'unité de base.

Engineered conversion unit (Unité de conversion développée) : dans le Runtime, l'unité de base est convertie en unité de conversion.

<Unité de base>: l'unité de base est toujours active dans le Runtime.

info Info

Les unités ne sont pas exportées avec l'exportation au format XML de cette fonction. Vous devez exporter les unités séparément.

attention Attention

Si une unité est renommée ultérieurement, l'unité de base renommée est automatiquement prise en compte dans la fonction. Vous devez toutefois modifier les unités de conversion manuellement.


Runtime

Manuels -> Variables -> Unit conversion (Conversion d'unités) -> Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Chaque valeur de variable correspondant à chaque entrée ou sortie, outre celles utilisées de série lors de la conversion d'unités de signal en unités de plage de mesures, est convertie dans le Runtime.

  • Sortie : Une unité de conversion d'une variable est activée avec la fonction de commutation d'unités. La valeur exprimée en unités de mesure est tributaire du décalage et du facteur prédéfinis. En outre, pour la conversion d'une valeur en chaîne, le nombre de décimales définies pour une variable doit être ajusté en conséquence.
  • Une conversion d'entrée est effectuée de la même manière qu'une conversion de sortie, mais dans l'autre direction.

Limitations :

  • lors de l'exportation, seules les nouvelles unités sont exportées.
  • Les valeurs enregistrées sous forme de chaîne ne sont pas recalculées lors de la sortie. Ces valeurs sont conservées dans l'unité active lors de la création de la chaîne. Ceci affecte tout particulièrement toutes les valeurs insérées dans le texte d'une entrée de la liste CEL – par exemple, modification d'une valeur prescrite de OLD en NEW, etc.
  • Ici, les heures de fonctionnement et les compteurs horaires du module Industrial Maintenance Manager sont toujours affichés en unités de base.
  • Les sorties affichées sur l'écran EMS sont toujours affichées dans l'unité de base.

VBA

Les valeurs au-delà de VBA sont toujours affichées en unités de base. Par exemple, Variable.Value ne renvoie pas une valeur avec des unités commutées, car il ne s'agit pas d'une sortie de valeur. Quatre nouvelles fonctions ont été incorporées dans Variable., afin que la commutation d'unités puisse également être utilisées au-delà de VBA :

Mot-clé | Description
SecondaryUnitName | renvoie le nom de l'unité de conversion définie
SecondaryUnitDigits | renvoie les décimales pour l'unité de conversion définie
CalcSecondaryUnitValue | convertit la valeur de l'unité de base en la valeur de l'unité de conversion
CalcPrimaryUnitValue | convertit la valeur de l'unité de conversion en la valeur de l'unité de base


Verrouillages (Interlockings)

Manuels -> Verrouillages (Interlockings)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les verrouillages contrôlent l'accès à certains objets zenon durant le Runtime, par l'intermédiaire de variables. Les actions opérateurs peuvent être interdites ou autorisées selon les valeurs de variables données. Selon l'état du procédé, on peut permettre ou interdire les actions de l'opérateur.

Il est possible de créer et d'utiliser plusieurs verrouillages au sein d'un même projet. Dans chaque verrouillage, vous pouvez définir plusieurs conditions de verrouillage.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Verrouillage d'objets

Tous les éléments dynamiques, exceptés les éléments tendance et message.

Menu contextuel Gestionnaire de projet

Paramètre | Description
Nouveau verrouillage | Crée un nouveau verrouillage et ouvre la boîte de dialogue de sélection de variables.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Profil | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

info Info

Les variables de verrouillage peuvent être remplacées. Pour plus de détails, reportez-vous au chapitre Substitution de variables dans les éléments dynamiques.

Example Exemple

Par exemple, une machine en cours de fonctionnement automatique, ne doit pas être passée en mode manuel. L'opérateur pourra activer ce mode seulement si un certain état du système est actif (par exemple STOP). Avec un verrouillage, le bouton pour basculer du mode manuel au mode automatique pourra être verrouillé jusqu'à ce que l'état du système (par exemple, STOP) soit True (Vrai). De cette façon, vous pouvez éviter des erreurs d'utilisation.

Autres sujets abordés dans ce chapitre

Vue de détail de la barre d'outils et du menu contextuel

Configuration dans l'Éditeur

Fonctionnement dans le Runtime


Vue de détail de la barre d'outils et du menu contextuel

Manuels -> Verrouillages (Interlockings) -> Vue de détail de la barre d'outils et du menu contextuel

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Barre d'outils

Symbole | Description
Nouveau verrouillage | Crée un nouveau verrouillage et ouvre la boîte de dialogue de sélection de variables.
New interlocking condition (Nouvelle condition d'interverrouillage) | Crée une nouvelle condition d'interverrouillage.
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Copier | Copie la condition sélectionnée.
Coller | Colle la condition depuis le presse-papiers.
Supprimer | Supprime la condition sélectionnée.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Renommer | Permet de renommer l'élément. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.
Propriétés | Ouvre la fenêtre des propriétés pour l'élément sélectionné.
Aide | Ouvre l'aide en ligne.

Menu contextuel interverrouillages

Élément de menu | Description
Nouveau verrouillage | Crée un nouveau verrouillage et ouvre la boîte de dialogue de sélection de variables.
Coller | Colle l'interverrouillage depuis le presse-papiers.
Exporter XML (sélection) | Exporte les entrées sélectionnées sous forme de fichier XML.
Importer XML | Importe des fichiers XML.
Aide | Ouvre l'aide en ligne.

Menu contextuel Interverrouillage individuel

Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue permettant de sélectionner une variable.
New interlocking condition (Nouvelle condition d'interverrouillage) | Crée une nouvelle condition d'interverrouillage.
Copier | Copie l'interverrouillage sélectionné.
Coller | Colle l'interverrouillage depuis le presse-papiers.
Supprimer | Supprime l'interverrouillage sélectionné.
Exporter XML tous | Exporte toutes les entrées sous forme de fichier XML.
Importer XML | Importe les entrées à partir d'un fichier XML.
Renommer | Permet de renommer l'élément. Ceci est également possible en cliquant avec le bouton gauche de la souris sur le champ ou en appuyant sur la touche F2.
Propriétés | Ouvre la fenêtre des propriétés pour l'élément sélectionné.
Aide | Ouvre l'aide en ligne.

Menu contextuel Variables de groupe

Élément de menu | Action
Ajouter variable | Ouvre la boîte de dialogue de sélection de variables.
Coller | Colle la condition depuis le presse-papiers.
Aide | Ouvre l'aide en ligne.

Menu contextuel Variable individuelle

Élément de menu | Action
Éléments liés | Ouvre la liste déroulante contenant les éléments liés.
Copier | Copie la variable sélectionnée.
Coller | Colle la variable depuis le presse-papiers.
Supprimer | Supprime la variable sélectionnée.
Propriétés | Ouvre la fenêtre des propriétés pour l'élément sélectionné.
Aide | Ouvre l'aide en ligne.

Menu contextuel Conditions d'interverrouillage

Élément de menu | Action
New interlocking condition (Nouvelle condition d'interverrouillage) | Crée une nouvelle condition d'interverrouillage.
Coller | Colle la condition depuis le presse-papiers.
Aide | Ouvre l'aide en ligne.


Configuration dans l'Éditeur

Manuels -> Verrouillages (Interlockings) -> Configuration dans l'Éditeur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Création de verrouillages

L'éditeur de formules


Création de verrouillages

Manuels -> Verrouillages (Interlockings) -> Configuration dans l'Éditeur -> Création de verrouillages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez Verrouillages dans le gestionnaire de projet pour visualiser les verrouillages dans la vue de détail du gestionnaire de projet. Un clic droit sur Verrouillage général permet d'ouvrir un menu contextuel par lequel on peut créer un nouveau verrouillage.

Ensuite le nouveau verrouillage peut être renommé dans la fenêtre des propriétés. Un clic droit sur Variables ouvre un autre menu. Ici une ou plusieurs variables peuvent être liées au verrouillage.

Le verrouillage doit être défini par une condition. La ou les conditions sont créées dans la fenêtre des propriétés. Pour chaque condition, une formule booléenne est entrée en cliquant sur Lien logique dans la section 'Conditions / Condition [i]' des propriétés.

info Info

Un élément du synoptique est verrouillé si la condition de verrouillage est vraie, c'est-à-dire si le résultat logique est 1 - TRUE.

Verrouiller : Si plusieurs conditions sont définies dans un verrouillage, il suffit qu'une des conditions soit vraie pour que l'élément soit verrouillé.

Avec l'Éditeur de formules (après l'ouverture en cliquant sur 'Lien logique'), vous pouvez définir les formules booléennes qui définissent le verrouillage. L'Éditeur de formule permet de définir des conditions booléennes sur les variables liées avec les opérateurs logiques, les comparaison de bits et les comparaisons de valeurs. Voir également le chapitre Synoptiques / Opérateurs de comparaison.

info Info

Déverrouiller : Si plusieurs conditions sont liées au verrouillage, toutes les conditions doivent être fausses pour déverrouiller les éléments référençant ce verrouillage.

seealso Voir également :

Reportez-vous au chapitre Editeur de formules pour plus d'informations concernant l'Éditeur de formules.


L'éditeur de formules

Manuels -> Verrouillages (Interlockings) -> Configuration dans l'Éditeur -> L'éditeur de formules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'éditeur de formules fournit une assistance lors de la création de formules comportant des opérateurs logiques ou de comparaison avec un élément combiné, pour les verrouillages et les commandes. Si vous avez besoin de variables supplémentaires pour la formule, vous devez les créer dans la section Variables de formule de la fenêtre d'état en cliquant sur le bouton Ajouter. Les formules existantes sont affichées dans la liste d'état avec la lettre F.

Remarque concernant la saisie de points décimaux :

  • Le séparateur décimal virgule (,) est automatiquement converti en point (.) :
  • les zéros situés après le point décimal sont automatiquement supprimés ; 23,000 devient automatiquement 23.

Créer une formule

Cliquez sur le bouton Formule dans la fenêtre d'état. L'éditeur de formule s'ouvre.

Sélectionnez les bits de votre formule dans la section gauche.

A droite, vous trouverez les opérateurs d'opérations logiques et de comparaison.

La formule créée est affichée dans la section Formule.

info Info

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99. La longueur de la formule ne doit pas dépasser 4096 caractères.

Signification des bits :

Paramètre

Description

Valeur en bits

32 bits de valeurs (de 0 à 31) sont disponibles. Ils décrivent la variable, bit par bit. Pour les variables BINAIRE compte le bit 0 ; pour SINT et USINT, seuls comptent les bits compris entre 0 et 7, etc.

Remarque : la valeur fait référence à la valeur brute (plage de signal) des variables, et non à la plage de mesures convertie.

Bits d'état

Ici vous trouvez les bits d'états les plus couramment utilisés. Vous trouverez des informations concernant la définition et l'utilisation des bits d'état dans la Liste des bits d'état.

sans reçu

Non acquitté est traité comme un bit d'état habituel. Mais il est montré séparément ici, car il n'appartient pas aux états classiques des variables.

Valeur et État

Dans les formules, toutes les valeurs (valeur des bits et bits d'état) sont traitées comme des valeurs binaires pouvant être liées de manière logique par des conditions AND et OR, etc.
Les exceptions à cette règle sont la valeur totale et l'état global. Pour obtenir un résultat booléen, cette valeur totale doit être associée à une condition OR (ou) avec une constante de bit. Pour cela, on utilise l'opérateur &.
Pour le résultat 0 (faux) de cette condition logique OR, on obtient la valeur binaire 0 (faux) ou 1 (vrai).

Exemple : voir le chapitre Exemple d'utilisation de la condition Or, bit par bit

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.

Si d'autres paramètres externes à la formule sont définis pour l'état courant, ils sont "ajoutés" à la formule à l'aide d'un ET logique.

Reportez-vous à la section Exemples pour obtenir des exemples.

info Info

Les formules comportant des valeurs X binaires et des liens de niveau bit peuvent être utilisées avec 2 valeurs binaires maximum. Si d'autres valeurs sont requises, la liaison doit être établie sans valeurs X binaires.

Exemple :

X01.Value & X02.Value -> fonctionne

X01.Value & X02.Value & X03.Value -> ne fonctionne pas

Toutefois :

X01.00 AND X02.00 AND X03.00 AND X04.00 AND X05.00 -> fonctionne

Autres sujets abordés dans ce chapitre

List of status bits

Opérateurs logiques

Formules Bit

Opérateurs de comparaison

Exemples pour les formules


List of status bits

Manuels -> Verrouillages (Interlockings) -> Configuration dans l'Éditeur -> L'éditeur de formules -> List of status bits

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Numéro de bit | Désignation abrégée | Nom long | Intitulé zenon Logic
0 | M1 | État utilisateur 1 | _VSB_ST_M1
1 | M2 | État utilisateur 2 | _VSB_ST_M2
2 | M3 | État utilisateur 3 | _VSB_ST_M3
3 | M4 | État utilisateur 4 | _VSB_ST_M4
4 | M5 | État utilisateur 5 | _VSB_ST_M5
5 | M6 | État utilisateur 6 | _VSB_ST_M6
6 | M7 | État utilisateur 7 | _VSB_ST_M7
7 | M8 | État utilisateur 8 | _VSB_ST_M8
8 | NET_SEL | Sélection sur le réseau | _VSB_SELEC
9 | REVISION | Révision | _VSB_REV
10 | PROGRESS | En cours d'utilisation | _VSB_DIREC
11 | TIMEOUT | Runtime exceedance | _VSB_RTE
12 | MAN_VAL | VAL_M;valeur manuelle | _VSB_MVALUE
13 | M14 | État utilisateur 14 | _VSB_ST_14
14 | M15 | État utilisateur 15 | _VSB_ST_15
15 | M16 | État utilisateur 16 | _VSB_ST_16
16 | GI | RG;Requête générale | _VSB_GR
17 | SPONT | Spontané | _VSB_SPONT
18 | INVALID | Non valide | _VSB_I_BIT
19 | T_CHG_A | Annonce heure été/hiver | _VSB_SUWI
20 | OFF | Désactivé | _VSB_N_UPD
21 | T_EXTERN | Temps réel externe | _VSB_RT_E
22 | T_INTERN | Horodatage temps réel interne | _VSB_RT_I
23 | N_SORTAB | Non triable | _VSB_NSORT
24 | FM_TR | MD_TR;Message de défaut du transfo | _VSB_DM_TR
25 | RM_TR | MM_TR;Message de marche du transfo | _VSB_RM_TR
26 | INFO | Informations de la variable | _VSB_INFO
27 | ALT_VAL | VALR;valeur de remplacement Si aucune valeur n'a été transférée, la valeur de remplacement définie est utilisée ; dans le cas contraire, la dernière valeur valide est utilisée. | _VSB_AVALUE
28 | RES28 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES28
29 | N_UPDATE | Non mis à jour | _VSB_ACTUAL
30 | T_STD | Heure standard | _VSB_WINTER
31 | RES31 | Réservé à une utilisation interne (clignotement d'alarme) | _VSB_RES31
32 | COT0 | Cause de transmission, bit 1 | _VSB_TCB0
33 | COT1 | Cause de transmission, bit 2 | _VSB_TCB1
34 | COT2 | Cause de transmission, bit 3 | _VSB_TCB2
35 | COT3 | Cause de transmission, bit 4 | _VSB_TCB3
36 | COT4 | Cause de transmission, bit 5 | _VSB_TCB4
37 | COT5 | Cause de transmission, bit 6 | _VSB_TCB5
38 | N_CONF | Pas d'acceptation du mode Select par le matériel (IEC 60870) | _VSB_PN_BIT
39 | TEST | Bit de test (IEC60870 [T]) | _VSB_T_BIT
40 | WR_ACK | Écriture reconnue | _VSB_WR_ACK
41 | WR_SUC | Écriture réussie | _VSB_WR_SUC
42 | NORM | NORM;État Normal | _VSB_NORM
43 | N_NORM | DEVNORM;État déviation normale | _VSB_ABNORM
44 | BL_870 | État IEC 60870 : bloqué | _VSB_BL_BIT
45 | SB_870 | État IEC 60870 : substitué | _VSB_SP_BIT
46 | NT_870 | État IEC 60870 : non topique | _VSB_NT_BIT
47 | OV_870 | État IEC 60870 : dépassement | _VSB_OV_BIT
48 | SE_870 | État IEC 60870 : sélectionné | _VSB_SE_BIT
49 | T_INVAL | Temps invalide | non défini
50 | CB_TRIP | Déclenchement de disjoncteur détecté | non défini
51 | CB_TR_I | Détection de déclenchement de disjoncteur inactive | non défini
52 | RES52 | réservé | non défini
53 | RES53 | réservé | non défini
54 | RES54 | réservé | non défini
55 | RES55 | réservé | non défini
56 | RES56 | réservé | non défini
57 | RES57 | réservé | non défini
58 | RES58 | réservé | non défini
59 | RES59 | réservé | non défini
60 | RES60 | réservé | non défini
61 | RES61 | réservé | non défini
62 | RES62 | réservé | non défini
63 | RES63 | réservé | non défini

info Info

Dans les formules, tous les bits d'état sont disponibles. La disponibilité peut être réduite dans le cadre d'autres utilisations.

Pour plus de détails concernant la gestion des états, reportez-vous au chapitre Gestion d'états


Opérateurs logiques

Manuels -> Verrouillages (Interlockings) -> Configuration dans l'Éditeur -> L'éditeur de formules -> Opérateurs logiques

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Liens logiques : seule la valeur logique '0' sera recherchée dans les variables ; si la valeur n'est pas égale à '0', elle sera considérée comme égale à '1'.

Contrairement aux formules bit, la portée technique peut être modifiée au moyen d'un facteur d'étirement -> (différent de '0' ou '1').

Opérateur | Signification
AND | ET logique
NOT | Négation
OR | OU logique
XOR | OU EXCLUSIF logique

Les opérateurs possèdent la priorité suivante dans le calcul de la formule :

Priorité | Opérateur
1 | & (opérateur des formules bit)
2 | NOT
3 | AND
4 | XOR/OR

Informations concernant info

Jusqu'à 99 variables peuvent être liées dans une formule. X01 à X99.

Informations concernant info

Les bits d'état NORM et N_NORM sont uniquement disponibles dans l'éditeur de formules et ne peuvent pas être configurés par l'intermédiaire de l'état.


Formules Bit

Manuels -> Verrouillages (Interlockings) -> Configuration dans l'Éditeur -> L'éditeur de formules -> Formules Bit

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les formules Bit comportent uniquement un état logique haut ou bas. Contrairement aux formules logiques, la valeur brute est déjà prédéfinie (0,1).

Opérateur | Description
& | AND
| | OU

Autres sujets abordés dans ce chapitre

Exemple : Comparaison de bits avec OR


Exemple : Comparaison de bits avec OR

Manuels -> Verrouillages (Interlockings) -> Configuration dans l'Éditeur -> L'éditeur de formules -> Formules Bit -> Exemple : Comparaison de bits avec OR

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous voulez savoir si l'un des bits d'état utilisateur 1 à 8 (M1 ... M8) de la variable X01 est défini :

Formule classique :

X01.M1 OR X01.M2 OR X01.M3 OR X01.M4 OR X01.M5 OR X01.M6 OR X01.M7 OR X01.M8.
Cette requête peut être considérablement simplifiée en utilisant la condition logique OR sur l'état général.

Interrogation OR logique :

X01.Status & 0xFF

La constante peut être saisie au format hexadécimal, comme ci-dessus.

0xFF en décimal vaut 256, et correspond aux huit premiers bits d'état (en binaire, 11111111). Si l'un de ces bits est défini sur 1, le résultat de l'application de la condition logique ORing au niveau des bits est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Si, par exemple, tous les bits d'états utilisateur sont à tester sauf le bit M7, la formule binaire serait : 10111111. Le bit 7 est sans intérêt, et est donc défini sur 0. Ceci correspond à 0xBF en hexadécimal. L'expression de la formule est alors : X01.Status & 0xBF.

A la place d'une comparaison de bits avec OR à l'aide d'une constante, la valeur peut également être comparée directement à un nombre décimal. Si la comparaison est fausse, la valeur binaire sera égale à 0 (False) ; dans le cas contraire, elle prendra la valeur 1 (True).

Exemple :

Si vous voulez savoir si la valeur est égale à la constante 202 : La formule est alors :

X01.value = 202

Si la valeur est égale à la constante 202, le résultat de la formule est 1 (True) ; dans le cas contraire, le résultat est 0 (False).

Remarque : avec le caractère OR (|), la condition logique OR au niveau des bits fonctionne de la même manière que dans cet exemple.


Opérateurs de comparaison

Manuels -> Verrouillages (Interlockings) -> Configuration dans l'Éditeur -> L'éditeur de formules -> Opérateurs de comparaison

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les opérateurs de comparaison permettent de comparer directement deux valeurs numériques. Le résultat des comparaisons est une valeur binaire. "0" si la condition est fausse et "1" si la condition est vraie.

Opérateur | Description
< | inférieur
> | supérieur
<= | Inférieur ou égal à
>= | Supérieur ou égal à
= | Égal
<> | Différent de

À gauche et à droite de l'opérateur de comparaison doivent se trouver des valeurs complètes ou des états complets ; des bits simples ne peuvent pas être utilisés.

A droite d'un opérateur de comparaison, vous pouvez également utiliser une constante (les constantes ne peuvent être que des entiers. La comparaison avec un nombre réel flottant n'est pas possible).
Ces constantes sont saisies sous forme de valeurs hexadécimales ou de valeurs décimales dans l'élément combiné. Les chiffres hexadécimaux sont automatiquement convertis en valeurs décimales lorsque vous cliquez sur OK (par exemple, 0x64 égale 100 en chiffres décimaux).

Example Exemple

X01.valeur >= X02.valeur
Le résultat est 1, si la valeur de X01 est supérieure ou égale à la valeur de X02

X01.valeur = 0x64
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 (= hex 0x64)

(X01.valeur = 0x64) OR (X01.valeur = 0x65)
Le résultat est 1, si la valeur de X01 est exactement égale à la valeur numérique 100 ou 101 (= hex 0x64 ou hex 0x65)


Exemples pour les formules

Manuels -> Verrouillages (Interlockings) -> Configuration dans l'Éditeur -> L'éditeur de formules -> Exemples pour les formules

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Liaison logique AND simple entre deux valeurs de bits

Example Exemple

Formule : X01.03 AND X02.03

Cette formule vaut TRUE si le bit 3 de la variable 1 et le bit 3 de la variable 2 sont tous deux égaux à 1.

Comparaison d'une valeur analogique ou de l'état d'une variable

Example Exemple

(X01.Value > X02.Value)

Comparaison de valeurs analogiques sur une base logique

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value)

Comparaison à l'aide de bits de valeur et de bits d'état

Example Exemple

(X01.Value> X02.Value) AND (X01.Value = X02.Value) OR (X01.03 = X02.03)

Comparaison d'une valeur avec une valeur décimale ou hexadécimale

Example Exemple

Formule : (X01.Value = 111)

Formule : (X01.Value = 0x6F)

Si une valeur hexadécimale est utilisée, cette dernière est convertie en valeur décimale lorsque vous cliquez sur OK. Si une valeur décimale est saisie et confirmée, la valeur reste affichée au format décimal après la réouverture.

Informations concernant info

Il n'est pas possible d'utiliser une virgule ou un point lors de la saisie d'une valeur.


Fonctionnement dans le Runtime

Manuels -> Verrouillages (Interlockings) -> Fonctionnement dans le Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Autres sujets abordés dans ce chapitre

Utilisation des verrouillages


Utilisation des verrouillages

Manuels -> Verrouillages (Interlockings) -> Fonctionnement dans le Runtime -> Utilisation des verrouillages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un élément dynamique lié à un verrouillage est verrouillé ou non verrouillé selon le résultat de la condition logique associée au verrouillage. Si les conditions sont remplies - le résultat est égal à 1 - l'élément est verrouillé.

Pour définir un verrouillage sur un élément dynamique, il faut le sélectionner. Dans la fenêtre des propriétés, dans la partie Runtime / Autorisation / Verrouillage, sélectionnez un des verrouillages que vous aurez définis au préalable.

info Info

Pour afficher si l'élément est verrouillé dans le Runtime, vous pouvez activer l'affichage d'un symbole représentant un cadenas pour les éléments verrouillés dans les propriétés du projet sous Gestion utilisateur Identification graphique active.

En outre, vous pouvez personnaliser l'apparence d'un bouton Verrouillé via la propriété Boutons verrouillés (Apparence graphique) ou Boutons protégés (Gestion utilisateur).


Vue globale

Manuels -> Vue globale

Le synoptique Vue globale, qui est plus grand que le cadre sur lequel il repose, peut être affiché et contrôlé. Il permet d'afficher entièrement et parcourir un équipement de très grande taille. Dans la vue globale, vous pouvez agrandir certaines parties de l'équipement. Selon les étapes de zoom, vous pouvez définir les détails affichés (zoom, défilement et désencombrement). Vous pouvez également accéder directement à certains éléments.

info Info

Certains éléments ne peuvent pas être agrandis à l'aide de la fonction Zoom, à l'image des zones de liste et listes déroulantes, des listes d'informations sur les alarmes, des diagrammes du module de tendance étendue etc. La taille de ces éléments reste constante. Toutefois, leur position change.

tutorial Informations concernant la licence

Composante de la licence standard de l'Éditeur et du Runtime.

Autres sujets abordés dans ce chapitre

Configuration dans l'Éditeur

Fonction d'appel de synoptique Vue d'aperçu

Fonctionnement dans le Runtime


Configuration dans l'Éditeur

Manuels -> Vue globale -> Configuration dans l'Éditeur

Pour utiliser une vue globale, vous devez disposer des éléments suivants :

  1. Un synoptique dont la taille est supérieure à celle du cadre ; il s'agit de la vue globale
  2. Un synoptique de type Vue d'aperçu ; celui-ci permet de se déplacer dans la vue globale et affecte le cadre de la vue globale.

Remarque : ces deux synoptiques doivent reposer sur des cadres différents.

Lors de l'appel du synoptique de type Vue d'aperçu, vous définissez le cadre contrôlé par le synoptique.

Conseils :

  • n'utilisez pas la Vue globale comme synoptique de démarrage.
  • Démarrez la Vue globale et la Vue d'aperçu à l'aide d'un script.

info Info

Une vue d'aperçu est nécessaire lors de l'utilisation d'un synoptique de vue globale avec des gestes MultiTouch. Les fonctions MultiTouch vous permettent de vous déplacer directement dans la vue globale.

Éléments de synoptique

La visibilité des éléments dynamiques, des éléments vectoriels et de leurs noms dans les listes d'objets est définie dans les propriétés des objets correspondants : Runtime/Affichage vue globale/...

Autres sujets abordés dans ce chapitre

Création de vue globale

Création d'un synoptique de type Vue d'aperçu

Pas du zoom

Objets


Création de vue globale

Manuels -> Vue globale -> Configuration dans l'Éditeur -> Création de vue globale

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer une vue globale :

  1. Créez un nouveau synoptique.
  2. Accédez au groupe de propriétés Dimension.
  3. Sélectionnez la propriété Dimension du gabarit.
  4. Désactivez cette propriété (décochez la case, si nécessaire).
  5. Pour les propriétés Largeur [pixels] et Hauteur [pixels], sélectionnez des valeurs supérieures à la taille du cadre.

    Valeurs maximales : 32 000

  6. Créez une fonction d'appel de synoptique pour ce synoptique.


Création d'un synoptique de type Vue d'aperçu

Manuels -> Vue globale -> Configuration dans l'Éditeur -> Création d'un synoptique de type Vue d'aperçu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un synoptique de type Vue d'aperçu :

  1. Créez un cadre pour le synoptique.
  2. Assurez-vous que la taille est adéquate (taille recommandée : 550 x 350 pixels)
  3. Pour le cadre, activez les propriétés Toujours en avant plan et Ne pas fermer après la perte du focus.
  4. Créez un nouveau synoptique.
  5. Sélectionnez le type de synoptique Vue d'aperçu
  6. Associez le synoptique au cadre.
  7. Ajoutez les éléments souhaités pour contrôler la vue globale, par le biais du menu Éléments de contrôle.
  8. Ajoutez une fonction de fermeture du synoptique du type Navigation dans la vue d'ensemble.
  9. Créez une fonction d'appel de synoptique pour le synoptique de type Vue d'aperçu.

Paramètres | Description
Insérer un modèle | Ouvre la boîte de dialogue de sélection de gabarit pour le type de synoptique correspondant. Des gabarits sont fournis avec zenon, et peuvent également être créés par l'utilisateur. Les modèles ajoutent des éléments de contrôle prédéfinis à des emplacements prédéfinis sur le synoptique. Les éléments qui ne sont pas nécessaires peuvent également être supprimés individuellement après leur création. Les éléments supplémentaires peuvent être sélectionnés dans la liste déroulante, puis glissés vers le synoptique. Les éléments peuvent être déplacés et disposés individuellement sur le synoptique.
Overview screen (frame) (Synoptique de vue d'aperçu [cadre]) | Affiche le synoptique contrôlé.
Object list (Liste d'objets) | Liste d'objets directement contrôlables.
Current zoom level (Niveau de zoom actuel) | Affiche le niveau de zoom actuel.
Zoom min. | Désactive la fonction de zoom. Le synoptique est affiché à la taille du cadre.
Zoom max. | Niveau de zoom maximum.
Zoom réglette | Réglette de réglage du niveau de zoom.
Zoom + | Agrandit le synoptique.
Zoom - | Réduit la taille d'affichage du synoptique.
Flèche gauche | Déplace la section affichée vers la gauche.
Flèche droite | Déplace la section affichée vers la droite.
Flèche vers le haut | Déplace la section affichée vers le haut.
Flèche vers le bas | Déplace la section affichée vers le bas.


Pas du zoom

Manuels -> Vue globale -> Configuration dans l'Éditeur -> Pas du zoom

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les pas de zoom définissent la relation entre la taille du cadre et le synoptique affiché. Le zoom est activé par pas, auxquels sont associés des pourcentages. 100 % est égal à la taille du cadre. Plus la section est grande, plus la valeur du pas est faible.

Pour configurer les pas de zoom :

  1. accédez au groupe Apparence graphique/Généralités runtime dans les propriétés du projet
  2. Cliquez sur le bouton ... de la propriété Pas de zoom pour vue globale.
  3. La boîte de dialogue de configuration des pas de zoom s'affiche à l'écran.

Paramètres | Description
Niveaux de zoom existants. | Dans la liste, vous trouverez les niveaux de zoom disponibles.
Nouveau ... | Crée un nouveau pas de zoom. Vous pouvez modifier la valeur proposée manuellement. La valeur doit être comprise entre 1 et 100.
Éditer | Ouvre le champ de saisie de la valeur du pourcentage pour le pas sélectionné.
Supprimer... | Supprime le pas de zoom sélectionné.

Minimum zoom step (Pas de zoom minimum)

Le pas minimum est limité par le rapport entre la taille du synoptique et la taille du cadre.

Exemple :

  • 10 pas de zoom sont configurés, de 10 % à 100 %.
  • Le synoptique est deux fois plus grand que le cadre.
    • Les pas de zoom s'élèvent jusqu'à 50 %. Au-delà de ce seuil, le synoptique est affiché à taille normale.
  • Le synoptique est quatre fois plus grand que le cadre.
    • Les pas de zoom s'élèvent jusqu'à 20 %.


Objets

Manuels -> Vue globale -> Configuration dans l'Éditeur -> Objets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Chaque élément sur un synoptique peut recevoir un nom unique. Ce nom peut également être utilisé aux fins de la navigation dans la vue d'aperçu. Cliquez sur le nom dans la liste d'objets pour déplacer la section affichée jusqu'à ce que l'élément se trouve au centre de la section affichée.

Pour définir les objets :

  1. Cliquez sur l'élément souhaité.
  2. Accédez au groupe Runtime dans les propriétés.
  3. Cliquez sur la propriété Nom liste d'objets
  4. Spécifiez un nom pour l'objet.

Dans le Runtime, tous les objets nommés sont affichés dans la liste d'objets.


Fonction d'appel de synoptique Vue d'aperçu

Manuels -> Vue globale -> Fonction d'appel de synoptique Vue d'aperçu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lors de l'appel d'un synoptique Vue d'aperçu dans le Redimensionne, vous définissez le cadre parcouru par le synoptique. Le synoptique devant être contrôlé ne doit pas comporter la propriété Dimension du gabarit, et doit être d'une taille supérieure à celle du cadre correspondant.

Pour configurer une fonction d'appel de synoptique de type Vue d'aperçu :

  1. Créez une nouvelle fonction.
  2. Sélectionnez Appel de synoptique.
  3. La boîte de dialogue de sélection de synoptique s'affiche à l'écran.
  4. Sélectionnez le synoptique type Vue d'aperçu.
  5. La boîte de dialogue de configuration du synoptique s'affiche à l'écran.

Paramètres | Description
Affichage du synoptique de vue d'aperçu pour le cadre. | Sélection du cadre qui sera contrôlé dans la liste déroulante.
Couleur de la bordure | Définit l'affichage des couleurs dans le Redimensionne :
Standard | Couleur du cadre dans le synoptique indiquant la zone actuellement sélectionnée. Cliquez sur Couleur pour ouvrir la palette de couleurs.
When selecting with right click (Après sélection avec un clic droit) | Couleur de la bordure si l'utilisateur clique avec le bouton droit pour effectuer un déplacement. Cliquez sur Couleur pour ouvrir la palette de couleurs.
Configurer les barres d'outils |
Épaisseur cadre | Largeur du cadre dans le synoptique indiquant la zone actuellement sélectionnée.
Cyclic update of the overview screen (Mise à jour cyclique du synoptique de vue d'aperçu) | Actif : les éléments dynamiques du synoptique associé sont mis à jour à intervalles définis.
Secondes | Délai en secondes de la mise à jour cyclique.
Highlight selected object on selection (Afficher l'objet sélectionné en surbrillance) | Actif : Si vous cliquez sur un objet dans la liste d'objets, celui-ci est affiché en surbrillance.
Zoom | Propriétés du zoom.
Maintenir le ratio | Actif : le rapport d'aspect est préservé durant l'utilisation du zoom.
Deactivate lateral drag points (Désactiver les poignées latérales) | Actif : les poignées latérales des bordures sont désactivées et ne sont plus affichées. Exception : les coins.
- Zoom avec touches + / - | Utilisation des touches + et - pour la fonction de zoom : Les touches doivent être correctement attribuées.
Valeur % | Les touches permettent de contrôler la fonction de zoom par pas. Saisissez une valeur comprise entre 1 et 100. Par défaut : 10
Pas du zoom | Les touches permettent de contrôler la fonction de zoom par pas.
Déplacement avec touches fléchées en pixels | Saisissez le nombre de pixels suivant lequel le synoptique sera déplacé à chaque pression sur une touche fléchée. Les touches doivent être correctement attribuées. Saisissez une valeur comprise entre 1 et 16 000. Par défaut : 100
OK | Applique les informations, ferme la boîte de dialogue et ouvre la boîte de dialogue de remplacement de liens.
Annule | Annule toutes les modifications et ferme la boîte de dialogue.
Aide | Ouvre l'aide en ligne.

info Info

Les modifications de propriétés dans l'Éditeur ne prennent effet dans le Redimensionne qu'après que le synoptique de type Vue d'aperçu ait été appelé à nouveau.


Fonctionnement dans le Runtime

Manuels -> Vue globale -> Fonctionnement dans le Runtime

Pour pouvoir vous déplacer dans la vue globale dans le Runtime, utilisez les éléments suivants :

  • Un synoptique de type Vue d'aperçu
    Ou
  • Gestes MultiTouch sur un écran tactile

Worldview Overview : vue d'aperçu globale = synoptique avec le type "vue globale"

  1. Appelez un synoptique Vue globale en exécutant une fonction d'appel de synoptique
  2. Appelez un synoptique Vue d'aperçu en exécutant une fonction d'appel de synoptique

Conseil : utilisez un script pour appeler les deux synoptiques et fonctions d'appel de synoptique.

Les éléments de contrôle, la souris et le clavier vous permettent d'utiliser les fonctions de navigation et de zoom dans la vue globale. Vous trouvez plus de détails au chapitre Vue d'aperçu.

MultiTouch

Vous pouvez également accéder directement à la vue globale sans vue d'aperçu, grâce aux gestes MultiTouch. Vous trouverez plus de détails au chapitre Navigation MultiTouch dans la vue globale.

Autres sujets abordés dans ce chapitre

Worldview Overview : vue d'aperçu globale = synoptique avec le type "vue globale"

Navigation avec la fonction MultiTouch dans la vue globale.


Worldview Overview : vue d'aperçu globale = synoptique avec le type "vue globale"

Manuels -> Vue globale -> Fonctionnement dans le Runtime -> Worldview Overview : vue d'aperçu globale = synoptique avec le type "vue globale"

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans le Runtime, vous pouvez contrôler le facteur de zoom et la section affichée dans la vue d'aperçu de différentes manières :

  • Éléments de contrôle
  • Souris et écran tactile
  • Clavier

Les éléments de contrôle peuvent également être contrôlés par le biais d'un écran tactile. Les points de contact pour le fonctionnement à l'aide de la souris sont redimensionne pour pouvoir être facilement actionnés par le biais d'un écran tactile.

Si vous utilisez les gestes MultiTouch, vous pouvez accéder directement à une vue globale ; l'utilisation d'un synoptique de type Vue d'aperçu n'est pas nécessaire.

info Info

La vue d'aperçu est toujours au premier plan, dans sa propre fenêtre, dans le Runtime, indépendamment de la configuration des éléments de synoptique dans l'Éditeur.

Autres sujets abordés dans ce chapitre

Navigation avec les éléments de contrôle

Navigation à l'aide de la souris

Navigation à l'aide du clavier


Navigation avec les éléments de contrôle

Manuels -> Vue globale -> Fonctionnement dans le Runtime -> Worldview Overview : vue d'aperçu globale = synoptique avec le type "vue globale" -> Navigation avec les éléments de contrôle

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres | Description
Zoom min. | Désactive la fonction de zoom. La section est affichée à la taille du cadre.
Zoom max. | Niveau de zoom maximum.
+ | Agrandit le synoptique.
- | Réduit la taille d'affichage du synoptique.
Réglette (Slider) | Réglette de réglage du niveau de zoom.
Touche fléchée Gauche | Déplace la section affichée vers la gauche.
Flèche droite | Déplace la section affichée vers la droite.
Vers le haut | Déplace la section affichée vers le haut.
Bas | Déplace la section affichée vers le bas.
Object list (Liste d'objets) | Liste d'objets directement contrôlables. Cliquez sur un objet pour le centrer dans la section affichée à l'écran.


Navigation à l'aide de la souris

Manuels -> Vue globale -> Fonctionnement dans le Runtime -> Worldview Overview : vue d'aperçu globale = synoptique avec le type "vue globale" -> Navigation à l'aide de la souris

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'utilisation de la souris et du fonctionnement tactile autorisent les actions suivantes :

  • Déplacer la section :

    Pour déplacer la section de la vue globale affichée à l'écran, plusieurs possibilités s'offrent à vous :

    1. Cliquez au centre de la section et déplacez la souris au-dessus du cadre, tout en maintenant le bouton gauche de la souris enfoncé.
    2. Appuyez sur barre d'espacement et cliquez sur la vue globale. Le pointeur de souris change de forme, et devient une main. Vous pouvez maintenant déplacer la vue globale à l'aide de la souris. Les clics gauches n'ont aucun effet dans la vue globale lorsque la barre d'espacement est enfoncée.
    3. Cliquez sur la section affichée avec le bouton droit de la souris et déplacez le pointeur de la souris au-dessus du cadre, tout en maintenant le bouton droit de la souris enfoncé.
    4. Appuyez sur la molette de la souris et maintenez-la enfoncée pendant que vous déplacez la souris au-dessus du cadre.
  • Zoom :
    Cliquez sur la section et tournez la molette de la souris pour utiliser la fonction zoom. Le zoom est effectué conformément aux pas de zoom définis. Durant le zoom, le curseur de la souris reste au-dessus de la position sélectionnée affichée à l'écran.
  • Défilement : Vous pouvez faire défiler la vue globale à l'aide de la molette de la souris :
    • Verticalement : cliquez sur la vue globale et faites tourner la molette de la souris.
    • Horizontalement : cliquez sur la vue globale, maintenez la touche Maj enfoncée et faites tourner la molette de la souris.

      Touche Maj + molette de souris vers le haut : défilement vers la droite

      Touche Maj + molette de souris vers le bas : défilement vers la gauche


Navigation à l'aide du clavier

Manuels -> Vue globale -> Fonctionnement dans le Runtime -> Worldview Overview : vue d'aperçu globale = synoptique avec le type "vue globale" -> Navigation à l'aide du clavier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Vous pouvez également utiliser le clavier pour contrôler les fonctions de zoom et de déplacement. Pour cela, vous devez attribuer des touches à des éléments de contrôle, par exemple :

  • Haut -> touche fléchée Haut
  • Bas -> touche fléchée Bas
  • Gauche -> touche fléchée Gauche
  • Droite -> touche fléchée droite
  • + (réglette) -> touche +
  • - (réglette) -> touche -

Pour attribuer une touche à un élément de contrôle :

  1. Sélectionnez l'élément de contrôle de votre choix.
  2. Accédez à la propriété Raccourci clavier.
  3. Cliquez sur le bouton ... ou cliquez dans le champ de saisie.
  4. La boîte de dialogue de définition de la combinaison de touches est ouverte.
  5. Cliquez sur le champ de la combinaison de touches.
  6. appuyez sur la touche ou la combinaison de touches souhaitée du clavier, par exemple : +
  7. La combinaison de touches est affichée dans le champ de saisie.
  8. Fermez la configuration en cliquant sur OK


Navigation avec la fonction MultiTouch dans la vue globale.

Manuels -> Vue globale -> Fonctionnement dans le Runtime -> Navigation avec la fonction MultiTouch dans la vue globale.

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les fonctions MultiTouch de zoom et de défilement sont adaptées à la navigation dans la vue globale sur les écrans tactiles. Pour cela, un synoptique de type Vue d'aperçu n'est pas nécessaire. La navigation peut être mise en œuvre avec :

  • Les gestes tactiles Windows 7
  • Les gestes tactiles Windows 8

Autres sujets abordés dans ce chapitre

Navigation sous Windows 7

Navigation sous Windows 8


Navigation sous Windows 7

Manuels -> Vue globale -> Fonctionnement dans le Runtime -> Navigation avec la fonction MultiTouch dans la vue globale. -> Navigation sous Windows 7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour pouvoir parcourir un synoptique Vue globale avec des gestes MultiTouch sous Windows 7, vous devez effectuer les opérations suivantes :

  • Activer les gestes MultiTouch par le biais de la propriété 'Multi-touche' pour le zoom et le déplacement
  • Ou la mettre en œuvre par le biais de code VBA/VSTA

Zoom et défilement via la propriété 'Multi-touche' pour le zoom et le déplacement

Pour utiliser la fonction MultiTouch sans VBA/VSTA :

  1. Dans les propriétés du projet, dans le nœud Intéraction de la propriété Reconnaissance, activez Windows 7 ou Windows 8 Multi-Touche actif
  2. Désactivez la propriété Dimension du gabarit dans le nœud Dimension des propriétés du synoptique
  3. Activez la propriété 'Multi-touche' pour le zoom et le déplacement dans le nœud Intéraction des propriétés du synoptique

Ceci vous permet de faire défiler et d'agrandir/de réduire la taille d'affichage du synoptique avec des gestes MultiTouch. Dans ce cas, les fonctions de zoom et de défilement VBA/VSTA sont désactivées.

Zoom et défilement via VBA/VSTA

Pour activer des fonctions de zoom et de défilement par le biais d'événements VBA/VSTA, la propriété 'Multi-touche' pour le zoom et le déplacement ne doit pas être active.

Les éléments suivants sont disponibles dans la propriété DynPicture :

  • Propriété

    int ZoomLevel : affiche le niveau de zoom actuel dans la vue globale (valeur valide uniquement dans le Runtime, pour une vue globale).

  • Méthode

    SetZoomAndPos(float ZoomX, float ZoomY, int ZoomLevel, int CursorX, int CursorY, int PosX, int PosY, int PosMode) :

    ZoomX -> Direction X du nouveau facteur de zoom ; définie sur 0 si inutilisée

    ZoomY -> Direction Y du nouveau facteur de zoom ; définie sur 0 si inutilisée

    ZoomLevel -> Niveau de zoom ; défini sur -1 si inutilisé

    CursorX -> Cursorposition X

    CursorY -> Cursorposition Y

    PosX -> Nouvelle position X (voir PosMode)

    PosY -> Nouvelle position Y (voir PosMode)

    PosMode -> Coordonnées dans Pos

    -1 = PosX, PosY sont ignorés

    0 = point central, coordonnées originales

    1 = point central, coordonnées après zoom

    2 = point supérieur gauche, coordonnées originales

    3 = point supérieur gauche, coordonnées après zoom

    4 = coordonnées après zoom du curseur à partir du point supérieur gauche
    La position de la fenêtre est modifiée de telle manière qu'après le zoom, le pointeur de la souris se trouve toujours au-dessus de la position du synoptique

Attention : ZoomX, ZoomY et ZoomLevel ne peuvent pas être utilisés simultanément. Vous devez soit spécifier un paramètre ZoomLevel, soit spécifier un facteur de zoom pour les axes x et y.


Navigation sous Windows 8

Manuels -> Vue globale -> Fonctionnement dans le Runtime -> Navigation avec la fonction MultiTouch dans la vue globale. -> Navigation sous Windows 8

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour naviguer avec des gestes MultiTouch dans un synoptique Vue globale sous Windows 8 :

  1. Désactivez la propriété Dimension du gabarit pour le synoptique dans le groupe Dimension.
  2. Accédez au groupe Intéraction dans les propriétés du projet.
  3. Configurez les propriétés pour - et -.

Pour le geste de déplacement, vous pouvez définir la direction de votre choix - horizontale, verticale ou les deux. Pour cela, utilisez les propriétés - et -.


zenon Logic

Manuels -> zenon Logic

zenon Logic est l'interface de programmation intégrée à zenon, conformément à la norme IEC 61131. Elle est disponible dans l'Éditeur et le Runtime (automate logiciel).

tutorial Informations concernant la licence

Ce module doit disposer d'une licence dans l'Éditeur et le Runtime.

Remarque : 8 identifiants sont inclus dans la licence standard. Pour plus de détails concernant la gestion des licences, reportez-vous au chapitre Gestion des licences.

Autres sujets abordés dans ce chapitre

Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3)

Module Workbench de zenon Logic

Runtime de zenon Logic (automate logiciel)

zenon Logic Runtime Manager


Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3)

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon Logic est un environnement de programmation IEC 61131-3 destiné à différents systèmes cibles utilisant le moteur de Runtime zenon Logic. Dans le cas de zenon, le moteur de Runtime zenon Logic est conçu sous la forme d'un automate logiciel destiné aux plates-formes PC et CE.
Avec l'environnement de développement zenon Logic - appelé Workbench (espace de travail) -, les automates programmables peuvent être configurés et programmés dans les cinq langages définis par la norme IEC 61131-3.

Menu contextuel Gestionnaire de projet

Élément de menu | Action
Nouveau projet zenon Logic | Ouvre l'assistant de création d'un nouveau projet zenon Logic.
Importer XML … | Importe des entrées à partir d'un fichier XML. Attention : lors de l'importation au format XML, vous devez désactiver les modifications en ligne pour que l'actualisation de la variable de zenon Logic fonctionne.
Importer un projet zenon Logic externe... | Ouvre la boîte de dialogue permettant de sélectionner un dossier de projet zenon Logic.
Profils de l'Éditeur | Ouvre la liste déroulante contenant les profils prédéfinis.
Aide | Ouvre l'aide en ligne.

Autres sujets abordés dans ce chapitre

Informations générales concernant ce chapitre de l'aide

zenon Logic – Généralités

Barre d'outils et menu contextuel de la vue de détail zenon Logic

Premiers pas avec zenon Logic dans zenon

Gestion des variables

Ensembles

Structure de données

Développement multi utilisateurs

Réutiliser des projets


Informations générales concernant ce chapitre de l'aide

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Informations générales concernant ce chapitre de l'aide

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce manuel est une introduction rapide à l'utilisation de zenon Logic intégré à zenon. Ce manuel n'est pas le manuel d'utilisation des langages de l'automaticien, des fonctions et des blocs fonctionnels. À cette fin, veuillez utiliser l'aide exhaustive incluse directement dans le module Workbench de zenon Logic> (environnement de programmation IEC 61131-3).

Le module Workbench de zenon Logic propose une fonction d'aide étendue. Pour accéder à cette fonction d'aide, ouvrez l'entrée Aide dans le menu du module Workbench de zenon Logic, ou cliquez ici. Pour avoir de l'aide sur un domaine particulier (par exemples les blocs fonctionnels), sélectionnez-le avec la souris et appuyez sur la touche F1.

Dans le module Workbench de zenon Logic intégré à zenon ne comporte pas de limitation des variables indépendante des E/S ou de l'extension des variables de l'Éditeur de zenon.


zenon Logic – Généralités

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> zenon Logic – Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon Logic est un environnement de programmation IEC 61131-3 destiné à différents systèmes cibles utilisant le moteur de Runtime zenon Logic. Dans le cas de zenon, le moteur de Runtime zenon Logic est conçu sous la forme d'un automate logiciel destiné aux plates-formes PC et CE.

Module Workbench de zenon Logic

L'espace de travail zenon Logic est l'outil de programmation de l'automate zenon Logic. L'espace de travail de zenon Logic peut être démarré depuis l'Éditeur de zenon. Les 5 langages de la norme IEC 61131-3 sont disponibles.

Abréviation | Forme longue du langage
SFC | Sequential Function Chart - Grafcet
FBD | Function Block Diagram – Schéma par blocs
LD | Ladder Diagram – Schéma à relais
ST | ST – Texte structuré (Structured Text)
IL | Instruction List – Liste d'instructions

IEC 61131-3

La partie 3 de la norme IEC 61131 définit la syntaxe et la sémantique des langages de programmation des automates. Les automates programmables sont pour leurs parts décrits dans la partie 1.

Runtime de zenon Logic

Le Runtime zenon Logic est le système cible ; il exécute le code compilé dans l'espace de travail zenon Logic. L'automate logiciel zenon Logic est disponible sur PC et pour les plates-formes Windows ® CE. Toutefois, il existe également des automates programmables auxquels les constructeurs ont intégré moteur Runtime zenon Logic, sous la forme d'un logiciel OEM. La liste des fabricants de ces automates est disponible à l'adresse www.copalp.com.

Vous trouverez d'autres informations concernant zenon Logic ici : Runtime de zenon Logic (automate logiciel)


Barre d'outils et menu contextuel de la vue de détail zenon Logic

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Barre d'outils et menu contextuel de la vue de détail zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le menu contextuel

Élément de menu | Action
Nouveau projet zenon Logic | Ouvre la boîte de dialogue permettant de créer un nouveau projet, ajoute le projet à la liste et ouvre l'espace de travail zenon Logic avec le nouveau projet.
Ouvrir le projet zenon Logic dans l'espace de travail | Ouvre le projet sélectionné dans l'espace de travail de zenon Logic.
Supprimer | Supprime les entrées sélectionnées après une demande de confirmation.
Éditer cellule sélectionnée | Ouvre la cellule sélectionnée pour la modification. Le symbole représentant des jumelles dans l'en-tête indique la cellule sélectionnée dans une ligne affichée en surbrillance.
Remplacer un texte dans la colonne sélectionnée | Ouvre la boîte de dialogue de recherche et de remplacement de texte.
Propriétés | Ouvre la fenêtre Propriétés pour l'entrée sélectionnée.
Importer XML | Importe les entrées à partir d'un fichier XML. Attention : lors de l'importation au format XML, vous devez désactiver les modifications en ligne pour que l'actualisation de la variable de zenon Logic fonctionne.
Importer un projet zenon Logic externe | Ouvre une fenêtre de sélection du dossier de projet.
Supprimer tous les filtres | Supprime tous les paramètres de filtre
Aide | Ouvre l'aide en ligne.


Premiers pas avec zenon Logic dans zenon

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Premiers pas avec zenon Logic dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Nous allons décrire les premières étapes de la création d'un projet zenon Logic dans zenon. Vous trouverez par ailleurs des informations concernant la configuration et la modification du projet dans zenon. Si vous utilisez zenon Logic dans zenon pour la première fois, nous vous recommandons de suivre ce manuel.

Autres sujets abordés dans ce chapitre

Créer un projet zenon Logic dans un projet zenon

Édition d'un projet dans zenon Logic

Suppression d'un projet zenon Logic

Structure de l'atelier


Créer un projet zenon Logic dans un projet zenon

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Premiers pas avec zenon Logic dans zenon -> Créer un projet zenon Logic dans un projet zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un nouveau projet zenon Logic :

  1. Cliquez avec le bouton droit sur le nœud zenon Logic (IEC 61131-3) ou dans la vue de détail
  2. Dans le menu contextuel ou la barre d'outils, sélectionnez la commande Nouveau projet zenon Logic...
  3. La boîte de dialogue de configuration s'affiche.
  4. Spécifiez un nom valide.
  5. Sélectionnez le driver de votre choix.
    • Le driver STRATON est configuré automatiquement.
    • Pour le driver IEC, la boîte de dialogue de configuration s'affiche après la fermeture de la boîte de dialogue.
  6. Créez le projet en cliquant sur Terminer.

info Info

Vous pouvez ajuster les propriétés des projets zenon Logic dans le projet zenon, dans la fenêtre des propriétés de l'Éditeur zenon. Vous trouverez une description des propriétés uniques dans l'aide relative aux propriétés.

Vous pouvez modifier les paramètres du projet zenon Logic dans les paramètres du projet. Pour cela, accédez aux paramètres du projet dans l'espace de travail en sélectionnant Projet/Paramètres....

Boîte de dialogue Nouveau projet

Paramètres

Description

Nom

Nom librement définissable pour le projet zenon Logic.

Remarque : Le nom

  • est constitué de caractères alphabétiques
  • ne doit pas excéder 15 caractères
  • ne doit pas être vide
  • doit uniquement contenir des caractères valides
  • Tous les chiffres et les caractères spéciaux, tels que \ / , ; ß ä ö ü : * ? " < > | ( )
  • Un point peut uniquement être utilisé dans le nom (pas au début du nom)
  • Le bouton Terminer est uniquement actif si un nom valide a été saisi.

Pilotes

Sélection du driver. Vous avez le choix entre :

  • stratonNG.(par défaut) :
    Établit une nouvelle connexion au nom de projet correct, au port du Runtime de zenon Logic et à l'adresse IP 127.0.0.1
  • straton32:
    Établit une nouvelle connexion au nom de projet correct, au port du Runtime de zenon Logic et à l'adresse IP 127.0.0.1
  • IEC870 :
    Ouvre la boîte de dialogue de configuration.
  • IEC850:
    Ouvre la boîte de dialogue de configuration.

Cette sélection définit les éventuelles communications du Runtime entre zenon Logic et zenon. De plus, la création des variables d'exploitation et de contrôle est régie par les principes suivants :

  • nom défini sur la base du driver STRATON
  • Adresse définie sur la base du driver IEC

Terminer

Crée le nouveau projet zenon Logic.

Annuler

Annule la création du projet

Aide

Ouvre l'aide en ligne.

Sélectionner un driver

Aide à la décision pour la sélection du driver :

Pilotes

Propriétés

Driver straton32 :

Ethernet TCP/IP.

Avantages :

  • Utilisable de manière cyclique ou événementielle (c'est-à-dire en cas de modification)
  • Prend en charge les types de données complexes (types de données structurels ou ensembles)

Driver stratonNG :

Driver par défaut pour les projets zenon Logic. Satisfait toutes les exigences, comme le driver straton32.

En outre :

  • Autorise l'établissement de plusieurs connexions avec un driver à plusieurs Runtime simultanément (utilisation recommandée avec Windows CE)
  • Fonctionnement plus performant que le driver straton32

Driver IEC870 :

Ce driver est principalement utilisé dans l'automation d'infrastructures.

Propriétés :

  • Vous pouvez l'utiliser en série (-101) ou avec des communications Ethernet TCP/IP (-104).
  • Le trafic de données est généralement événementiel (c'est-à-dire en cas de modification)
  • Les types de données complexes ne sont pas pris en charge.

Pilote IEC850 :

Il s'agit du successeur de la norme IEC60870 ; il est entièrement orienté objet.

Pour plus d'informations concernant la configuration du driver, reportez-vous à l'aide correspondante du driver :

  • Driver straton32 : straton32
  • Driver stratonNG : stratonNG
  • Pilote IEC870 : IEC870
  • Pilote IEC850 : IEC850

attention Attention

Une fois votre choix de pilote effectué, vous ne pouvez pas changer de pilote.

Exception : il est impossible de passer du driver straton32 au driver stratonNG.

Modifier un driver

Pour passer du driver straton32 au driver stratonNG :

  • Sélectionnez la vue de détail du nœud Variables/Driver du projet zenon Logic avec le driver straton32.
  • Sélectionnez Échanger driver dans le menu contextuel.
  • La boîte de dialogue de sélection du driver s'affiche.
  • Vous pouvez uniquement sélectionner le driver stratonNG.
  • Sélectionnez le driver.
  • Fermez la boîte de dialogue.
  • La configuration est reprise dans le projet zenon Logic.


Édition d'un projet dans zenon Logic

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Premiers pas avec zenon Logic dans zenon -> Édition d'un projet dans zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour ouvrir un projet zenon Logic, double-cliquez sur son nom ou cliquez droit et choisissez Editer projet Straton. Vous pouvez également cliquer sur l'icône correspondante dans la barre d'outils dans la fenêtre de détails.


Suppression d'un projet zenon Logic

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Premiers pas avec zenon Logic dans zenon -> Suppression d'un projet zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour supprimer un projet zenon Logic :

  1. Sélectionnez l'option de menu Supprimer dans le menu contextuel du projet ou la barre d'outils.

    (La multi-sélection est possible.)

  2. Validez le message de confirmation de la suppression du projet.
  3. Indiquez si vous souhaitez supprimer le driver du projet.

    (Lors de la suppression simultanée de plusieurs projets, une demande de confirmation de suppression du driver est affichée pour chaque projet.)

attention Attention

Si vous supprimez le driver, toutes les variables liées au driver dans zenon sont également supprimées.


Structure de l'atelier

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Premiers pas avec zenon Logic dans zenon -> Structure de l'atelier

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module Workbench de zenon Logic peut être divisé comme suit :

Domaine | Description
1 | Dans cette section, les documents sont visualisés et édités (programmes, listes espion, ...).
2 | L'espace de travail : Les documents sont créés et ouverts dans cette liste.
3 | La fenêtre de sortie affiche les messages et donne accès aux outils de diagnostic.
4 | Dans l'éditeur de variables, les variables et les instances sont déclarées.
5 | L'onglet des propriétés et l'ordre de pile sont utilisés pour le développement des documents graphiques.
6 | L'onglet "Bibliothèques" montre la liste des fonctions et blocs disponibles
7 | L'onglet Liste d'espions affiche les valeurs en ligne des variables sélectionnées durant le débogage.
8 | L'onglet "Définitions" affiche toutes les définitions.
9 | L'onglet "Graphique" montre les types d'objets graphiques disponibles.

Chaque zone fixe (excepté la zone 1) peut être cachée ou montrée à l'aide des commandes du menu Affichage.

Dans la zone centrale sont ouverts les documents de l'espace de travail. Lorsque plusieurs documents sont ouverts ensemble, vous pouvez sélectionner les différents documents en cliquant sur l'onglet affiché au bas de la zone. Utilisez le bouton X dans la barre de titre pour fermer le document.

L'éditeur de variable et la fenêtre centrale peuvent être agrandies en cliquant sur le bouton correspondant (symbole bleu avec une ligne blanche) ou en cliquant deux fois dans leur barre de titre.

Lorsque plusieurs documents sont ouverts dans la zone centrale, vous pouvez "verrouiller" un d'eux en haut ou à gauche de la zone. Pour cela, cliquez avec le bouton droit de la souris sur l'onglet correspondant et sélectionnez Verrouiller. Le même menu vous permet à tout instant de déverrouiller le document ou d'en verrouiller un autre.


Gestion des variables

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Gestion des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'intégration complète de zenon Logic dans zenon offre de nombreux avantages dans le développement des projets de contrôle et de supervision. Les variables O&M (Operating and Monitoring) deviennent disponibles dans zenon avec juste quelques clics souris. Lors de la modification des variables (nom, type, ...) les changements sont immédiatement transmis à l'autre système.

Avantages de l'intégration :

  • Gestion facile des variables O&M
  • Répercussion immédiate des modifications
  • Gain de temps de travail car pas de phase d'import / export.
  • Qualité améliorée par la minimisation des causes d'erreurs

attention Attention

Les instances UDFB externes provenant d'autres projets zenon Logic ne forment pas partie du projet zenon Logic et ne sont donc pas disponibles dans zenon.

Autres sujets abordés dans ce chapitre

Créez des variables O et M dans zenon Logic

Créez des variables O et M dans zenon

Utilisation de variables zenon dans zenon Logic

Noms des variables


Créez des variables O et M dans zenon Logic

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Gestion des variables -> Créez des variables O et M dans zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Toutes les variables créées dans l'espace de travail zenon Logic peuvent être marquées comme des variables O&S (Opération et Suivi) :

  • Variables locales des programmes
  • Variables globales
  • Variables de retenue (= variables rémanentes)
  • Variables tableau
  • Variables de type structure
  • Instances UDFB (blocs fonctionnels définis par l'utilisateur)

Remarque : les variables du type de données TIME ne peuvent pas être déclarées en tant que variables O et M.

attention Attention

Lors de l'utilisation d'instances UDFB sous forme de variables O et M, nous vous recommandons d'administrer un seul projet zenon Logic dans un projet zenon.

Si deux projets zenon Logic ou davantage sont administrés dans zenon, les instances UDFB marquées comme variables O et M apparaissent sous forme de types de données de structure.

Sélection de variables en tant que variables O et M

Pour cela, les étapes suivantes sont nécessaires :

(Référez-vous à l'aide en ligne de zenon Logic pour les étapes à suivre pour créer une variable dans zenon Logic).

  1. Cliquez avec le bouton droit de la souris sur une variable dans la liste de variables.
  2. Sélectionnez Propriétés dans le menu contextuel.
  3. Cochez la case Embarquer les symboles dans la boîte de dialogue suivante.
  4. Dans la liste déroulante, remplacez le profil Aucun par STRATON (*opérationnelle et visualisable pour zenon*).
  5. Cliquez sur OK.

La variable O&M est maintenant ajoutée à la liste de variables de zenon.

attention Attention

Dès qu'une variable de zenon Logic est déclarée comme variable O et M, vous devez éviter de les modifier sous forme de texte dans l'espace de travail !

Ceci peut entraîner la disparition de déclarations de variables.

La variable O&M est affichée avec un préfixe dans zenon. Le préfixe est constitué de la façon suivante :

<Nom du projet zenon Logic/Nom du programme> <zenon Logic et paramètre global ou retain>/<Nom de variable>

attention Attention

Les variables comportent une restriction de longueur de caractères. Préfixe, inclus, le nom de la variable ne doit pas dépasser 128 caractères.

Activation dans la liste de variables

Le profil et le drapeau peuvent être définis directement dans la liste de variables zenon Logic. De cette façon, vous n'avez pas à ouvrir le menu contextuel et la boîte de dialogue.

Marquez la ligne Propriétés de la variable correspondante. Appuyez sur Ctrl+F12. Le profil zenon Logic est alors affiché dans cette ligne. Vous devez en outre cocher la case pour embarquer le symbole en double-cliquant dessus ou en appuyant sur la touche Entrée dans la colonne Symb.

attention Attention

La case à cocher Embarquer les symboles doit être activée. Les variables pour lesquelles cette case n'est pas cochée ne peuvent pas communiquer avec zenon à l'aide du driver STRATON, et ne fourniront aucune valeur.

Attributs additionnels des variables

Les attributs supplémentaires Identification et Description d'une variable sont également affichés dans zenon lorsque vous sélectionnez le profil STRATON (*opérationnelles et visualisables pour zenon*). Dans zenon, le contenu des champs d'identification et de description se trouve dans les propriétés Identification et Identifiant de ressource.

Tableaux et variables de structure

Si les ensembles ou les variables de structure sont identifiées avec le profil STRATON (*fonctionnement et surveillance pour zenon*), ils sont également affichés dans la liste de variables de zenon. Vous devez toutefois activer les éléments souhaités de la variable.

attention Attention

Si une variable O et M est un ensemble, vous devez faire attention en définissant les valeurs initiales.

Recommandation : Les ensembles comportant des valeurs initiales ne doivent être déclarés comme variables O et M ! Si cela ne peut pas être évité, la chaîne décrivant la valeur initiale ne doit pas comporter plus de 1024 caractères.

Instances UDFB

  1. les variables d'entrée des instances UDFB ne sont pas disponibles par le biais de la solution intégrée dans zenon.
  2. Dans zenon, les variables d'une instance UDFB ne peuvent pas être créées. Cela n'est possible que si une instance de variable UDFB est créée dans zenon Logic et le profil zenon Logic est défini.

    Les instances UDFB marquées avec le profil zenon Logic (*fonctionnement et surveillance pour zenon*) ne sont pas automatiquement disponibles dans zenon. Si vous souhaitez les rendre disponibles, vous devez activer cette fonctionnalité manuellement, à l'aide de l'entrée suivante dans le fichier K5DBXS.INI. Dans le fichier K5DBXS.INI, accédez à la section [XS] et saisissez ShareUDFBDatatype=1 .

    Si vous désactivez cette entrée, les types de données UDFB dans un projet sont encore modifiés. Toutefois, aucune instance UFDB n'est créée.

Déclarations d'E/S matérielles

Les variables d'E/S de zenon Logic peuvent être utilisées dans zenon si, dans le module Workbench de zenon Logic :

  • Ils comportent un profil
  • Ils comportent un nom d'alias ; ce nom est utilisé dans zenon à la place de %IX0.0 (type de carte, indice de carte, numéro de bit).
    Un alias est nécessaire si le profil de zenon Logic est utilisé et la propriété Embarquer les symboles est activée. Dans ce cas, la variable est également disponible dans zenon (éditeur et Runtime).

Remarque : si un groupe d'E/S est supprimé dans zenon Logic, les variables de la carte d'E/S avec le profil zenon Logic sont également supprimées dans zenon.

Attention :

  • Les variables E/S ne peuvent pas être renommées dans zenon.
  • Les variables E/S des cartes E/S de zenon Logic ne peuvent pas être créées dans zenon.
  • Le type de données des variables E/S ne doit pas être modifié dans zenon : Les modifications ne sont pas adoptées dans le module Workbench de zenon Logic.
  • Les modifications apportées à la déclaration d'E/S du matériel doivent toujours être mises en œuvre dans zenon Logic. Dans zenon, aucune nouvelle variable ne peut être créée pour le driver straton32 en tant que variable E/S de matériel pour zenon Logic.


Créez des variables O et M dans zenon

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Gestion des variables -> Créez des variables O et M dans zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables O&M ("Operating and Monitoring", fonctionnement et maintenance) pour l'automate logiciel PLC zenon Logic peuvent également être déclarées dans zenon. À cette fin, créez une variable dans zenon, comme vous le faites habituellement :

attention Attention

Attention aux conventions de nommage de la norme IEC 61131-3 (pas de caractère spécial, ...) ; sinon le bouton Terminer ne sera pas disponible dans la boîte de dialogue. Voir également : Noms des variables

info Info

Les variables déclarées dans zenon sont toujours des variables globales pour zenon Logic.

Modifications apportées aux variables d'un driver zenon Logic dans zenon

Si les variables d'un driver lié à un projet zenon Logic sont supprimées :

  • Une identification des modifications du projet zenon Logic est effectuée
  • La connexion de l'espace de travail de zenon Logic au Runtime demande si le projet doit être recompilé

Ce comportement s'exécute indépendamment de l'effet des modifications sur le projet de zenon Logic.


Utilisation de variables zenon dans zenon Logic

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Gestion des variables -> Utilisation de variables zenon dans zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il est très facile de traiter dans straton des variables du procédé issues d'automates tels que les S7 de Siemens ou les TwinCAT de Beckhoff dans zenon Logic, des variables lues par les drivers zenon de zenon.

Une possibilité pour réaliser cette fonctionnalité est l'utilisation des attributions (voir Attributions). La variable de l'automate (par exemple S7) est liée à une variable zenon Logic dans une attribution. Dans ce cas, seul un lien unidirectionnel est possible.

Un moyen plus facile, plus rapide et bidirectionnel : les variables automates (par exemple issues d'un S7) peuvent être échangées entre zenon et zenon Logic par une connexion sur de la mémoire partagée. Dans les propriétés de la variable automate, l'option Visible par d'autres programmes doit être cochée pour la rendre accessible dans le module Workbench de zenon Logic.

Dès que ce drapeau est défini, la variable est affichée dans la liste de variables du module Workbench de zenon Logic.

attention Attention

Tenez compte des interactions avec la propriété Hystérésis.
Si une propriété Hystérésis a été configurée pour la variable zenon, la valeur dans zenon Logic ne correspondra pas à la valeur dans l'automate. Il est également possible qu'elle ne corresponde pas à la valeur dans zenon.

  • Si la valeur est modifiée au niveau de l'automate, mais reste dans les limites de l'hystérèse configurée, elle n'est pas communiquée au Runtime de zenon, et par conséquent, n'est pas non plus communiquée au Runtime de zenon Logic.
  • Si la valeur est modifiée par l'utilisateur dans zenon (par exemple, via une fonction) et la valeur reste dans les limites de l'hystérèse configurée, la valeur reste identique dans zenon et zenon Logic, mais elle change au niveau de l'automate.
  • Si la valeur est modifiée dans zenon Logic et reste dans les limites configurées de l'hystérèse, la valeur est modifiée dans l'automate et dans zenon Logic. Elle reste en revanche identique dans zenon.
    Si, dans cette situation, la valeur change dans l'automate et reste dans les limites de l'hystérèse, trois valeurs différentes existent :
    one in the PLC, one in zenon and one in zenon Logic.

Une telle variable est marquée de façon spéciale dans zenon Logic pour indiquer qu'elle ne peut pas être modifiée dans zenon Logic. Modifier la variable ici entrainerait des problèmes, car la variable est issue de l'environnement de programmation de l'automate externe (par exemple S7).

attention Attention

Attention avec le nom de la variable ! Le nom de la variable de l'automate externe doit être compatible avec la norme IEC 61131-3. Reportez-vous également au chapitre Noms de variables.

Dans zenon Logic, le driver d'E/S (pilote de mémoire partagée) correspondant doit être chargé pour que la communication soit établie dans le Runtime pour ces variables.

Pour cela, ouvrez l'interface de configuration de bus de terrain dans l'espace de travail de zenon Logic avec le menu Fichier -> Ouvrir... -> Configuration du bus de terrain.

La boîte de dialogue suivante s'ouvre avec le menu Insérer -> Insérer une configuration... :

Ici sélectionnez la configuration Connexion straton vers zenon RT. Ainsi cette configuration est insérée dans l'arbre de configuration de bus de terrain :

Maintenant les variables déclarées "visible par d'autres programmes" dans zenon peuvent communiquer avec zenon Logic.

info Info

Attention, une telle connexion ne marche que localement sur le même PC ou la même plate-forme CE. Dans ce cas, il n'est pas possible de communiquer avec un Runtime zenon Logic tournant sur un autre poste.

Tableaux et variables de structure

Le driver zenrt permet de résoudre les variables complexes (tableaux et variables de structure) sous forme de structure plane. Les valeurs de variables possédant le même nom dans zenon Logic et zenon sont échangées via le driver de mémoire partagée.

info Info

Aucune fonction de vérification de l'état d'un variable et de configuration de l'état Dirty (Altéré) n'est actuellement prise en charge.

Les informations d'état (horodatage et bits d'état) ne sont pas prises en charge pour les types de données complexes.

Si vous avez marqué un élément d'un ensemble ou une variable de structure comme visible au niveau externe, une variable simple portant le même nom est créée dans le module Workbench de zenon Logic. Si vous avez marqué le tableau ou la variable de structure comme visible au niveau externe, cette variable complexe est créée dans le module Workbench.

info Info

Si vous marquez un tableau ou une variable de structure comme visible au niveau externe, les éléments individuels ne sont plus créés dans le module Workbench.

Dans le module Workbench, vous pouvez créer des variables dont le nom contient les caractères . ou []. Vous pouvez ainsi créer des variables possédant le même nom que les variables dérivées d'un tableau ou d'une variable de structure. Dans ce cas, la communication avec le driver zenrt est impossible, car aucune attribution distincte ne peut être effectuée.

attention Attention

Les variables d'ensemble dans zenon reposant sur le driver straton32 ou stratonNG ne doivent pas commencer par 1. Un ensemble de zenon avec les dimensions 1,2,2 est créé comme une variable simple dans zenon Logic.


Noms des variables

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Gestion des variables -> Noms des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans zenon Logic, les noms des variables doivent être conformes à la norme IEC 61131-3. L'exactitude de la saisie est contrôlée par zenon et par zenon Logic (la communication se déroule à l'aide du pilote STRATON).

Par contre, vous pouvez nommer les variables d'autres pilotes (par ex. pilote S7 TCO/IP) dans le système de contrôle sans restriction particulière. Mais attention, les variables qui n'auront pas de nom IEC 61131-3 ne pourront être mises à disposition dans STRATON (la communication se déroule à l'aide de la mémoire partagée).

Exemples de noms valides et non valides selon la norme IEC 61131-3 :

Noms autorisés | Noms interdits | Cause de la non-validité :
_XYZ | __XYZ | Deux tirets bas.
xy_z | xy__z | Underlined twice.
xyz_ | xyz__ | Deux tirets bas.
MotorOn | Motor On | Espace.
Motor_On | Motor On | Barre oblique (/).
mw10 | 1mw10 | Nombre situé au début.
xyz | #xyz | Caractère #.
_Motor1 | _Motor 1 | Espace.
Stoerung | Störung | Tréma (¨).
Ueberbruecken | Überbrücken | Tréma (¨).
Mo_tor | Mo-tor | Tiret (-).

À partir de la version 6.22 SP1, il est possible d'utiliser des variables conformes aux réglementations de la norme IEC 61131-3 (noms de variables libres). Faites attention lorsque vous utilisez des noms de variables libres.

Suivez ces règles lorsque vous utilisez des noms de variables libres :

  • les caractères suivants ne sont pas autorisés dans les noms de variables : "(*", "*)", "//", "{" et "}"
  • Les noms de variables ne doivent pas commencer par "__" (deux tirets bas)
  • Si des noms de variables libres sont utilisés lors de l'utilisation du langage de programmation ST ou IL, ils doivent être saisis entre accolades {}.
  • Si des noms de variables libres sont utilisés avec une structure d'ensemble, ils doivent être saisis entre accolades {}.
  • Les variables possédant des noms de variables libres avec un type de données de base peuvent être saisies sans accolades {} dans les langages de programmation FBD et LD. Elles doivent être déclarées en tant que variables globales.
  • Des variables possédant le même nom, une fois avec {} et une autre fois sans {}, sont considérées comme deux variables différentes.

info Info

Les variables de structure et les ensembles des variables de structure dont le nom comporte un point (.) sont correctement affichés. Les ensembles standard dont le nom comporte une barre oblique (/) ou un point (.) n'affichent pas de valeurs dans la liste d'espions.


Ensembles

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Ensembles

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les ensembles peuvent être créés dans zenon et zenon Logic pour les deux systèmes. La déclaration de variables O et S se déroule conformément aux indications des chapitres Créez des variables O et M dans zenon Logic et Créez des variables O et M dans zenon.

attention Attention

Les variables d'ensemble dans zenon reposant sur le driver straton32 ou stratonNG ne doivent pas commencer par 1. Un ensemble de zenon avec les dimensions 1,2,2 est créé comme une variable simple dans zenon Logic.

Lors de la création d'ensembles dans zenon Logic, veillez à activer les éléments uniques dans zenon.

Lors de la création d'un ensemble dans zenon, démarrez l'ensemble avec l'index 0 de façon à ce que l'ensemble ait les mêmes indexes dans les deux systèmes.

attention Attention

Les ensembles comportant des valeurs initiales ne doivent être déclarés comme variables O et M ! Si cela ne peut pas être évité, la chaîne décrivant la valeur initiale ne doit pas comporter plus de 1024 caractères.


Structure de données

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Structure de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Des données de type Structure peuvent être créées dans zenon ou dans l'espace de travail de zenon Logic.

info Info

Lors de la création des données de type Structure dans zenon, attention de respecter les conventions de nommage de la norme IEC 61131-3, sinon la structure ne sera pas disponible dans zenon Logic. Reportez-vous également au chapitre Noms de variables. Aucun contrôle sur les noms n'est fait dans zenon !

info Info

Si vous créez des données de type structure dans zenon Logic, elles sont toujours déclarées comme liées dans zenon.

Par conséquent, il est plus intéressant de créer une donnée de type Structure dans zenon, puisque vous pouvez ensuite décider si vous préférez un type de données lié ou embarqué.


Développement multi utilisateurs

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Développement multi utilisateurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Il est possible que plusieurs ingénieurs travaillent ensemble au développement d'un projet zenon. Ainsi, par exemple, un ingénieur travaille sur un projet zenon Logic, tandis qu'un autre travaille sur le projet zenon.

Variables

Lors du développement distribué, les variables O&M (Operating & Monitoring) sont gérées séparément par le projet zenon Logic.

Les variables peuvent être créées dans zenon Logic, comme d'habitude. Si les variables doivent également être disponibles dans zenon, elles doivent être pourvues de la propriété correspondante (symbole embarqué, profil zenon Logic (*opérationnelle et visualisable pour zenon*)). Ensuite, la variable est créée dans zenon. Vous pouvez accepter les modifications réalisées par d'autres ingénieurs (appliquer les modifications). Vous ne pouvez pas modifier une variable modifiée dans l'espace de travail zenon Logic. Elle est donc identifiée de manière adéquate dans la liste de variables zenon Logic.

Pilotes

Les drivers zenon Logic sont accessibles, dans le développement distribué, par l'intermédiaire du projet zenon Logic. Cela signifie que si vous souhaitez effectuer des modifications, vous devez autoriser les modifications pour le driver STRATON.

Projets zenon Logic

Pour modifier un projet multi-utilisateurs zenon Logic, vous devez le désactiver (autoriser les modifications). Après le développement, les modifications peuvent être annulées ou acceptées.

Suppression d'un projet zenon Logic

Les projets zenon Logic peuvent également être supprimés :

  • S'ils sont désactivés (autoriser les modifications)
  • En mode hors ligne


Réutiliser des projets

Manuels -> zenon Logic -> Principes fondamentaux du module Workbench de zenon Logic (IEC 61131-3) -> Réutiliser des projets

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les projets zenon Logic créés avec le module Workbench autonome de COPA-DATA peuvent facilement être intégrés à un projet zenon.

Dans le menu contextuel de l'affichage détaillé du module zenon Logic (IEC 61131-3), sélectionnez l'option Importer un projet zenon Logic externe.... Avec cette commande, vous pouvez définir un projet zenon Logic existant (marquer le dossier) et l'intégrer au projet zenon existant.

Une autre possibilité est l'import XML. Dans le menu contextuel de l'affichage détaillé du module zenon Logic (IEC 61131-3), vous trouverez l'option Importer XML. Donc les projets zenon Logic préalablement exportés en XML peuvent être importés facilement dans un projet zenon.

Remarque : lors de l'importation au format XML, vous devez désactiver les modifications en ligne pour que l'actualisation de la variable de zenon Logic fonctionne.


Module Workbench de zenon Logic

Manuels -> zenon Logic -> Module Workbench de zenon Logic

Ici, vous trouverez le manuel de l'espace de travail zenon Logic. Il est uniquement disponible sous forme d'aide en ligne.


Runtime de zenon Logic (automate logiciel)

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Runtime zenon Logic interprète le code compilé de l'automate du module Workbench de zenon Logic. Le Runtime s'exécute sur les plate-formes Windows Vista, Windows 7, Windows 8 et Embedded, ainsi que sur les plates-formes Windows CE.
Ce chapitre présente l'utilisation du Runtime zenon Logic et de l'outil de configuration zenon Logic Runtime Manager.

attention Attention

En raison de problèmes de performances, la version 6.22 SP0 Build 2 du Runtime zenon Logic nécessite le driver straton pour les versions identiques ou antérieures de zenon. Les versions antérieures du Runtime zenon Logic fonctionneront toujours avec tous les drivers straton.

Autres sujets abordés dans ce chapitre

Interface utilisateur

Licence

Démarrez le Runtime zenon Logic

Cycle du Runtime zenon Logic

Fermez le Runtime zenon Logic

Création du fichier de redémarrage à chaud

Systèmes distants

Runtime de zenon Logic avec module Real Time Kernel (RTK)

Redondance de zenon Logic et zenon

Spécification OEM

Transmission des informations d'horodatage et d'état des variables

Prise en charge des pilotes d'E/S de zenon Logic

Pilotes d'E/S de zenon Logic : Redémarrage à chaud/Modification en ligne

Messages d'erreur


Interface utilisateur

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Interface utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En général, le Runtime zenon Logic est montré comme une icône dans la barre système. Double-cliquer sur le symbole comportant une flèche verte ou sélectionner l'option de menu Afficher dans le menu contextuel ouvre l'interface utilisateur du Runtime de zenon Logic.

En fonction de l'état actuel, l'interface utilisateur affiche différents états (exécution, mode de modification d'instruction, point(s) de pause, arrêt).

Un diagramme à barres représente la charge de l'automate.

Conjointement aux informations concernant l'état du projet zenon Logic en cours d'exécution, les actions suivantes peuvent être exécutées dans l'interface utilisateur du Runtime de zenon Logic.

  • Réglette Allowed maximum (Maximum autorisé) pour les ressources de l'automate : définir le maximum autorisé
  • Bouton Paramètres... : permet de configurer les paramètres via trois onglets
    • Paramètres généraux
    • Redondance
    • Utilisateurs avancés
  • Bouton Démarrer/Arrêter : ouvre la boîte de dialogue de démarrage ou d'arrêt du Runtime
  • Bouton Messages : ouvre et ferme la fenêtre d'affichage des messages

Autres sujets abordés dans ce chapitre

Réglette Maximum autorisé

Paramètres

Messages


Réglette Maximum autorisé

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Interface utilisateur -> Réglette Maximum autorisé

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La réglette Maximum autorisé est utilisée pour garantir que les autres applications qui s'exécutent sur le même périphérique - telles que zenon - disposent de ressources système.

Avec cette réglette, vous pouvez définir le temps maximum autorisé pour l'exécution du cycle automate. Si avec un cycle système de 10 ms, la réglette est positionnée à 50 %, le cycle automate pourra prendre au maximum 5 ms. Si le cycle automate dure plus que 5 ms, les calculs restants seront fait dans le cycle suivant. Donc un cycle doit être "omis" dans l'automate. Il en résulte un dépassement de cycle.

La réglette peut être définie de façon continue entre 10% et 100%.

Le bargraphe montre la charge occupée par l'automate selon ce qui a été défini par la réglette. Donc vous pouvez trouver comment fixer la valeur de la réglette pour un réglage optimal.

Charge d'automate élevée (réglette entre 50 et 100 %) : déplacer la réglette vers 100 % ou augmenter le temps de cycle.


Paramètres

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Interface utilisateur -> Paramètres

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les paramètres permettent de configurer le Runtime zenon Logic par l'intermédiaire de trois onglets :

  • Paramètres généraux
  • Redondance
  • Utilisateurs avancés

Autres sujets abordés dans ce chapitre

Généralités

Redondance

Paramètres avancés


Généralités

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Interface utilisateur -> Paramètres -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur l'onglet Général, vous pouvez modifier les différents paramètres du Runtime de zenon Logic :

Paramètres | Effets
Communications |
Port (Main) : | port IP du Runtime de zenon Logic pour le transfert de données cyclique (par ex. espace de travail de zenon Logic).
Port (liaison) : | port IP du Runtime de zenon Logic pour le transfert de données en cas de modification (par exemple, espace de travail et/ou liaison avec CA_PRODUCTNAME).
Startup |
No start (Pas de démarrage). Open this box (Ouvrir cette boîte) : | lors du démarrage du Runtime de zenon Logic, cette boîte est ouverte en premier.
Reprise graduelle : | toutes les variables sont initialisées au démarrage. Même les variables RETAIN sont initialisées.
Démarrage à froid (chargement des variables RETAIN) : | les variables RETAIN sont initialisées avec leur valeur au moment du dernier arrêt lors du démarrage. Ils contiennent uniquement des valeurs, et non des états (voir la boîte de dialogue Infos).
Reprise graduelle : | lors du démarrage, toutes les variables prennent la valeur qu'elles avaient lors du dernier arrêt.
Start in stepping mode (Démarrer en mode pas-à-pas) : | Démarre le Runtime zenon Logic et l'arrête immédiatement en mode de débogage.
Délai [s] | Retarde de démarrage du nombre de secondes défini. Par défaut : 0
Donnés Retain |
Storage path Retain data (Chemin d'accès des données de retenue) | endroit où est stocké le fichier qui contient les valeurs des RETAIN. Le paramètre par défaut varie selon le démarrage du Runtime zenon Logic.
Save retain variables with their names (Enregistrer les variables de retenue avec leurs noms) | Cochez cette case si vous souhaitez enregistrer les données de retenue avec les noms de variables. Ceci permet d'enregistrer également les valeurs des variables de retenue lors de l'ajout ou de la suppression d'une variable de retenue. Remarque : pour enregistrer une variable, celle-ci doit être définie comme Embedded (Incorporée) dans l'espace de travail de zenon Logic. Si vous ne cochez pas la case, les données de retenue sont enregistrées de manière conventionnelle. En cas de modification de la variable de retenue, le Runtime démarre avec les valeurs initiales pour toutes les variables de retenue. Par défaut : désactivé
Enregistrement cyclique des variables de retenue | Si vous décochez cette case, les données de retenue ne sont plus enregistrées de manière cyclique, mais uniquement lorsque le Runtime est fermé. Elles sont toujours enregistrées après une modification, mais pas plus souvent que toutes les 10 ms environ. Par défaut : activé
Real-time priority (Priorité en temps réel) : | attribue la priorité Windows Realtime (Temps réel) au processus du Runtime de zenon Logic. Si la balise n'est pas définie, cela signifie une priorité normale.

info Info

Si vous avez activé l'option Enregistrer les variables retains avec leurs noms dans zenon et souhaitez également l'utilisateur lors du démarrage manuel du Runtime, vous devez vous assurer que dans la section [CMD] du fichier K5DBXS.INI, l'option RETAINBYNAME est définie. Ceci permet de définir toutes les variables de retenue comme incorporées lors du démarrage de l'espace de travail de zenon Logic.
Conseil : Le fichier INI est uniquement vérifié au démarrage de l'espace de travail de zenon Logic. Les modifications effectuées durant l'exécution de l'espace de travail n'ont aucun effet.

info Info

Variables de retenue

Les données de retenue contiennent uniquement la valeur des variables de zenon Logic, et non leur état. Cela signifie, pour le démarrage :

  • Reprise graduelle : l'état défini pour une variable est restauré, qu'il s'agisse ou non d'une variable de retenue.
  • Démarrage à froid avec variables de retenue : seule la valeur de la variable de retenue dans zenon Logic est restaurée, et non son état.

info Info

Si le Runtime de zenon Logic a été démarré avec le Runtime de zenon ou avec zenon Logic Runtime Manager, les changements faits avec cette interface NE seront PAS pris en compte après un redémarrage du Runtime de zenon Logic.

Veuillez faire les changements dans les propriétés du projet zenon Logic dans l'Éditeur zenon ou dans zenon LogicRuntime Manager.

Dans ces cas de figure, la boîte de dialogue vous aide à déterminer les paramètres transmis au Runtime zenon Logic.

Les modifications apportées aux paramètres par l'intermédiaire de cette boîte de dialogue s'appliquent uniquement si le Runtime de zenon Logic est démarré directement (par exemple à l'aide de l'Explorateur Windows).


Redondance

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Interface utilisateur -> Paramètres -> Redondance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans l'onglet Redondance, vous pouvez consulter les paramètres de redondance du Runtime de CA_PRODUCTNAME.

Vous pouvez consulter ou effectuer les entrées suivantes :

Entrée | Signification
Activer la redondance | Le Runtime opère en mode redondant
Port de serveur : | Port de duplication de la connexion
Expiration du délai d'attente du serveur [ms] | Délai d'attente visant à déterminer si le client passif est disponible. Après l'expiration du délai d'attente, la duplication est arrêtée.
Expiration du délai d'attente du client [ms] | Délai d'attente visant à déterminer si le serveur actif est encore disponible ou non. Après l'expiration du délai d'attente, le client passif devient le serveur actif.
Adresse de partenaire : | Adresse IP du partenaire de redondance.

info Info

Vous trouverez plus de détails concernant la configuration de la redondance de zenon Logic et de zenon au chapitre Redondance< de CA_PRODUCTNAME> et zenon.


Paramètres avancés

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Interface utilisateur -> Paramètres -> Paramètres avancés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cet onglet, vous pouvez accéder aux paramètres de communication avec les applications externes (liaison, driver zenon, etc.).

Les paramètres suivants sont disponibles :

Entrée

Signification

Plage de valeurs

Système

Longueur maximale de la file d'attente système. Cette file d'attente est par exemple utilisée pour conserver les dépassements de capacité de la file d'attente d'événements.

1024 ... 65520

Par défaut : 1024

Alarmes

Longueur de la file d'attente d'alarmes (actuellement non utilisée)

0 ... 65520

Par défaut : 0

max. connections

Nombre de connexions possibles (ne peut pas être modifié)

4 ... 65535

Par défaut : 256

Evénements

Longueur de la queue d'événements :

Dans cette file d'attente sont écrits les événements provenant des serveurs d'événements du Runtime de zenon Logic. Ils sont ensuite transmis via TCP.

En cas de dépassement de la capacité de cette file d'attente, les messages de dépassement de capacité sont écrits dans la file d'attente du système.

0 ... 65535

Par défaut : 8192

Messages

Longueur de la queue d'information. Dans cette file d'attente sont conservés les messages transmis à l'espace de travail de zenon Logic.

1024 ... 65520

Par défaut : 32768

max. buffer

Taille de la mémoire tampon d'événements par cycle. Ce paramètre détermine le nombre de variables traitées par cycle d'événement de serveur.

128 ... 65535

Par défaut : 1024

RAZ

Remet les paramètres par défaut

info Info

Si dans les gros projets, plus de 1024 variables doivent être transférées entre zenon Logic et zenon par le driver straton32.exe, le paramètre Max. buffer doit être augmenté en conséquence. Une méthode simple pour trouver le nombre Max. buffer (Mémoire tampon max.) est la valeur donnée en nombre d'E/S dans la fenêtre de sortie du module Workbench de zenon Logic lors de la compilation. Voir l'illustration ci-dessous.


Messages

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Interface utilisateur -> Messages

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les messages de Runtime peuvent être affichés sur l'interface utilisateur du Runtime de zenon Logic. Cliquez sur le bouton Messages>> pour activer la vue. La fenêtre d'affichage du message apparaît. Cliquez sur le bouton Messages<< pour fermer l'affichage du message.

Pour effectuer des actions dans la fenêtre d'affichage du message, cliquez sur celle-ci avec le bouton gauche ou droit de la souris. Vous obtenez un menu contextuel :

Entrée de menu | Description
Display time stamp of messages (Afficher l'horodatage des messages) | Ajoute des informations d'horodatage à chaque message.
Copy messages to the clipboard (Copier les messages vers le presse-papiers) | Copie les entrées sélectionnées vers le presse-papiers.
Delete all messages (Supprimer tous les messages) | Supprime tous les messages de la fenêtre d'affichage des messages.

Vous pouvez configurer les paramètres de journalisation de zenon Logic et les drivers avec l'application Diagnosis Viewer. Dans ce cas, chaque Runtime de zenon Logic et chaque driver de bus disposent d'une connexion au serveur de diagnostic, en tant que client de diagnostic. Cela n'inclut pas les drivers obsolètes, par exemple ceux provenant d'un fabricant tiers.


Licence

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Installation avec zenon (Runtime de zenon et Runtime de zenon Logic sur un PC)

La licence du Runtime zenon Logic est automatiquement activée avec le numéro de série de zenon. Lors de l'installation, entrez le numéro de série et le numéro d'activation lorsqu'ils vous sont demandés. Si aucun numéro de licence n'est disponible, cliquez sur Version de démo.

Installation autonome (Runtime de zenon Logic sans Runtime de zenon sur un PC)

Pour une installation autonome (zenon Logic tourne sur un PC qui n'a pas de Runtime de zenon), vous pouvez entrer le numéro de série, le numéro d'activation directement dans la boîte de dialogue lors de l'installation.

Définition de la licence ultérieurement avec une commande de licence

Vous pouvez mettre en place la licence plus tard avec la commande Licence order (Commande de licence). Ouvrez la commande Licence order (Commande de licence) à l'aide du menu Démarrer de Windows sous Tous les programmes -> COPA-DATA -> Licensing (Gestion des licences). Pour l'entrée de la licence ultérieurement, vous entrerez le numéro de série et le numéro d'activation dans cette boîte de dialogue. La procédure est terminée en cliquant sur OK.

Pour une licence soft, le numéro de licence doit être lu depuis la configuration matérielle de votre PC. Cliquez sur le bouton Get Soft Licence (Obtenir une licence logicielle) et suivez les instructions des boîtes de dialogue.

Après avoir activé la licence à l'aide de l'Éditeur zenon

Dans l'Éditeur de zenon, vous pouvez ouvrir la boîte de dialogue d'activation de la licence en sélectionnant Fichier -> Configuration standard -> Licence du produit.... Vous pouvez entrer le numéro de série et le numéro d'activation ici.

Informations concernant la licence du Runtime de zenon Logic

Ouvrez l'interface utilisateur du Runtime de zenon Logic en cliquant sur l'icône du Runtime de zenon Logic dans la barre des tâches. Ensuite, cliquez dans le coin supérieur gauche et sélectionnez À propos de STARTON RT.... Une fenêtre s'affiche, contenant des informations relatives à la version et la licence du Runtime zenon Logic.

Autres sujets abordés dans ce chapitre

Gestion de balises dans zenon - zenon Logic

Mode démo


Gestion de balises dans zenon - zenon Logic

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Licence -> Gestion de balises dans zenon - zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le nombre de balises utilisées dans zenon Logic correspond au nombre d'E/S dans zenon Logic, moins le nombre d'E/S utilisées avec un profil zenon ou zenon Logic. Ces E/S sont déjà prises en compte lors du calcul du nombre de balises dans zenon.

Ceci permet d'éviter qu'une E/S soit comptée deux fois.

Les E/S utilisées sont affichées dans l'interface utilisateur du Runtime de zenon Logic.


Mode démo

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Licence -> Mode démo

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Runtime zenon Logic démarre en mode démo si vous entrez un numéro de licence incorrect ou un numéro d'activation incorrect ou si vous n'entrez pas de numéro ou si aucun dongle n'est détecté. Le mode démo arrête le Runtime zenon Logic après 15 minutes. Avec un numéro de série de démo spécial, le Runtime zenon Logic peut fonctionner en continu pendant 30 jours. Après ces 30 jours, la durée maximale de fonctionnement du Runtime zenon Logic revient à nouveau à 15 minutes.

Mini zenon Logic

Vous n'avez pas acheté la licence zenon Logic, mais possédez une licence de Runtime de zenon valide. Dans ce cas, une licence est automatiquement activée pour une version "allégée" du Runtime de zenon Logic. Avec cette version "allégée", vous pouvez avoir jusqu'à 8 variables (TAG) utilisables en tant qu'entrée / sortie dans zenon Logic. Ces variables sont des variables connectées au bus de terrain ou celles qui ont un profil (par exemple les variables avec le profil zenon Logic).

Exemple de calcul :

  • quatre (4) variables pour les communications zenon Logic <=> zenon
  • quatre (4) variables pour les communications zenon Logic <= > Profibus
  • Cela est égal au nombre maximal de huit variables (4 + 4 = 8).


Démarrez le Runtime zenon Logic

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Démarrez le Runtime zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Runtime de zenon Logic prend en charge les instances multuples et nécessite donc des paramètres (paramètres de transfert) lorsqu'il est démarré.

Il y a trois possibilités pour démarrer le Runtime zenon Logic :

  1. à l'aide du Runtime zenon
  2. à l'aide de l'outil zenon Logic Runtime Manager
  3. Dans une ligne de commande DOS/un fichier BAT

Démarrage à l'aide du Runtime zenon

Pour démarrer le Runtime zenon Logic avec le Runtime zenon :

  • Sélectionnez le projet zenon Logic dans l'Éditeur zenon.
  • Modifiez le Type de démarrage (Runtime) à votre guise. Les propriétés de Type de démarrage sont décrites dans l'aide incorporée à zenon.

À l'aide de l'outil zenon Logic Runtime Manager

Vous pouvez utiliser l'outil zenon Logic Runtime Manger pour démarrer le Runtime zenon Logic manuellement. Vous trouverez le zenon Logic Runtime Manager dans le dossier COPA-DATA du menu Démarrer de Windows ®. Le gestionnaire du Runtime de zenon Logic est utilisé pour démarrer les instances de Runtime de zenon Logic sur un PC. Vous pouvez par exemple choisir temps réel de l'automate ici pour démarrer la version en temps réel de zenon Logic (zenon Logic RTK) ou démarrer une instance du Runtime de zenon Logic durant l'initialisation du système ("Démarrage auto").

Vous pouvez afficher des informations précises concernant les éléments individuels du gestionnaire de Runtime de zenon Logic en déplaçant le pointeur de la souris sur ceux-ci. La rubrique d'aide correspondante s'affiche alors dans l'aide incorporée.

Vous pouvez consulter l'aide intégrale en cliquant sur ? dans la barre de menus.

attention Attention

À partir de Windows Vista, le programme Runtime Manager doit être démarré avec des droits d'administrateur.

Démarrage depuis une invite de commmande DOS

Le Runtime zenon Logic peut être démarré depuis une invite de commande DOS ou un élément semblable (fichier.bat). Pour l'invite de commande, ce qui suit est vrai :

  • toutes les commandes doivent être saisies en lettres majuscules
  • les signes suivants sont autorisés :
    -
    /
    aucun signe

Les paramètres transfert suivants sont disponibles :

Paramètre principal :

Paramètres | Description
PORT=<numéro> | Port de communication. Sans paramètres : 1200
PORTTRACE=<numéro> | Point de serveur d'événement, port de liaison. Sans paramètres : PORT+7800
PATH=<Chemin de la BD> | Emplacement de stockage du code de l'application zenon Logic. Sans paramètres : Répertoire du Runtime zenon Logic
ZENPATH=<Chemin> | Chemin de zenon (sans signification)
ZENPROJECT=<nom> | Nom du projet de zenon (sans signification)
DONTHIDE | Ne pas masquer le Runtime après le démarrage (il s'agit du seul paramètre sans '=')
STEP=<0|1> | Sans paramètres : pas de mode de modification d'instruction. 0: pas de mode de modification d'instruction 1 : Démarrage en mode modification d'instruction
START=<0|1|2|3> | Sans paramètres : reprise intermédiaire 0 : Afficher la boîte de dialogue de configuration 1: démarrage à froid 2: reprise intermédiaire 3 : redémarrage à chaud :
LOWPRIORITY=<0|1> | Sans paramètres : priorité basse 0 : priorité basse 1 : Priorité en temps réel de Windows
WRITELOG=<0|1> | Sans paramètres : Créer un journal 0: Ne pas créer un journal 1: Créer un journal Le fichier journal est créé dans le répertoire PATH sous le nom STRATONRTLOG.TXT.

Paramètres supplémentaires :

Paramètres | Description
REMPATH=<Chemin d'accès> | Chemin des données rémanentes. Sans paramètres : Répertoire PATH
DELAY=<nombre> | Délai de démarrage en [s] : Démarrage décalé du Runtime zenon Logic Sans paramètres : 0
MAXUTILPRCT=<nombre> | Position de la réglette de charge maximale de l'automate en %. Sans paramètres : 100

Serveur d'événements :

Les réglages correspondent aux réglages sous Paramètres/Avancés pour le serveur d'événements.

Paramètres | Description
QSSYSTEM=<numéro> | Taille de la file d'attente du système. Sans paramètres : 1024
QQALARM=<numéro> | Taille de la file d'attente d'alarmes. Sans paramètres : 0
QSEVENT=<numéro> | Taille de la file d'attente d'événements. Sans paramètres : 8192
QSINFO=<numéro> | Taille de la file d'attente d'informations. Sans paramètres : 32768
NBEVENT=<numéro> | Nombre maximal d'événements enregistrables. Sans paramètres : 1024
EVENTCON=<numéro> | Nombre de connexions d'événements possibles. Sans paramètres : 256

Paramètres de redondance :

Paramètres | Description
REDENABLE=<0,1> | Redondance activée/désactivée. Sans paramètres : 0
REDADDR=<IP> | Adresse du partenaire de redondance.
REDPORT=<numéro> | Port de redondance pour la duplication.
REDCLITIMEOUT=<numéro> | Délai d'attente du client de redondance [ms] ; délai d'attente utilisé pour déterminer quand un client passif devient un serveur actif. Sans paramètres : 1000
REDSRVTIMEOUT=<numéro> | Délai d'attente du serveur de redondance [ms] ; délai d'attente utilisé pour déterminer le point auquel s'arrête la duplication. Sans paramètres : 1000
REDZENON=<0,1> | Si ce paramètre est défini sur 1, l'adresse du partenaire est lue depuis le fichier PROJECT.INI. Sans paramètres : 0


Cycle du Runtime zenon Logic

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Cycle du Runtime zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le cycle du Runtime zenon Logic comprend :

  • Temps de calcul : temps consacré à l'échange de données, au calcul, à l'enregistrement des valeurs calculées, à la lecture et l'écriture des valeurs modifiées et au temps de repos.
  • Temps de cycle : durée totale du cycle déterminée par la latence du système.
  • Latence du système : temps de réaction du système.

Ces valeurs peuvent être affichées sur l'interface utilisateur zenon Logic. Utilisez le raccourci Alt+S ou Maj+Alt+A.

Propriété

Description

Echange de liaison

Lecture des valeurs de liaison publiées sur le réseau et configurées par l'application (si elles ont été configurées).

Echange d'E/S.

Echange de données entre les pilotes d'E/S (sauf esclave/serveur Modbus) et les cartes d'E/S (si elles ont été configurées).

Exécution d'applications

Exécution des programmes.

Traçage d'échantillonnage numérique

Exécution de l'échantillonnage numérique (s'il a été configuré).

Evénements

Envoi des événements (liaison ou pilote straton32.exe de zenon) (s'ils ont été configurés).

Valeurs forcées

Lecture des valeurs forcées de zenon depuis le module zenon Logic Workbench (débogage en ligne) et échange de données de l'esclave/du serveur Modbus (s'ils ont été configurés).

Sleep

Attendre jusqu'à la fin du cycle.

Lorsque le réglage du cycle est Aussi rapide que possible (exécution libre), le temps est toujours égal à 1 ms.

Le temps Sleep est utilisé pour exécuter les tâches du système d'exploitation et des autres applications de Windows.

Attribution de temps à l'automate et à Windows

Une réglette dans l'interface de l'interface utilisateur zenon Logic vous permet de déterminer la quantité de temps réservée à l'automate et à Windows. La valeur affichée dans le bargraphe fait toujours référence au taux défini à l'aide de la réglette.

Autres sujets abordés dans ce chapitre

Durée du cycle des messages d'erreur


Durée du cycle des messages d'erreur

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Cycle du Runtime zenon Logic -> Durée du cycle des messages d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En cas de dépassement de la durée du cycle, les messages sont affichés dans le Runtime ou l'espace de travail de zenon Logic, et les entrées correspondantes sont écrites dans le fichier journal.

Message d'erreur de l'interface utilisateur | Entrée de fichier journal | Signification
Erreur de configuration de la temporisation. (x) cycles perdus. | Erreur de configuration de la temporisation. (x1) cycles perdus. Durée de cycle configurée = (x2) µs, délai d'exécution maximum = (x3) µs, utilisation maximum de l'automate = (x4). | Nombre (x) de cycles non exécutés en raison de l'expiration du délai d'attente. Le délai d'exécution est supérieur à la durée de cycle définie, ou les ressources de processeur sont indisponibles.
Erreur de configuration de la temporisation. Pic d'utilisation de l'automate à (x) %. | Erreur de configuration de la temporisation. L'utilisation de l'automate dépasse 80 %. Durée de cycle configurée = (x1) µs, délai d'exécution maximum = (x2) µs, utilisation maximum de l'automate = (x3)%." | Le délai d'exécution est supérieur à 80 % de la durée de cycle définie ; actuellement (x) %.

Dépannage

Vous pouvez remédier au dépassement de la durée du cycle comme suit :

  • En augmentant la durée du cycle
  • En réduisant le délai d'exécution, par exemple :
    • En utilisant un système doté de ressources de processeur plus importantes
    • En utilisant un code C compilé
    • En réduisant le programme


Fermez le Runtime zenon Logic

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Fermez le Runtime zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Runtime de zenon Logic peut être fermé manuellement, soit par l'intermédiaire du menu contextuel du symbole affiché dans la barre des tâches, soit par l'intermédiaire de la fenêtre ouverte du Runtime de zenon Logic :

Menu contextuel du symbole

  • Cliquez avec le bouton droit sur l'icône dans la barre des tâches pour ouvrir le menu contextuel suivant :

  • Cliquez sur Fermer pour ouvrir une boîte de dialogue.

  • Cliquer sur Oui arrête et ferme le Runtime.

Dans la fenêtre du Runtime zenon Logic

Une autre possibilité pour fermer le Runtime est fournie dans la fenêtre ouverte du Runtime zenon Logic.

  • Le menu suivant apparaît après un clic sur le coin haut-gauche de la fenêtre :

  • Cliquez sur Fermer pour ouvrir une boîte de dialogue.
  • Si vous confirmez la boîte de dialogue, le Runtime de zenon Logic se ferme immédiatement.

info Info

Si le Runtime de zenon Logic a été démarré avec le Runtime de zenon et le type de démarrage "Démarrage/arrêt autom." a été sélectionné pour le projet zenon Logic dans l'Éditeur zenon, le Runtime de zenon Logic est automatiquement fermé lors de la fermeture du Runtime zenon.


Création du fichier de redémarrage à chaud

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Création du fichier de redémarrage à chaud

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsque vous fermez le Runtime de zenon Logic, un fichier de redémarrage à chaud est créé automatiquement. Vous pouvez déclencher l'écriture du fichier de redémarrage à chaud via la fonction WriteHot.

Chaque fois qu'un fichier de redémarrage à chaud est créé, un fichier de sauvegarde est également créé ; le dernier caractère du nom du fichier est alors remplacé par un _. En outre, les fichiers créés comportent un en-tête contenant la somme de contrôle des données. Lors de la lecture des données, l'en-tête et la somme de contrôle sont vérifiés. Si une erreur se produit, le fichier de sauvegarde est utilisé.

La fonction WriteHot comporte les paramètres de saisie suivants :

Paramètres | Description
I | Déclencher ; si ce paramètre est défini sur TRUE, la fonction est exécutée.
SYNC | Si ce paramètre est défini sur TRUE, le cycle est mis en attente pendant l'écriture du fichier de redémarrage à chaud. Si le paramètre est défini sur FALSE, la fonction est exécutée de manière asynchrone.
BUSY | Ce paramètre est défini sur TRUE si la fonction est exécutée.

info Info

Si vous exécutez la fonction à plusieurs reprises dans un cycle, seul le dernier appel est pris en compte.


Systèmes distants

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Systèmes distants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ce chapitre concerne les systèmes cible qui ne sont pas sur le PC local. On accède au système cible par Ethernet TCP/IP.

Autres sujets abordés dans ce chapitre

Runtime zenon et Runtime zenon Logic sur un PC distant

Runtime autonome de zenon Logic (PC)


Runtime zenon et Runtime zenon Logic sur un PC distant

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Systèmes distants -> Runtime zenon et Runtime zenon Logic sur un PC distant

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Installation sur le système cible

Commencez par installer et activer la licence du Runtime zenon sur le PC distant. L'installation et l'activation de la licence du Runtime zenon Logic se déroule automatiquement.

Téléchargez les données du projet avec le Runtime de zenon Logic, en utilisant le type de démarrage "Démarrage/arrêt autom." ou "Démarrage autom.".

Pour télécharger les fichiers des Runtime de zenon et zenon Logic, utilisez la fonction de transport à distance de zenon. Vous trouverez plus d'informations au chapitre Remote Transport.

Le Runtime zenon Logic démarre et se ferme automatiquement en même temps que le Runtime zenon.

Téléchargement des données applicatives lorsque le Runtime de zenon Logic est configuré en démarrage manuel

Si le Runtime de zenon Logic est démarré manuellement sur le PC cible (par exemple, au démarrage de Windows), le code de l'automate doit être chargé manuellement sur la plate-forme cible à l'aide de l'espace de travail de zenon Logic. Pour cela,

  • saisissez les paramètres adéquats dans la boîte de dialogue de propriétés Atelier de l'Éditeur zenon : 'Host' cible et Port de la cible
  • Dans l'espace de travail zenon Logic, cliquez sur le bouton Online (En ligne).
  • L'espace de travail zenon Logic établit alors une connexion avec le système cible.
  • Vous pouvez maintenant transférer le code de l'automate vers le système cible via le bouton Download (Télécharger) ; la progression du téléchargement est représentée par une barre de progression.
  • Après le téléchargement, l'automate démarre automatiquement avec la nouvelle application.

Si le téléchargement a réussi et le programme de l'automate s'exécute sans incident sur le système cible, l'indication RUN est affichée dans la barre d'outils.


Runtime autonome de zenon Logic (PC)

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Systèmes distants -> Runtime autonome de zenon Logic (PC)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Installation sur le système cible :

Installez zenon Logic sur le systèm cible en respectant la procédure d'installation indépendante.

Lancement :

Avant de télécharger le projet zenon Logic, démarrez le Runtime. La meilleure manière consiste à utiliser l'outil zenon Logic Runtime Manager. Avec cet outil, vous pouvez également effectuer les réglages de manière à ce que le Runtime zenon Logic démarre en même temps que le système d'exploitation.

Téléchargement des données applicatives lorsque le Runtime de zenon Logic est configuré en démarrage manuel

Si le Runtime de zenon Logic est démarré manuellement sur le PC cible (par exemple, au démarrage de Windows), le code de l'automate doit être chargé manuellement sur la plate-forme cible à l'aide de l'espace de travail de zenon Logic. Pour cela,

  • saisissez les paramètres adéquats dans la boîte de dialogue de propriétés Atelier de l'Éditeur zenon : 'Host' cible et Port de la cible
  • Dans l'espace de travail zenon Logic, cliquez sur le bouton Online (En ligne).
  • L'espace de travail zenon Logic établit alors une connexion avec le système cible.
  • Vous pouvez maintenant transférer le code de l'automate vers le système cible via le bouton Download (Télécharger) ; la progression du téléchargement est représentée par une barre de progression.
  • Après le téléchargement, l'automate démarre automatiquement avec la nouvelle application.

Si le téléchargement a réussi et le programme de l'automate s'exécute sans incident sur le système cible, l'indication RUN est affichée dans la barre d'outils.


Runtime de zenon Logic avec module Real Time Kernel (RTK)

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module zenon Logic RTK (Realtime Kernel) est le système Runtime zenon Logic dédié à la gestion en temps réel des équipements. Cela permet de garantir, vis-à-vis du système d'exploitation, un déterminisme maximal et une sécurité optimale en cas de défaillance.

Conditions préalables :

  • Le module RTK de zenon Logic est uniquement disponible pour les systèmes d'exploitation Windows, Vista et Windows 7 en version 32 bits.
  • Le module RTK de zenon Logic peut uniquement être démarré via zenon Logic Runtime Manager (la balise Exécution en temps réel doit être activée) ou une ligne de commande DOS/un fichier BAT.

attention Attention

Ne faites pas fonctionner deux extensions en temps réel en parallèle sur un ordinateur. Ceci signifie :

  • si une autre extension en temps réel est déjà active sur l'ordinateur, ne démarrez pas le RTK de zenon Logic.
  • Une seule instance du module RTK de zenon Logic peut être exécutée à la fois.

Le module Realtime Kernel est conçu pour déclencher le cycle du Runtime zenon Logic indépendamment de Windows. Ainsi, on garantit que le cycle du Runtime zenon Logic est exécuté de façon déterministe. Les durées de cycle doivent être supérieures ou égales à 100 µs.

La part de la capacité de calcul du PC peut être fixée à l'aide d'une réglette.

Selon la taille de l'application automate et le temps de cycle défini, vous devez ajuster la charge du PC en utilisant la réglette. La réglette peut être définie de façon continue entre 10% et 85%. La barre, qui montre la charge courante, indique si le temps maximum autorisé est suffisant pour exécuter le cycle automate.

Si la barre est près des 100%, il y a un risque de dépassements de cycle ! Dans ce cas, il faut déplacer la réglette vers le haut (vers les 85%). Si ce n'est pas possible à cause des autres applications de Windows (par exemple, mauvaise performance pour ouvrir les synoptiques de zenon), le temps de cycle de l'application zenon Logic doit être augmenté.

attention Attention

Si la barre atteint le repère des 100 %, il y a un risque de dépassement de cycle !

Example Exemplee

Réglette à 10%, temps de cycle à 10ms :

Le module RTK de zenon Logic doit traiter le programme de l'automate en 1 ms, ce qui équivaut à 10 % du temps de cycle défini de 10 ms.

Réglette à 50%, temps de cycle à 5ms :

Pour exécuter le programme de l'automate, 2,5 ms sont disponibles pour le module RTK de zenon Logic.

Réglette à 85%, temps de cycle à 20ms :

Pour exécuter le programme de l'automate, 17 ms sont disponibles pour le module RTK de zenon Logic.

Formule

La formule suivante peut être utilisée pour vérifier, si la valeur donnée par la réglette ne conduit pas à des dépassements de cycle en prenant en compte le temps de cycle défini :

temps de cycle > ( 100 / position réglette [%] ) * temps de calcul

Pour trouver le temps de calcul pour le cycle automate, appuyez sur Maj+Alt+A et notez le temps maximum de calcul [µs] (sur la figure : 274 µs).

Supposition :

cal. max. Heure : 274µs

Position de la réglette : 50%

Temps de cycle défini : 1ms (1000µs)

Calcul :

(100/50)*274 = 548µs

Ceci signifie que le temps de cycle défini à 1 ms est suffisant.

attention Attention

Note : Si vous ne respectez pas la formule décrite, le déterminisme fondé sur le temps de cycle n'est plus indiqué !

Description des valeurs mesurées affichées (vous pouvez es afficher en appuyant sur Alt+S ou Maj+Alt+A) :

Latence du système (Alt+S) |
Actuelle [µs] | Latence actuelle du système (voir également Cycle de Runtime)
Maximum [µs] | Latence maximale du système (depuis le démarrage du Runtime)

Statistique étendue (Maj+Alt+A) |
Temps de cal. [µs]. | Temps de calcul actuel du dernier cycle
Temps de cal. max. [µs]. | Temps de calcul maximal pour un cycle d'automate (depuis le démarrage du Runtime)
Temps de cycle [µs] | Temps de cycle courant
Temps de cycle min. [µs] | Temps de cycle minimal (depuis le démarrage du Runtime)
Temps de cycle max. [µs] | Temps de cycle maximal (depuis le démarrage du Runtime)
Dépassements de cycle [1] | Compteur de dépassement du temps de cycle (depuis le démarrage du Runtime)
Dépassement de capacité de driver [1] | Compteur des cycles d'automate de drivers Windows (ne s'exécutant pas en temps réel) ayant échoué (depuis le démarrage du Runtime)

La valeur du temps de cycle peut toujours être uniquement un multiple de la période de temps HAL (base de temps). La base de temps dépend du compteur horaire sélectionné et de sa base de temps (voir également Configuration du module RTK de zenon Logic). Ce qui signifie : un temps de cycle défini de 10 ms pour un équipement doté d'une base de temps de 122 µs n'est pas exécuté en 10 000 ms précisément, mais en 10 004 ms.

Autres sujets abordés dans ce chapitre

Limitations et exigences spécifiques au module RTK de zenon Logic

Configuration du module RTK de zenon Logic

Gestion de l'écran bleu

Codes d'erreur au démarrage du module zenon LogicRTK


Limitations et exigences spécifiques au module RTK de zenon Logic

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Limitations et exigences spécifiques au module RTK de zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Exigences matérielles spécifiques au module RTK de zenon Logic

ACPI :

Le matériel (PC ou PCI) et le système d'exploitation (Windows®, Vista ou Windows 7) doivent supporter ACPI :

  • ACPI-Multiprocesseur-P
  • ACPI-PC (Advanced Configuration et Power Interface)
  • ACPI-Uniprocesseur-PC

Vous pouvez vérifier si votre PC est compatible avec ACPI dans le système de contrôle (système > gestionnaire de périphériques > ordinateur).

Processeurs :

Le module RTK de zenon Logic est pris en charge à partir des générations de processeurs suivantes :

  • Pentium II ou plus récent
  • AMD Athlon XP ou plus récent

Limitations

Le module Real Time Kernel (RTK) de zenon Logic s'exécute sous la forme d'un processus distinct sur le matériel, indépendamment du système d'exploitation. Le Runtime de zenon Logic s'exécute sous Windows®. Le module straton RTK en temps réel de zenon Logic comporte quelques limitations par rapport au Runtime de zenon Logic.

Blocs fonctionnels :

Les blocs fonctionnels suivants ne sont pas traités directement en Mode Noyau (Kernel Mode), mais seulement émulés :

  • Toutes les opérations sur fichiers (catégorie "Fichiers")
  • Tous les modules TCP/IP (catégorie "TCP-IP")

Les blocs fonctionnels suivants ne sont pas pris en charge par le module RTK de zenon Logic :

  • day_time_local (catégorie "Horloge")

info Info

Pour déterminer exactement les blocs fonctionnels pris en charge par la bibliothèque standard de zenon Logic, utilisez la fonction de configuration du de l'espace de travail de zenon Logic (Projet/Configuration/Upload [Transfert]).

Lorsque vous avez sélectionné la configuration, les blocs fonctionnels non pris en charge sont marqués en rouge dans la bibliothèque.

Drivers d'E/S.

Les drivers d'E/S suivants de zenon Logic sont exécutés par le module RTK de zenon Logic en mode Noyau (Kernel mode) (Temps réel) :

  • Profibus (Hilscher CIF Profibus)
  • Hilscher SYCON universelle (configuration Hilscher SYCON)

Vous trouverez d'autres informations concernant les pilotes E/S pris en charge ici : Prise en charge des pilotes d'E/S de zenon Logic

Enregistrement et désenregistrement de drivers en temps réel

Il peut arriver que le driver en temps réel du module RTK de zenon Logic doive être enregistré et désenregistré manuellement. Pour cela, démarrez l'invite de commande en sélectionnant :
Démarrer > Exécuter > cmd.

Utilisez la syntaxe suivante :

  • Enregistrer :

<Répertoire du module RTK de zenon Logic>:\ stratonrtkvm -regsrv

  • Désenregistrement :

<Répertoire du module RTK de zenon Logic>:\ stratonrtkvm -unregsrv

Exemple de <répertoire du module RTK de zenon Logic> : C:\Program Files\COPA-DATA\zenon711


Configuration du module RTK de zenon Logic

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le module Real Time Kernel (RTK) de zenon Logic s'exécute sous la forme d'une instance distincte sur le matériel, indépendamment du système d'exploitation. Les tic-tacs utilisés aux fins du contrôle sont obtenus directement depuis la carte mère. La disponibilité des horloges dépend du matériel utilisé. La configuration est exécutée par l'application de configuration du module RTK de zenon Logic.

Autres sujets abordés dans ce chapitre

Démarrer la configuration du module RTK

Informations de base du module RTK

Paramètres de base du module RTK

Gestionnaire de tâches du module RTK

Configuration matérielle du module RTK

Journaux RTK

Fermer la configuration du module RTK


Démarrer la configuration du module RTK

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Démarrer la configuration du module RTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Double-cliquez sur le bouton de l'outil de configuration du module zenon Logic RTK dans le panneau de configuration de Windows.

Le volet de modification de la configuration s'ouvre. Dans le volet de gauche, vous verrez s'afficher une arborescence comportant les options suivantes :

  • Configuration CDrtHAL
  • Réglages de base
  • Gestionnaire de tâches
  • Configuration matérielle
  • Accès à la mémoire physique
  • Messages Log

Dans le volet de droit, vous pouvez voir des informations concernant les éléments de menu et configurer le module RTK.


Informations de base du module RTK

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Informations de base du module RTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Après le démarrage, l'élément de menu Configuration CDrtHal est actif dans le volet gauche du logiciel de configuration. Le volet droit affiche des informations de base concernant la configuration et le système :

Propriété | Information
Version | Version du pilote en temps réel (CDrtHAL).
État | Le module RTK est actif ou inactif
Interrupt controller | Type de contrôleur d'interruptions.
High precision event timer | La prise en charge dépend du matériel utilisé ; les PC bénéficiant de la certification "Certified for Windows Vista" prennent cette fonction en charge.
Process cores | Nombre de cœurs de processus disponibles.


Paramètres de base du module RTK

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Paramètres de base du module RTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Paramètres de base du module RTK

Dans les réglages de base, vous pouvez définir les paramètres suivants :

  • Source for the Timertick
  • Processeur sur lequel s'exécute le module RTK
  • Temps de base en tant que base du facteur de multiplication pour le calcul de la durée de cycle

Timer for real-time source

Le temps affiché sur la liste de sélection dépend du matériel utilisé. Ces informations sont également affichées sur la page de départ de configuration du module RTK. Par exemple :

  • Interrupt-Controller APIC
  • Interrupt-Controller PIC
  • HPET (High Precision Event Timer)

Il en résulte les possibilités suivantes :

  1. PIC without HPET
    • Timer (8254 Timer), temps de base : 334 µs, 143 µs, 112 µs, 53 µs
    • Profils (horloge en temps réel), temps de base : 488 µs, 244 µs, 122 µs
  2. APIC without HPET
    • Profils (horloge en temps réel), temps de base : 488 µs, 244 µs, 122 µs
    • Profils (APIC local), temps de base : choisissez une valeur comprise entre 50 et 500 µs
    • Unused (8254 Timer), temps de base : choisissez une valeur comprise entre 50 et 500 µs
  3. APIC with HPET and Windows VISTA
    • Timer (HPET timer), temps de base : 500 µs, 250 µs, 125 µs
    • Profils (APIC local), temps de base : choisissez une valeur comprise entre 50 et 500 µs
    • Unused (HPET Timer2), temps de base : choisissez une valeur comprise entre 50 et 500 µs

La disponibilité des temps de base dépend du matériel (horloge en temps réel) et du système d'exploitation. Lors de l'utilisation de la source en temps réel "horloge", la source des interruptions d'horloge Windows est utilisée aux fins de l'exécution en temps réel. Dans ce cas, le temps de base défini doit être un facteur entier du temps de base des interruptions d'horloge Windows.

real-time source (la source en temps réel) dépend du système d'exploitation sélectionné à l'aide de la liste déroulante.

Nous vous recommandons d'utiliser le réglage de base suivant : Unused (HPET Timer2).

Real-time CPU : Sélectionnez le processeur sur lequel doit s'exécuter le processus du module RTK.

Basic time : Le temps de base du tic-tac. En fonction de la source en temps réel, le temps de base peut être sélectionné dans une liste ou saisi librement. Durant le fonctionnement, le facteur de multiplication du tic-tac fait référence au temps de base saisi.

attention Attention

Lors de l'utilisation du profil : Real time source, la gestion de profils du noyau ne doit en aucun cas être activée lors de l'exécution de l'application du module RTK de zenon Logic. Pour plus d'informations concernant la gestion de profils du noyau, reportez-vous à la page : http://www.microsoft.com/downloads/details.aspx?familyid=9d467a69-57ff-4ae7-96ee-b18c4790cffd&displaylang=en


Gestionnaire de tâches du module RTK

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Gestionnaire de tâches du module RTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le gestionnaire de tâches affiche les temps de cycle et les durées d'exécution.

Propriété | Information
Temps de cycle (en microsecondes) | Valeur minimale, maximale et actuelle. Le cycle fait référence aux cycles des impulsions reposant sur le temps de base.
Durée d'exécution (en microsecondes) | Valeur minimale, maximale et actuelle.


Configuration matérielle du module RTK

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Configuration matérielle du module RTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un espace de stockage distinct réservé est nécessaire pour les communications avec les pilotes E/S (par ex. Profibus) qui sont exécutés dans le mode Noyau. Le module zenon Logic RTK et le système de pilote d'E/S conviennent d'une zone dans laquelle tous deux disposent d'un accès en lecture et en écriture.

La configuration propose trois paramètres :

Options | Effets
Generally prohibit access to the physical memory (Interdire généralement l'accès à la mémoire physique). | Les zones d'accès libre à la mémoire constituent une source de risque au regard des programmes malveillants. Par conséquent, l'accès à la mémoire physique est interdit par défaut. Réglage de base.
Generally allow access to the physical memory (Autoriser généralement l'accès à la mémoire physique). | Autorise les communications à utiliser toute la mémoire, et autorise le module zenon Logic RTK et Profibus à définir leurs zones de communication de manière aléatoire. Réglage peu sûr, non recommandé.
Autoriser l'accès à une zone définie de la mémoire physique. | . Le module zenon Logic RTK et le pilote d'E/S possèdent une zone de mémoire attribuée de manière stricte. Réglage recommandé

Autres sujets abordés dans ce chapitre

Define memory area (Définir la zone de mémoire)


Define memory area (Définir la zone de mémoire)

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Configuration matérielle du module RTK -> Define memory area (Définir la zone de mémoire)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
Define memory area (Définir la zone de mémoire)

Pour attribuer une zone fixe de la mémoire à zenon Logic et au pilote d'E/S, cliquez sur Access to the physical memory (Accès à la mémoire physique) dans le volet gauche, puis sur Allow access to defined physical memory area (Autoriser l'accès à une zone définie de la mémoire physique) dans le volet de sélection droit.

Propriété | Information
Domaine | Le nombre est automatiquement attribué par l'outil de configuration.
Basic address (Adresse de base) | Adresse de début de la mémoire libre. Vous pouvez par exemple déterminer cela à l'aide de l'outil Hilscher Tool (fourni avec la carte).
Longueur | Longueur de la zone libre. Attention : doit être déclarée en octets.
Ajouter | Crée une nouvelle entrée dans la liste.
Supprimer | Supprime une entrée existante de la liste.


Journaux RTK

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Journaux RTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les messages du module RTK sont affichés dans la zone Messages Log.

Propriété | Information
Date/Heure | Quand l'événement s'est produit
Type | Quel type de message (état, erreur, ...)
Description | Que s'est-il passé ?


Fermer la configuration du module RTK

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Configuration du module RTK de zenon Logic -> Fermer la configuration du module RTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Lorsque vous cliquez sur le bouton OK, toutes les modifications sont enregistrées et l'outil de configuration est fermé. Si le système doit redémarrer, un message correspondant est affiché.

Si vous fermez l'outil de configuration en cliquant sur le symbole "Fermer" (X) ou en cliquant sur Annuler, une boîte de dialogue apparaît, vous demandant si vous souhaitez enregistrer les modifications.


Gestion de l'écran bleu

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Gestion de l'écran bleu

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les écrans bleus (pannes de protection générale) sont immédiatement reconnus par le module zenon Logic RTK.

Si le module zenon Logic RTK est configuré pour s'arrêter en cas de BSOD, le program d'arrêt - s'il est défini - est exécuté immédiatement, c'est à dire au cycle théorique suivant.

Si le zenon Logic RTK est configuré pour continuer à tourner, le cycle suivant est exécuté après un court délai de 10 ms (sans le mode graphique).

Pour obtenir ce résultat, la fonction RTK_OnBugCheck de zenon Logic (dans la bibliothèque standard de zenon Logic) doit être définie sur TRUE dans l'application zenon Logic.

attention Attention

En cas d'écran bleu, l'exécution de l'application zenon Logic peut être limitée.

Les fonctions suivantes ne sont plus prises en charge lorsque cela se produit :

Opérations sur fichiers, fonctions TCP, fonctions de l'interface série, driver de bus de terrain en temps réel, fonctions d'horloge système, variables RETAIN, écriture de messages dans les fichiers journaux (modifications réservées par les cycles de versions du produit).

Pour vérifier si un écran bleu s'est produit dans l'application zenon Logic, utilisez la fonction RTK_IsBugCheck de zenon Logic.

Configuration requise pour garantir un fonctionnement sans incident après un écran bleu :

  • Windows® XP SP2 ou version ultérieure (par ex. Vista)
  • Pentium 3, 4 ou M (Centrino) ou supérieur

Options pour le Maître Profibus (Hilscher CIF Profibus) :

No restart after stop (keeping outputs) (Pas de redémarrage après un arrêt [conservation des sorties]) : si cette option est active, les sorties des E/S Profibus restent définies après l'arrêt. Sinon les sorties sont forcées à la valeur de remplacement après la séquence d'arrêt.


Codes d'erreur au démarrage du module zenon LogicRTK

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Runtime de zenon Logic avec module Real Time Kernel (RTK) -> Codes d'erreur au démarrage du module zenon LogicRTK

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le code d'erreur affiché se réfère au démarrage de STRATONRTKVM.exe.

Code d'erreur | Signification
0x00000000 | Si une erreur survient dans le module RTK de zenon Logic, l'erreur est normalement expliquée par un message. Le message avec le code d'erreur 0x00000000 peut être ignoré.
0xFFFFFFFF | Une expiration du délai d'attente s'est produite lors du démarrage de STRATONRTKVM.exe. Causes possibles : STRATONRTKVM.exe n'existe pas, charge trop importante du système. Attention : après cette erreur, assurez-vous que les processus STRATONRTKVM.exe et STRATONRTK.exe ne sont plus en train de s'exécuter (dans le Gestionnaire de tâches) avant de redémarrer STRATONRTK.
0x00000001 – 0x0000FFFF | Code d'erreur de la machine virtuelle de zenon Logic (message d'erreur de COPALP).
0xFFFF01, 0xFFFF02 | Erreur lors du chargement des drivers de bus non temps réel : version incompatible (ancienne) de l'un ou plusieurs driver(s) de bus.
0xFFFFF000 | Code d'erreur rtHAL (0xFFFFF000 est ajouté au code rtHAL)
0xFFFFF001 | Assurez-vous que le driver rtHAL a été correctement installé. Si le problème persiste, contacter le support de zenon et indiquez la version de Windows (Service pack, correctifs etc.) et le Windows HAL utilisé. Le nom du HAL utilisé est montré dans le gestionnaire de périphériques sous ordinateur. Configuration système requise : ACPI, Pentium II ou AMD Athlon ou plus.

Codes d'erreur rtHAL

0x0

pas d'erreur

Codes d'erreur possibles lors du démarrage

Code d'erreur | Signification
0x1 | Erreur de chargement du driver. Cause : le driver n'est pas enregistré correctement.
0x2 | START n'a pas pu être exécuté. Pourquoi : une version incorrecte du driver est installée.

Codes d'erreur pendant le Runtime

Code d'erreur | Signification
0x6 | SUSPEND n'a pas pu être exécuté.
0x7 | STOP n'a pas pu être exécuté.

Codes d'erreur internes de la machine virtuelle de straton

#define T5RET_OK 0
#define T5RET_ERROR 1
#define T5RET_BADCODE 2 /* invalid app code - bad header */
#define T5RET_BADCODETARGET 3 /* invalid code - bad target id */
#define T5RET_BADCODEVERSION 4 /* invalid code - bad version */
#define T5RET_EXECSIZE 5 /* exec buffer overflow */
#define T5RET_BADREQUEST 6 /* unknown comm request */
#define T5RET_SERVEREAD 7 /* cannot process read request */
#define T5RET_UNKNOWNTIC 8 /* unknocn tic code */
#define T5RET_DATA8OVERFLOW 9 /* too many DATA8 used */
#define T5RET_DATA16OVERFLOW 10 /* too many DATA16 used */
#define T5RET_DATA32OVERFLOW 11 /* too many DATA32 used */
#define T5RET_DIVZERO 12 /* division by 0 in TIC (32bit) */
#define T5RET_TIMEOVERFLOW 13 /* too many TIME variables */
#define T5RET_CANTACTIME 14 /* active timers not supported */
#define T5RET_SAFETICLOOP 15 /* awful loop in TIC (safe mode) */
#define T5RET_OUTOFTIC 16 /* TIC code ointer out of range */
#define T5RET_UNKNOWNSTF 17 /* not supported std function */
#define T5RET_LDIVZERO 18 /* division by 0 in TIC (64bit) */
#define T5RET_DATA64OVERFLOW 19 /* too many DATA64 used */
#define T5RET_STRINGOVERFLOW 20 /* too many strings */
#define T5RET_SDIVZERO 21 /* division by zero in TIC (8 bit) */
#define T5RET_WDIVZERO 22 /* division by zero in TIC (16 bit) */
#define T5RET_HOTRESOURCES 23 /* HOT restart: system resources used */
#define T5RET_HOTMAP 24 /* invalid var map in hot restart */
#define T5RET_HOTACTIME 25 /* change of active timer map */
#define T5RET_HOTSTAMP 26 /* bad build stamp for hot restart */
#define T5RET_HOTSFC 27 /* SFC changed - no hot restart! */
#define T5RET_HOTRETAIN 28 /* retain def has changed - no hot */
#define T5RET_HOTFORMAT 29 /* bad DB format - no hot restart! */
#define T5RET_CYCLEOVERFLOW 30 /* cycle time overflow */
#define T5RET_RETAINSTORING 31 /* cant store retain variables */
#define T5RET_ARRAYBOUND 32 /* array index out of bounds */
#define T5RET_RECURSE 33 /* recursive call of sub-program */
#define T5RET_XVOVERFLOW 34 /* too many external variables used */
#define T5RET_NOBSAMPLING 35 /* sampling trace not supported */
#define T5RET_TASKOVERFLOW 36 /* too many tasks */
#define T5RET_HOTCALLSTACK 37 /* call stack overflow (hot) */
#define T5RET_STACKOVER 38 /* stack overlow */
#define T5RET_HOTASI 39 /* cannot hot restart ASi */
#define T5RET_TOXC 40 /* OXC limit reached */
#define T5RET_WOXC 41 /* OXC info */


Redondance de zenon Logic et zenon

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Redondance de zenon Logic et zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon Logic peut être utilisé de manière redondante et offre la possibilité d'associer la redondance de zenon à la redondance de zenon Logic.

Dans ce chapitre, la configuration de la redondance zenon/zenon Logic est décrite. La fonction de redondance de zenon/>CA_PRODUCTNAME< sera appelée redondance logique SCADA ci-après.

Autres termes :

  • Serveur zenon = serveur zenon dominant
  • Serveur redondant zenon = serveur redondant zenon
  • Runtime zenon Logic actif = Instance du Runtime de zenon Logic en cours d'exécution
  • Runtime zenon Logic passif = Système de secours (redondant) du Runtime de zenon Logic

Systèmes d'exploitation

La redondance est compatible avec les systèmes d'exploitation suivants :

  • Windows Vista
  • Windows 7
  • Windows 8
    Remarque : Windows 8 RT n'est pas pris en charge pour des raisons liées au système.
  • Windows CE

Autres sujets abordés dans ce chapitre

Minimum requis

Configuration de la redondance


Minimum requis

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Redondance de zenon Logic et zenon -> Minimum requis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Deux PC sont nécessaires pour obtenir la redondance logique SCADA. Les deux ordinateurs sont connectés via un réseau Ethernet TCP/IP (100 MBit, 1 Gbit recommandé).

attention Attention

La redondance logique SCADA nécessite que les deux systèmes, zenon et zenon Logic, soient installés sur un PC.

Nous vous recommandons de définir le temps de cycle du projet zenon Logic sur une valeur deux fois supérieure au temps de cycle d'un projet unique, mais à 50 ms au moins.

La logique SCADA implique que zenon Logic et zenon communiquent à l'aide du pilote de mémoire partagée (connexion de zenon Logic au Runtime de zenon) ; il est impératif de veiller à ce que le serveur zenon et le Runtime de zenon Logic actif s'exécutent sur le même ordinateur.

Pour empêcher une commutation unilatérale depuis zenon Logic ou zenon, une synchronisation entre le Runtime zenon Logic et le Runtime zenon doit être développée. A cette fin, un module de surveillance est utilisé.

Module de surveillance

zenon Logic

L'état du projet zenon (autonome/serveur/serveur de secours/client) est transféré par l'intermédiaire de la zone de commande de la mémoire partagée et évalué par le bloc fonctionnel de redondance. Il comporte une valeur d'expiration de délai d'attente librement définissable en tant qu'entrée. La sortie fournie indique les valeurs binaires de la fonction de commutation de redondance, ainsi que les états d'activité, d'inactivité et de défaillance du Runtime, etc. Ils déterminent la réaction du Runtime de zenon Logic.

Pour distinguer clairement le projet zenon dont provient le module de surveillance ou l'état :

  • le driver du Runtime de zenon ou la zone de mémoire partagée doivent comporter l'identifiant de projet de zenon
  • le driver du Runtime de zenon ou la zone de mémoire partagée doivent comporter le nom de projet de zenon Logic

zenon

Un module de surveillance généré par le driver du Runtime de zenon est transféré via la zone de commande de la mémoire partagée, et évalué dans zenon. Cette évaluation se déroule conformément aux paramètres des propriétés Reconnaissance de défaut après [s] et Fonction pour la reconnaissance du défaut. Ces derniers définissent un délai d'expiration de délai d'attente et une fonction (normalement, Quitter le runtime).

Quitter le runtime

Cette fonction quitte le runtime du système de contrôle.

Plus de détails dans l'aide en ligne

Pour que le module de surveillance correct soit évalué, il doit être clairement défini pour les différents projets actifs de zenon Logic depuis lesquels provient le module de surveillance zenon Logic. Par conséquent :

  • le driver du Runtime de zenon ou la zone de mémoire partagée doivent comporter le nom de projet de zenon Logic

attention Attention

Le démarrage du Runtime zenon ne doit pas être effectué depuis l'Éditeur zenon, mais au moyen d'un appel direct depuis le Runtime zenon !

La redondance zenon doit être configurée. Détails : voir le chapitre d'aide Réseau.


Configuration de la redondance

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Redondance de zenon Logic et zenon -> Configuration de la redondance

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

zenon Logic et zenon peuvent se contrôler mutuellement de manière redondante à l'aide d'une horloge de surveillance. En cas de défaillance du Runtime de zenon Logic :

  • Le Runtime local de zenon est également fermé
  • Les deux systèmes basculent en mode de redondance

Réglages dans zenon

Pour activer la redondance :

  • Activez la propriété Opération redondante dans le groupe Runtime des propriétés du projet zenon Logic de zenon.
  • Définissez :
    • Reconnaissance de défaut après [s]
    • Fonction pour la reconnaissance du défaut

Configuration dans zenon

Les paramètres de redondance se trouvent sur l'onglet Redondance du Runtime de STRATON.

Module de surveillance

Le module de surveillance permet à chaque partie de surveiller les modifications de compteur déclenchées par l'autre partie. Si le compteur d'une heure projetée n'est pas modifié, cet événement est signalé au programme :

  • zenon : une fonction configurée dans un projet intégré est exécutée (Fonction pour la reconnaissance du défaut)
  • zenon Logic : une sortie de bloc fonctionnel devient active

L'examen de l'horloge de surveillance démarre dès que l'autre partie change son horloge de surveillance pour la première fois. Cela est indispensable, car le délai est nécessaire au démarrage du système, ou il n'est pas nécessaire que le Runtime de zenon Logic démarre avec le Runtime de zenon.

info Info

Si le Runtime de zenon Logic est démarré manuellement, les paramètres de ligne de commande suivants doivent être saisis :

  • Chemin de zenon :

    ZENPATH=<Chemin>

  • Nom du projet zenon :

    ZENPROJECT=<nom>

  • Informations concernant le projet en réseau zenon :

    REDENABLE=<0,1>

    REDZENON=<0,1>

Horloge de surveillance dans zenon

zenon contrôle l'horloge de surveillance de zenon Logic dans les cas suivants :

  • Le Runtime de zenon Logic exécute un code, le délai d'attente est <> 0 et le Runtime peut être attribué à un projet zenon Logic intégré
  • Le Runtime de zenon Logic est arrêté
  • Le Runtime de zenon Logic est passif ou démarré de manière passive
  • Le Runtime de zenon Logic est arrêté, alors qu'il était précédemment passif ou actif

Fonction d'identification des défaillances

Avec la propriété Fonction pour la reconnaissance du défaut, une fonction est sélectionnée et exécutée dès que le délai d'attente défini dans Reconnaissance de défaut après [s] pour l'horloge de surveillance a expiré. L'horloge de surveillance est uniquement vérifiée à nouveau en cas de nouvel enregistrement du Runtime.

Si une fonction provenant d'un autre projet est utilisée, le projet doit déjà avoir été chargé lors du chargement du projet comportant le projet zenon Logic intégré.

Création de traces (log)

La connexion au driver zenRT de zenon Logic peut être consignée à l'aide de l'outil Diagnosis Viewer. Le nom du module est zenon Logic. Chaque message contient le nom du projet zenon et le nom du projet zenon Logic. La journalisation inclut les informations suivantes :

  • Erreur
    • zprj:<z-project> sprj:<s-project> Runtime <ID de procédé du Runtime> watchdog expired.
      L'horloge du Runtime n'a plus été actionnée par le Runtime depuis trop longtemps.
    • zprj:<z-project> sprj: <s-project> Runtime: <Runtime process ID> Unknown straton project.
      Le projet zenon Logic ne peut pas être attribué à un projet zenon intégré.
  • Avertissements
    • vm: <Vm process ID> zenon project '<Nom>' unknown
      Le nom du projet zenon Logic est inconnu dans zenon.

Horloge de surveillance dans le Runtime de zenon Logic

Les considérations suivantes s'appliquent à la commande de surveillance de zenon Logic :

  • La commande de surveillance de zenon est contrôlée régulièrement, tant que le délai d'attente avant expiration du paramètre de reconnaissance de défaillance de >CD_PRODUCTNAME< est de <>0.
    Cette vérification a lieu dans les conditions suivantes :
    • Un code est exécuté
    • Le Runtime est actif ou passif

Bloc fonctionnel zenrt_Red et RedSwitch

Dans zenon Logic, les blocs fonctionnels permettent de vérifier si une connexion à un serveur zenon, et vous permettant de modifier l'état de zenon Logic si nécessaire.

Le bloc fonctionnel zenrt_Red contrôle, via les informations d'expiration du délai d'attente du driver straton_to_zenon_Runtime_Connection, si zenon Logic est connecté à un serveur de zenon. Si ce n'est pas le cas, vous pouvez basculer l'instance de zenon Logic concernée vers inactive à l'aide du bloc fonctionnel RedSwitch, et basculer le serveur redondant en mode actif.

Pour plus d'informations concernant les blocs fonctionnels, reportez-vous à l'aide en ligne de zenon Logic.

Gestion du temps dans le bloc fonctionnel zenrt_Red

Le nombre de tentatives de commutation est comptabilisé dans le cycle de délai d'attente Si le projet Runtime de zenon Logic ne peut pas être attribué à un projet réseau de zenon, le délai d'expiration du réseau (propriété - dans le groupe Réseau) est ajouté au délai d'identification de la défaillance (propriété Reconnaissance de défaut après [s]). Le temps d'activité de la sortie ERROR n'est désormais plus MAX_SWITCH * cycle, mais MAX_SWITCH * délai d'attente [+ délai d'attente du réseau].

L'ordinateur zenon non dominant et ne traitant pas le procédé est considéré comme un serveur redondant.
L'ordinateur dominant ne traitant pas le procédé (le serveur démarre comme un ordinateur redondant) n'est pas considéré comme un ordinateur redondant.


Spécification OEM

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Spécification OEM

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette spécification OEM, les possibilités du Runtime zenon Logic de COPA-DATA sont décrites ; elles sont également mentionnées dans l'aide relative au module zenon Logic Workbench (reportez-vous à la section Spécification OEM).

Configuration (Propriétés du projet)

En série, le module zenon Logic Workbench contient plusieurs fonctions et une vaste bibliothèque de fonctions et de blocs fonctionnels. En fonction de la configuration du Runtime, il est possible que certains blocs ou fonctions ne soient pas disponibles. Par conséquent, il est possible de sélectionner des configurations pour le module Workbench, afin de mettre en évidence les fonctions qui ne sont pas prises en charge par le Runtime.

Dans le module zenon Logic Workbench, une liste de ces configurations est disponible sous Projet -> Configuration.... Cette liste peut varier selon le cycle produit/version.

Fonction de gestion de fichiers (blocs fonctionnels)

Cette fonction permet de lire et écrire des fichiers de manière séquentielle.

Les fonctions suivantes sont prises en charge par les versions suivantes du Runtime zenon Logic :

  • CE
  • RT (PC)
  • RTK (PC)

et sont mises en œuvre sans blocage des éléments suivants :

F_ROPEN, F_WOPEN, F_AOPEN, F_CLOSE, F_EOF, FA_READ, FA_WRITE, FM_READ, FM_WRITE, FB_READ, FB_WRITE, F_EXIST, F_GETSIZE, F_COPY, F_DELETE, F_RENAME, LogFileCSV

Les fonctions suivantes sont uniquement prises en charge par les versions suivantes du Runtime zenon Logic :

  • CE
  • RT (PC)

et sont mises en œuvre sans blocage des éléments suivants :

F_EXIST, F_GETSIZE, F_COPY, F_DELETE, F_RENAME

Les chemins possibles varient en fonction du système d'exploitation. Gardez à l'esprit que sous Windows Vista, certains répertoires sont protégés en écriture si la fonction UAC (User Account Control, contrôle des comptes utilisateur) est activée.

Exécution de SFC

L'exécution du programme SFC est équivalente à celle d'un système cible T5 standard et se conforme aux informations de l'aide du module zenon Logic Workbench.

L'exclusivité des transitions au sein d'une divergence est prise en charge.

Applications d'interliaison - Binding

Au maximum, 65 535 variables de liaison peuvent être publiées sur le réseau. Toutefois, cette valeur est réduite avec chaque variable transmise à zenon à l'aide du service d'événements.

Le numéro de port IP standard d'un Runtime zenon Logic est 9000.

Propriétés du projet - Compilateur "C"

Cette fonction est prise en charge par tous les systèmes cibles zenon Logic (RT, CE, RTK). Tous les compilateurs C normalement proposés par le module zenon Logic Workbench peuvent être utilisés. Attention : Utilisez uniquement le nom par défaut de la DLL de Runtime créée.

LogFileCSV (bloc fonctionnel)

Reportez-vous au premier point : fonction de gestion de fichiers (blocs fonctionnels).

Autres fonctions et caractéristiques OEM d'intérêt :

Fonction | RT (PC) | RTK (PC) | CE
DTAT (bloc fonctionnel) | x | x | x
Fonctions de gestion TCP/IP | x | x | x
Fonction d'attribution de mémoire dynamique | x | x | x
PrintF (fonction) | x | x | x
Mise au point cycle à cycle | x | x | x
Fonctions de gestion d'horloge en temps réel | x | x | x
Enregistrement et échantillonnage numériques | x | x | x
Fonction de gestion UDP | x | x | x
Fonctions de gestion du registre T5 | - | - | -
DTFORMAT (fonction) | x | x | x
GETSYSINFO (fonction) - _SYSINFO_CYCLESTAMP_MS | x | x | x
Bits d'état variables | x | -1 | x
DAY_TIME (fonction) | x | x | x
SET_DAY_TIME (fonction)2 | x | - | x

Clé :

  • x : prise en charge
    • 1 : les pilotes prenant en charge les bits d'état variables sont uniquement émulés ou ne sont pas pris en charge par le module zenon Logic RTK. Par conséquent, aucun accès n'est accord aux bits d'état ou aux horodatages.
    • 2 : zenon utilise l'heure UNIX au niveau interne. Par conséquent, seules les heures système valides sont autorisées (0-MAXDINT à partir de 1.1.1970 0:00 GMT). Les données faisant référence à une heure antérieure affectent le fonctionnement du Runtime de zenon.
  • -: Indisponible

Variables de retenue (indicateurs rémanents)

Les variables de retenue sont enregistrées à l'emplacement d'enregistrement défini - normalement dans le chemin de l'instance (paramètre de transfert PATH) - lors de l'arrêt ou de la fermeture normale du Runtime. En fonction du système, il peut s'agir du disque dur ou d'une carte flash.

Avec la fonction "WriteHot", les données de retenue et les données de redémarrage à chaud peuvent être enregistrées de manière explicite, par exemple après chaque modification ou de manière cyclique.

Certains pilots d'E/S de zenon Logic prennent en charge l'enregistrement des valeurs RETAIN dans la SRAM (RAM alimentée par pile), par ex. le pilote ThinkIO/System758.

Pour que les valeurs RETAIN soient chargées lors du redémarrage de l'application de l'automate, le Runtime zenon Logic doit être démarré avec les paramètres et réglages de transfert correspondants (démarrage à froid - charger les variables RETAIN).

Drivers d'E/S.

Vous trouverez d'autres informations concernant les pilotes E/S pris en charge ici : Prise en charge des pilotes d'E/S de zenon Logic

Vous trouverez d'autres informations concernant la prise en charge des modifications en ligne ou des redémarrages à chaud ici : Pilotes d'E/S de zenon Logic : Redémarrage à chaud/Modification en ligne


Transmission des informations d'horodatage et d'état des variables

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Transmission des informations d'horodatage et d'état des variables

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

À partir de la version 6.22 SP1 Build 3, le Runtime de zenon Logic transmet automatiquement les informations d'horodatage et d'état des variables du driver d'E/S de zenon Logic au gestionnaire d'événements du Runtime de zenon Logic et ainsi, via straton32, à zenon. Par conséquent, dans zenon (par exemple, liste CEL), les informations d'horodatage de la source (driver d'E/S, esclave ou serveur) sont affichées, et non les informations d'horodatage du Runtime de zenon Logic.

Les conditions préalables suivantes doivent être remplies :

  • La variable doit comporter des informations d'horodatage dans le driver d'E/S de zenon Logic. Selon le protocole, certains drivers ne fournissent pas d'informations d'horodatage.
  • Le projet zenon Logic doit avoir été compilé et chargé alors que l'indicateur Create status bit for variable with profile (Créer un bit d'état pour la variable avec le profil) était activé.

Aperçu de la transmission des informations d'horodatage :

Remarque : les noms zenon et zenon Logic sur l'illustration sont uniquement des exemples. Ils peuvent varier selon la configuration et correspondent à zenon et zenon Logic.


Prise en charge des pilotes d'E/S de zenon Logic

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Prise en charge des pilotes d'E/S de zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pilotes d'E/S pris en charge par différents types de Runtime de zenon Logic :

Pilotes | RT (PC) | RTK (PC) | CE
Advantech ADAM 5550 | - | - | -
Anybus Configuration | x | E | -
Configuration ApplicomIO | x | E | -
Interface AS | x | - | -
BECKHOFF CX1000 | - | - | x
Brodersen IOTOOLS | x | E | -
CAN-bus | - | - | -
Hilscher CIF Profibus | x | x1 | x
Configuration Hilscher SYCON | x | E | x2
Configuration Hilscher SYCON [universelle] | x | x | x
Configuration Hilscher SYCON.net | x | E | -
Esclave IEC 60870 | x | - | x
Client IEC 61850 | x | E1 | x
Serveur IEC 61850 | x | - | x
Interbus-S | x | E | -
Protocole Modbus Maître | x | E | x
Protocole Modbus Esclave | x | E | x
Profinet IO | x | E | x
SoftNet ProfibusDP | x | E | -
Connexion de straton au Runtime de zenon | x | - | x
ThinkIO/IO System 758 | - | - | x
Wago 750-860 | - | - | -
Weihenstephan Standard - Client | x | E | x
Mémoire partagée Win32 | x | - | -
XFlow | - | - | -

Légende

x : entièrement pris en charge

-: Indisponible

E : exécuté sous forme d'émulation (diminution des performances possibles, déterminisme limité dans le cycle de l'automate, sélection du driver en cas d'écran bleu)

1 : les blocs fonctionnels spécifiques du driver ne sont pas compatibles avec le module RTK de zenon Logic.

2 : Les DLL Hilscher doivent être disponibles sur la plate-forme cible.


Pilotes d'E/S de zenon Logic : Redémarrage à chaud/Modification en ligne

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Pilotes d'E/S de zenon Logic : Redémarrage à chaud/Modification en ligne

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les pilotes d'E/S de zenon Logic prennent en charge le redémarrage à chaud et/ou la modification en ligne de différentes manières :

Pilotes | Redémarrage à chaud | Modification en ligne | Modification en ligne avec modification de la configuration du driver de bus
Anybus Configuration | x | x | x1
Configuration ApplicomIO | x | x | x1
Interface AS | x | x | x1
BECKHOFF CX1000 | x | x | -
Brodersen IOTOOLS | x | x | x1
Hilscher CIF Profibus | x | x | -
Configuration Hilscher SYCON | x | x | x1
Configuration Hilscher SYCON [universelle] | x | x | x1
Configuration Hilscher SYCON.net | x | x | x1
Client IEC 61850 | x | x | -
Interbus-S | x | x | -
Protocole Modbus Maître | x | x | x1
Protocole Modbus Esclave | x | x | x1
Profinet IO | x | x | -
SoftNet ProfibusDP | x | x | x1
Connexion de straton au Runtime de zenon | x | x | -2
ThinkIO/IO System 758 | x | x | -
Weihenstephan Standard - Client | x | x | x1
Mémoire partagée Win32 | x | x | x1

Légende

x : Fonctionnalité disponible

-: Fonctionnalité indisponible

1 : la modification en ligne avec modification de la configuration du driver de bus est toujours suivie de la réinitialisation du driver d'E/S. Suite à la réinitialisation, il est possible que les E/S soient défaillantes pendant une courte période !

2 : il n'est pas nécessaire de modifier la configuration du driver de bus.


Messages d'erreur

Manuels -> zenon Logic -> Runtime de zenon Logic (automate logiciel) -> Messages d'erreur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les erreurs durant l'exécution sont consignées dans le fichier journal.

Message d'erreur | Description
Erreur générale. | Erreur ne pouvant pas être spécifiée davantage.
Code d'application non valide ; en-tête incorrect. | Le fichier STRATON.cod n'est pas valide. En-tête non valide.
Code d'application non valide ; ID de cible incorrect. | Le fichier STRATON.cod n'est pas valide. ID de cible non valide.
Code d'application non valide ; version incorrecte. | Le fichier STRATON.cod n'est pas valide. Version non valide.
Requête de communication inconnue. | L'hôte et le Runtime ne sont pas compatibles (protocole T5).
Impossible de traiter la demande en lecture. | La requête de communication entrante ne peut pas être traitée.
Code TIC inconnu. | Instruction non valide dans le fichier straton.cod.
Trop de données DATA8 utilisées. | Trop de variables SINT/USINT utilisées.
Trop de données DATA16 utilisées. | Trop de variables INT/UINT utilisées.
Trop de données DATA32 utilisées. | Trop de variables DINT/UDINT/REAL utilisées.
Division par 0 dans TIC (32 bits). | Division par 0 dans la logique d'automate de l'utilisateur.
Trop de variables TIME. | Dépassement de capacité de la mémoire pour la modification en ligne.
Boucle infinie dans TIC (mode sans échec). | Boucle non fermée dans le code de l'application.
Une fonction standard non prise en charge par ce Runtime a été utilisée. | La logique d'automate de l'utilisateur fait référence à une fonction indisponible dans cette version du Runtime.
Division par 0 dans TIC (64 bits). | Division par 0 dans la logique d'automate de l'utilisateur.
Trop de données DATA64 utilisées. | Trop de variables LINT/LREAL utilisées.
Trop de chaînes. | Dépassement de capacité de la mémoire pour la modification en ligne.
Division par 0 dans TIC (8 bits). | Division par 0 dans la logique d'automate de l'utilisateur.
Division par 0 dans TIC (16 bits). | Division par 0 dans la logique d'automate de l'utilisateur.
Redémarrage à chaud : ressources système utilisées. | Redémarrage à chaud impossible.
Carte de variable non valide dans le redémarrage à chaud. | Redémarrage à chaud impossible.
Marque de version incorrecte pour le redémarrage à chaud. | Redémarrage à chaud impossible. Version de straton.cod non valide.
SFC modifié ; redémarrage à chaud impossible ! | Redémarrage à chaud impossible.
La définition d'une variable de retenue a été modifiée ; redémarrage à chaud impossible. | Redémarrage à chaud impossible.
Format de base de données incorrect DB ; redémarrage à chaud impossible ! | Redémarrage à chaud impossible.
Dépassement de la durée du cycle. | Dépassement de la durée du cycle. For details, see the Cycle time error messages section.
Impossible de conserver les variables de retenue. | Mémoire insuffisante pour ordonner l'enregistrement de la variable de retenue.
Indice d'ensemble hors limites. | Accès à un indice d'ensemble non valide.
Appel récursif d'un sous-programme. | Un sous-programme s'appelle lui-même.
Trop de variables externes utilisées. | Dépassement de capacité de la mémoire pour la modification en ligne.
Trop de tâches. | Dépassement de capacité de la mémoire pour la modification en ligne.
Dépassement de capacité de la pile d'appels (à chaud). | Dépassement de capacité de la mémoire pour la modification en ligne.
Dépassement de capacité de la pile. | Trop d'appels de sous-programmes complexes.
Redémarrage à chaud impossible (ASi). | Redémarrage à chaud impossible (driver de bus Asi).
Modification en ligne non prise en charge. | Modification en ligne impossible.
Échec de la modification en ligne - code incorrect. | Modification en ligne impossible. Version de straton.cod non valide.
Modification en ligne ; application différente. | Modification en ligne impossible.
Échec de la modification en ligne - drivers d'E/S. | Modification en ligne impossible.
Échec de la modification en ligne - segment CT modifié. | Modification en ligne impossible.
Échec de la modification en ligne - drivers de bus. | Modification en ligne impossible. Le driver de bus n'autorise pas la modification en ligne.
Échec de la modification en ligne - carte de variables / profils. | Modification en ligne impossible.
Échec de la modification en ligne - tâches. | Modification en ligne impossible.
Échec de la modification en ligne - MODBUS. | Modification en ligne impossible.
Échec de la modification en ligne - bus CAN. | Modification en ligne impossible.
Échec de la modification en ligne - production d'événement. | Modification en ligne impossible.
Échec de la modification en ligne - modification d'attribution D8. | Modification en ligne impossible.
Échec de la modification en ligne - modification d'attribution D16. | Modification en ligne impossible.
Échec de la modification en ligne - modification d'attribution D32. | Modification en ligne impossible.
Échec de la modification en ligne - modification d'attribution D64. | Modification en ligne impossible.
Échec de la modification en ligne - modification d'attribution TMR. | Modification en ligne impossible.
Échec de la modification en ligne - modification d'attribution STR. | Modification en ligne impossible.
Échec de la modification en ligne - modification d'attribution FBI. | Modification en ligne impossible.
Échec de la modification en ligne - modification d'attribution CFC. | Modification en ligne impossible.
Échec de la modification en ligne - modification d'attribution XV. | Modification en ligne impossible.
Échec de la modification en ligne - taille de la mémoire tampon STR. | Modification en ligne impossible.
Échec de la modification en ligne - longueur de STR. | Modification en ligne impossible.
Échec de la modification en ligne - mémoire tampon FBI. | Modification en ligne impossible.
Échec de la modification en ligne - modification de FBI. | Modification en ligne impossible.
Échec de la modification en ligne - Style de programme. | Modification en ligne impossible.
Échec de la modification en ligne - Nombre de programmes. | Modification en ligne impossible.

Durée du cycle des messages d'erreur

En cas de dépassement de la durée du cycle, les messages sont affichés dans le Runtime ou l'espace de travail de zenon Logic, et les entrées correspondantes sont écrites dans le fichier journal.

Message d'erreur de l'interface utilisateur | Entrée de fichier journal | Signification
Erreur de configuration de la temporisation. (x) cycles perdus. | Erreur de configuration de la temporisation. (x1) cycles perdus. Durée de cycle configurée = (x2) µs, délai d'exécution maximum = (x3) µs, utilisation maximum de l'automate = (x4). | Nombre (x) de cycles non exécutés en raison de l'expiration du délai d'attente. Le délai d'exécution est supérieur à la durée de cycle définie, ou les ressources de processeur sont indisponibles.
Erreur de configuration de la temporisation. Pic d'utilisation de l'automate à (x) %. | Erreur de configuration de la temporisation. L'utilisation de l'automate dépasse 80 %. Durée de cycle configurée = (x1) µs, délai d'exécution maximum = (x2) µs, utilisation maximum de l'automate = (x3)%." | Le délai d'exécution est supérieur à 80 % de la durée de cycle définie ; actuellement (x) %.

Dépannage

Vous pouvez remédier au dépassement de la durée du cycle comme suit :

  • En augmentant la durée du cycle
  • En réduisant le délai d'exécution, par exemple :
    • En utilisant un système doté de ressources de processeur plus importantes
    • En utilisant un code C compilé
    • En réduisant le programme


zenon Logic Runtime Manager

Manuels -> zenon Logic -> zenon Logic Runtime Manager

zenon Logic Runtime Manager gère tous les projets de Runtime zenon Logic, qui peuvent être autonomes ou doivent être démarrés manuellement, présents sur votre ordinateur. Peu importe qu'un Runtime zenon soit installé ou non sur l'ordinateur.

Autres sujets abordés dans ce chapitre

Pourquoi devez-vous utiliser zenon Logic Runtime Manager ?

Menu principal

Aide des propriétés


Pourquoi devez-vous utiliser zenon Logic Runtime Manager ?

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Pourquoi devez-vous utiliser zenon Logic Runtime Manager ?

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Si vous avez créé votre projet zenon Logic dans zenon et avez défini la propriété zenon déterminant le type de démarrage de projet de Runtime zenon Logic sur Démarrer manuellement, zenon Logic Runtime Manager est l'outil idéal pour organiser les paramètres de démarrage manuel.
  • Si vous voulez démarrer votre projet de Runtime zenon Logic durant le démarrage du système d'exploitation Windows, vous pouvez définir ceci d'un simple clic dans zenon Logic Runtime Manager.
  • Si vous voulez réorganiser votre projet zenon Logic, vous pouvez le faire avec zenon Logic Runtime Manager.
  • Si vous voulez exécuter le Runtime zenon Logic de manière autarchique (sans le Runtime zenon), nous vous recommandons d'invoquer l'instance du Runtime zenon Logic à l'aide de zenon Logic Runtime Manager.


Menu principal

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Menu principal

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com
  • Configurations : ici, vous pouvez gérer les projets de Runtime zenon Logic.
  • Langues : ici, vous pouvez sélectionner différentes langues en ligne.
  • Paramètres : saisissez le chemin d'accès au Runtime zenon Logic.
  • ?: ouvre l'aide.
  • Quitter : quitte le programme - Conseil : n'oubliez pas d'enregistrer les paramètres avant de quitter zenon Logic Runtime Manager !


Aide des propriétés

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Positionnez le pointeur de la souris sur un élément dans zenon Logic Runtime Manager pour afficher le texte d'aide correspondant dans l'aide des propriétés.

En outre, tous les éléments de zenon Logic Runtime Manager sont décrits ici :

Autres sujets abordés dans ce chapitre

Liste de configurations

Dossier de projets zenon Logic

Nom de la configuration

Port (Main) (Principal)

Port (Binding) (Liaison)

Démarrage

Start in stepping mode (Démarrer en mode pas-à-pas) :

Priorité en temps réel de Windows

Hard real time (Temps réel de l'automate)

Report output (Emission d'un rapport)

Démarrage auto

Bouton "Nouveau"

Bouton Edition

Bouton Enregistrer

Bouton "Supprimer"

Bouton Démarrer

Runtime zenon Logic (paramètres)

Sélection des langues

Show splash screen (Afficher l'écran de démarrage) (paramètre)


Liste de configurations

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Liste de configurations

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette liste contient toutes les configurations disponibles pour le Runtime zenon Logic.

Cliquez sur une entrée dans la liste pour en afficher les paramètres.

Cliquez ensuite sur Edition pour modifier les paramètres.

Cliquez sur le bouton Enregistrer pour enregistrer les modifications.


Dossier de projets zenon Logic

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Dossier de projets zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le chemin d'accès sélectionné au projet de Runtime zenon Logic (emplacement de stockage du code de l'automate) est automatiquement saisi ici. Vous pouvez modifier cette entrée manuellement en cliquant avec le bouton gauche sur le symbole du dossier.

info Info

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Edition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Nom de la configuration

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Nom de la configuration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le nom du dernier chemin des fichiers du Runtime zenon Logic est défini automatiquement si une nouvelle configuration est créée. Vous pouvez modifier ce nom librement.

info Info

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Edition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Port (Main) (Principal)

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Port (Main) (Principal)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Définissez le port principal pour l'instance du Runtime zenon Logic. Ce port définit la connexion de l'espace de travail zenon Logic et des drivers zenon. Par défaut, ce port est défini sur 1200.

info Info

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Edition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Port (Binding) (Liaison)

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Port (Binding) (Liaison)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Définissez le port de liaison pour l'instance du Runtime zenon Logic. Le port de liaison définit la connexion pour les communications TCP/IP vers d'autres Runtime zenon Logic. Par défaut, ce port est défini sur une valeur plus élevée de 7800 que le port principal.

info Info

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Edition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Démarrage

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Démarrage

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Définissez le comportement au démarrage de l'instance de Runtime zenon Logic.

  • Cold start (Démarrage à froid) - Le Runtime zenon Logic démarre après initialisation des variables.
  • Cold start (load RETAIN variables) (Démarrage à froid [Charger les variables RETAIN]) - Le Runtime zenon Logic démarre après initialisation de marqueurs rémanents.
  • Hot restart (Redémarrage à chaud) - Le Runtime zenon Logic démarre avec les valeurs de variable provenant du dernier arrêt du Runtime.

info Info

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Edition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Start in stepping mode (Démarrer en mode pas-à-pas) :

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Start in stepping mode (Démarrer en mode pas-à-pas) :

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour démarrer le Runtime zenon Logic en mode cycle à cycle, cochez cette case.

info Info

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Edition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Priorité en temps réel de Windows

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Priorité en temps réel de Windows

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour que l'instance du Runtime zenon Logic s'exécute au niveau de priorité en temps réel de Windows, cochez cette case.

info Info

Nous vous recommandons de toujours activer la priorité en temps réel. Plus que tout, la désactivation de la priorité en temps réel doit être réservée à des fins de test (par ex. afin de déceler d'éventuelles boucles infinies).

info Info

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Edition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Hard real time (Temps réel de l'automate)

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Hard real time (Temps réel de l'automate)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous cochez cette case, l'automate en temps réel zenon Logic (zenon Logic RTK) est exécuté au démarrage de la configuration. L'automate en temps réel zenon Logic ne peut s'exécuter qu'une seule fois sur l'ordinateur ; cette case à cocher est donc activée pour une configuration seulement.

info Info

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Edition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Report output (Emission d'un rapport)

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Report output (Emission d'un rapport)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cochez cette case pour activer l'écriture des messages du Runtime dans un fichier journal.

info Info

L'écriture du journal a une incidence sur les performances.

info Info

Le fichier journal est nommé "zenon Logic RTLOG.txt" et est enregistré dans le dossier du projet de Runtime zenon Logic.

info Info

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Edition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Démarrage auto

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Démarrage auto

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour démarrer une instance du Runtime zenon Logic directement au démarrage du système d'exploitation Windows, cochez cette case.

info Info

Avant de pouvoir modifier un paramètre que vous avez déjà enregistré, vous devez d'abord sélectionner la configuration concernée dans la liste. Ensuite, cliquez sur le bouton Edition. Pour enregistrer les modifications, cliquez sur le bouton Enregistrer.


Bouton "Nouveau"

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Bouton "Nouveau"

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous voulez créer une configuration, cliquez sur le bouton Nouveau. Une boîte de dialogue s'ouvre alors, dans laquelle vous pouvez sélectionner le dossier dans lequel vous souhaitez enregistrer les fichiers du Runtime zenon Logic (code de l'automate). Confirmez votre sélection en cliquant sur OK. Vous pouvez modifier le nom de la configuration. Pour enregistrer la configuration et le nom de la configuration, cliquez sur Enregistrer.


Bouton Edition

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Bouton Edition

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Avant de pouvoir modifier les paramètres d'une configuration, vous devez cliquer sur le bouton Edition après avoir sélectionné une entrée dans la liste de configuration. Pour enregistrer les modifications, vous devez cliquer sur Enregistrer.


Bouton Enregistrer

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Bouton Enregistrer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez sur le bouton Enregistrer pour enregistrer toutes les modifications.


Bouton "Supprimer"

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Bouton "Supprimer"

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour supprimer une configuration, sélectionnez l'entrée dans la liste de configuration et cliquez sur le bouton Supprimer.


Bouton Démarrer

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Bouton Démarrer

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour démarrer le Runtime zenon Logic avec la configuration de votre choix, sélectionnez une configuration dans la liste et cliquez sur le bouton Démarrer. Le Runtime zenon Logic démarre immédiatement.

info Info

Si le dossier de la configuration ne contient aucun fichier de Runtime zenon Logic (code d'automate), le Runtime zenon Logic démarre dans le mode No program (Aucun programme).


Runtime zenon Logic (paramètres)

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Runtime zenon Logic (paramètres)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Spécifiez le dossier du Runtime zenon Logic (dossier de stratonRT.exe). Pour parcourir votre disque dur, cliquez avec le bouton gauche sur le symbole représentant un dossier.


Sélection des langues

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Sélection des langues

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sélectionnez la langue de votre choix en cliquant sur le drapeau correspondant.


Show splash screen (Afficher l'écran de démarrage) (paramètre)

Manuels -> zenon Logic -> zenon Logic Runtime Manager -> Aide des propriétés -> Show splash screen (Afficher l'écran de démarrage) (paramètre)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous cochez cette case, l'écran de démarrage de zenon Logic Runtime Manager est affiché au démarrage.


zenon Operator

Manuels -> zenon Operator

zenon Operator est adapté à la gestion de machines. Est constitué de l'Éditeur et du Runtime. Le Runtime est disponible pour les systèmes d'exploitation pour PC et les systèmes d'exploitation CE. Sous Windows CE, certaines restrictions sont déterminées par le système.

Sa principale fonction est conforme à celle de zenon Supervisor. Contrairement à zenon Supervisor, la version Operator comporte certaines restrictions fonctionnelles.

Pour éditer un projet Operator, vous pouvez utiliser l'Éditeur de zenon ou l'Éditeur de zenon Supervisor. Si, dans l'Éditeur de Supervisor, vous configurez des fonctionnalités qui ne sont pas disponibles dans le Runtime d'Operator, ces fonctions ne seront pas exécutées.

Autres sujets abordés dans ce chapitre

Restrictions relatives à zenon Operator

zenon pour Windows CE


Restrictions relatives à zenon Operator

Manuels -> zenon Operator -> Restrictions relatives à zenon Operator

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

The functionalities of the <zenon> Operator differ from those of the zenon Supervisor. For deployment under Windows CE there will be further restrictions of the operating system. Vous trouvez plus de détails dans la présentation suivante :

Clé :

  • +: Standard
  • *: possible
  • - : indisponible
  • o : disponible sous licence sous forme de module supplémentaire
Fonctionnalités du Runtime de la version Operator | Pour PC | Pour CE
Généralités |  |
Licence par dongle | * | -
64 à 8192 balises | * | *
Direct X/Affichage graphique | * | -
Projet global | * | *
Gestion multi-projets dans l'Éditeur | - (1 projet plus projet global) | - (1 projet plus projet global)
Gestion multi-projets dans le Runtime | - (1 projet plus projet global) | - (1 projet plus projet global)
Modules |  |
Serveur d'archives | - | -
Serveur d'archives, version Starter Edition | o | o (CE 6.0 ou supérieure)
Coloration Automatique des Lignes (CAL) | o | o
Batch Control | - | -
Tendance étendue | - | -
Version 'Starter Edition' des tendances étendues | o | o (CE 6.0 ou supérieure)
Industrial Maintenance Manager (Gestionnaire de maintenance industrielle) | - | -
Industrial Performance Analyzer | - | -
Gestionnaire de message incluant le moteur Text To Speech (conversion des messages en messages vocaux) | o | -
Production & Facility Scheduler (PFS) | - (Module Planning disponible) | - (Module Planning disponible)
Générateur de rapports (sans stockage de données) | o | -
Module d'affichage de fichiers RDL | o | -
Gestionnaire de groupes de recettes | o | o (CE 6.0 ou supérieure)
Driver : 1 driver inclus, exceptions : driver Energy (IEC870-101/103/104, IEC850, DNP3, Modbus Energy) | * | *
Driver : plusieurs instances | - | -
S7 Graph | o | o
Réseau |  |
Réseau de zenon | + | +
Redondance | - (Client serveur uniquement) | - (Client serveur uniquement)
zenon Web Server Light, 3 clients. Uniquement en cas de connexion au Runtime local | o | o
Serveur Web zenon. | - | -
Client Web de CD_PRODUCTNAME | * | - (Les clients classiques sont autorisés.)
Interfaces de programmation |  |
Moteur de Contrôle Procédé | + | +
VBA/VSTA | - | -
zenon Logic |  |
zenon Logic Monitoring Viewer | o | -
zenon OPC Server | - | -
zenon SQL Server | - | -

Tous les modules/fonctionnalités mentionnés ne sont pas disponibles dans zenon Operator.

Éditeur de zenon Operator :

Pour l'Éditeur de la version Operator, les éléments suivants sont disponibles en option :

  • zenon Logic Monitoring Builder
  • zenon Logic Workbench Pro
  • VBA/VSTA

Autres sujets abordés dans ce chapitre

Restrictions spéciales concernant la version CE


Restrictions spéciales concernant la version CE

Manuels -> zenon Operator -> Restrictions relatives à zenon Operator -> Restrictions spéciales concernant la version CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les modules suivants sont uniquement disponibles sous Windows CE 6.0 et les versions ultérieures :

  • Serveur d'Archives, version Starter Edition
    Restrictions ; reportez-vous au manuel Serveur d'Archives, chapitre Serveur d'Archives, version Starter Edition.
  • Module Extended Trend, version Starter Edition
    Restrictions ; reportez-vous au manuel Module Extended Trend.
    En outre, les éléments de contrôle suivants ne sont pas disponibles dans les projets CE :
    • Bouton Diagramme
    • Bouton Courbe
    • Paramétrage du diagramme
    • Dialogue d'impression
    • Bouton Axe X
    • Fenêtre d'affichage du curseur
    • Profils de filtre
  • Gestionnaire de groupes de recettes

Acquittement de la ligne d'état des alarmes

Sous Windows CE, vous ne pouvez pas acquitter la ligne d'état des alarmes avec un clic droit.

Les archives

Pour l'archivage, seule la version Starter Edition du Serveur d'archives est disponible sous Windows CE. Elle comporte quelques restrictions, que ne comporte pas la version intégrale du Serveur d'archives. Pour plus de détails, reportez-vous au chapitre Serveur d'archives, version Starter Edition dans le manuel Serveur d'archives.

Résolution des plates-formes CE et affichage des boîtes de dialogue de filtre pour les listes CEL AML

La liste d'alarmes et la liste chronologique d'événements (CEL) autorisent la sélection d'un filtre dans le Runtime. Toutefois, ce filtre est uniquement utilisable avec une résolution de 800x600 ou supérieure. La gestion de profils dans les synoptiques correspondants n'est pas disponible. Par conséquent, les boutons Enregistrer et Supprimer ne fonctionnent pas. Comme le Paramétrage d'impression ne peut pas être exécuté sous Windows CE, le bouton correspondant perd aussi sa fonction.

Types de synoptiques indisponibles :

  • Liste d'états
  • Vidéo

Gestion des utilisateurs

Active Directory et ADAM/AD LDS ne sont pas disponibles sous Windows CE.

Propriétés dynamiques

Les propriétés dynamiques comme la rotation, le changement de hauteur ou de largeur, ou les positions selon X ou Y ne sont pas disponibles.

Les éléments dynamiques

Eléments ActiveX : enregistrement sous Windows CE :

Active X – Les éléments doivent être enregistrés avant de pouvoir être utilisés sur CE. Vous trouverez de l'aide à ce sujet au chapitre intitulé Conseils de développement - Active X.

Réglette universelle

L'affichage sous forme de Bande n'est pas disponible.

Fichiers XAML et WPF

WPF n'est pas disponible. Par conséquent, le langage XAML (utilisé en tant que langage descriptif pour WPF) n'est pas utilisé.

Filtre des listes AML et CEL

Les filtres de la liste d'alarmes et de la liste chronologique d'événements ne peuvent pas être configurés si la propriété Projet Windows CE est activée. Ces boîtes de dialogue étant très grandes, cette limitation a été introduite dans le but d'autoriser leur utilisation, même sur des petits écrans (PDA). Si vous créez un projet Windows CE sans activer la propriété Projet Windows CE, vous pouvez utiliser les boîtes de dialogue de filtres comme vous le faites habituellement.

Profils de filtre

Il est impossible d'utiliser les profils dans le Runtime sous Windows CE.

Formes de cadre libres

Pour les cadres, la fonction Forme de gabarit librement définie n'est pas disponible sur Windows CE.

Graphiques

Rotation angle and dynamic positioning

The property Angle de rotation [°] and properties of the group Dimensions et rotation dynamiques are not available under Windows CE. Previously engineered properties are reset when the property is Projet WindowsCE activated.

Effets de remplissage

Les effets de remplissage sur les éléments statiques peuvent être affichés différemment selon le terminal CE utilisé par rapport à l'affichage sur un PC.

Pour les éléments statiques, seuls les motifs de remplissage Complete (Intégral) et Not filled (Aucun remplissage) sont disponibles pour Windows CE.
Pour les éléments statiques, seuls les types de lignes suivants sont disponibles pour Windows CE : plein, pointillé ou sans.

Motifs de remplissage 3D

Les motifs 3D sont disponibles mais nécessitent plus de ressources graphiques sur les terminaux CE.
Il n'est donc pas recommandé de les utiliser.

Qualité d'affichage graphique

Les fonctions graphiques fournies par le mode Windows Enhanced (Windows optimisé) dans la propriété Qualité graphique, telles que le remplissage ou la transparence, ne sont pas disponibles dans Windows CE.
Remarque : Les fichiers GIF transparents et les fichiers PNG comportant des limitations peuvent être affichés.

Fichiers GIF

Pour afficher des fichiers GIF dans Windows CE, vous devez vous assurer que le fichier IMGDECEMP.dll est disponible sur le périphérique cible. Si le fichier est manquant, vous pouvez le demander par l'intermédiaire de support@copadata.com.

Lignes

Les lignes ne peuvent pas être affichées avec des coins arrondis. Even when the project properties under Qualité graphique Windows Basis is chosen, rounded corners are not displayed under CE.

Affichage des noms de recettes

Sur les synoptiques de type Gestionnaire de groupes de recettes, les noms des recettes peuvent uniquement être affichés dans une liste déroulante. L'affichage de la zone de liste (via Style L) n'est pas pris en charge sur les plates-formes CE.

Menus principaux

Sur Windows CE, seuls les menus principaux standard peuvent être affichés. Il n'est pas possible de modifier leur couleur, la taille ou le type de la police.

Gestion des licences (dongle)

La licence par dongle n'est pas disponible sous Windows CE, ni localement, ni avec un dongle sur un réseau.

Capacité multi-projets

Sous Windows CE, vous ne pouvez pas bénéficier des capacités multi-projets, c'est-à-dire sous ce système, vous ne pouvez faire tourner qu'un seul projet à la fois. C'est pour cette raison qu'il n'y a pas de hiérarchies de projets (projet principal , projet d'intégration) dans les projets réseaux. Ceci ne s'applique pas au projet global.

Taille des projets

Sous Windows CE, seule une certaine quantité de mémoire est disponible.

Sous Windows CE 5.x, l'application peut uniquement être exécutée sur l'emplacement Slot0, et est donc limitée à 32 Mo. Lorsque Windows CE 5.x est démarré, le reste de la mémoire - selon la taille de l'image (entre 15 et 19 Mo) - est disponible pour zenon. En raison de la règle des 20 %, 25,6 Mo peuvent être utilisés pour l'image, zenon et le projet.

A compter de Windows CE 6.0, la mémoire est limitée à 2 Go. La règle des 20 % s'applique encore.

info Info

Règle des 20% : après l'appel de tous les synoptiques de zenon, au moins 20 % de mémoire doit rester libre. Si cette limite n'est pas prise en compte, nous ne pouvons garantir le bon fonctionnement de zenon.

Liste des références croisées

Si un bouton dans un projet CE est lié à une fonction qui n'est pas disponible pour Windows CE, dans le Runtime, on indique "Fonction supprimée".

Bouton droit de la souris

Cette fonction pour le double-clic droit n'est pas disponible sous Windows CE.

Redondance

La redondance, combinée avec un client sur une plate-forme CE est possible. La redondance dans le sens où la plate-forme CE tient le rôle de poste serveur ou de serveur redondant n'est pas possible.

Spécifier valeur prescrite

Les options de valeurs prescrites spécifiques aux éléments et les fonctions ne sont pas disponibles lors de l'utilisation de macros ou de programmes. On ne peut spécifier les valeurs prescrites que par boîte de dialogue ou directement dans les éléments.

Si une valeur prescrite est transmise à une variable HD sur un appareil CE (par ex. à l'aide de la barrette universelle), un certain délai se produira car l'écriture sur la carte de stockage n'est pas assez rapide. Vous pouvez aussi avoir certains délais, si la valeur prescrite doit être enregistrée dans le CEL et si le CEL est sauvegardé sur la carte mémoire pour chaque entrée (propriété du projet).

Simulation de driver

Simulation - programmée n'est pas disponible sous Windows CE 6.

Les éléments vectoriels

Quartier de cercle (camembert)

Sous Windows CE, l'élément statique Quartier de cercle n'est affiché correctement qu'avec une épaisseur de ligne de 1.
Attention : les arcs avec des lignes plus épaisses ne sont également pas dessinés correctement dans les projets en réseau. Les arcs ont l'air dentelés et ne ressemblent pas à ce qui a été conçu avec l'éditeur.

Quartier de cercle (camembert)

L'élément statique Segment de cercle n'est pas disponible dans Windows CE.

Variables

Les variables du type de données LINT ne sont pas disponibles sous Windows CE.

Affichage vue globale

La vue globale n'est pas disponible sous Windows CE en raison des contraintes graphiques.

Fichiers WMF et EMF

L'utilisation des métafichiers (*.wmf) et (*.emf) n'est pas possible.


zenon pour Windows CE

Manuels -> zenon Operator -> zenon pour Windows CE

Le Runtime CE de zenon Operator peut s'exécuter sur différentes plates-formes matérielles CE. De façon générale, la version CE de zenon offre les mêmes possibilités que la version PC de zenon Operator ; cependant, elle comporte des limitations dues aux capacités matérielles plus restreintes.

Vous trouverez des informations détaillées concernant l'installation des Runtime zenon et zenon Logic pour Windows CE aux chapitres suivants :

  • Runtime de zenon Operator pour Windows CE
  • Runtime zenon Logic pour Windows CE

tutorial Informations concernant la licence

Le Runtime de zenon pour Windows CE doit disposer d'une licence.

Autres sujets abordés dans ce chapitre

Généralités

Minimum requis

Fichiers système

Réseau

Connexion via le Gestionnaire pour appareils Windows Mobile

Gestionnaire de groupes de recettes

Transparence

Pocket PC et Windows Mobile Edition


Généralités

Manuels -> zenon Operator -> zenon pour Windows CE -> Généralités

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Windows CE est une plate-forme ouverte et adaptable pour un grand nombre de matériel pour la communication, le divertissement, l'industrie et la gestion de donnée mobile. De façon générale, Windows CE est un système qui est réduit à l'essentiel, et qui ne demande que de très faibles ressources matérielles. Ceci signifie que maintenant, des composants de très faible coût peuvent être équippés avec un système basé sur Windows.
Le système standard Windows CE permet la réalisation de nouveaux matériels qui peuvent communiquer entre eux, échanger des informations avec des PC Windows et se connecter à Internet.
Windows CE est un système d'exploitation à 32 bits doté de fonctions telles que la gestion multitâches et le traitement multifil. Windows CE possède une structure ouverte et prend en charge de nombreux périphériques. Windows CE est compact et offre ainsi de grandes performances même avec une mémoire limitée.

Quelques avantages de Windows CE :

  • Démarrage rapide du terminal, car le système d'exploitation est décompressé en mémoire à chaque démarrage
  • comme aucun logiciel ne peut être installé sur la plate-forme CE, il n'y a pas de danger d'avoir des installations qui "plantent" ou des virus.
  • Robustesse élevée, car un terminal CE ne comporte normalement aucun composant mobile (par exemple, un disque dur)

Quelques désavantages de Windows CE :

  • Fonctionnalités limitées ; l'API (interface de programmation d'applications) de Windows n'est pas disponible dans sa totalité
  • Accès en lecture et en écriture plus lents sur la carte Compact Flash
  • Cycles de vie du support de stockage plus courts, en raison des accès fréquents

Le Runtime de zenon offre les mêmes fonctionnalités sous CE que sur PC. Les fonctionnalités sont limitées en raison des ressources matérielles moins importantes et des limitations inhérentes au système d'exploitation.

Autres sujets abordés dans ce chapitre

Création de projets dans CE

Licence


Création de projets dans CE

Manuels -> zenon Operator -> zenon pour Windows CE -> Généralités -> Création de projets dans CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

L'éditeur est un outil qui vous permet de créer des applications petites, moyennes aussi bien que des gros projets. L'outil est toujours le meme. Indépendamment de la plate-forme des projets, vous avez toujours le même confort de développement. Les données du projet sont compatibles quelque soit la résolution.

Editeur CE

Pour les projets CE dans l'Éditeur sous -> Propriétés -> Général, la case Projet Windows CE est cochée. Ainsi, seules les fonctions disponibles sous Windows CE sont activées. Toutes les autres fonctions sont grisées, à l'exception de VBA : Dans l'éditeur, le VBA peut être utilisé pour les assistants. Il ne peut pas être utilisé dans le Runtime.

En fonction de la licence, l'éditeur est limité à 8 192 identifiants.

VBA sus CE

Dans l'éditeur, le VBA peut être utilisé pour les assistants. Il ne peut pas être utilisé dans le Runtime.


Licence

Manuels -> zenon Operator -> zenon pour Windows CE -> Généralités -> Licence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La licence du Runtime sur Windows CE peut être définie par l'intermédiaire de l'outil Transport à distance. Lorsque vous vous connectez au système cible, vous pouvez entrer le numéro de série et le numéro de licence pour la version CE. Le numéro de série est enregistré sur la plate-forme CE dans le fichier zenon6.ini. Le numéro d'activation est enregistré dans la base de registres de Windows CE.

info Info

Le numéro de série et le numéro d'activation ne sont pas vérifiés complètement lors de la saisie depuis l'outil de Transport à distance sur le PC. La vérification complète se fait lors du démarrage du Runtime sur la plate-forme CE. Il est donc nécessaire de redémarrer le Runtime une fois que le numéro de série et le numéro d'activation ont été définis de façon à vérifier s'ils ont bien été entrés correctement.

La livraison inclut un numéro de série de démo pour CE, qui ne nécessite pas de numéro d'activation.

Example Exemple

Numéro de série de démo pour CE 5.0 et Windows Mobile 5.0 : 0.19211400.0.-128

Numéro de série de démo pour Windows CE 6.0 : 0.59211400.0.-256.0

La version de démo pour CE 5 :

  • est limitée à
    • 2 048 variables
    • Une durée de 10 minutes
  • contient
    • Moteur de contrôle de procédés (PCE : Process Control Engine)
    • Serveur Web Pro de zenon

La version de démo pour CE 6,0 :

  • est limitée à
    • 4 096 variables
    • Une durée de 10 minutes
  • contient
    • Moteur de contrôle de procédés (PCE : Process Control Engine)
    • Le module Tendance étendue (version Starter Edition)
    • Serveur d'archives (Starter Edition)
    • L'application zenon Web Server Pro (3 clients)

attention Attention

Avec Windows Mobile Edition, seules 800 à 1000 variables peuvent être chargées, selon la mémoire disponible sur le périphérique utilisé, les programmes installés et la taille du projet.


Minimum requis

Manuels -> zenon Operator -> zenon pour Windows CE -> Minimum requis

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sur Windows CE le système de contrôle peut être exécuté sur les plates-formes les plus variées indépendamment du contructeur. Pour chaque combinaison de système et de type de processeur, vous avez besoin du Runtime spécifique qui doit être compilé et maintenu pour cette plate-forme spécifique.
Configuration minimale requise du terminal CE :

  • 64 Mo de mémoire
  • 32 Mo d'espace disque

Comme la vitesse du processeur dépend énormément du type de processeur, une vitesse minimum est difficile à définir. Mais nous recommendons généralement un processeur avec une horloge cadencée au minimum à 400 MHz.
Valeur recommandée :

  • 128 Mo de RAM ou plus
  • 64 Mo RAM ou plus
  • Processeur cadencé à 800 MHz (processeurs ARM) ou à 600 MHz (architecture x86)
  • Interface réseau

info Info

Le Runtime et les projets doivent être stockés sur une mémoire permanente et accessible en écriture.

Les plates-formes CE avec écran tactile ont généralement une résolution d'écran faible. Vous devez prendre cela en considération lorsque vous créez votre projet. Certaines boîtes de dialogue, par exemple la boîte de sélection de variables pour les recettes standard, la boîte de dialogue de login temporaire et d'autres boîtes de dialogue en Runtime, sont difficiles et parfois même impossible à manipuler avec une résolution d'écran de 320 x 240. Mais il n'y a pas de minimum requis dans ce cas.
Le guide de développement inclut des directives pour le développement de projets sur des écrans à faible résolution.

attention Attention

La version correspondante de zenon doit être installée. Les versions PC et CE de zenon doivent correspondre (même version, même Service Pack).

Start Runtime at the CE panel

To start zenon at a CE panel, all of the required modules must be available in the image.

Should modules be missing, then after double-clicking on zenonrce.exe a rotating hourglass will only be shown. After the hourglass has disappeared the zenon Runtime will not be started nor will an error message will be shown.

This action shows that elements are missing in the CE operating system and that the image was not generated correctly. Contact the manufacturer of the panel to correct the error. The COPA-DATA support is happy to help the manufacturer with the error analysis.

Autres sujets abordés dans ce chapitre

CE - Prise en charge des versions et processeurs

Compatibilité


CE - Prise en charge des versions et processeurs

Manuels -> zenon Operator -> zenon pour Windows CE -> Minimum requis -> CE - Prise en charge des versions et processeurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans la version actuelle de zenon (7.11), les versions de Windows CE et les processeurs suivants sont pris en charge :

  • CE 5.00 pour x86
  • CE 5.00 pour ARMV4/V5
  • CE 6.00 pour x86
  • CE 6.00 pour ARMV4/V5

info Info

Vous trouverez des informations concernant les versions de CE et les processeurs pris en charge par les versions antérieures de zenon dans la documentation correspondante ; vous pouvez également contacter l'assistance de COPA-DATA.


Compatibilité

Manuels -> zenon Operator -> zenon pour Windows CE -> Minimum requis -> Compatibilité

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le support d'installation CE de zenon contient toutes les versions antérieures compatibles du Runtime sous la forme d'un fichier ZIP. Ces fichiers contiennent des données binaires, mais ne contiennent aucun fichier de Runtime exécutable complet.

Si des fichiers de Runtime sont créés avec une version plus récente de l'éditeur, il peut être nécessaire d'utiliser des drivers plus anciens pour le Runtime. Pour cela :

  • accédez au fichier ZIP concerné dans le dossier Runtime compatibility (Compatibilité du Runtime) du support d'installation.
  • Décompressez le driver du fichier.
  • Transférez le driver vers le périphérique.


Fichiers système

Manuels -> zenon Operator -> zenon pour Windows CE -> Fichiers système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Runtime Windows CE a besoin de certains fichiers système. Si un de ces fichiers manque, le système affiche un message d'erreur au démarrage du Runtime qui indique qu'un ou plusieurs composants n'ont pas été trouvés. Les fichiers système suivants sont requis :

Fichier | Description
mfc90u.dll | Nécessaire au Runtime. Au démarrage un message d'erreur apparaît si ce fichier n'existe pas.
msvcr90.dll | Nécessaire au Runtime. Au démarrage un message d'erreur apparaît si ce fichier n'existe pas.
atl90.dll | Non nécessaire pour démarrer le Runtime, mais requis pour utiliser les drivers avec des connexions réseau et pour utiliser zenon sur un réseau. Si ce fichier n'existe pas, la plate-forme ne fonctionnera pas en tant que client et les connexions TCP/IP des drivers ne fonctionneront pas.
IMGDECMP.dll | N'est pas nécessaire pour démarrer le Runtime, mais nécessaire pour afficher la transparence si la fonction Alpha Blending n'est pas intégrée au système d'exploitation. L'animation de fichiers GIF n'est pas possible sous Windows CE.
VBSCRIPT.dll + JSCRIPT.dll | N'est pas nécessaire pour démarrer le Runtime. Ce fichier est nécessaire pour PCE (Process Control Engine – Moteur de Contrôle de Procédé)

Certains de ces fichiers système sont installés lors de l'installation de zenon pour CE et peuvent être transférés vers le périphérique CE à l'aide de l'outil UpdateCE. Tous ces fichiers système devraient être intégrés à l'image du système d'exploitation du périphérique CE par le fabricant.

attention Attention !

Pour les fournisseurs d'images du système d'exploitation Windows CE :
Les versions de CE antérieures à la version 6.0 nécessitent le fichier toolhelp.dll. Activez l'option suivante dans Platform Manager pour que le fichier soit disponible sur le périphérique CE, et que Toolhelp.h soit disponible dans l'application SDK.
Core OS -> Display Based Device ->Core OS Services -> Debugging Tools -> Toolhelp API. Ainsi, le fichier Toolhelp.dll fait partie de l'image.
Conseil : utilisez toujours la dernière version en date du Service Pack du module Platform Builder.

Remarque : le fichier toolhelp.dll n'est pas nécessaire sous Windows CE 6, et ne doit pas être utilisé avec ce système d'exploitation.

Autres sujets abordés dans ce chapitre

Règle des 20%

Runtime


Règle des 20%

Manuels -> zenon Operator -> zenon pour Windows CE -> Fichiers système -> Règle des 20%

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La limitation à 32 Mo de mémoire (appelés "emplacement", voir illustration), qui est déjà présenter depuis Windows CE 3.0, est encore valide pour Windows CE 5.0. Cette limitation sera élevée sous Windows CE 6.0.

La limitation de la mémoire implique que ces 32 Mo sont utilisés aux fins du stockage du Runtime (variables, fonctions, synoptiques, fichiers système des drivers etc.). Lors du démarrage de Windows CE, divers drivers et fichiers système sont chargés en mémoire selon la plate-forme. Ainsi le Runtime ne peut jamais utiliser les 32 Mo en totalité.

Windows CE NET (4.xx) et CE 5.0 sont encore limités à 32 Mo de mémoire par application. Toutefois, la mémoire utilisée par le système d'exploitation ou d'autres applications dans d'autres emplacements peut déjà être utilisée dans l'emplacement dans lequel a été démarré le Runtime. Grâce à cette mise à jour de CE.NET/CE 5.0, plus de mémoire est disponible pour le Runtime.

Le système et la plate-forme matérielle utilisés limitent la taille maximum du projet. Contrairement à un PC, la mémoire est limitée. Ecrire un kilo-octet de données sur une carte flash par exemple, ne prend pas quelques millisecondes (comme sur un PC) mais bien plus de temps.

Windows CE a été développé pour des matériels avec de faibles performances qui peuvent tourner sans partie amovible. Seuls quelques plates-formes CE ont un processeur actif "cooling". Souvent les processeurs pour les plate-forme CE prennent en charge tous les rôles : calcul, graphique, communication TCP/IP, communication série, etc.

Sur un PC, ces charges sont assures par plusieurs composants matériels. A cause de cette différence fondamentale, les performances sur les plates-formes CE ne peuvent pas être comparées à celles d'un PC.

La taille maximum d'un projet dépend donc de la plate-forme. Aucune limite universelle valide par exemple un nombre maximum de variables ou d'alarmes ne peut être définie.

info Info

Si après le démarrage du Runtime, tous les synoptiques sont appelés en même temps et le nombre maximum d'alarmes est mis en mémoire, 20% de la mémoire centrale doit être disponible pour garantir un fonctionnement sans erreur.

La mémoire centrale disponible peut être affichée à l'aide de la variable système (system driver / ressource HW) "Mémoire disponible [%]".

Windows CE 6,0

Depuis CE 6.0, les limitations du système d'exploitation mentionnées ci-dessus ne s'appliquent plus. La mémoire disponible peut être entièrement utilisée par chaque application. Toutefois, étant donné que la mémoire est fréquemment limitée à 128 Mo ou 256 Mo de RAM sur les appareils CE conventionnels, il existe encore un risque d'insuffisance de la capacité mémoire. Ce risque est d'autant plus présent en cas d'utilisation des modules Tendance étendue et Historian de la version Starter Edition. Par conséquent, la règle des 20 % mentionnée ci-dessus s'applique encore.


Runtime

Manuels -> zenon Operator -> zenon pour Windows CE -> Fichiers système -> Runtime

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Runtime pour Windows CE inclut les fichiers suivants :

Nom de fichier | Description
zenonrCE.exe | application Runtime
CD_tooCE.dll | Nécessaire au Runtime.
ZennetsrvCE.dll | le service réseau du système de contrôle pour Windows CE. Nécessaire pour les projets en réseau.
SysSrvCE.exe | Service de transfert.
LogCliLibCE.dll | Le client logserver
zenon6.ini | Fichier texte avec le paramétrage du Runtime comme par exemple, le projet de démarrage, le langage du Runtime, etc.
UpdateCE.exe | Application nécessaire pour l'outil "CE Update".
RgermaCE.dll | Fichier de langue pour l'allemand
RengliCE.dll | Fichier de langue pour l'anglais.
RfrancCE.dll | Fichier de langue pour le français.
RitaliCE.dll | Fichier de langue pour l'italien.
RrussiCE.dll | Fichier de langue pour le russe.
RspaniCE.dll | Fichier de langue pour l'espagnol.

Installez le Runtime sur la plate-forme CE avec l'entrée "CE Runtime Update" dans le menu Option.

info Info

La considération suivante s'applique à une connexion à Windows CE 6.0 avec CX1000, Profibus ou SYCONuni : assurez-vous que le fichier CDMemDrv.dll a été transféré vers le périphérique. CDMemDrv.dll est un driver de périphérique de Windows CE. La DLL est disponible pour x86 et ARMV4I.

De plus, il y aussi beaucoup d'autres drivers pour la communication matérielle. Si le type du processeur pour la plate-forme CE est reconnue par l'éditeur, le "Transport distant" transfèrera automatiquement sur la plate-forme CE les drivers utilisés dans le projet. La façon de transférer et le nombre de fichiers transférés sont affichés dans la fenêtre de sortie de l'éditeur.

Ces fichiers doivent toujours être compatibles avec la version de CE et le type de processeur. "Mélanger" des fichiers de différentes versions de CE ou même de différents service packs peut aboutir à des "crash" ou des effets de bords non souhaités et donc ne sont pas permis.

info Info

Lors du démarrage de zenonrce.exe, le fichier syssrvce.exe est également exécuté. Cela permet de garantir qu'une connexion TCP peut également être établie. Les délais excessifs sont évités, et un seul fichier est nécessaire pour la fonction de démarrage automatique.


Réseau

Manuels -> zenon Operator -> zenon pour Windows CE -> Réseau

Bien entendu, zenon sous Windows CE peut toujours être utilisé en réseau. Le terminal CE peut être serveur ou client d'autres terminaux ou de PCs standard. Une autre possibilité est que le terminal CE soit utilisé comme un serveur de donnée en liaison avec un PC.

La redondance sur le réseau n'est pas supportée sur Windows CE, i.e. un terminal CE ne peut pas être un serveur redondant. Si des PCs sont utilisés comme serveur et serveur redondant, le terminal CE peut se connecter comme un client, et dans le cas d'une commutation de redondance, il se connecte automatiquement au serveur courant.

info Info

La fonctionnalité multi projets n'est pas supporté sur Windows CE.

Mais plusieurs projets CE peuvent être combinés dans un projet d'intégration sur un PC.

Si le Runtime CE doit être utilisé en réseau, les éléments suivants sont requis :

Une connexion au réseau sur le terminal CE

Un réseau TCP/IP avec résolution par nom complète ! Résolution du nom

Un nom d'ordinateur unique et adresse IP unique dans le réseau

Les fichiers système nécessaires et le runtime sur le terminal CE (référez-vous au chapitre "Minimum requis")

Une licence Runtime avec l'option réseau sur le terminal CE

info Info

Si un terminal CE est utilisé dans un réseau, en tant que client ou serveur, vous devez avoir une licence réseau pour le terminal CE.

Pour le Transport à distance vous n'avez pas besoin d'un licence réseau !

Si la licence réseau n'existe pas, zenon est automatiquement démarré de façon indépendante et chaque terminal CE établit sa liaison propre avec l'automate.

Autres sujets abordés dans ce chapitre

Paramétrages réseau

Terminal CE en tant que serveur

Terminal CE en tant que client

Possibilités de diagnostique

Terminal CE en tant que serveur de données


Paramétrages réseau

Manuels -> zenon Operator -> zenon pour Windows CE -> Réseau -> Paramétrages réseau

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Comme la résolution par nom n'existe pas toujours sur Windows CE, le nom du poste et l'adresse IP du terminal CE doivent être définis sur le PC. Sur le PC, il y a un fichier HOSTS dédié à cela; il se trouve dans le dossier /Windows/System32/Drivers/ETC. Dans ce fichier l'adresse IP et le nom du terminal CE peuvent être entrés en majuscules et séparés par une tabulation Par exemple : 192.168.0.100 WINDOWSCE2

info Info

Lors de la sauvegarde de ce fichier, attention qu'aucune extension ne soit ajoutée (pas de .txt) !

Le lien entre les noms des ordinateurs et les adresses IP doit être défini sur le PC et aussi sur le terminal CE, si le réseau ne supporte pas complètement la résolution par nom. (Dans la résolution par noms, les noms des ordinateurs sont résolus sur la base des adresses IP). Sur les PCs cette information est stockée dans le fichier hosts sous \Windows\system32\drivers\etc.

Le système Windows CE ne supporte pas la fonctionnalité du fichier HOSTS. Le nom de l'ordinateur et l'adresse IP doivent être entrés dans le fichier zenon6.ini du terminal CE, de façon à ce que la résolution du nom marche aussi correctement sur le terminal CE. L'entrée suivante est nécessaire :

Example Exemple

[IPADDR]
Nom de mon ordinateur=mon adresse IP
Nom du terminal CE =Adresse IP du terminal CE

SERVERNAME=192.168.1.152

Sous SERVERNAME, entrez le nom de votre serveur. Entrer l'adresse correspondante de votre serveur.

Exemple : Votre serveur est le PC0815 et a l'adresse IP 192.52.9.32, donc vous entrez : PC0815=192.52.9.32

Attention que le nom de l'ordinateur soit entré en majscules !

Autres exemples

[IPADDR]

WINDOWSCE2=192.168.0.100

PC1=192.168.0.1

Si le terminal CE ne connait pas son propre nom, il peut aussi être défini ici.

attention Attention

N'utilisez pas d'adresse IP dynamique, si la résolution par nom n'existe pas sur le réseau.


Terminal CE en tant que serveur

Manuels -> zenon Operator -> zenon pour Windows CE -> Réseau -> Terminal CE en tant que serveur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Dans cette configuration, le projet dans le terminal CE est un projet serveur (avec des fonctionnalités limitées). Tous les autres ordinateurs, qui se connecte à ce terminal, sont des clients (des clients PC, clients CE et clients Web sont possibles).

Les drivers utilisés sont démarrés sur le terminal CE. Comme les terminaux CE sont utilisés en tant que serveur, les fonctionnalités sont aussi limitées sur les PCs clients. Comme on l'a déjà indiqué, l'utilisation d'un terminal CE en tant que serveur redondant n'est pas possible.

Ce modèle a les caractéristiques suivantes :

Le projet CE a toujours des fonctionnalités limitées, i.e. pas d'archivage de données et pas de module optionnel disponible.

Le terminal CE envoie les données du procédé à tous les clients connectés. La gestion d'alarmes, les matrices de réaction, les calculs mathématiques sont gérées par le terminal CE.

S'il y a beaucoup de clients connectés, le terminal CE doit gérer une charge réseau relativement importante, ce qui, bien sûr, n'est pas bon pour les performances du terminal.

Développement sur le terminal CE en tant que serveur en pratique :

De façon à définir le terminal CE en tant que serveur, le nom du terminal CE doit être entré dans la propriété "serveur" des propriétés du projet. Assurez-vous que le nom est entré en majuscules. Après avoir terminé le projet, vous devez transférer les fichiers Runtime sur le serveur (terminal CE) avec le transport à distance. Ensuite vous devez transférer une fois les fichiers Runtime sur tous les clients.

Pour tout le système, un seul projet est créé. Les modifications suivantes ne seront à transférer que sur le serveur. Dans le cas où des modifications sont apportées sur le serveur, alors tous les clients récupéreront les modifications automatiquement.

Vous ne devez utiliser que les fonctionnalités supportées par le terminal CE. Pour cela, vous pouvez cocher l'option "Projet CE" dans les propriétés du projet. Cela évite d'utiliser des modules (synoptiques, fonctions, etc.) qui ne sont pas pris en charge sous Windows CE.

De façon à permettre l'archivage des données, l'utilisation des modules comme les tendances étendues ou le générateur de rapport, et à fournir les données à un certains nombre de clients sans perte de performance sur le terminal malgré l'utilisation de Windows CE, la deuxième possibilité suivante a été implémentée :


Terminal CE en tant que client

Manuels -> zenon Operator -> zenon pour Windows CE -> Réseau -> Terminal CE en tant que client

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Ici, le projet sur le terminal CE n'est pas un projet serveur. Donc le projet sur le terminal CE se connecte sur un serveur en tant que client. Ce serveur peut être un PC ou un autre terminal CE.

Ce modèle a les caractéristiques suivantes :

Le projet CE sur le client a des fonctionnalités limitées, i.e. sur le client seules les fonctionnalités supportées par CE sont disponibles. les archives, les tendances étendues, les rapports, etc. ne sont pas disponibles. Le projet sur le serveur peut contenir ces éléments s'il tourne sur un PC. Sur un PC client, avec une licence, le projet complet est disponible. De manière à ne pas pertuber l'utilisateur, le système offre l'option : Visible sous WinCE Si cette option n'est pas activée, l'élément correspondant ne sera pas affiché sur les terminaux CE.

La charge du réseau sur le client CE est négligeable, car il n'y a toujours qu'une seule connexion - celle vers le serveur. Les drivers dans ce cas sont démarré sur le serveur.

Développement du terminal CE en tant que client :

Pour tout le système, un seul projet est créé. Ce projet tourne sur le server qui gère toutes les données.

Le développement est fait sur le PC et les fichiers Runtime créés sont transférés sur le serveur et les clients avec le Transport à distance.

Si des modification sont faites par la suite dans le projet, les fichiers modifiés ne sont à transférés que sur le serveur avec le Transport à distance. Les clients se mettront à jour avec les modifications après l'exécution de la fonction recharger le projet en ligne sur le serveur.

L'option "Projet Windows CE" n'a pas a être activée. Ainsi, la totalité des fonctionnalités de zenon est disponible pour le projet. Comme les fonctionnalités sont limités sur CE, celles-ci ne seront pas exécutées sur ces plates-formes (modules et fonctions spéciales, etc.)

De façon à ne pas perturber les utilisateurs en montrant des synoptiques et des éléments sur le terminal CE qui ne seront pas opérants, la propriété dans l'éditeur "Visible sur WinCE" peut être décochée sur les synoptiques et les éléments en question. L'ingénieur qui développe le projet peut donc choisir quelle partie du projet sera visible et disponible sur Windows CE, et définir une autre partie visible uniquement sur PC (PC serveur et autres PC clients, etc...).


Possibilités de diagnostique

Manuels -> zenon Operator -> zenon pour Windows CE -> Réseau -> Possibilités de diagnostique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Terminal CE en tant que serveur

De façon à être sûr que le terminal CE travaille en tant que serveur, vous pouvez essayer de supprimer un driver utilisé dans le projet avec l'exploreur sur le terminal CE alors que le Runtime est en cours d'exécution. Si cela est possible, cela signifie que le Runtime sur le terminal CE ne s'exécute pas en tant que serveur (les applications ouvertes de façon exclusive ne peuvent pas être supprimées). Il est possible que le terminal CE ne connaisse pas son nom correct ou que le Runtime exécuté sur le terminal CE ne comporte pas une licence réseau.

Terminal CE en tant que client

Si le client ne peut établir la connexion avec le serveur, des petits carrés bleus s'affichent sur les éléments dynamiques dans les synoptiques. L'option "Afficher l'état de la variable" doit être activée sur les éléments dans la fenêtre des propriétés dans l'éditeur.

Driver système

Le driver système propose un certain nombre de variables pour faire du diagnostique au niveau du réseau.

Divers

Si le terminal CE est utilisé dans un réseau, il doit être possible d'établir une connexion avec le terminal CE en utilisant la commande : "telnet NOM_DU_POSTE 1100" dans la boite de commande. (Le curseur clignote dans le coin en haut à gauche.) Le Runtime doit être démarré sur le terminal CE.

NOM_DU_POSTE ici signifie le nom du terminal CE (vous pouvez le connaitre en utilisant le panneau de configuration et l'entrée Système); 1100 est le port de communication du service réseau du système de contrôle (zenNetSrvCE.dll).

Si la connexion avec Telnet ne peut pas être établie, alors c'est que le nom n'a pas été reconnu sur le réseau, ou que le runtime sur le terminal CE n'a pas de licence réseau ou que le fichier système ATLCEx00.dll n'existe pas sur le terminal.

Le fichier zennetsrvce.dll pour la plate-forme correspondante est transféré automatiquement sur le terminal CE par le module de transport à distance (transfert de tous les fichiers Runtime). Si ce n'est pas le cas, les fichiers Runtime pour CE ne sont probablement pas installé sur le terminal. Si dans l'éditeur, vous avez la commande "CE Runtime Update" dans le menu Option, alors les fichiers Runtime pour CE sont installés.

Si il arrive que de tant en tant un client se connecte et que d'autres fois c'est un autre client qui se connecte, la cause est peut-être que les deux terminaux CE ont le même nom. Windows CE ne génère pas de message d'erreur si un nom d'ordinateur existe déjà sur le réseau.


Terminal CE en tant que serveur de données

Manuels -> zenon Operator -> zenon pour Windows CE -> Réseau -> Terminal CE en tant que serveur de données

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

De façon à permettre l'archivage des données, l'utilisation des modules comme les tendances étendues ou le générateur de rapport, et à fournir les données à un certains nombre de clients sans perte de performance sur le terminal malgré l'utilisation de Windows CE, la possibilité suivante de serveur de données a été implémentée :

Ce modèle a les caractéristiques suivantes :

Ici le terminal CE travaille en tant que serveur de données, i.e. en tâches de fond tous les drivers envoie les données sur un autre ordinateur (PC serveur) qui a réellement la fonctionnalité de serveur). Dans ce cas, les données peuvent être archivées et les historiques d'alarmes et de CEL peuvent être créés, et tous les clients peuvent disposer de ces données. L'utilisation des modules comme le gestionnaire de groupes de recettes, la gestion de messages, le serveur SQL, les tendances étendues, etc. est alors possible.

D'un autre coté, le terminal CE est l'un de ces clients et reçoit aussi les données en ligne, les synoptiques et les textes d'alarmes et autres depuis le serveur.

Dans le cas où une panne surviendrait sur le serveur, le terminal CE gère les alarmes et le CEL.

attention Attention

Le terminal CE ne sauvegarde pas les entrées d'alarmes et du CEL tant que le serveur n'est pas opérationnel.

Les modules non supportés par CE ne fonctionneront pas. Vous devez vous assurer qu'aucune données d'archives ne sont enregistrées sur le terminal CE. Le terminal CE ne supporte pas les clients connectés avec des données. Les clients indiquent les problèmes de communication avec un carré bleu.

Comme dans le cas de redondance sur le réseau (serveur et serveur redondant), ici aussi, le serveur primaire est dominant, c'est à dire que lors du démarrage du serveur sur le PC, le terminal CE rebascule automatiquement en tant que serveur redondant et fonctionne à nouveau en serveur de données. Les données des drivers comme par exemple les données HDD sont synchronisées. Le serveur utilise les dernières listes valides d'alarmes et du CEL et les envoie à tous les clients (au serveur de données aussi). Le module d'archive sur le serveur sur le PC peut à nouveau archiver et les autres clients se synchronisent avec le serveur et y récupère les données. La synchronisation des drivers système et mathématique ne marche que partiellement pour des raisons techniques.

Si le serveur de données tombe en panne, le problème de communication est indiqué avec un carré rouge sur les éléments graphiques sur le serveur et tous les clients. Le serveur ne va pas se connecter directement à l'automate !

Cette configuration peut aussi être utilisée de façon universelle dans un réseau de PCs, par exemple, lors de l'utilisation d'un PC peu performant sur la machine qui a la connexion avec les données du procédé. L'archivage des données n'a toutefois pas lieu sur ce PC, mais sur un serveur zenon qui agit en tant que serveur véritable sur le réseau.

Conclusion : Si le serveur de données tombe en panne, il n'y a pas de communication avec l'automate. Tous les clients indiquent les valeurs en défaut et aucune donnée n'est archivée. Si le serveur tombe en panne, dans ce cas aussi il n'y a pas d'archivage. Pendant tout le temps de la panne, il n'y a pas de donnée archivée. Si le serveur tombe en panne, le serveur de données prend en charge la gestion des alarmes mais les alarmes qui apparaissent ou disparaissent pendant ce temps ne seront pas prises en compte par le serveur.

Définir le concept de serveur de données en pratique :

Le développement est fait sur le PC et les fichiers Runtime créés sont transférés sur le serveur et le terminal CE avec le Transport à distance. Tous les cliebts (le serveur de données se comporte comme un client) sont automatiquement mis à jour si le projet est modifié.

attention Attention

Dans la configuration du projet le nom du PC doit être entré dans la propriété "Serveur", le nom du terminal CE est saisi dans la propriété "Serveur redondant". En plus la propriété "Redondant en serveur de données" doit être activée.

L'option "Projet Windows CE" n'a pas a être activée. Ainsi, la totalité des fonctionnalités de zenon est disponible pour le projet. Comme les fonctionnalités sont limités sur CE, celles-ci ne seront pas exécutées sur ces plates-formes (modules et fonctions spéciales, etc.)

De façon à ne pas perturber les utilisateurs en montrant des synoptiques et des éléments sur le terminal CE qui ne seront pas opérants, la propriété dans l'éditeur "Visible sur WinCE" peut être décochée sur les synoptiques et les éléments en question. L'ingénieur qui développe le projet peut donc choisir quelle partie du projet sera visible et disponible sur Windows CE, et définir une autre partie visible uniquement sur PC (PC serveur et autres PC clients, etc...).

Autres limitations sur le serveur de données :

Le driver système et le driver mathématique sont gérés de façon particulière dans ce concept de serveur de données (et seulement dans ce cas) : Dans le concept de serveur de données, le driver système et le driver mathématique ne tournent que sur le serveur. Donc le serveur de données ne reçoiy pas de valeurs de ces drivers. Sur le serveur de données, les drivers système et mathématique ne demarre que si le serveur est arrêté. Dès que le serveur est à nouveau opérationnel, les deux drivers ne tourne à nouveau que sur le serveur. A partir de ce moment, le serveur de donnée ne reçoit plus de données des drivers système et mathématique. Donc les variables mathématiques ne marchent pas correctement dans le cadre du fonctionnement en serveur de données.

Les variables globales du driver système comme le nom des clients courants, le nombre de clients connectés, le serveur courant sont gérées par le serveur. Le serveur n'envoie pas ces variables au serveur de données. Donc le serveur de données montre le contenu local de ces variables, qui n'est pas consistant par rapport au serveur. Le système n'offre pas ces données et donc ce comportement ne peut pas être modifié.

La seule exception sont les variables locales du driver système, comme la mémoire libre, l'espace disque disponible, etc. Ces variables sont toujours mises à jour localement sur l'ordinateur.

info Info

Comme alternative au concept de serveur de donnée, depuis la version 6.0, le recouvrement de projets dans les archives peut être utilisé pour archiver des données de différents terminaux CE. Pour cela, chaque terminal CE nécessite une licence réseau et dans le projet, le terminal CE doit être défini en tant que serveur.

Sur un PC avec une licence permettant d'utiliser le module Historian, les projets CE sont ajoutés en tant que sous-projets. Dans le projet d'intégration, les variables des sous-projets sont ajoutés dans les archives. Reportez-vous au chapitre sur les archives pour plus d'information.


Connexion via le Gestionnaire pour appareils Windows Mobile

Manuels -> zenon Operator -> zenon pour Windows CE -> Connexion via le Gestionnaire pour appareils Windows Mobile

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le Gestionnaire pour appareils Windows Mobile vous permet d'établir une connexion entre un terminal CE industriel et un PC.

Autres sujets abordés dans ce chapitre

Connexion USB sous Windows 7

Mise à jour du Runtime Windows CE


Connexion USB sous Windows 7

Manuels -> zenon Operator -> zenon pour Windows CE -> Connexion via le Gestionnaire pour appareils Windows Mobile -> Connexion USB sous Windows 7

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

En cas de connexion USB entre le terminal CE et un ordinateur exécutant Windows 7 :

  1. Assurez-vous qu'une connexion à Internet puisse être établie
  2. Connectez les deux terminaux à l'aide d'un câble USB
  3. Si une connexion Internet est présente, le Gestionnaire pour appareils Windows Mobile est installé automatiquement et la connexion est établie
  4. Vous pouvez transférer les données comme expliqué au chapitre Mise à jour du Runtime Windows CE.

info Info

Si aucune connexion Internet active n'est présente au niveau de la connexion USB, l'installation et la configuration ne se déroulent pas automatiquement. Dans ce cas :

  • Établissez la connexion à Internet
  • Accédez au gestionnaire de périphériques dans le Panneau de configuration
  • Cliquez avec le bouton droit sur le périphérique inconnu
  • Sélectionnez l'option Mettre à jour le pilote logiciel
  • Windows installe les pilotes (ou drivers)
  • Windows installe l'application Windows Mobile Adapter et, avec celle-ci, le Gestionnaire pour appareils Windows Mobile


Mise à jour du Runtime Windows CE

Manuels -> zenon Operator -> zenon pour Windows CE -> Connexion via le Gestionnaire pour appareils Windows Mobile -> Mise à jour du Runtime Windows CE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour effectuer une mise à jour du Runtime Windows CE :

  • assurez-vous que le service de transport de zenon (SysSrvCE.exe) s'exécute sur le périphérique CE.
  • Assurez-vous de ne pas avoir établi une connexion à distance avec le périphérique via l'éditeur zenon.
  • Dans le menu de zenon, sélectionnez Options, puis Mise à jour du Runtime Windows CE.
  • La boîte de dialogue de transfert des fichiers de Runtime s'affiche à l'écran.
  • Configurez le lien
  • Définissez les données que vous souhaitez transférer.
  • Choisissez la version adéquate.
  • Démarrez la mise à jour.

Configurez la connexion.

Vous pouvez configurer les connexions au périphérique Windows CE dans l'onglet Connexion.

Paramètre | Description
Série | Paramètres de connexion série avec le périphérique Windows CE ; sélectionnez un port.
TCP/IP | Paramètres de connexion TCP/IP au périphérique Windows CE.
Adresse | Adresse IP.
Nom | Nom.
Syssrvce.exe starts with these settings (Syssrvce.exe démarre avec ces paramètres) | Paramètres de démarrage de syssrvce.exe.
Série | Actif : Connexion série sélectionnée ; vous devez sélectionner le port.
TCP/IP | Actif : Connexion TCP/IP sélectionnée.
Connection with MS ActiveSync (Connexion à MS ActiveSync) | Paramètres de la connexion via MS ActiveSync
Use MS ActiveSync for initial transport of syssrvce.exe (Utiliser MS ActiveSync pour le transport initial de syssrvce.exe) | Actif : syssrvce.exe est transféré durant le premier transport via MS ActiveSync.
Destination folder (Dossier de destination) | Dossier cible.
Aide | Ouvre l'aide en ligne
Enregistrer | Enregistre toutes les modifications.
Quitter | Ferme l'outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Définissez les fichiers que vous souhaitez transférer.

Paramètre | Description
Files to update (Fichiers à mettre à jour) | Fichiers à transférer.
HMI Runtime (Runtime IHM) | Actif : Transfère les fichiers zenon vers le périphérique cible. Par défaut : active
PLC Runtime (Runtime de l'automate) | Actif : Transfère les fichiers zenon Logic vers le périphérique cible. Par défaut : Inactive
OS system files (Fichiers système du système d'exploitation) | Actif : Transfère les fichiers nécessaires au système d'exploitation. Par défaut : active
Update zenon6.ini (Mettre à jour zenon6.ini) | Transfère zenon6.ini vers le périphérique cible. Ceci permet également de modifier les informations concernant la licence du périphérique cible.
Options |
Langue | Langue du système cible. Par défaut : anglais.
HMI drivers (Drivers IHM) | Sélectionnez les drivers IHM que vous souhaitez transférer.
Disponible | Liste des drivers disponibles.
Selected (Sélectionnés) | Liste des drivers sélectionnés.
Ajouter | Ajoute les drivers choisis à la liste des drivers sélectionnés.
Ajouter tout | Ajoute tous les drivers à la liste des drivers sélectionnés.
Supprimer | Supprime les drivers sélectionnés de la liste des drivers sélectionnés.
Supprimer tout | Supprime tous les drivers de la liste des drivers sélectionnés.
Aide | Ouvre l'aide en ligne
Enregistrer | Enregistre toutes les modifications.
Quitter | Ferme l'outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Select version (Sélectionnez la version)

Sélectionnez la version adéquate dans l'onglet Versions, si celle-ci n'a pas été automatiquement reconnue.

Paramètre | Description
WinCE version (Version WinCE) | Version du système d'exploitation Windows CE installé sur le périphérique cible. Cliquez sur le type de fonction pour ouvrir une liste déroulante de sélection.
Processor type (Type de processeur) | Processeur de l'équipement.
Source path (Chemin source) | Chemin du dossier contenant les fichiers. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un dossier.
Nouveau | Insère une nouvelle entrée vide dans la liste.
Supprimer | Supprime l'entrée sélectionnée de la liste.
Test | Contrôle les paramètres.
Aide | Ouvre l'aide en ligne
Enregistrer | Enregistre toutes les modifications.
Quitter | Ferme l'outil UpdateCE et affiche un message vous invitant à enregistrer les modifications non sauvegardées.

Démarrer la mise à jour

Pour établir une connexion :

  • Cliquez sur le bouton Démarrer de l'onglet Mise à jour.

  • Les données transférées sont contrôlées et affichées dans une fenêtre.
  • Démarrez le transfert vers le périphérique cible en cliquant sur le bouton Suivant .

Si le transfert ne peut pas démarrer parce que certains fichiers sont manquants, un message d'erreur contenant la liste des fichiers manquants s'affiche à l'écran :

  • Si vous voyez s'afficher le message d'erreur "The current update was not completed" (La mise à jour actuelle n'a pas été terminée), la mise à jour a été interrompue ou n'a pas été exécutée correctement.

info Info

Si vous voulez remplacer zenVNCServer.exe par le biais d'une mise à jour, le programme se termine et redémarre après la mise à jour. Pour cela, le fichier zenVNCSrvCE.exe doit contenir

l'entrée suivant dans le fichier UpdateCE.ini, à la section [SOURCES_FILES_GENERAL] (existe par défaut) :

  • zenVNCSrvCE.exe
  • zenVNCCfgCE.exe


Gestionnaire de groupes de recettes

Manuels -> zenon Operator -> zenon pour Windows CE -> Gestionnaire de groupes de recettes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser le gestionnaire de groupes de recettes sous Windows CE, les données du gestionnaire de groupes de recettes doivent être sauvegardées dans la base de données MS Access. Pour Windows CE, les données sont enregistrées au format binaire, sous forme de fichier.

Dans Propriétés du projet -> - Général, si vous cochez la case Projet WindowsCE, les données du module RGM sont automatiquement enregistrées au format binaire.
Vous pouvez définir l'enregistrement des données au format binaire manuellement, indépendamment du projet CE, en sélectionnant
Propriétés du groupe de recettes -> Groupes de recettes -> - -> Fichiers binaires (compatibles CE).

attention Attention

Aucune fonction de conversion d'une base de données MS Access vers le format binaire ou inversement n'est prévue.

Les données existantes du module RGM ne sont pas converties ! Si nécessaire, vous devez exporter les données au format XML avant leur conversion. Vous pouvez ensuite convertir le projet et importer les données dans le nouveau stockage de données.

Modification de la base de données

Si, pour le module RGM, vous avez sélectionné la base de données MS ACCESS DB dans la propriété -, puis coché la case Projet WindowsCE, un conseil relatif à la conversion s'affiche :

Pour conserver les données de la base de données actuelle :

  1. Exportez les données au format XML
  2. Convertissez la base de données
  3. Importez le fichier XML

Boîte de dialogue de filtre dans le Runtime

Si vous activez la propriété Avec dial. de filtre dans les options de la liste de valeurs de la recette lors de l'appel de synoptique, des options limitées sont disponibles sous Windows CE :

  • Filtres recette
  • Paramètres des colonnes (pour la table de recettes)

Les options Sélection recette, Equipment modeling (Modélisation d'équipements) et les paramètres des colonnes de la liste de recettes ne sont pas disponibles.

Projets multi-utilisateurs

Dans les projets multi-utilisateurs, vous pouvez exporter indépendamment les données binaires et la base de données MS Access.

Dans la fenêtre Traitement en cours, l'état du type de stockage défini sur cet ordinateur est affiché. Si des fichiers binaires sont utilisés, vous ne pourrez pas voir si la base de données Access a également été exportée.

Dans ce cas, le scénario suivant est possible :

  • Sur le PC A, la base de données Access est exportée
  • Sur le PC B, le projet Windows CE est activé, et donc converti en données binaires
  • Sur le PC B, les fichiers binaires sont exportés
  • Sur le PC B, les modifications sont appliquées, puis synchronisées avec le PC A
  • Les données du PC A sont alors également converties en fichiers binaires
  • La base de données reste toutefois extraite sur le PC A
  • Il n'y a que lorsque le PC B convertit à nouveau les données sous forme de base de données Access que vous pourrez voir que la base de données Access est extraite sur le PC A


Transparence

Manuels -> zenon Operator -> zenon pour Windows CE -> Transparence

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Sous Windows CE, les fichiers GIF peuvent être affichés de manière transparente. Contrairement à cela, le paramètre de transparence des fonctions graphiques étendues n'est pas disponible dans Windows CE.

Pour afficher un fichier GIF transparent sous Windows CE :

  • Le fichier IMGDECEMP.dll doit être disponible sur le périphérique cible.
    Si le fichier est manquant, vous pouvez le demander via support@copadata.com.
  • La transparence peut être réglée à 0 % ou 100 %. Aucune valeur intermédiaire n'est possible.

info Info

La transparence des fichiers entre 0 % et 100 % dans Windows CE ne dépend pas de zenon. Elle peut toutefois être utilisée dans certains cas :

  • Si zenon version 6.22 SP1 (ou une version ultérieure) n'est pas utilisé.
  • Si la fonction Alpha blending a déjà été déployée par le fabricant du périphérique cible ; COPA-DATA n'offre aucune prise en charge de cette fonction.


Pocket PC et Windows Mobile Edition

Manuels -> zenon Operator -> zenon pour Windows CE -> Pocket PC et Windows Mobile Edition

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si vous quittez zenon avec X sur un Pocket PC ou sur une plate-forme Windows Mobile, notez que l'application ne se termine pas mais tourne en tâche de fond.

Pour éviter de démarrer un nouveau Runtime de zenon sur votre plate-forme, nous avons créé l'outil Start_CERT.exe, qui met l'application en avant-plan si elle est déjà en train de tourner et sinon, démarre le Runtime normalement.

Nous recommandons de démarrer le Runtime sur un Pocket PC ou sur une plate-forme Windows Mobile en utilisant Start_CERT.exe au lieu d'utilliser un lien direct.

Remarque : Pocket PC ne sera plus pris en charge à partir des versions 7 et suivantes de zenon.


zenon - Projet de démonstration

Manuels -> zenon - Projet de démonstration

Par défaut, un projet de démonstration est installé avec zenon. Ce projet contient plusieurs sous-projets permettant de démontrer l'utilité de zenon dans différents secteurs :

  • Automobile
  • Énergie
  • Infrastructure
  • Gestion de bâtiments
  • Produits alimentaires et boissons
  • Industrie pharmaceutique

Le projet de démonstration est chargé automatiquement lors du premier démarrage de l'Éditeur zenon. Le projet DEMO_INTEGRATION est préalablement configuré sous forme de projet de départ. Pour démarrer le projet dans le Runtime, appuyez sur la touche F5 dans l'Éditeur. Le projet d'intégration est ouvert dans le Runtime.

Autres sujets abordés dans ce chapitre

Projet d'intégration

Automobile

Énergie

Infrastructure

Gestion de bâtiments

Produits alimentaires et boissons

Industrie pharmaceutique


Projet d'intégration

Manuels -> zenon - Projet de démonstration -> Projet d'intégration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le projet d'intégration contient une sélection de sous-projets que vous pouvez lancer depuis ce synoptique. Le projet est compatible avec la fonction de changement de langues. Le projet est démarré dans la langue de l'Éditeur. Pour changer de langue, cliquez sur le bouton Système, puis sélectionnez la langue souhaitée.

Vue d'ensemble et fonctionnement

L'écran de démarrage comporte des éléments de navigation et une vue d'ensemble des différents secteurs industriels :

  • Automobile
  • Énergie
  • Infrastructure
  • Gestion de bâtiments
  • Produits alimentaires et boissons
  • Industrie pharmaceutique

Remarque : Dans ce projet d'intégration, les éléments Énergie, Infrastructure et Gestion de bâtiments sont associés dans la navigation.

Paramètres

Description

Logo

Dans ce cas, il s'agit du logo du produit zenon Supervisor. Il peut être remplacé par le logo de votre choix.

Une fonction est attribuée au logo, permettant de charger le projet lorsque l'utilisateur clique sur le logo. Lors de l'actualisation, les modifications réalisées dans l'Éditeur depuis le démarrage du Runtime sont transférées dans le projet en cours d'exécution.

Accueil de l'utilisateur

Utilisateur est le nom de l'utilisateur actuellement connecté. Pour se connecter avec un nom et des autorisations différents, cliquez sur le bouton Connexion/Déconnexion, en bas à droite de l'écran.

Sous-projets

Les sous-projets sont affichés dans six sections de l'écran. Pour démarrer un sous-projet :

  • Cliquez sur un lien d'affichage des détails
    Ou
  • Cliquez sur l'un des boutons de navigation sous le lien d'affichage des détails.

Barre de navigation

Permet de basculer vers d'autres projets, d'accéder aux informations du système et à l'écran de connexion et d'arrêter le Runtime :

  • Accueil :
    Bascule vers l'écran de démarrage du sous-projet sélectionné.
  • [Projet] :
    Ouvre le projet correspondant. Attribué aux synoptiques d'un projet compris dans le projet.
  • Système :
    Affiche un écran permettant d'accéder aux informations du système et à la fonction de changement langue.
  • Connexion/Déconnexion :
    Ouvre la boîte de dialogue de connexion d'un utilisateur.
  • Quitter :
    ferme le Runtime.

Autres sujets abordés dans ce chapitre

Système

Connexion de l'utilisateur


Système

Manuels -> zenon - Projet de démonstration -> Projet d'intégration -> Système

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez sur le bouton Système pour ouvrir une boîte de dialogue dans laquelle vous pouvez :

  • Consulter des informations générales concernant les variables des drivers du système :
    • Nom de l'ordinateur
    • Version des fichiers du Runtime
    • Version du projet
    • Durée d'inactivité
    • Capacité mémoire utilisée
  • Modifier le jeu de couleurs, grâce à la technologie Chameleon
  • Sélectionner la langue


Connexion de l'utilisateur

Manuels -> zenon - Projet de démonstration -> Projet d'intégration -> Connexion de l'utilisateur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cliquez sur le bouton Connexion/Déconnexion pour ouvrir une boîte de dialogue dans laquelle vous pouvez vous connecter en tant qu'utilisateur. L'utilisateur appelé Utilisateur est automatiquement connecté au démarrage du Runtime.

La boîte de dialogue fournit également des informations concernant les autres noms d'utilisateurs et mots de passe, pour vous permettre de découvrir le Runtime avec différents rôles et différentes autorisations.

Accès aux données du projet de démonstration :

Tenez compte de la capitalisation.

Identifiant utilisateur | Mot de passe
Utilisateur | Utilisateur
Opérateur | Opérateur
Responsable | Responsable


Automobile

Manuels -> zenon - Projet de démonstration -> Automobile

Ce projet comporte un projet automobile habituel, avec les synoptiques suivants :

  • Alarmes
  • Événements
  • Tendances
  • Rapports
  • Chiffres essentiels
  • Équipements

La barre verte affichée en haut à gauche de l'écran indique votre emplacement actuel et vous permet d'accéder facilement au point de départ.

Bouton | Description
Liste d'alarmes : | Affiche les alarmes actuelles. Celles-ci peuvent être filtrées pour offrir une meilleure visibilité. Certaines vues filtrées sont déjà prédéfinies dans un sous-menu. Les alarmes peuvent également être acquittées ici. Le bouton Statistiques des alarmes affiche un écran du module Industrial Performance Analyzer.
Liste d'événements : | Affiche les entrées dans la Liste chronologique d'événements. Certaines sont déjà définies dans un sous-menu.
Tendance : | Fournit différentes évaluations. Certains éléments sont déjà définis dans un sous-menu.
Rapport : | Fournit des rapports pouvant être affichés au format RDL dans le module Report Viewer. Certains éléments sont déjà définis dans un sous-menu.
Chiffres essentiels : | Affiche les indicateurs de performances (pilote mathématique) et le déploiement de S7. Certains éléments sont déjà définis dans un sous-menu.
Équipements : | Fournit une vue d'ensemble du site. Offre la fonction Vue globale intégrée, ainsi que des fonctions de zoom et de défilement pour interfaces MultiTouch.


Énergie

Manuels -> zenon - Projet de démonstration -> Énergie

Dans ce projet, vous pouvez voir des modèles d'applications issues du secteur de l'énergie.

La barre verte affichée en haut à gauche de l'écran indique votre emplacement actuel et vous permet d'accéder facilement au point de départ.

Bouton

Description

Vent

Affiche un parc éolien.

  • Turbine éolienne :
    Rotation dynamique d'éléments statiques avec affichage de différentes valeurs.
  • Parc éolien :
    Synoptique Vue globale avec mécanisme de désencombrement ; les turbines éoliennes sont affichées lorsque l'utilisateur effectue un zoom.
  • Rapport de turbines :
    En s'appuyant sur le module Report Viewer, ce rapport affiche la production des turbines sous forme de graphique à barres, et affiche l'énergie produite sous forme de tendance.
  • Rapport de parc éolien :
    Rapports provenant du module Report Generator et affichage de l'utilisation sous forme de graphique à barres.

Hydro PP

Affiche une centrale hydroélectrique.

  • HPP_M1 :
    Simulation de différents modes énergétiques, tels que les modes Réseau électrique ou Turbine, avec affichage de leur diagramme de fréquence/production.
  • Hydro PP :
    Synoptique d'une centrale hydroélectrique avec représentation des niveaux d'eau. Utilise la technologie CAL de zenon.
  • Mise en service.
    Rassemble toutes les données importantes sur un synoptique.

Sous-station

Affichage d'une sous-station avec Vue globale et différents détails.

Répartition

Visualisation de la distribution d'électricité.


Infrastructure

Manuels -> zenon - Projet de démonstration -> Infrastructure

Le projet Infrastructure représente la circulation dans un tunnel.

La barre verte affichée en haut à gauche de l'écran indique votre emplacement actuel et vous permet d'accéder facilement au point de départ.

Cliquez avec le bouton droit sur les boutons Programme de circulation Nord ou Programme de circulation Sud pour afficher un menu contextuel permettant de basculer entre les modes Arrêt, Lent et Normal.


Gestion de bâtiments

Manuels -> zenon - Projet de démonstration -> Gestion de bâtiments

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le projet de gestion de bâtiments utilise le module EMS (EMS). Celui-ci :

  • Affiche la consommation d'électricité actuelle et prévue
  • Permet d'intervenir pour maîtriser la consommation d'électricité
  • Contrôle le système de climatisation

La barre verte affichée en haut à gauche de l'écran indique votre emplacement actuel et vous permet d'accéder facilement au point de départ.

Bouton | Description
Vue EMS : | Fournit une vue d'ensemble de la consommation d'électricité, ainsi qu'un aperçu de la consommation prévue.
Équipements EMS : | Gestion des équipements pour influencer la consommation d'électricité. Deux groupes d'équipements consommateurs et un groupe électrogène diesel peuvent être commutés séparément. Vous pouvez voir les effets des actions de commutation sur l'écran Vue EMS.
Gestion de bâtiment : | Des éléments WPF sont utilisés pour le diagramme à secteurs représentant le fonctionnement de la climatisation et la consommation d'électricité.


Produits alimentaires et boissons

Manuels -> zenon - Projet de démonstration -> Produits alimentaires et boissons

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Production de produits alimentaires avec gestion de batchs, remplissage, conditionnement et pasteurisation.

La barre verte affichée en haut à gauche de l'écran indique votre emplacement actuel et vous permet d'accéder facilement au point de départ.

Vous trouverez plus d'informations concernant la gestion de batchs au chapitre Batch Control.

Bouton

Description

Production de batchs

Production de batchs avec gestion de recettes.

  • Démarrage de batchs par la sélection d'une recette principale. Une recette principale peut être exécutée sous forme de test pour être ensuite validée. Après validation, une recette de contrôle peut être créée et démarrée.
  • Selon la recette, des ingrédients doivent être ajoutés aux deux cuves. Pour cela, une boîte de dialogue contextuelle s'affiche :
  • Le remplissage des produits se déroule automatiquement après vérification de la valeur de pH.

Sous-menu :

  • Contrôle de procédé :
    Contrôle de la production de batchs.
  • Gestion de recette :
    Créez et modifiez des recettes principales et des recettes de contrôle.
    Différentes recettes peuvent être créées avec différents ingrédients. Deux éditeurs sont disponibles à cette fin.
  • Liste d'événements :
    Affichage des entrées importantes de la liste CEL durant le procédé de traitement de batch.
  • Tendance des batchs:
    Synoptique de tendance configuré pour le procédé de traitement de batch, affichant l'ensemble du procédé de traitement de batch à l'aide de diagrammes de Gantt et autres.
  • Rapport de batchs :
    Rapports relatifs à la production de batchs.

Ligne de conditionnement :

Affichage d'une ligne de conditionnement avec modification dynamique des couleurs en fonction de l'état des procédés, affichage des chiffres essentiels OEE associés et contrôle de la simulation.

La simulation inclut notamment :

  • Démarrage
  • Production
  • Diminution de la production

La simulation démarre en même temps que le Runtime ; dans ce cas, une phase de démarrage initiale est d'abord réalisée. La phase de production se répète jusqu'à ce que la simulation se termine par la diminution de la production du système de surveillance de la ligne de conditionnement. La simulation redémarre automatiquement avec un nouveau batch.

  • Les affichages Tendances, Alarmes et OEE fournissent les valeurs les plus importantes dans le cadre du procédé en cours sur la ligne de production.
  • Le rapport d'alarmes fournit une évaluation graphique des alarmes qui se sont déclenchées durant l'ensemble de la phase de production.

Machine de remplissage

Les informations d'état offrent une vision détaillée des valeurs de la simulation sur la base des données de la machine de remplissage.

  • Le modèle d'état est dérivé du modèle d'état Weihenstephan. Il représente l'état de fonctionnement actuel de la machine de remplissage.
  • Le Gestionnaire de groupes de recettes permet de gérer les recettes comportant des variables de sauvegarde et de contrôler les recettes.
  • La liste CEL affiche les événements filtrés pour la machine de remplissage, tandis que le rapport de consommation fournit des rapports concernant la production et la consommation de ressources.

Pasteurisateur
  • Affichage des températures sous forme d'éléments WPF. Si le système de simulation est désactivé, il est possible de sélectionner manuellement les trois modes (Arrêt, CIP et Pasteurisation) disponibles.
  • Il est possible de basculer entre les unités Celsius et Fahrenheit à l'aide de la fonction de changement d'unités.
  • Les éléments Tendance, Liste CEL et Liste d'alarmes affichent les valeurs en ligne et les données historiques aux fins de la surveillance des valeurs de procédé des machines.
  • Le module Report Generator rassemble toutes les données importantes provenant de la machine.


Industrie pharmaceutique

Manuels -> zenon - Projet de démonstration -> Industrie pharmaceutique

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Fabrication de produits pharmaceutiques avec procédé de traitement de batchs.

La barre verte affichée en haut à gauche de l'écran indique votre emplacement actuel et vous permet d'accéder facilement au point de départ.

Vous trouverez plus d'informations concernant la gestion de batchs au chapitre Batch Control.

Bouton

Description

Procédé
  • Démarrage d'un procédé de traitement de batch après sélection de la recette de batch souhaitée.
  • Démarrage d'un batch et saisie d'une signature, conformément à la norme FDA. (pour l'utilisateur Utilisateur, le mot de passe est Utilisateur). Pour d'autres utilisateurs, voir Connexion des utilisateurs.)
  • L'utilisateur doit ajouter manuellement les ingrédients du Réacteur principal 2 durant le procédé de traitement de batch. Pour cela, l'ingrédient et la quantité requise doivent être spécifiés manuellement, à l'aide du système de dosage.
  • Il est possible de créer des alarmes manuelles en cliquant sur le moteur du réacteur ou du mélangeur conique.
  • Les températures, les pressions et la vitesse de mélange peuvent être affichés et analysés à l'aide des synoptiques de tendance.
  • Le batch est automatiquement terminé après acceptation du batch.
  • Le rapport affiche l'ensemble du procédé de traitement de batch de la recette sélectionnée.

CIP – CIP RGM
  • Sélectionnez le groupe de recettes souhaité pour afficher la liste des recettes qu'il contient.
  • La liste de recettes contient l'état et la version de toutes les recettes de ce groupe de recettes. Les recettes peuvent être triées et filtrées, ce qui facilite et accélère leur sélection.
  • Dès qu'une recette est sélectionnée, elle peut être chargée ou modifiée, selon le niveau d'autorisation requis.
  • La liste de valeurs de la recette affiche les variables dépendantes de la recette, ainsi que les valeurs des variables associées pour cette recette.
  • Les valeurs de la recette sélectionnée peuvent être affichées directement dans la fenêtre du procédé. Le bouton Lire à partir de la recette affiche la valeur dans le procédé. Le bouton Écrire dans la recette modifie la recette sélectionnée avec les valeurs modifiées.
  • Chargez la recette, puis cliquez sur Démarrer CIP sur le synoptique CIP.

Filtre combiné
  • Possibilité de filtrage global de la Liste d'alarmes, de la Liste chronologique d'événements et du synoptique de tendance.


zenon Science Package for Lego MINDSTORMS 2.0

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0

L'application zenon Science Package for LEGO MINDSTORMS 2.0 autorise la programmation d'objets LEGO Mindstorms NXT 2.0. Les programmes sont créés dans zenon Logic et exécutés sur le contrôleur LEGO avec <CA_PROD_EMBEDDED>. zenon Logic est l'environnement de programmation conforme au standard IEC 61131-3 inclus dans zenon.

Ces instructions vous guideront tout au long de l'installation et la programmation de l'automatisation d'un objet LEGO Mindstorms NXT 2.0 avec zenon. Seules les informations relatives à l'utilisation de <CA_PROD_EMBEDDED> sont contenues dans cette documentation. Vous trouverez des informations élémentaires concernant la programmation et le fonctionnement des objets LEGO MINDSTORMS NXT 2.0 dans la documentation LEGO.

tutorial Informations concernant la licence

Si zenon Science Package for LEGO MINDSTORMS 2.0 est utilisé sur un système :

  • Ne contenant pas encore une installation de zenon, il s'exécutera avec une licence zenon Science Package limitée
  • Contenant déjà une installation de zenon, il s'exécutera avec la licence existante de zenon

Tous les logiciels requis sont présents sur le DVD intitulé zenon Science Package for LEGO MINDSTORMS 2.0. Cette application ne contient aucun matériel, composant ou contrôle de LEGO.

Pour configurer le matériel LEGO avec zenon, utilisez les logiciels suivants :

  • zenon : logiciel de surveillance et de contrôle contenant le zenon Logic intégré.
  • Espace de travail zenon Logic : environnement de programmation des programmes s'exécutant sur le firmware intégré <CA_PROD_EMBEDDED>.
  • <CA_PROD_EMBEDDED>: Firmware du contrôleur LEGO

Vous trouverez toutes les applications et informations requises sur le support d'installation. Elles doivent également se trouver dans le dossier de zenon, sur votre ordinateur. Les dossiers les plus importants sont les suivants :

  • FIRMWARE : ce dossier contient le firmware que vous pouvez charger sur votre contrôleur LEGO MINDSTORMS NXT 2.0, à l'aide de l'outil LEGO Firmware Loader. Vous trouvez plus de détails au chapitre Installation de firmware.
  • USB_DRIVER: ce dossier contient le fichier INF du driver USB-série.

info Info

LEGO®, MINDSTORMS® et NXT sont des marques de commerce de la société LEGO.

Autres sujets abordés dans ce chapitre

Installation

Créez une connexion entre zenon Logic et <CA_PROD_EMBEDDED>

Développement d'applications <CA_PROD_EMBEDDED> pour NXT

Connexion du Runtime de MINDSTORMS 2.0 à zenon

Questions et réponses

Utilisation de variables complexes


Installation

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour utiliser zenon Science Package for LEGO, vous devez disposer des éléments suivants :

  • zenon, versions 7.00 SP0 et ultérieures
  • Firmware du contrôleur LEGO

Si vous avez déjà installé zenon 7.00 ou une version ultérieure sur votre ordinateur, vous disposez déjà d'une licence d'utilisation de zenon Science Package for LEGO. Si vous n'avez pas encore installé zenon, installez la version de zenon fournie sur le DVD. Celle-ci comporte une licence d'utilisation limitée de LEGO MINDSTORMS 2.0.

Autres sujets abordés dans ce chapitre

Installation de zenon

Projets de démonstration

Installation de firmware

Utilisation de firmwares existants

Établissement d'une connexion Bluetooth avec le contrôleur


Installation de zenon

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation -> Installation de zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour installer la version actuelle de zenon :

  1. Exécutez le DVD
  2. Sélectionnez zenon 8.2
  3. Suivez les instructions de l'assistant d'installation

Remarque : si vous avez déjà installé zenon version 7.00 ou une version ultérieure, aucune installation n'est requise.

Autres sujets abordés dans ce chapitre

Licence de zenon Science Package


Licence de zenon Science Package

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation -> Installation de zenon -> Licence de zenon Science Package

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

La licence de zenon Science Package for LEGO MINDSTORMS 2.0 est contenue dans la licence standard de zenon. Si cette version est installée sur un système non équipé de zenon, elle s'exécutera avec une licence de zenon Science Package. Cette licence permet également de créer et d'éditer des projets zenon dans les limites des modules comportant une licence.

Cette licence contient :

  • 128 variables
  • Version 'Starter Edition' des tendances étendues
  • Serveur d'archives, version Starter Edition
  • VBA
  • Espace de travail zenon Logic
  • Le firmware <CA_PROD_EMBEDDED>

Remarque : cette licence comporte une durée d'exécution de 90 minutes. L'Éditeur doit ensuite être fermé, puis redémarré.


Projets de démonstration

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation -> Projets de démonstration

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Deux projets de démonstration sont inclus sur le DVD d'installation :

  • MINDSTORMS_DEMO: fournit un aperçu des capteurs et du contrôleur. Utilisez ce projet pour vous familiariser avec LEGO MINDSTORMS 2.0 et sa programmation.
  • LEGO_DEMO_SHOOTERBOT: un exemple de projet pour le modèle Shooterbot. Vous pouvez personnaliser ce projet selon vos besoins.

Lorsque vous installez l'Éditeur depuis le DVD, le projet de démonstration est copié dans l'espace de travail. Si vous utilisez une installation existante de zenon, vous trouverez les projets de démonstration sur le DVD, dans le dossier Science Workspace. Chargez l'espace de travail contenant les deux projets dans zenon. Pour cela :

  1. Cliquez avec le bouton droit sur l'espace de travail actuel.
  2. Dans le menu contextuel de l'espace de travail, sélectionnez Read backup... (Lire une sauvegarde...).
  3. Accédez à la sauvegarde de l'espace de travail sur le DVD (*.wsb).
  4. Sélectionnez le fichier, puis cliquez sur OK.

Pour ouvrir des projets :

  1. Dans l'espace de travail, accédez au nœud zenon Logic (IEC 61131-3).
  2. Sélectionnez le nœud en cliquant dessus avec le bouton gauche.
  3. Sélectionnez le projet mindstorms.
  4. Cliquez sur le symbole Ouvrir dans la barre d'outils, ou double-cliquez sur le projet pour l'ouvrir dans l'espace de travail de zenon Logic.


Installation de firmware

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation -> Installation de firmware

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour pouvoir utiliser votre système LEGO MINDSTORMS 2.0 avec zenon, vous devez charger le firmware <CA_PROD_EMBEDDED> sur le contrôleur. Ce chapitre vous indique comment :

  • Charger le firmware de <CA_PROD_EMBEDDED> sur le contrôleur
  • Mettre à jour un firmware existant de <CA_PROD_EMBEDDED> ou remplacer un firmware existant
  • Établir une connexion USB avec le contrôleur, à l'aide du driver USB de COPA-DATA
  • Établir une connexion Bluetooth avec le contrôleur

Charger le firmware de <CA_PROD_EMBEDDED> sur le contrôleur

Pour charger le firmware de <CA_PROD_EMBEDDED> sur le contrôleur LEGO MINDSTORMS NXT 2.0, vous devez utiliser le logiciel LEGO MINDSTORMS NXT 2.0, fourni avec votre contrôleur LEGO MINDSTORMS NXT 2.0.

attention Attention

Si le contrôleur comporte déjà un firmware différent de celui fourni par LEGO, veuillez procéder conformément aux indications de la section Utilisation de firmwares existants.

Pour charger le firmware :

  1. Démarrez le logiciel LEGO MINDSTORMS NXT 2.0.
  2. Dans le menu Outils, sélectionnez Update NXT Firmware (Mettre à jour le firmware NXT).

  3. Assurez-vous d'utiliser le format correct : *.rfw.
    Si le fichier se termine encore par *.bin, modifiez l'extension en *.rfw.
    Le fichier doit être nommé STRATON_NXT_100_2011_0414.rfw (ou un nom semblable).
  4. Cliquez sur le bouton Parcourir.
  5. Sélectionnez le dossier contenant le firmware.

  6. Démarrez le contrôleur NXT.
    Pour cela, appuyez sur le bouton orange.
  7. Connectez le contrôleur à l'ordinateur par le biais du port USB.
  8. Cliquez sur le bouton Télécharger pour charger le firmware sur le contrôleur.

  9. Débranchez le câble USB.
  10. Le contrôleur démarre avec le firmware mis à jour.

info Info

Pour effectuer ultérieurement la mise à jour du firmware de <CA_PROD_EMBEDDED> ou pour remplacer le firmware par un firmware LEGO, suivez les instructions fournies à la section Utilisation de firmwares existants.


Utilisation de firmwares existants

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation -> Utilisation de firmwares existants

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si un firmware non fourni par LEGO est déjà présent sur le contrôleur, celui-ci doit être configuré en mode de chargement de firmware pour autoriser l'installation d'un autre firmware. Ce mode est également nécessaire si le firmware de <CA_PROD_EMBEDDED> doit être mis à jour ou le firmware LEGO doit être chargé à nouveau. Pour configurer le contrôleur en mode de chargement de firmware :

  1. Pendant 5 secondes, jusqu'à ce que vous entendiez un "clic",
    • appuyez sur le bouton de démarrage orange et
    • le bouton Reset (Réinitialisation) situé à l'arrière de l'équipement.
      Utilisez un objet pointu pour accéder au bouton Reset (Réinitialisation).

  2. Mettez le contrôleur NXT sous tension en appuyant sur le bouton orange.

  3. Le contrôleur NXT démarre en mode de chargement de firmware . Un son régulier retentit.
  4. Démarrez le téléchargement du firmware souhaité.
    Pour cela, vous devez établir une connexion USB ou Bluetooth. Pour établir une connexion USB avec zenon/<CA_PROD_EMBEDDED>, vous devez utiliser le driver de COPA-DATA.

attention Attention

Le mode de chargement de firmware peut uniquement être fermé par le téléchargement d'un firmware.

Autres sujets abordés dans ce chapitre

Connexion USB sans firmware LEGO


Connexion USB sans firmware LEGO

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation -> Utilisation de firmwares existants -> Connexion USB sans firmware LEGO

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si le firmware appliqué n'est pas fourni par LEGO, le driver correspondant devra probablement être installé. Dans ce cas, le contrôleur USB n'est pas reconnu durant la connexion avec l'ordinateur. Pour établir une connexion USB :

  1. Sélectionnez Panneau de configuration -> Système -> Gestionnaire de périphériques.
  2. Double-cliquez sur Périphérique inconnu.
  3. Sur l'onglet Pilote, cliquez sur Mettre à jour le pilote.
  4. La boîte de dialogue de sélection du pilote (ou driver) s'affiche à l'écran.
  5. Sélectionnez Search the computer for driver software (Rechercher un driver sur l'ordinateur).
  6. Sélectionnez le dossier contenant le fichier Mindstorm_straton.inf.
  7. Un avertissement concernant le fabricant du driver s'affiche à l'écran.
  8. Sélectionnez Install driver nevertheless (Installer le driver malgré tout).
  9. Le périphérique peut maintenant communiquer par le biais du port USB.


Établissement d'une connexion Bluetooth avec le contrôleur

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Installation -> Établissement d'une connexion Bluetooth avec le contrôleur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si l'ordinateur est équipé d'un port Bluetooth, la connexion avec le contrôleur peut également être établie via Bluetooth. Pour configurer la fonction Bluetooth pour la connexion entre l'ordinateur et le contrôleur :

  1. Mettez le contrôleur LEGO sous tension en appuyant sur le bouton orange.

  2. Appuyez à nouveau sur le bouton orange.
  3. Sélectionnez Settings en appuyant sur le bouton gris clair.

  4. Confirmez votre sélection en appuyant sur le bouton orange.
  5. Accédez au menu des paramètres Bluetooth en appuyant sur les boutons gris.
    1. Activez la fonction Bluetooth.
    2. Donnez un nom à la connexion Bluetooth.
    3. Définissez l'état de la connexion Bluetooth sur visible.
    4. Quittez le menu Bluetooth en appuyant sur le bouton gris foncé.
  6. Accédez au menu Connections.
  7. Sélectionnez l'option Bluetooth en appuyant sur les boutons gris.
  8. Le contrôleur est désormais accessible via la connexion Bluetooth.
  9. Ouvrez le gestionnaire de périphériques Bluetooth sur l'ordinateur.
    1. Sélectionnez Ajout de périphérique.
    2. Windows recherche alors les équipements Bluetooth visibles.
    3. Sélectionnez le contrôleur MINDSTORMS NXT dans la liste, puis cliquez sur Suivant.
    4. Le contrôleur MINDSTORM demande un mot de passe pour établir la connexion :
      Nous vous recommandons d'utiliser 1234_. Confirmez le mot de passe en appuyant sur le bouton orange.
    5. Le mot de passe défini dans le contrôleur MINDSTORMS 2.0 doit également être saisi sur l'ordinateur.
    6. Cliquez sur Suivant.
  10. La connexion est établie et les drivers sont installés.
  11. Double-cliquez sur l'équipement Bluetooth créé.
    L'équipement installé et le port COM attribué à celui-ci sont affichés. Connectez l'espace de travail de zenon Logic à ce port COM, ou connectez zenon au driver stratonNG. Pour configurer le port :
    1. Cliquez sur les propriétés.
    2. Cliquez sur le bouton Avancé.
    3. Modifiez le numéro de port en fonction de vos spécifications.


Créez une connexion entre zenon Logic et <CA_PROD_EMBEDDED>

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Créez une connexion entre zenon Logic et

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer une connexion entre zenon Logic et <CA_PROD_EMBEDDED> :

  1. Démarrez zenon. Le projet MINDSTORMS est ouvert.
    Si vous souhaitez ouvrir un autre projet ou espace de travail, ouvrez l'espace de travail du projet par le biais du menu contextuel de l'espace de travail.
    Si vous souhaitez créer un nouveau projet :
    1. Sélectionnez l'option de menu Fichier -> Nouveau projet.
    2. Créez un nouveau projet zenon Logic en cliquant avec le bouton droit sur le nœud zenon Logic et en sélectionnant ensuite, dans l'arborescence du projet, Nouveau projet zenon Logic....
  2. Ouvrez le projet zenon Logic en double-cliquant sur l'espace de travail.
  3. Dans l'espace de travail de zenon Logic, cliquez sur Outils -> Paramètres de communication.

  4. La boîte de dialogue Options contenant l'onglet Debug (Débogage) s'affiche, vous permettant de configurer la connexion.
  5. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de paramètres des communications série.

  6. Configurez les paramètres de communication série pour le contrôleur LEGO.
    Remarque : dans cette boîte de dialogue, seuls les ports COM 1 à 4 peuvent être sélectionnés. Toutefois, sur l'onglet Debug (Débogage) de la boîte de dialogue Options, vous pouvez saisir le port COM directement dans le champ Paramètres de communication.

  7. Vous configurerez ainsi la connexion entre zenon Logic et <CA_PROD_EMBEDDED>.

Autres sujets abordés dans ce chapitre

Ajout du driver NXT dans zenon Logic

Connexion du contrôleur NXT

Paramètres de base du contrôleur


Ajout du driver NXT dans zenon Logic

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Créez une connexion entre zenon Logic et -> Ajout du driver NXT dans zenon Logic

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour ajouter le driver NXT dans zenon Logic :

  1. Dans l'arborescence du projet dans l'espace de travail de zenon Logic, double-cliquez sur Configuration du bus de terrain.
  2. Dans la fenêtre des drivers d'E/S, cliquez sur le symbole ou la commande dans le menu contextuel Add configuration (Ajouter une configuration).

  3. La boîte de dialogue de configuration s'affiche à l'écran.

  4. Sélectionnez LEGO Mindstorms NXT 2.0.
  5. L'écran comporte trois sections :
    • NXT (État)
    • Drives (Lecteurs)
    • Sensors (Capteurs)

    Cliquez sur le signe plus (+) adjacent à une section pour ouvrir une sous-section. Des variables prédéfinies peuvent être facilement créées pour chacune de ces sections.

Création de variables

Créez les variables requises :

  1. Cliquez avec le bouton droit sur l'une des branches NXT, Drives (Lecteurs) ou Sensors (Capteurs).

  2. Sélectionnez Créer variable dans le menu contextuel.

Drives (Lecteurs)

Deux versions sont disponibles : Easy (Simple) et Advanced (Avancé). Pour commencer, nous vous recommandons de sélectionner l'option Easy (Simple), puis l'option Créer variable. D'autres informations concernant l'utilisation des variables avancées sont disponibles dans la section Utilisation de variables complexes.

Sensors (Capteurs)

Avant de créer une variable dans la section Sensors (Capteurs), vous devez sélectionner un type de capteur dans le champ Type. Pour cela, double-cliquez sur le champ Valeur.

Exemple de configuration :


Connexion du contrôleur NXT

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Créez une connexion entre zenon Logic et -> Connexion du contrôleur NXT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour connecter le contrôleur NXT :

  1. Sur le contrôleur, sélectionnez le type de connexion USB :
    1. Appuyez sur le bouton orange.
    2. Appuyez sur les boutons gris pour accéder au menu Settings et ouvrez-le en appuyant sur le bouton orange.
    3. Sélectionnez Connection.
    4. Sélectionnez USB.
      (Si vous souhaitez établir la connexion via Bluetooth, sélectionnez Bluetooth.)
  2. Compilez le projet zenon Logic :
    1. Cliquez avec le bouton droit sur l'entrée mindstorms dans l'arborescence du projet.
    2. Sélectionnez Compile project (Compiler le projet) dans le menu contextuel.
  3. Activez le mode en ligne :
    1. Sélectionnez l'entrée Online (En ligne) dans le menu Projet de zenon Logic.
    2. La demande de téléchargement est ouverte :

    3. Cliquez sur Oui.
  4. Le projet est maintenant en ligne, et vous pouvez consulter les relevés des valeurs des capteurs.


Paramètres de base du contrôleur

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Créez une connexion entre zenon Logic et -> Paramètres de base du contrôleur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Configuration de base

  1. Configurez les paramètres de communication (pour plus de détails, reportez-vous à la section : ) Settings).
  2. Activez ou désactivez la fonction Bluetooth (pour plus de détails, reportez-vous à la section : ) Connection).
  3. Si la fonction Bluetooth est active : attribuez un nom unique aux communications Bluetooth.

Opération

Activation

Pour activer le contrôleur, appuyez sur le bouton orange.

Navigation dans les menus

  • Ouvrez le menu : Appuyez sur le bouton orange.
  • Fermer le menu : appuyez sur le bouton gris foncé.
  • Naviguer dans le menu : cliquez sur le bouton fléché gris clair gauche ou droit. Sélectionnez une entrée de menu en appuyant sur le bouton orange. Pour quitter un sous-menu sans enregistrer vos modifications, appuyez sur le bouton gris foncé.

Arrêt

  1. Sélectionnez Turn off (Arrêter) dans le menu principal, puis appuyez sur le bouton orange.
  2. Sélectionnez une option :
    1. Enregistrer : enregistre tous les paramètres dans la mémoire Flash et ferme le contrôleur. L'application <CA_PROD_EMBEDDED> actuellement chargée, les données conservées et la configuration (Connection, Volume) sont enregistrées dans la mémoire Flash.
    2. Don't save (Ne pas enregistrer) : l'application est enregistrée sans que les données ou la configuration ne soient enregistrées sur la mémoire Flash.
    3. Annuler : l'enregistrement est annulé et le menu principal est affiché.

Au prochain démarrage, les dernières données enregistrées (<CA_PROD_EMBEDDED> application, données conservées, etc.) seront chargées.

Menu de <CA_PROD_EMBEDDED>

Le menu de <CA_PROD_EMBEDDED> vous permet de démarrer ou d'arrêter l'application <CA_PROD_EMBEDDED> chargée. Pour ouvrir le menu, sélectionnez l'entrée <CA_PROD_EMBEDDED> dans le menu principal.

Statistiques

L'option Statistiques affiche des informations concernant l'application en cours d'exécution. Pour afficher les données correspondantes, sélectionnez l'entrée Statistics dans le menu principal. Les informations suivantes sont affichées :

  • Le nom de l'application chargée
  • La taille du code en Ko
  • La taille de la base de données en Ko
  • La durée d'exécution du cycle de <CA_PROD_EMBEDDED>
  • La latence du cycle en microsecondes

Menu Paramètres

Dans ce menu, vous pouvez configurer et afficher les éléments suivants :

  • Versions: informations concernant la version utilisée.
  • Bluetooth: activation ou désactivation du Bluetooth. Vous pouvez gérer les noms et les contacts.
    • Name: saisissez un nom pour l'équipement Bluetooth. Ce nom doit être unique sur le réseau Bluetooth.
    • On/Off: active/désactive la fonction Bluetooth sur le contrôleur.
    • Visibility: détermine si l'équipement est visible par les autres équipements Bluetooth.
    • Search: démarre la recherche d'équipements Bluetooth. Pour ajouter un équipement aux contacts Bluetooth, sélectionnez-le dans la liste des périphériques détectés.
    • Contacts: gérez les contacts. Vous pouvez supprimer des contacts (c'est-à-dire les équipements pouvant être connectés) ou établir des connexions (par exemple, pour associer des équipements).

Connexion

Sélectionnez la connexion utilisée par le serveur de communication <CA_PROD_EMBEDDED>. Connexion pour les communications avec l'espace de travail de zenon Logic. Le serveur de communication inclut également un esclave MODBUS. Le driver de zenon pour <CA_PROD_EMBEDDED> doit également être connecté avec le serveur de communication. Les options possibles sont les suivantes :

  • USB
  • Bluetooth : connexion Bluetooth entrante
  • RS-485: port RS-485 avec les paramètres 115200, E, 8, 1.
    Attention : l'utilisation de RS-485 désactive le port de capteur 4. Gardez également à l'esprit que le protocole du serveur de communication de <CA_PROD_EMBEDDED> peut uniquement être utilisé pour les communications de point-à-point.
  • None: le serveur de communication n'est pas utilisé.

Volume

Définit le volume des haut-parleurs. Les valeurs valides vont de 0 à 4 :

  • 0 : son désactivé
  • 4 : Maximum


Développement d'applications <CA_PROD_EMBEDDED> pour NXT

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les restrictions suivantes s'appliquent aux applications <CA_PROD_EMBEDDED> sur LEGO MINDSTORMS 2.0 :

Runtime de <CA_PROD_EMBEDDED> :

  • Taille maximale du code : 26 kB
  • Taille maximale de la base de données de <CA_PROD_EMBEDDED> : 20 kB

Remarque : la taille du code et de la base de données peut être affichée dans le menu Statistiques.

Espace de travail zenon Logic

  • Seuls les ports COM 1 à 9 peuvent être utilisés. Si un équipement USB ou un port COM Bluetooth ont reçu un numéro de port supérieur à 9, celui-ci doit être associé manuellement à un numéro de port inférieur à 10.
  • Dans l'espace de travail, seuls les ports COM1 à COM4 peuvent être sélectionnés. Toutefois, les numéros de ports peuvent être saisis directement dans la chaîne de paramètres, par exemple COM9:19200,N,8,1. (Reportez-vous également à la section Établissement d'une connexion entre zenon Logic et <CA_PROD_EMBEDDED>.)
    Remarque : pour une connexion USB ou Bluetooth, il suffit d'indiquer le numéro de port, par exemple COM5

info Info

Vous trouverez des informations générales concernant la programmation de LEGO MINDSTORMS NXT 2.0 dans la documentation de LEGO.

Autres sujets abordés dans ce chapitre

Utilisation des ports de communication du système NXT

Fonctions


Utilisation des ports de communication du système NXT

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Utilisation des ports de communication du système NXT

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les objets NXT contiennent trois ports de communication pouvant être utilisés par l'application <CA_PROD_EMBEDDED>.

Dans le menu Settings (Paramètres), sélectionnez une de ces connexions pour le serveur de communication. Cette connexion ne peut pas être utilisée ensuite depuis l'application <CA_PROD_EMBEDDED> (par exemple, par un Maître MODBUS ou un bloc fonctionnel). Toutefois, si une configuration d'Esclave MODBUS a été ajoutée, un Esclave MODBUS peut utiliser le port configuré.

Vous trouverez d'autres informations concernant l'utilisation du port série dans le programme <CA_PROD_EMBEDDED> et des informations concernant le driver d'E/S MODBUS dans la documentation de zenon Logic. Pour cela, dans l'espace de travail, appuyez sur la touche F1 ou ouvrez le menu Aide.

Tous les ports qui ne sont pas utilisés par le serveur de communication peuvent être utilisés par l'application <CA_PROD_EMBEDDED>, et sont utilisés comme suit :

Autres sujets abordés dans ce chapitre

USB

Bluetooth

Port RS-485 (série)

Bus de terrain


USB

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Utilisation des ports de communication du système NXT -> USB

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le composant NXT peut être connecté à un ordinateur via le port USB de l'ordinateur. Le système NXT est reconnu comme une connexion série par l'ordinateur.

Le port USB peut être utilisé par l'application <CA_PROD_EMBEDDED> ; pour cela, définissez le port USB en tant que port COM.


Bluetooth

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Utilisation des ports de communication du système NXT -> Bluetooth

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le port Bluetooth peut être utilisé de deux manières différentes :

  1. Pour les connexions entrantes :
    Dans ce cas, la connexion est établie depuis un équipement distant, par exemple, un ordinateur. Dans ce cas, la chaîne BT suffit à configurer l'utilisation du port Bluetooth.
  2. Pour les connexions sortantes :
    NXT est configuré pour établir une connexion avec un autre équipement Bluetooth, par exemple, un autre objet NXT. Dans ce cas, utilisez une chaîne commençant par BT et finissant par le nom de l'équipement, par exemple : BT:NXT.
    Remarque : l'équipement devant être contacté doit déjà être présent dans les contacts Bluetooth. Pour ajouter manuellement un équipement aux contacts, lancez la recherche et établissez manuellement la connexion la première fois. Pour établir le premier contact, il sera probablement nécessaire d'associer les équipements manuellement.


Port RS-485 (série)

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Utilisation des ports de communication du système NXT -> Port RS-485 (série)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les objets NXT contiennent également un port série RS-485. Toutefois, celui-ci est partagé avec le capteur 4. Par conséquent, seul le port ou le capteur peut être utilisé.

L'adresse du port RS-485 est prise en compte par le biais d'une chaîne de caractères HS. Celle-ci permet d'ouvrir le port à l'aide du paramètre par défaut suivant :

  • Débit de données : 115200 bits/s
  • Parité : even
  • Bits de données : 8
  • Bit d'arrêt : 1

Adaptation des paramètres

Si vous souhaitez adapter les paramètres de communication, ajoutez-les après le point-virgule, séparés par des virgules, dans l'ordre suivant :

  • Débit de données en bits/s
  • Parité : N (aucune), E (paire), O (impaire), M (marque) et S (espace)
  • Bits de données
  • Stop bit

Par exemple : HS:19200,N,8,1

Remarque : si vous utilisez le port RS-485 avec MODBUS ou le protocole <CA_PROD_EMBEDDED>, définissez toujours les bits de données sur 8.


Bus de terrain

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

<CA_PROD_EMBEDDED> NXT permet également d'utiliser la configuration Esclave MODBUS et Maître MODBUS. Pour plus d'informations concernant MODBUS, reportez-vous à la documentation de zenon Logic. Pour cela, dans l'espace de travail, appuyez sur la touche F1 ou ouvrez le menu Aide. Le fonctionnement du capteur NXT et des ports de moteur est configuré dans l'interface de configuration du contrôleur LEGO MINDSTORMS NXT 2.0.

Autres sujets abordés dans ce chapitre

Variables d'état

Variables d'entraînement

Variables du capteur de couleurs

Multiplexeur Touch Sensor Multiplexer (HT)

Capteur gyroscopique (HT)

Capteur d'accélération numérique (HT)

Capteur de boussole numérique (HT)

Autres capteurs


Variables d'état

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Variables d'état

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables d'état suivantes sont disponibles :

  • STATUS_BATTERYVOLTAGE : charge actuelle de la batterie, en millivolts.
  • STATUS_BATTERYSTATE : capacité de la batterie.
    Valeur : 0 à 4 (comme indiqué sur l'affichage du système NXT)
  • STATUS_BLUETOOTHSTATE : état de la fonction Bluetooth
    Valeurs :
    • 0 : activé
    • 1 : visible
    • 2 : connecté
    • 3 : connecté et visible
    • 4 : désactivé
  • STATUS_USBSTATE : état de la fonction USB
    Valeurs :
    • 0 : déconnecté
    • 1 : connecté
    • 2 : en cours de fonctionnement
  • STATUS_RECHARGEABLE : état des batteries rechargeables
    Valeurs :
    • 0 : aucune batterie rechargeable n'est présente
    • 1 : batterie rechargeable présente
  • STATUS_ERROR :Code d'erreur


Variables d'entraînement

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Variables d'entraînement

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables suivantes sont disponibles pour l'entraînement :

  • PORT_x_AUTOSPEED (SINT, sortie) : définit la vitesse du moteur.
    Valeurs : de -100 à 100
    • 0 : moteur arrêté
    • -100 : vitesse maximum en marche arrière
    • 100 : vitesse maximum en marche avant
  • PORT_x_TACHOCOUNT (DINT, entrée) : contient le nombre absolu de rotations du moteur en degrés angulaires. 360° représente une rotation complète par seconde. Valeurs possibles : de -2 147 483 648 à 2 147 483 647

Variables complexes

Les opérations d'entraînement plus complexes sont configurées avec des variables plus complexes. Choisissez-les en sélectionnant l'entrée Create advanced variables (Créer des variables avancées) dans le menu contextuel.

attention Attention

N'utilisez pas la variable AUTOSPEED et les variables avancées en même temps. Leur utilisation simultanée peut entraîner un comportement non défini de l'entraînement.

Vous trouverez une description de la procédure de configuration de ces variables à la section Utilisation de variables complexes.


Variables du capteur de couleurs

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Variables du capteur de couleurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables suivantes sont disponibles pour la reconnaissance des couleurs :

  • PORT_x_COLOR (INT, sortie) : définit le mode du capteur.
    • 0 : mode passif (mesurer la luminosité)
    • 1 : la couleur rouge est en cours de mesure.
    • 2 : la couleur verte est cours de mesure.
    • 3 : la couleur bleue est cours de mesure.
    • 4 : toutes les couleurs sont en cours de mesure
  • PORT_x_VALUE (INT, entrée)

    Si le mode est passif, Rouge, Vert ou Bleu :

    • Une valeur comprise entre 0 et 255 définit l'intensité des couleurs.

    Si le mode est Toutes les couleurs :

    • 1: noir.
    • 2: bleu
    • 3: vert
    • 4: jaune
    • 5: rouge
    • 6: blanc
  • PORT_x_RED : dans le mode Toutes les couleurs, l'intensité de la couleur rouge est mesurée.
  • PORT_x_GREEN: dans le mode Toutes les couleurs, l'intensité de la couleur verte est mesurée.
  • PORT_x_BLUE: dans le mode Toutes les couleurs, l'intensité de la couleur bleue est mesurée.
  • PORT_x_GRAY : la luminosité est mesurée.


Multiplexeur Touch Sensor Multiplexer (HT)

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Multiplexeur Touch Sensor Multiplexer (HT)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables suivantes sont disponibles pour les capteurs tactiles :

Lors de l'utilisation du multiplexeur HiTechnic Touch Sensor Multiplexer, jusqu'à quatre capteurs peuvent être connectés à un port du système NXT :

  • PORT_x_SWITCH1 : état du capteur 1
  • PORT_x_SWITCH2 : état du capteur 2
  • PORT_x_SWITCH3 : état du capteur 3
  • PORT_x_SWITCH4 : état du capteur 4


Capteur gyroscopique (HT)

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Capteur gyroscopique (HT)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le capteur gyroscopique LEGO MINDSTORMS 2.0 NXT fournit des informations concernant le nombre de rotations du moteur et le sens des rotations. Les rotations sont mesurées en degrés angulaires. 360° représente une rotation complète par seconde.

Après le démarrage de l'application <CA_PROD_EMBEDDED>, le capteur est calibré automatiquement lors de la connexion. Pour cela, la valeur d'une intensité nulle est calculée ; cela demande environ 200 ms. Pendant ce temps, le capteur doit rester immobile.

  • PORT_x_VALUE : nombre de degrés angulaires par seconde de rotation
  • PORT_x_INVALID : défini sur TRUE dans les conditions suivantes :
    • Lors du calibrage du capteur
    • Lorsque la valeur ne peut pas être lue


Capteur d'accélération numérique (HT)

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Capteur d'accélération numérique (HT)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le capteur d'accélération de LEGO MINDSTORMS 2.0 NXT intègre un accéléromètre à 3 axes, qui mesure l'accélération sur les axes x, y et z. L'accélération est affichée sur une plage de -2 g à +2 g, avec environ 200 étapes par g.

Le capteur d'accélération peut également être utilisé pour mesurer l'inclinaison des trois axes, car la gravitation est perçue comme une accélération. Si le capteur est immobile en position horizontale normale, les axes x et y sont horizontaux et donc proches de zéro, tandis que la valeur de l'axe z sera proche de 200, ce qui correspond à 1 g. Si le capteur est ensuite, incliné, les autres axes percevront la gravité et la valeur de l'axe z diminuera. La gravité étant répartie sur trois vecteurs partiels, l'inclinaison du capteur peut être déterminée.

  • PORT_x_VALUE_X : accélération dans la direction de l'axe x
  • PORT_x_VALUE_Y : accélération dans la direction de l'axe y
  • PORT_x_VALUE_Z : accélération dans la direction de l'axe z
  • PORT_x_INVALID : défini sur TRUE si les données du capteur ne peuvent pas être lues.


Capteur de boussole numérique (HT)

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Capteur de boussole numérique (HT)

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Le capteur de boussole de LEGO MINDSTORMS 2.0 NXT contient une boussole magnétique numérique permettant de mesurer le champ magnétique de la terre et de calculer un angle d'orientation. Le capteur de boussole peut être connecté à un port NXT avec un câble NXT standard, et utilise le protocole de communication numérique I2C. L'orientation actuelle calculée est arrondie au degré angulaire entier suivant.

Le capteur de boussole HiTechnic est influencé par les interférences magnétiques locales, comme de nombreuses autres boussoles magnétiques. Les objets métalliques tels que les moteurs, les batteries ou les câbles peuvent provoquer des interférences magnétiques. Les interférences magnétiques locales peuvent entraîner la détection, par la boussole, d'une orientation différente de plusieurs degrés de son orientation magnétique actuelle. Cet effet est appelé "déviation compas". Pour remédier à ce phénomène, le capteur de boussole HiTechnic dispose d'une fonction de calibrage permettant de corriger les déviations et d'enregistrer ces valeurs dans la boussole.

Le calibrage est facultatif, et n'est pas nécessaire dans le cadre d'une utilisation normale. Pour minimiser la nécessiter d'effectuer un calibrage, installez la boussole à une distance minimale de 10 à 15 cm (4 à 6 pouces) du système NXT et des moteurs NXT.

Pour calibrer la boussole dans le programme :

  • Sélectionnez l'option Calibration mode (Mode de calibrage).
  • Programmez votre objet NXT de manière à ce qu'il décrive un cercle très étroit.
  • Il doit pivoter entre 1½ et 2 fois (soit plus de 360 degrés).
  • Il doit effectuer un tour complet en 20 secondes environ.

La boussole conservera les paramètres de calibrage jusqu'à ce qu'un nouveau calibrage soit effectué, même si elle est débranchée.

  • PORT_x_VALUE : orientation actuelle en degrés.

    0: Nord

  • PORT_x_INVALID : défini sur TRUE si les données du capteur ne peuvent pas être lues.
  • PORT_x_CAL : (affichage) contrôle le mode de calibrage.
    • TRUE : activer le mode de calibrage.
    • FALSE : activer le mode de mesure.

    Remarque : en mode de calibrage, le capteur fournit des données non valides.


Autres capteurs

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Utilisation des ports de communication du système NXT -> Bus de terrain -> Autres capteurs

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les variables supplémentaires suivantes sont disponibles pour les capteurs :

  • PORT_x_VALUE : valeur du capteur, dépend du capteur
    • Son (dB)
    • Son (dBA)
    • Ultrasons : distance en centimètres (cm)
    • Température : température en degrés Celsius centigrades (°C/10)
  • PORT_x_INVALID :
    • TRUE : le capteur est en état d'erreur


Fonctions

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Fonctions

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour que vous puissiez sélectionner des fonctions, celles-ci doivent se trouver dans le dossier correspondant. Copiez le dossier Mindstorms NXT depuis le dossier HWDEF du DVD vers le dossier HWDEF de votre installation de <CA_PROD_EMBEDDED>.
Par exemple : %ProgramData%\COPA-DATA\zenon700\straton\HWDEF\Mindstorms NXT

Les fonctions suivantes sont disponibles :

  • BUTTONENABLE : <CA_PROD_EMBEDDED> prend le contrôle des boutons du NXT.
  • BUTTONGET : transmet des informations concernant le bouton enfoncé.
  • DISPLAYERASE : efface le contenu de l'écran.
  • DISPLAYLINE : trace une ligne.
  • DISPLAYPIXEL : trace un pixel.
  • DISPLAYSTRING : écrit une chaîne.
  • SOUNDFREQUENCY : produit un son.

Autres sujets abordés dans ce chapitre

BUTTONENABLE

BUTTONGET

DISPLAYERASE

DISPLAYLINE

DISPLAYPIXEL

DISPLAYSTRING

SOUNDFREQUENCY


BUTTONENABLE

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Fonctions -> BUTTONENABLE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

BOOL BUTTONENABLE (BOOL ENABLE)

Durant l'activation avec ENABLE et l'état TRUE, le contrôle est transmis à <CA_PROD_EMBEDDED> à l'aide des boutons de l'objet NXT. L'état du bouton peut être lu avec BUTTONGET.

Conseils :

  • le menu System (Système) de l'objet NXT est désactivé, dans ce cas.
  • L'activation de cette fonction est uniquement possible si le menu de l'objet NXT est inactif.
  • Cet état peut être interrompu, par exemple, par l'affichage d'une boîte de dialogue d'association Bluetooth. Dans ce cas, BUTTONGET renvoie la valeur -1.

Valeur renvoyée :

  • TRUE: activité effectuée avec succès.


BUTTONGET

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Fonctions -> BUTTONGET

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

SINT BUTTONGET

Valeurs retournées :

  • -1 : les boutons ne peuvent pas être lus par <CA_PROD_EMBEDDED>. Le menu System (Système) de l'objet NXT est activé.
  • 0 : aucun bouton n'est enfoncé.
  • 1 : bouton gauche enfoncé.
  • 2 : bouton Entry (Entrée) (bouton orange) enfoncé.
  • 3 : bouton droit enfoncé.
  • 4 : bouton Leave (Quitter) (bouton gris foncé) enfoncé.


DISPLAYERASE

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Fonctions -> DISPLAYERASE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

BOOL DISPLAYERASE

Efface le contenu de l'écran.

Valeur renvoyée :

  • TRUE : activité effectuée avec succès.


DISPLAYLINE

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Fonctions -> DISPLAYLINE

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

BOOL DISPLAYLINE (USINT X1,USINT Y1,USINT X2, USINT Y2, BOOL C)

Trace une ligne du point X1,Y1 au point X2,Y2.

Valeurs pour C :

  • TRUE : trace une ligne
  • FALSE : efface la ligne

Valeur renvoyée :

  • TRUE: activité effectuée avec succès.


DISPLAYPIXEL

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Fonctions -> DISPLAYPIXEL

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

BOOL DISPLAYPIXEL (USINT X, USINT Y, BOOL C)

Trace un point situé aux coordonnées X,Y.

Valeurs pour C :

  • TRUE : trace un point
  • FALSE : efface le point

Valeur renvoyée :

  • TRUE: activité effectuée avec succès.


DISPLAYSTRING

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Fonctions -> DISPLAYSTRING

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

BOOL DISPLAYSTRING(USINT X, USINT Y, STRING TEXT)

Écrit une chaîne commençant par la position XY indiquée.

Valeur renvoyée :

  • TRUE : activité effectuée avec succès.


SOUNDFREQUENCY

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Développement d'applications pour NXT -> Fonctions -> SOUNDFREQUENCY

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

BOOL SOUNDFREQUENCY(UDINT FREQ, UDINT DUR, USINT VOL)

Diffuse un son à la fréquence indiquée (en Hz) durant la période définie (en millisecondes). Le volume (VOL) est indiqué sur une plage de 1 à 4. Il est limité par le volume maximal configuré dans le menu Volume.

Valeur renvoyée :

  • TRUE : activité effectuée avec succès.


Connexion du Runtime de MINDSTORMS 2.0 à zenon

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Connexion du Runtime de MINDSTORMS 2.0 à zenon

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Pour créer un nouveau projet zenon Logic dans zenon, nous vous recommandons d'utiliser le driver stratonNG. Celui-ci est compatible avec les communications série.

Lors de la création d'un nouveau projet zenon Logic dans la boîte de dialogue, définissez le nom du projet et le driver utilisé.

Sélectionnez STRATONNG dans le menu déroulant.

Remarque : la sélection du driver ne peut pas être modifiée ultérieurement.

Configuration du driver stratonNG

Pour configurer le driver :

  1. dans l'arborescence du projet zenon, sélectionnez le nœud Variables -> Driver
  2. Sélectionnez le driver stratonNG
    Remarque : celui-ci est affiché avec le nom défini pour le projet, par exemple, straton: mindstorms
  3. Sélectionnez Configuration du driver dans le menu contextuel
  4. La boîte de dialogue de configuration du driver s'affiche à l'écran
  5. Ouvrez l'onglet Connexions

Pour modifier le driver :

  1. Sélectionnez le nom de la connexion
  2. Cliquez sur Éditer.
  3. Configurez la connexion
  4. Cliquez sur Enregistrer, puis sur OK

Configuration du driver pour la connexion dans le cadre de LEGO MINDSTORMS 2.0 :

Option

Description

Connection name (Nom de la connexion)

Doit correspondre au nom du projet.

Si le nom est différent de celui du projet, cela entraînera des erreurs durant la connexion au contrôleur.

Adressage

Pour établir les communications avec <CA_PROD_EMBEDDED> NXT via USB ou Bluetooth, il suffit de définir le port sans configuration supplémentaire, par ex. : COM5:

Primary IP address (Adresse IP principale)

Saisissez le port COM.

Les entrées commençant par COM et finissant par deux points sont interprétées comme des ports COM.

Attention : deux points (:) doivent être ajoutés à la fin de la définition du port. Dans le cas contraire, la connexion ne pourra pas être établie.

Si aucun paramètre supplémentaire n'est indiqué, la configuration standard du port COM est utilisée :

  • Débit de données : 115200 bit/s
  • Parity : even
  • Data bits : 8
  • Stop bit : 1

Si vous souhaitez adapter les paramètres de communication, ajoutez-les après les deux points, séparés par des virgules. L'ordre :

  • Débit de données en bits/s
  • Parity : N (aucune), E (paire), O (impaire), M (marque) et S (espace)
  • Bits de données
  • Stop bit

Par exemple : COM5:19200,N,8,1

Limitations : si un port COM est indiqué, les éléments suivants ne peuvent pas être utilisés :

  • Connexions d'événement
  • Connexions multiples (plusieurs connexions avec un driver)

La documentation relative à ces paramètres fait référence aux communications dans le cadre de LEGO MINDSTORMS 2.0. Vous trouverez des informations détaillées concernant la configuration générale du driver stratonNG dans l'aide en ligne (F1), au chapitre stratonNG.


Questions et réponses

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Questions et réponses

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Voici les questions les plus fréquentes concernant l'installation et le fonctionnement du système LEGO MINDSTORM avec <CA_PROD_EMBEDDED> et zenon Science Package.

Question | Réponse
Pourquoi un message d'erreur s'affiche-t-il durant l'installation ? | Une installation de zenon est probablement déjà présente sur le système. Utilisez l'installation existante. Détails : message d'erreur durant l'installation de zenon Science Package.
Comment puis-je restaurer le firmware LEGO original ? | Restaurer le firmware correspond à la procédure effectuée durant l'installation du firmware <CA_PROD_EMBEDDED>, lorsqu'un autre firmware est présent. Détails : activation du firmware LEGO original.
Que dois-je faire si le programme LEGO Firmware Loader ne détecte pas le contrôleur ? | Changez de port USB ou réinstallez le driver du contrôleur. Détails : le programme LEGO Firmware Loader ne détecte pas le contrôleur.
Que dois-je faire si le driver de l'espace de travail de zenon Logic ne communique pas avec mon contrôleur ? | Ce problème peut avoir plusieurs causes. Contrôlez les paramètres et assurez-vous que tous les équipements sont en ligne. Détails : Le driver de l'espace de travail de zenon Logic ne communique pas avec le contrôleur
Que dois-je faire si le driver stratonNG ne communique pas avec mon contrôleur ? | Ce problème peut avoir plusieurs causes. Contrôlez les paramètres de communication, le Runtime et le projet. Détails : le driver stratonNG ne communique pas avec le contrôleur.

D'autres questions et réponses sont également disponibles sur le forum des utilisateurs de COPA-DATA www.copadata.com/forums/.

Autres sujets abordés dans ce chapitre

Message d'erreur durant l'installation de zenon Science Package

Activation du firmware LEGO original

Le programme LEGO Firmware Loader ne détecte pas le contrôleur

Le driver de l'espace de travail de zenon Logic ne communique pas avec le contrôleur

Le driver stratonNG ne communique pas avec le contrôleur


Message d'erreur durant l'installation de zenon Science Package

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Questions et réponses -> Message d'erreur durant l'installation de zenon Science Package

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Un message d'erreur s'affiche durant l'installation de zenon Science Package et fait référence à une installation existante.

Cette version de zenon a déjà été installée sur votre système. Vous n'avez pas besoin d'installer zenon, et vous pouvez utiliser la version existante. Importez les projets de démonstration à partir du DVD et poursuivez l'installation du firmware.


Activation du firmware LEGO original

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Questions et réponses -> Activation du firmware LEGO original

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si un firmware non fourni par LEGO est déjà présent sur le contrôleur, celui-ci doit être configuré en mode de chargement de firmware pour autoriser l'installation d'un autre firmware. Ce mode est également nécessaire si le firmware de <CA_PROD_EMBEDDED> doit être mis à jour ou le firmware LEGO doit être chargé à nouveau. Pour configurer le contrôleur en mode de chargement de firmware :

  1. Pendant 5 secondes, jusqu'à ce que vous entendiez un "clic",
    • appuyez sur le bouton de démarrage orange et
    • le bouton Reset (Réinitialisation) situé à l'arrière de l'équipement.
      Utilisez un objet pointu pour accéder au bouton Reset (Réinitialisation).

  2. Mettez le contrôleur NXT sous tension en appuyant sur le bouton orange.

  3. Le contrôleur NXT démarre en mode de chargement de firmware . Un son régulier retentit.
  4. Démarrez le téléchargement du firmware souhaité.
    Pour cela, vous devez établir une connexion USB ou Bluetooth. Pour établir une connexion USB avec zenon/<CA_PROD_EMBEDDED>, vous devez utiliser le driver de COPA-DATA.

attention Attention

Le mode de chargement de firmware peut uniquement être fermé par le téléchargement d'un firmware.

Téléchargement du firmware LEGO :

  1. Connectez le contrôleur à l'ordinateur par le biais du port USB.
  2. Démarrez le logiciel LEGO MINDSTORMS NXT 2.0.
  3. Dans le menu Outils, sélectionnez l'entrée Update NXT Firmware (Mettre à jour le firmware NXT).
  4. Le firmware original LEGO MINDSTORMS NXT est présélectionné.
  5. Cliquez sur le bouton Download (Télécharger).
  6. Le contrôleur redémarre avec le firmware LEGO original.


Le programme LEGO Firmware Loader ne détecte pas le contrôleur

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Questions et réponses -> Le programme LEGO Firmware Loader ne détecte pas le contrôleur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Si le programme LEGO Firmware Loader ne détecte pas le contrôleur, connectez le câble USB à un port USB différent. Le driver USB sera alors installé en mode Firmware Loader.

Si cela ne résout pas le problème, désinstallez le driver. Pour cela :

  1. Sans débrancher le contrôleur, ouvrez le gestionnaire de périphériques dans les contrôles du système.
  2. Sélectionnez le driver LEGO MINDSTORMS NXT Firmware Update Mode.
  3. Cliquez dessus avec le bouton droit.

  4. Sélectionnez Désinstaller dans le menu contextuel.
  5. Débranchez le câble USB du contrôleur LEGO MINDSTORMS 2.0, puis reconnectez-le.
  6. Le driver est réinstallé automatiquement.


Le driver de l'espace de travail de zenon Logic ne communique pas avec le contrôleur

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Questions et réponses -> Le driver de l'espace de travail de zenon Logic ne communique pas avec le contrôleur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les communications avec le contrôleur sont des communications de point-à-point, transmises par un port série virtuel. Une seule application peut être connectée à la fois.

En cas de défaillance des communications, plusieurs raisons sont envisageables. Les plus fréquentes incluent notamment :

  1. Le driver stratonNG et zenon sont toujours en ligne.
  2. Les paramètres du port COM sont incorrects. Sélectionnez les paramètres corrects pour le port COM dans le menu Paramètres de communication.
  3. Les paramètres de connexion du contrôleur ne sont pas définis sur le support correct (USB ou Bluetooth). Sélectionnez la connexion actuellement utilisée.


Le driver stratonNG ne communique pas avec le contrôleur

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Questions et réponses -> Le driver stratonNG ne communique pas avec le contrôleur

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Les communications avec le contrôleur sont des communications de point-à-point, transmises par un port série. Une seule application peut être connectée à la fois.

En cas de défaillance des communications, plusieurs raisons sont envisageables. Les plus fréquentes incluent notamment :

  1. Le module d'espace de travail zenon Logic est encore en ligne.
  2. Les paramètres du port COM sont incorrects.
  3. Le Runtime de <CA_PROD_EMBEDDED> n'a pas été démarré sur le contrôleur LEGO MINDSTORMS 2.0.
    Pour démarrer le Runtime :
    1. Appuyez sur le bouton orange.
    2. Dès que vous voyez l'entrée <CA_PROD_EMBEDDED>, appuyez à nouveau sur le bouton orange.
    3. Sélectionnez Start (Démarrer) et appuyez sur le bouton orange.

    La rotation du symbole carré adjacente à l'indicateur d'état de la batterie indique que le Runtime est en cours d'exécution.

  4. Le projet <CA_PROD_EMBEDDED> n'a pas été téléchargé sur le contrôleur.
    Si un projet a été téléchargé, veuillez vous assurer qu'il s'agit du projet correct.
  5. Les noms de symboles de la variable n'ont pas été activés.
  6. Le nom de la connexion du driver stratonNG n'est pas identique au nom du projet zenon Logic.
  7. Les paramètres de connexion du contrôleur ne sont pas définis sur le support correct (USB ou Bluetooth). Sélectionnez la connexion actuellement utilisée.


Utilisation de variables complexes

Manuels -> zenon Science Package for Lego MINDSTORMS 2.0 -> Utilisation de variables complexes

Chapitre précédent Chapitre suivant Montrer tout Montrer tout Cacher tout Cacher tout
© Ing. Punzenberger COPA-DATA GmbH. Pour toute question ou suggestion, merci de contacter : documentation@copadata.com

Cette section décrit comment contrôler un moteur avec des variables complexes.

info Info

L'utilisation de variables complexes est uniquement recommandée pour les utilisateurs expérimentés !

En effectuant une programmation supplémentaire, vous pouvez ordonner aux moteurs du système NXT de se déplacer conformément à un angle prédéfini. Cette programmation est nécessaire pour configurer des déplacements très précis. Pour effectuer la configuration :

  1. Créez toutes les variables en cliquant avec le bouton droit sur le port et en sélectionnant Create advanced variables (Créer des variables avancées) dans le menu contextuel.

  2. 15 variables s'affichent à l'écran.

Les variables qui vous concernent sont les suivantes :

  • PORT_n_FLAGS
    • Masque de bit depuis lequel les variables doivent être écrites.
  • PORT_n_TACHOLIMIT
    • Limite relative, en degrés, conformément à laquelle le moteur doit se déplacer.
    • Attention : cette valeur est toujours positive, même si la rotation du moteur s'effectue en sens inverse.
  • PORT_n_MODE
    • Mode que doit utiliser le moteur.
    • Ne fait pas référence au sens de marche avant ou arrière ou à l'augmentation ou la diminution de la vitesse du moteur, mais à des commandes internes.
  • PORT_n_SPEED
    • Vitesse du moteur.
    • Domaine : -100 (en arrière) à 100 (en avant)
  • PORT_n_RUNSTATE
    • Mode de fonctionnement du moteur.
    • Propriétés physiques (réglage instantané de la vitesse, augmentation ou diminution progressive)

attention Attention

Toutes les variables doivent être écrites dans un cycle !

Cela signifie que les variables ne peuvent pas être forcées depuis l'espace de travail de zenon Logic.

Structure

Au niveau interne, le système NXT utilise une structure. Créez toutes les variables de cette structure en cliquant avec le bouton droit sur le port et en sélectionnant Create advanced variables (Créer des variables avancées) dans le menu contextuel. Cette structure est écrite à chaque cycle. Toutefois, puisque PORT_n_FLAGS est défini sur 0 par <CA_PROD_EMBEDDED> après chaque cycle, aucun autre événement ne se produit.

La variable PORT_n_Flags est un masque de bit pour les variables concernées par ce cycle pour les requêtes relatives à la structure <CA_PROD_EMBEDDED>. Pour émettre une commande de déplacement sur n degrés, définissez la variable PORT_n_FLAGS sur un masque de bit [ST] :

Le système définit ensuite si les données pour PORT_n_MODE, PORT_n_SPEED et PORT_n_TACHOLIMIT sont disponibles. Quelles valeurs doivent comporter ces variables ?

Pour PORT_n_MODE, un masque de bit est requis. En principe, ces deux paramètres doivent être définis si vous souhaitez programmer un mouvement en avant [ST] :

Vous avez maintenant défini le masque de bit sur lequel les variables doivent être mises à jour, ainsi que des paramètres de balise interne.

Nous pouvons maintenant nous concentrer sur la partie la plus intéressante : la rotation du moteur, avec PORT_n_RUNSTATE. Aucun masque de bit n'est disponible dans ce cas. Les valeurs sont exclusives.

Et enfin : PORT_n_SPEED et PORT_n_TACHOLIMIT :

attention Attention

Assurez-vous impérativement que ces valeurs ne sont pas écrites à chaque cycle. Dans le cas contraire, la commande de command sera exécutée à chaque cycle. Toutefois, vous devez encore écrire toutes les variables à chaque cycle. Bloquez l'écriture de ces valeurs.


Drivers

Drivers

Ici, vous trouverez la documentation relative aux drivers de zenon.


Guides

Guides

Ici, vous trouverez les guides de zenon.


Au cas où vous ne trouveriez pas une solution à un problème, merci de contacter notre équipe d'assistance ou publier votre question sur notre forum en ligne.

Equipes d'assistance

En tant qu'utilisateur du contrat de niveau de service Basique (inclus gratuitement avec chaque licence), la meilleure manière de joindre notre service d'assistance consiste à envoyer un e-mail à support@copadata.com.
Vous trouverez des informations concernant numéros d'appel de notre équipe d'assistance sur notre page d'accueil : Contact.

Si vous êtes détenteur d'un contrat de niveau de service Avancé ou Premium, veuillez composer le numéro de téléphone fourni dans votre contrat.

Vous recevrez des informations concernant les contrats de niveau de service de COPA-DATA de notre équipe commerciale, que vous pouvez joindre par e-mail à l'adresse sales@copadata.com.

Forum

Vous trouverez également des informations utiles et des conseils fournis par d'autres utilisateurs et les experts de COPA-DATA sur le forum de COPA-DATA.

Téléchargements

Sur la page d'accueil de COPA-DATA, les utilisateurs de tous les contrats de niveau de service peuvent trouver des manuels, des guides et des vidéos sous forme de téléchargements.
Les utilisateurs détenant des contrats de niveau de service Avancé ou Premium ont également accès à des applications de mise à jour, des exemples de VBA et des ateliers préenregistrés.

Pour télécharger des fichiers, vous devez être connecté en tant que "membre". L'inscription est gratuite et vous permet d'accéder à des informations exclusivement réservées à nos clients.


FKT_ACM_RSP

Sauver buffer mémoire des alarmes et des événements

Cette fonction enregistre les alarmes et les évévenements courants dans les fichiers ALARM.BIN et CEL.BIN.

Plus de détails dans l'aide en ligne


FKT_ALARM_BLINK_QUIT

Alarmes : acquitter clignotement

Cette fonction acquitte le clignotement de tous les éléments du synoptique couramment ouvert par rapport à un gabarit donné.

Plus de détails dans l'aide en ligne


FKT_ALARM_GRP_KLASSEN

Activer/désactiver les alarmes, Groupes/Classes d'alarmes/d'événements

Cette fonction active/désactive un groupe d'alarmes/d'événements, une classe d'alarmes/d'événements ou l'ensemble de la gestion des alarmes.

Plus de détails dans l'aide en ligne


FKT_ALARM_GRUPPEN_VERB

Inscrire/désinscrire groupe d'alarmes/d'événements

Cette fonction active ou désactive le lien vers l'automate pour le groupe d'alarmes/d'événements sélectionné.

Plus de détails dans l'aide en ligne


FKT_AML_AUS

Alarmes : désactiver

Cette fonction désactive la gestion complète des alarmes.

Plus de détails dans l'aide en ligne


FKT_AML_DEL

Alarmes : supprimer

Cette fonction supprime les alarmes filtrées.

Plus de détails dans l'aide en ligne


FKT_AML_EIN

Alarmes : activer

Cette fonction active la gestion complète des alarmes.

Plus de détails dans l'aide en ligne


FKT_AML_EXP

Exporter liste d'alarmes

Cette fonction exporte les entrées filtrées de la liste des alarmes dans un format externe.

Plus de détails dans l'aide en ligne


FKT_AML_QTT

Alarmes : acquitter

Cette fonction acquitte les alarmes filtrées.

Plus de détails dans l'aide en ligne


FKT_AML_TGL

Gestion des alarmes active/inactive

Cette fonction active/désactive la gestion complète des alarmes.

Plus de détails dans l'aide en ligne


FKT_APP_HELP

Ouvrir l'aide

Cette fonction ouvre une page d'aide donnée à partir d'un fichier CHM.

Plus de détails dans l'aide en ligne


FKT_APP_PALETTESWITCH

Changer de palette

Crée une fonction permettant de changer de palettes de couleurs dans le Runtime.

Plus de détails dans l'aide en ligne.


FKT_APP_RT_PROFILES

Profils runtime

Crée une fonction avec laquelle le profil d'administration peut être ouvert, un nouveau profil peut être créé ou chargé dans le Runtime.

Plus de détails dans l'aide en ligne.


FKT_APP_SAVE_REMDATA

Sauvegarde des données rémanentes

Autorise l'enregistrement des données des modules configurés. Les choix proposés sont les suivants : Mémoire circulaire AIL, mémoire circulaire CEL, driver du système et driver mathématique, driver interne, images rémanentes de tous les drivers, verrouillage de la commande.

Plus de détails dans l'aide en ligne.


FKT_APP_SIMULATION

Activer/désactiver le projet de simulation

Cette fonction autorise la commutation entre les modes Simulation et Matériel. En outre, vous pouvez définir le type de mode Simulation ou Matériel.

Plus de détails dans l'aide en ligne


FKT_APP_TEXT_LISTE

Changement de langue

Pour les projets multi langues, cette fonction bascule le Runtime dans la langue sélectionnée.

Plus de détails dans l'aide en ligne


FKT_APP_UNITS_SWITCH

Conversion d'unité

Cette fonction exécute la commutation entre l'unité de base et l'unité de conversion. L'attribution s'effectue dans une boîte de dialogue qui est affichée durant la création de la fonction ; elle peut être éditée ultérieurement à l'aide de la propriété Paramètre.

Plus de détails dans l'aide en ligne.


FKT_ARV_AKT

Archive : liste des archives actives

Cette fonction affiche la liste des archives en train de "tourner" dans le module optionnel "Serveur d'archives".

Plus de détails dans l'aide en ligne


FKT_ARV_AUS

Archive : arrêt

Cette fonction arrête une archive sélectionnée dans le module optionnel "Serveur d'archives".

Plus de détails dans l'aide en ligne


FKT_ARV_EIN

Archive : départ

Cette fonction arrête une archive sélectionnée dans le module optionnel "Serveur d'archives".

Plus de détails dans l'aide en ligne


FKT_ARV_EXP

Exporter archives

Cette fonction exporte les entrées d'archive filtrées du module optionnel "Serveur d'archives" dans un format externe.

Plus de détails dans l'aide en ligne


FKT_ARV_IND

Indexer les archives

Cette fonction recalcule les index des archives indexées. Elle est toujours exécutée sur le serveur commandant le procédé.

Plus de détails dans l'aide en ligne


FKT_BATCH_CR_CREATE

Créer recette de contrôle

Permet de créer une recette de contrôle prédéfinie dans le Runtime.

Plus de détails dans l'aide en ligne.


FKT_BATCH_STATE_CMD

Exécuter la modification de commande de recette / modification mode

Permet de transmettre des fonctions de commande pour l'exécution de batchs dans le Runtime.

Plus de détails dans le manuel en ligne.


FKT_BEDIENBERECHTIGUNG

Autorisation sur le réseau

Cette fonction exécute les demandes ou déblocages des autorisations d'accès sur le réseau.

Plus de détails dans l'aide en ligne


FKT_BILD_AUS

Synoptique : fermeture

Cette fonction ferme le synoptique sélectionné.

Plus de détails dans l'aide en ligne


FKT_BILD_EIN

Appel de synoptique

Cette fonction ouvre le synoptique sélectionné. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne


FKT_BILD_FOKUS

Déplacer le focus

Cette fonction donne le focus a un élément dans le synoptique dont le gabarit a couramment le focus.

Plus de détails dans l'aide en ligne


FKT_BILD_MENU

Visualiser menu

Cette fonction ouvre ou ferme le menu principal sélectionné. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne


FKT_BILD_MITTE

Synoptique : déplacer le centre

Cette fonction déplace ou effectue un zoom à l'intérieur d'un synoptique de type "Vue globale".

Plus de détails dans l'aide en ligne


FKT_BILD_SW_KDBMDI

Saisie de valeur pour les synoptiques clavier

Cette fonction définit une valeur prédéfinie (valeur recommandée) pour les synoptiques de type Clavier, ou écrit une valeur prédéfinie et ferme le synoptique.

Plus de détails dans l'aide en ligne


FKT_BILD_VAR

Synoptique avec index

Cette fonction ouvre un synoptique dont le nom contient une variable sélectionnée.

Plus de détails dans l'aide en ligne


FKT_BILD_ZURUECK

Synoptique : retour au précédent

Cette fonction réaffiche le synoptique précédemment ouvert dans le cadre d'un gabarit donné.

Plus de détails dans l'aide en ligne


FKT_CEL_EXP

Exporter liste d'événements

Cette fonction exporte les entrées filtrées de la liste des événements chronologiques dans un format externe.

Plus de détails dans l'aide en ligne


FKT_CHANGE_ALC_COLOR

Modification couleur source CAL

Fonction de configuration des couleurs source CAL pour la détection d'erreurs dans les réseaux électriques.

Plus de détails dans l'aide en ligne.


FKT_DATEIOPERATION

Opérations sur fichiers

Cette fonction copie, supprime ou déplace les fichiers sélectionnés. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne


FKT_DBASE_READ

Lire un fichier dBase

Cette fonction lit le fichier dBase sélectionné et l'exécute comme une recette.

Plus de détails dans l'aide en ligne


FKT_DIAGRAM_PRINT

Imprimer le diagramme de tendance étendue

Cette fonction vous permet d'imprimer les diagrammes de la tendance étendue ou de les enregistrer dans un fichier (JPG ou BMP) sans ouvrir le synoptique Tendance étendue.

Plus de détails dans l'aide en ligne


FKT_EINGABE_FOCUS

Activer l'élément qui a le focus

Cette fonction exécute la fonction associée à l'élément qui a couramment le focus.

Plus de détails dans l'aide en ligne


FKT_EMS_START

Démarrer EMS

Cette fonction démarre l'optimisation pour une zone de service sélectionnée dans le module EMS.

Cette fonction est uniquement exécutée sur le serveur.

Plus de détails dans l'aide en ligne


FKT_EMS_STOP

Arrêter EMS

Cette fonction démarre l'optimisation pour une zone de service sélectionnée dans le module EMS.

Cette fonction est uniquement exécutée sur le serveur.

Plus de détails dans l'aide en ligne


FKT_EXP_DATEN

Exporter les données

Cette fonction exporte les valeurs stockées sur le disque dur (*.HDD) des variables sélectionnées dans un format externe.

Plus de détails dans l'aide en ligne


FKT_FKT_AUS

Fonctions : désactiver sur limite

Cette fonction désactive la gestion des fonctions. Les fonctions exécutées automatiquement (e.g. par les commandes temporisées ou les dépassements de limites, etc.) ne sont pas exécutées.

Plus de détails dans l'aide en ligne


FKT_FKT_EIN

Fonctions : activer sur limite

Cette fonction active la gestion des fonctions. Les fonctions exécutées automatiquement (e.g. par les commandes temporisées ou les dépassements de limites, etc.) sont exécutées.

Plus de détails dans l'aide en ligne


FKT_FKT_TGL

Fonctions activer/désactiver sur limite

Cette fonction active ou désactive la gestion des fonctions. Les fonctions exécutées automatiquement (e.g. par les commandes temporisées ou les dépassements de limites, etc.) sont (ou ne sont pas) exécutées.

Plus de détails dans l'aide en ligne


FKT_GNDFLT_ACKNOWLEDGE

Acquitter le message de défaut de terre

Fonction d'acquittement de message de défaut de terre. Ouvre la boîte de dialogue permettant de sélectionner une variable.

Plus de détails dans l'aide en ligne.


FKT_GNDFLT_SEARCH_END

Arrêter la recherche des défauts de terre

Fonction d'arrêt de la recherche de défaut de terre.

Plus de détails dans l'aide en ligne.


FKT_GNDFLT_SEARCH_START

Démarrer la recherche des défauts de terre

Fonction de démarrage de la recherche de défaut de terre.

Plus de détails dans l'aide en ligne.


FKT_GRAPH7_HEURISTIK

Analyser les heuristiques du graphe S7

Cette fonction permet d'évaluer les données heuristiques du projet S7 Graph, même lorsque le synoptique S7 Graph n'est pas actif.

Plus de détails dans l'aide en ligne


FKT_HDD_AUS

Gestion HD inactive

Cette fonction désactive le stockage des données sur disque dur. Les fichiers HDD ne sont pas écrits.

Plus de détails dans l'aide en ligne


FKT_HDD_EIN

Gestion HD active

Cette fonction active le stockage des données sur disque dur. Les fichiers HDD sont écrits.

Plus de détails dans l'aide en ligne


FKT_HDD_TGL

Gestion HD inactive/active

Cette fonction active ou désactive le stockage des données sur disque dur. Les fichiers HDD sont (ou ne sont pas) écrits.

Plus de détails dans l'aide en ligne


FKT_IMM_CHECKMAINT

Détermine les maintenances ouvertes

Cette fonction crée le nombre de maintenances requises pour l'équipement sélectionné à partir du module Industrial Maintenance Manager. Vous pouvez saisir l'intervalle de temps souhaité. Le nombre de maintenances requises est écrit dans des variables d'état pouvant être librement définies.

Plus de détails dans l'aide en ligne


FKT_IPA_CREATE_DOCUMENT

Créer/imprimer un document IPA

Cette fonction crée un document à partir des données filtrées du module Industrial Performance Analyzer et l'imprime ou l'enregistre au format HTML.

Plus de détails dans l'aide en ligne


FKT_MOMENTAN_PRT

Imprimer valeurs actuelles

Cette fonction imprime les valeurs courantes des variables sélectionnées.

Plus de détails dans l'aide en ligne


FKT_MONITOR_ZUORDNEN

Sélection moniteur

Cette fonction assigne le moniteur virtuel sélectionné à un moniteur réel. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne


FKT_MOUSE_REVERSE

Simuler le clic droit

Cette fonction interprète le prochain clic souris comme si c'était un clic avec le bouton droit de la souris.

Plus de détails dans l'aide en ligne


FKT_MSG_AUS

Envoi de messages : désactiver

Cette fonction désactive les envois de messages du module optionnel "Gestion de messages".

Plus de détails dans l'aide en ligne


FKT_MSG_EDB

Visualiser la base de données des destinataires

Cette fonction ouvre une boîte de dialogue où l'utilisateur peut éditer la base de données des destinataires du module optionnel "Gestion de messages".


FKT_MSG_EIN

Envoi de messages : activer

Cette fonction active les envois de messages du module optionnel "Gestion de messages".

Plus de détails dans l'aide en ligne.


FKT_MSG_SAVEQUEUE

Enregistrer queue courante

Enregistre une image de la file d'attente actuelle dans le Runtime.

Plus de détails dans l'aide en ligne.


FKT_MSG_SUPPRESS

Groupe/classe/domaine/équipement supprimé

Active ou désactive les élements de la liste pour lesquels aucun message ne doit être envoyé.

Plus de détails dans l'aide en ligne.


FKT_NACHLADEN

Réinitialiser projet en ligne

Cette fonction charge les fichiers de Runtime modifiés dans l'Éditeur.

Plus de détails dans l'aide en ligne


FKT_PFS_EVENT

Déclencher événement PFS

Cette fonction exécute un événement planning (PFS) créé au préallable par l'utilisateur.

Plus de détails dans l'aide en ligne


FKT_PRT_AMLCEL

Imprimer liste d'alarmes ou d'événements

Cette fonction imprime les entrées sélectionnées de la liste d'alarmes ou de la liste des événements chronologiques (CEL).

Plus de détails dans l'aide en ligne


FKT_PRT_HARDCOPY

Imprimer copie d'écran

Cette fonction imprime soit l'écran actuel, soit le synoptique actuel d'un cadre donné. Sur les systèmes multi-moniteurs, vous pouvez sélectionner le moniteur de votre choix pour un cadre. De façon optionnelle, l'impression peut être redirigée vers un fax.

Plus de détails dans l'aide en ligne


FKT_PRT_ONLINE

Activer/désactiver impression en ligne

Cette fonction active ou désactive l'impression en ligne de la liste d'alarmes ou de la liste des événements chronologiques (CEL).

Plus de détails dans l'aide en ligne


FKT_PRT_ONLINE_SWITCH

Changer l'imprimante pour les impressions en ligne

Cette fonction change l'imprimante utilisée pour l'impression en ligne. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne


FKT_PRT_WAHL

Sélection imprimante

Cette fonction ouvre une boîte de dialogue qui permet à l'utilisateur de sélectionner les imprimantes utilisées pour l'impression des différentes parties du projet.

Plus de détails dans l'aide en ligne


FKT_PWD_LOGIN

Login avec boite de dialogue

Cette fonction ouvre la boîte de dialogue standard de login.

Plus de détails dans l'aide en ligne


FKT_PWD_LOGIN_DIREKT

Login sans mot de passe

Cette fonction permet à l'utilisateur sélectionné de se logguer sans avoir à entrer son mot de passe.

Plus de détails dans l'aide en ligne


FKT_PWD_LOGOUT

Logout

Cette fonction entraine le logout de l'utilisateur couramment loggué.

Plus de détails dans l'aide en ligne


FKT_PWD_PWDEDIT

Modifier mot de passe

Cette fonction ouvre une boîte de dialogue par laquelle l'utilisateur couramment loggué peut modifier son mot de passe.

Plus de détails dans l'aide en ligne


FKT_PWD_USREDIT

Editer utilisateur

Cette fonction ouvre une boîte de dialogue, par laquelle un administrateur, peut créer, modifier ou supprimer des utilisateurs.

Plus de détails dans l'aide en ligne


FKT_QUIT

Quitter le runtime

Cette fonction quitte le runtime du système de contrôle.

Plus de détails dans l'aide en ligne


FKT_REDUNDANZ

Commutation redondance

Cette fonction effectue l'échange du serveur en redondant et du redondant en serveur.

Plus de détails dans l'aide en ligne


FKT_REPORTVIEWER_PRINT

Outil de visualisation de rapport : exporter / imprimer

Permet de générer des rapports durant le Runtime, au format PDF ou sous forme d'impression en ligne dans un fil spécifique.

Plus de détails dans l'aide en ligne.


FKT_REZ_DIREKT

Recette : envoi direct

Cette fonction envoie les valeurs de la recette standard sélectionnée dans l'automate.

Plus de détails dans l'aide en ligne


FKT_REZ_WAHL

Recette : modification avant envoi

Cette fonction ouvre une boîte de dialogue dans laquelle l'utilisateur peut modifier et exécuter une recette standard.

Plus de détails dans l'aide en ligne


FKT_REZ_WAHL_ONL

Recette : sélection et modification avant envoi

Cette fonction ouvre une boîte de dialogue dans laquelle l'utilisateur peut sélectionner une recette standard, et ensuite peut éventuellement la modifier et l'exécuter.

Plus de détails dans l'aide en ligne


FKT_REZEPT

Recette standard

Cette fonction écrit, lit, copie, importe ou exporte la recette standard sélectionnée. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne


FKT_RGM

Groupes de recettes

Cette fonction écrit, lit, copie, importe ou exporte la recette sélectionnée du module optionnel "Gestionnaire de groupes de recettes" (Recipe Group Manager, RGM). De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne


FKT_SAP_CALL_FUNCTION

Exécuter fonction SAP

Exécute une fonction SAP définie dans l'interface SAP dans le Runtime. La fonction SAP déclenche une fonction Remote Function Call (RFC) dans le système SAP.


FKT_SAT_SEA_RUN

Cycle automatique de la séquence de commutation


FKT_SAT_TOP_ERDSCHLUSS

Topologie - Recherche des défauts de terre

Active ou désactive la fonction de recherche de défaut de terre. Au démarrage de la recherche de défaut de terre, les défauts actuellement actifs sont figés. Aucun défaut n'est affiché lorsque la recherche est terminée.


FKT_SAT_TOP_LOADSHEDDING

Topologie - Vérification de la connexion

La fonction de répartition des charges permet de déterminer l'état d'approvisionnement des équipements topologiques et de l'afficher à l'aide de variables.

Jusqu'à 32 sources sont alimentées.


FKT_SCHABFOCUS_AUS

Enlever le focus du gabarit

Cette fonction enlève le focus du synoptique couramment ouvert dans un gabarit donné. Ceci permet la création de projet entièrement géré avec le clavier.

Plus de détails dans l'aide en ligne


FKT_SCHABFOCUS_EIN

Donner le focus au gabarit

Cette fonction donne le focus au synoptique couramment ouvert dans un gabarit donné. Ceci permet la création de projet entièrement géré avec le clavier.

Plus de détails dans l'aide en ligne


FKT_SCHABLONE_AUS

Fermer le gabarit

Cette fonction ferme le synoptique couramment ouvert d'un gabarit donné.

Plus de détails dans l'aide en ligne


FKT_SCRIPT_DIR

Script : exécuter

Cette fonction exécute le script sélectionné.

Plus de détails dans l'aide en ligne


FKT_SCRIPT_WHL

Script : sélection en ligne

Cette fonction ouvre une boîte de dialogue dans laquelle l'utilisateur sélectionne et exécute un script.

Plus de détails dans l'aide en ligne


FKT_SENDE_NACHRICHT

Envoi d'un message

Cette fonction envoie un message du module optionnel "Gestion de messages"

Plus de détails dans l'aide en ligne


FKT_SHRTFLT_ACKNOWLEDGE

Acquitter le message de court-circuit

Fonction d'acquittement de message de court-circuit. Ouvre la boîte de dialogue permettant de sélectionner une variable.

Plus de détails dans l'aide en ligne.


FKT_SIMULATION

Simulation on/off

Cette fonction active ou désactive la simulation.


FKT_TBL_AUS

Rapport : exécuter

Cette fonction exécute le rapport sélectionné du module optionnel "Générateur de rapports".

Plus de détails dans l'aide en ligne


FKT_TBL_EXP

Exporter rapport

Cette fonction exporte le rapport sélectionné du module optionnel "Générateur de rapports" dans un format externe.

Plus de détails dans l'aide en ligne


FKT_TBL_EXPW

Démarrer nouvelle page pour l'impression en ligne

Lors de l'impression en ligne activée, cette fonction termine une page et démarre une nouvelle page. Le numéro de page redémarre à 1.

Plus de détails dans l'aide en ligne


FKT_TBL_PRN

Imprimer rapport

Cette fonction imprime le rapport sélectionné du module optionnel "Générateur de rapports".

Plus de détails dans l'aide en ligne


FKT_TM_READ

Lire l'heure d'une variable

Cette fonction lit l'heure à partir d'une variable de type STRING de l'automate et définit avec celle-ci l'heure système du PC. Ainsi l'heure système de l'automate peut être synchronisée avec celle du PC.

Plus de détails dans l'aide en ligne


FKT_TM_WRITE

Ecrire l'heure dans une variable

Cette fonction lit l'heure système et l'écrit dans une variable de type STRING dans l'automate. Ainsi l'heure système de l'automate peut être synchronisée avec celle du PC.

Plus de détails dans l'aide en ligne


FKT_TREIBERKOMMANDO

Commandes driver

Cette fonction envoie une commande donnée au driver sélectionné. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne


FKT_UEBERSICHT

Vue d'aperçu

Cette fonction ouvre une vue d'aperçu, de façon à pourvoir simuler les projets multi moniteurs sur un poste avec un seul écran.

Plus de détails dans l'aide en ligne


FKT_VAR_ALIGN_VM_IMAGE

Transférer l'image de simulation du driver au redondant

Uniquement exécutée sur le serveur redondant.

Lors de l'exécution, demande au serveur une image correspondant aux drivers sélectionnés. Le driver dispose d'un délai de 5 secondes à cette fin.

Plus de détails dans l'aide en ligne


FKT_VAR_SOLLWERT

Ecriture valeur prescrite

Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

Plus de détails dans l'aide en ligne


FKT_VBA_IDE

Ouvrir l'éditeur VBA

Cette fonction ouvre l'éditeur VBA.

Plus de détails dans l'aide en ligne


FKT_VBA_MAKRO

Exécuter macro VBA

Cette fonction exécute la macro VBA sélectionnée.

Attention : L'événement VBA projet inactif est exécuté par le script AUTO_END_xxx . Par conséquent, la fonction Exécuter macro VBA de zenon n'est plus exécutée dans les scripts, car VBA n'est pas en cours d'exécution à ce stade. Les macros VBA devant être exécutées pour fermer le Runtime doivent être activées à l'aide de l'événement Project.Inactive.

Plus de détails dans l'aide en ligne


FKT_VBA_MCR

Montrer la boite de dialogue des macros VBA

Cette fonction ouvre la boîte de dialogue des macros VBA.

Plus de détails dans l'aide en ligne


FKT_VBA_PCE

Ouvrir l'éditeur PCE

Cette fonction ouvre l'éditeur du module optionnel "Moteur de Contrôle de Procédé" (Process Control Engine, PCE)

Plus de détails dans l'aide en ligne


FKT_VSTA_CALLMACRO

Exécuter macro VSTA

Cette fonction exécute la macro VSTA sélectionnée.

Plus de détails dans l'aide en ligne


FKT_VSTA_SHOWIDE

Ouvrir l'éditeur VSTA

Cette fonction ouvre l'éditeur VSTA.

Plus de détails dans l'aide en ligne


FKT_VSTA_SHOWMACRODLG

Montrer la boite de dialogue des macros VSTA

Cette fonction ouvre la boîte de dialogue des macros VSTA.

Plus de détails dans l'aide en ligne


FKT_WND_AUDI_AUFUEHREN

Lire un fichier audio

Cette fonction lit un fichier audio (*.wav) sélectionné une fois.

Plus de détails dans l'aide en ligne


FKT_WND_AUDI_START

Son beep : début

Cette fonction lit un fichier audio (*.wav) sélectionné de façon continue.

Plus de détails dans l'aide en ligne


FKT_WND_AUDI_STOP

Son beep : fin

Cette fonction arrête la lecture continue d'un fichier audio (*.wav).

Plus de détails dans l'aide en ligne


FKT_WND_BTN

Fenêtre en arrière-plan

Cette fonction bascule le runtime du système de contrôle en arrière plan.

Plus de détails dans l'aide en ligne


FKT_WND_PROG_AUFUEHREN

Exécuter un programme

Cette fonction démarre un programme externe. Des paramètres d'appel peuvent être définis. De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne


FKT_WND_TOP

Fenêtre en avant-plan

Cette fonction bascule le Runtime zenon vers le premier plan.

Attention : lorsque le Runtime passe au premier plan, il recouvre la barre d'état des alarmes.

Plus de détails dans l'aide en ligne


GRP_FKT_AMLCEL

Alarmes et événements

Ce groupe contient les fonctions concernant la gestion de la liste d'alarmes et des événements chronologiques (CEL).

Plus de détails dans l'aide en ligne


GRP_FKT_ANWENDUNG

Application

Ce groupe contient les fonctions pour la gestion du projet.

Plus de détails dans l'aide en ligne


GRP_FKT_ARV

Archives

Ce groupe contient les fonctions relatives au module optionnel "Gestion de messages".

Plus de détails dans l'aide en ligne


GRP_FKT_BATCH

Batch Control

Fonctions du module de Gestion des batchs.

Plus de détails dans l'aide en ligne.


GRP_FKT_BILD

Synoptiques

Ce groupe contient les fonctions pour la gestion des synoptiques.

Plus de détails dans l'aide en ligne


GRP_FKT_FAULT_LOCATION

Détection d'erreur dans les grilles électriques

Contient des fonctions pour la détection d'erreurs dans les réseaux électriques.

Plus de détails dans l'aide en ligne.


GRP_FKT_NACHRICHT

Gestion de messages (MessagCtrl)

Ce groupe contient les fonctions relatives au module optionnel "Gestion de messages".

Plus de détails dans l'aide en ligne


GRP_FKT_NETZ

Réseau

Ce groupe contient les fonctions pour la gestion du réseau.

Plus de détails dans l'aide en ligne


GRP_FKT_PASSWORT

Gestion utilisateur

Ce groupe contient les fonctions pour la gestion des utilisateurs.

Plus de détails dans l'aide en ligne


GRP_FKT_REZEPT

Recettes

Ce groupe contient les fonctions concernant la gestion des recettes standard et des recettes du module optionnel "Gestionnaire de groupes de recettes".

Plus de détails dans l'aide en ligne


GRP_FKT_SCRIPT

Script

Ce groupe contient les fonctions pour la gestion des scripts.

Plus de détails dans l'aide en ligne


GRP_FKT_TABELLE

Générateur de rapports

Ce groupe contient les fonctions relatives au module optionnel "Générateur de rapports".

Plus de détails dans l'aide en ligne


GRP_FKT_VARIABLE

Variable

Ce groupe contient les fonctions concernant les variables.

Plus de détails dans l'aide en ligne


GRP_FKT_VBA

VBA

Ce groupe contient les fonctions concernant les macros VBA.

Plus de détails dans l'aide en ligne


GRP_FKT_VSTA

VSTA

Ce groupe contient les fonctions concernant les macros VSTA.

Plus de détails dans l'aide en ligne


GRP_FKT_WINDOWS

Windows

Ce groupe contient les fonctions concernant Windows.

Plus de détails dans l'aide en ligne


ID_230TOP_PROP_B_FOS

Limite pour la localisation des défauts de protection

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TopologyBorderFOS


ID_230TOP_PROP_B_SV

Limite pour le calcul de la distribution de courant

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TopologyBorderSV


ID_230TOP_PROP_INVISIBLE

invisible en runtime

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RTInvisible


ID_230TOP_PROP_LIRE

Bascule direction entrée/sortie (gauche / droite)

Bascule la connexion à gauche/droite des éléments topologiques comportant une connexion directe.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TopologyLRChanged


ID_230TOP_PROP_NC_CABLETYPE

Type de câble

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NCCableType


ID_230TOP_PROP_NC_CURRENTMAX

Capacité de courant porteur [A]

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NCCCurrentMax


ID_230TOP_PROP_NC_I_VAL

Charge [A]

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NCCurrentVal


ID_230TOP_PROP_NC_I_VAR

Valeur de la mesure de courant

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NCCurrentVar


ID_230TOP_PROP_NC_LENGTH

Longueur [m]

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NCCLength


ID_230TOP_PROP_NC_REAKT

Réactance [Ohm]

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NCCReactance


ID_230TOP_PROP_NC_RESIST

Résistance [Ohm]

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NCCResistance


ID_230TOP_PROP_NC_TYPE

Type

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NCType


ID_230TOP_PROP_NC_U_VAL

Niveau de tension [V]

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NCVoltageVal


ID_230TOP_PROP_NC_U_VAR

valeur de la mesure de tension

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NCVoltageVar


ID_230TOP_PROP_RES_NR

Type de ressource

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TopologyResourceNr


ID_230TOP_PROP_ZUORD_VAR

Nom de base pour la variable résultat

Variable servant de base aux variables dans la topologie.

Dans la topologie, vous pouvez définir une variable pour chaque ligne. Cette variable sert de base aux variables supplémentaires,

que vous définissez durant le développement de la topologie. Vous pouvez attribuer des variables orientées performances, calculées par la topologie,

à ces valeurs.

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de bases de données.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NCMappingVar


ID_ADMINUSER

Administrateur

Actif : Cet utilisateur est un administrateur. Cela signifie qu'il peut modifier d'autres utilisateurs dans le Runtime et déverrouiller le système.
Inactif : Cet utilisateur n'est pas un administrateur.
(Par défaut) Inactif :

Attention : un administrateur peut uniquement déverrouiller groupes d'autorisations qu'il possède lui-même pour d'autres utilisateurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Admin


ID_ADRESSPARAM

Paramètre externe d'adresse

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Propriétés de profil dans zenon Logic (par ex. "intégré" ou paramètres d'adressage de Profibus).

Property is only displayed for information. Editing with zenon Logic only.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Adressparam


ID_ALARM_BEREICH_ALARMVAR

Nbre alarmes actives

Variables qui contient le nombre d'alarmes actives dans ce domaine d'alarmes.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmVar


ID_ALARM_BEREICH_QUITVAR

Nbre alarmes non-acquittées

Variables qui contient le nombre d'alarmes non acquittées dans ce domaine d'alarmes.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

QuitVar


ID_ALARM_BEREICH_STATUSVAR

Variable d'état

Le premier bit de cette variable de type SINT (octet) montre s'il y a des alarmes actives dans ce domaine d'alarme.
Le deuxième bit de cette variable indique si ce domaine d'alarme comporte des alarmes non acquittées.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StatusVar


ID_ALARM_BEREICHITEM_ALARMVAR

Nbre alarmes actives

Variable contenant, sous forme de valeur, le nombre d'alarmes actives pour la classe d'alarmes/d'événements sélectionnée dans ce domaine d'alarmes.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmVar


ID_ALARM_BEREICHITEM_DELETE

{Supprimer lien de classe}

L'entrée sélectionnée est supprimée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DeleteEntry


ID_ALARM_BEREICHITEM_KLASSE

Classe d'alarmes/d'événements

Classe d'alarmes/d'événements pour l'entrée de domaine.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Class


ID_ALARM_BEREICHITEM_QUITVAR

Nombre alarmes non-acquittées

Variable contenant, sous forme de valeur, le nombre d'alarmes actives pour la classe d'alarmes/d'événements sélectionnée dans ce domaine d'alarmes.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

QuitVar


ID_ALARM_BEREICHITEM_STATUSVAR

Variable d'état

Le premier bit de cette variable de type SINT (octet) montre s'il y a des alarmes actives dans ce domaine d'alarme.
Le deuxième bit de cette variable indique si ce domaine d'alarme comporte des alarmes non acquittées.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StatusVar


ID_ALARM_PROP_BEREICH_ID

No.

Nombre du domaine d'alarmes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Id


ID_ALARM_PROP_BEREICH_ITEMS

Lien de classe

Ajoute les variables d'état, le nombre d'alarmes actives et le nombre d'alarmes non acquittées.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Items


ID_ALARM_PROP_BEREICH_NAME

Nom

Nom du domaine d'alarmes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_ALARM_PROP_BEREICH_NEU

{nouveau lien vers classe}

Crée une nouvelle entrée pour le domaine d'alarmes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

New


ID_ALARM_PROP_GRPKLS

Général

Propriétés du groupe d'alarmes/d'événements ou de la classe d'alarmes/d'événements.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_GrpCls


ID_ALARM_PROP_GRPKLS_COLOR

Couleur

Couleur du groupe d'alarmes/d'événements ou de la classe d'alarmes/d'événements.
La couleur de la classe d'alarmes/d'événements peut également être appliquée à la liste.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Color


ID_ALARM_PROP_GRPKLS_FUNKTION

Fonction

Nom de la fonction exécutée lorsqu'une alarme de ce groupe/cette classe se déclenche. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de fonctions. Vous pouvez également saisir le nom de la fonction dans la zone de texte.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Function


ID_ALARM_PROP_GRPKLS_ID

No.

Numéro du groupe d'alarmes/d'événements ou de la classe d'alarmes/d'événements.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Id


ID_ALARM_PROP_GRPKLS_IMAGE

Fichier graphique

Sélectionnez un élément graphique pour le du groupe d'alarmes/d'événements ou la classe d'alarmes/d'événements. Cliquez avec le bouton gauche sur le bouton pour ouvrir la boîte de dialogue de sélection de fichiers. Sélectionnez le fichier graphique de votre choix.

Par défaut : aucun fichier

D'autres informations sont disponibles dans l'aide en ligne des groupes d'alarmes/d'événements

D'autres informations sont disponibles dans l'aide en ligne des classes d'alarmes/d'événements

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Image


ID_ALARM_PROP_GRPKLS_NAME

Nom

Nom du groupe d'alarmes/d'événements ou de la classe d'alarmes/d'événements.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_ALARM_PROP_GRPKLS_STATUSVAR

Variable d'état

Nom de la variable dont la valeur indique si le groupe/la classe d'alarmes est actif (ou active), ou si les alarmes de ce groupe/cette classe d'alarmes sont ignorées à cet instant.

Vous pouvez uniquement sélectionner des variables de type binaire. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom de la variable dans la zone de texte.

Valeur de variable la = 1 : le groupe/la classe est actif/active.

Les groupes d'alarmes/d'événements ou les classes d'alarmes/d'événements peuvent être activés par le biais de la fonction Inscrire/désinscrire groupe d'alarmes/d'événements.

Inscrire/désinscrire groupe d'alarmes/d'événements

Cette fonction active ou désactive le lien vers l'automate pour le groupe d'alarmes/d'événements sélectionné.

Plus de détails dans l'aide en ligne

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StatusVar


ID_ALARM_PROP_GRPKLS_TEXT

Description

Description du groupe d'alarmes/d'événements ou de la classe d'alarmes/d'événements.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Description


ID_ALARM_VERWALTUNG

-

La boîte de dialogue de configuration de la liste d'alarmes (AML) est ouverte.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: "AlarmAdministration"


ID_ALPHABACKCOLOR

Transparence couleur du fond [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlphaBackColor


ID_ALPHABACKCOLOR2

Transparence du gradient de couleur [%]

Disponibles uniquement si l'option Linéaire a été sélectionnée dans la propriété Remplissage (type).

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlphaBackColor2


ID_ALPHACOLORRAHMEN

Transparence du cadre [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Disponible uniquement si la propriété Qualité graphique est active.

Définit l'opacité de la couleur via une valeur comprise entre 0 et 100.

0 : invisible

100 : opaque.

Toutes les valeurs comprises entre ces valeurs définissent un niveau de transparence variable selon le réglage.

Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlphaBorderColor


ID_ALPHALINECOLOR

Transparence du contour [%]

Nur verfügbar wenn die Eigenschaft Par les valeurs de luminosité nicht aktiv ist und für die Projekteigenschaft Qualité graphique nicht Windows Basis gewählt wurde.

Definiert über einen Wert zwischen 0 und 100 Prozent die Deckkraft der Farbe.

0: deckend

100: komplett transparent

Alle Werte dazwischen erscheinen je nach Einstellung transparent.

Default: 0

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlphaLineColor


ID_AML_AKTIV

Gestion d'alarmes active

Actif : la gestion des alarmes est active dans le Runtime. Les alarmes sont enregistrées et la liste d'alarmes est disponible.
Inactif : les alarmes ne sont pas enregistrées.
Par défaut : active.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmAdminActive


ID_AML_BLINKQUIT

Acquittement clignotement

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Actif : lors de l'acquittement du clignotement d'un élément, l'alarme correspondante est également acquittée dans la liste d'alarmes
Inactif : l'acquittement du clignotement d'un élément interrompt uniquement le clignotement. L'alarme correspondante n'est pas acquittée.
Par défaut : inactive.
Le clignotement des éléments peut être acquitté en effectuant un double-clic droit sur l'élément, ou par le biais de la fonction Acquitter clignotement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmFlashAcknowledge


ID_AML_CLS_COLOR

Couleur de classe d'alarmes/d'événements

Disponible uniquement si la propriété Gestion d'alarmes active est active.
ne pas utiliser : Les couleurs des classes d'alarmes/d'événements ne sont pas utilisées dans la liste d'alarmes dans le Runtime.
comme couleur de texte : les couleurs des classes d'alarmes/d'événements sont utilisées comme couleur de texte des entrées correspondantes dans la liste d'alarmes dans le Runtime.Par défaut :
comme arrière-plan des lignes : les couleurs des classes d'alarmes/d'événements sont utilisées comme couleur d'arrière-plan des entrées correspondantes dans la liste d'alarmes dans le Runtime.
Par défaut : comme arrière-plan des lignes

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmClsColor


ID_AML_COLOR_DEL

Couleur

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Uniquement disponibles pour les alarmes dont la propriété Suppr. obligatoire est active.

Couleur des informations d'horodatage Alarm deleted (Alarme supprimée) dans la liste d'alarmes. Définit également la couleur de l'élément graphique dans la colonne d'état des alarmes.

Cette couleur est uniquement utilisée pour les alarmes actives, et non pour les alarmes historiques.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmColorDel


ID_AML_COLOR_GEHT

Couleur

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Couleur de l'information Cleared time (Heure d'effacement) dans la liste d'alarmes. Définit également la couleur de l'élément graphique dans la colonne d'état des alarmes.

Cette couleur est uniquement utilisée pour les alarmes actives, et non pour les alarmes historiques.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmColorClr


ID_AML_COLOR_KOMMT

Couleur

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Couleur de l'information Received time (Heure de réception) dans la liste d'alarmes. Définit également la couleur de l'élément graphique dans la colonne d'état des alarmes.

Cette couleur est uniquement utilisée pour les alarmes actives, et non pour les alarmes historiques.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmColorRec


ID_AML_COLOR_QUIT

Couleur

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Couleur de l'information Acknowledged time (Heure d'acquittement) dans la liste d'alarmes. Définit également la couleur de l'élément graphique dans la colonne d'état des alarmes.

Cette couleur est uniquement utilisée pour les alarmes actives, et non pour les alarmes historiques.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmColorAkn


ID_AML_COMES_PREF

Préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Saisissez un préfixe qui sera affiché à gauche de l'information d'horodatage des alarmes reçues. Le préfixe aide à identifier rapidement l'information d'horodatage de Date/heure d'apparition. Si l'entrée est vide, aucun préfixe n'est affiché.

Par défaut : >>

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmPrefComes


ID_AML_COMES_PREF_IMAGE

Fichier graphique pour le préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Définissez un fichier qui sera affiché à gauche de l'information d'horodatage de l'alarme active, conjointement à ou à la place de Préfixe. Le fichier graphique aide à identifier rapidement l'information d'horodatage de Date/heure d'apparition. Si vous définissez un fichier conjointement à Préfixe, celui-ci sera affiché à la gauche du préfixe.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmPrefImageComes


ID_AML_COUNT1

Nombre d'alarmes Message 1

Disponible uniquement si la propriété Ligne d'état active est active.
Nombre d'entrées dans la liste d'alarmes nécessaires pour que ce message soit affiché dans la ligne d'état des alarmes du Runtime. Ce message est affiché en texte blanc sur fond bleu, et se superpose à la ligne d'état de l'alarme.
Minimum : 0 (aucun message n'est affiché)
Maximum : 100
Par défaut : 0
Attention : la valeur doit être inférieure à la valeur dans la propriété Nombre d'alarmes Message 2.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmMsgCnt1


ID_AML_COUNT2

Nombre d'alarmes Message 2

Disponible uniquement si la propriété Ligne d'état active est active.
Nombre d'entrées dans la liste d'alarmes nécessaires pour que ce message soit affiché dans la ligne d'état des alarmes du Runtime. Ce message est affiché en texte blanc sur fond bleu, et se superpose à la ligne d'état de l'alarme.
Minimum : 0 (aucun message n'est affiché)
Maximum : 100
Par défaut : 0
Attention : la valeur doit être inférieure à la valeur dans la propriété Nombre d'alarmes Message 3.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmMsgCnt2


ID_AML_COUNT3

Nombre d'alarmes Message 3

Disponible uniquement si la propriété Ligne d'état active est active.
Nombre d'entrées dans la liste d'alarmes nécessaires pour que ce message soit affiché dans la ligne d'état des alarmes du Runtime. Ce message est affiché en texte blanc sur fond bleu, et se superpose à la ligne d'état de l'alarme.
Minimum : 0 (aucun message n'est affiché)
Maximum : 100
Par défaut : 0
Attention : la valeur doit être inférieure à la valeur dans la propriété Taille de la mémoire circulaire (buffer circulaire).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmMsgCnt3


ID_AML_DELETEINCEL

Supprimer alarmes

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Actif : si une alarme devant être supprimée est supprimée, une entrée est créée dans la liste chronologique d'événements (CEL).
Inactif : lorsqu'une alarme est supprimée, aucune entrée n'est créée dans la liste chronologique d'événements.
Par défaut : inactive.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmCELDelete


ID_AML_DETACH

Gestion du buffer circulaire

Disponible uniquement si la propriété Gestion d'alarmes active est active.
En cas de dépassement du nombre d'alarmes défini dans la propriété Taille de la mémoire circulaire (buffer circulaire) dans la mémoire, une des actions suivantes est exécutée.
Rejeter les nouvelles : Les nouvelles alarmes sont ignorées. Elles ne sont donc pas enregistrées et sont effacées !
Move oldest (Déplacer la plus ancienne) : dès qu'une nouvelle alarme se déclenche, la plus ancienne alarme dans la mémoire est déplacée vers le fichier correspondant.
move newest (Déplacer les plus récentes) : l'alarme la plus récente est déplacée vers le fichier correspondant.
Par défaut : Move oldest (Déplacer la plus ancienne)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmDetach


ID_AML_GOES_PREF

Préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Saisissez un préfixe qui sera affiché à gauche de l'information d'horodatage des alarmes reçues. Le préfixe aide à identifier rapidement l'information d'horodatage de Date/heure de disparition. Si l'entrée est vide, aucun préfixe n'est affiché.

Par défaut : >>

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmPrefGoes


ID_AML_GOES_PREF_IMAGE

Fichier graphique pour le préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Définissez un fichier qui sera affiché à gauche de l'information d'horodatage de l'alarme désactivée, conjointement à ou à la place de Préfixe. Le fichier graphique aide à identifier rapidement l'information d'horodatage de Date/heure de disparition. Si vous définissez un fichier conjointement à Préfixe, celui-ci sera affiché à la gauche du préfixe.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmPrefImageGoes


ID_AML_GRP_CLEARED

Date/heure de disparition

Propriétés de l'affichage de l'indication Alarm cleared (Alarme désactivée) dans la liste d'alarmes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_AML_Cleared


ID_AML_GRP_COLOR

-

Propriétés de définition des couleurs dans la liste d'alarmes.

Plus de détails dans l'aide en ligne

This function is to be addressed for the zenon API (with class name) and in XML export (without class name) as follows: "AML_Color"


ID_AML_GRP_DEL

Alarme supprimée

Propriétés de l'affichage de l'indication Alarm deleted (Alarme supprimée) dans la liste d'alarmes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_AML_Deleted


ID_AML_GRP_IMAGE

-

Propriétés des paramètres graphiques de la liste d'alarmes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :


ID_AML_GRP_MEM

Stockage des données d'alarmes

Propriétés de l'enregistrement d'alarmes dans la mémoire principale et sur le disque dur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_AML_Mem


ID_AML_GRP_QUIT

Date/heure d'acquittement

Propriétés de l'affichage de l'indication Alarm ackownledged (Alarme acquittée) dans la liste d'alarmes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_AML_Acknowledged


ID_AML_GRP_RECIVED

Date/heure d'apparition

Propriétés de l'affichage de l'indication Alarm received (Alarme reçue) dans la liste d'alarmes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_AML_Received


ID_AML_GRP_STATUSBAR

Ligne d'état des alarmes

Propriétés de la ligne d'état de la fenêtre Gestion des alarmes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_AML_StatusBar


ID_AML_IMAGE_DEL

Fichier graphique pour l'état

Sélectionnez un fichier graphique correspondant à l'état Alarm deleted (Alarme supprimée). Vous pouvez afficher ce fichier dans le Runtime, dans la liste d'alarmes, à la place de la couleur sélectionnée pour l'état. Pour cela, affichez le type dans le filtre de la liste AML dans l'onglet Paramétrage des colonnes, sélectionnez le type d'affichage Fichier graphique pour la colonne d'état de l'alarme.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmImageDel


ID_AML_IMAGE_GEHT

Fichier graphique pour l'état

Sélectionnez un fichier graphique correspondant à l'état Alarm cleared (Alarme désactivée). Vous pouvez afficher ce fichier dans le Runtime, dans la liste d'alarmes, à la place de la couleur sélectionnée pour l'état. Pour cela, affichez le type dans le filtre de la liste AML dans l'onglet Paramétrage des colonnes, sélectionnez le type d'affichage Fichier graphique pour la colonne d'état de l'alarme.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmImageClr


ID_AML_IMAGE_KOMMT

Fichier graphique pour l'état

Sélectionnez un fichier graphique correspondant à l'état Alarm received (Alarme reçue). Vous pouvez afficher ce fichier dans le Runtime, dans la liste d'alarmes, à la place de la couleur sélectionnée pour l'état. Pour cela, affichez le type dans le filtre de la liste AML dans l'onglet Paramétrage des colonnes, sélectionnez le type d'affichage Fichier graphique pour la colonne d'état de l'alarme.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmImageRec


ID_AML_IMAGE_QUIT

Fichier graphique pour l'état

Sélectionnez un fichier graphique correspondant à l'état Alarm cleared (Alarme désactivée). Vous pouvez afficher ce fichier dans le Runtime, dans la liste d'alarmes, à la place de la couleur sélectionnée pour l'état. Pour cela, affichez le type dans le filtre de la liste AML dans l'onglet Paramétrage des colonnes, sélectionnez le type d'affichage Fichier graphique pour la colonne d'état de l'alarme.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmImageAkn


ID_AML_LISTENTRY

Paramétrage colonnes alarmes

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Ouvre la boîte de dialogue de définition des colonnes affichées dans la liste d'alarmes.
Ces paramètres sont les paramètres par défaut de la liste d'alarmes, du filtre de liste d'alarmes et de la ligne d'état d'alarmes. Ces paramètres par défaut peuvent être modifiés lors de la définition de chaque fonction d'alarme.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmListEntry


ID_AML_LST_STYLE

Entête alarmes

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Pas d'en-tête : dans la liste d'alarmes, aucun en-tête comportant un intitulé de colonne n'est affiché dans le Runtime.

Entête fixe : un en-tête fixe, comportant les intitulés de colonne correspondants, est affiché dans la liste d'alarmes.

actions autorisées sur entêtes de colonne : Un en-tête modifiable, comportant les intitulés de colonne correspondants, est affiché dans la liste d'alarmes. Les colonnes individuelles peuvent être déplacées et leurs largeurs peuvent être personnalisées dans le Runtime. Vous pouvez effectuer un tri selon la colonne de votre choix.

Attention : les paramètres Pas d'entête et Actions autorisées sur entêtes de colonne n'ont aucun effet dans le Runtime si, pour l'élément de liste du synoptique de liste d'alarmes, la propriété Paramètres du graphique étendu est inactive ou si les paramètres de projet définis dans la propriété Qualité graphique du groupe Apparence graphique sont désactivés.
Par défaut : actions autorisées sur entêtes de colonne

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmHeader


ID_AML_MEMCOUNT

Taille de la mémoire circulaire (buffer circulaire)

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Nombre maximum d'entrées de la mémoire circulaire.

Minimum : 1
Maximum : 32767
Par défaut : 100

Recommandation : définir une taille au moins égale au nombre de variables pour lesquelles des alarmes peuvent se déclencher.

Attention : la taille de la mémoire circulaire doit toujours être choisie de manière adéquate. Dans le Runtime, la mémoire circulaire est gérée de manière dynamique dans la mémoire. Ainsi, des alarmes dépassant la taille de la mémoire circulaire peuvent être affichées. Dans le fichier d'enregistrement de la mémoire circulaire (alarm.bin), les alarmes sont enregistrées jusqu'à ce que le nombre défini soit atteint. Toutes les entrées sont également insérées dans le fichier d'alarmes (*.aml) situé dans le dossier de Runtime. Les deux fichiers sont synchronisés. En cas de dépassement de capacité de la mémoire circulaire, des entrées non acquittées peuvent être insérées dans le fichier d'alarme.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmMemCount


ID_AML_MITREAKTZEIT

Utiliser heure de réactivation

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Actif : Si une même alarme se déclenche plusieurs fois d'affilée, une seule ligne est affichée dans la liste d'alarmes. Des informations supplémentaires (par ex., compteur d'alarmes) peuvent être affichées dans la liste.
Inactif : chaque alarme reçoit sa propre ligne dans la liste d'alarmes.
Par défaut : inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmTimeReactive


ID_AML_MSG1

Texte message 1

Disponible uniquement si la propriété Nombre d'alarmes Message 1 est supérieure à 0.
Texte du message correspondant à la propriété Nombre d'alarmes Message 1, affiché dans la ligne d'état dans le Runtime. Ce message est affiché en texte blanc sur fond bleu, et se superpose à la ligne d'état de l'alarme.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmMsg1


ID_AML_MSG2

Texte message 2

Disponible uniquement si la propriété Nombre d'alarmes Message 2 est supérieure à 0.
Texte du message correspondant à la propriété Nombre d'alarmes Message 2, affiché dans la ligne d'état dans le Runtime. Ce message est affiché en texte blanc sur fond bleu, et se superpose à la ligne d'état de l'alarme.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmMsg2


ID_AML_MSG3

Texte message 3

Disponible uniquement si la propriété Nombre d'alarmes Message 3 est supérieure à 0.
Texte du message correspondant à la propriété Nombre d'alarmes Message 3, affiché dans la ligne d'état dans le Runtime. Ce message est affiché en texte blanc sur fond bleu, et se superpose à la ligne d'état de l'alarme.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmMsg3


ID_AML_ONLY_STACK

Enregistrer les données d'alarmes

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Mémoire circulaire uniquement : seules les alarmes actives (alarm.bin) sont enregistrées sur le disque dur.
Mémoire circulaire et données historiques : Les alarmes historiques (*.aml) sont également enregistrées.
Par défaut : sur les plates-formes CE, seule la mémoire circulaire (alarm.bin) est enregistrée sur le disque dur ; sur PC, les entrées historiques (*.aml) sont également enregistrées.
Par défaut : Par défaut :
Les fichiers (alarm.bin et *.aml) sont enregistrés dans le dossier \dossier du projet\nom de l'ordinateur\nom du projet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AmlOnlyStack


ID_AML_QUIT_PREF

Préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Saisissez un préfixe qui sera affiché à gauche de l'information d'horodatage des alarmes acquittées. Le préfixe aide à identifier rapidement l'information d'horodatage de Date/heure d'acquittement. Si l'entrée est vide, aucun préfixe n'est affiché.

Par défaut : --

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmPrefQuit


ID_AML_QUIT_PREF_IMAGE

Fichier graphique pour le préfixe

Disponible uniquement si la propriété Gestion d'alarmes active est active.

Définissez un fichier qui sera affiché à gauche de l'information d'horodatage de l'alarme acquittée, conjointement à ou à la place de Préfixe. Le fichier graphique aide à identifier rapidement l'information d'horodatage de Date/heure d'acquittement. Si vous définissez un fichier conjointement à Préfixe, celui-ci sera affiché à la gauche du préfixe.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmPrefImageQuit


ID_AML_QUITINCEL

Acquittement d'alarme

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Actif : si une alarme est acquittée, une entrée est créée dans la liste chronologique d'événements (CEL).Inactif :
Inactif : l'acquittement d'une alarme ne déclenche pas une entrée dans la liste chronologique d'événements.
Par défaut : inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmCELAcknowledge


ID_AML_STATUS_AKTIV

Ligne d'état active

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Actif : dès qu'une alarme se produit, une ligne d'état rouge présentant des informations sur l'alarme est affichée en haut de l'écran dans le Runtime. Dans cette ligne d'état, l'alarme peut également être acquittée avec un double-clic droit si l'utilisateur connecté dispose des autorisations correspondantes.
Inactif : aucune ligne d'état n'est affichée.
Par défaut : active

Avertissement concernant la gestion multi-projet : la configuration dans le projet d'intégration définit le comportement des sous-projets, indépendamment de la configuration des sous-projets. La ligne d'état des alarmes du projet de niveau supérieur est toujours utilisée dans le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmStatusActive


ID_AML_STATUS_DISPLAY

Visualisation

Disponible uniquement si la propriété Ligne d'état active est active.
Alarme la plus ancienne : selon la configuration de la propriété afficher suivante, seule l'alarme la plus ancienne non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).
Dernière alarme : selon la configuration de la propriété afficher suivante, seule l'alarme la plus récente non encore acquittée est affichée dans la ligne d'état dans le Runtime (inactive), ou l'alarme la plus ancienne est affichée la première (active).
Par défaut : Alarme la plus ancienne

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmStatusDisplay


ID_AML_STATUS_FONT

Police

Disponible uniquement si la propriété Ligne d'état active est active.
Police utilisée pour la ligne d'état dans le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmStatusFont


ID_AML_STATUS_SUBSEQ

afficher suivante

Disponible uniquement si la propriété Ligne d'état active est active.
Actif : toutes les alarmes non acquittées sont affichées les unes après les autres dans la ligne d'état dans le Runtime. Dès qu'une alarme est acquittée avec un double-clic droit, l'alarme suivante est affichée. Selon la configuration de la propriété Visualisation, l'alarme la plus ancienne ou la plus récente est affichée la première.
Inactif : seule une alarme est affichée dans la ligne d'état. La ligne d'état est vide lorsque l'alarme a été acquittée.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmStatusAlign


ID_AUTOLOGOFFTIME

Temps [min]

Temps d'inactivité après lequel un utilisateur est automatiquement déconnecté (en minutes).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AutoLogoutTime


ID_AUTOLOGOUT

Activer logout automatique

Actif : L'utilisateur est automatiquement déconnecté après le temps d'inactivité défini.
Inactif : L'utilisateur n'est pas automatiquement déconnecté par le système.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AutoLogout


ID_BACKUP_FILE_NAME

Nom de fichier

Nom du fichier de sauvegarde.
Par défaut : AAAA-MM-JJ_hh-mm-ss Nomduprojet.zip.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_BiffiDCM_NV

-

L'indice NV concerne uniquement les données de nœud.

Saisissez ici l'indice de variable de réseau (NVI/NVO) de la variable.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NV-Index


ID_BiffiDCM_SENDDIRECT

-

Ce paramètre concerne uniquement les données de nœud.

Ici, vous pouvez spécifier si une valeur définie sera transférée au DCM directement, ou via une mémoire tampon.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Send_direct


ID_BiffiDCM_TRANSIENT

-

Ce paramètre concerne uniquement les données de nœud.

Ici, vous pouvez spécifier si une valeur actuelle reçue par le biais d'un événement de commande sera automatiquement réinitialisée à 0 par le pilote (informations transitoires, par ex. ICON2K Ouvrir, Fermer, Arrêter)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Transient


ID_BURPVI_ADDRESS

-

Le nom de la variable de l'automate. Ce nom est généré à partir du nom de la tâche/nom de la variable. Pour les variables globales : Uniquement le nom de la variable :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BURPVI_ADDRESS


ID_BURPVI_GROUP

-

Informations d'adressage pour le driver Bernecker und Reiner PVI (BURPVI)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_PVI_Address


ID_BURPVI_VL_LENGTH

-

Longueur de la variable en octets.
Pour les variables uniques, la longueur de la variable est égale à la longueur des données du procédé. Pour les variables de terrain, la longueur de la variable détermine la longueur de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BURPVI_VL_LENGTH


ID_BURPVI_VN_ELEMENTS

-

Nombre d'éléments des variables de terrain.
Pour les variables de terrain multidimensionnelles, le nombre d'éléments de toutes les dimensions de terrain est indiqué (par exemple : var[10][5] => VN =50).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BURPVI_VN_ELEMENTS


ID_BURPVI_VT_TYPE

-

Type de variable dans l'automate. Les valeurs utilisables sont décrites dans le manuel en ligne. En utilisant un type de données déviant dans zenon, il est possible de déclencher la création définitive d'un type.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BURPVI_VT_TYPE


ID_CEL_AKTIV

Gestion des événements active

Actif : la liste chronologique d'événements (CEL) est active dans le Runtime. Les événements sont consignés et la liste CEL est disponible.
Inactif : aucun événement n'est enregistré.
Par défaut : active

Remarque : Les modifications prennent effet après le redémarrage du Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CELAdminActive


ID_CEL_ARCHIVE_CHANGE

Données d'archive

Disponible uniquement si la propriété Gestion des événements active est active.
Pas de traitement : l'édition des archives est consignée dans la liste CEL.
Enregistrer les modifications : lors de l'édition d'archives, le nom de l'archive, le nom de la variable, les valeurs ancienne et nouvelle et les informations d'horodatage sont consignées dans la liste CEL.
Par défaut : Pas de traitement

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ArchiveChangeToCEL


ID_CEL_CLS_COLOR

Couleur de classe d'alarmes/d'événements

Disponible uniquement si la propriété Gestion des événements active est active.
ne pas utiliser : Les couleurs des classes d'alarmes/d'événements ne sont pas utilisées dans la liste CEL dans le Runtime.
comme couleur de texte : les couleurs des classes d'alarmes/d'événements sont utilisées comme couleur de texte des entrées correspondantes dans la liste CEL dans le Runtime. Elles remplacent la sélection de la propriété texte trié.
comme arrière-plan des lignes : Les couleurs des classes d'alarmes/d'événements sont utilisées comme couleurs d'arrière-plan des entrées correspondantes dans la liste CEL dans le Runtime.
Par défaut : Comme couleur de texte

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CELClsColor


ID_CEL_COLOR_SORT

texte trié

Disponible uniquement si la propriété Gestion des événements active est active.

Définit la couleur du texte de l'entrée dans la liste chronologique d'événements (CEL).
Conseils :

1. Si vous choisissez l'option Comme couleur de texte pour la propriété Couleur de classe d'alarmes/d'événements, cette couleur est prioritaire pour la sélection dans texte trié.

2. Pour SICAM 230 : pour utiliser la même couleur partout dans la liste, vous devez sélectionner la même couleur pour la propriété texte non trié.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CELColorSort


ID_CEL_COLOR_UNSORT

texte non trié

Disponible uniquement si la propriété Gestion des événements active a été activée, et uniquement pour SICAM 230.
Couleur du texte des entrées non triées de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CELColorUnsort


ID_CEL_GRP_ALLGEMEIN

Enregistrements (log)

Propriétés générales de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_CEL_Common


ID_CEL_GRP_COLOR

Couleurs des entrées de la liste d'événements

Propriétés de définition des couleurs de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_CEL_Color


ID_CEL_GRP_MEM

Stockage des événements

Propriétés de l'enregistrement des entrées de la liste chronologique d'événements (CEL) dans la mémoire principale et sur le disque dur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_CEL_Mem


ID_CEL_LISTENTRY

Paramétrage colonnes liste d'événements

Disponible uniquement si la propriété Gestion des événements active est active.
La boîte de dialogue de configuration des colonnes de la liste CEL est affichée.
Ces paramètres sont les paramètres par défaut, et peuvent être modifiés lors de la configuration des différentes fonctions de la liste CEL.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CELListEntry


ID_CEL_LST_STYLE

Entête liste d'événements

Disponible uniquement si la propriété Gestion des événements active est active.
Pas d'en-tête : Dans la liste chronologique d'événements, aucun en-tête comportant un intitulé de colonne n'est affiché dans le Runtime.
Entête fixe : Un en-tête fixe, comportant les intitulés de colonne correspondants, est affiché dans la liste CEL.
actions autorisées sur entêtes de colonne : un en-tête configurable, comportant les intitulés de colonne correspondants, est affiché dans la liste CEL dans le Runtime. Vous pouvez déplacer les colonnes dans le Runtime, en modifier la largeur et les trier selon les colonnes.
Par défaut : actions autorisées sur entêtes de colonne

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CELHeader


ID_CEL_MEMCOUNT

Taille de la mémoire circulaire (buffer circulaire)

Disponible uniquement si la propriété Gestion des événements active est active.
Taille de la mémoire circulaire de la liste CEL. En cas de dépassement de capacité de la mémoire circulaire (cel.bin), les entrées sont transférées vers l'archive CEL (*.cel).
Minimum : 1
Maximum : 32767
Par défaut : 100

Remarque : dans le Runtime, il est possible que le nombre d'entrées affiché soit supérieur au nombre défini, car les anciennes entrées sont uniquement supprimées de la liste CEL lors de la mise à jour de la liste.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CELMemCount


ID_CEL_ONLY_STACK

Enregistrer les événements

Disponible uniquement si la propriété Gestion des événements active est active.
Mémoire circulaire et données historiques : toutes les entrées de la liste CEL (*.cel) sont enregistrées.

Only ring buffer (Mémoire circulaire uniquement) : seul un nombre défini d'entrées de la liste CEL (cel.bin) sont enregistrées. Ce nombre est défini par le biais de la propriété Taille de la mémoire circulaire (buffer circulaire).
Par défaut : sur les plates-formes CE, seule la mémoire circulaire (cel.bin) est enregistrée sur le disque dur ; sur PC, les entrées historiques (*.cel) sont également enregistrées.
Par défaut : Défaut
Les fichiers (cel.bin et *.cel) sont enregistrés dans le répertoire \dossier du projet\nom de l'ordinateur\nom du projet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CelOnlyStack


ID_CEL_RECIPE_CHANGE

Modification de recettes

Disponible uniquement si la propriété Gestion des événements active est active.
Pas de traitement : la modification de recettes standard et de recettes dans le module Gestionnaire de groupes de recettes (RGM) n'est pas consignée dans la liste CEL.
Enregistrer les recettes : en cas de modification d'une recette, celle-ci est enregistrée avec le nom de la recette modifiée dans la liste CEL.
Enregistrer les recettes et valeurs : en cas de modification d'une recette, celle-ci est enregistrée avec le nom de la recette modifiée et le nom des anciennes et nouvelles valeurs des variables modifiées dans la liste CEL.
Par défaut : Pas de traitement

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RecipeChangeToCEL


ID_CEL_RECIPE_WRITE

Envoi de recettes

Disponible uniquement si la propriété Gestion des événements active est active.
Pas de traitement : Pas de traitement : la modification de recettes standard et de recettes dans le module Gestionnaire de groupes de recettes (RGM) n'est pas consignée dans la liste CEL.
Enregistrer les recettes : En cas de modification d'une recette, celle-ci est enregistrée avec le nom de la recette modifiée dans la liste CEL.
Enregistrer les recettes et valeurs : en cas d'écriture d'une recette, celle-ci est enregistrée avec le nom de la recette et le nom des anciennes et nouvelles valeurs des variables dans la liste CEL.
Par défaut : Pas de traitement

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RecipeWriteToCEL


ID_CEL_SPONTAN

Mettre à jour automatiquement

Disponible uniquement si la propriété Gestion des événements active est active.
Actif : lorsque la liste CEL est ouverte dans le Runtime, de nouveaux événements sont immédiatement ajoutés lorsqu'ils se produisent.
Inactif : lorsque la liste CEL est ouverte, aucune nouvelle entrée n'est ajoutée. Les nouvelles entrées sont ajoutées lors de la prochaine ouverture de la liste CEL.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CELSpontan


ID_CEL_SYSMSGPRT

Imprimer messages système

Actif : lors de l'impression en ligne, les messages système sont également imprimés.
Inactif : lors de l'impression en ligne, les messages système ne sont pas imprimés.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CELSysMsgPrint


ID_CEL_VERWALTUNG

-

La boîte de dialogue de configuration de la liste chronologique d'événements (CEL) s'affiche.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CELAdministration


ID_CHANGELOG_COMMENT

Commentaire

Commentaires associés à l'entrée sélectionnée dans l'historique des modifications.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Comment


ID_CHANGELOG_FILTER_DATASETS

-

Nombre maximum d'entrées affichées dans la vue de liste.
Minimum : 0.
Ceci signifie que toutes les entrées sont affichées.
Maximum : 2147483647.
Par défaut : 1000.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Datens?tze


ID_CHANGELOG_FILTER_PROP_GRP0

-

Propriétés du filtrage avancé de l'historique des modifications.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :


ID_CHANGELOG_FILTER_TIME_MAX

-

Disponible uniquement si la propriété est active.
Heure la plus récente des entrées affichées.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TimestampMax


ID_CHANGELOG_FILTER_TIME_MIN

-

Disponible uniquement si la propriété est active.
Heure la moins récente des entrées affichées.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TimestampMin


ID_CHANGELOG_FILTER_TIMERANGE

-

Actif : Les entrées peuvent être filtrées en fonction d'une plage de temps.
Inactif : Les entrées ne peuvent pas être filtrées en fonction d'une plage de temps.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TimeRange


ID_CHANGELOG_PROP_GRP0

Général

Propriétés générales des entrées dans l'historique des modifications.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_COLOR_COLOR_GRP

Couleur

Contient toutes les propriétés des couleurs de la palette.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Color


ID_COLOR_COLOR_NAME

Identification

Nom de la couleur.

Par défaut : Couleur suivi d'un numéro d'indice, par exemple Couleur 1.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ColorName


ID_COLOR_COLOR_VALUE

Couleur

Permet de sélectionner ou définir la couleur. Cliquez sur ... pour ouvrir la palette de sélection d'une couleur. La couleur peut être saisie directement dans le champ sous forme de code hexadécimal.

Par défaut : blanc (#FFFFFF)

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ColorValue


ID_COLOR_PALETTE_GRP

Palette

Contient les propriétés de la palette.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Palette


ID_COLORRAHMEN

Couleur cadre

Détermine la couleur du cadre de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton .... Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BorderColor


ID_COMPLEXITEM_BITOFFSET

Décalage bit

Numéro de bit de l'élément structurel dans la structure.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BitOffset


ID_COMPLEXITEM_HASREF

Lié au type de données

Actif : L'élément est lié au type de données de base. Les modifications apportées au type de données de base ont une incidence directe sur l'élément. Les propriétés de l'élément ne peuvent plus être modifiées.
Inactif : L'élément n'est plus lié au type de données de base.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HasRef


ID_COMPLEXITEM_INDEX

Pos. dans la structure

Position de la variable dans la structure.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ItemIndex


ID_COMPLEXITEM_OFFSET

Offset

Décalage de l'élément structurel dans la structure.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Offset


ID_DELUSER

Supprimer utilisateurs

Actif : La suppression d'un utilisateur dans le Runtime est autorisée.
Inactif : Les utilisateurs peuvent uniquement être marqués comme supprimés. L'utilisateur reste présent dans la liste d'utilisateurs, mais n'est plus valide dans le Runtime (conformément aux directives de la FDA).
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DelUser


ID_DISABLEDBUTTONS

Boutons protégés

Disponible uniquement si la propriété Login temporaire actif est inactive.
Détermine l'apparence des boutons verrouillés en fonction de la configuration des autorisations d'utilisation. Dans le Runtime, cet élément est associé à la propriété Boutons verrouillés (Apparence graphique) pour autoriser l'utilisation des touches.

Formats possibles :

  • Grisé
  • Normal
  • Invisible

Par défaut : Normal

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DisabledButtonStyle


ID_DRV_KNOTEN

Connexion au driver

Propriétés spécifiques au driver de la variable.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_DriverConnection


ID_DRV_STRAT_CREATE

Editer

Disponible uniquement si un driver de procédé a été sélectionné, le nom du projet est valide et un seul driver a été sélectionné. Indisponible pour la variable du driver de simulateur.

Un clic ouvre le projet de simulation dans l'espace de travail de zenon Logic. Si aucun projet de simulation n'existe pour ce driver, il est créé automatiquement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CreateSimulPrj


ID_DRV_STRAT_DEL

Supprimer

Disponible seulement si un projet de simulation a été défini et qu'un seul driver a été sélectionné.

Supprime le projet de simulation après une demande de confirmation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DelSimulPrj


ID_DRV_STRAT_EV_PORT

Port d'événements

Disponible uniquement si un projet de simulation a été créé.

Port TCP/IP utilisé pour les échanges de données spontanés. Le numéro de port doit être unique, ne doit pas être utilisé dans le projet et doit être disponible sur l'ordinateur sur lequel est exécuté le driver. Lors de la création de la simulation, un numéro de port distinct est attribué automatiquement.

Remarque : Un numéro de port attribué automatiquement est seulement unique pour le projet correspondant. Pour les projets multi-hiérarchiques, vous devez vérifier cela de façon à éviter les erreurs de communication avec le module Workbench/le Runtime de zenon Logic.

Minimum : 6001 (en cas d'attribution automatique, recommandé en cas d'attribution manuelle)

Maximum : 6998 (en cas d'attribution automatique, recommandé en cas d'attribution manuelle)

Par défaut : 6001

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SimulEvPort


ID_DRV_STRAT_GRP

Projet de simulation pour le driver

Contient toutes les propriétés de configuration de Simulation - programmée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Simulation


ID_DRV_STRAT_NAME

Nom

Nom du projet de simulation. Si aucun nom valide n'est disponible au démarrage de l'espace de travail de zenon Logic, un nom est attribué automatiquement. Le nom est constitué du nom du driver et de sa description.

Conditions de validité des noms :

- non vides

- uniques dans le projet

- constitués uniquement de caractères autorisés dans zenon Logic ; les caractères suivants sont interdits : /\:*?<>!|"

Minimum : 1 caractères.

Maximum : 15 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SimulName


ID_DRV_STRAT_PORT

Port standard

Disponible uniquement si un projet de simulation a été créé.

Port TCP/IP pour les communications avec l'espace de travail zenon Logic. Le numéro de port doit être unique, ne doit pas être utilisé dans le projet et doit être disponible sur l'ordinateur sur lequel s'exécute le driver. Lors de la création de la simulation, un numéro de port distinct est attribué automatiquement.

Remarque : Un numéro de port attribué automatiquement est seulement unique pour le projet correspondant. Pour les projets multi-hiérarchiques, vous devez vérifier cela de façon à éviter les erreurs de communication avec le module Workbench/le Runtime de zenon Logic.

Minimum : 6000 (en cas d'attribution automatique, recommandé en cas d'attribution manuelle)

Maximum : 6999 (en cas d'attribution automatique, recommandé en cas d'attribution manuelle)

Par défaut : 6000

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SimulPort


ID_DYN_PROP_BLINKVAR

Prendre le clignotement de la limite

Variables dont les paramètres de clignotement de l'élément aux valeurs limites doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Contrairement au clignotement normal, l'élément clignote dans son intégralité (et non seulement la valeur affichée).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BlinkVariable


ID_DYN_PROP_GLOWEFFECT_BLINKVAR

Variable pour le clignotement

Variables dont les paramètres de clignotement de l'effet de luminescence aux valeurs limite doivent être repris. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffectBlinkVariable


ID_DYN_PROP_GLOWEFFECT_GLOWCOLOR_VARIABLE

Variable pour la couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de l'effet de luminescence pour l'élément. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte. Si aucune variable n'est liée, la couleur définie dans la propriété Couleur est utilisée.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffectGlowColorVariable


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_AUSGRENZWERT

Visibilité depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité.

Actif : la visibilité de l'effet de luminescence est influencée par la propriété de limite de la variable.

Attention : pour une limite de la variable au moins, la propriété Invisible doit être active.

Inactive : la visibilité est influencée par les propriétés de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffectVisibilityFromLimit


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_BIS

Visible jusqu'à

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur jusqu'à laquelle l'effet de luminescence reste visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffectVisibilityTo


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VARIABLE

Variable pour la visibilité

Disponible uniquement si la propriété Activer est active.

Nom de la variable dont la valeur influence la visibilité de l'effet de luminescence. La visibilité est soit reprise des propriétés de limite de cette variable (propriété Visibilité depuis les limites active), soit définie par la plage de valeurs définie dans les propriétés Visible de et Visible jusqu'à. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.

Remarque : si aucune variable n'est liée, l'effet de luminescence est toujours visible.

Par défaut : aucune variable liée

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffectVisibilityVariable


ID_DYN_PROP_GLOWEFFECT_SICHTBARKEIT_VON

Visible de

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour la visibilité ; la propriété Visibilité depuis les limites doit être inactive.

Définit la valeur à partir de laquelle l'effet de luminescence devient visible.
Minimum : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.
Maximum : valeur la plus élevée autorisée pour la variable liée dans Variable pour la visibilité.
Par défaut : valeur la plus basse autorisée pour la variable liée dans Variable pour la visibilité.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffectVisibilityFrom


ID_DYN_PROP_GLOWEFFECT_USEBLINKCOLOR

Clignotement depuis les limites

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement.

Actif : Reprend, pour l'effet de luminescence, la couleur de clignotement de la valeur limite active pour la variable définie dans la propriété Couleur de clignotement de la limite. Cette propriété agit indépendamment de la propriété Coloration. En cas de clignotement, l'effet de luminescence ne devient pas invisible, mais reprend les paramètres de l'effet de luminescence actif.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffectUseBlinkColor


ID_DYN_PROP_USEBLINKCOLOR

Couleur de clignotement de la limite

Actif : Reprend la couleur d'arrière-plan du clignotement défini pour la limite active de la variable pour Prendre le clignotement de la limite. Durant le clignotement, l'élément ne devient pas invisible, mais reprend la couleur d'arrière-plan active.

Par défaut : Inactive

Remarque : la couleur n'est pas prise en compte si la couleur d'arrière-plan Transparent est configurée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UseBlinkColor


ID_DYNPICTURE_DONTRESIZEELEMS

Ne pas adapter l'élément à la résolution de l'écran

Actif : les éléments présents dans le synoptique ne sont pas automatiquement adaptés à la résolution de l'écran, mais conservent la position et la taille définies dans l'Éditeur.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DontResizeElements


ID_DYNPICTURE_MULTITOUCH

'Multi-touche' pour le zoom et le déplacement

Actif : Pour les fonctions de zoom et de défilement dans la vue globale, vous pouvez utiliser des gestes MultiTouch, même s'ils n'ont pas été programmés dans VSTA. Si cette propriété est active, aucun événement VBA/VSTA n'est créé pour le mode MultiTouch.

Disponible uniquement si la propriété Multi-Touche actif est inactive et la propriété Dimension du gabarit n'est pas activée.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MultiTouch


ID_DYNPICTURE_MULTITOUCH_GROUP

Intéraction

Propriétés de configuration de l'interaction dans le Runtime.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Interaction


ID_DYNPICTURE_MULTITOUCH_MOVE

-

Disponible uniquement si la propriété Dimension du gabarit a été désactivée et la propriété Reconnaissance du projet est définie sur Windows 8.

Définit les réactions au geste Déplacer. Sélectionnez dans la liste déroulante :

  • Déplacer le contenu : le contenu peut être déplacé horizontalement et verticalement. La direction est définie par les propriétés - et -.
  • Absence de réaction

Par défaut : Déplacer le contenu

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MultiTouchMove


ID_DYNPICTURE_MULTITOUCH_MOVE_HOR

-

Disponible uniquement si le paramètre Déplacer le contenu a été sélectionné pour la propriété -.

Définit si le contenu peut être déplacé horizontalement. Sélectionnez dans la liste déroulante :

  • Déplacer horizontalement : Le contenu peut être déplacé horizontalement.
  • Absence de réaction

Par défaut : Déplacer horizontalement

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MultiTouchMoveHor


ID_DYNPICTURE_MULTITOUCH_MOVE_VER

-

Disponible uniquement si le paramètre Déplacer le contenu a été sélectionné pour la propriété -.

Définit si le contenu peut être déplacé verticalement. Sélectionnez dans la liste déroulante :

  • Déplacer verticalement : Le contenu peut être déplacé verticalement.
  • Absence de réaction

Par défaut : Déplacer verticalement

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MultiTouchMoveVer


ID_DYNPICTURE_MULTITOUCH_ZOOM

-

Disponible uniquement si la propriété Dimension du gabarit a été désactivée et la propriété Reconnaissance du projet est définie sur Windows 8.

Définit la réaction au geste Agrandir. Sélectionnez dans la liste déroulante :

  • Agrandir le contenu
  • Absence de réaction

Par défaut : Agrandir le contenu

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MultiTouchZoom


ID_DYNPICTURE_PROP1

Nom de fichier

Nom de fichier du synoptique.
Ce nom de fichier est généré automatiquement par le système et ne peut pas être modifié.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_DYNPICTURE_PROP2

Gabarit

S'adapte au gabarit lié sans convertir les éléments aux nouvelles dimensions du synoptique (agrandissement ou réduction).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Template


ID_DYNPICTURE_PROP3

Type de synoptique

Standard : type de synoptique utilisé pour la création de synoptiques de procédé. Tous les éléments vectoriels et dynamiques peuvent être utilisés.
Types de synoptiques spéciaux : les synoptiques qui ne sont pas du type "Standard" ne doivent être créés qu'une seule fois ; ils peuvent ensuite être ouverts avec différentes données via les paramètres de filtre spéciaux de la fonction Appel de synoptique. Après avoir sélectionné un type de synoptique particulier, les éléments de contrôle associés au type de synoptique deviennent accessibles dans le menu.

Attention : Lorsque vous modifiez le type de synoptique de "Standard" en un type de synoptique spécial, ce choix est définitif et ne peut plus être modifié par la suite.

Par défaut : Standard

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Type


ID_DYNPICTURE_PROP4

Arrière-plan (couleur)

Détermine la couleur d'arrière-plan du synoptique. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....
Par défaut : Couleur du cadre.
Remarque : la couleur du cadre est reprise en copie et n'est pas liée. Si vous modifiez ultérieurement la couleur du cadre, cette modification n'aura aucune incidence sur les synoptiques existants, mais uniquement sur les nouveaux synoptiques créés.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackgroundColor


ID_DYNPICTURE_PROP5

X de

Coordonnée X du coin supérieur gauche du synoptique (en unités logiques). Cette propriété n'est fournie qu'à titre d'information et ne peut pas être modifiée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinX


ID_DYNPICTURE_PROP6

X jusqu'à

Coordonnée Y du coin inférieur droit du synoptique (en unités logiques). Cette propriété n'est fournie qu'à titre d'information et ne peut pas être modifiée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxX


ID_DYNPICTURE_PROP7

Y de

Coordonnée Y du coin supérieur gauche du synoptique (en unités logiques). Cette propriété n'est fournie qu'à titre d'information et ne peut pas être modifiée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinY


ID_DYNPICTURE_PROP8

Y jusqu'à

Coordonnée Y du coin inférieur droit du synoptique (en unités logiques). Cette propriété n'est fournie qu'à titre d'information et ne peut pas être modifiée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxY


ID_DYNPICTURE_PROP9

Hauteur [pixels]

Disponible uniquement si la propriété Dimension du gabarit est inactive.
Hauteur du synoptique en pixels.

Remarque : les tailles inférieures à la taille du cadre sont ignorées. Si la taille des synoptiques est définie sur une valeur supérieure à celle du cadre, ils basculent vers la vue globale ; un synoptique supplémentaire de type Vue globale est alors nécessaire aux fins de la navigation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Height


ID_DYNPICTURE_PROP10

Largeur [pixels]

Disponible uniquement si la propriété Dimension du gabarit est inactive.
Largeur d'un synoptique en pixels.

Remarque : les tailles inférieures à la taille du cadre sont ignorées. Si la taille des synoptiques est définie sur une valeur supérieure à celle du cadre, ils basculent vers la vue globale ; un synoptique supplémentaire de type Vue globale est alors nécessaire aux fins de la navigation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Width


ID_DYNPICTURE_PROP11

Fonction à l'ouverture

Fonction exécutée automatiquement lors de l'ouverture d'un synoptique dans le Runtime.
Ouvre la boîte de dialogue de sélection de fonctions.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StartFunction


ID_DYNPICTURE_PROP12

Fonction à la fermeture

Fonction exécutée automatiquement lors de la fermeture d'un synoptique dans le Runtime.
Ouvre la boîte de dialogue de sélection de fonctions.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

Attention : Ouvrir un autre synoptique basé sur le même gabarit ferme automatiquement ce synoptique et par conséquent, la fonction liée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EndFunction


ID_DYNPICTURE_PROP13

Dimension du gabarit

Actif : la taille et la position du synoptique sont définies par le cadre lié.
Inactif : la largeur et la hauteur du synoptique peuvent être définies sur une valeur supérieure à celle du cadre. La position du coin supérieur gauche est toujours définie par le cadre.
Par défaut : active.

Remarque : les tailles inférieures à la taille du cadre sont ignorées. Si la taille des synoptiques est définie sur une valeur supérieure à celle du cadre, ils basculent vers la vue globale ; un synoptique supplémentaire de type Vue globale est alors nécessaire aux fins de la navigation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SizeFromTemplate


ID_DYNPICTURE_PROP14

Dialogue modal

Actif : Aussi longtemps que ce synoptique est ouvert dans le Runtime, aucun autre synoptique ne peut être utilisé parallèlement (par exemple pour créer un synoptique de connexion). Les synoptiques ouverts à partir de ce synoptique peuvent être utilisés.
Inactif : Les synoptiques peuvent être utilisés normalement.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Modal


ID_DYNPICTURE_PROP15

Visible sous CE

Actif : Le synoptique est également visible dans Windows CE.
Inactif : Le synoptique n'est pas affiché dans Windows CE.
Par défaut : active

Ainsi, dans les réseaux comportant des PC et des terminaux CE, les fonctionnalités non prises en charge par Windows CE peuvent être utilisées sur les PC sans générer de problèmes sur les terminaux CE.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowInCE


ID_DYNPICTURE_PROP16

Fichier graphique

Sélection du fichier graphique d'arrière-plan qui sera affiché au dernier niveau d'arrière-plan du synoptique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackgroundPic


ID_DYNPICTURE_PROP17

Alignement

Uniquement disponible lorsque vous avez sélectionné l'élément Fichier graphique.
Affiche le type d'élément graphique d'arrière-plan sur le synoptique :
Normal : taille d'origine, positionné dans le coin supérieur gauche.
Centré : taille d'origine, centré au milieu du synoptique.
Étiré : étiré à la taille du synoptique.
Mosaïque : taille d'origine, affiché sous forme de "carreaux" positionnés côte à côte.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackgroundPicStyle


ID_DYNPICTURE_PROP18

-

Disponible seulement si un cadre est sélectionné dans la définition du modèle :
Type de cadre du synoptique.
Cadre épais : Un cadre épais est affiché autour du synoptique. La taille du synoptique peut être modifiée dans le Runtime.
Cadre fin : Affiche un cadre fin autour du synoptique.
Pas de cadre : Aucun cadre n'est affiché autour du synoptique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BorderStyle


ID_DYNPICTURE_PROP19

-

Disponible seulement, si un cadre est sélectionné pour le synoptique :
Actif : Utiliser la barre de titre de Windows pour le synoptique. Le synoptique peut être déplacé dans le Runtime.
Inactif : Aucune barre de titre n'est utilisée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowTitle


ID_DYNPICTURE_PROP20

Variable donnant le synoptique actif

La variable bit liée ici est définie sur 1 lorsque que le synoptique est ouvert ; elle est définie sur 0 lorsque le synoptique est fermé.
La boîte de dialogue de sélection de variables s'ouvre ; seules les variables bit sont affichées.

Attention : Ouvrir un autre synoptique basé sur le même gabarit ferme automatiquement ce synoptique et par conséquent, la fonction liée.

Exemple : La couleur d'arrière-plan des boutons dans une barre d'outils doit indiquer quel synoptique est actuellement ouvert. Les variables bit liées aux différents synoptiques comportant tous la couleur de valeur limite verte pour la valeur 1 et la couleur de valeur limite blanc pour la valeur 0. Ces variables bit sont liées à la couleur d'arrière-plan dynamique des boutons correspondants. Le bouton permettant d'afficher le synoptique récemment ouvert comporte donc toujours la couleur d'arrière-plan vert, tandis que les autres boutons sont de couleurs blanche.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PicActivVar


ID_DYNPICTURE_PROP21

Arrière-plan (couleur)

Détermine la couleur d'arrière-plan du symbole. Cliquez sur le bouton pour ouvrir la palette de couleurs, ou saisissez la couleur sous forme de code hexadécimal (RVB).

Attention : La couleur d'arrière-plan définie ici est valide pour tous les symboles, et est exclusivement utilisée en tant que couleur d'arrière-plan dans l'éditeur de symboles.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackgroundColor


ID_DYNPICTURE_PROP22

Hauteur [pixels]

Définit la hauteur des symboles en pixels. La hauteur définie est utilisé en tant que hauteur d'origine du symbole lorsque vous le faites glisser vers un synoptique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Height


ID_DYNPICTURE_PROP23

Largeur [pixels]

Définit la largeur des symboles en pixels. La largeur définie est utilisé en tant que largeur d'origine du symbole lorsque vous le faites glisser vers un synoptique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Width


ID_DYNPICTURE_PROP24

Texte automatique

Active : Pour les lettres, les numéros et les touches de fonction du synoptique de type Clavier, les intitulés originaux du clavier définis par le système d'exploitation sont utilisés. Aucun intitulé alternatif ne peut être défini. Si des touches comportent des intitulés différents, les intitulés d'origine seront toujours utilisés dans le Runtime. Des intitulés différents peuvent toujours être définis pour les touches de fonction telles que Tabulation ou Maj.

Inactive : Des intitulés peuvent être définis pour chaque touche individuellement ; ils sont affichés de manière correspondante dans le Runtime.

Par défaut : active

Remarque : l'intitulé du pavé numérique du clavier n'est pas défini automatiquement et peut être adapté à tout instant dans le Runtime, indépendamment de la configuration de la propriété.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AutoKBLayout


ID_DYNPICTURE_PROP_GRP0

Général

Propriétés générales du synoptique

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Picture


ID_DYNPICTURE_PROP_GRP1

Dimension

Propriété pour la taille et la position du synoptique, issues du modèle lié.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Size


ID_DYNPICTURE_PROP_GRP2

Type de fenêtre

Propriété pour l'apparence externe du synoptique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Representation


ID_DYNPICTURE_PROP_GRP3

Exécution

Fonctions et variables liées au synoptique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Functions


ID_DYNPICTURE_PROP_GRP4

Graphique d'arrière plan

Un fichier graphique peut être affiché en arrière-plan de tous les synoptiques. Ces fichiers graphiques sont positionnés au niveau de visibilité le plus loin vers l'arrière, et sont recouverts par tous les autres éléments du synoptique. Des options de positionnement (par exemple, Centrer ou Mosaïque) sont disponibles. Les éléments graphiques ne peuvent pas être déplacés librement.

vous pouvez également utiliser un bouton avec un fichier graphique ne comportant aucune fonction liée pour afficher un fichier graphique que vous pouvez positionner librement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Background


ID_DYNPICTURE_PROP_GRP5

Général

Propriétés de taille et de couleur d'arrière-plan des cadres.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Symbols


ID_DYNPICTURE_SCHAB_HIGHLIGHT_ALPHA

Transparence de contour

Disponible uniquement si la propriété Cadre de mise en évidence est active.

Définit la transparence de l'élément Couleur de contour du cadre sur lequel repose le synoptique. Cliquez sur le bouton ... pour afficher un curseur permettant de définir la transparence.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AmbientAlpha


ID_DYNPICTURE_SCHAB_HIGHLIGHT_COLOR

Couleur de contour

Disponible uniquement si la propriété Cadre de mise en évidence est active.

Définit couleur de l'entourage du cadre sur lequel repose le synoptique. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection des couleurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AmbientColor


ID_DYNPICTURE_SCHAB_HIGHLIGHT_TYPE

Cadre de mise en évidence

Disponible uniquement si la propriété Dialogue modal est active.

Actif : Le cadre sur lequel repose le synoptique est affiché en surbrillance. Ainsi, toute la zone située à l'extérieur du cadre est colorée avec une couleur et une transparence définies. La zone du cadre sélectionné n'est pas affectée par cette coloration. Vous ne devez pas appeler plusieurs synoptiques simultanément avec cette propriété.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Highlight


ID_EDITSIGNATURE

Texte de signature éditable

Actif : Une boîte de dialogue de modification du texte de signature est affichée dans le Runtime.
Inactif : Le texte de signature ne peut pas être modifié dans le Runtime.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EditSignature


ID_ELE_BITMAP_DOWN

Fichier graphique bouton enfoncé

Fichier graphique devant être affiché sur le bouton lorsque le bouton est actionné (*.bmp, *.wmf, *.jpg, *.gif). Cliquez sur le bouton .... La boîte de dialogue de sélection de fichiers s'ouvre.
Attention : les synoptiques doivent être disponibles dans le nœud Fichiers/Éléments graphiques du gestionnaire de projet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FileNameDown


ID_ELE_CORNER_ALL_X

Tous les x [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de rayon de l'axe X (en pourcentage) pour tous les coins. Cette valeur est utilisée pour tous les coins dont les valeurs sont égales à -1. Les coins individuels peuvent ainsi être définir de manière indépendante.

Si la valeur du rayon est modifiée, tous les coins reçoivent automatiquement la valeur -1. Dans ce cas, tous les coins reprennent leur valeur prédéfinie.

Plage de valeurs : 0 % à 100 %.

Par défaut : 20

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CornerAll_X


ID_ELE_CORNER_ALL_Y

Tous les y [%]

Disponible uniquement si la propriété Proportionnel est active et la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de rayon de l'axe Y (en pourcentage) pour tous les coins. Cette valeur est utilisée pour tous les coins dont les valeurs sont égales à -1. Les coins individuels peuvent ainsi être définir de manière indépendante.

Si la valeur du rayon est modifiée, tous les coins reçoivent automatiquement la valeur -1. Dans ce cas, tous les coins reprennent leur valeur prédéfinie.

Plage de valeurs : 0 % à 100 %.

Par défaut : 20

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CornerAll_Y


ID_ELE_CORNER_LEFTBOTTOM_X

x bas/gauche [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe X pour le coin inférieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CornerLeftBottom_X


ID_ELE_CORNER_LEFTBOTTOM_Y

y bas/gauche [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin inférieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CornerLeftBottom_Y


ID_ELE_CORNER_LEFTTOP_X

x haut/gauche [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe X pour le coin supérieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CornerLeftTop_X


ID_ELE_CORNER_LEFTTOP_Y

y haut/gauche [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin supérieur gauche. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CornerLeftTop_Y


ID_ELE_CORNER_PROPORTIONAL

Proportionnel

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Actif : Lors de la création d'un coin arrondi, seule la valeur X peut être saisie. La valeur Y est toujours la même.

Le pourcentage défini pour la propriété Tous les x [%] désigne le côté le plus court (largeur ou hauteur) de l'élément.

Inactif : Les valeurs X et Y peuvent être librement définies. La valeur X fait référence à la largeur de l'élément. La valeur Y fait référence à la hauteur de l'élément.

Par défaut : active

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CornerProportional


ID_ELE_CORNER_RIGHTBOTTOM_X

x bas/droit [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive.

Définit la valeur de rayon de l'axe X pour le coin inférieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CornerRightBottom_X


ID_ELE_CORNER_RIGHTBOTTOM_Y

y bas/droit [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin inférieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CornerRightBottom_Y


ID_ELE_CORNER_RIGHTTOP_X

x haut/droit [%]

Disponible uniquement si la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe X pour le coin supérieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les x [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CornerRightTop_X


ID_ELE_CORNER_RIGHTTOP_Y

y haut/droit [%]

Disponible uniquement si la propriété Proportionnel est active, la propriété Par les valeurs de luminosité est inactive et la propriété de projet Qualité graphique est active.

Définit la valeur de rayon de l'axe Y pour le coin supérieur droit. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir le rayon. Valeurs possibles :

-1 : Le paramètre de Tous les y [%] est utilisé.

0 à 100 : rayon, en pourcentage.

Par défaut : -1

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CornerRightTop_Y


ID_ELE_DRAGBEGIN

-

Macro VBA à exécuter lorsque l'utilisateur commence à faire glisser l'objet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DragBegin


ID_ELE_DRAGDROP

-

Macro VBA à exécuter lorsque le bouton de la souris est relâché.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DragDrop


ID_ELE_DRAGOVER

-

Macro VBA à exécuter lorsque le curseur est déplacé au-dessus de l'élément pendant que le bouton gauche est enfoncé.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DragOver


ID_ELE_EMBEDDED_FONT

Police

Sélection de la police utilisée pour l'affichage.

ATTENTION : cette option concerne uniquement les polices embarquées.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Font


ID_ELE_LAYER

Niveau de visibilité

Sélectionnez l'un des 16 niveaux de visibilité (0 à 15) dans la liste déroulante. À l'aide de la barre d'outils Niveau de visibilité, vous décidez des niveaux qui doivent être affichés dans l'éditeur. Cette fonction garantit que les synoptiques les plus complexes peuvent être développés de manière simple. Les niveaux peuvent être utilisés immédiatement. Les niveaux n'ont aucune incidence sur les informations affichés au premier plan ou en arrière-plan dans le Runtime.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Layer


ID_ELE_LIGHTNING

Gradient de couleur

Disponible uniquement si la propriété Remplissage (type) a été définie sur Color gradient (Dégradé de couleurs).

Définit le dégradé de couleurs pour tous les éléments vectoriels.

Linéaire : dégradé continu
Defined point (Point défini) : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Lightning


ID_ELE_LINECOLOR

Ligne (couleur)

Détermine la couleur de trait de l'élément. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LineColorEx


ID_ELE_NUM_BASE_ON

Base d'affichage

Disponible uniquement si vous avez sélectionné Binaire, Hexadécimal ou Octal pour la propriété Base pour l'affichage de valeurs.

Affiche une abréviation de la base derrière la valeur :

Les abréviations suivantes sont utilisées :

- pour une valeur binaire : b

- pour une valeur décimale : aucune abréviation

- pour une valeur décimale exponentielle : aucune abréviation

- pour une valeur hexadécimale : h

- pour une valeur octale : o

Par défaut : Actif

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowValueBasis


ID_ELE_PROP0

Nom d'élément

Le nom de l'élément doit être attribué de telle manière que VBA puisse y accéder.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_ELE_PROP1

Le focus est donné à l'élément

Actif : L'élément dynamique peut être actionné à l'aide du clavier.
Inactif : L'élément dynamique n'est pas accessible à l'aide du clavier.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Tab


ID_ELE_PROP2

Visible sous WinCE

Contrôle la visibilité des éléments dans les synoptiques sous Windows CE. Les projets qui sont utilisés sous CE et sur le PC peuvent être créés de manière plus flexible ; la gestion par l'utilisateur est ainsi améliorée. Par exemple, les boutons renvoyant l'utilisateur vers des synoptiques ne pouvant pas être affichés sous CE (par ex. IPA) peuvent être rendus invisibles.

Actif : dans synoptique/l'élément est également visible sous Windows CE.

Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UnderCE


ID_ELE_PROP5

Type

Liste déroulante : cet élément est utilisé en tant que liste déroulante.
Zone de liste : cet élément est utilisé en tant que zone de liste.
Par défaut : zone de liste.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ControlType


ID_ELE_PROP10

Point de départ X [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StartX


ID_ELE_PROP11

Point de départ Y [pixels]

Coordonnée X du coin supérieur gauche du synoptique (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StartY


ID_ELE_PROP12

Point final X [pixels]

Coordonnée X du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EndX


ID_ELE_PROP13

Point final Y [pixels]

Coordonnée Y du coin inférieur droit du synoptique (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EndY


ID_ELE_PROP14

Largeur [pixels]

Largeur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Width


ID_ELE_PROP15

Hauteur [pixels]

Hauteur des éléments en pixels.

Remarque : disponible uniquement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur si la valeur Étiré a été sélectionnée pour la propriété Taille du graphique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Height


ID_ELE_PROP16

Nom liste d'objets

L'élément est saisi directement dans la liste de stations du synoptique Vue globale, et le texte est saisi ici.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Stationname


ID_ELE_PROP17

Visible de

Incrément de zoom le plus bas auquel l'élément est visible dans la vue globale.
Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique - > Généralités runtime -> Pas de zoom pour vue globale.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ZoomMin


ID_ELE_PROP18

Visible jusqu'à

Incrément de zoom le plus élevé auquel l'élément est visible dans la vue globale.

Par défaut : -1.
Une valeur de visibilité avec des incréments de zoom de -1 à -1 signifie que l'élément est affiché, quel que soit l'incrément de zoom sélectionné.

Les incréments de zoom sont définis par le biais des propriétés de projet Apparence graphique -> Généralités runtime -> Pas de zoom pour vue globale

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ZoomMax


ID_ELE_PROP19

Police

Sélection de la police utilisée pour l'affichage.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Font


ID_ELE_PROP20

-

Macro VBA à exécuter lors de l'initialisation de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Init


ID_ELE_PROP21

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton gauche de la souris sur l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LeftClickUp


ID_ELE_PROP22

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LeftClickDown


ID_ELE_PROP23

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic gauche sur l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LeftDClick


ID_ELE_PROP24

-

Macro VBA à exécuter lorsque l'utilisateur relâche le bouton droit de la souris sur l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RightClickUp


ID_ELE_PROP25

-

Macro VBA à exécuter lorsque l'utilisateur effectue un clic droit sur l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RightClickDown


ID_ELE_PROP26

-

Macro VBA à exécuter lorsque l'utilisateur effectue un double-clic droit sur l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RightDClick


ID_ELE_PROP27

-

Macro VBA à exécuter lorsque le focus est placé sur l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SetFocus


ID_ELE_PROP28

-

Macro VBA à exécuter lorsque le focus n'est plus placé sur l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

KillFocus


ID_ELE_PROP29

-

Macro VBA à exécuter lorsque l'élément est redessiné à l'écran.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Draw


ID_ELE_PROP30

Menu contextuel

Menu contextuel de l'élément.
Cliquer avec le bouton droit de la souris sur l'élément pour ouvrir le menu contextuel dans le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Menu


ID_ELE_PROP31

Info bulle

Texte à afficher en tant qu'info-bulle de l'élément dans le Runtime. Une info-bulle est automatiquement affichée dans le Runtime si l'utilisateur place le pointeur de la souris sur l'élément pendant quelques secondes. Des retours à la ligne automatiques peuvent être insérés avec les caractères "\n".
Maximum : 79 caractères.

Attention : La combinaison de caractères "\n" est également comptée dans la limite de 79 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Tooltip


ID_ELE_PROP32

Fichier d'aide

Fichier d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.
Attention : seuls les fichiers d'aide ayant été ajoutés dans le nœud Fichiers/Aide sont disponibles.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Helpfile


ID_ELE_PROP33

Chapitre d'aide

Chapitre d'aide (*.chm) devant être utilisé pour cet élément, conjointement à un menu contextuel. Nom de la page HTML sous-jacente.
Attention : cette entrée tient compte des minuscules et majuscules.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HelpCapture


ID_ELE_PROP34

-

Macro VBA à exécuter si le pointeur de la souris est positionné sur l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MouseOver


ID_ELE_PROP35

Forçage valeurs actif

Actif : La configuration des variables pour cet élément dynamique est autorisée.
Inactif : La variable est protégée en écriture dans cet élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsSetValue


ID_ELE_PROP36

Valeur prescrite

Valeur devant être définie ou proposée en tant que valeur par défaut.
Si le paramètre Proposer la valeur actuelle est actif : Valeur ajoutée à la valeur numérique.
Associée à la propriété « Sans boîte de dialogue », l'augmentation (valeur positive) ou la diminution (valeur négative) peut être mise en œuvre.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SetValue


ID_ELE_PROP37

Texte valeur prescrite

Texte valeur prescrite

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SetValueText


ID_ELE_PROP39

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite inférieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur minimum de la valeur dynamique prescrite.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Min


ID_ELE_PROP40

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Limite supérieure de la plage autorisée pour la valeur prescrite.

Attention : La valeur saisie ici sera ignorée si une variable est sélectionnée pour la valeur maximale de la valeur prescrite dynamique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Max


ID_ELE_PROP41

Sans dialogue

Actif : La valeur est transmise au matériel sans qu'il soit possible de la modifier dans Runtime.
Inactif : Il reste toutefois possible de modifier la valeur dans le Runtime avant son écriture sur le matériel.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HWDirect


ID_ELE_PROP42

Proposer la valeur courante

Actif : La valeur réelle de la variable est proposée en tant que valeur prescrite.
Dans ce cas, la valeur est ajoutée sous « Valeur prescrite / Modification de valeur » avant la configuration de la valeur réelle (valeur positive) ou sa soustraction depuis celle-ci (valeur négative).
Inactif : La valeur définie dans la propriété « Valeur prescrite / Modification de valeur » est proposée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Preset


ID_ELE_PROP43

Plages de la variable

Actif : La limitation de la plage pour laquelle lest valeurs prescrites peuvent être écrites n'est pas définie par l'intermédiaire des paramètres « Min » et « Max », mais est directement issue des définitions de variables (bouton « Étendue »).
Inactif : La plage peut être directement limitée par les paramètres « Minimum » et « Maximum ».

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LimitFromVar


ID_ELE_PROP44

Spécifier valeur prescrite par

Envoyer valeur avec:
Envoi de commande : la nouvelle valeur est définie à l'aide du paramètre Saisie valeur prescrite dans la section Commandes.

boîte de dialogue : la nouvelle valeur est saisie à l'aide d'une boîte de dialogue standard. Si un synoptique de type "Clavier" avec le nom "SETVALUEKBD" (pour les valeurs numériques) ou "SETSTRINGKBD" (pour les variables de type STRING) existe, ce synoptique est utilisé à la place de la boite de dialogue standard.

Élément : La valeur est saisie directement dans l'élément graphique (uniquement pour les éléments Valeur numérique et Texte dynamique).

Programme : La valeur est saisie dans un programme externe.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SetValueWith


ID_ELE_PROP46

Groupe autorisation

Le niveau du mot de passe d'écriture de valeurs prescrites ou d'exécution de fonctions avec l'élément dynamique sélectionné.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Passwordlevel


ID_ELE_PROP47

Signature necéssaire

Actif : Une signature est nécessaire pour actionner l'élément.

Pour des raisons de sécurité, l'utilisateur sera invité à saisir son mot de passe même s'il est déjà connecté. Le texte de la signature est enregistré dans la liste chronologique d'événements (CEL) après que l'élément ait été utilisé avec succès.

Attention : seuls les utilisateurs connectés peuvent signer une action. La signature d'actions avec un identifiant temporaire n'est plus possible.

Inactif : aucune signature n'est requise.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Signature


ID_ELE_PROP48

Texte de signature

Ce texte est également consigné lors de la signature dans la liste chronologique d'événements (CEL) ou est proposé par défaut dans le Runtime si la signature est définie comme modifiable dans les propriétés du projet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SignatureText


ID_ELE_PROP49

Programme externe

Disponible uniquement si un programme externe a été sélectionné pour la propriété Saisie valeur prescrite :
La valeur prescrite est écrite par un programme externe qui doit être sélectionné dans la boîte de dialogue affichée ici.

Ce programme est alors démarré et reçoit les paramètres suivants :
1) Nom de la variable liée
2) Valeur proposée, telle qu'elle est définie dans les propriétés correspondantes
3) Coordonnée gauche de l'élément, en pixels
4) Coordonnée supérieure de l'élément, en pixels
5) Coordonnée droite de l'élément, en pixels
6) Coordonnée inférieure de l'élément, en pixels
7) Valeur minimum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes
8) Valeur maximum autorisée pour la valeur prescrite, telle qu'elle est définie dans les propriétés correspondantes

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SetProgram


ID_ELE_PROP51

Affichage texte de limite

Actif : La valeur d'état/valeur limite de la variable attribuée est affichée dans l'élément.
Inactif : Aucun texte n'est affiché.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ContitionText


ID_ELE_PROP52

Colorer uniquement zone de remplissage

Actif : dans les cercles, polygones et rectangles attribués à ce symbole lié, seule la couleur de remplissage change en fonction de la définition de couleur des variables. La couleur du cadre est conservée.
Inactif : La couleur du cadre est modifiée en conséquence.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FillArea


ID_ELE_PROP58

Fonction

Nom de la fonction liée.
Ouvre la boîte de dialogue de sélection.
Cette fonction est exécutée si l'utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

<CD_SIEMENS_PRODUCTNAME et élément synoptique d'alarmes uniquement :

outre la propriété standard Appel de synoptique, le synoptique dont les états d'alarmes doivent être affichés seront déterminés par la fonction liée.
Obligatoire (sauf si le paramètre Global est actif)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Function


ID_ELE_PROP59

Variable

Nom de la variable liée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.
La valeur de la variable est affichée dans cet élément et peut également être définie ici.

Remarque : Disponible uniquement pour les boutons s'ils sont utilisés en tant qu'interrupteur.

Conseil : si la valeur de la variable doit être basculée, nous vous recommandons d'activer la propriété Variable lue en permanence. Dans le cas contraire, le Runtime patiente jusqu'à ce que le pilote connaisse la valeur des variables. Si la valeur n'est pas disponible en raison d'une interruption des communications avec le contrôleur, le délai d'attente correspond au délai d'attente avant expiration du pilote.

<CD_SIEMENS_PRODUCTNAME et élément Synoptique d'alarmes uniquement :
La description ci-dessus concerne uniquement les éléments Bouton texte, Bouton bitmap et Bouton invisible.
Signification dans SICAM 230 : Les états des classes d'alarmes/d'événements seront attribués à la variable sélectionnée (32 bits). Pour chaque classe, 2 bits seront utilisés (par numéro de classe, dans l'ordre croissant).

  • Bit inférieur : alarme active/inactive
  • Bit supérieur : alarme acquittée/non acquittée

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable


ID_ELE_PROP60

Commutateur

Disponible uniquement si la propriété Forçage valeurs actif est inactive.

Actif : l'élément modifie la valeur d'une variable de bit.
Inactif : l'élément exécute une fonction.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Switch


ID_ELE_PROP61

Mode temporaire

Disponible uniquement si la propriété Commutateur est active. (Exception : (Exception : toujours disponible dans l'élément dynamique Interrupteur.)Actif :
Actif : L'état cible (défini dans la propriété Mode temporaire MARCHE) est maintenu seulement tant que le bouton gauche de la souris est enfoncé et au moins pendant le temps définis par Durée de maintien [ms].
Inactif : L'état cible persiste après que le bouton de la souris ait été relâché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Scanner


ID_ELE_PROP62

Mode temporaire MARCHE

Disponible uniquement si la propriété Mode temporaire est active :
Actif : Bascule le commutateur sur ON (Marche).
Inactif : Bascule le commutateur sur OFF (Arrêt).
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ScannerOn


ID_ELE_PROP63

Réaction immédiate

Disponible uniquement si la propriété Commutateur est active :
Actif : Le commutateur change immédiatement de position dans le Runtime, indépendamment de la définition du bit lié au niveau l'automate. Lors du prochain cycle de mise à jour des drivers, le bit sera lu sur l'automate. Le commutateur correspondra alors à la position correcte du bit dans l'automate.
Attention : Le commutateur sera uniquement actionnable lorsque la valeur aura été lue sur l'automate.

Inactif : Le commutateur changera uniquement de position après que le bit ait été transmis à l'automate, puis lu sur l'automate.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FastReaction


ID_ELE_PROP64

Durée de maintien [ms]

Disponible uniquement si la propriété Commutateur est active :
Si la propriété Mode temporaire est active : Temps (en ms) durant lequel un état est maintenu à partir de l'instant où un clic gauche est effectué sur l'élément correspondant.

Si la propriété Mode temporaire est inactive : réaction retardée à un clic gauche.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ReactionTime


ID_ELE_PROP65

Raccourci clavier

Les raccourcis autorisent l'exécution d'éléments actionnables. Par exemple :

- Exécution d'éléments de contrôle et de fonctions attribuées à un élément
- Écriture de valeur prescrite (dans le cas d'un interrupteur, par exemple)
- Définition du focus de certaines fenêtres (telles que les courbes dans le module Tendance étendue ou les listes déroulantes dans le Gestionnaire de groupes de recettes)

Cliquez sur le bouton du champ de saisie pour ouvrir la boîte de dialogue de définition des combinaisons de touches. Dans la boîte de dialogue, saisissez directement la combinaison souhaitée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShortCut


ID_ELE_PROP66

Fichier graphique

Fichier graphique affiché sur le bouton lorsque ce dernier n'est pas actionné (*.bmp, *.wmf, *.jpg, *.gif, *.png). Cliquez sur le bouton .... La boîte de dialogue de sélection de fichiers s'ouvre.
Attention : Les fichiers graphiques doivent déjà être disponibles dans le nœud Fichiers/Éléments graphiques dans le Gestionnaire de projets :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FileName


ID_ELE_PROP67

Fichier graphique pour Off (0)

Fichier bitmap prédéfini ou défini par l'utilisateur pour l'état LOW (Bas) du commutateur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BitmapLow


ID_ELE_PROP68

Fichier graphique pour On (1)

Fichier bitmap prédéfini ou défini par l'utilisateur pour l'état HIGH (Haut) du commutateur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BitmapHigh


ID_ELE_PROP69

Autour de zéro

Affecte uniquement l'affichage des valeurs signées :
Actif : La barre s'étend de 0 jusqu'à la valeur actuelle de la variable liée.
Inactif : La barre s'étend de la valeur la plus basse affichée jusqu'à la valeur actuelle de la variable liée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FromZero


ID_ELE_PROP70

Type d'affichage

Heure absolue : l'heure de l'horloge du système est affichée au format souhaité.
Différence de temps : la valeur actuelle d'une variable liée est affichée au format d'heure défini.
Par défaut : Intervalle de temps absolu :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ViewType


ID_ELE_PROP71

Formatage

Format de l'affichage de l'heure/de la date.
Une chaîne de formatage doit être sélectionnée dans la liste.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Format


ID_ELE_PROP72

Représentation sur 2 lignes

Disponible uniquement avec l'heure absolue.
Actif : Lorsque l'heure et la date sont affichées simultanément, l'heure est affichée sur la première ligne et la date est affichée sur la deuxième ligne.
Inactif : La date et l'heure sont affichées sur une même ligne.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TwoLines


ID_ELE_PROP73

Séparateur

Disponible uniquement avec le mode Différence de temps :
Séparateur pour l'affichage de l'heure/de la date.
(par exemple, : dans 10:15)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Separator


ID_ELE_PROP75

Symbole

Un symbole peut être sélectionné dans la liste de symboles affichée à l'écran.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Symbol


ID_ELE_PROP76

Texte

Uniquement disponible avec des valeurs numériques :
texte affiché si aucune limite n'a été dépassée (dans le cas contraire, la valeur du texte de valeur limite correspondant est affichée).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DynText


ID_ELE_PROP77

Type de la ligne

Sélection du type de ligne de l'élément dans la liste.
Attention : dans les paramètres du projet dans le nœud Apparence graphique, si vous désactivez la propriété Qualité graphique, vous pouvez uniquement utiliser une épaisseur de ligne >1 avec une ligne de type Trait continu.
Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LineType


ID_ELE_PROP78

Remplissage (type)

Sélection du motif de remplissage de l'élément dans la liste.

Cette propriété est uniquement disponible si la propriété Par les valeurs de luminosité est inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FillPattern


ID_ELE_PROP79

Fonction spécifique au synoptique

Uniquement disponible sur les synoptiques de type spécial (synoptiques de type autre que Standard) :
Nom de la fonction spécifique au type de synoptique lié
Ouvre la boîte de dialogue permettant de sélectionner les fonctions spécifiques au type de synoptique.
Au lieu d'une fonction générale, vous pouvez lier une fonction configurée spécialement pour le type de synoptique. Cette fonction est exécutée si l'utilisateur effectue un clic dans le Runtime ou appuie sur une combinaison de touches liée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MDIFunction


ID_ELE_PROP80

Texte

Intitulé de l'élément dans l'Éditeur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Legend


ID_ELE_PROP81

Style L

Style Windows de l'élément ; utilisation interne uniquement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StyleL


ID_ELE_PROP82

Style H

Style Windows de l'élément ; utilisation interne uniquement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StyleH


ID_ELE_PROP83

Horizontal

Point de référence horizontal de l'élément. Les valeurs possibles sont : À gauche, Centré, À droite.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : Gauche

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HorizontalOrigin


ID_ELE_PROP84

Vertical

Point de référence vertical de l'élément. Les valeurs possibles sont : En haut, Centré, En bas.
Ce point sert de base au calcul de l'angle de départ de la rotation (statique et dynamique) et du changement de taille dynamique.

Par défaut : &Haut

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VerticalOrigin


ID_ELE_PROP85

Numéro symbôle

Numéro unique des symboles.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PropSymbolNumber


ID_ELE_PROP86

Nom du symbole lié

Nom du symbole lié.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LinkName


ID_ELE_PROP91

Minimum

Valeur la plus basse de la variable devant être affichée dans l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ViewMin


ID_ELE_PROP92

Maximum

Valeur la plus élevée de la variable devant être affichée dans l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ViewMax


ID_ELE_PROP93

Montant absolu

Pour l'élément Valeur numérique, disponible uniquement si la propriété Visualiser valeur en pourcentage est inactive.

Actif : Affichage non signé de la valeur de variable (-200 = 200).
Inactif : Affichage normal de la valeur.
Par défaut : inactive.

Remarque : Dans ce cas, la valeur prescrite est saisie en pourcentage.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Absolute


ID_ELE_PROP97

Toujours

Actif : L'animation s'exécute toujours.
Inactif : L'animation ne s'exécute pas. Vous pouvez activer ou désactiver l'animation via un lien facultatif vers Variable.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Animate


ID_ELE_PROP98

Variable

Variable de bit permettant d'activer ou de désactiver l'animation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AnimateVar


ID_ELE_PROP99

Catégorie

Concept de catégorisation. Vous pouvez également filtrer ou grouper en fonction de cette propriété.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Category


ID_ELE_PROP100

Description

Description spécifique du symbole. Vous pouvez également filtrer les informations en fonction de cette propriété.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Description


ID_ELE_PROP101

Texte (couleur)

Couleur du texte de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TextColor


ID_ELE_PROP102

Arrière-plan (couleur)

Disponible uniquement si la propriété Transparent est inactive.

Détermine la couleur de remplissage de l'élément. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. La couleur de remplissage peut être modifiée de manière dynamique à l'aide de la propriété Couleur d'arrière plan du groupe Couleur dynamique.

Remarque : La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Attention : dans la fenêtre Vue globale, les modifications des couleurs dans l'Éditeur n'ont aucune incidence dans le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackColor


ID_ELE_PROP103

Couleur barre

Couleur de la barre du diagramme à barres. La couleur définie est utilisée si aucun dépassement de valeur limite n'est enregistré.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TextColor


ID_ELE_PROP104

Transparent

Actif : Désactive la couleur d'arrière-plan de l'élément.

L'effet de cette option sur un bouton est un bouton invisible. Il peut être positionné au-dessus des autres éléments en tant que bouton invisible.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Transparent


ID_ELE_PROP108

Füllfarbe

Couleur de remplissage ou couleur d'arrière-plan de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackColor


ID_ELE_PROP109

Groupe de symboles

Détermine l'affinité de groupe du symbole. Cette valeur ne peut pas être modifiée. Les symboles provenant de la bibliothèque de symboles du projet reçoivent la valeur Projet.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Group


ID_ELE_PROP111

Texte ligne 1

Première ligne de texte dans un bouton.
En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez &&.

La chaîne de caractères \n permet d'insérer un saut de ligne.

Attention : Pour utiliser \n, la propriété Texte ligne 2 doit être vide.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Text1


ID_ELE_PROP112

Texte ligne 2

Deuxième ligne de texte dans un bouton.
En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez &&.

Remarque : cette propriété est utilisée à des fins de compatibilité avec les versions antérieures. Dans les versions actuelles : Utilisez la propriété Texte ligne 1 et commencez les nouvelles lignes par \n.

Attention : cette ligne doit rester vide si le saut de ligne automatique doit être utilisé.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Text2


ID_ELE_PROP113

Retour à la ligne automatique

Actif : Le retour automatique à la ligne est utilisé pour le texte dans l'élément.
La longueur des lignes dépend de la largeur de l'élément.
Inactif : Le texte est affiché sur une ligne.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Wordbreak


ID_ELE_PROP114

Texte bouton appuyé

Intitulé affiché sur le bouton lorsque l'utilisateur clique dessus.

La chaîne de caractères \n commence une nouvelle ligne.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DownText


ID_ELE_PROP115

Exécution sur appui

Actif : La fonction liée est exécutée lorsque l'élément est actionné.
Inactif : La fonction liée est exécutée lorsque l'élément est relâché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FktOnDown


ID_ELE_PROP116

Forme du bouton

Forme du bouton :
anguleux : le bouton comporte des coins pointus. Les propriétés du groupe Coins arrondis vous permettent de transformer les coins pointus en coins arrondis.
Rond : le bouton est arrondi.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BtnStyleBorder


ID_ELE_PROP117

Inverser le gradient de couleur

Disponible uniquement si le remplissage du bouton n'est pas effectué avec une couleur.
Actif : Le dégradé de luminosité est inversé.
Inactif : Le dégradé de luminosité n'est pas inversé.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BtnStyleInvert


ID_ELE_PROP118

Remplissage

Remplissage du bouton :
Monochrome : pas de dégradé
Linéaire : dégradé continu
Lumineux : du bas jusqu'à la moitié, couleur de remplissage 1 ; puis, dégradé du milieu jusqu'au sommet de l'élément.
Point défini : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé commence au niveau d'un point défini et comporte des rayons ; il s'étend jusqu'aux bords de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BtnStyleFill


ID_ELE_PROP121

Visualiser l'état de la variable

Actif : l'état des variables est indiqué par un carré de couleur au niveau de l'élément.

Couleur :
Un carré rouge indique un problème de communication avec l'automate.
Un carré bleu au niveau du client indique que la connexion entre le client et le serveur a été interrompue.
Un carré bleu au niveau de la station indique que la valeur n'a pas été initialisée.

Position du carré au niveau de l'élément selon la forme de l'élément :

Rond : bord supérieur, au milieu
Arrondi : coin supérieur droit, légèrement décalé vers la gauche
Rectangulaire et tous autres paramètres : coin supérieur droit

Inactif : L'état n'est pas affiché.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowState


ID_ELE_PROP122

Alignement horizontal

Alignement horizontal de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- aligné à gauche
- aligné à droite

Par défaut : centré

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HorizontalAlign


ID_ELE_PROP123

Alignement vertical

Alignement vertical de la sortie dans l'élément aux fins de l'affichage. Paramètres pouvant être sélectionnés dans la liste déroulante :

- centré
- au-dessus
- au-dessous

Par défaut : centré

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VerticalAlign


ID_ELE_PROP124

Cadre élément

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Cadre fin

3D

Par défaut : Cadre fin

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Frame


ID_ELE_PROP125

Afficher l'unité

Uniquement disponible pour :
Général : si la propriété Visu. valeur a été activée.
Pour l'élément Horloge : disponible uniquement si le paramètre Différence de temps a été sélectionné pour l'élément Type d'affichage.
Pour l'élément Instrument à aiguille : uniquement disponible si la propriété 3D a été activée.

Actif : L'unité technique de la variable liée est affichée derrière la valeur.
Si la valeur est affichée en pourcentage, le caractère de pourcentage % est affiché à la place de l'unité de la variable liée.Inactif :
Inactif : l'unité n'est pas affichée.
Par défaut : active.

Remarque :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowUnit


ID_ELE_PROP126

Visualiser valeur en pourcentage

Actif : La valeur de variable est affichée sous la forme 0-100 %.
0% = plage de mesure minimum
100 % = plage de mesure maximum
La conversion est linéaire. Les saisies de points de consigne sont également converties en pourcentage.
Inactif : La valeur n'est jamais affichée normalement.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Percentage


ID_ELE_PROP127

3D

Actif : L'élément est affiché en trois dimensions.
Inactif : L'élément est affiché en deux dimensions.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ThreeDimensional


ID_ELE_PROP129

Représentation en pourcentage

Actif : La valeur de variable est affichée sous la forme 0-100 %.
0% = plage de mesure minimum
100 % = plage de mesure maximum
La conversion est linéaire. Les saisies de points de consigne sont également converties en pourcentage.
Inactif : La valeur est affichée normalement.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Percentage


ID_ELE_PROP130

Bande

Disponible uniquement si la propriété d'affichage Arc de cercle est inactive.

Indisponible pour for Windows CE.
Actif : la valeur est affichée par le biais d'une barre, de la valeur minimale jusqu'à la valeur actuelle.
Inactif : aucune barre n'est affichée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Ribbon


ID_ELE_PROP131

Arc de cercle

Disponible uniquement l'affichage sous forme de barre est inactif :
Actif : La valeur est affichée au moyen d'un cercle gradué, de la valeur minimum jusqu'à la valeur actuelle.
Inactif : Aucun cercle gradué n'est affiché.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Pie


ID_ELE_PROP132

Explicite

Cette propriété affecte uniquement l'affichage de valeurs comportant des limites définies issues des variables. Les limites des matrices de réaction ne sont pas prises en compte.

Actif : si une limite de la variable liée est dépassée, seule la partie de l'affichage correspondant au dépassement de limite est affichée dans la couleur de la limite correspondante.
Si la variable comporte plusieurs limites définies, les zones correspondantes de l'affichage sont toujours affichées dans la couleur de la limite correspondante.

Inactif : Si une limite de la variable liée est dépassée, l'affichage entier reprend les couleurs de la limite dépassée.

Par défaut : Inactif

Remarque : disponible uniquement pour l'élément Instrument à aiguille si l'affichage est activé sous la forme Bande ou Arc de cercle .

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Explicit


ID_ELE_PROP135

Visualiser courbes en tant que surfaces

Actif : Les courbes sont représentées sous forme d'appels de fonctions.
Inactif : Les courbes sont affichées sous forme de lignes.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Area


ID_ELE_PROP136

Ne pas interpoler

Actif : Les valeurs sont liées sans interpolation, par étapes.
Inactif : Les valeurs sont liées avec interpolation.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NoInterpolation


ID_ELE_PROP137

Visualiser valeurs numériques

Actif : Les valeurs de la dernière actualisation sont affichées sous forme de nombres pour toutes les variables liées.
Inactif : Les valeurs ne sont pas affichées.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NumericalValues


ID_ELE_PROP138

Visualiser axes

Actif : L'axe de temps et de pourcentage est affiché.
Inactif : Aucun axe n'est affiché.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Axes


ID_ELE_PROP139

Afficher information courbe

Actif : Le nom ou le texte source modifié et la plage de mesure des variables liées sont affichés dans une légende.
Inactif : Aucune légende n'est affichée.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Addresses


ID_ELE_PROP140

Envoi valeur pendant le déplacement souris

Actif : Envoi continu de nouvelles valeurs pendant le déplacement de la souris.
Inactif : Envoi unique de la nouvelle valeur lorsque le bouton de la souris est relâché.
(uniquement si l'option « Directement au matériel » est activée dans la section « Valeur prescrite »)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MouseMovement


ID_ELE_PROP141

Visu. valeur

Affichage complémentaire de la valeur actuelle sous forme de nombre. La position dans l'élément et la couleur de la police utilisée peuvent être définies.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowValue


ID_ELE_PROP142

Taille du graphique

Définition de la taille du fichier graphique.

  • Étiré : La taille du fichier est ajustée à la taille de l'élément.
  • Taille originale : L'élément graphique lié est affiché à sa taille originale.
    Lors de la sélection de cette option, les propriétés Largeur [pixels] et Hauteur [pixels] ne peuvent plus être configurées individuellement pour les éléments Combinaison multiple, Élément combiné, Bouton et Interrupteur.

Par défaut : Étiré

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GraphicSize


ID_ELE_PROP150

Epaisseur de ligne [Pixels]

Épaisseur de la ligne (en pixels).
Minimum : 0
Dans ce cas, l'épaisseur de la ligne est de 1 pixel.
Maximum : 65535
Par défaut : 1
Attention : Dans les paramètres du projet dans le nœud Apparence graphique, si vous définissez la propriété Qualité graphique sur Windows basis (Configuration Windows), vous pouvez uniquement utiliser une épaisseur de ligne 1 avec une ligne de type Trait continu.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LineWidth


ID_ELE_PROP151

Couleur pour la valeur

Couleur de la valeur à afficher.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ValueColor


ID_ELE_PROP152

Valeur de la position

Position de la valeur à afficher.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ValuePos


ID_ELE_PROP153

Angle de départ

Définition de l'angle initial (0° = inférieur, extension dans le sens horaire)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StartAngle


ID_ELE_PROP154

Angle d'ouverture

Angle d'ouverture du déplacement du pointeur (angle de début max. 360°)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OpeningAngle


ID_ELE_PROP155

Largeur de défilement [%]

Cette propriété définit le pourcentage suivant lequel la courbe sera déplacée lorsque la limite d'affichage est atteinte ; des valeurs comprises entre 0 et 100 % sont autorisées.
0% : Supprimer l'entrée la plus ancienne pour chaque nouvelle entrée.
50% : En cas de dépassement de valeur limite, la moitié de la plage d'affichage est supprimée et l'écriture se poursuit.
100% : En cas de dépassement de valeur limite, la totalité de la plage d'affichage est supprimée et l'écriture reprend depuis le début.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ScrollWidth


ID_ELE_PROP156

Sens de déplacement

Cette propriété définit la disposition de l'axe de temps affiché.
À droite : valeur la plus ancienne à gauche, valeur la plus récente à droite.
À gauche : valeur la plus ancienne à droite, valeur la plus récente à gauche.
En haut : valeur la plus ancienne en bas, valeur la plus récente en haut.
En bas : valeur la plus ancienne en haut, valeur la plus récente en bas.
Si les axes sont affichés, une flèche fans le coin inférieur de l'élément indique la direction.
Par défaut : vers la droite

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Direction


ID_ELE_PROP157

Texte

Texte à afficher sur le synoptique.

En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Pour afficher le caractère &, saisissez &&.

La chaîne de caractères \n permet d'insérer un saut de ligne.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Text


ID_ELE_PROP158

Angle du texte [°]

Angle d'affichage du texte

Attention : cette option concerne uniquement les polices embarquées.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TextAngle


ID_ELE_PROP159

Inclinaison des lettres [°]

Inclinaison des lettres.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TextLetterAngle


ID_ELE_PROP160

Base pour l'affichage de valeurs

Définissez la base de numérotation utilisée pour l'affichage des valeurs. Les bases suivantes sont disponibles :
Binaire : affichage au format binaire. Ce format est signalé par un caractère « b » affiché à droite de la valeur.
Décimal : affichage décimal.
Exponentiel : affichage décimal sous forme exponentielle. Exemple : 1E+03 est égal à 1000 en notation décimale.
Hexadécimal : affichage hexadécimal. Ce format est signalé par un caractère « b » affiché à droite de la valeur.
Octal : affichage octal. Ce format est signalé par un caractère « o » affiché à droite de la valeur.
Par défaut : décimal.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ValueBase


ID_ELE_PROP161

Visualiser echelle

Actif : Une échelle est affichée sur l'élément.
Inactif : Aucune échelle n'est affichée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowScale


ID_ELE_PROP162

Distance [pixels]

Distance entre l'échelle et l'élément (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ScaleDistance


ID_ELE_PROP163

Hauteur [pixels]

Hauteur de l'échelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ScaleHeight


ID_ELE_PROP164

Graduations principales

Espacement des divisions principales (affichage numérique) de l'échelle.

Exemple : si vous saisissez 50, une division principale est affichée toutes les 50 unités : 0 - 50 - 100 - 150, etc.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MainTicks


ID_ELE_PROP165

Graduations secondaires

Espacement des divisions principales (pas d'affichage numérique) de l'échelle.
Exemple : une valeur de 100 entraîne l'affichage d'une division intermédiaire tous les 1000, à partir de la plus petite valeur affichée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmallTicks


ID_ELE_PROP166

Couleur des graduations principales

Couleur des divisions principales (affichage numérique) sur l'échelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MainTickColor


ID_ELE_PROP167

Couleur des graduations secondaires

Couleur des divisions principales (pas d'affichage numérique) sur l'échelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmallTickColor


ID_ELE_PROP168

Afficher la légende

Si cette option est activée, le texte (valeurs) est affiché sur l'échelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowLegend


ID_ELE_PROP169

Distance [pixels]

Distance entre la légende et l'échelle (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LegendDistance


ID_ELE_PROP170

Couleur de légende

Couleurs de la légende.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LegendColor


ID_ELE_PROP171

Logarithmique

Actif : Échelle logarithmique
Inactif : Échelle linéaire

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Logarithmic


ID_ELE_PROP172

Direction inversée

Affichage inversé des valeurs minimale et maximale

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ReverseDirection


ID_ELE_PROP173

Echelonné

La configuration de valeurs s'effectue uniquement par étapes définies.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Discrete


ID_ELE_PROP174

Etapes échelonnées

Nombre d'incréments pour la propriété Etapes échelonnées.

Minimum : 2

Maximum : 20

Par défaut : 5

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DiscreteSteps


ID_ELE_PROP175

Afficher le bouton

Un élément fonctionnel est représenté par un bouton, plutôt que la valeur actuelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowKnob


ID_ELE_PROP176

Type de bouton

Sélectionnez la forme du bouton dans la liste : (plat, haut, enfoncé).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

KnobStyle


ID_ELE_PROP177

Couleur de bouton

Couleur du bouton.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

KnobColor


ID_ELE_PROP191

Forme

Linéaire : affichage sous forme de barre ou de réglette.
Rond : affichage sous forme d'instrument à aiguille.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Shape


ID_ELE_PROP192

Alignement

Uniquement disponible pour la forme linéaire :
Horizontal : affichage horizontal de la barre ou de la réglette.
Vertical : affichage vertical de la barre ou de la réglette.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Align


ID_ELE_PROP193

Angle de départ

Disponible uniquement pour la forme ronde :
Position de l'instrument à aiguille pour la valeur minimum (0° en bas).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Start


ID_ELE_PROP194

Angle final

Disponible uniquement pour la forme ronde :
Position de l'instrument à aiguille pour la valeur maximum (0° en bas).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

End


ID_ELE_PROP195

Style

Les styles suivantes sont disponibles :
- Réglette/Potentiomètre
- Barre
- Barre de LED
- Réglette animée

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Style


ID_ELE_PROP196

Type d'instrument à aiguille

Représentation graphique de la valeur actuelle avec un élément :
- Ligne
- Instrument à aiguille
- Triangle

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Pointer


ID_ELE_PROP197

Barre explicite

Disponible uniquement si les paramètres Bargraphe, Réglette animée ou Bargraphe à LED ont été sélectionnés pour la propriété Style.

Cette propriété affecte uniquement l'affichage de valeurs comportant des limites définies issues des variables. Les limites des matrices de réaction ne sont pas prises en compte.

Actif : si une limite de la variable liée est dépassée, seule la partie de l'affichage correspondant au dépassement de limite est affichée dans la couleur de la limite correspondante.
Si la variable comporte plusieurs limites définies, les zones correspondantes de l'affichage sont toujours affichées dans la couleur de la limite correspondante.

Inactif : Si une limite de la variable liée est dépassée, l'affichage entier reprend les couleurs de la limite dépassée.

Par défaut : Inactif

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Explicit


ID_ELE_PROP198

Couleur instrument à aiguille/barre

Couleur de l'aiguille ou de la barre.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PointerColor


ID_ELE_PROP199

Visualiser indicateur

Activer l'affichage minimum/maximum.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinMaxView


ID_ELE_PROP200

Type d'affichage

Affichage graphique (indicateur) de la valeur minimum ou maximum avec un élément :
- Ligne
- Instrument à aiguille
- Triangle

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinMaxShape


ID_ELE_PROP201

Couleur valeur min

Couleur de la valeur minimum affichée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinColor


ID_ELE_PROP202

Couleur valeur max

Couleur de la valeur maximum affichée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxColor


ID_ELE_PROP203

Reset auto.

Réinitialisation automatique de l'indicateur pour l'affichage des valeurs minimum/maximum après un intervalle défini.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AutoReset


ID_ELE_PROP204

Reset automatique après [min]

Délai de réinitialisation de l'affichage des valeurs min./max.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AutoResetTime


ID_ELE_PROP211

Gauche [pixels]

Distance entre le bord gauche de l'élément et l'affichage graphique (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LeftFrame


ID_ELE_PROP212

Droit [pixels]

Distance entre le bord droit de l'élément et l'affichage graphique (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RightFrame


ID_ELE_PROP213

Haut [pixels]

Distance entre le bord supérieur de l'élément et l'affichage graphique (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TopFrame


ID_ELE_PROP214

Bas [pixels]

Distance entre le bord inférieur de l'élément et l'affichage graphique (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BottomFrame


ID_ELE_PROP221

Visualiser titre

Visualiser titre.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowTitle


ID_ELE_PROP222

Position titre

Emplacement du titre.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TitlePos


ID_ELE_PROP223

Couleur titre

Couleur du texte du titre.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TitleColor


ID_ELE_PROP224

Texte titre

Texte à afficher en tant que titre.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TitleText


ID_ELE_PROP225

Distance [pixels]

Distance entre le titre et l'affichage de la valeur (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ValueDistance


ID_ELE_PROP231

Sens de déplacement

Direction de la barre.
Haut : Valeur la plus basse en bas, valeur la plus élevée en haut.
Bas : Valeur la plus basse en haut, valeur la plus élevée en bas.
Gauche : Valeur la plus basse à droite, valeur la plus élevée à gauche.
Droite : Valeur la plus basse à gauche, valeur la plus élevée à droite.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Direction


ID_ELE_PROP241

heures

Représentation des heures de la période
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RepresentationHour


ID_ELE_PROP242

Minutes

Représentation des minutes de la période
Minimum : 0.
Maximum : 59.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RepresentationMinute


ID_ELE_PROP243

secondes

Représentation des secondes de la période
Minimum : 0.
Maximum : 59.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RepresentationSecond


ID_ELE_PROP251

heures

Heures de l'heure de mise à jour.
Minimum : 0.
Maximum : 119304.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RefreshHour


ID_ELE_PROP252

Minutes

Minutes de l'heure de mise à jour.
Minimum : 0.
Maximum : 59.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RefreshMinute


ID_ELE_PROP253

secondes

Secondes de l'heure de mise à jour.
Minimum : 0.
Maximum : 59.
Par défaut : 1.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RefreshSecond


ID_ELE_PROP254

Millisecondes

Millisecondes de l'heure de mise à jour.
Minimum : 0.
Maximum : 999.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RefreshMilliSecond


ID_ELE_PROP262

Ligne (couleur)

Couleur normale ; la couleur de valeur limite est utilisée en cas de dépassement de limite.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LineColor


ID_ELE_PROP263

Type de la ligne

Ligne continue, tirets, tiret-point.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LineStyle


ID_ELE_PROP264

Plage d'affichage min.

Valeur minimale de la plage d'affichage technique de la courbe (extrait agrandi).
Minimum : Valeur minimum de la variable.
Maximum : Valeur maximum de la variable.
Par défaut : Valeur minimum de la variable.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ViewMin


ID_ELE_PROP265

Plage d'affichage max.

Valeur maximale de la plage d'affichage technique de la courbe (extrait agrandi).
Minimum : Valeur minimum de la variable.
Maximum : Valeur maximum de la variable.
Par défaut : Valeur maximum de la variable.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ViewMax


ID_ELE_PROP266

Nom de la courbe

Afficher si l'option "Afficher information courbe" est définie.
Si cette propriété reste vide, le nom de la variable est affiché.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TrendText


ID_ELE_PROP271

Type d'affichage

Bitmap : Vous pouvez sélectionner un bitmap pour chaque état.
Vous pouvez également modifier la couleur d'un symbole de synoptique.
Seulement symbole de synoptique : Pour chaque état, vous pouvez attribuer une couleur à un symbole déjà existant du synoptique.
Symbole de la bibliothèque : Pour chaque état, vous pouvez sélectionner un symbole de la bibliothèque, ainsi qu'une couleur de ligne et de remplissage.
Signe : Pour chaque état, vous pouvez définir un caractère (SICAM 230) uniquement.
Texte d'état et symbole de synoptique : un texte peut être défini pour chaque état.
Vous pouvez également modifier la couleur d'un symbole de synoptique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RepresentationStyle


ID_ELE_PROP272

Superposer

Disponible uniquement pour un type d'affichage "Symbole de la bibliothèque" :
Actif : Si plusieurs attributions de valeurs sont actives, l'affichage sera superposé (c'est-à-dire que tous les états actifs seront affichés).
Inactif : Seul l'état comportant la priorité la plus élevée est affiché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Overlapping


ID_ELE_PROP273

Couleurs séparées

Disponible uniquement si le chevauchement est actif.
Actif : Chaque état est affiché dans sa propre couleur.
Inactif : La couleur de l'état actif comportant la priorité la plus élevée sera utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SeparateColors


ID_ELE_PROP274

Clignotement séparé

Disponible uniquement si le chevauchement est actif.
Actif : Le clignotement de chaque état est affiché séparément.
Inactif : Le clignotement de l'état actif comportant la priorité la plus élevée sera utilisé.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SeparateBlinking


ID_ELE_PROP275

Textes chaînés

Disponible uniquement pour le type de représentation "Texte d'état" :
Actif : Lorsque plusieurs états s'appliquent, les textes d'état individuels sont affichés sous forme de chaîne combinée.
Inactif : Le texte de l'état actif comportant la priorité la plus élevée sera utilisé.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Chained


ID_ELE_PROP276

Transparent

Actif : L'arrière-plan du symbole est transparent.
Inactif : L'arrière-plan du symbole peut être défini individuellement pour chaque état.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FillColor


ID_ELE_PROP278

Avec dimension originale

Actif : Le fichier bitmap est affiché à sa taille originale.
Inactif : Le fichier bitmap est étiré à la taille de l'élément de menu.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OriginalSize


ID_ELE_PROP279

Symbole de synoptique actif

Disponible uniquement pour un type d'affichage "Bitmap" ou "Texte d'état" :
Actif : Outre le bitmap animé ou le texte d'état, un symbole de synoptique peut également être contrôlé.
Inactif : Aucun symbole de synoptique ne peut être contrôlé en plus.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsPictureSymbol


ID_ELE_PROP280

Symbole de synoptique

Disponible uniquement pour le type d'affichage "Seulement symbole de synoptique" ou si l'option "Symbole de synoptique actif" est active :
Sélection du symbole de synoptique dont la couleur doit être changée en fonction de l'état.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PictureSymbol


ID_ELE_PROP281

Colorer uniquement remplissage

Actif : Le changement de couleur concerne uniquement la zone de remplissage.
Inactif : Le changement de couleur affecte également les lignes.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FillAreaOnly


ID_ELE_PROP282

Reprende clignotement de la variable principale

Actif : L'attribut de clignotement des variables principales est utilisé et peut être acquitté au niveau de l'élément.
Inactif : Pas de clignotement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BlinkingFromVariable


ID_ELE_PROP283

Tenir compte du clignotement de toutes les variables

Disponible uniquement si l'option Name from variable (Nom issu de la variable) est désactivée.
Actif : L'attribut de clignotement de toutes les variables est utilisé.
Inactif : Seul l'attribut de clignotement de la variable principale est utilisé, ou aucun clignotement n'est défini (selon l'état de l'option Reprendre clignotement de la variable principale).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BlinkingFromAllVariables


ID_ELE_PROP284

Arrière-plan clignotement transparent

Actif : L'arrière-plan du symbole est transparent lors du clignotement (l'arrière-plan d'un bitmap ne peut pas être affiché comme transparent).
Inactif : L'arrière-plan du symbole n'est pas transparent.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BlinkingBackGroundTransparent


ID_ELE_PROP285

Arrière-plan clignotement (couleur)

La couleur d'arrière-plan avec l'option "Arrière-plan clignotant" n'est pas définie.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BlinkingBackColor


ID_ELE_PROP286

Visualiser l'état de la variable principale

Si l'option "Display status" (Afficher l'état) est sélectionnée, l'attribution actuelle du bit d'état à la variable est affichée durant le fonctionnement en ligne, conjointement à l'affichage de la variable, lorsque l'utilisateur appuie sur le bouton droit de la souris.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowState


ID_ELE_PROP287

Visualiser l'état avec le carré

Si un état d'exception (par ex. "En défaut") est présent, une marque rouge est placée dans le coin supérieur droit de la zone de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RedPoint


ID_ELE_PROP288

Type topologie

Type topologie

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TopologyType


ID_ELE_PROP289

Coté transformateur

Côté transformateur

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TransformerSide


ID_ELE_PROP290

Numéro d'alimentation

Numéro d'alimentation

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SupplyNumber


ID_ELE_PROP291

Configuration et test

Ouvre la boîte de dialogue de définition des états.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StateAndTest


ID_ELE_PROP292

Prendre la couleur de la variable principale

Actif : La couleur de remplissage des symboles embarqués et des symboles de la bibliothèque est définie par la variable principale avec l'état Par défaut en cas de dépassement de limite au niveau de la variable.
Ce qui signifie : tant qu'un dépassement de limite de la variable principale est actif, la couleur de remplissage provient de la couleur de valeur limite. La définition de couleur des états est remplacée ! Des attributs d'état supplémentaires, tels que Clignotement, Transparence ou Couleurs de symboles originales sont toutefois repris de la définition de l'état. Cette propriété n'affecte pas la notation du bitmap.

Exception : Si, pour l'état Par défaut, la propriété Couleurs de symboles originales est activée, la couleur de symbole originale est toujours utilisée.
Inactif : La couleur de la variable principale n'affecte pas la couleur affichée de l'élément combiné.
Par défaut : inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ColorFromVariable


ID_ELE_PROP294

Etat

Disponible uniquement si les propriétés Commutateur, Mode temporaire et Réaction immédiate sont actives.

Actif : Tant que l'utilisateur maintient le bouton de souris appuyé sur cet élément, son affichage graphique ne change pas, indépendamment des changements de valeurs possibles au niveau de l'automate. Au niveau de l'élément Commutateur, la propriété 3D doit être active pour que cela se produise.
Inactif : L'élément affiche toujours la valeur de la variable provenant de l'automate.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StayPressed


ID_ELE_PROP296

Configuration

Ouvre la boîte de dialogue de définition des états.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Status


ID_ELE_PROP301

Temps pour le changement de texte [s]

Lorsque plusieurs bits sont définis pour variables de ligne, le basculement du texte se déroule automatiquement dans le délai configuré.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TextChangeTime


ID_ELE_PROP302

Fichier texte

Sélection du fichier texte.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MessageText


ID_ELE_PROP303

Sélection colonne

La variable de colonne de la liste doit être une variable mot, et définit la position de la colonne depuis laquelle est extrait le texte.

Attention : La variable de colonne doit être sélectionnée avant la variable de ligne.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable


ID_ELE_PROP304

Activation ligne

Les variables de ligne définissent la position de la ligne depuis laquelle est extrait le texte.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ColVars


ID_ELE_PROP306

Paramètres ActiveX

Sélection de l'élément ActiveX et de la variable liée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ActiveX


ID_ELE_PROP312

Luminosité à l'extérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au niveau du bord extérieur de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OuterBrightness


ID_ELE_PROP313

Luminosité à l'intérieur

Disponible uniquement si la propriété Par les valeurs de luminosité est active :
Luminosité au centre de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InnerBrightness


ID_ELE_PROP321

Modification direction X active

Actif : Le déplacement horizontal de l'élément lié est disponible.
Inactif : Le déplacement horizontal n'est pas disponible.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsXActive


ID_ELE_PROP322

Variable

Nom de la variable utilisée pour le déplacement horizontal de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

XVariable


ID_ELE_PROP323

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

XVarMin


ID_ELE_PROP324

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement horizontal de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

XVarMax


ID_ELE_PROP325

Mouvement min [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

XViewMin


ID_ELE_PROP326

Mouvement max [pixels]

Position horizontale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

XViewMax


ID_ELE_PROP327

Modification direction Y active

Actif : Le déplacement vertical de l'élément lié est disponible.
Inactif : Le déplacement vertical n'est pas disponible.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsYActive


ID_ELE_PROP328

Variable

Nom de la variable utilisée pour le déplacement vertical de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

YVariable


ID_ELE_PROP329

Valeur min de la variable

Valeur minimale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

YVarMin


ID_ELE_PROP330

Valeur max de la variable

Valeur maximale de la variable utilisée pour le déplacement vertical de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

YVarMax


ID_ELE_PROP331

Mouvement min [pixels]

Position verticale de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

YViewMin


ID_ELE_PROP332

Mouvement max [pixels]

Position verticale de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

YViewMax


ID_ELE_PROP333

Modification largeur active

Actif : La fonction de zoom à la largeur de l'élément lié est disponible.
Inactif : La fonction de zoom à la largeur de l'élément n'est pas disponible.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsXZoomActive


ID_ELE_PROP334

Variable

Nom de la variable utilisée pour effectuer un zoom à la largeur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

XZoomVariable


ID_ELE_PROP335

Valeur min de la variable

Valeur minimale de la variable utilisée pour effectuer un zoom à la largeur de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

XZoomVarMin


ID_ELE_PROP336

Valeur max de la variable

Valeur maximale de la variable utilisée pour effectuer un zoom sur la largeur de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

XZoomVarMax


ID_ELE_PROP337

Largeur min [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur minimale de la variable (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

XZoomViewMin


ID_ELE_PROP338

Largeur max [%]

Facteur de zoom correspondant à la largeur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

XZoomViewMax


ID_ELE_PROP339

Modification hauteur active

Activer la fonction de zoom à la hauteur de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsYZoomActive


ID_ELE_PROP340

Variable

Nom de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

YZoomVariable


ID_ELE_PROP341

Valeur min de la variable

Valeur minimum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

YZoomVarMin


ID_ELE_PROP342

Valeur max de la variable

Valeur maximum de la variable utilisée pour effectuer un zoom sur la hauteur de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

YZoomVarMax


ID_ELE_PROP343

Hauteur min [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur minimum de la variable (en %).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

YZoomViewMin


ID_ELE_PROP344

Hauteur max [%]

Facteur de zoom correspondant à la hauteur de l'élément pour la valeur maximale de la variable (en pixels).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

YZoomViewMax


ID_ELE_PROP345

-

Actif : La rotation de l'élément lié est disponible.
Inactif : La rotation n'est pas disponible.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsTwistActive


ID_ELE_PROP346

Variable

Nom de la variable utilisée pour la rotation de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TwistVariable


ID_ELE_PROP347

Valeur min de la variable

Valeur minimum de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TwistVarMin


ID_ELE_PROP348

Valeur max de la variable

Valeur maximale de la variable utilisée pour la rotation de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TwistVarMax


ID_ELE_PROP349

Rotation min [°]

Angle de rotation de l'élément pour la valeur minimum de la variable (en °).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TwistViewMin


ID_ELE_PROP350

Rotation max [°]

Angle de rotation de l'élément pour la valeur maximum de la variable (en °).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TwistViewMax


ID_ELE_PROP351

Entrées

Disponible uniquement si la propriété Entrées depuis une variable chaine est inactive.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de définition des entrées pour une liste statique ou zone de liste.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Status


ID_ELE_PROP354

Arrière-plan (couleur)

Couleur d'arrière-plan de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ButtonFillColor


ID_ELE_PROP357

Global

Les alarmes sont prises en compte au niveau du système.
Utilisation principale : somme des alarmes de la liste d'alarmes globale.
Actif : les alarmes sont prises en compte indépendamment du synoptique lié.
La fonction liée sera uniquement utilisée lors de l'appel de synoptique.

Inactif : seules les alarmes du synoptique lié sont prises en compte.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BAGlobal


ID_ELE_PROP358

Projet

Sélection d'un projet unique ou de tous les projets.

Disponible uniquement si l'option Global est active.

Utilisé pour les projets à hiérarchies multiples.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BAProjekt


ID_ELE_PROP359

Priorité

Priorité de la classe d'alarmes/d'événements.
Actif : même si plusieurs classes d'alarmes/d'événements ont été sélectionnées, une seule sera affichée.
Règles de priorité :

  1. moins le numéro de classe est élevé, plus la priorité est élevée.
  2. Une alarme non acquittée est prioritaire sur une alarme acquittée.

Inactive : toutes les classes sélectionnées seront affichées (côte à côte).

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BAPriorit?t


ID_ELE_PROP360

Invisible

L'élément ne sera pas affiché durant le Runtime

Actif : L'élément sera masqué dans le Runtime.
Cette option est appliquée si l'élément actionne simplement une variable de synoptique, mais n'est pas destiné à être affiché seul.

Inactif : l'élément sera affiché sous forme de bouton.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BAUnsichtbar


ID_ELE_PROP361

Classes d'alarmes/d'événements

Sélection des groupes d'alarmes/d'événements devant être affichés.

Ouvre le catalogue de sélection de classes.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BAKlassen


ID_ELE_PROP362

Première classe d'alarmes/d'événements à afficher

À partir ce cette classe, les états des classes seront écrits dans la variable d'image.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Offset


ID_ELE_PROP363

Source

Remplacement de variables et/ou de fonctions dans un symbole.

Saisissez la variable source/fonction source. Vous pouvez utiliser des opérateurs (?,*). Séparez les entrées multiples par un point-virgule (;).

Vous pouvez définir la cible à l'aide de la propriété Destination.
Exemple : Variables référencées dans le symbole : Tank1.fill level (Niveau de remplissage de la cuve n°1) et Tank1.position of the valve (Position de la vanne de la cuve n°1). Ces variables doivent être remplacées par Tank2.fill level (Niveau de remplissage de la cuve n°2) Tank2.position of the valve (Position de la vanne de la cuve n°2).
Pour cela, saisissez *1* pour Source et 2 pour Destination. Dans le Runtime, les variables contenant 1 sont remplacées par les variables contenant 2.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SubstituteSource


ID_ELE_PROP364

Destination

Remplacement de variables et/ou de fonctions dans un symbole.
Saisissez les nouvelles variables/fonctions à attribuer. Aucun opérateur n'est autorisé ici. Séparez les entrées multiples par un point-virgule (;).

Vous pouvez définir les sources à l'aide de la propriété Source.
Exemple : Variables référencées dans le symbole : Tank1.fill level (Niveau de remplissage de la cuve n°1) et Tank1.position of the valve (Position de la vanne de la cuve n°1). Ces variables doivent être remplacées par Tank2.fill level (Niveau de remplissage de la cuve n°2) Tank2.position of the valve (Position de la vanne de la cuve n°2).
Pour cela, saisissez *1* pour Source et 2 pour Destination. Dans le Runtime, les variables contenant 1 sont remplacées par les variables contenant 2.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SubstituteDestination


ID_ELE_PROP365

par le nom de variable

Actif : Le remplacement des liens est mis en œuvre par l'intermédiaire du nom des variables.
Inactif : Le remplacement des liens est mis en œuvre par l'intermédiaire du nom des variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SubstituteOnName


ID_ELE_PROP366

Respecter la casse

Actif : La capitalisation (lettres majuscules/minuscules) est prise en compte lors de la saisie de la source et la cible pour le remplacement des variables et/ou des fonctions.
Inactif : La capitalisation (lettres majuscules/minuscules) est prise en compte lors de la saisie de la source et la cible pour le remplacement des variables et/ou des fonctions.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SubstituteMatchCase


ID_ELE_PROP377

Position du focus gauche/droite

Définit la position horizontale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TABOrderH


ID_ELE_PROP378

Position focus haut / bas

Définit la position verticale pour l'utilisation à l'aide du clavier dans le Runtime. La position peut être définie par le biais du menu contextuel et de la souris dans la fenêtre principale, et ne peut pas être modifiée ici.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TABOrderV


ID_ELE_PROP379

Graduations principales

Définit les graduations principales de l'échelle.
La valeur définit la distance entre les graduations principales. La valeur doit être supérieure ou égale à la valeur de la propriété Graduations secondaires. Si la valeur est identique, aucun élément Graduations secondaires n'est affiché.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MainTicks


ID_ELE_PROP380

Graduations secondaires

Définit la division de l'échelle entre Graduations principales.

La valeur définit la distance entre les graduations secondaires. La valeur doit être inférieure ou égale à la valeur de la propriété Graduations principales. Si la valeur est identique, aucune graduation secondaire n'est affichée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmallTicks


ID_ELE_PROP381

Image des classes d'alarmes/d'événements sélectionnées

Définit de quelle manière les états de classes seront écrits dans la variable d'image.

Actif : Les états des classes d'alarmes/d'événements seront écrits dans la variable d'image, sans espace.
Par exemple : classes sélectionnées 1,3 -> classe 1 : bits 0,1 ; classe 3 : bits 2,3

Inactif : Les états des classes d'alarmes/d'événements sélectionnées seront écrits dans la variable d'image, à des positions fixes.
Par exemple : classes sélectionnées 1,3 -> classe 1 : bits 0,1 ; 0 (classe 2 : bits 2,3) ; classe 3 : bits 4,5

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AbbModus


ID_ELE_PROP382

Type de fonction

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL).

Sélection du type de fonction de l'élément. Cliquez sur le type de fonction pour ouvrir une liste déroulante de sélection :

  • Terminaison : Pour le côté barre omnibus ; bloque l'affichage du message d'erreur Line only connected on one side (Ligne connectée d'un côté seulement) lors de la compilation dans l'Éditeur.
  • Générateur : l'élément fonctionne comme un générateur (semblable à Source) ; si cette fonction est active, la couleur est transmise à la ligne suivante.
  • Aucune fonction : l'élément ne comporte aucune fonction dans le module Coloration Automatique des Lignes.
  • Lien : les informations de coloration automatique des lignes sont transférées d'un lien source vers un lien cible.
  • Source : si la source est active, la couleur est transmise à la ligne suivante.
  • Commutateur : La couleur est transmise à la ligne suivante si le sectionneur est fermé et s'il est alimenté par une source.
  • Vanne : fonctionne de la même manière que le paramètre commutateur. La couleur est transmise à la ligne suivante si la vanne est ouverte ou partiellement ouverte et si elle est alimentée par une source. Pour les valeurs de la variable principale : se reporter au manuel.
  • Drain : ce type de fonction n'a aucune incidence sur la coloration. VBA vous permet toutefois d'exécuter une requête pour déterminer si cet équipement est alimenté.
  • Transformateur : si l'élément est alimenté, il transforme une source (couleur) en une autre.
  • Sectionneur fonctionne de la même manière que le paramètre Commutateur, mais contient toutefois un verrouillage topologique (Sectionneur en charge). La couleur est transmise à la ligne suivante si le sectionneur est fermé et s'il est alimenté par une source.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCType


ID_ELE_PROP383

Source

Uniquement active si le type de fonction est Source ou Transformateur :
Sélection de la source/des transformateurs liés.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCSourceID


ID_ELE_PROP384

Couleur définie par CAL

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL) :
Actif : La couleur automatique de la source liée est utilisée.
Inactif : La couleur standard est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCUseColor


ID_ELE_PROP385

Affichage alimentation multiple

Disponible uniquement si la propriété Couleur définie par CAL est active.
Définit le type d'affichage lorsque l'élément est connecté à plusieurs sources :
La source la plus prioritaire : Seule la couleur de la source comportant la priorité la plus élevée est utilisée.
Les deux sources les plus prioritaires : Les différentes couleurs des deux sources comportant les priorités les plus élevées sont affichées sous forme de trait tireté.
Couleur alternative : Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Par défaut : La source la plus prioritaire

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCMultiSource


ID_ELE_PROP386

Numéro de lien

Disponible uniquement si le type de fonction Lien a été sélectionné.
Numéro d'identification du lien. Un autre lien sur un écran différent doté du même numéro d'identification reprendra les données du lien source.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCLinkID


ID_ELE_PROP387

Affichage alimentation sécurisée

Disponible uniquement si la propriété Couleur définie par CAL a été activée.

Définition de l'affichage de l'alimentation sécurisée.

  • double épaisseur
  • double luminosité
  • normal

Par défaut : normal

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCMSecuredSupply


ID_ELE_PROP388

Priorité pour l'affichage

Disponible uniquement si la propriété Couleur définie par CAL est active.

Définit la priorité de l'affichage lorsque l'élément est connecté à plusieurs sources actives.
Alimentation multiple : L'élément est affiché selon les règles de l'alimentation multiple.
Alimentation sécurisée : L'élément est affiché selon les règles de l'alimentation sécurisée.
No priority (Pas de priorité) : Les règles de coloration des paramètres Alimentation multiple et Alimentation sécurisée sont appliquées simultanément, si les deux critères sont satisfaits.

Par défaut : Alimentation multiple
Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCPrecedence


ID_ELE_PROP389

Remise à 0 en quittant

Disponible uniquement si la propriété Mode temporaire est active :
Maintenez le bouton de la souris enfoncé et éloignez le pointeur de la souris du bouton pour réinitialiser automatiquement la valeur de la variable.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ResetOnLeave


ID_ELE_PROP391

Couleur cadre/ombre

Disponible uniquement si vous avez sélectionné Cadre ou Ombre pour l'option Type de cadre.

Définition de la couleur du cadre ou de l'ombre. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PunchFrameColor


ID_ELE_PROP392

Distance [pixels]

Disponible uniquement si vous avez sélectionné l'option Cadres ou Ombre dans la propriété Type de cadre.

Distance entre le cadre ou l'ombre et l'élément, en pixels. La direction de la distance des ombres est toujours définie par la propriété Angle [°]. La plage disponible dépend de la résolution du moniteur.

Par défaut : 10

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PunchFrameOffset


ID_ELE_PROP393

Epaisseur de ligne [Pixels]

Définition de largeur de ligne du cadre en pixels.

Par défaut : 1

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PunchFrameWidth


ID_ELE_PROP394

Changer texte selon touches

Disponible uniquement si vous avez activé Texte automatique dans les propriétés du projet.

Actif : Utilisez Ligne 1 du texte normal à Texte ligne 2 avec Ctrl + Alt (Alt Gr) pour définir l'intitulé du bouton. La saisie d'informations au pour Texte ligne 1 et Texte ligne 2 n'est plus nécessaire !

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ChangeText


ID_ELE_PROP395

Ligne 1 du texte normal

Disponible uniquement si la propriété Changer texte selon touches est active.
Définit l'intitulé de la première ligne de texte du bouton lorsque la touche Ctrl n'est pas enfoncée.Remarque :
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Text1Normal


ID_ELE_PROP396

Ligne 1 du texte avec Maj

Disponible uniquement si la propriété Changer texte selon touches est active.
Définit l'intitulé de la première ligne de texte du bouton lorsque la touche Ctrl n'est pas enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Text1Shift


ID_ELE_PROP397

Ligne 1 du texte avec Ctrl

Disponible uniquement si la propriété Changer texte selon touches est active.
Définit l'intitulé de la première ligne de texte du bouton lorsque la touche Ctrl est enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Text1Ctrl


ID_ELE_PROP398

Texte ligne 1 avec Ctrl + Alt (Alt Gr)

Disponible uniquement si la propriété Changer texte selon touches est active.
Définit l'intitulé de la première ligne de texte du bouton lorsque les touches Ctrl et Alt Gr sont enfoncées.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Text1CtrlAlt


ID_ELE_PROP399

Ligne 2 du texte normal

Disponible uniquement si la propriété Changer texte selon touches est active.
Définit l'intitulé de la première ligne de texte du bouton lorsque la touche Ctrl n'est pas enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Text2Normal


ID_ELE_PROP400

Ligne 2 du texte avec Maj

Disponible uniquement si la propriété Changer texte selon touches est active.
Définit l'intitulé de la deuxième ligne de texte du bouton lorsque la touche Ctrl n'est pas enfoncée.
Remarque : en utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Text2Shift


ID_ELE_PROP401

Ligne 2 du texte avec Ctrl

Disponible uniquement si la propriété Changer texte selon touches est active.
Définit l'intitulé de la deuxième ligne de texte du bouton lorsque la touche Ctrl est enfoncée.
Remarque : En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Text2Ctrl


ID_ELE_PROP402

Texte ligne 2 avec Ctrl + Alt (Alt Gr)

Disponible uniquement si la propriété Changer texte selon touches est active.
Définit l'intitulé de la deuxième ligne de texte du bouton lorsque les touches Ctrl et Alt Gr sont enfoncées.
Remarque : En utilisant le caractère &, vous pouvez souligner le caractère suivant dans le Runtime. Saisissez "&&" pour afficher le caractère &.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Text2CtrlAlt


ID_ELE_PROP403

Type de démarrage

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de début de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LineCapStart


ID_ELE_PROP404

Type de terminaison

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le symbole de fin de ligne. Cliquez sur le champ pour ouvrir une boîte de dialogue vous permettant de sélectionner un élément.

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LineCapEnd


ID_ELE_PROP405

Dimension

Disponible uniquement si vous avez activé la propriété Qualité graphique du projet.

Définit le facteur d'agrandissement de largeur de ligne de la flèche. Le facteur détermine la largeur de ligne de l'élément vectoriel tel qu'il est défini dans la propriété Epaisseur de ligne [Pixels].

Pour les éléments Arc de cercle et Quartier de cercle, disponible uniquement si la propriété Remplissage (type) a été définie en Without (Sans).

Valeur : supérieure ou égale à 1

Par défaut : 4

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LineCapScale


ID_ELE_PROP_BACKCOLOR2

Couleur du dégradé

Disponible uniquement si Color gradient (Dégradé de couleurs) est sélectionné pour la propriété Remplissage (type) et la propriété de projet Qualité graphique est active.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatic (Automatique), la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackColor2


ID_ELE_PROP_BACKCOLORBUTTON2

-

Uniquement disponible si Monochrome est sélectionné pour la propriété Remplissage.

Définit la deuxième couleur du dégradé de couleurs. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de Arrière-plan (couleur).

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackColor2


ID_ELE_PROP_COLORGRADIENTANGLE

Angle [°]

Définit l'orientation du dégradé de couleurs en commençant au centre de l'élément.

Valeurs : 0° à 360°.

Par défaut : 0°

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ColorGradientAngle


ID_ELE_PROP_COLORGRADIENTOFFSET

Décalage [%]

Disponible uniquement si la propriété Gradient de couleur a été définie pour un élément vectoriel ou la propriété Remplissage a été définie pour l'élément dynamique Bouton. Choix disponibles : Linéaire, Starting from a defined point (À partir d'un point défini) ou Starting from a defined point with beams (À partir d'un point défini avec des rayons).

Définit la distance du point de départ du dégradé de couleurs en commençant au centre de l'élément. Cette valeur est spécifiée sous forme de pourcentage.

Valeurs : 0 égale le centre de l'élément. 100 égale le bord.
Remarque : la valeur peut également indiquer un point extérieur à l'élément, et n'est donc pas limitée à 100.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ColorGradientOffset


ID_ELE_PROP_GLOWEFFECT_2NDBLINKSTATEVISIBLE

2 états de clignotement invisibles

Disponible uniquement si la propriété Activer est active. Vous devez en outre définir une variable dans la propriété Variable pour le clignotement ; la propriété Clignotement depuis les limites doit être inactive.

Actif : En cas de clignotement, l'effet de luminescence ne bascule pas vers l'effet de luminescence actif, mais devient invisible. Ceci permet de basculer entre l'invisibilité et la couleur de clignotement en cas de dépassement de la valeur limite.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffect2ndBlinkStateVisible


ID_ELE_PROP_GLOWEFFECT_ACTIVE

Activer

Disponible uniquement si la propriété Qualité graphique du projet est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX) et la propriété Projet WindowsCE du projet est inactive. La disponibilité dépend également de l'élément graphique.

Actif : l'effet de luminescence est utilisé pour l'élément dans le Runtime.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffectActive


ID_ELE_PROP_GLOWEFFECT_ALPHA

Transparence [%]

Valeur de transparence avec laquelle l'effet de luminescence est affiché sur la valeur. Unités de mesure : pourcentage. Cliquez sur le bouton ... pour afficher une réglette.

Minimum : 0%, opaque

Maximum : 100 %, opaque

Par défaut : 20%

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffectAlpha


ID_ELE_PROP_GLOWEFFECT_COLOR

Couleur

Disponible uniquement si la propriété Activer est active. La propriété Coloration doit être activée.

Définit la couleur de l'effet de luminescence. Cliquez sur le bouton ... pour ouvrir la palette de sélection des couleurs. Vous pouvez également saisir une valeur hexadécimale directement dans le champ.

Par défaut : 0xFFFF90 (jaune)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffectColor


ID_ELE_PROP_GLOWEFFECT_EVENT

Actif seulement si cliqué

Disponible uniquement si la propriété Activer est active et l'élément est un bouton.

Actif : l'effet de luminescence est uniquement affiché lorsque l'utilisateur clique sur le bouton. Cliquer sur le bouton permet de modifier la couleur, le clignotement ou l'invisibilité de l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffectEvent


ID_ELE_PROP_GLOWEFFECT_SPREAD

Propagation [pixel]

Définit le facteur d'expansion de l'effet de luminescence. Celui-ci est défini en nombre de pixels pris en compte dans chaque direction lors de l'expansion.

Minimum : 0, pas d'expansion

Maximum : 50

Par défaut : 15

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffectSpread


ID_ELE_PROP_GLOWEFFECT_USECOLOR

Coloration

Disponible uniquement si la propriété Activer est active.

Actif : l'effet de luminescence de l'élément est coloré. Ceci permet d'attribuer une couleur unique définie à l'ensemble de l'effet de luminescence. La couleur peut être définie par le biais de la propriété Couleur ou d'une variable définie dans la propriété Variable pour la couleur. Si les deux propriétés sont actives, la couleur de la propriété Variable pour la couleur est utilisée.

Inactive : La couleur de l'élément est utilisée pour l'effet de luminescence.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffectUseColor


ID_ELE_PROP_GRP0

Général

Propriétés générales des éléments.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

General


ID_ELE_PROP_GRP1

Position

Propriétés de position et de taille de l'élément dynamique.

Remarque : Les paramètres de ce groupe n'affectent pas l'affichage de certains éléments de contrôle sur les synoptiques.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Position


ID_ELE_PROP_GRP2

Affichage vue globale

Propriétés du comportement de l'élément dans le synoptique de vue globale.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Overview


ID_ELE_PROP_GRP3

Couleur

Propriétés des couleurs de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Color


ID_ELE_PROP_GRP4

macros VBA

Propriétés des macros VBA liées à l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VBA


ID_ELE_PROP_GRP5

Evénements généraux

Macros VBA pour les événements généraux.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

General_Events


ID_ELE_PROP_GRP6

Spécifier valeur prescrite

Propriétés d'écriture des valeurs prescrites.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SetValueGroup


ID_ELE_PROP_GRP7

Variable/fonction

Propriétés de la variable ou de la fonction liée à l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Element


ID_ELE_PROP_GRP8

Paramètres visualisation

Propriétés d'affichage des valeurs dans l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DisplayArea


ID_ELE_PROP_GRP9

Couleurs statiques

Propriétés d'affichage des couleurs de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Colors_Static


ID_ELE_PROP_GRP10

Limites statiques

Valeurs prescrites fixes de limite définies pour l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SetValueLimits_Static


ID_ELE_PROP_GRP11

Affichage

Propriétés de l'affichage graphique de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Representation


ID_ELE_PROP_GRP12

Echelle

Propriétés d'affichage d'une échelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Scale


ID_ELE_PROP_GRP13

Indicateur pour le glisser

Propriétés de base de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Look


ID_ELE_PROP_GRP14

Bord

Propriétés du cadre d'un élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Border


ID_ELE_PROP_GRP15

Titre

Propriétés d'affichage d'un titre.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Title


ID_ELE_PROP_GRP16

Bouton

Propriétés de la direction.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Knob


ID_ELE_PROP_GRP17

Durée de visualisation

Période de temps durant laquelle la courbe doit être affichée.
(heures, minutes, secondes)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Time


ID_ELE_PROP_GRP18

Temps d'actualisation

Intervalle de temps durant lequel l'affichage est mis à jour (c'est-à-dire avec l'ajout d'une nouvelle valeur).
(heures, minutes, secondes, millisecondes)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Refresh


ID_ELE_PROP_GRP20

Paramètres symbole synoptique

Propriétés d'utilisation de l'élément avec les différentes couleurs d'un symbole unique préalablement créé dans le synoptique pour l'affichage des différents états.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PictSymbol


ID_ELE_PROP_GRP21

Coloration Automatique de Lignes

Propriétés de la fonction de coloration automatique des lignes (CAL).

Vous trouverez d'autres propriétés dans les propriétés du projet, dans le groupe Coloration Automatique de Lignes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALC


ID_ELE_PROP_GRP22

Evénements souris

Macros VBA pour les événements de souris.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Mouse_Events


ID_ELE_PROP_GRP23

Glisser & Déposer

Macros VBA pour les événements glisser-déplacer.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DragDrop_Events


ID_ELE_PROP_GRP24

Gradient de couleur

Propriétés spécifiques au développement de dégradés de couleurs. Disponibles uniquement si l'option Dégradé de couleurs a été sélectionnée en tant que Remplissage (type).
Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

3D-Filling


ID_ELE_PROP_GRP25

Coloration Automatique de Lignes

Propriétés de la fonction CAL.

Disponible uniquement si vous possédez une licence pour la fonctionnalité Coloration Automatique des Lignes (CAL).
Vous trouverez les propriétés relatives aux éléments de synoptique dans les propriétés des éléments correspondants, dans le groupe Coloration Automatique de Lignes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ALC


ID_ELE_PROP_GRP26

Coins arrondis

Propriétés de l'affichage des coins arrondis.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Roundness


ID_ELE_PROP_GRP27

Valeur binaire

Propriétés de configuration de la valeur binaire prescrite.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BinaryValue


ID_ELE_PROP_GRP28

Valeur numérique

Propriétés de configuration de la valeur numérique prescrite.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AnalogValue


ID_ELE_PROP_GRP29

Entête et grille

Propriétés de l'en-tête et de la grille.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Heading


ID_ELE_PROP_GRP30

Créer entrées dynamiquement

Propriétés de la liste déroulante dynamique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DynEntries


ID_ELE_PROP_GRP31

Bouton écran d'alarmes

Disponible uniquement dans SICAM 230.
Propriétés de l'élément de gestion d'alarmes du synoptique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BA-Elem


ID_ELE_PROP_GRP33

Détection cout-circuit

Contient les propriétés spécifiques à la détection d'erreurs des courts-circuits.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShortFaults


ID_ELE_PROP_GRP34

Formatage texte

Propriétés de mise en forme du texte affiché.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TextAlign


ID_ELE_PROP_GRP35

Paramètres bitmap

Propriétés d'utilisation des éléments comportant différents éléments bitmap représentant les états.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BMPSettings


ID_ELE_PROP_GRP36

Paramètres symbole de bibliothèque

Propriétés d'utilisation des éléments comportant des symboles de la bibliothèque pour afficher les états.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LibSymSettings


ID_ELE_PROP_GRP37

Topologie

Propriétés de SICAM 230.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MrLinzSettings


ID_ELE_PROP_GRP38

Type de représentation

Paramètres d'affichage graphique du contrôle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SuperLook


ID_ELE_PROP_GRP39

Point de référence

Définit le point de départ pour le calcul de l'angle de rotation ou le changement dynamique de taille de l'élément.

ATTENTION : pour les éléments de forme non rectangulaire, les instructions désignent toujours le rectangle qui les entoure.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RelPoint


ID_ELE_PROP_GRP40

Runtime

Propriétés du comportement de l'élément dans le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Runtime


ID_ELE_PROP_GRP41

Opération clavier

Propriétés de traitement en ligne de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Operation


ID_ELE_PROP_GRP43

Fichier graphique

Propriétés du fichier graphique de l'élément dynamique Bouton.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GraphicFile


ID_ELE_PROP_GRP44

Autorisation

Propriétés de l'autorisation d'accès à l'élément.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Rights


ID_ELE_PROP_GRP45

Visibilité

Propriétés de visibilité de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DynamicVisibility


ID_ELE_PROP_GRP46

Plage d'affichage statique

Propriétés de la plage d'affichage fixe définie de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Displayrange_Static


ID_ELE_PROP_GRP47

Clignotement

Propriétés de clignotement de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DynamicBlinking


ID_ELE_PROP_GRP48

Réglette universelle

Configuration du contrôle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Universal_Slider


ID_ELE_PROP_GRP49

Légende

Configuration de la clé du contrôle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Legend


ID_ELE_PROP_GRP50

Cadres/Ombres

Propriétés des cadres et des ombres autour de l'élément.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PunchFrame


ID_ELE_PROP_GRP51

Angle d'ouverture

Définition de l'angle d'un quartier de cercle

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Segment


ID_ELE_PROP_GRP52

Graphique pour la case à cocher

Propriétés de la case à cocher.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GraphicalImage


ID_ELE_PROP_GRP53

Fichier graphique

Paramètres des fichiers graphiques.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MsgCtrlImages


ID_ELE_PROP_GRP54

Couleur d'état

Paramètres du code de couleurs utilisé lors de l'affichage en surbrillance d'un message.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MsgCtrlColors


ID_ELE_PROP_GRP_ALC_FAULTS

Détection des défauts de terre

Contient les propriétés spécifiques à la détection d'erreurs des défauts à la terre.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GndFaults


ID_ELE_PROP_GRP_ALC_FOS

Localisation défaut de la protection / distribution charge

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FOS_LoadBal


ID_ELE_PROP_GRP_EFFECTS

Effets

Contient les propriétés de configuration des effets des synoptiques.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Effects


ID_ELE_PROP_GRP_GLOW_EFFECT

Effet de rayonnement (seulement DirectX)

Propriétés de configuration de l'effet de luminescence. Disponible uniquement si la propriété Qualité graphique est définie sur DirectX Hardware (Matériel DirectX) ou DirectX Software (Logiciel DirectX).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GlowEffect


ID_ELE_PROP_GRP_LINECAPS

Fin de ligne

Contient les propriétés relatives à la forme du début et de la fin des lignes.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LineCaps


ID_ELE_PROP_GRP_SW

Spécifier valeur prescrite

Propriétés de configuration des valeurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SetValue


ID_ELE_PROP_GRPMULTITOUCH

-

Description sous forme de texte.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Multitouch_Interaction


ID_ELE_PROP_SYMBOLFORM_CLICKAREA

La forme du symbole définie la zone de clic

Permet de créer un bouton à cliquer sous n'importe quelle forme. Disponible uniquement pour l 'option Symbole de la bibliothèque de l'élément combiné.

Actif : la forme du symbole est utilisée en tant que zone cliquable. Chaque élément du symbole est pris en compte individuellement pour la zone de clic.

Inactive : La forme de l'élément combiné (rectangle entier) est utilisée en tant que zone de clic.

Par défaut : Inactive

Attention : Indisponible pour for Windows CE.

Cette propriété est disponible à compter de la version 6.51. Pour les projets destinés aux précédentes versions du logiciel, la propriété est considérée comme inactive.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SymbolFormClickArea


ID_ELE_PROP_UNIT_POS

Position unité [%]

Disponible uniquement si la propriété Afficher l'unité est active.

Positionne l'affichage de l'unité et permet d'ajuster des unités de longueurs différentes en fonction de valeurs citées les unes après les autres. Pour le positionnement, saisissez un pourcentage compris entre 0 et 100.

L'unité est toujours affichée à droite de la position définie. La valeur correspondante affichée à gauche dépend de l'alignement défini.

Par défaut : 0 - signifie aucun alignement de pourcentage. La valeur et l'unité sont toujours affichées ensemble.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UnitPos


ID_ELE_SplineTension

Arrondir

Disponible uniquement si vous avez activé l'option Qualité graphique dans les propriétés du projet dans le nœud Apparence graphique/Synoptiques.

Définit la valeur d'arrondi des polylignes, des polygones et des barres verticales.

Valeurs : 0,0 (pas d'arrondi) à 1,0 (arrondi maximal)

Par défaut : 0

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SplineTension


ID_ELE_TEXT_FROM_VARIABLE

Texte issu de la valeur d'une variable

Disponible uniquement pour les variables Chaîne.

Actif : Le texte est identique à celui de la valeur de la variable liée.

Inactif : le texte est identique à celui de la matrice de réaction.

Par défaut : Actif

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TextFromVariable


ID_ELE_TEXT_TRANSLATE_TEXT

Traduire le texte affiché

Actif : le texte devant être affiché est traduit. Si un texte est modifié, la version provisoire est affichée avec la traduction.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TranslateText


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlide


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideExact


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideHorizontal


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideRearrange


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideSelect


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideSpeedBump


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_DRAG

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_Drag


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_Hold


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_HoldMouse


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_Manipulation


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_Exact


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_RailsX


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_RailsY


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_Rotation


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_RotationInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_Scaling


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_ScalingInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_TranslationInertia


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_TranslationX


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Translation Y

Actif : Détection du paramètre Translation Y défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_TranslationY


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_SecondaryTap


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_Tap


ID_ELEMENT_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_TapDouble


ID_ELEMENT_INTERACTION_CONFIGURATION_GRP

Evaluation de geste VSTA

Propriétés pour l'évaluation des gestes pour les éléments dynamiques à l'aide de VSTA.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureRecognition


ID_ELEMENT_PROP_INTERACTION_ACTIVE

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureRecognitionActive


ID_ELESEG_END_ANGLE

Angle de fin [degrés]

Fin de l'angle d'ouverture. L'angle d'ouverture du quartier de cercle est affiché entre l'angle de début et l'angle de fin.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SegEndAngle


ID_ELESEG_OFFSET_ADJUSTABLE

Epaisseur de segment ajustable

Épaisseur du quartier pour un quartier de cercle Indisponible pour Qualité graphique Windows de base, pour Projet WindowsCE actif ou pour Gradient de couleur Par les valeurs de luminosité.

Actif : L'épaisseur d'un quartier de cercle peut être configurée individuellement.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OffsetAdjustable


ID_ELESEG_OFFSET_END

Angle de fin du segment [pixel]

Épaisseur en pixels du quartier à l'angle de fin, entre le bord extérieur de l'ellipse et le point central. Disponible uniquement si la propriété Epaisseur de segment ajustable a été activée et la propriété Epaisseur de fin égal épaisseur de début a été désactivée.

Minimum : 0 pixel

Maximum : Une valeur inférieure à moins de la hauteur ou moins de la moitié de l'élément.

Par défaut : 12:00 AM

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EndOffset


ID_ELESEG_OFFSET_END_EQUALS_START

Epaisseur de fin égal épaisseur de début

Actif : Définissez l'épaisseur du quartier pour l'angle de fin sur une valeur identique à celle de l'angle de début. La propriété Angle de fin du segment [pixel] est désactivée. Cela signifie que l'ensemble de l'élément est affiché avec une épaisseur de quartier homogène. Disponible uniquement si la propriété Epaisseur de segment ajustable a été activée.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OffsetEndEqualsStart


ID_ELESEG_OFFSET_GRP

Epaisseur segment

Propriétés définissant l'épaisseur des quartiers.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SegmentOffsets


ID_ELESEG_OFFSET_START

Angle de départ du segment [pixel]

Épaisseur en pixels du quartier à l'angle de fin, entre le bord extérieur de l'ellipse et le point central. Disponible uniquement si la propriété Epaisseur de segment ajustable est active.

Minimum : 0 pixel

Maximum : Une valeur inférieure à moins de la hauteur ou moins de la moitié de l'élément.

Par défaut : 12:00 AM

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StartOffset


ID_ELESEG_START_ANGLE

Angle de début [degrés]

Début de l'angle d'ouverture. L'angle d'ouverture du quartier de cercle est affiché entre l'angle de début et l'angle de fin.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SegStartAngle


ID_ELREST_DEVPARAM

-

Les propriétés suivantes sont utilisées pour l'adressage du driver ELREST32.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Device parameter


ID_EMS_PROP0

Nom

Nom unique permettant d'identifier les équipements, les zones et les sites dans le module EMS.

Attention : Les noms doivent être uniques sur tous les réseaux/zones d'alimentation du projet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_EMS_PROP1

Identification

Possibilité de saisir un nom plus long ou une description détaillée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Longtext


ID_EMS_PROP2

Consommation ajustée

Variable à laquelle sera transmise la consommation du groupe (ajustée en fonction des valeurs des commutations d'arrêt et des utilisations de capacité de stockage des équipements consommateurs). Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AdjConsumption


ID_EMS_PROP3

Prévision

Variable à laquelle la consommation prévue du groupe est transmise. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GasPrognosis


ID_EMS_PROP4

Charge optimale

Variable à laquelle le résultat de la répartition de charge est transmis. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OptimumLoad


ID_EMS_PROP5

Vitesse du vent

Variable correspondant à la valeur de la vitesse du vent. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Wind


ID_EMS_PROP6

Température

Variable correspondant à la valeur de la température. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Temp


ID_EMS_PROP7

Caractéristiques jour

Variable d'identification des jours (jours ouvrés ou jours de congés). Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Days


ID_EMS_PROP8

Consommation courante

Variable contenant la valeur actuelle de la consommation de la zone. La valeur doit représenter l'écart des compteurs par unité de temps avec la somme des consommations de la zone d'alimentation. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Attention : Assurez-vous que la valeur sera transmise de manière cyclique, car elle entraîne une optimisation à court terme.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ActValue


ID_EMS_PROP9

Consommation moyenne de courant

Variable de procédé comportant la consommation moyenne actuelle (résultant des valeurs mesurées). Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ActMean


ID_EMS_PROP10

Prévision de consommation finale

Variable contenant la valeur de fin de la ligne prévisionnelle à la fin de la période de facturation. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ProgEndValue


ID_EMS_PROP11

Prévision de consommation initiale

Variable contenant la valeur de début de la ligne prévisionnelle au débit de la plage de temps de la prévision. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ProgStartValue


ID_EMS_PROP12

Dernière valeur de commutation

Variable contenant la somme des moyennes d'alimentation pour lesquelles des actions de commutation sont encore planifiées durant la période actuelle. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Attention : Cette variable doit être configurée pour le driver interne, afin de garantir son bon fonctionnement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LastSwitchValue


ID_EMS_PROP13

Première valeur de commutation

Variable contenant la moyenne d'alimentation calculée pour laquelle la prochaine action de commutation sera exécutée. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Attention : Cette variable doit être configurée pour le driver interne, afin de garantir son bon fonctionnement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FirstSwitchValue


ID_EMS_PROP14

Prévision pour la zone d'erreur

Variable contenant l'erreur de prévision possible de la valeur de prévision finale. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ProgChannelValue


ID_EMS_PROP15

Prévision de la moyenne

Variable contenant la moyenne actuelle de la valeur de prévision réelle. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ProgMean


ID_EMS_PROP16

Prévision pour la plage d'erreur moyenne

Variable contenant l'erreur de prévision possible de la valeur de prévision réelle. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ProgChannelMean


ID_EMS_PROP17

Limite alimentation

Variable contenant la limite de capacité d'alimentation actuellement configurée. Si la valeur est modifiée durant le Runtime, la limite de capacité d'alimentation sera également modifiée pour une période d'alimentation Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Limit


ID_EMS_PROP18

Limite alimentation ajustée

Variable comportant une limite de capacité d'alimentation ajustée (ajustée vers le haut) pour l'événement ayant entraîné un dépassement de limite lors d'une des périodes précédentes. Si la limite d'achat est dépassée durant une période, la limite d'achat est augmentée de la même valeur que le dépassement.

Si vous ne liez pas une variable, la limite d'achat ne sera pas augmentée après un dépassement.

Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AdjustedLimit


ID_EMS_PROP19

Déviation actuelle brute

Variable correspondant à l'écart moyen de la prévision de valeur réelle. Cette moyenne est égale à l'écart entre la valeur moyenne prévue du pronostic de valeur réelle et la limite de capacité d'alimentation. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DeviationActual


ID_EMS_PROP20

Déviation actuelle du réseau

Variable pour l'écart moyen de la prévision de valeur réelle. Cette moyenne est égale à l'écart entre la moyenne prévue pour le pronostic de valeur réelle et la limite de capacité d'alimentation. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DeviationReal


ID_EMS_PROP21

Changement de jour

Heure à laquelle le module EMS effectue un changement de jour. Ce paramètre est important pour tous les équipements dont la fréquence de commutation maximale par unité de temps est supérieure à 24 heures. Le compteur journalier est habituellement réinitialisé à 00h00 (minuit). Ce paramètre permet de déclencher la réinitialisation à une heure différente.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DayChangeover


ID_EMS_PROP22

Horizon de prévision

Durée d'une période de facturation, au format hh:mm:ss. Les fonctionnalités de calcul et d'optimisation de tendance utilisent ce temps comme horizon de calcul. Les valeurs habituelles sont 15, 30 ou 60 minutes.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ForecastHorizon


ID_EMS_PROP23

Activer hystérésis [%]

Définit l'étendue de l'hystérésis (en pourcentage) dans laquelle aucune charge ne doit être déconnectée, afin de maintenir la propriété Distance de sécurité [%] conforme à la limite d'alimentation.

Par défaut : 0

Attention : Si vous définissez une plage trop importante, la limite d'alimentation peut être dépassée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HysteresisOn


ID_EMS_PROP24

Désactiver hystérésis [%]

Définit l'étendue de l'hystérésis (en pourcentage) dans laquelle aucune charge ne doit être connectée, afin de maintenir la propriété Distance de sécurité [%] conforme à la limite d'alimentation.

Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HysteresisOff


ID_EMS_PROP25

Distance de sécurité [%]

Distance de sécurité par rapport à la limite d'alimentation, en pourcentage. La distance de sécurité est également affectée par les propriétés Activer hystérésis [%] et Désactiver hystérésis [%].

Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SafetyClearance


ID_EMS_PROP26

Cycle d'optimisation

Cycle en hh:mm:ss durant lequel est calculée l'optimisation à court terme. Le synoptique est actualisé après chaque optimisation, et au moins une fois par cycle.

Par défaut : 12:00:30 AM

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OptCycle


ID_EMS_PROP27

Début intervalle des tarifs en arrêt

Heure en hh:mm:ss au début d'une période de facturation. Durant cette période, aucune action de commutation n'est effectuée par l'optimisation, car les résultats des prévisions ne sont pas encore assez précis.

Par défaut : 12:00 AM

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DeadLength


ID_EMS_PROP37

Ratio max. Gaz Liq./Alimentation

Disponible uniquement si au moins une usine de gaz liquide existe dans la zone d'alimentation.

Définit la quantité de gaz naturel pouvant être utilisée par l'équipement sous forme de valeur maximale provenant du stockage de gaz liquide. Saisissez la quantité sous forme de ratio entre le gaz disponible dans le stockage de gaz liquide et le gaz nécessaire aux équipements.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxLqGasDelivery


ID_EMS_PROP38

Ratio min. Gaz Liq./Alimentation

Disponible uniquement si au moins une usine de gaz liquide existe dans la zone d'alimentation.

Définit la quantité de gaz naturel pouvant être utilisée par l'équipement sous forme de valeur minimale provenant du stockage de gaz liquide. Saisissez la quantité sous forme de ratio entre le gaz disponible dans le stockage de gaz liquide et le gaz nécessaire aux équipements.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinLqGasDelivery


ID_EMS_PROP39

Erreur prévision haute

Variable pour l'erreur de prévision supérieure. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UpperErrorBound


ID_EMS_PROP40

Erreur prévision basse

Variable pour l'erreur de prévision inférieure. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LowerErrorBound


ID_EMS_PROP41

Consommation actuelle

Variable à laquelle la consommation de groupe actuelle, commutations d'arrêt des équipements consommateurs incluses, est transmise. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Consumption


ID_EMS_PROP42

Energie quotidienne

Variable pour les consommations de groupe durant la période de facturation de la journée. Utilisée en tant que variable de marqueur dans les archives futures. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DayEnergy


ID_EMS_PROP44

Indicateur de disponibilité

Variable spécifiant si le générateur est disponible pour le module EMS et s'il peut donc être mis en marche. S'il est disponible, le générateur reste dans le dernier état de commutation valide. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Active


ID_EMS_PROP45

Délai mise en marche

Temps en hh:mm:ss nécessaire au démarrage du générateur. La puissance de sortie de l'équipement sera uniquement disponible pour le module EMS à la fin de cette période.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OnDelay


ID_EMS_PROP46

Délai mise à l'arrêt

Temps en hh:mm:ss nécessaire au démarrage du générateur. La puissance de sortie de l'équipement sera uniquement disponible pour le module EMS à la fin de cette période.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OffDelay


ID_EMS_PROP47

Pré-alerte activée

Variable de pré-alerte avant la commutation de marche d'équipements consommateurs. Une pré-alerte est transmise conformément à la configuration de l'élément Durée pré-alerte. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WarnOn


ID_EMS_PROP48

Pré-alerte désactivée

Variable de pré-alerte avant la commutation d'arrêt d'équipements consommateurs. Une pré-alerte est transmise conformément à la configuration de l'élément Durée pré-alerte. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WarnOff


ID_EMS_PROP50

Etat de commutation

Variable fournissant l'état de commutation actuel d'un équipement consommateur (ON [Marche] ou OFF [Arrêt]). Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

State


ID_EMS_PROP51

Mise en marche

Variable de commutation de marche de l'équipement consommateur. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SwitchOn


ID_EMS_PROP52

Mise à l'arrêt

Variable de commutation d'arrêt de l'équipement consommateur. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SwitchOff


ID_EMS_PROP55

Consommation actuelle

Fournit la valeur mesurée de la consommation actuelle d'une centrale bivalente. Cette valeur doit toujours correspondre à un étage de commutation défini, afin que l'attribution se déroule sans incident. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Consumption


ID_EMS_PROP56

<Nouveau temps de blocage>

Crée une nouvelle heure de blocage. Cliquez dans le champ ou sur le bouton. Les heures de blocage reçoivent le nom "Heure de blocage", suivi d'un nombre consécutif.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NewLock


ID_EMS_PROP57

<Supprimer temps de blocage>

Supprime une heure de blocage après affichage d'une demande de confirmation. Cliquez dans le champ ou sur le bouton. La numérotation consécutive des heures de blocage suivantes sera ajustée (le numéro de chaque étage sera réduit de 1).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DelLock


ID_EMS_PROP58

Début

Début d'une période de blocage au format hh:mm:ss.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LockStart


ID_EMS_PROP59

Fin

Fin d'une période de blocage au format hh:mm:ss.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LockStop


ID_EMS_PROP60

Type

Spécifie les actions interdites durant le temps de blocage.

Désactivée : aucune désactivation n'est autorisée durant le temps de blocage.

Activée : aucune activation n'est autorisée durant le temps de blocage.

Les deux : ni activation, ni désactivation ne sont autorisées durant le temps de blocage.

Par défaut : Les deux

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LockType


ID_EMS_PROP61

Durée de mise en marche min.

Intervalle minimal, en hh:mm:ss, durant lequel le générateur doit rester activé après l'activation de la puissance de sortie maximale. Ce n'est qu'après expiration de ce délai que le générateur pourra à nouveau effectuer des actions de commutation d'arrêt.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinOn


ID_EMS_PROP62

Durée de mise en marche max.

Intervalle maximal, en hh:mm:ss, durant lequel le générateur peut rester activé après l'activation de la puissance de sortie maximale. Après ce délai, le générateur sera automatiquement désactivé par le module EMS, même si ceci entraîne le dépassement de la valeur limite d'alimentation.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxOn


ID_EMS_PROP63

Durée d'arrêt min.

Intervalle minimal, en hh:mm:ss, durant lequel le générateur doit rester dans cet état après avoir été arrêté. Ce n'est qu'après expiration de ce délai que le générateur pourra à nouveau effectuer des actions de commutation de marche.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinOff


ID_EMS_PROP64

Durée d'arrêt max.

Intervalle maximal, en hh:mm:ss, durant lequel le générateur peut rester dans cet état après avoir été arrêté. Après ce délai, le générateur sera automatiquement activé par le module EMS, même en cas de dépassement de la valeur limite d'alimentation actuelle.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxOff


ID_EMS_PROP67

Durée pré-alerte

Heure en hh:mm:ss au début d'une période de facturation. Via la variable Commutation pré-alerte, le système peut fournir une pré-alerte à l'utilisateur afin de l'avertir avant l'exécution de l'action de commutation.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Warn


ID_EMS_PROP68

Fréquence max. de commutation

Nombre maximal d'actions de commutation par unité de temps. Les commutations de marche et les commutations d'arrêt sont considérées comme des actions de commutation distinctes. La commutation de la puissance de sortie nominale à la puissance de sortie maximale est également considérée comme une action de commutation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxSwitch


ID_EMS_PROP69

par unité de temps

Unité de temps au format hh:mm:ss pour l'élément Fréquence max. de commutation.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SwitchUnit


ID_EMS_PROP70

Détermination de capacité

Définit de quelle manière la puissance de sortie sera déterminée par le biais de la liste déroulante.

Par défaut : la consommation est déterminée par la puissance de sortie nominale. Cette valeur est prédéfinie.

Mesurée : La consommation actuelle est déterminée par le biais de la variable de l'élément Consommation actuelle.

Par défaut : valeur par défaut

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PowerType


ID_EMS_PROP71

Sortie de veille

Saisissez la puissance de sortie nominale du générateur ici.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Power


ID_EMS_PROP72

Variable de sortie de veille

Cette valeur de variable remplace la valeur prédéfinie de la sortie nominale durant le Runtime. Ceci permet d'ajuster la sortie nominale actuellement fournie d'un générateur dans le Runtime, par exemple, si la sortie est obtenue au moyen d'un point de mesure. Pour ouvrir la boîte de dialogue de sélection de variables, cliquez sur le bouton.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PowerVar


ID_EMS_PROP73

Priorité mise en marche

Définit la priorité de la mise sous tension du périphérique. Plus la valeur est élevée, plus la priorité est élevée. Les équipements dotés d'une priorité plus élevée seront les premiers pris en compte par le module EMS.

Minimum : 0

Maximum : 32000

Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OnPrio


ID_EMS_PROP74

Priorité mise à l'arrêt

Spécifie la priorité de mise hors tension du périphérique. Plus la valeur est élevée, plus la priorité est élevée. Les équipements dotés d'une priorité plus élevée seront les premiers pris en compte par le module EMS.

Minimum : 0

Maximum : 32000

Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OffPrio


ID_EMS_PROP75

Proportion du groupe [%]

Part de la puissance d'entrée de l'équipement consommateur dans la puissance d'entrée totale du groupe d'équipements consommateurs (en pourcentage).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GroupShare


ID_EMS_PROP76

Retour [€/kWh] / Priorité

Retour de l'équipement consommateur en €/kWh ou priorité de commutation.

La fonction utilise 7 chiffres pour le calcul au total, quelle que soit leur position avant ou après la virgule décimale.

Valeur maximale : 9999999

Valeur minimale : 0,000001

Par défaut : 1,000000

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Revenue


ID_EMS_PROP77

Température min. [°C]

Température minimale L'équipement consommateur ne doit pas être utilisé sous cette température.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinTemp


ID_EMS_PROP78

Température max. [°C]

Température maximale en °C. L'équipement consommateur ne doit pas être utilisé au-dessus de cette température.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxTemp


ID_EMS_PROP79

Performance de pointe

Saisissez la puissance de sortie maximale souhaitée ici. Le module EMS peut effectuer une commutation de la puissance de sortie nominale vers cette valeur de puissance de sortie maximale. La valeur d'alimentation sera réduite conformément à l'écart de la puissance de sortie.

Si le générateur possède uniquement une puissance de sortie connectable et pas de puissance de sortie de base, vous pouvez uniquement spécifier la puissance de sortie maximale du générateur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PeakPower


ID_EMS_PROP80

Commutation pré-alerte

Définit une variable qui alerte l'utilisateur avant toute action de commutation, conformément à l'élément Durée pré-alerte configuré. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WarnSwitch


ID_EMS_PROP83

Basculer en mode veille

Variable de commande entraînant une commutation en mode de veille. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SwitchOff


ID_EMS_PROP84

Basculer en production de pointe

Variable de commande entraînant une commutation vers la puissance de sortie maximale. En règle générale, la commutation s'effectuera de la puissance de sortie nominale vers la puissance de sortie maximale. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SwitchOn


ID_EMS_PROP86

Etat de commutation

Variable à laquelle l'état de commutation actuel du générateur ([Arrêt] ou ON [Marche]) sera transmis. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

State


ID_EMS_PROP87

Plan de capacité

Définit la variable de planification de commutation requise pour les valeurs prescrites de puissance de sortie. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PowerPlan


ID_EMS_PROP88

Planning des commutations

Définit la variable de planification de commutation requise pour les actions de commutation. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Schedule


ID_EMS_PROP89

Niveau courant

Variable à laquelle le niveau de remplissage actuel d'un réservoir de gaz sera transmis. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ActualLevel


ID_EMS_PROP90

Capacité de fourniture cible

Variable comportant la valeur prescrite de la capacité de fourniture. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WithdrawalSet


ID_EMS_PROP91

Capacité actuelle de fourniture

Variable à laquelle la valeur actuelle de la capacité de fourniture sera transmise. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WidthdrawalActual


ID_EMS_PROP92

Niveau cible min.

Variable de valeur prescrite comportant la valeur limite correspondant au niveau de remplissage minimal. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinSetLevel


ID_EMS_PROP93

Valeur de seuil pour la déviation du niveau

Hystérésis des valeurs de niveau de remplissage.

La fonction utilise 7 chiffres pour le calcul au total, quelle que soit leur position avant ou après la virgule décimale.

Valeur maximale : 9999999

Valeur minimale : 0,000000

Par défaut : 0,000000

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Threshold


ID_EMS_PROP94

Niveau max. [kWh]

Niveau de remplissage maximal du réservoir de gaz en kWh. Le module EMS ne doit pas dépasser cette valeur.

La fonction utilise 7 chiffres pour le calcul au total, quelle que soit leur position avant ou après la virgule décimale.

Valeur maximale : 9999999

Valeur minimale : 0,000000

Par défaut : 0,000000

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxLevel


ID_EMS_PROP95

Niveau min. [kWh]

Niveau de remplissage minimal du réservoir de gaz en kWh. Le module EMS ne doit pas descendre en-dessous de cette valeur.

La fonction utilise 7 chiffres pour le calcul au total, quelle que soit leur position avant ou après la virgule décimale.

Valeur maximale : 9999999

Valeur minimale : 0,000000

Par défaut : 0,000000

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinLevel


ID_EMS_PROP96

Capacité de fourniture max. [kWh]

Capacité de fourniture maximale du réservoir de gaz en kWh.

La fonction utilise 7 chiffres pour le calcul au total, quelle que soit leur position avant ou après la virgule décimale.

Valeur maximale : 9999999

Valeur minimale : 0,000000

Par défaut : 0,000000

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxWithdrawal


ID_EMS_PROP97

Coûts de base [€/kWh]

Retour du réservoir de gaz en €/kWh.

La fonction utilise 7 chiffres pour le calcul au total, quelle que soit leur position avant ou après la virgule décimale.

Valeur maximale : 9999999

Valeur minimale : 0,000001

Par défaut : 1,000000

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BaseCosts


ID_EMS_PROP98

Coûts des pénalités [€/kWh]

Coûts de pénalité du réservoir de gaz en €/kWh.

La fonction utilise 7 chiffres pour le calcul au total, quelle que soit leur position avant ou après la virgule décimale.

Valeur maximale : 9999999

Valeur minimale : 0,000000

Par défaut : 1,000000

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Penalty


ID_EMS_PROP99

Capacité d'injection max. [kWh]

Capacité d'injection maximale du réservoir de gaz en kWh.

La fonction utilise 7 chiffres pour le calcul au total, quelle que soit leur position avant ou après la virgule décimale.

Valeur maximale : 9999999

Valeur minimale : 0,000000

Par défaut : 0,000000

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxInjection


ID_EMS_PROP100

Stockage réseau de canalisations

Actif : Ce réservoir à gaz est un stockage en réseau de canalisations.

Avant de pouvoir créer un réservoir de gaz liquide dans la zone d'alimentation, vous devez d'abord définir un stockage en réseau de canalisations.

Attention : Vous pouvez uniquement défini un stockage en réseau de canalisations par zone d'alimentation.

Par défaut : inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Netzspeicher


ID_EMS_PROP101

Niveau max. en stockage réseau pour la fourniture

Niveau maximal de remplissage en stockage net disponible pour la fourniture.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxPressure


ID_EMS_PROP102

EMS en fonctionnement

Variable affichant, durant le Runtime, si la zone d'alimentation illustrée sur le synoptique du module EMS a été activée La zone d'alimentation est activée par le biais d'une fonction. La variable doit être de type BOOL. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Running


ID_EMS_PROP103

Variable de priorité de mise en marche

Variable permettant d'ajuster dynamiquement la priorité de commutation de marche de l'équipement durant le Runtime. Ceci vous permet, par exemple, de modifier l'ordre des générateurs dans la hiérarchie des modules EMS en fonction de la température extérieure. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OnPrioVar


ID_EMS_PROP104

Variable de priorité de mise à l'arrêt

Variable permettant d'ajuster dynamiquement la priorité de commutation d'arrêt de l'équipement durant le Runtime. Ceci vous permet, par exemple, de modifier l'ordre des générateurs dans la hiérarchie des modules EMS en fonction de la température extérieure. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OffPrioVar


ID_EMS_PROP105

Etat interne de commutation

Variable permettant d'afficher les différents états d'équipements. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DispoStatus


ID_EMS_PROP106

Variable de durée min. de mise en marche

Variable permettant d'ajuster l'intervalle de commutation de marche minimal durant le Runtime. Toute valeur présente durant le Runtime remplacera la valeur définie dans le code. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinOnVar


ID_EMS_PROP107

Variable de durée max. de mise en marche

Variable permettant d'ajuster l'intervalle de commutation de marche maximal durant le Runtime. Toute valeur présente durant le Runtime remplacera la valeur définie dans le code. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxOnVar


ID_EMS_PROP108

Variable de durée min. de mise à l'arrêt

Variable permettant d'ajuster l'intervalle de commutation d'arrêt minimal durant le Runtime. Toute valeur présente durant le Runtime remplacera la valeur définie dans le code. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinOffVar


ID_EMS_PROP109

Variable de durée max. de mise à l'arrêt

Variable permettant d'ajuster l'intervalle de commutation d'arrêt maximal durant le Runtime. Toute valeur présente durant le Runtime remplacera la valeur définie dans le code. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxOffVar


ID_EMS_PROP110

{Nouvelle étape}

Crée un nouvel étage de commutation. Cliquez dans le champ ou sur le bouton. Les étages de commutation reçoivent le nom "Étage de commutation" suivi d'un nombre consécutif.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NewStufe


ID_EMS_PROP111

{Supprimer étape}

Supprime l'étage de commutation sélectionné. Cliquez dans le champ ou sur le bouton. La numérotation consécutive des étages de commutation suivants sera ajustée (le numéro de chaque étage sera réduit de 1).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DelGrade


ID_EMS_PROP112

Sortie des résultats

Valeur de sortie de l'étage de commutation. La valeur de sortie résultante durant le Runtime doit toujours correspondre exactement à l'une des valeurs définies dans les étages de commutation.

Par défaut : 0,000000

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GradePower


ID_EMS_PROP113

Variable de sortie

Variable pouvant être utilisée pour ajuster dynamiquement la valeur de sortie d'un étage de commutation de centrale bivalente durant le Runtime. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GradePowerVar


ID_EMS_PROP114

Durée pré-alerte

Heure au format hh:mm:ss, nécessaire pour la pré-alerte d'un étage de commutation. Via les variables Pré-alerte activée et Pré-alerte désactivée, le système peut afficher une pré-alerte pour l'utilisateur. L'utilisateur est alors informé avant l'exécution de l'action de commutation.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GradeWarn


ID_EMS_PROP115

Pré-alerte activée

Définit une variable qui alerte l'utilisateur avant toute action de commutation de marche, conformément à l'élément Durée pré-alerte configuré. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GradeWarnOn


ID_EMS_PROP116

Pré-alerte désactivée

Définit une variable qui alerte l'utilisateur avant toute action de commutation d'arrêt, conformément à l'élément Durée pré-alerte configuré. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GradeWarnOff


ID_EMS_PROP117

Délai pour la mise en marche

Heure en hh:mm:ss à laquelle la centrale bivalente doit démarrer. La puissance de sortie de l'équipement sera uniquement disponible pour le module EMS à la fin de cette période.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GradeOnDelay


ID_EMS_PROP118

Délai pour la mise à l'arrêt

Heure en hh:mm:ss à laquelle la centrale bivalente doit s'arrêter. La puissance de sortie ne diminuera qu'à la fin du délai configuré.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GradeOffDelay


ID_EMS_PROP119

Durée de mise en marche min.

Intervalle minimal, en hh:mm:ss, durant lequel la centrale bivalente doit rester activée après l'activation de la puissance de sortie maximale. Ce n'est qu'après expiration de ce délai que le générateur pourra à nouveau effectuer des actions de commutation d'arrêt.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GradeMinOn


ID_EMS_PROP120

Durée de mise en marche max.

Intervalle maximal, en hh:mm:ss, durant lequel la centrale bivalente doit rester activée après l'activation de la puissance de sortie maximale. Après ce délai, le générateur sera automatiquement désactivé par le module EMS, même si ceci entraîne le dépassement de la valeur limite d'alimentation.

Valeur maximale : 11:59:59 PM

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GradeMaxOn


ID_EMS_PROP121

Variable pour la valeur prescrite

Variable de valeur prescrite globale commutée par la centrale bivalente. Les valeurs et variables individuelles des étages de commutation sont uniquement utilisées pour la définition de la puissance de sortie de l'étage. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SetValue


ID_EMS_PROP122

Hystérésis

L'hystérésis définit la plage admissible dans laquelle la valeur actuelle peut être attribuée à l'un des étages de commutation. Si une valeur de consommation n'est pas comprise dans l'hystérésis de l'un des étages de commutation configurés, la centrale bivalente est considérée comme inactive par le module EMS.

Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Hysteresis


ID_EMS_PROP123

Commutations planifiées

Permet de lier une variable de chaîne contenant toutes les commutations planifiées depuis le module EMS. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ScheduledActions


ID_EMS_PROP124

Sortie nominale

Puissance nominale de l'équipement consommateur en kW.

Cette valeur peut être ajustée dynamiquement durant le Runtime par l'attribution d'une variable dans la propriété Variable de sortie nominale.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Power


ID_EMS_PROP125

Variable de sortie nominale

La puissance d'entrée nominale actuellement fournie d'un équipement consommateur peut être ajustée à l'aide d'une variable durant le Runtime, par ex. si la valeur d'entrée est obtenue par l'intermédiaire d'un point de mesure. Cette valeur de variable remplacera la valeur prédéfinie de l'élément Sortie nominale durant le Runtime. Permet d'ouvrir la boîte de dialogue de sélection de variables en cliquant sur le bouton correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PowerVar


ID_EMS_PROP_GRP0

Général

Propriétés générales du niveau du module EMS.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_EMS_PROP_GRP1

Valeurs d'entrée

Paramètres des valeurs actuelles et des limites d'alimentation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_InputValues


ID_EMS_PROP_GRP2

Paramètres spécifiques gaz

Ces propriétés sont uniquement disponibles pour les réseaux, les zones d'alimentation et les groupes d'équipements consommateurs connectés aux réseaux de gaz.

Ces paramètres influencent le choix des équipements qui sont automatiquement activés ou désactivés par l'optimisation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_GasParameters


ID_EMS_PROP_GRP4

Temps de blocage

En définissant des intervalles de temps librement configurables, il est possible d'exclure les équipements du module EMS de l'optimisation. Les équipements comportant un temps de blocage défini ne seront pas pris en compte par le module EMS durant cet intervalle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Locks


ID_EMS_PROP_GRP6

Pas de commutation

Ces paramètres sont uniquement disponibles pour les générateurs connectés aux réseaux d'électricité.

Les centrales bivalentes diffèrent des générateurs standard en raison de la présence d'étages de commutation prédéfinis. Une centrale bivalente peut uniquement adopter des valeurs de commutation également définies en tant qu'étage de commutation. En outre, le module EMS peut uniquement effectuer des actions de commutation d'un étage vers l'étage supérieur ou vers l'étage de commutation inférieur suivant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Schaltstufen


ID_EMS_PROP_GRP9

Valeurs calculées

Les variables de procédé sont utilisées pour ajuster des paramètres importants concernant les prévisions et les optimisations durant le Runtime. Sur la base des valeurs mesurées, ceci permet d'ajuster des paramètres importants du module EMS, tels que la modification des priorités en fonction du procédé actuel.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_CalculatedValues


ID_EMS_PROP_GRP10

Paramètre

Ces paramètres ont une incidence fondamentale sur l'optimisation pour la zone d'alimentation sélectionnée. Toute modification de ces paramètres a une influence directe sur les activités de commutation automatique réalisées par le module EMS.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Parameters


ID_EMS_PROP_GRP11

Heures de commutation

Avec des paramètres, le module EMS peut tenir compte de différentes périodes de disponibilité ou contraintes temporelles pour différents équipements. Les temps de commutation ont une influence essentielle sur le choix de l'équipement pour une opération de commutation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ProducerTimes


ID_EMS_PROP_GRP12

Type/Capacité

Ces propriétés sont uniquement disponibles pour les équipements connectés aux réseaux de gaz.

Les paramètres configurés ici déterminent le comportement fondamental des équipements concernés sur le réseau de gaz.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ConsumerTypePower


ID_EMS_PROP_GRP13

Capacité/Priorité

Ces propriétés sont uniquement disponibles pour les équipements connectés aux réseaux d'électricité. Ils déterminent le comportement fondamental des équipements concernés sur le réseau d'électricité.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ProducerPrioPower


ID_EMS_PROP_GRP14

Variables de commutation

Les variables de procédé sont utilisées pour ajuster des paramètres importants concernant les prévisions et les optimisations durant le Runtime. Sur la base des valeurs mesurées, ceci permet d'ajuster des paramètres importants du module EMS, tels que la modification des priorités en fonction du procédé actuel.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ConsumerVariables


ID_EMS_PROP_GRP15

Variables de commutation

Les variables de procédé sont utilisées pour ajuster des paramètres importants concernant les prévisions et les optimisations durant le Runtime. Sur la base des valeurs mesurées, ceci permet d'ajuster des paramètres importants du module EMS, tels que la modification des priorités en fonction du procédé actuel.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_VarGasCons


ID_EMS_PROP_GRP16

Variables de commutation

Les variables de procédé sont utilisées pour ajuster des paramètres importants concernant les prévisions et les optimisations durant le Runtime. Sur la base des valeurs mesurées, ceci permet d'ajuster des paramètres importants du module EMS, tels que la modification des priorités en fonction du procédé actuel.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ProducerVariables


ID_EMS_PROP_GRP17

Niveau de remplissage

Ces propriétés sont uniquement disponibles pour les réservoirs de gaz et de gaz liquide connectés aux réseaux de gaz.

Les niveaux de remplissage représentent le paramètre le plus important pour les réservoirs de gaz. Si le module EMS connaît le niveau de remplissage actuel, ainsi que les valeurs maximum et minimum, il peut remplir les réservoirs lorsque la consommation est faible et les vider lorsque la consommation est élevée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_GasFillLevel


ID_EMS_PROP_GRP19

Information d'état

Configure la transmission des informations relatives à l'état du module EMS.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Status


ID_EMS_PROP_GRP20

Sortie

Récapitulatif des informations concernant la puissance de sortie.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ProducerPower


ID_EMS_PROP_GRP21

Priorité

Contient les informations de configuration des priorités d'activation et de désactivation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ProducerPrio


ID_EMS_PROP_GRP22

Heure de début

Paramètres de configuration des heures de début.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SwitchOn


ID_EMS_PROP_GRP23

Heure de fin

Paramètres de configuration des heures de fin.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SwitchOff


ID_EMS_PROP_GRP24

Fréquence de commutation

Contient les paramètres permettant de déterminer cet élément : Fréquence max. de commutation par unité de temps.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SwitchFrequency


ID_EMS_PROP_GRP25

Information d'état

Détermine de quelle manière les informations concernant Etat de commutation et Etat interne de commutation seront transmises.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ProducerStatus


ID_EMS_PROP_GRP27

Information d'état

Détermine de quelle manière les informations concernant Consommation actuelle, Etat interne de commutation et Etat de commutation seront transmises.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ConsumerStatus


ID_ERSETZEN_ZUSAMMEN

Noms hiérarchiques

Actif : les noms des variables liées sont formés à partir du nom d'objet du symbole et des variables définies dans le symbole. Les deux noms sont séparés par un point : "NomSymbole.Variable"
Inactif : Les noms de variable normaux sont utilisés.
Par défaut : Inactive
Exemple :
Nom de la variable : Motor.Speed
Le nom d'objet du symbole est Motor. L'élément dynamique utilisé dans le symbole comporte l'opérateur Speed en tant que variable liée.
L'opérateur Régime peut facilement être saisi pour la propriété du symbole lors de la création de la variable.
Les noms combinés fonctionnent également avec les symboles imbriqués :
Si vous avez un symbole Pompe, qui contient à son tour un symbole Moteur et un symbole Convertisseur avec l'opérateur de variable Puissance, la liaison fonctionne en présence d'une variable Pompe.Moteur.Puissance et d'une variable Pompe.Convertisseur.Puissance.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SubstituteCombinedName


ID_EXTERNVISIBLE

Visible par d'autres programmes

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du driver zenon Logic.
Actif : la variable est également visible dans zenon Logic et peut donc être utilisée dans les projets zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic. La valeur de la variable peut toutefois être modifiée.

Attention : Tenez compte des interactions avec la propriété Hystérésis. Plus de détails dans l'aide en ligne.
Inactif : La variable n'est pas visible dans zenon Logic.
(Par défaut) Inactif :

Attention : les noms de variables de zenon Logic doivent être conformes aux exigences de la norme IEC 61131-3 : chiffres, lettres et tirets bas uniquement. En outre, le nom ne doit pas commencer par un nombre. Ceci implique également que les structures et tables du système de contrôle ne sont pas visibles au niveau externe, car elles contiennent des parenthèses ou des points.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ExternVisible


ID_EXTERNVISIBLE_FOR

Visible extérieurement pour

Disponible uniquement si la propriété Visible par d'autres programmes est active.

Spécifiez expressément les projets de zenon Logic pour lesquels la variable doit être visible. Si vous laissez le champ de saisie vide, la variable est visible pour tous les projets zenon Logic. Vous pouvez également saisir des projets zenon Logic de manière expresse. Séparez les noms des projets individuels par un point-virgule (";"). Vous pouvez utiliser les opérateurs. Par exemple, P1* signifie tous les projets zenon Logic commençant par P1. Remarque : les opérateurs sont uniquement autorisés sous forme de préfixe ou de suffixe, par exemple, *xxx ou xxx*.

Le nombre de caractères est limité à 64.

Par défaut : -

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ExternVisibleFor


ID_FILE_NAME

Nom de fichier

Nom du fichier intégré.
Les fichiers externes intégrés de cette manière sont enregistrés dans le répertoire du Runtime et dans le répertoire de la base de données du projet.
Attention : chaque fois que des nouveaux fichiers de Runtime sont créés, les fichiers dans le dossier du Runtime sont remplacés par les fichiers provenant du dossier de la base de données. C'est la raison pour laquelle les fichiers externes doivent uniquement être modifiés par le biais du menu contextuel du fichier concerné, et non modifiés de manière externe – afin que les fichiers soient également modifiés dans le dossier de la base de données.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_FKT_PROP1

Type

Le type est sélectionné lors de la création de la fonction à partir de la liste de fonctions du système, et peut être modifié ultérieurement par la suite.
Ouvre la boîte de dialogue de sélection de fonction.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FktType


ID_FKT_PROP2

Paramètre

Paramètres de transfert de la fonction ; dépend du type de fonction.
La boîte de dialogue de configuration des paramètres s'ouvre, selon le type de fonction sélectionné.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Parameters


ID_FKT_PROP3

Nom

Description précise de la fonction.
La description est diffusée lorsqu'une nouvelle fonction est créée par le système, mais peut être ultérieurement modifiée si la nouvelle description n'est pas déjà utilisée pour une autre fonction.
Maximum : 128 caractères.
Par défaut : Fonction_x (x représente un nombre défini de manière consécutive).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_FKT_PROP4

Ordinateur courant

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur l'ordinateur sur lequel elle a été exécutée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsActual


ID_FKT_PROP5

Serveur

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur le serveur du projet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsServer


ID_FKT_PROP6

Redondant

Disponible uniquement dans les projets en réseau avec redondance :
La fonction est exécutée sur le serveur redondant du projet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsStandBy


ID_FKT_PROP7

Client

Disponible uniquement dans les projets en réseau :
La fonction est exécutée sur tous les clients du projet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsClient


ID_FKT_PROP_GRP0

Général

Propriétés générales de la fonction.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_FKT_PROP_GRP1

Exécution

Disponible uniquement dans les projets en réseau :
Sélection des ordinateurs sur lesquels est exécutée la fonction.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Execution


ID_FKT_VBA_XML_PROP_587

Distance horiz. [pixels]

Distance horizontale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Offset_H


ID_FKT_VBA_XML_PROP_588

Distance vertic. [pixels]

Distance verticale entre la fin de l'arrondi du coin, en pixels.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Offset_V


ID_FKTLEVELLIST

Autorisations sur fonctions

Les niveaux d'autorisation permettent de verrouiller certaines fonctions spécifiques du système (par ex. : Charger projet) pour les utilisateurs non autorisés. Un niveau d'autorisation dans l'Éditeur peut être attribué individuellement à chaque module.

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de configuration du niveau d'autorisation dans le Runtime et dans l'Éditeur.

Attention : au moins un utilisateur doit être attribué à chaque niveau d'autorisation. Dans le cas contraire, vous risquez de ne plus pouvoir accéder à votre projet !

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FktLevelList


ID_FONT_NAME

Nom

Description libre ; sert uniquement à des fins d'information.
Par défaut : Nouvelle police x (où x représente un nombre consécutif).
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_FONT_NUMMER

Numéro

Numéro unique de la police.
Le numéro est défini par le système lors de la création de la police. Les numéros 1 et 2 sont attribués de manière fixe et ne peuvent pas être modifiés. Tous les autres numéros de police peuvent être modifiés ultérieurement, tant que les nouveaux numéros attribués ne sont pas déjà utilisés pour d'autres polices.

Remarque : Si les mêmes numéros sont utilisés dans le projet global et le projet, la police du projet est utilisée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Number


ID_FONT_PROP_GRP

Police

Contient les propriétés du type de police.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_FONT_SCHRIFTART

Police

Sélection du type de police parmi les types de polices disponibles sur l'ordinateur.
Attention : la boîte de dialogue de sélection du type de police est une boîte de dialogue standard de Windows. Celle-ci permet également de sélectionner d'autres propriétés, telles que la couleur des polices. Ces paramètres supplémentaires n'ont toutefois aucune incidence sur l'affichage dans zenon.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Font


ID_FONTLIST_NAME

Nom

Nom de la liste de caractères.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_FONTLIST_PROP_GRP

Liste de polices

Propriétés de la liste de polices.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_GFXRT_CHECKIMAGE_0FF

Off

Sélection d'un élément graphique affichant l'état Value is 0 and property cannot be edited (La valeur est 0 et la propriété ne peut pas être modifiée).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CheckOffImage


ID_GFXRT_CHECKIMAGE_0FF_INACTIVE

Off (inactif)

Sélection d'un élément graphique affichant l'état Value is 0 and property cannot be edited (La valeur est 0 et la propriété ne peut pas être modifiée).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CheckOffImageInActive


ID_GFXRT_CHECKIMAGE_0N

On

Sélection d'un élément graphique affichant l'état Value is 1 and property cannot be edited (La valeur est 1 et la propriété ne peut pas être modifiée).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CheckOnImage


ID_GFXRT_CHECKIMAGE_0N_INACTIVE

On (inactif)

Sélection d'un élément graphique affichant l'état Value is 1 and property cannot be edited (La valeur est 1 et la propriété ne peut pas être modifiée).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CheckOnImageInActive


ID_HILFE_GRP

Aide

Propriétés de l'aide en ligne du projet.
Si aucune aide n'est définie pour l'élément ici, un chapitre d'aide général peut être défini directement dans le menu contextuel.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Help


ID_IEC870_103_FktType

-

Saisissez une valeur. Établit une correspondance avec FUN en tenant compte de la norme utilisée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IEC870_103_FktType


ID_IEC870_103_Index

-

Saisissez une valeur. Établit une correspondance avec la séquence de MEA dans ASDU 3 ou 9.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IEC870_103_Index


ID_IEC870_103_InfNo

-

Saisissez une valeur. Établit une correspondance avec INF en tenant compte de la norme utilisée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IEC870_103_InfNo


ID_IEC870_COA1

-

Saisissez l'adresse Common Object Address (COA). Les limites de la plage de valeurs disponibles sont déterminées par les paramètres du pilote.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IEC870_COA1


ID_IEC870_IOA1

-

Saisissez l'adresse Information Object Address (IOA). Les limites de la plage de valeurs disponibles sont déterminées par les paramètres du pilote.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IEC870_IOA1


ID_IEC870_TYPE

-

Choisissez le type ASDU du point de données dans la liste déroulante.

Par défaut : État interne T00

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IEC870_TYPE


ID_IMM_DNS

Base de données

Définition de la connexion ODBC à la base de données du module Industrial Maintenance Manager (IMM).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IMMDns


ID_IMM_TABLEDEV

Table pour les matériels

Le nom de la table de la base de données associée aux équipements. Si ce nom contient des espaces, le nom complet doit être saisi entre apostrophes. En règle générale, évitez d'utiliser des apostrophes dans les noms.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IMMTableDevice


ID_IMM_TABLEDOC

Table pour les documents

Le nom de la table de la base de données associée aux documents. Si ce nom contient des espaces, le nom complet doit être saisi entre apostrophes. En règle générale, évitez d'utiliser des apostrophes dans les noms.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IMMTableDoc


ID_IMM_TABLEHIST

Table pour l'historique

Le nom de la table de la base de données associée aux historiques. Si ce nom contient des espaces, le nom complet doit être saisi entre apostrophes. En règle générale, évitez d'utiliser des apostrophes dans les noms.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IMMTableHist


ID_IMM_TABLEMAINT

Table pour travaux de maint.

Le nom de la table de la base de données associée aux travaux de maintenance. Si ce nom contient des espaces, le nom complet doit être saisi entre apostrophes. En règle générale, évitez d'utiliser des apostrophes dans les noms.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IMMTableMaint


ID_IMM_USERLVL

Groupe autorisation

Groupe d'autorisations requis pour pouvoir supprimer des données de la base de données.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IMMUserLvl


ID_INITIALVALUE

Valeur initiale externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Valeur initiale de la variable dans zenon Logic durant un démarrage à froid ou une reprise intermédiaire.
La saisie autorisée ici dépend du type de données de la variable. Par exemple, vous pouvez uniquement utiliser des valeurs sans décimales pour les variables entières. Pour les variables à virgule flottante, un point doit être utilisé en tant que séparateur décimal ; les virgules ne peuvent pas être utilisées.
Le système de contrôle ne vérifie pas la validité de cette saisie. Ceci peut générer un message d'erreur dans zenon Logic.

Attention : lors de l'utilisation de variables du pilote interne, cette propriété doit posséder la même valeur que la valeur initiale dans les paramètres des variables internes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InitialValue


ID_KNOTEN_VERKN

Liens

Propriétés de remplacement des associations aux variables et/ou aux fonctions.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Linkings


ID_LASTUSEDOFFSET

Dernier offset utilisé

Affichage du dernier décalage utilisé par la fonction d'adressage automatique.
Cette propriété n'est fournie qu'à titre d'information et ne peut pas être modifiée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LastUsedOffset


ID_LEVELEDIT

-

Vous pouvez attribuer un nom à chacun des 128 niveaux d'autorisation. La boîte de dialogue de saisie du nom est ouverte.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserLevelList


ID_LEVELLIST

Groupes d'autorisation

Un ou plusieurs des 128 groupes d'autorisation peu(vent) être attribué(s) par l'utilisateur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserLevel


ID_MATHVAR_PROP_ENABLE_VAR

Calcul actif

Associe une variable à la variable mathématique. La valeur de la variable détermine si le calcul doit être effectué. La propriété est activée lors de l'association d'une variable.

Cliquez sur le bouton ... ou dans le champ contenant la variable pour ouvrir la boîte de dialogue de sélection de variables.

Par défaut : désactivée, aucune variable attribuée.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EnableCalc


ID_MATHVAR_PROP_FORMEL

Formule

Ouvre la boîte de dialogue de saisie de la formule de calcul des variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Formula


ID_MINPWLENGTH

Longueur min. mot de passe

Nombre minimum de caractères pour un mot de passe.
Minimum : 0.
Maximum : 20.
Par défaut : 6.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinPwLength


ID_MONITOR_VERWALTUNG

Gestion de moniteur

La boîte de dialogue de configuration de la gestion de moniteurs est ouverte.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MonitorAministration


ID_MSGCONTROL_DISPATCHER_ACTIVE

Type d'envoi actif

Actif : L'envoi de message est possible par ce biais.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Active


ID_MSGCONTROL_ENGINE_EXPORTTOMESSAGE32

Exporter les paramètres dans Messag32.ini (v6.XX)

Enregistre les paramètres configurés à partir de la version 7 (pour la version 6.xx, ils sont enregistrés dans le fichier message32.ini). Cliquez sur le bouton pour démarrer l'exportation. Les paramètres actuels du fichier message32.ini sont remplacés après affichage d'un message de confirmation. Les paramètres du fichier message32.ini sont conservés pour des raisons de compatibilité, et concernent uniquement la version 6.xx de zenon. À compter de la version 7, les paramètres sont enregistrés dans le fichier zenon6.ini.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ExportToMessag32


ID_MSGCONTROL_ENGINE_GRP

Gestion de messages (MessagCtrl)

Groupe de paramètres à l'échelle du projet dans le module de gestion des messages.

Vous pouvez configurer des paramètres spécifiques au projet dans l'arborescence du projet par le biais des propriétés de l'élément Paramètres spécifiques au projet du nœud Gestion de messages.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MsgCtrlSettings


ID_MSGCONTROL_MODEM_COUNTWELCOME

Répéter le texte d'accueil

Nombre de répétitions pour le texte d'accueil.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CountWelcome


ID_MSGCONTROL_MODEM_GRP

Message vocal (fichier audio)

Paramètres de la téléphonie de groupe.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DispatchSettings


ID_MSGCONTROL_MODEM_IGNOREDISCONNECT

Ignorer la déconnexion

Actif : une déconnexion (par ex., le destinataire met un terme à l'appel) est ignorée et le message est relu dans son intégralité avant la fermeture de la ligne.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IgnoreDisconnect


ID_MSGCONTROL_MODEM_LINEID

ID ligne

Identifiant de périphérique généré automatiquement et identifiant le modem sélectionné. En présence de plusieurs modems avec le même nom, permet de distinguer les périphériques. Sert uniquement à l'affichage d'informations ; aucune modification n'est possible.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LineId


ID_MSGCONTROL_MODEM_LINENAME

Nom ligne

Sélection du modem à utiliser dans la liste déroulante.

Si aucune liste déroulante n'est affichée, aucun modem n'a été configuré pour l'ordinateur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Line


ID_MSGCONTROL_MODEM_TIMEOUT

Time-out

Délai en minutes au terme duquel une condition existante doit être annulée et fermée. Le délai doit être plus long que le délai nécessaire à la lecture et la confirmation du message.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TimeOut


ID_MSGCONTROL_OUTLOOK_GRP

Message e-mail (Outlook)

Groupe de paramètres du type d'envoi Outlook.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DispatchSettings


ID_MSGCONTROL_OUTLOOK_PROFILE

Profil

Nom du profil Outlook utilisé pour l'envoi. Sélectionnez le projet dans la liste déroulante.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Profile


ID_MSGCONTROL_OUTLOOK_SUBJECT

Sujet (ID)

Sujet unique du message envoyé. Pour les messages reçus, le sujet détermine l'envoi du message et son traitement par le module Gestion de messages.

Pour être traités par le système, les e-mails reçus doivent comporter ce texte. Les e-mails ne contenant pas ce sujet ne sont pas transmis au module Gestion de messages.

Longueur minimale : 4 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Subject


ID_MSGCONTROL_PROJECT_ACTIVEATSTARTUP

Actif lors du démarrage du runtime

Actif : Le module Gestion de messages est démarré conjointement au Runtime.

Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ActiveAtStartup


ID_MSGCONTROL_PROJECT_ATTEMPTS

Nombre maximum d'essais

Nombre maximal de tentatives d'envoi si des erreurs d'envoi se produisent.

Maximum : 100

Minimum : 1

Par défaut : 3

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Attempts


ID_MSGCONTROL_PROJECT_CELITEMS

Enregistrer dans liste d'événements

Définit les événements consignés dans la liste chronologique d'événements. Sélectionnez dans la liste déroulante :

- Toutes les confirmations

- Aucune confirmation

- Uniquement les confirmations négatives

- Uniquement les confirmations positives

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CelDetail


ID_MSGCONTROL_PROJECT_COLOR_ERROR

Erreur lors de l'envoi

Définit le code de couleurs correspondant à l'échec de l'envoi d'un message dans la colonne d'état d'un synoptique de type Gestion de messages. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ErrorColor


ID_MSGCONTROL_PROJECT_COLOR_SENDING

Le message est envoyé

Définit le code de couleurs correspondant à l'envoi d'un message dans la colonne d'état d'un synoptique de type Gestion de messages. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SendingColor


ID_MSGCONTROL_PROJECT_COLOR_SENT

Le message a été envoyé

Définit le code de couleurs correspondant à l'envoi réussi d'un message dans la colonne d'état d'un synoptique de type Gestion de messages. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de couleurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SentColor


ID_MSGCONTROL_PROJECT_GRP

Paramètres spécifiques au projet

Contient des paramètres spécifiques au projet pour la configuration du module Gestion de messages.

Les paramètres généraux d'envoi sont configurés dans l'espace de travail, grâce aux propriétés du groupe Gestion de messages (MessagCtrl).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MsgCtrlSettings


ID_MSGCONTROL_PROJECT_LOG_DELETE

Tracer la suppression manuelle des messages dans la liste des événements

Actif : Toute suppression manuelle d'entrées de la liste CEL est consignée dans la liste CEL.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LogDeleteActions


ID_MSGCONTROL_PROJECT_STATUSIMAGE_ERROR

Erreur lors de l'envoi

Définit un fichier graphique affiché dans la colonne d'état d'un synoptique de type Gestion de messages en cas d'échec de l'envoi d'un message. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d'un fichier graphique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ErrorImage


ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENDING

Le message est envoyé

Définit un fichier graphique affiché dans la colonne d'état d'un synoptique de type Gestion de messages durant l'envoi d'un message. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d'un fichier graphique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SendingImage


ID_MSGCONTROL_PROJECT_STATUSIMAGE_SENT

Le message a été envoyé

Définit un fichier graphique affiché dans la colonne d'état d'un synoptique de type Gestion de messages en cas d'envoi réussi d'un message. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d'un fichier graphique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SentImage


ID_MSGCONTROL_PROJECT_SUBJECT_DYN

Partie dynamique du sujet

Définit la partie spécifique au projet du sujet des messages reçus et envoyés. Utilisé avec les propriétés Message e-mail (Outlook)/Sujet (ID) ou Paramètres e-mail (SMTP)/Sujet pour les e-mails sortants dans les paramètres d'envoi généraux de Gestion de messages (MessagCtrl). Les messages entrants sont filtrés pour ce contenu, pour être transmis au module Gestion de messages.

Le texte peut contenir des opérateurs.

  • Légende de la table de langues
  • Nom d'une variable
  • Entrée composée dans la table de langues

Syntaxe : $ signale un texte ; les sections de texte sont séparées par des points-virgules (;), et le texte doit se terminer par un point-virgule (;).
Exemple : $@Attention;%Var1;

Vous trouverez une liste de paramètres au chapitre Paramètres des textes de limite.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SubjectDyn


ID_MSGCONTROL_PROJECT_TIMETOWAIT

Temps d'attente entre deux tentatives [min]

Délai d'attente, en minutes, entre deux tentatives d'envoi ou de retransmission d'un message.

Par défaut : 5

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TimeToWait


ID_MSGCONTROL_SMSGATEWAY_GRP

Message SMS (passerelle SMS)

Configuration de la passerelle SMS.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DispatchSettings


ID_MSGCONTROL_SMSGATEWAY_INBOX

Dossier boite d'envoi

Dossier de réception du serveur de SMS pour l'envoi de SMS.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Inbox


ID_MSGCONTROL_SMSGATEWAY_ORIGINID

ID expéditeur

Identification de l'expéditeur pour l'envoi de SMS.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OriginId


ID_MSGCONTROL_SMSGATEWAY_OUTBOX

Dossier boite de réception

Dossier d'envoi du serveur de SMS pour l'envoi de SMS.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Outbox


ID_MSGCONTROL_SMSGATEWAY_PREFIX

Première lettre du fichier SMS

Première lettre du fichier SMS. Doit être unique à chaque projet.

Longueur : 1 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Prefix


ID_MSGCONTROL_SMSGATEWAY_SEMAPHOREPREFIX

Première lettre du fichier 'lock/semaphore'

Première lettre du fichier de verrouillage. Doit être unique à chaque projet.

Longueur : 1 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SemaPrefix


ID_MSGCONTROL_SMSGATEWAY_SMARTALARM

Gestion d'alarmes intelligente

Actif : la gestion intelligente des alarmes est utilisée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmartAlarm


ID_MSGCONTROL_SMSGATEWAY_STATUSBOX

Dossier état

Dossier du serveur de SMS pour les messages d'état lors de l'envoi de SMS.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Statusbox


ID_MSGCONTROL_SMSGATEWAY_TIMEOUT

Timeout

Délai d'attente en minutes des messages envoyés. Définit le délai au terme duquel un message est considéré comme n'ayant pas été correctement envoyé.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TimeOut


ID_MSGCONTROL_SPEECH_GRP

Message vocal (Text to Speech)

Paramètres relatifs à la sortie vocale

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DispatchSettings


ID_MSGCONTROL_SPEECH_RATE

Vitesse speech

Vitesse de la voix.

Minimum : -10

Maximum : 10

Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Rate


ID_MSGCONTROL_SPEECH_VOICEID

Voix :

Sélection de la voix et de la langue souhaitées dans la liste déroulante.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VoiceId


ID_MSGCONTROL_SPEECH_VOLUME

Volume

Volume de la voix. Ce nombre est une valeur, en pourcentage, de la valeur maximale pour la voix sélectionnée.

Maximum : 100

Minimum : 0
0 : nombre de nouvelles tentatives sans modification du système d'exploitation.

Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Volume


ID_MSGCTRL_GRP

Gestion de messages (MessagCtrl)

Propriétés de la gestion des utilisateurs dans le module Gestion de messages.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MessageControl


ID_MSGCTRL_MAIL_POP_APOP

Utiliser APOP pour l'authentification

Contrôle l'authentification sur le serveur de courrier entrant.

Actif : Pour l'authentification, la commande APOP est utilisée à la place de l'identifiant d'utilisateur (USER) et du mot de passe (PASS).

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PopUseApop


ID_MSGCTRL_MAIL_POP_GROUP

Serveur de mails entrants

Propriétés de configuration du serveur POP3 pour le courrier entrant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InboundServerSettings


ID_MSGCTRL_MAIL_POP_KEEP_MAILS

Laisser les mails lus sur le serveur

Actif : Les e-mails ne sont pas supprimés du serveur après téléchargement.

Par défaut : Inactive

Remarque : : puisque le protocole POP3 n'offre pas la possibilité de filtrer les messages lors de leur téléchargement, tout le courrier entrant est systématiquement téléchargé. Si cette propriété est active, l'utilisation de la mémoire sur le serveur augmente, et les performances risquent de diminuer lors de la récupération des messages.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PopKeepMails


ID_MSGCTRL_MAIL_POP_PASSWORD

Mot de passe

Mot de passe de connexion au serveur de courrier entrant (POP3).

Le mot de passe est enregistré sous forme chiffrée, et est uniquement déchiffré aux fins de l'authentification. Lors de la saisie, les caractères ne sont pas affichés sous forme de texte simple. Le champ affiche toujours 16 caractères, indépendamment de la longueur réelle du mot de passe.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PopPassword


ID_MSGCTRL_MAIL_POP_POLLING_INTERVALL

Temps minimum entre deux requêtes (s)

Intervalle minimum, en secondes, entre deux tentatives de téléchargement. La valeur ne doit pas être inférieure à la valeur de consigne du serveur POP3.

Valeur minimale : 10

Par défaut : 60

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PopPollingIntervall


ID_MSGCTRL_MAIL_POP_PORT

Port

Port d'adressage du serveur POP3.

Valeur maximale : 65535

Par défaut, pour une connexion non sécurisée : 110

Par défaut, pour une connexion sécurisée : 995

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PopPort


ID_MSGCTRL_MAIL_POP_SECURITY

Encryptage

Sélection du chiffrement de la connexion. Cliquez pour ouvrir une liste déroulante de sélection. Options disponibles :

Aucune : la connexion sera établie de manière non sécurisée.

SSL versions 2 et 3 : la connexion est établie à l'aide du modèle de chiffrement hybride SSL.

TLS version 1 : la connexion est établie via TLS. Le protocole TLS version 1 est le successeur du protocole SSL, équivalent à SSL 3.1.

Par défaut : SSL version 2 et 3

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PopSecurity


ID_MSGCTRL_MAIL_POP_SERVER

Serveur de mails

Adresse complète du serveur POP3.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PopServer


ID_MSGCTRL_MAIL_POP_USERNAME

Identification utilisateur

Nom d'utilisateur de connexion au serveur de courrier entrant (POP3).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PopUser


ID_MSGCTRL_MAIL_SMTP_AUTHENTICATION

Auhentification pour le serveur de mails sortants

Sélection de l'authentification sur le serveur de messages envoyés. Cliquez pour ouvrir une liste déroulante de sélection.

pas d'authentification : l'envoi a lieu sans authentification.

Login to incoming mail server before sending e-mails (Se connecter au serveur de courrier entrant avant d'envoyer un e-mail) : avant l'envoi d'un message, une connexion est établie avec le serveur POP3.

Use SMTP authentication at theoutgoing mail server (Utiliser l'authentification SMTP sur le serveur de courrier sortant) : avant l'envoi, une connexion est établie au serveur SMTP.

Par défaut : Pas de sélection

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmtpAuthentication


ID_MSGCTRL_MAIL_SMTP_GROUP

Serveur de mails sortants

Propriétés de configuration du serveur SMTP pour le courrier sortant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OutboundServerSettings


ID_MSGCTRL_MAIL_SMTP_IS_POP_SERVER

Utiliser le serveur de mails entrants pour les mails sortants

Actif : Le serveur de courrier entrant est utilisé comme serveur de courrier sortant. Cette propriété concerne uniquement l'adresse du serveur.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmtpUsePopServer


ID_MSGCTRL_MAIL_SMTP_OTHER_CREDENTIALS

Utiliser un 'log' pour les données différent de celui du serveur de mails entrants

Disponible uniquement si vous avez sélectionné l'option Use SMTP authentication at the outgoing mail server (Utiliser l'authentification SMTP sur le serveur de courrier sortant) pour la propriété Auhentification pour le serveur de mails sortants.

Actif : pour l'authentification sur le serveur de courrier sortant, des données d'authentification différentes de celles du serveur de courrier entrant sont utilisées.

Inactive : les données de connexion du serveur de courrier entrant sont également utilisées sur le serveur de courrier sortant.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmtpDifferentCredentials


ID_MSGCTRL_MAIL_SMTP_PASSWORD

Mot de passe

Mot de passe du serveur de courrier sortant.

Disponible uniquement si la propriété Utiliser un 'log' pour les données différent de celui du serveur de mails entrants est active. Si la propriété est inactive, le mot de passe défini dans la propriété Mot de passe dans le groupe Serveur de mails entrants est enregistré.

Le mot de passe est enregistré sous forme chiffrée, et est uniquement déchiffré aux fins de l'authentification. Lors de la saisie, les caractères ne sont pas affichés sous forme de texte simple. Le champ affiche toujours 16 caractères, indépendamment de la longueur réelle du mot de passe.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmtpPassword


ID_MSGCTRL_MAIL_SMTP_POP_GROUP

Paramètres e-mail (SMTP)

Paramètres d'envoi d'e-mails via le protocole SMTP.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DispatchSettings


ID_MSGCTRL_MAIL_SMTP_PORT

Port

Port de connexion au serveur de courrier sortant (SMTP).

Maximum : 65535

Par défaut : 25

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmtpPort


ID_MSGCTRL_MAIL_SMTP_SECURITY

Encryptage

Sélection du chiffrement de la connexion. Cliquez pour ouvrir une liste déroulante de sélection. Options disponibles :

Aucune : la connexion sera établie de manière non sécurisée.

SSL versions 2 et 3 : la connexion est établie à l'aide du modèle de chiffrement hybride SSL.

TLS version 1 : la connexion est établie via TLS. Le protocole TLS version 1 est le successeur du protocole SSL, équivalent à SSL 3.1.

Par défaut : aucun

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmtpSecurity


ID_MSGCTRL_MAIL_SMTP_SERVER

Adresse du serveur

Disponible uniquement si la propriété Utiliser le serveur de mails entrants pour les mails sortants est inactive.

Adresse complète du serveur SMTP.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmtpServer


ID_MSGCTRL_MAIL_SMTP_SRCADDR

Adresse pour les e-mails sortants

Disponible uniquement si la propriété Le nom de l'utilisateur est l'adresse pour les e-mails sortants est inactive ou indisponible.

Adresse de l'expéditeur pour les messages envoyés.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmtpOutMailAddress


ID_MSGCTRL_MAIL_SMTP_SRCADDR_IS_USERNAME

Le nom de l'utilisateur est l'adresse pour les e-mails sortants

Disponible uniquement si la propriété Auhentification pour le serveur de mails sortants possède une valeur autre que no authentication (Pas d'authentification).

Actif : le nom d'utilisateur utilisé pour l'authentification sur le serveur SMTP est également utilisé comme adresse d'expéditeur pour les e-mails envoyés.

Inactive : l'expéditeur défini dans la propriété Adresse pour les e-mails sortants est utilisé.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmtpUserIsOutMailAddress


ID_MSGCTRL_MAIL_SMTP_SUBJECT

Sujet pour les e-mails sortants

Saisissez le sujet des e-mails envoyés.

Pour être traités par le système, les e-mails reçus doivent comporter ce texte. Les e-mails ne contenant pas ce sujet ne sont ni transmis au module Gestion de messages, ni supprimés du serveur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmtpSubject


ID_MSGCTRL_MAIL_SMTP_USERNAME

Identification utilisateur

Nom d'utilisateur du serveur de courrier sortant.

Disponible uniquement si la propriété Utiliser un 'log' pour les données différent de celui du serveur de mails entrants est active. Si la propriété est inactive, le nom d'utilisateur issu de la propriété Identification utilisateur dans le groupe Serveur de mails entrants est affiché. Dans le cas contraire, le dernier nom d'utilisateur saisi pour le serveur de courrier sortant est affiché.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmtpUser


ID_NETZ_APP_CLOSE_BOX

Message de fin

Disponible uniquement si la propriété Réseau actif est active.
Actif : Lors de l'arrêt du Runtime sur un serveur, un message est affiché sur tous les clients connectés, indiquant que le Runtime a été arrêté. L'arrêt du Runtime est retardé de 70 secondes. Ainsi les actions peuvent être terminées proprement sur les clients.
Inactif : Le Runtime est arrêté sur le serveur, sans qu'un message soit affiché sur les clients.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AppCloseBox


ID_NICHTLINIARE_ANPASSUNG

Ajustement non-linéaire

Adaptation de valeurs non linéaires via les macros VBA.
Propriétés de conversion non linéaire des valeurs de l'automate en valeurs de visualisation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_NonlinAdjust


ID_OPCUA_BROWSENAME

-

Équivaut à la chaîne Browse name (Nom affiché) de la spécification UA d'OPC.

Seules les références hiérarchiques de rang supérieur au dossier de l'objet sont autorisées.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BrowseName


ID_PASSWORD_SHOWLOCK

Identification graphique active

Actif : Les éléments verrouillés peuvent être identifiés par un symbole représentant un cadenas ou un fichier graphique au choix.
Par défaut : Inactif

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowLock


ID_PICTURE_MIN

Boutons Min./Max.

Disponible seulement, si une barre de titre est affichée avec le synoptique :
Actif : les boutons pour minimiser et maximiser le synoptique sont affichés dans la barre de titre.
Inactif : ces boutons ne sont pas affichés.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowMinimize


ID_PICTURE_SYSMENU

Menu système

Disponible seulement, si une barre de titre est affichée avec le synoptique :
Actif : le menu système du synoptique s’affiche dans la barre de titre.
Inactif : aucun bouton comme celui-ci n'est affiché.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowSysMenu


ID_PICTURE_TITLE

Nom

Nom unique du synoptique.
Par défaut : Synoptique x (où x est un numéro consécutif).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Title


ID_PREDEFINED_BITMAPS

Graphiques prédéfinis

Des bitmaps prédéfinis pour l'état LOW/HIGH peuvent être sélectionnés dans la liste.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PredefinedBitmaps


ID_PROFILENAME

Nom profil externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Nom du profil défini dans zenon Logic (STRATON, ProfDP, par exemple).

Cette propriété est uniquement fournie à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Profilename


ID_PROJECT_ALC_CONFIG

Configuration CAL

La boîte de dialogue de configuration de la fonction de Coloration automatique des lignes (CAL) s'affiche.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCConfig


ID_PROJECT_ALC_GROUNDFAULTMODE

Mode de recherche pour les défauts de terre

Lors d'une recherche de défaut de terre, détermine si tout le réseau doit être coloré, ou seulement la section du réseau dans laquelle s'est produit le défaut de terre.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCGroundFaultMode


ID_PROJECT_ALC_MARKERLINE

Epaisseur de ligne du marqueur écran

Définit la largeur des lignes des marqueurs de synoptique, en pixels.

Par défaut : 3 pixels

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCMarkerLine


ID_PROJECT_ALC_MARKERSIZE

Taille marqueur écran

Définit la largeur des marqueurs de synoptique, en pixels.

Par défaut : 20 pixels

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCMarkerSize


ID_PROJECT_ALC_MARKERTYPE

Affiche le type de marqueur écran

Affichage de formes pour les marqueurs de synoptique. Les choix disponibles sont les suivants :

  • Triangle
  • Cercle
  • Carré
  • Croix

Par défaut : Triangle

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCMarkerType


ID_PROJECT_ALC_MAXOVERLOAD

Nombre maximum acceptable de surcharge en courant [%]

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCMaxOverload


ID_PROJECT_ALC_SEARCHMODE

Mode pour la coloration

Définit le code de couleurs de l'état UNDEFINED (Non défini). Cliquez sur la liste déroulante pour afficher la sélection :

- Standard : la couleur source est diffusée sur le réseau, depuis chaque source activée, à condition que l'interrupteur suivant soit fermé.

Input takes priority (L'entrée est prioritaire) : uniquement les lignes colorées potentiellement alimentées par une source au moins, mais non alimentées explicitement par une source.

Par défaut : Standard

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCSearchMode


ID_PROJECT_ASMACTIVE

IPA actif

Le module Industrial Performance Analyzer (IPA) est conçu pour afficher et évaluer les données d'alarmes et les périodes d'indisponibilité associées dans différentes vues de liste.

Remarque : le module Industrial Performance Analyzer doit comporter une licence distincte.

Actif : vous pouvez accéder aux fonctionnalités du module Industrial Performance Analyzer. Vous pouvez maintenant modifier les propriétés supplémentaires que vous pouvez définir pour le module IPA dans cette zone.

Par défaut : inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AsmActive


ID_PROJECT_ASMAKZ

Identification équipement

À l'aide des identifiants d'équipements, vous pouvez filtrer les données en fonction des informations concernant les alarmes sur les synoptiques de type Industrial Performance Analyzer. Les identifiants d'équipements définis peuvent être une partie de l'identifiant ou du nom de la variable ayant provoqué le déclenchement de l'alarme.

Cliquez avec le bouton gauche de la souris pour ouvrir une boîte de dialogue dans laquelle vous sélectionnerez les identifiants d'équipements souhaités.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AKZ


ID_PROJECT_ASMAKZMODE

Identification équipement avec

La définition des équipements peut être entrée dans le nom ou l'identification de la variable comme un préfixe. Vous devez prendre cela en considération lorsque vous créez les variables.
Identification : une partie de l'identifiant de la variable est utilisée pour l'identification de l'équipement dans le module Industrial Performance Analyzer (IPA).
Nom de la variable : une partie du nom de la variable est utilisé pour l'identification de l'équipement.

Par défaut : Nom de la variable :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AkzMode


ID_PROJECT_ASMBUFFERSIZE

Taille du buffer

Nombre maximal d'alarmes pouvant être écrites dans la mémoire tampon.

Remarque : lorsque la mémoire tampon est pleine et que des alarmes supplémentaires doivent y être enregistrées, les plus anciennes alarmes enregistrées dans la mémoire tampon sont effacées. Gardez ceci à l'esprit lors du développement du projet.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 10000.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AsmBufferSize


ID_PROJECT_ASMCYCLETIME

Cycle de sauvegarde

Définissez l'intervalle durant lequel les données d'alarme doivent être écrites depuis la mémoire tampon dans la base de données. Pour des raisons de performances, le module Industrial Performance Analyzer (IPA) ne dispose pas d'une connexion permanente à la base de données. Le cycle d'enregistrement vous permet de définir la fréquence à laquelle les données sont écrites dans la base de données.

Saisissez l'intervalle de temps au format HH:MM:SS.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AsmCycleTime


ID_PROJECT_ASMDNS

Base de données

Définissez la connexion à une base de données compatible ODBC (par ex. Microsoft SQL Server) devant être utilisée par le module Industrial Performance Analyzer pour enregistrer les données des alarmes. Cliquez sur le bouton avec le bouton gauche de la souris pour ouvrir la boîte de dialogue de sélection de la source de données. Si vous n'avez pas encore défini une source de données, vous pouvez définir une source de données à l'aide de cette boîte de dialogue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AsmDns


ID_PROJECT_ASMPREDEFFILTER

Filtre de temps prédéfini

Lors de l'évaluation des données d'alarmes sur le synoptique Industrial Performance Analyzer dans le Runtime, vous pouvez utiliser des filtres de temps pour afficher uniquement les alarmes qui se sont produites durant certaines périodes.

Cliquez avec le bouton gauche de la souris pour ouvrir une boîte de dialogue dans laquelle vous pouvez définir les filtres de temps souhaités.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PredefFilter


ID_PROJECT_ASMTABLE

Nom de table

Spécifiez le nom de la table dans la base de données compatible ODBC dans laquelle doivent être écrites les données provenant du module Industrial Performance Analyzer. Si aucune table portant ce nom n'existe, elle sera créée automatiquement lors du premier démarrage du Runtime.

Remarque : les noms de tables valides doivent uniquement inclure des caractères alphanumériques et/ou des espaces, et ne doivent pas commencer par un chiffre. Ils ne doivent pas excéder 128 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AsmTable


ID_PROJECT_BACKUPTIME

Heure de la sauvegarde

Affiche l'heure de la dernière sauvegarde du projet.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackupTime


ID_PROJECT_BACKUPXML

Export XML actif

Actif : lors de chaque sauvegarde du projet, un fichier zip (version.zip) est inséré. Celui-ci comprend 24 fichiers XML contenant les sauvegardes des modules individuels.

Remarque : pour les projets multi-utilisateurs, uniquement pour les sauvegardes locales.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackupWithXML


ID_PROJECT_CLEARTYPEFONT

Polices ClearType

Actif : Les polices ClearType sont utilisées. Les polices ClearType peuvent améliorer la lisibilité des polices sur les écrans LCD dans leur résolution native.

Inactif : Les polices standard de Windows sont utilisées. Elles s'avèrent souvent très adaptées aux écrans à tube cathodique et aux écrans LCD avec des résolutions interpolées.
Remarque : Si vous avez sélectionné l'option Windows Base (Windows de base) ou Windows Enhanced (Windows optimisé) dans la propriété Qualité graphique, vous devez désactiver l'utilisation des polices ClearType pour les systèmes d'exploitation Windows Vista et Windows 7. Si vous avez sélectionné DirectX, les polices ClearType peuvent être activées ou désactivées indépendamment du système d'exploitation.

Par défaut : active.

Remarque : Les modifications apportées au paramètre prennent uniquement effet après le redémarrage de l'éditeur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ClearTypeFont


ID_PROJECT_DBD_SERVER

Serveur de base de données

Cette propriété peut uniquement être activée lors de la création d'un projet.
Affiche le serveur de base de données d'un projet multi-utilisateurs.
Si aucune saisie n'est effectuée ici, le projet est compatible multi-utilisateurs et la base de données du projet est enregistrée sur l'ordinateur local.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DatabaseServer


ID_PROJECT_IPA_ALARMCAUSELIST

Causes d'alarme

Sur le synoptique Industrial Performance Analyzer, une cause d'alarme provenant d'une liste peut être associée à chaque alarme constatée. Les informations peuvent être filtrées en fonction des causes d'alarmes.

Ici, vous pouvez gérer la liste de causes des alarmes.

Cliquez avec le bouton gauche de la souris pour ouvrir une boîte de dialogue dans laquelle vous spécifierez les causes d'alarmes possibles.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AsmAlarmCauseListe


ID_PROJECT_IPA_SHIFTINFOPFS

Poste donné par le PFS

Les horaires des postes définis sont dérivés du module Production & Facility Scheduler. Les horaires des postes sont alors actualisés et gérés dans ce module.

Actif : le poste actif lors du déclenchement d'une alarme est lu dans le module Production & Facility Scheduler (PFS).
Inactif : le poste actif lors du déclenchement de l'alarme est lue depuis une variable liée et une liste définie.
Par défaut : active
Attention : le module Production & Facility Scheduler est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AsmShiftInfoPFS


ID_PROJECT_IPA_SHIFTINFOVARIABLE

Poste donné par variable

Disponible uniquement si vous avez activé la propriété IPA actif. En outre, la propriété Poste donné par le PFS doit être inactive.

Nom de la variable dont la valeur fournit des informations concernant le poste actif. Sélectionnez une variable de type INT. Celle-ci vous permet de créer le modèle de poste suivant.
Exemple :

1 = poste de matin, 2 = poste de jour, 3 = poste de nuit, -1 = pause. Vous pouvez définir le nom du poste aux fins de l'évaluation à l'aide de la propriété Nom de poste donné par une liste.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AsmShiftInfoVariable


ID_PROJECT_IPA_SHIFTLIST

Nom de poste donné par une liste

Disponible uniquement si vous avez activé la propriété IPA actif. En outre, la propriété Nom de poste donné par le PFS doit être inactive.

Définissez les noms correspondant aux valeurs des variables que vous avez liées dans la propriété Poste donné par la variable.

Cliquez avec le bouton gauche de la souris pour ouvrir une boîte de dialogue dans laquelle vous pouvez attribuer des noms aux valeurs individuelles.

Des noms de poste peuvent être attribués aux valeurs d'une variable liée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AsmShiftNameListe


ID_PROJECT_IPA_SHIFTPFS

Nom de poste donné par le PFS

Les noms des postes définis sont dérivés du module Production & Facility Scheduler. Les noms des postes sont alors actualisés et gérés dans ce module.

Actif : le poste actif lors du déclenchement d'une alarme est lu dans le module Production & Facility Scheduler (PFS).
Inactif : le poste actif lors du déclenchement de l'alarme est lue depuis une variable liée et une liste définie.
Par défaut : active

Attention : le module Production & Facility Scheduler est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AsmShiftNamePFS


ID_PROJECT_IPA_USRLEVEL

Pour supprimer

Le synoptique Industrial Performance Analyzer permet de supprimer les données d'alarmes disponibles dans la base de données dans le Runtime. Pour éviter tout abus, vous pouvez définir le niveau d'autorisation dont un utilisateur doit disposer pour supprimer des entrées.

Sélectionnez le mode de fonctionnement souhaité dans la liste déroulante.

Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AsmUsrLvl


ID_PROJECT_IPA_USRLEVELCAUSE

Pour éditer

Le synoptique Industrial Performance Analyzer permet de modifier les données d'alarmes disponibles dans la base de données dans le Runtime. Pour éviter tout abus, vous pouvez définir le niveau d'autorisation dont un utilisateur doit disposer pour modifier des entrées.

Sélectionnez le mode de fonctionnement souhaité dans la liste déroulante.

Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AsmUsrLvlCause


ID_PROJECT_MAIN_TEMPLATES

Gabarits principaux

Nom du cadre mémorisé dans la variable Dernier synoptique ouvert du driver système. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de cadres.

Remarque : Cette propriété a également un effet sur la fonction Synoptique : retour au précédent.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MainTemplates


ID_PROJECT_MULTIUSER

Projet multi-utilisateur

Actif : le projet est utilisé comme un projet multi-utilisateurs. L'arborescence du projet comporte un nœud supplémentaire, intitulé "Traitement en cours".

Inactif : le projet est utilisé comme un projet simple.

(Par défaut) Inactif :

Cette propriété peut uniquement être activée via le menu contextuel du projet.

ATTENTION : l'activation de cette propriété ne peut pas être annulée. Vous pouvez toutefois convertir un projet multi-utilisateurs en projet simple via une sauvegarde de projet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MultiUser


ID_PROJECT_RTVERSION

Créer fichiers RT pour

Par défaut : Les fichiers de Runtime sont créés pour la version actuelle de l'Éditeur.

6.20 SP4 : les fichiers de Runtime sont créés pour la version 6.20 Service Pack 4.

6.21 SP0 : les fichiers de Runtime sont créés pour la version 6.21 Service Pack 0.

6.21 SP1 : les fichiers de Runtime sont créés pour la version 6.21 Service Pack 1.

6.22 SP0 : les fichiers de Runtime sont créés pour la version 6.22 Service Pack 0.

6.22 SP1 : les fichiers de Runtime sont créés pour la version 6.22 Service Pack 1.

6.50 SP0 : les fichiers de Runtime sont créés pour la version 6.50 Service Pack 0.

6.51 SP0: les fichiers de Runtime sont créés pour la version 6.51 Service Pack 0.

Attention : pour garantir la cohérence des fichiers de Runtime, tous les fichiers de Runtime doivent être recréés à chaque modification de cette propriété. Les configurations de tous les drivers sont converties. Les paramètres qui n'existent pas dans la version correspondante sont définis sur le paramètre par défaut.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RTVersion


ID_PROJECT_RUNTIMELASSO

Sélection multiple en runtime (lasso)

Actif : En déplaçant la souris avec le bouton gauche de la souris enfoncé, plusieurs éléments peuvent être sélectionnés dans le Runtime. Une macro VBA peut accéder à ces éléments.
Inactif : La fonction lasso n'est pas utilisée.
Par défaut : Inactive
Remarque : le lasso fonctionne uniquement pour les éléments accessibles par le biais du clavier, liés à une variable ou une fonction. Les éléments statiques ne sont pas sélectionnés. La fonction de lasso peut être activée/désactivée pour certains éléments de synoptique via la propriété Runtime/sélectionnable avec le lasso.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RuntimeLasso


ID_PROJECT_USEVERSION

Gestion de version active

Actif : La fonction de suivi de version des projets est utilisée. Chaque sauvegarde de projet comporte un numéro de version propre.

Inactif : la fonction de suivi des versions des sauvegardes de projet est désactivée.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VersionActive


ID_PROJECT_VERSIONDETAIL

Numéro de détail

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VersionDetail


ID_PROJECT_VERSIONNUMBER

Version principale

Disponible uniquement si la propriété Gestion de version active est active.

Numéro attribué par l'utilisateur. Au niveau interne, il est complété par un numéro détaillé, séparé par un point et affiché sous la forme Version du projet.

Attention : toute modification par l'utilisateur de ce numéro influe sur la cohérence du suivi des versions.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VersionNumber


ID_PROJECT_VERSIONS

Gestion de version

Propriétés du suivi des versions de sauvegardes de projet.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Versioning


ID_PROJECT_VERSIONSTRING

Version du projet

Disponible uniquement si la propriété Gestion de version active est active.

Affiche la version du projet. Le numéro de version est constitué du numéro attribué par l'utilisateur (Version principale) suivi, après le point, du numéro détaillé attribué au niveau interne.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VersionString


ID_PROJECT_ZOOM_STEPS

Pas de zoom pour vue globale

La boîte de dialogue de définition des niveaux de zoom pour la fonction Vue globale est affichée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ZoomSteps


ID_PROJEKT_ADAM

Connexion ADAM/AD-LDS

Chemin de connexion à ADAM ou AD LDS.

Vous devez saisir le chemin de connexion au format suivant : [Nom du PC]:[port]/[organisation]

Exemple : w3k:50000/O=711,c=com

Pour plus d'informations sur AD LDS, reportez-vous à l'aide en ligne.

Pour plus d'informations sur ADAM, reportez-vous à l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ADAM


ID_PROJEKT_ADAM_PWD

Mot de passe ADAM/AD-LDS

Mot de passe de l'utilisateur local du PC ADAM/AD LDS.

Pour plus d'informations sur AD LDS, reportez-vous à l'aide en ligne.

Pour plus d'informations sur ADAM, reportez-vous à l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ADAMPwd


ID_PROJEKT_ADAM_USER

Identification utilisateur ADAM/AD-LDS

Nom d'utilisateur d'un utilisateur local du PC ADAM/AD LDS possédant des droits d'administration.

Pour plus d'informations sur AD LDS, reportez-vous à l'aide en ligne.

Pour plus d'informations sur ADAM, reportez-vous à l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ADAMUser


ID_PROJEKT_ALARM_CEL

Alarmes et événements

Propriétés de la liste d'alarmes et de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_AML_CEL


ID_PROJEKT_ALLGEMEIN

Général

Propriétés générales du projet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Project


ID_PROJEKT_ALT_PATH

Dossier des données

Vide. le chemin par défaut est utilisé pour l'enregistrement de la liste d'alarmes (AML), de la liste chronologique d'événements (CEL), des données de disque dur, des données d'archives, etc. (chemin du projet\nom de l'ordinateur\nom du projet).
Chemin : le chemin saisi ici est utilisé pour l'enregistrement des données (chemin saisi\nom de l'ordinateur\nom du projet).
Attention : si le chemin défini n'existe pas (problèmes de réseau, support amovible indisponible), aucune autre donnée n'est écrite depuis le Runtime. Ce qui signifie : une perte totale de données. Le Runtime reste actionnable, mais doit être redémarré. La disponibilité du dossier peut être contrôlée par le biais de la variable de driver du système Dossier de données du Runtime indisponible.
Conseil : ne définissez jamais le dossier de données sur un support amovible, tel qu'une clé USB ou un périphérique réseau. Nous vous conseillons d'enregistrer les données localement, et de les sauvegarder au niveau externe.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AltDataPath


ID_PROJEKT_AML

Liste d'alarmes

Propriété de configuration des alarmes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_AML


ID_PROJEKT_ANTIALIASING

Utiliser l'anticrénelage (antialiasing)

Disponible uniquement si la propriété Qualité graphique est active.

Active l'anti-aliasing. Cette fonction permet de lisser et rendre plus agréables l'affichage des lignes diagonales. Les effets de crénelage disparaissent lorsque cette option est activée. Si vous avez sélectionné l'option DirectX Software (Logiciel DirectX) ou DirectX Hardware (Matériel DirectX) dans la propriété Qualité graphique, vous pouvez activer ou désactiver l'anti-aliasing indépendamment des paramètres du système d'exploitation. La qualité de l'anti-aliasing de DirectX est supérieure à la qualité du mode Windows Enhanced (Windows optimisé).

l'anti-aliasing peut accroître les durées d'appel de synoptique, plus particulièrement sur les systèmes d'exploitation plus anciens.

Les paramètres possibles sont les suivants :

Activée : l'anti-aliasing est toujours actif

Désactivée : l'anti-aliasing est désactivé

Par défaut : Off

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UseAntialiasing


ID_PROJEKT_AUTOMATIC_FUNC

Appel fonction auto.

Propriétés d'exécution automatique de la fonction.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_AutoFunc


ID_PROJEKT_AUTOMATIC_FUNCTION

Fonction

Disponible uniquement si l'appel de fonction automatique est actif :
Fonction exécutée après expiration du délai d'inactivité.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Function


ID_PROJEKT_AUTOMATIC_FUNCTION_ACTIVE

Exécution autom. de fonction active

Actif : Exécution automatique de la fonction si l'ordinateur n'a pas été utilisé pendant un certain temps.
Inactif : Désactive la fonctionnalité.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FuncActive


ID_PROJEKT_AUTOMATIC_FUNCTION_TIME

Période sans action (en minutes)

Disponible uniquement si l'appel de fonction automatique est actif :
Saisissez ici le délai d'inactivité au terme duquel la fonction peut être exécutée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FuncActiveTime


ID_PROJEKT_BLINK_FREQUENCY

Freq. Clignot. [10ième de sec.]

Saisir la fréquence de clignotement des éléments en dixièmes de seconde (par exemple : saisir 5 correspond à 1/2 cycle).
Minimum : 0.
Maximum : 2147483647.
Par défaut : 5.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BlinkRate


ID_PROJEKT_CEL

Liste chronologique d'événements

Propriétés d'administration de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_CEL


ID_PROJEKT_CHANGELOG

Historique des modifications

Propriétés de l'historique des modifications.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ChangeLog


ID_PROJEKT_CHANGELOG_AKTIV

Historique des modifications actif

Actif : Les modifications apportées au projet sont également consignées.
Inactif : Les modifications apportées au projet ne sont pas consignées.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ChangeLogAktiv


ID_PROJEKT_CHANGELOG_AUTOCHECKOUT

Permettre automatiquement les modifications

Uniquement disponible dans les projets multi-utilisateurs et si l'historique des modifications est actif :
Actif : Les modifications apportées aux entrées dans la liste sont automatiquement autorisées si des commentaires sont insérés. Ces modifications doivent alors être effectuées manuellement.
Inactif : Les commentaires peuvent uniquement être ajoutés après que la modification des entrées ait été manuellement autorisée.
(Par défaut) Inactif :

Attention : cette fonctionnalité consomme d'importantes ressources lorsqu'elle est activée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ChangeLogCheckout


ID_PROJEKT_CHANGELOG_DETAIL

Niveau de détails

Disponible uniquement si la propriété Historique des modifications actif est active.

Sélection du niveau de détails souhaité dans la liste déroulante.

  • Objet : seuls les noms d'objet des objets modifies sont enregistrés. Les détails concernant les propriétés qui ont été modifiées, ainsi que leurs valeurs, ne sont pas affichés dans l’historique des modifications.
  • Propriétés : outre les noms d’objet, les propriétés modifiées ainsi et les nouvelles valeurs sont affichées dans l’historique des modifications.
  • Modifications de valeurs : Ce paramètre correspond au niveau de journalisation le plus détaillé. Non seulement les nouvelles valeurs des propriétés sont affichées mais aussi les anciennes. Ce qui permet de tracer complètement les modifications.

Par défaut : Propriétés

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ChangeLogState


ID_PROJEKT_CURSOR_VISIBLE

Curseur visible

Actif : Le curseur est visible dans le Runtime.
Inactif : Le curseur n'est pas visible dans le Runtime. Pour les projets associés à un écran tactile, l'affichage du curseur peut être considéré comme gênant ; il peut être désactivé à l'aide de cette propriété.
Par défaut : active

Attention : Cette fonctionnalité fonctionne uniquement avec les éléments du système de contrôle (synoptiques, éléments, ...) mais pas avec les éléments standard de Windows (barres de titre, menus, barres de défilement, ...) Pour cela, le curseur doit être désactivé directement dans le système d'exploitation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CursorVisible


ID_PROJEKT_DRIVER_INVISIBLE

Driver invisible

Actif : les drivers démarrés ne sont pas affichés dans la barre des tâches de Windows dans le Runtime.

Inactive : les drivers démarrés ne sont pas affichés dans la barre des tâches de Windows dans le Runtime.

Par défaut : inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DriverInvisible


ID_PROJEKT_ENABLEMENU

Menus principaux actifs

Actif : Ceci signifie qu'une barre d'affichage des menus est réservée le long du bord supérieur de la fenêtre du Runtime.
Inactif : Aucun menu principal n'est affiché dans le Runtime.
(Par défaut) Inactif :

Attention : Cette option doit être activée si les menus principaux sont utilisés.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EnableMenu


ID_PROJEKT_EXPORT_UNICODE

Exporter le texte en unicode

Actif : exportation du texte sous forme de fichiers Unicode.
Inactif : exportation du texte sous forme de fichiers ANSI.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ExportUnicode


ID_PROJEKT_GDIPLUS

Qualité graphique

Paramètre de qualité de l'affichage graphique.
DirectX offre une qualité supérieure à celle des modes Windows Basic (Windows de base) ou Windows Enhanced (Windows optimisé). L'affichage DirectX est uniquement pris en charge dans le Runtime. En règle générale, il est préférable d'utiliser l'option DirectX Hardware (Matériel DirectX) et de n'utiliser l'option DirectX Software (Logiciel DirectX) qu'en cas d'absolue nécessité.

Sélection possible :

Windows Basic : Paramètres graphiques de base. Paramètre recommandé lorsque les ressources du matériel sont limitées.

Windows Enhanced (Windows optimisé) : offre des fonctions d'affichage graphique amélioré, nécessite davantage de ressources.

DirectX Software (Logiciel DirectX) : le calcul de l'affichage graphique est effectué par le processeur et peut entraîner une charge élevée au niveau du processeur.

Matériel DirectX : certains calculs graphiques sont effectués par la carte graphique. Si le système n'est pas compatible avec le paramètre, le paramètre DirectX Software (Logiciel DirectX) est sélectionné automatiquement.

Par défaut : Windows étendu

Attention : Les paramètres Windows Enhanced (Windows optimisé) et DirectX ne sont pas disponibles sous Windows CE.

Conseils :
un léger décalage des pixels peut apparaître en cas de changement de mode durant le développement. Par conséquent, définissez cette propriété avant de créer les synoptiques.
Lors de l'activation de l'option Windows Base (Windows de base) pour tous les types de ligne utilisant un paramètre Epaisseur de ligne [Pixels] > 1, tous les types de ligne sont définis sur Ligne continue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UseGDIplus


ID_PROJEKT_GRP0

Imprimer

Propriétés d'impression en ligne de la liste d'alarmes (AML) ou de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Print


ID_PROJEKT_GRP1

Nom/Dossier

Propriétés du nom et de l'emplacement d'enregistrement du projet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_PROJEKT_GRP2

Paramètres runtime

Propriétés du comportement du projet dans le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Runtime


ID_PROJEKT_GRP3

Clavier

Propriétés des fonctionnalités tactiles.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Touch


ID_PROJEKT_GRP4

Logout automatique

Propriétés de déconnexion automatique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_AutoLogout


ID_PROJEKT_GRP5

Login temporaire

Propriétés de connexion temporaire.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_TempLogin


ID_PROJEKT_GRP6

Industrial Performance Analyzer

Propriétés du module Industrial Performance Analyzer (IPA).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_IPA


ID_PROJEKT_GRP7

Apparence graphique

Propriétés de l'affichage dans le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Graphics


ID_PROJEKT_GRP8

Stockage des données IPA

Propriétés du stockage de données du module Industrial Performance Analyzer (IPA).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Storage


ID_PROJEKT_GRP9

Reconnaissance

Propriétés de l'évaluation des données du module Industrial Performance Analyzer (IPA).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Analysis


ID_PROJEKT_GRP10

Général

Propriétés générales du fichier.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_PROJEKT_GRP11

Général

Propriétés générales du projet zenon Logic.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

General


ID_PROJEKT_GRP12

Général

Propriétés générales de sauvegarde du projet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_PROJEKT_GRP13

Eléments verrouillés

Propriétés d'affichage des éléments verrouillés.
Les éléments verrouillés à l'aide d'un niveau d'autorisation ou d'un verrouillage sont indiqués par un symbole représentant un cadenas ou un fichier graphique au choix.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_LockSymbol


ID_PROJEKT_GRP14

Synoptiques

Les propriétés pour l'affichage des synoptiques dans le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Pictures


ID_PROJEKT_GRP15

Industrial Maintenance Manager

Propriétés du module Industrial Maintenance Manager (IMM). Ces propriétés sont uniquement accessibles si le module Industrial Maintenance Manager dispose d'une licence.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_IMM


ID_PROJEKT_GRP16

Autorisations

Autorisations de suppression et d'édition des entrées dans la base de données du module Industrial Performance Analyzer (IPA).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Rights


ID_PROJEKT_GRP17

Généralités runtime

Contient les paramètres dans le Runtime.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_RuntimeGeneral


ID_PROJEKT_GRP18

Active Directory/ADAM/AD-LDS

Propriétés d'utilisation des fonctionnalités

- Active Directory (AD)

- Active Directory Application Mode (ADAM)

- Active Directory Lightweight Directory Services (AD LDS)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ActiveDirectory


ID_PROJEKT_GRP_INTERACTION

Intéraction

Propriétés du fonctionnement MultiTouch.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Interaction


ID_PROJEKT_GUID

ID du projet

Chaque projet est identifié au moyen d'un GUID unique. Cette propriété ne peut pas être modifiée.
Il s'agit également du nom du sous-dossier du répertoire SQL dans lequel est enregistré le projet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GUID


ID_PROJEKT_KEYBOARD_SIZE

Taille du clavier [%]

Définit la taille, en pourcentage de la taille d'origine, d'affichage du clavier automatique dans le Runtime.
Minimum : 50 %
Maximum : 300 %
Par défaut : 100 %

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

KeyboardSize


ID_PROJEKT_LIMIT_FUNCTION_ON_START

-

Actif : Au démarrage du Runtime, une fonction liée à une valeur limite active est exécutée.
Inactif : Au démarrage du Runtime, une fonction liée à une valeur limite active n'est pas exécutée.
Par défaut : active

ATTENTION : Cette propriété est uniquement valide pour les limites qui ne sont pas associées à des alarmes !

Exemple 1 : le Runtime est fermé et aucune limite n'est dépassée. Ensuite, une limite est dépassée et le Runtime est démarré. Si la limite dépassée est une alarmes, la fonction liée est exécutée au démarrage du Runtime. Si la limite n'est pas une alarme, la configuration de cette propriété est utilisée.
Exemple 2 : le Runtime est fermé et une limite qui n'est pas associée à une alarme est dépassée. La fonction liée a été exécutée au moment où la limite a été dépassée. Quand le Runtime démarre à nouveau, la limite est encore dépassée. En fonction de cette propriété, la fonction liée est exécutée à nouveau.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LimitFunctionOnStart


ID_PROJEKT_MAIN_WINDOW

Titre runtime

Affichage de la fenêtre principale du Runtime.

Pas de titre : affichage en plein écran, sans en-tête.

Titre avec boutons agrandir et réduire : la fenêtre peut être déplacée et sa taille peut être modifiée. Elle ne peut toutefois pas être fermée (même par le biais du menu contextuel, de la barre des tâches ou du raccourci-clavier Alt+F4). Cliquez avec le bouton droit sur l'en-tête pour afficher le menu contextuel.

Titre avec menu système, boutons agrandir et réduire : La fenêtre peut être déplacée et sa taille peut être modifiée ; elle peut être fermée d'un clic sur le bouton X. Cliquez avec le bouton droit de la souris sur l'en-tête pour ouvrir le menu contextuel.

Titre avec menu système : La fenêtre peut être déplacée et fermée d'un clic sur le bouton X. Cliquez avec le bouton droit de la souris sur l'en-tête pour ouvrir le menu contextuel.

Titre sans boutons : La fenêtre peut être déplacée et fermée d'un clic sur le bouton X. Cliquez avec le bouton droit de la souris sur l'en-tête pour ouvrir le menu contextuel.

Par défaut : Pas de titre

Attention : si cette propriété est modifiée dans l'Éditeur, le Runtime doit être redémarré. L'actualisation seule ne fonctionne pas, car pour reprendre la fenêtre principale, le Runtime doit être fermé, puis rouvert.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MainWindowStyle


ID_PROJEKT_MULTITOUCH

Multi-Touche actif

Actif : Les gestes MultiTouch peuvent être utilisés. Les mouvements de raccourci (mouvements rapides) et le clic droit (appui long) sont désactivés.
Conditions préalables : Tous les drivers et périphériques correspondants sont disponibles. Le périphérique doit être connecté et mis sous tension.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MultiTouch


ID_PROJEKT_NAME

Nom du projet

Nom unique du projet.
Il est utilisé pour améliorer la lisibilité ; au niveau interne, en règle générale, le GUID est utilisé.

Les caractères autorisés sont les chiffres, les lettres et les caractères spéciaux suivants : $, -, @, _, {}, ~, !, ()
Remarque : lorsque vous modifiez le nom du projet, n'oubliez pas d'adapter d'éventuelles références à l'échelle du projet pour les projets d'intégration, ou l'utilisation des variables, des fonctions et du code VBA à l'échelle du projet. Pour cela, utilisez la boîte de dialogue de remplacement des références de projet.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_PROJEKT_NETZ

Réseau

Propriétés d'utilisation du projet sur un réseau.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Net


ID_PROJEKT_NETZ_AKTIV

Réseau actif

Actif : Le projet est utilisé comme un projet en réseau. Un serveur doit être défini.
Inactif : Le projet est un projet autonome.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NetActive


ID_PROJEKT_NETZ_DATENSERVER

Redondant en serveur de données

Disponible uniquement si un serveur redondant a été spécifié dans la propriété Redondant.
Actif : le serveur redondant est utilisé en tant que serveur de données, c'est-à-dire que le serveur redondant établit la connexion au matériel et transmet les données au serveur.
Inactif : le serveur lui-même est utilisé comme serveur de données.
Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NetDataServer


ID_PROJEKT_NETZ_REDUNDANZTYP

Type de redondance

Disponible uniquement si un ordinateur a été spécifié dans la propriété Redondant.

zenon prend en charge deux types de redondance :

Redondance logicielle : Ce système se compose d'un automate et de deux ordinateurs redondants du système de contrôle. Les deux ordinateurs doivent disposer d'une connexion à l'automate. Les deux ordinateurs communiquent avec le contrôle et actualisent simultanément les données provenant du contrôle. Les communications bidirectionnelles avec le contrôle sont gérées par l'ordinateur jouant le rôle de serveur. Le serveur établit des communications bidirectionnelles, le système redondant établit des communications unidirectionnelles. En cas de défaillance du serveur, le serveur redondant prend en charge les communications bidirectionnelles avec l'automate.

Redondance matérielle : Le système se compose de deux automates redondants et de deux ordinateurs contrôleurs redondants. Chaque serveur établit une communication bidirectionnelle avec un automate. Les deux ordinateurs et les deux automates synchronisent leurs données. Si un composant du premier système subit une défaillance, le deuxième composant prend le relais.

Par défaut : Redondance logicielle

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NetType


ID_PROJEKT_NETZ_ROUTING_AKTIV

Routage actif

Actif : L'ordinateur agit comme un ordinateur "nœud" et peut transmettre les paquets ('packets'). Ainsi tous les 'packets' réseau provenant de l'extérieur utilisent cet ordinateur.
Ce paramétrage peut conduire à des 'goulets d'étranglement' et influence les possibilités au niveau de la topologie réseau. C'est consistant de l'utiliser dans des constellations réseau particulières, par exemple, pour des réseaux WAN ou des réseaux "routés" ('routed'). Nous recommandons donc de ne pas activer ce paramètre.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NetRoutingActive


ID_PROJEKT_NETZ_SB

Redondant

Disponible uniquement si un serveur a été spécifié dans la propriété Serveur.
Cet ordinateur assume alors le rôle de serveur dans les systèmes redondants en cas de défaillance du serveur. L'interruption de la connexion au serveur est détectée lorsque le serveur ne répond pas dans le délai défini dans la propriété -. Une mémoire spécifique au serveur redondant pallie le délai entre l'interruption de la connexion au serveur et le basculement, évitant ainsi toute perte de données.

Conseil : le nom « localhost » ne doit pas être utilisé pour le serveur ou le serveur redondant.
Si le nom a été modifié, il ne peut pas être actualisé. Il ne sera mis à jour qu'après le redémarrage du Runtime.
Attention : les heures de système du serveur et du serveur redondant doivent être identiques.
Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NetSB


ID_PROJEKT_NETZ_SERVER

Serveur

Disponible uniquement si la propriété Réseau actif est active.
L'ordinateur qui établit la connexion au matériel lors de projets en réseau et gère les données du projet. Les clients se connectent à cet ordinateur.

Conseil : l'adresse IP n'est pas suffisante ; vous devez saisir le nom de l'ordinateur. le nom "localhost" ne doit pas être utilisé pour le serveur.
Si le nom a été modifié, il ne peut pas être actualisé. Il ne sera mis à jour qu'après le redémarrage du Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NetServer


ID_PROJEKT_NETZ_TIMEOUT

-

Disponible uniquement si la propriété Réseau actif est active.

Délai en secondes dans lequel un ordinateur doit réagir à la commande de surveillance d'exécution. Le délai défini ici est divisé en trois intervalles ; après chaque intervalle, une commande de surveillance d'exécution contrôle la connexion au serveur. Si le serveur réagit à une au moins des commandes de surveillance, le système considère que la connexion au serveur fonctionne encore. Les communications au serveur sont uniquement contrôlées par les commandes de surveillance d'exécution.
Attention : le délai d'attente du réseau doit être égal à au moins la moitié du délai d'attente TCP du système d'exploitation.

Tenez compte des spécificités des connexions sur réseau WAN et par modem analogique. Ici, le paramètre par défaut de la commande de surveillance d'exécution signifie que la connexion est maintenue en permanence.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NetTimeout


ID_PROJEKT_NETZ_TOKEN

Autorisation d'accès

Propriétés de l'autorisation d'utilisation sur le réseau.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Token


ID_PROJEKT_NETZ_TOKEN_AKTIV

Autorisation en réseau active

Disponible uniquement si la propriété Réseau actif est active.
La gestion des autorisations sur le réseau garantit qu'une seule station connectée au réseau peut exécuter une opération active (par ex., modification de valeurs prescrites) à un instant donné. L'accès passif (en lecture seule) est toujours possible, indépendamment de l'option choisie.
Actif : un seul ordinateur peut intervenir sur le projet à un instant donné (par ex., acquittement d'alarme, écriture de valeurs prescrites).
Inactif : plusieurs stations peuvent actionner le projet à la fois.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NetTokenActive


ID_PROJEKT_NETZ_TOKEN_QUESTION

Timeout pour requête [s]

Disponible uniquement si la propriété Autorisation en réseau active est active.
Si l'autorisation sur le réseau est bloquée par une station, elle peut être demandée par un autre ordinateur. La réponse à la demande doit être reçue dans la limite de temps définie ici. En cas d'expiration du délai d'attente de la réponse, la station demandeuse reçoit automatiquement l'autorisation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NetTokenQuestion


ID_PROJEKT_NETZ_TOKEN_QUIT

Timeout pour autorisation [s]

Disponible uniquement si la propriété Autorisation en réseau active est active.
L'ordinateur (client) possédant l'autorisation doit répondre au serveur avant expiration de ce délai. Si cet événement ne se produit pas, l'autorisation est automatiquement accordée.
Attention : cette valeur doit être inférieure au délai défini dans la propriété -.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NetTokenQuit


ID_PROJEKT_NOT_TRANSLATED

Montrer les mots-clé non-traduits

Paramètres d'affichage des mots-clé n'existant dans aucun des fichiers de langue :

Actif : affichage sous forme de mot-clé dans le Runtime, par ex. : @Texte.
Inactif : affichage dans le Runtime sans le préfixe @, par ex. : Texte

Remarque : si le mot-clé existe dans un fichier de langue, mais ne comporte pas de traduction, aucun texte n'est affiché dans le Runtime (chaîne vide).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowNotTranslated


ID_PROJEKT_PASSWORT

Gestion utilisateur

Propriétés du projet pour la gestion des utilisateurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Password


ID_PROJEKT_POKEACK

Fonction envoi valeur prescrite

Disponible uniquement si la propriété Gestion des événements active est active.
Actif : en cas d'écriture réussie des valeurs sur le matériel, l'entrée correspondante est insérée dans la liste CEL.
Inactif : l'écriture réussie des valeurs n'est pas consignée dans la liste CEL.
Par défaut : Inactive
Remarque : pour utiliser ces propriétés, vous devez exécuter une écriture de valeur prescrite par le biais de la fonction Spécifier valeur prescrite.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CELPokeAck


ID_PROJEKT_PRINT_ACTIVE

Impression active

Actif : la liste chronologique d'événements (CEL) ou la liste d'alarmes (AML) est imprimée en ligne. Pour chaque entrée dans la liste AML ou CEL, l'événement est transmis à l'imprimante définie dans les paramètres du projet.
Inactif : aucune impression en ligne n'est effectuée.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PrintActive


ID_PROJEKT_PRINT_AML_CEL

Impression pour

Disponible uniquement si la propriété Impression active est active.
Permet de spécifier si la liste AML ou CEL doit être imprimée en ligne. Une seule des deux listes peut être imprimée à la fois.

Liste d'alarmes : la liste d'alarmes (AML) est imprimée en ligne.
Liste chronologique d'événements : la liste chronologique d'événements est imprimée en ligne.
Par défaut : Liste d'alarmes

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PrintCEL


ID_PROJEKT_PRINT_LINES_PAGE

Lignes par page

Disponible uniquement si la propriété Impression active est active.
Nombre de lignes imprimées sur chaque page lors de l'impression en ligne.
Minimum : 0

Maximum : 65535
Par défaut : 72

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PrintLines


ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_PEN

Visualisation pour l'entrée avec stylo

Propriétés du fonctionnement MultiTouch, avec utilisation d'un stylet.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_PenInputVisualisation


ID_PROJEKT_PROP_GRP_INPUT_VISUALISATION_TOUCH

Visualisation pour l'entrée en tactile

Propriétés du fonctionnement MultiTouch, avec utilisation aux doigts.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_TouchInputVisualisation


ID_PROJEKT_PROP_GRP_MULTITOUCH

Multi-Touche

Propriétés d'utilisation des gestes MultiTouch dans le projet.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Multitouch


ID_PROJEKT_PROP_MULTITOUCH_MODE

Reconnaissance

Sélection de l'interprétation des gestes MultiTouch :

  • Désactivée : désactive les gestes MultiTouch.
  • Windows 7 : Active les gestes pris en charge par Windows 7. Les gestes MultiTouch peuvent donc être utilisés pour agrandir et faire défiler l'affichage dans la vue globale, et les gestes MultiTouch peuvent être mis en œuvre par l'intermédiaire de VSTA.
  • Windows 8 : active les gestes pris en charge par Windows 8. Les gestes MultiTouch peuvent donc facilement être configurés par l'intermédiaire des propriétés de zenon.

Par défaut : Désactivée

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MultitouchMode


ID_PROJEKT_PROP_PEN_ACTIVE

Actif

Actif : Les propriétés de fonctionnement tactile avec utilisation d'un stylet sont disponibles.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InputVisualisationPenActive


ID_PROJEKT_PROP_PEN_BARREL

-

Actif : L'option Bouton du stylet est disponible en cas de fonctionnement tactile avec utilisation d'un stylet.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InputVisualisationPenBarrel


ID_PROJEKT_PROP_PEN_DOUBLETAP

-

Actif : L'option Double appui est disponible en cas de fonctionnement tactile avec utilisation d'un stylet.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InputVisualisationPenPenDoubleTap


ID_PROJEKT_PROP_PEN_PRESS_AND_HOLD

-

Actif : L'option Appui long est disponible en cas de fonctionnement tactile avec utilisation d'un stylet.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InputVisualisationPenPressAndHold


ID_PROJEKT_PROP_PEN_RIGHTTAP

-

Actif : L'option Appuyer et toucher est disponible en cas de fonctionnement tactile avec utilisation d'un stylet.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InputVisualisationPenRightTap


ID_PROJEKT_PROP_PEN_TAP

-

Actif : L'option Appui bref est disponible en cas de fonctionnement tactile avec utilisation d'un stylet.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InputVisualisationPenTap


ID_PROJEKT_PROP_TOUCH_ACTIVE

Actif

Actif : Les propriétés de fonctionnement tactile avec utilisation aux doigts sont disponibles.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InputVisualisationTouchActive


ID_PROJEKT_PROP_TOUCH_CONTACT

-

Actif : L'option Contact est disponible en cas de fonctionnement tactile avec utilisation d'un stylet.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InputVisualisationTouchContact


ID_PROJEKT_PROP_TOUCH_DOUBLETAP

-

Actif : L'option Double appui est disponible en cas de fonctionnement tactile aux doigts.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InputVisualisationTouchDoubleTap


ID_PROJEKT_PROP_TOUCH_PRESS_AND_HOLD

-

Actif : L'option Appui long est disponible en cas de fonctionnement tactile aux doigts.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InputVisualisationTouchPressAndHold


ID_PROJEKT_PROP_TOUCH_RIGHTTAP

-

Actif : L'option Appuyer et toucher est disponible en cas de fonctionnement tactile aux doigts.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InputVisualisationTouchRightTap


ID_PROJEKT_PROP_TOUCH_TAP

-

Actif : L'option Appui bref est disponible en cas de fonctionnement tactile aux doigts.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InputVisualisationTouchTap


ID_PROJEKT_SAME_COMMENTS

Même commentaires

Actif : les commentaires ajoutés à une alarme dans le Runtime sont également enregistrés au niveau de l'entrée correspondante de la liste chronologique d'événements (CEL).
Inactif : les commentaires ajoutés à une alarme sont uniquement conservés dans la liste d'alarmes.
Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SameComments


ID_PROJEKT_SEL_WITH_BORDER

Sélection encadrée

Actif : dans la liste d'alarmes (AML) et la liste chronologique d'événements (CEL), les lignes sélectionnées sont mises en évidence par un cadre. Cette option est recommandée pour améliorer la lisibilité aux résolutions d'écran élevées.
Inactif : la couleur d'arrière-plan des lignes sélectionnées est inversée. Cette option est recommandée pour améliorer la lisibilité aux résolutions d'écran basses.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SelBorder


ID_PROJEKT_STARTBILD

Synoptique de départ

Ce synoptique sera ouvert automatiquement lorsque le Runtime sera démarré. Le premier synoptique créé dans votre projet est saisi ici.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de synoptique.

Remarque : les types de synoptiques spéciaux sont ouverts avec un filtre vide, et par conséquent, sans données.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StartPictureName


ID_PROJEKT_TOUCH1

Position favorite

Propriétés de la position préférée dans laquelle le clavier est ouvert par rapport à l'élément sélectionné.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_KeyboardPosition


ID_PROJEKT_TOUCH2

Position alternative

Propriétés de la position alternative dans laquelle le clavier est ouvert par rapport à l'élément sélectionné, s'il ne peut pas être ouvert dans la position préférée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_KeyboardPositionAlt


ID_PROJEKT_TOUCHSCREEN

Clavier automatique

Pour les projets associés à un écran tactile.
Actif : Un synoptique de type Clavier est automatiquement appelé si une saisie est nécessaire (par exemple, pour l'écriture d'une valeur de point de consigne ou pour la connexion).
Inactif : Un synoptique de type Clavier n'est pas ouvert.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Touchscreen


ID_PROJEKT_TOUCHSCREEN_HORZ

Mouvement horizontal [pixel]

Distance horizontale (en pixels) de l'élément sélectionné pour la position préférée du clavier automatique.
Par défaut : 2.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

KeyboardPixelHorz


ID_PROJEKT_TOUCHSCREEN_HORZ_ALT

Mouvement horizontal [pixel]

Distance horizontale (en pixels) de l'élément sélectionné pour la position alternative du clavier automatique.
Par défaut : 2.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

KeyboardPixelHorzAlt


ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT

Horizontal

Position horizontale du clavier automatique pour la position préférée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

KeyboardPosHorz


ID_PROJEKT_TOUCHSCREEN_RIGHTLEFT_ALT

Horizontal

Position horizontale du clavier automatique pour la position alternative.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

KeyboardPosHorzAlt


ID_PROJEKT_TOUCHSCREEN_TOPBOT

Vertical

Position verticale du clavier automatique pour la position préférée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

KeyboardPosVert


ID_PROJEKT_TOUCHSCREEN_TOPBOT_ALT

Vertical

Position verticale du clavier automatique pour la position alternative.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

KeyboardPosVertAlt


ID_PROJEKT_TOUCHSCREEN_VERT

Mouvement vertical [pixel]

Distance verticale (en pixels) de l'élément sélectionné pour la position préférée du clavier automatique.
Par défaut : 2.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

KeyboardPixelVert


ID_PROJEKT_TOUCHSCREEN_VERT_ALT

Mouvement vertical [pixel]

Distance verticale (en pixels) de l'élément sélectionné pour la position alternative du clavier automatique.
Par défaut : 2.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

KeyboardPixelVertAlt


ID_PROJEKT_TREND_MILLISEC

Tendance et valeurs HD en míllisecondes

Actif : Les valeurs HD sont affichées et traitées en millisecondes au niveau interne, tout comme l'actualisation des synoptiques actifs.
Inactif : Les valeurs HD sont affichées et traitées en secondes au niveau interne, tout comme l'actualisation des synoptiques actifs.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TrendMilliSec


ID_PROJEKT_VARBEZEICHNER

Afficher les variables avec

Affichage des variables dans le Runtime :
Cliquez sur un élément avec le bouton droit de la souris et maintenez le bouton de la souris enfoncé pour afficher le nom, l'identification ou l'adresse de la variable, selon cette propriété.
En outre, cette propriété est utilisée pour l’affichage de l'élément Tendance.
Enfin, cette propriété est utilisée pour l’affichage de l'élément Tendance, ainsi que dans la boîte de dialogue de l'élément Combinaison multiple dans l'Éditeur.
Adresse : Les variables sont affichées avec leur adresse.
Identification : Les variables sont affichées avec leur identifiant.
Nom : Les variables sont affichées avec leur nom.
Par défaut : Nom.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VarIdentifier


ID_PROJEKT_VERWALTUNG

-

La boîte de dialogue de configuration du projet s'affiche.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ProjectAdministration


ID_PROJEKT_VERZEICHNIS

Dossier runtime

Dossier des fichiers de Runtime du projet.
Dans ce dossier, les fichiers créés dans le Runtime sont enregistrés et le dossier est enregistré en tant que dossier de démarrage du Runtime.
Par défaut, le dossier spécifié durant la création du projet est utilisé. Le dossier peut être modifié par la suite.

Remarque : Les données historiques créées par le Runtime doivent être copiées manuellement dans le nouveau dossier, si nécessaire.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WorkingPath


ID_PROJEKT_WINDOWS_CE

Projet WindowsCE

Actif : les fonctionnalités qui ne sont pas prises en charge dans Windows CE sont masquées dans l'Éditeur (grisées ou invisibles).
Remarque : si vous avez sélectionné l'option Base de données MS Access pour la propriété - dans le module RGM, l'activation de cette propriété ouvre une boîte de dialogue affichant des conseils sur la conversion.

Inactif : toutes les fonctionnalités offertes par la licence de l'Éditeur sont disponibles.
Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WindowsCE


ID_PROP_COMBOLIST_DYNCONTENT_USE

Entrées depuis une variable chaine

Actif : Les entrées dans la liste déroulante sont définies par le biais de la variable de chaîne sélectionnée dans la propriété Variable.

Inactif : les entrées sont définies par le biais de la boîte de dialogue de la propriété Entrées dans l'Éditeur.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UseDynContent


ID_PROP_COMBOLIST_DYNCONTENT_VARIABLE

Variable

Disponible uniquement si la propriété Entrées depuis une variable chaine est active.

Sélection de la variable de chaîne contenant les entrées de la liste déroulante. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DynContentVariable


ID_PROP_COMBOLIST_FGCOLOR_SEL

Couleur de texte pour l'entrée sélectionnée

Définit la couleur du texte lorsqu'un élément est sélectionné. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton .... La couleur est statique et n'utilise pas la variable liée.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TextColorSelected


ID_PROP_COMBOLIST_HGCOLOR_SEL

Couleur d'arrière plan pour l'entrée sélectionnée

Définit la couleur d'arrière-plan lorsqu'un élément est sélectionné. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton .... La couleur est statique, et n'utilise pas la variable liée.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackColorSelected


ID_PROP_COMBOLIST_SOFORTREAKT

Réaction immédiate

Vous permet d'afficher une réaction telle qu'elle s'est déjà produite, même si la réponse d'un pilote dont la réaction est lente n'a pas encore été reçue.

Active : affiche la réaction du pilote telle qu'elle s'est déjà produite dans la visualisation, même si le système est toujours en attente de cette réaction.

Par défaut : active

Remarque : Si le driver ne réagit pas, l'absence de réaction ne sera pas prise en compte.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InstantReaction


ID_PROP_ELE_RT_LASSO

sélectionnable avec le lasso

La sélection avec le lasso dans le Runtime permet d'identifier les éléments dynamiques et de les utiliser avec des événements VBA.
Actif : L'élément peut être sélectionné avec le lasso dans le Runtime.
Inactive : L'élément ne peut pas être sélectionné dans Runtime.
Par défaut : active

Attention : pour que l'élément puisse être sélectionné dans le Runtime, vous devez activer la propriété Paramètres runtime/Sélection multiple en runtime (lasso) dans les paramètres du projet !

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LassoSelect


ID_PROP_GRP_SYSTEMMODEL_GROUP

Général

Propriétés générales du groupe d'équipements.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_PROP_GRP_SYSTEMMODEL_MODEL

Général

Propriétés générales des modèles d'équipements.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_PROP_MSGCTRL_MESSAGE_ACKREQ

Acquittement nécessaire

Le message doit être acquitté à réception.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AckReq


ID_PROP_MSGCTRL_MESSAGE_ACKTIMEOUT

Time-out d'acquittement

Délai d'acquittement du message.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AckTimeOut


ID_PROP_MSGCTRL_MESSAGE_ATTACHMENT

Lien

Nom de la pièce jointe au message. Concerne uniquement les e-mails envoyés via SMTP.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Attachment


ID_PROP_MSGCTRL_MESSAGE_ATTEMPTS

Essais

Nombre de tentatives.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Attempts


ID_PROP_MSGCTRL_MESSAGE_CODESFROMFUNCTION

Codes spécifiques à la fonction

Indiquer si un code individuel est utilisé pour l'acquittement.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CodesFromFunction


ID_PROP_MSGCTRL_MESSAGE_CUSTOMID

Identification

Identifiant personnalisé.
Peut uniquement défini par le biais de code VBA/VSTA dans l'événement MessageCreated.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CustomIdentifier


ID_PROP_MSGCTRL_MESSAGE_CYCLECOUNTER

Compteur de cycles envoyés

Nombre de retransmissions du message.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CycleCounter


ID_PROP_MSGCTRL_MESSAGE_DESTINATION

Cible

Adresse de destination du message (adresse e-mail, numéro de téléphone).

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Destination


ID_PROP_MSGCTRL_MESSAGE_GUID

GUID

Identifiant unique (GUID) du message.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GUID


ID_PROP_MSGCTRL_MESSAGE_MAXATTEMPTS

Nombre d'essais

Nombre Maximum de tentatives d'envoi.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxAttempts


ID_PROP_MSGCTRL_MESSAGE_MESSAGE

Message

Texte du message.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MessageText


ID_PROP_MSGCTRL_MESSAGE_SEND

Essai suivant

Heure de la prochaine tentative d'envoi du message.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Send


ID_PROP_MSGCTRL_MESSAGE_SENT

Créé / dernier envoi

Heure de création du message ou heure de la dernière tentative d'envoi.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Sent


ID_PROP_MSGCTRL_MESSAGE_TIMETOWAIT

Période d'attente

Délai d'attente, en minutes, pour la surveillance du délai d'attente et la retransmission de messages.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TimeToWait


ID_PROP_MSGCTRL_MESSAGE_TITLE

Sujet

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Title


ID_PROP_SKIN_ADVANCEDSETTINGS

Paramètres du graphique étendu

Disponible uniquement pour PC.

Contrôle l'utilisation des barres de défilement personnalisables horizontales et verticales, de l'en-tête et de la grille. Si vous activez cette propriété, vous pouvez personnaliser l'affichage du champ de liste de la liste d'alarmes (AML) et de la liste chronologique d'événements (CEL).

Par défaut : inactive.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AdvancedStyleH


ID_PROP_SKIN_ADVANCEDSETTINGS_GROUP

Ascenceurs

Propriétés des barres de défilement horizontale et verticale.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SkinAdvanced


ID_PROP_SKIN_ENABLEHEADER

Entête éditable

Disponible uniquement si vous avez sélectionné Actions autorisées sur les en-têtes de colonne dans le groupe Liste d'alarmes pour la propriété Entête alarmes, ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements.

Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Permet d'effectuer des actions sur l'en-tête du champ de liste correspondant. Dans le Runtime, vous pouvez déplacer les colonnes individuelles et en modifier la largeur. Vous pouvez trier l'affichage en fonction de n'importe quelle colonne.

Active : vous pouvez effectuer des actions sur l'en-tête.

Par défaut : active

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EnableHeader


ID_PROP_SKIN_GRIDCOLORH

Couleur de la ligne horizontale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GridColorH


ID_PROP_SKIN_GRIDCOLORV

Couleur de la ligne verticale

Définit la couleur de trait des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur le bouton gauche pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur souhaitée en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GridColorV


ID_PROP_SKIN_GRIDGRP

Grille

Propriétés de la grille du champ de liste.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SkinGrid


ID_PROP_SKIN_GRIDSIZEH

Epaisseur ligne horizontale [Pixels]

Largeur en pixels des lignes horizontales de la grille. Changez cette valeur pour modifier les lignes horizontales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes horizontales sont masquées.

Par défaut : 1.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GridSizeH


ID_PROP_SKIN_GRIDSIZEV

Epaisseur ligne verticale [Pixels]

Largeur en pixels des lignes verticales de la grille. Changez cette valeur pour modifier les lignes verticales de la grille dans la vue de liste dans le Runtime. Si vous saisissez 0, les lignes verticales sont masquées.

Par défaut : 1.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GridSizeV


ID_PROP_SKIN_GRIDTYPEH

Type de ligne horizontale

Définit le type des lignes horizontales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne horizontale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : la grille est uniquement affiché si vous activez la grille dans la fonction Appel de synoptique ou dans le filtre dans le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GridTypeH


ID_PROP_SKIN_GRIDTYPEV

Type de ligne verticale

Définit le type des lignes verticales de la grille dans la vue de liste dans le Runtime. Cliquez sur la ligne et sélectionnez le type de ligne souhaité (ligne pleine, ligne discontinue, ligne tiretée etc.).

Par défaut : ligne pleine.

Attention : cette propriété est disponible si la valeur de la propriété Epaisseur ligne verticale [Pixels] est 1. Pour les valeurs >1, une ligne continue est utilisée.

Remarque : la grille est uniquement affiché si vous activez la grille dans la fonction Appel de synoptique ou dans le filtre dans le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GridTypeV


ID_PROP_SKIN_HEADERBAR_BACKCOLOR

Remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs dans l'en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HeaderBackColor


ID_PROP_SKIN_HEADERBAR_BACKCOLOR2

Couleur du dégradé

Disponible uniquement si vous avez sélectionné Actions autorisées sur les entêtes de colonne ou Entête fixe dans le groupe Liste d'alarmes pour la propriété Entête alarmes ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements. En outre, vous devez activer les propriétés Paramètres du graphique étendu et Montrer l'entête pour la zone de liste correspondante.

Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs dans l'en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste d'alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HeaderBackColor2


ID_PROP_SKIN_HEADERBAR_COLORGRADIENTANGLE

Angle

Disponible uniquement si vous avez sélectionné Actions autorisées sur les entêtes de colonne ou Entête fixe dans le groupe Liste d'alarmes pour la propriété Entête alarmes ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements. En outre, vous devez activer les propriétés Paramètres du graphique étendu et Montrer l'entête pour la zone de liste correspondante.

Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l'angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Offset est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste d'alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HeaderColorGradientAngle


ID_PROP_SKIN_HEADERBAR_COLORGRADIENTOFFSET

Offset

Définit la distance du dégradé de couleurs depuis le centre de l'en-tête jusqu'au bord gauche ou droit, en pourcentage. 0 signifie le centre de l'en-tête, 100 signifie le bord droit de l'en-tête et -100 signifie le bord gauche de l'en-tête.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste d'alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HeaderColorGradientOffset


ID_PROP_SKIN_HEADERBAR_FONT

Police

Cette propriété est disponible sous Windows Vista et dans les versions ultérieures.

Définit la police de caractères utilisée pour le texte de l'en-tête. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de polices de caractères prédéfinies.

La police de caractères utilisée pour le nouvel élément sera la police utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HeaderFont


ID_PROP_SKIN_HEADERBAR_FONT_COLOR

Texte (couleur)

Définit la couleur du texte de l'en-tête. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HeaderFontColor


ID_PROP_SKIN_HEADERBAR_GRP

Entête

Propriétés de l'en-tête du champ de liste.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SkinHeader


ID_PROP_SKIN_HEADERBAR_LIGHTNING

Effet de lumière

Sélectionnez le type de dégradé de couleurs pour l'en-tête parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé avec des rayons commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Par défaut : Linéaire

Plus de détails dans l'aide en ligne de la liste d'alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HeaderLightning


ID_PROP_SKIN_HEADERBAR_PRJSORTDOWN

Tri décroissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l'en-tête du champ de liste lors du tri décroissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DescDownImage


ID_PROP_SKIN_HEADERBAR_PRJSORTUP

Tri croissant

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché dans l'en-tête du champ de liste lors du tri croissant dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AscSortImage


ID_PROP_SKIN_HEADERBAR_PRJSPAN

Fond

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique devant être affiché en arrière-plan dans l'en-tête du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HeaderBarImage


ID_PROP_SKIN_HEADERBAR_STYLE

Style d'affichage

Disponible uniquement si vous avez sélectionné Actions autorisées sur les entêtes de colonne ou Entête fixe dans le groupe Liste d'alarmes pour la propriété Entête alarmes ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements. En outre, vous devez activer les propriétés Paramètres du graphique étendu et Montrer l'entête pour la zone de liste correspondante.

Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Définissez l'apparence de l'en-tête du champ de liste. Sélectionnez l'une des options suivantes :

Dégradé de couleurs : utilise un dégradé de couleurs spécial pour l'en-tête. Vous pouvez personnaliser le dégradé de couleurs à l'aide des propriétés Remplissage, Couleur du dégradé, Effet de lumière, Offset et Angle.

Fichier graphique : utilise le fichier graphique sélectionné pour les zones individuelles. Si aucun fichier graphique n'a été sélectionné, l'affichage Dégradé de couleurs est utilisé.

Par défaut : utilise le paramètre standard pour l'en-tête. Vous pouvez uniquement modifier les éléments Police et Texte (couleur) à l'aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HeaderStyle


ID_PROP_SKIN_HORBAR_BACKCOLOR

Remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackColorH


ID_PROP_SKIN_HORBAR_BACKCOLOR2

Gradient de couleur

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement horizontales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackColor2H


ID_PROP_SKIN_HORBAR_BUTTONHEIGHT

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ButtonHeightH


ID_PROP_SKIN_HORBAR_BUTTONWIDTH

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ButtonWidthH


ID_PROP_SKIN_HORBAR_COLORGRADIENTANGLE

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l'angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Décalage [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste CEL.

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ColorGradientAngleH


ID_PROP_SKIN_HORBAR_COLORGRADIENTOFFSET

Décalage [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement horizontale jusqu'au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement horizontale, 100 signifie le bord droit de la barre de défilement horizontale et -100 signifie le bord gauche de la barre de défilement horizontale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste CEL.

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ColorGradientOffsetH


ID_PROP_SKIN_HORBAR_GRP

Ascenceur horizontal

Propriétés de la barre de défilement horizontale du champ de liste.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SkinHorBar


ID_PROP_SKIN_HORBAR_LIGHTNING

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement horizontale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé avec des rayons commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Par défaut : Linéaire

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LightningH


ID_PROP_SKIN_HORBAR_PRJLEFTBMP

Flêche de gauche de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement gauche de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BitmapLeftH


ID_PROP_SKIN_HORBAR_PRJRIGHTBMP

Flêche de droite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement droite de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BitmapRightH


ID_PROP_SKIN_HORBAR_PRJSPAN

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement horizontale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BitmapSpanH


ID_PROP_SKIN_HORBAR_PRJTHUMBBMP

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement horizontale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BitmapThumbH


ID_PROP_SKIN_HORBAR_STYLE

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l'apparence de l'en-tête du champ de liste. Sélectionnez l'une des options suivantes :

Dégradé de couleurs : utilise un dégradé de couleurs spécial pour l'en-tête. Vous pouvez personnaliser le dégradé de couleurs à l'aide des propriétés Remplissage, Gradient de couleur, Gradient de couleur, Décalage [%] et Angle [°].

Fichier graphique : utilise le fichier graphique sélectionné pour les zones individuelles. Si aucun fichier graphique n'a été sélectionné, l'affichage Dégradé de couleurs est utilisé.

Par défaut : utilise le paramètre standard pour l'en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l'aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BarStyleH


ID_PROP_SKIN_HORBAR_THUMBSIZE

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement horizontale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ThumbSizeH


ID_PROP_SKIN_NOSELECTION

Ne pas marquer la ligne sélectionnée

Ce paramètre permet de définir si la ligne sélectionnée est affichée en surbrillance dans la zone de liste. Si vous activez cette propriété, vous ne pouvez pas voir l'entrée que vous avez sélectionnée. Toutes les lignes de la liste sont identiques.

Par défaut : inactive.

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HideSelection


ID_PROP_SKIN_SHOWBORDER

Montrer le cadre

Permet d'afficher un cadre autour de l'élément. Les balises des propriétés Style L et Style H sont masquées.

Active : le cadre est affiché autour de l'élément correspondant.

(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowBorder


ID_PROP_SKIN_SHOWHEADER

Montrer l'entête

Disponible uniquement si vous avez sélectionné Actions autorisées sur les entêtes de colonne ou Entête fixe dans le groupe Liste d'alarmes pour la propriété Entête alarmes ou dans le groupe Liste chronologique d'événements pour la propriété Entête liste d'événements.
Disponibilité de la liste d'affichage du curseur dans le module Tendance étendue.

Affiche l'en-tête du champ de liste correspondant. Dans le groupe Entête, vous pouvez personnaliser l'apparence de l'en-tête.

Active : l'en-tête est affiché.

Par défaut : active

Plus de détails dans l'aide en ligne sur les alarmes

Plus de détails dans l'aide en ligne de la liste chronologique d'événements

Plus de détails dans l'aide en ligne du module Tendance étendue (ETM)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowHeader


ID_PROP_SKIN_VERBAR_BACKCOLOR

Remplissage

Définit la première couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackColorV


ID_PROP_SKIN_VERBAR_BACKCOLOR2

Couleur du dégradé

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit la deuxième couleur de remplissage utilisée pour le dégradé de couleurs des barres de défilement verticales. Cliquez sur le bouton pour ouvrir la palette de couleurs prédéfinies. Vous pouvez également définir la couleur en saisissant manuellement le code hexadécimal (RVB) dans le champ. Si vous sélectionnez Automatique, la valeur de la couleur change en fonction de la valeur de la propriété Remplissage.

La couleur du nouvel élément sera la couleur utilisée pour le précédent élément du même type.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackColor2V


ID_PROP_SKIN_VERBAR_BUTTONHEIGHT

Hauteur des flêches de l'ascenceur [Pixels]

Définit la hauteur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ButtonHeightV


ID_PROP_SKIN_VERBAR_BUTTONWIDTH

Largeur des flêches de l'ascenceur [Pixels]

Définit la largeur en pixels de la flèche de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 12.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ButtonWidthV


ID_PROP_SKIN_VERBAR_COLORGRADIENTANGLE

Angle [°]

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Cette propriété est uniquement effective si vous avez sélectionné le paramètre Dégradé de couleurs pour la propriété Style d'affichage.

Définit l'angle de déploiement du dégradé de couleurs. Le point défini dans la propriété Décalage [%] est utilisé en tant que point de départ.

Minimum : 0

Maximum : 360

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ColorGradientAngleV


ID_PROP_SKIN_VERBAR_COLORGRADIENTOFFSET

Décalage [%]

Définit la distance du dégradé de couleurs depuis le centre de la barre de défilement verticale jusqu'au bord gauche ou droit, en pourcentage. 0 signifie le centre de la barre de défilement verticale, 100 signifie le bord droit de la barre de défilement verticale et -100 signifie le bord gauche de la barre de défilement verticale.

Minimum : -100

Maximum : 100

Par défaut : 0

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ColorGradientOffsetV


ID_PROP_SKIN_VERBAR_GRP

+

Propriétés de la barre de défilement verticale du champ de liste.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SkinVerBar


ID_PROP_SKIN_VERBAR_LIGHTNING

Gradient de couleur

Sélectionnez le type de dégradé de couleurs pour la barre de défilement verticale parmi les options suivantes :

Linéaire : dégradé continu

Point défini : le dégradé commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Starting from a defined point with beams (À partir d'un point défini avec des rayons) : le dégradé avec des rayons commence au niveau d'un point défini et s'étend jusqu'aux bords de l'élément.

Par défaut : Linéaire

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LightningV


ID_PROP_SKIN_VERBAR_PRJLEFTBMP

Flêche du haut de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le haut de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BitmapLeftV


ID_PROP_SKIN_VERBAR_PRJRIGHTBMP

Flêche du bas de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la flèche de défilement vers le bas de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BitmapRightV


ID_PROP_SKIN_VERBAR_PRJSPAN

Fichier graphique d'arrière plan

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché en arrière-plan de la barre de défilement verticale du champ de liste dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BitmapSpanV


ID_PROP_SKIN_VERBAR_PRJTHUMBBMP

Boite de l'ascenceur

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Sélectionnez un fichier graphique qui sera affiché dans le champ de liste pour la case de défilement de la barre de défilement verticale dans le Runtime. Ce fichier graphique est utilisé si vous sélectionnez Fichier graphique pour la propriété Style d'affichage.

Par défaut : aucun fichier

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BitmapThumbV


ID_PROP_SKIN_VERBAR_STYLE

Style d'affichage

Disponible uniquement si vous avez activé la propriété Paramètres du graphique étendu.

Définissez l'apparence de l'en-tête du champ de liste. Sélectionnez l'une des options suivantes :

Dégradé de couleurs : utilise un dégradé de couleurs spécial pour l'en-tête. Vous pouvez personnaliser le dégradé de couleurs à l'aide des propriétés Remplissage, Couleur du dégradé, Gradient de couleur, Décalage [%] et Angle [°].

Fichier graphique : utilise le fichier graphique sélectionné pour les zones individuelles. Si aucun fichier graphique n'a été sélectionné, l'affichage Dégradé de couleurs est utilisé.

Par défaut : utilise le paramètre standard pour l'en-tête. Vous pouvez uniquement modifier la police de caractères et la couleur du texte à l'aide des paramètres correspondants.

Par défaut : Standard.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BarStyleV


ID_PROP_SKIN_VERBAR_THUMBSIZE

Largeur boite de l'ascenceur [Pixels]

Définit la largeur en pixels de la case de défilement de la barre de défilement verticale. Ajustez la valeur en fonction de vos préférences.

Par défaut : 20.

Plus de détails dans l'aide en ligne de la liste AML.

Plus de détails dans l'aide en ligne de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne du module ETM.

Plus de détails dans l'aide en ligne du module RGM.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ThumbSizeV


ID_PROP_SYSTEMMODEL_GROUP_NAME

Nom

Nom du groupe. Attribué automatiquement avec une numérotation consécutive lors de la création, et peut être modifié à volonté.

Par défaut : GroupX (X représente un nombre défini de manière consécutive)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_PROP_SYSTEMMODEL_ROOT_NAME

Nom

Nom du modèle. Attribué automatiquement avec une numérotation consécutive lors de la création, et peut être modifié à volonté.

Par défaut : ModelX (X représente un nombre défini de manière consécutive)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_PROP_VIEWLIMITFROMVAR

Appliquer la plage de visualisation à partir de la variable

Reprend la zone d'affichage de la variable liée. Vous pouvez actualiser cet affichage durant le remplacement par une variable comportant une plage de valeurs différente.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ViewLimitFromVar


ID_PROP_WPFELEM_CONFIG_LINKS

Configuration

Ouvre la boîte de dialogue de configuration du fichier XAML. Les propriétés, événements, transformations et niveaux d'autorisation peuvent être attribués.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LinksConfig


ID_PROP_WPFELEM_XAMLFILE

Fichier XAML

Sélection du fichier XAML pour l'élément WPF. Cliquez sur .... Ouvre la boite de dialogue de sélection. Vous devez déjà avoir créé le fichier dans la partie Fichier / Graphiques dans le gestionnaire de projet ou l'avoir sélectionné dans la boîte de dialogue à l'aide du symbole Ajouter fichier.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FileName


ID_PUNCHFRAME_ALPHA

Transparence [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit la transparence de l'ombre entre 0 et 100 %.

0 : opaque.

100 : transparente

Par défaut : 60

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PunchFrameAlpha


ID_PUNCHFRAME_ANGLE

Angle [°]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Angle (en degrés) de projection de l'ombre.

Valeurs : 0° à 359°. 0° désigne le côté droit de l'objet (à 3 heures). Cette fonction opère dans le sens antihoraire.

Par défaut : 0°

Cliquez sur le bouton ... pour afficher une réglette.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PunchFrameAngle


ID_PUNCHFRAME_SIZE

Taille de l'ombre [%]

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Valeurs en pixels définissant la taille de l'ombre de manière indépendante.

La plage disponible dépend de la résolution du moniteur.

Valeur positive : l'ombre est plus grande que l'élément

Valeur négative : l'ombre est plus petite que l'élément

Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PunchFrameSize


ID_PUNCHFRAME_SOFTFOCUS

Flou

Disponible uniquement lorsque vous sélectionnez les ombres pour la propriété Type de cadre et activez la propriété de projet Qualité graphique.

Définit le niveau de diffusion, en pixels, utilisé pour l'effet de flou. Plus cette valeur est élevée, plus la transition vers l'ombre est douce. Cliquez sur le bouton ... pour afficher une réglette qui vous permet de définir la valeur.

Valeurs : 0 à 50

0 : pas de flou

50 : flou maximum

Par défaut : 0

Attention : si une valeur est incorrectement définie sur 0, le calcul de l'effet peut affecter les performances du système. Cela s'avère d'autant plus vrai dans l'éditeur, notamment lors du déplacement de l'ombre ou du positionnement d'autres objets sur l'ombre. Dans le Runtime, chaque synoptique est affecté.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PunchFrameSoftFocus


ID_PUNCHFRAME_TYPE

Type de cadre

Liste déroulante utilisée pour la sélection du type de cadre. Les choix disponibles sont les suivants :

Pas de cadre ou d'ombre : aucun cadre ou ombre n'est affiché(e).
Cadre : l'élément peut être affiché avec un cadre.
Ombre : l'élément peut être affiché avec une ombre. (Disponible uniquement si vous avez activé la propriété Qualité graphique du projet).
Exception : les éléments Texte statique et Élément d'état peuvent recevoir des ombres.

Par défaut : Pas de cadre/ombre

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PunchFrameType


ID_PWVALID

Mot de passe - période de validité [j]

Saisissez une période (en jours) définissant la validité d'un mot de passe. Après expiration du délai d'attente, vous devez saisir un nouveau mot de passe.
Minimum : le mot de passe n'expire jamais ; il n'est pas nécessaire de le renouveler. Pour ce paramètre, la valeur 2147483647 est écrite dans la variable du driver du système Days until password expires (Jours avant expiration du mot de passe).
Maximum : 4294967295.
Par défaut : 0.
Attention : Pour les productions conformes aux directives de la FDA, la valeur 0 n'est pas autorisée, car la réglementation de la FDA nécessite la modification cyclique du mot de passe.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PWValid


ID_READWRITE

Ecriture/lecture externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.
Actif : la valeur de la variable ne peut pas être modifiée dans zenon Logic. La définition de la variable ne peut pas être modifiée dans zenon Logic.
Inactif : La variable ne peut pas être modifiée dans zenon Logic.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ReadWrite


ID_RECIPE_GRP1

Général

Propriétés générales de la recette.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_RECIPE_PW

Groupe autorisation

Niveaux d'autorisation requis pour modifier la recette dans le Runtime.
Un utilisateur peut uniquement modifier les valeurs de la recette (lecture, édition manuelle, suppression) si elles sont conformes au niveau d'autorisation du mot de passe défini.
Minimum : 0.
Maximum : 127.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PasswordLevel


ID_REMA_PROP1

Nom

Nom unique de la matrice de réaction.

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_REMA_PROP2

Type

Type de matrice de réaction :
Binaire : Évaluation d'états discrets (orienté bits)
Évaluation étendue de variables 32 bits ; les 16 premiers bits déterminent la valeur de la variable et sont transmis en tant que valeurs numériques ; reroutage de bits d'état ; fonction spéciale (désactivation de variables si le bit d'état est mis à 1) (Configuration des données de protection - spécifique à SAT uniquement)
Analogique : Évaluation d'états analogiques (orienté valeurs)
Multi-numérique : Évaluation étendue avec routage d'état simultané et fonction spéciale (désactivation de variables lorsque le bit d'état est mis à 1)
Chaîne : classement
Ce type est défini lors de la création d'une nouvelle matrice de réaction, et ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Type


ID_REMA_PROP_GRP0

Général

Propriétés générales de la matrice de réaction.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_REMA_STATES

Configuration

Ouvre la boîte de dialogue de définition des états.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

States


ID_RGM_PROP06

Nom de groupe

Nom du groupe de recettes.

Si vous sélectionnez l'option Fichiers binaires pour la propriété -, seuls les caractères alphanumériques sont autorisés.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_RGM_PROP13

Numéro de recette

Numéro de la recette

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RecipeNumber


ID_RGM_PROP14

Nom de recette

Nom de la recette. Le nom de la recette doit être unique. SI vous sélectionnez l'option Fichiers binaires pour la propriété -, le nom doit uniquement contenir des caractères alphanumériques.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RecipeName


ID_RGM_PROP15

Commentaire 1

Lignes de commentaire 1 de la recette actuelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Comment1


ID_RGM_PROP16

Commentaire 2

Lignes de commentaire 2 de la recette actuelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Comment2


ID_RGM_PROP21

Ecrire de façon synchrone

Définie au niveau du groupe de recettes pour toutes les recettes de ce groupe ; peut être remplacée au niveau de chaque recette.

Actif : Lors de l'écriture d'une recette, tous les éléments de contrôle sont verrouillés sur le synoptique de Gestionnaire de groupes de recettes jusqu'à ce que le driver confirme que toutes les valeurs ont été écrites avec succès ou que le Timeout [ms] défini a expiré.

Inactive : Les valeurs de la recette sont écrites sans attendre de confirmation. Les éléments de contrôle peuvent être immédiatement réutilisés. La confirmation du driver est faite sur le bit d'état WR-SUC de chaque variable : il est mis à 1 lorsque la valeur a été écrite avec succès.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WriteSync


ID_RGM_PROP22

Timeout [ms]

Définie au niveau du groupe de recettes pour toutes les recettes de ce groupe ; peut être remplacée au niveau de chaque recette.

Si vous avez activé la propriété Ecrire de façon synchrone, vous pouvez saisir un délai d'attente ici. Les éléments de contrôle du Gestionnaire de groupes de recettes peuvent être actionnés une dernière fois après ce délai. Si la valeur 0 est saisie dans Délai d'attente, zenon calcule le délai d'attente avant expiration comme suit : 30000+(100*nombre de points de données)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WriteTimeout


ID_RGM_PROP23

Groupe autorisation

Sélection du niveau d'autorisation souhaité dans la liste déroulante.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PWLevel


ID_RGM_PROP26

Min

Disponible uniquement si la propriété Plages de la variable n'a pas été activée.

Valeur minimum de la variable.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Min


ID_RGM_PROP27

Max

Disponible uniquement si la propriété Plages de la variable n'a pas été activée.

Valeur maximum de la variable.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Max


ID_SAP_ADDITIONAL_GRP

Messages

Utilisez les propriétés suivantes pour définir les informations supplémentaires qui seront incluses dans un rapport de défaillance.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SapAdditional


ID_SAP_DEBUG_GRP

Erreur de recherche

Les propriétés suivantes vous permettent de tester la connexion entre zenon et le système SAP.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SapDebug


ID_SAP_FIELD_GRP

Champs de structure

Paramètres de configuration des données d'un champ structuré pour le système ERP SAP.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SapStructField


ID_SAP_FUNC_ACTIVITY_GRP

Suivi de l'activité

Contient des propriétés dédiées à la surveillance de l'activité.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SapFuncActivity


ID_SAP_FUNC_ACTIVITY_VAR

Activité

Variable numérique utilisée pour surveiller l'activité de la fonction SAP. Elle peut par exemple être utilisée pour configurer les verrouillages, afin d'éviter les chevauchements de cellules.

Valeurs possibles : 0, 1, 2

0 = inactif

1 = mise en attente dans la file d'attente d'appels

2 = appel actif

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ActivityVar


ID_SAP_FUNC_ERROR_CODE_VAR

Code d'erreur

Variable numérique pour le code d'erreur de l'appel de fonction.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ErrorVar


ID_SAP_FUNC_ERROR_GRP

Message d'erreur

Contient des propriétés dédiées à la configuration des messages d'erreur pour les fonctions SAP.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SapFuncError


ID_SAP_FUNC_ERROR_TEXT_VAR

Texte d'erreur

Variable de chaîne utilisée pour fournir une courte description de l'erreur qui s'est produite dernièrement.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ErrorTextVar


ID_SAP_FUNC_INFO

Information

Texte court librement définissable. Utilisé uniquement à des fins d'information. Le cas échéant, il est défini lorsqu'une fonction SAP est créée via l'assistant, conformément à la description de l'interface dans le système SAP.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Info


ID_SAP_FUNC_LABEL

Nom fonction

Intitulé libre pour la fonction SAP.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Label


ID_SAP_FUNC_LAST_ERROR_VAR

Description d'erreur

Variable de chaîne utilisée pour fournir une description détaillée de la dernière erreur.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LastErrorVar


ID_SAP_FUNC_NAME

Bloc fonctionnel RFC

Nom du bloc fonctionnel appelé dans le système SAP.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_SAP_FUNCTION_GRP

Fonction SAP

Contient des propriétés utilisées pour la configuration de base de la fonction SAP.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SapFunctions


ID_SAP_LOGON_GRP

Login SAP

Utilisez les propriétés suivantes pour définir les informations concernant le client et l'identifiant utilisateur employé aux fins de la connexion.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SapLogon


ID_SAP_NOTIFICATION_GRP

Rapport de maintenance

Utilisez les propriétés suivantes pour définir les informations supplémentaires qui seront incluses dans les rapports de défaillance.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SapNotification


ID_SAP_PAR_TAB_INFO

Information

Texte court librement définissable. Utilisé uniquement à des fins d'information et, le cas échéant, défini lorsqu'une fonction SAP est créée via l'assistant, conformément à la description de l'interface dans le système SAP.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Info


ID_SAP_PAR_TAB_NAME

Nom dans le système SAP

Nom du paramètre, de la table ou du champ structuré dans le système SAP.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_SAP_PAR_TAB_OPTIONAL

Optionel

Indique si le paramètre ou la table est facultatif. Les paramètres et les tables facultatifs peuvent être omis lors de l'appel d'un bloc fonctionnel.

Utilisé uniquement à des fins d'information, défini lorsqu'une fonction SAP est créée via l'assistant, conformément à la description de l'interface dans le système SAP.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Optional


ID_SAP_PAR_TAB_TYPE

Type

Type de paramètre. Dépendant du type de fonction. Utilisé uniquement à des fins d'information, défini lorsqu'une fonction SAP est créée via l'assistant, conformément à la description de l'interface dans le système SAP.

Importation : la valeur du paramètre est transférée vers le bloc fonctionnel lors de l'appel.

Exporter : la valeur du paramètre est renvoyée par l'appel de la fonction.

Changement : paramètres d'entrée et de retour.

Table : table des types de fonctions. Cette table ne peut pas être modifiée.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Type


ID_SAP_PAR_TAB_VARIABLE

Variable

Variable zenon liée au paramètre, à la table ou au champ structuré. Pour les tables, il s'agit normalement d'une variable de tableau.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable


ID_SAP_PARAMETER_GRP

Paramètre

Contient des propriétés dédiées à la configuration des paramètres pour les fonctions SAP.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SapParameter


ID_SAP_PROP_CLIENT

Client

Numéro ou nom du client sur le système SAP utilisé aux fins de la connexion.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapClient


ID_SAP_PROP_END_TIME

Jusqu'à

Heure à laquelle le planning sera exécuté.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EndTime


ID_SAP_PROP_EQUIPMENT

Position fonct./équipement

Spécifie si le système SAP traite l'intitulé de ressource de la variable reçue sous forme de numéro désignant un emplacement fonctionnel ou sous forme de numéro d'équipement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapEquipment


ID_SAP_PROP_EVERY_DAY

Chaque jour

Le planning sera exécuté tous les jours. Si cette propriété est active, les propriétés des jours individuels seront inactives.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EveryDay


ID_SAP_PROP_FRIDAY

Vendredi

Le planning sera exécuté tous les vendredis. Active uniquement si l'option "Tous les jours" est inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Friday


ID_SAP_PROP_INTERVAL

Tout

Intervalle durant lequel le planning sera exécuté. Si vous ne spécifiez pas une heure de fin, le planning sera exécuté jusqu'à minuit pour chaque jour sélectionné.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Interval


ID_SAP_PROP_LANGUAGE

Langue

Langue de l'utilisateur. La langue configurée détermine le traitement des trémas, des caractères spéciaux etc. par le système SAP.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapLanguage


ID_SAP_PROP_MESSBELEG

Créer le 'measurement reading'

Actif : Crée un document de mesure transmis au système SAP.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapMeasDoc


ID_SAP_PROP_MONDAY

Lundi

Le planning sera exécuté tous les lundis. Active uniquement si l'option "Tous les jours" est inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Monday


ID_SAP_PROP_NOTIFICATION_TYPE

Type de notification

L'un des types de notification prédéfinis proposés par le système SAP. La réaction du système SAP à un rapport de défaillance dépend du type de notification configuré.

Si vous ne spécifiez pas un type de notification, le système SAP ne pourra pas créer de rapport de défaillance et renverra un message d'erreur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapNotificationType


ID_SAP_PROP_PASSWORD

Mot de passe

Mot de passe de l'utilisateur du système SAP.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapPassword


ID_SAP_PROP_PLANT

Usine

Site de maintenance mentionné dans les rapports de défaillance. Si vous ne spécifiez pas un site de maintenance, le système SAP utilisera par défaut une partie du système (emplacement technique, équipement) pour laquelle le rapport de défaillance a été généré.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapPlant


ID_SAP_PROP_REPORTER

Détecteur

Le rapporteur est inclus dans les rapports de défaillance dans le système SAP.

Si vous ne spécifiez pas un rapporteur, le système SAP inclura l'utilisateur actuellement connecté par défaut.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapReporter


ID_SAP_PROP_ROUTER

Paramètre de connexion

Adresse IP ou nom du routeur SAP utilisé pour la connexion. Si la connexion est établie via plusieurs routeurs SAP ("sauts"), vous devez spécifier le routeur SAP le plus proche du système de contrôle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapRouter


ID_SAP_PROP_SATURDAY

Samedi

Le planning sera exécuté tous les samedis. Active uniquement si l'option "Tous les jours" est inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Saturday


ID_SAP_PROP_SERVER

Serveur d'application

Adresse IP ou nom du routeur SAP utilisé pour la connexion.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapServer


ID_SAP_PROP_START_TIME

De/A

Heure de début du planning. Si vous spécifiez 00.00.00 pour l'intervalle et l'heure de début, le planning sera exécuté une fois seulement à l'heure spécifiée, les jours sélectionnés.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StartTime


ID_SAP_PROP_SUNDAY

Dimanche

Le planning sera exécuté tous les dimanches. Active uniquement si l'option "Tous les jours" est inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Sunday


ID_SAP_PROP_SYSTEM

ID système

Numéro de système du système SAP auquel vous voulez vous connecter (différents systèmes SAP avec différents identifiants système peuvent s'exécuter sur le même serveur d'application).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapSystemId


ID_SAP_PROP_TEST

Tester la connexion

Tente d'établir une connexion au système SAP avec les paramètres spécifiés. Si une connexion ne peut pas être établie, une boîte de dialogue contenant un message d'erreur détaillé sera affichée à l'écran.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapTest


ID_SAP_PROP_THURSDAY

Jeudi

Le planning sera exécuté tous les jeudis. Active uniquement si l'option "Tous les jours" est inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Thursday


ID_SAP_PROP_TRACE

Enregistrements (log)

Contrôle le processus de journalisation des communications avec le système SAP.

Active : Les communications entre zenon sont consignées.

Par défaut : Inactive

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapTrace


ID_SAP_PROP_TUESDAY

Mardi

Le planning sera exécuté tous les mardis. Active uniquement si l'option "Tous les jours" est inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Tuesday


ID_SAP_PROP_USER

Utilisateur

Nom de l'utilisateur du système SAP.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapUser


ID_SAP_PROP_VAR_NAME

Nom

Nom des variables sélectionnées pour le planning sélectionné.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapVarName


ID_SAP_PROP_VAR_TAG

Identification

Identifiant des variables sélectionnées pour le planning sélectionné.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapVarTag


ID_SAP_PROP_VAR_TYPE

Type

Type des variables sélectionnées pour le planning sélectionné.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapVarType


ID_SAP_PROP_VAR_UNIT

Unité

Unité des variables sélectionnées pour le planning sélectionné.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SapVarUnit


ID_SAP_PROP_WEDNESDAY

Mercredi

Le planning sera exécuté tous les mercredis. Active uniquement si l'option "Tous les jours" est inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Wednesday


ID_SAP_SCHEDULE_DATE_GRP

Jour de la semaine

Utilisez les propriétés suivantes pour définir le(s) jour(s) d'exécution du planning.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ScheduleDate


ID_SAP_SCHEDULE_MEAS_DOC_GRP

'Measurement reading'

Utilisez les propriétés suivantes pour définir le rapporteur qui sera inclus dans les rapports de défaillance.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ScheduleMeasDoc


ID_SAP_SCHEDULE_TIME_GRP

Heure

Utilisez les propriétés suivantes pour définir l'heure d'exécution du planning.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ScheduleTime


ID_SAP_SYSTEM_GRP

Système ERP SAP

Utilisez les propriétés suivantes pour spécifier les noms ou les numéros du serveur SAP, du routeur SAP et du système SAP qui seront utilisés pour établir une connexion.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SapSystem


ID_SAP_TAB_ROWCOUNT_VAR

Nombre de lignes

Variables numériques correspondant au nombre de lignes devant être extraites de la variable liée à la table ou du nombre de lignes lues lors de l'appel d'une fonction SAP.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RowCountVar


ID_SAP_TABLE_GRP

Table

Contient des propriétés spécifiques à la table des types de fonctions.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SapTable


ID_SATBEF_PROP1

Mode

Utilisée pour sélectionner la fin souhaitée

Entrée : L'élément de commande sera utilisé pour la saisie de commandes.

Appel de fonction : L'élément de commande sera utilisé pour l'exécution de fonctions.
Cette option est uniquement fournie pour des raisons de compatibilité avec des versions antérieures, et ne doit plus être utilisée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Mode


ID_SATBEF_PROP2

Synoptique

Spécifie le synoptique qui sera ouvert lors de l'activation de l'élément dans le Runtime.

Seuls les synoptiques de type Commande seront disponibles.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PictSwitch_Dlg


ID_SATBEF_PROP3

Paramètre

Ouvre la boîte de dialogue de paramètres de l'élément de commande.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PictFilter_Dlg


ID_SATBEF_PROP4

Fonction

Spécifie la fonction devant être exécutée pour le mode : Fonction .
Plus utilisé. Conservée uniquement pour raisons de compatibilité avec les versions précédentes.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Function


ID_SATBEF_PROP5

Groupe d'activation

Spécifies le groupe d'activation.

Uniquement nécessaire en association avec la fonction de présélection.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ActivationGroup


ID_SATBEF_PROP6

Toujours sélectionnable

Actif : sélection de commande directement via un clic sur le bouton gauche de la souris.

Inactif : la sélection de commandes est uniquement possible après sélection de la fonction correspondante (Fonctions -> Application -> Activation des commandes).
Lorsque les commandes sont activées dans le Runtime, une bordure est affichée autour de tous les éléments configurés de cette manière.

Crée une nouvelle action de commande via un clic sur le bouton droit de la souris -> Nouvelle action.

Attention : disponible uniquement dans le volet gauche de la boîte de dialogue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlwaysSelectable


ID_SATBEF_PROP_GRP1

Action

Propriétés des actions de commande

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Action


ID_SAVE_ALWAYS_BIN_AML

Sauvegarder buffer circulaire de manière spontanée

Disponible uniquement si la propriété Gestion d'alarmes active est active.
Actif : chaque modification des données dans la liste d'alarmes déclenche l'enregistrement des données (alarm.bin).
Remarque : dans ce cas, la totalité de la mémoire circulaire est enregistrée à chaque enregistrement. Ceci peut exercer une charge significative sur le système, particulièrement dans le cas des lecteurs Flash.
Inactif : les données de la liste d'alarmes (alarm.bin) sont uniquement enregistrées lors de l'arrêt du Runtime ou de l'exécution de la fonction d'enregistrement de la mémoire circulaire des listes AML et CEL. Cette option est recommandée en cas de baisse des performances. Les données historiques (*.aml) peuvent être enregistrées indépendamment à chaque modification de la valeur.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SaveAmlStack


ID_SAVE_ALWAYS_BIN_CEL

Sauvegarder buffer circulaire de manière spontanée

Actif : chaque modification des données de la liste chronologique d'événements déclenche l'enregistrement des données (cel.bin).
Remarque : dans ce cas, la totalité de la mémoire circulaire est enregistrée à chaque enregistrement. Ceci peut exercer une charge significative sur le système, particulièrement dans le cas des lecteurs Flash.
Inactif : les données de la liste chronologique d'événements (cel.bin) sont uniquement enregistrées lors de l'arrêt du Runtime ou de l'exécution de la fonction d'enregistrement de la mémoire circulaire des listes AML et CEL. Cette option est recommandée en cas de baisse des performances. Les données historiques (*.cel) peuvent être enregistrées indépendamment à chaque modification de la valeur.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SaveCelStack


ID_SCREEN_GRP_API

Interface de programmation

Groupe de configuration de l'accès API.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

API


ID_SCREEN_GRP_MULTITOUCH_POINTER_MSG

Evénements Multi-Touche

Propriétés d'évaluation des événements MultiTouch.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PointerMessages


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE

Cross slide

Actif : Détection du paramètre Cross Slide défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlide


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_EXACT

Cross slide exact

Actif : Détection du paramètre Cross Slide Exact défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideExact


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_HORIZONTAL

Cross slide horizontal

Actif : Détection du paramètre Cross Slide Horizontal défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideHorizontal


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_REARRANGE

Cross slide rearrange

Actif : Détection du paramètre Cross Slide Rearrange défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideRearrange


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SELECT

Cross slide select

Actif : Détection du paramètre Cross Slide Select défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideSelect


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_CROSS_SLIDE_SPEED_BUMP

Cross slide speed bump

Actif : Détection du paramètre Cross Slide Speed Bump défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_CrossSlideSpeedBump


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_DRAG

Drag

Actif : Détection du paramètre Drag défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_Drag


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD

Hold

Actif : Détection du paramètre Hold défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_Hold


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_HOLD_MOUSE

Hold (mouse)

Actif : Détection du paramètre Hold (Mouse) défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_HoldMouse


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION

Manipulation

Actif : Détection du paramètre Manipulation défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_Manipulation


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_EXACT

Exact

Actif : Détection du paramètre Exact défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_Exact


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_X

Rails X

Actif : Détection du paramètre Rails X défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_RailsX


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_RAILS_Y

Rails Y

Actif : Détection du paramètre Rails Y défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_RailsY


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION

Rotation

Actif : Détection du paramètre Rotation défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_Rotation


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_ROTATION_INERTIA

Inertie rotation

Actif : Détection du paramètre Rotation Inertia défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_RotationInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING

Echelle

Actif : Détection du paramètre Scaling défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_Scaling


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_SCALING_INERTIA

Inertie redimensionnement

Actif : Détection du paramètre Scaling Inertia défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_ScalingInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_INERTIA

Inertie translation

Actif : Détection du paramètre Translation Inertia défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_TranslationInertia


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_X

Translation X

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_TranslationX


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_MANIPULATION_TRANSLATION_Y

Translation Y

Actif : Détection du paramètre Translation X défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_TranslationY


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_SECONDARY_TAP

Secondary tap

Actif : Détection du paramètre Secondary Tap défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_SecondaryTap


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP

Tap

Actif : Détection du paramètre Tap défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_Tap


ID_SCREEN_INTERACTION_CONFIGURATION_FLAG_TAP_DOUBLE

Tap double

Actif : Détection du paramètre Tap Double défini.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Gestures_TapDouble


ID_SCREEN_INTERACTION_CONFIGURATION_GRP

Evaluation de geste VSTA

Propriétés de détection des gestes dans les synoptiques utilisant VSTA.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureRecognition


ID_SCREEN_PROP_INTERACTION_ACTIVE

Reconnaissance de geste active

Active l'évaluation des gestes. Les gestes sont définis à l'aide d'autres propriétés.

Uniquement disponible si, dans le groupe Intéraction des propriétés du projet, la propriété Reconnaissance Windows 8 a été définie.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureRecognitionActive


ID_SCREEN_PROP_NCPOINTERDOWN_MSG

NCPointerDown

Actif : L'événement NCPointerDown n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NCPointerDown


ID_SCREEN_PROP_NCPOINTERUP_MSG

NCPointerUp

Actif : L'événement NCPointerUp n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NCPointerUp


ID_SCREEN_PROP_NCPOINTERUPDATE_MSG

NCPointerUpdate

Actif : L'événement NCPointerUpdate n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NCPointerUpdate


ID_SCREEN_PROP_POINTERACTIVATE_MSG

PointerActivate

Actif : L'événement PointerActivate n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PointerActivate


ID_SCREEN_PROP_POINTERCAPTURECHANGED_MSG

PointerCaptureChanged

Actif : L'événement PointerCaptureChanged n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PointerCaptureChanged


ID_SCREEN_PROP_POINTERDEVICECHANGE_MSG

PointerDeviceChange

Actif : L'événement PointerDeviceChange n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PointerDeviceChange


ID_SCREEN_PROP_POINTERDEVICEINRANGE_MSG

PointerDeviceInRange

Actif : L'événement PointerDeviceInRange n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PointerDeviceInRange


ID_SCREEN_PROP_POINTERDEVICEOUTOFRANGE_MSG

PointerDeviceOutOfRange

Actif : L'événement PointerDeviceOutOfRange n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PointerDeviceOutOfRange


ID_SCREEN_PROP_POINTERDOWN_MSG

PointerDown

Actif : L'événement PointerDown n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PointerDown


ID_SCREEN_PROP_POINTERENTER_MSG

PointerEnter

Actif : L'événement PointerEnter n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PointerEnter


ID_SCREEN_PROP_POINTERHWHEEL_MSG

PointerHWheel

Actif : L'événement PointerHWheel n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PointerHWheel


ID_SCREEN_PROP_POINTERLEAVE_MSG

PointerLeave

Actif : L'événement PointerLeave n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PointerLeave


ID_SCREEN_PROP_POINTERMESSAGE_HANDLING

Routage événement données brutes

Uniquement disponible si la propriété Reconnaissance des propriétés de projet pour l'élément Intéraction est définie sur Windows 8.

Sélection des événements à évaluer dans une liste déroulante :

  • All events (Tous les événements) : tous les événements sont évalués.
  • Deactivated (Désactivée) : l'évaluation est désactivée.
  • Only selected events (Uniquement les événements sélectionnés) : seuls les événements activés par le biais de cases à cocher sont évalués.

Par défaut : Désactivée

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RawEventRouting


ID_SCREEN_PROP_POINTERUP_MSG

PointerUp

Actif : L'événement PointerUp n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PointerUp


ID_SCREEN_PROP_POINTERUPDATE_MSG

PointerUpdate

Actif : L'événement PointerUpdate n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PointerUpdate


ID_SCREEN_PROP_POINTERWHEEL_MSG

PointerWheel

Actif : L'événement PointerWheel n'est pas évalué.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PointerWheel


ID_SCRIPT_DEL

<Supprimer script>

Le script est supprimé.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DeleteScript


ID_SCRIPT_GRP0

Général

Paramètres généraux du script.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_SCRIPT_IMEX_NAME

Nom

Nom unique de la recette.
Par défaut : Recette_x (x représente un nombre défini de manière consécutive).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RecipeName


ID_SCRIPT_NAME

Nom

Nom unique du script.
Par défaut : Script_x (x représente un nombre défini de manière consécutive).
Le nom peut être choisi librement, mais il existe pour les scripts des noms prédéfinis qui sont appliqués automatiquement. Ces noms peuvent être sélectionnés ou saisis.
AUTOSTART : Le script est exécuté automatiquement au démarrage du Runtime (poste de travail indépendant ou serveur) et après l’activation de l’affichage de départ (sur le poste de travail indépendant ou le serveur) si le projet est le projet de démarrage du Runtime.
AUTOEND : le script est exécuté automatiquement lors de l'arrêt du Runtime (poste de travail indépendant ou serveur) si le projet est le projet de démarrage du Runtime.
Attention : Les macros VBA devant être exécutées dans "AUTO_END" doivent être appelées via Project.Inactive. Il n'est pas nécessaire de spécifier les archives cycliques dans le script AUTOEND.
AUTOSTART_CLIENT : le script est exécuté automatiquement au démarrage du Runtime sur un client et avant l’activation de l’affichage de départ sur le client si le projet est le projet de démarrage du Runtime.
AUTOEND_CLIENT : le script est exécuté automatiquement lors de l'arrêt du Runtime sur un client si le projet est le projet de démarrage du Runtime.
AUTOSTART_SRVPRJ : le script est exécuté automatiquement au démarrage du Runtime sur le PC utilisé comme serveur du projet, avant l’activation de l'affichage de départ si le projet n’est pas le projet de démarrage du Runtime.
AUTOEND_SRVPRJ : le script est exécuté automatiquement lors de l'arrêt du Runtime sur le PC utilisé en tant que serveur du projet si le projet n'est pas le projet de démarrage du Runtime.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Conseil – Projets multi-utilisateurs : lorsque vous modifiez le nom d'un script, les paramètres des fonctions liées sont automatiquement ajustés après une demande de confirmation pour Permettre les modifications. Si le nom a été modifié avec succès, le script est modifié.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_SCRIPT_NEW

<Nouveau script>

Un nouveau script portant le nom par défaut Script_X (où X correspond à la numérotation successive).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NewScript


ID_SCRIPT_SYNCWRITE

Ecrire de façon synchrone

Actif : L'exécution d'une fonction avec cette recette est uniquement interrompue si une réponse positive résulte de l'action d'écriture ou si la période d'attente définie a expiré.
Dans les scripts, ceci permet de s'assurer que la fonction suivante n'est pas exécutée tant que celle-ci n'est pas terminée.
La confirmation peut aussi être évaluée par le bit d'état WR-SUC.
Inactif : N'attend pas la confirmation d'écriture.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SyncWrite


ID_SCRIPT_SYNCWRITE_TIMEOUT

Timeout [ms]

Un délai d'attente peut être saisi ici si la propriété Écriture synchrone a été activée.
Si une valeur de 0 est saisie ici, le système de contrôle calcule le délai d'attente de la façon suivante :
3000+(100*nombre de points de données)
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SyncWriteTimeout


ID_SEA_PROP_ABBRUCH

Annuler

État de la variable d'annulation à laquelle la séquence de commutation sera annulée.

0 ... OFF

1 ... 1

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Cancel


ID_SEA_PROP_ABBRUCH_PV

Variable d'annulation

La séquence de commutation active peut être annulée via la variable sélectionnée.

Variable de procédé ou de marqueur (recommandée : BOOL, pilote interne).

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CancelVariable


ID_SEA_PROP_DIREKT

Directement exécutable

La séquence de commutation démarre par une fonction (Application->Réinitialisation automatique de la séquence de commutation).

Si aucune erreur ne se produit, elle s'exécute automatiquement.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DirectExecute


ID_SEA_PROP_GRP0

Général

Paramètres de la séquence de commutation

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_SEA_PROP_LERNEN

Autoriser l'apprentissage

La séquence de commutation peut enregistrer les actions de commutation dans le Runtime.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LearningEnabled


ID_SEA_PROP_NAME

Désignation

Nom unique de la séquence de commutation.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_SEA_PROP_VAR

Variable

Variable (obligatoire) sur laquelle seront transférés les états de la séquence de commutation.
Variable de marqueur (recommandée : DWORD, driver interne).

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable


ID_SIZEINBYTE

Dimension en octet

Affichage de la taille totale de la variable de structure, en octets.
Cette propriété est uniquement fournie à titre d'information et ne peut pas être modifiée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SizeInByte


ID_SPRECON870_COUNTER_NODE

-

Propriétés du groupe de compteurs.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SPRECON870_Counters


ID_SPRECON870_COUNTERACTIVE

-

Disponible uniquement si un groupe a été créé dans la configuration du driver.

Actif : Le traitement du compteur est utilisé par le driver.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SPRECON870_CounterActive


ID_SPRECON870_COUNTERGROUP

-

Disponible uniquement si la propriété - est active.

Nom permettant d'identifier le groupe de compteurs, comme défini dans le driver.

Le comportement de la variable est défini par le biais de l'attribution de la variable à un groupe de compteurs. Le groupe de compteurs représente une sorte de matrice de réaction contrôlant le traitement du compteur (par ex. remplacement d'une valeur absolue par une valeur relative).

Par défaut : < Pas de groupe >

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SPRECON870_CounterGroupID


ID_SPRECON870_MAXCOUNTDIFF

-

Disponible uniquement si la propriété - est active.

Définit l'écart maximal entre deux valeurs de comptage transférées. Le changement maximum fait référence à la valeur normalisée du compteur (calcul de la valeur). En cas de dépassement de la différence maximale entre les valeurs de comptage, le paramètre de la propriété - est exécuté.

Minimum : 0 – désactivé ; le changement de la valeur maximum n'est pas surveillé.

Maximum : 65535

Par défaut : 0

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SPRECON870_MaxCounterDifference


ID_SPRECON870_ONMAXCOUNTDIFF

-

Disponible uniquement si la propriété - est active.

Traitement des valeurs du compteur (relatives/absolues) provoquant une réaction de la fonction de surveillance de -.

Sélectionnez dans la liste déroulante :

- Désactivé

- Définir l'état INVALID : l'état est défini et, si elle est configurée, la propriété - est activée. Ce traitement s'applique également en cas de dépassement du compteur de valeurs absolues. Si l'état d'erreur est déclenché, l'état INVALID est défini et la valeur actuelle du compteur est ignorée. La dernière valeur de compteur reçue est identifiée comme non valide. Les calculs nécessitant une valeur de compteur antérieure ne peuvent être effectués que si deux valeurs de compteur ont été reçues. L'état INVALID est réinitialisé dès qu'une nouvelle valeur de compteur présentant une différence inférieure à la valeur du paramètre défini pour la propriété - est reçue.

Par défaut : Désactivé

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SPRECON870_OnMaxCounterDifference


ID_SPRECON870_ONNOUPDATE

-

Disponible uniquement si la propriété - est active.

Définit le comportement lorsque les valeurs de compteur ne sont pas actualisées dans l'intervalle défini, ou lorsque la fonction de traitement des valeurs de remplacement est activée. Sélectionnez dans la liste déroulante :
- Désactivé les paramètres de la propriété - sont utilisés.

- Définir l'état INVALID : L'état INVALID est défini.

Par défaut : Désactivé

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SPRECON870_OnNoUpdate


ID_SPRECON870_SUBSTITUTE_NODE

-

Propriétés de traitement des valeurs de remplacement. Les propriétés sont utilisées si des propriétés sont définies dans le groupe. Le traitement des valeurs de remplacement concerne toutes les variables du driver.

Attention : si le traitement des valeurs de remplacement est activé dans le driver, aucune stratégie de valeur de remplacement ne peut être développée pour cette variable dans zenon.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SPRECON870_ReplacementHandling


ID_SPRECON870_SUBSTVALUETYPE

-

Sélection du traitement des valeurs de remplacement si la variable possède l'état INALVID ou NT_870. Sélectionnez dans la liste déroulante :

- Désactivé pas de traitement des valeurs de remplacement.

Dernière valeur valide : sélection de la dernière valeur non interrompue. Pour cela, une image de procédé doit être enregistrée à partir de la valeur. Si aucune valeur telle n'est présente, la valeur disponible est utilisée (par ex. 0 + INVALID).

- Use replacement value (Utiliser une valeur de remplacement) : la valeur de la propriété - est écrite dans la variable.

Use replacement variable (Utiliser une variable de remplacement) : la valeur et l'état de la propriété - sont écrites dans la variable.
Exception : si la variable de la valeur de remplacement comporte l'état INVALID ou NT_870, elle n'est remplacée par cette variable, mais la variable d'origine est conservée, ainsi que sa valeur et son état.
Cas spécial de l'état GI : lors d'une interrogation générale, la valeur de remplacement peut ne pas encore être disponible ; une variable peut donc brièvement recevoir l'état INVALID, jusqu'à ce que la valeur de remplacement soit reçue.

Tous les paramètres, excepté Désactivé, définissent le bit d'état ALT_VAL. Dès que la raison justifiant le traitement de la valeur de remplacement (INVALID ou NT_870) disparaît, la variable reprend la valeur de procédé et le bit d'état ALT_VAL est redéfini.

Par défaut : Désactivé

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SPRECON870_ReplacementType


ID_SPRECON870_SUBSTVALUEVAL

-

Valeur devant être écrite dans la variable si vous avez sélectionné l'option Use replacement value (Utiliser une valeur de remplacement) pour la propriété -.

Minimum : 4294967295

Maximum : 0

Par défaut : 0

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SPRECON870_ReplacementValue


ID_SPRECON870_SUBSTVALUEVAR

-

Variable dont la valeur et l'état sont repris si vous avez sélectionné l'option Use replacement value (Utiliser une valeur de remplacement) pour la propriété -. Chaque changement de valeur de la variable de la valeur de remplacement se reflète au niveau de la variable interrompue. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variable.

Attention : Vous pouvez uniquement choisir une variable du même driver. Si vous sélectionnez une variable d'un autre driver dans la boîte de dialogue, la boîte de dialogue est fermée, mais le paramètre n'est pas appliqué.

Par défaut : vide

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SPRECON870_ReplacementVariable


ID_STARTATNEWOFFSET

Chaque type de données démarre avec un nouvel offset

Disponible uniquement si la fonction d'adressage automatique est active.
Actif : Chaque type de données de la variable de structure démarre à un nouvel offset .
Inactif : Les types de données des variables de structure peuvent également être compris dans le même offset.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsStartAtNewOffset


ID_STRATON_1

Nom du projet

Nom du projet zenon Logic. Maximum 15 caractères.

Attention : modifier le nom du projet peut entraîner la perte des liens vers les éléments dynamiques.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_STRATON_2

Dossier projet

Répertoire de travail du projet zenon Logic.

Attention : Cette propriété ne peut pas être modifiée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WorkingFolder


ID_STRATON_3

'Host' cible

Hôte du Runtime (adresse IP ou nom de l'ordinateur) du système cible zenon Logic utilisé pour la connexion à l'espace de travail, par ex. aux fins du débogage en ligne.
Par défaut : localhost.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VMHost


ID_STRATON_4

Port de la cible

Port Runtime du système cible zenon Logic utilisé pour la connexion à l'espace de travail. Ces informations sont destinées à permettre à l'espace de travail de zenon Logic de se connecter au système cible (Runtime de zenon Logic), par ex. aux fins du débogage en ligne.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 1200.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VMPort


ID_STRATON_5

Type de démarrage

Le type de démarrage définit si et comment le Runtime de zenon Logic sera démarré avec le Runtime du système de contrôle.
Démarrage automatique : le Runtime zenon Logic sera démarré avec le Runtime du système de contrôle. Si le Runtime du système de contrôle est arrêté, le Runtime zenon Logic continue à s'exécuter.
Arrêt/démarrage automatique : le Runtime zenon Logic sera démarré avec le Runtime du système de contrôle. Si le Runtime du système de contrôle est arrêté, le Runtime de zenon Logic continue à s'exécuter.
Démarrer manuellement : le Runtime zenon Logic ne sera pas affecté par le démarrage ou l'arrêt du Runtime du système de contrôle. Dans ce cas, le Runtime de zenon Logic doit être démarré manuellement (par ex. à l'aide du module zenon Logic Runtime Manager).
Par défaut : Arrêt / Démarrage automatique

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VMStartTyp


ID_STRATON_6

Poste de démarrage

Cette propriété n'a d'importance que lorsqu'elle est associée aux types de démarrage de Runtime "Démarrage/arrêt autom." et "Démarrage autom.".
Tous les ordinateurs : Dans ce mode, le Runtime de zenon Logic est démarré et arrêté avec le Runtime du système de contrôle sur tous les ordinateurs (serveurs, clients et serveurs redondants) sur lesquels le projet du système de contrôle est chargé.
Serveur : dans ce mode, le Runtime zenon Logic est uniquement démarré (ou démarré et arrêté) sur un serveur de système de contrôle. Sur les clients et les serveurs redondants, le Runtime de zenon Logic n'est pas démarré.
Serveur et redondant : dans ce mode, le Runtime zenon Logic est uniquement démarré (ou démarré et arrêté) sur un serveur de système de contrôle et le serveur redondant. Le Runtime de zenon Logic n'est pas démarré sur les clients.
Par défaut : tous les ordinateurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VMStartArea


ID_Syskron_LDS_FKT_RD

-

Définissez la fonction d'accès en lecture. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de fonctions d'accès. Vous pouvez également saisir le nom de la fonction d'accès dans la zone de texte.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Syskron_LDS_FKT_RD


ID_Syskron_LDS_FKT_WR

-

Définissez la fonction d'accès en écriture. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de fonctions d'accès. Vous pouvez également saisir le nom de la fonction d'accès dans la zone de texte.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Syskron_LDS_FKT_WR


ID_Syskron_LDS_PARAM_RD

-

Définissez tous les paramètres de la fonction. Cliquez sur le bouton pour ouvrir la boîte de dialogue et saisir les paramètres qui seront transmis à la fonction pour être lus durant le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Syskron_LDS_PARAM_RD


ID_Syskron_LDS_PARAM_WR

-

Définissez tous les paramètres de la fonction. Cliquez sur le bouton pour ouvrir la boîte de dialogue et saisir les paramètres qui seront transmis à la fonction pour être écrits durant le Runtime. Le dernier paramètre est toujours la valeur prescrite envoyée par zenon.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Syskron_LDS_PARAM_WR


ID_SYSVAR_INHALT

Type

Définition du type de la variable système. Sélectionnez le projet dans la liste déroulante.
Le contenu peut uniquement être modifié s'il n'existe encore aucune variable possédant le nouveau type. Par exemple : Vous ne pouvez créer qu'une variable Serveur actuel par projet.

Attention : Si vous modifiez le type, le nom de la variable et peut-être également le type de données seront également modifiés. N'oubliez pas que l'utilisation de la variable dans des éléments dynamiques peut nécessiter que vous ajustiez la plage d'affichage ou le nom de la variable dans VBA/VSTA.

La liste déroulante restera vide pour les variables de pilotes système définies par l'utilisateur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Inhalt


ID_SYSVAR_THEMA

Sujet

Groupe logique de la variable système.

La liste déroulante restera vide pour les variables de pilotes système définies par l'utilisateur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Thema


ID_TEMPLATE_PROP1

Nom

Nom unique du gabarit.
Par défaut : Gabarit_x (x représente un nombre défini de manière consécutive).
Maximum : 28 caractères dans un projet, 27 caractères dans un projet global.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TemplateName


ID_TEMPLATE_PROP2

Haut [pixels]

Coordonnée Y du coin supérieur gauche du modèle, en pixels (selon la résolution définie).
Minimum : -2147483648.
Maximum : 2147483647.
Par défaut : 0.

Attention : Nous déconseillons de définir des gabarits mesurant plus de 32 000 x 32 000 pixels, afin d'éviter les effets de flou.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PosTop


ID_TEMPLATE_PROP3

Gauche [pixels]

Coordonnée X du coin supérieur gauche du modèle, en pixels (selon la résolution définie).
Minimum : -2147483648.
Maximum : 2147483647.
Par défaut : 0.

Attention : Nous déconseillons de définir des gabarits mesurant plus de 32 000 x 32 000 pixels, afin d'éviter les effets de flou.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PosLeft


ID_TEMPLATE_PROP4

Droit [pixels]

Coordonnée X du coin inférieur gauche du modèle, en pixels (selon la résolution de moniteur définie).
Minimum : -2147483648.
Maximum : 2147483647.
Par défaut : Résolution actuelle maximum de l'écran.

Attention : Nous déconseillons de définir des gabarits mesurant plus de 32 000 x 32 000 pixels, afin d'éviter les effets de flou.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PosRight


ID_TEMPLATE_PROP5

Bas [pixels]

Coordonnée X du coin inférieur droit du modèle, en pixels (selon la résolution de moniteur définie).
Minimum : -2147483648.
Maximum : 2147483647.
Par défaut : Résolution actuelle maximum de l'écran.

Attention : Nous déconseillons de définir des gabarits mesurant plus de 32 000 x 32 000 pixels, afin d'éviter les effets de flou.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PosBottom


ID_TEMPLATE_PROP7

Arrière-plan (couleur)

Couleur d'arrière-plan proposée pour tous les nouveaux synoptiques configurés avec ce cadre.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackgroundColor


ID_TEMPLATE_PROP8

Fichier graphique

Sélection du fichier graphique d'arrière-plan utilisé pour tous les synoptiques configurés avec ce cadre.
Remarque : une modification du fichier graphique n'affecte pas les synoptiques déjà existants créés sur la base de ce gabarit.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackgroundPicture


ID_TEMPLATE_PROP9

Alignement

Uniquement disponible lorsque vous avez sélectionné l'élément Fichier graphique.

Types d'affichage disponibles :
Mosaïque : taille d'origine, affiché sous forme de "carreaux" positionnés côte à côte.

Étiré : étiré à la taille du synoptique.

Normal : taille d'origine, positionné dans le coin supérieur gauche.
Centré : taille d'origine, centré au milieu du synoptique.

Par défaut : Normal.

Vous ne pouvez pas le déplacer librement.

Remarque : Une modification de l'orientation n'affecte pas les synoptiques déjà existants créés sur la base de ce gabarit.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackgroundPictureStyle


ID_TEMPLATE_PROP10

Toujours en avant plan

Actif : Aucun autre synoptique ne sera superposé à cette zone durant le fonctionnement en ligne. En revanche, il est possible de créer des synoptiques en arrière-plan.
Inactif : Les synoptiques basés sur ce gabarit peuvent être recouverts par d'autres synoptiques.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowForeground


ID_TEMPLATE_PROP11

Titre

Disponible uniquement si un cadre est sélectionné pour le modèle :
Actif : Les barres de titre de Windows sont utilisées pour les synoptiques basés sur ce modèle. Les synoptiques peuvent être déplacés dans le Runtime.
Inactif : Aucune barre de titre n'est utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowTitle


ID_TEMPLATE_PROP12

Menu système

Disponible uniquement si le titre est actif.
Actif : Affiche le menu système de Windows dans la barre de titre.
Inactif : Le menu système n'est pas affiché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowSysMenu


ID_TEMPLATE_PROP13

Boutons Min./Max.

Disponible uniquement si le titre est actif.
Actif : Affiche un champ de symboles de Windows dans la barre de titre.
Inactif : Ne pas afficher de champ de symboles.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowMinimize


ID_TEMPLATE_PROP14

Type de cadre

Type de cadre du synoptique.
Cadre épais : Un cadre épais est affiché autour du synoptique. La taille du synoptique peut être modifiée dans le Runtime.
Cadre fin : Affiche un cadre fin autour du synoptique.
Pas de cadre : Aucun cadre n'est affiché autour du synoptique.
Par défaut : Pas de cadre.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BorderStyle


ID_TEMPLATE_PROP18

Afficher dans l'éditeur de gabarits

Actif : Le modèle sélectionné est affiché dans l'éditeur de cadres.
Inactif : Le modèle n'est pas affiché dans l'éditeur de cadres.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VisibleInEditor


ID_TEMPLATE_PROP20

Utiliser position standard

Active : place le gabarit pour la ligne d'état des alarmes le long de la bordure supérieure de l'écran.

Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StandardPosition


ID_TEMPLATE_PROP21

Position

Détermine la position du gabarit et des synoptiques basés sur celui-ci dans le Runtime.

Utiliser la position absolue : Positionne le cadre aux coordonnées définies dans la propriété Position.

Par rapport à l'élément : Positionne le point de référence du cadre par rapport à l'élément depuis lequel l'appel de synoptique a été exécuté. Ici, vous pouvez définir le point de référence du gabarit (dans la propriété Point de référence du gabarit) et le point de référence de l'élément (dans la propriété Point de référence de l'élement), ainsi que les distances par rapport à l'élément. Le point de référence du cadre sera toujours placé sur le point de référence calculé de l'élément. Si le cadre ne peut pas être désactivé dans cette position, car cela placerait le synoptique hors de l'écran, les points de référence alternatifs sont utilisés. Vous pouvez configurer les points de référence alternatifs du gabarit dans la propriété Point de référence du gabarit et ceux de l'élément dans la propriété Point de référence alternatif de l'élément.

Par rapport au pointeur de souris : Le synoptique est positionné par rapport au point de référence du cadre, c'est-à-dire la position actuelle du pointeur de souris. Vous pouvez définir le point de référence dans la propriété Point de référence du gabarit. Il est affiché sous la forme d'un point rouge dans l'éditeur de gabarits. Exemple : Si le point de référence se trouve sur le côté supérieur gauche, le cadre sera chargé dans le coin inférieur droit du point de référence.
Si le synoptique ne peut pas être affiché entièrement à la position configurée, la position sera décalée jusqu'à ce que le synoptique se trouve entièrement dans la zone affichable de l'écran.

Par défaut : utiliser position absolue

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PosType


ID_TEMPLATE_PROP22

Vertical

Active uniquement si vous sélectionnez Par rapport à l'élément ou Par rapport au pointeur de souris dans la propriété Position.

Sélectionnez le point de référence souhaité pour le gabarit dans la liste déroulante. Choisissez parmi haut, bas ou centré.

Par défaut : Haut

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RefVert


ID_TEMPLATE_PROP23

Horizontal

Active uniquement si vous sélectionnez Par rapport à l'élément ou Par rapport au pointeur de souris dans la propriété Position.

Sélectionnez le point de référence souhaité pour le gabarit dans la liste déroulante. Choisissez parmi gauche, droite ou centré.

Par défaut : gauche

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RefHorz


ID_TEMPLATE_PROP24

Vertical

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour l'élément dans la liste déroulante. Lors du chargement du gabarit, ce point de référence est pris en compte. Choisissez parmi haut ou bas.

Par défaut : Haut

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PosVert


ID_TEMPLATE_PROP25

Horizontal

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence souhaité pour l'élément dans la liste déroulante. Lors du chargement du gabarit, ce point de référence est pris en compte. Choisissez parmi gauche ou droite.

Par défaut : gauche

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PosHorz


ID_TEMPLATE_PROP26

Mouvement vertical [pixel]

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence verticalement.

Par défaut : 2

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PixelVert


ID_TEMPLATE_PROP27

Mouvement horizontal [pixel]

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence horizontalement.

Par défaut : 2

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PixelHorz


ID_TEMPLATE_PROP28

Alternative verticale

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence alternatif souhaité pour le gabarit dans la liste déroulante. Le point de référence alternatif sera utilisé s'il est impossible de positionner le gabarit au point de référence préféré lors du chargement du gabarit. Choisissez parmi haut, bas ou centré.

Par défaut : Haut

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AltRefVert


ID_TEMPLATE_PROP29

Alternative horizontale

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence alternatif souhaité pour le gabarit dans la liste déroulante. Le point de référence alternatif sera utilisé s'il est impossible de positionner le gabarit au point de référence préféré lors du chargement du gabarit. Choisissez parmi gauche, droite ou centré.

Par défaut : gauche

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AltRefHorz


ID_TEMPLATE_PROP30

Vertical

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence alternatif souhaité pour l'élément dans la liste déroulante. Le point de référence alternatif sera utilisé s'il est impossible de positionner le gabarit au point de référence préféré lors du chargement du gabarit. Choisissez parmi haut ou bas.

Par défaut : Haut

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AltPosVert


ID_TEMPLATE_PROP31

Horizontal

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Sélectionnez le point de référence alternatif souhaité pour l'élément dans la liste déroulante. Le point de référence alternatif sera utilisé s'il est impossible de positionner le gabarit au point de référence préféré lors du chargement du gabarit. Choisissez parmi gauche ou droite.

Par défaut : gauche

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AltPosHorz


ID_TEMPLATE_PROP32

Mouvement vertical [pixel]

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence alternatif verticalement.

Par défaut : 2

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AltPixelVert


ID_TEMPLATE_PROP33

Mouvement horizontal [pixel]

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

En saisissant une valeur numérique positive ou négative, vous pouvez déplacer le point de référence alternatif horizontalement.

Par défaut : 2

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AltPixelHorz


ID_TEMPLATE_PROP34

Fermer après la perte du focus

Contrôle le comportement du cadre lors de la perte du focus.

Actif : Lorsque vous cliquez avec le bouton gauche de la souris hors du cadre, il est fermé automatiquement si vous cliquez dans une zone de l'écran qui forme partie du Runtime zenon, mais ne forme pas partie du cadre ou du cadre pour lequel la propriété Ne pas fermer après la perte du focus est active.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CloseOnClickOutside


ID_TEMPLATE_PROP35

Forme de gabarit librement définie

Permet d'utiliser une forme libre de gabarit pour le gabarit sélectionné. Vous pouvez ainsi définir des gabarits comportant par exemple des coins arrondis, des trous etc.

Actif : la forme libre de gabarit est utilisée pour ce gabarit et les synoptiques liés au gabarit.

Inactive : Les formes des cadres ne peuvent pas être librement définies. Une forme de cadre librement définie est affichée dans l'Éditeur de cadres et de synoptiques.

Par défaut : Inactive

Remarque : indisponible pour le cadre Ligne d'état des alarmes et sous Windows CE.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UseFreeForming


ID_TEMPLATE_PROP36

Définir des formes de gabarits libres

Disponible uniquement si vous avez activé la propriété Forme de gabarit librement définie.

Permet de définir la forme pour le gabarit sélectionné. Cliquez avec le bouton gauche sur le bouton pour ouvrir le gabarit correspondant dans l'éditeur de formes de gabarit. Ici, vous pouvez définir la forme du gabarit à base de cercles, de rectangles, de rectangles arrondis et de polygones.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DefineFreeForm


ID_TEMPLATE_PROP37

Ne pas fermer après la perte du focus

Actif : Le cadre reste ouvert lorsque le focus est retiré du cadre. La fermeture d'un autre gabarit sur la perte du focus n'est pas effectué si vous cliquez justement sur ce gabarit. Ainsi vous pouvez définir des zones de l'écran dans lesquelles un clic ne fermera pas les gabarits ouverts pour lesquels la propriété Fermer après la perte du focus a été configurée.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IgnoreCloseOnClick


ID_TEMPLATE_PROP38

Garder la position pour le prochain affichage

Actif : Un cadre déplacé manuellement dans le Runtime n'est pas réinitialisé dans sa position de développement lors de l'affichage d'un nouveau synoptique, si le cadre est déjà ouvert sur le même client.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NoMoveOnReopen


ID_TEMPLATE_PROP_GRP0

Général

Propriétés générales du gabarit.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_TEMPLATE_PROP_GRP1

Cadre

Propriétés du cadre du modèle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Frame


ID_TEMPLATE_PROP_GRP2

Position

Propriétés de la position et de la taille du modèle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Position


ID_TEMPLATE_PROP_GRP3

Graphique d'arrière plan

Un fichier graphique peut être affiché en arrière-plan de tous les synoptiques. Les fichiers graphiques d'arrière-plan utilisés pour les gabarits sont automatiquement attribués à tous les nouveaux synoptiques créés sur la base de ce gabarit. Les synoptiques existants doivent être actualisés ultérieurement manuellement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_BackgroundPicture


ID_TEMPLATE_PROP_GRP4

Point de référence du gabarit

Ici, vous pouvez définir le point de référence du gabarit. Le gabarit sera chargé par rapport à ce point dans le Runtime si vous avez sélectionné l'option Par rapport au curseur de la souris ou Par rapport à l'élément dans la propriété Position.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_TemplateReference


ID_TEMPLATE_PROP_GRP5

Point de référence de l'élement

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Ici, vous définissez le point de référence au niveau de l'élément. Le gabarit sera chargé en rapport à ce point. Par ex. si le point de référence est à gauche/centré à une distance de 0 pixels, le point de référence du gabarit sera positionné exactement sur ce point de référence au niveau de la bordure gauche, au centre de l'élément. Vous pouvez définir le point de référence du gabarit dans la propriété Point de référence du gabarit.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_PrimaryReference


ID_TEMPLATE_PROP_GRP6

Point de référence alternatif de l'élément

Active uniquement si vous avez sélectionné Par rapport à l'élément dans la propriété Position.

Ici, vous définissez le point de référence alternatif au niveau de l'élément. Ce point est uniquement utilisé si le gabarit ne peut pas être chargé dans la zone affichable de l'écran. Nous vous recommandons toujours d'utiliser des paramètres opposés au point de référence habituel (configuré dans la propriété Point de référence de l'élement). Exemple : Si le point de référence est à droite/centré, le point de référence alternatif doit être à gauche/centré.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_AlternativeReference


ID_TEMPLATE_PROP_GRP7

Forme de gabarit librement définie

Propriétés des formes libres de gabarits.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_FreeTemplateShape


ID_TEMPLOGIN

Login temporaire actif

Actif : si un utilisateur n'est pas connecté et tente d'actionner un élément nécessitant une autorisation utilisateur, il doit saisir ses nom d'utilisateur et mot de passe.Inactif : L'utilisateur est automatiquement déconnecté immédiatement après l'opération
Inactif : si un utilisateur n'est pas connecté et tente d'actionner un élément nécessitant une autorisation utilisateur, il reçoit un message indiquant qu'il ne dispose pas de l'autorisation requise.
Par défaut : active.

Remarque : Vous pouvez définir la position et la taille du masque de connexion dans le fichier zenon6.ini, dans la section [Befehlsgabe] Position =.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TempLogin


ID_TIMEFILTER_MODIFYTIMEPERIOD

-

Description sous forme de texte.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ModifyTimePeriod


ID_TOPOLOGIE_PROP1

Ligne de séparation 1

Ligne de séparation 1

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BrokenLine1


ID_TOPOLOGIE_PROP2

Ligne de séparation 2

Ligne de séparation 2

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BrokenLine2


ID_TOPOLOGIE_PROP3

Epaisseur de trait

Épaisseur de trait

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LineWidth


ID_TOPOLOGIE_PROP4

Nom d'objet comme lien

Nom d'objet comme lien

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OBJNameLink


ID_TOPOLOGIE_PROP5

Mode de visualisation

Affichage du mode

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DisplayMode


ID_TOPOLOGIE_PROP6

Epaisseur de trait protégée

Épaisseur de trait protégée

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LineWidthFGES


ID_TOPOLOGIE_PROP7

Epaisseur bord

Épaisseur bord

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SaumWidth


ID_TOPOLOGIE_PROP8

Symbole F1

Symbole F1

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SymbolF1


ID_TOPOLOGIE_PROP9

Symbole F2

Symbole F2

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SymbolF2


ID_TOPOLOGIE_PROP10

Symbole FGES

Symbole FGES

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SymbolFGES


ID_TOPOLOGIE_PROP11

Bord du symbole

Bord du symbole

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SymbolSaum


ID_TOPOLOGIE_PROP12

Couleurs symbole F1

Couleurs symbole F1

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SymbolF1_Mode


ID_TOPOLOGIE_PROP13

Couleurs symbole F2

Couleurs symbole F2

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SymbolF2_Mode


ID_TOPOLOGIE_PROP14

Couleurs symbole FGES

Couleurs symbole FGES

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SymbolFGES_Mode


ID_TOPOLOGIE_PROP15

Couleur de bord du symbole

Couleur de bord du symbole

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SymbolSaum_Mode


ID_TOPOLOGIE_PROP16

Variable SS_1_1

Variable SS_1_1

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable_SS_1_1


ID_TOPOLOGIE_PROP17

Variable SS_1_2

Variable SS_1_2

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable_SS_1_2


ID_TOPOLOGIE_PROP18

Variable SS_1_4

Variable SS_1_3

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable_SS_1_3


ID_TOPOLOGIE_PROP19

Variable SS_1_4

Variable SS_1_4

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable_SS_1_4


ID_TOPOLOGIE_PROP20

Variable Start1

Variable Start1

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable_Start1


ID_TOPOLOGIE_PROP21

Point de division variable

Point de division variable

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VariableStandardIsolatingPoint


ID_TOPOLOGIE_PROP22

Variable Start2

Variable Start2

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable_Start2


ID_TOPOLOGIE_PROP23

Variable SS_2_1

Variable SS_2_1

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable_SS_2_1


ID_TOPOLOGIE_PROP24

Variable SS_2_2

Variable SS_2_2

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable_SS_2_2


ID_TOPOLOGIE_PROP25

Variable SS_2_3

Variable SS_2_3

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable_SS_2_3


ID_TOPOLOGIE_PROP26

Variable SS_2_4

Variable SS_2_4

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable_SS_2_4


ID_TOPOLOGIE_PROP27

Caractère divisé dans un autre endroit

Caractère divisé dans un autre endroit

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DistributionLineCharacter


ID_TOPOLOGIE_PROP31

Réactance

Réactance en Ohms pour détecter l'emplacement de l'anomalie.
Disponible uniquement avec l'option de localisation d'anomalies et de topologie.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Reactance


ID_TOPOLOGIE_PROP_GRP1

Topologie

Élément\\Topologie

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Topology


ID_TOPOLOGIE_PROP_GRP2

Coloration

Élément\\Topologie\\Contrôle des symboles

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TopColors


ID_TOPOLOGIE_PROP_GRP3

Ligne de distribution

Élément\\Topologie\\Ligne de distribution

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Strang


ID_TOPOLOGIE_PROP_GRP4

Calcul du réseau

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NetCalc


ID_TOPOLOGIE_PROP_GRP5

Câble

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NetCalcCable


ID_TREIBER_CONFIG

Configuration

Ouvre la boîte de dialogue de configuration du driver.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Configuration


ID_TREIBER_FILE

Nom de fichier

Nom de fichier du driver.
Le fichier se trouve dans le dossier de programme du système de contrôle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NameFile


ID_TREIBER_GRP0

Général

Propriétés générales du driver.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_TREIBER_NAME

Désignation

Nom unique du driver.
zenon identifie le driver à l'aide de ce nom, et non à l'aide du nom de fichier. Il est ainsi possible de charger le même driver plusieurs fois. Cela s'avère par exemple nécessaire lorsque vous devez accéder à des types de contrôles identiques, connectés à plusieurs interfaces série différentes.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_TREIBER_PROP6

Description

Description du driver.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Description


ID_TREIBER_PROP_GRP0

Adresse

Propriétés générales du driver.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Address


ID_TREIBER_PROP_GRP1

Connexion au driver

Récapitule la configuration de la connexion en incluant le type, la priorité et la redondance des données IEC.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Driver


ID_TREIBER_PROP_GRP2

Paramètres de tableau

Propriétés de la structure des variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Structure


ID_TREIBER_PROP_GRP3

Options des structures

Options pour les éléments de structure.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_StructureOpts


ID_TREIBER_PROP_GRP4

Options d'adressage

Options pour l'adressage des variables tableaux.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_AddressOpts


ID_TREND_DEL

<Supprimer courbe>

La courbe sera supprimée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CurveDel


ID_TREND_NEU

<Nouvelle courbe>

Une nouvelle courbe est créée pour l'élément tendance.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CurveNew


ID_TYPE_GW_NEW

<Nouvelle limite>

Une nouvelle valeur limite est créée pour le type de données.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NewLimit


ID_UEBER_HELLIGKEIT

Par les valeurs de luminosité

Disponible uniquement si l'élément Remplissage (type) a été sélectionné pour la propriété Dégradé de couleurs.

Actif : La luminosité du dégradé de couleurs peut être librement définie.
Inactif : la luminosité du dégradé de couleurs est définie automatiquement.

Remarque : le motif de remplissage ne peut plus être modifié si cette propriété est active. Il est également impossible de définir des coins arrondis. Si cette option est activée pour un élément utilisant des coins arrondis, l'élément est affiché avec des coins non arrondis.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Brightness


ID_UNIT_PROP_DECSHIFT

Décalage du point décimal

Correction des décimales. Cette valeur détermine le décalage des décimales dans l'unité de conversion par rapport à l'unité de base.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DecShift


ID_UNIT_PROP_FACTOR

Facteur

Instruction relative au facteur de conversion selon lequel l'unité de base sera convertie en valeur de l'unité de conversion (m pour y=mx+b).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Factor


ID_UNIT_PROP_GRP0

Général

Propriétés pour la conversion d'unité.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_UNIT_PROP_NAME

Unité

Instruction relative à l'unité de base depuis laquelle est effectuée la conversion ou à l'unité de conversion vers laquelle sera effectuée la conversion. Par exemple, C°, K, m, y, Celsius, Kelvin, mètre, yard etc.

Vous pouvez utiliser jusqu'à 50 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_UNIT_PROP_OFFSET

Offset

Depuis l'unité primaire (b pour y=mx+b)

Instruction relative au décalage de conversion suivant lequel l'unité de base sera convertie en valeur de l'unité de conversion (b pour y=mx+b).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Offset


ID_USER_ACTIVE

Utilisateur actif

Actif : L'utilisateur est accepté dans le Runtime.
Inactif : L'utilisateur n'est pas accepté dans le Runtime.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserActive


ID_USER_GROUPS

Groupes utilisateur

Tous les groupes d'utilisateurs associés à l'utilisateur sélectionné.

Cliquez sur le bouton pour ajouter ou supprimer des groupes d'utilisateurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserGroups


ID_USER_GRP

Utilisateur

Propriétés de l'utilisateur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_USER_LOCKCODE

Code de consignation

Code PIN à quatre chiffres.

Ce code est employé par l'utilisateur pour verrouiller et déverrouiller différentes zones. L'utilisation de ce code pour le verrouillage évite de déverrouiller un verrou par mégarde, et permet ainsi d'éviter des accidents.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LockCode


ID_USER_LOCKED

Verrouillé

Actif : L'utilisateur est bloqué.
Inactif : L'utilisateur n'est pas bloqué.
(Par défaut) Inactif :

Un utilisateur est automatiquement bloqué après un nombre défini d'erreurs de saisie du mot de passe. Le blocage peut être annulé ici.
Seul un administrateur peut débloquer un utilisateur, car seul un administrateur peut modifier un utilisateur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserLocked


ID_USER_MSGCTRL_EMAIL

E-mail

Adresse e-mail de l'utilisateur

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MsgEmail


ID_USER_MSGCTRL_ERSATZUSER

Remplaçant

Personne remplaçant l'utilisateur s'il ne peut pas être contacté. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un utilisateur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MsgErsatzUser


ID_USER_MSGCTRL_GSM

GSM

Numéro de téléphone mobile de l'utilisateur. Utilisé pour l'envoi de messages par téléphone portable et SMS ("textos").

Saisissez le numéro ; le préfixe + peut être utilisé à la place des numéros 00 précédant le code international.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MsgGSM


ID_USER_MSGCTRL_NACKCODE

Code NA

Code d'indisponibilité permettant à l'utilisateur de refuser de confirmer la réception du message.

Remarque : ce code doit être significativement différent du code de la propriété Code PIN.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MsgNACKCode


ID_USER_MSGCTRL_PHONE

Téléphone

Numéro de téléphone fixe de l'utilisateur. Utilisé pour la fonction de synthèse vocale.

Saisissez le numéro ; le préfixe + peut être utilisé à la place des numéros 00 précédant le code international.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MsgPhone


ID_USER_MSGCTRL_PINCODE

Code PIN

Code PIN permettant à l'utilisateur de confirmer la réception du message.

Remarque : ce code doit être significativement différent du code de la propriété Code NA.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MsgPinCode


ID_USER_MSGCTRL_USER

Utilisateur de la gestion de message

Actif : l'identifiant d'utilisateur est utilisé par le module Gestion de messages.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsMsgCtrlUser


ID_USERGROUP_GRP

Groupe utilisateur

Propriétés pour le groupe d'utilisateurs

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_USERGROUP_LEVEL

Groupes d'autorisation

Tous les niveaux d'autorisation associés au groupe d'utilisateurs sélectionné.

Cliquez sur le bouton pour ajouter ou supprimer des niveaux d'autorisation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserGroupLevel


ID_USERGROUP_NAME

Nom

Nom du groupe d'utilisateurs sélectionné.

Cliquez sur le fichier d'origine pour en modifier le nom.

Attention : cette propriété est indisponible pour la fonction de changement de langue, car le nom du répertoire Active Directory doit pouvoir être vérifié.
@ n'est pas un caractère valide pour un groupe d'utilisateurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserGroupName


ID_USERGRP_MSGCTRL_ISMSGCTRL

Groupe gestion de message

Actif : le groupe d'utilisateurs est utilisé par le module Gestion de messages.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsMsgCtrlGroup


ID_USERGRP_MSGCTRL_USERORDER

Ordre des utilisateurs

Définit l'ordre des utilisateurs dans le groupe. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de configurer l'ordre.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserGroupOrder


ID_USERKENNUNG

Identification utilisateur

Identifiant unique avec lequel un utilisateur doit se connecter.
Pour plusieurs actions de l'utilisateur, la chaîne de caractères peut être affichée dans la liste chronologique d'événements (CEL). La liste chronologique d'événements comporte une colonne destinée à l'affichage de ce type d'informations. En outre, ces informations peuvent être affichées à l'aide d'une variable de driver du système.
Maximum : 20 caractères.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserIdentification


ID_USERNAME

Nom complet

Nom de l’utilisateur.
Pour plusieurs actions de l'utilisateur, la chaîne de caractères peut être affichée dans la liste chronologique d'événements (CEL). Le nom complet de l'utilisateur doit être spécifié. La liste chronologique d'événements comporte une colonne destinée à l'affichage de ce type d'informations. En outre, ces informations peuvent être affichées à l'aide d'une variable de driver du système.

ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserName


ID_USERPASSWORD

Mot de passe

Ouvre la boîte de dialogue de modification du mot de passe.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserPassword


ID_VAR_AKS_GRP1

-

Les points de données du driver AK sont optimisés avec le système OPM.

D'autres informations concernant le paramétrage sont disponibles dans l'aide du système SICAM230 et dans l'aide de TOOLBOX II.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AKS-General


ID_VAR_AKS_GRP1_ENG

-

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AKS-General


ID_VAR_AKS_GRP2

-

Les points de données du driver AK sont optimisés avec le système OPM.

D'autres informations concernant le paramétrage sont disponibles dans l'aide du système SICAM230 et dans l'aide de TOOLBOX II.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AKS-Extended


ID_VAR_AKS_GRP2_ENG

-

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AKS-Extended


ID_VAR_AKS_GRP3

-

Les points de données du driver AK sont optimisés avec le système OPM.

D'autres informations concernant le paramétrage sont disponibles dans l'aide du système SICAM230 et dans l'aide de TOOLBOX II.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Redundancy


ID_VAR_AKS_GRP3_ENG

-

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Redundancy


ID_VAR_AKS_GRP4

-

Les points de données du driver AK sont optimisés avec le système OPM.

D'autres informations concernant le paramétrage sont disponibles dans l'aide du système SICAM230 et dans l'aide de TOOLBOX II.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Command


ID_VAR_AKS_GRP4_ENG

-

Datapoints will be engineered by OPM.

Further information available in SICAM230 help and in TOOLBOX II help.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Command


ID_VAR_ALARMBEREICH

-

Ici, la variable peut être liée à une plage d'alarmes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmDomain


ID_VAR_ALARMBEREICH1

Domaine d'alarme 1

Première plage d'alarmes attribuée aux variables. Sélectionnez le projet dans la liste déroulante.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmDomain


ID_VAR_ALARMBEREICH2

Domaine d'alarme 2

Deuxième plage d'alarmes attribuée aux variables. Sélectionnez le projet dans la liste déroulante.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmDomain2


ID_VAR_ALARMBEREICH3

Domaine d'alarme 3

Troisième plage d'alarmes attribuée aux variables. Sélectionnez le projet dans la liste déroulante.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmDomain3


ID_VAR_ALARMBEREICH4

Domaine d'alarme 4

Quatrième plage d'alarmes attribuée aux variables. Sélectionnez le projet dans la liste déroulante.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmDomain4


ID_VAR_ALARMKANAL0

Variable d'alarme 1

Disponible uniquement dans SICAM 230.
Première variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmPV0


ID_VAR_ALARMKANAL1

Variable d'alarme 2

Disponible uniquement dans SICAM 230.
Deuxième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmPV1


ID_VAR_ALARMKANAL2

Variable d'alarme 3

Disponible uniquement dans SICAM 230.
Troisième variable pour la gestion d'alarmes de synoptiques.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmPV2


ID_VAR_ALARMQUIT

Variable d'acquittement

Variable binaire : si une alarme de la variable de contrôle est acquittée, la valeur de la variable d'acquittement est définie sur la valeur définie par Valeur d'acquittement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmQuitPV


ID_VAR_ALARMQUIT_VALUE

Valeur d'acquittement

Si une alarme de cette variable est acquittée, la variable sélectionnée sous Variable d'acquittement est définie sur cette valeur.

Sélection de 0 ou 1.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmQuitPVValue


ID_VAR_ARCHHYSTNEG

Négatif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ArchHystNeg


ID_VAR_ARCHHYSTPOS

Positif pour l'archive

Hystérésis d'archivage en cas de changement appliquée à la plage de mesure.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement saisies dans l'archive si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ArchHystPos


ID_VAR_ARRAYSIZE

Dimension tableau

Uniquement pour des raisons de compatibilité
Jusqu'à la version 5.50, définit la taille de l'array de blocs.
Attention : peut être défini au niveau du driver interne, toutefois sans fonction dans le Runtime (valeur toujours égale à 0).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ArraySizeOld


ID_VAR_ARRDIM1

Dim 1

Taille de la première dimension de l'array.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Dim1


ID_VAR_ARRDIM2

Dim 2

Taille de la deuxième dimension de l'array.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Dim2


ID_VAR_ARRDIM3

Dim 3

Taille de la troisième dimension de l'array.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Dim3


ID_VAR_AUSRICHTUNG

Alignement

Ceci dépend de la granularité du type d'objet du driver et de la position de la variable conformément au décalage défini.

Pour les variables de type Octet :
HiByte (Octet poids fort) : octet de poids fort dans le décalage de mot.
LoByte (Octet poids faible) : octet de poids faible dans le décalage de mot.
HiWord-HiByte : octet de poids fort dans le mot fort dans le décalage de double mot.
HiWord-LoByte (Mot poids fort-Octet poids faible) : octet de poids faible dans le mot fort dans le décalage de double mot.
LoWord-HiByte (Mot poids faible-Octet poids fort) : octet de poids fort dans le mot faible dans le décalage de double mot.
LoWord-LoByte (Mot poids faible-Octet poids faible) : octet de poids faible dans le mot faible dans le décalage de double mot.

Pour les variables de mot :
HiWord (Mot poids fort) : mot fort dans le décalage de double mot.
LoWord (Mot poids faible) : Mot poids faible dans le décalage de double mot.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Alignment


ID_VAR_BASETYPE

Type de données IEC

Type de données de base.

Attention : Si le type de données de base est modifié ultérieurement, toutes les autres propriétés du type de données doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ID_DataTyp


ID_VAR_BEZEICHNUNG

Général

Propriétés générales de la variable ou du type de données

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Title


ID_VAR_BIT

Numéro de bit

Numéro du bit dans le décalage configuré.
Minimum : 0.
Maximum : 65535.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BitAddr


ID_VAR_BMKENNUNG

Description externe

Chaîne libre.
N'est pas utilisé au niveau interne dans zenon, mais est disponible lors de l'exportation de valeurs pour autoriser l'attribution des valeurs exportées pour les systèmes de gestion tels qu'ERP.

Longueur maximale : 255 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Recourceslabel


ID_VAR_CPLX_OFFSET

Offset démarrage

Décalage de démarrage de la variable de structure.
L'adressage des variables contenues démarre conformément à ce décalage.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Offset


ID_VAR_DB

Bloc de données

Numéro de bloc de données.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DataBlock


ID_VAR_DDEAKTIV

Variable lue en permanence

  • Actif : La variable est toujours connectée au driver. Cela signifie qu'elle est continuellement lue par le driver, même si elle n'est pas nécessaire dans le projet à cet instant précis. Le driver connaît ainsi toujours les valeurs actuelles et l'état actuel des variables et peut les fournir immédiatement, si nécessaire. La variable est également disponible pour les autres applications Windows (par exemple, Excel, Visual Basic, etc.). Les applications Windows possédant une fonctionnalité de client DDE peuvent ainsi utiliser les valeurs de la variable. Temps d'actualisation : 0,5 s
    L'activation de cette option offre par exemple l'avantage de basculer plus rapidement les valeurs de variables dans la fonction Ecriture valeur prescrite ou dans l'élément Appel de synoptique, car il n'est pas nécessaire d'interroger spécialement la variable avant la commutation. L'inconvénient est une augmentation de la charge des communications au niveau du contrôleur.

    Ecriture valeur prescrite

    Cette fonction envoie une nouvelle valeur vers l'automate dans la variable sélectionnée.

    Plus de détails dans l'aide en ligne

  • Inactif : La variable n'est pas interrogée en permanence par le driver, mais uniquement en cas de demande de valeurs ou d'états dans le Runtime. Elle n'est donc pas disponible dans les autres applications Windows via DDE.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DDEActive


ID_VAR_DESC

Description

Description du type de données.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Description


ID_VAR_EINHEIT

Unité

Unité technique de la variable devant être affichée dans le Runtime. Si vous avez déjà créé des Unités de base dans le module Unités, celles-ci sont disponibles dans une liste déroulante.
Maximum : 50 caractères.
Valeur par défaut : vide.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Unit


ID_VAR_ERSATZ

Valeur pour le remplissage des archives

Cette valeur est utilisée pour renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlternateValue


ID_VAR_EXTERN

Paramètres externes

Propriétés externes pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_External


ID_VAR_GW_AKTIV

Limite active

Actif : Une valeur limite est prise en compte dans le Runtime.
Inactif : La valeur limite est ignorée dans le Runtime.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Active


ID_VAR_GW_ALARM

En tant qu'alarme

Actif : en cas de dépassement d'une limite, une entrée est créée dans la liste d'alarmes.
Inactif : Aucune entrée n'est créée dans la liste d'alarmes.
Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Alarm


ID_VAR_GW_ALARMVERW

Appel par un bouton dans les synoptiques d'alarmes

Disponible uniquement si la valeur limite est une alarme :
Actif : La fonction liée n'est pas exécutée de façon événementielle durant le fonctionnement en ligne, mais uniquement lorsque l'utilisateur sélectionne le bouton Fonction dans la liste d'alarmes.
Inactif : La fonction est exécutée de manière événementielle dès que l'alarme se déclenche.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AML_Call


ID_VAR_GW_AMLCEL

Alarmes/Evénements

Propriétés de la liste d'alarmes et de la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_AML_CEL


ID_VAR_GW_BLINKEN

Clignotement

Actif : les éléments dynamiques qui sont liés à cette variable commence à clignoter dès que cette limite est dépassée.
Vous pouvez acquitter le clignotement avec un double-clic droit.
Inactif : La limite ne provoque pas de clignotement.
(Par défaut) Inactif :
Attention : Associée à la propriété Délai [s], cette propriété a l'effet suivant sur le réseau :
Valeur limite avec clignotement, sans délai : Les éléments liés clignotent sur le serveur et sur les clients.
Valeur limite avec clignotement et délai : les éléments liés clignotent uniquement sur le serveur, pas sur les clients.
Alarme avec clignotement, sans délai : Les éléments liés clignotent sur le serveur et les clients.
Alarme avec clignotement et délai : Les éléments liés clignotent sur le serveur et les clients.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Blinking


ID_VAR_GW_CEL

Dans la liste des événements

Actif : En cas de dépassement d'une valeur limite, une entrée est créée dans la liste chronologique d'événements (CEL).
Inactif : Aucune entrée n'est créée dans la liste chronologique d'événements.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Cel


ID_VAR_GW_DEL

<Supprimer limite>

La valeur limite est supprimée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DelLimit


ID_VAR_GW_DRUCKEN

Imprimer

Actif : l'alarme ou le dépassement de limite est imprimé(e) en ligne pour cette variable, selon la configuration de la propriété Impression pour du groupe Alarmes et événements dans les paramètres du projet.
Inactif : active l'impression en ligne.
Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Print


ID_VAR_GW_FARBE

Couleur de limite

Informations de couleur pour la coloration de la couche et la couleur d'état lors de l'utilisation de variables dans les éléments binaires ; la définition de la couleur des textes d'alarme dans la liste d'alarmes s'effectue dans la définition des classes d'alarme.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Color


ID_VAR_GW_FKT

Fonction

Propriétés de la fonction liée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Function


ID_VAR_GW_FUNKTION

Fonction

Fonction exécutée automatiquement dans le Runtime en cas de dépassement d'une valeur limite.
Si l'état est défini en tant qu'alarme, l'exécution spontanée de la fonction peut être annulée (option « Appel depuis la liste d'alarmes »).
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Function


ID_VAR_GW_GRENZWERT

Valeur limite

Indisponible si aucune valeur de limite dynamique n'est définie :
Définit la valeur à partir de laquelle un dépassement de valeur limite est identifié.
La propriété « Minimum / Maximum » permet de déterminer si les valeurs supérieures ou inférieures à cette valeur déclenchent un dépassement de valeur limite.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LimitValue


ID_VAR_GW_GRP1

Limites

Propriété de calcul de la valeur limite.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Ranges


ID_VAR_GW_GRUPPE

Groupe d'alarmes/d'événements

Attribution d'un groupe d'alarmes/d'événements (max. 65535) pour la limite, lorsque celle-ci est utilisée comme alarme.
L'attribution à un groupe d'alarmes/d'événements est effectuée par le biais d'une sélection dans la liste.
Par défaut : 0 (non utilisé).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Group


ID_VAR_GW_HILFE

Fichier d'aide

Disponible uniquement si la valeur limite est une alarme.

Fichier d'aide (*.chm) dont un chapitre relatif à cette alarme sera affiché dans la liste d'alarmes.

Pour plus d'informations concernant le fichier d'aide, reportez-vous à l'aide en ligne.

Configuration d'EPLAN :
Il est possible d'afficher une page d'EPLAN. Pour cela, la connexion à EPLAN doit disposer d'une licence et le chemin d'accès au programme EPLAN doit être défini dans le fichier zenon6.ini.
Configuration :

  • Saisie de la chaîne de caractères $PRG:xxxxxx.
  • xxxxxx est l'opérateur représentant les paramètres à saisir
  • La propriété Chapitre d'aide est ignorée, mais ne doit pas être vide.

Pour plus d'informations sur EPLAN, reportez-vous à l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HelpFile


ID_VAR_GW_HILFEKAP

Chapitre d'aide

Disponible uniquement si la valeur limite est une alarme :
Chapitre d'aide affiché dans la liste d'alarmes pour cette alarme.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HelpCapture


ID_VAR_GW_HLP

Aide

Propriétés du chapitre d'aide lié.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Help


ID_VAR_GW_KLASSE

Classe d'alarmes/d'événements

Attribution d'une classe d'alarmes/d'événements (max. 65535) pour la limite, lorsque celle-ci est utilisée comme alarme.
L'attribution à une classe d'alarmes/d'événements est effectuée par le biais d'une sélection dans la liste.
Par défaut : 0 - (non utilisé).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Class


ID_VAR_GW_KOMMENTAR

Commentaire requis

Disponible uniquement si la propriété Acquittement obligatoire est active.

Actif : Avant de pouvoir acquitter une alarme, vous devez saisir un commentaire. Pour cela, l'utilisateur doit disposer des autorisations requises pour utiliser la fonction Saisir un commentaire sur une alarme.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmComment


ID_VAR_GW_LOESCHEN

Suppr. obligatoire

Disponible uniquement si la propriété Acquittement obligatoire est active.
Actif : l'alarme doit être acquittée et supprimée avant d'être supprimée de la mémoire circulaire.
Inactif : aucune suppression n'est nécessaire.
Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmDelete


ID_VAR_GW_MINMAX

Minimum/Maximum

Minimum : dépassement de valeur limite en cas d'identification d'une valeur égale ou inférieure à la valeur limite.
Maximum : dépassement de valeur limite en cas d'identification d'une valeur égale ou supérieure à la valeur limite.
Par défaut : Minimum.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsMax


ID_VAR_GW_NEW

<Nouvelle limite>

Une nouvelle valeur limite est créée.
Jusqu'à 65535 valeurs limite peuvent être créées.
Les variables de bit comportent toujours deux valeurs limite.
Les valeurs limite des variables de chaîne ne peuvent pas être utilisées. Une matrice de réaction peut également être utilisée ici (comme avec les autres variables).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NewLimit


ID_VAR_GW_QUITTIEREN

Acquittement obligatoire

Disponible uniquement pour les alarmes.
Actif : l'alarme doit être acquittée avant d'être supprimée de la mémoire circulaire.
Inactif : aucun acquittement requis.
Paramètre par défaut des alarmes : active, sinoninactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmAcknowledge


ID_VAR_GW_SCHWELLWERT

Hystérésis

Une valeur de seuil peut être définie et être utilisée pour acquitter une violation de limite. Ainsi, les réactions non désirées pour des variables numériques fluctuantes peuvent être évitées.
Exemple 1 : Valeur maximum = 900, valeur de seuil = 10, résultat 890 :
La valeur limite sera dépassée à partir d'une valeur de 900, et la plage critique sera quittée lorsque la valeur chutera en dessous de 890.
Exemple 2 : Valeur minimum = 900, valeur de seuil = 10, résultat 910 :
La valeur limite sera dépassée à partir d'une valeur de 900, et la plage critique sera quittée lorsque la valeur s'élèvera au-dessus de 910.
Contrairement à l'hystérésis, cette propriété n'a aucune incidence sur l'affichage de la valeur, uniquement sur le comportement de l'alarme.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ThresholdValue


ID_VAR_GW_TEXT

Texte de valeur limite

Ce texte sera affiché dans la liste de messages d'alarme, la liste chronologique d'événements et/ou la ligne d'état des alarmes (en fonction de la configuration) après une violation de limite.

Texte de limite dynamique : permet d'inclure les valeurs actuelles des autres variables dans le texte de limite d'une variable et le texte de limite des matrices de réaction. Vous pouvez également lier un texte fixe à des mots clés provenant d'une table de langues via un index. Ceci entraîne certaines limitations :
le texte statique sera conservé dans la zone de mémoire du texte de limite, qui est limité à 128 caractères. Les valeurs des variables liées sont conservées dans la zone de mémoire du texte de commentaire, qui est limité à 80 caractères.

Ces limitations peuvent être contournées en utilisant l'extension réservée aux textes de limite dynamiques longs. Pour cela, vous devez activer les propriétés Textes de limite dynamiques longs pour les événements et Textes de limite dynamiques longs pour les alarmes. Les valeurs de variables spécifiques aux textes de limite dynamiques seront alors conservées dans un fichier distinct. Attention : Lors de l'utilisation de textes de limite dynamiques, vous ne pouvez pas saisir de commentaires.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Text


ID_VAR_GW_UNSICHTBAR

Invisible

Actif : L'état n'est pas affiché dans l'élément dynamique Élément d'état, ou les éléments ne sont pas affichés si leur visibilité est contrôlée par cette variable.
Inactif : La visibilité n'est pas influencée par le dépassement de la valeur limite.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Invisible


ID_VAR_GW_VARIABEL

Limite définie par une variable

Spécifie si le texte de limite est fixe ou s'il est déterminé de manière dynamique, via une variable.

Active : la limite n'est pas définie via une valeur technique fixe, mais via la valeur technique d'une autre variable.

AML/CEL (Liste Alarmes/Événements) : les dernières informations d'horodatage des deux variables sont utilisées comme informations d'horodatage du dépassement de limite dans la liste AML et/ou CEL.

Par défaut : Inactive

ATTENTION : si la limite de la variable est modifiée de manière à ce que la valeur actuelle de la variable se trouve soudainement dans la plage critique sans avoir changé pour autant, une violation de limite se produira.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsVariable


ID_VAR_GW_VARIABLE

Variable

Disponible uniquement si la propriété Valeur limite dynamique est active :
Variable utilisée en tant que valeur limite dynamique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable


ID_VAR_GW_VERZOEGEUNG

Délai [s]

Durée (en secondes) pendant laquelle la violation de limite doit être active. La valeur doit être active pour la durée définie (sans interruption) pour déclencher les actions configurées en cas de violation de limite.
AML/CEL (Liste Alarmes/Événements) :
- L'heure du premier dépassement est utilisée comme information d'horodatage du dépassement de limite dans la liste de messages d'alarme et/ou la liste chronologique d'événements.
- La première valeur après expiration du délai est définie en tant que valeur, et non la valeur déclenchant l'alarme.

ATTENTION : Associée à la propriété Clignotement, cette propriété a l'effet suivant sur le réseau :
Valeur limite avec clignotement, sans délai : Les éléments liés clignotent sur le serveur et sur les clients.
Valeur limite avec clignotement et délai : Les éléments liés clignotent uniquement sur le serveur, pas sur les clients.
Alarme avec clignotement, sans délai : Les éléments liés clignotent sur le serveur et les clients.
Alarme avec clignotement et délai : Les éléments liés clignotent sur le serveur et les clients.

Minimum : 0
Maximum : 4294967295
Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Delay


ID_VAR_GW_ZUSATZ_ATTRIB

Attributs additionnels

Propriétés supplémentaires de la valeur limite.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_AddAttrib


ID_VAR_HDAKTIV

Stockage de données sur disque dur actif

Actif : les valeurs de variables sont enregistrées sur le disque dur (enregistrement circulaire) pour être évaluées dans l'élément dynamique "Élément de tendance" ou pour l'exportation/l'importation des valeurs.

Inactif : aucune valeur de variable n'est enregistrée.

(Par défaut) Inactif :

Les données de disque dur nécessitent 24 octets d'espace de stockage par valeur, indépendamment du type de variable. Outre la valeur, les informations suivantes sont conservées :
- Heure de lecture de l'alarme
- Millisecondes lors de la lecture de la valeur
- État de la valeur pour adapter correctement les éléments
- Compteur d'identification unique de la valeur (driver événementiel)

Remarque : Le stockage de données est également activé lors d'un appel de synoptique de type Tendance étendue si des données en ligne sont analysées.
Les variables de type chaîne ne sont pas prises en charge par la fonction de stockage de données sur le disque dur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HDActive


ID_VAR_HDRDA

Type d'enregistrement

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Hard disk data (cyclical) (Données de disque dur [cyclique]) : écriture cyclique des valeurs sur le disque dur.
Valeurs retriées (RDA) : les valeurs sont écrites bloc par bloc sur le disque dur par le driver. (Fonction adaptée à l'analyse rétrospective des erreurs au niveau du système de contrôle.)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsKDAActiv


ID_VAR_HDUPDATE

Temps de cycle [s]

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Durée de l'intervalle [en secondes] de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HDUpdate


ID_VAR_HDWERTE

Nombre de valeurs

Disponible uniquement si la propriété Stockage de données sur disque dur actif est active :
Valeur correspondant à l'intervalle de conservation des valeurs en ligne sur le disque dur (mémoire circulaire) pour l'analyse dans l'élément dynamique Tendance, pour les données en ligne dans le module Tendance étendue ou pour l'exportation/l'importation de valeurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HDSize


ID_VAR_HYSTERESE

Hystérésis

Propriétés de l'hystérésis.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Hysteresis


ID_VAR_HYSTNEG

Négatif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec diminution. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est inférieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HystNeg


ID_VAR_HYSTPOS

Positif pour le signal

Hystérésis des limites définies en fonction de la plage du signal.

Plage d'hystérésis pour l'entrée en cas de changement de valeur avec augmentation. Les valeurs sont uniquement interprétées comme des dépassements de limite si la valeur changeante est supérieure à la plage d'hystérésis définie ici.
Par défaut : 0 (pas d'hystérésis)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HystPos


ID_VAR_INTERN_INITIALWERT

Valeur initiale

La valeur définie ici est utilisée en tant que valeur actuelle de la variable lors du démarrage du Runtime, si la propriété « Rémanence » est définie sur « Valeur initiale ».

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Initial_value


ID_VAR_INTERN_LOKAL

Calcul

Local : Pour les projets en réseau, la variable interne est évaluée et gérée localement, c'est-à-dire sur le client.
Ceci signifie que la valeur de la variable peut être différente sur chaque client, et que les valeurs limite sont évaluées localement.
Réseau : Pour les projets en réseau, les variables internes sont évaluées et gérées sur le serveur du projet. Elles ont la même valeur sur le serveur et tous les clients.
Par défaut : local.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Local


ID_VAR_INTERN_REMANENZ

Rémanence

Désactivée : Lors du démarrage du Runtime, la valeur de remplacement de la variable ou une chaîne (pour les variables chaîne) est utilisée comme valeur actuelle.
Valeur initiale : La valeur actuelle est la valeur saisie dans la propriété « Valeur initiale ».
Rémanent : La dernière valeur de la variable est utilisée comme valeur actuelle lors du redémarrage du Runtime.
Par défaut : désactivée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Remanenz


ID_VAR_KANALTYP

-

Selon le driver utilisé, un type d'objet est sélectionné durant la création de la variable et peut être modifié ici ultérieurement.
Siemens : bloc de données, marqueur, entrée/sortie
Modbus : coil et holding register.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ID_DriverTyp


ID_VAR_KENNUNG

Identification

Chaîne libre utilisée pour l'identification de la variable ou du type de données.
Utilisable lors du changement de langue en ligne à la place du nom de variable, car la langue de cette dernière ne peut pas être modifiée ultérieurement.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Tagname


ID_VAR_LBOUND

Index de début

Sélectionnez l'index de début du tableau dans la liste déroulante.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LBound


ID_VAR_LINANPASS

Ajustement linéaire

Ajustement des valeurs linéaires via la plage de mesure.
Paramètres de conversion linéaire des valeurs de l'automate en valeurs de visualisation.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_LinAdjust


ID_VAR_LOCKING

Groupe de commandes

Liaison d'un groupe de commandes à cette variable.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Locking


ID_VAR_MAKROHARDWARE

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque modification de la valeur brute (au niveau de l'automate) pour actualiser la valeur dans zenon.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AdjustHardware


ID_VAR_MAKROZENON

-

Indisponible si l'option Ajustement de valeur non linéaire est active :
La macro est activée à chaque définition d'une valeur au niveau du système de contrôle, pour actualiser la valeur brute (au niveau de l'automate).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AdjustZenon


ID_VAR_MAXGRADIENT

Gradient maximum

Disponible uniquement dans SICAM 230.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxGradient


ID_VAR_MESSMAX

Plage de mesure max.

Valeur maximum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RangeMax


ID_VAR_MESSMIN

Plage de mesure min.

Valeur minimum de la variable au niveau du système de contrôle.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RangeMin


ID_VAR_NACHKOMMA

Nombre de décimales

Nombre de décimales des valeurs de variables utilisées lors de l'affichage dans le système de contrôle.
Minimum : 0
Maximum : 5
Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Digits


ID_VAR_NAME

Nom

Nom unique de la variable. Les considérations suivantes s'appliquent lors de la définition du nom :

  • Longueur maximale : 128 caractères.
  • Le caractère # n'est pas autorisé.

Remarque : pour les drivers utilisant la connexion à zenon Logic, vous devez définir un préfixe. Pour plus de détails, reportez-vous au chapitre Création de variables O et M dans zenon Logic dans le manuel.
Toute modification du nom de la variable doit également être effectuée dans l'environnement de programmation (VBA, VSTA, PCE).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_VAR_NETADDR

Adresse réseau

Adresse de bus ou adresse réseau de la variable.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NetAddr


ID_VAR_NORMALZUSTAND

Valeur normale

Dans la liste déroulante, choisissez si la valeur normale de cette variable ou ce type de données doit être On (Active) ou Off (Inactive). Disponible pour les variables et les types de données du type BOOL, UINT et WORD pour tous les drivers.

Par défaut : Off

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NormalState


ID_VAR_NORMALZUSTANDAKT

Actif

Permet de définir un état normal pour les variables et les types de données du type BOOL, UINT et WORD pour tous les pilotes.

Actif : Un état normal peut être défini.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NormalStateActive


ID_VAR_OFFSET

Offset

Décalage de la variable.
Pour les contrôleurs à adressage linéaire : plage de mémoire.
Pour les contrôleurs à résolution de nom : adresse d'attribution.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 0.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Offset


ID_VAR_OFS_SOURCE

Offset de calcul

Sélectionnez le type de calcul souhaité pour l'offset. Les options suivantes sont disponibles :

  • Adressage selon l'offset du type de donnée et de l'offset de démarrage
  • Adressage automatique
  • Adressage manuel

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OfsSource


ID_VAR_PRIORITAET

Priorité

Si l'heure de mise à jour globale spécifiée dans la configuration du driver n'est pas utilisée, la fréquence des mises à jour correspondant aux différents niveaux de priorité peut être définie ici. Ici, un niveau de priorité est lié à la variable.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UpdatePriority


ID_VAR_PROP_GRP0

Adresse

Propriétés d'adressage de la variable :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Address


ID_VAR_PROP_GRP1

Plages de valeurs

Définition de la plage de valeurs de la variable.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Value


ID_VAR_PROP_GRP2

Paramètres additionnels

Propriétés étendues de la variable.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Extended


ID_VAR_PROP_GRP3

Stockage données disque dur

Propriétés d'enregistrement des valeurs de variables sur le disque dur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_HardDisk


ID_VAR_PROP_GRP4

Valeurs limites

Propriétés définissant le traitement des limites ou le traitement des alarmes pour la variable.

Les propriétés de ce groupe sont uniquement disponibles si vous avez activé la propriété Matrice de réaction active.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Limits


ID_VAR_PROP_GRP7

Enregistrer dans les événements

Propriétés de consignation dans la liste chronologique d'événements (CEL).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SetValueProtocol


ID_VAR_PROP_GRP8

-

Propriétés de l'acquittement et des domaines d'alarmes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Alarmhandling


ID_VAR_PROP_GRP9

-

Disponible uniquement dans SICAM 230.
Propriétés de gestion des alarmes de synoptique.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_PictureAlarm


ID_VAR_PROP_GRP10

Etat normal

Propriétés pour l'état normal d'une variable.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_NormalState


ID_VAR_PROP_GRP11

Variable interne

Propriétés des variables internes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_InternalVariable


ID_VAR_PROP_GRP12

-

Propriétés pour les variables de pilote du système.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SystemVariable


ID_VAR_PROP_GRP_GOOSE

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GOOSE


ID_VAR_READWRITE

Forçage valeurs actif

Actif : cette variable est libérée pour l'action Spécifier valeur prescrite.
Inactif : cette variable est protégée en écriture.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InOut


ID_VAR_REMA

Matrice de réaction

Dans la liste déroulante, sélectionnez une matrice de réaction disponible pour la variable sélectionnée. Si vous ne souhaitez pas utiliser une matrice de réaction, sélectionnez l'entrée <Aucune>.

Par défaut : <Aucune>

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Rema


ID_VAR_REMA_KNOTEN

Matrice de réaction

Propriétés d'utilisation d'une matrice de réaction pour la variable.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Rema


ID_VAR_REMAAKTIV

Matrice de réaction active

Actif : Une matrice de réaction est utilisée à la place des valeurs de limite.
Inactif : Les valeurs peuvent être définies pour la variable.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

IsRemaActiv


ID_VAR_SBO

Select Before Operate

Attention : Cette fonctionnalité est uniquement compatible avec les drivers IEC870 et IEC850, et uniquement disponible si vous avez sélectionné l'option Commande double pour la propriété de type d'action dans Commande. N'utilisez pas cette fonction pour le driver DNP3_NG ; Auto-SBO peut être configuré directement pour la variable, dans ce cas.

Actif : Avant que la valeur de la variable ne soit écrite dans l'équipement, zenon vérifie si la variable dans l'équipement est prête pour cette action (Select before Operate (SBO)).
Attention : Pour les commandes uniques, la réinitialisation automatique des valeurs des variables n'est pas effectuée dans l'intervalle de temps défini dans la propriété de délai de front.

Inactif : La valeur de la variable est écrite sur le matériel sans vérification préalable (Direct execute).
Par défaut : Inactive
Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SBO


ID_VAR_SIGMAX

Signal max.

Valeur maximum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SignalMax


ID_VAR_SIGMIN

Signal min.

Valeur minimum des variables dans l'automate.
Sauf définition différente dans la propriété Ajustement non-linéaire, la valeur brute de la variable (résolution du signal) sera toujours convertie au format de la plage de mesure sur une base linéaire (pour une utilisation dans le système de contrôle). Toutes les autres entrées de valeurs numériques spécifiques à la variable dans l'éditeur et dans le Runtime seront liées à la plage de mesures (par ex. définition des limites, limites des valeurs prescrites, zone de représentation, entrées de valeurs prescrites, etc.).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SignalMin


ID_VAR_SIGNAL

Plage de valeurs automate

Plage de valeurs de la variable dans l'automate.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SignalRange


ID_VAR_SOLLMAX

Valeur prescrite max.

La valeur maximum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ValueMax


ID_VAR_SOLLMIN

Valeur prescrite min.

La valeur minimum définie ici pour le paramètre Écrire valeur prescrite peut être acceptée par le biais d'éléments dynamiques, plutôt que par la configuration séparée de ces derniers.
Ceci est surtout recommandé si la plage de la mesure est susceptible de varier ultérieurement, car ces modifications peuvent être effectuées une fois ici, au lieu d'être modifiées séparément dans chaque élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ValueMin


ID_VAR_STANDBY

Venant seulement du redondant

Actif : La valeur de la variable provenant du serveur redondant est affichée.
Inactif : La valeur de la variable provenant du serveur est affichée.
(pour drivers de matériel uniquement).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Standby


ID_VAR_STRINGLAENGE

Longueur String

Disponible uniquement pour les variables de chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0 caractères.
Maximum : 65535 caractères.
Par défaut : 5 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StringLength


ID_VAR_STRINGLAENGE2

Longueur String

Disponible uniquement pour les variables de type Chaîne.
Nombre maximum de caractères pouvant être acceptés par la variable.
Minimum : 0
Maximum : 65535
Par défaut : 5

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxStringLen


ID_VAR_SWP_ACT

Ancienne et nouvelle valeur

  • Actif : en cas de modification de la valeur prescrite de cette variable, les valeurs ancienne et nouvelle sont consignées dans la liste chronologique d'événements (CEL).
  • Inactif : Seule la nouvelle valeur est consignée.

Par défaut : Inactive

Recommandation : Activez la propriété Variable lue en permanence. Ceci permet de garantir que la valeur est toujours disponible, et qu'il n'est pas nécessaire de l'interroger spécialement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SV_Act


ID_VAR_SWP_ART

Enregistrements (log)

Définit la manière dont l'écriture de la valeur prescrite sera consignée dans la liste CEL.

Tout : toutes les actions Spécifier valeur prescrite de cette variable via l'élément dynamique et la fonction Spécifier valeur prescrite sont consignées dans la liste chronologique d'événements.
Rien : aucune action Spécifier valeur prescrite n'est consignée dans la liste CEL.
Only via dyn. element (Uniquement via l'élément dynamique) Élément : seules les actions Spécifier valeur prescrite exécutées via les éléments dynamiques sont consignées dans la liste CEL.
Par défaut : Only via dyn. element (Uniquement via l'élément dynamique)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SetValueProtocol


ID_VAR_SWP_VBA

Valeurs modifiées par VBA

Actif : L'écriture de la valeur prescrite de cette variable via une macro VBA est consignée dans la liste chronologique d'événements.
Inactif : l'écriture de la valeur prescrite de cette variable via une macro VBA n'est pas consignée.
Par défaut : active

Remarque : pour les variables configurées sous forme de variables de commande dans la passerelle de procédé IEC870, chaque commande est consignée sous la forme Spécifier valeur prescrite via l'interface COM dans la liste CEL, si la propriété est activée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SV_VBA


ID_VAR_SYMBADDR

Adresse symbolique

Séquence de caractères pour l'adressage symbolique de la variable.

Longueur maximale : 128 caractères.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SymbAddr


ID_VAR_TREIBER

Driver

Driver de la variable. Sélectionné durant la création de la variable ; peut être modifié ici ultérieurement.

Remarque : le driver des projets zenon Logic ne peut pas être modifié ultérieurement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Driver


ID_VAR_TYPE

Type de donnée

Type de données de la variable, sélectionné durant la création de la variable ; le type peut être modifié ici ultérieurement.

Attention : Si vous modifiez le type de données ultérieurement, toutes les autres propriétés de la variable doivent être vérifiées et ajustées, si nécessaire.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ID_DataTyp


ID_VAR_USEMAKRO

Ajustement non-linéaire avec macros

L'ajustement de valeurs non-linéaires est utilisé pour les variables dont la valeur originale (automate) ne peut pas être ajustée de manière linéaire en fonction de la valeur mesurée (système de contrôle).
Actif : Les valeurs brutes sont ajustées en fonction des valeurs du système de contrôle, sur une base non linéaire (avec des macros VBA).
Lorsque la propriété Ajustement de valeurs non linéaire est activée, les macros VBA doivent être déclarées pour la conversion sous « AdjustHardwareValue » et « AdjustZenOnValue ».
Inactif : Les valeurs brutes sont adaptées aux valeurs du système de contrôle sur une base linéaire.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UseMacro


ID_VAR_WERTATTRIB

Attributs de valeurs

Propriétés des attributs de valeur de la variable :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ValueAttrib


ID_VAR_ZWREMANR

Groupe de compteur

Disponible uniquement dans SICAM 230.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CounterGroup


ID_VARGROUP

Groupe de variables externe

Propriété externe pour zenon Logic. Affecte uniquement les variables qui ne forment pas partie du pilote straton32.
Groupes de variables dans zenon Logic (Global ou Retain ou vides).

Cette propriété est uniquement affichée à titre d'information. Édition dans zenon Logic uniquement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Vargroup


ID_VARINASM

Enregistrer dans la base IPA

Actif : les alarmes de cette variable sont disponibles pour analyse dans le module Industrial Performance Analyzer (IPA).
Inactif : les alarmes de cette variable ne sont prises en compte lors de l'analyse dans le module Industrial Performance Analyzer (IPA).
Par défaut : Inactive

Attention : le module Industrial Performance Analyzer est un module optionnel, qui doit comporter une licence valide pour pouvoir être utilisé ici.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VarInASM


ID_VERRIEG_CBTR_FORMULA

Supprimer détection

Saisissez la formule avec laquelle la détection de déclenchement d'un disjoncteur peut être supprimée. Cliquez sur le bouton ... pour ouvrir l'éditeur de formules.

Pour la formule, toutes les variables du verrouillage peuvent être utilisées. Les remplacements de noms, par exemple lors de la définition de la condition de verrouillage d'une action, sont également possibles.

Remarque : les variables utilisées dans la formule ne peuvent pas être supprimées lors du verrouillage.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CBTR_Formula


ID_VERRIEG_CBTR_MONITORED

Détection déclenchement disjoncteur

Disponible uniquement si la propriété Définir état PROGRESS est active.

Actif : La variable de réponse est surveillée afin de déceler tout changement inattendu entre <> 0 et 0.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CBTR_Act


ID_VERRIEG_PROP1

Nom

Nom unique du verrouillage ou de la saisie de commande.
Par défaut : verrouillage/groupe de commandes (où x représente un nombre consécutif).
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

D'autres informations concernant la création des éléments suivants sont disponibles dans l'aide en ligne :

- Verrouillage

- Commande

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_VERRIEG_PROP2

Variable de l'action

Nom de la variable liée au groupe de commandes.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_VERRIEG_PROP3

Nom de variable de réponse

Nom de variable ou masque de remplacement de la variable de réaction.
Le caractère générique du texte de substitution est le caractère *, dans un nom. Un seul caractère générique est possible. Lors de la saisie du masque, il est important de vérifier que le nom résultant de la substitution correspond bien à une variable existante.
Si la variable utilisée ici (après substitution ou absolue) n'existe pas lors de la création des fichiers du Runtime, le groupe de commandes ne sera pas disponible dans le Runtime. Un message correspondant annonce cette erreur lors de la création des fichiers du Runtime.
Saisie directe ou ouverture de la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ReturnInformation


ID_VERRIEG_PROP4

Définir état PROGRESS

Actif : Pour les actions Commande et Correction manuelle, le bit d'état In progress (PROGRESS) est défini au niveau de la variable de réaction si les actions sont déclenchées dans le Runtime.
Le bit est utilisé pour déployer un affichage graphique, afin de montrer à l'utilisateur qu'une action est actuellement en cours d'exécution. À l'aide de l'élément combiné ou d'une matrice de réaction, vous pouvez contrôler le bit d'état et déployer un affichage graphique.

Inactive : Le bit d'état n'est pas défini.

Par défaut : inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DesiredDirection


ID_VERRIEG_PROP5

Tempo

Détermine le procédé de temporisation de la commande de surveillance.

  • Aucune : pas de temporisation de la commande de surveillance
  • Variable de réponse : la valeur de la variable de réponse est utilisée pour déterminer si l'exécution de la commande a réussi.
  • COT : l'option COT (cause de transmission) est utilisée pour déterminer si l'opération a réussi.
    Pour l'action Commande, les états de la cause de transmission (COT) sont évalués, ainsi que les valeurs des variables de réaction.
    Si la procédure de COT n'est pas terminée correctement durant le Timeout configuré pour l'action, le bit d'état TIMEOUT est défini. Le suivi est activé seulement si la valeur à écrire n'est pas égale à la valeur courante de la variable d'action.

Par défaut : aucun.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WatchDogTimer


ID_VERRIEG_PROP6

Type action

Disponible uniquement pour l'action Commande :
type de commande.
Commande double : écrit la valeur de la propriété Command status (État de la commande).
Commande simple : écrit la valeur de la propriété Command status (État de la commande). Après expiration du délai de front, la valeur 0 est écrite. Cette écriture n'est plus contrôlée par le Runtime.
Par défaut : commande simple.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Type


ID_VERRIEG_PROP7

Etat de la réponse/direction de commutation

Indisponible pour les actions suivantes : Bloquer, Verrouiller et Approuver.
Définit la valeur attendue et/ou l'état de la variable de réponse après l'exécution de l'action. Les entrées possibles varient en fonction de l'action.
Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Direction


ID_VERRIEG_PROP9

Supprimer événement

Actif : Aucune entrée n'est créée dans la liste chronologique d'événements (CEL) lors de l'exécution de l'action.
Inactif : Une entrée est créée dans la liste chronologique d'événements (CEL) lors de l'exécution de l'action.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CELBlock


ID_VERRIEG_PROP10

Timeout

Disponible seulement pour les actions 'Commande' en 'Envoi valeur' :
Délai d'attente utilisé pour la temporisation du chien de garde, en secondes.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 30.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Timeout


ID_VERRIEG_PROP11

Lien logique

Ouvre la boîte de dialogue de définition de la formule de la condition.
Dans un réseau, les conditions de verrouillage sont toujours calculées localement. En cas d'utilisation de variables locales (par ex. issues du driver du système ou de variables internes), les conditions sur un client peuvent être différentes de celles sur un serveur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Formula


ID_VERRIEG_PROP12

Déverrouillable

Disponible uniquement dans SICAM 230 ou si le module Energy Edition comporte une licence :
Actif : Le verrouillage peut être déverrouillé manuellement via le synoptique Envoi de commande.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Delocking


ID_VERRIEG_PROP13

Texte de verrouillage

Description du verrouillage.
Dans le Runtime, ce texte peut être affiché sur le synoptique Envoi de commande (si vous possédez une licence pour le module Energy Edition) ; vous pouvez également y accéder à l'aide d'une macro VBA.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Text


ID_VERRIEG_PROP14

Commande

Disponible uniquement pour l'action Commande :
Définit la valeur qui est écrite dans la variable de commande durant l'action "Commande".0 : La variable de commande est réinitialisée à 0.
1 : La variable de commande est réinitialisée à 1.
Par défaut : 1.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CommandState


ID_VERRIEG_PROP15

Etats modifiables

Disponible uniquement pour l'action Commande :
Liste des états qui peuvent être modifiés avec l'action Envoi état.
Par défaut : aucun.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

State


ID_VERRIEG_PROP16

Comparaison valeur nominale/actuelle

Actif : Une vérification est effectuée afin de déterminer si la valeur de la variable de réponse correspond déjà à la direction de la commutation à effectuer. Si c'est le cas, un message déverrouillable est affiché dans la commande.
Inactif : La direction de commutation n'est pas vérifiée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Actual


ID_VERRIEG_PROP17

Synoptique modal

Actif : La commande bascule en mode modal, indépendamment de la propriété Boîte de dialogue modale du synoptique. Cela signifie que les autres autres synoptiques peuvent uniquement être actionnés lorsque le synoptique a été fermé.
Inactif : le synoptique de commande est basculé normalement.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Modal


ID_VERRIEG_PROP18

Titre de synoptique depuis la variable de réponse

Actif : l'identification de la variable de réponse est utilisée comme titre de synoptique.
Inactif : le nom du synoptique est utilisé comme titre de synoptique.
Par défaut : inactive.
Attention : pour activer le titre de synoptique, vous devez en outre activer la propriété Titre dans le cadre concerné.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RM-Titel


ID_VERRIEG_PROP19

Synoptique

Nom du synoptique à afficher si aucun synoptique spécifique à l'action n'est défini, et si le synoptique n'est pas affiché par une fonction Appel de synoptique.

Remarque : si une saisie de commande est déclenchée par l'écriture d'une valeur prescrite au niveau de l'élément, vous devez lier un synoptique ici.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PicGUID


ID_VERRIEG_PROP20

Synoptique

Synoptique de type Envoi de commande utilisé lorsque l'action a été exécutée à l'aide du menu contextuel de l'élément. Si aucun synoptique n'est spécifié, le synoptique défini pour le groupe de commandes dans la propriété Synoptique est utilisé. Un synoptique développé, mais indisponible génère un message d'erreur lors de la création des fichiers de Runtime. Dans ce cas, l'action n'est pas reprise.
Par défaut : aucun.

Remarque : si la saisie de commande est déclenchée via l'écriture d'une valeur prescrite au niveau de l'élément, cette propriété est ignorée et le synoptique spécifié dans la propriété Synoptique est systématiquement utilisé.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PicGUID


ID_VERRIEG_PROP21

Bouton d'action

Indisponible pour l'action Verrouillage ou si aucun synoptique de commande n'est attribué :
Attribution de l'action à un bouton d'action défini dans un synoptique de commande.
Si le groupe de commandes est associé à un autre synoptique (par exemple, via une fonction), l'attribution au bouton d'action est conservée. Si un tel bouton est manquant, l'action n'est pas disponible dans le synoptique.
Seuls les boutons d'actions, qui n'ont pas encore été attribués, sont montrés dans la liste de sélection.
Par défaut : aucun

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CmdBtn


ID_VERRIEG_PROP22

Fermer automatiquement

Actif : Le synoptique de commande est automatiquement fermé lorsque l'action a été exécutée.
Inactif : Le synoptique de commande n'est pas automatiquement fermé.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CloseMDIWnd


ID_VERRIEG_PROP23

Opération à deux mains

Disponible seulement pour les exécutions en deux étapes :
Actif : L'élément de contrôle Execute 2 peut uniquement être actionné lorsque la touche Ctrl est enfoncée.
Inactif : L'élément de contrôle peut toujours être actionné.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TwoHand


ID_VERRIEG_PROP24

Durée d'impulsion

Disponible uniquement si l'option Commande simple a été sélectionnée pour la propriété Type action.
Après expiration de ce délai en millisecondes, la valeur de la variable de commande est réinitialisée sur 0 ou 1, en fonction du sens de commutation. La valeur n'est pas réinitialisée si vous avez activé la propriété Select Before Operate de la variable d'action.
Minimum : 0
Maximum : 4294967295
Par défaut : 1000
Attention : Le système n'attend pas que la tempo du chien de garde soit terminée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EdgeDelay


ID_VERRIEG_PROP25

A deux étapes

Actif : L'action sera exécutée après confirmation du contrôle "Execute 2".

Inactif : L'action sera exécutée :

  • après déverrouillage du dernier verrouillage.
  • immédiatement, si aucun verrouillage n'est actif.

Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TwoLevel


ID_VERRIEG_PROP29

Spécifier valeur prescrite

Disponible uniquement si la propriété Etat de la réponse/direction de commutation a été définie sur DIR.

Définit les valeurs prescrites devant être écrites.

Par défaut : 0

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ValueDirectly


ID_VERRIEG_PROP30

Variable résultat

Affiche le résultat de la condition de verrouillage sur la variable sélectionnée.

Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom de la variable directement dans le champ de saisie.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ValueVariable


ID_VERRIEG_PROP31

Utiliser le qualificatif de commande

Disponible uniquement si vous possédez une licence pour le module Energy Edition.

Vous pouvez ajouter des informations supplémentaires aux commandes (qualificatif de commande) si cette capacité est prise en charge par le pilote. Pilotes possibles : IEC850, IEC870 et DNP3.

Active : Active la saisie sous la propriété Qualificatif de commande.

Par défaut : Inactive

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UseQOC


ID_VERRIEG_PROP32

Qualificatif de commande

Saisissez une valeur numérique qui sera transmise au pilote sous forme de paramètre de commande. En fonction du driver, ce paramètre aura des effets différents.

  • IEC850: les valeurs comprises entre 0 et 3 seront insérées dans le champ Vérification des commandes ; les autres valeurs seront ignorées.
  • IEC870 : les valeurs comprises entre 0 et 31 seront insérées dans le champ QU des commandes ; les autres valeurs seront ignorées.
  • DNP3 : la valeur 1 signifie Envoyer une impulsion, toutes les autres signifient Verrouiller.

Minimum : 0

Maximum : 127

Par défaut : 0

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

QOC


ID_VERRIEG_PROP33

Nom

Portion libre du nom d'un verrouillage.

Lors de la saisie d'un nom, le nom complet est défini comme suit : Nom: Lien logique, par exemple : Nom : X03 non acquitté AND X02.

Si aucun nom n'est saisi, le nom complet est généré automatiquement comme suit : Condition <indice> : Lien logique, par exemple : Condition 01 : X03 non acquitté AND X02.

Par défaut : Condition <indice> :

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_VERRIEG_PROP34

ID du menu

ID unique de l'action. L'ID de menu est utilisé pour la création des menus contextuels dans le Runtime. Si deux actions comportent le même ID, elles sont identifiées à l'aide d'un symbole spécial dans l'arborescence des actions.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CmdMenuID


ID_VERRIEG_PROP35

Variable de verrouillage

Variable pouvant être utilisée pour la condition de verrouillage. En cliquant sur le bouton ..., vous pouvez échanger la variable sans devoir adapter la formule.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_VERRIEG_PROP_DEL

<Supprimer condition>

La condition est supprimée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Delete


ID_VERRIEG_PROP_GRP0

Général

Propriétés générales de verrouillage ou de saisie de commande.

D'autres informations concernant la création des éléments suivants sont disponibles dans l'aide en ligne :

- Verrouillage

- Commande

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_VERRIEG_PROP_GRP4

Synoptique de commande

Propriétés du synoptique de commande.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Picture


ID_VERRIEG_PROP_GRP5

Options

Propriétés des options de la commande.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Options


ID_VERRIEG_PROP_GRP6

Paramètres d'action

Propriétés des paramètres d'action de la commande.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_VERRIEG_PROP_GRP7

Variable

Propriétés des variables du verrouillage.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_VERRIEG_PROP_GRP8

Condition

Propriétés des conditions du verrouillage.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_VERRIEG_PROP_GRP9

Autorisation

Contient les propriétés de la définition des niveaux d'autorisation pour les fonctions de verrouillage et de déverrouillage.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Rights


ID_VERRIEG_PROP_GRP10

Calcul des états

Paramètres de gestion de l'état lors de la saisie de commandes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StatusHandling


ID_VERRIEG_PROP_GRP11

Synoptique de commande

Paramètres du synoptique Commande lors de la saisie de commandes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CommandScreen


ID_VERRIEG_PROP_NEW

<Nouvelle condition>

Une nouvelle condition créée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

New


ID_VORSCHAU

Aperçu

Disponible uniquement si une variable est liée au symbole.

Ouvre la boîte de dialogue de remplacement des liens. Les modifications de l'aperçu sont reprises et inversées dans les propriétés Source et Destination.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Preview


ID_WORKSPACE_PROP_MSGCTRL

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MessageControl


ID_WORKSPACE_PROP_PATH

Fichier d'espace de travail

Nom et emplacement de sauvegarde du fichier de l'espace de travail. Affichage uniquement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Workspacepath


ID_WORKSPACE_PROPS_GRP

Espace de travail

Contient les propriétés de l'espace de travail.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Arbeitsbereich


ID_WRONGPW

Nb max d'erreurs utilisateur

Nombre de saisies incorrectes du mot de passe d'un utilisateur.
Le système est bloqué si ce nombre est dépassé. À l'exception des administrateurs, plus aucun utilisateur ne peut se connecter. Le système est automatiquement déverrouillé lorsqu'un administrateur se connecte. Une entrée correspondante est créée dans la liste chronologique d'événements (CEL). Toute modification de cette valeur ne prend effet dans le Runtime qu'après un redémarrage.
Minimum : 0
Maximum : 65535
Par défaut : 3

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserTries


ID_WRONGUSER

Nb max d'erreurs mot de passe

Nombre de saisies incorrectes du mot de passe.
L'utilisateur correspondant est bloqué si ce nombre est dépassé. Une entrée correspondante est créée dans la liste chronologique d'événements (CEL). Seul un administrateur peut le débloquer.
Minimum : 0.
Maximum : 65535.
Par défaut : 3.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PasswordTries


ID_ZEITSTG_PROP1

Nom

Nom du schéma actif.
Par défaut : Fonction de temps x (où x est un nombre consécutif).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_ZEITSTG_PROP2

Fonction

Fonction devant être exécutée de manière temporisée.
Ouvre la boîte de dialogue de sélection de fonction.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Function


ID_ZEITSTG_PROP3

Actif

Actif : La fonction de temps est active dans le Runtime.
Inactif : La fonction de temps n'est pas affichée dans le Runtime.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Active


ID_ZEITSTG_PROP4

Type d'exécution

À partir de ce jour : La fonction est exécutée à partir du jour spécifié, à l'heure définie.
Seulement ce jour : La fonction est exécutée une fois le jour spécifié, à l'heure définie.
Par cycle à partir de ce jour : La fonction est exécutée de manière à partir du jour spécifié, à l'intervalle défini.
Par cycle seulement pour ce jour : La fonction est uniquement exécutée de manière cyclique le jour ouvré spécifié, à l'intervalle défini.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Type


ID_ZEITSTG_PROP5

Heure de démarrage

Date à laquelle ou à partir de laquelle la fonction temporisée doit être exécutée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ExecuteDate


ID_ZEITSTG_PROP7

Intervalle

Intervalle durant lequel la fonction doit être exécutée.
Par défaut : 00:15:00

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Interval


ID_ZEITSTG_PROP8

Intervalle un mois

Disponible uniquement si la valeur Cyclique a été sélectionnée pour la propriété Type d'exécution.
Actif : La fonction est exécutée après un intervalle d'un mois, au changement de mois.
Inactif : les autres paramètres d'exécution de la fonction sont utilisés.
Par défaut : Inactive

Remarque : Le changement de mois et changement d'année désigne la date d'exécution définie, et non le changement de mois au 01/01 à 00:00. Si la modification doit être exécutée à cet instant précis, la configuration doit être effectuée pour cet instant ; par exemple, 01.01.2012 à 00:00:00 h.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Monthly


ID_ZEITSTG_PROP9

Intervalle une année

Disponible uniquement si la valeur Cyclique a été sélectionnée pour la propriété Type d'exécution.
Actif : La fonction est exécutée après un intervalle d'un an, au changement d'année.
Inactif : les autres paramètres d'exécution de la fonction sont utilisés.
Par défaut : Inactive

Remarque : Le changement de mois et changement d'année désigne la date d'exécution définie, et non le changement de mois au 01/01 à 00:00. Si la modification doit être exécutée à cet instant précis, la configuration doit être effectuée pour cet instant ; par exemple, 01.01.2012 à 00:00:00 h.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Yearly


ID_ZEITSTG_PROP10

Lundi

Actif : La fonction est (également) exécutée le lundi.
Inactif : La fonction n'est pas exécutée le lundi.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Monday


ID_ZEITSTG_PROP11

Mardi

Actif : La fonction est (également) exécutée le mardi.
Inactif : La fonction n'est pas exécutée le mardi.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Tuesday


ID_ZEITSTG_PROP12

Mercredi

Actif : La fonction est (également) exécutée le mercredi.
Inactif : La fonction n'est pas exécutée le mercredi.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Wednesday


ID_ZEITSTG_PROP13

Jeudi

Actif : La fonction est (également) exécutée le jeudi.
Inactif : La fonction n'est pas exécutée le jeudi.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Thursday


ID_ZEITSTG_PROP14

Vendredi

Actif : La fonction est (également) exécutée le vendredi.
Inactif : La fonction n'est pas exécutée le vendredi.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Friday


ID_ZEITSTG_PROP15

Samedi

Actif : La fonction est (également) exécutée le samedi.
Inactif : La fonction n'est pas exécutée le samedi.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Saturday


ID_ZEITSTG_PROP16

Dimanche

Actif : La fonction est (également) exécutée le dimanche.
Inactif : La fonction n'est pas exécutée le dimanche.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Sunday


ID_ZEITSTG_PROP_GRP0

Général

Propriétés générales de la fonction de temps.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_TimeFct


ID_ZEITSTG_PROP_GRP1

Paramètres de temps

Paramètres de temps de la fonction.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Timeadj


ID_ZEITSTG_PROP_GRP3

-

Utilisable uniquement avec le type d'exécution cyclique.
Sélection du changement de mois et d'année.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :


ID_ZEITSTG_PROP_GRP4

Jours d'exécution

Sélection du (ou des) jour(s) d'exécution de la fonction.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ExecutionDays


ID_ZUWEIS_PROP1

Nom

Nom unique de l'attribution.
Par défaut : Attribution x (où x est un numéro consécutif).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_ZUWEIS_PROP2

Variable source

Nom de la variable dont la valeur doit être attribuée à la variable cible.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SourceVariable


ID_ZUWEIS_PROP3

Variable de destination

Nom de la variable dont la valeur doit être attribuée à la variable source.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TargetVariable


ID_ZUWEIS_PROP4

Var. de déclenchement

La variable de bit liée ici déclenche l'attribution. Si aucune variable n'est liée, l'attribution est exécutée de manière événementielle. Cela signifie que dès que la valeur de la variable source change, l'attribution est automatiquement écrite dans la variable cible.
Ouvre la boîte de dialogue de sélection de variables ; seules les variables bit sont affichées.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TriggerVariable


ID_ZUWEIS_PROP5

Type de déclenchement

Front : L'attribution est exécutée si la valeur de la variable de déclenchement liée change de 0 en 1.
État : L'attribution est exécutée tant que la valeur de la variable de déclenchement liée est 1.
Par défaut : Front.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TriggerType


ID_ZUWEIS_PROP_GRP0

Général

Propriétés générales de l'attribution.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_ZW_PROP_ABFRAGE

Variable lecture compteur

Variable d'interrogation de compteurs.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

QueryPV


ID_ZW_PROP_AUSGANGABS

Sortie de type compteur : absolu

Sortie sous forme de valeur absolue

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OutputAbs


ID_ZW_PROP_AUSGANGREL

Sortie de type compteur : relatif

Sortie sous forme de valeur relative.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OutputRel


ID_ZW_PROP_EINGANGABS

Entrée de type compteur

Valeur absolue ou relative

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InputAbs


ID_ZW_PROP_GRP0

Général

Utilisez les propriétés suivantes pour configurer la matrice de réaction de comptage de valeurs.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


ID_ZW_PROP_MAXWERT

Compteur max.

Relevé de compteur maximal

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxCount


ID_ZW_PROP_NAHANDLING

Gestion NA

Mode de traitement "non actualisé" (valeur du compteur située hors de la fenêtre horaire).

Commutation vers le bit INVALID : la valeur du compteur sera définie sur INVALID (non valide).

Basculer vers la valeur de remplacement : la valeur du compteur sera définie sur la valeur de remplacement configurée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NAHandling


ID_ZW_PROP_NAME

Désignation

Nom du groupe de compteurs.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


ID_ZW_PROP_NUMBER

ID

Numéro interne du groupe de compteurs.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Number


ID_ZW_PROP_OFFSET

Offset [s]

Délai de la première requête après le démarrage, en secondes.

Ceci garantit que la connexion à la station distante est opérationnelle.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Offset


ID_ZW_PROP_OVHANDLING

Gestion OV

Comportement en cas de dépassement de la valeur absolue ou de dépassement du gradient.

Commutation vers le bit INVALID : la valeur du compteur sera définie sur INVALID (non valide).

Basculer vers la valeur de remplacement : la valeur du compteur sera définie sur la valeur de remplacement configurée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

OVHandling


ID_ZW_PROP_TARIF

Variable pour code tarif

Variable de contrôle utilisée pour l'identification tarifaire.

Attribution aux états utilisateurs 1...8

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TariffPV


ID_ZW_PROP_TIMEOUT

Période [s]

Délai d'attente de la vérification d'intégrité.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Timeout


ID_ZW_PROP_TRIGGER

Var. de déclenchement

De l'heure de la requête à la fin de la fenêtre de temps : 1

Sinon : 0

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TriggerPV


ID_ZW_PROP_ZYKLUSZEIT

Temps de cycle du groupe [s]

Durée du cycle de relevé du compteur en secondes

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CycleTime


IDD_VARVERWALTUNG5

Nom

Nom des types de données. La longueur est limitée à 128 caractères.
Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


IDP_3TFORM_EDITOR

Utilisation domaine

Définit les effets qu'aura l'élément créé sur le cadre.

Les paramètres suivants sont disponibles :

Couverture : La surface de l'élément est utilisée en tant que zone du synoptique.

Couper : la surface de l'élément est supprimée des surfaces situées dessous.

ORed (Variable) : cet élément est découpé ou couvert, en fonction de la présence d'un élément de couverture situé sous l'élément.

Remarque : La manière dont la surface est utilisée dépend toujours des surfaces situées sous l'élément.

Pour les nouveaux éléments, les derniers paramètres sélectionnés sont utilisés.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Combine


IDP_AMISTS_DEVICE

-

Vous pouvez spécifier un équipement ou un équipement coupe-circuit. Celui-ci doit exister la base de données du serveur de transactions.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AMISTSDevice


IDP_AMISTS_LSDGROUP

-

Pour le changement de programme, vous devez spécifier le groupe d'équipements coupe-circuit ici.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AMISTSLSGroup


IDP_AMISTS_REFERENCE

-

La connexion entre la variable et le serveur de transactions correspondant est alors établie telle qu'elle a été développée dans la configuration de driver.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AMISTSReference


IDP_AMISTS_RELAYADDRESS

-

Au niveau de l'équipement coupe-circuit, le relais correspondant est spécifié dans une plage de valeurs de 1 à 5. Pour un équipement, cette spécification n'a aucune incidence.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AMISTSRelayNumber


IDP_AMISTS_RELAYPROGRAM

-

Vous spécifiez ici un programme de commutation. Ici, vous devez spécifier un programme de commutation, qui doit être exécuté dans le bloc de développement 17 du serveur de transaction.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AMISTSLSDProgram


IDP_AML_LONGLIMITS

Textes de limite dynamiques longs pour les alarmes

Détermine si le champ de commentaires des textes de limite dynamiques est disponible. La limite dynamique vous permet d'insérer les valeurs actuelles d'autres variables dans le texte de limite d'une variable.
Actif : Le contenu dynamique sera conservé dans un fichier au format de fichier D*.AML, qui sera conservé en plus du fichier A*.AML. Le champ de commentaires peut donc être utilisé pour les commentaires. Les textes de limite dynamiques peuvent comporter une longueur maximale de 254 caractères.
Inactif : le champ de commentaires est utilisé pour les textes de limite dynamiques et n'est donc pas disponible pour les commentaires. Longueur maximale : 80 caractères.
Par défaut : inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlarmLongDynLimits


IDP_BATCH_ACTION_ALLOC_GRP

Attribuer tag

Contient les propriétés d'attribution des balises.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActAllocGrp


IDP_BATCH_ACTION_CELACTIVE

Créer une entrée dans la liste des événements

Actif : Le texte défini dans la propriété Texte événement est inséré dans la liste CEL.

L'entrée est insérée dans la liste CEL sur le serveur, avec l'utilisateur connecté à cet instant.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActCelEn


IDP_BATCH_ACTION_CELMSG

Texte événement

Disponible uniquement si la propriété Créer une entrée dans la liste des événements est active.

Texte inséré dans la liste CEL. Peut contenir des mots clés issus de la table de langues.

Maximum : 512 caractères.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActCelMsg


IDP_BATCH_ACTION_DESCR

Description

Texte libre permettant de décrire l'événement sélectionné.
La description ne peut pas être affichée dans le Runtime et est uniquement valide dans l'Éditeur.
Maximum : 512 caractères.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActDescr


IDP_BATCH_ACTION_DESTTAG

Tag cible

Disponible uniquement si vous avez saisi un(e) Tag source.

Balise sur laquelle la valeur de la balise définie dans la propriété Tag source doit être écrite. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de balises. Seules les balises de type adéquat sont disponibles. Si la balise est renommée, la modification est appliquée automatiquement.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActDestTag


IDP_BATCH_ACTION_FUNC

Fonction

Fonction devant être exécutée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Vous pouvez sélectionner une fonction dans le projet local ou un autre projet. Le projet et la fonction doivent être disponibles dans le Runtime. Si la fonction est renommée, la modification est automatiquement appliquée.

Dans le Runtime, une vérification de la disponibilité de la fonction est effectuée.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActFunc


IDP_BATCH_ACTION_FUNCTION_GRP

Fonction

Contient les propriétés de sélection des fonctions.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActFuncGrp


IDP_BATCH_ACTION_GENERAL_GRP

Général

Contient les propriétés générales pour les événements.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActGeneral


IDP_BATCH_ACTION_LOG_GRP

Entrée dans la liste d'événements

Contient les propriétés des entrées de la liste CEL et des fichiers LOG.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActLogGrp


IDP_BATCH_ACTION_LOGMSG

Texte dans les traces

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActLogMsg


IDP_BATCH_ACTION_LOGMSG_EN

Créer une entrée dans les traces

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActLogEn


IDP_BATCH_ACTION_PRIO

Ordre d'exécution

Affiche l'ordre d'exécution lorsque plusieurs réactions ont été définies pour un même événement. L'ordre est défini par la position dans la liste, et est uniquement affiché ici. L'ordre peut être modifié par le biais de la barre d'outils ou du menu contextuel de l'événement.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActPrio


IDP_BATCH_ACTION_REACTION_GRP

Réactions

Contient les propriétés des réactions.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActSetTagGrp


IDP_BATCH_ACTION_RECIPE_GRP

Influence de recette

Contient les propriétés du mode et de la commande de mode REE.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActRecipeGrp


IDP_BATCH_ACTION_RESCMD

Commande

Recette ou commande de phase exécutée dans le Runtime lors d'un événement. Les commandes de recettes influencent l'exécution de l'ensemble de la recette. Les commandes de phase influencent uniquement la phase pour laquelle la réaction est configurée ou pour laquelle l'événement s'est produit. La commande de recette ou la commande de phase est uniquement exécutée dans le Runtime si la commande est autorisée. Par exemple : L'exécution d'une recette peut être poursuivie si la recette est suspendue. Une phase ne peut pas être redémarrée si la phase est mise en pause ou est en cours d'exécution dans le Runtime.

Remarque : La validation de la recette dans le Runtime ne vérifie pas la plausibilité des commandes de phase ou des commandes de recette.

Sélection de la commande REE dans la liste déroulante.

  • Figer la phase
  • Poursuivre la phase
  • Redémarrer la phase
  • Mise en pause de la phase
  • Ignorer
  • Annuler la recette
  • Figer la recette
  • Poursuivre la recette
  • Redémarrer la recette
  • Mettre la recette en pause
  • Stopper la recette

Par défaut : Ignorer

Remarque : Pour chaque événement, une seule commande peut être définie. Pour tous les autres événements du même type, la propriété est automatiquement définie sur Ignorer. Même si la fonction d'arrêt du Runtime est déclenchée, la propriété est automatiquement définie sur Ignorer. Si l'élément Evénement est modifié, il est possible que ce paramètre soit également défini sur Ignorer.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActResCmd


IDP_BATCH_ACTION_RESCMDMODE

Mode REE

Cette réaction permet de contrôler le mode REE en tant que réaction à l'événement dans le Runtime.

Sélection du mode REE dans la liste déroulante :

  • Automatique
  • Semi-automatique
  • Ignorer
  • Manuels

Par défaut : Ignorer

Remarque : Le mode REE peut être défini une fois seulement pour chaque événement. Pour tous les autres événements du même type, le mode est automatiquement défini sur Ignorer. Si la fonction d'arrêt du Runtime est déclenchée, le mode est automatiquement défini sur Ignorer. Si l'élément Evénement est modifié en événement pour lequel une réaction existante est déjà configurée dans le mode REE, la réaction du mode à l'événement modifié est définie sur Ignorer. Si aucune réaction dans le mode REE n'existe pour le nouvel événement, la réaction du mode REE est conservée. Exception : Exécution de la commande d'arrêt du Runtime.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActResCmdMode


IDP_BATCH_ACTION_SETTAG

Paramètre

Balise sur laquelle la valeur prescrite doit être écrite en tant que réaction de l'événement. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de balises. Pour la sélection de balises, la considération suivante est vraie :

  • Seules les balises de la phase à laquelle appartient la réaction peuvent être sélectionnées.
  • Les balises de retour et les balises de commande peuvent toutes deux être sélectionnées.
  • Si la balise est renommée, la modification est appliquée automatiquement.
  • La valeur prescrite de la balise peut être saisie indépendamment du type de données BALISE.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActSetTag


IDP_BATCH_ACTION_SETTAG_BO

Valeur booléenne

Disponible uniquement si, dans la propriété Paramètre, une balise de type binaire a été sélectionnée.

Définit la valeur d'une balise binaire. Sélection dans la liste déroulante :

  • Off (0)
  • On (1)
  • Basculer : bascule entre les états
    Au démarrage de la phase, la valeur est requise et écrite à l'envers dans la réaction. Si aucune valeur valide n'est reçue, vous pouvez réagir via la réaction Variable liée non valide.

Par défaut : Off (0)

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActSetTBool


IDP_BATCH_ACTION_SETTAG_DUR

Période de temps

Disponible uniquement si, dans la propriété Paramètre, une balise de type durée a été sélectionnée.

Définit la valeur en jours, heures, minutes et secondes des balises de type durée. L'intervalle de temps est écrit sous forme de valeur en secondes sur la variable liée au niveau de la balise.

  • Valeur maximale : 0dj 00:00:00
  • Valeur minimale : 9999j 23:59:59
  • Par défaut : 0dj 00:00:00

Par exemple : 30 minutes et 5 secondes = 1805

Dans le Runtime, durant la validation de la recette, une vérification est effectuée afin de déterminer si la valeur en secondes est comprise dans les limites minimum/maximum de la variable liée au niveau de la balise.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActSetTDuration


IDP_BATCH_ACTION_SETTAG_GRP

valeur prescrite tag

Contient les propriétés pour l'écriture des valeurs prescrites des balises.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActReactGrp


IDP_BATCH_ACTION_SETTAG_MEUNIT

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActSetTagMeUnit


IDP_BATCH_ACTION_SETTAG_NUM

Valeur numérique

Disponible uniquement si, dans la propriété Paramètre, une balise de type numérique a été sélectionnée.

Valeur prescrite des paramètres de type numérique.
Vous pouvez définir un nombre entier positif ou négatif ou un nombre à virgule flottante ; celui-ci est écrit sous forme de réaction sur la balise.

Dans le Runtime, durant la validation de la recette, une vérification est effectuée afin de déterminer si la valeur en secondes est comprise dans les limites minimum/maximum de la variable liée au niveau de la balise.

Par défaut : 0

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActSetTNum


IDP_BATCH_ACTION_SETTAG_STR

Valeur string

Disponible uniquement si, dans la propriété Paramètre, une balise de type chaîne a été sélectionnée.

Valeur prescrite des paramètres de type chaîne.

Dans le Runtime, durant la validation de la recette, une vérification est effectuée afin de déterminer si la longueur de la chaîne est inférieure à la caractéristique Longueur String maximum de la variable liée au niveau de la balise.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActSetTStr


IDP_BATCH_ACTION_SRCTAG

Tag source

Balise dont la valeur est transférée vers la balise définie dans la propriété Tag cible. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de balises.

Au début de la phase, dans le Runtime, la valeur de la variable au niveau de la balise est demandée. Si aucune valeur valide n'est reçue, vous pouvez réagir via la réaction Variable liée non valide. Si la balise est renommée, la modification est appliquée automatiquement.

Dans le Runtime, durant la validation de la recette, une vérification est effectuée afin de déterminer si l'élément Tag cible existe et si la variable liée au niveau de la balise est validé et du type correct.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActSrcTag


IDP_BATCH_ACTION_TYPE

Evénement

Sélection du type d'événement suivant lequel la réaction est exécutée dans une liste déroulante :
Pour chaque événement, plusieurs réactions peuvent être définies. L'ordre d'exécution peut être défini dans la vue de détail.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BatchActType


IDP_BATCH_COMMUNICATION_FAILURE

Action pour la perte de communication

Configuration de la réaction aux défaillances des communications. Sélectionnez dans la liste déroulante :

  • Figer la phase
  • Mise en pause de la phase

Les conditions d'identification des défaillances des communications sont définies à l'aide des fonctions de base, dans la propriété Perte de communication.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CommunicationFailureAction


IDP_BATCH_COMMUNICATION_FAILURE_GRP

Perte de communication

Propriétés de la réaction aux défaillances des communications. Les conditions d'identification des défaillances des communications sont définies à l'aide des fonctions de base, dans la propriété Perte de communication.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CommunicationFailure


IDP_BATCH_GLOB_CYCLETIME

Temps de cycle [s]

Durée du cycle durant lequel une nouvelle image est créée, en secondes.

  • Minimum : 30 s
  • Maximum : 4294967295 s

Par défaut : 30 s

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CycleTime


IDP_BATCH_GLOB_CYCLEWRITEACTIVE

Activer écriture cyclique

Actif : Une image est écrite de manière cyclique.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CyclicWriteActive


IDP_BATCH_GLOB_CYCLICIMAGE_GROUP

Ecriture image cyclique

Contient les propriétés d'écriture cyclique de l'image.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CyclicImage


IDP_BATCH_GLOB_EXPLANATION_NEEDED

Justification de la modification de valeur nécessaire

Actif : Lors de la saisie de modifications de valeurs dans le Runtime, une raison motivant la modification doit être saisie par l'utilisateur. Une boîte de dialogue de saisie de la raison est affichée avant que la modification n'ait lieu. Ce paramètre est valide pour l'ensemble du module Batch Control, et ne peut plus être modifié localement pour les fonctions de base individuelles.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ExplanationNeeded


IDP_BATCH_GLOB_JOBVARIABLE

Variable de tâche

Sélection des variables de la tâche. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

JobVariable


IDP_BATCH_GLOB_JOBVARIABLE_APPLYTYPE

Appliquer la valeur de la variable de tâche

Sélection dans une liste déroulante de l'instant auquel la valeur de la variable de tâche doit prendre effet :

  • Création recette de contrôle
  • Au démarrage de la recette de contrôle

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

JobVariableApplyType


IDP_BATCH_GLOB_JOBVARIABLE_GRP

Variable de tâche

Groupe de propriétés de variables de la tâche.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

JobVariableGrp


IDP_BATCH_GLOB_SETVALUE_GRP

Editer variable

Propriétés d'édition des paramètres dans le Runtime.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ParamChange


IDP_BATCH_JOBVARIABLE_LIST

Variable de tâche individuelle

Sélection de variables de tâche individuelle. Celles-ci peuvent être attribuées individuellement, à l'aide d'une fonction. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

JobVariableList


IDP_BATCH_KBD_BOOL

Variable binaire

Configuration du clavier pour la saisie des paramètres binaires. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d'un synoptique de type Clavier.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BoolKbd


IDP_BATCH_KBD_NUM

Variable numérique

Configuration du clavier pour la saisie de paramètres numériques. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d'un synoptique de type Clavier.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NumKbd


IDP_BATCH_KBD_SPAN

Variable de durée

Configuration du clavier pour la saisie de paramètres de durée. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d'un synoptique de type Clavier.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SpanKbd


IDP_BATCH_KBD_STRING

Variable chaîne

Configuration du clavier pour la saisie de paramètres de chaîne. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection d'un synoptique de type Clavier.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StringKbd


IDP_BATCH_MR_GENERAL_GRP

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


IDP_BATCH_OP_GENERAL_GRP

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


IDP_BATCH_PHASE_ABORTING_CND

Annulé

Condition de la modification d'Abandon en cours à Abandonnée.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AbortingCnd


IDP_BATCH_PHASE_DESCRIPTION

Description

Chaîne librement définie, utilisée pour fournir une description détaillée de la phase. La description est compatible avec la fonction de changement de langue en ligne.

Longueur maximale : 512 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Description


IDP_BATCH_PHASE_DONE

Condition de phase effectuée

Defines the condition for phase done. Click on button ... or an entry to open the formula editor for defining the condition.
The condition can be displayed in the Runtime but cannot be changed there. The period which is waited for the fulfillment of the condition is defined via property Durée maximum d'exécution.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Done


IDP_BATCH_PHASE_ESCAPING

Condition de sortie (échap)

Opération de sortie de phase.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Escaping


IDP_BATCH_PHASE_EXPLANATION_NEEDED

Justification de la modification de la durée min. d'exécution nécessaire

Actif : Lors de la saisie de modifications de valeurs pour cette phase dans le Runtime, une raison motivant la modification doit être saisie par l'utilisateur. Une boîte de dialogue de saisie de la raison est affichée avant que la modification n'ait lieu.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ExplanationMinExecTimeNeeded


IDP_BATCH_PHASE_FAILURE

Perte de communication

Saisie de la formule de détection des défaillances de communications. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de configurer l'ordre.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Failure


IDP_BATCH_PHASE_FAILURE_GRP

-

Propriétés de la détection des défaillances de communications.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GPR_Failure


IDP_BATCH_PHASE_GENERAL_GRP

Général

Propriétés générales de la phase.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


IDP_BATCH_PHASE_HOLDING_CND

Figé

Condition de la modification de Mise en attente à Interrompue.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HoldingCnd


IDP_BATCH_PHASE_INTERLOCKING

Condition de verrouillage

Defines conditions for input interlocking. Click on button ... or an entry to open the formula editor for defining the condition.
If an input interlocking is configured, the phase is only executed in the Runtime when the condition for the input interlocking is fulfilled. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used. The formula returns TRUE or FALSE as result. The condition can be displayed in the Runtime but cannot be changed there.
The waiting period for the input interlocking is configured with the help of property Période d'attente entrée de verrouillage.

Plus de détails dans l'aide en ligne .

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Interlocking


IDP_BATCH_PHASE_MINEXECTIME

Durée minimum d'exécution

Minimum execution duration of the phase.

  • >0: Period which is at least waited after the writing of the command tag regardless of whether the phase done condition is fulfilled.
  • 0: Execution duration is not checked

Minimum execution duration can exceed Durée maximum d'exécution.

The waiting period is independent of the recipe status (e.g. Recipe paused) and continues to run even when the Runtime is closed and restarted.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinExecTime


IDP_BATCH_PHASE_NAME

Nom

Nom de la phase. Doit être unique à chaque unité. Le nom ne doit pas être vide, ne doit pas contenir de point et ne doit pas contenir des espaces seulement. Le nom est compatible avec la fonction de changement de langue en ligne.
Par défaut : Phase_x (x représente un nombre défini de manière consécutive).

Longueur maximale : 256 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


IDP_BATCH_PHASE_PARENT_UNIT_DESCRIPTION

Description unité

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UnitDescription


IDP_BATCH_PHASE_PARENT_UNIT_NAME

Unité

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Unit


IDP_BATCH_PHASE_PAUSING_CND

En pause

Condition de la modification de Mise en pause à En pause.
You can define a formula for the condition. The formula can consist of one or more command tags and return tags of the phase. Value and status of the variables can be used.
Option: You can link variables for the validity of the phase.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PausingCnd


IDP_BATCH_PHASE_RECOVER

Erreur de communication acquittée

Saisie de la formule de détection du rétablissement des communications après une défaillance. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de configurer l'ordre.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Recover


IDP_BATCH_PHASE_RESTARTING_CND

Redémarré

Condition de la modification de Démarrage en cours à Exécution en cours.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RestartingCnd


IDP_BATCH_PHASE_STOPPING_CND

Arrêté

Condition de la modification d'Arrêt en cours à Arrêtée.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StoppingCnd


IDP_BATCH_PHASE_TOALLOCATION

Attente attribution d'unité

Time in days, hours, minutes and seconds which is waited for the allocation of the unit. The waiting period can be changed in the Runtime as long as the recipe has status Editable.

After the defined period has exceeded, the event Waiting period unit allocation exceeded is triggered and the element is highlighted. Additional actions must be defined by the engineer. If no further actions take place, the waiting is continued.

Maximum: 9999d 23:59:59
Default: 0d 00:00:00

Note: A unit can only be allocated by a single recipe with status In execution at a time.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ToAllocation


IDP_BATCH_PHASE_TODONE

Durée maximum d'exécution

Period in days, hours, minutes and seconds in which the condition defined in property Condition de phase effectuée must return value TRUE. The waiting period begins when writing of the command parameter. If the condition is not fulfilled within the waiting period, the event Maximum execution period exceeded is triggered and the waiting is continued. If no reaction was defined for the event which forces another behavior, it is waited until the condition is fulfilled.

Note: Time keeps running when the recipe/the phase is paused.

If 0d 00:00:00 is defined as waiting period, the event is not triggered.

  • Minimum value: 0d 00:00:00
  • Maximum value: 9999d 23:59:59
  • Default: 0d 00:00:00

The waiting period is independent of the recipe status (e.g. Recipe paused) and continues to run even when the Runtime is closed and restarted.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ToDone


IDP_BATCH_PHASE_TOINTERLOCK

Période d'attente entrée de verrouillage

Period in days, hours, minutes and seconds in which the condition defined in property Condition de verrouillage must return value TRUE. The waiting period begins with the beginning of the check of the input interlocking. If the condition is not fulfilled within the waiting period, the event Waiting period input interlocking exceeded is triggered and the waiting is continued. If no reaction was defined for the event which forces another behavior, it is waited until the condition is fulfilled.

If 0d 00:00:00 is defined as waiting period, the event is not triggered.

  • Minimum value: 0d 00:00:00
  • Maximum value: 9999d 23:59:59
  • Default: 0d 00:00:00

The waiting period is independent of the recipe status (e.g. Recipe paused) and continues to run even when the Runtime is closed and restarted.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ToInterlocking


IDP_BATCH_PHASE_TOPHASEEND

Attente condition suivante

Period in days, hours, minutes and seconds in which the phase must be deactivated. The waiting period begins when the phase done condition is reached. If the condition is not fulfilled within the waiting period, the event Waiting period following condition exceeded is triggered and the waiting is continued. If no reaction was defined for the event which forces another behavior, it is waited until the condition is fulfilled.

If 0d 00:00:00 is defined as waiting period, the event is not triggered.

  • Minimum value: 0d 00:00:00
  • Maximum value: 9999d 23:59:59
  • Default: 0d 00:00:00

Note: If the following condition exists depends on the recipe structure. Therefore the configuration of a waiting period should not be done in the Editor but in the Runtime.

The waiting period is independent of the recipe status (e.g. Recipe paused) and continues to run even when the Runtime is closed and restarted.

D'autres informations sont disponibles dans l'aide en ligne, au chapitre Temps.
D'autres informations sont disponibles dans l'aide en ligne, au chapitre Condition successive.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ToPhaseEnd


IDP_BATCH_PHASE_TRANS_CND_GRP

Condition des états transitoires

Groupe de propriétés spécifiques aux conditions de transition.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GPR_TransCnd


IDP_BATCH_PHASE_USER_GRP

Phase utilisateur

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_User


IDP_BATCH_PHASE_USERFKT

Fonction

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserPFunc


IDP_BATCH_PHASE_USERMSG

Texte du message

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserPMsg


IDP_BATCH_PHASE_USERPHASE

Phase utilisateur

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserPhase


IDP_BATCH_PHASE_USERTIMEOUT

Attente action opération

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UserPTimeout


IDP_BATCH_RECIPE_FRAME_GRP

Affiche les éléments de contrôle de l'éditeur

Contient les propriétés des éléments fonctionnels de l'éditeur de recettes.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Appearance


IDP_BATCH_RECIPE_FRAME_PN

Fenêtres ancrables

Actif : La liste de fenêtres ancrables est affichée dans l'éditeur de recettes.

Inactive : La liste de fenêtres ancrables n'est pas affichée dans l'éditeur de recettes.

Par défaut : active

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WithPanes


IDP_BATCH_RECIPE_FRAME_TB

Barres d'outils

Actif : Les barres d'outils sont affichées dans l'éditeur de recettes.

Inactive : Les barres d'outils ne sont pas affichées dans l'éditeur de recettes. Ce choix est recommandé si les actions des symboles individuels sont attribuées à des boutons spécifiques.

Par défaut : active

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WithTBs


IDP_BATCH_TAG_DATATYPE

Type de données du tag

Sélection du type de données dans la liste déroulante pour le type de balise sélectionné dans la propriété Type. Vous pouvez sélectionner les types de données suivants :

  • Binaire : données binaires
  • Numérique : données numériques
  • Chaîne : séquence de caractères
  • Durée : Période de temps

La sélection du type de données influence les propriétés disponibles dans le groupe Spécifier valeur prescrite.

Remarque : Le type de données de la balise peut également être modifié après qu'une variable ait été liée et qu'une valeur ait déjà été définie pour la balise de commande. Ceci peut entraîner l'apparition d'erreurs durant la validation de la recette dans le Runtime.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DataType


IDP_BATCH_TAG_DEFVALUE

Valeur

Description sous forme de texte.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DefValue


IDP_BATCH_TAG_DEFVALUE_BOOL

Valeur binaire

Disponible uniquement si, dans le groupe Général, la propriété Type est définie sur Commande et la propriété Type de données du tag sur Binaire.

Valeur de la balise de commande binaire. Sélection dans la liste déroulante :
Off (0)
On (1)
Basculer : bascule entre les états

Par défaut : Off (0)

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DefValueBool


IDP_BATCH_TAG_DEFVALUE_MEUNIT

-

Unité de valeur.

Provient de la variable liée dans la propriété Variable (Général/Lien variable). Sert uniquement à l'affichage d'informations ; aucune modification n'est possible.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DefValueMeUnit


IDP_BATCH_TAG_DEFVALUE_NUM

Valeur numérique

Disponible uniquement si, dans le groupe Général, la propriété Type est définie sur Commande et la propriété Type de données du tag sur Numérique.

Valeur de la balise de commande numérique.

Par défaut : 0

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DefValueNum


IDP_BATCH_TAG_DEFVALUE_STR

Valeur string

Chaîne de caractères utilisée pour la valeur de la balise.
Disponible uniquement si, dans le groupe Général, la propriété Général est définie sur Commande et la propriété Type de données du tag sur Chaîne.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DefValueStr


IDP_BATCH_TAG_DEFVALUE_TIME

Valeur période de temps

Disponible uniquement si, dans le groupe Général, la propriété Type est définie sur Commande et la propriété Type de données du tag sur Durée.

Durée en jours, heures, minutes et secondes de la balise de commande.

Valeur maximale : 0dj 00:00:00

Valeur minimale : 9999j 23:59:59

Par défaut : 0dj 00:00:00

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DefValueTime


IDP_BATCH_TAG_DESCRIPTION

Description

Texte libre fournissant une description détaillée de la balise. La langue du texte peut être changée dans le Runtime ; le texte est affiché dans la boîte de dialogue d'édition de phase, ainsi que dans la boîte de dialogue d'édition de balise.

Maximum : 512 caractères.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Description


IDP_BATCH_TAG_EXPLANATION_NEEDED

Justification de la modification de valeur nécessaire

Actif : Lors de la saisie de modifications de ces paramètres dans le Runtime, une raison motivant la modification doit être saisie par l'utilisateur. Une boîte de dialogue de saisie de la raison est affichée avant que la modification n'ait lieu.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ExplanationNeeded


IDP_BATCH_TAG_GENERAL_GRP

Général

Propriétés générales des balises.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


IDP_BATCH_TAG_KBD

Synoptique clavier

Disponible uniquement si la propriété Utiliser le synoptique clavier est active.

Sélection du synoptique de type Clavier concerné par la fonction d'appel. Cliquez sur le bouton ... pour ouvrir une boîte de dialogue permettant de sélectionner un synoptique.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Keyboard


IDP_BATCH_TAG_KBD_LAYOUT

Claviers

Groupe de propriétés définissant l'utilisation d'un clavier pour modifier les paramètres.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Keyboard


IDP_BATCH_TAG_KBD_USAGE

Utiliser le synoptique clavier

Actif : Un synoptique de type Clavier est utilisé pour ce paramètre. Le synoptique de type Clavier devant être affiché est défini à l'aide de la propriété Synoptique clavier.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UseKeyboard


IDP_BATCH_TAG_MATERIAL

Suivi du matériel

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Material


IDP_BATCH_TAG_MAX

Tag maximum

Disponible uniquement si, dans le groupe Général, la propriété Type est définie sur Commande et la propriété Type de données du tag sur Numérique.

Valeur maximum de la balise.

Par défaut : 0

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Max


IDP_BATCH_TAG_MIN

Tag minimum

Disponible uniquement si, dans le groupe Général, la propriété Type est définie sur Commande et la propriété Type de données du tag sur Numérique.

Valeur minimum de la balise.

Par défaut : 0

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Min


IDP_BATCH_TAG_NAME

Nom

Nom de la balise. Il doit être unique dans la phase. Le nom ne doit pas contenir de point, ne doit pas contenir uniquement des espaces et ne doit pas être vide. Défini par défaut. Le nom est sensible à la casse. La langue du texte peut être changée dans le Runtime ; le texte est affiché dans la boîte de dialogue d'édition de phase, ainsi que dans la boîte de dialogue d'édition de balise.

Maximum : 256 caractères.

Par défaut : balise x, où x est un nombre consécutif généré automatiquement, garantissant l'unicité du nom.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


IDP_BATCH_TAG_PARAMCHANGE_GRP

Editer variable

Description sous forme de texte.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_ParamEdit


IDP_BATCH_TAG_PARENT_PHASE

Phase

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Phase


IDP_BATCH_TAG_PARENT_UNIT

Unité

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Unit


IDP_BATCH_TAG_RECIPEPARAM

Modifiable dans recette

Disponible uniquement si, dans le groupe Général, la propriété Type est définie sur Commande.

Actif : Le créateur de la recette peut modifier les balises dans le Runtime.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RecipeParam


IDP_BATCH_TAG_TAGTYPE

Type

Sélection du type de balise dans la liste déroulante :

  • Commande : Paramètres de commande.
    La valeur définie pour la balise de commande est écrite dans la variable liée à la balise de commande lors de l'exécution de la phase.
  • Retour : balise de retour.
    Peut être écrite dans le Runtime à l'aide de réactions.

Dans le Runtime, durant la validation de la recette, les balises de commande sont inspectées afin de déterminer :

  • si la variable existe et est du type correct.
  • si la valeur de la balise de commande est conforme aux limites de la valeur prescrite pour la variable liée.
  • Si, dans la phase, une seule balise de commande existe pour chaque variable (ceci évite qu'une balise de commande écrive par exemple 0 tandis qu'une autre commande écrit 1 dans la variable)

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TagType


IDP_BATCH_TAG_TIME_MAX

Variable temps max.

Valeur maximum pour la durée de valeur d'une variable.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxTime


IDP_BATCH_TAG_TIME_MIN

Variable temps min.

Valeur minimum pour la durée de valeur d'une variable.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MinTime


IDP_BATCH_TAG_VALUE_MAX

Valeur max.

Description sous forme de texte.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ValueMax


IDP_BATCH_TAG_VALUE_MIN

Valeur min.

Description sous forme de texte.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ValueMin


IDP_BATCH_TAG_VALUES_GRP

Spécifier valeur prescrite

Groupe de propriétés pour l'écriture de la valeur prescrite.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Values


IDP_BATCH_TAG_VAR_ACTVALUE

Variable de valeur actuelle

Description sous forme de texte.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ActValueVar


IDP_BATCH_TAG_VAR_DATENART

Type de la variable

Type de donnée pour la variable. Affichage uniquement.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VarDataType


IDP_BATCH_TAG_VAR_MAX

Variable valeur max.

Valeur maximum de la variable. Affichage uniquement.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VarMax


IDP_BATCH_TAG_VAR_MIN

Variable valeur min.

Valeur minimum de la variable. Affichage uniquement.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VarMin


IDP_BATCH_TAG_VAR_STRLENGTH

Longueur String

Longueur de chaîne configurée au niveau de la variable. Affichage uniquement.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VarStrLength


IDP_BATCH_TAG_VAR_TREIBER

Driver

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VarDriver


IDP_BATCH_TAG_VAR_TREIBERBEZ

Nom driver

Nom du driver de la variable. Affichage uniquement.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VarDriverDesc


IDP_BATCH_TAG_VAR_UNIT

Unité

Unité de la variable. Affichage uniquement.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VarUnit


IDP_BATCH_TAG_VARIABLE

Variable

Variable liée à la balise. Cliquez sur le bouton ... ouvre la boîte de dialogue de sélection de variables.

L'affichage des variables est filtré en fonction de la sélection de Type de données du tag. Vous pouvez sélectionner une variable dans le projet local ou un autre projet. Les variables et les projets doivent être disponibles dans le Runtime. Si la variable est renommée, la modification est automatiquement appliquée.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable


IDP_BATCH_TAG_VARIABLE_GRP

Lien variable

Propriétés de liaison des variables.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Variable


IDP_BATCH_TAG_VARIATIONMAX

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VariationMax


IDP_BATCH_TAG_VARIATIONMIN

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VariationMin


IDP_BATCH_UNIT_DESCRIPTION

Description

Chaîne librement définie, utilisée pour fournir une description détaillée de l'unité. Cette description est disponible dans la boîte de dialogue de sélection de la phase dans le Runtime. La description est compatible avec la fonction de changement de langue en ligne.

Longueur maximale : 512 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Description


IDP_BATCH_UNIT_GENERAL_GRP

Général

Propriétés générales de l'unité.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


IDP_BATCH_UNIT_NAME

Nom

Nom de l'unité. Le nom doit être unique à chaque projet. Le nom ne doit pas être vide, ne doit pas contenir de points et ne doit pas uniquement contenir des espaces. Le nom est compatible avec la fonction de changement de langue en ligne.

Par défaut : Unité_x (x représente un nombre défini de manière consécutive).

Longueur maximale : 256 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


IDP_CEL_ARVERRPERIOD

Evacuation d'archive [h]

L'heure désigne les heures de traitement de l'erreur.

Si une erreur est détectée lors du transfert d'une archive, une entrée est créée dans la liste chronologique d'événements après la période définie.

Si un fichier ARX ne peut pas être écrit, il est renommé en fichier .ar_ et le fichier suivant est utilisé.
Par défaut : 12

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ArciveOverPeriod


IDP_CEL_LONGLIMITS

Textes de limite dynamiques longs pour les événements

Détermine si le champ de commentaires des textes de limite dynamiques est disponible. La limite dynamique vous permet d'insérer les valeurs actuelles d'autres variables dans le texte de limite d'une variable.

Actif : Les contenus dynamiques sont stockés dans un fichier au format de fichier D*.CEL. Il est conservé avec le fichier C*.CEL. Le champ peut être utilisé pour la saisie de commentaires. Les textes de limite dynamiques peuvent comporter une longueur maximale de 254 caractères.

Inactif : le champ de commentaires est utilisé pour les textes de limite dynamiques et n'est donc pas disponible pour les commentaires. Longueur maximale : 80 caractères.
Par défaut : inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CELLongDynLimits


IDP_CEL_TEXTLEN

Longueur texte statique pour les événements

Longueur en caractères du texte de limite statique dans la liste chronologique d'événements.

Définissez le nombre maximal de caractères que peut contenir le texte de limite statique dans la liste chronologique d'événements. Les valeurs minimum et maximum s'appliquent également à VBA/VSTA.

Minimum : 127

Maximum : 1023

Par défaut : 127

Restriction : lors de l'exportation au format dBase, la longueur est limitée à 256 caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CELTextLen


IDP_DYN_ELE_KBD

Utiliser le synoptique clavier

Lors de la sélection de l'élément dans le Runtime, le clavier est affiché.
Lors de la sélection d'un champ de saisie libre dans le Runtime, le synoptique de clavier DIALOGKBD est appelé, s'il est disponible.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

KbdUsage


IDP_DYN_ELE_KBD_NAME

Synoptique clavier

Nom du synoptique de type Clavier lié.
Disponible uniquement si un synoptique de type Clavier est utilisé :

Si aucun synoptique de type Clavier n'est sélectionné ici, le synoptique SETSTRINGKBD est ouvert pour les variables de type chaîne, le synoptique SETVALUEKBD est ouvert pour les valeurs numériques (variables sans bit) et le synoptique SETBOOLKBD est ouvert pour les variables de type bit.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

KbdName


IDP_DYNELE_ALC_ALIAS

Utiliser alias

Disponible uniquement si la propriété Couleur définie par CAL est active.
Actif : un alias est utilisé. Dans le Runtime, l'élément reçoit ses couleurs CAL d'un autre élément du modèle topologique, même s'il ne fait pas partie du modèle.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCAlias


IDP_DYNELE_ALC_ALIAS_NAME

Alias

Disponible uniquement si la propriété Couleur définie par CAL est active.

Élément source défini pour la propriété Utiliser alias. Cliquez sur le bouton .... pour ouvrir la boîte de dialogue et sélectionner un élément existant.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCAliasName


IDP_DYNELE_ALC_ALTCOL

Couleur alternative

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur Alternative color (Couleur de remplacement).

Couleur de remplacement pour la fonction CAL avec des alimentations multiples.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCAlternativeColor


IDP_DYNELE_ALC_DASHLEN

Longueur de pointillé fournie plusieurs fois

Disponible uniquement si la propriété Affichage alimentation multiple possède la valeur two highest prior sources (Deux sources antérieures les plus élevées).

Définit la longueur en pixels du trait tireté associé à la fonction CAL avec une alimentation multiple.

Minimum : 0 (longueur des tirets automatique)

Maximum : 32767

Par défaut : 0

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCDashLen


IDP_DYNELE_ALC_EXCHANGEINOUT

Commuter entrée/sortie

Disponible uniquement si vous avez sélectionné Transformateur, Interrupteur, Vanne ou Séparateur pour l'option Type de fonction.

Actif : Déplace l'entrée de l'élément du module de coloration automatique des lignes vers la droite ou vers le bas et la sortie de l'élément vers la gauche ou vers le haut.

Par défaut : Inactive

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCExchangeInOut


IDP_DYNELE_ALC_GROUNDFAULTTYPE

Type

Disponible uniquement si vous avez sélectionné l'option Interrupteur pour la propriété Type de fonction.

Définit la direction (Leading [Devant]/Lagging [Derrière]) et le type de traitement du message (Aucun, Permanent message [Message permanent] ou Wiper [Variable]):

Aucun : interrupteur normal

Permanent message (Message permanent) : le message est considéré comme un déclenchement de défaut de terre.

Variable : les messages reçus durant une recherche de courant sont supprimés.

Retard : vous devez attendre 2 secondes avant le premier flanc montant d'une direction.

Avance : l'état actuel de la direction est utilisé.

Par défaut : aucun

Plus de détails dans l' aide en ligne .

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCGroundFaultType


IDP_DYNELE_ALC_GROUNDFAULTVARDISP

Afficher

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de sortie de la détection d'erreur de manière à afficher l'état de l'équipement de détection de défaut de terre. La variable liée ici doit être une variable locale afin d'éviter tout problème de fonctionnement du réseau. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCGroundFaultVarDisp


IDP_DYNELE_ALC_GROUNDFAULTVARFWD

En avant

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de défaut de terre en avant. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCGroundFaultVarFwd


IDP_DYNELE_ALC_GROUNDFAULTVARREV

En arrière

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de défaut de terre en arrière. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCGroundFaultVarRev


IDP_DYNELE_ALC_GROUNDFAULTVARTRG

Déclenchement

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable affichant la détection d'un défaut de terre. Pour les équipements utilisant une détection de défaut de terre directionnelle, la direction (En arrière ou En avant) doit également être définie. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCGroundFaultVarTrg


IDP_DYNELE_ALC_LINELENGTH

Longueur de la ligne [km]

Ligne CAL : longueur de la ligne.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCLength


IDP_DYNELE_ALC_LINEREACT

Valeur de réactance du câble [Ohm]

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCReact


IDP_DYNELE_ALC_LINERESIST

Valeur de la résistance de la ligne électrique [Ohm]

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCResist


IDP_DYNELE_ALC_LOADTYPE

Charger

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCLoadType


IDP_DYNELE_ALC_LOADVAL

Charge fixe [A]

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCLoadVal


IDP_DYNELE_ALC_MAXITYPE

Limite de la capacité de transport de courant

Commutation CAL : valeur limite de la capacité actuelle (sélection fixe/variable).

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCMaxIType


IDP_DYNELE_ALC_MAXIVAL

Limite fixe de la capacité de transport de courant [A]

Commutation CAL : Capacité de transport de courant limitée fixe.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCMaxIVal


IDP_DYNELE_ALC_PROTID

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCProtID


IDP_DYNELE_ALC_REVSRC

Source pour alimentation inverse

Disponible uniquement si vous avez sélectionné l'option Transformateur pour la propriété Type de fonction.

Sélection des transformateurs liés.

Si vous sélectionnez une autre source comme UNDEFINED [0], le transformateur peut assurer une production réversible. Cela signifie que le transformateur se comporte de la même manière dans les deux directions : de l'entrée vers la sortie (en avant), mais également de la sortie vers l'entrée (en arrière). La seule différence est que la propriété Source pour alimentation inverse est utilisée pour la distribution ultérieure du numéro de source, et non la propriété Source.

Remarque : les états de réseau défaillants ou les configurations manquantes, tels qu'un signal provenant de l'entrée et de la sortie en même temps ou qu'un court-circuit à l'entrée et à la sortie, ne sont pas colorés de manière particulière. Cela signifie que le transformateur capable d'assurer une production réversible se comporte comme deux transformateurs commutés de manière antiparallèle, qui ne sont pas capables d'assurer une production réversible.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCReverseSourceID


IDP_DYNELE_ALC_SHORTFAULTTYPE

Type

Disponible uniquement si vous avez sélectionné l'option Interrupteur pour la propriété Type de fonction.

Définit le traitement du message (Aucun ou Permanent message [Message permanent] et sa direction (Leading [Devant]/Lagging (Derrière]).

Aucun : interrupteur normal

Permanent message (Message permanent) : le message est considéré comme un déclenchement de défaut de terre.

Retard : vous devez attendre le premier flanc montant d'une direction.

Avance : l'état actuel de la direction est utilisé.

Par défaut : aucun

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCShortFaultType


IDP_DYNELE_ALC_SHORTFAULTVARDISP

Afficher

Disponible uniquement si un élément Type a été sélectionné.

Définit la variable de sortie de la détection d'erreur de manière à afficher l'état de l'équipement de détection de court-circuit. La variable liée ici doit être une variable locale afin d'éviter tout problème de fonctionnement du réseau. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCShortFaultVarDisp


IDP_DYNELE_ALC_SHORTFAULTVARFWD

En avant

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de court-circuit en avant. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCShortFaultVarFwd


IDP_DYNELE_ALC_SHORTFAULTVARREV

En arrière

Disponible uniquement si un élément Type a été sélectionné.
Définit la variable de détection de court-circuit en arrière. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCShortFaultVarRev


IDP_DYNELE_ALC_SHORTFAULTVARTRG

Déclenchement

Disponible uniquement si un élément Type a été sélectionné.

Définit la variable du message de l'équipement de détection de court-circuit. Pour les équipements utilisant une détection de court-circuit directionnelle, la direction (En avant ou En arrière) doit également être définie. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCShortFaultVarTrg


IDP_DYNELE_ALC_VARCALCI

Valeur de la mesure du flux de courant calculé

Ligne CAL : Valeur de la mesure du flux de courant calculé.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCVarCalcI


IDP_DYNELE_ALC_VARCURI

Valeur mesurée du courant pour le flux actuel

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCVarCurI


IDP_DYNELE_ALC_VARCURP

Valeur mesurée de la puissance apparente actuelle

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCVarCurP


IDP_DYNELE_ALC_VARLOAD

Variable Charge

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCVarLoad


IDP_DYNELE_ALC_VARMAXI

Variable pour la limite de la capacité de transport de courant

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCVarMaxI


IDP_DYNELE_ALC_VARPROTREACT

Valeur de réactance de la protection

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ALCVarProtReact


IDP_DYNELE_LIMITCOLOR_ACTIVE

Utiliser la couleur de la limite

Vous pouvez spécifier si la couleur de limite définie au niveau de la variable liée à l'élément doit être affichée dans le Runtime. En fonction de l'élément, la couleur affecte le texte affiché ou, dans le cas d'une réglette universelle, l'indicateur.

Actif : La couleur de limite définie est affichée dans le Runtime.

Par défaut : active (afin de garantir la compatibilité)

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LimitColor


IDP_ELE_POS_START_ANGLE

Angle de rotation [°]

Angle libre autour selon lequel doit pivoter l'élément.
Les valeurs positives pivotent dans le sens antihoraire, tandis que les valeurs négatives pivotent dans le sens horaire. Les valeurs supérieures à 360° sont affichées sous forme d'écart par rapport à 360° (400° correspond à 40°). Seuls les nombres entiers sont autorisés.

Sur les éléments pivotés, les actions suivantes ne sont plus possibles :

  • Miroir
  • Rotation de +/- 90°
  • Redimensionnement à l'aide des touches fléchées

Par défaut : 0

Remarque : Ce paramètre est activé et réinitialisé lors de la configuration pour Windows CE.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Angle


IDP_ELE_VAR_LOCKING

Verrouillage

Lien vers un verrouillage existant avec cet élément.

Si une condition dans une des formules du verrouillage est vraie, cet élément est verrouillé de manière à ce qu'aucun fonctionnement ne soit possible. Si cela a été défini dans les propriétés du projet, un symbole représentant un verrou est affiché aussi longtemps que le verrouillage est actif.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Locking


IDP_ELEDYN_MT_RIGHTCLICKACTION

-

Description sous forme de texte.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RightClickMTAction


IDP_GESTUREDOUBLETAP_FUNCTION

Fonction

Sélection d'une fonction configurée dans zenon en réaction au geste double appui. Les fonctions spécifiques au type de synoptique ne peuvent pas être utilisées.
Disponible uniquement si la variable Exécuter une fonction personnalisée a été sélectionnée pour la propriété Réaction.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureDoubleTapFunction


IDP_GESTUREDOUBLETAP_GROUP

Double appui

Propriétés pour le comportement du geste double appui dans le Runtime.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureDoubleTapGroup


IDP_GESTUREDOUBLETAP_REACTION

Réaction

Sélection de la réaction au gestion double appui dans la liste déroulante.
Les réactions disponibles dépendent du type de synoptique et de l'élément de synoptique.

Lorsque la variable Exécuter une fonction personnalisée est sélectionnée, cette fonction doit être définie dans la propriété Fonction.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureDoubleTapReaction


IDP_GESTUREMANIPULATION_GROUP

Manipulation

Propriétés pour la manipulation de synoptiques et d'éléments de synoptique dans le cadre d'une utilisation tactile.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureManipulationGroup


IDP_GESTUREMANIPULATION_X

Déplacer horizontalement

Définition de la réaction aux gestes de zoom. La réaction configurable dépend du synoptique et/ou de l'élément de synoptique devant être configuré.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureManipulationX


IDP_GESTUREMANIPULATION_X_Y_IN_ONE

Déplacer

Définition de la réaction à différents gestes. La réaction configurable dépend du synoptique et/ou de l'élément de synoptique devant être configuré.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureManipulationXY


IDP_GESTUREMANIPULATION_Y

Déplacer verticalement

Définition de la réaction à un geste de déplacement vertical. La réaction configurable dépend du synoptique et/ou de l'élément de synoptique devant être configuré.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureManipulationY


IDP_GESTUREMANIPULATION_ZOOM

Zoom

Définition de la réaction à un geste de déplacement horizontal. La réaction configurable dépend du synoptique et/ou de l'élément de synoptique devant être configuré.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureManipulationZoom


IDP_GESTURETAP_FUNCTION

Fonction

Sélection d'une fonction configurée dans zenon en réaction au geste appui. Les fonctions spécifiques au synoptique ne peuvent pas être utilisées.
Disponible uniquement si la variable Exécuter une fonction personnalisée a été sélectionnée pour la propriété Réaction.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureTapFunction


IDP_GESTURETAP_GROUP

Appuyer

Propriétés pour le comportement du geste appui dans le Runtime.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureTapGroup


IDP_GESTURETAP_REACTION

Réaction

Sélection de la réaction au geste appui dans la liste déroulante.
Les réactions disponibles dépendent du type de synoptique et de l'élément de synoptique.

Lorsque la variable Exécuter une fonction personnalisée est sélectionnée, cette fonction doit être définie dans la propriété Fonction.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureTapReaction


IDP_GESTURETAPANDHOLD_FUNCTION

Fonction

Sélection d'une fonction configurée dans zenon en réaction au geste appui long. Les fonctions spécifiques au type de synoptique ne peuvent pas être utilisées.
Disponible uniquement si la variable Exécuter une fonction personnalisée a été sélectionnée pour la propriété Réaction.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureTapAndHoldFunction


IDP_GESTURETAPANDHOLD_GROUP

Appuyer et maintenir

Propriétés pour le comportement du geste appui long dans le Runtime.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureTapAndHoldGroup


IDP_GESTURETAPANDHOLD_REACTION

Réaction

Sélection de la réaction au geste appui long dans la liste déroulante.
Les réactions disponibles dépendent du type de synoptique et de l'élément de synoptique.

Lorsque la variable Exécuter une fonction personnalisée est sélectionnée, cette fonction doit être définie dans la propriété Fonction.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GestureTapAndHoldReaction


IDP_GFXRT_ROWHEIGHT

Hauteur de ligne [pixel]

Permet de définir la hauteur des lignes en pixels, indépendamment de la taille de la police.

Valeur maximale : 255 pixels
Valeur minimale : 0 pixel (la hauteur des lignes est adaptée à la taille de la police).

Par défaut : 0

Attention : si la hauteur de ligne

  • sélectionnée est trop élevée, dans certaines circonstances, aucune information ne sera affichée dans le Runtime.
  • sélectionnée est inférieure à la taille de la police, les éléments graphiques seront tronqués.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RowHeight


IDP_GRP_FCNMANAGER

Fonctions

Propriétés de la gestion de fonctions.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_FuncManager


IDP_GRP_HDDMANAGER

Stockage données disque dur

Propriétés de la gestion de données de disque dur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_HDD


IDP_GRP_RGMSETTING

Groupes de recettes

Définit l'emplacement de stockage de données du gestionnaire de groupes de recettes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_RGM


IDP_GRP_RTDIALOGES

Messages runtime pour

Propriétés des messages dans le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_RTMessageBoxes


IDP_HDD_ACTIVE

Données disque dur (HDD) actives

Actif : Les données de disque dur sont enregistrées.
Inactif : Les données de disque dur ne sont pas enregistrées.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Active


IDP_HDD_FILLDATA

Stockage (buffer) des données

Actif : un nombre fixe de variables internes du système est stocké en mémoire et enregistré dans le bloc.
Inactif : chaque fois qu'une valeur arrive, elle est enregistrée.
Par défaut : active.

Calcul : chaque kème durée de cycle est enregistrée. k est le plus grand diviseur entier des valeurs de disque dur devant être enregistrées, et dont la valeur est inférieure à 84.
Exemple : nombre de valeurs 300 -> effectue un enregistrement toutes les 75 valeurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FillData


IDP_LIST_BACKCOLOR_SELECT_FOCUS

Couleur de fond pour la sélection avec le focus

Couleur de l'arrière-plan de l'entrée sélectionnée de l'élément de contrôle tactile si le focus se trouve sur l'élément.

Par défaut : Valeur du système d'exploitation.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackColorSelectFocus


IDP_LIST_BACKCOLOR_SELECT_NOFOCUS

Couleur de fond pour la sélection sans le focus

Couleur de l'arrière-plan de l'entrée sélectionnée de l'élément de contrôle tactile si le focus ne se trouve pas sur l'élément.

Par défaut : Valeur du système d'exploitation.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackColorSelectNoFocus


IDP_LIST_TEXTCOLOR_SELECT_FOCUS

Couleur du texte pour la sélection avec le focus

Couleur du texte de l'entrée sélectionnée de l'élément de contrôle tactile si le focus se trouve sur l'élément.

Par défaut : Valeur du système d'exploitation.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TextColorSelectFocus


IDP_LIST_TEXTCOLOR_SELECT_NOFOCUS

Couleur de texte pour la sélection sans le focus

Couleur du texte de l'entrée sélectionnée de l'élément de contrôle tactile si le focus ne se trouve pas sur l'élément.

Par défaut : Valeur du système d'exploitation.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TextColorSelectNoFocus


IDP_LOCKED_BUTTONS

Boutons verrouillés

Définit, dans le Runtime, l'apparence des boutons verrouillés par un verrouillage. Dans le Runtime, cet élément est associé à la propriété Boutons protégés (gestion d'utilisateurs) pour autoriser l'utilisation des touches.

Formats possibles :

  • Grisé
  • Normal
  • Invisible

Par défaut : Normal

Cette propriété agit indépendamment de la propriété Identification graphique active. Un bouton grisé peut, par exemple, également afficher un symbole de cadenas.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LockedButtonStyle


IDP_MENU_SEP_COLOR

Couleur

Détermine la couleur de remplissage du séparateur. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Par défaut : noir.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SeparatorColor


IDP_MENU_SEP_GROUP

Séparateur

Paramètres généraux des séparateurs dans un menu.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Separator


IDP_MENU_SEP_WIDTH

Largeur

Définit la largeur du séparateur, en pixels.

Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SeparatorWidth


IDP_MODUL_KBD_LAYOUT

Claviers

Groupe des claviers disponibles dans le module Batch Control.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ModulKbdLayout


IDP_MSGCTRL_GSM_SMS_BULK_DELETE

Supprime SMS avec la syntaxe d'état de la commande AT+CMGD

Description sous forme de texte.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BulkDelete


IDP_MSGCTRL_GSM_SMS_CHECK_MODEM

Vérification connexion

Cliquez sur le bouton pour tester la connexion au modem. Les éléments suivants sont testés :

1. Ouvrez et préparez le port COM défini dans la propriété Connexion modem (série).

2. Réponse du modem.

3. Authentification par code PIN, si nécessaire.

4. Configuration du modem. Pour la configuration, une entrée factice est utilisée pour Numéro du centre SMS, car la validité du numéro de téléphone est vérifiée par l'envoi préalable d'un SMS.

L'échec ou la réussite du test est affiché(e) dans un message. Les informations d'erreur sont écrites dans les fichiers journaux.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CheckModem


IDP_MSGCTRL_GSM_SMS_COM_PORT

Connexion modem (série)

Sélection du port COM permettant de contacter le modem. Cliquez pour ouvrir une liste déroulante de sélection. Le port correct peut être identifié dans le panneau de configuration, dans le groupe Téléphone et modem.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SerialPort


IDP_MSGCTRL_GSM_SMS_GRP

Message SMS (modem GSM)

Paramètres d'envoi de SMS par GSM.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DispatchSettings


IDP_MSGCTRL_GSM_SMS_PIN

Code PIN

Saisissez le code PIN du modem. La saisie doit uniquement comporter des chiffres. Si aucun code PIN n'est nécessaire pour utiliser le modem, la valeur de cette propriété est ignorée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PersonalIdentificationNumber


IDP_MSGCTRL_GSM_SMS_SMSC_NUMBER

Numéro du centre SMS

Saisissez le numéro de téléphone du SMSC (centre de messagerie) associé au fournisseur GSM utilisé. Saisissez un numéro de téléphone valide, comprenant uniquement des chiffres. L'utilisation du préfixe + pour la numérotation des codes d'appel internationaux n'est pas autorisée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SmscPhoneNumber


IDP_NET_CHECK

Résultat

Édition du résultat de la vérification de la topologie du réseau.

Aucune saisie possible.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Check


IDP_NET_COMPUTER

Nom de l'ordinateur

Nom de l'ordinateur cible sur le réseau. Cliquez sur le bouton ... pour ouvrir une liste déroulante contenant les ordinateurs actuellement enregistrés sur le réseau.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Computer


IDP_NET_COMPUTER_GRP

Ordinateur

Propriétés des ordinateurs sur la topologie du réseau.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Computer


IDP_NET_DIRECTORY

Dossier runtime du projet de démarrage

Dossier de Runtime du projet de démarrage sur l'ordinateur cible. Les fichiers du projet de démarrage sont enregistrés dans ce dossier. Tous les autres projets relatifs à celui-ci correspondent à la structure sur l'ordinateur local. Utilisez le nom du projet comme nom de dossier pour créer automatiquement une structure identique à celle de l'ordinateur de développement.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WorkingPath


IDP_NET_PROJECT

Projet de démarrage

Projet de démarrage de l'ordinateur cible. Cliquez sur la liste déroulante pour ouvrir la liste des projets existants.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


IDP_PRN_MAXJOBS

Nbre max de travaux d'impression

Nombre maximum de documents à imprimer dans le gestionnaire d'impression de Windows. Une entrée est effectuée dans la liste chronologique d'événements (CEL) en cas de dépassement de ce nombre.
Minimum : 0.
Maximum : 65535.
Par défaut : 90.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MaxPrintJobs


IDP_PROJEKT_LOCKVAR

Vérouillage fonctionnement

Permet de définir un bloc fonctionnel dans les projets sans réseau, par le biais d'une variable binaire.
Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables binaires.

Valeur de la réponse :

  • <>0 : Pas d'autorisation fonctionnelle disponible.
  • 0 : Autorisation disponible

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LockVar


IDP_PWL_EXECUTE

Groupe d'autorisation pour l'exécution

Définissez le niveau d'autorisation requis pour procéder au verrouillage. Cliquez sur le niveau pour ouvrir une liste déroulante de sélection.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PwlExecute


IDP_PWL_UNLOCK

Groupe d'autorisation pour déverrouiller

Définissez le niveau d'autorisation requis pour procéder au déverrouillage. Cliquez sur le niveau pour ouvrir une liste déroulante de sélection.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PwlUnlock


IDP_RGM_DATASOURCE

-

Sélection dans une liste déroulante de l'emplacement de stockage souhaité pour les fichiers du Gestionnaire de groupes de recettes :
Base de données MS Access : Base de données MS Access. Non adapté à Windows CE.
fichiers binaires (compatibles CE) : permet d'utiliser le module RGM sur un PC et sous Windows CE.

Par défaut : fichiers binaires (compatibles CE)

Remarque : Il est impossible de convertir les données à un stade ultérieur.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DataSource


IDP_RGM_FILTER

Filtre texte

Définit le filtre des variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Filter


IDP_RGM_GROUP_ALLGEMEIN

Général

Paramètres généraux du groupe de recettes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Allgemein


IDP_RGM_GROUP_FEEDBACK

Retour

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback


IDP_RGM_GROUP_FEEDBACK_CHECK

Vérification valeur de recette retour

Variable de réaction pour la fonction Vérification valeur de recette.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT1

Commentaire 1

Commentaire 1 de la dernière recette vérifiée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment1


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT2

Commentaire 2

Commentaire 2 de la dernière recette vérifiée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment2


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT3

Commentaire 3

Commentaire 3 de la dernière recette vérifiée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment3


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT4

Commentaire 4

Commentaire 4 de la dernière recette vérifiée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment4


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT5

Commentaire 5

Commentaire 5 de la dernière recette vérifiée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment5


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT6

Commentaire 6

Commentaire 6 de la dernière recette vérifiée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment6


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT7

Commentaire 7

Commentaire 7 de la dernière recette vérifiée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment7


IDP_RGM_GROUP_FEEDBACK_CHECK_CMT8

Commentaire 8

Commentaire 8 de la dernière recette vérifiée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Comment8


IDP_RGM_GROUP_FEEDBACK_CHECK_DIFFER

Vérification valeur recette - écart

Les écarts sont le résultat de la vérification de la recette sous forme de texte.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Different


IDP_RGM_GROUP_FEEDBACK_CHECK_NAME

Nom de recette

Nom de la dernière recette vérifiée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Name


IDP_RGM_GROUP_FEEDBACK_CHECK_NUMBER

Numéro de recette

Numéro de la dernière recette vérifiée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Number


IDP_RGM_GROUP_FEEDBACK_CHECK_RESULT

Vérification valeur recette - résultat

Résultat de la vérification de la recette sous forme de valeur numérique.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Result


IDP_RGM_GROUP_FEEDBACK_CHECK_RIGHTS

Groupe autorisation

Niveau d'autorisation de la dernière recette vérifiée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Rights


IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_NR

Numéro d'état de la recette

État de la dernière recette vérifiée sous forme de nombre.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Status_Nr


IDP_RGM_GROUP_FEEDBACK_CHECK_STATUS_TXT

Texte d'état de la recette

État de la dernière recette vérifiée. Le texte est constitué de la façon suivante : 1 - @Text
Ce texte est écrit sous forme de texte brut dans la variable. Pour afficher le texte traduit, vous devez activer la propriété Traduire le texte affiché pour l'élément affiché (texte dynamique).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Valeurs : Reportez-vous à la section Variables du driver système - Recettes standard et du Gestionnaire de groupes de recettes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Status_Txt


IDP_RGM_GROUP_FEEDBACK_CHECK_TIMECHANGE

Modifier heure

Heure de la dernière modification de la dernière recette vérifiée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Timechange


IDP_RGM_GROUP_FEEDBACK_CHECK_USERCHANGE

Editer utilisateur

Nom de l'utilisateur connecté lors de la dernière modification de la dernière recette vérifiée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Userchange


IDP_RGM_GROUP_FEEDBACK_CHECK_VERSION

Version de recette

Version de la dernière recette vérifiée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Check_Version


IDP_RGM_GROUP_FEEDBACK_READ

Lire recette retour

Variable de réaction pour la fonction Lire recette.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read


IDP_RGM_GROUP_FEEDBACK_READ_CMT1

Commentaire 1

Commentaire 1 de la dernière recette lue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment1


IDP_RGM_GROUP_FEEDBACK_READ_CMT2

Commentaire 2

Commentaire 2 de la dernière recette lue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment2


IDP_RGM_GROUP_FEEDBACK_READ_CMT3

Commentaire 3

Commentaire 3 de la dernière recette lue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment3


IDP_RGM_GROUP_FEEDBACK_READ_CMT4

Commentaire 4

Commentaire 4 de la dernière recette lue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment4


IDP_RGM_GROUP_FEEDBACK_READ_CMT5

Commentaire 5

Commentaire 5 de la dernière recette lue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment5


IDP_RGM_GROUP_FEEDBACK_READ_CMT6

Commentaire 6

Commentaire 6 de la dernière recette lue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment6


IDP_RGM_GROUP_FEEDBACK_READ_CMT7

Commentaire 7

Commentaire 7 de la dernière recette lue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment7


IDP_RGM_GROUP_FEEDBACK_READ_CMT8

Commentaire 8

Commentaire 8 de la dernière recette lue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Comment8


IDP_RGM_GROUP_FEEDBACK_READ_NAME

Nom de recette

Nom de la dernière recette lue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Name


IDP_RGM_GROUP_FEEDBACK_READ_NUMBER

Numéro de recette

Numéro de la dernière recette lue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Number


IDP_RGM_GROUP_FEEDBACK_READ_RESULT

Lecture recette terminée

Résultat de la recette lue sous forme de valeur numérique.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Result


IDP_RGM_GROUP_FEEDBACK_READ_RIGHTS

Groupe autorisation

Niveau d'autorisation de la dernière recette lue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Rights


IDP_RGM_GROUP_FEEDBACK_READ_STATUS_NR

Numéro d'état de la recette

État de la dernière recette lue sous forme de nombre.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Status_Nr


IDP_RGM_GROUP_FEEDBACK_READ_STATUS_TXT

Texte d'état de la recette

État de la dernière recette lue. Le texte est constitué de la façon suivante : 1 - @Text
Ce texte est écrit sous forme de texte brut dans la variable. Pour afficher le texte traduit, vous devez activer la propriété Traduire le texte affiché pour l'élément affiché (texte dynamique).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Valeurs : Reportez-vous à la section Variables du driver système - Recettes standard et du Gestionnaire de groupes de recettes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Status_Txt


IDP_RGM_GROUP_FEEDBACK_READ_TIMECHANGE

Modifier heure

Heure de la dernière modification de la dernière recette lue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Timechange


IDP_RGM_GROUP_FEEDBACK_READ_USERCHANGE

Editer utilisateur

Nom de l'utilisateur connecté lors de la dernière modification de la dernière recette lue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Userchange


IDP_RGM_GROUP_FEEDBACK_READ_VERSION

Version de recette

Version de la dernière recette lue.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Read_Version


IDP_RGM_GROUP_FEEDBACK_WRITE

Ecrire recette retour

Variable de réaction pour la fonction Exécuter recette.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT1

Commentaire 1

Commentaire 1 de la dernière recette écrite.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment1


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT2

Commentaire 2

Commentaire 2 de la dernière recette écrite.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment2


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT3

Commentaire 3

Commentaire 3 de la dernière recette écrite.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment3


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT4

Commentaire 4

Commentaire 4 de la dernière recette écrite.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment4


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT5

Commentaire 5

Commentaire 5 de la dernière recette écrite.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment5


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT6

Commentaire 6

Commentaire 6 de la dernière recette écrite.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment6


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT7

Commentaire 7

Commentaire 7 de la dernière recette écrite.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment7


IDP_RGM_GROUP_FEEDBACK_WRITE_CMT8

Commentaire 8

Commentaire 8 de la dernière recette écrite.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Comment8


IDP_RGM_GROUP_FEEDBACK_WRITE_NAME

Nom de recette

Nom de la dernière recette écrite.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Name


IDP_RGM_GROUP_FEEDBACK_WRITE_NUMBER

Numéro de recette

Numéro de la dernière recette écrite.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Number


IDP_RGM_GROUP_FEEDBACK_WRITE_RESULT

Ecriture recette terminée

Résultat de l'écriture de la recette sous forme de valeur numérique.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Result


IDP_RGM_GROUP_FEEDBACK_WRITE_RIGHTS

Groupe autorisation

Niveau d'autorisation de la dernière recette écrite.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Rights


IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_NR

Numéro d'état de la recette

État de la dernière recette écrite sous forme de nombre.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Status_Nr


IDP_RGM_GROUP_FEEDBACK_WRITE_STATUS_TXT

Texte d'état de la recette

État de la dernière recette écrite. Le texte est constitué de la façon suivante : 1 - @Text
Ce texte est écrit sous forme de texte brut dans la variable. Pour afficher le texte traduit, vous devez activer la propriété Traduire le texte affiché pour l'élément affiché (texte dynamique).

Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de variables.

Valeurs : Reportez-vous à la section Variables du driver système - Recettes standard et du Gestionnaire de groupes de recettes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Status_Txt


IDP_RGM_GROUP_FEEDBACK_WRITE_TIMECHANGE

Modifier heure

Heure de la dernière modification de la dernière recette écrite.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Timechange


IDP_RGM_GROUP_FEEDBACK_WRITE_USERCHANGE

Editer utilisateur

Nom de l'utilisateur connecté lors de la dernière modification de la dernière recette écrite.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Userchange


IDP_RGM_GROUP_FEEDBACK_WRITE_VERSION

Version de recette

Version de la dernière recette écrite.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_Write_Version


IDP_RGM_GROUP_FEEDBACK_XMLIMPORT

Retour Import XML

Variable de réaction pour l'importation au format XML.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_XMLImport


IDP_RGM_GROUP_FEEDBACK_XMLIMPORT_RESULT

Résultat de l'import

Réussite de l'importation au format XML.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Feedback_XMLImport_Result


IDP_RGM_INTERLOCKING

Verrouillage

Attribution d'un verrouillage à une variable. Sélectionnez le projet dans la liste déroulante.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Interlocking


IDP_RGM_KEYBOARD

Synoptique clavier

Lien d'un synoptique de type Clavier devant être appelé par un clic gauche sur la variable pour saisir une valeur dans le Runtime. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Keyboard


IDP_RGM_RCP_COMMENT3

Commentaire 3

Lignes de commentaire 3 de la recette actuelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Comment3


IDP_RGM_RCP_COMMENT4

Commentaire 4

Lignes de commentaire 4 de la recette actuelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Comment4


IDP_RGM_RCP_COMMENT5

Commentaire 5

Lignes de commentaire 5 de la recette actuelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Comment5


IDP_RGM_RCP_COMMENT6

Commentaire 6

Lignes de commentaire 6 de la recette actuelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Comment6


IDP_RGM_RCP_COMMENT7

Commentaire 7

Lignes de commentaire 7 de la recette actuelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Comment7


IDP_RGM_RCP_COMMENT8

Commentaire 8

Lignes de commentaire 8 de la recette actuelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Comment8


IDP_RGM_RCP_COMMENTS_GRP

Commentaire

Groupe de commentaires de la recette. 8 commentaires peuvent être saisis pour chaque recette.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Comments


IDP_RGM_RECIPE_ALLGEMEIN

Général

Propriétés générales de la recette.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Allgemein


IDP_RGM_RECIPE_STATUS

Etat

Sélectionnez l'état de la recette dans la liste déroulante. (Configuration de l'état dans la propriété Groupes de recettes /Identification état de recette.) L'état de la recette peut être défini différemment pour chaque Version de recette. Cette propriété peut également être modifiée dans Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Status


IDP_RGM_RECIPE_VERSION

Version de recette

Affichage du numéro de version de la recette sélectionnée. Cette boîte de dialogue sert uniquement à l'affichage d'informations ; aucune modification n'est possible. Le numéro de version est automatiquement défini par le système. Au maximum, 89 999 versions d'une recette peuvent être créées.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RecipeVersion


IDP_RGM_REPORTFONT

Police de caractères pour la table de recette

Permet de définir la police de caractères des synoptiques du type Groupes de recettes. La police de caractères été spécifiée dans les paramètres de la propriété Police est utilisée. Hormis cela, ce paramètre n'a aucune incidence.

Si une table définie par l'utilisateur (créée à l'aide du générateur de rapports) est utilisée, les polices de caractères définies dans le rapport sont utilisées.

Par défaut : Inactif

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ReportFont


IDP_RGM_SHADOW_VARIABLE

Variable graphique

Les variables de sauvegarde permettent de modifier une valeur d'une recette du module RGM par le biais d'un synoptique dans le Runtime. Une variable de sauvegarde peut être définie pour chaque variable dans un groupe de recettes. Dans le Runtime, la variable du module RGM est remplacée par une variable de sauvegarde, via la fonction Groupes de recettes, avec l'action Write recipe value to shadow variable (Écrire les valeurs de la recette dans les variables de sauvegarde), puis réécrite, en cas de modification dans le module RGM, avec l'action Write shadow variable to recipe value (Écrire les variables de sauvegarde dans les valeurs de la recette).

Groupes de recettes

Cette fonction écrit, lit, copie, importe ou exporte la recette sélectionnée du module optionnel "Gestionnaire de groupes de recettes" (Recipe Group Manager, RGM). De façon optionnelle, une boîte de dialogue pour l'utilisateur peut être ouverte avant.

Plus de détails dans l'aide en ligne

Cliquez sur le bouton pour afficher une boîte de dialogue de sélection des variables de sauvegarde. Chaque variable de sauvegarde peut uniquement être utilisée une fois par groupe de recettes.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShadowVariable


IDP_RGM_STATUS_LIST

Identification état de recette

Configuration de l'identifiant d'état. Cliquez sur la propriété pour ouvrir la boîte de dialogue de configuration. Une liste d'états est utilisée lors de la sélection de l'état dans la recette.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

StatusList


IDP_RGM_VARLNK_ALLGEMEIN

Général

Propriétés générales des variables dans les groupes de recettes.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

General


IDP_RGM_VARLNK_BORDERS

Limite de valeur

Paramètres des valeurs limite.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ValueBorders


IDP_RGM_VARLNK_GENERAL

Propriété de valeur

Propriétés des valeurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ValueGeneral


IDP_RGM_VARLNK_RANGEFROMVAR

Plages de la variable

Actif : Les valeurs limite définies sont dynamiquement dérivées de la variable, et ne sont pas définies de manière fixe dans le groupe de recettes.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RangeFromVar


IDP_RGM_VARLNK_SHADOW

Variable graphique

Propriétés de la variable de sauvegarde.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShadowVarGrp


IDP_RGM_VISIBILITYVAR

Variable de visibilité

Sélectionnez une variable pour contrôler la visibilité. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VisibilityVar


IDP_RTD_ACTION_OK

Export de données

Actif : Un message est affiché dans le Runtime si l'exportation des données se déroule correctement.
Inactif : Le message de réussite n'est pas affiché.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ActionOK


IDP_RTD_DLGFONT

Police de boite de dialogue

Disponible uniquement si la propriété Police de boite de dialogue ajustable est active.

Définit les étapes devant être utilisées pour les boîtes de dialogue et les paramètres à pages multiples dans le Runtime. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de polices de caractères.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RtDlgFont


IDP_RTD_ENDLGFONT

Police de boite de dialogue ajustable

Permet d'afficher les boîtes de dialogue et les paramètres à pages multiples avec une police de caractères paramétrable dans le Runtime. Vous sélectionnez les polices de caractères pouvant être utilisées à l'aide de la propriété Police de boite de dialogue.

Active : la police de caractères que vous avez sélectionnée dans la propriété Police de boite de dialogue est affichée dans le Runtime.

Inactif : la police de caractères est utilisée pour les boîtes de dialogue et les paramètres à pages multiples dans le Runtime.

Par défaut : inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EnRtDlgFont


IDP_RTD_FILE_REPLACE

Ecrasement de fichiers

Actif : Si un fichier est remplacé durant l'exportation de données, un message est affiché dans le Runtime.
Inactif : Le message n'est pas illustré.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FileReplace


IDP_RTD_INSUFFICIENT_LEVEL

Droits insuffisants

Disponible uniquement si la propriété Saisie erronée est active.

Actif : Si l'utilisateur exécute, dans le Runtime, une fonction nécessitant un niveau d'autorisation auquel l'utilisateur connecté ne satisfait pas, une fenêtre affichant un message d'erreur est affichée.

Inactive : Aucun message d'erreur n'est affiché si l'utilisateur n'est pas autorisé à effectuer l'opération. La variable de driver du système Aucune autorisation pour l’exécution de la fonction est néanmoins définie, et peut être évaluée par le biais de la valeur limite ou d'une matrice de réaction.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InsufficientLevel


IDP_RTD_INVALID_INPUT

Saisie erronée

Actif : en cas de saisie erronée de l'utilisateur (écriture de valeur prescrite, connexion, etc.), les messages correspondants sont affichés dans le Runtime.
Inactif : les messages sont supprimés. Dans ce cas, les variables de bit sont disponibles dans le driver de système, vous permettant de réagir à une saisie erronée en lisant une fonction et une valeur limite.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

InvalidInput


IDP_RTP_PICTBACKCOUNT

Nbre de syno pour fonction 'Retour au précédent'

Nombre de synoptiques devant être saisis dans la liste pour la fonction "Synoptique : retour au précédent".
Remarque : Chaque appel de la fonction Appel de synoptique compte, même si l'appel de synoptique ne se déroule pas directement, mais est saisi dans les propriétés du synoptique sous la forme Fonction à l'ouverture.
Minimum : 0.
Maximum : 65535.
Par défaut : 10.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackPictCount


IDP_RTP_SYSKEYLOCK

Bloquer les touches système

Actif : Les combinaisons de touches système telles que Alt+Échap, Ctrl+Échap, Alt+Tabulation, Alt-F4 etc. sont verrouillées dans le Runtime.
Inactif : les combinaisons de touches système ne sont pas verrouillées.
Par défaut : Inactive

Plus de détails dans l'aide en ligne

Remarque : d'autres touches système peuvent être bloquées dans le Runtime à l'aide du programme Keyblock Runtime Start.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SysKeyLock


IDP_RTP_WATCHFILES

Indexer les fichiers runtime

Actif : Une mémoire cache du dossier des fichiers du Runtime est activée pour réduire les temps d'accès.
Inactif : La mémoire cache du dossier n'est pas utilisée.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FileWatcher


IDP_STRATON_CMD_BINDPORT

Port d'événements

Cette propriété n'a d'importance que lorsqu'elle est associée aux types de démarrage de Runtime "Démarrage/arrêt autom." et "Démarrage autom.".

Numéro de port utilisé par le Runtime de zenon Logic au démarrage. "Binding" affiche le port utilisé pour les transferts de données spontanés (c'est-à-dire événementiels).
Minimum : 0.
Maximum : 4294967295.
Par défaut : 9000.

ATTENTION : doit être supérieur de 7800 au port principal.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CMDBindPort


IDP_STRATON_CMD_HOST

'Host'

Cette propriété n'a d'importance que lorsqu'elle est associée aux types de démarrage de Runtime Démarrage/arrêt automatiques et Démarrage automatique.
Le Runtime de zenon Logic démarre uniquement lorsque ces paramètres coïncident avec l'adresse IP ou le nom de l'ordinateur utilisé !

Il s'agit habituellement du nom localhost ou de l'adresse IP 127.0.0.1. Dans certains cas, il est nécessaire de saisir une adresse IP fixe (ou le nom d'un ordinateur). Cela est nécessaire si, dans le cas de plusieurs projets simples, le Runtime de zenon Logic doit uniquement démarrer sur un ordinateur. Une autre raison pourrait être la nécessité de démarrer le Runtime de zenon Logic sur un client zenon, mais pas sur le serveur.

La modification de ce paramètre copie automatiquement l'adresse de l'hôte et le port principal vers la configuration des drivers straton32 correspondants. Si cela n'est pas souhaité, vous devez modifier ce paramètre manuellement dans le driver straton32.

Par défaut : localhost.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CMDHost


IDP_STRATON_CMD_LOG

-

Cette propriété n'a d'importance que lorsqu'elle est associée aux types de démarrage de Runtime "Démarrage/arrêt autom." et "Démarrage autom.".
Actif : Si le Runtime de zenon Logic génère des messages d'erreur, ceux-ci sont conservés dans un fichier.
Inactif : Si le Runtime de zenon Logic génère des messages d'erreur, ceux-ci ne seront pas conservés dans un fichier.
(Par défaut) Inactif :

Attention : L'écriture de les fichiers journaux peut influencer le cycle de l'automate !

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CMDTrace


IDP_STRATON_CMD_MAINPORT

Port standard

Cette propriété n'a d'importance que lorsqu'elle est associée aux types de démarrage de Runtime Démarrage/arrêt automatiques et Démarrage automatique.
Numéro de port utilisé par le Runtime de zenon Logic au démarrage. Main (Principal) affiche le port utilisé pour l'interrogation cyclique des valeurs zenon Logic.

La modification de ce paramètre copie automatiquement l'adresse de l'hôte et le port principal vers la configuration des drivers straton32 correspondants. Si cela n'est pas souhaité, vous devez modifier ce paramètre manuellement dans le driver straton32.

Minimum : 0
Maximum : 4294967295
Par défaut : 1200

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CMDMainPort


IDP_STRATON_CMD_PRIO

Priorité temps réel

Cette propriété n'a d'importance que lorsqu'elle est associée aux types de démarrage de Runtime "Démarrage/arrêt autom." et "Démarrage autom.".
Actif : Attribue la priorité Windows Realtime (Temps réel) au processus du Runtime de zenon Logic.
Inactif : Attribue la priorité Windows Normal au processus du Runtime de zenon Logic.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CMDPrio


IDP_STRATON_CMD_REDUNDANCY

Opération redondante

Actif : Le Runtime de zenon Logic sera démarré de manière redondante.
Inactif : Le Runtime de zenon Logic ne sera pas démarré de manière redondante.

Attention : le Runtime redondant doit être démarré.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CMDRedundancy


IDP_STRATON_CMD_RETAINBYNAME

Enregistrer les variables retains avec leurs noms

Conserve la variable RETAIN et le nom de variable correspondant si vous avez sélectionné la fonction de marche/arrêt automatique pour l'élément Type de démarrage. En outre, les variables RETAIN sont automatiquement incorporées dans zenon Logic.

Remarque : pour utiliser cette fonction pour le démarrage manuel du Runtime, vous devez activer cette option. Vous devez en outre activer l'option par le biais du paramètre de ligne de commande ou de la boîte de dialogue de configuration de fichier INI/de paramètres.

Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CMDRetainByName


IDP_STRATON_CMD_START

Démarrage

Cette propriété n'a d'importance que lorsqu'elle est associée aux types de démarrage de Runtime "Démarrage/arrêt autom." et "Démarrage autom.".
Démarrage à froid : toutes les variables sont initialisées au démarrage. Les variables de retenue seront également démarrées dans l'état initialisé.
Démarrage à froid (chargement des variables RETAIN) : les variables RETAIN sont initialisées avec leur valeur au moment du dernier arrêt lors du démarrage.
Reprise immédiate : lors du démarrage, toutes les variables prennent la valeur qu'elles avaient lors du dernier arrêt.
Par défaut : reprise graduelle.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CMDStartup


IDP_STRATON_CMD_STEP

Démarrer en mode cycle à cycle

Cette propriété n'a d'importance que lorsqu'elle est associée aux types de démarrage de Runtime "Démarrage/arrêt autom." et "Démarrage autom.".
Actif : Démarre le Runtime de zenon Logic, mais l'arrête immédiatement en mode de débogage.
Inactif : Démarre le Runtime zenon Logic normalement.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CMDStep


IDP_STRATON_FKT_WDG_TO

Fonction pour la reconnaissance du défaut

Sélection de la fonction devant être exécutée après expiration du délai d'attente défini dans la propriété Reconnaissance de défaut après [s]. Cliquez sur le bouton ... pour ouvrir la boîte de dialogue de sélection de fonctions.

Après expiration du délai d'attente, la vérification de la commande de surveillance du temps d'exécution redémarre uniquement après que le Runtime ait été enregistré à nouveau. Si une fonction provenant d'un autre projet est utilisée, le projet doit déjà avoir été chargé lors du chargement du projet comportant le projet zenon Logic intégré.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VmFktWdgTo


IDP_STRATON_RUNTIME

Runtime

Propriétés du Runtime zenon Logic (automate logiciel).

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Runtime


IDP_STRATON_TIMEOUT

Timeout de connexion [s]

Délai de connexion (en secondes) au système zenon Logic cible .
Ce délai d'attente peut être réglé sur une valeur plus élevée pour les plates-formes cibles peu performantes.
Minimum : 0.
Maximum : 4294967295.
Par défaut : 10.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Timeout


IDP_STRATON_WDG_TO

Reconnaissance de défaut après [s]

Spécification du délai, en secondes, durant lequel la commande de surveillance du temps d'exécution du Runtime zenon Logic doit changer. En cas de dépassement, la fonction définie dans la propriété Fonction pour la reconnaissance du défaut est exécutée.

0 : désactive la commande de surveillance de temps d'exécution

Par défaut : pour les nouveaux projets, 30 s ; pour les projets existants, 0 s.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VmWdgTo


IDP_STRATON_WORKBENCH

Atelier

Propriétés du module Workbench de zenon Logic.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Workbench


IDP_USER_LOGIN_RTP

Profil runtime

Sélection du profil de Runtime devant être attribué à l'utilisateur lors de la connexion. Profils possibles :

Aucun : aucun profil n'est attribué

DEFAULT: le profil DEFAULT est attribué.

LAST : le profil LAST est attribué.

Par défaut : aucun

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LoginRTP


IDP_VALUE_LEADING_ZEROS

Montrer les zéros devant le nombre

Disponible uniquement si vous avez sélectionné Binaire, Décimal, Hexadécimal ou Octal pour la propriété Base pour l'affichage de valeurs.

Décidez si vous souhaitez afficher les valeurs numériques précédées de zéros.

Actif : Les valeurs numériques sont affichées avec un nombre de chiffres variables en fonction de leur base. Les chiffres qui ne sont pas utilisés par la valeur numérique sont remplacés par des zéros placés avant la valeur numérique. Les paramètres suivants sont disponibles pour les différentes bases :

- Binaire : 32 chiffres

- Décimale : 10 chiffres

- Hexadécimale : 8 chiffres

- Octale : 11 chiffres

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ShowLeadingZeros


IDS_A_GERAET

-

Numéro de l'appareil A.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DeviceA


IDS_ANIMATION

Animation GIF

Propriétés de l'animation si un fichier GIF animé est utilisé.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Animation


IDS_B_GERAET

-

Numéro de l'appareil B.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DeviceB


IDS_BACNETNG_DATATYPE

-

Définissez de quelle manière une variable numérique ou une variable de type chaîne sera liée à une propriété BACnet. Sélectionnez le type de données souhaité dans la liste déroulante. Vous trouverez la description des types de données possibles dans le manuel en ligne.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BACnetDataType


IDS_BACNETNG_EVENTSTATE

-

Affiche l'état de l'événement sous forme de nombre. Dans ce cas, vous pouvez saisir un texte libre correspondant à l'état de l'événement.

Valeurs :

-1 : le texte est utilisé

0 : Normal

1 : Défaut

2 : Anormal

3 : Limite supérieure

4 : Limite inférieure

5 : Alarme de sécurité des personnes

Par défaut : -1

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BACnetEventState


IDS_BACNETNG_PROPERTYID

-

Définissez l'identifiant de propriété pour les propriétés spécifiques à l'utilisateur, ou si vous ne souhaitez pas mentionner la propriété dans le nom de l'identifiant.

Remarque : si vous définissez -1 (et uniquement dans ce cas), la propriété est déterminée via le nom ou l'identification.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BACnetPropertyID


IDS_BACNETNG_STRINGLENGTH

-

Disponible uniquement si vous avez sélectionné le type de données BITSTRING pour la propriété -.

Définissez la longueur en bits des chaînes de bits.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BACnetStringLength


IDS_BACNETNG_WRITEPRIORITY

-

Saisissez la priorité d'écriture de la variable. Si vous saisissez 0, la variable est écrite sans priorité d'écriture.

Les valeurs possibles sont 0 à 16.

Priorité la plus basse : 16

Priorité la plus élevée : 1

Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BACnetWritePriority


IDS_BAZ_WERT

-

Délai de sortie de commande

TK160 : Durée de sortie de commande en ms

Types de données IEC

0 – Conformément au paramétrage dans AX

1 – Court

2 – Moyen

3 – Long

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BAZ_WERT


IDS_BAZ_WERT_ENG

-

TI160: Command output time in ms

IEC Data types:

0… as parameterized in AX

1… short

2… medium

3… long

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BAZ_WERT


IDS_BITSIZE

-

Taille de bit de l'automate.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NGBitsize


IDS_C_GERAET

-

Numéro de l'appareil C.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DeviceC


IDS_CTI_SECONDARYOBJECT

-

Déclare le type d'objet secondaire pour :

- Temps/compteur

- Cylindre

- Variable de boucle

- Variable d'alarme

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SecondaryObject


IDS_DATENPUNKT

-

Numéro de point de données du DDC.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Datapoint


IDS_DLL

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Dll


IDS_DP_GERAET

-

Équipement concerné par l'adressage, par ex. : équipement B.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DeviceDp


IDS_DP_TYPE

-

Type de télégramme, type de message

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DP_TYPE


IDS_DP_TYPE_ENG

-

Telegram type, Message type

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DP_TYPE


IDS_DYNAMICFARBE

Couleur dynamique

Définition des couleurs des éléments via les couleurs des valeurs limite de la variable sélectionnée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Colors_Dynamic


IDS_DYNAMISCH

Dimensions et rotation dynamiques

Propriétés de configuration dynamique de l'élément.
L'affichage de l'élément est adapté de manière dynamique par le biais des états des variables dans le Runtime. Indisponible dans les projets sous Windows CE.

Remarque : Les paramètres de ce groupe n'affectent pas l'affichage de certains éléments de contrôle sur les synoptiques.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Dynamic


IDS_EIB_ADRESSE

-

Les propriétés suivantes sont utilisées pour l'adressage du pilote EibV2_32.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EIB-Address


IDS_EKANAL

-

Variable de remplacement

En cas d'état non valide, la valeur de cette variable sera utilisée.

(voir également le paramètre Traitement non valide)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EW_EKANAL


IDS_EKANAL_ENG

-

Substitute variable

In case of invalid state will be switched over to the value of this variable.

(see also parameter "Invalid treatment")

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EW_EKANAL


IDS_ELE_PROP_DREHEN

Rotation

Rotation de l'élément en fonction de la valeur de la variable.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Twist


IDS_ELE_PROP_XRICHTUNG

Position X dynamique

Déplacement horizontal de l'élément en fonction de la valeur de la variable sélectionnée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

XPos


IDS_ELE_PROP_XZOOMEN

Modification largeur

La longueur de l'élément dépend de la valeur de la variable sélectionnée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

XZoom


IDS_ELE_PROP_YRICHTUNG

Position Y dynamique

Déplacement vertical de l'élément en fonction de la valeur de la variable sélectionnée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

YPos


IDS_ELE_PROP_YZOOMEN

Modification hauteur

Hauteur de l'élément en fonction de la valeur de la variable sélectionnée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

YZoom


IDS_ETS2_DATABASE

-

Définissez la base de données souhaitée ici. Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de base de données. Vous pouvez également saisir le nom de la base de données dans la zone de texte.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ETS2Database


IDS_EW

-

Valeur de remplacement devant être activée

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EW


IDS_EW_ENG

-

Substitute value to be switched on

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EW


IDS_EWB

-

Commuter vers valeur de remplacement

Actif : La valeur de remplacement sera utilisée.

Inactif : La valeur de remplacement ne sera pas utilisée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EWB


IDS_EWB_ENG

-

Switch to substitute value

Active: Substitute value will be used

Inactive: Substitute value will not be used

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EWB


IDS_EWB_INI

-

Initialisation de la valeur de remplacement

Actif : La valeur de remplacement sera remplacée par l'état normal dans le Runtime.

Inactif : la valeur de remplacement sera conservée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EWB_INI


IDS_EWB_INI_ENG

-

Initialization of substitute value

Active: Substitute value will be overwritten in runtime by normal state

Inactive: Substitute value will be kept

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EWB_INI


IDS_FOCUS_LINECOLOR

Couleur de la ligne de focus

Définissez la couleur du cadre qui identifie l'objet sélectionné dans le Runtime. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FocusLineColor


IDS_FOCUS_LINEWIDTH

Epaisseur ligne de focus

Définissez la largeur de trait du cadre qui identifie l'objet sélectionné dans le Runtime.

Par défaut : 3 pixels

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FocusLineWidth


IDS_GA

-

Points de données en réponse à une requête générale

Actif : Un point de données sera transmis suite à une demande générale

Inactif : Un point de données ne sera pas transmis suite à une demande générale

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GA


IDS_GA_ENG

-

Datapoint answers to General request

Active: Datapoint will be sent at General request

Inactive: Datapoint will not be sent at General request

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GA


IDS_GT

-

Durée du cycle de commande (nouveau déclenchement) en ms

Commandes de régulation et commandes déclenchées

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GT


IDS_GT_ENG

-

Command cycle (retriggered) time in ms

Regulating-, triggered commands

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GT


IDS_HAUPTGRUPPE

-

Saisissez le numéro du groupe principal souhaité.

Minimum : 0

Maximum : 15

Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MainGroup


IDS_HGFARBE_VARIABLE

Couleur d'arrière plan

Nom de la variable dont les couleurs aux valeurs limite doivent déterminer la couleur de l'arrière-plan/de remplissage de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackColorVariable


IDS_HGFARBE_VARIABLE2

Couleur du dégradé

Nom de la variable dont la couleur aux valeurs limite doit influencer le dégradé de couleurs de l'élément.
Cliquez sur le champ de saisie pour ouvrir la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackColorVariable2


IDS_I_BIT

-

Aucun : pas de traitement.

Dernière valeur valide : Basculer vers l'image de la valeur de remplacement comportant la dernière valeur valide.

Basculer vers valeur de remplacement Basculer vers l'image de la valeur de remplacement ; valeur de la valeur de remplacement paramétrée.

Basculer vers variable de remplacement : Basculer vers l'image de la valeur de remplacement ; valeur de la variable de remplacement.

Correction manuelle de la valeur de remplacement : Basculer vers l'image de la valeur de remplacement ; la valeur doit être actualisée manuellement.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

I_BIT


IDS_I_BIT_ENG

-

Invalid treatment

No: no treatment

Last valid value: switch to substitute image; using last valid value

Toggle to substitute value: switch to substitute image; using parameterized substitute value

Toggle to substitute PV: switch to substitute image; using value from substitute PV

Correct substitute value: switch to substitute image; value must be corrected manually

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

I_BIT


IDS_IEC61850_ADDR

-

IEC Adresse IEC61850.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

I61850_ADR


IDS_IEC61850_CDC

-

Classe CDC.

Spécifie la classe CDC pour l'extension "Nœud logique"

Par défaut : Défaut

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

I61850_CDC


IDS_IEC61850_EWB

-

Commuter vers valeur de remplacement

Actif : Valeur actuelle = Valeur de remplacement

Inactif : Valeur actuelle = Valeur du procédé

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EWB


IDS_IEC61850_EWB_INI

-

Initialiser la valeur de remplacement/l'état normal.

Actif : la valeur de remplacement dans le Runtime sera remplacée par l'état du procédé.

Inactif : la valeur de remplacement sera conservée.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

EW_INI


IDS_IEC61850_GOOSE_ATTR1

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR1


IDS_IEC61850_GOOSE_ATTR1_POS

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR1_POS


IDS_IEC61850_GOOSE_ATTR2

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR2


IDS_IEC61850_GOOSE_ATTR2_POS

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR2_POS


IDS_IEC61850_GOOSE_ATTR3

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR3


IDS_IEC61850_GOOSE_ATTR3_POS

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR3_POS


IDS_IEC61850_GOOSE_ATTR4

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR4


IDS_IEC61850_GOOSE_ATTR4_POS

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR4_POS


IDS_IEC61850_GOOSE_ATTR5

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR5


IDS_IEC61850_GOOSE_ATTR5_POS

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GOOSE_ATTR5_POS


IDS_IEC61850_GOOSE_IDX

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GOOSE_INDEX


IDS_IEC61850_IBIT

-

Traitement non valide.

Aucun : pas de traitement.

Dernière valeur valide : Basculer vers l'image de la valeur de remplacement comportant la dernière valeur valide.

Basculer vers valeur de remplacement Basculer vers l'image de la valeur de remplacement ; valeur de la valeur de remplacement paramétrée.

Basculer vers variable de remplacement : Basculer vers l'image de la valeur de remplacement ; valeur de la variable de remplacement.

Correction manuelle de la valeur de remplacement : Basculer vers l'image de la valeur de remplacement ; la valeur doit être actualisée manuellement.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

I_BIT


IDS_IEC61850_LANNR

-

Numéro de station IEC 61850.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

I61850_LAN


IDS_IEC61850_MERKER

-

Marqueur.

Actif : Variable sans référence de procédé (l'adresse ne sera pas vérifiée ; utilisée à des fins internes).Voir également Driver interne
Voir également Driver interne.

Inactive : la variable sera actualisée par le procédé.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MERKER


IDS_IEC61850_ST_SAVE

-

État de sauvegarde.

Actif : L'état des variables sera enregistré sur le disque dur.

Il sera chargé après le redémarrage du Runtime.

Inactif : L'état ne sera pas enregistré.

Par défaut : Inactif

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ST_SAVE


IDS_IEC61850_VAL_SAVE

-

Enregistrer la valeur.

Actif : La valeur des variables sera enregistrée sur le disque dur.

Il sera chargé après le redémarrage du Runtime.

Inactif : La valeur ne sera pas enregistrée.

Par défaut : Inactif

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VAL_SAVE


IDS_IEC61850_WERT

-

Valeur IEC 61850.

Cette valeur définit le message ou la commande unique qui sera traitée pour les classes CDC INS, INC, SGCB et ACD.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

I61850_VAL


IDS_IGROUP

-

Groupes d'indices provenant de l'automate.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NGIGroup


IDS_ILON_DATAPOINT

-

Cliquez sur le bouton pour établir une connexion au routeur ILON afin de sélectionner des variables.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

iiLonDataPoint


IDS_INOUT

-

Direction du procédé

Réception : Le point de données sera uniquement reçu (par ex. messages, valeurs de mesures)

Envoi : Le point de données sera envoyé (par ex. commandes, points de consigne).

Pour que le point de données puisse être transmis, la propriété Valeur prescrite active doit également être active (voir Valeur prescrite).

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Send


IDS_INOUT_ENG

-

Process direction

Receive: Datapoint will be received only (e.g. messages, measuring values)

Send: Datapoint will be sent (e.g. commands, setpoints).

To be able to be sent, the datapoint has to have also the Set value active property active (see "Set value").

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Send


IDS_KURVE_NEU

Courbes

Propriétés des courbes de l'élément Tendance.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Curves


IDS_LINIENFARBE_VARIABLE

Texte/ligne (couleur)

Nom de la variable dont la couleur aux valeurs limite doit influencer la couleur de ligne/de texte de l'élément.
Ouvre la boîte de dialogue de sélection de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LineColorVariable


IDS_LOGID

-

Saisissez l'adresse du journal (ID de journal) dans l'automate.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Log ID


IDS_LON_DATABASE

-

Cliquez sur le bouton pour ouvrir la base de données LON afin de sélectionner des variables.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LonDatabase


IDS_MERKER

-

Actif : variable sans référence de procédé (l'adresse ne sera pas vérifiée ; utilisée à des fins internes).

Voir également Driver interne.

Inactive : la variable sera actualisée par le procédé.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MERKER


IDS_MERKER_ENG

-

Active: Datapoint will not be updated by process value (can be used as internal variable, doesn't need a datapoint address)

Inactive: Datapoint will be updated by process value

see also Driver Intern

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MERKER


IDS_MITTELGRUPPE

-

Saisissez le numéro du groupe intermédiaire souhaité.

Minimum : 0

Maximum : 7

Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

MiddleGroup


IDS_NG_ADRESSE

-

Paramètres de taille de bit et de groupe.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NGAddress


IDS_NODE

-

Saisissez l'adresse de nœud de l'automate.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Node


IDS_NWMAGENT

-

Avec cette fonction, vous pouvez copier un agent existant vers un nouvel agent.

Le nouvel agent doit déjà exister.

Toutes les variables connexes seront créées.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NWM-Agent


IDS_NWMPARA

-

Ouvre la boîte de dialogue de paramètres.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NWM-Parameter


IDS_OKT1

-

Numéro de région ou Octet 1 (CASDU1)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

R_NR


IDS_OKT1_ENG

-

Region number or Octet 1 (CASDU1)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

R_NR


IDS_OKT2

-

Numéro de composant ou Octet 2 (CASDU2)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

K_NR


IDS_OKT2_ENG

-

Component number or Octet 2 (CASDU2)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

K_NR


IDS_OKT3

-

Numéro de carte ou Octet 3 (IOA1)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

B_NR


IDS_OKT3_ENG

-

Board number or Octet 3 (IOA1)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

B_NR


IDS_OKT4

-

Numéro de valeur ou Octet 4 (IOA2)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

W_NR


IDS_OKT4_ENG

-

Value number or Octet 4 (IOA2)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

W_NR


IDS_OKT5

-

Type de données ou Octet 5 (IOA3)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DA


IDS_OKT5_ENG

-

Data type or Octet 5 (IOA3)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DA


IDS_OKT6

-

Pointnummer bzw. Octet 6

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PT


IDS_OKT6_ENG

-

Point number or Octet 6

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

PT


IDS_POS1

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Position1


IDS_POS2

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Position2


IDS_PROJEKT_ACTIVE_DIR

Accès à Active Directory

Spécifiez si vous souhaitez utiliser Active Directory, ADAM ou aucun des deux. Les options suivantes sont disponibles :

- ADAM - Active Directory Application Mode : vous utilisez ADAM ou AD LDS. Assurez-vous d'avoir défini les paramètres correspondants pour les propriétés Connexion ADAM/AD-LDS, Identification utilisateur ADAM/AD-LDS et Mot de passe ADAM/AD-LDS.

- Oui : vous utilisez Active Directory.

- Non : vous n'accédez pas aux utilisateurs d'ADAM/AD LDS ou d'Active Directory. Les utilisateurs dans zenon sont totalement indépendants des utilisateurs Windows.

Par défaut : Non

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

UseActiveDirectory


IDS_PROJEKT_DIRS

Stockage fichier

La boîte de dialogue de configuration des chemins du projet s'affiche.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ProjectPaths


IDS_PROJEKT_INFO

Description projet

La boîte de dialogue de configuration des informations du projet s'affiche.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ProjectInfo


IDS_PROJEKT_MODIFILES

Données modifiables en RT

La boîte de dialogue de configuration des données modifiables du Runtime est ouverte.
Recettes standard, Gestionnaire de groupes de recettes, module Planning ou Production & Facility Scheduler et Gestion des utilisateurs.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ProjectModidata


IDS_PROJEKT_REMTRANS

Transport à distance

La boîte de dialogue de configuration du module Remote Transport s'affiche.
Le module Remote Transport est utilisé pour le transport, l'actualisation, le démarrage et l'arrêt d'un projet sur un ordinateur distant, ainsi que l'interrogation de l'état actuel.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ProjectTransport


IDS_RED

-

Adresse redondante

Actif : utilisation de l'adresse redondante

Inactif : pas d'adresse redondante

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RED


IDS_RED_ENG

-

Redundant address

Active: Use redundant address

Inactive: No redundant address

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

RED


IDS_REG

-

Commandes de régulation et commandes déclenchées

Actif : la commande est une commande de régulation déclenchée

Inactif : commande standard

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

REG


IDS_REG_ENG

-

Regulating-, triggered commands

Active: Command is regulating-, triggered command

Inactive: Standard command

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

REG


IDS_RLINE

-

Numéro de ligne REYDISP

Concerne uniquement les points de données de perturbations

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LINIE


IDS_RLINE_ENG

-

REYDISP line number

Only for disturbance data datapoints

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LINIE


IDS_ROKT1

-

Adresse de point de données redondant.

Numéro de région ou Octet 1 (CASDU1)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

R_2


IDS_ROKT1_ENG

-

Redundant datapoint address

Region number or Octet 1 (CASDU1)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

R_2


IDS_ROKT2

-

Adresse de point de données redondant.

Numéro de composant ou Octet 2 (CASDU2)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

K_2


IDS_ROKT2_ENG

-

Redundant datapoint address

Region number or Octet 2 (CASDU2)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

K_2


IDS_ROKT3

-

Adresse de point de données redondant.

Numéro de carte ou Octet 3 (IOA1)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

B_2


IDS_ROKT3_ENG

-

Redundant datapoint address

Region number or Octet 3 (IOA1)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

B_2


IDS_ROKT4

-

Adresse de point de données redondant.

Numéro de valeur ou Octet 4 (IOA2)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

W_2


IDS_ROKT4_ENG

-

Redundant datapoint address

Region number or Octet 4 (IOA2)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

W_2


IDS_ROKT5

-

Adresse de point de données redondant.

Type de données ou Octet 5 (IOA3)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

D_2


IDS_ROKT5_ENG

-

Redundant datapoint address

Region number or Octet 5 (IOA3)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

D_2


IDS_SE_ADRESSE

-

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SeAddress


IDS_SE_STANDARD

-

Active : tous les appareils C situés au niveau d'un appareil B seront dénommés "barre C". Les équipements C ne seront donc plus sélectionnés directement ; au lieu de cela, les points de données sur les appareils C seront traités comme
s'ils se trouvaient sur l'appareil B.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Standard


IDS_SICHTBARKEIT

Visibilité/Clignotement

Propriétés de visibilité et de clignotement de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Visibility


IDS_SICHTBARKEIT_AUSGRENZWERT

A partir des valeurs limites

Uniquement disponible après la sélection d'une variable :
Actif : La visibilité de l'élément est influencée par les propriétés de limite de la variable.
Attention : La propriété Invisible doit être activée pour une limite de variable.
Inactif : la visibilité est influencée par les propriétés de l'élément.
Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VisibilityFromLimit


IDS_SICHTBARKEIT_BIS

à

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur maximale de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur maximum possible de la variable liée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VisibilityTo


IDS_SICHTBARKEIT_VARIABLE

Variable

Nom de la variable dont la valeur influence la visibilité de l'élément. La visibilité est soit reprise des propriétés de valeur limite de ces variables, soit définie par la plage de valeurs définie dans les propriétés de et à.
Cliquez sur le bouton pour ouvrir la boîte de dialogue de sélection de variables. Vous pouvez également saisir le nom manuellement dans le champ de texte.
L'élément est toujours visible si aucune variable n'est liée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VisibilityVariable


IDS_SICHTBARKEIT_VON

de

Disponible uniquement après la sélection d'une variable, si la visibilité n'a pas été reprise par la valeur limite :
Valeur minimum de la variable à laquelle l'élément est visible.
Minimum : valeur minimum possible de la variable liée.
Maximum : valeur maximum possible de la variable liée.
Par défaut : valeur minimum possible de la variable liée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VisibilityFrom


IDS_ST_SAVE

-

Actif : L'état des variables sera enregistré sur le disque dur.

Il sera chargé après le redémarrage du Runtime.

Inactif : L'état ne sera pas enregistré.

Par défaut : Inactif

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ST_SAVE


IDS_ST_SAVE_ENG

-

Save status

Active: The status bits (e.g. Revision) of the datapoint will be saved (STATUS.BIN) and will be reread at start of runtime.

Inactive: The status bits of the datapoint will not be saved.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ST_SAVE


IDS_STRING78

Plage d'affichage dynamique

Propriétés de la plage d'affichage dynamique.
Ces propriétés permettent de modifier la plage d'affichage de manière dynamique dans le Runtime, à l'aide de variables.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Displayrange_Dynamic


IDS_STRING79

Minimum

Variable définissant la valeur minimum de la plage d'affichage dans le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DynMinVar


IDS_STRING80

Maximum

Variable définissant la valeur maximum de la plage d'affichage dans le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

DynMaxVar


IDS_STRING81

Limites dynamiques

Propriétés des plages de valeurs prescrites dynamiques.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SetValueLimits_Dynamic


IDS_STRING82

Minimum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite inférieure de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SetValueDynMin


IDS_STRING83

Maximum

Disponible uniquement si la propriété "Set value limit of the variable" (Définir la valeur limite de la variable) est inactive :
Variable dont la valeur actuelle est la valeur limite prescrite supérieure de l'élément.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SetValueDynMax


IDS_SYMADRESSE

-

Les propriétés suivantes sont utilisées pour l'adressage du pilote 3S_Arti_NG.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NGAddress


IDS_SYMNAME

-

Nom de symbole des variables dans l'automate.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

NGSymName


IDS_TRANS

-

Données transparentes

Concerne uniquement les points de données de perturbations.

DISTO : Enregistrement par DISTO des informations relatives aux perturbations.

REYDISP : Enregistrement par REYROLL des informations relatives aux perturbations.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TRANS


IDS_TRANS_ENG

-

Transparent Data

Only for disturbance data datapoints.

DISTO: Storing of disturbance records by DISTO

REYDISP: Storing of disturbance records by REYROLL

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TRANS


IDS_UNTERGRUPPE

-

Saisissez le numéro du sous-groupe souhaité.

Minimum : 0

Maximum : 255

Par défaut : 0

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SubGroup


IDS_VAL_SAVE

-

Actif : La valeur des variables sera enregistrée sur le disque dur.

Il sera chargé après le redémarrage du Runtime.

Inactif : La valeur ne sera pas enregistrée.

Par défaut : inactive.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VAL_SAVE


IDS_VAL_SAVE_ENG

-

Save value

Active: The value of the datapoint will be saved (STATUS.BIN) and will be reread at start of runtime.

Inactive: The value will not be saved and is 0 at restart.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VAL_SAVE


IDS_VAR_ERSATZWERT_STRING

Valeur chaîne pour le remplissage des archives

Cette valeur est utilisée pour les variables de chaîne, afin de renseigner les archives cycliques. En présence d'intervalles durant lesquels aucune connexion au matériel n'a été établie, cette valeur est utilisée tant qu'aucune valeur n'est transférée depuis l'équipement. Dans le cas contraire, la dernière valeur valide utilisée est utilisée aux fins du renseignement.

Longueur maximale : 128 caractères.
ATTENTION : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

AlternateValueString


IDS_VTA

-

Type d'adresse

Conformément au paramétrage du système GW1703.ini et de la station distante.

STA : technique système

VTA : procédural

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VTA


IDS_VTA_ENG

-

Address type

In accordance to parameterization of GW1703.ini and remote station.

STA: System technical

VTA: Process technical (PTA in GW1703.ini)

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VTA


IDS_WDH

-

Nombre maximum de répétitions

Commandes de régulation et commandes déclenchées

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WDH


IDS_WDH_ENG

-

Max. count of repeats

Regulating-, triggered commands

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

WDH


IDS_Z_NR

-

Numéro de station LAN ou de groupe LAN

Adresse de la liaison, en cas de connexion série.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Z_NR


IDS_Z_NR_ENG

-

LAN station or LAN group number

Link address if serial connection

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Z_NR


IDS_Z_TYP

-

Sélection de station LAN ou de groupe LAN

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Z_TYP


IDS_Z_TYP_ENG

-

Selection of LAN station or LAN group

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Z_TYP


IDS_ZEIT

-

Ajout d'heure

Actif : L'heure de l'ordinateur sera ajoutée à réception.

Inactif : Heure d'utilisation du télégramme.

Une heure non valide ou non plausible sera automatiquement remplacée par l'heure de l'ordinateur.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ZEIT


IDS_ZEIT_ENG

-

Time setting

Active: Computer time will be used when received

Inactive: Telegram time will be used

Invalid or implausible time stamp will be replaced automatically by computer time.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ZEIT


IDS_ZENMENU_PROP01

ID du menu

Nom de l'entrée du menu.

Lors de l'Type action entrée de la commande, vous pouvez saisir les actions déjà définies dans une liste déroulante.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


IDS_ZENMENU_PROP02

Texte

Intitulé de l'entrée de menu dans le menu. Le nom de l'entrée doit être unique. S'il existe plusieurs entrées comportant le même texte, seule la première entrée de menu est affichée dans le Runtime.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Caption


IDS_ZENMENU_PROP04

Fichier

Disponible uniquement pour le type d'action Aide :
Fichier d'aide à partir duquel un chapitre doit être affiché.
Les pages d'aide des éléments liés sont normalement affichées. Si un élément lié ne comporte pas de page d'aide, la page spécifiée ici est affichée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HelpFile


IDS_ZENMENU_PROP05

Chapitre

Disponible uniquement pour le type d'action Aide :
Chapitre d'aide devant être affiché.

Attention : cette entrée tient compte des minuscules et majuscules.
Les pages d'aide des éléments liés sont normalement affichées. Si un élément lié ne comporte pas de page d'aide, la page spécifiée ici est affichée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

HelpCapture


IDS_ZENMENU_PROP06

Fichier graphique

Fichier graphique affiché à gauche.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Picture


IDS_ZENMENU_PROP07

Coche

Une coche est affichée à gauche de l'élément de menu. Il s'agit d'un élément graphique uniquement.

Par défaut : inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Checked


IDS_ZENMENU_PROP08

Actif

Actif : L'entrée de menu est normalement affichée et l'action liée à celle-ci est exécutée lorsque cette entrée est sélectionnée.
Inactif : L'entrée est normalement grisée et l'associée à celle-ci n'est pas exécutée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Enabled


IDS_ZENMENU_PROP09

Visible

Définit si l'élément de menu est affiché dans le Runtime.

Par défaut : active

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Visible


IDS_ZENMENU_PROP10

Séparateur actif

Actif : Un séparateur horizontal est ajouté à la place d'une entrée de menu. Vous pouvez définir ici la largeur et la couleur de la grille.

Par défaut : Inactive

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Seperator


IDS_ZENMENU_PROP11

Sous-menu

L'élément de menu n'exécute aucune fonction, mais ouvre un sous-menu.

Par défaut : inactive.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Popup-Menu


IDS_ZENMENU_PROP12

Type action

Les types d'action suivants sont disponibles dans les menus principal et contextuel :

Fonction : une fonction est exécutée.
Aide : une entrée de l'aide est affichée.
Aucune action : aucune action n'est exécutée.
Spécifier valeur prescrite : une valeur prescrite est écrite dans une variable.

Les types d'action suivants peuvent uniquement être exécutés dans le menu contextuel :

Alarmes : Acquitter : acquitte toutes les alarmes correspondant aux variables liées à l'élément dynamique auquel a trait le menu contextuel.
Acquitter clignotement : Arrête le clignotement des éléments liés aux variables liées à l'élément dynamique sur lequel le menu contextuel a été activé. Les alarmes ne sont pas acquittées par cette action.
Envoi de commande : exécute une commande saisie.
Macro VBA : une macro VBA est exécutée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Type


IDS_ZENMENU_PROP13

Groupe d'autorisation

Niveau de mot de passe pour l'exécution de cette entrée de menu.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Password


IDS_ZENMENU_PROP14

Texte (couleur)

Couleur du texte pour le menu sélectionné.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

TextColor


IDS_ZENMENU_PROP15

Arrière-plan (couleur)

Couleur d'arrière plan pour le menu sélectionné.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackColor


IDS_ZENMENU_PROP16

Police

Type de police des menus. Valide pour toutes les entrées de menu.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Font


IDS_ZENMENU_PROP17

Fonction

Disponible uniquement pour le type d'action Fonction :
Fonction exécutée via l'entrée de menu sélectionnée.
Si plusieurs fonctions doivent être exécutées, un script contenant les fonctions souhaitées doit être créé et un lien vers la fonction d'exécution du script doit être inséré ici.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Function


IDS_ZENMENU_PROP18

Macro VBA

Disponible uniquement pour le type d'action Macro VBA :
Macro VBA à exécuter via l'entrée de menu sélectionnée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

VBA-Macro


IDS_ZENMENU_PROP19

Variable

Disponible uniquement pour le type d'action Écrire valeur prescrite :
Variable dans laquelle une valeur prescrite doit être écrite via l'option de menu sélectionnée.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Variable


IDS_ZENMENU_PROP20

Valeur prescrite

Disponible uniquement pour le type d'action Écrire valeur prescrite :
valeur numérique devant être écrite en tant que valeur prescrite dans la variable. Seules les valeurs numériques sont attendues et acceptées. Les valeurs sont reprises avec 6 décimales maximum.
Si la propriété Proposer valeur actuelle est activée, la valeur actuelle de la variable est augmentée (valeur positive) ou diminuée (valeur négative) du nombre correspondant.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Sollwert


IDS_ZENMENU_PROP21

Variable de l'élément

Disponible seulement pour les types d'action Écrire valeur prescrite et Menu contextuel :
Actif : La variable d'écriture de la valeur prescrite provient de l'élément dynamique.
Inactif : La variable définie pour la valeur prescrite est fournie dans les propriétés de l'entrée de menu.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

FromElem


IDS_ZENMENU_PROP22

Dialogue

Disponible uniquement pour le type d'action Écrire valeur prescrite :
Actif : Lors de l'exécution de l'action, une boîte de dialogue est ouverte avant la définition de la valeur prescrite, permettant à l'utilisateur de modifier la valeur prescrite avant l'écriture.
Si des claviers de synoptique (par tels que SETVALUEKBD, SETSTRINGKBD ou SETBOOLKBD) sont présents, ils sont automatiquement affichés à la place de la boîte de dialogue.
Inactif : La valeur définie dans les propriétés de l'entrée de menu est directement transmise à l'équipement.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

SWDialog


IDS_ZENMENU_PROP23

Proposer valeur actuelle

Disponible uniquement pour le type d'action Écrire valeur prescrite :
Actif : la valeur actuelle de la variable est proposée en tant que valeur prescrite.
Inactif : la valeur prescrite est directement fournie dans les propriétés de l'entrée de menu.
(Par défaut) Inactif :

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

ActValue


IDS_ZENMENU_PROP24

Nom

Nom unique du menu.
Par défaut : Nouveau menu principal x ou nouveau menu contextuel x (où x est un nombre consécutif).

Attention : Cette propriété n'est pas disponible aux fins de la commutation de langue.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Name


IDS_ZENMENU_PROP34

Verrouillage

Sélection d'un verrouillage pour l'entrée de menu.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Locking


IDS_ZENMENU_PROP36

Fichier graphique

Fichier graphique d'arrière-plan pour l'élément de menu.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackgroundPicture


IDS_ZENMENU_PROP37

Alignement

Taille du fichier graphique d'arrière-plan de l'élément de menu.
Taille d'origine : le fichier graphique est affiché dans sa taille d'origine. L'élément de menu est ajusté à la taille du fichier graphique.
Étiré : Le fichier graphique est étiré à la taille de l'élément de menu.
Par défaut : taille d'origine.

Exemple : les menus doivent être utilisés dans un projet avec écran tactile. Les paramètres du système d'exploitation sont utilisés pour définir la taille par défaut des différents éléments de menus. Avec un fichier graphique dans sa taille d'origine, toutefois, vous pouvez définir la taille de chaque élément de menu individuellement.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

BackgroundPicRepres


IDS_ZENMENU_PROP_GRP2

Autorisation d'accès

Propriétés des autorisations d'utilisation de l'entrée de menu.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Rights


IDS_ZENMENU_PROP_GRP3

Représentation/Type

Propriétés de l'affichage de l'entrée de menu.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Represantation


IDS_ZENMENU_PROP_GRP4

Fonction/macro

Fonction ou macro VBA devant être exécutée via cette entrée de menu.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Function


IDS_ZENMENU_PROP_GRP5

Spécifier valeur prescrite

Propriétés de la valeur à définir.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_SetValue


IDS_ZENMENU_PROP_GRP6

Aide

Propriétés de la page d'aide de l'entrée de menu.
Cette fonction autorise l'affichage de pages d'aide au format HTML à partir d'un fichier CHM. L'aide peut également être contextuelle, et accessible depuis des menus contextuels.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_Help


IDS_ZENMENU_PROP_GRP7

-

Propriétés du fichier graphique d'arrière-plan des éléments de menu.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_BackgroundPicture


IDS_ZENMENU_PROP_GRP8

Action

Propriétés de l'action à exécuter avec l'entrée de menu.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

Action


IDS_ZENMENU_PROP_GRP9

Général

Paramètres généraux du menu sélectionné.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

GRP_General


IDS_ZYKLISCH_LESEN

-

Spécifie de quelle manière la valeur sera acquise depuis l'automate.

Active : La valeur sera acquise de manière cyclique depuis l'automate.

Par défaut : Inactive

Remarque : cette option doit être sélectionnée avec soin, car elle augmente considérablement la charge du bus.

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

CyclicReading


LOCK_BITMAP_LOCKING

Fichier graphique pour verrouillage fonctionnel

Disponible uniquement si la propriété Identification graphique active est active.

Sélection du fichier graphique affichant un élément verrouillé. Le fichier doit avoir été créé dans le gestionnaire de projet, dans le nœud Fichier/Graphiques, sous la forme d'un fichier bitmap.

Format autorisé : 16 x 16 pixels ; les fichiers bitmap de taille supérieure seront compressés lors de l'affichage.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LockLockBitmap


LOCK_BITMAP_USER

Fichier graphique pour verrouillage selon login

Disponible uniquement si la propriété Identification graphique active est active.

Sélection du fichier graphique affichant un élément verrouillé. Le fichier doit avoir été créé dans le gestionnaire de projet, dans le nœud Fichier/Graphiques, sous la forme d'un fichier bitmap.

Format autorisé : 16 x 16 pixels ; les fichiers bitmap de taille supérieure seront compressés lors de l'affichage.

Plus de détails dans l'aide en ligne.

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LockUserBitmap


LOCK_FILL_COLOR

Couleur de remplissage du symbole cadenas

Disponible uniquement si la propriété Identification graphique active est active.
Détermine la couleur de remplissage du symbole représentant un verrou. Détermine la couleur de trait du symbole représentant un verrou. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LockFillColor


LOCK_LINE_COLOR

Couleur de ligne du symbole cadenas

Disponible uniquement si la propriété Identification graphique active est active.

Détermine la couleur de trait du symbole représentant un verrou. La couleur peut être saisie directement sous forme de code hexadécimal ou peut être sélectionnée en cliquant sur un bouton ....

Plus de détails dans l'aide en ligne

Cette fonction doit être utilisée comme suit pour l'API de zenon (avec indication du nom de classe) et pour l'exportation au format XML (sans indication du nom de classe) :

LockLineColor